# English for B2 Students/Print version

From Wikibooks, open books for an open world

< [English for B2 Students](http://en.wikibooks.org/wiki/English_for_B2_Students)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


# Introduction to English for B2 students

## Introduction

This book will be a text book designed for use by learners of English as a second language. It will be primarily aimed at B2 students. B2 denotes the 4th (of 6) stage of the [Common European Framework](http://www.cambridgeesol.org/exams/cef.htm), an internationally used standard for learning languages. This level is often referred to as Upper Intermediate or Pre-Advanced and students at this level often take the [University of Cambridge FCE](http://en.wikipedia.org/wiki/First_Certificate_in_English) examination. For more information about CEF levels see [here](http://en.wikibooks.org/wiki/English_for_B2_Students/CEF)

This text book will be similar to many paper text books currently available such as English File, Inside Out and Language to Go. It will present topics in a step-by-step pattern focusing on key vocabulary, grammar, writing skills, spoken interaction and communication, listening skills and examination practice in preparation for the FCE examination. The book will emphasise the use of everyday English and use standards of English which are familiar to speakers of English around the world - basically this means that vocabulary and grammar of British/Irish and [American English](http://en.wikipedia.org/wiki/American_English) may be used although the emphasis will often be directed to the 'easier' standard or the standard that is considered most acceptable for the University of Cambridge examinations.

## Contents of English for B2 students

This book focuses on using English in everyday situations. Each unit of the book specialises in a particular part of grammar and a vocabulary topic. Units in this book make use of a variety of reading and listening texts. Each unit ends with practice exercises which should be attempted before the next unit is attempted. At the end of every 5 units there is a 'progress test' which revises grammar and vocabulary taught in the previous units. This book is designed to be read from start to finish however students may prefer to concentrate on a particular area of grammar or vocabulary. Please see the [Aims](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Aims) page for detailed information about the contents of each unit.

## The English language

The flags on the Contents page display countries where English is the main, or one of the main, language(s). The flags, from left to right, represent the following countries: The United Kingdom (original country of the English language), USA (largest English-speaking country), Canada (first language with French), South Africa (one of more than 10 official languages), Jamaica, Australia (largest English-speaking country in the southern hemisphere), Ireland, New Zealand.

As a native language English is spoken by over 350 million people but if all English speakers are included in this figure it totals well over a billion people across the globe. English is the language of business, one of the most common languages for music and films and one of the official languages of the United Nations and the European Union.

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Aims of the units

# Aims of the units of English for B2 students

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/Edinburgh_old_town_dsc06355.jpg/235px-Edinburgh_old_town_dsc06355.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Edinburgh old town, Scotland

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Devil's_Peak_seen_from_Observatory.jpg/235px-Devil's_Peak_seen_from_Observatory.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Devil's Peak, Cape Town, South Africa

English for B2 students • Print version  
![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Unit Grammar Vocabulary

[Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1)
adjectives and prepositions
common questions and answers

[Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2)
present continuous
hobbies and sport

[Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3)
present perfect
hobbies and family

[Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4)
1st, 2nd and 3rd conditionals
travel and transport

[Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5)
future forms
talking about the future

[Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6)
used to, usually
school, subjects

[Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1)
phrasal verbs - form
phrasal verbs with look and take

[Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8)
past perfect
movies, cinema

[Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9)
verb patterns (infinitive, gerund)
jobs

[Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10)
modals of obligation
accommodation

[Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11)
adjective order and 'strong' adjectives
clothes, fashion

[Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1)
passive voice

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 1 - The World of English

# The World of English

**Aim of this lesson:** Practice some common questions and their replies and familiarise yourself with common adjectives and their dependent prepositions. ![About this sound](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png) [listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit1.ogg)

English for B2 students Speaking • Print version  
Common Questions ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Question Example answer

Where are you from?
I am from Ireland.

What languages do you speak?
I speak English.

What languages do you want to learn?
I want to learn Greek because I am interested in ancient history.

What languages did you study at school?
I studied French and Spanish at school.

What countries have you visited?
I have visited France, Italy and Poland.

## Grammar Focus - Answering Questions

_It is often difficult in English to know which tense to use when having a conversation with somebody. We often don't have time to think about the uses of each tense and then make a decision. Look again at the questions at the start of this unit. What tenses are the questions in? Now look at the answers given - what tenses are they in?_

### Responding to questions

  * Where are you from? _Present Simple_
  * I am from Ireland. _Present Simple_
  * What countries have you visited? _Present Perfect_
  * What languages did you study at school? "Past Tense"
  * I have visited France, Italy and Poland. _Present Perfect_

When speaking with someone it is important to listen to the question as this will help you phrase your answer. We generally use the same tense in our reply as in the question.

## Vocabulary Focus - Adjectives with Prepositions

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Wayne_Rooney_2.jpg/250px-Wayne_Rooney_2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Wayne Rooney, Manchester United FC, England

  * I am interested in ancient history

_Is it possible to say 'I am interested at...?' or 'I am interested on...?_

Many adjectives are used with specific prepositions. It is important to learn many of the most common **adjective + preposition** pairs as this will make you sound much more natural.

### Adjectives + Prepositions

English for B2 students Vocabulary • Print version  
Adjectives & Prepositions ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Form Example

interested + in
I am interested in history

good + at
I am good at football

keen + on
I am very keen on rock music

worry + about
I am worried about my cat

scared + of
I am scared of spiders

## Speaking about yourself

_Now that you've studied the grammar and vocabulary above you should practice answering these questions. Remember to listen to (or read) the questions carefully as this will help you phrase your answer._

  * What are you interested in? I'm interested in modern history.
  * What language do you want to learn? I want to learn English.
  * What do you worry about? I worry about working.
  * What are you scared of? I'm very scared of spiders.
  * What do you want to eat? I want a pizza.

## Exercises

Try these questions to see if you can answer these questions and use adjectives correctly.

_Complete the following sentences using the correct preposition:_

  1. My sister's afraid ..... spiders and I'm scared ..... dogs.

Answer

My sister's afraid **of** spiders and I'm scared **of** dogs.

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

This is the lesson page - the answers are not to be inserted here, but to be found [here](http://en.wikibooks.org/wiki/English_for_B2_Students/Answers)

  


# Unit 2 - I am learning English for travel

# I am learning English for travel

**Aim of this lesson:** Revise and practice the present continuous (progressive) and learn vocabulary related to sports and hobbies.

## Dialogue

_Richard is travelling to school with his son Michael._

(_[listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit2.ogg)_)

Richard
Look at the children, Michael. What are they doing?

Michael
They're playing football, Daddy. The boys are kicking the ball and the girls are watching them play.

Richard
And what about the older boys over there? What are they doing?

Michael
They're walking the dog and talking on their mobile phones. Dad, can I have a mobile phone?

Richard
Er, ask your mother, Michael. And what is that old lady doing?

Michael
She's waiting for a bus.

Richard
And what are we doing?

Michael
We're driving to school.

## Grammar Focus - Present Continuous

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/Malta_pecheur_002.jpg/280px-Malta_pecheur_002.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Fishing is the most popular hobby in the UK

The _Present Continuous_ is commonly used to talk about current present actions - things happening at this moment.

English for B2 students Grammar • Print version  
Present Continuous ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Situation Form Example

\+ POSITIVE
subject + be + verb + ing
I am learning English at the moment

\- NEGATIVE
subject + be + not + verb + ing
I'm not eating a banana because I'm learning English

 ? QUESTION
be + subject + verb + ing ?
Are you eating a banana or learning English?

  * _present continuous_ describes actions happening at the moment. Use _present simple_ to describe actions which are always true, e.g. NOT <strike>"I am living in London"</strike> but "I live in London."

  * _present continuous_ can also be used to talk about arrangements in the future - "I am meeting John at 10pm on Friday."

  * _present continuous_ is only used with verbs which describe an action. Use the _present simple_ with verbs which describe states, e.g. NOT <strike>"I am being happy"</strike> but "I am happy" because "to be" describes a state not an action.

## Vocabulary - Sports & Hobbies

When we want to talk about doing a hobby we often have a choice of verbs we can use. This table shows the appropriate verb to use with different sports. Basically we use **play** with ball sports, **do** with exercises and martial arts (Asian sports like judo and karate) and **go** with sports that end with _ing_ like swimming.

English for B2 students Vocabulary • Print version  
Sports Verbs ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Verb Sports Example

play
football, tennis, rugby, hockey, baseball, badminton
Let's play football

do
exercise, yoga, aerobics, judo, karate
Have you ever done yoga?

go
skiing, bungee-jumping, parachuting, kayaking, fishing
Shall we go skiing on the weekend?

## Speaking about Hobbies

_Work with a partner, if you can, and ask/answer these questions. If you're on your own you should think about these questions and write your answers instead._

  * What sports and activities do you do regularly? How often do you practice?
  * What sport are you playing or watching next week?
  * How do you feel when you are playing this sport?
  * What sports do you hate playing or watching?
  * Do you have a favourite football team? Have you ever seen them play?

## Exercises

Try these questions to see if you can use present continuous and present simple correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the present simple or present continuous:_

  1. Look at that bad man! He ________ (smoke) a cigarette on the bus.
  2. I _________ (study) for my exam at the moment.
  3. Do you have any children? Yes, I __________ (have) two sons.
  4. What are you doing tomorrow evening? I _________ (meet) my wife for dinner.
  5. Are you busy? Yes, I ________ (take) a shower.

## Grammar Reference

For further information about _present continuous_ and _present simple_ see [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

## Vocabulary Reference

For an excellent list of sports vocabulary in English complete with pictures see [Learning with Pictures - Sports](http://www.englisch-hilfen.de/en/vocabulary/sports.htm) on the [Learning English Online](http://www.englisch-hilfen.de/en/) website.

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 3 - I've visited Venice

# I've visited Venice

**Aim of this lesson:** Talk about hobbies and your family and practice using the present perfect to talk about experiences.

Chloe and Michael are students at university in Manchester. They're talking about places that they went to in the past.

## Dialogue

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Venice_gondola.jpg/250px-Venice_gondola.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

A gondola, Venice, Italy

(_[listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit3.ogg)_)

Chloe
Have you ever been to Venice?

Michael
No, I've never been there. What's it like?

Chloe
It was great, but I went there with my aunt and cousins so I didn't have a lot of free time.

Michael
Did you go on a gondola?

Chloe
No, but I wanted to! Where have you been that was exciting?

Michael
I've been to South Africa. In South Africa we went sailing, which was fantastic.

## Grammar Focus - Present Perfect

  * I have visited Venice.

_Do we know_ when _I visited Venice? Do we know how many times I visited Venice?_

The Present Perfect is a very commonly used form in English. It is very important to learn how this form is used.

### Present Perfect

English for B2 students Grammar • Print version  
Present Perfect ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Form Example

\+ positive sentences
SUBJECT + HAVE / HAS + PAST PARTICIPLE
I have seen _The Lord of the Rings_.

\- negative sentences
SUBJECT + HAVEN'T / HASN'T + PAST PARTICIPLE
I haven't seen _The Lord of the Rings_.

 ? questions
HAVE / HAS + SUBJECT + PAST PARTICIPLE ?
Have you seen _The Lord of the Rings_?

  * Also for negative sentences we can use _have / has + never + past participle -_ I have never seen _The Lord of the Rings._

  * For questions we often ask _Have you ever_ if we want people to tell us about an experience at ANY time in their life - _Have you ever seen_ the Lord of the Rings?

  * Remember that the present perfect is only used in situations where we don't know WHEN it happened - _I went to France last year_ NOT <strike>_I have been to France last year_.</strike>

## Vocabulary - Family

The picture of Frodo Baggins' family tree (from the _Lord of the Rings_ films) shows his family.

  


English for B2 students Vocabulary • Print version  
Adjectives & Prepositions ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Relation to Frodo Name

Frodo's father
Droggo Baggins

Frodo's mother
Primula Brandybuck

Frodo's aunt (auntie)
Dora Baggins

Frodo's uncle
Dudo Baggins

Frodo's grandfather
Fosco Baggins

Frodo's grandmother
Ruby Bolger

Dora Baggins' nephew
Frodo

Fosco Baggins' grandson
Frodo

Drogo Baggins' son
Frodo

## Speaking Practice

_Try to practice asking and answering these questions in pairs. If you're working on your own then write your answers._

  * How big is your family? Do you have many brothers, sisters, aunts, or uncles?
  * Have you ever been on vacation with your family? Did you like it?
  * Have you ever been to see a film at the cinema more than once? When? What film was it?
  * Whom are you closest to in your family? How often do you see that person?

## Exercises

Try these questions to see if you can use the present perfect correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the present perfect or past simple:_

  1. **Have you ever eaten / Did you ever eat** curry?
  2. Last year I **went / have been** to Poland.
  3. No, I **have never seen / never have seen** _The Lord of the Rings_.
  4. My brother says that he **haven't eaten / hasn't eaten** curry.
  5. Did you go on vacation last summer? Yes, I **have been / went** to Croatia.

## Grammar Reference

For further information about present perfect and past simple see [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

This is the test page - the answers are not to be inserted here, but to be found here

  


# Unit 4 - If I had €1,000,000, I would live in Spain

# If I had €1,000,000, I would live in Spain

**Aim of this lesson:** Recognize and use the different conditionals in English and revise means of transport.

## Speaking Questions

_Talk about these questions with a partner. Try to expand your answers and give reasons rather than short answers._

  * Where did you go on your last holiday? How did you travel? Whom did you go with?
  * What is your perfect holiday destination?
  * Do you prefer beach holidays, city breaks, resorts or adventure holidays?
  * Do you pack a lot of things or just the basics like clothes and money?
  * What are the 5 most important tourist places in your country?

## Grammar Focus - 1st, 2nd and 3rd conditionals

Conditional sentences are used to talk about possible situations and the result of those situations.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/af/All_Gizah_Pyramids.jpg/250px-All_Gizah_Pyramids.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

The Great Pyramid of Giza, Egypt

English for B2 students Grammar • Print version  
Future Forms ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Conditional Form Usage Example

1st conditional
if + present simple, will + infinitive
used to talk about possible situations
If it's sunny tomorrow, I'll go to the seaside.

2nd conditional
if + past simple, would + infinitive
used to talk about hypothetical situations
If I became rich, I would buy an expensive villa in France.

3rd conditional
if + past perfect, would + have + past participle
used to talk about hypothetical situations in the past
If I hadn't gone to Egypt, I wouldn't have seen the pyramids

  * Conditionals are usually expressed with the _if clause_ first and the _future clause_ second but the order isn't important. Both of these sentences are equally correct: _If it rains, I will stay home_ and _I will stay home if it rains_. Note that we don't use a comma if the _if clause_ is used second.

  * Never use a future tense twice in a conditional sentence (like is often done in other languages). This is not correct: <strike>_If it will rain, I will stay home_</strike>

  * Conditionals are frequently contracted and this can make understanding difficult for non-native speakers. We often contract _will_ as _I'll, you'll, etc._. We often contract _would_ as _I'd, you'd, etc._.

## Vocabulary - Travel & Transport

Look at the table below. Do you know the correct definitions for these types of transport? Click on the 'show' button on the right for the correct answers.

English for B2 students Vocabulary • Print version  
Travel - Rearrange the Definitions ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Transport Definition

airplane
boat which travels slowly and is like a small city with swimming pools and shops.

coach
a large motor vehicle with beds, cooking and shower facilities.

ferry
vehicle which flies.

cruise ship
a bus which travels from city to city.

caravan
boat which takes passengers and cars from one port to another port.

  


English for B2 students Vocabulary • Print version  
Jobs - Correct Answers ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Job Definition

airplane
vehicle which flies.

coach
a bus which travels from city to city.

ferry
boat which takes passengers and cars from one port to another port.

cruise ship
boat which travels slowly and is like a small city with swimming pools and shops.

caravan
a large motor vehicle with beds, cooking and shower facilities.

## Speaking with conditional sentences

_Work with a partner, if you can, and ask/answer these questions. If you're on your own you should think about these questions and write your answers instead._

  * _How long would it have taken you to get here if you had walked?_
  * _How will you get to work if it rains tomorrow?_
  * _If you were going to take a vacation, where would you go?_
  * _If you could drive any car you wanted, what would it be?_
  * _If you had gone to London on holiday last year, what would you have done?_

## Exercises

Try these questions to see if you can use 1st, 2nd and 3rd conditionals correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the correct conditional form:_

  1. If I were very rich, I _______________ in 5 star hotels (stay).
  2. If I _______________ (go out) on Saturday, I will drink red wine.
  3. If I hadn't woken up this morning, I _______________ about conditionals (not learn).
  4. If I could choose any wife, I _______________ Shakira (choose).
  5. I _______________ (buy) a new DVD if I get paid this week.

## Grammar Reference

For further information about conditional sentences see [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 5 - I'm going to Athens in the summer

# I'm going to Athens in the summer

**Aim of this lesson:** Learn the various ways to talk about the future in English.

Chloe and Michael are students at university in Manchester. They're talking about their plans for the weekend and the summer.

## Dialogue

(_[listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit5.ogg)_)

Chloe
Hey Michael!

Michael
Hi, Chloe. How are you doing?

Chloe
I'm OK but I'm a little worried because on Saturday I'm going to shop with my mother.

Michael
Isn't that a good thing? I thought that girls liked shopping.

Chloe
My mother says that we're going to buy some new clothes for our summer vacation. I don't like shopping with her. What are you doing in the summer, Michael?

Michael
I think I'll go to summer camp in Cyprus.

## Grammar Focus - Future Forms

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Aios_Lazaros.jpg/200px-Aios_Lazaros.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Aios Lazaros Church, Larnaka, Cyprus

There are many ways to talk about the future in English.

English for B2 students Grammar • Print version  
Future Forms ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Future Form Explanation

will + infinitive
used to talk about unplanned decisions, predictions, offers, and promises

be + going to + infinitive
used to talk about plans

present continuous
used to talk about plans at a specific time

may / might
used to talk about possibilities

present simple
used only to talk about fixed (or timetabled) events

  * _I'll close the window because it's cold_ \- here we use **will** because this is not a plan (you can't plan to close a window).

  * _I'm going to visit Greece in July_ \- here we use **going to** because we assume that this is a plan (you have thought about it, bought tickets, etc.). I can't wait to see the cathouse there.

  * _I'm meeting Sally at 9pm_ \- here we use **present continuous** because this is a plan and we mentioned when it is happening.

  * _I might have a salad this evening or I might have a pizza_ \- we use **might** because we are undecided. **May** can also be used instead of 'might'.

  * _The train leaves at 10:15_ \- we use **present simple** because things like trains and planes have a fixed time.

  * Generally _going to_ and _present continuous_ are interchangeable but if you use present continuous you **must say when** the event is happening.
  * Present simple is not commonly used in English to talk about the future except in cases like school subjects, cinema times, and train and bus times.
  * In spoken English the phrase 'going to' is normally contracted and pronounced as 'gonna'.

## Speaking about the future

_Work with a partner, if you can, and ask/answer these questions. If you're on your own you should think about these questions and write your answers instead._

  * What are you doing at the weekend?
  * If the weather's hot tomorrow, what will you do?
  * Who do you think will win the next World Cup?
  * Are you going on holiday this summer?
  * If a friend needs money, will you lend them some?

## Exercises

Try these questions to see if you can use future forms correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the correct future form:_

  1. I've just been to the travel agents, on Saturday **I'll go / I'm going** to London.
  2. According to the timetable, the next bus **will arrive / arrives** at 10:05.
  3. I think that Manchester United **will win / are going to win** the match.
  4. It's getting very cold. **Will you / Are you going to** close the window?
  5. On Sunday I **will visit / am going to visit** my grandmother.

## Grammar Reference

For further information about future forms see [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 6 - I used to be a student

# I used to be a student

**Aim of this lesson:** learn how to talk about past states and habits which are no longer true and learn vocabulary related to schools and school subjects.

## Dialogue

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/61thomas.jpg/300px-61thomas.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Traditional American yellow school bus

_Read the following dialogue then practice it with a partner if possible. Does John live in Nottingham? Does John play football?_

John is meeting Mr. Roberts for a job interview in Manchester.

(_[listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit6.ogg)_)

John
What would you like to know, sir?

Mr. Roberts
Could you tell me about your hobbies and what you do in your free time?

John
When I was younger I used to play football every week. I even played for my local team. Unfortunately, I don't have time to play any more. When I have the time I usually go to the theatre, play tennis or walk in the countryside.

Mr. Roberts
Do you drive?

John
I can drive but I don't have a car any more. I don't need one because I always use the bus.

Mr. Roberts
Have you always lived in Manchester?

John
I didn't use to live in Manchester. I used to live in Nottingham but I moved here to find work.

Mr. Roberts
OK thank you Robert. I will contact you in the next few days.

## Grammar Focus - Used to, No longer, Usually

English for B2 students Grammar • Print version  
Used to, No longer & Usually ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Form Usage Example

used to + infinitive (without to)
used to talk about past events which are not true now.
"I used to play football (but now I don't)" = I played football in the past. Now I don't play.

no longer + infinitive (without to)
used to talk about past events which are not true now.
"I no longer play football" = I played football in the past. Now I don't play.

usually + infinitive (without to)
used to talk about present situations
"I usually play football"

  * With _used to_ we can specify that it doesn't happen now (as in the example above).
  * With _no longer_ we can't say that it doesn't happen now as this is assumed.
  * "I used to live in Madrid but now I don't" but not <strike>"I no longer live in Madrid but now I don't"</strike> use instead just "I no longer live in Madrid".

## Vocabulary Focus - School

English for B2 students Vocabulary • Print version  
School & Subjects ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Word Definition

timetable
document which tells you what time you have lessons

canteen
place in a school where students eat lunch

home economics
subject where students learn to cook

physics
subject where you study forces, gravity and energy

maths (_math_ in the USA)
subject where you study numbers

schoolmate
another word for your friends at school

packed lunch
Lunch for students prepared at home by their mother or father

to play truant
informal name for when a student chooses NOT to go to school

head teacher (_principal_ in the USA)
the boss or director of the school

## Speaking about School

_Try asking and answering these questions in pairs. If you're working alone then write down your answers. Remember that if you're still studying you should answer using the present simple. If you've finished studying then you should answer using the past simple or with_ used to.

  * What is/was your favourite school subject?
  * What subjects are/were you good at?
  * What subject or sport did you use to be good at?
  * Who is/was your favourite and worst school teacher? Why?
  * Do/Did you like school? Why?

## Exercises

Try these questions to see if you can answer these questions and use this lesson's grammar correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using **used to**, **usually** or **no longer**:_

  1. Do you play football? I ______ play but now I have no free time.
  2. Every weekend I meet my friends and we ______ go to the cinema.
  3. I _____ live in Germany. I love living in Spain.
  4. What do you ______ do at the weekend?
  5. I'm sad because I ______ have the time to meet my friends for a drink.

## Grammar Reference

For further information about _used to_ and _usually see_ [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Progress Test 1

[English for B2 Students/Unit 1 to 6 Progress Test](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_1_to_6_Progress_Test&action=edit&redlink=1)

  


# Unit 1 to 6 Progress Test

## Progress Test for Units 1 to 6

_Try these exercises without consulting the previous units. For answers click [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers). (Please write your answers on a printout, don't edit them into this page.) Good luck!!_

### Grammar

Complete the following sentences using the most appropriate verb form:

Today has been a very long day so far. I ______ (travel) over 100 kilometres to visit my Auntie. Thankfully, now I _______ (rest) and ______ (eat) dinner before I continue with my journey. Tomorrow will also be a long day. I have to wake up at 6am because my train ______ (leave) at 7am. Then later I ______ (have) lunch with my Auntie. I love visiting my Auntie and have very happy memories. When I was a child we ________ (go) there every summer for two weeks but unfortunately I don't have time to visit as often nowadays.

### Vocabulary

Complete these sentences:

  1. Are you scared _____ anything?
  2. Have you ever ___ (=practiced) __ judo or karate?
  3. How many years has your auntie been married ___ your _____ ?
  4. Have you ever been _____ America?
  5. Have you ever taken your car on a _____ [boat which carries vehicles]?
  6. If you had €1,000,000, what ____ you buy?
  7. Where are you going _____ holiday this summer?
  8. When you were at school did you ever(= skip it) _____ _____ [not go to school because you didn't want to]?

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 8 - The film had already started when we arrived

# The film had already started when we arrived

**Aim of this lesson:** Learn about and use the Past Perfect and understand the difference between the tense and Past Simple. Vocabulary that will be taught is related to cinema.

## Speaking about films

_Work with a partner, if you can, and ask/answer these questions. If you're on your own you should think about these questions and write your answers instead._

  * What's your favourite kind of film?
  * What films have you seen this year?
  * Who is your favourite male or female actor?
  * What's the best film you've ever seen?
  * Do you prefer watching films at home or at the cinema?

## Grammar - Past Perfect

Past perfect is used in English to indicate that an event occurred before another past event.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/LowryCentre.jpg/330px-LowryCentre.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Lowry Centre, Salford Quays, United Kingdom

English for B2 students Grammar • Print version  
Past Perfect ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Form Example

\+ positive
subject + had + past participle
I had just eaten dinner when the phone rang.

\- negative
subject + hadn't (had not) + past participle
I hadn't started making dinner when the electricity went off

 ? questions
had + subject + past participle
Had you ever worked in a bar before getting this job?

  * It is very unusual to use past perfect on its own. This tense is almost always used with past simple or another tense as you can see in the examples above.

  * the negative form of the past perfect isn't very common

  * "I had just eaten dinner when the phone rang" - first I ate dinner and then the phone rang.

### Further examples of past simple and past perfect

  * How many hours had you slept for when your alarm clock went off this morning?
  * My mother was angry because I had crashed her car.
  * She didn't realise that she had forgotten her credit card until she got to the cash machine.
  * I had only walked 100 metres when it started raining.

## Vocabulary - Entertainment

Look at the table below. Do you know the correct definitions for this vocabulary related to cinema? Click on the 'show' button on the right for the correct answers.

English for B2 students Vocabulary • Print version  
Cinema - Rearrange the Definitions ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Cinema vocabulary Definition

set (verb)
music of a film.

scene (noun)
type of film, e.g. horror, sci-fic, comedy.

soundtrack (noun)
a specific part of a film.

genre (noun)
the main actors and co-actors of a film.

star (noun and verb)
describes where a film is located and the time it is.

English for B2 students Vocabulary • Print version  
Cinema - Correct Answers ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Cinema vocabulary Definition

set (verb)
describes where a film is located and the time it is.

scene (noun)
a specific part of a film

soundtrack (noun)
music of a film.

genre (noun)
type of film, e.g. horror, sci-fic, comedy

star (noun and verb)
the main actors and co-actors of a film.

## Exercises

Try these questions to see if you know how to use past simple and past perfect correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the verb in brackets in the correct form:_

  1. The burglars ____________ (escape) when the police __________ (arrive).
  2. When she __________ (arrive), the party ____________ (finish).
  3. When they __________ (get) to the hospital, she __________ (give) birth.
  4. Before we __________ (come) to London, we __________ (live) in 10 different cities.
  5. He __________ (be) on a plane, so he __________ (be) tired.

## Grammar Reference

For further information about using past perfect and past simple see [Tenses and Forms](http://en.wikibooks.org/wiki/English_for_B2_Students/Tenses_and_Forms).

  


![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 9 - I want to be a scientist

# I want to be a scientist

**Aim of this lesson:** Identify and use verb patterns. Verb patterns describe the form of verb which follows the first verb. The second verb can be in the infinitive, gerund or bare infinitive (without 'to'). Also you will learn to talk about jobs: job titles and routines.

## Speaking about jobs

_Work with a partner, if you can, and ask/answer these questions. If you're on your own you should think about these questions and write your answers instead._

  * Do you work or study?
  * How long have you been working / studying? (note. use the [Present Perfect](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) when answering this question)
  * What job did you want to do when you were 10 years old?
  * Are there any jobs you would hate doing? Why? (note. use the [2nd Conditional](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) when answering this question)
  * In your job, what do you enjoy doing?

## Grammar - Verb Patterns

In English when we use two verbs together we have to decide what form the second verb should take. We can choose between infinitive (to eat), gerund (eating) or infinitive without to (eat). The form of the second verb depends on the first verb. This table shows some common verbs and the form that the second verb should take.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/af/Einstein1921_by_F_Schmutzer_2.jpg/200px-Einstein1921_by_F_Schmutzer_2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Albert Einstein, Vienna, 1921

English for B2 students Grammar • Print version  
Verb Patterns ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Verb + Infinitive Verb + Gerund Verb + Infinitive (-to)

want
like
must

decide
hate
should

would like
love
can

forget
suggest
will

choose
enjoy
may

  * Some verbs like _start, begin and prefer_ can be followed by gerun or infinitive without any change in meaning.

  * _Remember_ if followed by an infinitive suggests something that you shouldn't forget (Please remember to close the window). _Remember_ followed by a gerund is used to talk about a past event that you still remember (I remember closing the window [yesterday]).

  * Don't forget that many of these verbs can usually be followed by a noun instead of a verb.

### Examples of Verb Patterns

  * Roger suggested going to the cinema (suggest + ing)
  * What do you want to eat? (want + infinitive)
  * I'm sorry but I must go now. (must + infinitive without 'to')
  * She hates swimming at 12:00pm ( hate + ing )

## Vocabulary - Jobs

Look at the table below. Do you know the correct definitions for these jobs? Click on the 'show' button on the right for the correct answers.

English for B2 students Vocabulary • Print version  
Jobs - Rearrange the Definitions ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Job Definition

farmer
works with numbers and financial accounts

traffic warden
works with animals and plants.

air traffic controller
works with people and criminals in court.

plumber
works with water and toilets.

lawyer
works on the street and looks at parked cars.

accountant
works at an airport directing planes

English for B2 students Vocabulary • Print version  
Jobs - Correct Answers ![Flag of the United Kingdom.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_the_United_Kingdom.svg/15px-Flag_of_the_United_Kingdom.svg.png)

Job Definition

farmer
works with animals and plants.

traffic warden
works on the street and looks at parked cars.

air traffic controller
works at an airport directing planes.

plumber
works with water and toilets.

lawyer
works with people and criminals in court.

accountant
works with numbers and financial accounts

## Exercises

Try these questions to see if you know your verb patterns and vocabulary about jobs. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the correct modal verb:_

  1. When I am older I would like **to live / living** in the USA.
  2. Have you decided what **to buy / buying / buy** yet?
  3. It's a secret. You mustn't **to tell / telling / tell** anybody!
  4. I suggest **to go / going / go** to the seaside at the weekend.
  5. Please don't forget **to close / closing / close** the window before you leave.

## Grammar Reference

For further information about verb patterns and the use of infinitive, gerund or bare infinitive see [Using Verbs Together](http://en.wikibooks.org/wiki/English_for_B2_Students/Using_Verbs_Together).

  


![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Unit 10 - You mustn't smoke in here

# You mustn't smoke in here

**Aim of this lesson:** Introduce and practice modals of deduction and use some language related to hotels and other accommodation.

Sally is a tourist and she's visiting Dublin for a few days. She has just arrived at the Victoria Hotel.

## Dialogue

(_[listen](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=B2_unit10.ogg)_)

Sally
Hello, my name's Sally, and I have a room reserved for tonight.

Receptionist
Hello, Sally. Welcome to the Victoria Hotel. Can I have your passport please?

Sally
Here you are.

Receptionist
OK. It'll be €55.00 for the night. Your room is number 405 and it's on the fourth floor near the lift.

Sally
Great, thanks. Can someone help me with my bags, please?

Receptionist
Certainly. Roger, our porter, will show you to your room.

_Next Dialogue_

Roger
Here's your room. Is this OK for you?

Sally
Yes, it looks fine.

Roger
There are some hotel rules which I must tell you about. Firstly, you mustn't smoke in the room and you mustn't make a lot of noise after 10pm. Also you have to vacate the room before 10am.

Herr Schwarz
OK, that's not a problem. Are non-guests allowed in the hotel rooms?

Franz
Yes, but they have to leave before 10pm. Enjoy your stay at the Victoria Hotel. Good evening.

## Grammar Focus - Modals of Obligation

![No smoking symbol.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/No_smoking_symbol.svg/200px-No_smoking_symbol.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

_Modals of obligation_ are used to talk about permission and prohibition.

English for B2 students Grammar • Print version  
Modal Verbs ![Flag of the United Kingdom.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_United_Kingdom.png/15px-Flag_of_the_United_Kingdom.png)

Modal verb Explanation

must
obligations (often personal obligations)

mustn't
prohibited, forbidden

have to
obligations (often external obligations)

don't have to
not required, optional

should
recommended, advised

shouldn't
not recommended, not advised

  * In most situations **must** and **have to** are interchangeable. We often use **must** when we refer to personal obligations (I must go now because it's late). We often use **have to** to talk about external obligations which are not our choice (You have to pay taxes). However you are more likely to see **must** used on signs and in formal situations.

  * All of the modal verbs remain the same in the 3rd person (i.e. I must, You must, He/She must) except for _have to_ (3rd person is _has to_).

  * All of the modal verbs are followed by a verb in the infinitive (I shouldn't smoke)

  * The past tense of **must** is **had to**. The past tense of **have to** is also **had to**.

  * _Have to_ is never contracted. "I have to go to work" NOT <strike>"I've to go to work"</strike>

## Speaking about Rules

_Work with a partner if possible to answer these questions._

  1. Does your workplace or school have many rules? What mustn't you do?
  2. Can you think of any rules in your local café or shop? What things must or mustn't you do?
  3. In some countries like Australia you _have to_ vote in elections. Do you think this is a good idea?

## Vocabulary - Hotels & Accommodation

## Exercises

Try these questions to see if you can use modal verbs correctly. The answers can be found [here](http://en.wikibooks.org/wiki/English/English_for_B2_Students/Answers).

_Complete the following sentences using the correct modal verb:_

  1. I'm very sorry but you **mustn't / don't have to** smoke here.
  2. Sir, you **have to / must** leave your passport at the reception.
  3. My doctor says that I **shouldn't / should** smoke.
  4. The bus was cancelled so we **had to / must** take a taxi.
  5. I **mustn't / don't have to** go to work on Saturday because the office is closed.

## Grammar Reference

For further information about the use of modals of obligation see [Modal Verb](http://en.wikipedia.org/wiki/Modal_verb) on Wikipedia.

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

{{print entry|Unit 11|Unit 11 - Mary is wearing a beautiful, old dress]] {{print entry|Unit 12|Unit 12 - Rome wasn't built in a day}]

# Progress Test 2

[English for B2 Students/Unit 7 to 12 Progress Test](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7_to_12_Progress_Test&action=edit&redlink=1)

  


# Grammar

[English for B2 Students/FCE Grammar Reference](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/FCE_Grammar_Reference&action=edit&redlink=1)

  


# Vocabulary Extra

[English for B2 Students/Vocabulary Extra](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Vocabulary_Extra&action=edit&redlink=1)

  


# Further Reading Practice

## What should you read in English?

By this stage you should be able to understand the main idea and key words of many articles. You will still have difficulty recognising and using many words but you should not let this prevent you from attempting to read in English. The following newspapers can be read online. Newspapers like _The Guardian_ are considered to be broadsheet newspapers and articles are usually longer and may use more formal vocabulary. Newspapers like _The Sun_ are tabloid newspapers and their articles are often shorter, with more pictures but they may use very informal language, idioms and phrasal verbs which may be a challenge for non-native speakers to read. English varies around the world so you should try to read articles from many different countries

  * [Guardian Online](http://www.guardian.co.uk) (British)
  * [The Independent](http://www.independent.co.uk) (British)
  * [The Sun](http://www.thesun.co.uk) (British)
  * [Cape Times](http://www.capetimes.co.za/) (South African)
  * [Strait Times](http://www.straitstimes.com/) (Singaporean)
  * [Washington Post](http://www.washingtonpost.com) (American)

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Answers to exercises and tests

## Answers to exercises and tests

## Unit 1 Answers

  1. of, of
  2. TBC
  3. TBC
  4. TBC
  5. TBC

## Unit 2 Answers

  1. is smoking
  2. am studying
  3. have - use present simple to describe possession
  4. am meeting - use present continuous to describe future arrangements
  5. am having - _have_ here describes an action so we use present continuous

## Unit 3 Answers

  1. Have you ever eaten - we use present perfect because we mean _at any time in your life_
  2. went - we use pass simple because we know _when_ it happened: _last year_
  3. have never seen
  4. hasn't eaten - don't forget the third person _s_ with _he_ and _she_
  5. went - we use pass simple because the question tells us _when_: _last summer_

## Unit 4 Answers

  1. If I were very rich, I would stay in 5 star hotels.
  2. If I go out on Saturday, I will drink red wine.
  3. If I hadn't woken up this morning, I wouldn't have learned about conditionals.
  4. If I could choose any wife, I would choose Shakira.
  5. I will buy a new DVD if I get paid this week.

## Unit 5 Answers

  1. I'm going - we use _going to_ because it is a plan
  2. arrives - we can use present simple when talking about timetabled events
  3. will win - we usually use _will_ to talk about predictions
  4. will you - for questions about unplanned events use _will_
  5. am going to visit

## Unit 6 Answers

  1. used to
  2. usually
  3. used to _or_ no longer
  4. usually
  5. no longer

## Unit 7 Answers

## Unit 8 Answers

  1. The burglars had escaped when the police arrived.
  2. When she arrived the party had finished.
  3. When they got to the hospital she had given birth.
  4. Before we came to London we had lived in 10 different cities.
  5. He had been on a plane so he was tired.

## Unit 9 Answers

  1. to live
  2. to buy
  3. tell
  4. going
  5. to close

## Unit 10 Answers

  1. I'm very sorry but you mustn't smoke here.
  2. Sir, you have to leave your passport at the reception.
  3. My doctor says that I shouldn't smoke.
  4. The bus was cancelled so we had to take the taxi.
  5. I don't have to go to work on Saturday because the office is closed.

## Unit 11 Answers

  1. beautiful new striped
  2. long curly black

## Unit 12 Answers

## Test 1 Answers

### Grammar

  1. have travelled
  2. am resting
  3. [am] eating
  4. will leave
  5. will have
  6. went

### Vocabulary

  1. of
  2. done
  3. uncle
  4. to
  5. ferry
  6. would
  7. on
  8. play truant

## Test 2 Answers

![Graduation hat.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Graduation_hat.svg/30px-Graduation_hat.svg.png) [English for B2 students](http://en.wikibooks.org/wiki/English/English_for_B2_Students)

• [Aims](http://en.wikibooks.org/wiki/English_for_B2_Students/Aims) • [Unit 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_1) • [Unit 2](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_2) • [Unit 3](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_3) • [Unit 4](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_4) • [Unit 5](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_5) • [Unit 6](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_6) • [Test 1](http://en.wikibooks.org/wiki/English_for_B2_Students/Progress_Test_1)

• [Unit 7](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_7&action=edit&redlink=1) • [Unit 8](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_8) • [Unit 9](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_9) • [Unit 10](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_10) • [Unit 11](http://en.wikibooks.org/wiki/English_for_B2_Students/Unit_11) • [Unit 12](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Unit_12&action=edit&redlink=1) • [Test 2](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Progress_Test_2&action=edit&redlink=1)

  


# Links

Links to related web resources:

  * [About the Cambridge FCE Exam](http://www.cambridgeesol.org/exams/fce.htm)
  * [Language Exchange Community--Practise your learning language with native speakers](http://www.italki.com)
  * [RoPeCast](http://www.ropecast.de) \- A biweekly **podcast** for advanced learners of English. _Culture, Language, Learning tips._
  * [Common European Framework levels](http://en.wikibooks.org/wiki/English_for_B2_Students/CEF)
  * [Games Zone - Online English Games](http://www.english-online.org.uk/games/gamezone2.htm)
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&oldid=2209055](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&oldid=2209055)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [English for B2 Students](http://en.wikibooks.org/wiki/Category:English_for_B2_Students)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=English+for+B2+Students%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=English+for+B2+Students%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:English_for_B2_Students/Print_version)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/English_for_B2_Students/Print_version)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/English_for_B2_Students/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/English_for_B2_Students/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&oldid=2209055)
    * [Page information](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=English_for_B2_Students%2FPrint_version&id=2209055)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=English+for+B2+Students%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=English+for+B2+Students%2FPrint+version&oldid=2209055&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=English_for_B2_Students/Print_version&printable=yes)

    * This page was last modified on 11 November 2011, at 00:26.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/English_for_B2_Students/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
