# Adam Cornford

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Adam Cornford** (born February 26, 1950, in [Newcastle-upon-Tyne](http://en.wikipedia.org/wiki/Newcastle-upon-Tyne), [England](http://en.wikipedia.org/wiki/England)) is a British [poet](http://en.wikipedia.org/wiki/Poet), [librettist](http://en.wikipedia.org/wiki/Librettist), and [essayist](http://en.wikipedia.org/wiki/Essayist).

## Contents

  * [1 Biography](Special:Random.html#Biography)
  * [2 Poetry](Special:Random.html#Poetry)
    * [2.1 Collections and longer works](Special:Random.html#Collections_and_longer_works)
    * [2.2 Journals](Special:Random.html#Journals)
    * [2.3 Anthologies](Special:Random.html#Anthologies)
  * [3 Poetry teaching – children](Special:Random.html#Poetry_teaching_.E2.80.93_children)
  * [4 Selected essays](Special:Random.html#Selected_essays)
  * [5 Librettos and other musical texts](Special:Random.html#Librettos_and_other_musical_texts)
  * [6 Reviews](Special:Random.html#Reviews)
  * [7 Awards](Special:Random.html#Awards)
  * [8 References](Special:Random.html#References)
  * [9 External links](Special:Random.html#External_links)

## Biography[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=1)]

Adam Francis Cornford is the son of [Christopher Cornford](http://en.wikipedia.org/wiki/Christopher_Cornford) and a lineal descendant of naturalist [Charles Darwin](http://en.wikipedia.org/wiki/Charles_Darwin). Cornford moved to California in 1969 after shifting his academic focus from biology to literature and art. He attended the [University of California at Santa Cruz](http://en.wikipedia.org/wiki/UC_Santa_Cruz), where he studied with (and was first published by) _kayak_ editor George Hitchcock; and [San Francisco State University](http://en.wikipedia.org/wiki/San_Francisco_State_University), where his mentor was the Greek surrealist [Nanos Valaoritis](http://en.wikipedia.org/wiki/Nanos_Valaoritis). Among his books are three collections of poetry: _Shooting Scripts_ (Black Stone Press, 1978); _Animations_ (City Lights Books, 1988); and _Decision Forest_ (Pantograph Press, 1997). He considers himself a neo-surrealist, and shares the surrealist view that the true goal of poetry is what the original group around [André Breton](http://en.wikipedia.org/wiki/Andr%C3%A9_Breton) called "the total liberation of the mind and of all that resembles it" [("Declaration of January 27, 1925")](http://www.historyguide.org/europe/breton.html). He also has translated poetry by the surrealist [Benjamin Perét](http://en.wikipedia.org/wiki/Benjamin_Per%C3%A9t) and also the seminal account by [Louis Aragon](http://en.wikipedia.org/wiki/Louis_Aragon) of the early days of the surrealist group, ["A Wave of Dreams" (1925)](http://www.durationpress.com/authors/aragon/home.html).

Cornford has published articles about labor movements and political and cultural analyses for _Bad Subjects_, _The Progressive_, _The Dispatcher_ (the newspaper of the International Longshore and Warehouse Union) and the underground information workers’ magazine _[Processed World](http://en.wikipedia.org/wiki/Processed_World_\(magazine\))_, of which he was a co-editor during 1981-1992 as well as a resident graphic artist and cartoonist. His two longest poems, "Lightning Rod to Storm" in _Animations_ (1988) and "The Snarling Gift" in _Terminal Velocities_ (1993) are both concerned with popular movements for social and environmental justice. The same is true of the two experimental radio theater works he co-authored with [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts), _Fundamentals_ (an early critical take on fundamentalist "televangelism") and _Ad Nauseam_ (a poetic examination of the deforming effects of commercial saturation on the imagination). There is a strong continuity between his poetic work and his activism, including his work as author and performer for the satirical antiwar street theater troupe the John Wayne Peace Institute (1980–81) and his participation in _Processed World_. His work is discussed in this context in the essay by [Andrew Joron](http://en.wikipedia.org/wiki/Andrew_Joron), "Neo-Surrealism: Or, The Sun at Night".

In collaboration with Emmy-award-winning composer [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts), he has written libretti and other musical texts, most recently the "Spider Woman" section for the orchestral song-cycle _From a Distant Mesa_.

From 1987 to 2008, Cornford was a faculty member at New College of California in San Francisco, where he taught the history and composition of poetry, drama, and interdisciplinary performance. Among his courses was a graduate writing seminar in Science and Poetry, reflecting his lifelong interest in the sciences, especially evolutionary biology, physics, and cosmology.

## Poetry[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=2)]

### Collections and longer works[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=3)]

  * _Decision Forest_ (poetry collection). Pantograph Press, Berkeley, CA, 1997, [ISBN 1-880766-15-9](http://en.wikipedia.org/wiki/Special:BookSources/1880766159).
  * _’Round Midnight_ (long poem chapbook), Altazor Editions, San Francisco, CA, 1989.
  * _Animations_ (poetry collection), City Lights Books, San Francisco, CA, 1988, [ISBN 0-87286-208-9](http://en.wikipedia.org/wiki/Special:BookSources/0872862089).
  * _Shooting Scripts_ (poetry collection), Black Stone Press, San Francisco, CA, 1978, [ISBN 0-686-28251-5](http://en.wikipedia.org/wiki/Special:BookSources/0686282515).

### Journals[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=4)]

1969-present. Poetry and translations have appeared in:

(Print) _[Antaeus_](http://en.wikipedia.org/wiki/Antaeus_\(magazine\)), _Antenym_, _[Bay Guardian](http://en.wikipedia.org/wiki/Bay_Guardian)_, _Beatitude_, _Caliban_, _City Lights Review_, _Compact Bone_, _Coracle_, _Gallery Works_, _Gas_, _Juxta_, _Mantis_, _Malthus_, _Melodeon_, _Mike & Dale’s Younger Poets_, _The New College Review_, _Prosodia_, _Root & Branch_, _syllogism_, _Talisman_, _Terra_, _Velocities_.

(Web): _The Alterran Poetry Assemblage #2_,[[1]](Special:Random.html#cite_note-1) _The Alterran Poetry Assemblage #3_,[[2]](Special:Random.html#cite_note-2) _[Angel Poetry_](http://www.sppacheco.com/main/Poetry/index.html), _[Counterexample Poetics_](http://www.counterexamplepoetics.com/), _black fire white fire_, _Deep Oakland_, _[Duration Press Archive_](http://www.durationpress.com/authors/aragon/home.html), _[Facture 1_](http://www.webdelsol.com/Facture/Facture1contents.htm), _[Facture 2_](http://www.webdelsol.com/Facture/Facture2contents.htm) , _[Five Fingers Review, Issue 16_](http://www.fivefingersreview.org/5FR16/index.htm), _[kayak_](http://www.abebooks.com/servlet/BookDetailsPL?bi=1022454950&searchurl=imagefield.x%3D11%26imagefield.y%3D14%26kn%3Dkayak%2Bmagazine%2B50%26prl%3D10.00%26sortby%3D1%26sts%3Dt), _[Montana Gothic_](http://www.peterkochprinters.com/show.php?bookid=48), _[Orpheus Grid_](http://www.abebooks.com/servlet/BookDetailsPL?bi=873246790&searchurl=kn%3DOrpheus%2BGrid%26sts%3Dt%26x%3D14%26y%3D11), [‘’The Pedestal Magazine’’](http://www.thepedestalmagazine.com/gallery.php?item=1736&fl=1&title=&author=Adam%20Cornford), _[Processed World_](http://www.processedworld.com/), _[ur-vox_](http://www.gallup-house.com/urvox.html), _MSNBC.com_.

### Anthologies[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=5)]

  * _The Alchemy of Stars: The Rhysling Award Winners Showcase_, Science Fiction Poetry Association, US, 2005, [ISBN 0-8095-1162-2](http://en.wikipedia.org/wiki/Special:BookSources/0809511622).
  * _2001: A Science Fiction Poetry Anthology_. Anamnesis Press, Ridgecrest, CA, 2001, [ISBN 1-892842-23-8](http://en.wikipedia.org/wiki/Special:BookSources/1892842238).
  * _The City Lights Pocket Poets Anthology_ (different poems in the two editions). City Lights Books, San Francisco, CA, 1995-1997.
  * _Terminal Velocities: An Anthology of Speculative Poetry_. ("The Snarling Gift," a 41-page poem). Velocities Publications, Berkeley, CA, 1993, [ISBN 1-880766-03-5](http://en.wikipedia.org/wiki/Special:BookSources/1880766035).
  * _Burning With A Vision: Poetry of Science and the Fantastic_. Owlswick Press, Philadelphia, PA, 1984, [ISBN 0-913896-23-3](http://en.wikipedia.org/wiki/Special:BookSources/0913896233).

## Poetry teaching – children[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=6)]

  * "Eating the Yema of the Sol" (six Spanish bilingual poetry lessons for children), ed. and intro., BUSD Publications, Berkeley, CA, 1981.
  * "These Words Are My Words," with Robert Glück, eds. and intro., (anthology of children’s poems from Berkeley Grade 2-3 classes), Poetry Playhouse, Berkeley, CA, 1980.

## Selected essays[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=7)]

  * "Given: An Autobiography" in Linda R. Andres and Marilyn O’Connell Allen, eds., _Contemporary Authors Autobiography Series_, vol. 28. Gale Research, Inc, Detroit, MI, 1997, [ISBN 0-7876-1143-3](http://en.wikipedia.org/wiki/Special:BookSources/0787611433).
  * "The Pyramid and the Tree" in Cornford, _Decision Forest_, op. cit. (and in updated version on [Cornford's official website](http://adamfcornford.wordpress.com/2009/02/04/the-pyramid-and-the-tree/)).
  * ["Colorless All-Color: Notes on White Culture"](http://bad.eserver.org/issues/1997/33/cornford.html) in ‘’Bad Subjects #33, Race Issue_, Berkeley, CA, 1997._
  * "Cosmology: Intelligence and Infinity in Language"[[3]](Special:Random.html#cite_note-3) in _Alterran Poetry Assemblage #3_, Toronto, Canada, 1996.

## Librettos and other musical texts[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=8)]

  * "Spider Woman" in _From a Distant Mesa_, an orchestral song cycle on the Southwest’s history and culture, with composer [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts), 2007.
  * _Otter’s Tale_ (spoken narrative to accompany an orchestral work by composer [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts)), 2001.
  * _The Pied Piper of Hamelin_ (libretto for children’s opera based on the poem by [Robert Browning](http://en.wikipedia.org/wiki/Robert_Browning), with composer [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts)), 1992.
  * _Ad Nauseam_ (one-hour radio performance work for three actors using sound collage and poetry, with [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts), 1985.
  * _Fundamentals_ (ninety-minute experimental theater piece using sound collage, slide projection, and choreopoetry; adapted for radio 1985, with [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts), 1984.)
  * _A Soldier’s Tale_ (futuristic comic reworking of the libretto/narrative for the [Igor Stravinsky](http://en.wikipedia.org/wiki/Igor_Stravinsky) piece, co-authored and performed with [Melinda Gebbie](http://en.wikipedia.org/wiki/Melinda_Gebbie) and Michael Peppe, together with the Berkeley Radio Symphony Orchestra under the direction of [Kent Nagano](http://en.wikipedia.org/wiki/Kent_Nagano)), 1984.
  * _Theater of Operations_ (experimental theater, performed with the music group the Funktionaries), 1980-81.

## Reviews[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=9)]

  * Andrew Joron, "Neo-Surrealism: Or, The Sun at Night", in the critical anthology _The World in Time and Space: Towards a History of Innovative American Poetry in Our Time,1970-2000_, Edward Foster and Joseph Donahue, eds., Talisman House, Jersey City, NJ, 2002, [ISBN 978-0-9744065-2-7](http://en.wikipedia.org/wiki/Special:BookSources/9780974406527).

## Awards[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=10)]

  * National Endowment of the Arts grant (with [Daniel Steven Crafts](http://en.wikipedia.org/wiki/Daniel_Steven_Crafts)) for _Fundamentals_ and _Ad Nauseam_, 1985.
  * [Rhysling Award](http://en.wikipedia.org/wiki/Rhysling_Award) for Best Short Poem, ["Your Time and You: A Neoprole’s Dating Guide"](http://adamfcornford.wordpress.com/2009/03/18/your-time-and-you-a-neoproles-dating-guide/), Science Fiction Poetry Association, 1981.

## References[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=11)]

  1. **[^](Special:Random.html#cite_ref-1)** ["Adam Cornford - MILLENNIUM: A Topology"](http://www.webcitation.org/5kmAM36rc). Archived from [the original](http://ca.geocities.com/alterra@rogers.com/corn.htm) on 2009-10-24. 
  2. **[^](Special:Random.html#cite_ref-2)** ["Adam Cornford - VISOR"](http://www.webcitation.org/5kmAMrfHO). Archived from [the original](http://ca.geocities.com/alterra@rogers.com/visor.htm) on 2009-10-24. 
  3. **[^](Special:Random.html#cite_ref-3)** ["Adam Cornford - Cosmology"](http://www.webcitation.org/5kmAMQir8). Archived from [the original](http://ca.geocities.com/alterra@rogers.com/cosm.htm) on 2009-10-24. 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit&section=12)]

  * [Adam Cornford's official Web site](http://adamfcornford.wordpress.com/)
  * [Short Bio for Adam Cornford](http://www.counterexamplepoetics.com/2009/03/five-poems-from-adam-cornford_02.html)
  * [Daniel Steven Crafts' official Web site](http://www.dscrafts.net/)

[Authority control](http://en.wikipedia.org/wiki/Authority_control)

  * [VIAF](http://en.wikipedia.org/wiki/Virtual_International_Authority_File): [53163371](https://viaf.org/viaf/53163371)

[Persondata](http://en.wikipedia.org/wiki/Wikipedia:Persondata)

Name
Cornford, Adam

Alternative names

Short description
British journalist

Date of birth
1950-02-26

Place of birth

Date of death

Place of death
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Adam_Cornford&oldid=558047955](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&oldid=558047955)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [British poets](http://en.wikipedia.org/wiki/Category:British_poets)
  * [English opera librettists](http://en.wikipedia.org/wiki/Category:English_opera_librettists)
  * [British essayists](http://en.wikipedia.org/wiki/Category:British_essayists)
  * [British journalists](http://en.wikipedia.org/wiki/Category:British_journalists)
  * [University of California, Santa Cruz alumni](http://en.wikipedia.org/wiki/Category:University_of_California,_Santa_Cruz_alumni)
  * [San Francisco State University alumni](http://en.wikipedia.org/wiki/Category:San_Francisco_State_University_alumni)
  * [New College of California faculty](http://en.wikipedia.org/wiki/Category:New_College_of_California_faculty)
  * [1950 births](http://en.wikipedia.org/wiki/Category:1950_births)
  * [Living people](http://en.wikipedia.org/wiki/Category:Living_people)
  * [People from Newcastle upon Tyne](http://en.wikipedia.org/wiki/Category:People_from_Newcastle_upon_Tyne)
  * [English expatriates in the United States](http://en.wikipedia.org/wiki/Category:English_expatriates_in_the_United_States)

Hidden categories: 

  * [Wikipedia articles with VIAF identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_VIAF_identifiers)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Adam+Cornford&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Adam+Cornford)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Adam_Cornford)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Adam_Cornford)
  * [Related changes](/wiki/Special:RecentChangesLinked/Adam_Cornford)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Adam_Cornford&oldid=558047955)
  * [Page information](/w/index.php?title=Adam_Cornford&action=info)
  * [Dat../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">](//www.wikidata.org/wiki/Q4678898)

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Adam_Cornford)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Adam_Cornford)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&oldid=558047955)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q4678898)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Adam_Cornford&id=558047955)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Adam+Cornford)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Adam+Cornford&oldid=558047955&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Adam_Cornford&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q4678898#sitelinks-wikipedia)

    * This page was last modified on 2 June 2013 at 23:36.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Adam_Cornford)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
