# Al Odah v. United States

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![Ambox current red.svg](../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Ambox_current_red.svg/42px-Ambox_current_red.svg.png)

Parts of this article (those related to article) are **outdated**. Please update this article to reflect recent events or newly available information. _(June 2008)_

![](../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Wikisource-logo.svg/38px-Wikisource-logo.svg.png)
[Wikisource](http://en.wikipedia.org/wiki/Wikisource) has original text related to this article: 

**[Declaration of Stephen Abraham, Lieutenant Colonel, United States Army Reserve, June 14th, 2007](http://en.wikisource.org/wiki/Declaration_of_Stephen_Abraham,_Lieutenant_Colonel,_United_States_Army_Reserve,_June_14th,_2007)**

_**Al Odah v. United States**_ is a court case filed by the [Center for Constitutional Rights](http://en.wikipedia.org/wiki/Center_for_Constitutional_Rights) and co-counsels challenging the legality of the continued detention as enemy combatants of [Guantanamo](http://en.wikipedia.org/wiki/Guantanamo_Bay_detention_camp) detainees. It was consolidated with _[Boumediene v. Bush](http://en.wikipedia.org/wiki/Boumediene_v._Bush)_ (2008), which is the lead name of the decision.

The case was a continuation of the landmark [Center for Constitutional Rights](http://en.wikipedia.org/wiki/Center_for_Constitutional_Rights) case _[Rasul v. Bush](http://en.wikipedia.org/wiki/Rasul_v._Bush)_ (2004). That decision determined that Guantanamo detainees had to be provided an opportunity before an impartial tribunal to challenge the grounds of their detention. Since that decision, Congress passed the Military Commissions Act of 2006, which restricted detainees from filing habeas corpus petitions in federal court.

_Al Odah_ is an umbrella effort, incorporating sixteen habeas corpus petitions. It was consolidated under _[Boumediene v. Bush](http://en.wikipedia.org/wiki/Boumediene_v._Bush)_, which shared habeas issues. Oral arguments were heard by the [Supreme Court](http://en.wikipedia.org/wiki/Supreme_Court_of_the_United_States) on December 5, 2007, and was one of the most anticipated cases before the Court in its term.[[1]](Special:Random.html#cite_note-theboard.blogs.nytimes.com-1)[[2]](Special:Random.html#cite_note-Cbs20070623-2)[[3]](Special:Random.html#cite_note-Affidavit-3)[[4]](Special:Random.html#cite_note-TheJurist20070622-4)[[5]](Special:Random.html#cite_note-WashingtonPost20070623-5)[[5]](Special:Random.html#cite_note-WashingtonPost20070623-5)[[6]](Special:Random.html#cite_note-BostonGlobe20070623-6)

The decision, striking down that provision of the [Military Commissions Act of 2006](http://en.wikipedia.org/wiki/Military_Commissions_Act_of_2006), was handed down on 12 June 2008. The Supreme Court ruled that detainees can appeal habeas corpus in civilian federal courts.[[7]](Special:Random.html#cite_note-NYT-7)[[8]](Special:Random.html#cite_note-8)

## Contents

  * [1 Case History](Special:Random.html#Case_History)
  * [2 Petitioners' and Respondents' briefs](Special:Random.html#Petitioners.27_and_Respondents.27_briefs)
  * [3 _Al Odah_ in the news](Special:Random.html#Al_Odah_in_the_news)
  * [4 Detainees whose cases were consolidated with _al Odah v. U.S._](Special:Random.html#Detainees_whose_cases_were_consolidated_with_al_Odah_v._U.S.)
  * [5 Military Commissions Act](Special:Random.html#Military_Commissions_Act)
  * [6 _Boumediene v. Bush_](Special:Random.html#Boumediene_v._Bush)
  * [7 References](Special:Random.html#References)
  * [8 External links](Special:Random.html#External_links)

## Case History[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=1)]

_Al Odah v. United States_ was originally filed by the [Center for Constitutional Rights](http://en.wikipedia.org/wiki/Center_for_Constitutional_Rights) and co-counsel in April 2002 on behalf of twelve imprisoned Kuwaitis, including [Fawzi Al Odah](http://en.wikipedia.org/wiki/Fouzi_Khalid_Abdullah_Al_Awda), seeking the right of [habeas corpus](http://en.wikipedia.org/wiki/Habeas_corpus). A government motion to dismiss the petition was granted on July 30, 2002 by Judge [Colleen Kollar-Kotelly](http://en.wikipedia.org/wiki/Colleen_Kollar-Kotelly) of the [US District Court for D.C.](http://en.wikipedia.org/wiki/United_States_District_Court_for_the_District_of_Columbia). The Center for Constitutional Rights appealed the case, which had been consolidated with the other two leading habeas corpus petitions, _[Rasul v. Bush](http://en.wikipedia.org/wiki/Rasul_v._Bush)_ and _Habib v. Bush_. On March 11, 2003, the D.C. Circuit Court of Appeals dismissed the case.

On November 10, 2003, the Supreme Court granted _[certiorari](http://en.wikipedia.org/wiki/Certiorari)_ to the three leading habeas petitions, consolidated under the name _Rasul v. Bush_. On June 28, 2004, the Supreme Court issued a landmark decision on the subject of Guantanamo detainees. In _Rasul v. Bush_, the Court determined that with respect to Guantanamo, the right to habeas corpus does not depend on citizenship. This decision affirmed the jurisdiction of the U.S. court system over Guantanamo cases, as it ultimately had jurisdiction over the custodians of the detainees. It affirmed the right of detainees to challenge their detention before an impartial tribunal. Following this decision, the Court remanded the habeas petitions to lower courts for decisions.

On July 7, 2004, the Department of Defense established [Combatant Status Review Tribunals](http://en.wikipedia.org/wiki/Combatant_Status_Review_Tribunal) (CSRTs), military forums created as a substitute for the judicial process in U.S. civilian and military courts. The Bush administration has consistently asserted that the detainees at Guantanamo do not have the right to [due process](http://en.wikipedia.org/wiki/Due_process) and established the CSRT process as an alternative to review charges and determine if detainees were to be classified as enemy combatants.

Following the establishment of the tribunals, the government filed motions to dismiss pending habeas corpus cases, on the basis that the cases should be heard by the CSRT system. The District Court Judge [Richard J. Leon](http://en.wikipedia.org/wiki/Richard_J._Leon) dismissed two cases assigned to him on this basis on January 19, 2005. Days later, on January 31, Judge [Joyce Hens Green](http://en.wikipedia.org/wiki/Joyce_Hens_Green), who had been assigned in 2004 to coordinate all the habeas corpus petitions following the _Rasul v. Bush_ decision, ruled that detainees are entitled to constitutional protections, and that the CSRT system is inadequate to the task.

On December 30, 2005, Congress passed the [Detainee Treatment Act](http://en.wikipedia.org/wiki/Detainee_Treatment_Act) (DTA). In accordance with the Bush administration goals, the DTA removed Guantanamo habeas corpus cases from the jurisdiction of the US Circuit Court for D.C. and gave authority over these cases to the CSRT and military commission system set up by the Department of Defense.

In January 2006, government lawyers moved to dismiss pending habeas cases, arguing that the DTA should be applied retroactively. The affected cases included _Al Odah_ and _Boumediene_ at the US circuit court level, and _[Hamdan v. Rumsfeld](http://en.wikipedia.org/wiki/Hamdan_v._Rumsfeld)_ at the level of the Supreme Court.

On June 29, 2006, the Supreme Court ruled in _Hamdan_ that the DTA cannot be applied retroactively. It determined that the military commissions created by the executive branch violate both military law under the [Uniform Code of Military Justice](http://en.wikipedia.org/wiki/Uniform_Code_of_Military_Justice) and the [Geneva conventions](http://en.wikipedia.org/wiki/Geneva_conventions), to which the US is signatory and incorporated them into law. It ruled that the executive branch did not have the authority to set up a separate judicial system. The Supreme Court decision meant that _Boumediene_ and _Al Odah_ could continue in the U.S. civilian court system.

In response to the _Hamdan_ ruling, Congress passed the [Military Commissions Act of 2006](http://en.wikipedia.org/wiki/Military_Commissions_Act_of_2006) (MCA) to authorize a new form of military commissions; the president signed it on October 17, 2006. The MCA described the CSRT review process as a substitute for habeas proceedings in U.S. courts and excluded the judicial review of claims challenging detention by non-citizens determined by their CSRTs to be [enemy combatants](http://en.wikipedia.org/wiki/Enemy_combatants) or to be awaiting such determination. On February 20, 2007, the [US Court of Appeals for the District of Columbia](http://en.wikipedia.org/w/index.php?title=US_Court_of_Appeals_for_the_District_of_Columbia&action=edit&redlink=1) ruled that the _Boumediene_ and _Al Odah_ plaintiffs, as non-citizens, were not entitled to habeas review due to the passage of the Military Commissions Act.

The [Center for Constitutional Rights](http://en.wikipedia.org/wiki/Center_for_Constitutional_Rights) and its co-counsel appealed the consolidated cases to the Supreme Court. Initially, the Court refused to hear the case, advising attorneys and plaintiffs to exhaust the review process set up by the DTA. But, less than two months later, in its first reversal in 60 years, the Supreme Court agreed to hear the consolidated _Boumediene_ and _Al Odah_ case during the 2007-2008 term.[[9]](Special:Random.html#cite_note-CCR-Al_Odah_Case_Page-9)

Commentators have speculated that a widely publicized insider condemnation in November 2007 of the CSRT system was the catalyst for the Supreme Court's reversal. Lieutenant Colonel [Stephen Abraham](http://en.wikipedia.org/wiki/Stephen_Abraham), an Army Reserve officer who had been a panelist on a Combatant Status Review Tribunal, strongly criticized the process in a written affidavit of June 2007, saying that evidence was insufficient and that panelists had been pressured to find detainees were enemy combatants. [[10]](Special:Random.html#cite_note-10) He described the CSRT system as deeply flawed, saying that it relies on evidence that would not be permissible in a court of law and that it is designed to return a guilty verdict. Abraham submitted his affidavit to the Supreme Court on June 22, 2007, just days before the Court reversed its decision and added the _Boumediene_ and _Al Odah_ case to their 2007-2008 docket.[[11]](Special:Random.html#cite_note-11) Referring specifically to the Al Odah CSRT hearings, in which he participated, Abraham said, "What were purported to be specific statements of fact lacked even the most fundamental earmarks of objectively credible evidence."[[12]](Special:Random.html#cite_note-StephenAbrahamAffidavit-12)

The Supreme Court heard oral arguments on the case on December 5, 2007. Demonstrators dressed in detainee-like orange jumpsuits and black hoods assembled outside the building.[[13]](Special:Random.html#cite_note-13) The day in court was widely reported in the United States and international media.

## Petitioners' and Respondents' briefs[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=2)]

The petitioners characterized the [Guantanamo Bay detention camp](http://en.wikipedia.org/wiki/Guantanamo_Bay_detention_camp) as “an international symbol of the Executive branch’s contempt for the rule of law and a deep stain on the reputation of the United States at home and abroad.” The petitioners’ brief argues that the men at Guantanamo are entitled to _habeas corpus,_ and that the Military Commission Act violates the Constitution’s [suspension clause](http://en.wikipedia.org/wiki/Suspension_clause). The brief argues that the Combatant Status Review Tribunals and Military Commissions do not satisfy the requirements of habeas corpus. The petitioners conclude that detainees should be given a “searching judicial review of the factual and legal bases for their detentions."[[14]](Special:Random.html#cite_note-Brief_for_the_Petitioners-14)

In their brief, the government respondents argue that the Military Commissions Act eliminated federal court jurisdiction over Guantanamo habeas petitions. In addition, the respondents’ legal team submits that the Military Commissions Act does not violate the suspension clause and that the plaintiffs should exhaust the review system set up by the DTA before challenging its legitimacy.[[15]](Special:Random.html#cite_note-Brief_for_the_Respondents-15)

## _Al Odah_ in the news[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=3)]

The Supreme Court hearing of the _Boumediene v. Bush_ and _Al Odah v. US_ case was widely recognized in the media as a serious test of the Bush administration's policy with regard to Guantanamo and detainee rights. [Fox News](http://en.wikipedia.org/wiki/Fox_News_Channel) described _Boumediene v. Bush_ and _Al Odah_ as "one of the highest-profile cases the Supreme Court will hear this year."[[16]](Special:Random.html#cite_note-16) The IPS reported that "the decision of the nine justices" on the _Boumediene v. Bush_ and _Al Odah_ case "could bring the entire administration's detention policy down in flames -- or not."[[17]](Special:Random.html#cite_note-17) _[The New York Times](http://en.wikipedia.org/wiki/The_New_York_Times)_ Editorial Board addressed the case in their October 23 editorial, "The Supreme Court Showdown of the Year." The Times said "it is important for the Supreme Court to make clear that the detainees have a constitutional right to have a judge determine whether they are being properly held.”[[1]](Special:Random.html#cite_note-theboard.blogs.nytimes.com-1) The _[Village Voice](http://en.wikipedia.org/wiki/Village_Voice)_ wrote on November 6 that "we will know by the end of the court's term next year whether this Supreme Court...will continue to enforce the essential American principle that none of us is above the law—not even the person who strides to the music of 'Hail to the Chief.'"[[18]](Special:Random.html#cite_note-18)

The _New York Times_ previewed the December 5, 2007 oral arguments, saying that what is at stake in the case "is whether the Supreme Court itself will continue to have a role in defining the balance [of liberty versus security] or whether, as the administration first argued four years ago, the executive branch is to have the final word".

## Detainees whose cases were consolidated with _al Odah v. U.S._[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=4)]

    

**Some cases amalgamated with al Odah v. U.S.[[19]](Special:Random.html#cite_note-GuantanamoHabeasRespondentResponse-19)**

[065](http://en.wikipedia.org/wiki/Kuwaiti_detainees_at_Guantanamo_Bay)
Omar Rajab Amin

[205](http://en.wikipedia.org/wiki/Guantanamo_captive_205)
[Nasser Nijer Naser Al Mutairi](http://en.wikipedia.org/wiki/Nasser_Nijer_Naser_Al_Mutairi)

[213](http://en.wikipedia.org/wiki/Guantanamo_captive_213)
[Khalid Abdullah Mishal Al Mutairi](http://en.wikipedia.org/wiki/Khalid_Abdullah_Mishal_Al_Mutairi)

[217](http://en.wikipedia.org/wiki/Guantanamo_captive_217)
[Abdulaziz Sayer Owain Al Shammari](http://en.wikipedia.org/wiki/Abdulaziz_Sayer_Owain_Al_Shammari)

[220](http://en.wikipedia.org/wiki/Guantanamo_captive_220)
[Abdullah Saleh Ali Al Ajmi](http://en.wikipedia.org/wiki/Abdullah_Saleh_Ali_Al_Ajmi)

[228](http://en.wikipedia.org/wiki/Guantanamo_captive_228)
[Abdullah Kamal Abdullah Kamal Al Kandari](http://en.wikipedia.org/wiki/Abdullah_Kamal_Abdullah_Kamal_Al_Kandari)

[229](http://en.wikipedia.org/wiki/Guantanamo_captive_229)
[Mohammed Funaitel Al Dihani](http://en.wikipedia.org/wiki/Mohammed_Funaitel_Al_Dihani)

[232](http://en.wikipedia.org/wiki/Guantanamo_captive_232)
[Fawzi Khalid Abdullah Fahad Al Odah](http://en.wikipedia.org/wiki/Fawzi_Khalid_Abdullah_Fahad_Al_Odah)

[551](http://en.wikipedia.org/wiki/Guantanamo_captive_551)
[Fwad Mahmoud Al Rabiah](http://en.wikipedia.org/wiki/Fwad_Mahmoud_Al_Rabiah)

[552](http://en.wikipedia.org/wiki/Guantanamo_captive_552)
[Fayiz Mohammed Ahmed Al Kandari](http://en.wikipedia.org/wiki/Fayiz_Mohammed_Ahmed_Al_Kandari)

[568](http://en.wikipedia.org/wiki/Guantanamo_captive_568)
[Adil Zamil Abdull Mohssin Al Zamil](http://en.wikipedia.org/wiki/Adil_Zamil_Abdull_Mohssin_Al_Zamil)

## Military Commissions Act[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=5)]

The [Military Commissions Act of 2006](http://en.wikipedia.org/wiki/Military_Commissions_Act_of_2006) mandated that Guantanamo captives were no longer entitled to access the US civil justice system, so all outstanding habeas corpus petitions were stayed.[[20]](Special:Random.html#cite_note-McaLetter2006-10-16-20)

## _Boumediene v. Bush_[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=6)]

On June 12, 2008 the [United States Supreme Court](http://en.wikipedia.org/wiki/United_States_Supreme_Court) ruled, in _[Boumediene v. Bush](http://en.wikipedia.org/wiki/Boumediene_v._Bush),_ that the [Military Commissions Act](http://en.wikipedia.org/wiki/Military_Commissions_Act_of_2006) could not remove the right for [Guantanamo captives](http://en.wikipedia.org/wiki/Guantanamo_captives) to access the US Federal Court system. It said that all previous Guantanamo captives' habeas petitions were eligible to be re-instated.

On July 18, 2008 [David J. Cynamon](http://en.wikipedia.org/w/index.php?title=David_J._Cynamon&action=edit&redlink=1) filed a "PETITIONERS’ STATUS REPORT" in _[Al Odah, v. United States](http://en.wikipedia.org/wiki/Al_Odah,_v._United_States)_ [Civil Action No. CV 02-0828](http://en.wikipedia.org/wiki/Civil_Action_No._CV_02-0828) (CKK) on behalf of [Fawzi Khalid Abdullah Fahad Al Odah](http://en.wikipedia.org/wiki/Fawzi_Khalid_Abdullah_Fahad_Al_Odah), [Fayiz Mohammed Ahmen Al Kandari](http://en.wikipedia.org/wiki/Fayiz_Mohammed_Ahmen_Al_Kandari), [Khalid Abdullah Mishal Al Mutairi](http://en.wikipedia.org/wiki/Khalid_Abdullah_Mishal_Al_Mutairi), [Fouad Mahmoud Al Rabiah](http://en.wikipedia.org/wiki/Fouad_Mahmoud_Al_Rabiah).[[21]](Special:Random.html#cite_note-Cv08-0442Doc88-21) He wrote that they were the four remaining Kuwaiti captives in Guantanamo, and that none of the four men had been cleared for release. He wrote that the government had completed "factual returns" for all four men—but those factual returns had contained redacted sections.

On 12 December 2008 [DoJ official](http://en.wikipedia.org/wiki/United_States_Department_of_Justice) [John Battaglia](http://en.wikipedia.org/w/index.php?title=John_Battaglia&action=edit&redlink=1) filed a _"NOTICE OF SERVICE OF UNCLASSIFIED, PROTECTED FACTUAL RETURN"_ with regard to [Faez Mohammed Ahmed al-Kandari](http://en.wikipedia.org/wiki/Faez_Mohammed_Ahmed_al-Kandari) ([ISN 552](http://en.wikipedia.org/wiki/ISN_552)) in [Civil Action No. 02-CV-0828](http://en.wikipedia.org/wiki/Civil_Action_No._02-CV-0828) (CKK).[[22]](Special:Random.html#cite_note-Cv08-0442Doc1265-22) Battaglia sought to have the unclassified [factual return](http://en.wikipedia.org/wiki/Factual_return) designated as "[protected information](http://en.wikipedia.org/w/index.php?title=Protected_information&action=edit&redlink=1)". He added: "Respondents, however, do not object to petitioner’s counsel sharing the unclassified factual return with the petitioner-detainee in this case."

## References[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=7)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-theboard.blogs.nytimes.com_1-0) _**[b**_](Special:Random.html#cite_ref-theboard.blogs.nytimes.com_1-1) [The Supreme Court Showdown of the Year](http://theboard.blogs.nytimes.com/2007/10/23/the-supreme-court-showdown-of-the-year), _[The New York Times](http://en.wikipedia.org/wiki/The_New_York_Times)_, October 23, 2007
  2. **[^](Special:Random.html#cite_ref-Cbs20070623_2-0)** ["Gitmo Panelist Slams Hearing Process: Lt. Col. Stephen Abraham Is First Member Of Military Panel To Challenge Guantanamo Bay Hearings"](http://www.cbsnews.com/stories/2007/06/23/world/main2970288_page2.shtml). [CBS](http://en.wikipedia.org/wiki/CBS). June 23, 2007. Retrieved 2007-06-23. 
  3. **[^](Special:Random.html#cite_ref-Affidavit_3-0)** ["Declaration of Stephen Abraham, Lieutenant Colonel, United States Army Reserve, June 14th, 2007"](http://www.scotusblog.com/movabletype/archives/Al%20Odah%20reply%206-22-07.pdf) (PDF). [United States Supreme Court](http://en.wikipedia.org/wiki/United_States_Supreme_Court). June 14, 2007. [Archived](http://web.archive.org/web/20070705190910/http://www.scotusblog.com/movabletype/archives/Al%20Odah%20reply%206-22-07.pdf) from the original on 5 July 2007. Retrieved 2007-06-25. 
  4. **[^](Special:Random.html#cite_ref-TheJurist20070622_4-0)** [Mike Rosen-Molina](http://en.wikipedia.org/w/index.php?title=Mike_Rosen-Molina&action=edit&redlink=1) (June 22, 2007). ["Guantanamo tribunal officer says CSRTs pressured on 'enemy combatant' rulings"](http://jurist.law.pitt.edu/paperchase/2007/06/guantanamo-tribunal-officer-says-csrts.php). [The Jurist](http://en.wikipedia.org/wiki/The_Jurist). Retrieved 2007-06-25. 
  5. ^ _**[a**_](Special:Random.html#cite_ref-WashingtonPost20070623_5-0) _**[b**_](Special:Random.html#cite_ref-WashingtonPost20070623_5-1) [Carol D. Leonnig](http://en.wikipedia.org/wiki/Carol_D._Leonnig), [Josh White](http://en.wikipedia.org/wiki/Josh_White_\(journalist\)) (June 23, 2007). ["An Ex-Member Calls Detainee Panels Unfair: Lawyer Tells of Flawed 'Combatant' Rulings"](http://www.washingtonpost.com/wp-dyn/content/article/2007/06/22/AR2007062202230.html). [Washington Post](http://en.wikipedia.org/wiki/Washington_Post). Retrieved 2007-06-24. 
  6. **[^](Special:Random.html#cite_ref-BostonGlobe20070623_6-0)** [Farah Stockman](http://en.wikipedia.org/wiki/Farah_Stockman) (June 23, 2007). ["Officer criticizes military tribunals: Affidavit cites problems at Guantanamo Bay"](http://www.boston.com/news/nation/washington/articles/2007/06/23/officer_criticizes_military_tribunals/). [Boston Globe](http://en.wikipedia.org/wiki/Boston_Globe). Retrieved 2007-06-24.  [mirror](http://www.webcitation.org/query?url=http%3A%2F%2Fwww.boston.com%2Fnews%2Fnation%2Fwashington%2Farticles%2F2007%2F06%2F23%2Fofficer_criticizes_military_tribunals%2F&date=2008-10-24)
  7. **[^](Special:Random.html#cite_ref-NYT_7-0)** [Justices Rule Terror Suspects Can Appeal in Civilian Courts](http://www.nytimes.com/2008/06/13/washington/12cnd-gitmo.html?_r=1&hp&oref=slogin)
  8. **[^](Special:Random.html#cite_ref-8)** [Transcript of Supreme Court oral arguments for _Boumediene v. Bush_ (No. 06-1195) and _Al Odah v. US_ (06-1196)](http://www.supremecourt.gov/oral_arguments/argument_transcripts/06-1195.pdf)
  9. **[^](Special:Random.html#cite_ref-CCR-Al_Odah_Case_Page_9-0)** [CCR: Al Odah Case Page](http://www.ccrjustice.org/ourcases/current-cases/al-odah-v.-united-states)
  10. **[^](Special:Random.html#cite_ref-10)** ["Guantanamo Whistleblower Launches New Attack on Rigged Tribunals"](http://www.huffingtonpost.com/andy-worthington/guantanamo-whistleblower_b_73544.html), _[The Huffington Post](http://en.wikipedia.org/wiki/The_Huffington_Post)_, November 20, 2007
  11. **[^](Special:Random.html#cite_ref-11)** [Gitmo Panelist Slams Hearing Process](http://www.cbsnews.com/stories/2007/06/23/world/main2970288.shtml), _[CBS](http://en.wikipedia.org/wiki/CBS)_, June 23, 2007
  12. **[^](Special:Random.html#cite_ref-StephenAbrahamAffidavit_12-0)** [Stephen Abraham](http://en.wikipedia.org/wiki/Stephen_Abraham) (June 15, 2007). ["Declaration of Stephen Abraham"](http://www.scotusblog.com/movabletype/archives/Al%20Odah%20reply%206-22-07.pdf) (PDF). [United States Department of Justice](http://en.wikipedia.org/wiki/United_States_Department_of_Justice). p. page 8. [Archived](http://web.archive.org/web/20080511173758/http://www.scotusblog.com/movabletype/archives/Al%20Odah%20reply%206-22-07.pdf) from the original on 11 May 2008. Retrieved 2008-05-08. 
  13. **[^](Special:Random.html#cite_ref-13)** ["Court Divided After Day One of Guantanamo Case"](http://www.npr.org/templates/story/story.php?storyId=16962449), _[NPR](http://en.wikipedia.org/wiki/NPR)_, December 6, 2007
  14. **[^](Special:Random.html#cite_ref-Brief_for_the_Petitioners_14-0)** [Brief for the Petitioners](http://www.ccrjustice.org/files/Brief%20for%20Petitioners%20Al%20Odah,%20et%20al..pdf), Center for Constitutional Rights
  15. **[^](Special:Random.html#cite_ref-Brief_for_the_Respondents_15-0)** [Brief for the Respondents](http://www.ccrjustice.org/files/Brief%20for%20the%20Respondents.pdf)
  16. **[^](Special:Random.html#cite_ref-16)** [Exclusive: Clement Previews Detainee Case Before Supreme Court](http://www.foxnews.com/story/0,2933,309763,00.html), _[Fox News](http://en.wikipedia.org/wiki/Fox_News)_, November 7, 2007
  17. **[^](Special:Random.html#cite_ref-17)** [Gitmo Policy Faces Another Supreme Court Test](http://www.ipsnews.net/news.asp?idnews=40161), _[IPS](http://en.wikipedia.org/wiki/Inter_Press_Service)_, November 21, 2007
  18. **[^](Special:Random.html#cite_ref-18)** [Bush's Man Mukasey](http://www.villagevoice.com/news/0745,hentoff,78285,2.html), _[The Village Voice](http://en.wikipedia.org/wiki/The_Village_Voice)_, November 6, 2007
  19. **[^](Special:Random.html#cite_ref-GuantanamoHabeasRespondentResponse_19-0)** ["RESPONDENTS’ RESPONSE TO COURT’S AUGUST 7, 2006 ORDER"](http://web.archive.org/web/20080627111630/http://www.pegc.us/archive/OK_v_Bush/govt_resp_to_GK_20060815.pdf) (PDF). [United States Department of Defense](http://en.wikipedia.org/wiki/United_States_Department_of_Defense). August 15, 2006. Archived from [the original](http://www.pegc.us/archive/OK_v_Bush/govt_resp_to_GK_20060815.pdf) on 2008-06-27. Retrieved 2008-06-23. 
  20. **[^](Special:Random.html#cite_ref-McaLetter2006-10-16_20-0)** [Peter D. Keisler](http://en.wikipedia.org/wiki/Peter_D._Keisler), [Douglas N. Letter](http://en.wikipedia.org/w/index.php?title=Douglas_N._Letter&action=edit&redlink=1) (2006-10-16). ["NOTICE OF MILITARY COMMISSIONS ACT OF 2006"](http://natseclaw.typepad.com/natseclaw/files/Hamdan.28j.letter.pdf) (PDF). [United States Department of Justice](http://en.wikipedia.org/wiki/United_States_Department_of_Justice). [Archived](http://web.archive.org/web/20081002190428/http://natseclaw.typepad.com/natseclaw/files/Hamdan.28j.letter.pdf) from the original on 2 October 2008. Retrieved 2008-09-30.  [mirror](http://www.webcitation.org/query?url=http%3A%2F%2Fnatseclaw.typepad.com%2Fnatseclaw%2Ffiles%2FHamdan.28j.letter.pdf&date=2008-09-30)
  21. **[^](Special:Random.html#cite_ref-Cv08-0442Doc88_21-0)** [David J. Cynamon](http://en.wikipedia.org/w/index.php?title=David_J._Cynamon&action=edit&redlink=1) (2008-08-19). ["Guantanamo Bay Detainee Litigation: Doc 88 -- petitioners' status report"](http://docs.justia.com/cases/federal/district-courts/district-of-columbia/dcdce/1:2008mc00442/131990/88/0.pdf) (PDF). [United States Department of Justice](http://en.wikipedia.org/wiki/United_States_Department_of_Justice). Retrieved 2008-08-23.  [mirror](http://www.webcitation.org/query?url=http%3A%2F%2Fdocs.justia.com%2Fcases%2Ffederal%2Fdistrict-courts%2Fdistrict-of-columbia%2Fdcdce%2F1%3A2008mc00442%2F131990%2F88%2F0.pdf&date=2008-08-22)
  22. **[^](Special:Random.html#cite_ref-Cv08-0442Doc1265_22-0)** [John Battaglia](http://en.wikipedia.org/w/index.php?title=John_Battaglia&action=edit&redlink=1) (2008-12-12). ["Guantanamo Bay Detainee Litigation: Doc 1265 -- NOTICE OF SERVICE OF UNCLASSIFIED, PROTECTED FACTUAL RETURN"](http://docs.justia.com/cases/federal/district-courts/district-of-columbia/dcdce/1:2008mc00442/131990/1265/0.pdf). [United States Department of Justice](http://en.wikipedia.org/wiki/United_States_Department_of_Justice). Retrieved 2008-12-20. 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit&section=8)]

  * ["MEMORANDUM OPINION (July 26, 2004)"](http://www.pegc.us/archive/Al_Odah_vs_US/memo_opinion_20040727.pdf) (PDF). [United States Department of Justice](http://en.wikipedia.org/wiki/United_States_Department_of_Justice). 2004-07-26. Retrieved 2008-11-19. [_[dead link](http://en.wikipedia.org/wiki/Wikipedia:Link_rot)_] [mirror](http://www.webcitation.org/query?url=http%3A%2F%2Fwww.pegc.us%2Farchive%2FAl_Odah_vs_US%2Fmemo_opinion_20040727.pdf&date=2008-11-19)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&oldid=540996814](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&oldid=540996814)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [United States habeas corpus case law](http://en.wikipedia.org/wiki/Category:United_States_habeas_corpus_case_law)
  * [Guantanamo captives' habeas corpus petitions](http://en.wikipedia.org/wiki/Category:Guantanamo_captives%27_habeas_corpus_petitions)

Hidden categories: 

  * [Wikipedia articles in need of updating from June 2008](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_in_need_of_updating_from_June_2008)
  * [All Wikipedia articles in need of updating](http://en.wikipedia.org/wiki/Category:All_Wikipedia_articles_in_need_of_updating)
  * [All articles with dead external links](http://en.wikipedia.org/wiki/Category:All_articles_with_dead_external_links)
  * [Articles with dead external links from October 2010](http://en.wikipedia.org/wiki/Category:Articles_with_dead_external_links_from_October_2010)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Al+Odah+v.+United+States&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Al+Odah+v.+United+States)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Al_Odah_v._United_States)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Al_Odah_v._United_States)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Al_Odah_v._United_States)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&oldid=540996814)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q16148614)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Al_Odah_v._United_States&id=540996814)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Al+Odah+v.+United+States)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Al+Odah+v.+United+States&oldid=540996814&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Al_Odah_v._United_States&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q16148614#sitelinks-wikipedia)

    * This page was last modified on 27 February 2013 at 17:47.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Al_Odah_v._United_States)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
