# Arches of the foot

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

_Arches of the foot_

![Gray290.png](../../upload.wikimedia.org/wikipedia/commons/thumb/8/81/Gray290.png/250px-Gray290.png)  


Skeleton of foot. Medial aspect.

![Gray291.png](../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Gray291.png/250px-Gray291.png)  


Skeleton of foot. Lateral aspect.

[Latin](http://en.wikipedia.org/wiki/Latin)
_Arcus pedis_

[Gray's](http://en.wikipedia.org/wiki/List_of_subjects_in_Gray%27s_Anatomy:101#Gray.27s_page_.23360)
[p.360](http://archive.org/stream/anatomyofhumanbo1918gray#page/360/mode/2up)

The **arches of the foot** are formed by the [tarsal](http://en.wikipedia.org/wiki/Tarsus_\(skeleton\)) and [metatarsal](http://en.wikipedia.org/wiki/Metatarsal) bones and, strengthened by [ligaments](http://en.wikipedia.org/wiki/Ligaments) and [tendons](http://en.wikipedia.org/wiki/Tendons), allows the foot to support the weight of the body in the erect posture with the least weight.

The arches are categorized as transverse and longitudinal arches of the foot.

## Contents

  * [1 Longitudinal arches](Special:Random.html#Longitudinal_arches)
    * [1.1 Medial arch](Special:Random.html#Medial_arch)
    * [1.2 Lateral arch](Special:Random.html#Lateral_arch)
    * [1.3 Fundamental longitudinal arch](Special:Random.html#Fundamental_longitudinal_arch)
  * [2 Transversal arch](Special:Random.html#Transversal_arch)
  * [3 Types of Arches and Susceptibility to Injury](Special:Random.html#Types_of_Arches_and_Susceptibility_to_Injury)
  * [4 Function and evolution](Special:Random.html#Function_and_evolution)
  * [5 See also](Special:Random.html#See_also)
  * [6 References](Special:Random.html#References)
  * [7 External links](Special:Random.html#External_links)

## Longitudinal arches[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=1)]

The **longitudinal arches of the foot** can be broken down into several smaller arches, medial and lateral.[[1]](Special:Random.html#cite_note-Gray-7j-1) In collapse of longitudinal arches, there is a resulting [flat feet](http://en.wikipedia.org/wiki/Flat_feet) which causes problems with stability and pain on walking long distances.

### Medial arch[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=2)]

The medial arch is higher than the lateral longitudinal arch. It is made up by the [calcaneus](http://en.wikipedia.org/wiki/Calcaneus), the [talus](http://en.wikipedia.org/wiki/Talus_bone), the [navicular](http://en.wikipedia.org/wiki/Navicular), the three [cuneiforms](http://en.wikipedia.org/wiki/Cuneiform_\(anatomy\)), and the first, second, and third [metatarsals](http://en.wikipedia.org/wiki/Metatarsals).[[1]](Special:Random.html#cite_note-Gray-7j-1)

Its summit is at the superior articular surface of the talus, and its two extremities or piers, on which it rests in standing, are the tuberosity on the plantar surface of the calcaneus posteriorly and the heads of the first, second, and third metatarsal bones anteriorly. The chief characteristic of this arch is its elasticity, due to its height and to the number of small joints between its component parts.[[1]](Special:Random.html#cite_note-Gray-7j-1)

Its weakest part (i.e., the part most liable to yield from overpressure) is the joint between the talus and navicular, but this portion is braced by the [plantar calcaneonavicular ligament](http://en.wikipedia.org/wiki/Plantar_calcaneonavicular_ligament) a.k.a. spring ligament, which is elastic and is thus able to quickly restore the arch to its pristine condition when the disturbing force is removed. The ligament is strengthened medially by blending with the [deltoid ligament](http://en.wikipedia.org/wiki/Deltoid_ligament) of the ankle-joint, and is supported inferiorly by the tendon of the [Tibialis posterior](http://en.wikipedia.org/wiki/Tibialis_posterior), which is spread out in a fanshaped insertion and prevents undue tension of the ligament or such an amount of stretching as would permanently elongate it. [[1]](Special:Random.html#cite_note-Gray-7j-1)

The arch is further supported by the [plantar aponeurosis](http://en.wikipedia.org/wiki/Plantar_aponeurosis), by the small muscles in the sole of the foot, by the tendons of the [Tibialis anterior](http://en.wikipedia.org/wiki/Tibialis_anterior) and posterior and [Peronæus longus](http://en.wikipedia.org/wiki/Peron%C3%A6us_longus), and by the ligaments of all the articulations involved.[[1]](Special:Random.html#cite_note-Gray-7j-1)

### Lateral arch[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=3)]

The lateral arch is composed of the calcaneus, the cuboid, and the fourth and fifth metatarsals.[[1]](Special:Random.html#cite_note-Gray-7j-1)

Two notable features of this arch are its solidity and its slight elevation. Two strong ligaments, the [long plantar](http://en.wikipedia.org/wiki/Long_plantar) and the [plantar calcaneocuboid](http://en.wikipedia.org/wiki/Plantar_calcaneocuboid), together with the [Extensor tendons](http://en.wikipedia.org/w/index.php?title=Extensor_tendons&action=edit&redlink=1) and the short muscles of the [little toe](http://en.wikipedia.org/wiki/Little_toe), preserve its integrity. [[1]](Special:Random.html#cite_note-Gray-7j-1)

### Fundamental longitudinal arch[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=4)]

While these medial and lateral arches may be readily demonstrated as the component antero-posterior arches of the foot, yet the fundamental longitudinal arch is contributed to by both, and consists of the calcaneus, cuboid, third cuneiform, and third metatarsal: all the other bones of the foot may be removed without destroying this arch. [[1]](Special:Random.html#cite_note-Gray-7j-1)

## Transversal arch[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=5)]

In addition to the longitudinal arches the foot presents a series of transverse arches.[[1]](Special:Random.html#cite_note-Gray-7j-1)

At the posterior part of the metatarsus and the anterior part of the tarsus the arches are complete, but in the middle of the tarsus they present more the characters of half-domes the concavities of which are directed downward and medialward, so that when the medial borders of the feet are placed in apposition a complete tarsal dome is formed. The transverse arches are strengthened by the interosseous, plantar, and dorsal ligaments, by the short muscles of the first and fifth toes (especially the transverse head of the [Adductor hallucis](http://en.wikipedia.org/wiki/Adductor_hallucis)), and by the [Peronæus longus](http://en.wikipedia.org/wiki/Peron%C3%A6us_longus), whose tendon stretches across between the piers of the arches. [[1]](Special:Random.html#cite_note-Gray-7j-1)

## Types of Arches and Susceptibility to Injury[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=6)]

The anatomy and shape of a person’s longitudinal and transverse arch can dictate the types of injuries that person is susceptible to. The height of a person’s arch is determined by the height of the navicular bone. A person with a low longitudinal arch, or flat feet will likely stand and walk with their feet in a pronated position, where the foot enverts or rolls inward. This makes the person susceptible to heel pain, arch pain and plantar fasciitis.[[2]](Special:Random.html#cite_note-2) Flat footed people may also have more difficulty performing exercises that require supporting their weight on their toes. People who have high longitudinal arches or a cavus foot[[3]](Special:Random.html#cite_note-3) tend to walk and stand in with their feet in a supinated position where the foot inverts or rolls outward. High arches can also cause plantar fasciitis as it causes the plantar fascia to be stretched away from the calcaneus or heel bone. Additionally, high or low arches can increase the risk of shin splints as the anterior tibialis and must work harder to keep the foot from slapping the ground.[[4]](Special:Random.html#cite_note-4)

## Function and evolution[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=7)]

The medial longitudinal arch in particular creates a space for soft tissues with elastic properties, which act as springs, particularly the thick [plantar aponeurosis](http://en.wikipedia.org/wiki/Plantar_aponeurosis), passing from the heel to the toes. Because of their elastic properties, these [soft tissues](http://en.wikipedia.org/wiki/Soft_tissue) can spread ground contact reaction forces over a longer time period, and thus reduce the risk of musculoskeletal wear or damage, and they can also store the energy of these forces, returning it at the next step and thus reducing the cost of walking and, particularly, running, where vertical forces are higher.[[5]](Special:Random.html#cite_note-5)

The non-human apes (the gibbons, mountain and lowland gorillas, orangutan, chimpanzee and bonobo) tend to walk on the lateral side of the foot, that is with an 'inverted' foot,[[6]](Special:Random.html#cite_note-Harcourt-Aiello-6) which may reflect a basic adaptation to walking on branches. It is often held that their feet lack longitudinal arches, but footprints made by bipedally walking apes, which must directly or indirectly reflect the pressure they exert to support and propel themselves [[7]](Special:Random.html#cite_note-7)[[8]](Special:Random.html#cite_note-8) do suggest that they exert lower [foot pressure](http://en.wikipedia.org/wiki/Foot_pressure) under the medial part of their midfoot.

However, human feet, and the human medial longitudinal arch, differ in that the anterior part of the foot is medially twisted on the posterior part of the foot,[[9]](Special:Random.html#cite_note-9) so that all the toes may contact the ground at the same time, and the twisting is so marked that the most medial toe, the big toe or hallux, (in some individuals the second toe) tends to exert the greatest propulsive force in walking and running. This gives the human foot an 'everted' or relatively outward-facing appearance compared to that of other apes. The strong twisting of the anterior part of the human foot on the posterior part tends to increase the height of the medial longitudinal arch. However, there is now considerable evidence that shoe-wearing also accentuates the height of the medial longitudinal arch [[10]](Special:Random.html#cite_note-10) and that the height of the medial longitudinal arch also differs very considerably between individuals and at different speeds.[[11]](Special:Random.html#cite_note-11)

It is not yet agreed to what extent the early human ancestor _[Australopithecus afarensis](http://en.wikipedia.org/wiki/Australopithecus_afarensis)_, (3.75 million years ago onwards) had acquired a functionally human-like foot,[[6]](Special:Random.html#cite_note-Harcourt-Aiello-6) but the medial twist of the forefoot evident in fossil footbones of this species, and in the [Laetoli](http://en.wikipedia.org/wiki/Laetoli) footprint trail in Tanzania generally attributed to this species, certainly appears less marked than is evident in fossil footbones of _[Homo erectus](http://en.wikipedia.org/wiki/Homo_erectus)_ (sometimes called _[Homo georgicus](http://en.wikipedia.org/wiki/Homo_georgicus)_) from [Dmanisi](http://en.wikipedia.org/wiki/Dmanisi), Georgia (c. 1. 8 million years ago) [[12]](Special:Random.html#cite_note-12) and the roughly contemporaneous fossil footprint trail at [Ileret](http://en.wikipedia.org/wiki/Ileret), Kenya attributed to _[Homo erectus ergaster](http://en.wikipedia.org/wiki/Homo_erectus_ergaster)_.[[13]](Special:Random.html#cite_note-13)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=8)]

  * [Foot type](http://en.wikipedia.org/wiki/Foot_type)
  * [Pes cavus](http://en.wikipedia.org/wiki/Pes_cavus)
  * [Flat feet](http://en.wikipedia.org/wiki/Flat_feet)
  * [Arch support](http://en.wikipedia.org/wiki/Arch_support)
  * [Foot gymnastics](http://en.wikipedia.org/wiki/Foot_gymnastics)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=9)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-Gray-7j_1-0) _**[b**_](Special:Random.html#cite_ref-Gray-7j_1-1) _**[c**_](Special:Random.html#cite_ref-Gray-7j_1-2) _**[d**_](Special:Random.html#cite_ref-Gray-7j_1-3) _**[e**_](Special:Random.html#cite_ref-Gray-7j_1-4) _**[f**_](Special:Random.html#cite_ref-Gray-7j_1-5) _**[g**_](Special:Random.html#cite_ref-Gray-7j_1-6) _**[h**_](Special:Random.html#cite_ref-Gray-7j_1-7) _**[i**_](Special:Random.html#cite_ref-Gray-7j_1-8) _**[j**_](Special:Random.html#cite_ref-Gray-7j_1-9) [Gray, Henry](http://en.wikipedia.org/wiki/Henry_Gray) (1918). ["7j. Arches of the Foot"](http://www.bartleby.com/107/101.html). _Anatomy of the Human Body_. Bartleby.com. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-8121-0644-X](http://en.wikipedia.org/wiki/Special:BookSources/0-8121-0644-X). 
  2. **[^](Special:Random.html#cite_ref-2)** <http://www.foot.com/site/arch-types>
  3. **[^](Special:Random.html#cite_ref-3)** <http://www.foothealthfacts.org/footankleinfo/cavus-foot.htm>
  4. **[^](Special:Random.html#cite_ref-4)** <http://www.runnersworld.com/health/big-7-body-breakdowns?page=single>
  5. **[^](Special:Random.html#cite_ref-5)** Ker, R. F.; Bennett, M. B.; Bibby, S. R.; Kester, R. C.; Alexander, R. M. (1987). "The spring in the arch of the human foot". _Nature_ **325** (7000): 147. [Bibcode](http://en.wikipedia.org/wiki/Bibcode):[1987Natur.325..147K](http://adsabs.harvard.edu/abs/1987Natur.325..147K). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1038/325147a0](http://dx.doi.org/10.1038%2F325147a0). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [3808070](http://www.ncbi.nlm.nih.gov/pubmed/3808070).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1038.2F325147a0&action=edit&editintro=Template:Cite_doi/editintro2)
  6. ^ _**[a**_](Special:Random.html#cite_ref-Harcourt-Aiello_6-0) _**[b**_](Special:Random.html#cite_ref-Harcourt-Aiello_6-1) Harcourt-Smith, W. E. H.; Aiello, L. C. (2004). ["Fossils, feet and the evolution of human bipedal locomotion"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1571304). _Journal of Anatomy_ **204** (5): 403. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1111/j.0021-8782.2004.00296.x](http://dx.doi.org/10.1111%2Fj.0021-8782.2004.00296.x). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [1571304](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1571304). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15198703](http://www.ncbi.nlm.nih.gov/pubmed/15198703).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1111.2Fj.0021-8782.2004.00296.x&action=edit&editintro=Template:Cite_doi/editintro2)
  7. **[^](Special:Random.html#cite_ref-7)** Allen, J. R. L. (1997). "Subfossil mammalian tracks (Flandrian) in the Severn Estuary, S. W. Britain: mechanics of formation, preservation and distribution". _Philosophical Transactions of the Royal Society B: Biological Sciences_ **352**: 481. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1098/rstb.1997.0035](http://dx.doi.org/10.1098%2Frstb.1997.0035).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1098.2Frstb.1997.0035.&action=edit&editintro=Template:Cite_doi/editintro2)
  8. **[^](Special:Random.html#cite_ref-8)** D'Août, K.; Meert, L.; Van Gheluwe, B.; De Clercq, D.; Aerts, P. (2009). "Experimentally generated footprints in sand: Analysis and consequences for the interpretation of fossil and forensic footprints". _American Journal of Physical Anthropology_: NA. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1002/ajpa.21169](http://dx.doi.org/10.1002%2Fajpa.21169).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1002.2Fajpa.21169&action=edit&editintro=Template:Cite_doi/editintro2)
  9. **[^](Special:Random.html#cite_ref-9)** MacConaill, M. A. (1944/1945). "The Postural Mechanism of the Human Foot". _Proceedings of the Royal Irish Academy_ (Royal Irish Academy) **50B**: 265–278. [JSTOR](http://en.wikipedia.org/wiki/JSTOR) [20490838](http://www.jstor.org/stable/20490838).  Check date values in: `|date=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#bad_date))
  10. **[^](Special:Random.html#cite_ref-10)** D'aout, K.; Pataky, T. C.; De Clercq, D.; Aerts, P. (2009). "The effects of habitual footwear use: foot shape and function in native barefoot walkers". _Footwear Science_ **1**: 81. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1080/19424280903386411](http://dx.doi.org/10.1080%2F19424280903386411).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1080.2F19424280903386411&action=edit&editintro=Template:Cite_doi/editintro2)
  11. **[^](Special:Random.html#cite_ref-11)** Pataky TC, Caravaggi P, Savage R, _et al._ (1987). "New insights into the plantar pressure correlates of walking speed using pedobarographic statistical parametric mapping (pSPM)". _Journal of Biomechanics_ **41** (9): 1987–94. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.jbiomech.2008.03.034](http://dx.doi.org/10.1016%2Fj.jbiomech.2008.03.034). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [18501364](http://www.ncbi.nlm.nih.gov/pubmed/18501364). 
  12. **[^](Special:Random.html#cite_ref-12)** Pontzer, H.; Rolian, C.; Rightmire, G. P.; Jashashvili, T.; Ponce de León, M. S.; Lordkipanidze, D.; Zollikofer, C. P. E. (2010). ["Locomotor anatomy and biomechanics of the Dmanisi hominins"](http://www.artsci.wustl.edu/~hpontzer/Papers/2010JHE_Dmanisi%20locomotor%20biomechanics.pdf). _Journal of Human Evolution_ **58** (6): 492. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.jhevol.2010.03.006](http://dx.doi.org/10.1016%2Fj.jhevol.2010.03.006). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [20447679](http://www.ncbi.nlm.nih.gov/pubmed/20447679).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1016.2Fj.jhevol.2010.03.006&action=edit&editintro=Template:Cite_doi/editintro2)
  13. **[^](Special:Random.html#cite_ref-13)** Bennett, M. R.; Harris, J. W. K.; Richmond, B. G.; Braun, D. R.; Mbua, E.; Kiura, P.; Olago, D.; Kibunjia, M.; Omuombo, C.; Behrensmeyer, A. K.; Huddart, D.; Gonzalez, S. (2009). "Early Hominin Foot Morphology Based on 1.5-Million-Year-Old Footprints from Ileret, Kenya". _Science_ **323** (5918): 1197–1201. [Bibcode](http://en.wikipedia.org/wiki/Bibcode):[2009Sci...323.1197B](http://adsabs.harvard.edu/abs/2009Sci...323.1197B). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1126/science.1168132](http://dx.doi.org/10.1126%2Fscience.1168132). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [19251625](http://www.ncbi.nlm.nih.gov/pubmed/19251625).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1126.2Fscience.1168132&action=edit&editintro=Template:Cite_doi/editintro2)

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit&section=10)]

  * [Overview at gla.ac.uk](http://www.gla.ac.uk/ibls/fab/tutorial/anatomy/arch1.html)

  * [v](http://en.wikipedia.org/wiki/Template:Joints_of_lower_limbs)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Joints_of_lower_limbs)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Joints_of_lower_limbs&action=edit)

[Joints](http://en.wikipedia.org/wiki/Joint) and [ligaments](http://en.wikipedia.org/wiki/Ligament) of [lower limbs](http://en.wikipedia.org/wiki/Human_leg) ([TA A03.6](http://en.wikipedia.org/wiki/Terminologia_Anatomica), [GA 3.333](http://en.wikipedia.org/wiki/List_of_subjects_in_Gray%27s_Anatomy:_III._Syndesmology#Articulations_of_the_lower_extremity))

[Coxal/hip](http://en.wikipedia.org/wiki/Hip_\(anatomy\))

  * _femoral_ ([iliofemoral](http://en.wikipedia.org/wiki/Iliofemoral_ligament)
  * [pubofemoral](http://en.wikipedia.org/wiki/Pubofemoral_ligament)
  * [ischiofemoral](http://en.wikipedia.org/wiki/Ischiofemoral_ligament))
  * [head of femur](http://en.wikipedia.org/wiki/Ligament_of_head_of_femur)
  * [transverse acetabular](http://en.wikipedia.org/wiki/Transverse_acetabular_ligament)
  * [acetabular labrum](http://en.wikipedia.org/wiki/Acetabular_labrum)
  * [capsule](http://en.wikipedia.org/wiki/Capsule_of_hip_joint)
  * [zona orbicularis](http://en.wikipedia.org/wiki/Zona_orbicularis)

[Knee-joint](http://en.wikipedia.org/wiki/Knee)

[Tibiofemoral](http://en.wikipedia.org/wiki/Tibiofemoral_joint)

  * [Capsule](http://en.wikipedia.org/wiki/Articular_capsule_of_the_knee_joint)
  * [Anterior meniscofemoral ligament](http://en.wikipedia.org/wiki/Anterior_meniscofemoral_ligament)
  * [Posterior meniscofemoral ligament](http://en.wikipedia.org/wiki/Posterior_meniscofemoral_ligament)
  * _extracapsular:_ popliteal 
    * [oblique](http://en.wikipedia.org/wiki/Oblique_popliteal_ligament)
    * [arcuate](http://en.wikipedia.org/wiki/Arcuate_popliteal_ligament)
  * collateral 
    * [medial/tibial](http://en.wikipedia.org/wiki/Medial_collateral_ligament)
    * [fibular/lateral](http://en.wikipedia.org/wiki/Fibular_collateral_ligament)
  * _intracapsular:_ cruciate 
    * [anterior](http://en.wikipedia.org/wiki/Anterior_cruciate_ligament)
    * [posterior](http://en.wikipedia.org/wiki/Posterior_cruciate_ligament)
  * [menisci](http://en.wikipedia.org/wiki/Meniscus_\(anatomy\))
    * [medial](http://en.wikipedia.org/wiki/Medial_meniscus)
    * [lateral](http://en.wikipedia.org/wiki/Lateral_meniscus)
  * [transverse](http://en.wikipedia.org/wiki/Transverse_ligament_of_knee)
  * [anterolateral](http://en.wikipedia.org/wiki/Anterolateral_ligament)

[Patellofemoral](http://en.wikipedia.org/wiki/Patellofemoral_joint)

  * [Patellar ligament](http://en.wikipedia.org/wiki/Patellar_ligament)
  * [Infrapatellar fat pad](http://en.wikipedia.org/wiki/Infrapatellar_fat_pad)

Tibiofibular

**[Superior tibiofibular](http://en.wikipedia.org/wiki/Superior_tibiofibular_joint)**

  * [anterior of the head of the fibula](http://en.wikipedia.org/wiki/Anterior_ligament_of_the_head_of_the_fibula)
  * [posterior of the head of the fibula](http://en.wikipedia.org/wiki/Posterior_ligament_of_the_head_of_the_fibula)

**[Inferior tibiofibular](http://en.wikipedia.org/wiki/Inferior_tibiofibular_joint)**

  * [Anterior tibiofibular](http://en.wikipedia.org/wiki/Anterior_tibiofibular_ligament)
  * [Posterior tibiofibular](http://en.wikipedia.org/wiki/Posterior_tibiofibular_ligament)
  * [Interosseous membrane of leg](http://en.wikipedia.org/wiki/Interosseous_membrane_of_leg)

[Joints of foot](http://en.wikipedia.org/wiki/Joints_of_foot)

[Talocrural/ankle](http://en.wikipedia.org/wiki/Ankle)

  * _medial:_ [medial of talocrural joint/deltoid](http://en.wikipedia.org/wiki/Medial_ligament_of_talocrural_joint)
    * [anterior tibiotalar](http://en.wikipedia.org/wiki/Anterior_tibiotalar_part_of_medial_collateral_ligament)
    * [posterior tibiotalar](http://en.wikipedia.org/wiki/Posterior_tibiotalar_part_of_medial_collateral_ligament)
    * [tibiocalcaneal](http://en.wikipedia.org/wiki/Tibiocalcaneal_part_of_medial_collateral_ligament)
    * [tibionavicular](http://en.wikipedia.org/wiki/Tibionavicular_part_of_medial_collateral_ligament)
  * _lateral:_ [lateral collateral of ankle joint](http://en.wikipedia.org/wiki/Lateral_collateral_ligament_of_ankle_joint)
    * [anterior talofibular](http://en.wikipedia.org/wiki/Anterior_talofibular_ligament)
    * [posterior talofibular](http://en.wikipedia.org/wiki/Posterior_talofibular_ligament)
    * [calcaneofibular](http://en.wikipedia.org/wiki/Calcaneofibular_ligament)

[Subtalar/talocalcaneal](http://en.wikipedia.org/wiki/Subtalar_joint)

  * [anterior](http://en.wikipedia.org/wiki/Anterior_talocalcaneal_ligament)/[posterior](http://en.wikipedia.org/wiki/Posterior_talocalcaneal_ligament)
  * [lateral](http://en.wikipedia.org/wiki/Lateral_talocalcaneal_ligament)/[medial](http://en.wikipedia.org/wiki/Medial_talocalcaneal_ligament)
  * [interosseous](http://en.wikipedia.org/wiki/Interosseous_talocalcaneal_ligament)

[Transverse tarsal](http://en.wikipedia.org/wiki/Transverse_tarsal_joint)

**[Talocalcaneonavicular](http://en.wikipedia.org/wiki/Talocalcaneonavicular_articulation)**

  * [dorsal talonavicular](http://en.wikipedia.org/wiki/Dorsal_talonavicular_ligament)
  * [plantar calcaneonavicular/spring](http://en.wikipedia.org/wiki/Plantar_calcaneonavicular_ligament)
  * [bifurcated (calcaneonavicular)](http://en.wikipedia.org/wiki/Bifurcated_ligament)

**[Calcaneocuboid](http://en.wikipedia.org/wiki/Calcaneocuboid_articulation)**

  * [dorsal calcaneocuboid](http://en.wikipedia.org/wiki/Dorsal_calcaneocuboid_ligament)
  * [long plantar](http://en.wikipedia.org/wiki/Long_plantar_ligament)
  * [plantar calcaneocuboid](http://en.wikipedia.org/wiki/Plantar_calcaneocuboid_ligament)
  * [bifurcated (calcaneocuboid)](http://en.wikipedia.org/wiki/Bifurcated_ligament)

Distal [intertarsal](http://en.wikipedia.org/wiki/Intertarsal_articulations)

**[Cuneonavicular](http://en.wikipedia.org/wiki/Cuneonavicular_articulation)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_cuneonavicular_ligaments)
  * [dorsal](http://en.wikipedia.org/wiki/Dorsal_cuneonavicular_ligaments)

**[Cuboideonavicular](http://en.wikipedia.org/wiki/Cuboideonavicular_articulation)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_cuboideonavicular_ligament)
  * [dorsal](http://en.wikipedia.org/wiki/Dorsal_cuboideonavicular_ligament)

**[Intercuneiform](http://en.wikipedia.org/wiki/Intercuneiform_articulations)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_intercuneiform_ligaments)
  * [dorsal](http://en.wikipedia.org/wiki/Dorsal_intercuneiform_ligaments)
  * [interosseous](http://en.wikipedia.org/wiki/Interosseous_intercuneiform_ligaments)

Other

**[Tarsometatarsal/Lisfranc](http://en.wikipedia.org/wiki/Tarsometatarsal_articulations)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_tarsometatarsal_ligaments)
  * [dorsal](http://en.wikipedia.org/wiki/Dorsal_tarsometatarsal_ligaments)

**[Intermetatarsal/metatarsal](http://en.wikipedia.org/wiki/Intermetatarsal_articulations)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_metatarsal_ligaments)
  * [dorsal](http://en.wikipedia.org/wiki/Dorsal_metatarsal_ligaments)
  * [interosseous](http://en.wikipedia.org/wiki/Interosseous_metatarsal_ligaments)
  * [superficial transverse](http://en.wikipedia.org/wiki/Superficial_transverse_metatarsal_ligament)
  * [deep transverse](http://en.wikipedia.org/wiki/Deep_transverse_metatarsal_ligament)

**[Metatarsophalangeal](http://en.wikipedia.org/wiki/Metatarsophalangeal_articulations)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_ligaments_of_metatarsophalangeal_articulations)
  * [collateral](http://en.wikipedia.org/wiki/Collateral_ligaments_of_metatarsophalangeal_articulations)

**[Interphalangeal](http://en.wikipedia.org/wiki/Interphalangeal_articulations_of_foot)**

  * [plantar](http://en.wikipedia.org/wiki/Plantar_ligaments_of_interphalangeal_articulations_of_foot)
  * [collateral](http://en.wikipedia.org/wiki/Collateral_ligaments_of_interphalangeal_articulations_of_foot)

**Arches**

  * [Longitudinal](http://en.wikipedia.org/wiki/Longitudinal_arch_of_the_foot)
  * [Transverse](http://en.wikipedia.org/wiki/Transverse_arch_of_the_foot)

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [JNT](http://en.wikipedia.org/wiki/Joint)

[anat](http://en.wikipedia.org/wiki/Template:Joints) ([h](http://en.wikipedia.org/wiki/Template:Joints_of_head_and_neck)/[c](http://en.wikipedia.org/wiki/Template:Cranial_fibrous_joints), [u](http://en.wikipedia.org/wiki/Template:Joints_of_upper_limbs), [t](http://en.wikipedia.org/wiki/Template:Joints_of_torso), [l](http://en.wikipedia.org/wiki/Template:Joints_of_lower_limbs))/[phys](http://en.wikipedia.org/wiki/Template:Bone/cartilage_physiology)

noco ([arth](http://en.wikipedia.org/wiki/Template:Arthropathies_and_related_conditions)/[defr](http://en.wikipedia.org/wiki/Template:Acquired_musculoskeletal_deformities)/[back](http://en.wikipedia.org/wiki/Template:Dorsopathies)/[soft](http://en.wikipedia.org/wiki/Template:Soft_tissue_disorders))/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_musculoskeletal_system), [sysi](http://en.wikipedia.org/wiki/Template:Nervous_and_musculoskeletal_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_skeletal_system_and_joints), [injr](http://en.wikipedia.org/wiki/Template:Dislocations,_sprains_and_strains)

[proc](http://en.wikipedia.org/wiki/Template:Bone,_cartilage,_and_joint_procedures), drug ([M01C](http://en.wikipedia.org/wiki/Template:Antirheumatic_products), [M4](http://en.wikipedia.org/wiki/Template:Antigout_preparations))

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&oldid=595022288](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&oldid=595022288)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Foot](http://en.wikipedia.org/wiki/Category:Foot)

Hidden categories: 

  * [CS1 errors: dates](http://en.wikipedia.org/wiki/Category:CS1_errors:_dates)
  * [Medicine infobox template using deprecated parameters](http://en.wikipedia.org/wiki/Category:Medicine_infobox_template_using_deprecated_parameters)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Arches+of+the+foot&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Arches+of+the+foot)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Arches_of_the_foot)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Arches_of_the_foot)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Arches_of_the_foot)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Arches_of_the_foot)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&oldid=595022288)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q3563476)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Arches_of_the_foot&id=595022288)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Arches+of+the+foot)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Arches+of+the+foot&oldid=595022288&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Arches_of_the_foot&printable=yes)

### Languages

    * [Français](http://fr.wikipedia.org/wiki/Vo%C3%BBte_plantaire)
    * [日本語](http://ja.wikipedia.org/wiki/%E5%9C%9F%E8%B8%8F%E3%81%BE%E3%81%9A)
    * [Português](http://pt.wikipedia.org/wiki/Arcada_plantar)
    *     * [Edit links](http://www.wikidata.org/wiki/Q3563476#sitelinks-wikipedia)

    * This page was last modified on 11 February 2014 at 19:29.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Arches_of_the_foot)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
