# Barbara McGuire

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Barbara McGuire** is an [American](http://en.wikipedia.org/wiki/United_States) artist who is recognized for her works in [polymer clay](http://en.wikipedia.org/wiki/Polymer_clay), [painting](http://en.wikipedia.org/wiki/Painting) and [jewelry design](http://en.wikipedia.org/wiki/Jewelry_design). She has written twelve books and numerous magazine articles on design and instruction including books on polymer clay, wire, beads, and children's art. Her books have been described as "among the most articulate and thoughtful books on polymer clay out there."[[1]](Special:Random.html#cite_note-RobinEdgar-1) Her artwork incorporates a strong element of traditional design with innovative materials and artifacts.[[2]](Special:Random.html#cite_note-ACW-2)

McGuire has appeared as a regular guest of _[The Carol Duvall Show](http://en.wikipedia.org/wiki/The_Carol_Duvall_Show)_[[3]](Special:Random.html#cite_note-3) and has developed stamps, templates and molds for polymer clay.

## Contents

  * [1 Background](Special:Random.html#Background)
  * [2 Bibliography](Special:Random.html#Bibliography)
  * [3 References](Special:Random.html#References)
  * [4 External links](Special:Random.html#External_links)

## Background[[edit](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=edit&section=1)]

Growing up in [Traverse City, Michigan](http://en.wikipedia.org/wiki/Traverse_City,_Michigan), Barbara McGuire was always fascinated by art as a child, and after taking art classes, sold her first oil painting at age 13.[[1]](Special:Random.html#cite_note-RobinEdgar-1) Although she wanted to be a professional artist, she elected to follow her parents' advice and enter the restaurant business. She did, however, continue to create artwork as a hobby, and sell her work at local art shows.

After moving to [San Francisco](http://en.wikipedia.org/wiki/San_Francisco) in 1980, she began working with polymer clay because it required less bulky supplies than other mediums. She also decided to pursue a career in artwork and took a job with craft distributor Stanislaus Imports.[[1]](Special:Random.html#cite_note-RobinEdgar-1) On weekends, she continued to attend craft fairs where she sold her artwork.

During a craft fair, McGuire came to the realization that there was a market for pre-made polymer clay canes and decided to go into product development. She approached American Art Clay Company (AMACO) with her idea. The company liked the idea and decided to manufacture the canes and to have her write a how-to book for the product, titled _Friendly Clay Millefiori Cane._[[1]](Special:Random.html#cite_note-RobinEdgar-1)

Shortly thereafter, she became the creative director of Accent Import-Export, the importers of [Fimo](http://en.wikipedia.org/wiki/Fimo) clay. In 1999, she published _Foundations in Polymer Clay Design_, a book which helped distinguish her as one of creative leaders in her field. The book has been described as "a joy to look at"[[4]](Special:Random.html#cite_note-4) and "a must have for Polymer Clayers".[[5]](Special:Random.html#cite_note-5) In 2002, she released _Creative Stamping in Polymer Clay_ which Polymer Clay Polyzine described as "a great reference chart for people ... who are adventurous with materials but don't ... really understand all the possibilities out there."[[6]](Special:Random.html#cite_note-6)

McGuire has continued to release books at regular intervals, and to date, she has written twelve books, with a thirteenth—_Faces In Clay_—in progress. She has also written crafting articles for numerous magazines and other publications.

In addition to writing, McGuire has been an innovator in her field. She is the inventor of the "Duo-Stamp", a two-sided [rubber stamp](http://en.wikipedia.org/wiki/Rubber_stamp) with an inverse and converse design that is popular with the stamping community.[[1]](Special:Random.html#cite_note-RobinEdgar-1) Her "Bead Prints" have been described as "amazingly artistic products of great quality and usefulness".[[7]](Special:Random.html#cite_note-7)

McGuire is currently affiliated with Polyform, who manufacture her new concept, "Shapelets", which are templates used for cropping and cutting shapes for jewelry embellishment and design.

McGuire's profile within the field has led to her appearance on several American crafting shows, including _[The Carol Duvall Show](http://en.wikipedia.org/wiki/The_Carol_Duvall_Show)_ where she is a regular contributor. Topics covered during her appearances include both polymer clay crafts and beading/jewelry making.

McGuire describes her work as edgy with "an element of surprise and non-conformity"[[2]](Special:Random.html#cite_note-ACW-2) and says that her "ultimate goal is to give children and adults the permission and acknowledgment to be creative".[[1]](Special:Random.html#cite_note-RobinEdgar-1) She currently resides in [Buford, GA](http://en.wikipedia.org/wiki/Buford,_GA), where she runs a classroom studio called Altered Art Source and a local art gallery where she sells her work.[[8]](Special:Random.html#cite_note-8) She has two children.

## Bibliography[[edit](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=edit&section=2)]

  * _Creative Canes_ (Design Originals, 2007) [ISBN 1-57421-619-8](http://en.wikipedia.org/wiki/Special:BookSources/1574216198)
  * _Creative Stamping in Polymer Clay_ (North Light Books, 2002). [ISBN 1-58180-155-6](http://en.wikipedia.org/wiki/Special:BookSources/1581801556)
  * _Embracing Child Art: Projects for Grownups to Keep and Treasure_ (Krause Publications, 2001) [ISBN 0-87341-985-5](http://en.wikipedia.org/wiki/Special:BookSources/0873419855)
  * _Expressions in Clay_ (Design Originals, 2003) [ISBN 1-57421-489-6](http://en.wikipedia.org/wiki/Special:BookSources/1574214896)
  * _Foundations in Polymer Clay Design_ (kp books, 1999). [ISBN 0-87341-800-X](http://en.wikipedia.org/wiki/Special:BookSources/087341800X)
  * _Friendly Clay Millefiori Cane_ (American Art Clay Company)
  * _Images on Clay_ (Design Originals)
  * _Images on Clay 2_ (Design Originals)
  * _Mad for Millefiori: Just Slice, Shape & Bake Ready-Made Clay Canes_ (Hot Off the Press, 1994) [ISBN 1-56231-236-7](http://en.wikipedia.org/wiki/Special:BookSources/1562312367)
  * _Polymer Clay For Beginners (Everything Crafts)_ with Lisa Pavelka (Adams Media Corporation, 2005) [ISBN 1-59337-230-2](http://en.wikipedia.org/wiki/Special:BookSources/1593372302)
  * _Silver & Stones Bead Jewelry_ (Design Originals, 2006) [ISBN 1-57421-605-8](http://en.wikipedia.org/wiki/Special:BookSources/1574216058)
  * _Wire in Design: Modern Wire Art & Mixed Media_ (Krause Publications, 2001). [ISBN 0-87349-218-8](http://en.wikipedia.org/wiki/Special:BookSources/0873492188)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=edit&section=3)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-RobinEdgar_1-0) _**[b**_](Special:Random.html#cite_ref-RobinEdgar_1-1) _**[c**_](Special:Random.html#cite_ref-RobinEdgar_1-2) _**[d**_](Special:Random.html#cite_ref-RobinEdgar_1-3) _**[e**_](Special:Random.html#cite_ref-RobinEdgar_1-4) _**[f**_](Special:Random.html#cite_ref-RobinEdgar_1-5) [Barbara McGuire Profile](http://www.robinedgar.com/index.cfm?Page_ID=50)
  2. ^ _**[a**_](Special:Random.html#cite_ref-ACW_2-0) _**[b**_](Special:Random.html#cite_ref-ACW_2-1) [Barbara McGuire profile at Art Clay World](http://www.artclayworld.com/Instructors/barbara_mcguire.php)
  3. **[^](Special:Random.html#cite_ref-3)** [http://web.diynet.com/diy/web/searchResults?Show=CDS%23Carol+Duvall+Sh...&searchType=EpisodeTopic&searchString=barbara+mcguire&WeekNumber=+&x=12&y=9](http://web.diynet.com/diy/web/searchResults?Show=CDS%23Carol+Duvall+Sh...&searchType=EpisodeTopic&searchString=barbara+mcguire&WeekNumber=+&x=12&y=9)
  4. **[^](Special:Random.html#cite_ref-4)** [Foundations in Polymer Clay Design book review @ Bead Babe](http://www.beadbabe.com/archives/html/foundations_in_polymer_clay_de.html)
  5. **[^](Special:Random.html#cite_ref-5)** [Foundations in Polymer Clay Design book review @ Polymer Clay Central](http://www.polymerclaycentral.com/bookrev4.html)
  6. **[^](Special:Random.html#cite_ref-6)** <http://www.pcpolyzine.com/0208august/bookreview.html>
  7. **[^](Special:Random.html#cite_ref-7)** <http://www.pcpolyzine.com/2005winter/crumbs.html>
  8. **[^](Special:Random.html#cite_ref-8)** McCarthy, Rebecca (March 31, 2008). ["Buford chosen as third best 'local business' town"](http://www.ajc.com/opinion/content/metro/gwinnett/stories/2008/03/31/buford_0401.html). _The Atlanta Journal-Constitution_. Retrieved April 28, 2009. 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=edit&section=4)]

  * [BarbaraMcGuire.com](http://www.barbaramcguire.com)
  * [Barbara McGuire "how to" videos at YouTube](http://www.youtube.com/profile?user=pedaljet&view=videos&query=Barbara+McGuire)

[Persondata](http://en.wikipedia.org/wiki/Wikipedia:Persondata)

Name
McGuire, Barbara

Alternative names

Short description
American artist

Date of birth

Place of birth

Date of death

Place of death
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&oldid=597405724](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&oldid=597405724)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Arts and crafts](http://en.wikipedia.org/wiki/Category:Arts_and_crafts)
  * [American artists](http://en.wikipedia.org/wiki/Category:American_artists)
  * [Living people](http://en.wikipedia.org/wiki/Category:Living_people)
  * [People from Traverse City, Michigan](http://en.wikipedia.org/wiki/Category:People_from_Traverse_City,_Michigan)

Hidden categories: 

  * [Year of birth missing (living people)](http://en.wikipedia.org/wiki/Category:Year_of_birth_missing_\(living_people\))

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Barbara+McGuire&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Barbara+McGuire)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Barbara_McGuire)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Barbara_McGuire)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Barbara_McGuire)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&oldid=597405724)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q4859143)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Barbara_McGuire&id=597405724)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Barbara+McGuire)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Barbara+McGuire&oldid=597405724&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Barbara_McGuire&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q4859143#sitelinks-wikipedia)

    * This page was last modified on 27 February 2014 at 18:30.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Barbara_McGuire)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
