# Brazil–China relations

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

Brazil – China relations

![Map indicating locations of Brazil and China](../../upload.wikimedia.org/wikipedia/commons/thumb/2/2a/Brazil_China_Locator.png/250px-Brazil_China_Locator.png)

![](../../upload.wikimedia.org/wikipedia/en/thumb/0/05/Flag_of_Brazil.svg/50px-Flag_of_Brazil.svg.png)  
[Brazil](http://en.wikipedia.org/wiki/Brazil) ![](../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Flag_of_the_People's_Republic_of_China.svg/50px-Flag_of_the_People's_Republic_of_China.svg.png)  
[China](http://en.wikipedia.org/wiki/China)

**Brazil–People's Republic of China relations** refers to the [current and historical relationship](http://en.wikipedia.org/wiki/Bilateralism) between [Brazil](http://en.wikipedia.org/wiki/Brazil) and the [People's Republic of China](http://en.wikipedia.org/wiki/People%27s_Republic_of_China). Relations between Brazil and China began in the early eigthteenth century and continued until 1949, when they were disrupted by the creation of the People's Republic of China. Diplomatic relations between China and Brazil officially began in 1974 with agreement on the establishment and operation of Brazil’s Embassy in Beijing and China’s Embassy in Brasília. Since then, bilateral ties have witnessed a smooth development in all fields.

The growing economic and political relationship between the two countries was confirmed by Lula’s visit to China, which included 450 Brazilian business representatives. Brazilian foreign minister Celso Amorim noted that the growing relationship could be part of a ‘reconfiguration of the world’s commercial and diplomatic geography’.[[1]](Special:Random.html#cite_note-1)

## Contents

  * [1 History](Special:Random.html#History)
  * [2 Economics](Special:Random.html#Economics)
  * [3 Timeline of Diplomacy](Special:Random.html#Timeline_of_Diplomacy)
  * [4 See also](Special:Random.html#See_also)
  * [5 References](Special:Random.html#References)
  * [6 External links](Special:Random.html#External_links)

## History[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=1)]

An early joint undertaking involving Brazil and China began in 1812, when Queen [Maria I of Portugal](http://en.wikipedia.org/wiki/Maria_I_of_Portugal), then based in Brazil, imported Chinese laborers to work on a tea plantation near [Rio de Janeiro](http://en.wikipedia.org/wiki/Rio_de_Janeiro). In 1900, a fresh wave of immigrants from China settled in [São Paulo](http://en.wikipedia.org/wiki/S%C3%A3o_Paulo).[[2]](Special:Random.html#cite_note-cebc-2) Formal relations ended with the [1949 Chinese Revolution](http://en.wikipedia.org/wiki/Chinese_Revolution_\(1949\)) and were re-established in 1974.[[2]](Special:Random.html#cite_note-cebc-2) In the 21st century Brazilian businessmen have been somewhat frustrated by what the _Financial Times_ have described as a slow pace of development for some aspects of the relationship. For example, Brazil officially recognised China as a market economy in 2004 but by 2009 the corresponding changes to the trading arrangements had not been implemented. However agreement had been reached on a wide range of issues, and an outstanding personal relationship had been established between the two nation's presidents. In 2010 the second [BRIC](http://en.wikipedia.org/wiki/BRIC) Summit was held in Brazil, with proposals made for increased cooperation between Brazil and China on political and trade related issues as well as energy, mining, financial services and agriculture. [[3]](Special:Random.html#cite_note-cement-3) [[4]](Special:Random.html#cite_note-4)

Chinese President Hu Jintao said in his address to the Brazilian Congress on November 12, 2004, that ‘both Latin America and China have similar experiences in gaining national liberation, defending national independence and constructing the country’. Therefore, ‘both sides have the same feelings and common languages’. He said that ‘Sino-Latin American relations were expected to support each other in the political fields, strengthen economic complementarily, and carry out close cultural contacts’.[[5]](Special:Random.html#cite_note-5)

## Economics[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=2)]

China became Brazil's largest trading partner in 2009.[[3]](Special:Random.html#cite_note-cement-3)[[6]](Special:Random.html#cite_note-6) Former Brazilian President [Luiz Inácio Lula da Silva](http://en.wikipedia.org/wiki/Luiz_In%C3%A1cio_Lula_da_Silva) and many in the Brazilian media consider China to be "Brazil’s most promising business partner and a strategic ally" due to China's "rapidly rising demand for raw materials and agricultural produce".[[7]](Special:Random.html#cite_note-7) Bilateral trade grew from US$ 6.7 billion in 2003 to US$ 36.7 billion in 2009.[[8]](Special:Random.html#cite_note-8)

China and Brazil cooperate economically on quite some mutual beneficial projects such as the already in 1988 preparations for a joint project to construct the [China-Brazil Earth Resources Satellite program](http://en.wikipedia.org/wiki/China-Brazil_Earth_Resources_Satellite_program), which in 1999 and 2002 successfully constructed two satellites providing key information on (new sources of) natural resources. Secondly, an International Satellite Communications company (INSCOM) was set up as a joint venture.[[9]](Special:Random.html#cite_note-9)

Other projects in the range of the Earth Resources Satellite are the construction of Porto do Açu near [Rio de Janeiro](http://en.wikipedia.org/wiki/Rio_de_Janeiro), [Vitória](http://en.wikipedia.org/wiki/Vit%C3%B3ria,_Brazil) and [Campos dos Goytacazes](http://en.wikipedia.org/wiki/Campos_dos_Goytacazes), which can handle Chinamax containerships to import and export raw materials and manufactures vice versa.[[10]](Special:Random.html#cite_note-10) Other major important infrastructure investment are the construction of a continental pipeline, roads and high speed trains.[[11]](Special:Random.html#cite_note-11)

Chinese investment in Brazil takes strategic approaches and does so in strategic areas to consolidate China’s role in the Brazilian economy, this creates economic leverage, expands the zone of influence of Chinese companies in Brazil and increases interdependence. Chinese investments in Brazil are concentrated mainly in the energy, mining, steel and oil industries.[[12]](Special:Random.html#cite_note-12)

In 2010, despite the generally friendly and close relationship, Brazil was one of the few emerging economies to publicly criticise China's policy in relation to the so-called [Currency war](http://en.wikipedia.org/wiki/Currency_war). Brazil has called for China to allow a faster appreciation of its currency, which would help other countries to better compete against Chinese exports. Brazil also criticised US policy, saying both China and the US should seek to avoid escalating economic tension concerning trade and currency.[[13]](Special:Random.html#cite_note-13)[[14]](Special:Random.html#cite_note-14)

## Timeline of Diplomacy[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=3)]

Year Event

1961
[João Goulart](http://en.wikipedia.org/wiki/Jo%C3%A3o_Goulart) visits China when [Jânio Quadros](http://en.wikipedia.org/wiki/J%C3%A2nio_Quadros) resigns

1982
Agreement for Cooperation of Science and Technology

1997
Agreement on Air Services

2001
Chinese President Jiang Zemin visited Brazil

May 2004
Brazilian President Luiz Inacio Lula Da Silva visited China

May 2009
Joint Action Plan, cooperation on areas: political, economic and trade, energy and mining, financial, agricultural, industry and information technology, space cooperation, cultural and educational. According to the Joint Action Plan, Brazil and China will cooperate in World Trade Organization negotiations, especially in agriculture and also jointly oppose protectionism

April 2010
Brazil and China Joint Action Plan 2010-2014 April 15, 2010

Source:
Secretariat for Social Communication Presidency of the Federative Republic of Brazil[[15]](Special:Random.html#cite_note-15)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=4)]

  * [Foreign relations of Brazil](http://en.wikipedia.org/wiki/Foreign_relations_of_Brazil)
  * [Foreign relations of the People's Republic of China](http://en.wikipedia.org/wiki/Foreign_relations_of_the_People%27s_Republic_of_China)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=5)]

  1. **[^](Special:Random.html#cite_ref-1)** Harris, Jerry (2005). "Emerging third world powers: China, India and Brazil". _Race & Class_ **46** (3): 7–27. 
  2. ^ _**[a**_](Special:Random.html#cite_ref-cebc_2-0) _**[b**_](Special:Random.html#cite_ref-cebc_2-1) [Some Recent Features of Brazil-China Economic Relations](http://www.cebc.org.br/sites/500/521/00001316.pdf) CEBC.org, April 2009
  3. ^ _**[a**_](Special:Random.html#cite_ref-cement_3-0) _**[b**_](Special:Random.html#cite_ref-cement_3-1) Jonathan Wheatley (2009-05-19). ["Brazil and China cement ties"](http://cachef.ft.com/cms/s/0/3f513830-440b-11de-a9be-00144feabdc0.html#axzz1Bx8GCKTl). [The Financial Times](http://en.wikipedia.org/wiki/The_Financial_Times). Retrieved 2011-01-24. 
  4. **[^](Special:Random.html#cite_ref-4)** By Jonathan Wheatley in Brasília and Jamil Anderlini,in Beijing (2010-04-16). ["China and Brazil to boost co-operation"](http://www.ft.com/cms/s/0/70515bc4-48ef-11df-8af4-00144feab49a.html#axzz1BrF0tuyy). [The Financial Times](http://en.wikipedia.org/wiki/The_Financial_Times). Retrieved 2011-01-24. 
  5. **[^](Special:Random.html#cite_ref-5)** Shixue, Jiang (Winter 2007). "On the Development of Sino-Latin American Relations". _China International Studies_. 
  6. **[^](Special:Random.html#cite_ref-6)** Malcolm Moore, [China overtakes the US as Brazil's largest trading partner](http://www.telegraph.co.uk/finance/economics/5296515/China-overtakes-the-US-as-Brazils-largest-trading-partner.html), The Telegraph, 9 May 2009
  7. **[^](Special:Random.html#cite_ref-7)** [Economic Relations between Brazil and China: A Difficult Partnership](http://library.fes.de/pdf-files/iez/global/50190.pdf) _[Friedrich Ebert Foundation](http://en.wikipedia.org/wiki/Friedrich_Ebert_Foundation)_, January 2006
  8. **[^](Special:Random.html#cite_ref-8)** [In Brazil, Hu Jintao aims for bigger piece of Latin America trade](http://www.csmonitor.com/Business/2010/0415/In-Brazil-Hu-Jintao-aims-for-bigger-piece-of-Latin-America-trade/\(page\)/2) _[Christian Science Monitor](http://en.wikipedia.org/wiki/Christian_Science_Monitor)_, 15 April 2010
  9. **[^](Special:Random.html#cite_ref-9)** Sauzen (June 2001). "The China-Brazil Earth Resources Satellite (CBERS)". _ISPRS Society_ **6** (2). 
  10. **[^](Special:Random.html#cite_ref-10)** Phillips, Tom (2010-09-15). ["Brazil's huge new port highlights China's drive into South America"](http://www.guardian.co.uk/world/2010/sep/15/brazil-port-china-drive). _The Guardian_ (London). 
  11. **[^](Special:Random.html#cite_ref-11)** Shixue, Jiang. ["Meeting the Dragon’s Appetite: The Importance of Latin America in China’s Energy Strategy"](http://blog.china.com.cn/jiangshixue/art/902733.html). 
  12. **[^](Special:Random.html#cite_ref-12)** Dominguéz (June 2010). "China’s Relations With Latin America: Shared Gains, Asymmetric Hopes". _[Inter-American Dialogue](http://en.wikipedia.org/wiki/Inter-American_Dialogue)_. 
  13. **[^](Special:Random.html#cite_ref-13)** Geoff Dyer (2010-04-10). ["Brazil and India join renminbi call"](http://www.ft.com/cms/s/0/29c50e84-4da5-11df-9560-00144feab49a.html#axzz1BrF0tuyy). [The Financial Times](http://en.wikipedia.org/wiki/The_Financial_Times). Retrieved 2011-01-24. 
  14. **[^](Special:Random.html#cite_ref-14)** Jonathan Wheatley and Joe Leahy in São Paulo (2011-01-09). ["Trade war looming, warns Brazil"](http://www.ft.com/cms/s/0/6316eb4a-1c34-11e0-9b56-00144feab49a,dwp_uuid=cc46dd96-caea-11df-bf36-00144feab49a.html#axzz1B2G5UlY4). [The Financial Times](http://en.wikipedia.org/wiki/The_Financial_Times). Retrieved 2011-01-14. 
  15. **[^](Special:Random.html#cite_ref-15)** ["Brazil-China Trade Relations"](http://www.brasil.gov.br/para/press/files/fact-sheet-brazil-china-trade/view). Brazilian Government. Retrieved 6 May 2011. 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit&section=6)]

  * [China to reinforce strategic partnership with Brazil: envoy](http://english.peopledaily.com.cn/90001/90776/90883/7248753.html) _[People's Daily](http://en.wikipedia.org/wiki/People%27s_Daily)_, 2 January 2011
  * [Bridging the Distance: Brazil and China Relations in the Age of Globalization](http://www.allacademic.com/meta/p69963_index.html) _[International Studies Association](http://en.wikipedia.org/wiki/International_Studies_Association)_ May 6, 2009
  * [The Panda Hugs the Tucano: China’s Relations with Brazil](http://www.jamestown.org/single/?no_cache=1&tx_ttnews%5btt_news%5d=34990) _[The Jamestown Foundation](http://en.wikipedia.org/wiki/The_Jamestown_Foundation)_, 15 May 2009
  * [Brazil's China Headache](http://www.cfr.org/publication/20981/brazils_china_headache.html) _[Council on Foreign Relations](http://en.wikipedia.org/wiki/Council_on_Foreign_Relations)_, 14 December 2009
  * ['New Stage in Relations': China, Brazil to Build, Launch Earth Satellite](http://articles.latimes.com/1988-07-08/business/fi-6744_1_china-brazil-earth-resources-satellite) _[Los Angeles Times](http://en.wikipedia.org/wiki/Los_Angeles_Times)_, 8 July 2008

  * [v](http://en.wikipedia.org/wiki/Template:Foreign_relations_of_Brazil)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Foreign_relations_of_Brazil)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Foreign_relations_of_Brazil&action=edit)

![Brazil](../../upload.wikimedia.org/wikipedia/en/thumb/0/05/Flag_of_Brazil.svg/22px-Flag_of_Brazil.svg.png) [Foreign relations of Brazil](http://en.wikipedia.org/wiki/Foreign_relations_of_Brazil)

Africa

  * [Angola](http://en.wikipedia.org/wiki/Angola%E2%80%93Brazil_relations)
  * [DR Congo](http://en.wikipedia.org/wiki/Brazil%E2%80%93Democratic_Republic_of_the_Congo_relations)
  * [Egypt](http://en.wikipedia.org/wiki/Brazil%E2%80%93Egypt_relations)
  * [Cape Verde](http://en.wikipedia.org/wiki/Brazil%E2%80%93Cape_Verde_relations)
  * [Nigeria](http://en.wikipedia.org/wiki/Brazil%E2%80%93Nigeria_relations)
  * [South Africa](http://en.wikipedia.org/wiki/Brazil%E2%80%93South_Africa_relations)

![Coat of arms of Brazil](../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Coat_of_arms_of_Brazil.svg/90px-Coat_of_arms_of_Brazil.svg.png)

Americas

  * [Argentina](http://en.wikipedia.org/wiki/Argentina%E2%80%93Brazil_relations)
  * [Barbados](http://en.wikipedia.org/wiki/Barbados%E2%80%93Brazil_relations)
  * [Canada](http://en.wikipedia.org/wiki/Brazil%E2%80%93Canada_relations)
  * [Chile](http://en.wikipedia.org/wiki/Brazil%E2%80%93Chile_relations)
  * [Costa Rica](http://en.wikipedia.org/wiki/Brazil%E2%80%93Costa_Rica_relations)
  * [Cuba](http://en.wikipedia.org/wiki/Brazil%E2%80%93Cuba_relations)
  * [Guyana](http://en.wikipedia.org/wiki/Brazil%E2%80%93Guyana_relations)
  * [Jamaica](http://en.wikipedia.org/wiki/Brazil%E2%80%93Jamaica_relations)
  * [Mexico](http://en.wikipedia.org/wiki/Brazil%E2%80%93Mexico_relations)
  * [Paraguay](http://en.wikipedia.org/wiki/Brazil%E2%80%93Paraguay_relations)
  * [Suriname](http://en.wikipedia.org/wiki/Brazil%E2%80%93Suriname_relations)
  * [United States](http://en.wikipedia.org/wiki/Brazil%E2%80%93United_States_relations)
  * [Uruguay](http://en.wikipedia.org/wiki/Brazil%E2%80%93Uruguay_relations)

Asia

Middle East

  * [Iran](http://en.wikipedia.org/wiki/Brazil%E2%80%93Iran_relations)
  * [Iraq](http://en.wikipedia.org/wiki/Brazil%E2%80%93Iraq_relations)
  * [Israel](http://en.wikipedia.org/wiki/Brazil%E2%80%93Israel_relations)
  * [Palestine](http://en.wikipedia.org/wiki/Brazil%E2%80%93Palestine_relations)

Elsewhere

  * [Bhutan](http://en.wikipedia.org/wiki/Bhutan%E2%80%93Brazil_relations)
  * **China**
  * [East Timor](http://en.wikipedia.org/wiki/Brazil%E2%80%93East_Timor_relations)
  * [India](http://en.wikipedia.org/wiki/Brazil%E2%80%93India_relations)
  * [Indonesia](http://en.wikipedia.org/wiki/Brazil%E2%80%93Indonesia_relations)
  * [Japan](http://en.wikipedia.org/wiki/Brazil%E2%80%93Japan_relations)
  * [Malaysia](http://en.wikipedia.org/wiki/Brazil%E2%80%93Malaysia_relations)
  * [North Korea](http://en.wikipedia.org/wiki/Brazil%E2%80%93North_Korea_relations)
  * [Pakistan](http://en.wikipedia.org/wiki/Brazil%E2%80%93Pakistan_relations)
  * [Philippines](http://en.wikipedia.org/wiki/Brazil%E2%80%93Philippines_relations)
  * [South Korea](http://en.wikipedia.org/wiki/Brazil%E2%80%93South_Korea_relations)

Europe

  * [Denmark](http://en.wikipedia.org/wiki/Brazil%E2%80%93Denmark_relations)
  * [France](http://en.wikipedia.org/wiki/Brazil%E2%80%93France_relations)
  * [Greece](http://en.wikipedia.org/wiki/Brazil%E2%80%93Greece_relations)
  * [Portugal](http://en.wikipedia.org/wiki/Brazil%E2%80%93Portugal_relations)
  * [Russia](http://en.wikipedia.org/wiki/Brazil%E2%80%93Russia_relations)
  * [Serbia](http://en.wikipedia.org/wiki/Brazil-Serbia_relations)
  * [Spain](http://en.wikipedia.org/wiki/Brazil%E2%80%93Spain_relations)
  * [Ukraine](http://en.wikipedia.org/wiki/Brazil%E2%80%93Ukraine_relations)
  * [United Kingdom](http://en.wikipedia.org/wiki/Brazil%E2%80%93United_Kingdom_relations)

Oceania

  * [Australia](http://en.wikipedia.org/wiki/Australia%E2%80%93Brazil_relations)

International  
organizations

  * [European Union](http://en.wikipedia.org/wiki/Brazil%E2%80%93European_Union_relations)
  * [United Nations](http://en.wikipedia.org/wiki/Brazil_and_the_United_Nations)
  * [G4](http://en.wikipedia.org/wiki/G4_nations)
  * [G8+5](http://en.wikipedia.org/wiki/G8%2B5)
  * [G20](http://en.wikipedia.org/wiki/G-20_major_economies)
  * [BRICS](http://en.wikipedia.org/wiki/BRICS)
  * [IBSA](http://en.wikipedia.org/wiki/IBSA_Dialogue_Forum)
  * [CPLP](http://en.wikipedia.org/wiki/Community_of_Portuguese_Language_Countries)
  * [Mercosur](http://en.wikipedia.org/wiki/Mercosur)
  * [Unasul](http://en.wikipedia.org/wiki/Union_of_South_American_Nations)

Related topics

  * [Ministry of External Relations](http://en.wikipedia.org/wiki/Ministry_of_External_Relations_\(Brazil\))
  * [Diplomatic missions of Brazil](http://en.wikipedia.org/wiki/List_of_diplomatic_missions_of_Brazil)
  * [Diplomatic missions in Brazil](http://en.wikipedia.org/wiki/List_of_diplomatic_missions_in_Brazil)
  * [UNSC reform](http://en.wikipedia.org/wiki/Reform_of_the_United_Nations_Security_Council)
  * [Brazilian Antarctica](http://en.wikipedia.org/wiki/Brazilian_Antarctica)
  * [Wars involving Brazil](http://en.wikipedia.org/wiki/Category:Wars_involving_Brazil)
  * [Treaties of Brazil](http://en.wikipedia.org/wiki/Category:Treaties_of_Brazil)
  * [Brazil and weapons of mass destruction](http://en.wikipedia.org/wiki/Brazil_and_weapons_of_mass_destruction)
  * [Presidential visits by Dilma Rousseff](http://en.wikipedia.org/wiki/List_of_presidential_trips_made_by_Dilma_Rousseff)

[Ministry of External Affairs, Official website](http://www.itamaraty.gov.br/)

  * [v](http://en.wikipedia.org/wiki/Template:Foreign_relations_of_China)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Foreign_relations_of_China)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Foreign_relations_of_China&action=edit)

![China](../../upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Flag_of_the_People's_Republic_of_China.svg/23px-Flag_of_the_People's_Republic_of_China.svg.png) [Foreign relations of China](http://en.wikipedia.org/wiki/Foreign_relations_of_China)

 

[Bilateral](http://en.wikipedia.org/wiki/Bilateralism) relations

Africa

  * [Algeria](http://en.wikipedia.org/wiki/Algeria%E2%80%93China_relations)
  * [Angola](http://en.wikipedia.org/wiki/Angola%E2%80%93China_relations)
  * [Benin](http://en.wikipedia.org/wiki/Benin%E2%80%93China_relations)
  * [Botswana](http://en.wikipedia.org/wiki/Botswana%E2%80%93China_relations)
  * [Burundi](http://en.wikipedia.org/wiki/Burundi%E2%80%93China_relations)
  * [Cameroon](http://en.wikipedia.org/wiki/Cameroon%E2%80%93China_relations)
  * [Cape Verde](http://en.wikipedia.org/wiki/Cape_Verde%E2%80%93China_relations)
  * [Central African Republic](http://en.wikipedia.org/wiki/Central_African_Republic%E2%80%93China_relations)
  * [Chad](http://en.wikipedia.org/wiki/Chad%E2%80%93China_relations)
  * [Comoros](http://en.wikipedia.org/wiki/China%E2%80%93Comoros_relations)
  * [Congo, Democratic Republic of the](http://en.wikipedia.org/wiki/China%E2%80%93Democratic_Republic_of_the_Congo_relations)
  * [Djibouti](http://en.wikipedia.org/wiki/China%E2%80%93Djibouti_relations)
  * [Egypt](http://en.wikipedia.org/wiki/China%E2%80%93Egypt_relations)
  * [Eritrea](http://en.wikipedia.org/wiki/China%E2%80%93Eritrea_relations)
  * [Ethiopia](http://en.wikipedia.org/wiki/China%E2%80%93Ethiopia_relations)
  * [Ghana](http://en.wikipedia.org/wiki/China%E2%80%93Ghana_relations)
  * [Guinea-Bissau](http://en.wikipedia.org/wiki/China%E2%80%93Guinea-Bissau_relations)
  * [Kenya](http://en.wikipedia.org/wiki/China%E2%80%93Kenya_relations)
  * [Lesotho](http://en.wikipedia.org/wiki/China%E2%80%93Lesotho_relations)
  * [Liberia](http://en.wikipedia.org/wiki/China%E2%80%93Liberia_relations)
  * [Libya](http://en.wikipedia.org/wiki/China%E2%80%93Libya_relations)
  * [Malawi](http://en.wikipedia.org/wiki/China%E2%80%93Malawi_relations)
  * [Mali](http://en.wikipedia.org/wiki/China%E2%80%93Mali_relations)
  * [Mauritius](http://en.wikipedia.org/wiki/China%E2%80%93Mauritius_relations)
  * [Mozambique](http://en.wikipedia.org/wiki/China%E2%80%93Mozambique_relations)
  * [Namibia](http://en.wikipedia.org/wiki/China%E2%80%93Namibia_relations)
  * [Niger](http://en.wikipedia.org/wiki/China%E2%80%93Niger_relations)
  * [Nigeria](http://en.wikipedia.org/wiki/China%E2%80%93Nigeria_relations)
  * [Sierra Leone](http://en.wikipedia.org/wiki/China%E2%80%93Sierra_Leone_relations)
  * [Seychelles](http://en.wikipedia.org/wiki/China%E2%80%93Seychelles_relations)
  * [Somalia](http://en.wikipedia.org/wiki/China%E2%80%93Somalia_relations)
  * [South Africa](http://en.wikipedia.org/wiki/China%E2%80%93South_Africa_relations)
  * [South Sudan](http://en.wikipedia.org/wiki/China%E2%80%93South_Sudan_relations)
  * [Sudan](http://en.wikipedia.org/wiki/China%E2%80%93Sudan_relations)
  * [Tanzania](http://en.wikipedia.org/wiki/China%E2%80%93Tanzania_relations)
  * [Togo](http://en.wikipedia.org/wiki/China%E2%80%93Togo_relations)
  * [Tunisia](http://en.wikipedia.org/wiki/China%E2%80%93Tunisia_relations)
  * [Uganda](http://en.wikipedia.org/wiki/China%E2%80%93Uganda_relations)
  * [Zambia](http://en.wikipedia.org/wiki/China%E2%80%93Zambia_relations)
  * [Zimbabwe](http://en.wikipedia.org/wiki/China%E2%80%93Zimbabwe_relations)

Asia

  * [Afghanistan](http://en.wikipedia.org/wiki/Afghanistan%E2%80%93China_relations)
  * [Azerbaijan](http://en.wikipedia.org/wiki/Foreign_relations_of_Azerbaijan)
  * [Bangladesh](http://en.wikipedia.org/wiki/Bangladesh%E2%80%93China_relations)
  * [Bhutan](http://en.wikipedia.org/wiki/Bhutan%E2%80%93China_relations)
  * [Brunei](http://en.wikipedia.org/wiki/Brunei%E2%80%93China_relations)
  * [Burma](http://en.wikipedia.org/wiki/Burma%E2%80%93China_relations)
  * [Cambodia](http://en.wikipedia.org/wiki/Cambodia%E2%80%93China_relations)
  * [East Timor](http://en.wikipedia.org/wiki/China%E2%80%93East_Timor_relations)
  * [India](http://en.wikipedia.org/wiki/China%E2%80%93India_relations)
  * [Indonesia](http://en.wikipedia.org/wiki/China%E2%80%93Indonesia_relations)
  * [Iran](http://en.wikipedia.org/wiki/China%E2%80%93Iran_relations)
  * [Iraq](http://en.wikipedia.org/wiki/China%E2%80%93Iraq_relations)
  * [Israel](http://en.wikipedia.org/wiki/China%E2%80%93Israel_relations)
  * [Japan](http://en.wikipedia.org/wiki/China%E2%80%93Japan_relations)
  * [Kazakhstan](http://en.wikipedia.org/wiki/China%E2%80%93Kazakhstan_relations)
  * [Korea, North](http://en.wikipedia.org/wiki/China%E2%80%93North_Korea_relations)
  * [Korea, South](http://en.wikipedia.org/wiki/China%E2%80%93South_Korea_relations)
  * [Kyrgyzstan](http://en.wikipedia.org/wiki/China%E2%80%93Kyrgyzstan_relations)
  * [Laos](http://en.wikipedia.org/wiki/China%E2%80%93Laos_relations)
  * [Malaysia](http://en.wikipedia.org/wiki/China%E2%80%93Malaysia_relations)
  * [Maldives](http://en.wikipedia.org/wiki/China%E2%80%93Maldives_relations)
  * [Mongolia](http://en.wikipedia.org/wiki/China%E2%80%93Mongolia_relations)
  * [Nepal](http://en.wikipedia.org/wiki/China%E2%80%93Nepal_relations)
  * [Pakistan](http://en.wikipedia.org/wiki/China%E2%80%93Pakistan_relations)
  * [Palestine](http://en.wikipedia.org/wiki/China%E2%80%93Palestine_relations)
  * [Philippines](http://en.wikipedia.org/wiki/China%E2%80%93Philippines_relations)
  * [Russia](http://en.wikipedia.org/wiki/Sino-Russian_relations_since_1991)
  * [Saudi Arabia](http://en.wikipedia.org/wiki/China%E2%80%93Saudi_Arabia_relations)
  * [Singapore](http://en.wikipedia.org/wiki/China%E2%80%93Singapore_relations)
  * [Sri Lanka](http://en.wikipedia.org/wiki/China%E2%80%93Sri_Lanka_relations)
  * [Syria](http://en.wikipedia.org/wiki/China%E2%80%93Syria_relations)
  * [Taiwan](http://en.wikipedia.org/wiki/Cross-Strait_relations)
  * [Tajikistan](http://en.wikipedia.org/wiki/China%E2%80%93Tajikistan_relations)
  * [Thailand](http://en.wikipedia.org/wiki/China%E2%80%93Thailand_relations)
  * [Turkey](http://en.wikipedia.org/wiki/China%E2%80%93Turkey_relations)
  * [United Arab Emirates](http://en.wikipedia.org/wiki/China%E2%80%93United_Arab_Emirates_relations)
  * [Vietnam](http://en.wikipedia.org/wiki/China%E2%80%93Vietnam_relations)
  * [Yemen](http://en.wikipedia.org/wiki/China%E2%80%93Yemen_relations)

Europe

  * [Albania](http://en.wikipedia.org/wiki/Albania%E2%80%93China_relations)
  * [Belgium](http://en.wikipedia.org/wiki/Belgium%E2%80%93China_relations)
  * [Bulgaria](http://en.wikipedia.org/wiki/Bulgaria%E2%80%93China_relations)
  * [Czech Republic](http://en.wikipedia.org/wiki/China%E2%80%93Czech_Republic_relations)
  * [Denmark](http://en.wikipedia.org/wiki/China%E2%80%93Denmark_relations)
  * [Finland](http://en.wikipedia.org/wiki/China%E2%80%93Finland_relations)
  * [France](http://en.wikipedia.org/wiki/China%E2%80%93France_relations)
  * [Germany](http://en.wikipedia.org/wiki/China%E2%80%93Germany_relations)
  * [Greece](http://en.wikipedia.org/wiki/China%E2%80%93Greece_relations)
  * [Ireland](http://en.wikipedia.org/wiki/China%E2%80%93Ireland_relations)
  * [Italy](http://en.wikipedia.org/wiki/China%E2%80%93Italy_relations)
  * [Lithuania](http://en.wikipedia.org/wiki/China%E2%80%93Lithuania_relations)
  * [Luxembourg](http://en.wikipedia.org/wiki/China%E2%80%93Luxembourg_relations)
  * [Netherlands](http://en.wikipedia.org/wiki/China%E2%80%93Netherlands_relations)
  * [Norway](http://en.wikipedia.org/wiki/China%E2%80%93Norway_relations)
  * [Poland](http://en.wikipedia.org/wiki/China%E2%80%93Poland_relations)
  * [Portugal](http://en.wikipedia.org/wiki/China%E2%80%93Portugal_relations)
  * [Romania](http://en.wikipedia.org/wiki/China%E2%80%93Romania_relations)
  * [Russia](http://en.wikipedia.org/wiki/Sino%E2%80%93Russian_relations_since_1991)
  * [Serbia](http://en.wikipedia.org/wiki/China%E2%80%93Serbia_relations)
  * [Spain](http://en.wikipedia.org/wiki/China%E2%80%93Spain_relations)
  * [Sweden](http://en.wikipedia.org/wiki/China%E2%80%93Sweden_relations)
  * [Switzerland](http://en.wikipedia.org/wiki/China%E2%80%93Switzerland_relations)
  * [Turkey](http://en.wikipedia.org/wiki/China%E2%80%93Turkey_relations)
  * [Ukraine](http://en.wikipedia.org/wiki/China%E2%80%93Ukraine_relations)
  * [United Kingdom](http://en.wikipedia.org/wiki/China%E2%80%93United_Kingdom_relations)
  * [Vatican City](http://en.wikipedia.org/wiki/China%E2%80%93Holy_See_relations)

North America

  * [Antigua and Barbuda](http://en.wikipedia.org/wiki/Antigua_and_Barbuda%E2%80%93China_relations)
  * [Bahamas](http://en.wikipedia.org/wiki/Bahamas%E2%80%93China_relations)
  * [Barbados](http://en.wikipedia.org/wiki/Barbados%E2%80%93China_relations)
  * [Canada](http://en.wikipedia.org/wiki/Canada%E2%80%93China_relations)
  * [Cuba](http://en.wikipedia.org/wiki/China%E2%80%93Cuba_relations)
  * [Grenada](http://en.wikipedia.org/wiki/China%E2%80%93Grenada_relations)
  * [Jamaica](http://en.wikipedia.org/wiki/China%E2%80%93Jamaica_relations)
  * [Mexico](http://en.wikipedia.org/wiki/China%E2%80%93Mexico_relations)
  * [Trinidad and Tobago](http://en.wikipedia.org/wiki/China%E2%80%93Trinidad_and_Tobago_relations)
  * [United States](http://en.wikipedia.org/wiki/China%E2%80%93United_States_relations)

Oceania

  * [Australia](http://en.wikipedia.org/wiki/Australia%E2%80%93China_relations)
  * [Fiji](http://en.wikipedia.org/wiki/China%E2%80%93Fiji_relations)
  * [Kiribati](http://en.wikipedia.org/wiki/China%E2%80%93Kiribati_relations)
  * [Micronesia](http://en.wikipedia.org/wiki/China%E2%80%93Federated_States_of_Micronesia_relations)
  * [New Zealand](http://en.wikipedia.org/wiki/China%E2%80%93New_Zealand_relations)
  * [Niue](http://en.wikipedia.org/wiki/China%E2%80%93Niue_relations)
  * [Papua New Guinea](http://en.wikipedia.org/wiki/China%E2%80%93Papua_New_Guinea_relations)
  * [Samoa](http://en.wikipedia.org/wiki/China%E2%80%93Samoa_relations)
  * [Tonga](http://en.wikipedia.org/wiki/China%E2%80%93Tonga_relations)
  * [Vanuatu](http://en.wikipedia.org/wiki/China%E2%80%93Vanuatu_relations)

South America

  * [Argentina](http://en.wikipedia.org/wiki/Argentina%E2%80%93China_relations)
  * [Bolivia](http://en.wikipedia.org/wiki/Bolivia%E2%80%93China_relations)
  * **Brazil**
  * [Peru](http://en.wikipedia.org/wiki/China%E2%80%93Peru_relations)
  * [Uruguay](http://en.wikipedia.org/wiki/China%E2%80%93Uruguay_relations)
  * [Venezuela](http://en.wikipedia.org/wiki/China%E2%80%93Venezuela_relations)

![National Emblem of the People's Republic of China.svg](../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/National_Emblem_of_the_People's_Republic_of_China.svg/52px-National_Emblem_of_the_People's_Republic_of_China.svg.png)

 

[Multilateral](http://en.wikipedia.org/wiki/Multilateralism) relations

  * [Africa](http://en.wikipedia.org/wiki/Africa%E2%80%93China_relations)
  * [Arab League](http://en.wikipedia.org/wiki/Sino-Arab_relations)
  * [BRICS](http://en.wikipedia.org/wiki/BRICS)
  * [Caribbean](http://en.wikipedia.org/wiki/Caribbean%E2%80%93China_relations)
  * [China–Japan–South Korea](http://en.wikipedia.org/wiki/China%E2%80%93Japan%E2%80%93South_Korea_trilateral_summit)
  * [European Union](http://en.wikipedia.org/wiki/China%E2%80%93European_Union_relations)
  * [Latin America](http://en.wikipedia.org/wiki/China%E2%80%93Latin_America_relations)
  * [Oceania](http://en.wikipedia.org/wiki/Sino-Pacific_relations)
  * [Third World](http://en.wikipedia.org/wiki/Sino-Third_World_relations)

 

Diplomacy

  * [Ministry of Foreign Affairs](http://en.wikipedia.org/wiki/Ministry_of_Foreign_Affairs_of_the_People%27s_Republic_of_China)
  * [Minister of Foreign Affairs](http://en.wikipedia.org/wiki/Foreign_Minister_of_the_People%27s_Republic_of_China)
  * [Diplomatic missions of](http://en.wikipedia.org/wiki/List_of_diplomatic_missions_of_China) / [in China](http://en.wikipedia.org/wiki/List_of_diplomatic_missions_in_China)
  * [China and the United Nations](http://en.wikipedia.org/wiki/China_and_the_United_Nations)
  * [Stadium diplomacy](http://en.wikipedia.org/wiki/Stadium_diplomacy)
  * [Panda diplomacy](http://en.wikipedia.org/wiki/Panda_diplomacy)
  * [Theaters built as aid](http://en.wikipedia.org/wiki/List_of_theaters_built_by_China_as_aid)

  * [v](http://en.wikipedia.org/wiki/Template:BRIC_summits)
  * [t](http://en.wikipedia.org/wiki/Template_talk:BRIC_summits)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:BRIC_summits&action=edit)

[BRICS](http://en.wikipedia.org/wiki/BRICS)

Membership

  * [Brazil](http://en.wikipedia.org/wiki/Foreign_relations_of_Brazil)
  * [Russia](http://en.wikipedia.org/wiki/Foreign_relations_of_Russia)
  * [India](http://en.wikipedia.org/wiki/Foreign_relations_of_India)
  * [China](http://en.wikipedia.org/wiki/Foreign_relations_of_China)
  * [South Africa](http://en.wikipedia.org/wiki/Foreign_relations_of_South_Africa)

[Summits](http://en.wikipedia.org/wiki/Summit_\(meeting\))

  * [Yekaterinburg 2009](http://en.wikipedia.org/wiki/1st_BRIC_summit)
  * [Brasília 2010](http://en.wikipedia.org/wiki/2nd_BRIC_summit)
  * [Sanya 2011](http://en.wikipedia.org/wiki/3rd_BRICS_summit)
  * [New Delhi 2012](http://en.wikipedia.org/wiki/4th_BRICS_summit)
  * [Durban 2013](http://en.wikipedia.org/wiki/5th_BRICS_summit)
  * [Fortaleza 2014](http://en.wikipedia.org/wiki/6th_BRICS_summit)
  * [Ufa 2015](http://en.wikipedia.org/w/index.php?title=7th_BRICS_summit&action=edit&redlink=1)

[Bilateral relations](http://en.wikipedia.org/wiki/Bilateralism)

  * **Brazil–China**
  * [Brazil–India](http://en.wikipedia.org/wiki/Brazil%E2%80%93India_relations)
  * [Brazil–Russia](http://en.wikipedia.org/wiki/Brazil%E2%80%93Russia_relations)
  * [Brazil–South Africa](http://en.wikipedia.org/wiki/Brazil%E2%80%93South_Africa_relations)
  * [China–India](http://en.wikipedia.org/wiki/China%E2%80%93India_relations)
  * [China–Russia](http://en.wikipedia.org/wiki/Sino-Russian_relations_since_1991)
  * [China–South Africa](http://en.wikipedia.org/wiki/China%E2%80%93South_Africa_relations)
  * [India–Russia](http://en.wikipedia.org/wiki/India%E2%80%93Russia_relations)
  * [India–South Africa](http://en.wikipedia.org/wiki/India%E2%80%93South_Africa_relations)
  * [Russia–South Africa](http://en.wikipedia.org/wiki/Russia%E2%80%93South_Africa_relations)

Related

  * [BRICS Development Bank](http://en.wikipedia.org/wiki/BRICS_Development_Bank)
  * [BRIC](http://en.wikipedia.org/wiki/BRIC)

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Brazil–China_relations&oldid=603999875](http://en.wikipedia.org/w/index.php?title=Brazil–China_relations&oldid=603999875)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Brazil–China relations](http://en.wikipedia.org/wiki/Category:Brazil%E2%80%93China_relations)
  * [Bilateral relations of Brazil](http://en.wikipedia.org/wiki/Category:Bilateral_relations_of_Brazil)
  * [Bilateral relations of China](http://en.wikipedia.org/wiki/Category:Bilateral_relations_of_China)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Brazil%E2%80%93China+relations&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Brazil%E2%80%93China+relations)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Brazil%E2%80%93China_relations)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Brazil%E2%80%93China_relations)
  * [Related changes](/wiki/Special:RecentChangesLinked/Brazil%E2%80%93China_relations)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Brazil%E2%80%93China_relations&oldid=603999875)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Brazil%E2%80%93China_relations)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Brazil%E2%80%93China_relations)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&oldid=603999875)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q10359073)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Brazil%E2%80%93China_relations&id=603999875)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Brazil%E2%80%93China+relations)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Brazil%E2%80%93China+relations&oldid=603999875&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Brazil%E2%80%93China_relations&printable=yes)

### Languages

    * [Português](http://pt.wikipedia.org/wiki/Rela%C3%A7%C3%B5es_entre_Brasil_e_China)
    * [中文](http://zh.wikipedia.org/wiki/%E4%B8%AD%E5%8D%8E%E4%BA%BA%E6%B0%91%E5%85%B1%E5%92%8C%E5%9B%BD%EF%BC%8D%E5%B7%B4%E8%A5%BF%E5%85%B3%E7%B3%BB)
    *     * [Edit links](http://www.wikidata.org/wiki/Q10359073#sitelinks-wikipedia)

    * This page was last modified on 13 April 2014 at 11:44.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Brazil%E2%80%93China_relations)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
