# CCJO René Cassin

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![Question book-new.svg](../../upload.wikimedia.org/wikipedia/en/thumb/9/99/Question_book-new.svg/50px-Question_book-new.svg.png)

This article **relies on [references](http://en.wikipedia.org/wiki/Wikipedia:Verifiability) to [primary sources](http://en.wikipedia.org/wiki/Wikipedia:No_original_research#Primary.2C_secondary_and_tertiary_sources)**. Please add references to [secondary or tertiary sources](http://en.wikipedia.org/wiki/Wikipedia:No_original_research#Primary.2C_secondary_and_tertiary_sources). _(June 2009)_

**CCJO RenéCassin** CCJO René Cassin is a [human rights](http://en.wikipedia.org/wiki/Human_rights) NGO that works to promote and protect universal human rights, drawing on [Jewish](http://en.wikipedia.org/wiki/Jewish) experiences and values. The organisation does this by campaigning for change in defined human rights areas through a combination of advocacy, policy analysis, public campaigning and education and building the capacity of activists and lawyers to promote and protect human rights. The organisation works in human rights areas that bear some relation to Jewish experience, such as [discrimination](http://en.wikipedia.org/wiki/Discrimination), [asylum](http://en.wikipedia.org/wiki/Right_of_asylum), and [genocide](http://en.wikipedia.org/wiki/Genocide). The organisation holds special consultative status with the [United Nations](http://en.wikipedia.org/wiki/United_Nations) as a constituent organisation of the Consultative Council of Jewish Organisation (CCJO). The CCJO’s first President was Monsieur [Rene Cassin](http://en.wikipedia.org/wiki/Rene_Cassin), a principal drafter of the [UN Declaration of Human Rights](http://en.wikipedia.org/wiki/UN_Declaration_of_Human_Rights), who was awarded the [Nobel Peace Prize](http://en.wikipedia.org/wiki/Nobel_Peace_Prize) in 1968 in recognition of his work for human rights as a jurist, academic and statesman. The CCJO has been an active supporter of efforts to increase the effectiveness of the UN’s human rights treaties and institutional mechanisms in the intervening decades. From the 1940s to the 1970s it was involved in the creation of the United Nations human rights instruments, which form the basis of the UN’s human rights activities today. CCJO René Cassin recently negotiated the first-ever reference to group / collective rights in a [United Nations Instrument](http://en.wikipedia.org/wiki/International_human_rights_instruments) (the Basic Principles on Rights to Victims). The principles were adopted by the UN General Assembly in November 2005. The group has also campaigned on refugee rights, genocide prevention, [religious freedom](http://en.wikipedia.org/wiki/Religious_freedom), [racial equality](http://en.wikipedia.org/wiki/Racial_equality) and international restitution issues. CCJO René Cassin also offers human rights education programmes and training sessions.

The group is primarily focused on the [UK](http://en.wikipedia.org/wiki/UK), but has supporters throughout [Europe](http://en.wikipedia.org/wiki/Europe), particularly in [France](http://en.wikipedia.org/wiki/France).

Maya Jaffe is the organisation’s current Chair. Its first full-time Director was Clive Gabay, appointed in 2005. Sarah Kaiser replaced Gabay in November 2006. In October 2010, Kaiser was succeeded by Simone Abel, an attorney with previous experience at Human Rights Watch, New York, and two leading international law firms. In late 2011, Shauna Leven, also a lawyer, joined René Cassin as Programme Manager in 2011 and was appointed Director in 2013.

## Contents

  * [1 Aims](Special:Random.html#Aims)
  * [2 History](Special:Random.html#History)
  * [3 Issues and campaigns](Special:Random.html#Issues_and_campaigns)
  * [4 Education](Special:Random.html#Education)
  * [5 Jewish Human Rights Network](Special:Random.html#Jewish_Human_Rights_Network)
  * [6 See also](Special:Random.html#See_also)
  * [7 External links](Special:Random.html#External_links)

## Aims[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=1)]

  * To work with the international [human rights](http://en.wikipedia.org/wiki/Human_rights) community to advance the human rights of all persons and communities around the world.
  * To take this agenda forward at the [United Nations](http://en.wikipedia.org/wiki/United_Nations) and other appropriate fora.
  * To work with other Jewish organisations to increase awareness of human rights and encourage activism within [Jewish](http://en.wikipedia.org/wiki/Judaism) communities on behalf of the dispossessed and oppressed of the world.

## History[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=2)]

In 2000 the Consultative Council of Jewish Organisations (CCJO) took a group of young professionals to the former United Nations Commission on Human Rights (which has since been reformed into the [Human Rights Council](http://en.wikipedia.org/wiki/Human_Rights_Council)) in Geneva where they were dismayed by the absence of a Jewish voice on universal human rights. They were inspired to set up CCJO René Cassin (RC) to provide a Jewish voice on international human rights.

Since establishing its base in the United Kingdom at this time, RC has grown and professionalised. In 2003, RC began to engage with the Jewish community in the UK to promote awareness of human rights and encourage activism, by hosting a series of high-level public events, including panel debates and conferences. Speakers at these events included [Dame Ruth Deech](http://en.wikipedia.org/wiki/Ruth_Deech), [Dr Indarjit Singh](http://en.wikipedia.org/wiki/Indarjit_Singh) and [Peter Tatchell](http://en.wikipedia.org/wiki/Peter_Tatchell).

In 2005, RC launched an education programme for secondary schools in the UK on [genocide](http://en.wikipedia.org/wiki/Genocide), [immigration](http://en.wikipedia.org/wiki/Immigration) and rights of the child. In 2005 alone, this programme reached over 3000 Jewish secondary school children. The organisation continued to prioritise education, developing education packs for teachers, and working with five major Jewish secondary schools to educate on the escalating situation in [Darfur](http://en.wikipedia.org/wiki/Darfur), [Sudan](http://en.wikipedia.org/wiki/Sudan).

RC continued to take delegations to the United Nations Human Rights Council with the support of the CCJO. In 2005 as part of a campaign for restitution for victims of genocide, RC representatives negotiated the first-ever reference to group rights in a [United Nations Instrument](http://en.wikipedia.org/wiki/International_human_rights_instruments) (the Basic Principles on Rights to Victims).

RC continues to campaign on issues including [immigration](http://en.wikipedia.org/wiki/Immigration), [terrorism](http://en.wikipedia.org/wiki/Terrorism) and [torture](http://en.wikipedia.org/wiki/Torture) at the UN.

In 2007, RC launched the Jewish Human Rights Network in the UK to bring Jewish people together to speak out for human rights, with the support of the [Chief Rabbi](http://en.wikipedia.org/wiki/Jonathan_Sachs) of the United Kingdom, the [Attorney General](http://en.wikipedia.org/wiki/Attorney_General) of the United Kingdom and representatives from across the UK Jewish and human rights community.

In its early years, RC was chaired by two young lawyers, [Alexander Goldberg](http://en.wikipedia.org/wiki/Alexander_Goldberg) and Daniel Kingsley. The group employed its first full-time Director, Clive Gabay in 2005, who was succeeded by Sarah Kaiser in 2006. Kaiser continued to prioritise educational work, developing multiple resources and educational programmes focused on Judaism and human rights, and holding events. In October 2010, Kaiser was succeeded by Simone Abel, an attorney with previous experience at Human Rights Watch, New York, and two leading international law firms. In late 2011, Shauna Leven, also a lawyer, joined RC as Programme Manager in 2011 and was appointed Director in 2013.

Since Abel’s appointment, the organisation has focused increasingly on advocacy work in addition to its educational offerings. The organisation began working on issues pertaining to discrimination against [Gypsies](http://en.wikipedia.org/wiki/Romani_people), [Travellers](http://en.wikipedia.org/wiki/Itinerancy) and [Roma](http://en.wikipedia.org/wiki/Romani_people) in UK and Europe in 2010, and [modern slavery](http://en.wikipedia.org/wiki/Modern_slavery) and support of domestic UK human rights protections in 2011, developing policy papers, advocacy strategies and educational resources. Since 2010, the organisation has increasingly worked in collaboration with other organisations to achieve its advocacy goals in the most efficient and effective way possible.

RC has continued its international advocacy work as well, participating in sessions including the ECOSOC High Level Segment, the Universal Periodic Review and Human Rights Council sessions.

## Issues and campaigns[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=3)]

  * **Genocide and Crimes against Humanity: Darfur** RC has called for a peaceful resolution to the crisis in [Darfur](http://en.wikipedia.org/wiki/Darfur). More specifically, they have called for United Nations peace-keeping forces to be sent to the area, a [no-fly zone](http://en.wikipedia.org/wiki/No-fly_zone) to be enforced over Darfur and support from the international community to pursue convictions for the perpetrations of the crimes against humanity at the [International Criminal Court](http://en.wikipedia.org/wiki/International_Criminal_Court). In keeping with this, RC has repeatedly highlighted the situation in Darfur via interventions delivered to the [United Nations Human Rights Council](http://en.wikipedia.org/wiki/United_Nations_Human_Rights_Council). In 2012, RC began research into the conflict South Kordofan state, Sudan.
  * **Asylum and Detention** RC is concerned that the United Kingdom’s policy and practice of detention infringes the human rights of many asylum seekers. The organisation frames the detention of asylum seekers as a human rights issue and campaigns against [indefinite detention](http://en.wikipedia.org/wiki/Indefinite_detention), the detention of vulnerable people and the Detained Fast Track system as violations of human rights standards and the inherent dignity of the individual.
  * **The Chronically Excluded** In 2011 RC launched a campaign against discrimination facing Gypsy and Traveller communities, titled 'The Chronically Excluded.' In April 2011 RC highlighted inequalities facing the Gypsy and Traveller communities in the UK and Europe at the European Union Fundamental Rights Platform in Vienna. Following this, in May 2012 the organisation presented an oral submission for the UN Commission on Social Development on the social exclusion of Gypsies and Travellers.
  * **Slavery and human trafficking** RC seeks to end modern slavery through education and advocacy. In 2011 it published a [Haggadah](http://en.wikipedia.org/wiki/Haggadah) Companion highlighting the ongoing issue of modern-day slavery and engaging supporters in positive activities to: raise awareness, change consumer behaviour and join their advocacy work. RC also advised various corporations as to what steps they could take in order to ensure that they avoid indirectly contributing to modern-day slavery or increasing the likelihood of the exploitation of human beings during the [2012 London Olympics](http://en.wikipedia.org/wiki/2012_Summer_Olympics).
  * **Working to protect and promote the Human Rights Act** RC supports and advocates for the retention of the Act. In 2012 it hosted a panel discussion with guest speakers Professor Francesca Klug OBE and Sir [Vernon Bogdanor](http://en.wikipedia.org/wiki/Vernon_Bogdanor) CBE about the importance of retaining the Act and also prepared a submission to the Commission on the Bill of Rights Consultation.
  * **Children's Rights** RC aims to end child slavery and sexual servitude, protect the rights of child asylum seekers and end child detention, end discrimination on the basis of sexuality and promote the right to education and end discrimination in schools.

## Education[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=4)]

RC has been committed to providing transformative human rights education since 2003, and initially developed a wide range of resources aimed at secondary school children. In 2008, on the [Global Day for Darfur](http://en.wikipedia.org/wiki/Day_for_Darfur), the group hosted its first full-day conference entitled ‘What’s so Jewish about Human Rights?’ and the event has become an annual fixture.

More recently, the organisation has focused on human rights education for young professionals, the Jewish community as a whole, and continuing professional development for lawyers.

RC runs an annual educational programme titled the Activist Enrichment Programme, which develops groups of highly skilled young professionals into committed and passionate activists and takes them to Geneva, Strasbourg and the Hague to campaign before the international bodies. The organisation has been running this programme successfully since 2008 and has had an independent educational evaluation conducted which concluded that the programme was adding real value to advocacy-training for young professionals.

The organisation also runs the René Cassin Fellowship Programme, (RCFP) which brings together young Jewish professionals from [Europe](http://en.wikipedia.org/wiki/Europe), [Israel](http://en.wikipedia.org/wiki/Israel) and the [US](http://en.wikipedia.org/wiki/US) to explore a range of human rights issues through a uniquely Jewish lens. It provides Jewish professionals with the knowledge, skills and contacts needed to enhance their activism in the areas of social justice, international human rights or related fields. In 2013, the year-long Fellowship Program held monthly seminars with a core faculty member on a curriculum specially developed for the fellowship. The fellows also participate in periodic visits by leading human rights lawyers, academics, activists, and communal leaders. The RCFP consists of two major trips - in June, Fellows participate in a study tour to Israel, and in the fall there is a trip to Geneva for the European and Israeli delegations.

## Jewish Human Rights Network[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=5)]

In May 2008 RenéCassin launched the Jewish Human Rights Network in an attempt to bring together the main Jewish human rights groups to strengthen the Jewish voice in the international community. Membership of the Network is open to any organisation or individual that signs up to the Declaration on Human Rights and Judaism. The Declaration has been signed by several notable figures within the Jewish community and wider human rights world including the [President of the Board of Deputies of British Jews](http://en.wikipedia.org/wiki/Henry_Grunwald_\(Jewish_leader\)), the [Attorney General](http://en.wikipedia.org/wiki/Lord_Goldsmith), Francesca Klug OBE and the [Chief Rabbi](http://en.wikipedia.org/wiki/Jonathan_Sachs). As of 2013, the JHRN was inactive.

## See also[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=6)]

  * [International Institute of Human Rights](http://en.wikipedia.org/wiki/International_Institute_of_Human_Rights)
  * [[1]](http://www.jhrn.org/)

## External links[[edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit&section=7)]

  * [CCJO René Cassin Homepage](http://www.renecassin.org)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=CCJO_René_Cassin&oldid=595495769](http://en.wikipedia.org/w/index.php?title=CCJO_René_Cassin&oldid=595495769)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Human rights organizations](http://en.wikipedia.org/wiki/Category:Human_rights_organizations)
  * [United Nations non-governmental organizations](http://en.wikipedia.org/wiki/Category:United_Nations_non-governmental_organizations)
  * [Organizations established in 2000](http://en.wikipedia.org/wiki/Category:Organizations_established_in_2000)
  * [Non-governmental organizations](http://en.wikipedia.org/wiki/Category:Non-governmental_organizations)
  * [Charities based in the United Kingdom](http://en.wikipedia.org/wiki/Category:Charities_based_in_the_United_Kingdom)
  * [Jewish charities](http://en.wikipedia.org/wiki/Category:Jewish_charities)
  * [Jews and Judaism in the United Kingdom](http://en.wikipedia.org/wiki/Category:Jews_and_Judaism_in_the_United_Kingdom)

Hidden categories: 

  * [Articles lacking reliable references from June 2009](http://en.wikipedia.org/wiki/Category:Articles_lacking_reliable_references_from_June_2009)
  * [All articles lacking reliable references](http://en.wikipedia.org/wiki/Category:All_articles_lacking_reliable_references)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=CCJO+Ren%C3%A9+Cassin&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=CCJO+Ren%C3%A9+Cassin)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:CCJO_Ren%C3%A9_Cassin)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/CCJO_Ren%C3%A9_Cassin)
  * [Related changes](/wiki/Special:RecentChangesLinked/CCJO_Ren%C3%A9_Cassin)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/CCJO_Ren%C3%A9_Cassin)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/CCJO_Ren%C3%A9_Cassin)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&oldid=595495769)
    * [Page information](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q5009605)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=CCJO_Ren%C3%A9_Cassin&id=595495769)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=CCJO+Ren%C3%A9+Cassin)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=CCJO+Ren%C3%A9+Cassin&oldid=595495769&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=CCJO_Ren%C3%A9_Cassin&printable=yes)

### Languages

    * [עברית](http://he.wikipedia.org/wiki/%D7%9E%D7%95%D7%A2%D7%A6%D7%AA_%D7%94%D7%90%D7%A8%D7%92%D7%95%D7%A0%D7%99%D7%9D_%D7%94%D7%99%D7%94%D7%95%D7%93%D7%99%D7%99%D7%9D_%D7%94%D7%A2%D7%95%D7%9C%D7%9E%D7%99%D7%99%D7%9D)
    *     * [Edit links](http://www.wikidata.org/wiki/Q5009605#sitelinks-wikipedia)

    * This page was last modified on 14 February 2014 at 20:33.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/CCJO_Ren%C3%A9_Cassin)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
