# Cancer registry

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![Globe icon.](../../upload.wikimedia.org/wikipedia/commons/thumb/b/bd/Ambox_globe_content.svg/48px-Ambox_globe_content.svg.png)

The examples and perspective in this article **deal primarily with the United States and do not represent a [worldwide view](http://en.wikipedia.org/wiki/Wikipedia:WikiProject_Countering_systemic_bias) of the subject**. Please [improve this article](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit) and discuss the issue on the [talk page](http://en.wikipedia.org/wiki/Talk:Cancer_registry). _(September 2013)_

A **cancer registry** is a systematic collection of data about [cancer](http://en.wikipedia.org/wiki/Cancer) and [tumor](http://en.wikipedia.org/wiki/Tumor) diseases. The data are collected by [Cancer Registrars](http://en.wikipedia.org/wiki/National_Cancer_Registrars_Association). Cancer Registrars capture a complete summary of patient history, diagnosis, treatment, and status for every cancer patient in the United States, and other countries as well.[[1]](Special:Random.html#cite_note-1)

The National Program of Cancer Registries was established by Congress through the Cancer Registries Amendment Act in 1992, and administered by the Centers for Disease Control and Prevention (CDC).[[1]](http://www.cdc.gov/cancer/npcr/about.htm). NPCR and SEER together collect cancer data for the entire U.S. population. CDC and NCI, in collaboration with the North American Association of Central Cancer Registries, have been publishing annual federal cancer statistics in the United States Cancer Statistics: Incidence and Mortality report. Information maintained in the cancer registry include; demographic information, medical history, diagnostic findings, cancer therapy and follow up details.[[2]](Special:Random.html#cite_note-2) [[2]](http://www.ncra-usa.org/i4a/pages/index.cfm?pageid=3301#sub1) The data is used to evaluate patient outcome, quality of life, provide follow-up information, calculate survival rates, analyze referral pattern, allocate resources at regional or state level, report cancer incidence as required under state law, and evaluate efficacy of treatment modalities.[[3]](http://www.ncra-usa.org/i4a/pages/index.cfm?pageid=3301#sub1)

There exist population-based cancer registries, [hospital](http://en.wikipedia.org/wiki/Hospital) cancer registries (also called hospital-based cancer registries), and special purpose registries.

## Contents

  * [1 History](Special:Random.html#History)
  * [2 Population-based cancer registry](Special:Random.html#Population-based_cancer_registry)
  * [3 Hospital cancer registry](Special:Random.html#Hospital_cancer_registry)
  * [4 Co-operation of registries](Special:Random.html#Co-operation_of_registries)
  * [5 Cancer reporting standards](Special:Random.html#Cancer_reporting_standards)
  * [6 SEER Registries](Special:Random.html#SEER_Registries)
  * [7 National Program of Cancer Registries (NPCR)](Special:Random.html#National_Program_of_Cancer_Registries_.28NPCR.29)
  * [8 Swedish Cancer Registry](Special:Random.html#Swedish_Cancer_Registry)
  * [9 References](Special:Random.html#References)
  * [10 External links](Special:Random.html#External_links)

## History[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=1)]

In 1926, Yale-New Haven Hospital became the first to set up a cancer registry. In 1956, the American College of Surgeons (ACoS) formally adopted a policy to encourage, through their Approvals Program, the development of hospital-based cancer registries. In 1973, The Surveillance, Epidemiology and End Results (SEER) Program of NCI establishes the first national cancer registry program. In 1992, U.S. Public Law 102-515 establishes the National Program of Cancer Registries (NPCR) and is administered by the US Centers for Disease Control and Prevention (CDC).[[4]](http://training.seer.cancer.gov/registration/registry/history/dates.html). By 1993, most states considered cancer a reportable disease.

## Population-based cancer registry[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=2)]

Population-based cancer registries monitor the frequency of new cancer cases (so-called [incident cases](http://en.wikipedia.org/w/index.php?title=Incident_cases&action=edit&redlink=1)) every year in well defined populations and over time by collecting case reports from different sources (treatment facilities, clinicians and [pathologists](http://en.wikipedia.org/wiki/Pathologist), and death certificates). The frequency of these incident cases are expected per 100,000 of the mother population. If an unexpected accumulation can be observed, a hypothesis about possible causes is generated. This hypothesis is investigated in a second step by collecting more detailed data. The aim is to recognize and to reduce risks. Population-based registries can also monitor the effects of preventive measures. All population-based central registries in the United States and Canada are members of the [North American Association of Central Cancer Registries](http://en.wikipedia.org/wiki/North_American_Association_of_Central_Cancer_Registries). This organization acts as a voice for the registries when dealing with national standard-setting organizations, sets standards for digital cancer record transmission, and certifies the registries for the quality of their data, among other functions.

## Hospital cancer registry[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=3)]

Hospital cancer registries aim at the improvement of [cancer therapy](http://en.wikipedia.org/wiki/Cancer_therapy). Therefore they have to collect detailed data about diagnosis and therapy. Improvements can be achieved by:

  * comparison of therapy - which therapy is the best
  * comparison of therapists - which hospital, which physician has the best results under the same conditions ([quality management](http://en.wikipedia.org/wiki/Quality_management))
  * support of treatment - registries can improve information about a patient and help to provide an optimal treatment by planning therapies and generating reminders

## Co-operation of registries[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=4)]

Since the data needed by hospital cancer registries usually include those of population-based cancer registries and both use the same [classifications](http://en.wikipedia.org/wiki/Medical_classification) data can be sent from a hospital cancer registry to a population-based registry thus reducing documentation efforts.

## Cancer reporting standards[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=5)]

Hospital and Population-based cancer registries report their incidence data to national organizations that aggregate and publish the data. The way in which these data are formatted to be submitted to these organizations are determined by standards released by standard-setting organizations. Edits are run on the data to check for inaccuracies and duplicate cases before being submitted electronically. Different organizations have different standards for data reliability and completeness, and some award certifications based on the adherence to these standards.[[3]](Special:Random.html#cite_note-3)

## SEER Registries[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=6)]

The Surveillance, Epidemiology, and End Results (SEER) Program of the National Cancer Institute collects and publish data on cancer incidence and survival throughout the United States. The information from population-based cancer registries covers approximately 28 percent of the US population. This coverage includes 26 percent of African Americans, 41 percent of Hispanics, 43 percent of American Indians and Alaska Natives, 54 percent of Asians, and 71 percent of Hawaiian/Pacific Islanders. The SEER program population-based cancer registries include Arizona Indians, Cherokee Nation, Connecticut, Detroit, Georgia Center for Cancer Statistics (Atlanta, Great Georgia, and Rural Georgia), Greater Bay Area Cancer Registry (San Francisco-Oakland and San Jose-Monterey), Greater California, Hawaii, Iowa, Kentucky, Los Angeles, Louisiana, New Jersey, New Mexico, Seattle-Puget Sound, and Utah. Selection of the geographic areas is based on the ability to operate and maintain a high quality population-based cancer reporting system.[[4]](Special:Random.html#cite_note-4)

## National Program of Cancer Registries (NPCR)[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=7)]

The program has state-based cancer registries that collect, analyze and report cancer cases and deaths to a central cancer registry. NPCR was established in 1992 and administered by the CDC. NPCR supports central cancer registries in 45 states, District of Columbia, Puerto Rico, and the U.S. Pacific Island Jurisdictions (covers approximately 96% of the U.S. population). State Cancer Registries monitor cancer trends, determine cancer patterns, direct planning and evaluation of cancer control programs, help set priorities for allocating health resources, promote research, and provide information on cancer incidence. The data collected helps public health professionals understand and address the cancer burden. The ninth volume of Cancer Incidence in Five Continents, published by International Agency for Research on Cancer, includes cancer incidence data from 32 NPCR-funded registries. NPCR’s future direction is to expand the use of information technology designed to support, improve, and enhance the management and exchange of electronic data in cancer surveillance.[[5]](Special:Random.html#cite_note-5)

## Swedish Cancer Registry[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=8)]

The Swedish Cancer Registry was established in 1958. The health care providers in Sweden are required to report newly detected cancer cases diagnosed at clinical, morphological, and laboratory examination (as well as those discovered during autopsy) to the registry. Every year, the regional registries send cancer data to the National Cancer Register. The information available in the registry include patient’s personal information (PIN, sex, age and place of residence), medical records (date of diagnosis, site of the tumor, method used for diagnosis, and hospital where the patient is being treated), and follow-up data (date and cause of death or date of migration).[[6]](Special:Random.html#cite_note-6)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=9)]

  1. **[^](Special:Random.html#cite_ref-1)** Khatib O, Aljurf M. Cancer Prevention and Control in the Eastern Mediterranean Region: The Need for a Public Health Approach. Hematol Oncol Stem Cell Ther 2008;1:44-52. ["Hematology/Oncology and Stem Cell Therapy"](http://www.hemoncstem.net)
  2. **[^](Special:Random.html#cite_ref-2)** ["What information is maintained in the cancer registry?"](http://www.ncra-usa.org/i4a/pages/index.cfm?pageid=3301#sub1). Retrieved 4/16/12.  Check date values in: `|accessdate=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#bad_date))
  3. **[^](Special:Random.html#cite_ref-3)** [NAACCR Registry Certification](http://www.naaccr.org/Certification/WhoisCertified.aspx)
  4. **[^](Special:Random.html#cite_ref-4)** ["SEER Program"](http://seer.cancer.gov/about/overview.html). Retrieved 5/3/2012.  Check date values in: `|accessdate=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#bad_date))
  5. **[^](Special:Random.html#cite_ref-5)** ["National Program of Cancer Registries"](http://www.cdc.gov/cancer/npcr/about.htm). Retrieved 5/3/12.  Check date values in: `|accessdate=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#bad_date))
  6. **[^](Special:Random.html#cite_ref-6)** ["Swedish Cancer Registry"](http://www.socialstyrelsen.se/register/halsodataregister/cancerregistret/inenglish). Retrieved 5/3/12.  Check date values in: `|accessdate=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#bad_date))

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit&section=10)]

  * [Cancer incidence and mortality patterns in Europe: estimates for 40 countries in 2012](http://www.sciencedirect.com/science/article/pii/S0959804913000075/)
  * [National Cancer Registrars Association](http://www.ncra-usa.org/)
  * [U.S. National Cancer Institute SEER program](http://seer.cancer.gov/)
  * [California Cancer Registars Association (CCRA)](http://www.ccraregistrars.org/)
  * [Cancer Information Management (CIM)](http://sbcc.edu/hit/website/cim.html/)
  * [Surveillance Epidemiology and End Results (SEER)](http://www.seer.cancer.gov/)
  * [North American Association of Central Cancer Registries (NAACCR)](http://www.naaccr.org/)
  * [Cancer Data Mapping and Reporting](http://www.instantatlas.com/cancer-mapping-background.xhtml)
  * [National Cancer Registry Program of Egypt](http://www.cancerregistry.gov.eg)
  * [Australasian Association of Cancer Registries](http://www.aihw.gov.au/cancer/aacr/)
  * [Centers for Disease Control and Prevention](http://www.cdc.gov/cancer/npcr/about.htm/)
  * [Swedish Cancer Registry](http://www.socialstyrelsen.se/register/halsodataregister/cancerregistret/inenglish/)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Cancer_registry&oldid=593701446](http://en.wikipedia.org/w/index.php?title=Cancer_registry&oldid=593701446)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Health informatics](http://en.wikipedia.org/wiki/Category:Health_informatics)
  * [Oncology](http://en.wikipedia.org/wiki/Category:Oncology)
  * [Demography](http://en.wikipedia.org/wiki/Category:Demography)

Hidden categories: 

  * [CS1 errors: dates](http://en.wikipedia.org/wiki/Category:CS1_errors:_dates)
  * [Articles with limited geographic scope from September 2013](http://en.wikipedia.org/wiki/Category:Articles_with_limited_geographic_scope_from_September_2013)
  * [USA-centric](http://en.wikipedia.org/wiki/Category:USA-centric)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Cancer+registry&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Cancer+registry)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Cancer_registry)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Cancer_registry)
  * [Related ../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">](/wiki/Special:RecentChangesLinked/Cancer_registry)

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Cancer_registry)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Cancer_registry)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Cancer_registry&oldid=593701446)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Cancer_registry&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q1787017)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Cancer_registry&id=593701446)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Cancer+registry)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Cancer+registry&oldid=593701446&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Cancer_registry&printable=yes)

### Languages

    * [Deutsch](http://de.wikipedia.org/wiki/Krebsregister)
    *     * [Edit links](http://www.wikidata.org/wiki/Q1787017#sitelinks-wikipedia)

    * This page was last modified on 3 February 2014 at 08:28.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Cancer_registry)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
