# _Castle Rock v. Gonzales_

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

Castle Rock v. Gonzales

![Seal of the United States Supreme Court.svg](../../upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Seal_of_the_United_States_Supreme_Court.svg/100px-Seal_of_the_United_States_Supreme_Court.svg.png)  


**[Supreme Court of the United States](http://en.wikipedia.org/wiki/Supreme_Court_of_the_United_States)**

Argued March 21, 2005  
Decided June 27, 2005

Full case name
_Town of Castle Rock, Colorado, Petitioner v. Jessica Gonzales, individually and as next friend of her deceased minor children, Rebecca Gonzales, Katheryn Gonzales, and Leslie Gonzales_

Docket nos.
[04-278](http://www.supremecourt.gov/Search.aspx?FileName=/docketfiles/04-278.htm)

Citations
545 [U.S.](http://en.wikipedia.org/wiki/United_States_Reports) 748 (_[more](http://en.wikipedia.org/wiki/List_of_United_States_Supreme_Court_cases,_volume_545)_) 

125 S. Ct. 2796; 162 L. Ed. 2d 658; 2005 U.S. LEXIS 5214; 18 Fla. L. Weekly Fed. S 511

Prior history
On writ of certiorari to the United States Court of Appeals for the Tenth Circuit. _Gonzales v. City of Castle Rock_, 366 F.3d 1093, 2004 U.S. App. LEXIS 19049 (10th Cir. Colo., 2004)

Subsequent history
On remand at _Gonzales v. City of Castle Rock_, 144 Fed. Appx. 746, 2005 U.S. App. LEXIS 19072 (10th Cir., Sept. 2, 2005)

Holding

The town of Castle Rock, [Colorado](http://en.wikipedia.org/wiki/Colorado) and its police department could not be sued under [42 USC §1983](http://en.wikipedia.org/wiki/Civil_Rights_Act_of_1871) for failure to enforce a restraining order against respondent's husband, as enforcement of the restraining order does not constitute a property right for 14th Amendment purposes.

Court membership

**Chief Justice**  
[William Rehnquist](http://en.wikipedia.org/wiki/William_Rehnquist)

**Associate Justices**  
[John P. Stevens](http://en.wikipedia.org/wiki/John_Paul_Stevens) · [Sandra Day O'Connor](http://en.wikipedia.org/wiki/Sandra_Day_O%27Connor)  
[Antonin Scalia](http://en.wikipedia.org/wiki/Antonin_Scalia) · [Anthony Kennedy](http://en.wikipedia.org/wiki/Anthony_Kennedy)  
[David Souter](http://en.wikipedia.org/wiki/David_Souter) · [Clarence Thomas](http://en.wikipedia.org/wiki/Clarence_Thomas)  
[Ruth Bader Ginsburg](http://en.wikipedia.org/wiki/Ruth_Bader_Ginsburg) · [Stephen Breyer](http://en.wikipedia.org/wiki/Stephen_Breyer)

Case opinions

Majority
Scalia, joined by Rehnquist, O'Connor, Kennedy, Souter, Thomas, Breyer

Concurrence
Souter, joined by Breyer

Dissent
Stevens, joined by Ginsburg

Laws applied

[U.S. Const. amend. XIV](http://en.wikipedia.org/wiki/Fourteenth_Amendment_to_the_United_States_Constitution), [Due Process Clause](http://en.wikipedia.org/wiki/Due_process#Due_process_in_the_United_States)

_**Castle Rock v. Gonzales**_, [545 U.S. 748](http://en.wikipedia.org/wiki/Case_citation) (2005), is a [United States Supreme Court](http://en.wikipedia.org/wiki/Supreme_Court_of_the_United_States) case in which the Court ruled, 7–2, that a town and its police department could not be sued under [42 U.S.C. §1983](http://en.wikipedia.org/wiki/Civil_Rights_Act_of_1871) for failing to enforce a [restraining order](http://en.wikipedia.org/wiki/Restraining_order), which had led to the murder of a woman's three children by her estranged husband.

## Contents

  * [1 Background](Special:Random.html#Background)
    * [1.1 Restraining order and police inaction](Special:Random.html#Restraining_order_and_police_inaction)
    * [1.2 Lower court proceedings](Special:Random.html#Lower_court_proceedings)
  * [2 Opinion of the Court](Special:Random.html#Opinion_of_the_Court)
    * [2.1 Stevens' dissent](Special:Random.html#Stevens.27_dissent)
  * [3 Subsequent developments](Special:Random.html#Subsequent_developments)
    * [3.1 Inter-American Commission on Human Rights](Special:Random.html#Inter-American_Commission_on_Human_Rights)
    * [3.2 Response](Special:Random.html#Response)
  * [4 References](Special:Random.html#References)
  * [5 See also](Special:Random.html#See_also)
  * [6 External links](Special:Random.html#External_links)

## Background[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=1)]

### Restraining order and police inaction[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=2)]

During divorce proceedings, Jessica Lenahan-Gonzales, a resident of [Castle Rock, Colorado](http://en.wikipedia.org/wiki/Castle_Rock,_Colorado), obtained a restraining order against her husband Simon, who had been stalking and controlling her, on June 4, 1999, requiring him to remain at least 100 yards from her and her four children (son Jesse, who is not Simon's biological child, and daughters Rebecca, Katherine, and Leslie) except during specified [visitation](http://en.wikipedia.org/wiki/Contact_\(law\)#Visitation_in_the_U.S.) time. On June 22, at approximately 5:15 pm, Simon took possession of his three daughters in violation of the order. Jessica called the police at approximately 7:30 pm, 8:30 pm, 10:10 pm, and 12:15 am on June 23, and visited the police station in person at 12:40 am on June 23. However, since she from time to time had allowed Simon to take the children at various hours, the police took no action, despite Simon having called Jessica prior to her second police call and informing her that he had the daughters with him at an amusement park in [Denver, Colorado](http://en.wikipedia.org/wiki/Denver,_Colorado). At approximately 3:20 am on June 23, Simon appeared at the Castle Rock police station and was killed in a shoot-out with the officers. A search of his vehicle revealed the corpses of the three daughters, whom he had killed prior to his arrival.

### Lower court proceedings[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=3)]

Gonzales filed suit in the [United States District Court for the District of Colorado](http://en.wikipedia.org/wiki/United_States_District_Court_for_the_District_of_Colorado) against Castle Rock, Colorado, its police department, and the three individual police officers with whom she had spoken under [42 U.S.C. §1983](http://en.wikipedia.org/wiki/Civil_Rights_Act_of_1871), claiming a federally-protected property interest in enforcement of the restraining order and alleging "an official policy or custom of failing to respond properly to complaints of restraining order violations." A motion to dismiss the case was granted, and Gonzales appealed to the 10th Circuit Court of Appeals. A panel of the [United States Court of Appeals for the Tenth Circuit](http://en.wikipedia.org/wiki/United_States_Court_of_Appeals_for_the_Tenth_Circuit) rejected Gonzales's substantive due process claim but found a procedural due process claim; an en banc rehearing reached the same conclusion. The court also affirmed the finding that the three individual officers had [qualified immunity](http://en.wikipedia.org/wiki/Qualified_immunity) and as such could not be sued.

## Opinion of the Court[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=4)]

The Supreme Court reversed the Tenth Circuit's decision, reinstating the District Court's order of dismissal. The Court's majority opinion by Justice [Antonin Scalia](http://en.wikipedia.org/wiki/Antonin_Scalia) held that enforcement of the restraining order was not mandatory under Colorado law; were a mandate for enforcement to exist, it would not create an individual right to enforcement that could be considered a protected entitlement under the precedent of _[Board of Regents of State Colleges v. Roth](http://en.wikipedia.org/wiki/Board_of_Regents_of_State_Colleges_v._Roth)_; and even if there were a protected individual entitlement to enforcement of a restraining order, such entitlement would have no monetary value and hence would not count as property for the [Due Process Clause](http://en.wikipedia.org/wiki/Due_process#Due_process_in_the_United_States).

Justice [David Souter](http://en.wikipedia.org/wiki/David_Souter) wrote a concurring opinion, using the reasoning that enforcement of a restraining order is a process, not the interest protected by the process, and that there is not due process protection for processes.

### Stevens' dissent[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=5)]

Justice [John Paul Stevens](http://en.wikipedia.org/wiki/John_Paul_Stevens) wrote a dissenting opinion, in which he wrote that with respect to whether or not an arrest was mandatory under Colorado law, the court should either have deferred to the 10th Circuit court's finding that it was or else certified the question to the [Colorado Supreme Court](http://en.wikipedia.org/wiki/Colorado_Supreme_Court) rather than decide the issue itself. He went on to write that the law created a statutory guarantee of enforcement, which is an individual benefit and constitutes a protected property interest under _Roth,_ rejecting the court's use of _[O'Bannon v. Town Court Nursing Center](http://en.wikipedia.org/w/index.php?title=O%27Bannon_v._Town_Court_Nursing_Center&action=edit&redlink=1)_ to require a monetary value and the concurrence's distinction between enforcement of the restraining order (the violator's arrest) and the benefit of enforcement (safety from the violator).

## Subsequent developments[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=6)]

### Inter-American Commission on Human Rights[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=7)]

In 2011, the case came before the [Inter-American Commission on Human Rights](http://en.wikipedia.org/wiki/Inter-American_Commission_on_Human_Rights), a commission composed of representatives from the members of [Organization of American States](http://en.wikipedia.org/wiki/Organization_of_American_States) (the United States is a full member by its ratification of the charter document, which is a treaty itself) which found that "the state failed to act with due diligence to protect Jessica Lenahan and (her daughters) Leslie, Katheryn and Rebecca Gonzales from domestic violence, which violated the state’s obligation not to discriminate and to provide for equal protection before the law." The Commission also said that "the failure of the United States to adequately organize its state structure to protect (the Gonzales girls) from domestic violence was discriminatory and constituted a violation of their right to life."[[1]](Special:Random.html#cite_note-1)[[2]](Special:Random.html#cite_note-2)

### Response[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=8)]

As this case is the latest in a lineage of high-profile cases, such as _[DeShaney v. Winnebago County](http://en.wikipedia.org/wiki/DeShaney_v._Winnebago_County)_, in which lawsuits against governmental entities for failure to prevent harm to an individual were dismissed, it has also been used by gun rights advocates in the United States to add additional weight to the [self-defense argument](http://en.wikipedia.org/wiki/Gun_politics_in_the_United_States#Self-defense_and_gun-violence) for private gun ownership.[[3]](Special:Random.html#cite_note-3)

The [National Organization for Women](http://en.wikipedia.org/wiki/National_Organization_for_Women) has argued the Supreme Court's decision reduced the utility of restraining orders and "effectively gives law enforcement a green light to ignore restraining orders."[[4]](Special:Random.html#cite_note-4)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=9)]

  1. **[^](Special:Random.html#cite_ref-1)** Malone, Patrick (August 16, 2011). ["Human rights group questions court ruling"](http://www.chieftain.com/news/local/human-rights-group-questions-court-ruling/article_84180e20-c7d1-11e0-88de-001cc4c002e0.html). _The Pueblo Chieftain_. 
  2. **[^](Special:Random.html#cite_ref-2)** [IACHR report No. 80/11 case 12.626 merits Jessica Lenahan (Gonzales) et al. United States](http://www.oas.org/en/iachr/decisions/2011/USPU12626EN.doc)
  3. **[^](Special:Random.html#cite_ref-3)** [Significance of Castle Rock v. Gonzales](http://mensnewsdaily.com/blog/longenecker/2005/07/significance-of-castle-rock-v-gonzales.html)
  4. **[^](Special:Random.html#cite_ref-4)** [Gonzales Ruling Endangers Women and Children](http://www.now.org/nnt/summerfall-2005/gonzalesvcastlerock.html)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=10)]

  * _[DeShaney v. Winnebago County](http://en.wikipedia.org/wiki/DeShaney_v._Winnebago_County)_
  * [Domestic violence](http://en.wikipedia.org/wiki/Domestic_violence)
  * [Protective order](http://en.wikipedia.org/wiki/Protective_order)
  * [Restraining order](http://en.wikipedia.org/wiki/Restraining_order)
  * [Warren v. District of Columbia](http://en.wikipedia.org/wiki/Warren_v._District_of_Columbia)

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit&section=11)]

  * [Text of the Supreme Court Case](http://straylight.law.cornell.edu/supct/html/04-278.ZS.html)
  * [Jessica Lenahan (Gonzales) v. United States](http://www.legalmomentum.org/our-work/vaw/gonzales-v-usa-decision.pdf), a case brought by the petitioner before the Inter-American Commission for Human Rights
  * [Court Backs Town in Domestic Violence Case](http://www.washingtonpost.com/wp-dyn/content/article/2005/06/27/AR2005062700580.html)
  * [ACLU Disappointed with Supreme Court Ruling on Domestic Violence Orders of Protection](http://www.aclu.org/WomensRights/WomensRights.cfm?ID=18588&c=173)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&oldid=603760570](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&oldid=603760570)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [United States civil due process case law](http://en.wikipedia.org/wiki/Category:United_States_civil_due_process_case_law)
  * [United States administrative case law](http://en.wikipedia.org/wiki/Category:United_States_administrative_case_law)
  * [United States Supreme Court cases](http://en.wikipedia.org/wiki/Category:United_States_Supreme_Court_cases)
  * [United States Supreme Court cases of the Rehnquist Court](http://en.wikipedia.org/wiki/Category:United_States_Supreme_Court_cases_of_the_Rehnquist_Court)
  * [2005 in United States case law](http://en.wikipedia.org/wiki/Category:2005_in_United_States_case_law)
  * [American Civil Liberties Union litigation](http://en.wikipedia.org/wiki/Category:American_Civil_Liberties_Union_litigation)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Castle+Rock+v.+Gonzales&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Castle+Rock+v.+Gonzales)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Castle_Rock_v._Gonzales)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=history)

### Actions

### Search

../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

  * [Main page](http://en.wikipedia.org/wiki/Main_Page)
  * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
  * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
  * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
  * [Random article](Special:Random.html)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

  * [Help](http://en.wikipedia.org/wiki/Help:Contents)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
  * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
  * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Castle_Rock_v._Gonzales)
  * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Castle_Rock_v._Gonzales)
  * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&oldid=603760570)
  * [Page information](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&action=info)
  * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Castle_Rock_v._Gonzales&id=603760570)

### Print/export

  * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Castle+Rock+v.+Gonzales)
  * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Castle+Rock+v.+Gonzales&oldid=603760570&writer=rl)
  * [Printable version](http://en.wikipedia.org/w/index.php?title=Castle_Rock_v._Gonzales&printable=yes)

### Languages

  *   * This page was last modified on 11 April 2014 at 15:57.  

  * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
  * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikipedia.org/wiki/Castle_Rock_v._Gonzales)
  * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
