# _Commonwealth v Tasmania_

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

For the 1904 case, see [Tasmania v Commonwealth of Australia and Victoria (1904)](http://en.wikipedia.org/wiki/Tasmania_v_Commonwealth_of_Australia_and_Victoria_\(1904\)).

Commonwealth v Tasmania

![Australian Coat of Arms.png](../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/Australian_Coat_of_Arms.png/180px-Australian_Coat_of_Arms.png)

Court
[High Court of Australia](http://en.wikipedia.org/wiki/High_Court_of_Australia)

Full case name
_The Commonwealth of Australia v State of Tasmania_

Decided
1 July 1983

Citation(s)
[(1983) 158 CLR 1](http://www.austlii.edu.au/au/cases/cth/high_ct/158clr1.html), [[1983] HCA 21](http://www.austlii.edu.au/au/cases/cth/HCA/1983/21.html)

Case history

Prior action(s)
none

Subsequent action(s)
none

Case opinions

**(4:3)** the Commonwealth validly prohibited construction of the dam, by virtue of the _World Heritage Act_ (per Mason, Murphy, Brennan & Deane JJ)

**(4:0)** any Constitutional restriction preventing the Commonwealth from inhibiting the functions of the States did not apply (per Mason, Murphy, Brennan & Deane JJ)

Court membership

Judge(s) sitting
[Gibbs](http://en.wikipedia.org/wiki/Harry_Gibbs) CJ, [Mason](http://en.wikipedia.org/wiki/Anthony_Mason_\(judge\)), [Murphy](http://en.wikipedia.org/wiki/Lionel_Murphy), [Wilson](http://en.wikipedia.org/wiki/Ronald_Wilson), [Brennan](http://en.wikipedia.org/wiki/Gerard_Brennan), [Deane](http://en.wikipedia.org/wiki/William_Deane) & [Dawson](http://en.wikipedia.org/wiki/Daryl_Dawson) JJ

_**Commonwealth v Tasmania**_ (1983) 158 CLR 1, (popularly known as the _**Tasmanian Dam Case**_) was a significant [Australian](http://en.wikipedia.org/wiki/Australia) [court](http://en.wikipedia.org/wiki/Court) [case](http://en.wikipedia.org/wiki/Legal_case), decided in the [High Court of Australia](http://en.wikipedia.org/wiki/High_Court_of_Australia) on 1 July 1983. The case was a landmark decision in [Australian constitutional law](http://en.wikipedia.org/wiki/Australian_constitutional_law), and was a significant moment in the history of [conservation in Australia](http://en.wikipedia.org/wiki/Conservation_in_Australia). The case centred on the proposed construction of a [hydro-electric](http://en.wikipedia.org/wiki/Hydro-electric) [dam](http://en.wikipedia.org/wiki/Dam) on the Franklin River in [Tasmania](http://en.wikipedia.org/wiki/Tasmania), which was supported by the Tasmanian government, but opposed by the [Australian federal government](http://en.wikipedia.org/wiki/Government_of_Australia) and [environmental](http://en.wikipedia.org/wiki/Environmental_policy) groups.

## Contents

  * [1 Background to the case](Special:Random.html#Background_to_the_case)
  * [2 The case](Special:Random.html#The_case)
    * [2.1 External Affairs Power](Special:Random.html#External_Affairs_Power)
    * [2.2 Corporations Power](Special:Random.html#Corporations_Power)
    * [2.3 Acquisition of property on just terms](Special:Random.html#Acquisition_of_property_on_just_terms)
  * [3 The decision](Special:Random.html#The_decision)
  * [4 Consequences](Special:Random.html#Consequences)
  * [5 See also](Special:Random.html#See_also)
  * [6 References](Special:Random.html#References)
  * [7 Bibliography](Special:Random.html#Bibliography)

## Background to the case[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=1)]

Main article: [Franklin Dam](http://en.wikipedia.org/wiki/Franklin_Dam)

In 1978, the [Hydro-Electric Commission](http://en.wikipedia.org/wiki/Hydro_Tasmania), then a body owned by the [Tasmanian government](http://en.wikipedia.org/wiki/Government_of_Tasmania), proposed the construction of a [hydro-electric](http://en.wikipedia.org/wiki/Hydro-electric) [dam](http://en.wikipedia.org/wiki/Dam) on the [Franklin River](http://en.wikipedia.org/wiki/Franklin_River), in Tasmania's rugged south-west region. The dam would have flooded the [Franklin River](http://en.wikipedia.org/wiki/Franklin_River). In June 1981 the [Labor](http://en.wikipedia.org/wiki/Australian_Labor_Party) state government created the [Wild Rivers National Park](http://en.wikipedia.org/wiki/Franklin-Gordon_Wild_Rivers_National_Park) in an attempt to protect the river.

In May 1982, a [Liberal](http://en.wikipedia.org/wiki/Liberal_Party_of_Australia) state government was elected which supported the dam. The federal government at the time, also Liberal (under [Malcolm Fraser](http://en.wikipedia.org/wiki/Malcolm_Fraser)), made offers of compensation to Tasmania, however they were not successful in stopping the dam's construction[[1]](Special:Random.html#cite_note-1)

In November 1982, [UNESCO](http://en.wikipedia.org/wiki/UNESCO) declared the Franklin area a [World heritage site](http://en.wikipedia.org/wiki/World_heritage_site). During the [federal election of 1983](http://en.wikipedia.org/wiki/Australian_federal_election,_1983), the Labor party under [Bob Hawke](http://en.wikipedia.org/wiki/Bob_Hawke) had promised to intervene and prevent construction of the dam. After winning the [election](http://en.wikipedia.org/wiki/Election), the Labor government passed the [World Heritage Properties Conservation Act 1983](http://en.wikipedia.org/wiki/World_Heritage_Properties_Conservation_Act_1983),[[2]](Special:Random.html#cite_note-2) which, in conjunction with the [National Parks and Wildlife Conservation Act 1975](http://en.wikipedia.org/w/index.php?title=National_Parks_and_Wildlife_Conservation_Act_1975&action=edit&redlink=1) enabled them to prohibit clearing, [excavation](http://en.wikipedia.org/wiki/Earthworks_\(engineering\)) and other activities within the [Tasmanian Wilderness](http://en.wikipedia.org/wiki/Tasmanian_Wilderness) World heritage area.

The Tasmanian government challenged these actions, arguing that the [Australian Constitution](http://en.wikipedia.org/wiki/Australian_Constitution) gave no authority to the federal government to make such regulations. In May and June 1983, both governments put their case to the [High Court of Australia](http://en.wikipedia.org/wiki/High_Court_of_Australia).[[3]](Special:Random.html#cite_note-3)

## The case[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=2)]

The case revolved around several major constitutional issues, the most important being the constitutional validity of the [World Heritage Act](http://en.wikipedia.org/wiki/World_Heritage_Properties_Conservation_Act_1983). The [division of powers](http://en.wikipedia.org/wiki/Division_of_powers) between the Australian federal government and the individual state governments is defined mainly by [section 51](http://en.wikipedia.org/wiki/Section_51_of_the_Australian_Constitution) of the [Australian constitution](http://en.wikipedia.org/wiki/Commonwealth_of_Australia_Constitution_Act_1900). The federal government had taken a range of actions, which they claimed were authorised under specific subsections of section 51. The Tasmanian government disputed these claims.

### External Affairs Power[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=3)]

[Section 51(xxix) of the Australian Constitution](http://en.wikipedia.org/wiki/Section_51\(xxix\)_of_the_Australian_Constitution) gives the federal parliament the power to make laws with respect to external affairs, a [nebulously](http://en.wiktionary.org/wiki/nebulous) defined provision. The Hawke government passed the [World Heritage Act](http://en.wikipedia.org/wiki/World_Heritage_Properties_Conservation_Act_1983) under this provision, claiming that the Act was giving effect to an international treaty to which Australia was a party, in this case the [Convention Concerning the Protection of the World Cultural and Natural Heritage](http://en.wikipedia.org/wiki/Convention_Concerning_the_Protection_of_the_World_Cultural_and_Natural_Heritage),[[4]](Special:Random.html#cite_note-4) which governs [UNESCO](http://en.wikipedia.org/wiki/UNESCO)'s [World heritage program](http://en.wikipedia.org/wiki/World_heritage_site).

The Tasmanian government (as well as the governments of [Victoria](http://en.wikipedia.org/wiki/Victoria_\(Australia\)), [New South Wales](http://en.wikipedia.org/wiki/New_South_Wales) and [Queensland](http://en.wikipedia.org/wiki/Queensland)) opposed this action. Allowing the federal government such broad new powers would infringe on the States' power to legislate in many areas, and would upset the "federal balance". [Chief Justice Gibbs](http://en.wikipedia.org/wiki/Harry_Gibbs) said that although all of the Constitution is open to interpretation, "the external affairs power differs from the other powers conferred by s 51 in its capacity for almost unlimited expansion." Defining which affairs were of “international character” was a difficult task for the court.

However, [Justice Mason](http://en.wikipedia.org/wiki/Anthony_Mason_\(judge\)) recognised that the external affairs power was specifically intended to be ambiguous, and capable of expansion. When the Constitution came into effect in 1901, there were few (if any) [international organizations](http://en.wikipedia.org/wiki/International_organization) such as the [United Nations](http://en.wikipedia.org/wiki/United_Nations) in existence (not to mention [multinational corporations](http://en.wikipedia.org/wiki/Multinational_corporation)). However in modern times, there are many more areas in which nations cooperate.

In his judgement, [Justice Murphy](http://en.wikipedia.org/wiki/Lionel_Murphy) said that in order for a law to have international character, it is sufficient that it:

  * implements an [international law](http://en.wikipedia.org/wiki/International_law) or [treaty](http://en.wikipedia.org/wiki/Treaty);
  * implements a recommendation from the United Nations or a related body, such as the [WHO](http://en.wikipedia.org/wiki/World_Health_Organization) or [ILO](http://en.wikipedia.org/wiki/International_Labour_Organization);
  * deals with relationships between bodies (public or private) within Australian and bodies outside; or
  * deals with things inside Australia of international concern.

It is important to note that the decisions of [UNESCO](http://en.wikipedia.org/wiki/UNESCO) in designating [World heritage sites](http://en.wikipedia.org/wiki/World_heritage_site) have no binding force upon any government. However, the [ratification](http://en.wikipedia.org/wiki/Ratification) of the Convention could be seen as a commitment to upholding its aims, and an acceptance of obligations under it.

### Corporations Power[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=4)]

Section 51 placitum (xx) provides that the federal government has powers to make laws regarding foreign, trading and financial corporations. Tasmania argued that this head of power could not apply to its [Hydro-Electric Commission](http://en.wikipedia.org/wiki/Hydro_Tasmania) since it was in effect a department of the Tasmanian government, and not a [trading corporation](http://en.wikipedia.org/w/index.php?title=Trading_corporation&action=edit&redlink=1). However, as the HEC was engaged in the widespread production and sale of electricity, and had a degree of independence from the government, it was held to be a trading corporation.

### Acquisition of property on just terms[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=5)]

[Section 51(xxxi) of the Australian Constitution](http://en.wikipedia.org/wiki/Section_51\(xxxi\)_of_the_Australian_Constitution) provides that the federal government has the power to appropriate property “on just terms” for any other purpose it has powers to make laws about (see [Section 51 of the Australian Constitution](http://en.wikipedia.org/wiki/Section_51_of_the_Australian_Constitution): for example, acquiring land to build a [military](http://en.wikipedia.org/wiki/Military) base). The crucial phrase in this section is “on just terms”. Tasmania argued that the federal government has deprived it of property unjustly by passing the World Heritage Act. [Justice Brennan](http://en.wikipedia.org/wiki/Gerard_Brennan) said however that Tasmania had no proprietary rights over the site for the proposed dam (that is, it was not private land), and therefore it had not been deprived of any property.

## The decision[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=6)]

A four to three majority of the seven members of the High Court held that the federal government had legitimately prevented construction of the dam, and that the [World Heritage Act](http://en.wikipedia.org/wiki/World_Heritage_Properties_Conservation_Act_1983) was authorised under the "external affairs" power. Although other parts of the Act were invalid, the provision banning the construction of dams was valid.

## Consequences[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=7)]

The case ended the HEC’s plans to construct more hydro-electric dams in Tasmania, and indeed there have been few plans for dams in Australia since.

The legal debate over the extent of the "external affairs" power continued for a decade in a series of cases in the High Court in which the wide view of the external affairs power prevailed. It is now firmly established that under section 51(xxix) of the Australian Constitution the Australian Government has the power to enact legislation that is reasonably capable of being considered appropriate and adapted to fulfil Australia’s international legal obligations.[[5]](Special:Random.html#cite_note-5)

Due to the large number of international obligations that Australia has accepted under [international treaties](http://en.wikipedia.org/wiki/International_treaties), the external affairs power in section 51(xxix) gives the Australian Government a very wide constitutional power to make laws on many subjects, including protecting the environment.

Large parts of Australia's main national environmental law, the [Environment Protection and Biodiversity Conservation Act 1999](http://www.environment.gov.au/epbc/index.html) (Cth), depend for their constitutional validity on the decision in the Tasmanian Dam Case regarding the external affairs power. These include the protection of [World Heritage properties](http://www.environment.gov.au/epbc/protect/heritage.html), [Ramsar wetlands](http://www.environment.gov.au/epbc/protect/wetlands.html), [threatened species and threatened ecological communities](http://www.environment.gov.au/epbc/protect/species-communities.html), and [migratory species](http://www.environment.gov.au/epbc/protect/migratory.html).

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=8)]

  * [Australian constitutional law](http://en.wikipedia.org/wiki/Australian_constitutional_law)
  * [Franklin Dam](http://en.wikipedia.org/wiki/Franklin_Dam)
  * [Tasmanian power referendum, 1981](http://en.wikipedia.org/wiki/Tasmanian_power_referendum,_1981)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=9)]

  1. **[^](Special:Random.html#cite_ref-1)** Process and Participation by John Willmott and Julian Dowse, Third edition 2004
  2. **[^](Special:Random.html#cite_ref-2)** ["Download Menu"](http://www.austlii.edu.au/au/legis/cth/num_act/whpca1983n5o1983473/). Austlii.edu.au. Retrieved 2010-08-12. 
  3. **[^](Special:Random.html#cite_ref-3)** <http://www.envlaw.com.au/tasmanian_dam.html>
  4. **[^](Special:Random.html#cite_ref-4)** <http://whc.unesco.org/pg.cfm?cid=182>
  5. **[^](Special:Random.html#cite_ref-5)** R v Burgess; Ex parte Henry (1936) 55 CLR 608; Koowarta v Bjelke-Peterson (1982) 153 CLR 168; The Commonwealth v Tasmania (1983) 158 CLR 1 (the Tasmanian Dam Case); Richardson v Forestry Commission (1988) 164 CLR 261; Queensland v Commonwealth (1989) 167 CLR 232 (the Wet Tropics Case); Victoria v Commonwealth (1996) 187 CLR 416 (the Industrial Relations Act Case) at 487-488.

## Bibliography[[edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit&section=10)]

  * The Commonwealth v Tasmania – [full text](http://www.austlii.edu.au/au/cases/cth/HCA/1983/21.html)
  * [Australian Constitution](http://en.wikipedia.org/wiki/Commonwealth_of_Australia_Constitution_Act_1900) – [full text](http://scaleplus.law.gov.au/html/pasteact/1/641/top.htm)
  * [World Heritage Properties Conservation Act 1983](http://en.wikipedia.org/wiki/World_Heritage_Properties_Conservation_Act_1983) – [full text](http://www.austlii.edu.au/au/legis/cth/num_act/whpca1983n5o1983473/)
  * [UNESCO](http://en.wikipedia.org/wiki/UNESCO) – the [World Heritage Centre](http://whc.unesco.org/pg.cfm?cid=1)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&oldid=580101411](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&oldid=580101411)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Australian constitutional law](http://en.wikipedia.org/wiki/Category:Australian_constitutional_law)
  * [High Court of Australia cases](http://en.wikipedia.org/wiki/Category:High_Court_of_Australia_cases)
  * [1983 in Australia](http://en.wikipedia.org/wiki/Category:1983_in_Australia)
  * [Corporations power in the Australian Constitution cases](http://en.wikipedia.org/wiki/Category:Corporations_power_in_the_Australian_Constitution_cases)
  * [External affairs power in the Australian Constitution cases](http://en.wikipedia.org/wiki/Category:External_affairs_power_in_the_Australian_Constitution_cases)
  * [Franklin Dam](http://en.wikipedia.org/wiki/Category:Franklin_Dam)
  * [1983 in case law](http://en.wikipedia.org/wiki/Category:1983_in_case_law)
  * [Environment of Tasmania](http://en.wikipedia.org/wiki/Category:Environment_of_Tasmania)
  * [1983 in the environment](http://en.wikipedia.org/wiki/Category:1983_in_the_environment)

Hidden categories: 

  * [Use dmy dates from July 2011](http://en.wikipedia.org/wiki/Category:Use_dmy_dates_from_July_2011)
  * [Use Australian English from July 2011](http://en.wikipedia.org/wiki/Category:Use_Australian_English_from_July_2011)
  * [All Wikipedia articles written in Australian English](http://en.wikipedia.org/wiki/Category:All_Wikipedia_articles_written_in_Australian_English)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Commonwealth+v+Tasmania&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Commonwealth+v+Tasmania)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Commonwealth_v_Tasmania)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Commonwealth_v_Tasmania)
  * [Related changes](/wiki/Special:RecentChangesLinked/Commonwealth_v_Tasmania)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Commonwealth_v_Tasmania&oldid=580101411)
  * [Page information](/w/index.php?title=Commonwealth_v_Tasmania&action=info)
  * [Data item](//www.wikidata.org/wiki/Q5153917)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Commonwealth_v_Tasmania&id=580101411)

../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

  * [Main page](http://en.wikipedia.org/wiki/Main_Page)
  * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
  * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
  * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
  * [Random article](Special:Random.html)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

  * [Help](http://en.wikipedia.org/wiki/Help:Contents)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
  * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
  * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Commonwealth_v_Tasmania)
  * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Commonwealth_v_Tasmania)
  * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&oldid=580101411)
  * [Page information](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&action=info)
  * [Data item](http://www.wikidata.org/wiki/Q5153917)
  * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Commonwealth_v_Tasmania&id=580101411)

### Print/export

  * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Commonwealth+v+Tasmania)
  * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Commonwealth+v+Tasmania&oldid=580101411&writer=rl)
  * [Printable version](http://en.wikipedia.org/w/index.php?title=Commonwealth_v_Tasmania&printable=yes)

### Languages

  *   * [Edit links](http://www.wikidata.org/wiki/Q5153917#sitelinks-wikipedia)

  * This page was last modified on 4 November 2013 at 03:11.  

  * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
  * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikipedia.org/wiki/Commonwealth_v_Tasmania)
  * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
