# George de La Hèle

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**George de La Hèle** (also Georges, Helle, Hele) (1547 – August 27, 1586) was a [Franco-Flemish](http://en.wikipedia.org/wiki/Franco-Flemish_school) composer of the [Renaissance](http://en.wikipedia.org/wiki/Renaissance_music), mainly active in the [Habsburg](http://en.wikipedia.org/wiki/Habsburg) chapels of [Spain](http://en.wikipedia.org/wiki/Spain) and the [Low Countries](http://en.wikipedia.org/wiki/Low_Countries). Among his surviving music is a book of eight [masses](http://en.wikipedia.org/wiki/Mass_\(music\)), some for as many as eight voices. While he was a prolific composer during his time in Spain, much of his music was destroyed in 1734 in the burning of the chapel library in Madrid.[[1]](Special:Random.html#cite_note-Wagner.2C_Grove_online-1)

## Contents

  * [1 Life](Special:Random.html#Life)
  * [2 Music and influence](Special:Random.html#Music_and_influence)
  * [3 References](Special:Random.html#References)
  * [4 Notes](Special:Random.html#Notes)

## Life[[edit](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=edit&section=1)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/4/40/Kathedrale_zu_Antwerpen.jpg/300px-Kathedrale_zu_Antwerpen.jpg)

![](../../bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

La Hèle was educated at the [Cathedral of Our Lady, Antwerp](http://en.wikipedia.org/wiki/Cathedral_of_Our_Lady,_Antwerp)

La Hèle was born in [Antwerp](http://en.wikipedia.org/wiki/Antwerp), and received his musical training both there and possibly at [Soignies](http://en.wikipedia.org/wiki/Soignies). He spent his teenage years as a choirboy in [Madrid](http://en.wikipedia.org/wiki/Madrid), in the chapel of [Philip II](http://en.wikipedia.org/wiki/Philip_II_of_Spain), then led by [Pierre de Manchicourt](http://en.wikipedia.org/wiki/Pierre_de_Manchicourt), another northern composer who spent much of his career in Spain; Manchicourt probably identified the young La Hèle himself on one of his talent-scouting trips to his own homeland.[[2]](Special:Random.html#cite_note-2) After singing as a choirboy for several years, in the late 1560s La Hèle went to study at the [University of Alcalá](http://en.wikipedia.org/wiki/University_of_Alcal%C3%A1), and in 1570 returned north, enrolling at the [University of Leuven](http://en.wikipedia.org/wiki/Old_University_of_Leuven). While his course of study has not been documented, it is presumed he studied not music but theology. He seems not to have achieved the priesthood, but rose high enough in the Church hierarchy to be eligible for benefices.[[1]](Special:Random.html#cite_note-Wagner.2C_Grove_online-1)

In the 1570s La Hèle stayed in the Low Countries, working successively as choirmaster at the cathedrals in [Mechelen](http://en.wikipedia.org/wiki/Mechelen) and [Tournai](http://en.wikipedia.org/wiki/Tournai), both centers of music-making. These were also productive years: he wrote the eight masses which Antwerp printer [Christopher Plantin](http://en.wikipedia.org/wiki/Christopher_Plantin) published in 1578 as _Octo missae_, La Hèle's most famous (and principal surviving) publication.

In 1580 La Hèle became _maestro di capilla_ of Philip's royal chapel, and by the next year he had gone to Madrid to take the post, as maestro of the _[capilla flamenca](http://en.wikipedia.org/wiki/Flemish_chapel_\(capilla_flamenca\))_ to distinguish from the _capilla real_. His career there was also successful, with acclaimed performances; he also added considerably to the chapel's repertory, bringing in music by northern composers such as [Clemens non Papa](http://en.wikipedia.org/wiki/Clemens_non_Papa), Italians such as [Palestrina](http://en.wikipedia.org/wiki/Giovanni_Pierluigi_da_Palestrina), and music by native Spaniards such as [Francisco Guerrero](http://en.wikipedia.org/wiki/Francisco_Guerrero_\(composer\)) and [Cristóbal de Morales](http://en.wikipedia.org/wiki/Crist%C3%B3bal_de_Morales).

Shortly before his death, he married, thereby giving up his considerable [benefices](http://en.wikipedia.org/wiki/Benefice). The marriage may have occurred during his final illness, and he mentioned only his wife, Madelena Guabaelaraoen, in his will. He died in Madrid; the cause is not recorded, but he was only 38 or 39.[[1]](Special:Random.html#cite_note-Wagner.2C_Grove_online-1)

## Music and influence[[edit](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=edit&section=2)]

La Hèle's masses, his most considerable surviving compositions, all use the [parody](http://en.wikipedia.org/wiki/Parody_mass) technique, and each announce the [polyphonic](http://en.wikipedia.org/wiki/Polyphony) model on which they are based in the table of contents of the book. The models include works by [Josquin](http://en.wikipedia.org/wiki/Josquin_des_Prez), [Cipriano de Rore](http://en.wikipedia.org/wiki/Cipriano_de_Rore), [Thomas Crecquillon](http://en.wikipedia.org/wiki/Thomas_Crecquillon), and [Lassus](http://en.wikipedia.org/wiki/Orlande_de_Lassus). All of the sources are [motets](http://en.wikipedia.org/wiki/Motet); unlike many composers of parody masses, he avoided secular songs as sources.[[3]](Special:Random.html#cite_note-Reese.2C_p._511-3)

La Hèle was evidently highly regarded, certainly by Philip II, and the publication of his [masses](http://en.wikipedia.org/wiki/Mass_\(music\)) was an unusually opulent one – but Plantin's business sense was sufficient to require La Hèle himself to buy forty copies of his own book to help with the cost of printing (although at a discount: 16 florins instead of the usual price of 18).[[3]](Special:Random.html#cite_note-Reese.2C_p._511-3) The work sold better than expected, and as a result many copies of this particular publication survive. Most of La Hèle's other music existed in manuscript copies kept in the library of the Palacio Real, but when the entire complex was destroyed by fire on Christmas Eve, 1734, it was all lost. Some of the lost music is known from an inventory of 1585, and includes [motets](http://en.wikipedia.org/wiki/Motet), [Passion](http://en.wikipedia.org/wiki/Passion_music) settings, mass sections, and [Lamentations](http://en.wikipedia.org/wiki/Lamentations_\(music\)).[[1]](Special:Random.html#cite_note-Wagner.2C_Grove_online-1)

His entire surviving output – ten compositions – has been published in series 56 of _[Corpus mensurabilis musicae](http://en.wikipedia.org/wiki/Corpus_mensurabilis_musicae)_ (two volumes).[[4]](Special:Random.html#cite_note-4)

## References[[edit](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=edit&section=3)]

  * Lavern J. Wagner: "La Hèle, George", Grove Music Online, ed. L. Macy (Accessed June 26, 2007), [(subscription access)](http://www.grovemusic.com)
  * [Gustave Reese](http://en.wikipedia.org/wiki/Gustave_Reese), _Music in the Renaissance_. New York, W.W. Norton & Co., 1954. [ISBN 0-393-09530-4](http://en.wikipedia.org/wiki/Special:BookSources/0393095304)
  * [CMM](http://www.corpusmusicae.com/cmm.htm) Corpus mensurabilis musicae volume descriptions and contents

## Notes[[edit](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=edit&section=4)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-Wagner.2C_Grove_online_1-0) _**[b**_](Special:Random.html#cite_ref-Wagner.2C_Grove_online_1-1) _**[c**_](Special:Random.html#cite_ref-Wagner.2C_Grove_online_1-2) _**[d**_](Special:Random.html#cite_ref-Wagner.2C_Grove_online_1-3) Wagner, Grove online
  2. **[^](Special:Random.html#cite_ref-2)** Reese, p. 510
  3. ^ _**[a**_](Special:Random.html#cite_ref-Reese.2C_p._511_3-0) _**[b**_](Special:Random.html#cite_ref-Reese.2C_p._511_3-1) Reese, p. 511
  4. **[^](Special:Random.html#cite_ref-4)** CMM, series 56

[Authority control](http://en.wikipedia.org/wiki/Authority_control)

  * [VIAF](http://en.wikipedia.org/wiki/Virtual_International_Authority_File): [5198413](https://viaf.org/viaf/5198413)
  * [ISNI](http://en.wikipedia.org/wiki/International_Standard_Name_Identifier): [0000 0001 1739 5801](http://isni-url.oclc.nl/isni/0000000117395801)
  * [BNF](http://en.wikipedia.org/wiki/Biblioth%C3%A8que_nationale_de_France): [cb148525120](http://catalogue.bnf.fr/ark:/12148/cb148525120) [(data)](http://data.bnf.fr/ark:/12148/cb148525120)

[Persondata](http://en.wikipedia.org/wiki/Wikipedia:Persondata)

Name
La Hele, George de

Alternative names

Short description
Franco-Flemish composer

Date of birth
1547

Place of birth

Date of death
August 27, 1586

Place of death
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=George_de_La_Hèle&oldid=571612945](http://en.wikipedia.org/w/index.php?title=George_de_La_Hèle&oldid=571612945)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [1547 births](http://en.wikipedia.org/wiki/Category:1547_births)
  * [1586 deaths](http://en.wikipedia.org/wiki/Category:1586_deaths)
  * [Franco-Flemish composers](http://en.wikipedia.org/wiki/Category:Franco-Flemish_composers)
  * [People from Antwerp](http://en.wikipedia.org/wiki/Category:People_from_Antwerp)
  * [Renaissance composers](http://en.wikipedia.org/wiki/Category:Renaissance_composers)
  * [University of Leuven alumni](http://en.wikipedia.org/wiki/Category:University_of_Leuven_alumni)

Hidden categories: 

  * [Wikipedia articles with VIAF identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_VIAF_identifiers)
  * [Wikipedia articles with ISNI identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_ISNI_identifiers)
  * [Wikipedia articles with BNF identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_BNF_identifiers)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=George+de+La+H%C3%A8le&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=George+de+La+H%C3%A8le)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:George_de_La_H%C3%A8le)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/George_de_La_H%C3%A8le)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/George_de_La_H%C3%A8le)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&oldid=571612945)
    * [Page information](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q389695)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=George_de_La_H%C3%A8le&id=571612945)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=George+de+La+H%C3%A8le)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=George+de+La+H%C3%A8le&oldid=571612945&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=George_de_La_H%C3%A8le&printable=yes)

### Languages

    * [Español](http://es.wikipedia.org/wiki/George_de_La_H%C3%A8le)
    * [Français](http://fr.wikipedia.org/wiki/Georges_de_la_H%C3%A8le)
    *     * [Edit links](http://www.wikidata.org/wiki/Q389695#sitelinks-wikipedia)

    * This page was last modified on 5 September 2013 at 07:25.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/George_de_La_H%C3%A8le)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
