# Hilf al-Fudul

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Hilf al-Fudul** ([Arabic](http://en.wikipedia.org/wiki/Arabic_language): **حلف الفضول**‎) was a 7th-century alliance created by various [Meccans](http://en.wikipedia.org/wiki/Mecca), including the prophet [Muhammad](http://en.wikipedia.org/wiki/Muhammad), to establish fair commercial dealing. Because of Muhammad's role in its formation, the alliance plays a significant role in [Islamic ethics](http://en.wikipedia.org/wiki/Islamic_ethics). Because _fudul_ commonly means "virtuous" the alliance is often translated as **League of the Virtuous**.[[1]](Special:Random.html#cite_note-Social-1)

## Contents

  * [1 Historical background](Special:Random.html#Historical_background)
    * [1.1 Yemeni merchant](Special:Random.html#Yemeni_merchant)
  * [2 Formation](Special:Random.html#Formation)
  * [3 Legacy](Special:Random.html#Legacy)
    * [3.1 Islamic ethics](Special:Random.html#Islamic_ethics)
  * [4 See also](Special:Random.html#See_also)
  * [5 References](Special:Random.html#References)

## Historical background[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=1)]

In the years preceding the pact, the [Quraysh](http://en.wikipedia.org/wiki/Quraysh_\(tribe\)) were involved in intermittent conflict. The war, as usual, was a result of an unsettled murder. The effect was growing discontent with the form of justice that required sacrilegious war. Many Quraysh leaders had travelled to Syria, where they found relative justice prevailed. Similar conditions also existed in Abyssinia. No such system, however, existed in Arabia.[[2]](Special:Random.html#cite_note-Lings-2)

Following the Fijar War, the Quraysh realized that the deterioration of their state and the loss of Mecca's prestige in Arabia were the result of their inability to solve disagreements, creating internal division.

### Yemeni merchant[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=2)]

A Yemini merchant from [Zabid](http://en.wikipedia.org/wiki/Zabid) had sold some goods to a notable member of the clan of Sahm. Having taken possession of the goods, the man from Sahm refused to pay the agreed price. The wrong doer knew very well that the merchant had no confederate or kinsman in Mecca, whom he could count upon for help. But the merchant, instead of letting it pass, appealed to the Quraysh to see that justice was done.[[2]](Special:Random.html#cite_note-Lings-2)

## Formation[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=3)]

In response a meeting was hosted at the house of Abdullah ibn Ja'dan.[[3]](Special:Random.html#cite_note-3) At the meeting, various chiefs and members of tribes pledged to:[[4]](Special:Random.html#cite_note-R20-4)

  * respect the principles of justice, and
  * collectively intervene in conflicts to establish justice.

To make the pact imperative and sacred, the members went into the [Ka'aba](http://en.wikipedia.org/wiki/Ka%27aba) and poured water into the receptacle so it flowed on the [black stone](http://en.wikipedia.org/wiki/Black_stone). Thereupon each man drank from it. Then they raised their right hands above their heads to show they would stand together in this endeavor.[[2]](Special:Random.html#cite_note-Lings-2) The pact was written and placed inside the [Ka'aba](http://en.wikipedia.org/wiki/Ka%27aba), the place where the participants believed it would be under the protection of God.[[5]](Special:Random.html#cite_note-5)

Among the members who agreed to the terms of the pact was the Islamic prophet [Muhammad](http://en.wikipedia.org/wiki/Muhammad). Later on, after proclaiming Islam, Muhammad still acknowledged the validity of the pact, ignoring the fact that most of the members were non-Muslim.[[4]](Special:Random.html#cite_note-R20-4) Abu Bakr is also said to have agreed to this pact.[[4]](Special:Random.html#cite_note-R20-4) This presumption is based on the fact that Abdullah ibn Ja'dan, whose house was the venue for this pledge, was Abu Bakr's fellow clansman.[[6]](Special:Random.html#cite_note-6) Amongst the clans, [Banu Hashim](http://en.wikipedia.org/wiki/Banu_Hashim), Banu Zuhra and [Banu Taym](http://en.wikipedia.org/wiki/Banu_Taym) participated in its formation. Neither the [Banu Nawfal](http://en.wikipedia.org/wiki/Banu_Nawfal), nor the powerful [Banu Umayya](http://en.wikipedia.org/wiki/Banu_Umayya) took part in it.[[1]](Special:Random.html#cite_note-Social-1)

That pact also marked the beginning of some notion of justice in Mecca, which would be later repeated by Muhammad when he would preach Islam.[[7]](Special:Random.html#cite_note-7) Another aspect of the pact was that it would open up the Meccan market to Yeminite merchants, who were hitherto excluded.[[8]](Special:Random.html#cite_note-8) Nevertheless, the pact was considered "superficial and that which has no primary significance." It is said that some Quraysh went as far as excluding the participants from their rank.[[9]](Special:Random.html#cite_note-9)[[1]](Special:Random.html#cite_note-Social-1)

## Legacy[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=4)]

[Husayn ibn Ali](http://en.wikipedia.org/wiki/Husayn_ibn_Ali) once threatened the Medinan governor, who Hussayn believed gave an unjust decision, that he would take the case to the members of Hilf al-Fudul.[[10]](Special:Random.html#cite_note-10)

Anas Malik sees the pact as example libertarianism in Islam,[[11]](Special:Random.html#cite_note-11)[_[not in citation given](http://en.wikipedia.org/wiki/Wikipedia:Verifiability)_] and Anthony Sullivan considers it as a support for Muslim democrats.[[12]](Special:Random.html#cite_note-sullivan-12)

### Islamic ethics[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=5)]

The pact holds significance in [Islamic ethics](http://en.wikipedia.org/wiki/Islamic_ethics). According to Anthony Sullivan, the pact represents Islam's interest in human rights and protection of such rights.[[12]](Special:Random.html#cite_note-sullivan-12) Muhammad, later as a Muslim, accepted the substance of the agreement made by primarily non-Muslims. [Tariq Ramadan](http://en.wikipedia.org/wiki/Tariq_Ramadan) draws three principles from this:[[4]](Special:Random.html#cite_note-R20-4)

  * Islam embraces values derived from the human conscience, that are outside of the Islamic tradition. This is because Muhammad had acknowledged a pact before revelation, in the pre-Islamic era.
  * Islam acknowledges the righteousness of non-Muslims. In this case, the non-Muslims had defended justice and the oppressed.
  * Islam, instead of building allegiance to a closed community, requires allegiance to a set of universal principles. The message of Islam is not a closed value system, or at variance or conflict with other value systems.

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=6)]

  * [Muhammad before Medina](http://en.wikipedia.org/wiki/Muhammad_before_Medina)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit&section=7)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-Social_1-0) _**[b**_](Special:Random.html#cite_ref-Social_1-1) _**[c**_](Special:Random.html#cite_ref-Social_1-2) Ibrahim, Mahmood (Aug., 1982). "Social and Economic Conditions in Pre-Islamic Mecca." _International Journal of Middle East Studies_, **14**(3): 355. [Cambridge University Press](http://en.wikipedia.org/wiki/Cambridge_University_Press)
  2. ^ _**[a**_](Special:Random.html#cite_ref-Lings_2-0) _**[b**_](Special:Random.html#cite_ref-Lings_2-1) _**[c**_](Special:Random.html#cite_ref-Lings_2-2) Lings, Martin (1983). _Muhammad: His Life based on the earliest Sources_. p. 31-2
  3. **[^](Special:Random.html#cite_ref-3)** Najeebabadi, Akbar Shah. _The History of Islam_. Darussalam publishers. p. 101
  4. ^ _**[a**_](Special:Random.html#cite_ref-R20_4-0) _**[b**_](Special:Random.html#cite_ref-R20_4-1) _**[c**_](Special:Random.html#cite_ref-R20_4-2) _**[d**_](Special:Random.html#cite_ref-R20_4-3) Ramadan, Tariq (2007). _In the footsteps of the prophet_. p. 20-2
  5. **[^](Special:Random.html#cite_ref-5)** Chelhod, Joseph (Nov., 1991). "La foi jurée et l'environnement désertique." _Arabica_, **38**(3): 301.
  6. **[^](Special:Random.html#cite_ref-6)** _Khalifa Abu Bakr_. "[Before and after Conversion to Islam.](http://www.witness-pioneer.org/vil/Articles/companion/01_abu_bakr.htm)"
  7. **[^](Special:Random.html#cite_ref-7)** Peterson (2006), p. 43
  8. **[^](Special:Random.html#cite_ref-8)** Watt, W. M. _Muhammad: Prophet and Statesman_. [Oxford University Press](http://en.wikipedia.org/wiki/Oxford_University_Press). p. 9
  9. **[^](Special:Random.html#cite_ref-9)** A saying is attributed: _inna Qurayshan qalat hadha fudulun minhum_
  10. **[^](Special:Random.html#cite_ref-10)** By M Th Houtsma. _E.J. Brill's First Encyclopaedia of Islam, 1913-1936._ p. 307
  11. **[^](Special:Random.html#cite_ref-11)** Malik, Anas. _[The Case for Minarchist Libertarian Political Islam](http://www.yale.edu/cir/papers.html#Paper10)_. Presented at [Yale University](http://en.wikipedia.org/wiki/Yale_University)’s Critical Islamic Reflections conference.
  12. ^ _**[a**_](Special:Random.html#cite_ref-sullivan_12-0) _**[b**_](Special:Random.html#cite_ref-sullivan_12-1) Sullivan, Antony T. _[Islam, America, and the political economy of liberty](http://www.thefreelibrary.com/Islam,+America,+and+the+political+economy+of+liberty.-a0166433342)_

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&oldid=554423385](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&oldid=554423385)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Life of Muhammad](http://en.wikipedia.org/wiki/Category:Life_of_Muhammad)
  * [History of the Arabian peninsula](http://en.wikipedia.org/wiki/Category:History_of_the_Arabian_peninsula)

Hidden categories: 

  * [Articles containing Arabic-language text](http://en.wikipedia.org/wiki/Category:Articles_containing_Arabic-language_text)
  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from December 2012](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_December_2012)
  * [Articles using fixed number of columns in reflist](http://en.wikipedia.org/wiki/Category:Articles_using_fixed_number_of_columns_in_reflist)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Hilf+al-Fudul&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Hilf+al-Fudul)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Hilf_al-Fudul)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Hilf_al-Fudul)
  * [Related changes](/wiki/Special:RecentChangesLinked/Hilf_al-Fudul)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Hilf_al-Fudul&oldid=554423385)
  * [Page information](/w/index.php?title=Hilf_al-Fudul&action=info)
  * [Data item](//www.wikidata.org/wiki/Q3349467)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Hilf_al-Fudul&id=554423385)

### Print/export

  * [Create a book](/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Hilf+al-Fudul)
  * [Download as PDF](/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Hilf+al-Fudul&oldid=554423385&writer=rl)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Hilf_al-Fudul)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Hilf_al-Fudul)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&oldid=554423385)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q3349467)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Hilf_al-Fudul&id=554423385)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Hilf+al-Fudul)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Hilf+al-Fudul&oldid=554423385&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Hilf_al-Fudul&printable=yes)

### Languages

    * [العربية](http://ar.wikipedia.org/wiki/%D8%AD%D9%84%D9%81_%D8%A7%D9%84%D9%81%D8%B6%D9%88%D9%84)
    * [বাংলা](http://bn.wikipedia.org/wiki/%E0%A6%B9%E0%A6%BF%E0%A6%B2%E0%A6%AB%E0%A7%81%E0%A6%B2_%E0%A6%AB%E0%A7%81%E0%A6%9C%E0%A7%81%E0%A6%B2)
    * [فارسی](http://fa.wikipedia.org/wiki/%D8%AD%D9%84%D9%81%E2%80%8C%D8%A7%D9%84%D9%81%D8%B6%D9%88%D9%84)
    * [Italiano](http://it.wikipedia.org/wiki/Hilf_al-fudul)
    * [Bahasa Melayu](http://ms.wikipedia.org/wiki/Hilf_al-Fudul)
    * [Türkçe](http://tr.wikipedia.org/wiki/H%C4%B1lful_Fudul)
    *     * [Edit links](http://www.wikidata.org/wiki/Q3349467#sitelinks-wikipedia)

    * This page was last modified on 10 May 2013 at 10:07.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Hilf_al-Fudul)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
