# Illumina dye sequencing

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Illumina dye sequencing** is a technique used to determine the series of base pairs in [DNA](http://en.wikipedia.org/wiki/DNA), also known as [DNA sequencing](http://en.wikipedia.org/wiki/DNA_sequencing). It was based on inventions of S Balasubramanian and D Klenerman of Cambridge University,[[1]](Special:Random.html#cite_note-1) who subsequently founded Solexa, a company later acquired by [Illumina](http://en.wikipedia.org/wiki/Illumina_\(company\)). This sequencing method is based on reversible dye-terminators that enable the identification of single bases as they are introduced into DNA strands. It is often employed to sequence difficult regions, such as homopolymers and repetitive sequences. It can also be used for whole-[genome](http://en.wikipedia.org/wiki/Genome) and region sequencing, [transcriptome](http://en.wikipedia.org/wiki/Transcriptome) analysis, [metagenomics](http://en.wikipedia.org/wiki/Metagenomics), small [RNA](http://en.wikipedia.org/wiki/RNA) discovery, [methylation](http://en.wikipedia.org/wiki/Methylation) profiling, and genome-wide [protein](http://en.wikipedia.org/wiki/Protein)-[nucleic acid](http://en.wikipedia.org/wiki/Nucleic_acid) interaction analysis.[[2]](Special:Random.html#cite_note-Weiss-2)[[3]](Special:Random.html#cite_note-Meyer-3)

## Contents

  * [1 Procedure](Special:Random.html#Procedure)
  * [2 Comparison with other sequencing methods](Special:Random.html#Comparison_with_other_sequencing_methods)
  * [3 Examples of use](Special:Random.html#Examples_of_use)
  * [4 References](Special:Random.html#References)

## Procedure[[edit](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=edit&section=1)]

Illumina dye sequencing begins with the attachment of DNA molecules to [primers](http://en.wikipedia.org/wiki/Primer_\(molecular_biology\)) on a slide, followed by [amplification](http://en.wikipedia.org/wiki/DNA_replication) of that DNA to produce local colonies. This "DNA cluster" generation technology had been invented and developed in late 1996 at Glaxo-Welcome's Geneva Biomedical Research Institute (GBRI), by Dr Pascal Mayer and Dr Laurent Farinelli,[[4]](Special:Random.html#cite_note-4) and was publicly presented for the first time in 1998.[[5]](Special:Random.html#cite_note-5) The four types ([adenine](http://en.wikipedia.org/wiki/Adenine), [cytosine](http://en.wikipedia.org/wiki/Cytosine), [guanine](http://en.wikipedia.org/wiki/Guanine), and [thymine](http://en.wikipedia.org/wiki/Thymine)) of reversible terminate bases are added, each fluorescently labeled with a different color and attached with a blocking group. The four bases then compete for binding sites on the template DNA to be sequenced and non-incorporated molecules are washed away. After each synthesis a laser is applied resulting in the removal of the 3’ terminal blocking group and the probe. A detectable fluorescent color specific to one of the four bases is then visible, allowing for sequence identification and the beginning of the next cycle. The process is repeated until the full DNA molecule is sequenced.[[3]](Special:Random.html#cite_note-Meyer-3)

## Comparison with other sequencing methods[[edit](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=edit&section=2)]

This technique offers a number of advantages over traditional sequencing methods such as [Sanger sequencing](http://en.wikipedia.org/wiki/Sanger_sequencing). Due to the automated nature of Illumina dye sequencing it is possible to sequence multiple strands at once and gain actual sequencing data quickly. Additionally, this method only uses DNA polymerase as opposed to multiple, expensive [enzymes](http://en.wikipedia.org/wiki/Enzymes) required by other sequencing techniques (i.e. [pyrosequencing](http://en.wikipedia.org/wiki/Pyrosequencing)).[[6]](Special:Random.html#cite_note-Pettersson-6)

## Examples of use[[edit](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=edit&section=3)]

Illumina sequencing has been used to research [transcriptomes](http://en.wikipedia.org/wiki/Transcriptome) of the [sweet potato](http://en.wikipedia.org/wiki/Sweet_potato)[[7]](Special:Random.html#cite_note-7) and the [gymnosperm](http://en.wikipedia.org/wiki/Gymnosperm) genus _[Taxus](http://en.wikipedia.org/wiki/Taxus)_.[[8]](Special:Random.html#cite_note-8)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=edit&section=4)]

  1. **[^](Special:Random.html#cite_ref-1)** <http://www.illumina.com/technology/solexa_technology.ilmn>
  2. **[^](Special:Random.html#cite_ref-Weiss_2-0)** [Illumina - Sequencing Technology](http://www.illumina.com/technology/sequencing_technology.ilmn)
  3. ^ _**[a**_](Special:Random.html#cite_ref-Meyer_3-0) _**[b**_](Special:Random.html#cite_ref-Meyer_3-1) Meyer M., Kircher M.(2010).Illumina Sequencing Library Preparation for Highly Multiplexed Target Capture and Sequencing. _Cold Springs Harbor Protocols".doi:10.1101/pdb.prot5448._
  4. **[^](Special:Random.html#cite_ref-4)** patents WO 9844151, WO 9844152
  5. **[^](Special:Random.html#cite_ref-5)** [DNA colony massively parallel sequencing ams98 presentation](http://www.slideshare.net/pascalmayer/dna-colony-massively-parrallel-sequencing-ams98-presentation)
  6. **[^](Special:Random.html#cite_ref-Pettersson_6-0)** Pettersson E., Lundeberge J., Ahmadian A.(2008).Generation of sequencing technologies. _Genomics".pp. 105-111._
  7. **[^](Special:Random.html#cite_ref-7)** Wang, Z; Fang, B; Chen, J; Zhang, X; Luo, Z; Huang, L; Chen, X; Li, Y (Dec 24, 2010). ["De novo assembly and characterization of root transcriptome using Illumina paired-end sequencing and development of cSSR markers in sweet potato (Ipomoea batatas)."](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC3016421). _BMC Genomics_ **11**: 726. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1186/1471-2164-11-726](http://dx.doi.org/10.1186%2F1471-2164-11-726). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [3016421](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC3016421). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [21182800](http://www.ncbi.nlm.nih.gov/pubmed/21182800).  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  8. **[^](Special:Random.html#cite_ref-8)** Hao, Da Cheng; Ge, GuangBo; Xiao, PeiGen; Zhang, YanYan; Yang, Ling; Ellegren, Hans (22 June 2011). "The First Insight into the Tissue Specific Taxus Transcriptome via Illumina Second Generation Sequencing". _PLoS ONE_ **6** (6): e21220. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1371/journal.pone.0021220](http://dx.doi.org/10.1371%2Fjournal.pone.0021220).  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&oldid=605529718](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&oldid=605529718)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [DNA sequencing](http://en.wikipedia.org/wiki/Category:DNA_sequencing)

Hidden categories: 

  * [Pages containing cite templates with deprecated parameters](http://en.wikipedia.org/wiki/Category:Pages_containing_cite_templates_with_deprecated_parameters)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Illumina+dye+sequencing&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Illumina+dye+sequencing)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/w/index.php?title=Talk:Illumina_dye_sequencing&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Illumina_dye_sequencing)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Illumina_dye_sequencing)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&oldid=605529718)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q13564012)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Illumina_dye_sequencing&id=605529718)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Illumina+dye+sequencing)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Illumina+dye+sequencing&oldid=605529718&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Illumina_dye_sequencing&printable=yes)

### Languages

    * [עברית](http://he.wikipedia.org/wiki/%D7%A8%D7%99%D7%A6%D7%95%D7%A3_%D7%90%D7%99%D7%9C%D7%95%D7%9E%D7%99%D7%A0%D7%94)
    *     * [Edit links](http://www.wikidata.org/wiki/Q13564012#sitelinks-wikipedia)

    * This page was last modified on 23 April 2014 at 23:27.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Illumina_dye_sequencing)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
