# Karl Gottlieb Bretschneider

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![](../../upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Text_document_with_red_question_mark.svg/40px-Text_document_with_red_question_mark.svg.png)

This article includes a [list of references](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources), related reading or [external links](http://en.wikipedia.org/wiki/Wikipedia:External_links), but **its sources remain unclear because it lacks [inline citations](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources#Inline_citations)**. Please [improve](http://en.wikipedia.org/wiki/Wikipedia:WikiProject_Fact_and_Reference_Check) this article by introducing more precise citations. _(March 2012)_

    _See also his son, [Carl Anton Bretschneider](http://en.wikipedia.org/wiki/Carl_Anton_Bretschneider), the mathematician_

![](../../upload.wikimedia.org/wikipedia/commons/thumb/a/a1/Karl_Gottlieb_Bretschneider.jpg/190px-Karl_Gottlieb_Bretschneider.jpg)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Karl Gottlieb Bretschneider

**Karl Gottlieb Bretschneider** (1776 [Gersdorf, Saxony](http://en.wikipedia.org/wiki/Gersdorf,_Saxony) \- 1848 [Gotha](http://en.wikipedia.org/wiki/Gotha_\(town\)), [Thuringia](http://en.wikipedia.org/wiki/Thuringia)) was a [German](http://en.wikipedia.org/wiki/Germany) scholar and [theologian](http://en.wikipedia.org/wiki/Theology) from [Gersdorf, Saxony](http://en.wikipedia.org/wiki/Gersdorf,_Saxony). He is noted for, among other things, having planned and founded the monumental _[Corpus Reformatorum](http://en.wikipedia.org/wiki/Corpus_Reformatorum)_.

In 1794 he entered the [University of Leipzig](http://en.wikipedia.org/wiki/University_of_Leipzig), where he studied theology for four years. After some years of hesitation he resolved to be ordained, and in 1802 he passed with great distinction the examination for candidatus theologiae, and attracted the regard of FV Reinhard, author of the _System der christlichen Moral_ (1788–1815), then court-preacher at [Dresden](http://en.wikipedia.org/wiki/Dresden), who became his warm friend and patron during the remainder of his life.

In 1804-1806 Bretschneider was _[Privatdozent](http://en.wikipedia.org/wiki/Privatdozent)_ at the [University of Wittenberg](http://en.wikipedia.org/wiki/University_of_Wittenberg), where he lectured on philosophy and theology. During this time he wrote his work on the development of [dogma](http://en.wikipedia.org/wiki/Dogma), _Systematische Entwicklung aller in der Dogmatik vorkommenden Begriffe nach den symbolischen Schriften der evangelisch-lutherischen und reformirten Kirche_ (1805, 4th ed. 1841), which was followed by others, including an edition of [Sirach](http://en.wikipedia.org/wiki/Wisdom_of_Sirach) with a [Latin](http://en.wikipedia.org/wiki/Latin) commentary.

On the advance of the French army under [Napoleon](http://en.wikipedia.org/wiki/Napoleon) into [Prussia](http://en.wikipedia.org/wiki/Prussia), he determined to leave Wittenberg and abandon his university career. Through the good offices of Reinhard, he became pastor of [Schneeberg](http://en.wikipedia.org/wiki/Schneeberg,_Saxony) in Saxony (1807). In 1808 he was promoted to the office of superintendent of the church of [Annaberg](http://en.wikipedia.org/wiki/Annaberg), in which capacity he had to decide, in accordance with the [Canon law](http://en.wikipedia.org/wiki/Canon_law_\(Catholic_Church\)) of Saxony, many matters belonging to the department of [ecclesiastical law](http://en.wikipedia.org/wiki/Ecclesiastical_law). But the climate did not agree with him, and his official duties interfered with his theological studies. With a view to a change he took the degree of doctor of theology in Wittenberg in August 1812. In 1816 he was appointed general superintendent at [Gotha](http://en.wikipedia.org/wiki/Gotha_\(town\)), where he remained until his death. This was the great period of his literary activity.

In 1820 was published his treatise on the [gospel of John](http://en.wikipedia.org/wiki/Gospel_of_John), entitled _Probabilia de evangelii et epistolarum Ioannis Apostoli indole et origine cruditorum_, which attracted much attention. In it he collected with great fulness and discussed with marked moderation the arguments against Johannine authorship. This called forth a number of replies. To the astonishment of every one, Bretschneider announced in the preface to the second edition of his _Dogmatik_ in 1822, that he had never doubted the authenticity of the gospel, and had published his _Probabilia_ only to draw attention to the subject, and to call forth a more complete defence of its genuineness.

Bretschneider remarks in his autobiography that the publication of this work had the effect of preventing his appointment as successor to Karl Christian Tittmann in Dresden, the minister Detlev von Einsiedel (1773–1861) denouncing him as the slanderer of John (_Johannisschander_). His greatest contribution to the science of exegesis was his _Lexicon Manuale Graeco-Latinum in libros Novi Testamenti_ (1824, 3rd ed. 1840). This work was valuable for the use which its author made of the Greek of the [Septuagint](http://en.wikipedia.org/wiki/Septuagint), of the Old and New Testament [Apocrypha](http://en.wikipedia.org/wiki/Apocrypha), of [Josephus](http://en.wikipedia.org/wiki/Josephus), and of the apostolic fathers, in illustration of the language of the New Testament.

In 1826 he published _Apologie der neuern Theologie des evangeliscisen Deutschlands_. [Hugh James Rose](http://en.wikipedia.org/wiki/Hugh_James_Rose) had published in England (1825) a volume of sermons on the [rationalist movement](http://en.wikipedia.org/wiki/Rationalism) (_The State of the Protestant Religion in Germany_), in which he classed Bretschneider with the rationalists; and Bretschneider contended that he himself was not a rationalist in the ordinary sense of the term, but a rational supernaturalist. Some of his numerous dogmatic writings passed through several editions. An English translation of his _Manual of the Religion and History of the Christian Church_ appeared in 1857.

His dogmatic position seems to be intermediate between the extreme school of naturalists, such as [Heinrich Paulus](http://en.wikipedia.org/wiki/Heinrich_Eberhard_Gottlob_Paulus), JF Röhr and [Julius Wegscheider](http://en.wikipedia.org/wiki/Julius_Wegscheider) on the one hand, and [DF Strauss](http://en.wikipedia.org/wiki/David_Friedrich_Strauss) and [FC Baur](http://en.wikipedia.org/wiki/Ferdinand_Christian_Baur) on the other. Recognizing a supernatural element in [the Bible](http://en.wikipedia.org/wiki/The_Bible), he nevertheless allowed to the full the critical exercise of reason in the interpretation of its dogmas (cp. [Otto Pfleiderer](http://en.wikipedia.org/wiki/Otto_Pfleiderer), _Development of Theology_, pp. 89 if.).

## References[[edit](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&action=edit&section=1)]

  * Autobiography, _[Aus meinem Leben: Selbstbiographie von K. G. Bretschneider_](http://books.google.com/books?id=8653Z9tayBwC&pg=PA1&dq=Bretschneider++%22Aus+meinem+Leben%22#PPR1,M1) (Gotha, 1851); translation, with notes, by George E. Day, in _[Bibliotheca Sacra](http://en.wikipedia.org/wiki/Bibliotheca_Sacra)_ and _American Biblical Repository_, Nos. 36 and 38 (1852, 1853)
  * _Neudecker in Die allgemeine Kirchenzeitung_ (1848), No. 38 *Wustemann, _Bretschneideri Memoria_ (1848)
  * [A. G. Farrar](http://en.wikipedia.org/w/index.php?title=A._G._Farrar&action=edit&redlink=1), _Critical History of Free Thought_ ([Bampton Lectures](http://en.wikipedia.org/wiki/Bampton_Lectures), 1862)
  * Herzog-Hauck, _Realencyklopädie_ (ed. 1897).
  * ![Public Domain](../../upload.wikimedia.org/wikipedia/en/thumb/6/62/PD-icon.svg/12px-PD-icon.svg.png) This article incorporates text from a publication now in the [public domain](http://en.wikipedia.org/wiki/Public_domain): Chisholm, Hugh, ed. (1911). _[Encyclopædia Britannica](http://en.wikipedia.org/wiki/Encyclop%C3%A6dia_Britannica_Eleventh_Edition)_ (11th ed.). Cambridge University Press. 

[Authority control](http://en.wikipedia.org/wiki/Authority_control)

  * [WorldCat](http://www.worldcat.org/identities/lccn-n88-145808)
  * [VIAF](http://en.wikipedia.org/wiki/Virtual_International_Authority_File): [40183212](https://viaf.org/viaf/40183212)
  * [LCCN](http://en.wikipedia.org/wiki/Library_of_Congress_Control_Number): [n88145808](http://id.loc.gov/authorities/names/n88145808)
  * [ISNI](http://en.wikipedia.org/wiki/International_Standard_Name_Identifier): [0000 0001 1490 5810](http://isni-url.oclc.nl/isni/0000000114905810)
  * [GND](http://en.wikipedia.org/wiki/Integrated_Authority_File): [119209136](http://d-nb.info/gnd/119209136)
  * [SUDOC](http://en.wikipedia.org/wiki/Syst%C3%A8me_universitaire_de_documentation): [077095952](http://www.idref.fr/077095952)

[Persondata](http://en.wikipedia.org/wiki/Wikipedia:Persondata)

Name
Bretschneider, Karl Gottlieb

Alternative names

Short description

Date of birth
1776

Place of birth

Date of death
1848

Place of death
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&oldid=600271507](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&oldid=600271507)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [1776 births](http://en.wikipedia.org/wiki/Category:1776_births)
  * [1848 deaths](http://en.wikipedia.org/wiki/Category:1848_deaths)
  * [People from Zwickau (district)](http://en.wikipedia.org/wiki/Category:People_from_Zwickau_\(district\))
  * [People from the Electorate of Saxony](http://en.wikipedia.org/wiki/Category:People_from_the_Electorate_of_Saxony)
  * [German Protestant theologians](http://en.wikipedia.org/wiki/Category:German_Protestant_theologians)

Hidden categories: 

  * [Articles lacking in-text citations from March 2012](http://en.wikipedia.org/wiki/Category:Articles_lacking_in-text_citations_from_March_2012)
  * [All articles lacking in-text citations](http://en.wikipedia.org/wiki/Category:All_articles_lacking_in-text_citations)
  * [Wikipedia articles incorporating a citation from the 1911 Encyclopaedia Britannica with no article parameter](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_incorporating_a_citation_from_the_1911_Encyclopaedia_Britannica_with_no_article_parameter)
  * [Wikipedia articles incorporating text from the 1911 Encyclopædia Britannica](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_incorporating_text_from_the_1911_Encyclop%C3%A6dia_Britannica)
  * [Wikipedia articles with VIAF identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_VIAF_identifiers)
  * [Wikipedia articles with LCCN identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_LCCN_identifiers)
  * [Wikipedia articles with ISNI identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_ISNI_identifiers)
  * [Wikipedia articles with GND identifiers](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_with_GND_identifiers)
  * [Persondata templates without short description parameter](http://en.wikipedia.org/wiki/Category:Persondata_templates_without_short_description_parameter)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Karl+Gottlieb+Bretschneider&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Karl+Gottlieb+Bretschneider)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Karl_Gottlieb_Bretschneider)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Karl_Gottlieb_Bretschneider)
  * [Related changes](/wiki/Special:RecentChangesLinked/Karl_Gottlieb_Bretschneider)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Karl_Gottlieb_Bretschneider&oldid=600271507)
  * [Page information](/w/index.php?title=Karl_Gottlieb_Bretschneider&action=info)../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Karl_Gottlieb_Bretschneider)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Karl_Gottlieb_Bretschneider)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&oldid=600271507)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q215674)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Karl_Gottlieb_Bretschneider&id=600271507)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Karl+Gottlieb+Bretschneider)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Karl+Gottlieb+Bretschneider&oldid=600271507&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Karl_Gottlieb_Bretschneider&printable=yes)

### Languages

    * [Dansk](http://da.wikipedia.org/wiki/Karl_Gottlieb_Bretschneider)
    * [Deutsch](http://de.wikipedia.org/wiki/Karl_Gottlieb_Bretschneider)
    * [Svenska](http://sv.wikipedia.org/wiki/Karl_Gottlieb_Bretschneider)
    *     * [Edit links](http://www.wikidata.org/wiki/Q215674#sitelinks-wikipedia)

    * This page was last modified on 19 March 2014 at 06:56.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Karl_Gottlieb_Bretschneider)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
