# Legal recourse

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

A **legal recourse** is an action that can be taken by an individual or a corporation to attempt to remedy a legal difficulty.

  * A [lawsuit](http://en.wikipedia.org/wiki/Lawsuit) if the issue is a matter of [civil law](http://en.wikipedia.org/wiki/Civil_law_\(common_law\))
  * Many contracts require [mediation](http://en.wikipedia.org/wiki/Mediation) or [arbitration](http://en.wikipedia.org/wiki/Arbitration) before a dispute can go to court
  * Referral to [police](http://en.wikipedia.org/wiki/Police) or [prosecutor](http://en.wikipedia.org/wiki/Prosecutor) for investigation and possible [criminal charges](http://en.wikipedia.org/wiki/Criminal_charges) if the matter is a [criminal violation](http://en.wikipedia.org/wiki/Criminal_law)
  * Petition to a [legislature](http://en.wikipedia.org/wiki/Legislature) or other law-making body for a change in the law if a law is thought to be unjust.
  * Petition to a [president](http://en.wikipedia.org/wiki/President) or [governor](http://en.wikipedia.org/wiki/Governor) or [monarch](http://en.wikipedia.org/wiki/Monarch) other [chief executive](http://en.wikipedia.org/wiki/Chief_executive) or other official with power to pardon.

See also: [Legal remedy](http://en.wikipedia.org/wiki/Legal_remedy)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=edit&section=1)]

![Globe icon.](../../upload.wikimedia.org/wikipedia/commons/thumb/b/bd/Ambox_globe_content.svg/48px-Ambox_globe_content.svg.png)

The examples and perspective in this article **may not represent a [worldwide view](http://en.wikipedia.org/wiki/Wikipedia:WikiProject_Countering_systemic_bias) of the subject**. Please [improve this article](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=edit) and discuss the issue on the [talk page](http://en.wikipedia.org/wiki/Talk:Legal_recourse). _(December 2010)_

### Legal principles[[edit](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=edit&section=2)]

  * [Habeas corpus](http://en.wikipedia.org/wiki/Habeas_corpus)
  * [Damnum absque injuria](http://en.wikipedia.org/wiki/Damnum_absque_injuria), _loss without injury_
  * [Arm's length principle](http://en.wikipedia.org/wiki/Arm%27s_length_principle)

### Examples[[edit](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=edit&section=3)]

  * [Arranged marriages](http://en.wikipedia.org/wiki/Arranged_marriage) may leave the woman without _legal recourse_.
  * [Bookies](http://en.wikipedia.org/wiki/Bookies) and [confidence tricksters](http://en.wikipedia.org/wiki/Confidence_trickster) rely on the [mark](http://en.wiktionary.org/wiki/mark) being involved in illegal activity to block _legal recourse_.
  * Victims of [bullying](http://en.wikipedia.org/wiki/Bullying) may have _legal recourse_ in the United States.
  * The [Class Action Fairness Act of 2005](http://en.wikipedia.org/wiki/Class_Action_Fairness_Act_of_2005) purportedly [leaves consumer groups without _legal recourse_](http://en.wikipedia.org/wiki/Political_positions_of_Joe_Lieberman#Consumer_protection).
  * [Diploma mills](http://en.wikipedia.org/wiki/Diploma_mill) and [essay mills](http://en.wikipedia.org/wiki/Essay_mill) employ various legal techniques to leave their customers without _legal recourse_.
  * In termination of [employment](http://en.wikipedia.org/wiki/Employment), an employee may have _legal recourse_ to challenge such a termination in [at-will](http://en.wikipedia.org/wiki/At-will) presumption of employment in the [United States](http://en.wikipedia.org/wiki/United_States).
  * Victims of [joke theft](http://en.wikipedia.org/wiki/Joke_theft) have little _legal recourse_, but have occasionally exacted [their own vengeance](http://en.wikipedia.org/wiki/Joke_theft#Recourse_and_consequences).
  * [Lynchings](http://en.wikipedia.org/wiki/Lynching_in_the_United_States)
  * [Military tribunal](http://en.wikipedia.org/wiki/Military_tribunal)
  * [Rumsfeld v. Padilla](http://en.wikipedia.org/wiki/Rumsfeld_v._Padilla)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Legal_recourse&oldid=540557634](http://en.wikipedia.org/w/index.php?title=Legal_recourse&oldid=540557634)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Legal terms](http://en.wikipedia.org/wiki/Category:Legal_terms)

Hidden categories: 

  * [Articles with limited geographic scope from December 2010](http://en.wikipedia.org/wiki/Category:Articles_with_limited_geographic_scope_from_December_2010)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Legal+recourse&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Legal+recourse)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Legal_recourse)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Legal_recourse)
  * [Related changes](/wiki/Special:RecentChangesLinked/Legal_recourse)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Legal_recourse)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Legal_recourse)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Legal_recourse&oldid=540557634)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Legal_recourse&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q820176)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Legal_recourse&id=540557634)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Legal+recourse)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Legal+recourse&oldid=540557634&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Legal_recourse&printable=yes)

### Languages

    * [العربية](http://ar.wikipedia.org/wiki/%D8%AD%D9%82_%D8%A7%D9%84%D8%B1%D8%AC%D9%88%D8%B9_\(%D9%82%D8%A7%D9%86%D9%88%D9%86\))
    * [Deutsch](http://de.wikipedia.org/wiki/Regress_\(Recht\))
    * [Lietuvių](http://lt.wikipedia.org/wiki/Atgr%C4%99%C5%BEtinis_reikalavimas)
    * [Norsk bokmål](http://no.wikipedia.org/wiki/Regress)
    * [Polski](http://pl.wikipedia.org/wiki/Roszczenie_regresowe)
    * [Português](http://pt.wikipedia.org/wiki/Direito_do_regresso)
    * [中文](http://zh.wikipedia.org/wiki/%E8%BF%BD%E7%B4%A2%E6%AC%8A)
    *     * [Edit links](http://www.wikidata.org/wiki/Q820176#sitelinks-wikipedia)

    * This page was last modified on 26 February 2013 at 09:10.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Legal_recourse)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
