# Liber Floridus

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![](../../upload.wikimedia.org/wikipedia/commons/thumb/5/54/Liber_Floridus_page_scan_A,_ca._1460.jpg/220px-Liber_Floridus_page_scan_A,_ca._1460.jpg)

![](../../bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

Lambert, [Canon](http://en.wikipedia.org/wiki/Canon_\(priest\)) of [St. Omer](http://en.wikipedia.org/wiki/Audomar), Liber Floridus (Lille and Ninove, 1460)

_**Liber Floridus**_ ("book of flowers") is a [medieval encyclopedia](http://en.wikipedia.org/wiki/List_of_historical_encyclopedias) that was compiled between 1090 and 1120 by Lambert, [Canon](http://en.wikipedia.org/wiki/Canon_\(priest\)) of [Saint-Omer](http://en.wikipedia.org/wiki/Saint-Omer).[[1]](Special:Random.html#cite_note-1) The text compiles extracts from some 192 or so different works.[[2]](Special:Random.html#cite_note-slide217-2)

Lambert's medieval encyclopedia contains a [universal history](http://en.wikipedia.org/wiki/Universal_history), a chronological record of events to the year 1119. These are of Biblical, astronomical, geographical, philosophical and natural history subjects. Lambert wrote _Liber Floridus_ originally in Latin, and later it was translated into French as _Le Livre fleurissant en fleurs_. A detailed description is in the _Historia comitum Normannorum, comitum Flandriae_.[[3]](Special:Random.html#cite_note-3)

The _Liber floridus_ was the first of the encyclopedias of the [High Middle Ages](http://en.wikipedia.org/wiki/High_Middle_Ages) that slowly superseded the work of [Isidore of Seville](http://en.wikipedia.org/wiki/Isidore_of_Seville).[[4]](Special:Random.html#cite_note-4) The original manuscript, completed in 1120 and dedicated to [Saint Omer](http://en.wikipedia.org/wiki/Audomar) by [canon](http://en.wikipedia.org/wiki/Canon_\(priest\)) Lambert, has been preserved in [Ghent](http://en.wikipedia.org/wiki/Ghent), though its latter portion has not survived.[[5]](Special:Random.html#cite_note-5) A copy is in the [Bibliothèque Nationale](http://en.wikipedia.org/wiki/Biblioth%C3%A8que_Nationale), Paris.[[6]](Special:Random.html#cite_note-6) There is also a copy in the [Herzog August Bibliothek](http://en.wikipedia.org/wiki/Herzog_August_Bibliothek), [Wolfenbüttel, Germany](http://en.wikipedia.org/wiki/Wolfenb%C3%BCttel,_Germany).[[2]](Special:Random.html#cite_note-slide217-2) There may be as many as six additional extant manuscript copies, dating from the twelfth to the sixteenth centuries and produced in France or Flanders.[[7]](Special:Random.html#cite_note-7) _Liber Floridus_ has the reputation of being one of the most famous encyclopedias of the Middle Ages.[[8]](Special:Random.html#cite_note-8)

_Liber floridus_ includes various maps including a [mappa mundi](http://en.wikipedia.org/wiki/Mappa_mundi). The Ghent manuscript, being the oldest of the known copies and dating from earlier than 1125, includes a map of parts of Europe and two climate-zone drawings based on the [Macrobian model](http://en.wikipedia.org/wiki/Macrobius) as an attempt to make a complete world map. The parts of the European map sketch show interesting and odd representations. This manuscript and the associated maps are believed to have been done personally by Lambert.[[2]](Special:Random.html#cite_note-slide217-2)

![](../../upload.wikimedia.org/wikipedia/commons/thumb/0/06/World_map_12th_century.jpg/220px-World_map_12th_century.jpg)

![](../../bits.wikimedia.org/static-1.23wmf19/skins/common/images/magnify-clip.png)

World map of 12th century

The Wolfenbüttel and Paris copies with their European "mappa mundi" date from somewhere around 1150. Historians do not believe these were done by Lambert. R. Uhden points out [[9]](Special:Random.html#cite_note-9) that the world map in the Wolfenbüttel copy has a legend saying the original source was from [Martianus Capella](http://en.wikipedia.org/wiki/Martianus_Capella) ([fl.](http://en.wikipedia.org/wiki/Floruit) 410 - 439). This reference has been backed up by information found in various other inscriptions on the map that are passages from Martianus' _Satyricon_, also known as _De Nuptiis Philologiae et Mercurii_.[[2]](Special:Random.html#cite_note-slide217-2)

Lambert collected his material from such sources as [Isidore](http://en.wikipedia.org/wiki/Isidore_of_Seville)'s _[Etymologiae](http://en.wikipedia.org/wiki/Etymologiae)_, the _[Historia Brittonum](http://en.wikipedia.org/wiki/Historia_Brittonum)_, and the crusade chronicle of [Bartolf of Nangis](http://en.wikipedia.org/wiki/Bartolf_of_Nangis). Lambert frequently mentions crusaders from Saint-Omer and elsewhere, whom he presumably met when they returned home.[[10]](Special:Random.html#cite_note-10) In 1968 [Albert Derolez](http://en.wikipedia.org/w/index.php?title=Albert_Derolez&action=edit&redlink=1) published a copy of the Ghent manuscript, with historical and palaeographical introductions. It included a number of photographs of the original manuscript pages.[[11]](Special:Random.html#cite_note-11)

The Liber has sometimes been incorrectly attributed to [Lambert of St-Bertin](http://en.wikipedia.org/wiki/Lambert_of_St-Bertin), a monk at the [Abbey of Saint Bertin](http://en.wikipedia.org/wiki/Abbey_of_Saint_Bertin). The compiler of the _Liber_ was a canon at the nearby church of Our Lady of Saint-Omer. His father, Onulfus, had also been a canon at the same church.[[12]](Special:Random.html#cite_note-12)

## Contents

  * [1 Page examples](Special:Random.html#Page_examples)
  * [2 Notes](Special:Random.html#Notes)
  * [3 See also](Special:Random.html#See_also)
  * [4 Sources](Special:Random.html#Sources)
  * [5 External links](Special:Random.html#External_links)

## Page examples[[edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit&section=1)]

  * ![](../../upload.wikimedia.org/wikipedia/commons/thumb/d/dd/Liber_Floridus_Woman.jpg/82px-Liber_Floridus_Woman.jpg)

Depicted: the [The Beast](http://en.wikipedia.org/wiki/The_Beast_\(Revelation\)), _[Apocalypse](http://en.wikipedia.org/wiki/Apocalypse)_

  * ![](../../upload.wikimedia.org/wikipedia/commons/thumb/1/1d/Liber_Floridus_page_scan_B,_ca._1460.jpg/80px-Liber_Floridus_page_scan_B,_ca._1460.jpg)

Page scan B, three unclean spirits, a beast and a [false prophet](http://en.wikipedia.org/wiki/False_prophet)

  * ![](../../upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Liber_Floridus_page_scan_C,_ca._1460.jpg/80px-Liber_Floridus_page_scan_C,_ca._1460.jpg)

Page scan C, "Plants and Flowers"

  * ![](../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Liber_floridus1.jpg/78px-Liber_floridus1.jpg)

Liber Floridus explains how the world will end.

## Notes[[edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit&section=2)]

  1. **[^](Special:Random.html#cite_ref-1)** Albert Derolez, _The autograph manuscript of the Liber Floridus: a key to the encyclopedia of Lambert of Saint-Omer_, 1998.
  2. ^ _**[a**_](Special:Random.html#cite_ref-slide217_2-0) _**[b**_](Special:Random.html#cite_ref-slide217_2-1) _**[c**_](Special:Random.html#cite_ref-slide217_2-2) _**[d**_](Special:Random.html#cite_ref-slide217_2-3) ["Index of Cartographic Images Illustrating Maps of the Early Medieval Period 400-1300 A.D"](http://www.henry-davis.com/MAPS/EMwebpages/217mono.html). Henry-davis.com. Retrieved 2012-05-24. 
  3. **[^](Special:Random.html#cite_ref-3)** Herbermann, pp. 758-759
  4. **[^](Special:Random.html#cite_ref-4)** ["Narrative Sources"](http://www.narrative-sources.be)
  5. **[^](Special:Random.html#cite_ref-5)** It is MS Gandensis 92.
  6. **[^](Special:Random.html#cite_ref-6)** Its contents were fully listed and summarized by L. Delisle, "Notice sur les MSS du 'Liber Floridus' composé en 1120 par Lambert, chânoine de Saint-Omer", _Notices et extraits des MSS du Bibliothèque Nationale_, **38**.2 (Paris, 1903), pp 577-791.
  7. **[^](Special:Random.html#cite_ref-7)** ["The Medieval Bestiary - Lambert of Saint-Omer"](http://bestiary.ca/prisources/psdetail4892.htm). Bestiary.ca. Retrieved 2012-05-24. 
  8. **[^](Special:Random.html#cite_ref-8)** ["Hanna Vorholt: ''Tradition and Transformations. The illustrated Manuscripts of the "Liber Floridus" by Lambert of Saint-Omer''"](http://www.imprs-hist.mpg.de/english/e-doktoranden/e-vorholt.html). Imprs-hist.mpg.de. Retrieved 2012-05-24. 
  9. **[^](Special:Random.html#cite_ref-9)** Uhden, _Die Weltkarte des Martianus Capella_
  10. **[^](Special:Random.html#cite_ref-10)** Penelope C. Mayo, "The crusaders under the palm: allegorical plants and cosmic kingship in the 'Liber Floridus'" (_Dumbarton Oaks Papers_ 27, 1973), pg. 39.
  11. **[^](Special:Random.html#cite_ref-11)** Derolez, _Lamberti S. Audomari Canonici Liber Floridus: Codex Autographus Bibliothecae Universitatis Gandavensis_ (Ghent, 1968).
  12. **[^](Special:Random.html#cite_ref-12)** Derolez, _The autograph manuscript_, pg. 11.

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit&section=3)]

  * [Palaeography](http://en.wikipedia.org/wiki/Palaeography)

## Sources[[edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit&section=4)]

![](../../upload.wikimedia.org/wikipedia/en/thumb/4/4a/Commons-logo.svg/30px-Commons-logo.svg.png)
Wikimedia Commons has media related to _**[Liber Floridus](http://commons.wikimedia.org/wiki/Category:Liber_Floridus)**_.

  * Herbermann, Charles George, _The Catholic Encyclopedia: An International Work of Reference on the Constitution, Doctrine, Discipline, and History of the Catholic Church_, Encyclopedia Press, 1913

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit&section=5)]

  * [Liber Floridus](http://www.liberfloridus.be) \- a website from the Ghent University Library on the history of the manuscript, its contents, and its creator, including many more images from the Liber Floridus
  * [The fulltext of the book at Google Books](http://books.google.com.tr/books?id=OQ1-igA9LI4C)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Liber_Floridus&oldid=599039790](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&oldid=599039790)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Historical encyclopedias](http://en.wikipedia.org/wiki/Category:Historical_encyclopedias)
  * [Herzog August Library](http://en.wikipedia.org/wiki/Category:Herzog_August_Library)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Liber+Floridus&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Liber+Floridus)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Liber_Floridus)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Navigation

  * [Main page](http://en.wikipedia.org/wiki/Main_Page)
  * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
  * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
  * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
  * [Random article](Special:Random.html)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

  * [Help](http://en.wikipedia.org/wiki/Help:Contents)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
  * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
  * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Liber_Floridus)
  * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Liber_Floridus)
  * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&oldid=599039790)
  * [Page information](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&action=info)
  * [Data item](http://www.wikidata.org/wiki/Q479629)
  * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Liber_Floridus&id=599039790)

### Print/export

  * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Liber+Floridus)
  * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Liber+Floridus&oldid=599039790&writer=rl)
  * [Printable version](http://en.wikipedia.org/w/index.php?title=Liber_Floridus&printable=yes)

### Languages

  * [Deutsch](http://de.wikipedia.org/wiki/Liber_Floridus)
  * [Français](http://fr.wikipedia.org/wiki/Liber_Floridus)
  * [Nederlands](http://nl.wikipedia.org/wiki/Liber_floridus)
  * [Türkçe](http://tr.wikipedia.org/wiki/Liber_Floridus)
  *   * [Edit links](http://www.wikidata.org/wiki/Q479629#sitelinks-wikipedia)

  * This page was last modified on 10 March 2014 at 21:06.  

  * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
  * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikipedia.org/wiki/Liber_Floridus)
  * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
