# Lichnerowicz formula

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

The **Lichnerowicz formula** (also known as the **Lichnerowicz–Weitzenböck formula**) is a fundamental equation in the analysis of [spinors](http://en.wikipedia.org/wiki/Spinor) on [pseudo-Riemannian manifolds](http://en.wikipedia.org/wiki/Pseudo-Riemannian_manifold). In dimension 4, it forms a piece of [Seiberg–Witten theory](http://en.wikipedia.org/wiki/Seiberg%E2%80%93Witten_gauge_theory) and other aspects of [gauge theory](http://en.wikipedia.org/wiki/Gauge_theory). It is named after noted mathematicians [André Lichnerowicz](http://en.wikipedia.org/wiki/Andr%C3%A9_Lichnerowicz) who proved it in 1963, and [Roland Weitzenböck](http://en.wikipedia.org/wiki/Roland_Weitzenb%C3%B6ck). The formula gives a relationship between the [Dirac operator](http://en.wikipedia.org/wiki/Dirac_operator) and the [Laplace–Beltrami operator](http://en.wikipedia.org/wiki/Laplace%E2%80%93Beltrami_operator) acting on spinors, in which the [scalar curvature](http://en.wikipedia.org/wiki/Scalar_curvature) appears in a natural way. The result is significant because it provides an interface between results from the study of [elliptic partial differential equations](http://en.wikipedia.org/wiki/Elliptic_partial_differential_equation), results concerning the scalar curvature, and results on spinors and spin structures.

Given a [spin structure](http://en.wikipedia.org/wiki/Spin_structure) on a pseudo-Riemannian manifold _M_ and a [spinor bundle](http://en.wikipedia.org/wiki/Spinor_bundle) _S_, the Lichnerowicz formula states that on a section ψ of _S_,

    ![D^2\\psi = \\nabla^*\\nabla\\psi + \\frac{1}{4}\\operatorname{Sc}\\psi](../../upload.wikimedia.org/math/c/c/0/cc07a223de9ea6acdea893ec387073a6.png)

where Sc denotes the [scalar curvature](http://en.wikipedia.org/wiki/Scalar_curvature) and ![\\nabla^*\\nabla](../../upload.wikimedia.org/math/d/1/f/d1f8c6896a23af565c29648bcca60cc8.png) is the [connection Laplacian](http://en.wikipedia.org/wiki/Lichnerowicz_Laplacian#Connection_Laplacian). More generally, given a [complex spin structure](http://en.wikipedia.org/wiki/Complex_spin_structure) on a pseudo-Riemannian manifold _M_, a [spinor bundle](http://en.wikipedia.org/wiki/Spinor_bundle) _W_± with section ![\\phi](../../upload.wikimedia.org/math/7/f/2/7f20aa0b3691b496aec21cf356f63e04.png), and a connection _A_ on its [determinant line bundle](http://en.wikipedia.org/wiki/Determinant_line_bundle) _L_, the Lichnerowicz formula is

    ![D_{A}^{*}D_{A}\\phi=\\nabla _A^{*}\\nabla_{A}\\phi+\\frac{1}{4}R\\phi+\\frac{1}{2}\\langle F_{A}^{+},\\phi\\rangle.](../../upload.wikimedia.org/math/d/5/b/d5b682ddb96164b15a2568389b60e916.png)

Here, ![D_A](../../upload.wikimedia.org/math/d/b/5/db5198606fe475aad818c06f7e117c21.png) is the [Dirac operator](http://en.wikipedia.org/wiki/Dirac_operator) ![D_A:\\Gamma \(W^+\)\\to \\Gamma \(W^-\),](../../upload.wikimedia.org/math/6/c/8/6c849ddf81b7d833badb04e5d1bb6994.png) and ![\\nabla _A](../../upload.wikimedia.org/math/1/5/3/1537bb73f793910f91dc7c5d85cd68ef.png) is the covariant derivative associated with the connection A, ![\\nabla _A: \\Gamma \(W^+\)\\to \\Gamma\(W^+\\otimes T_M^*\)](../../upload.wikimedia.org/math/6/3/7/6371fe6e27ba43a07bd4ce326ebb0230.png). ![R](../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the usual scalar curvature (a contraction of the [Ricci tensor](http://en.wikipedia.org/wiki/Ricci_curvature)) and ![F_A^+](../../upload.wikimedia.org/math/2/0/5/205a6eda2274ec263729cccd6fbce8e5.png) is the [self-dual](http://en.wikipedia.org/wiki/Self-dual) part of the curvature of A. The asterisks denote the adjoint of the quantity and the brackets ![\\langle , \\rangle](../../upload.wikimedia.org/math/7/d/d/7dd06f859a9635d249d2d59b6139313a.png) denote the [Clifford action](http://en.wikipedia.org/wiki/Clifford_algebra).

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&action=edit&section=1)]

  * [Weitzenböck formula](http://en.wikipedia.org/wiki/Weitzenb%C3%B6ck_formula)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&action=edit&section=2)]

  * Lawson, H. Blaine; [Michelsohn, Marie-Louise](http://en.wikipedia.org/wiki/Marie-Louise_Michelsohn) (1989), _Spin Geometry_, [Princeton University Press](http://en.wikipedia.org/wiki/Princeton_University_Press), [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-691-08542-5](http://en.wikipedia.org/wiki/Special:BookSources/978-0-691-08542-5) 
  * [LeBrun, Claude](http://en.wikipedia.org/wiki/Claude_LeBrun) (2002), _Einstein Metrics, 4-Manifolds & Differential Topology_ 
  * Scorpan, Alexandru (2005), _The Wild World of 4-Manifolds_, Providence, Rhode Island: [American Mathematical Society](http://en.wikipedia.org/wiki/American_Mathematical_Society) 
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&oldid=580067171](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&oldid=580067171)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Differential geometry](http://en.wikipedia.org/wiki/Category:Differential_geometry)
  * [Riemannian geometry](http://en.wikipedia.org/wiki/Category:Riemannian_geometry)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Lichnerowicz+formula&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Lichnerowicz+formula)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/w/index.php?title=Talk:Lichnerowicz_formula&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Lichnerowicz_formula)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Lichnerowicz_formula)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&oldid=580067171)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q6543306)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Lichnerowicz_formula&id=580067171)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Lichnerowicz+formula)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Lichnerowicz+formula&oldid=580067171&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Lichnerowicz_formula&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q6543306#sitelinks-wikipedia)

    * This page was last modified on 3 November 2013 at 22:16.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Lichnerowicz_formula)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
