# Metaplasticity

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Metaplasticity** is a term originally coined by W.C. Abraham and M.F. Bear to refer to the [plasticity](http://en.wikipedia.org/wiki/Neuroplasticity) of [synaptic plasticity](http://en.wikipedia.org/wiki/Synaptic_plasticity).[[1]](Special:Random.html#cite_note-Abraham_1996-1) Until that time synaptic plasticity had referred to the plastic nature of _individual_ [synapses](http://en.wikipedia.org/wiki/Synapse). However this new form referred to the plasticity of the plasticity itself, thus the term _meta_-plasticity. The idea is that the synapse's previous history of activity determines its current plasticity. This may play a role in some of the underlying mechanisms thought to be important in [memory](http://en.wikipedia.org/wiki/Memory) and [learning](http://en.wikipedia.org/wiki/Learning) such as [Long-term potentiation](http://en.wikipedia.org/wiki/Long-term_potentiation) (LTP), [Long-term Depression](http://en.wikipedia.org/wiki/Long-term_Depression) (LTD) and so forth. These mechanisms depend on current synaptic "state", as set by ongoing extrinsic influences such as the level of [synaptic inhibition](http://en.wikipedia.org/wiki/Inhibitory_postsynaptic_potential), the activity of modulatory afferents such as [catecholamines](http://en.wikipedia.org/wiki/Catecholamine), and the pool of [hormones](http://en.wikipedia.org/wiki/Hormone) affecting the synapses under study. Recently, it has become clear that the prior history of synaptic activity is an additional variable that influences the synaptic state, and thereby the degree, of LTP or LTD produced by a given experimental protocol. In a sense, then, synaptic plasticity is governed by an activity-dependent plasticity of the synaptic state; such plasticity of synaptic plasticity has been termed metaplasticity. There is little known about metaplasticity, and there is much research currently underway on the subject, despite its difficulty of study, because of its theoretical importance in brain and cognitive science. Most research of this type is done via [cultured](http://en.wikipedia.org/wiki/Cell_culture) [hippocampus](http://en.wikipedia.org/wiki/Hippocampus) cells or hippocampal slices.

## Contents

  * [1 Hebbian plasticity](Special:Random.html#Hebbian_plasticity)
  * [2 Synaptic states](Special:Random.html#Synaptic_states)
  * [3 Synaptic tagging](Special:Random.html#Synaptic_tagging)
  * [4 NMDA receptors](Special:Random.html#NMDA_receptors)
  * [5 Gliotransmitters](Special:Random.html#Gliotransmitters)
  * [6 Synaptic homeostasis](Special:Random.html#Synaptic_homeostasis)
  * [7 Endocannabinoids in metaplasticity](Special:Random.html#Endocannabinoids_in_metaplasticity)
  * [8 Neuronal adaptation mechanism](Special:Random.html#Neuronal_adaptation_mechanism)
  * [9 Digital metaplasticity](Special:Random.html#Digital_metaplasticity)
  * [10 References](Special:Random.html#References)

## Hebbian plasticity[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=1)]

The [brain](http://en.wikipedia.org/wiki/Brain) is “plastic”, meaning it can be moulded and formed. This [plasticity](http://en.wikipedia.org/wiki/Neuroplasticity) is what allows you to learn throughout your lifetime;[[2]](Special:Random.html#cite_note-Thiagarajan_2007-2) your synapses change based on your experience. New synapses can be made, old ones destroyed, or existing ones can be strengthened or weakened. The original theory of plasticity is called “Hebbian plasticity”, named after [Donald Hebb](http://en.wikipedia.org/wiki/Donald_Hebb) in 1949. A quick but effective summary of Hebbian theory is that “cells that fire together, wire together”, together being the key word here which will be explained shortly. Hebb described an early concept of the theory, not the actual mechanics themselves. Hebbian plasticity involves two mechanisms: LTP and LTD, discovered by Bliss and Lomo in 1973. LTP, or long-term potentiation, is the increase of synapse sensitivity due to a prolonged period of activity in both the presynaptic and postsynaptic [neuron](http://en.wikipedia.org/wiki/Neuron). This prolonged period of activity is normally concentrated electric impulses, usually around 100 Hz. It is called “coincidence” detection in that it only strengthens the synapse if there was sufficient activity in both the presynaptic and postsynaptic cells. If the postsynaptic cell does not become sufficiently depolarized then there is no coincidence detection and LTP/LTD do not occur. LTD, or long-term depression, works the same way however it focuses on a lack of depolarization coincidence. LTD can be induced by electrical impulses at around 5 Hz.[[3]](Special:Random.html#cite_note-Grover_2009-3) These changes are synapse specific. A neuron can have many different synapses all controlled via the same mechanisms defined here.

The earliest proposed mechanism for plastic activity is based around [glutamate receptors](http://en.wikipedia.org/wiki/Glutamate_receptor) and their ability to change in number and strength based on synapse activity. [Glutamate](http://en.wikipedia.org/wiki/Glutamate) binds two main receptor types: [AMPA receptors](http://en.wikipedia.org/wiki/AMPA_receptor) (AMPARs) and [NMDA receptors](http://en.wikipedia.org/wiki/NMDA_receptor) (NMDARs). These are named after drugs that bind to the receptors: alpha-amino-3-hydroxy-5-methyl-4-isoxazolepropionic acid ([AMPA](http://en.wikipedia.org/wiki/AMPA)) and N-methyl-D-aspartate ([NMDA](http://en.wikipedia.org/wiki/NMDA)), respectively, but they both bind glutamate. When a glutamatergic synapse releases glutamate it binds to any AMPA and the NMDA receptors present in the postsynaptic membrane. The AMPA receptors are [ionotropic receptors](http://en.wikipedia.org/wiki/Ionotropic_receptor) that are responsible for fast synaptic transmission. In a nutshell the NMDA receptors evoke a response in the cell only when sufficient glutamate has been transmitted to cause that cell to depolarize enough to unblock the NMDA receptor. Sufficient depolarization in the membrane will cause the magnesium cation blockade in the NMDA receptors to vacate, thus allowing calcium influx into the cell. NMDA receptors are ["coincidence detectors"](http://en.wikipedia.org/wiki/Coincidence_detection_in_neurobiology). They determine when the presynaptic and postsynaptic neuron are linked in time via activity. When this occurs, NMDA receptors become the control mechanism that dictates how the AMPA and NMDA receptors are to be rearranged. The rearrangement of AMPA and NMDA receptors has become the central focus of current studies of metaplasticity as it directly determines LTP and LTD thresholds. However, some evidence indicates that [G protein-coupled receptors](http://en.wikipedia.org/wiki/G_protein-coupled_receptor) (GPCRs) are responsible for controlling NMDA receptor activity, which suggests that NMDAR-mediated changes in synaptic strength are modulated by the activity of GPCRs.[[4]](Special:Random.html#cite_note-MacDonald_2007-4) There is large amounts of research focused on finding the specific enzymes and intracellular pathways involved in the NMDAR-mediated modulation of membrane AMPA receptors. Recent biochemical research has shown that a deficiency in the protein [tenascin-R](http://en.wikipedia.org/wiki/Tenascin-R) (TNR) leads to a metaplastic increase in the threshold for LTP induction. TNR is an extracellular-matrix protein expressed by oligodendrocytes during myelination.[[5]](Special:Random.html#cite_note-Bukalo_2007-5)

## Synaptic states[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=2)]

Research in 2004 has shown that synapses do not strengthen or weaken on a sliding scale. There are discrete states that synapses move between. These states are active, [silent](http://en.wikipedia.org/wiki/Silent_synapse), recently-silent, potentiated, and depressed. The states which they can move to are dependent on the state that they are in at the moment. Thus, the future state is determined by the state gained by previous activity. For instance, silent (but not recently-silent) synapses can be converted to active via the insertion of AMPARs in the postsynaptic membrane. Active synapses can move to either potentiated or depressed via [LTP](http://en.wikipedia.org/wiki/Long-term_potentiation) or [LTD](http://en.wikipedia.org/wiki/Long-term_depression) respectively. Prolonged low-frequency stimulation (5 Hz, the method used to induce LTD) can move an active synapse to depressed and then silent. However, synapses that have just become active cannot be depressed or silenced. Thus there is state-machine-like behavior at the synapse when it comes to transitions. However, the states themselves can have varying degrees of intensity. One active-state synapse can be stronger than another active-state synapse. This is, in theory, how you can have a strong memory vs. a weak memory. The strong memories are the ones with very heavily populated active synapses, while weak memories may still be active but poorly populated with AMPARs. The same research has shown that NMDA receptors themselves, once thought to be the control mechanism behind AMPA receptor organization, can be regulated by synaptic activity.[[6]](Special:Random.html#cite_note-Montgomery_2004-6) This regulation of the regulation mechanism itself adds another layer of complexity to the biology of the brain.

## Synaptic tagging[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=3)]

Recent research[[7]](Special:Random.html#cite_note-Young_2006-7) has found a mechanism known as [synaptic tagging](http://en.wikipedia.org/wiki/Synaptic_tagging). When new receptor proteins are being expressed and synthesized they must also be transported to the synaptic membrane, and some sort of chemical messaging is required for this. Their research has shown that activation of cAMP/PKA signaling pathways is required for LTP induction due to its "tagging" nature. It was even shown that simple pharmacological activation of cAMP/PKA pathways was sufficient for the synapse to be tagged, completely independent of any sort of activity.

## NMDA receptors[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=4)]

The NMDA receptor is made up of three subunits: NR1, a variable NR2 subunit, and a variable NR3 subunit. Two NR2 subunits in particular have been the subject of intense study: NR2A and NR2B. The NR2B subunit not only is more sensitive to glutamate and takes longer to desensitize, but also allows more calcium entrance into the cell when it opens. A low NR2A/NR2B ratio is generally correlated with a decreased threshold of activation caused by rearing animals in light-deprived environments. This has been shown experimentally via light deprivation studies in which it was shown that the NR2A/B ratio declined. The threshold can be increased in some situations via light exposure. Studies of this nature were used to find the critical period for formation of the visual system in cats. This shifting ratio is a measurement of LTD/LTP threshold and thus has been posited as a metaplasticity mechanism.[[8]](Special:Random.html#cite_note-Philpot_2007-8)

## Gliotransmitters[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=5)]

Glial cells not only provide structural and nutritional support for neurons, but also provide processing support via chemicals known as [gliotransmitters](http://en.wikipedia.org/wiki/Gliotransmitter). Gliotransmitters include glutamate, ATP, and, more recently, the amino acid D-serine. Once thought to be glycine itself, D-serine serves as a ligand in the glycine site of NMDARs. D-serine is synthesized by astrocytes and is heavily co-localized with NMDARs. Without D-serine there can be no NMDA-induced neurotoxicity, or almost any NMDA response of any kind. Due to this evidence it is clear that D-serine is an essential ligand for the NMDA receptors. An essential factor in this research is the fact that astrocytes will vary their coverage of neurons based on the physiological processes of the body. Oxytocin and vasopressin neurons will have more NMDA receptors exposed due to astrocyte activity during lactation than during normal functioning. This research took place mostly in cells from the hypothalamic [supraoptic nucleus](http://en.wikipedia.org/wiki/Supraoptic_nucleus) (SON). Due to synaptic plasticity being almost completely dependent on NMDAR processing, dynamic astrocyte NMDAR coverage is by nature a metaplasticity parameter.[[9]](Special:Random.html#cite_note-Panatier_2006-9)

## Synaptic homeostasis[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=6)]

[Homeostatic plasticity](http://en.wikipedia.org/wiki/Homeostatic_plasticity) manages synaptic connections across the entire cell in an attempt to keep them at manageable connection levels. Hebbian methods tend to drive networks into either a maximized state or a minimized state of firing, thus limiting the potential activity and growth of the network. With homeostatic mechanisms in place there is now a sort of "gain control" which allows these Hebbian methods to be checked in order to maintain their information processing abilities.[[2]](Special:Random.html#cite_note-Thiagarajan_2007-2) This kind of modulation is important to combat intense lack of neural activity, such as prolonged sensory deprivation (in this study in particular it is light-deprivation affecting visual cortex neurons) or damage caused by stroke. Synaptic scaling is a mechanism in place to hold synapse sensitivity at normalized levels. Prolonged periods of inactivity increase the sensitivity of the synapses so that their overall activity level can remain useful. Chronic activity causes desensitization of the receptors, lowering overall activity to a more biologically manageable level. Both AMPA and NMDA receptor levels are affected by this process and so the overall “weight” of each synaptic connection (refined by Hebbian methods) is maintained while still increasing the overall level of activity over the entire neuron. It has been shown that both the presynaptic and the postsynaptic neuron are involved in the process, changing the vesicle turnover rate and AMPA receptor composition respectively.[[10]](Special:Random.html#cite_note-P.C3.A9rez-Ota.C3.B1o_2005-10)

Recent research has found that the calcium-dependent enzyme CaMKII, which exists in an alpha and beta isoform, is key in inactivity-dependent modulation. A low alpha/beta ratio causes an increased threshold for cellular excitation via calcium influx and thus favors LTP.[[2]](Special:Random.html#cite_note-Thiagarajan_2007-2)

## Endocannabinoids in metaplasticity[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=7)]

Research in 2004 has shown that endocannabinoid release from the postsynaptic neuron can inhibit activation of the presynaptic neuron. [Type 1 cannabinoid receptors](http://en.wikipedia.org/wiki/Cannabinoid_receptor_type_1) (CB1Rs) are the receptors on the presynaptic neuron responsible for this effect. The specific ligand is thought to be 2-arachidonyl glycerol, or 2-AG. This has mainly been found in GABAergic synapses and thus has been termed inhibitory long term depression (I-LTD). This effect has been found to be extremely localized and accurate, meaning the cannabinoids do not diffuse far from their intended target. This inhibition of inhibitory neurotransmission primes proximal excitatory synapses for future LTP induction and is thus metaplastic in nature.[[11]](Special:Random.html#cite_note-Chevaleyre_2004-11)

## Neuronal adaptation mechanism[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=8)]

A new mechanism has been proposed that concerns the innate excitability of a neuron. It is quantified by the size of the hyperpolarization in mV due to K+ channels re-opening during an action potential. After any sort of learning task, particularly a classical or operant conditioning task, the amplitude of the K+ hyperpolarization, or "after hyperpolarization (AHP)", is greatly reduced. Over time this AHP will return to normal levels. This normalization does not correlate with a loss of memory but instead a loss of learning potential.[[12]](Special:Random.html#cite_note-Zelcer_2006-12)

## Digital metaplasticity[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=9)]

Digital Metaplasticity is a specific quality which defines methods that apply [plastic art](http://en.wikipedia.org/wiki/Plastic_arts) languages to digital [symbolic systems](http://en.wikipedia.org/wiki/Symbolic_system).[[13]](Special:Random.html#cite_note-Digital_Metaplasticity-13)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit&section=10)]

  1. **[^](Special:Random.html#cite_ref-Abraham_1996_1-0)** Abraham WC, Bear MF (April 1996). ["Metaplasticity: the plasticity of synaptic plasticity"](http://linkinghub.elsevier.com/retrieve/pii/S0166-2236\(96\)80018-X). _Trends Neurosci._ **19** (4): 126–30. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/S0166-2236(96)80018-X](http://dx.doi.org/10.1016%2FS0166-2236%2896%2980018-X). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [8658594](http://www.ncbi.nlm.nih.gov/pubmed/8658594). 
  2. ^ _**[a**_](Special:Random.html#cite_ref-Thiagarajan_2007_2-0) _**[b**_](Special:Random.html#cite_ref-Thiagarajan_2007_2-1) _**[c**_](Special:Random.html#cite_ref-Thiagarajan_2007_2-2) Thiagarajan TC, Lindskog M, Malgaroli A, Tsien RW (January 2007). "LTP and adaptation to inactivity: overlapping mechanisms and implications for metaplasticity". _Neuropharmacology_ **52** (1): 156–75. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.neuropharm.2006.07.030](http://dx.doi.org/10.1016%2Fj.neuropharm.2006.07.030). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [16949624](http://www.ncbi.nlm.nih.gov/pubmed/16949624). 
  3. **[^](Special:Random.html#cite_ref-Grover_2009_3-0)** Grover, L. M.; Kim, E.; Cooke, J. D.; Holmes, W. R. (7 January 2009). "LTP in hippocampal area CA1 is induced by burst stimulation over a broad frequency range centered around delta". _Learning & Memory_ **16** (1): 69–81. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1101/lm.1179109](http://dx.doi.org/10.1101%2Flm.1179109). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [19144965](http://www.ncbi.nlm.nih.gov/pubmed/19144965).  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  4. **[^](Special:Random.html#cite_ref-MacDonald_2007_4-0)** MacDonald JF, Jackson MF, Beazely MA (April 2007). "G protein-coupled receptors control NMDARs and metaplasticity in the hippocampus". _Biochim. Biophys. Acta_ **1768** (4): 941–51. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.bbamem.2006.12.006](http://dx.doi.org/10.1016%2Fj.bbamem.2006.12.006). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [17261268](http://www.ncbi.nlm.nih.gov/pubmed/17261268). 
  5. **[^](Special:Random.html#cite_ref-Bukalo_2007_5-0)** Bukalo O, Schachner M, Dityatev A (May 2007). "Hippocampal metaplasticity induced by deficiency in the extracellular matrix glycoprotein tenascin-R". _J. Neurosci._ **27** (22): 6019–28. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1523/JNEUROSCI.1022-07.2007](http://dx.doi.org/10.1523%2FJNEUROSCI.1022-07.2007). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [17537973](http://www.ncbi.nlm.nih.gov/pubmed/17537973). 
  6. **[^](Special:Random.html#cite_ref-Montgomery_2004_6-0)** Montgomery JM, Madison DV (December 2004). "Discrete synaptic states define a major mechanism of synapse plasticity". _Trends Neurosci._ **27** (12): 744–50. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.tins.2004.10.006](http://dx.doi.org/10.1016%2Fj.tins.2004.10.006). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15541515](http://www.ncbi.nlm.nih.gov/pubmed/15541515). 
  7. **[^](Special:Random.html#cite_ref-Young_2006_7-0)** Young JZ, Isiegas C, Abel T, Nguyen PV (April 2006). ["Metaplasticity of the late-phase of long-term potentiation: a critical role for protein kinase A in synaptic tagging"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2921966). _Eur. J. Neurosci._ **23** (7): 1784–94. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1111/j.1460-9568.2006.04707.x](http://dx.doi.org/10.1111%2Fj.1460-9568.2006.04707.x). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [2921966](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2921966). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [16623835](http://www.ncbi.nlm.nih.gov/pubmed/16623835). 
  8. **[^](Special:Random.html#cite_ref-Philpot_2007_8-0)** Philpot BD, Cho KK, Bear MF (February 2007). ["Obligatory role of NR2A for metaplasticity in visual cortex"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1847797). _Neuron_ **53** (4): 495–502. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.neuron.2007.01.027](http://dx.doi.org/10.1016%2Fj.neuron.2007.01.027). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [1847797](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1847797). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [17296552](http://www.ncbi.nlm.nih.gov/pubmed/17296552). 
  9. **[^](Special:Random.html#cite_ref-Panatier_2006_9-0)** Panatier A, Theodosis DT, Mothet JP, _et al._ (May 2006). "Glia-derived D-serine controls NMDA receptor activity and synaptic memory". _Cell_ **125** (4): 775–84. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.cell.2006.02.051](http://dx.doi.org/10.1016%2Fj.cell.2006.02.051). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [16713567](http://www.ncbi.nlm.nih.gov/pubmed/16713567). 
  10. **[^](Special:Random.html#cite_ref-P.C3.A9rez-Ota.C3.B1o_2005_10-0)** Pérez-Otaño I, Ehlers MD (May 2005). "Homeostatic plasticity and NMDA receptor trafficking". _Trends Neurosci._ **28** (5): 229–38. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.tins.2005.03.004](http://dx.doi.org/10.1016%2Fj.tins.2005.03.004). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15866197](http://www.ncbi.nlm.nih.gov/pubmed/15866197). 
  11. **[^](Special:Random.html#cite_ref-Chevaleyre_2004_11-0)** Chevaleyre V, Castillo PE (September 2004). "Endocannabinoid-mediated metaplasticity in the hippocampus". _Neuron_ **43** (6): 871–81. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.neuron.2004.08.036](http://dx.doi.org/10.1016%2Fj.neuron.2004.08.036). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15363397](http://www.ncbi.nlm.nih.gov/pubmed/15363397). 
  12. **[^](Special:Random.html#cite_ref-Zelcer_2006_12-0)** Zelcer I, Cohen H, Richter-Levin G, Lebiosn T, Grossberger T, Barkai E (April 2006). "A cellular correlate of learning-induced metaplasticity in the hippocampus". _Cereb. Cortex_ **16** (4): 460–8. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1093/cercor/bhi125](http://dx.doi.org/10.1093%2Fcercor%2Fbhi125). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15958777](http://www.ncbi.nlm.nih.gov/pubmed/15958777). 
  13. **[^](Special:Random.html#cite_ref-Digital_Metaplasticity_13-0)** Mura,G., _Metaplasticity in Virtual Worlds:Aesthetics and Semantics concepts_,IGI-Global,USA,2010

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Metaplasticity&oldid=594590133](http://en.wikipedia.org/w/index.php?title=Metaplasticity&oldid=594590133)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Neurophysiology](http://en.wikipedia.org/wiki/Category:Neurophysiology)
  * [Neuroscience](http://en.wikipedia.org/wiki/Category:Neuroscience)

Hidden categories: 

  * [Pages containing cite templates with deprecated parameters](http://en.wikipedia.org/wiki/Category:Pages_containing_cite_templates_with_deprecated_parameters)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Metaplasticity&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Metaplasticity)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Metaplasticity)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Metaplasticity)
  * [Related changes](/wiki/Special:RecentChangesLinked/Metaplasticity)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Metaplasticity&oldid=594590133)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Metaplasticity)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Metaplasticity)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Metaplasticity&oldid=594590133)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Metaplasticity&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q1420291)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Metaplasticity&id=594590133)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Metaplasticity)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Metaplasticity&oldid=594590133&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Metaplasticity&printable=yes)

### Languages

    * [Deutsch](http://de.wikipedia.org/wiki/Metaplastizit%C3%A4t)
    *     * [Edit links](http://www.wikidata.org/wiki/Q1420291#sitelinks-wikipedia)

    * This page was last modified on 8 February 2014 at 23:51.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Metaplasticity)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
