# _Morris v. United States_

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

Morris v. United States

![Seal of the United States Supreme Court.svg](../../upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Seal_of_the_United_States_Supreme_Court.svg/100px-Seal_of_the_United_States_Supreme_Court.svg.png)  


**[Supreme Court of the United States](http://en.wikipedia.org/wiki/Supreme_Court_of_the_United_States)**

Argued October 26-28, and 31; November 1-4, and 7, 1898  
Decided May 1, 1899

Full case name
_Morris et al. v. United States_

Citations
174 [U.S.](http://en.wikipedia.org/wiki/United_States_Reports) [196](https://supreme.justia.com/us/174/196/case.html) (_[more](http://en.wikipedia.org/wiki/List_of_United_States_Supreme_Court_cases,_volume_174)_)

Prior history
On appeal from the Supreme Court of the District of Columbia

Court membership

**Chief Justice**  
[Melville Fuller](http://en.wikipedia.org/wiki/Melville_Fuller)

**Associate Justices**  
[John M. Harlan](http://en.wikipedia.org/wiki/John_Marshall_Harlan) · [Horace Gray](http://en.wikipedia.org/wiki/Horace_Gray)  
[David J. Brewer](http://en.wikipedia.org/wiki/David_Josiah_Brewer) · [Henry B. Brown](http://en.wikipedia.org/wiki/Henry_Billings_Brown)  
[George Shiras, Jr.](http://en.wikipedia.org/wiki/George_Shiras,_Jr.) · [Edward D. White](http://en.wikipedia.org/wiki/Edward_Douglass_White)  
[Rufus W. Peckham](http://en.wikipedia.org/wiki/Rufus_Wheeler_Peckham) · [Joseph McKenna](http://en.wikipedia.org/wiki/Joseph_McKenna)

Case opinions

Majority
Shiras, joined by Fuller, Harlan, Brewer, Brown

Dissent
White, joined by Peckham

Gray and McKenna took no part in the consideration or decision of the case.

_**Morris v. United States,**_ 174 U.S. 196 (1899), is a 5-to-2 ruling by the [United States Supreme Court](http://en.wikipedia.org/wiki/United_States_Supreme_Court) which held that the bed under the [Potomac River](http://en.wikipedia.org/wiki/Potomac_River) between the [District of Columbia](http://en.wikipedia.org/wiki/District_of_Columbia) and the state of [Virginia](http://en.wikipedia.org/wiki/Virginia) belonged to the [United States government](http://en.wikipedia.org/wiki/United_States_government) rather than nearby private landowners on the [District of Columbia](http://en.wikipedia.org/wiki/District_of_Columbia) side.

## Contents

  * [1 Background](Special:Random.html#Background)
  * [2 Decision](Special:Random.html#Decision)
    * [2.1 Majority opinion](Special:Random.html#Majority_opinion)
    * [2.2 Dissent](Special:Random.html#Dissent)
  * [3 Assessment](Special:Random.html#Assessment)
  * [4 See also](Special:Random.html#See_also)
  * [5 References](Special:Random.html#References)
  * [6 External links](Special:Random.html#External_links)

## Background[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=1)]

On June 20, 1632, [Charles I](http://en.wikipedia.org/wiki/Charles_I_of_England), [King of England](http://en.wikipedia.org/wiki/List_of_English_monarchs), made a land grant in [North America](http://en.wikipedia.org/wiki/North_America) to [Cecilius Calvert, 2nd Baron Baltimore](http://en.wikipedia.org/wiki/Cecilius_Calvert,_2nd_Baron_Baltimore) which became the [Province of Maryland](http://en.wikipedia.org/wiki/Province_of_Maryland) (later the state of [Maryland](http://en.wikipedia.org/wiki/Maryland)).[[1]](Special:Random.html#cite_note-1) This grant set the boundary of Maryland at the low-water mark of the southern bank of the Potomac River.[[2]](Special:Random.html#cite_note-2) On September 27, 1688, [King James II](http://en.wikipedia.org/wiki/James_II_of_England) made a land grant in North American to [Thomas Colepeper, 2nd Baron Colepeper](http://en.wikipedia.org/wiki/Thomas_Colepeper,_2nd_Baron_Colepeper) which became the [Colony of Virginia](http://en.wikipedia.org/wiki/Colony_of_Virginia) (later the state of Virginia).[[3]](Special:Random.html#cite_note-3) This grant designated "the Potomac River" as the boundary of Virginia.[[4]](Special:Random.html#cite_note-4) The conflicting grants led to a long-running border dispute between Maryland and Virginia.[[5]](Special:Random.html#cite_note-5) The two states settled navigational and [riparian water rights](http://en.wikipedia.org/wiki/Riparian_water_rights) in a compact in 1785, but the boundary dispute continued.[[6]](Special:Random.html#cite_note-6)[[7]](Special:Random.html#cite_note-Zimmerman-7)[[8]](Special:Random.html#cite_note-8)

In 1788, the [United States Constitution](http://en.wikipedia.org/wiki/United_States_Constitution) was ratified. The Constitution established an independent zone known as the District of Columbia for the seat of the new government. The [Residence Act](http://en.wikipedia.org/wiki/Residence_Act) of 1790 provided for the new capital to be located on the Potomac River, and [President](http://en.wikipedia.org/wiki/President_of_the_United_States) [George Washington](http://en.wikipedia.org/wiki/George_Washington) was authorized by the [United States Congress](http://en.wikipedia.org/wiki/United_States_Congress) to determine the exact location (which he did a year later).[[9]](Special:Random.html#cite_note-9) The [District of Columbia Organic Act of 1801](http://en.wikipedia.org/wiki/District_of_Columbia_Organic_Act_of_1801) formally established Congressional jurisdiction over the new District.[[10]](Special:Random.html#cite_note-10) The [Virginia retrocession](http://en.wikipedia.org/wiki/District_of_Columbia_retrocession#Virginia_retrocession) of 1846-1847 returned that portion of the District of Columbia on the Virginia site of the Potomac River to the state of Virginia.[[11]](Special:Random.html#cite_note-11) This left in doubt the exact position of the District's border with Virginia (just as Maryland's southern border remained in doubt).

![](../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/John_Marshall_by_Henry_Inman,_1832.jpg/150px-John_Marshall_by_Henry_Inman,_1832.jpg)

![](../../bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Chief Justice John Marshall, whose heirs were party to the suit.

Shortly after the creation of the District of Columbia, the United States government sold certain plots of land to James M. Marshall; his brother, [John Marshall](http://en.wikipedia.org/wiki/John_Marshall) (later [Chief Justice of the United States](http://en.wikipedia.org/wiki/Chief_Justice_of_the_United_States)); John L. Kidwell; the [Chesapeake and Ohio Canal Company](http://en.wikipedia.org/wiki/Chesapeake_and_Ohio_Canal); and several others.[[12]](Special:Random.html#cite_note-Worthy-12)

Maryland and Virginia agreed to arbitrate their dispute, and in 1877 the Black-Jenkins Award (as the decision of the arbitration panel is known) placed Virginia's boundary with Maryland at the low-water mark on the Virginia side of the Potomac River.[[7]](Special:Random.html#cite_note-Zimmerman-7)

In 1882, Congress passed legislation providing for the dredging of the Potomac River, and for the dredged material to be used to fill in various tidal basins, marshes, and shores.[[12]](Special:Random.html#cite_note-Worthy-12) This created extensive new land along the northern shore of the Potomac River—land which adjoined that of the heirs of James Marshall, John Marshall, and John Kidwell, and the Chesapeake and Ohio Canal Company. Congress passed legislation in August 1886 directing the [Attorney General of the United States](http://en.wikipedia.org/wiki/Attorney_General_of_the_United_States) to protect the interests of the United States to the new land, and giving the courts jurisdiction over these claims.[[12]](Special:Random.html#cite_note-Worthy-12)

The heirs and other claimants sued to win title to the lands.

## Decision[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=2)]

### Majority opinion[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=3)]

[Associate Justice](http://en.wikipedia.org/wiki/Associate_Justice_of_the_Supreme_Court_of_the_United_States) [George Shiras, Jr.](http://en.wikipedia.org/wiki/George_Shiras,_Jr.) wrote the majority opinion for the Court, joined by Chief Justice [Melville Fuller](http://en.wikipedia.org/wiki/Melville_Fuller) and Justices [John Marshall Harlan](http://en.wikipedia.org/wiki/John_Marshall_Harlan), [David Josiah Brewer](http://en.wikipedia.org/wiki/David_Josiah_Brewer), and [Henry Billings Brown](http://en.wikipedia.org/wiki/Henry_Billings_Brown).

Justice Shiras first laid out the facts of the case in a lengthy syllabus, and established various classes of claimants.[[13]](Special:Random.html#cite_note-13) The first issue Justice Shiras confronted was whether any of the parties could lay claim to the bed of the Potomac River (and thus the reclaimed lands built by the government).[[14]](Special:Random.html#cite_note-14) Shiras held that none of the heirs on the Virginia side of the river could make any claim to the riverbed. Neither Lord Colepeper, his heir [Thomas Fairfax, 6th Lord Fairfax of Cameron](http://en.wikipedia.org/wiki/Thomas_Fairfax,_6th_Lord_Fairfax_of_Cameron), nor any of Fairfax's heirs had ever seriously asserted title to the riverbed, and the Black-Jenkins Award clearly re-established that the boundary of Virginia ended at the low-water mark and did not extend to the riverbed.[[15]](Special:Random.html#cite_note-15) Relying on the Supreme Court's previous decision in _[Martin v. Waddell](http://en.wikipedia.org/w/index.php?title=Martin_v._Waddell&action=edit&redlink=1)_, 41 U.S. 367 (1842), Justice Shiras argued that none of the Maryland landholders could claim title to the riverbed, either. The majority held the original landholders were to hold the river and its bed in trust for the public, and that after the [American Revolution](http://en.wikipedia.org/wiki/American_Revolution) these public trusts passed into the possession of the state (in this case, Maryland and in due time the District of Columbia).[[16]](Special:Random.html#cite_note-16) Shiras distinguished _[Fairfax's Devisee v. Hunter's Lessee](http://en.wikipedia.org/wiki/Fairfax%27s_Devisee_v._Hunter%27s_Lessee)_, 11 U.S. 603 (1813) by noting that _Fairfax's Devisee_ did not involve Maryland or any Marylander claimant.[[17]](Special:Random.html#cite_note-17) Even if the riverbed had been assigned to Lord Fairfax and his heirs, Shiras concluded, the logic of _Martin v. Waddell_ still held and delivered the lands into the control of the federal government.[[18]](Special:Random.html#cite_note-18)

The majority dismissed the Kidwell heirs' claim to the newly created land under the same reasoning applied to the Marshall heirs. However, Kidwell's heirs noted that Congress had conveyed the property to Kidwell under a resolution adopted on February 16, 1839. The majority held, however, that Congress did not intend by that resolution to convey the riverbed.[[19]](Special:Random.html#cite_note-19) The majority relied heavily on the discussion in _[Illinois Central Railroad v. Illinois](http://en.wikipedia.org/wiki/Illinois_Central_Railroad_v._Illinois)_, 146 U.S. 387 (1892), _[Shively v. Bowlby](http://en.wikipedia.org/w/index.php?title=Shively_v._Bowlby&action=edit&redlink=1)_, 152 U.S. 1 (1894), and _[Mann v. Tacoma Land Company](http://en.wikipedia.org/w/index.php?title=Mann_v._Tacoma_Land_Company&action=edit&redlink=1)_, 153 U.S. 273 (1894),[[20]](Special:Random.html#cite_note-20) and from the express language of the resolution (which withheld from the grant any lands for public purposes).[[21]](Special:Random.html#cite_note-21) Shiras produced a highly detailed history of the establishment of the boundaries of the District of Columbia, the plots within its boundaries, and how these plots were conveyed to the private landowners.[[22]](Special:Random.html#cite_note-22) He concluded that none of the survey reports conveyed an interest in any riverbed. Shiras also noted that in _[Potomac Steam-Boat Co. v. Upper Potomac Steam-Boat Co.](http://en.wikipedia.org/w/index.php?title=Potomac_Steam-Boat_Co._v._Upper_Potomac_Steam-Boat_Co.&action=edit&redlink=1)_, 109 U.S. 672 (1884), the Supreme Court had held that public streets were not part of any plot, and that Water Street (which bounded the Kidwell land to the south) distinctly separated the private land not only from the street itself but also from the newly created lands beyond it.[[23]](Special:Random.html#cite_note-23)

As for the canal company's claims, the majority held that since none of the private landowners held riparian rights, the company could not obtain such rights from the private landowners.[[24]](Special:Random.html#cite_note-24) Nor was there any evidence that Congress was relinquishing its rights to Water Street or the river.[[25]](Special:Random.html#cite_note-25) The court dismissed the claims of the last landowners, whose property lay between Water Street and the shore, as being improperly based on unofficial land records[[26]](Special:Random.html#cite_note-26) and for being based on maps and other documents which did not accurately reflect the physical land.[[27]](Special:Random.html#cite_note-27)

The judgment was affirmed.

### Dissent[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=4)]

Justice [Edward Douglass White](http://en.wikipedia.org/wiki/Edward_Douglass_White), joined by Justice [Rufus Wheeler Peckham](http://en.wikipedia.org/wiki/Rufus_Wheeler_Peckham), dissented.

Justice White concluded that nothing in the record showed that the United States intended to withdraw the riparian water rights of the landholders when it built Water Street and cut the landholders off from the Potomac River.[[28]](Special:Random.html#cite_note-28) White also engaged in a lengthy discussion of the laying out of the city's boundaries, and the conveyance of private property to the federal government.[[29]](Special:Random.html#cite_note-29) There could be no doubt, White argued, that the private landowners intended to give all of their riparian rights to the federal government, and there could be no doubt that the federal government intended to give all riparian rights to those to whom it sold the land.[[30]](Special:Random.html#cite_note-30) The majority's argument led to a tautology in which no riparian rights existed.[[31]](Special:Random.html#cite_note-31)

Justice White also examined the conveyance of the federal government's land to the new private landowners in depth as well.[[32]](Special:Random.html#cite_note-32) In his discussion, White interpreted the "incorrect" maps as indicating the riparian rights to which the new private landowners were entitled (rather than a problem of inaccurate mapping). White concluded several times that the federal government fully intended to convey riparian rights to the new landowners because the government and its agents repeatedly indicated in letters, memoranda, contracts of sale, and other documents and statements its expectation that the waterside landowners were to build and maintain docks, wharves, and quays and improve the riparian rights they enjoyed. To assume otherwise, White concluded, was nonsensical. Either the federal government intended to convey riparian rights, or the government deceptively contemplated building Water Street and cutting the new landowners off from their access. "...the first hypothesis is the one naturally to be assumed."[[33]](Special:Random.html#cite_note-33) "The contracts for the sale of water lots with riparian rights attached, the reports of the surveyors, and the action of the commissioners, all blend into a harmonious and perfect whole, working from an original conception to a successful consummation of a well-understood result. The contrary view produces discord and disarrangement..."[[34]](Special:Random.html#cite_note-34)

White also discussed the District of Columbia's lengthy history regarding the regulation of wharves and docks.[[35]](Special:Random.html#cite_note-35) In his view, the city's treatment of the wharves demonstrated that the wharves were private property on private riverbed land, not private property licensed to be emplaced on a riverbed held in the public trust.[[36]](Special:Random.html#cite_note-36) White interpreted _Potomac Steam-Boat Co._ as superimposing an [easement](http://en.wikipedia.org/wiki/Easement) on top of existing riparian water rights.[[37]](Special:Random.html#cite_note-37) It was not, as the majority held, the government's purpose all along to bound the plots of land with Water Street.

Justice White would have overturned the judgment of the lesser court for determination of the riparian rights of the landowners in question.

## Assessment[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=5)]

In _Morris v. United States_, the Supreme Court dealt with what was known as a "top common," a tract of land between a river and the land intended to be occupied and sold to private landowners.[[38]](Special:Random.html#cite_note-Martin-38) Such practices were common in colonial America.[[38]](Special:Random.html#cite_note-Martin-38) _Morris v. United States_ is considered an important case in the evolution of the law of rivers, streams, lakes, and other bodies of water, for it established that such bodies of water and their beds belonged to the public in common and were held in trust by the state for its citizens.[[39]](Special:Random.html#cite_note-39)[[40]](Special:Random.html#cite_note-Wilkinson-40) The Supreme Court further developed this [public trust doctrine](http://en.wikipedia.org/wiki/Public_trust_doctrine) in _Illinois Central Railroad v. Illinois_ in 1892 and more recently in _[Utah Division of State Lands v. United States](http://en.wikipedia.org/w/index.php?title=Utah_Division_of_State_Lands_v._United_States&action=edit&redlink=1)_, 482 U.S. 193, 203 (1987).[[40]](Special:Random.html#cite_note-Wilkinson-40)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=6)]

  * _[Maryland v. West Virginia](http://en.wikipedia.org/wiki/Maryland_v._West_Virginia)_
  * [List of United States Supreme Court cases, volume 174](http://en.wikipedia.org/wiki/List_of_United_States_Supreme_Court_cases,_volume_174)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=7)]

  1. **[^](Special:Random.html#cite_ref-1)** Brugger, Robert J. _Maryland, a Middle Temperament, 1634-1980._ Baltimore, Md.: Johns Hopkins University Press, 1996, p. 4-5.
  2. **[^](Special:Random.html#cite_ref-2)** Scott, James Brown. _Judicial Settlement of Controversies Between States of the American Union._ Oxford, England: Oxford University Press, 1919, p. 473; Risjord, Norman K. _Jefferson's America, 1760-1815._ Lanham, Md.: Rowman & Littlefield, 2002, p. 217.
  3. **[^](Special:Random.html#cite_ref-3)** Harrison, Fairfax. _Virginia Land Grants: A Study of Conveyancing in Relation to Colonial Politics._ Westminster, Md.: Willow Bend Books, 1998, p. 75.
  4. **[^](Special:Random.html#cite_ref-4)** Whyte, W. Pinkney and Jones, Isaac D. _Boundary Line Between the States of Maryland and Virginia. Before the Honorable Jeremiah S. Black, Honorable William A. Graham, and Honorable Charles J. Jenkins, Arbitrators Upon the Boundary Line Between the States of Virginia and Maryland._ Baltimore, Md.: 1874, p. 75.
  5. **[^](Special:Random.html#cite_ref-5)** Cutright, W.B.; Maxwell, Hu; Sayre, R.H.; and Brooks, Earle Amos. _The History of Upshur County, West Virginia: From Its Earliest Exploration and Settlement to the Present Time._ Baltimore, Md.: Genealogical Pub. Co., 1996, p. 59.
  6. **[^](Special:Random.html#cite_ref-6)** Scott, James Brown. _Judicial Settlement of Controversies Between States of the American Union._ Oxford, England: Oxford University Press, 1919, p. 484.
  7. ^ _**[a**_](Special:Random.html#cite_ref-Zimmerman_7-0) _**[b**_](Special:Random.html#cite_ref-Zimmerman_7-1) Zimmerman, Joseph F. _Interstate Disputes: The Supreme Court's Original Jurisdiction._ Albany, N.Y.: State University of New York, 2006, p. 131-132.
  8. **[^](Special:Random.html#cite_ref-8)** The success of the compact led directly to calls for hold a series of meetings to improve the [Articles of Confederation](http://en.wikipedia.org/wiki/Articles_of_Confederation), then the constitutional document of the United States. This meeting turned into the [Philadelphia Convention](http://en.wikipedia.org/wiki/Philadelphia_Convention), which subsequently drafted the [United States Constitution](http://en.wikipedia.org/wiki/United_States_Constitution). See: Dellapenna, Joseph W. "Transboundary Water Allocation in the Twenty-First Century: Colloquiam Article: Interstate Struggles Over Rivers: The Southeastern States and the Struggle Over 'Hooch." _New York University Environmental Law Journal._ 12:828 (2005), p. 867, n.216.
  9. **[^](Special:Random.html#cite_ref-9)** Furer, Howard B. _Washington, A Chronological and Documentary History, 1790-1970._ Dobbs Ferry, N.Y.: Oceana Publications, 1975, p. 62.
  10. **[^](Special:Random.html#cite_ref-10)** diGiacomantonio, William C. "'To Make Hay While the Sun Shines': D.C. Governance As An Episode in the Revolution of 1800." In _Establishing Congress: The Removal to Washington, D.C., and the Election of 1800._ Kenneth R. Bowling and Donald R. Kennon, eds. Columbus, Ohio: Ohio University Press, 2005, p. 39-56.
  11. **[^](Special:Random.html#cite_ref-11)** [Tindall, William. _Origin and Government of the District of Columbia._ Washington, D.C.: U.S. Government Printing Office, 1908, p. 102-108.](http://books.google.com/books?id=D0g-AAAAYAAJ&dq=District%20of%20Columbia%20retrocession&pg=PA102#v=onepage&q=District%20of%20Columbia%20retrocession&f=false)
  12. ^ _**[a**_](Special:Random.html#cite_ref-Worthy_12-0) _**[b**_](Special:Random.html#cite_ref-Worthy_12-1) _**[c**_](Special:Random.html#cite_ref-Worthy_12-2) Gutheim, Frederick A. and Lee, Antoinette J. _Worthy of the Nation: Washington, D.C., From L'Enfant to the National Capital Planning Commission._ Baltimore, Md.: Johns Hopkins University Press, 2006, p. 95-96.
  13. **[^](Special:Random.html#cite_ref-13)** _Morris v. United States_, 174 U.S. 196, 198-223.
  14. **[^](Special:Random.html#cite_ref-14)** _Morris v. United States_, 174 U.S. 196, 222-223.
  15. **[^](Special:Random.html#cite_ref-15)** _Morris v. United States_, 174 U.S. 196, 226.
  16. **[^](Special:Random.html#cite_ref-16)** _Morris v. United States_, 174 U.S. 196, 227-228.
  17. **[^](Special:Random.html#cite_ref-17)** _Morris v. United States_, 174 U.S. 196, 230.
  18. **[^](Special:Random.html#cite_ref-18)** _Morris v. United States_, 174 U.S. 196, 231.
  19. **[^](Special:Random.html#cite_ref-19)** _Morris v. United States_, 174 U.S. 196, 234.
  20. **[^](Special:Random.html#cite_ref-20)** _Morris v. United States_, 174 U.S. 196, 236-238.
  21. **[^](Special:Random.html#cite_ref-21)** _Morris v. United States_, 174 U.S. 196, 242.
  22. **[^](Special:Random.html#cite_ref-22)** _Morris v. United States_, 174 U.S. 196, 246-266.
  23. **[^](Special:Random.html#cite_ref-23)** _Morris v. United States_, 174 U.S. 196, 266-269.
  24. **[^](Special:Random.html#cite_ref-24)** _Morris v. United States_, 174 U.S. 196, 271-272.
  25. **[^](Special:Random.html#cite_ref-25)** _Morris v. United States_, 174 U.S. 196, 273.
  26. **[^](Special:Random.html#cite_ref-26)** _Morris v. United States_, 174 U.S. 196, 276.
  27. **[^](Special:Random.html#cite_ref-27)** _Morris v. United States_, 174 U.S. 196, 277-288.
  28. **[^](Special:Random.html#cite_ref-28)** _Morris v. United States_, 174 U.S. 196, 292-293.
  29. **[^](Special:Random.html#cite_ref-29)** _Morris v. United States_, 174 U.S. 196, 295-300.
  30. **[^](Special:Random.html#cite_ref-30)** _Morris v. United States_, 174 U.S. 196, 300-301.
  31. **[^](Special:Random.html#cite_ref-31)** _Morris v. United States_, 174 U.S. 196, 307.
  32. **[^](Special:Random.html#cite_ref-32)** _Morris v. United States_, 174 U.S. 196, 311-343.
  33. **[^](Special:Random.html#cite_ref-33)** _Morris v. United States_, 174 U.S. 196, 343.
  34. **[^](Special:Random.html#cite_ref-34)** _Morris v. United States_, 174 U.S. 196, 311-347.
  35. **[^](Special:Random.html#cite_ref-35)** _Morris v. United States_, 174 U.S. 196, 348-357.
  36. **[^](Special:Random.html#cite_ref-36)** _Morris v. United States_, 174 U.S. 196, 357.
  37. **[^](Special:Random.html#cite_ref-37)** _Morris v. United States_, 174 U.S. 196, 358.
  38. ^ _**[a**_](Special:Random.html#cite_ref-Martin_38-0) _**[b**_](Special:Random.html#cite_ref-Martin_38-1) Martin, Thomas C. "Haunted By History: Colonial Land Trusts Post National Threat." _William & Mary Law Review._ 48:303 (October 2006), p. 311, n.54.
  39. **[^](Special:Random.html#cite_ref-39)** Schultz, Jr., Warren M. "Property—Classifying Bodies of Water as Lakes or Streams." _Tulane Law Review._ 49:208 (November 1974), p. 213.
  40. ^ _**[a**_](Special:Random.html#cite_ref-Wilkinson_40-0) _**[b**_](Special:Random.html#cite_ref-Wilkinson_40-1) Wilkinson, Charles F. "Symposium on the Public Trust and the Waters of the American West: Yesterday, Today and Tomorrow: Introduction and Overview: The Headwaters of the Public Trust: Some Thoughts on the Source and Scope of the Traditional Doctrine." _Environmental Law._ 19:425 (Spring 1989), p. 455, n.122.

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit&section=8)]

  * [Full text of the decision courtesy of Findlaw.com](http://laws.findlaw.com/us/174/196.html)
  * [Full text of the decision courtesy of Justia.com](http://supreme.justia.com/us/174/196/case.html)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&oldid=559988845](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&oldid=559988845)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [United States Supreme Court cases](http://en.wikipedia.org/wiki/Category:United_States_Supreme_Court_cases)
  * [Property law in the United States](http://en.wikipedia.org/wiki/Category:Property_law_in_the_United_States)
  * [1899 in United States case law](http://en.wikipedia.org/wiki/Category:1899_in_United_States_case_law)
  * [United States public land law](http://en.wikipedia.org/wiki/Category:United_States_public_land_law)
  * [United States Supreme Court original jurisdiction cases](http://en.wikipedia.org/wiki/Category:United_States_Supreme_Court_original_jurisdiction_cases)
  * [Internal territorial disputes of the United States](http://en.wikipedia.org/wiki/Category:Internal_territorial_disputes_of_the_United_States)
  * [Legal history of Virginia](http://en.wikipedia.org/wiki/Category:Legal_history_of_Virginia)
  * [Legal history of Maryland](http://en.wikipedia.org/wiki/Category:Legal_history_of_Maryland)
  * [Legal history of the District of Columbia](http://en.wikipedia.org/wiki/Category:Legal_history_of_the_District_of_Columbia)
  * [Potomac River](http://en.wikipedia.org/wiki/Category:Potomac_River)
  * [Water case law](http://en.wikipedia.org/wiki/Category:Water_case_law)

Hidden categories: 

  * [Flagged U.S. Supreme Court articles](http://en.wikipedia.org/wiki/Category:Flagged_U.S._Supreme_Court_articles)
  * [Articles using fixed number of columns in reflist](http://en.wikipedia.org/wiki/Category:Articles_using_fixed_number_of_columns_in_reflist)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Morris+v.+United+States&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Morris+v.+United+States)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Morris_v._United_States)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Morris_v._United_States)
  * [Related changes](/wiki/Special:RecentChangesLinked/Morris_v._United_States)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Morris_v._United_States&oldid=559988845)
  * [Page information](/w/index.php?title=Morris_v._United_States&action=info)
  * [Data item](//www.wikidata.org/wiki/Q6913966)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Morris_v._United_States&id=559988845)

### Print/export

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Morris_v._United_States)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Morris_v._United_States)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&oldid=559988845)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q6913966)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Morris_v._United_States&id=559988845)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Morris+v.+United+States)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Morris+v.+United+States&oldid=559988845&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Morris_v._United_States&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q6913966#sitelinks-wikipedia)

    * This page was last modified on 15 June 2013 at 07:43.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Morris_v._United_States)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
