# Motor neuron

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![](../../upload.wikimedia.org/wikipedia/en/thumb/9/99/Question_book-new.svg/50px-Question_book-new.svg.png)

This article **needs additional citations for [verification](http://en.wikipedia.org/wiki/Wikipedia:Verifiability)**. Please help [improve this article](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit) by [adding citations to reliable sources](http://en.wikipedia.org/wiki/Help:Introduction_to_referencing/1). Unsourced material may be challenged and removed. _(November 2012)_

_Neuron: Motor neuron_

![Medulla oblongata - posterior - cn xii - very high mag.jpg](../../upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Medulla_oblongata_-_posterior_-_cn_xii_-_very_high_mag.jpg/250px-Medulla_oblongata_-_posterior_-_cn_xii_-_very_high_mag.jpg)  


[Micrograph](http://en.wikipedia.org/wiki/Micrograph) of the [hypoglossal nucleus](http://en.wikipedia.org/wiki/Hypoglossal_nucleus) showing motor neurons with their characteristic coarse [Nissl substance](http://en.wikipedia.org/wiki/Nissl_substance) ("tigroid" cytoplasm). [H&E-LFB stain](http://en.wikipedia.org/wiki/LFB_stain).

Location
[Ventral horn](http://en.wikipedia.org/wiki/Anterior_horn_of_spinal_cord) of the [spinal cord](http://en.wikipedia.org/wiki/Spinal_cord), some [cranial nerve nuclei](http://en.wikipedia.org/wiki/Cranial_nerve_nuclei)

Function
Excitatory projection (to [NMJ](http://en.wikipedia.org/wiki/NMJ))

Neurotransmitter
[UMN](http://en.wikipedia.org/wiki/Upper_motor_neuron) to [LMN](http://en.wikipedia.org/wiki/Lower_motor_neuron): [glutamate](http://en.wikipedia.org/wiki/Glutamate); [LMN](http://en.wikipedia.org/wiki/Lower_motor_neuron) to [NMJ](http://en.wikipedia.org/wiki/NMJ): [ACh](http://en.wikipedia.org/wiki/ACh)

[Morphology](http://en.wikipedia.org/wiki/Morphology_\(biology\))
Projection neuron

Presynaptic connections
[Primary motor cortex](http://en.wikipedia.org/wiki/Primary_motor_cortex) via the [Corticospinal tract](http://en.wikipedia.org/wiki/Corticospinal_tract)

Postsynaptic connections
[Muscle fibers](http://en.wikipedia.org/wiki/Muscle_fiber) and other [neurons](http://en.wikipedia.org/wiki/Neuron)

[NeuroLex](http://en.wikipedia.org/wiki/NeuroLex) ID
_[nifext_103](http://www.neurolex.org/wiki/nifext_103)_

A **motor neuron** (or **motoneuron**) is a nerve cell ([neuron](http://en.wikipedia.org/wiki/Neuron)) whose [cell body](http://en.wikipedia.org/wiki/Cell_body) is located in the spinal cord and whose fiber ([axon](http://en.wikipedia.org/wiki/Axon)) projects outside the spinal cord to directly or indirectly control [muscles](http://en.wikipedia.org/wiki/Muscle)[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]. Motor neurons are [efferent nerves](http://en.wikipedia.org/wiki/Efferent_nerves) (also called effector neurons), that carry signals from the [spinal cord](http://en.wikipedia.org/wiki/Spinal_cord) to the muscles to produce (effect) movement.[[1]](Special:Random.html#cite_note-1) Examples of motor neurons are [primary motor neurons](http://en.wikipedia.org/w/index.php?title=Primary_motor_neurons&action=edit&redlink=1), [alpha motor neurons](http://en.wikipedia.org/wiki/Alpha_motor_neuron), [beta motor neurons](http://en.wikipedia.org/wiki/Beta_motor_neuron) and [gamma motor neurons](http://en.wikipedia.org/wiki/Gamma_motor_neuron).

A single motor neuron may innervate many muscle fibres ([muscle cells](http://en.wikipedia.org/wiki/Muscle_cells)), and a muscle fibre can undergo many [action potentials](http://en.wikipedia.org/wiki/Action_potentials) in the time taken for a single muscle twitch ([fasciculation](http://en.wikipedia.org/wiki/Fasciculation)). As a result, if an action potential arrives before a twitch has completed, the twitches can superimpose on one another, either through [summation](http://en.wikipedia.org/wiki/Summation_\(neurophysiology\)) or [tetanus](http://en.wikipedia.org/wiki/Tetanic_contraction). In summation, the muscle is stimulated repetitively such that additional action potentials coming from the [somatic nervous system](http://en.wikipedia.org/wiki/Somatic_nervous_system) arrive before the end of the twitch. The twitches thus superimpose on one another, leading to a force greater than that of a single twitch. On the other hand, tetanus is caused by constant, very high frequency stimulation - the action potentials come at such a rapid rate that individual twitches are indistinguishable, and tension rises smoothly eventually reaching a plateau.[[2]](Special:Random.html#cite_note-2)

## Contents

  * [1 Anatomy and physiology](Special:Random.html#Anatomy_and_physiology)
  * [2 Function](Special:Random.html#Function)
  * [3 Somatic motor neurons](Special:Random.html#Somatic_motor_neurons)
  * [4 Motor units](Special:Random.html#Motor_units)
  * [5 See also](Special:Random.html#See_also)
  * [6 References](Special:Random.html#References)

## Anatomy and physiology[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=1)]

Branch of NS Position Neurotransmitter

Somatic
n/a
Acetylcholine

Parasympathetic
Preganglionic
Acetylcholine

Parasympathetic
Ganglionic
Acetylcholine

Sympathetic
Preganglionic
Acetylcholine

Sympathetic
Ganglionic
Norepinephrine*

*Except fibers to [sweat glands](http://en.wikipedia.org/wiki/Sweat_gland) and certain [blood vessels](http://en.wikipedia.org/wiki/Blood_vessel)  
_Motoneuron neurotransmitters_

According to their targets, motor neurons are classified into three broad categories[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]:

**Somatic motor neurons**, which originate in the [central nervous system](http://en.wikipedia.org/wiki/Central_nervous_system), project their [axons](http://en.wikipedia.org/wiki/Axons) to [skeletal muscles](http://en.wikipedia.org/wiki/Skeletal_muscles) [[3]](Special:Random.html#cite_note-3) (such as the muscles of the limbs, abdominal, and [intercostal muscles](http://en.wikipedia.org/wiki/Intercostal_muscles)), which are involved in [locomotion](http://en.wikipedia.org/wiki/Locomotion) .

**Special visceral motor neurons**, also called _branchial motor neurons_, which directly innervate [branchial muscles](http://en.wikipedia.org/wiki/Branchiomeric_musculature) (that motorize the [gills](http://en.wikipedia.org/wiki/Gills) in fish and the face and neck in land [vertebrates](http://en.wikipedia.org/wiki/Vertebrates)).

**General visceral motor neurons** (_visceral motor neurons_ for short) which indirectly innervate [cardiac muscle](http://en.wikipedia.org/wiki/Cardiac_muscle) and [smooth muscles](http://en.wikipedia.org/wiki/Smooth_muscles) of the [viscera](http://en.wikipedia.org/wiki/Viscera) ( the muscles of the [arteries](http://en.wikipedia.org/wiki/Arteries)): they [synapse](http://en.wikipedia.org/wiki/Synapse) onto neurons located in [ganglia](http://en.wikipedia.org/wiki/Ganglia) of the [autonomic nervous system](http://en.wikipedia.org/wiki/Autonomic_nervous_system) ([sympathetic](http://en.wikipedia.org/wiki/Sympathetic_nervous_system) and [parasympathetic](http://en.wikipedia.org/wiki/Parasympathetic)), located in the [peripheral nervous system](http://en.wikipedia.org/wiki/Peripheral_nervous_system) (PNS), which themselves directly innervate visceral muscles (and also some gland cells).

In consequence:

  * the motor command of [skeletal](http://en.wikipedia.org/wiki/Skeletal_muscle) and branchial muscles is _monosynaptic_ (involving only one motor neuron, respectively, _somatic_ and _branchial_, which synapses onto the muscle).
  * the command of [visceral muscles](http://en.wikipedia.org/wiki/Visceral_muscles) is _disynaptic_ (involving two neurons: the _general visceral motor neuron_ located in the CNS, which synapses onto a ganglionic neuron, located in the PNS, which synapses onto the muscle).

It could be argued that, in the command of visceral muscles, the ganglionic neuron, [parasympathetic](http://en.wikipedia.org/wiki/Parasympathetic) or [sympathetic](http://en.wikipedia.org/wiki/Sympathetic_nervous_system), is the real _motor neuron_, being the one that directly innervates the muscle (whereas the _general visceral motor neuron_ is, strictly speaking, a _[preganglionic](http://en.wikipedia.org/wiki/Preganglionic)_ neuron).[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_] But, for historical reasons, the term motor neuron is reserved for the CNS neuron.

All vertebrate motor neurons are [cholinergic](http://en.wikipedia.org/wiki/Cholinergic), that is, they release the neurotransmitter [acetylcholine](http://en.wikipedia.org/wiki/Acetylcholine). Parasympathetic ganglionic neurons are also cholinergic, whereas most sympathetic ganglionic neurons are [noradrenergic](http://en.wikipedia.org/wiki/Norepinephrine), that is, they release the neurotransmitter [noradrenaline](http://en.wikipedia.org/wiki/Noradrenaline). (see Table)

## Function[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=2)]

The interface between a motor neuron and muscle fiber is a specialized [synapse](http://en.wikipedia.org/wiki/Synapse) called the [neuromuscular junction](http://en.wikipedia.org/wiki/Neuromuscular_junction). Upon adequate stimulation, the motor neuron releases a flood of [neurotransmitters](http://en.wikipedia.org/wiki/Neurotransmitter) that bind to [postsynaptic](http://en.wikipedia.org/wiki/Postsynaptic) [receptors](http://en.wikipedia.org/wiki/Receptor_\(biochemistry\)) and triggers a response in the muscle fiber which leads to muscle movement.

  * In [invertebrates](http://en.wikipedia.org/wiki/Invertebrates), depending on the neurotransmitter released and the type of receptor it binds, the response in the muscle fiber could be either excitatory or inhibitory.
  * For [vertebrates](http://en.wikipedia.org/wiki/Vertebrates), however, the response of a muscle fiber to a [neurotransmitter](http://en.wikipedia.org/wiki/Neurotransmitter) can only be excitatory, in other words, contractile. Muscle relaxation and inhibition of muscle contraction in vertebrates is obtained only by inhibition of the motor neuron itself. Although muscle innervation may eventually play a role in the maturation of motor activity. This is how [muscle relaxants](http://en.wikipedia.org/wiki/Muscle_relaxants) work by acting on the motoneurons that innervate muscles (by decreasing their [electrophysiological](http://en.wikipedia.org/wiki/Electrophysiology) activity) or on [cholinergic](http://en.wikipedia.org/wiki/Acetylcholine) [neuromuscular junctions](http://en.wikipedia.org/wiki/Neuromuscular_junction), rather than on the muscles themselves.

## Somatic motor neurons[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=3)]

Somatic motor neurons are the _alpha efferent neurons_, _beta efferent neurons_, and _gamma efferent neurons_. They are called [efferent](http://en.wikipedia.org/wiki/Efferent_nerve_fiber) to indicate the flow of information from the [central nervous system](http://en.wikipedia.org/wiki/Central_nervous_system) (CNS) to the [periphery](http://en.wikipedia.org/wiki/Peripheral_nervous_system).

  * **[Alpha motor neurons](http://en.wikipedia.org/wiki/Alpha_motor_neurons)** innervate [extrafusal muscle fibers](http://en.wikipedia.org/wiki/Extrafusal_muscle_fiber) (a type of slow switch fiber) located throughout the muscle. Their cell bodies are in the ventral horn of the spinal cord and they are sometimes called _ventral horn cells_.

In addition to voluntary skeletal muscle contraction, alpha motor neurons also contribute to [muscle tone](http://en.wikipedia.org/wiki/Muscle_tone), the continuous force generated by noncontracting muscle to oppose stretching. When a muscle is stretched, [sensory neurons](http://en.wikipedia.org/wiki/Sensory_neuron) within the [muscle spindle](http://en.wikipedia.org/wiki/Muscle_spindle) detect the degree of stretch and send a signal to the CNS. The CNS activates alpha motoneurons in the spinal cord, which cause extrafusal muscle fibers to contract and thereby resist further stretching. This process is also called the [stretch reflex](http://en.wikipedia.org/wiki/Stretch_reflex).

  * **[Beta motor neurons](http://en.wikipedia.org/wiki/Beta_motor_neurons)** innervate [intrafusal muscle fibers](http://en.wikipedia.org/wiki/Intrafusal_muscle_fibers) of muscle spindles, with collaterals to extrafusal fibres.
  * **[Gamma motor neurons](http://en.wikipedia.org/wiki/Gamma_motor_neurons)** innervate intrafusal muscle fibers found within the [muscle spindle](http://en.wikipedia.org/wiki/Muscle_spindle). They regulate the sensitivity of the spindle to muscle stretching. With activation of gamma neurons, intrafusal muscle fibers contract so that only a small stretch is required to activate spindle sensory neurons and the stretch reflex.

## Motor units[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=4)]

A single motor neuron may synapse with one or more muscle fibers.[[4]](Special:Random.html#cite_note-:0-4) The motor neuron and all of the muscle fibers to which it connects is a [motor unit](http://en.wikipedia.org/wiki/Motor_unit). Motor units are split up into 3 categories:[[4]](Special:Random.html#cite_note-:0-4)

  * **Slow (S) motor units** stimulate small muscle fibres, which contract very slowly and provide small amounts of energy but are very resistant to fatigue, so they are used to sustain muscular contraction, such as keeping the body upright.[[4]](Special:Random.html#cite_note-:0-4)
  * **Fast fatiguing (FF) motor units** stimulate larger muscle groups, which apply large amounts of force but fatigue very quickly. They are used for tasks that require large brief bursts on energy, such as jumping or running.[[4]](Special:Random.html#cite_note-:0-4)
  * **Fast fatigue-resistant motor units** stimulate moderate-sized muscles groups that don't react as fast as the FF motor units, but can be sustained much longer (as implied by the name) and provide more force than S motor units.[[4]](Special:Random.html#cite_note-:0-4)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=5)]

  * [Betz cell](http://en.wikipedia.org/wiki/Betz_cell)
  * [Central chromatolysis](http://en.wikipedia.org/wiki/Central_chromatolysis)
  * [Efferent nerve](http://en.wikipedia.org/wiki/Efferent_nerve)
  * [Motor dysfunction](http://en.wikipedia.org/wiki/Motor_dysfunction)
  * [Motor neuron disease](http://en.wikipedia.org/wiki/Motor_neuron_disease)
  * [Motor unit](http://en.wikipedia.org/wiki/Motor_unit)
  * [Muscle spindle](http://en.wikipedia.org/wiki/Muscle_spindle)
  * [Nerve fiber](http://en.wikipedia.org/wiki/Nerve_fiber)
  * [Nerves](http://en.wikipedia.org/wiki/Nerves)
  * [Neuromuscular junction](http://en.wikipedia.org/wiki/Neuromuscular_junction)
  * [Upper motor neuron](http://en.wikipedia.org/wiki/Upper_motor_neuron)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit&section=6)]

  * Sherwood, L. (2001). _Human Physiology: From Cells to Systems_ (4th ed.). Pacific Grove, CA: Brooks-Cole. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-534-37254-6](http://en.wikipedia.org/wiki/Special:BookSources/0-534-37254-6). 
  * Marieb, E. N.; Mallatt, J. (1997). _Human Anatomy_ (2nd ed.). Menlo Park, CA: Benjamin/Cummings. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-8053-4068-8](http://en.wikipedia.org/wiki/Special:BookSources/0-8053-4068-8). 

  1. **[^](Special:Random.html#cite_ref-1)** Schacter D.L., Gilbert D.T., and Wegner D.M. (2011) Psychology second edition. New York, NY: Worth
  2. **[^](Special:Random.html#cite_ref-2)** Russell, Peter (2013). _Biology - Exploring the Diversity of Life_. Toronto: Nelson Education. p. 946\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-17-665133-6](http://en.wikipedia.org/wiki/Special:BookSources/978-0-17-665133-6). 
  3. **[^](Special:Random.html#cite_ref-3)** Silverthorn, Dee Unglaub (2010). _Human Physiology: An Integrated Approach_. Pearson. p. 398\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-321-55980-7](http://en.wikipedia.org/wiki/Special:BookSources/978-0-321-55980-7). 
  4. ^ _**[a**_](Special:Random.html#cite_ref-:0_4-0) _**[b**_](Special:Random.html#cite_ref-:0_4-1) _**[c**_](Special:Random.html#cite_ref-:0_4-2) _**[d**_](Special:Random.html#cite_ref-:0_4-3) _**[e**_](Special:Random.html#cite_ref-:0_4-4) Purves D, Augustine GJ, Fitzpatrick D, et al., editors: Neuroscience. 2nd edition, 2001 [[1]](http://www.ncbi.nlm.nih.gov/books/NBK10874/)

  * [v](http://en.wikipedia.org/wiki/Template:Nervous_tissue)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Nervous_tissue)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Nervous_tissue&action=edit)

[Histology](http://en.wikipedia.org/wiki/Histology): [nervous tissue](http://en.wikipedia.org/wiki/Nervous_tissue) ([TA A14](http://en.wikipedia.org/wiki/Terminologia_Anatomica), [GA 9.849](http://en.wikipedia.org/wiki/List_of_subjects_in_Gray%27s_Anatomy:_IX._Neurology#composition_and_central_connections_of_the_spinal_nerves_.28Gray.27s_s190.29), [TH H2.00.06, H3.11](http://en.wikipedia.org/wiki/Terminologia_Histologica))

[CNS](http://en.wikipedia.org/wiki/Central_nervous_system)

General

  * [Grey matter](http://en.wikipedia.org/wiki/Grey_matter)
  * [White matter](http://en.wikipedia.org/wiki/White_matter)
    * [Projection fibers](http://en.wikipedia.org/wiki/Projection_fiber)
    * [Association fiber](http://en.wikipedia.org/wiki/Association_fiber)
    * [Commissural fiber](http://en.wikipedia.org/wiki/Commissural_fiber)
    * [Lemniscus](http://en.wikipedia.org/wiki/Lemniscus_\(anatomy\))
    * [Funiculus](http://en.wikipedia.org/wiki/Funiculus_\(neurology\))
    * [Fasciculus](http://en.wikipedia.org/wiki/Nerve_fascicle)
    * [Decussation](http://en.wikipedia.org/wiki/Decussation)
    * [Commissure](http://en.wikipedia.org/wiki/Commissure)
  * [meninges](http://en.wikipedia.org/wiki/Meninges)

[Neuroglia](http://en.wikipedia.org/wiki/Neuroglia)

_insulating:_

  * [Myelination](http://en.wikipedia.org/wiki/Myelin): [Oligodendrocyte](http://en.wikipedia.org/wiki/Oligodendrocyte)

_other_

  * [Astrocyte](http://en.wikipedia.org/wiki/Astrocyte)
    * [Radial glial cell](http://en.wikipedia.org/wiki/Radial_glial_cell)
  * [Ependymal cells](http://en.wikipedia.org/wiki/Ependyma)
    * [Tanycyte](http://en.wikipedia.org/wiki/Tanycyte)
  * [Microglia](http://en.wikipedia.org/wiki/Microglia)

Other

  * [Pyramidal](http://en.wikipedia.org/wiki/Pyramidal_cell)
  * [Purkinje](http://en.wikipedia.org/wiki/Purkinje_cell)
  * [Granule](http://en.wikipedia.org/wiki/Granule_cell)
  * [Neuropil](http://en.wikipedia.org/wiki/Neuropil)

[PNS](http://en.wikipedia.org/wiki/Peripheral_nervous_system)

General

  * _Posterior_
    * [Root](http://en.wikipedia.org/wiki/Posterior_root_of_spinal_nerve)
    * [Ganglion](http://en.wikipedia.org/wiki/Dorsal_root_ganglion)
    * [Ramus](http://en.wikipedia.org/wiki/Posterior_ramus_of_spinal_nerve)
  * _Anterior_
    * [Root](http://en.wikipedia.org/wiki/Anterior_root_of_spinal_nerve)
    * [Ramus](http://en.wikipedia.org/wiki/Anterior_ramus_of_spinal_nerve)
  * _[Ramus communicans](http://en.wikipedia.org/wiki/Ramus_communicans)_
    * [Gray](http://en.wikipedia.org/wiki/Gray_ramus_communicans)
    * [White](http://en.wikipedia.org/wiki/White_ramus_communicans)
  * [Autonomic ganglion](http://en.wikipedia.org/wiki/Autonomic_ganglion) ([Preganglionic nerve fibers](http://en.wikipedia.org/wiki/Preganglionic_nerve_fibers)
  * [Postganglionic nerve fibers](http://en.wikipedia.org/wiki/Postganglionic_nerve_fibers))

[Connective tissues](http://en.wikipedia.org/wiki/Connective_tissue)

  * [epineurium](http://en.wikipedia.org/wiki/Epineurium)
  * [perineurium](http://en.wikipedia.org/wiki/Perineurium)
  * [endoneurium](http://en.wikipedia.org/wiki/Endoneurium)
  * [nerve fascicle](http://en.wikipedia.org/wiki/Nerve_fascicle)

[Neuroglia](http://en.wikipedia.org/wiki/Neuroglia)

  * [Myelination](http://en.wikipedia.org/wiki/Myelin): [Schwann cell](http://en.wikipedia.org/wiki/Schwann_cell)
    * [Neurolemma](http://en.wikipedia.org/wiki/Neurolemma)
    * [Myelin incisure](http://en.wikipedia.org/wiki/Myelin_incisure)
    * [Myelin sheath gap](http://en.wikipedia.org/wiki/Myelin_sheath_gap)
    * [Internodal segment](http://en.wikipedia.org/wiki/Internodal_segment)
  * [Satellite glial cell](http://en.wikipedia.org/wiki/Satellite_glial_cell)

[Neurons](http://en.wikipedia.org/wiki/Neuron)/  
[nerve fibers](http://en.wikipedia.org/wiki/Nerve_fiber)

Parts

[Perikaryon](http://en.wikipedia.org/wiki/Perikaryon)

  * [Axon hillock](http://en.wikipedia.org/wiki/Axon_hillock)

[Axon](http://en.wikipedia.org/wiki/Axon)

  * [Axon terminals](http://en.wikipedia.org/wiki/Axon_terminal)
  * [Axoplasm](http://en.wikipedia.org/wiki/Axoplasm)
  * [Axolemma](http://en.wikipedia.org/wiki/Axolemma)
  * [Neurofibril/neurofilament](http://en.wikipedia.org/wiki/Neurofilament)

[Dendrite](http://en.wikipedia.org/wiki/Dendrite)

  *     * [Nissl body](http://en.wikipedia.org/wiki/Nissl_body)
    * [Dendritic spine](http://en.wikipedia.org/wiki/Dendritic_spine)
    * [Apical dendrite](http://en.wikipedia.org/wiki/Apical_dendrite)/[Basal dendrite](http://en.wikipedia.org/wiki/Basal_dendrite)

Types

  * [Bipolar](http://en.wikipedia.org/wiki/Bipolar_neuron)
  * [Unipolar](http://en.wikipedia.org/wiki/Unipolar_neuron)
  * [Pseudounipolar](http://en.wikipedia.org/wiki/Pseudounipolar_neuron)
  * [Multipolar](http://en.wikipedia.org/wiki/Multipolar_neuron)
  * [Interneuron](http://en.wikipedia.org/wiki/Interneuron)
    * [Renshaw](http://en.wikipedia.org/wiki/Renshaw_cell)

[Afferent nerve fiber](http://en.wikipedia.org/wiki/Afferent_nerve_fiber)/  
[Sensory nerve](http://en.wikipedia.org/wiki/Sensory_nerve)

  * [GSA](http://en.wikipedia.org/wiki/General_somatic_afferent_fibers)
  * [GVA](http://en.wikipedia.org/wiki/General_visceral_afferent_fibers)
  * [SSA](http://en.wikipedia.org/wiki/Special_somatic_afferent)
  * [SVA](http://en.wikipedia.org/wiki/Special_visceral_afferent)
  * [fibers](http://en.wikipedia.org/wiki/Axon#types)
    * [Ia](http://en.wikipedia.org/wiki/Type_Ia_sensory_fiber)
    * [Ib or Golgi](http://en.wikipedia.org/wiki/Golgi_tendon_organ)
    * [II or Aβ](http://en.wikipedia.org/wiki/Type_II_sensory_fiber)
    * [III or Aδ or fast pain](http://en.wikipedia.org/wiki/A_delta_fiber)
    * [IV or C or slow pain](http://en.wikipedia.org/wiki/Group_C_nerve_fiber)

[Efferent nerve fiber](http://en.wikipedia.org/wiki/Efferent_nerve_fiber)/  
**Motor nerve**

  * [GSE](http://en.wikipedia.org/wiki/General_somatic_efferent_fibers)
  * [GVE](http://en.wikipedia.org/wiki/General_visceral_efferent_fibers)
  * [SVE](http://en.wikipedia.org/wiki/Special_visceral_efferent)
  * [Upper motor neuron](http://en.wikipedia.org/wiki/Upper_motor_neuron)
  * [Lower motor neuron](http://en.wikipedia.org/wiki/Lower_motor_neuron)
    * [α motorneuron](http://en.wikipedia.org/wiki/Alpha_motor_neuron)
    * [β motorneuron](http://en.wikipedia.org/wiki/Beta_motor_neuron)
    * [γ motorneuron](http://en.wikipedia.org/wiki/Gamma_motor_neuron)

Termination

[Synapse](http://en.wikipedia.org/wiki/Synapse)

  * [Electrical synapse](http://en.wikipedia.org/wiki/Electrical_synapse)/[Gap junction](http://en.wikipedia.org/wiki/Gap_junction)
  * [Chemical synapse](http://en.wikipedia.org/wiki/Chemical_synapse)
    * [Synaptic vesicle](http://en.wikipedia.org/wiki/Synaptic_vesicle)
    * [Active zone](http://en.wikipedia.org/wiki/Active_zone)
    * [Postsynaptic density](http://en.wikipedia.org/wiki/Postsynaptic_density)
  * [Ribbon synapse](http://en.wikipedia.org/wiki/Ribbon_synapse)
  * [Neuromuscular junction](http://en.wikipedia.org/wiki/Neuromuscular_junction)

[Sensory receptors](http://en.wikipedia.org/wiki/Sensory_receptor)

  * [Meissner's corpuscle](http://en.wikipedia.org/wiki/Tactile_corpuscle)
  * [Merkel nerve ending](http://en.wikipedia.org/wiki/Merkel_nerve_ending)
  * [Pacinian corpuscle](http://en.wikipedia.org/wiki/Lamellar_corpuscle)
  * [Ruffini ending](http://en.wikipedia.org/wiki/Bulbous_corpuscle)
  * [Muscle spindle](http://en.wikipedia.org/wiki/Muscle_spindle)
  * [Free nerve ending](http://en.wikipedia.org/wiki/Free_nerve_ending)
  * [Olfactory receptor neuron](http://en.wikipedia.org/wiki/Olfactory_receptor_neuron)
  * [Photoreceptor cell](http://en.wikipedia.org/wiki/Photoreceptor_cell)
  * [Hair cell](http://en.wikipedia.org/wiki/Hair_cell)
  * [Taste bud](http://en.wikipedia.org/wiki/Taste_bud)

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [CNS](http://en.wikipedia.org/wiki/Central_nervous_system)

[anat](http://en.wikipedia.org/wiki/Template:Nervous_system) ([n](http://en.wikipedia.org/wiki/Template:Meninges)/[s](http://en.wikipedia.org/wiki/Template:Spinal_cord)/[m](http://en.wikipedia.org/wiki/Template:Medulla)/[p](http://en.wikipedia.org/wiki/Template:Pons)/[4](http://en.wikipedia.org/wiki/Template:Fourth_ventricle)/[e](http://en.wikipedia.org/wiki/Template:Mesencephalon)/[b](http://en.wikipedia.org/wiki/Template:Cerebellum)/[d](http://en.wikipedia.org/wiki/Template:Diencephalon)/[c](http://en.wikipedia.org/wiki/Template:Cerebral_cortex)/[a](http://en.wikipedia.org/wiki/Template:Association_fibers)/[f](http://en.wikipedia.org/wiki/Template:Commissural_fibers_and_septum)/[l](http://en.wikipedia.org/wiki/Template:Lateral_ventricles)/[g](http://en.wikipedia.org/wiki/Template:Rostral_basal_ganglia_and_associated_structures))/[phys](http://en.wikipedia.org/wiki/Template:Nervous_system_physiology)/[devp](http://en.wikipedia.org/wiki/Template:Development_of_nervous_system)

[noco](http://en.wikipedia.org/wiki/Template:CNS_diseases_of_the_nervous_system) ([m](http://en.wikipedia.org/wiki/Template:Diseases_of_meninges)/[d](http://en.wikipedia.org/wiki/Template:Demyelinating_diseases_of_CNS)/[e](http://en.wikipedia.org/wiki/Template:Seizures_and_epilepsy)/[h](http://en.wikipedia.org/wiki/Template:Headache)/[v](http://en.wikipedia.org/wiki/Template:Cerebrovascular_diseases)/[s](http://en.wikipedia.org/wiki/Template:Sleep))/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_nervous_system)/[tumr](http://en.wikipedia.org/wiki/Template:Nervous_system_tumors), [sysi](http://en.wikipedia.org/wiki/Template:Nervous_and_musculoskeletal_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_nervous_system), [injr](http://en.wikipedia.org/wiki/Template:Neurotrauma)

[proc](http://en.wikipedia.org/wiki/Template:Neuro_procedures), [drug](http://en.wikipedia.org/wiki/ATC_code_N) ([N1A](http://en.wikipedia.org/wiki/Template:General_anesthetics)/[2AB](http://en.wikipedia.org/wiki/Template:Analgesics)/[C](http://en.wikipedia.org/wiki/Template:Antimigraine_preparations)/[3](http://en.wikipedia.org/wiki/Template:Anticonvulsants)/[4](http://en.wikipedia.org/wiki/Template:Antiparkinson)/[7A](http://en.wikipedia.org/wiki/Template:Cholinergics)/[B](http://en.wikipedia.org/wiki/Template:Antiaddictives)/[C](http://en.wikipedia.org/wiki/Template:Antivertigo_preparations)/[D](http://en.wikipedia.org/wiki/Template:Other_nervous_system_drugs))

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [PNS](http://en.wikipedia.org/wiki/Peripheral_nervous_system)

[anat](http://en.wikipedia.org/wiki/Template:Nervous_system) ([h](http://en.wikipedia.org/wiki/Template:Nervous_tissue)/[r](http://en.wikipedia.org/wiki/Template:Cranial_nerves)/[t](http://en.wikipedia.org/wiki/Template:Trigeminal_nerve)/[c](http://en.wikipedia.org/wiki/Template:Cervical_plexus)/[b](http://en.wikipedia.org/wiki/Template:Brachial_plexus)/[l](http://en.wikipedia.org/wiki/Template:Lumbosacral_plexus)/[s](http://en.wikipedia.org/wiki/Template:Somatosensory_system)/[a](http://en.wikipedia.org/wiki/Template:Autonomic_nervous_system))/[phys](http://en.wikipedia.org/wiki/Template:Nervous_system_physiology) ([r](http://en.wikipedia.org/wiki/Template:Reflex))/[devp](http://en.wikipedia.org/wiki/Template:Development_of_nervous_system)/[prot](http://en.wikipedia.org/wiki/Template:Nerve_tissue_protein)/[nttr](http://en.wikipedia.org/wiki/Template:Neurotransmitter_transporters)/[nttm](http://en.wikipedia.org/wiki/Template:Neurotransmitters)/[ntrp](http://en.wikipedia.org/wiki/Template:Neurotrophins)

[noco](http://en.wikipedia.org/wiki/Template:PNS_diseases_of_the_nervous_system)/[auto](http://en.wikipedia.org/wiki/Template:Autonomic_diseases)/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_nervous_system)/[tumr](http://en.wikipedia.org/wiki/Template:Nervous_system_tumors), [sysi](http://en.wikipedia.org/wiki/Template:Nervous_and_musculoskeletal_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_nervous_system), [injr](http://en.wikipedia.org/wiki/Template:Neurotrauma)

[proc](http://en.wikipedia.org/wiki/Template:Neuro_procedures), drug ([N1B](http://en.wikipedia.org/wiki/Template:Local_anesthetics))

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Motor_neuron&oldid=604699894](http://en.wikipedia.org/w/index.php?title=Motor_neuron&oldid=604699894)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Efferent neurons](http://en.wikipedia.org/wiki/Category:Efferent_neurons)
  * [Motor system](http://en.wikipedia.org/wiki/Category:Motor_system)

Hidden categories: 

  * [Articles needing additional references from November 2012](http://en.wikipedia.org/wiki/Category:Articles_needing_additional_references_from_November_2012)
  * [All articles needing additional references](http://en.wikipedia.org/wiki/Category:All_articles_needing_additional_references)
  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from April 2014](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_April_2014)
  * [Articles with unsourced statements from August 2013](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_August_2013)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Motor+neuron&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Motor+neuron)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Motor_neuron)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Motor_neuron)
  * [Related changes](/wiki/Special:RecentChangesLinked/Motor_neuron)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Motor_neuron&oldid=604699894)
  * [Page information](/w/index.php?title=Motor_neuron&action=info)
  * [Data item](//www.wikidata.org/wiki/Q1133903)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Motor_neuron&id=604699894)

### Print/export

  * [Create a book](/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Motor+neuron)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Motor_neuron)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Motor_neuron)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Motor_neuron&oldid=604699894)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Motor_neuron&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q1133903)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Motor_neuron&id=604699894)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Motor+neuron)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Motor+neuron&oldid=604699894&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Motor_neuron&printable=yes)

### Languages

    * [العربية](http://ar.wikipedia.org/wiki/%D8%B9%D8%B5%D8%A8%D9%88%D9%86_%D8%AD%D8%B1%D9%83%D9%8A)
    * [Català](http://ca.wikipedia.org/wiki/Motoneurona)
    * [Deutsch](http://de.wikipedia.org/wiki/Motoneuron)
    * [Español](http://es.wikipedia.org/wiki/Motoneurona)
    * [Esperanto](http://eo.wikipedia.org/wiki/Motone%C5%ADrono)
    * [فارسی](http://fa.wikipedia.org/wiki/%D9%86%D9%88%D8%B1%D9%88%D9%86_%D8%AD%D8%B1%DA%A9%D8%AA%DB%8C)
    * [Français](http://fr.wikipedia.org/wiki/Motoneurone)
    * [Hrvatski](http://hr.wikipedia.org/wiki/Motori%C4%8Dki_neuroni)
    * [Italiano](http://it.wikipedia.org/wiki/Motoneurone)
    * [Latviešu](http://lv.wikipedia.org/wiki/Kust%C4%ABbu_neirons)
    * [Lietuvių](http://lt.wikipedia.org/wiki/Motorinis_neuronas)
    * [Nederlands](http://nl.wikipedia.org/wiki/Motorische_zenuwcel)
    * [日本語](http://ja.wikipedia.org/wiki/%E9%81%8B%E5%8B%95%E3%83%8B%E3%83%A5%E3%83%BC%E3%83%AD%E3%83%B3)
    * [Polski](http://pl.wikipedia.org/wiki/Motoneuron)
    * [Русский](http://ru.wikipedia.org/wiki/%D0%9C%D0%BE%D1%82%D0%BE%D0%BD%D0%B5%D0%B9%D1%80%D0%BE%D0%BD)
    * [Српски / srpski](http://sr.wikipedia.org/wiki/%D0%9F%D0%B8%D1%80%D0%B0%D0%BC%D0%B8%D0%B4%D0%B0%D0%BB%D0%BD%D0%B8_%D0%BF%D1%83%D1%82)
    * [Svenska](http://sv.wikipedia.org/wiki/Motoriska_nerver)
    * [Türkçe](http://tr.wikipedia.org/wiki/Motor_n%C3%B6ron)
    * [Українська](http://uk.wikipedia.org/wiki/%D0%9C%D0%BE%D1%82%D0%BE%D0%BD%D0%B5%D0%B9%D1%80%D0%BE%D0%BD)
    *     * [Edit links](http://www.wikidata.org/wiki/Q1133903#sitelinks-wikipedia)

    * This page was last modified on 18 April 2014 at 06:22.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Motor_neuron)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
