# Nature park

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

A **nature park** is a landscape protected by means of long-term planning, use and agriculture. These valuable [landscapes](http://en.wikipedia.org/wiki/Landscape) are preserved in their present state and promoted for [touristic](http://en.wikipedia.org/wiki/Tourism) purposes.

In most countries nature parks are subject to [legally](http://en.wikipedia.org/wiki/Legal) regulated [protection](http://en.wikipedia.org/wiki/Protected_area), which is part of their conservation laws.

![](../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/South_Mountain_View.jpg/220px-South_Mountain_View.jpg)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

The [South Mountain Reservation](http://en.wikipedia.org/wiki/South_Mountain_Reservation) in the [New York Metropolitan Area](http://en.wikipedia.org/wiki/New_York_Metropolitan_Area)

A nature park is _not_ the same as a [national park](http://en.wikipedia.org/wiki/National_park), which is defined by the [International Union for Conservation of Nature](http://en.wikipedia.org/wiki/International_Union_for_Conservation_of_Nature) (IUCN) and its [World Commission on Protected Areas](http://en.wikipedia.org/wiki/World_Commission_on_Protected_Areas) as a category II type of [protected area](http://en.wikipedia.org/wiki/Protected_area). Nor is it the same as a [nature reserve](http://en.wikipedia.org/wiki/Nature_reserve) which may fall into different [IUCN](http://en.wikipedia.org/wiki/IUCN) categories depending on the level of legal protection afforded, but which is more strictly protected than a nature park. However some nature parks have later been turned into national parks.

## Contents

  * [1 International nature parks](Special:Random.html#International_nature_parks)
  * [2 Europe](Special:Random.html#Europe)
    * [2.1 Germany](Special:Random.html#Germany)
      * [2.1.1 Definition of nature parks in Germany](Special:Random.html#Definition_of_nature_parks_in_Germany)
    * [2.2 Austria ](Special:Random.html#Austria)
      * [2.2.1 Association of Austrian Nature Parks (VNÖ)](Special:Random.html#Association_of_Austrian_Nature_Parks_.28VN.C3.96.29)
    * [2.3 Switzerland: regional nature parks ](Special:Random.html#Switzerland:_regional_nature_parks)
    * [2.4 Italy](Special:Random.html#Italy)
    * [2.5 Croatia](Special:Random.html#Croatia)
    * [2.6 Hungary](Special:Random.html#Hungary)
    * [2.7 Belgium](Special:Random.html#Belgium)
    * [2.8 Other countries](Special:Random.html#Other_countries)
  * [3 References](Special:Random.html#References)
  * [4 External links](Special:Random.html#External_links)

## International nature parks[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=1)]

The first international nature park in Europe, the present-day [Pieniny National Park](http://en.wikipedia.org/wiki/Pieniny_National_Park_\(Poland\)) was founded jointly by [Poland](http://en.wikipedia.org/wiki/Poland) and [Slovakia](http://en.wikipedia.org/wiki/Slovakia) in 1932.[[1]](Special:Random.html#cite_note-1)

  * _European Nature Parks_: Cross-border plans and projects are carried out under the _Europarc_ umbrella.
  * _Protected Area Network of Parks_ (PANPark), certification by the [WWF](http://en.wikipedia.org/wiki/World_Wide_Fund_for_Nature) initiated network which are aimed at combining the preservation of wilderness with tourism

## Europe[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=2)]

### Germany[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=3)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Karte_Naturparks_Deutschland_high.png/220px-Karte_Naturparks_Deutschland_high.png)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

[Nature parks in Germany](http://en.wikipedia.org/wiki/List_of_nature_parks_in_Germany)

_[List of nature parks in Germany](http://en.wikipedia.org/wiki/List_of_nature_parks_in_Germany)_

The _Nature park_ is one of the options for area-based [nature conservation](http://en.wikipedia.org/wiki/Nature_conservation) provided for under the Federal Nature Conservation Act (the _BNatSchG_). On 6 June 1956 in the former [capital city](http://en.wikipedia.org/wiki/Capital_city) of Bonn at the annual meeting of the Nature Reserve Association (in the presence of President [Theodor Heuss](http://en.wikipedia.org/wiki/Theodor_Heuss) and Minister [Heinrich Lübke](http://en.wikipedia.org/wiki/Heinrich_L%C3%BCbke))., the environmentalist and entrepreneur, [Alfred Toepfer](http://en.wikipedia.org/wiki/Alfred_Toepfer), presented a programme developed jointly with the [Central Office for Nature Conservation and Landscape Management](http://en.wikipedia.org/wiki/Federal_Agency_for_Nature_Conservation) and other institutions to set up (initially) 25 nature parks in West Germany. Five percent of the area of the old Federal Republic of Germany was to be spared from major environmental damage as a result.

#### Definition of nature parks in Germany[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=4)]

The definition of the category of nature park is laid down in federal law (§ 27 of the BNatSchG). Details, especially with regard to the identification, investigation or recognition as a nature park vary in each state depending on the provisions of local conservation law.

§ 27 of the BnatSchG determines that natural parks are large areas that are to be developed and managed as a single unit, that consist mainly of [protected landscapes](http://en.wikipedia.org/wiki/Protected_landscape) or [nature reserves](http://en.wikipedia.org/wiki/Nature_reserve), that have a large variety of species and habitats and that have a landscape that exhibits a variety of uses.

In nature parks, the aim is to strive for environmentally sustainable [land use](http://en.wikipedia.org/wiki/Land_use_planning) and they should be especially suitable for recreation and for [sustainable](http://en.wikipedia.org/wiki/Sustainability) [tourism](http://en.wikipedia.org/wiki/Tourism) because of their topographical features.

The underlying idea is a "protection through usage", so the acceptance and participation of the population in the protection of the cultural landscape and [nature](http://en.wikipedia.org/wiki/Nature) is very important. In doing so the nature conservation and the needs of recreation users should be linked so that both sides benefit: [sustainable tourism](http://en.wikipedia.org/wiki/Sustainable_tourism) with respect for the value of nature and landscape is paramount.

Basically all actions, interventions and projects that would be contrary to the purpose of conservation are prohibited.

Nature parks are to be considered in [zoning](http://en.wikipedia.org/wiki/Zoning) and must be represented and considered in [local development plans](http://en.wikipedia.org/wiki/Development_plan). This is called an acquisition memorandum. They are binding and cannot be waived because of a higher [common good](http://en.wikipedia.org/wiki/Common_good).

The sponsors of nature parks are usually clubs or local special purpose associations.

The German nature parks come together in the Association of German Nature Parks.

  
In Germany today there are 101 nature parks (as at: March 2009), that occupy some 25% of the land area. They are an important building block for nature conservation and help to preserve the sites of natural beauty, cultural landscapes, rare species and biotopes and to make them accessible to later generations.

See also: [List of nature parks in Germany](http://en.wikipedia.org/wiki/List_of_nature_parks_in_Germany)

### Austria [[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=5)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Oestrerreichische_naturparke_plan.jpg/350px-Oestrerreichische_naturparke_plan.jpg)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Overview map of Austria's nature parks

There are currently 47 nature parks in Austria with a total area of around 500,000 ha (as at April 2010). They are host to nearly 20 million visitors annually.[[2]](Special:Random.html#cite_note-2) The designation of "nature park" is awarded by the respective state governments. To achieve this award, the 4 pillars of a nature park have to be met: conservation, recreation, education and regional development.

#### Association of Austrian Nature Parks (VNÖ)[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=6)]

In 1995 all the Austrian nature parks agreed to be represented by the Association of Austrian Nature Parks (_Verband der Naturparke Österreichs_) or VNÖ.

**Currently there are nature parks in the following states:**

  * [Burgenland](http://en.wikipedia.org/wiki/Burgenland): 
    * [Geschriebenstein-Irottkö](http://en.wikipedia.org/w/index.php?title=Geschriebenstein-Irottk%C3%B6_Nature_Park&action=edit&redlink=1)
    * [Landseer Berge](http://en.wikipedia.org/w/index.php?title=Landseer_Berge_Nature_Park&action=edit&redlink=1)
    * [Raab-Örseg-Goricko](http://en.wikipedia.org/w/index.php?title=Raab-%C3%96rseg-Goricko_Nature_Park&action=edit&redlink=1)
    * [Weinidylle](http://en.wikipedia.org/w/index.php?title=Weinidylle&action=edit&redlink=1)
    * [Neusiedler See-Leithagebirge](http://en.wikipedia.org/w/index.php?title=Neusiedler_See-Leithagebirge_Nature_Park&action=edit&redlink=1)
    * [Rosalia-Kogelberg](http://en.wikipedia.org/w/index.php?title=Rosalia-Kogelberg_Nature_Park&action=edit&redlink=1)
  * [Carinthia](http://en.wikipedia.org/wiki/Carinthia_\(state\))
    * [Dobratsch](http://en.wikipedia.org/w/index.php?title=Dobratsch&action=edit&redlink=1)
    * [Weißensee](http://en.wikipedia.org/wiki/Wei%C3%9Fensee_\(See_in_K%C3%A4rnten\))
  * [Lower Austria](http://en.wikipedia.org/wiki/Lower_Austria): 
    * [Blockheide-Eibenstein-Gmünd](http://en.wikipedia.org/wiki/Blockheide-Gm%C3%BCnd_Nature_Park)
    * Buchenberg-[Waidhofen an der Ybbs](http://en.wikipedia.org/wiki/Waidhofen_an_der_Ybbs)
    * [Dobersberg](http://en.wikipedia.org/wiki/Dobersberg)-Thayatal
    * [Eichenhain](http://en.wikipedia.org/w/index.php?title=Eichenhain_\(nature_park\)&action=edit&redlink=1) bei Klosterneuburg
    * [Eisenwurzen NÖ](http://en.wikipedia.org/w/index.php?title=Eisenwurzen_N%C3%96&action=edit&redlink=1)
    * [Falkenstein](http://en.wikipedia.org/w/index.php?title=Falkenstein_\(nature_park\)&action=edit&redlink=1)
    * [Föhrenberge](http://en.wikipedia.org/w/index.php?title=F%C3%B6hrenberge_Nature_Park&action=edit&redlink=1)-[Mödling](http://en.wikipedia.org/wiki/M%C3%B6dling)
    * Geras
    * [Heidenreichsteiner Moor](http://en.wikipedia.org/w/index.php?title=Heidenreichsteiner_Moor_Nature_Park&action=edit&redlink=1)
    * [Hochmoor Schrems](http://en.wikipedia.org/w/index.php?title=Hochmoor_Schrems_Nature_Park&action=edit&redlink=1)
    * [Hohe Wand Nature Park](http://en.wikipedia.org/wiki/Hohe_Wand_Nature_Park)
    * Jauerling-[Wachau](http://en.wikipedia.org/wiki/Wachau)
    * [Kamptal-Schönberg](http://en.wikipedia.org/w/index.php?title=Kamptal-Sch%C3%B6nberg&action=edit&redlink=1)
    * [Leiser Berge](http://en.wikipedia.org/w/index.php?title=Leiser_Berge_Nature_Park&action=edit&redlink=1)
    * [Mannersdorf-Wüste](http://en.wikipedia.org/wiki/Mannersdorf_am_Leithagebirge)
    * Nordwald-[Bad Großpertholz](http://en.wikipedia.org/wiki/Bad_Gro%C3%9Fpertholz)

  *     * [Ötscher-Tormäuer](http://en.wikipedia.org/w/index.php?title=%C3%96tscher-Torm%C3%A4uer_Nature_Park&action=edit&redlink=1)
    * [Purkersdorf](http://en.wikipedia.org/wiki/Purkersdorf)-Sandstein-[Wienerwald](http://en.wikipedia.org/wiki/Vienna_Woods)
    * [Seebenstein-Türkensturz](http://en.wikipedia.org/w/index.php?title=Seebenstein-T%C3%BCrkensturz_Nature_Park&action=edit&redlink=1)
    * [Sierningtal-Flatzer Wand](http://en.wikipedia.org/w/index.php?title=Sierningtal-Flatzer_Wand_Nature_Park&action=edit&redlink=1)
    * [Sparbach](http://en.wikipedia.org/w/index.php?title=Sparbach_Nature_Park&action=edit&redlink=1) (ältester Naturpark, seit 1962)
  * [Upper Austria](http://en.wikipedia.org/wiki/Upper_Austria): 
    * [Mühlviertel](http://en.wikipedia.org/w/index.php?title=M%C3%BChlviertel_Nature_Park&action=edit&redlink=1)
    * [Obst-Hügel-Land](http://en.wikipedia.org/w/index.php?title=Obst-H%C3%BCgel-Land_Nature_Park&action=edit&redlink=1)
  * [Salzburg](http://en.wikipedia.org/wiki/Salzburg_\(state\))
    * Buchberg
    * Riedingtal in [Zederhaus](http://en.wikipedia.org/wiki/Zederhaus)
    * Weißbach bei Lofer
  * [Styria](http://en.wikipedia.org/wiki/Styria): 
    * [Almenland](http://en.wikipedia.org/w/index.php?title=Almenland_Nature_Park&action=edit&redlink=1)
    * [Mürzer Oberland](http://en.wikipedia.org/w/index.php?title=M%C3%BCrzer_Oberland_Nature_Park&action=edit&redlink=1)
    * [Sölktäler](http://en.wikipedia.org/w/index.php?title=S%C3%B6lkt%C3%A4ler_Nature_Park&action=edit&redlink=1)
    * [Steirische Eisenwurzen](http://en.wikipedia.org/w/index.php?title=Steirische_Eisenwurzen_Nature_Park&action=edit&redlink=1)
    * [Pöllauer Tal](http://en.wikipedia.org/w/index.php?title=P%C3%B6llauer_Tal&action=edit&redlink=1)
    * [Südsteirisches Weinland](http://en.wikipedia.org/w/index.php?title=S%C3%BCdsteirisches_Weinland&action=edit&redlink=1)
    * [Zirbitzkogel-Grebenzen](http://en.wikipedia.org/w/index.php?title=Zirbitzkogel-Grebenzen&action=edit&redlink=1)
  * [Tyrol](http://en.wikipedia.org/wiki/Tyrol_\(state\))
    * [Alpenpark Karwendel](http://en.wikipedia.org/wiki/Alpenpark_Karwendel)
    * [Kaunergrat (Pitztal-Kaunertal)](http://en.wikipedia.org/w/index.php?title=Kaunergrat_\(Pitztal-Kaunertal\)&action=edit&redlink=1)
    * [Tyrolean](http://en.wikipedia.org/wiki/Tyrol_\(state\)) [Lechtal](http://en.wikipedia.org/wiki/Lechtal)
    * [Zillertal Alps](http://en.wikipedia.org/wiki/Zillertal_Alps)
    * [Ötztal](http://en.wikipedia.org/wiki/%C3%96tztal)

### Switzerland: regional nature parks [[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=7)]

In [Switzerland](http://en.wikipedia.org/wiki/Switzerland) the establishment of regional nature parks is regulated by the Federal Law for Nature and Homeland Conservation (NHG). Regional nature parks fall into one of three categories defined by the NHG. In addition there are [national parks](http://en.wikipedia.org/wiki/National_parks) and nature experience parks. These two types of park have very strict protected areas, something which does not exist in regional nature parks. The latter focus much more on striking a balance in the level of support between nature conservation and the regional economy.

Since August 2010 there have been three parks with the label Regional Nature Park of National Importance“:[[3]](Special:Random.html#cite_note-3)

  * the regional [Thal Nature Park](http://en.wikipedia.org/wiki/Thal_Nature_Park)[[4]](Special:Random.html#cite_note-4)
  * the UNESCO Entlebuch biosphere
  * the Val Müstair biosphere

### Italy[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=8)]

[South Tyrol](http://en.wikipedia.org/wiki/South_Tyrol) has 8 nature parks and part of a [national park](http://en.wikipedia.org/wiki/National_park)

  * [Schlern-Rosengarten](http://en.wikipedia.org/wiki/Schlern-Rosengarten_Nature_Park)
  * [Texelgruppe](http://en.wikipedia.org/wiki/Texelgruppe_Nature_Park)
  * [Puez-Geisler](http://en.wikipedia.org/wiki/Puez-Geisler_Nature_Park)
  * [Fanes-Sennes-Prags](http://en.wikipedia.org/wiki/Fanes-Sennes-Prags_Nature_Park)
  * [Trudner Horn](http://en.wikipedia.org/wiki/Trudner_Horn_Nature_Park)
  * [Sexten Dolomites](http://en.wikipedia.org/wiki/Sexten_Dolomites)
  * [Rieserferner-Ahrn](http://en.wikipedia.org/wiki/Rieserferner-Ahrn_Nature_Park)
  * [Sarntal](http://en.wikipedia.org/wiki/Sarntal) Alps
  * [Stelvio](http://en.wikipedia.org/wiki/Stelvio_National_Park)

See also: [List of regional parks of Italy](http://en.wikipedia.org/wiki/List_of_regional_parks_of_Italy)

### Croatia[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=9)]

In Croatia there is a total of [eight national parks and ten nature parks](http://en.wikipedia.org/wiki/Protected_areas_of_Croatia). Under nature park protection are the following regions:

  * [Biokovo](http://en.wikipedia.org/wiki/Biokovo_Nature_Park)
  * [Kopački rit](http://en.wikipedia.org/wiki/Kopa%C4%8Dki_rit_Nature_Park)
  * [Lonjsko polje](http://en.wikipedia.org/wiki/Lonjsko_polje_Nature_Park)
  * [Medvednica](http://en.wikipedia.org/w/index.php?title=Medvednica_Nature_Park&action=edit&redlink=1)
  * [Papuk](http://en.wikipedia.org/wiki/Papuk_Nature_Park)
  * [Telašćica](http://en.wikipedia.org/wiki/Tela%C5%A1%C4%87ica_Nature_Park)
  * [Učka](http://en.wikipedia.org/w/index.php?title=U%C4%8Dka_Nature_Park&action=edit&redlink=1)
  * [Velebit](http://en.wikipedia.org/wiki/Velebit_Nature_Park)
  * [Vransko jezero](http://en.wikipedia.org/wiki/Vransko_jezero_Nature_Park)
  * [Žumberak-Samoborsko gorje](http://en.wikipedia.org/w/index.php?title=%C5%BDumberak-Samoborsko_gorje_Nature_Park&action=edit&redlink=1)

### Hungary[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=10)]

  * [Geschriebenstein-Írottkő](http://en.wikipedia.org/w/index.php?title=Geschriebenstein-%C3%8Drottk%C5%91_Nature_Park&action=edit&redlink=1) (cross-border park with Burgenland in Austria)
  * [Raab-Örseg-Goricko](http://en.wikipedia.org/w/index.php?title=Raab-%C3%96rseg-Goricko_Nature_Park&action=edit&redlink=1) (cross-border park with Burgenland in Austria)

### Belgium[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=11)]

In Belgium, there are two different structures. In Flanders, their name is Regionale Landschappen and in Wallonia, the Natural Parks. There are 17 Regionale Landschappen in Flanders and 9 Natural Parks in Wallonia.

  * [Fédération des Parcs naturels de Wallonie](http://www.fpnw.be)
  * [Regionale Landschappen](http://www.regionalelandschappen.be)

### Other countries[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=12)]

  * [Regional nature parks of France](http://en.wikipedia.org/wiki/Regional_nature_parks_of_France)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=13)]

  1. **[^](Special:Random.html#cite_ref-1)** [Nationalpark Pieniny](http://www.bratislava.de/Start/Slowakei/Slowakei_Landschaften/Slowakei_Nationalparks/Slowakei_Nationalpark_Pieniny/slowakei_nationalpark_pieniny.html) accessed on 1 June 2010
  2. **[^](Special:Random.html#cite_ref-2)** [Touristische Potenziale der Österreichischen Naturparke](http://www.naturparke.at/de/Projekte/Studien/Studie_Touristische_Potenziale_der_Oesterreichischen_Naturparke), 2009
  3. **[^](Special:Random.html#cite_ref-3)** [Website des Netzwerks Schweizer Pärke](http://www.paerke.ch/)
  4. **[^](Special:Random.html#cite_ref-4)** [Website des Naturparks Thal](http://www.naturparkthal.ch/)

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit&section=14)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/f/f8/Wiktionary-logo-en.svg/37px-Wiktionary-logo-en.svg.png)
Look up _**[Nature park](http://en.wiktionary.org/wiki/Nature_park)**_ in Wiktionary, the free dictionary.

  * [Home page of the Association of German Nature Parks](http://www.Naturparke.de)
  * [Home page of the Association of Austrian Nature Parks](http://www.Naturparke.at)
  * [Home page of the Swiss Parks Network](http://www.paerke.ch)
  * [Homepage of the South Tyrol Nature Parks](http://www.provinz.bz.it/natur/2803/index_d.asp)
  * [Europarc Germany](http://www.europarc-deutschland.de/pages/index.htm)
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Nature_park&oldid=580468547](http://en.wikipedia.org/w/index.php?title=Nature_park&oldid=580468547)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Nature parks](http://en.wikipedia.org/wiki/Category:Nature_parks)
  * [Protected areas](http://en.wikipedia.org/wiki/Category:Protected_areas)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Nature+park&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Nature+park)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Nature_park)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Nature_park&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Nature_park&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Navigation

  * [Main page](http://en.wikipedia.org/wiki/Main_Page)
  * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
  * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
  * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
  * [Random article](Special:Random.html)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

  * [Help](http://en.wikipedia.org/wiki/Help:Contents)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
  * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
  * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Nature_park)
  * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Nature_park)
  * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikipedia.org/w/index.php?title=Nature_park&oldid=580468547)
  * [Page information](http://en.wikipedia.org/w/index.php?title=Nature_park&action=info)
  * [Data item](http://www.wikidata.org/wiki/Q728904)
  * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Nature_park&id=580468547)

### Print/export

  * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Nature+park)
  * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Nature+park&oldid=580468547&writer=rl)
  * [Printable version](http://en.wikipedia.org/w/index.php?title=Nature_park&printable=yes)

### Languages

  * [Català](http://ca.wikipedia.org/wiki/Parc_natural)
  * [Čeština](http://cs.wikipedia.org/wiki/P%C5%99%C3%ADrodn%C3%AD_park)
  * [Dansk](http://da.wikipedia.org/wiki/Naturpark)
  * [Deutsch](http://de.wikipedia.org/wiki/Naturpark)
  * [Español](http://es.wikipedia.org/wiki/Parque_natural)
  * [Esperanto](http://eo.wikipedia.org/wiki/Natura_Parko)
  * [Estremeñu](http://ext.wikipedia.org/wiki/Parqui_Natural)
  * [Français](http://fr.wikipedia.org/wiki/R%C3%A9serve_naturelle)
  * [Galego](http://gl.wikipedia.org/wiki/Parque_natural)
  * [Latviešu](http://lv.wikipedia.org/wiki/Dabas_parks)
  * [Magyar](http://hu.wikipedia.org/wiki/Nat%C3%BArpark)
  * [Nederlands](http://nl.wikipedia.org/wiki/Natuurpark)
  * [Polski](http://pl.wikipedia.org/wiki/Obszar_chronionego_krajobrazu)
  * [Română](http://ro.wikipedia.org/wiki/Parc_natural)
  * [Русский](http://ru.wikipedia.org/wiki/%D0%9F%D1%80%D0%B8%D1%80%D0%BE%D0%B4%D0%BD%D1%8B%D0%B9_%D0%BF%D0%B0%D1%80%D0%BA)
  * [Svenska](http://sv.wikipedia.org/wiki/Naturpark)
  *   * [Edit links](http://www.wikidata.org/wiki/Q728904#sitelinks-wikipedia)

  * This page was last modified on 6 November 2013 at 16:15.  

  * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
  * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikipedia.org/wiki/Nature_park)
  * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
