# Neuraminidase

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![](../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Neuraminidase_Ribbon_Diagram.jpg/235px-Neuraminidase_Ribbon_Diagram.jpg)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Neuraminidase diagram

![](../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Neu5Ac.png/235px-Neu5Ac.png)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

[Neuraminic acid](http://en.wikipedia.org/wiki/Neuraminic_acid)

**Neuraminidase** enzymes are [glycoside hydrolase](http://en.wikipedia.org/wiki/Glycoside_hydrolase) [enzymes](http://en.wikipedia.org/wiki/Enzyme) ([EC](http://en.wikipedia.org/wiki/Enzyme_Commission_number) [3.2.1.18](http://enzyme.expasy.org/EC/3.2.1.18)) that cleave the [glycosidic linkages](http://en.wikipedia.org/wiki/Glycosidic_linkage) of [neuraminic acids](http://en.wikipedia.org/wiki/Neuraminic_acid). Neuraminidase enzymes are a large family, found in a range of organisms. The best-known neuraminidase is the [viral neuraminidase](http://en.wikipedia.org/wiki/Viral_neuraminidase), a drug target for the prevention of the spread of [influenza](http://en.wikipedia.org/wiki/Influenza) infection. The viral neuraminidases are frequently used as [antigenic determinants](http://en.wikipedia.org/wiki/Antigenic_determinants) found on the surface of the [Influenza](http://en.wikipedia.org/wiki/Influenza) virus. Some variants of the influenza neuraminidase confer more virulence to the virus than others. Other homologs are found in mammalian cells, which have a range of functions. At least four mammalian sialidase homologs have been described in the [human genome](http://en.wikipedia.org/wiki/Human_genome) (see [NEU1](http://en.wikipedia.org/wiki/NEU1), [NEU2](http://en.wikipedia.org/wiki/NEU2), [NEU3](http://en.wikipedia.org/wiki/NEU3), [NEU4](http://en.wikipedia.org/wiki/NEU4)).

Neuraminidases, also called sialidases, catalyze the hydrolysis of terminal [sialic acid](http://en.wikipedia.org/wiki/Sialic_acid) residues from the newly formed [virions](http://en.wikipedia.org/wiki/Virion#Structure) and from the host cell receptors.[[1]](Special:Random.html#cite_note-pmid18049471-1) Sialidase activities include assistance in the mobility of virus particles through the respiratory tract mucus and in the elution of virion progeny from the infected cell.[[2]](Special:Random.html#cite_note-pmid4472498-2)[[3]](Special:Random.html#cite_note-pmid7815489-3)

## Contents

  * [1 Reaction](Special:Random.html#Reaction)
  * [2 Subtypes](Special:Random.html#Subtypes)
  * [3 Structure](Special:Random.html#Structure)
  * [4 Mechanism](Special:Random.html#Mechanism)
  * [5 Inhibitors](Special:Random.html#Inhibitors)
  * [6 See also](Special:Random.html#See_also)
  * [7 References](Special:Random.html#References)
  * [8 External links](Special:Random.html#External_links)

## Reaction[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=1)]

There are two major classes of Neuraminidase that cleave exo or endo poly-sialic acids:

  * Exo hydrolysis of α-(2→3)-, α-(2→6)-, α-(2→8)-glycosidic linkages of terminal sialic acid residues[[4]](Special:Random.html#cite_note-pmid6762816-4)[[5]](Special:Random.html#cite_note-pmid1883340-5)
  * Endo hydrolysis of (2→8)-α-sialosyl linkages in oligo- or poly(sialic) acids[[5]](Special:Random.html#cite_note-pmid1883340-5)

exo-α-sialidase

Identifiers

[EC number](http://en.wikipedia.org/wiki/Enzyme_Commission_number)
[3.2.1.18](http://www.chem.qmul.ac.uk/iubmb/enzyme/EC3/2/1/18.html)

[CAS number](http://en.wikipedia.org/wiki/CAS_registry_number)
[9001-67-6](http://tools.wmflabs.org/magnustools/cas.php?language=en&cas=9001-67-6&title=)

Databases

[IntEnz](http://en.wikipedia.org/wiki/IntEnz)
[IntEnz view](http://www.ebi.ac.uk/intenz/query?cmd=SearchEC&ec=3.2.1.18)

[BRENDA](http://en.wikipedia.org/wiki/BRENDA)
[BRENDA entry](http://www.brenda-enzymes.org/php/result_flat.php4?ecno=3.2.1.18)

[ExPASy](http://en.wikipedia.org/wiki/ExPASy)
[NiceZyme view](http://www.expasy.org/enzyme/3.2.1.18)

[KEGG](http://en.wikipedia.org/wiki/KEGG)
[KEGG entry](http://www.genome.ad.jp/dbget-bin/www_bget?enzyme+3.2.1.18)

[MetaCyc](http://en.wikipedia.org/wiki/MetaCyc)
[metabolic pathway](http://biocyc.org/META/substring-search?type=NIL&object=3.2.1.18)

[PRIAM](http://en.wikipedia.org/wiki/PRIAM_enzyme_specific_profiles)
[profile](http://priam.prabi.fr/cgi-bin/PRIAM_profiles_CurrentRelease.pl?EC=3.2.1.18)

[PDB](http://en.wikipedia.org/wiki/Protein_Data_Bank) structures
[RCSB PDB](http://www.rcsb.org/pdb/search/smartSubquery.do?smartSearchSubtype=EnzymeClassificationQuery&Enzyme_Classification=3.2.1.18) [PDBe](http://www.ebi.ac.uk/pdbe-srv/PDBeXplore/enzyme/?ec=3.2.1.18) [PDBsum](http://www.ebi.ac.uk/thornton-srv/databases/cgi-bin/enzymes/GetPage.pl?ec_number=3.2.1.18)

[Gene Ontology](http://en.wikipedia.org/wiki/Gene_Ontology)
[AmiGO](http://amigo.geneontology.org/cgi-bin/amigo/go.cgi?query=GO:0004308&view=details) / [EGO](http://www.ebi.ac.uk/ego/DisplayGoTerm?id=GO:0004308&format=normal)

Search

[PMC](http://en.wikipedia.org/wiki/PubMed_Central)
[articles](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=pubmed&term=3.2.1.18%5BEC/RN%20Number%5D%20AND%20pubmed%20pmc%20local%5Bsb%5D)

[PubMed](http://en.wikipedia.org/wiki/PubMed)
[articles](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=pubmed&term=3.2.1.18%5BEC/RN%20Number%5D)

[NCBI](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[proteins](http://www.ncbi.nlm.nih.gov/protein?term=3.2.1.18%5BEC/RN%20Number%5D)

endo-α-sialidase

Identifiers

[EC number](http://en.wikipedia.org/wiki/Enzyme_Commission_number)
[3.2.1.129](http://www.chem.qmul.ac.uk/iubmb/enzyme/EC3/2/1/129.html)

[CAS number](http://en.wikipedia.org/wiki/CAS_registry_number)
[91195-87-8](http://tools.wmflabs.org/magnustools/cas.php?language=en&cas=91195-87-8&title=)

Databases

[IntEnz](http://en.wikipedia.org/wiki/IntEnz)
[IntEnz view](http://www.ebi.ac.uk/intenz/query?cmd=SearchEC&ec=3.2.1.129)

[BRENDA](http://en.wikipedia.org/wiki/BRENDA)
[BRENDA entry](http://www.brenda-enzymes.org/php/result_flat.php4?ecno=3.2.1.129)

[ExPASy](http://en.wikipedia.org/wiki/ExPASy)
[NiceZyme view](http://www.expasy.org/enzyme/3.2.1.129)

[KEGG](http://en.wikipedia.org/wiki/KEGG)
[KEGG entry](http://www.genome.ad.jp/dbget-bin/www_bget?enzyme+3.2.1.129)

[MetaCyc](http://en.wikipedia.org/wiki/MetaCyc)
[metabolic pathway](http://biocyc.org/META/substring-search?type=NIL&object=3.2.1.129)

[PRIAM](http://en.wikipedia.org/wiki/PRIAM_enzyme_specific_profiles)
[profile](http://priam.prabi.fr/cgi-bin/PRIAM_profiles_CurrentRelease.pl?EC=3.2.1.129)

[PDB](http://en.wikipedia.org/wiki/Protein_Data_Bank) structures
[RCSB PDB](http://www.rcsb.org/pdb/search/smartSubquery.do?smartSearchSubtype=EnzymeClassificationQuery&Enzyme_Classification=3.2.1.129) [PDBe](http://www.ebi.ac.uk/pdbe-srv/PDBeXplore/enzyme/?ec=3.2.1.129) [PDBsum](http://www.ebi.ac.uk/thornton-srv/databases/cgi-bin/enzymes/GetPage.pl?ec_number=3.2.1.129)

[Gene Ontology](http://en.wikipedia.org/wiki/Gene_Ontology)
[AmiGO](http://amigo.geneontology.org/cgi-bin/amigo/go.cgi?query=GO:0016996&view=details) / [EGO](http://www.ebi.ac.uk/ego/DisplayGoTerm?id=GO:0016996&format=normal)

Search

[PMC](http://en.wikipedia.org/wiki/PubMed_Central)
[articles](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=pubmed&term=3.2.1.129%5BEC/RN%20Number%5D%20AND%20pubmed%20pmc%20local%5Bsb%5D)

[PubMed](http://en.wikipedia.org/wiki/PubMed)
[articles](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=pubmed&term=3.2.1.129%5BEC/RN%20Number%5D)

[NCBI](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[proteins](http://www.ncbi.nlm.nih.gov/protein?term=3.2.1.129%5BEC/RN%20Number%5D)

## Subtypes[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=2)]

[Swiss-Prot](http://en.wikipedia.org/wiki/Swiss-Prot) lists 137 types of neuraminidase from various species as of October 18, 2006.[[6]](Special:Random.html#cite_note-6) Nine subtypes of influenza neuraminidase are known; many occur only in various species of duck and chicken. Subtypes N1 and N2 have been positively linked to epidemics in man, and strains with N3 or N7 subtypes have been identified in a number of isolated deaths.[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]

The following is a list of major classes of neuraminidase enzymes:

  * [Viral neuraminidase](http://en.wikipedia.org/wiki/Viral_neuraminidase)
  * [Bacterial neuraminidase](http://en.wikipedia.org/wiki/Bacterial_neuraminidase)
  * Mammalian neuraminidases:

[sialidase 1 (lysosomal sialidase)](http://en.wikipedia.org/wiki/NEU1)

Identifiers

Symbol
[NEU1](http://en.wikipedia.org/wiki/NEU1)

[Entrez](http://en.wikipedia.org/wiki/Entrez)
[4758](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene&cmd=retrieve&dopt=default&list_uids=4758&rn=1)

[HUGO](http://en.wikipedia.org/wiki/Human_Genome_Organisation)
[7758](http://www.genenames.org/data/hgnc_data.php?hgnc_id=7758)

[OMIM](http://en.wikipedia.org/wiki/OMIM)
[608272](http://www.omim.org/608272)

[RefSeq](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[NM_000434](http://genome.ucsc.edu/cgi-bin/hgTracks?Submit=Submit&position=NM_000434&rn=1)

[UniProt](http://en.wikipedia.org/wiki/Swiss-Prot)
[Q99519](http://www.uniprot.org/uniprot/Q99519)

Other data

[Locus](http://en.wikipedia.org/wiki/Locus_\(genetics\))
[Chr. 6](http://en.wikipedia.org/wiki/Chromosome_6_\(human\)) _[p21](http://omim.org/search?index=geneMap&search=6p21)_

[sialidase 2 (cytosolic sialidase)](http://en.wikipedia.org/wiki/NEU2)

Identifiers

Symbol
[NEU2](http://en.wikipedia.org/wiki/NEU2)

[Entrez](http://en.wikipedia.org/wiki/Entrez)
[4759](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene&cmd=retrieve&dopt=default&list_uids=4759&rn=1)

[HUGO](http://en.wikipedia.org/wiki/Human_Genome_Organisation)
[7759](http://www.genenames.org/data/hgnc_data.php?hgnc_id=7759)

[OMIM](http://en.wikipedia.org/wiki/OMIM)
[605528](http://www.omim.org/605528)

[RefSeq](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[NM_005383](http://genome.ucsc.edu/cgi-bin/hgTracks?Submit=Submit&position=NM_005383&rn=1)

[UniProt](http://en.wikipedia.org/wiki/Swiss-Prot)
[Q9Y3R4](http://www.uniprot.org/uniprot/Q9Y3R4)

Other data

[Locus](http://en.wikipedia.org/wiki/Locus_\(genetics\))
[Chr. 2](http://en.wikipedia.org/wiki/Chromosome_2_\(human\)) _[q37](http://omim.org/search?index=geneMap&search=2q37)_

[sialidase 3 (membrane sialidase)](http://en.wikipedia.org/wiki/NEU3)

Identifiers

Symbol
[NEU3](http://en.wikipedia.org/wiki/NEU3)

[Entrez](http://en.wikipedia.org/wiki/Entrez)
[10825](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene&cmd=retrieve&dopt=default&list_uids=10825&rn=1)

[HUGO](http://en.wikipedia.org/wiki/Human_Genome_Organisation)
[7760](http://www.genenames.org/data/hgnc_data.php?hgnc_id=7760)

[OMIM](http://en.wikipedia.org/wiki/OMIM)
[604617](http://www.omim.org/604617)

[RefSeq](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[NM_006656](http://genome.ucsc.edu/cgi-bin/hgTracks?Submit=Submit&position=NM_006656&rn=1)

[UniProt](http://en.wikipedia.org/wiki/Swiss-Prot)
[Q9UQ49](http://www.uniprot.org/uniprot/Q9UQ49)

Other data

[Locus](http://en.wikipedia.org/wiki/Locus_\(genetics\))
[Chr. 11](http://en.wikipedia.org/wiki/Chromosome_11_\(human\)) _[q13.5](http://omim.org/search?index=geneMap&search=11q13.5)_

[sialidase 4](http://en.wikipedia.org/wiki/NEU4)

Identifiers

Symbol
[NEU4](http://en.wikipedia.org/wiki/NEU4)

[Entrez](http://en.wikipedia.org/wiki/Entrez)
[129807](http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene&cmd=retrieve&dopt=default&list_uids=129807&rn=1)

[HUGO](http://en.wikipedia.org/wiki/Human_Genome_Organisation)
[21328](http://www.genenames.org/data/hgnc_data.php?hgnc_id=21328)

[OMIM](http://en.wikipedia.org/wiki/OMIM)
[608527](http://www.omim.org/608527)

[RefSeq](http://en.wikipedia.org/wiki/National_Center_for_Biotechnology_Information)
[NM_080741](http://genome.ucsc.edu/cgi-bin/hgTracks?Submit=Submit&position=NM_080741&rn=1)

[UniProt](http://en.wikipedia.org/wiki/Swiss-Prot)
[Q8WWR8](http://www.uniprot.org/uniprot/Q8WWR8)

Other data

[Locus](http://en.wikipedia.org/wiki/Locus_\(genetics\))
[Chr. 2](http://en.wikipedia.org/wiki/Chromosome_2_\(human\)) _[q37.3](http://omim.org/search?index=geneMap&search=2q37.3)_

## Structure[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=3)]

Main article: [Viral neuraminidase](http://en.wikipedia.org/wiki/Viral_neuraminidase)

[Influenza](http://en.wikipedia.org/wiki/Influenza) neuraminidase exists as a mushroom-shape projection on the surface of the influenza virus. It has a head consisting of four co-planar and roughly spherical subunits, and a hydrophobic region that is embedded within the interior of the virus' membrane. It comprises a single polypeptide chain that is oriented in the opposite direction to the hemagglutinin antigen. The composition of the polypeptide is a single chain of six conserved polar amino acids, followed by hydrophilic, variable amino acids. β-Sheets predominate as the secondary level of protein conformation.

Recent emergence of [oseltamivir](http://en.wikipedia.org/wiki/Oseltamivir) and [zanamivir](http://en.wikipedia.org/wiki/Zanamivir) resistant [human influenza](http://en.wikipedia.org/wiki/Human_influenza) A([H1N1](http://en.wikipedia.org/wiki/H1N1)) H274Y has emphasized the need for suitable expression systems to obtain large quantities of highly pure and stable, [recombinant](http://en.wikipedia.org/wiki/Recombinant_virus) neuraminidase through two separate artificial tetramerization domains that facilitate the formation of catalytically active neuraminidase homotetramers from [yeast](http://en.wikipedia.org/wiki/Yeast) and [Staphylothermus](http://en.wikipedia.org/wiki/Staphylothermus) marinus, which allow for secretion of [FLAG-tagged](http://en.wikipedia.org/wiki/FLAG-tag) [proteins](http://en.wikipedia.org/wiki/Proteins) and further purification.[[7]](Special:Random.html#cite_note-7)

## Mechanism[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=4)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Figure1\(Yao\).gif/350px-Figure1\(Yao\).gif)

Proposed mechanism of catalysis of influenza virus sialidase 4 (Link to glycosidase mechanism)

![](../../upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Figure2\(Yao\).gif/350px-Figure2\(Yao\).gif)

Proposed transition state for the sialidase mechanism 7

![](../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Figure3\(Yao\).gif/350px-Figure3\(Yao\).gif)

Chemical structures of 4- substituted Neu5Ac2en derivatives 8

The enzymatic mechanism of influenza virus sialidase has been studied by Taylor et al., shown in Figure 1. The enzyme catalysis process has four steps. The first step involves the distortion of the α-sialoside from a 2C5 chair conformation (the lowest-energy form in solution) to a pseudoboat conformation when the sialoside binds to the sialidase. The second step leads to an oxocarbocation intermediate, the sialosyl cation. The third step is the formation of Neu5Ac initially as the α-anomer, and then mutarotation and release as the more thermodynamically-stable β-Neu5Ac.[[8]](Special:Random.html#cite_note-pmid8126701-8)

## Inhibitors[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=5)]

Main article: [Neuraminidase inhibitors](http://en.wikipedia.org/wiki/Neuraminidase_inhibitors)

[Neuraminidase inhibitors](http://en.wikipedia.org/wiki/Neuraminidase_inhibitor) are useful for combating [influenza](http://en.wikipedia.org/wiki/Influenza) infection: [zanamivir](http://en.wikipedia.org/wiki/Zanamivir), administered by inhalation; [oseltamivir](http://en.wikipedia.org/wiki/Oseltamivir), administered orally; and under research is [peramivir](http://en.wikipedia.org/wiki/Peramivir) administered parenterally, that is through intravenous or intramuscular injection.

There are two major proteins on the surface of influenza virus particles. One is the lectin haemagglutinin protein with three relatively shallow sialic acid-binding sites and the other is enzyme sialidase with the active site in a pocket. Because of the relative deep active site in which low-molecular-weight inhibitors can make multiple favorable interactions and approachable methods of designing transition-state analogues in the hydrolysis of sialosides, the sialidase becomes more attractive anti-influenza drug target than the haemagglutinin.[[9]](Special:Random.html#cite_note-isbn0-19-928278-1-9) After the X-ray crystal structures of several influenza virus sialidases were available, the structure-based inhibitor design was applied to discover potent inhibitors of this enzyme.[[10]](Special:Random.html#cite_note-10)

The unsaturated sialic acid (N-acetylneuraminic acid [Neu5ac]) derivative 2-deoxy-2, 3-didehydro-D-N-acetylneuraminic acid (Neu5Ac2en), a sialosyl cation transition-state (Figure 2) analogue, is believed the most potent inhibitor core template. To prepare structurally modified Neu5Ac2en derivatives may give more effective inhibitors.[[11]](Special:Random.html#cite_note-isbn0-8247-5355-0-11)

Many Neu5Ac2en-based compounds have been synthesized and tested for their influenza virus sialidase inhibitory potential. For example: The 4-substituted Neu5Ac2en derivatives (Figure 3), 4-amino-Neu5Ac2en (Compound 1), which showed two orders of magnitude better inhibition of influenza virus sialidase than Neu5Ac2en5 and 4-guanidino-Neu5Ac2en (Compound 2), known as Zanamivir, which is now marketed for treatment of influenza virus as a drug, have been designed by von Itzstein and coworkers.[[12]](Special:Random.html#cite_note-pmid8050102-12) A series of amide-linked C9 modified Neu5Ac2en have been reported by Megesh and colleagues as NEU1 inhibitors.[[13]](Special:Random.html#cite_note-pmid18068975-13)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=6)]

  * [Glycoside hydrolase](http://en.wikipedia.org/wiki/Glycoside_hydrolase)
  * [Neuraminidase inhibitors](http://en.wikipedia.org/wiki/Neuraminidase_inhibitors)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=7)]

  1. **[^](Special:Random.html#cite_ref-pmid18049471_1-0)** von Itzstein M (December 2007). "The war against influenza: discovery and development of sialidase inhibitors". _Nature Reviews. Drug Discovery_ **6** (12): 967–74. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1038/nrd2400](http://dx.doi.org/10.1038%2Fnrd2400). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [18049471](http://www.ncbi.nlm.nih.gov/pubmed/18049471). 
  2. **[^](Special:Random.html#cite_ref-pmid4472498_2-0)** Palese P, Tobita K, Ueda M, Compans RW (October 1974). "Characterization of temperature sensitive influenza virus mutants defective in neuraminidase". _Virology_ **61** (2): 397–410. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0042-6822(74)90276-1](http://dx.doi.org/10.1016%2F0042-6822%2874%2990276-1). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [4472498](http://www.ncbi.nlm.nih.gov/pubmed/4472498). 
  3. **[^](Special:Random.html#cite_ref-pmid7815489_3-0)** Liu C, Eichelberger MC, Compans RW, Air GM (February 1995). ["Influenza type A virus neuraminidase does not play a role in viral entry, replication, assembly, or budding"](http://jvi.asm.org/cgi/content/abstract/69/2/1099). _Journal of Virology_ **69** (2): 1099–106. [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [188682](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC188682). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [7815489](http://www.ncbi.nlm.nih.gov/pubmed/7815489). 
  4. **[^](Special:Random.html#cite_ref-pmid6762816_4-0)** Schauer R (1982). "Chemistry, metabolism, and biological functions of sialic acids". _Adv Carbohydr Chem Biochem_. Advances in Carbohydrate Chemistry and Biochemistry **40**: 131–234. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/S0065-2318(08)60109-2](http://dx.doi.org/10.1016%2FS0065-2318%2808%2960109-2). [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-12-007240-8](http://en.wikipedia.org/wiki/Special:BookSources/978-0-12-007240-8). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [6762816](http://www.ncbi.nlm.nih.gov/pubmed/6762816). 
  5. ^ _**[a**_](Special:Random.html#cite_ref-pmid1883340_5-0) _**[b**_](Special:Random.html#cite_ref-pmid1883340_5-1) Cabezas JA (August 1991). ["Some questions and suggestions on the type references of the official nomenclature (IUB) for sialidase(s) and endosialidase"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1151486). _Biochem. J_. 278 ( Pt 1) (Pt 1): 311–2. [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [1151486](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1151486). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [1883340](http://www.ncbi.nlm.nih.gov/pubmed/1883340). 
  6. **[^](Special:Random.html#cite_ref-6)** [Search in UniProt Knowledgebase (Swiss-Prot and TrEMBL) for: neuraminidase](http://www.expasy.org/cgi-bin/sprot-search-de?neuraminidase)
  7. **[^](Special:Random.html#cite_ref-7)** Schmidt PM, Attwood RM, Mohr PG, Barrett SA, McKimm-Breschkin JL (2011) "A Generic System for the Expression and Purification of Soluble and Stable Influenza Neuraminidase". _PLoS ONE_ 6(2): e16284. [[1]](http://www.plosone.org/article/info%3Adoi%2F10.1371%2Fjournal.pone.0016284) [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1371/journal.pone.0016284](http://dx.doi.org/10.1371%2Fjournal.pone.0016284)
  8. **[^](Special:Random.html#cite_ref-pmid8126701_8-0)** Taylor NR, von Itzstein M (March 1994). "Molecular modeling studies on ligand binding to sialidase from influenza virus and the mechanism of catalysis". _Journal of Medicinal Chemistry_ **37** (5): 616–24. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1021/jm00031a011](http://dx.doi.org/10.1021%2Fjm00031a011). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [8126701](http://www.ncbi.nlm.nih.gov/pubmed/8126701). 
  9. **[^](Special:Random.html#cite_ref-isbn0-19-928278-1_9-0)** Drickamer, Kurt; Taylor, Maureen P. (2006). _Introduction to glycobiology_. Oxford [Oxfordshire]: Oxford University Press. pp. 177–178. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-19-928278-1](http://en.wikipedia.org/wiki/Special:BookSources/0-19-928278-1). 
  10. **[^](Special:Random.html#cite_ref-10)** Dyason, Jeffrey C.; Itzstein, Mark von (2001). "Anti-Influenza Virus Drug Design: Sialidase Inhibitors". _Australian Journal of Chemistry_ **54** (11): 663–670. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1071/CH01173](http://dx.doi.org/10.1071%2FCH01173). 
  11. **[^](Special:Random.html#cite_ref-isbn0-8247-5355-0_11-0)** Fgedi, Pťer (2006). _The organic chemistry of sugars_. Washington, DC: Taylor & Francis. pp. 822–823. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-8247-5355-0](http://en.wikipedia.org/wiki/Special:BookSources/0-8247-5355-0). 
  12. **[^](Special:Random.html#cite_ref-pmid8050102_12-0)** von Itzstein M, Wu WY, Jin B (June 1994). "The synthesis of 2,3-didehydro-2,4-dideoxy-4-guanidinyl-N-acetylneuraminic acid: a potent influenza virus sialidase inhibitor". _Carbohydrate Research_ **259** (2): 301–5. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0008-6215(94)84065-2](http://dx.doi.org/10.1016%2F0008-6215%2894%2984065-2). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [8050102](http://www.ncbi.nlm.nih.gov/pubmed/8050102). 
  13. **[^](Special:Random.html#cite_ref-pmid18068975_13-0)** Magesh S, Moriya S, Suzuki T, Miyagi T, Ishida H, Kiso M (January 2008). "Design, synthesis, and biological evaluation of human sialidase inhibitors. Part 1: selective inhibitors of lysosomal sialidase (NEU1)". _Bioorganic & Medicinal Chemistry Letters_ **18** (2): 532–7. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.bmcl.2007.11.084](http://dx.doi.org/10.1016%2Fj.bmcl.2007.11.084). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [18068975](http://www.ncbi.nlm.nih.gov/pubmed/18068975). 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit&section=8)]

  * [Neuraminidase](http://www.nlm.nih.gov/cgi/mesh/2011/MB_cgi?mode=&term=Neuraminidase) at the US National Library of Medicine [Medical Subject Headings](http://en.wikipedia.org/wiki/Medical_Subject_Headings) (MeSH)
  * [Orthomyxoviruses](http://gsbs.utmb.edu/microbook/ch058.htm), Robert B. Couch, UTMB. Article includes a good clear line drawing of a neuraminidase on an influenza virus.

  * [v](http://en.wikipedia.org/wiki/Template:Sugar_hydrolases)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Sugar_hydrolases)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Sugar_hydrolases&action=edit)

[Hydrolase](http://en.wikipedia.org/wiki/Hydrolase): sugar hydrolases ([EC](http://en.wikipedia.org/wiki/Enzyme_Commission_number) 3.2)

[3.2.1](http://en.wikipedia.org/wiki/List_of_EC_numbers_\(EC_3\)#EC_3.2.1:_Glycosidases.2C_i.e._enzymes_hydrolysing_O-_and_S-glycosyl_compounds): [Glycoside hydrolases](http://en.wikipedia.org/wiki/Glycoside_hydrolase)

[Disaccharidase](http://en.wikipedia.org/wiki/Disaccharidase)

  * [Sucrase](http://en.wikipedia.org/wiki/Sucrase)/[Sucrase-isomaltase](http://en.wikipedia.org/wiki/Sucrase-isomaltase)/[Invertase](http://en.wikipedia.org/wiki/Invertase)
  * [Maltase](http://en.wikipedia.org/wiki/Maltase)
  * [Trehalase](http://en.wikipedia.org/wiki/Trehalase)
  * [Lactase](http://en.wikipedia.org/wiki/Lactase)

[Glucosidases](http://en.wikipedia.org/wiki/Glucosidases)

  * [Cellulase](http://en.wikipedia.org/wiki/Cellulase)
  * [Alpha-glucosidase](http://en.wikipedia.org/wiki/Alpha-glucosidase)
    * [Acid](http://en.wikipedia.org/wiki/Acid_alpha-glucosidase)
    * [Neutral AB](http://en.wikipedia.org/wiki/GANAB)
    * [Neutral C](http://en.wikipedia.org/wiki/GANC)
  * [Beta-glucosidase](http://en.wikipedia.org/wiki/Beta-glucosidase)
    * [cytosolic](http://en.wikipedia.org/wiki/GBA3)
  * [Debranching enzyme](http://en.wikipedia.org/wiki/Glycogen_debranching_enzyme)

Other

  * [Amylase](http://en.wikipedia.org/wiki/Amylase)
    * [Alpha-amylase](http://en.wikipedia.org/wiki/Alpha-amylase)
  * [Chitinase](http://en.wikipedia.org/wiki/Chitinase)
  * [Lysozyme](http://en.wikipedia.org/wiki/Lysozyme)
  * **Neuraminidase**
    * [NEU1](http://en.wikipedia.org/wiki/NEU1)
    * [NEU2](http://en.wikipedia.org/wiki/NEU2)
    * [NEU3](http://en.wikipedia.org/wiki/NEU3)
    * [NEU4](http://en.wikipedia.org/wiki/NEU4)
    * [Bacterial neuraminidase](http://en.wikipedia.org/wiki/Bacterial_neuraminidase)
    * [Viral neuraminidase](http://en.wikipedia.org/wiki/Viral_neuraminidase)
  * [Galactosidases](http://en.wikipedia.org/wiki/Galactosidases)
    * [Alpha](http://en.wikipedia.org/wiki/Alpha-galactosidase)
    * [Beta](http://en.wikipedia.org/wiki/Beta-galactosidase)
  * [alpha-Mannosidase](http://en.wikipedia.org/wiki/Alpha-Mannosidase)
  * [Glucuronidase](http://en.wikipedia.org/wiki/Beta-glucuronidase)
  * [Hyaluronidase](http://en.wikipedia.org/wiki/Hyaluronidase)
  * [Pullulanase](http://en.wikipedia.org/wiki/Pullulanase)
  * [Glucosylceramidase](http://en.wikipedia.org/wiki/Glucosylceramidase)
    * [lysosomal](http://en.wikipedia.org/wiki/Glucocerebrosidase)
    * [non-lysosomal](http://en.wikipedia.org/wiki/GBA2)
  * [Galactosylceramidase](http://en.wikipedia.org/wiki/Galactosylceramidase)
  * [Alpha-N-acetylgalactosaminidase](http://en.wikipedia.org/wiki/A-N-acetylgalactosaminidase)
    * [NAGA](http://en.wikipedia.org/wiki/NAGA_\(gene\))
  * [Alpha-N-acetylglucosaminidase](http://en.wikipedia.org/wiki/Alpha-N-acetylglucosaminidase)
  * [Fucosidase](http://en.wikipedia.org/wiki/Fucosidase)
  * [Hexosaminidase](http://en.wikipedia.org/wiki/Hexosaminidase)
    * [HEXA](http://en.wikipedia.org/wiki/HEXA)
    * [HEXB](http://en.wikipedia.org/wiki/HEXB)
  * [Iduronidase](http://en.wikipedia.org/wiki/Iduronidase)
  * [Maltase-glucoamylase](http://en.wikipedia.org/wiki/Maltase-glucoamylase)
  * [Heparanase](http://en.wikipedia.org/wiki/Heparanase)
    * [HPSE2](http://en.wikipedia.org/wiki/HPSE2)

[3.2.2](http://en.wikipedia.org/wiki/List_of_EC_numbers_\(EC_3\)#EC_3.2.2:_Hydrolysing_N-Glycosyl_Compounds): Hydrolysing  
N-Glycosyl compounds

  * [DNA glycosylases](http://en.wikipedia.org/wiki/DNA_glycosylase): [Oxoguanine glycosylase](http://en.wikipedia.org/wiki/Oxoguanine_glycosylase)

  * [B](http://en.wikipedia.org/wiki/Template:Biochemistry_metanavs)
  * [enzm](http://en.wikipedia.org/wiki/Template:Enzymes)
  * [1.1](http://en.wikipedia.org/wiki/Template:Alcohol_oxidoreductases)
    * [2](http://en.wikipedia.org/wiki/Template:Aldehyde/Oxo_oxidoreductases)
    * [3](http://en.wikipedia.org/wiki/Template:CH-CH_oxidoreductases)
    * [4](http://en.wikipedia.org/wiki/Template:CH-NH2_oxidoreductases)
    * [5](http://en.wikipedia.org/wiki/Template:CH-NH_oxidoreductases)
    * [6](http://en.wikipedia.org/wiki/Template:NADH_or_NADPH_oxidoreductases)
    * [7](http://en.wikipedia.org/wiki/Template:Nitrogenous_donor_oxidoreductases)
    * [8](http://en.wikipedia.org/wiki/Template:Sulfur_oxidoreductases)
    * [10](http://en.wikipedia.org/wiki/Template:Diphenol_family_oxidoreductases)
    * [11](http://en.wikipedia.org/wiki/Template:Peroxidases)
    * [13](http://en.wikipedia.org/wiki/Template:Monooxygenases)
    * [14](http://en.wikipedia.org/wiki/Template:Dioxygenases)
    * [15-18](http://en.wikipedia.org/wiki/Template:Other_oxidoreductases)
  * [2.1](http://en.wikipedia.org/wiki/Template:One_carbon_transferases)
    * [2](http://en.wikipedia.org/wiki/Template:Aldehyde-ketone_transferases)
    * [3](http://en.wikipedia.org/wiki/Template:Acyltransferases)
    * [4](http://en.wikipedia.org/wiki/Template:Glycosyltransferases)
    * [5](http://en.wikipedia.org/wiki/Template:Alkyl_and_aryl_transferases)
    * [6](http://en.wikipedia.org/wiki/Template:Nitrogenous_transferases)
    * [7](http://en.wikipedia.org/wiki/Template:Kinases)
      * [2.7.10](http://en.wikipedia.org/wiki/Template:Tyrosine_kinases)
      * [11-12](http://en.wikipedia.org/wiki/Template:Serine/threonine-specific_protein_kinases)
    * [8](http://en.wikipedia.org/wiki/Template:Sulfur-containing_group_transferases)
  * [3.1](http://en.wikipedia.org/wiki/Template:Esterases)
    *       * [3.1.3.48](http://en.wikipedia.org/wiki/Template:Protein_tyrosine_phosphatases)
    * [2](http://en.wikipedia.org/wiki/Template:Sugar_hydrolases)
    * [3](http://en.wikipedia.org/wiki/Template:Ether_bond_hydrolases)
    * [4](http://en.wikipedia.org/wiki/Template:Proteases)
      * [3.4.21](http://en.wikipedia.org/wiki/Template:Serine_endopeptidases)
      * [22](http://en.wikipedia.org/wiki/Template:Cysteine_proteases)
      * [23](http://en.wikipedia.org/wiki/Template:Aspartic_acid_proteases)
      * [24](http://en.wikipedia.org/wiki/Template:Metalloendopeptidases)
    * [5](http://en.wikipedia.org/wiki/Template:Carbon-nitrogen_non-peptide_hydrolases)
    * [6](http://en.wikipedia.org/wiki/Template:Acid_anhydride_hydrolases)
    * [7](http://en.wikipedia.org/wiki/Template:Carbon-carbon_hydrolases)
  * [4.1](http://en.wikipedia.org/wiki/Template:Carbon-carbon_lyases)
    * [2](http://en.wikipedia.org/wiki/Template:Carbon-oxygen_lyases)
    * [3](http://en.wikipedia.org/wiki/Template:Carbon-nitrogen_lyases)
    * [4](http://en.wikipedia.org/wiki/Template:Carbon-sulfur_lyases)
    * [5](http://en.wikipedia.org/wiki/Template:Carbon-halide_lyases)
    * [6](http://en.wikipedia.org/wiki/Template:Phosphorus-oxygen_lyases)
  * [5.1](http://en.wikipedia.org/wiki/Template:Racemases_and_epimerases)
    * [2](http://en.wikipedia.org/wiki/Template:Geometric_isomerases)
    * [3](http://en.wikipedia.org/wiki/Template:Intramolecular_oxidoreductases)
    * [4](http://en.wikipedia.org/wiki/Template:Mutases)
    * [99](http://en.wikipedia.org/wiki/Template:Topoisomerases)
  * [6.1-3](http://en.wikipedia.org/wiki/Template:Ligases_CO_CS_and_CN)
    * [4](http://en.wikipedia.org/wiki/Template:Carbon-carbon_ligases)
    * [5-6](http://en.wikipedia.org/wiki/Template:Phosphoric_ester_and_nitrogen-metal_ligases)

  * [v](http://en.wikipedia.org/wiki/Template:Glycoprotein_metabolism_enzymes)
  * [t](http://en.wikipedia.org/w/index.php?title=Template_talk:Glycoprotein_metabolism_enzymes&action=edit&redlink=1)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Glycoprotein_metabolism_enzymes&action=edit)

[Metabolism](http://en.wikipedia.org/wiki/Metabolism): [carbohydrate metabolism](http://en.wikipedia.org/wiki/Carbohydrate_metabolism) · [glycoprotein](http://en.wikipedia.org/wiki/Glycoprotein) [enzymes](http://en.wikipedia.org/wiki/Enzyme)

Anabolism

  * [Dolichol kinase](http://en.wikipedia.org/wiki/Dolichol_kinase)
  * [GCS1](http://en.wikipedia.org/wiki/GCS1)
  * [Oligosaccharyltransferase](http://en.wikipedia.org/wiki/Oligosaccharyltransferase)

Catabolism

  * **Neuraminidase**
  * [Beta-galactosidase](http://en.wikipedia.org/wiki/Beta-galactosidase)
  * [Hexosaminidase](http://en.wikipedia.org/wiki/Hexosaminidase)
  * _[mannosidase](http://en.wikipedia.org/wiki/Mannosidase)_
    * [alpha-Mannosidase](http://en.wikipedia.org/wiki/Alpha-Mannosidase)
    * [beta-mannosidase](http://en.wikipedia.org/wiki/Beta-mannosidase)
  * [Aspartylglucosaminidase](http://en.wikipedia.org/wiki/Aspartylglucosaminidase)
  * [Fucosidase](http://en.wikipedia.org/wiki/Fucosidase)
  * [NAGA](http://en.wikipedia.org/wiki/NAGA_\(gene\))

Transport

  * [SLC17A5](http://en.wikipedia.org/wiki/SLC17A5)

[M6P](http://en.wikipedia.org/wiki/Mannose-6-phosphate) tagging

  * [N-acetylglucosamine-1-phosphate transferase](http://en.wikipedia.org/wiki/N-acetylglucosamine-1-phosphate_transferase)

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [MET](http://en.wikipedia.org/wiki/Inborn_error_of_metabolism)

[mt](http://en.wikipedia.org/wiki/Template:Metabolism), [k](http://en.wikipedia.org/wiki/Template:Citric_acid_cycle_enzymes_and_ETC), [c](http://en.wikipedia.org/wiki/Template:Glycolysis_enzymes)/[g](http://en.wikipedia.org/wiki/Template:Glycogenesis_and_glycogenolysis_enzymes)/[r](http://en.wikipedia.org/wiki/Template:Fructose_and_galactose_metabolism_enzymes)/[p](http://en.wikipedia.org/wiki/Template:Pentose_phosphate_pathway_enzymes)/[y](http://en.wikipedia.org/wiki/Template:Glycoprotein_metabolism_enzymes)/[i](http://en.wikipedia.org/wiki/Template:Proteoglycan_metabolism_enzymes), [f](http://en.wikipedia.org/wiki/Template:Lipid_metabolism_enzymes)/[h](http://en.wikipedia.org/wiki/Template:Phospholipid_metabolism)/[s](http://en.wikipedia.org/wiki/Template:Cholesterol_and_steroid_metabolism_enzymes)/[l](http://en.wikipedia.org/wiki/Template:Lipoprotein_metabolism)/[o](http://en.wikipedia.org/wiki/Template:Glycolipid/sphingolipid_metabolism_enzymes)/[e](http://en.wikipedia.org/wiki/Template:Eicosanoid_metabolism_enzymes), [a](http://en.wikipedia.org/wiki/Template:Amino_acid_metabolism_enzymes)/[u](http://en.wikipedia.org/wiki/Template:Urea_cycle_enzymes), [n](http://en.wikipedia.org/wiki/Template:Nucleotide_metabolism_enzymes), [m](http://en.wikipedia.org/wiki/Template:Porphyrin_metabolism_enzymes)

[k](http://en.wikipedia.org/wiki/Template:Disorders_of_TCA_and_ETC), [cgrp](http://en.wikipedia.org/wiki/Template:Inborn_errors_of_carbohydrate_metabolism)/[y](http://en.wikipedia.org/wiki/Template:Glycoprotein_disorders)/[i](http://en.wikipedia.org/wiki/Template:Proteoglycan_disorders), [f](http://en.wikipedia.org/wiki/Template:Fatty-acid_metabolism_disorders)/[h](http://en.wikipedia.org/wiki/Template:Phospholipid_metabolism_disorders)/[s](http://en.wikipedia.org/wiki/Template:Defects_of_cholesterol_and_steroid_metabolism)/[l](http://en.wikipedia.org/wiki/Template:Lipid_metabolism_disorders)/[o](http://en.wikipedia.org/wiki/Template:Lipid_storage_disorders)/[e](http://en.wikipedia.org/wiki/Template:Eicosanoid_metabolism_disorders), [au](http://en.wikipedia.org/wiki/Template:Amino_acid_metabolic_pathology), [n](http://en.wikipedia.org/wiki/Template:Inborn_errors_of_purine-pyrimidine_metabolism), [m](http://en.wikipedia.org/wiki/Template:Heme_metabolism_disorders), [epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_endocrinology,_nutrition,_and_metabolism)

m ([A16](http://en.wikipedia.org/wiki/ATC_code_A16)/[C10](http://en.wikipedia.org/wiki/Template:Lipid_modifying_agents)), i ([k](http://en.wikipedia.org/wiki/Template:Citric_acid_cycle), [c](http://en.wikipedia.org/wiki/Template:Glycolysis)/[g](http://en.wikipedia.org/wiki/Template:Glycogenesis_and_glycogenolysis_metabolic_intermediates)/[r](http://en.wikipedia.org/wiki/Template:Fructose_and_galactose_metabolic_intermediates)/[p](http://en.wikipedia.org/wiki/Template:Pentose_phosphate_pathway_intermediates)/[y](http://en.wikipedia.org/wiki/Template:Glycoproteins)/[i](http://en.wikipedia.org/wiki/Template:Glycosaminoglycans), [f](http://en.wikipedia.org/wiki/Template:Fatty-acid_metabolism_intermediates)/[h](http://en.wikipedia.org/wiki/Template:Phospholipids)/[s](http://en.wikipedia.org/wiki/Template:Cholesterol_and_steroid_intermediates)/[o](http://en.wikipedia.org/wiki/Template:Sphingolipids)/[e](http://en.wikipedia.org/wiki/Template:Eicosanoids), [a](http://en.wikipedia.org/wiki/Template:Amino_acid_metabolism_intermediates)/[u](http://en.wikipedia.org/wiki/Template:Urea_cycle), [n](http://en.wikipedia.org/wiki/Template:Nucleotide_metabolism_intermediates), [m](http://en.wikipedia.org/wiki/Template:Heme_metabolism_intermediates))

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Neuraminidase&oldid=596579369](http://en.wikipedia.org/w/index.php?title=Neuraminidase&oldid=596579369)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Genes on chromosome 6](http://en.wikipedia.org/wiki/Category:Genes_on_chromosome_6)
  * [Genes on chromosome 2](http://en.wikipedia.org/wiki/Category:Genes_on_chromosome_2)
  * [Genes on chromosome 11](http://en.wikipedia.org/wiki/Category:Genes_on_chromosome_11)
  * [Carbohydrate chemistry](http://en.wikipedia.org/wiki/Category:Carbohydrate_chemistry)
  * [EC 3.2.1](http://en.wikipedia.org/wiki/Category:EC_3.2.1)
  * [Glycobiology](http://en.wikipedia.org/wiki/Category:Glycobiology)
  * [Neuraminidase inhibitors](http://en.wikipedia.org/wiki/Category:Neuraminidase_inhibitors)

Hidden categories: 

  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from July 2007](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_July_2007)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Neuraminidase&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Neuraminidase)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Neuraminidase)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Neuraminidase)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Neuraminidase)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Neuraminidase&oldid=596579369)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Neuraminidase&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q409485)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Neuraminidase&id=596579369)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Neuraminidase)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Neuraminidase&oldid=596579369&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Neuraminidase&printable=yes)

### Languages

    * [Català](http://ca.wikipedia.org/wiki/Neuraminidasa)
    * [Čeština](http://cs.wikipedia.org/wiki/Neuraminid%C3%A1za)
    * [Deutsch](http://de.wikipedia.org/wiki/Neuraminidase)
    * [Español](http://es.wikipedia.org/wiki/Neuraminidasa)
    * [Esperanto](http://eo.wikipedia.org/wiki/Ne%C5%ADraminidaso)
    * [Français](http://fr.wikipedia.org/wiki/Neuraminidase)
    * [Hrvatski](http://hr.wikipedia.org/wiki/Neuraminidaza)
    * [Italiano](http://it.wikipedia.org/wiki/Endo-alfa-sialidasi)
    * [Magyar](http://hu.wikipedia.org/wiki/Neuraminid%C3%A1z)
    * [Nederlands](http://nl.wikipedia.org/wiki/Neuraminidase)
    * [日本語](http://ja.wikipedia.org/wiki/%E3%83%8E%E3%82%A4%E3%83%A9%E3%83%9F%E3%83%8B%E3%83%80%E3%83%BC%E3%82%BC)
    * [Polski](http://pl.wikipedia.org/wiki/Neuraminidaza)
    * [Português](http://pt.wikipedia.org/wiki/Neuraminidase)
    * [Română](http://ro.wikipedia.org/wiki/Neuraminidaz%C4%83)
    * [Русский](http://ru.wikipedia.org/wiki/%D0%9D%D0%B5%D0%B9%D1%80%D0%B0%D0%BC%D0%B8%D0%BD%D0%B8%D0%B4%D0%B0%D0%B7%D0%B0)
    * [Slovenščina](http://sl.wikipedia.org/wiki/Nevraminidaza)
    * [Српски / srpski](http://sr.wikipedia.org/wiki/Ekso-a-sijalidaza)
    * [Srpskohrvatski / српскохрватски](http://sh.wikipedia.org/wiki/Ekso-a-sijalidaza)
    * [Suomi](http://fi.wikipedia.org/wiki/Neuraminidaasi)
    * [Tiếng Việt](http://vi.wikipedia.org/wiki/Neuraminidase)
    * [中文](http://zh.wikipedia.org/wiki/%E7%A5%9E%E7%BB%8F%E6%B0%A8%E9%85%B8%E9%85%B6)
    *     * [Edit links](http://www.wikidata.org/wiki/Q409485#sitelinks-wikipedia)

    * This page was last modified on 22 February 2014 at 02:30.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Neuraminidase)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
