# Papyrus 101

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

[New Testament manuscripts](http://en.wikipedia.org/wiki/Biblical_manuscript#New_Testament_manuscripts)  
[papyri](http://en.wikipedia.org/wiki/List_of_New_Testament_papyri) • [uncials](http://en.wikipedia.org/wiki/List_of_New_Testament_uncials) • [minuscules](http://en.wikipedia.org/wiki/Lists_of_New_Testament_minuscules) • [lectionaries](http://en.wikipedia.org/wiki/List_of_New_Testament_lectionaries)

Papyrus **101**

![P101-Mat-3 10-12-POxy4401-III.jpg](../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/P101-Mat-3_10-12-POxy4401-III.jpg/220px-P101-Mat-3_10-12-POxy4401-III.jpg)

Name
[P. Oxy. 4401](http://en.wikipedia.org/wiki/Oxyrhynchus_Papyri)

Sign
![\\mathfrak{P}](../../upload.wikimedia.org/math/c/3/9/c3945eee4633c095c5059f9a67aca5f7.png)101

Text
[Gospel of Matthew](http://en.wikipedia.org/wiki/Gospel_of_Matthew) 3:10-12; 3:16-4:3

Date
3rd century

Script
[Greek](http://en.wikipedia.org/wiki/Greek_language)

Found
Oxyrhynchus, Egypt

Now at
[Sackler Library](http://en.wikipedia.org/wiki/Sackler_Library)

Cite
J. David Thomas, OP LXIV (1997), pp. 20-24.

Size
19 x 7.5 cm

Type
[Alexandrian text-type](http://en.wikipedia.org/wiki/Alexandrian_text-type)

**Papyrus 101** (in the [Gregory-Aland](http://en.wikipedia.org/wiki/Biblical_manuscript#Gregory-Aland) numbering), designated by ![\\mathfrak{P}](../../upload.wikimedia.org/math/c/3/9/c3945eee4633c095c5059f9a67aca5f7.png)101, is an early copy of the [New Testament](http://en.wikipedia.org/wiki/New_Testament) in [Greek](http://en.wikipedia.org/wiki/Greek_language). It is a [papyrus](http://en.wikipedia.org/wiki/Papyrus) [manuscript](http://en.wikipedia.org/wiki/Manuscript) of the [Gospel of Matthew](http://en.wikipedia.org/wiki/Gospel_of_Matthew). The surviving texts of Matthew are verses 3:10-12; 3:16-4:3, they are in a fragmentary condition. The manuscript [palaeographically](http://en.wikipedia.org/wiki/Palaeography) has been assigned to the 3rd century.[[1]](Special:Random.html#cite_note-INTF-1)

Text

The Greek text of the codex is a representative of the [Alexandrian text-type](http://en.wikipedia.org/wiki/Alexandrian_text-type).

Location

The manuscript is currently housed at the [Sackler Library](http://en.wikipedia.org/wiki/Sackler_Library) (Papyrology Rooms, P. Oxy. 4401) at [Oxford](http://en.wikipedia.org/wiki/Oxford).[[1]](Special:Random.html#cite_note-INTF-1)

## Contents

  * [1 Textual Variants](Special:Random.html#Textual_Variants)
  * [2 See also](Special:Random.html#See_also)
  * [3 References](Special:Random.html#References)
  * [4 Further reading](Special:Random.html#Further_reading)
  * [5 External links](Special:Random.html#External_links)
    * [5.1 Images](Special:Random.html#Images)
    * [5.2 Official registration](Special:Random.html#Official_registration)

## Textual Variants[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=1)]

  * 3:10: **εις** (into) becomes **προς** (towards).
  * 3:11: omits **οπισω μου** (after me).
  * 3:11: **βαστασαι** (to bear) is changed to **λυσαι** (to untie). The missing space on the line above could also include **κυφας** (bending down), therefore almost conforming the text to the same as Mark 1:7.
  * 3:16: **ωσαι** (as if it were) becomes **ως** (like).
  * 3:16: **και** (and) is omitted from after **περιστεραν** (dove).
  * 3:17: **ευδοκησα** (well pleased) becomes **ηυδοκησα**, a variant spelling.
  * 4:2: **ημερας τεσσερακοντα και νυκτας τεσσερακοντα** (days forty and nights forty) becomes **μ ημερας και μ νυκτας** (forty days and forty nights (the numeral μ representing "forty")).

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=2)]

  * [List of New Testament papyri](http://en.wikipedia.org/wiki/List_of_New_Testament_papyri)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=3)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-INTF_1-0) _**[b**_](Special:Random.html#cite_ref-INTF_1-1) ["Liste Handschriften"](http://intf.uni-muenster.de/vmr/NTVMR/ListeHandschriften.php?ObjID=10101). Münster: Institute for New Testament Textual Research. Retrieved 27 August 2011. 

## Further reading[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=4)]

  * J. David Thomas, _The Oxyrhynchus Papyri LXIV_ (London: 1997), pp. 20–24.
  * [Comfort, Philip W.](http://en.wikipedia.org/w/index.php?title=Philip_Comfort&action=edit&redlink=1); David P. Barrett (2001). _The Text of the Earliest New Testament Greek Manuscripts_. Wheaton, Illinois: Tyndale House Publishers. pp. 636–638. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-8423-5265-9](http://en.wikipedia.org/wiki/Special:BookSources/978-0-8423-5265-9). 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=5)]

![Portal icon](../../upload.wikimedia.org/wikipedia/commons/thumb/0/01/Bible.malmesbury.arp.jpg/32px-Bible.malmesbury.arp.jpg)
[Bible portal](http://en.wikipedia.org/wiki/Portal:Bible)

### Images[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=6)]

  * [P.Oxy.LXVI 4401](http://www.csad.ox.ac.uk/POxy/papyri/vol64/pages/4401.htm) from Papyrology at Oxford's "POxy: Oxyrhynchus Online"
  * ![\\mathfrak{P}](../../upload.wikimedia.org/math/c/3/9/c3945eee4633c095c5059f9a67aca5f7.png)[101 recto](http://chrles.multiply.com/photos/album/27/Bible_Papyrus_p101#2) 3:10-12
  * ![\\mathfrak{P}](../../upload.wikimedia.org/math/c/3/9/c3945eee4633c095c5059f9a67aca5f7.png)[101 verso](http://chrles.multiply.com/photos/album/27/Bible_Papyrus_p101#3) 3:16-4:3

### Official registration[[edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit&section=7)]

  * ["Continuation of the Manuscript List"](http://www.uni-muenster.de/NTTextforschung/KgLSGII08_02_27.pdf) Institute for New Testament Textual Research, [University of Münster](http://en.wikipedia.org/wiki/University_of_M%C3%BCnster). Retrieved April 9, 2008
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Papyrus_101&oldid=540631595](http://en.wikipedia.org/w/index.php?title=Papyrus_101&oldid=540631595)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [New Testament papyri](http://en.wikipedia.org/wiki/Category:New_Testament_papyri)
  * [3rd-century biblical manuscripts](http://en.wikipedia.org/wiki/Category:3rd-century_biblical_manuscripts)
  * [Early Greek manuscripts of the New Testament](http://en.wikipedia.org/wiki/Category:Early_Greek_manuscripts_of_the_New_Testament)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Papyrus+101&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Papyrus+101)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/w/index.php?title=Talk:Papyrus_101&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Papyrus_101)
  * [Related changes](/wiki/Special:RecentChangesLinked/Papyrus_101)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Papyrus_101&oldid=540631595)
  * [Page information](/w/index.php?title=Papyrus_101&action=info)
  * [Data item](//www.wikidata.org/wiki/Q1569042)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Papyrus_101&id=540631595)

### Print/export

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Papyrus_101)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Papyrus_101)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Papyrus_101&oldid=540631595)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Papyrus_101&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q1569042)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Papyrus_101&id=540631595)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Papyrus+101)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Papyrus+101&oldid=540631595&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Papyrus_101&printable=yes)

### Languages

    * [Deutsch](http://de.wikipedia.org/wiki/Papyrus_101)
    * [Bahasa Indonesia](http://id.wikipedia.org/wiki/Papirus_101)
    * [Nederlands](http://nl.wikipedia.org/wiki/Papyrus_101)
    * [Polski](http://pl.wikipedia.org/wiki/Papirus_101)
    * [Português](http://pt.wikipedia.org/wiki/Papiro_101)
    *     * [Edit links](http://www.wikidata.org/wiki/Q1569042#sitelinks-wikipedia)

    * This page was last modified on 26 February 2013 at 14:12.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Papyrus_101)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
