# Peter Muller (architect)

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

Peter Muller

Born
3 July 1927  
[Adelaide](http://en.wikipedia.org/wiki/Adelaide), [Australia](http://en.wikipedia.org/wiki/Australia)

Nationality
Australian

Buildings
Audette House  
Muller House  
Richardson House  
Hoyts Cinema Centre  
Amandari Hotel

**Peter Muller** AO is an Adelaide born architect who established private practice in Sydney in 1952 with works in NSW, Sydney, Victoria, Melbourne, Adelaide South Australia, Bali and Lombok. Muller's organic conception of architecture gives him an important place in post-war Australian Architecture.

## Contents

  * [1 Personal life](Special:Random.html#Personal_life)
    * [1.1 Early Years and Education](Special:Random.html#Early_Years_and_Education)
    * [1.2 Working Life](Special:Random.html#Working_Life)
  * [2 Notable Projects](Special:Random.html#Notable_Projects)
    * [2.1 Richardson House](Special:Random.html#Richardson_House)
    * [2.2 Hoyts Cinema Centre](Special:Random.html#Hoyts_Cinema_Centre)
  * [3 Publications[8]](Special:Random.html#Publications.5B8.5D)
    * [3.1 Publications by Peter Muller](Special:Random.html#Publications_by_Peter_Muller)
    * [3.2 Publications on Peter Muller](Special:Random.html#Publications_on_Peter_Muller)
  * [4 Complete List of Works [8]](Special:Random.html#Complete_List_of_Works_.5B8.5D)
  * [5 References](Special:Random.html#References)
  * [6 External links](Special:Random.html#External_links)

## Personal life[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=1)]

### Early Years and Education[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=2)]

Peter Neil Muller was born in Adelaide on 3 July 1927. He was educated at St Peter’s College, an independent boy’s school, from 1942 to 1944. He studied at the University of Adelaide graduating with the Degree of Bachelor of Engineering together with the South Australian School of Mines and Industries graduating with a Fellowship in Architecture in 1948. He was the only student to ever completed both courses in 4 years, under the scheduled time of 5-7 years. He was founding President of the University of Adelaide’s Architectural Students’ Association during 1948 and was the first winner of the Board of Architectural Education and Royal Australian Institute of Architect’s traveling scholarship in 1947. He was the first Australian architect to win a Fulbright Traveling Scholarship and was awarded a Graduate Tuition Scholarship at the University of Pennsylvania, Philadelphia, USA in 1950/1951 where he obtained a Master of Architecture degree, the first for an Australian architect. He was also awarded Honorary Membership in the Tau Sigma Delta Honour Society of Architecture and Allied Arts, USA. At the age of 21 he became a Registered Architect and an Associate of the Royal Australian and British Institutes of Architects. He began private practice in Sydney in 1952 at the age of 24.

In 1953, Muller married Rosemary Winn Patrick. They had three children named Peter, Suzy and James. In 1964 they divorced and he married Carole Margaret Mason whom he also divorced in 1991. He remarried, but three years after the death of his third wife Helen Hayes in 2001, he returned to Sydney and reunited with Carole. He currently resides in Sydney.[[1]](Special:Random.html#cite_note-ADB-1)

### Working Life[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=3)]

Muller holds a significant place in Australian architecture as he takes an alternative approach of design to the style at the time, being that of the modern movement.[[2]](Special:Random.html#cite_note-PROFILE-2) He has travelled and lived in many places around the world including France, London, Bali, South Australia and Sydney.[[1]](Special:Random.html#cite_note-ADB-1) He had several influences including Adrian Snodgrass (1952), Albert Read (1954) and lastly, Frank Lloyd Wright (1952) whom only “influenced him on the Audette house at the beginning of his practice” (Peter Neil Muller).[[3]](Special:Random.html#cite_note-INFLUENCES-3) In Sydney 1953, Muller worked in his own architectural practice called ‘The Office of Peter Muller’. He was strongly determined to avoid synthetic finishes and instead used natural materials as he felt strongly about the Australian landscape. This is reflected in many of his Sydney contemporaries.[[2]](Special:Random.html#cite_note-PROFILE-2)

He later moved to Marulan in New South Wales where he practiced at home in his grazing property ‘Glenrock’.[[1]](Special:Random.html#cite_note-ADB-1) In 1962 Muller tutored at the University of New South Wales and worked as a director of the National Capital Branch of the National Capital Development Commission in Canberra from 1975 to 1977. This helped and allowed him to author ‘The Esoteric Nature of Griffin’s Design for Canberra’ in 1976.[[1]](Special:Random.html#cite_note-ADB-1)

Shortly later in 1978 he was the founding Principal of Regional Design and Research and he has acted independently from locations all around the world as a consultant for ‘Peter Muller International'.[[1]](Special:Random.html#cite_note-ADB-1)

He has dominant works in Victoria, including the Hoyts Cinema Centre in Bourke St. Melbourne and in South Australia, including ‘The Michell House’ on Robe Terrace, Adelaide (1964) and the Head Office of I.P.E.C. in Frewville, Adelaide. Conversely, his works in Bali, Indonesia, where he first visited in 1970, such as the Oberoi and Amandari hotels had a strong cultural and spiritual presence.[[4]](Special:Random.html#cite_note-4)

## Notable Projects[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=4)]

### Richardson House[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=5)]

**949 Barrenjoey Road, Palm Beach, Sydney, Australia, 1956**

As like many of Peter Muller’s designs, this one began with extensive research of the site. Muller designed this house to sit on the edge of a cliff face, seven metres below the adjoining road and fifteen metres above the water. One design key was the use of circles as the primary motif. This motif came from the form of a large rock already on the site. Twenty-nine hollow cylinders, made of curved concrete blocks and of a natural grey and green appearance, made up the main support system. Muller was very much a designer of organic architecture and this design was no exception, with all the interior spaces being connected and freely flowing.[[5]](Special:Random.html#cite_note-5)

### Hoyts Cinema Centre[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=6)]

**134-144 Bourke Street, Melbourne, Australia**

The Hoyts cinema Centre, designed in 1966 and completed in 1969 is considered unique due to the shape of the building, taking similar traits to an upside down oriental pagoda was seen to be of considerable interest in the local area. In fact the design was based on a structural idea of bracketing each floor out similar to the way in which very wide eave overhangs were created in Chinese and Japanese roofs. The interior of the cinema Centre, being decorated with natural surfaces such as timber wall and ceiling surfacing has a ‘subterranean’ feel to many of its spaces. Careful articulation of natural lighting and indoor planter boxes adds to this ambiance. Muller believed in using natural surfaces, so there is minimal use of synthetic surfaces on the complex.[[6]](Special:Random.html#cite_note-6)

This particular building is the largest built project by Peter Muller and was the first ‘cinema centre’ of its kind in Australia; housing three screens in the complex.[[7]](Special:Random.html#cite_note-7)

## Publications[[8]](Special:Random.html#cite_note-PM-8)[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=7)]

### Publications by Peter Muller[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=8)]

**Monograph**

  * The Esoteric Nature of Griffin's Design for Canberra, Canberra 1976[[9]](Special:Random.html#cite_note-9)

**Books**

  * The New and Permanent Parliament House, with others, Canberra 1977
  * Canberra and the New Parliament House, with others, Dee Why West, New South Wales 1983

### Publications on Peter Muller[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=9)]

**Books**

  * An Australian Identity by Jennifer Taylor, Sydney 1972
  * Fine Houses of Sydney by Robert Irving, John Kinstler and Max Dupain, Sydney 1982
  * Architecture Bali by Bingham-Hall, Pesaro Publications 2000
  * Peter Muller by Jacqueline C. Urford (388 page editions) 2013 [[10]](Special:Random.html#cite_note-10)
  * Seven books on or by Peter Muller[[11]](Special:Random.html#cite_note-11)

**Articles**

  * "Molinari House" in Architecture and Arts (Melbourne), July 1954
  * "Audette House" in Architecture in Australia (Sydney), July/September 1955
  * Special issue on Peter Muller in Architecture and Arts (Melbourne), December 1955
  * "Peter Muller House" in Architecture in Australia (Sydney), January/March 1956
  * "Richardon House" in Architecture and Arts (Melboume), August 1956
  * "House by Peter Muller" in La Architettura (Rome), August 1958
  * "Craftbuilt Houses" in Architecture in Australia (Sydney), September 1961
  * article by David Saunders in Art and Architecture (Sydney), June 1971
  * Numerous illustrated articles in The Australian Home Beautiful, Voque Australia/ France, Belle, 1955–1999

**Theses**

  * "Peter Muller Domestic Architecture-The First Ten Years" by J.C.Urford 1984, in 6 Volumes, University of Sydney
  * "The Architecture of Peter Muller " by J.C. Urford 1993 in 9 Volumes, University of Sydney
  * "Discriminating Eyes in Bali, Indonesia" by Vanessa R. Preisler, University of Oregon, U.S.A.

## Complete List of Works [[8]](Special:Random.html#cite_note-PM-8)[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=10)]

  * 1952 
    * Audette House, Edinburgh Road, Castlecrag, Sydney
    * Olympic Stadium Competition, Melbourne, Vic.
  * 1953 
    * Molinari House, Forestville, Sydney.
  * 1954 
    * Winns Department Store, Ware St, Fairfield, Sydney
    * Muller House, 42 Bynya Road, Whale Beach, Sydney
  * 1955 
    * Walcott House. 40 Bynya Road. Whale Beach, Sydney
    * Palm Beach Real Estate offices, Palm Beach
    * Sydney Opera House Competition
    * Barnaby House, Beaumont, Texas, U.S.A.
    * Slyper House, Holland.
  * 1956 
    * Richardson House, 949 Barrenjoey Road, Palm Beach,
  * 1957 
    * McGrath House, 4 Dunara Gardens. Pt Piper,Sydney
    * Nicholson House, Angophora Cres, Forestville, Sydney
    * Commonwealth Bank, Taree
    * Commonwealth Bank Eastwood.
    * Coogee Apartment Block for Dr. R. Stewart-Jones
  * 1958 
    * Walker House, 21 Arterial Road, St. Ives, Sydney
    * Palm Beach Kindergarten, Palm Beach, NSW
    * Victa H.O., 318 Horsley Road, Milperra, Sydney •
    * Ward House, Foote St. Templestowe. Melboume, Vic.
  * 1959 
    * Sculfer House, Livistonia Lane, Palm Beach.Sydney
    * Richardson Ski Lodge, Thredbo Village. N.S.W.
    * Fogarty House, Dunalister Stud, Elmore, Victoria
  * 1960 
    * Southside Plaza Shopping Centre, Rockdale, Sydney
    * Rockdale Plaza Ten Pin Bowling Centre
    * McGrath/O'Neill Ski Lodge, Thredbo Village, NSW
    * Gunning House, 369 Edinburgh Rd, Castlecrag, NSW
    * Hoyts Cinema Centre, Newcastle, N.S.W.
  * 1960/78 
    * Eight Craftbuilt Prototype Houses, various locations.
  * 1961 
    * Patrick House, The Scarp, Castlecrag, Sydney
    * Park House, Prince Alfred Parade, Newport, Sydney
  * 1962 
    * Creaser House, I Womerah Street, Turramurra, Sydney
    * Hamilton House, I Pindari Place, Bayview, Sydney
    * Purcell House, 14 Fisher Street, Balgowlah, Sydney
    * Lance House, I Lindsay Avenue, Darling Point, Sydney
    * Barling House, 4 Paradise Ave., Clareville, Sydney.
  * 1963 
    * Barton House. Morella Place, Castlecove, Sydney
    * Green House, 7 Wolseley Road, Point Piper, Sydney
    * Walder House, Cabarita Road, Stokes Point, Sydney
  * 1964 
    * Lance House, Coolong Road, Vaucluse, Sydney
    * Mitchell House, 20 Robe Terrace, Medindie, S.A.
    * I.P.E.C. H.O. 259 Glen Osmond Rd. Frewville, S.A.
    * Greenwood House, Mulgowrie Ave, Balgowlah, Sydney.
  * 1965 
    * Walder House, 61a Kambala Road, Bellevue Hill.
    * I.P.E.C. Airfreight Terminal, Launceston, Tasmania
    * Carroll House, Rockbath Road, Palm Beach, Sydney
    * McArthur House, Tor Walk, Castlecrag, Sydney.
  * 1966 
    * Dickson Hotel, Dickson, Canberra, A.C.T.
    * Hoyts Drive-in theatre, Tamworth, N.S.W.
  * 1967 
    * Hoyts Drive-in theatre, Casula, Sydney
    * Hoyts Cinema Centre, Bourke St. Melbourne
  * 1968 
    * McGrath House, 8 Castra Pl, Double Bay, Sydney
    * Hoyts Drive-in theatre, Bulleen Rd., Melbourne.
    * Hoyts Drive-in theatre, Wantirna, Vic.
    * Regent/Paris theatres & arcade, Rundle St. Adelaide (Redesigned and rebuilt by a local firm of architects)
    * Walsh house, 7 St. Andrews Drive, Glen Osmond.
    * Schwartz house, Palmerston St. Watson's Bay, Sydney
  * 1969 
    * Townhouses, Trelawney St., Woollahra, Sydney
    * Turner House, 8 Sylvan Ave. East Lindfield, Sydney
  * 1969-1971 
    * Five projects for Tony Bambridge, Tahiti
  * 1970 
    * Matahari Hotel, Sanur Beach Bali
    * Dulhunty homestead, Nant Lodge, Glen Innes, N.S.W.
    * Steidler house, 7a Wentworth St. Pt. Piper, Sydney
    * "Winderadeen" homestead restoration + manager's house (Lake George, for Mr. & Mrs. Garner Anthony, Honolulu).
    * Coolangata Apartment Tower, Queensland.
  * 1971 
    * Snider house, 12 Wolseley Rd. Pt. Piper, Sydney
    * Woolf house, 7 Gulliver Ave. Vaucluse, Sydney
    * Burrell Homestead, Rockdale, Armidale, N.S.W.
  * 1972 
    * Peter Muller house, Campuan, Bali, Indonesia
  * 1973 
    * Kayu Aya Hotel, Seminyak, Bali, Indonesia.
  * 1975-77 
    * Director, National Capital Development Commission to set up criteria for Parliament House competition
  * 1977-2001 
    * The Bali Oberoi, (continuous upgrading of Kayu Aya)
  * 1978 
    * Establishment of Regional Design and Research RDR
    * Lian Cove Beach hotel, Batangas, Luzon, Philippines
    * 1,200 luxury housing settlement, Jubail, Saudi Arabia
  * 1979 
    * Peter Muller house, Unawatuna Beach via Galle, Sri Lanka, begun 1977.
    * Travelodge Condominium Apartments, Papette, Tahiti
  * 1980 
    * The Oberoi Kolva Beach resort hotel, Goa, India
  * 1982 
    * The Karnak Oberoi hotel, Luxor, Egypt
    * Si-Rusa resort hotel development, Pt. Dickson, Malaysia
  * 1983 
    * 67 Townhouses, Sailfish Pt. Gold Coast, Queensland
  * 1985 
    * Williams House, 64 Minkara Rd. Bayview Heights, Sydney
  * 1988-89 
    * Amandari Hotel, Kedewatan, Bali, Indonesia.
  * 1994 
    * Amandari Village (13 luxury estates), Kedewatan, Bali
  * 1995-1998 
    * Antap West Bali Luxury housing estate.
    * The Oberoi Ubud, Bali, Indonesia.
    * The Oberoi Bedugal, Bali, Indonesia.
    * Canyon Ranch Health Complex, West Bali, Indonesia.
  * 1997 
    * The Oberoi Lombok, Indonesia
  * 1998 
    * Canyon Ranch health complex, Masala Alam, Red Sea
    * Amandari Village Show Villa built.
  * 2007 
    * Prickle Farm, Ilford, NSW for daughter Suzy Flowers
    * Restorations
  * 1964-85 
    * "Glenrock" homestead, Marulan for Peter Muller
  * 1970 
    * "Winderadeen" homestead, Lake George, N.S.W. for Mr. & Mrs. Garner Anthony, Honolulu.
  * 1972-87 
    * Peter Muller house, Campuan, Bali
  * 1977 
    * Peter Muller house, Unawatuna Beach (Galle) Sri Lanka
  * 1997-2003 
    * Hayes Lodge, Loches, France (1679). for Helen Hayes
    * "Kookynie" homestead, Clare, S.A. for Peter Muller

## References[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=11)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-ADB_1-0) _**[b**_](Special:Random.html#cite_ref-ADB_1-1) _**[c**_](Special:Random.html#cite_ref-ADB_1-2) _**[d**_](Special:Random.html#cite_ref-ADB_1-3) _**[e**_](Special:Random.html#cite_ref-ADB_1-4) Architect's Database, ["Peter Muller"](http://www.architectsdatabase.unisa.edu.au/arch_full.asp?Arch_ID=48). Accessed 8 April 2011.
  2. ^ _**[a**_](Special:Random.html#cite_ref-PROFILE_2-0) _**[b**_](Special:Random.html#cite_ref-PROFILE_2-1) Professor Philip Drew, ["Profile on Peter Muller"](http://www.members.optusnet.com.au/pnmuller/drew1.html). Accessed 12/04/2011.
  3. **[^](Special:Random.html#cite_ref-INFLUENCES_3-0)** Quotation by Peter Muller, ["Influences"](http://www.members.optusnet.com.au/pnmuller/influences.html). Accessed 8 April 2011
  4. **[^](Special:Random.html#cite_ref-4)** Muller, P. to Johnson, D.L., 15 June 1996. Correspondence in possession of Christine Garnaut, University of South Australia.
  5. **[^](Special:Random.html#cite_ref-5)** Robert Irving, John Kinstler and Max Dupain, "Fine Houses of Sydney" p160-169. Published 1982 by Methuen Australia.
  6. **[^](Special:Random.html#cite_ref-6)** ["Walking Melbourne"](http://www.walkingmelbourne.com/forum/viewtopic.php?f=3&t=4974). Accessed 7 April 2011.
  7. **[^](Special:Random.html#cite_ref-7)** National Trust Database; file number B6961, ["Hoyts Cinema Centre"](http://vhd.heritage.vic.gov.au/search/nattrust_result_detail/64476). Accessed 9 April 2010.
  8. ^ _**[a**_](Special:Random.html#cite_ref-PM_8-0) _**[b**_](Special:Random.html#cite_ref-PM_8-1) Peter Muller ["Peter Muller - Architect"](http://www.petermuller.org/) Accessed 5 April 2011
  9. **[^](Special:Random.html#cite_ref-9)** [Griffin Memorial Lecture](http://www.pnmull.supanet.com/) (Viewable Online)
  10. **[^](Special:Random.html#cite_ref-10)** [[1]](http://www.blurb.com/tags/urford)(Viewable Online)
  11. **[^](Special:Random.html#cite_ref-11)** [[2]](http://www.blurb.com/tags/petermuller)(Viewable Online)

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit&section=12)]

  * _[Peter Muller_](http://www.petermuller.org/) Official website
  * _[Peter Muller_](http://www.architectsdatabase.unisa.edu.au/arch_full.asp?Arch_ID=48) on Architect's Database

[Persondata](http://en.wikipedia.org/wiki/Wikipedia:Persondata)

Name
Muller, Peter

Alternative names
Peter Neil Muller

Short description
Peter Muller was an architect who worked in Bali, Sydney and Melbourne.

Date of birth
Muller's date of birth

Place of birth
Adelaide, Australia

Date of death

Place of death
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Peter_Muller_(architect)&oldid=592710533](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&oldid=592710533)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Living people](http://en.wikipedia.org/wiki/Category:Living_people)
  * [1927 births](http://en.wikipedia.org/wiki/Category:1927_births)
  * [People from Adelaide](http://en.wikipedia.org/wiki/Category:People_from_Adelaide)
  * [Australian architects](http://en.wikipedia.org/wiki/Category:Australian_architects)

Hidden categories: 

  * [Use dmy dates from July 2011](http://en.wikipedia.org/wiki/Category:Use_dmy_dates_from_July_2011)
  * [Use Australian English from July 2011](http://en.wikipedia.org/wiki/Category:Use_Australian_English_from_July_2011)
  * [All Wikipedia articles written in Australian English](http://en.wikipedia.org/wiki/Category:All_Wikipedia_articles_written_in_Australian_English)
  * [Articles with hCards](http://en.wikipedia.org/wiki/Category:Articles_with_hCards)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Peter+Muller+%28architect%29&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Peter+Muller+%28architect%29)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Peter_Muller_\(architect\))

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Peter_Muller_\(architect\))
  * [Related changes](/wiki/Special:RecentChangesLinked/Peter_Muller_\(architect\))
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Peter_Muller_\(architect\)&oldid=592710533)
  * [Page information](/w/index.php?title=Peter_Muller_\(architect\)&action=info)
  * [Data item](//www.wikidata.org/wiki/Q7175983)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Peter_Muller_%28architect%29&id=592710533)

### Print/export

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Peter_Muller_\(architect\))
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Peter_Muller_\(architect\))
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&oldid=592710533)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q7175983)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Peter_Muller_%28architect%29&id=592710533)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Peter+Muller+%28architect%29)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Peter+Muller+%28architect%29&oldid=592710533&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Peter_Muller_\(architect\)&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q7175983#sitelinks-wikipedia)

    * This page was last modified on 27 January 2014 at 23:15.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Peter_Muller_\(architect\))
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
