# Poverty in Sri Lanka

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

**Poverty in Sri Lanka** continues to be a growing problem despite [Sri Lanka](http://en.wikipedia.org/wiki/Sri_Lanka) being an exceptional country with its [life expectancy](http://en.wikipedia.org/wiki/Life_expectancy), [literacy rate](http://en.wikipedia.org/wiki/Literacy_rate) and other [social indicators](http://en.wikipedia.org/wiki/Social_indicator) nearly on par with those of [developed countries](http://en.wikipedia.org/wiki/Developed_country), and even topping the rankings for the [South Asia](http://en.wikipedia.org/wiki/South_Asia) region.[[1]](Special:Random.html#cite_note-HumanDevelopment-1) While all these indicate that Sri Lanka should be experiencing a high [standard of living](http://en.wikipedia.org/wiki/Standard_of_living), until recently it has only ranked in the medium category of the [Human Development Index](http://en.wikipedia.org/wiki/Human_Development_Index) (HDI).[[1]](Special:Random.html#cite_note-HumanDevelopment-1) This is despite the fact that Sri Lanka has been experiencing moderate growth in its [GDP](http://en.wikipedia.org/wiki/Gross_domestic_product) averaging 5.5% per annum between 2006 and 2009.[[2]](Special:Random.html#cite_note-CIA-2011-2) One of the reasons is due to its relatively low GDP per capita; currently ranked in the bottom one third of the world.[[2]](Special:Random.html#cite_note-CIA-2011-2) This could be due to the issue of [poverty](http://en.wikipedia.org/wiki/Poverty), specifically, [rural poverty](http://en.wikipedia.org/wiki/Rural_poverty).

## Population[[edit](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=edit&section=1)]

According to the [World Bank](http://en.wikipedia.org/wiki/World_Bank), 42% of Sri Lanka’s population live on under US$2 a day in 2005 compared with 6% living under US$1 a day.[[3]](Special:Random.html#cite_note-3) This is evidence that while acute poverty is no longer an issue, poverty still remains widespread and continues to be a challenging problem in Sri Lanka. More worryingly however is the fact that 90% of the poor live in rural areas, with over 80% of Sri Lanka’s population still living in rural areas.But in 2013 it has showed that the economy is growing more rapidly than any other Asian country

This highlights a link between isolation from social and economic [infrastructure](http://en.wikipedia.org/wiki/Infrastructure), cities and markets, and higher levels of poverty incidence.[[4]](Special:Random.html#cite_note-4) One explanation could be that it limits these people from earning income through off-farm activities.[[5]](Special:Random.html#cite_note-RuralPovertyPortal-5) In addition, with more than 40 per cent of the rural poor people being [small farmers](http://en.wikipedia.org/wiki/Small_farm), their production systems may be hampered by the usual suspects of fragmented [landholdings](http://en.wikipedia.org/wiki/Landholding), poor economies of scale, low [investment](http://en.wikipedia.org/wiki/Investment) levels resulting from poor [financial services](http://en.wikipedia.org/wiki/Financial_services) as well as inappropriate or limited [technology](http://en.wikipedia.org/wiki/Technology).[[5]](Special:Random.html#cite_note-RuralPovertyPortal-5)

## Development[[edit](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=edit&section=2)]

In 2008, it was reported that tens of thousands of men from impoverished villages were joining the [Sri Lanka Armed Forces](http://en.wikipedia.org/wiki/Sri_Lanka_Armed_Forces) and [Sri Lanka Police Service](http://en.wikipedia.org/wiki/Sri_Lanka_Police_Service) to escape rural poverty, as the wages offered by the security services significantly raise the standard of living for soldiers and their families.[[6]](Special:Random.html#cite_note-6)

In order to reduce rural poverty (and thus poverty as a whole), [rural development](http://en.wikipedia.org/wiki/Rural_development) in terms of infrastructure is important. The need for a better [road network](http://en.wikipedia.org/wiki/Road_network) and [transport system](http://en.wikipedia.org/wiki/Transport_system) to link up the rural areas as well as better credit facilities to aid in the investments of new technology and [farming](http://en.wikipedia.org/wiki/Farming) techniques are just a start in ensuring that the rural poor are not left behind.

While it is identified that development in the rural areas is crucial for [poverty alleviation](http://en.wikipedia.org/wiki/Poverty_alleviation), the government cannot possibly channel unlimited funds into development plans without constraints, disregarding potential developments in urban areas, or more importantly, not considering the state of its overall [economy](http://en.wikipedia.org/wiki/Economy). Therefore, the Sri Lankan government faces a dilemma of pursuing growth that is equitable; trying to promote [economic growth](http://en.wikipedia.org/wiki/Economic_growth) without leaving the poor in the rural area behind.

Apart from government policies, [Non-Governmental Organizations](http://en.wikipedia.org/wiki/Non-governmental_organization) (NGOs)can help ease the situation too. One of them is Sarvodaya.

Sarvodaya is Sri Lanka’s largest NGO, which includes many other divisional units dedicated for different development projects. Sarvodaya Economic Empowerment Development Services (SEEDS) began its operation as a separate division in 1986 and now reaches 18 of Sri Lanka’s 25 districts. SEEDS is responsible for building the economic capacity of the poorest groups within the communities. Its aim is to stimulate an attitude of [entrepreneurship](http://en.wikipedia.org/wiki/Entrepreneurship), [innovation](http://en.wikipedia.org/wiki/Innovation), [thrift](http://en.wikipedia.org/wiki/Spending) and [sustainable development](http://en.wikipedia.org/wiki/Sustainable_development) in the rural areas.[[7]](Special:Random.html#cite_note-7)

Although SEEDS does not directly deal with the lack of [physical infrastructure](http://en.wikipedia.org/wiki/Physical_infrastructure) in rural areas, i.e. development plans in building roads, bridges, etc., it has helped people in rural areas to be financially independent and improved livelihood, which in turn helps reduce rural poverty. It hopes that through their aid, villages can become self govern and capable of serving their community’s economics and social needs.,[[8]](Special:Random.html#cite_note-8)

SEEDS provides saving and credit services for starting a small [enterprise](http://en.wikipedia.org/wiki/Business) or to improve [livelihood](http://en.wikipedia.org/wiki/Livelihood) as well as non-financial services such as business counselling, training in technical skills and market information.[[9]](Special:Random.html#cite_note-Vinya_Ariyaratne-9) It adopts the village banking [microfinance](http://en.wikipedia.org/wiki/Microfinance) model to help the rural communities. Village banking treats the whole community as one unit, and establishes semi-formal or formal institutions through which micro-finance is dispensed. The banks are run by their own people: they choose their members, elect their own officers, establish their own by-laws, distribute [loans](http://en.wikipedia.org/wiki/Loan) to individuals, and collect payments and savings. Their loans are backed, not by goods or property, but by moral collateral: the promise that the group stands behind each individual loan. Therefore, this is a means of ensuring that each individual will be disciplined in saving up to repay their own loans.[[10]](Special:Random.html#cite_note-Atapattu-10) 86% of SEEDS beneficiaries actually had functioning micro enterprises. Statistics have shown that 51% of SEEDS beneficiaries showed increased [revenues](http://en.wikipedia.org/wiki/Revenue) while 73% of them showed increased [profits](http://en.wikipedia.org/wiki/Profit_\(accounting\)).[[10]](Special:Random.html#cite_note-Atapattu-10)

There are 1,129,344 members in these [village banks](http://en.wikipedia.org/wiki/Village_Banking), out of which 60% of the members are females.[[10]](Special:Random.html#cite_note-Atapattu-10) This in itself has empowered women as they are no longer dependent on others for their capital needs. They have more [bargaining power](http://en.wikipedia.org/wiki/Bargaining_power) within the households and thus need not feel as insecure as before. Secondly, they have a guaranteed and sure access to capital thus removing uncertainty and permitting a confident basis to stay in business and even expand. This is a major [empowerment](http://en.wikipedia.org/wiki/Empowerment) both socially and economically of these women, as this micro-finance model not only raise their level of [productivity](http://en.wikipedia.org/wiki/Productivity) but also allow women to contribute to family income, leading to an overall reduction in poverty levels in the rural areas.

Other than financial services, SEEDS has been able to integrate spiritual revival, [social change](http://en.wikipedia.org/wiki/Social_change) and [economic development](http://en.wikipedia.org/wiki/Economic_development). It has helped restore a person’s sense of pride and [self-esteem](http://en.wikipedia.org/wiki/Self-esteem), as well as that of the village community. The earlier feeling of humiliation and of powerlessness vanishes with the collective sense that is generated.[[9]](Special:Random.html#cite_note-Vinya_Ariyaratne-9)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=edit&section=3)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-HumanDevelopment_1-0) _**[b**_](Special:Random.html#cite_ref-HumanDevelopment_1-1) Human Development Report 2013
  2. ^ _**[a**_](Special:Random.html#cite_ref-CIA-2011_2-0) _**[b**_](Special:Random.html#cite_ref-CIA-2011_2-1) 2011 CIA Worldfact Book
  3. **[^](Special:Random.html#cite_ref-3)** World Bank, world development indicators online 2008
  4. **[^](Special:Random.html#cite_ref-4)** "[http://www.cepa.lk/index.php?option=com_content&view=category&layout=blog&id=51&Itemid=38](http://www.cepa.lk/index.php?option=com_content&view=category&layout=blog&id=51&Itemid=38)". cepa.lk.  Missing or empty `|url=` ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#cite_web_url))[_[dead link](http://en.wikipedia.org/wiki/Wikipedia:Link_rot)_]
  5. ^ _**[a**_](Special:Random.html#cite_ref-RuralPovertyPortal_5-0) _**[b**_](Special:Random.html#cite_ref-RuralPovertyPortal_5-1) ["Rural Poverty Portal, Rural poverty in Sri Lanka"](http://www.ruralpovertyportal.org/web/guest/country/home/tags/sri%20lanka). ruralpovertyportal.org. 
  6. **[^](Special:Random.html#cite_ref-6)** ["Sri Lankan youth join military to escape poverty"](http://www.dailytimes.com.pk/default.asp?page=2008%5C07%5C18%5Cstory_18-7-2008_pg4_15). _Daily Times (Pakistan)_. July 18, 2008. Retrieved August 25, 2013. 
  7. **[^](Special:Random.html#cite_ref-7)** ["Sarvodaya Economic Empowerment Development Services"](http://www.seeds.lk/). 
  8. **[^](Special:Random.html#cite_ref-8)** Mead, Donald C. _[Building businesses with small producers: successful business development_](http://books.google.com/books?id=yrElzhsXlAIC&pg=PA121&lpg=PA121&dq=sarvodaya+seeds+effectiveness&source=bl&ots=AMPm1tnefm&sig=5L95DUBBpymgTtWt_5uiFPD9GNs&hl=en&ei=plxdTeSdAYu2vQPKmoHbCA&sa=X&oi=book_result&ct=result&resnum=1&sqi=2&ved=0CBcQ6AEwAA#v=onepage&q=sarvodaya%20seeds%20effectiveness&f=false). Canada: International Development Research Centre. 
  9. ^ _**[a**_](Special:Random.html#cite_ref-Vinya_Ariyaratne_9-0) _**[b**_](Special:Random.html#cite_ref-Vinya_Ariyaratne_9-1) Vinya Ariyaratne. ["The Sarvodaya Shramadana Movement in Sri Lanka"](http://www.compasnet.org/afbeeldingen/Magazines/CM9/cm9_10.pdf). 
  10. ^ _**[a**_](Special:Random.html#cite_ref-Atapattu_10-0) _**[b**_](Special:Random.html#cite_ref-Atapattu_10-1) _**[c**_](Special:Random.html#cite_ref-Atapattu_10-2) Anura Atapattu (2009). ["State of Microfinance in Sri Lanka"](http://inm.org.bd/saarc/document/Sri%20Lanka.pdf). 

  * [v](http://en.wikipedia.org/wiki/Template:Asia_topic)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Asia_topic)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Asia_topic&action=edit)

Poverty in Asia

[Sovereign states](http://en.wikipedia.org/wiki/List_of_sovereign_states)

  * [Afghanistan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Afghanistan&action=edit&redlink=1)
  * [Armenia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Armenia&action=edit&redlink=1)
  * [Azerbaijan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Azerbaijan&action=edit&redlink=1)
  * [Bahrain](http://en.wikipedia.org/w/index.php?title=Poverty_in_Bahrain&action=edit&redlink=1)
  * [Bangladesh](http://en.wikipedia.org/wiki/Poverty_in_Bangladesh)
  * [Bhutan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Bhutan&action=edit&redlink=1)
  * [Brunei](http://en.wikipedia.org/w/index.php?title=Poverty_in_Brunei&action=edit&redlink=1)
  * [Burma (Myanmar)](http://en.wikipedia.org/w/index.php?title=Poverty_in_Burma&action=edit&redlink=1)
  * [Cambodia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Cambodia&action=edit&redlink=1)
  * [China](http://en.wikipedia.org/wiki/Poverty_in_China)
  * [Cyprus](http://en.wikipedia.org/w/index.php?title=Poverty_in_Cyprus&action=edit&redlink=1)
  * [East Timor (Timor-Leste)](http://en.wikipedia.org/wiki/Poverty_in_East_Timor)
  * [Egypt](http://en.wikipedia.org/w/index.php?title=Poverty_in_Egypt&action=edit&redlink=1)
  * [Georgia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Georgia_\(country\)&action=edit&redlink=1)
  * [India](http://en.wikipedia.org/wiki/Poverty_in_India)
  * [Indonesia](http://en.wikipedia.org/wiki/Poverty_in_Indonesia)
  * [Iran](http://en.wikipedia.org/w/index.php?title=Poverty_in_Iran&action=edit&redlink=1)
  * [Iraq](http://en.wikipedia.org/w/index.php?title=Poverty_in_Iraq&action=edit&redlink=1)
  * [Israel](http://en.wikipedia.org/wiki/Poverty_in_Israel)
  * [Japan](http://en.wikipedia.org/wiki/Poverty_in_Japan)
  * [Jordan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Jordan&action=edit&redlink=1)
  * [Kazakhstan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Kazakhstan&action=edit&redlink=1)
  * [North Korea](http://en.wikipedia.org/wiki/Poverty_in_North_Korea)
  * [South Korea](http://en.wikipedia.org/wiki/Poverty_in_South_Korea)
  * [Kuwait](http://en.wikipedia.org/w/index.php?title=Poverty_in_Kuwait&action=edit&redlink=1)
  * [Kyrgyzstan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Kyrgyzstan&action=edit&redlink=1)
  * [Laos](http://en.wikipedia.org/w/index.php?title=Poverty_in_Laos&action=edit&redlink=1)
  * [Lebanon](http://en.wikipedia.org/w/index.php?title=Poverty_in_Lebanon&action=edit&redlink=1)
  * [Malaysia](http://en.wikipedia.org/wiki/Poverty_in_Malaysia)
  * [Maldives](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_Maldives&action=edit&redlink=1)
  * [Mongolia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Mongolia&action=edit&redlink=1)
  * [Nepal](http://en.wikipedia.org/w/index.php?title=Poverty_in_Nepal&action=edit&redlink=1)
  * [Oman](http://en.wikipedia.org/w/index.php?title=Poverty_in_Oman&action=edit&redlink=1)
  * [Pakistan](http://en.wikipedia.org/wiki/Poverty_in_Pakistan)
  * [Philippines](http://en.wikipedia.org/wiki/Poverty_in_the_Philippines)
  * [Qatar](http://en.wikipedia.org/w/index.php?title=Poverty_in_Qatar&action=edit&redlink=1)
  * [Russia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Russia&action=edit&redlink=1)
  * [Saudi Arabia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Saudi_Arabia&action=edit&redlink=1)
  * [Singapore](http://en.wikipedia.org/w/index.php?title=Poverty_in_Singapore&action=edit&redlink=1)
  * **Sri Lanka**
  * [Syria](http://en.wikipedia.org/w/index.php?title=Poverty_in_Syria&action=edit&redlink=1)
  * [Tajikistan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Tajikistan&action=edit&redlink=1)
  * [Thailand](http://en.wikipedia.org/w/index.php?title=Poverty_in_Thailand&action=edit&redlink=1)
  * [Turkey](http://en.wikipedia.org/w/index.php?title=Poverty_in_Turkey&action=edit&redlink=1)
  * [Turkmenistan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Turkmenistan&action=edit&redlink=1)
  * [United Arab Emirates](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_United_Arab_Emirates&action=edit&redlink=1)
  * [Uzbekistan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Uzbekistan&action=edit&redlink=1)
  * [Vietnam](http://en.wikipedia.org/wiki/Poverty_in_Vietnam)
  * [Yemen](http://en.wikipedia.org/wiki/Poverty_in_Yemen)

[States with limited recognition](http://en.wikipedia.org/wiki/List_of_states_with_limited_recognition)

  * [Abkhazia](http://en.wikipedia.org/w/index.php?title=Poverty_in_Abkhazia&action=edit&redlink=1)
  * [Nagorno-Karabakh](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_Nagorno-Karabakh_Republic&action=edit&redlink=1)
  * [Northern Cyprus](http://en.wikipedia.org/w/index.php?title=Poverty_in_Northern_Cyprus&action=edit&redlink=1)
  * [Palestine](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_Palestinian_territories&action=edit&redlink=1)
  * [South Ossetia](http://en.wikipedia.org/w/index.php?title=Poverty_in_South_Ossetia&action=edit&redlink=1)
  * [Taiwan](http://en.wikipedia.org/w/index.php?title=Poverty_in_Taiwan&action=edit&redlink=1)

Other [dependent territories](http://en.wikipedia.org/wiki/Dependent_territory)

  * [British Indian Ocean Territory](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_British_Indian_Ocean_Territory&action=edit&redlink=1)
  * [Christmas Island](http://en.wikipedia.org/w/index.php?title=Poverty_in_Christmas_Island&action=edit&redlink=1)
  * [Cocos (Keeling) Islands](http://en.wikipedia.org/w/index.php?title=Poverty_in_the_Cocos_\(Keeling\)_Islands&action=edit&redlink=1)
  * [Hong Kong](http://en.wikipedia.org/w/index.php?title=Poverty_in_Hong_Kong&action=edit&redlink=1)
  * [Macau](http://en.wikipedia.org/w/index.php?title=Poverty_in_Macau&action=edit&redlink=1)

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&oldid=602391009](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&oldid=602391009)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Economy of Sri Lanka](http://en.wikipedia.org/wiki/Category:Economy_of_Sri_Lanka)
  * [Poverty by country](http://en.wikipedia.org/wiki/Category:Poverty_by_country)
  * [Sri Lankan society](http://en.wikipedia.org/wiki/Category:Sri_Lankan_society)

Hidden categories: 

  * [Pages using web citations with no URL](http://en.wikipedia.org/wiki/Category:Pages_using_web_citations_with_no_URL)
  * [All articles with dead external links](http://en.wikipedia.org/wiki/Category:All_articles_with_dead_external_links)
  * [Articles with dead external links from August 2013](http://en.wikipedia.org/wiki/Category:Articles_with_dead_external_links_from_August_2013)
  * [Articles created via the Article Wizard](http://en.wikipedia.org/wiki/Category:Articles_created_via_the_Article_Wizard)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Poverty+in+Sri+Lanka&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Poverty+in+Sri+Lanka)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Poverty_in_Sri_Lanka)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Poverty_in_Sri_Lanka)
  * [Related changes](/wiki/Special:RecentChangesLinked/Poverty_in_Sri_Lanka)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Poverty_in_Sri_Lanka)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Poverty_in_Sri_Lanka)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&oldid=602391009)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q7235862)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Poverty_in_Sri_Lanka&id=602391009)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Poverty+in+Sri+Lanka)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Poverty+in+Sri+Lanka&oldid=602391009&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Poverty_in_Sri_Lanka&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q7235862#sitelinks-wikipedia)

    * This page was last modified on 2 April 2014 at 09:03.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Poverty_in_Sri_Lanka)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
