# Regional anaesthesia

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

![](../../upload.wikimedia.org/wikipedia/en/thumb/f/f2/Edit-clear.svg/40px-Edit-clear.svg.png)

This article **may require [cleanup](http://en.wikipedia.org/wiki/Wikipedia:Cleanup) to meet Wikipedia's [quality standards](http://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style)**. The specific problem is: **Explained on the talk page**. Please help [improve this](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit) if you can. _(March 2010)_

![Question book-new.svg](../../upload.wikimedia.org/wikipedia/en/thumb/9/99/Question_book-new.svg/50px-Question_book-new.svg.png)

This article **does not [cite](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources) any [references or sources](http://en.wikipedia.org/wiki/Wikipedia:Verifiability)**. Please help [improve this article](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit) by [adding citations to reliable sources](http://en.wikipedia.org/wiki/Help:Introduction_to_referencing/1). Unsourced material may be challenged and [removed](http://en.wikipedia.org/wiki/Wikipedia:Verifiability#Burden_of_evidence). _(April 2009)_

**Regional anaesthesia** (or **regional anesthesia**) is [anaesthesia](http://en.wikipedia.org/wiki/Anesthesia) affecting a large part of the body, such as a limb or the lower half of the body. Regional anaesthetic techniques can be divided into central and peripheral techniques. The central techniques include so called [neuraxial blockade](http://en.wikipedia.org/wiki/Neuraxial_blockade) ([epidural](http://en.wikipedia.org/wiki/Epidural) anaesthesia, [spinal anaesthesia](http://en.wikipedia.org/wiki/Spinal_anaesthesia)). The peripheral techniques can be further divided into plexus blocks such as [brachial plexus blocks](http://en.wikipedia.org/wiki/Brachial_plexus_block), and single nerve blocks. Regional anaesthesia may be performed as a single shot or with a continuous catheter through which medication is given over a prolonged period, e.g. [continuous peripheral nerve block](http://en.wikipedia.org/wiki/Continuous_peripheral_nerve_block) (CPNB). Regional anaesthesia can be provided by injecting local anaesthetics directly into the veins of an arm (provided the venous flow is impeded by a tourniquet.) This is called intravenous regional techniques ([Bier block](http://en.wikipedia.org/wiki/Intravenous_regional_anesthesia)).

This differs from _[Local anaesthesia](http://en.wikipedia.org/wiki/Local_anesthesia)_, which, in a strict sense, is [anaesthesia](http://en.wikipedia.org/wiki/Anesthesia) of a small part of the body such as a tooth or an area of skin, and _Conduction anaesthesia_ is a comprehensive term which encompasses a great variety of local and regional anaesthetic techniques.

## Contents

  * [1 Indications and applications](Special:Random.html#Indications_and_applications)
  * [2 Relationship to other anaesthetic techniques](Special:Random.html#Relationship_to_other_anaesthetic_techniques)
  * [3 Complications](Special:Random.html#Complications)
  * [4 See also](Special:Random.html#See_also)
  * [5 References](Special:Random.html#References)
  * [6 External links](Special:Random.html#External_links)

## Indications and applications[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=1)]

Regional anaesthesia may provide anaesthesia (absence of feeling, including [pain](http://en.wikipedia.org/wiki/Pain)) to allow a [surgical operation](http://en.wikipedia.org/wiki/Surgical_operation), or provide post-operative pain relief. Various [brachial plexus blocks](http://en.wikipedia.org/wiki/Brachial_plexus_block) exist for [shoulder](http://en.wikipedia.org/wiki/Shoulder) and [arm](http://en.wikipedia.org/wiki/Arm) procedures. Methods similar to routine regional anaesthetic techniques are also often used for treating chronic pain.

In labour and [childbirth](http://en.wikipedia.org/wiki/Childbirth), [epidural](http://en.wikipedia.org/wiki/Epidural) or combined spinal epidurals provide effective pain relief. Regional anaesthesia is now more common than general anaesthesia for [Caesarean section](http://en.wikipedia.org/wiki/Caesarean_section) procedures.

Nerve blocks are widely used in [veterinary medicine](http://en.wikipedia.org/wiki/Veterinary_medicine) to diagnose lameness. A very common application is the diagnosis of [navicular disease](http://en.wikipedia.org/wiki/Navicular_disease) in [horses](http://en.wikipedia.org/wiki/Horse).

## Relationship to other anaesthetic techniques[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=2)]

Unlike [general anaesthesia](http://en.wikipedia.org/wiki/General_anaesthesia), patients may remain awake during the procedure, resulting in reduced [side-effects](http://en.wikipedia.org/wiki/Adverse_effect_\(medicine\)) and enabling the surgeon to converse with the patient during the procedure if required. However, many patients prefer to receive [sedation](http://en.wikipedia.org/wiki/Sedation) either during the block, the procedure, or both.

There is a spectrum of complexity between simple local anaesthetic infiltration and major regional blocks, such as the 'central neuraxial blocks' (spinal and epidural), with nerve blocks lying in the middle. [Nerve blocks](http://en.wikipedia.org/wiki/Nerve_block) affecting major peripheral nerves such as the [femoral nerve](http://en.wikipedia.org/wiki/Femoral_nerve) and [sciatic nerve](http://en.wikipedia.org/wiki/Sciatic_nerve) are also sometimes viewed as regional anaesthetic techniques.

## Complications[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=3)]

Unlike a minor local anaesthetic infiltration to allow a wound to be sutured, or a skin lesion to be excised, regional anaesthesia may involve large doses of [local anaesthetic](http://en.wikipedia.org/wiki/Local_anaesthetic), or administration of the local anaesthetic very close to, or directly into the central nervous system. Therefore there is a risk of complications from local anaesthetic toxicity (such as seizures and cardiac arrest) and for a syndrome similar to [spinal shock](http://en.wikipedia.org/wiki/Spinal_shock).

Most regional anaesthetic techniques, even in expert hands, have a failure rate of 1–10%. Therefore, general anaesthesia may become necessary even when a procedure was initially planned to be conducted under a regional technique.

For these reasons, regional anaesthesia is only ever conducted in an environment that is fully equipped and staffed to provide safe general anaesthesia should it be needed.

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=4)]

  * [3D Ultrasound](http://en.wikipedia.org/wiki/3D_Ultrasound)
  * [History of neuraxial anesthesia](http://en.wikipedia.org/wiki/History_of_neuraxial_anesthesia)
  * [Local anaesthesia](http://en.wikipedia.org/wiki/Local_anaesthesia)
  * [Nerve block](http://en.wikipedia.org/wiki/Nerve_block)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=5)]

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit&section=6)]

  * [BLOCKJOCKS.COM](http://www.blockjocks.com)
  * [UltrasoundBlock.com](http://www.ultrasoundblock.com)
  * [VIRTUAL Spine: Ultrasound Guided Regional Anesthesia - an educational resource (rich media including Flash support required)](http://pie.med.utoronto.ca/VSpine/VSpine_content/VSpine_ultraSoundGuided_lumbar.html)
  * ESRA - The European Society of Regional Anaesthesia was created to educate and provides a forum for the discussion of new innovations in the field, and has made great strides in encouraging specialization and research in regional anaesthesia; promoting and sponsoring courses and workshops, publishing articles in related subjects and generally working to develop and further the knowledge of safe techniques for the management of pain.
  * [ESRA - The European Society for Regional Anaesthesia Congress](http://www2.kenes.com/esra)

  * [v](http://en.wikipedia.org/wiki/Template:Anesthesia)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Anesthesia)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Anesthesia&action=edit)

[Anesthesia](http://en.wikipedia.org/wiki/Anesthesia)   ([outline](http://en.wikipedia.org/wiki/Outline_of_anesthesia))

Types

  * [General](http://en.wikipedia.org/wiki/General_anaesthesia)
  * [Spinal](http://en.wikipedia.org/wiki/Spinal_anaesthesia)
  * [Epidural](http://en.wikipedia.org/wiki/Epidural)
  * **Regional anaesthesia**
    * [Local](http://en.wikipedia.org/wiki/Local_anesthesia)
    * [Topical](http://en.wikipedia.org/wiki/Topical_anesthetic)
    * [Intercostal nerve block](http://en.wikipedia.org/wiki/Intercostal_nerve_block)
  * [Sedation](http://en.wikipedia.org/wiki/Sedation) / [Twilight anesthesia](http://en.wikipedia.org/wiki/Twilight_anesthesia)
  * [Dental](http://en.wikipedia.org/wiki/Dental_anesthesia) ([Inferior alveolar nerve](http://en.wikipedia.org/wiki/Inferior_alveolar_nerve_anaesthesia))
  * [Neuroleptanalgesic anesthesia](http://en.wikipedia.org/wiki/Neuroleptanalgesic_anesthesia)

Techniques

  * [Airway management](http://en.wikipedia.org/wiki/Airway_management)
  * [Anesthesia provision in the US](http://en.wikipedia.org/wiki/Anesthesia_provision_in_the_US)
  * [Arterial catheter](http://en.wikipedia.org/wiki/Arterial_catheter)
  * [Bronchoscopy](http://en.wikipedia.org/wiki/Bronchoscopy)
  * [Capnography](http://en.wikipedia.org/wiki/Capnography)
  * [Dogliotti's principle](http://en.wikipedia.org/wiki/Dogliotti%27s_principle)
  * [Drug-induced amnesia](http://en.wikipedia.org/wiki/Drug-induced_amnesia)
  * [Intraoperative neurophysiological monitoring](http://en.wikipedia.org/wiki/Intraoperative_neurophysiological_monitoring)
  * [Nerve block](http://en.wikipedia.org/wiki/Nerve_block)
  * [Penthrox inhaler](http://en.wikipedia.org/wiki/Penthrox_inhaler)
  * [Tracheal intubation](http://en.wikipedia.org/wiki/Tracheal_intubation)

Scientific Principles

  * [Concentration effect](http://en.wikipedia.org/wiki/Concentration_effect)
  * [Fink effect](http://en.wikipedia.org/wiki/Fink_effect)
  * [Minimum alveolar concentration](http://en.wikipedia.org/wiki/Minimum_alveolar_concentration)
  * [Second gas effect](http://en.wikipedia.org/wiki/Second_gas_effect)

Measurements

  * [ASA physical status classification system](http://en.wikipedia.org/wiki/ASA_physical_status_classification_system)
  * [Baricity](http://en.wikipedia.org/wiki/Baricity)
  * [Bispectral index](http://en.wikipedia.org/wiki/Bispectral_index)
  * [Direct Fick method](http://en.wikipedia.org/wiki/Direct_Fick_method)
  * [Entropy monitoring](http://en.wikipedia.org/wiki/Entropy_monitoring)
  * [Fick principle](http://en.wikipedia.org/wiki/Fick_principle)
  * [Goldman index](http://en.wikipedia.org/wiki/Goldman_index)
  * [Guedel's classification](http://en.wikipedia.org/wiki/Guedel%27s_classification)
  * [Mallampati score](http://en.wikipedia.org/wiki/Mallampati_score)
  * [Neuromuscular monitoring](http://en.wikipedia.org/wiki/Neuromuscular_monitoring)
  * [Thyromental distance](http://en.wikipedia.org/wiki/Thyromental_distance)

[Instruments](http://en.wikipedia.org/wiki/Instruments_used_in_anesthesiology)

  * [Anaesthetic machine](http://en.wikipedia.org/wiki/Anaesthetic_machine)
  * [Anesthesia cart](http://en.wikipedia.org/wiki/Anesthesia_cart)
  * [Boyle's machine](http://en.wikipedia.org/wiki/Boyle%27s_machine)
  * [Gas cylinder](http://en.wikipedia.org/wiki/Gas_cylinder)
  * [Laryngeal mask airway](http://en.wikipedia.org/wiki/Laryngeal_mask_airway)
  * [Laryngeal tube](http://en.wikipedia.org/wiki/Laryngeal_tube)
  * [Medical monitor](http://en.wikipedia.org/wiki/Monitoring_\(medicine\)#monitor)
  * [Odom's indicator](http://en.wikipedia.org/wiki/Odom%27s_indicator)
  * [Relative analgesia machine](http://en.wikipedia.org/wiki/Relative_analgesia_machine)
  * [Vaporiser](http://en.wikipedia.org/wiki/Anaesthetic_vaporiser)

[Drugs](http://en.wikipedia.org/wiki/Template:General_anesthetics)

  * [Benzodiazepine](http://en.wikipedia.org/wiki/Benzodiazepine)
  * [Etomidate](http://en.wikipedia.org/wiki/Etomidate)
  * [General anaesthetic](http://en.wikipedia.org/wiki/General_anaesthetic)
  * [Inhalational anaesthetic](http://en.wikipedia.org/wiki/Inhalational_anaesthetic)
  * [Infiltration analgesia](http://en.wikipedia.org/wiki/Infiltration_analgesia)
  * [Ketamine](http://en.wikipedia.org/wiki/Ketamine)
  * [Local anesthetic](http://en.wikipedia.org/wiki/Local_anesthetic)
  * [Methohexital](http://en.wikipedia.org/wiki/Methohexital)
  * [Methoxyflurane](http://en.wikipedia.org/wiki/Methoxyflurane)
  * [Midazolam](http://en.wikipedia.org/wiki/Midazolam)
  * [Neuraxial blockade](http://en.wikipedia.org/wiki/Neuraxial_blockade)
  * [Opiate](http://en.wikipedia.org/wiki/Opiate)
  * [Propofol](http://en.wikipedia.org/wiki/Propofol)
  * [Thiopental](http://en.wikipedia.org/wiki/Thiopental)
  * [Thiopentone](http://en.wikipedia.org/wiki/Thiopentone)

Complications

  * [Emergence delirium](http://en.wikipedia.org/wiki/Emergence_delirium)
  * [Allergic reactions](http://en.wikipedia.org/wiki/Allergic_reactions_to_anaesthesia)
  * [Anesthesia awareness](http://en.wikipedia.org/wiki/Anesthesia_awareness)
  * [Local anesthetic toxicity](http://en.wikipedia.org/wiki/Local_anesthetic_toxicity)
  * [Malignant hyperthermia](http://en.wikipedia.org/wiki/Malignant_hyperthermia)
  * [Perioperative mortality](http://en.wikipedia.org/wiki/Perioperative_mortality)
  * [Postanesthetic shivering](http://en.wikipedia.org/wiki/Postanesthetic_shivering)
  * [Postoperative nausea and vomiting](http://en.wikipedia.org/wiki/Postoperative_nausea_and_vomiting)
  * [Postoperative residual curarization](http://en.wikipedia.org/wiki/Postoperative_residual_curarization)

Fields of study

  * [Cardiothoracic](http://en.wikipedia.org/wiki/Cardiothoracic_anesthesiology)
  * [Geriatric](http://en.wikipedia.org/wiki/Geriatric_anesthesia)
  * [Oral sedation dentistry](http://en.wikipedia.org/wiki/Oral_sedation_dentistry)

Professions

  * [Anesthesiologist](http://en.wikipedia.org/wiki/Anesthesiologist)
  * [Anesthesiologist assistant](http://en.wikipedia.org/wiki/Anesthesiologist_assistant)
  * [Nurse anesthetist](http://en.wikipedia.org/wiki/Nurse_anesthetist)
  * [Operating Department Practitioners](http://en.wikipedia.org/wiki/Operating_Department_Practitioners)
  * [Certified Anesthesia Technician](http://en.wikipedia.org/wiki/Certified_Anesthesia_Technician)
  * [Certified Anesthesia Technologist](http://en.wikipedia.org/wiki/Certified_Anesthesia_Technologist)
  * [Anaesthetic technician](http://en.wikipedia.org/wiki/Anaesthetic_technician)

[History](http://en.wikipedia.org/wiki/History)

  * [A.C.E. mixture](http://en.wikipedia.org/wiki/A.C.E._mixture)
  * [Helsinki Declaration for Patient Safety in Anaesthesiology](http://en.wikipedia.org/wiki/The_Helsinki_Declaration_for_Patient_Safety_in_Anaesthesiology)
  * [History of general anesthesia](http://en.wikipedia.org/wiki/History_of_general_anesthesia)
  * [History of neuraxial anesthesia](http://en.wikipedia.org/wiki/History_of_neuraxial_anesthesia)
  * [History of tracheal intubation](http://en.wikipedia.org/wiki/History_of_tracheal_intubation)

Organizations

  * [American Association of Nurse Anesthetists](http://en.wikipedia.org/wiki/American_Association_of_Nurse_Anesthetists)
  * [American Society of Anesthesia Technologists & Technicians](http://en.wikipedia.org/wiki/American_Society_of_Anesthesia_Technologists_%26_Technicians)
  * [American Society of Anesthesiologists](http://en.wikipedia.org/wiki/American_Society_of_Anesthesiologists)
  * [Anaesthesia Trauma and Critical Care](http://en.wikipedia.org/wiki/Anaesthesia_Trauma_and_Critical_Care)
  * [Association of Anaesthetists of Great Britain and Ireland](http://en.wikipedia.org/wiki/Association_of_Anaesthetists_of_Great_Britain_and_Ireland)
  * [Association of Veterinary Anaesthetists](http://en.wikipedia.org/wiki/Association_of_Veterinary_Anaesthetists)
  * [Australian and New Zealand College of Anaesthetists](http://en.wikipedia.org/wiki/Australian_and_New_Zealand_College_of_Anaesthetists)
  * [Australian Society of Anaesthetists](http://en.wikipedia.org/wiki/Australian_Society_of_Anaesthetists)
  * [International Anesthesia Research Society](http://en.wikipedia.org/wiki/International_Anesthesia_Research_Society)

  * [v](http://en.wikipedia.org/wiki/Template:Pain)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Pain)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Pain&action=edit)

[Pain](http://en.wikipedia.org/wiki/Pain) and [nociception](http://en.wikipedia.org/wiki/Nociception)

By region/system

[HEENT](http://en.wikipedia.org/wiki/HEENT)

  * [Headache](http://en.wikipedia.org/wiki/Headache)
  * [Neck](http://en.wikipedia.org/wiki/Neck_pain)
  * [Odynophagia (swallowing)](http://en.wikipedia.org/wiki/Odynophagia)
  * [Otalgia (ear)](http://en.wikipedia.org/wiki/Otalgia)
  * [Toothache](http://en.wikipedia.org/wiki/Toothache)

[Chest pain](http://en.wikipedia.org/wiki/Chest_pain)

[Cardiovascular system](http://en.wikipedia.org/wiki/Cardiovascular_system)

  * [Angina pectoris](http://en.wikipedia.org/wiki/Angina_pectoris)

[Respiratory system](http://en.wikipedia.org/wiki/Respiratory_system)

  * [Sore throat](http://en.wikipedia.org/wiki/Sore_throat)
  * [Pleurodynia](http://en.wikipedia.org/wiki/Bornholm_disease)

[Breast](http://en.wikipedia.org/wiki/Breast)

  * [Mastodynia (Breast)](http://en.wikipedia.org/wiki/Mastodynia)

[Musculoskeletal](http://en.wikipedia.org/wiki/Human_musculoskeletal_system)

  * [Arthralgia (joint)](http://en.wikipedia.org/wiki/Arthralgia)
  * [Bone pain](http://en.wikipedia.org/wiki/Bone_pain)
  * [Myalgia (muscle)](http://en.wikipedia.org/wiki/Myalgia)
  * Muscle soreness: [Acute](http://en.wikipedia.org/wiki/Acute_muscle_soreness) / [Delayed onset](http://en.wikipedia.org/wiki/Delayed_onset_muscle_soreness)

[Neurologic](http://en.wikipedia.org/wiki/Neurology)

  * [Congenital insensitivity to pain](http://en.wikipedia.org/wiki/Congenital_insensitivity_to_pain)
  * [HSAN](http://en.wikipedia.org/wiki/Hereditary_sensory_and_autonomic_neuropathy)
    * [Type I](http://en.wikipedia.org/wiki/HSAN_Type_1)
    * II [congenital sensory neuropathy](http://en.wikipedia.org/wiki/Congenital_sensory_neuropathy)
    * III [familial dysautonomia](http://en.wikipedia.org/wiki/Familial_dysautonomia)
    * IV [congenital insensitivity to pain with anhidrosis](http://en.wikipedia.org/wiki/Congenital_insensitivity_to_pain_with_anhidrosis)
    * V [congenital insensitivity to pain with partial anhidrosis](http://en.wikipedia.org/wiki/Congenital_insensitivity_to_pain_with_partial_anhidrosis)
  * [Neuralgia](http://en.wikipedia.org/wiki/Neuralgia)
  * [Pain asymbolia](http://en.wikipedia.org/wiki/Pain_asymbolia)
  * [Pain disorder](http://en.wikipedia.org/wiki/Pain_disorder)
  * [Paroxysmal extreme pain disorder](http://en.wikipedia.org/wiki/Paroxysmal_extreme_pain_disorder)
  * [Allodynia](http://en.wikipedia.org/wiki/Allodynia)
  * [Chronic pain](http://en.wikipedia.org/wiki/Chronic_pain)
  * [Hyperalgesia](http://en.wikipedia.org/wiki/Hyperalgesia)
  * [Hypoalgesia](http://en.wikipedia.org/wiki/Hypoalgesia)
  * [Hyperpathia](http://en.wikipedia.org/wiki/Hyperpathia)
  * [Phantom pain](http://en.wikipedia.org/wiki/Phantom_pain)
  * [Referred pain](http://en.wikipedia.org/wiki/Referred_pain)

[Abdominal pain](http://en.wikipedia.org/wiki/Abdominal_pain)

[Urogenital](http://en.wikipedia.org/wiki/Genitourinary_system)

  * [Dysuria](http://en.wikipedia.org/wiki/Dysuria)
  * [Pelvic pain](http://en.wikipedia.org/wiki/Pelvic_pain)
  * [Dyspareunia](http://en.wikipedia.org/wiki/Dyspareunia)
  * [Testicular pain](http://en.wikipedia.org/wiki/Testicular_pain)

[Gastrointestinal](http://en.wikipedia.org/wiki/Human_gastrointestinal_tract)

  * [Proctalgia](http://en.wikipedia.org/wiki/Proctalgia_fugax)

[Back](http://en.wikipedia.org/wiki/Back_pain)

  * [Upper](http://en.wikipedia.org/wiki/Upper_back_pain)
  * [Lower](http://en.wikipedia.org/wiki/Low_back_pain)

Tests

  * [Cold pressor test](http://en.wikipedia.org/wiki/Cold_pressor_test)
  * [Dolorimeter](http://en.wikipedia.org/wiki/Dolorimeter)
  * [Hot plate test](http://en.wikipedia.org/wiki/Hot_plate_test)
  * [Tail flick test](http://en.wikipedia.org/wiki/Tail_flick_test)

Related concepts

  * [Anterolateral system](http://en.wikipedia.org/wiki/Anterolateral_system)
  * [Pain management](http://en.wikipedia.org/wiki/Pain_management)
    * [Anesthesia](http://en.wikipedia.org/wiki/Anesthesia)
    * [Cordotomy](http://en.wikipedia.org/wiki/Cordotomy)
  * [Pain scale](http://en.wikipedia.org/wiki/Pain_scale)
  * [Pain threshold](http://en.wikipedia.org/wiki/Threshold_of_pain)
  * [Pain tolerance](http://en.wikipedia.org/wiki/Pain_tolerance)
  * [Posteromarginal nucleus](http://en.wikipedia.org/wiki/Marginal_nucleus_of_spinal_cord)
  * [Substance P](http://en.wikipedia.org/wiki/Substance_P)
  * [Suffering](http://en.wikipedia.org/wiki/Suffering)
  * [OPQRST](http://en.wikipedia.org/wiki/OPQRST)
  * [Philosophy of pain](http://en.wikipedia.org/wiki/Pain_\(philosophy\))
  * [Cancer pain](http://en.wikipedia.org/wiki/Cancer_pain)
  * [Drug-seeking behavior](http://en.wikipedia.org/wiki/Drug-seeking_behavior)

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [CNS](http://en.wikipedia.org/wiki/Central_nervous_system)

[anat](http://en.wikipedia.org/wiki/Template:Nervous_system) ([n](http://en.wikipedia.org/wiki/Template:Meninges)/[s](http://en.wikipedia.org/wiki/Template:Spinal_cord)/[m](http://en.wikipedia.org/wiki/Template:Medulla)/[p](http://en.wikipedia.org/wiki/Template:Pons)/[4](http://en.wikipedia.org/wiki/Template:Fourth_ventricle)/[e](http://en.wikipedia.org/wiki/Template:Mesencephalon)/[b](http://en.wikipedia.org/wiki/Template:Cerebellum)/[d](http://en.wikipedia.org/wiki/Template:Diencephalon)/[c](http://en.wikipedia.org/wiki/Template:Cerebral_cortex)/[a](http://en.wikipedia.org/wiki/Template:Association_fibers)/[f](http://en.wikipedia.org/wiki/Template:Commissural_fibers_and_septum)/[l](http://en.wikipedia.org/wiki/Template:Lateral_ventricles)/[g](http://en.wikipedia.org/wiki/Template:Rostral_basal_ganglia_and_associated_structures))/[phys](http://en.wikipedia.org/wiki/Template:Nervous_system_physiology)/[devp](http://en.wikipedia.org/wiki/Template:Development_of_nervous_system)

[noco](http://en.wikipedia.org/wiki/Template:CNS_diseases_of_the_nervous_system) ([m](http://en.wikipedia.org/wiki/Template:Diseases_of_meninges)/[d](http://en.wikipedia.org/wiki/Template:Demyelinating_diseases_of_CNS)/[e](http://en.wikipedia.org/wiki/Template:Seizures_and_epilepsy)/[h](http://en.wikipedia.org/wiki/Template:Headache)/[v](http://en.wikipedia.org/wiki/Template:Cerebrovascular_diseases)/[s](http://en.wikipedia.org/wiki/Template:Sleep))/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_nervous_system)/[tumr](http://en.wikipedia.org/wiki/Template:Nervous_system_tumors), [sysi](http://en.wikipedia.org/wiki/Template:Nervous_and_musculoskeletal_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_nervous_system), [injr](http://en.wikipedia.org/wiki/Template:Neurotrauma)

[proc](http://en.wikipedia.org/wiki/Template:Neuro_procedures), [drug](http://en.wikipedia.org/wiki/ATC_code_N) ([N1A](http://en.wikipedia.org/wiki/Template:General_anesthetics)/[2AB](http://en.wikipedia.org/wiki/Template:Analgesics)/[C](http://en.wikipedia.org/wiki/Template:Antimigraine_preparations)/[3](http://en.wikipedia.org/wiki/Template:Anticonvulsants)/[4](http://en.wikipedia.org/wiki/Template:Antiparkinson)/[7A](http://en.wikipedia.org/wiki/Template:Cholinergics)/[B](http://en.wikipedia.org/wiki/Template:Antiaddictives)/[C](http://en.wikipedia.org/wiki/Template:Antivertigo_preparations)/[D](http://en.wikipedia.org/wiki/Template:Other_nervous_system_drugs))

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [PNS](http://en.wikipedia.org/wiki/Peripheral_nervous_system)

[anat](http://en.wikipedia.org/wiki/Template:Nervous_system) ([h](http://en.wikipedia.org/wiki/Template:Nervous_tissue)/[r](http://en.wikipedia.org/wiki/Template:Cranial_nerves)/[t](http://en.wikipedia.org/wiki/Template:Trigeminal_nerve)/[c](http://en.wikipedia.org/wiki/Template:Cervical_plexus)/[b](http://en.wikipedia.org/wiki/Template:Brachial_plexus)/[l](http://en.wikipedia.org/wiki/Template:Lumbosacral_plexus)/[s](http://en.wikipedia.org/wiki/Template:Somatosensory_system)/[a](http://en.wikipedia.org/wiki/Template:Autonomic_nervous_system))/[phys](http://en.wikipedia.org/wiki/Template:Nervous_system_physiology) ([r](http://en.wikipedia.org/wiki/Template:Reflex))/[devp](http://en.wikipedia.org/wiki/Template:Development_of_nervous_system)/[prot](http://en.wikipedia.org/wiki/Template:Nerve_tissue_protein)/[nttr](http://en.wikipedia.org/wiki/Template:Neurotransmitter_transporters)/[nttm](http://en.wikipedia.org/wiki/Template:Neurotransmitters)/[ntrp](http://en.wikipedia.org/wiki/Template:Neurotrophins)

[noco](http://en.wikipedia.org/wiki/Template:PNS_diseases_of_the_nervous_system)/[auto](http://en.wikipedia.org/wiki/Template:Autonomic_diseases)/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_nervous_system)/[tumr](http://en.wikipedia.org/wiki/Template:Nervous_system_tumors), [sysi](http://en.wikipedia.org/wiki/Template:Nervous_and_musculoskeletal_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_nervous_system), [injr](http://en.wikipedia.org/wiki/Template:Neurotrauma)

[proc](http://en.wikipedia.org/wiki/Template:Neuro_procedures), drug ([N1B](http://en.wikipedia.org/wiki/Template:Local_anesthetics))

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&oldid=594055540](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&oldid=594055540)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Regional anesthesia](http://en.wikipedia.org/wiki/Category:Regional_anesthesia)

Hidden categories: 

  * [Articles needing cleanup from March 2010](http://en.wikipedia.org/wiki/Category:Articles_needing_cleanup_from_March_2010)
  * [All articles needing cleanup](http://en.wikipedia.org/wiki/Category:All_articles_needing_cleanup)
  * [Cleanup tagged articles with a reason field from March 2010](http://en.wikipedia.org/wiki/Category:Cleanup_tagged_articles_with_a_reason_field_from_March_2010)
  * [Wikipedia pages needing cleanup from March 2010](http://en.wikipedia.org/wiki/Category:Wikipedia_pages_needing_cleanup_from_March_2010)
  * [Articles lacking sources from April 2009](http://en.wikipedia.org/wiki/Category:Articles_lacking_sources_from_April_2009)
  * [All articles lacking sources](http://en.wikipedia.org/wiki/Category:All_articles_lacking_sources)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Regional+anaesthesia&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Regional+anaesthesia)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Regional_anaesthesia)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Regional_anaesthesia)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Regional_anaesthesia)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&oldid=594055540)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q833584)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Regional_anaesthesia&id=594055540)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Regional+anaesthesia)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Regional+anaesthesia&oldid=594055540&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Regional_anaesthesia&printable=yes)

### Languages

    * [Azərbaycanca](http://az.wikipedia.org/wiki/Regional_anesteziya)
    * [Deutsch](http://de.wikipedia.org/wiki/Regionalan%C3%A4sthesie)
    * [Magyar](http://hu.wikipedia.org/wiki/Region%C3%A1lis_%C3%A9rz%C3%A9stelen%C3%ADt%C3%A9s)
    * [Polski](http://pl.wikipedia.org/wiki/Znieczulenie_regionalne)
    *     * [Edit links](http://www.wikidata.org/wiki/Q833584#sitelinks-wikipedia)

    * This page was last modified on 5 February 2014 at 15:22.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Regional_anaesthesia)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
