# Resolution inference

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

In [propositional logic](http://en.wikipedia.org/wiki/Propositional_logic), a resolution [inference](http://en.wikipedia.org/wiki/Inference) is an [instance](http://en.wikipedia.org/wiki/Substitution_\(logic\)) of the following [rule](http://en.wikipedia.org/wiki/Rule_of_inference):[[1]](Special:Random.html#cite_note-1)

    ![
\\frac{\\Gamma_1 \\cup\\left\\{ \\ell\\right\\} \\,\\,\\,\\, \\Gamma_2 \\cup\\left\\{ \\overline{\\ell}\\right\\} }{\\Gamma_1 \\cup\\Gamma_2}|\\ell|
](../../upload.wikimedia.org/math/6/a/1/6a17b271baf54ee19db892eb54b59428.png)

We call:

  * The clauses ![\\Gamma_1 \\cup\\left\\{ \\ell\\right\\}](../../upload.wikimedia.org/math/d/a/6/da6c2b7e99335c627376d1ef88aaa59d.png) and ![\\Gamma_2 \\cup\\left\\{ \\overline{\\ell}\\right\\}  ](../../upload.wikimedia.org/math/7/8/5/785de4ece68ca37ab2bbf5d740a22198.png) are the inference’s premises
  * ![\\Gamma_1 \\cup \\Gamma_2](../../upload.wikimedia.org/math/2/0/d/20dd079a151944a14ed9d01c82d5345a.png) (the resolvent of the premises) is its conclusion.
  * The literal ![\\ell](../../upload.wikimedia.org/math/3/3/4/334ce9eb79df1178b0380461c9eaa09e.png) is the left resolved literal,
  * The literal ![\\overline{\\ell}](../../upload.wikimedia.org/math/3/d/3/3d37923dd15ac713f286cce3a4c0294a.png) is the right resolved literal,
  * ![|\\ell|](../../upload.wikimedia.org/math/1/5/7/1577ee436766fc3816b5345cda723761.png) is the resolved atom or pivot.

This rule can be generalized to [first-order logic](http://en.wikipedia.org/wiki/First-order_logic) to:[[2]](Special:Random.html#cite_note-2)

    ![
\\frac{\\Gamma_1 \\cup\\left\\{ L_1\\right\\} \\,\\,\\,\\, \\Gamma_2 \\cup\\left\\{ L_2\\right\\} }{ \(\\Gamma_1 \\cup \\Gamma_2\)\\phi } \\phi
](../../upload.wikimedia.org/math/e/2/d/e2daffc90793102410b2e15835cf0e82.png)

where ![\\phi](../../upload.wikimedia.org/math/7/f/2/7f20aa0b3691b496aec21cf356f63e04.png) is a [most general unifier](http://en.wikipedia.org/wiki/Most_general_unifier) of ![L_1](../../upload.wikimedia.org/math/d/7/4/d748e209c28a70d71adff098dde47f2c.png) and ![\\overline{L_2}](../../upload.wikimedia.org/math/c/8/2/c82a9d1eb68e087d0648a7ab1e3e3dba.png) and ![\\Gamma_1](../../upload.wikimedia.org/math/d/a/3/da3b7ac918b224b0830c816ad32e030f.png) and ![\\Gamma_2](../../upload.wikimedia.org/math/8/0/7/80759cede84402ee7188a51a48cbee7d.png) have no common variables.

## Example[[edit](http://en.wikipedia.org/w/index.php?title=Resolution_inference&action=edit&section=1)]

The clauses ![P\(x\),Q\(x\)](../../upload.wikimedia.org/math/6/0/d/60d162b5bd400b17498fb54e41b2b70a.png) and ![\\neg P\(b\)](../../upload.wikimedia.org/math/7/f/a/7fa5efc0eea90fa26c1725e324a34272.png) can apply this rule with ![\[b/x\]](../../upload.wikimedia.org/math/d/7/b/d7bac402c30ac9c64fb824c309026aec.png) as unifier.

Here x is a variable and b is a constant.

    ![
\\frac{P\(x\),Q\(x\) \\,\\,\\,\\, \\neg P\(b\)}
{Q\(B\)}\[b/x\]
](../../upload.wikimedia.org/math/5/b/e/5bef52e7edbaa89e1082f6267d30d0c6.png)

Here we see that

  * The clauses ![P\(x\),Q\(x\)](../../upload.wikimedia.org/math/6/0/d/60d162b5bd400b17498fb54e41b2b70a.png) and ![ \\neg P\(x\) ](../../upload.wikimedia.org/math/a/6/b/a6b2f20bdb65431cd93b4944bd15cbc2.png) are the inference’s premises
  * ![ Q\(b\) ](../../upload.wikimedia.org/math/6/3/5/635953ccd6170acc5bba4bc234acfbdd.png) (the resolvent of the premises) is its conclusion.
  * The literal ![P\(x\)](../../upload.wikimedia.org/math/c/1/9/c19f6b6a7bae1fd5b14f578c6edc3454.png) is the left resolved literal,
  * The literal ![\\neg P\(b\)](../../upload.wikimedia.org/math/7/f/a/7fa5efc0eea90fa26c1725e324a34272.png) is the right resolved literal,
  * ![P](../../upload.wikimedia.org/math/4/4/c/44c29edb103a2872f519ad0c9a0fdaaa.png) is the resolved atom or pivot.
  * ![\[b/x\]](../../upload.wikimedia.org/math/d/7/b/d7bac402c30ac9c64fb824c309026aec.png) is the most general unifier of the resolved literals.

## Notes[[edit](http://en.wikipedia.org/w/index.php?title=Resolution_inference&action=edit&section=2)]

  1. **[^](Special:Random.html#cite_ref-1)** Fontaine, Pascal; Merz, Stephan; Woltzenlogel Paleo, Bruno. _Compression of Propositional Resolution Proofs via Partial Regularization_. 23rd International Conference on Automated Deduction, 2011.
  2. **[^](Special:Random.html#cite_ref-2)** Enrique P. Arís, Juan L. González y Fernando M. Rubio, Lógica Computacional, Thomson, (2005).

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Resolution_inference&oldid=598608676](http://en.wikipedia.org/w/index.php?title=Resolution_inference&oldid=598608676)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Propositional calculus](http://en.wikipedia.org/wiki/Category:Propositional_calculus)
  * [Proof theory](http://en.wikipedia.org/wiki/Category:Proof_theory)
  * [Inference](http://en.wikipedia.org/wiki/Category:Inference)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Resolution+inference&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Resolution+inference)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Resolution_inference)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Resolution_inference&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Resolution_inference&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Resolution_inference)
  * [Related changes](/wiki/Special:RecentChangesLinked/Resolution_inference)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Resolution_inference)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Resolution_inference)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Resolution_inference&oldid=598608676)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Resolution_inference&action=info)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Resolution_inference&id=598608676)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Resolution+inference)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Resolution+inference&oldid=598608676&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Resolution_inference&printable=yes)

### Languages

    *     * This page was last modified on 7 March 2014 at 22:05.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Resolution_inference)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
