# Social loafing

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

In the [social psychology](http://en.wikipedia.org/wiki/Social_psychology) of groups, **social loafing** is the phenomenon of people deliberately exerting less effort to achieve a goal when they work in a [group](http://en.wikipedia.org/wiki/Group_\(sociology\)) than when they work alone.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1)[[2]](Special:Random.html#cite_note-GilovichKeltner2006-2) This is seen as one of the main reasons groups are sometimes less productive than the combined performance of their members working as individuals, but should be distinguished from the accidental coordination problems that groups sometime experience.[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]

Social loafing can be explained by the ["free-rider" theory](http://en.wikipedia.org/wiki/Free_rider_problem) and the resulting "sucker effect", which is an individual’s reduction in effort in order to avoid pulling the weight of a fellow group member.[[3]](Special:Random.html#cite_note-irrodl-3)[[4]](Special:Random.html#cite_note-krumm178-4) Research on social loafing began with rope pulling experiments by Ringelmann, who found that members of a group tended to exert less effort into pulling a rope than did individuals alone. In more recent research, studies involving modern technology, such as online and distributed groups, has also shown clear evidence of social loafing. Many of the causes of social loafing stem from an individual feeling that his or her effort will not matter to the group.

## Contents

  * [1 History](Special:Random.html#History)
    * [1.1 Rope-pulling experiments](Special:Random.html#Rope-pulling_experiments)
    * [1.2 Clapping and shouting experiments](Special:Random.html#Clapping_and_shouting_experiments)
    * [1.3 Meta-analysis study and the Collective Effort Model (CEM)](Special:Random.html#Meta-analysis_study_and_the_Collective_Effort_Model_.28CEM.29)
    * [1.4 Dispersed versus collocated groups](Special:Random.html#Dispersed_versus_collocated_groups)
  * [2 Effect of culture](Special:Random.html#Effect_of_culture)
  * [3 Causes](Special:Random.html#Causes)
    * [3.1 Diffusion of responsibility/Evaluation potential](Special:Random.html#Diffusion_of_responsibility.2FEvaluation_potential)
    * [3.2 Motivation](Special:Random.html#Motivation)
    * [3.3 Dispensability of effort](Special:Random.html#Dispensability_of_effort)
    * [3.4 "Sucker" effect/Aversion](Special:Random.html#.22Sucker.22_effect.2FAversion)
    * [3.5 Attribution and equity/Matching of effort](Special:Random.html#Attribution_and_equity.2FMatching_of_effort)
    * [3.6 Submaximal goal setting](Special:Random.html#Submaximal_goal_setting)
  * [4 Real-life instances](Special:Random.html#Real-life_instances)
    * [4.1 1994 Black Hawk shootdown incident](Special:Random.html#1994_Black_Hawk_shootdown_incident)
    * [4.2 Social loafing and the workplace](Special:Random.html#Social_loafing_and_the_workplace)
    * [4.3 Online communities and groups](Special:Random.html#Online_communities_and_groups)
      * [4.3.1 Age-related effects on participation](Special:Random.html#Age-related_effects_on_participation)
  * [5 Reducing social loafing](Special:Random.html#Reducing_social_loafing)
    * [5.1 Motivational strategies](Special:Random.html#Motivational_strategies)
    * [5.2 Encouraging contributions in online communities](Special:Random.html#Encouraging_contributions_in_online_communities)
    * [5.3 Reduction in group projects](Special:Random.html#Reduction_in_group_projects)
  * [6 See also](Special:Random.html#See_also)
  * [7 References](Special:Random.html#References)
  * [8 Further reading](Special:Random.html#Further_reading)
  * [9 External links](Special:Random.html#External_links)

## History[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=1)]

### Rope-pulling experiments[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=2)]

![](../../upload.wikimedia.org/wikipedia/en/thumb/3/3b/RingelmannExperimentResults.png/220px-RingelmannExperimentResults.png)

![](../../bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Results from Ringelmann's experiment

The first known research on the social loafing effect began in 1913 with [Max Ringelmann](http://en.wikipedia.org/wiki/Max_Ringelmann)'s study. He found that when he asked a group of men to pull on a [rope](http://en.wikipedia.org/wiki/Rope), that they did not pull as hard collectively, as they did when each was pulling alone. This research did not distinguish whether it was the individuals putting in less effort or poor coordination within the group.[[5]](Special:Random.html#cite_note-5)[[6]](Special:Random.html#cite_note-6) In 1974, Alan Ingham and colleagues replicated Ringelmann's experiment using two types of groups: 1) Groups with real participants in groups of various sizes (consistent with Ringelmann's setup) or 2) Pseudo-groups with only one real participant. In the pseudo-groups, the researchers' assistants pretended to pull on the rope. The results showed a decrease in the participant's performance, with groups of participants who all exerted effort suffering the largest declines. Because the pseudo-groups were isolated from coordination effects (since the researchers' confederates did not physically pull the rope), Ingham proved that communication alone did not account for the effort decrease, and that motivational losses were the more likely cause of the performance decline.[[7]](Special:Random.html#cite_note-7)

### Clapping and shouting experiments[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=3)]

In contrast with Ringelmann's first findings, [Bibb Latané](http://en.wikipedia.org/wiki/Bibb_Latan%C3%A9) et al. replicated previous social loafing findings while demonstrating that the decreased performance of groups was attributable to reduced individual effort, distinct from coordination loss. They showed this by blindfolding male college students while making them wear [headphones](http://en.wikipedia.org/wiki/Headphones) that masked all noise. They then asked them to shout both in actual groups and pseudogroups in which they shouted alone but believed they were shouting with others. When subjects believed one other person was shouting, they shouted 82% as intensely as they did alone, but with five others, their effort decreased to 74%.

Latané et al. concluded that increasing the number of people in a group diminishes the relative social pressure on each person: "If the individual inputs are not identifiable the person may work less hard. Thus if the person is dividing up the work to be performed or the amount of reward he expects to receive, he will work less hard in groups."[[8]](Special:Random.html#cite_note-Latane_et_al.:_Social_Loafing.-8)[[9]](Special:Random.html#cite_note-9)

### Meta-analysis study and the Collective Effort Model (CEM)[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=4)]

In a 1993 [meta-analysis](http://en.wikipedia.org/wiki/Meta-analysis) by Karau and Williams, they propose the _Collective Effort Model (CEM)_, which is used to generate predictions.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1) The CEM integrates expectancy theories with theories of group-level social comparison and [social identity](http://en.wikipedia.org/wiki/Social_identity) to account for studies that examine individual effort in collective settings. From a psychological state, it proposes that Expectancy multiplied by Instrumentality multiplied by Valence of Outcome produces the resulting Motivational Force.

Karau et al.'s findings conclude that social loafing occurs because there is usually a stronger perceived contingency between individual effort and valued outcomes when working individually. When working collectively, other factors frequently determine performance, and valued outcomes are also divided among all group members. All individuals are assumed to try to maximize the expected utility of their actions. The CEM also acknowledges that some valued outcomes do not depend on performance. For example, exerting strong effort when working on intrinsically meaningful tasks or with highly respected team members may result in self-satisfaction or approval from the group, even if the high effort had little to no impact on tangible performance outcomes.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1)

Notable or novel findings by Karau and Williams following their implementation of the CEM include:

  * The magnitude of social loafing is reduced for women and individuals originating from Eastern cultures.
  * Individuals are more likely to loaf when their co-workers are expected to perform well.
  * Individuals reduce social loafing when working with acquaintances and do not loaf at all when they work in highly valued groups.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1)

### Dispersed versus collocated groups[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=5)]

A 2005 study by Laku Chidambaram and Lai Lai Tung based their research model on Latané’s [social impact theory](http://en.wikipedia.org/wiki/Social_impact_theory), and hypothesized that as group size and dispersion grew, the group’s work would be affected in the following areas: Members will contribute less in both quantity and quality, final group output will be of lower quality, and a group’s output will be affected both by individual factors and contextual factors.

A sample of 240 undergraduate business students were randomly split into forty teams (half of the teams were 4-person and half 8-person), and these teams were randomly assigned to either a collocated or distributed setting. The participants were to complete a task that asked them to act as a board of directors of a winery with an image problem. They were to find and discuss alternatives, and at the end submit their alternative with rationale. Collocated groups worked at a table together, while distributed groups did the same task at separate computers that allowed for electronic, networked communication. The same technology was used by both collocated and distributed groups.

Chidambaram and Tung found that group size matters immensely in a group’s performance. The smaller the group, the more likely each member is to participate, regardless of range (dispersed or collocated). The main difference stated between distributed and collocated groups is the social pressure to at least appear busy that is present in collocated groups. When others are present, people feel the need to look as if they are working hard, while those who are not in the presence of others do not.[[10]](Special:Random.html#cite_note-10)

## Effect of culture[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=6)]

In 1989, Christopher P. Earley hypothesized that social loafing would be mitigated in collectivist cultures that focus more on achievement of the group than the individual. He conducted a study in the [United States](http://en.wikipedia.org/wiki/United_States) and [China](http://en.wikipedia.org/wiki/People%27s_Republic_of_China), two polar opposites in terms of [culture](http://en.wikipedia.org/wiki/Culture) (with the U.S. being individualistic and China being collectivist), in order to determine if a difference in social loafing was present between the two types of cultures. Earley formed groups from both countries similar in [demographics](http://en.wikipedia.org/wiki/Demographics) and in time spent with each other (participants in each of the groups had known each other for three to five weeks). Each group was tasked with completing various forms of paperwork similar to work they would be required to do in their profession. The paperwork was designed to take two to five minutes for each item, and the items were turned in to an assistant when completed so that no one could judge their work compared to others. Each participant was given 60 minutes to complete as many items as possible and was separated into either the high-accountability group, where they were told they needed to achieve a group [goal](http://en.wikipedia.org/wiki/Goal), or a low-accountability group, where they were told they were to achieve a goal alone. They were also separated into high and low shared responsibility groups. It was found that, consistent with other studies, highly individualistic people performed more poorly on the task when there was high shared responsibility and low accountability than when there was high accountability. The collectivists, however, performed somewhat better on the task when high shared responsibility was present, regardless of how accountable they were supposed to be as compared to when they were working alone. This evidence suggests that collectivist thinking reduces the social loafing effect. Further evidence from a similar study showed the effect was related to the collectivist thinking rather than the country, as _individualistic_ Chinese workers did indeed show a social loafing effect.[[11]](Special:Random.html#cite_note-11)

## Causes[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=7)]

### Diffusion of responsibility/Evaluation potential[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=8)]

As the number of people in the group or team increase, people tend to feel [deindividuation](http://en.wikipedia.org/wiki/Deindividuation). This term defines both the dissociation from individual achievement and the decrease of personal accountability, resulting in lower exerted effort for individuals in collaborative environments. This phenomenon can thus decrease overall group effectiveness because it contagious and hard to correct. Once identified by the group or team leader, it is their responsibility to reassess and put into motion new rules and expectations for everyone.

People could simply feel "lost in the crowd", so they feel that their effort would not be rewarded even if they put it forth. This idea can also cause people to feel as though they can simply "hide in the crowd" and avoid the averse effects of not applying themselves.[[8]](Special:Random.html#cite_note-Latane_et_al.:_Social_Loafing.-8)

When enthusiasm for the overall goal or task is diminished, overall contribution will drop. When one feels that their overall efforts are reduced or unimportant, they will likely become social loafers.

### Motivation[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=9)]

Social psychological literature has found that the level of [motivation](http://en.wikipedia.org/wiki/Motivation) one has to engage in an activity influences one’s behavior in a group setting. This finding, deemed the **collective effort model** by Karau and Williams (1993, 2001) details that individuals who are more motivated are more likely to engage in [social facilitation](http://en.wikipedia.org/wiki/Social_facilitation) (that is, to increase one’s efforts when in the presence of others) whereas those who are less motivated are more likely to engage in social loafing.[[12]](Special:Random.html#cite_note-Forsyth.2C_D._R._2009-12) Researchers have determined that two factors which determine an individual’s motivation, and subsequently whether or not the individual will resort to social loafing versus [social facilitation](http://en.wikipedia.org/wiki/Social_facilitation), include the individual’s expectations about attaining the goal and the perceived value of the goal.

Thus, a person’s attitude toward these two factors will influence his or her motivation level and subsequent group behavior. Karau and Williams (1993, 2001) found that [motivation](http://en.wikipedia.org/wiki/Motivation) was highest when the individual believed that the goal was easily attainable and very valuable. On the other hand, [motivation](http://en.wikipedia.org/wiki/Motivation) was lowest when the goal seemed impossible and not at all valuable.[[12]](Special:Random.html#cite_note-Forsyth.2C_D._R._2009-12)

Unfortunately, the presence of a [group](http://en.wikipedia.org/wiki/Social_group) can influence one’s perception of these two factors in a number of ways. For instance, working in a group may reduce of increase one’s expectancy of attaining a goal. That is, depending on the qualities of the group members, an individual may find themselves in a group of high achievers who work hard and are guaranteed success whereas another may equally find themselves in a group of lazy or distracted people, making success seem unattainable. Therefore, the link between one’s personal efforts and success is not direct as our success is influenced by the work of others. Similarly, the value of the goal may be contingent on the group members. For instance, if we must share the reaping of success with all other group members than the value of the goal is reduced compared to the value of the goal from an individual perspective. Hence, the dynamic of the group is an important key in determining a person’s [motivation](http://en.wikipedia.org/wiki/Motivation) and the likelihood of social loafing.[[12]](Special:Random.html#cite_note-Forsyth.2C_D._R._2009-12) Additional factors which have been found to influence the likelihood of social loafing include one’s gender, one’s cultural background and the complexity of the task.

### Dispensability of effort[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=10)]

When a group member does not feel that his/her effort is justified in the context of the overall group, the individual will be less willing to assert the effort. If the group size is large, members can feel that their contribution will not be worth much to the overall cause because so many other contributions can or should occur. This leads people to not contribute as much or at all in large groups as they might have in smaller groups.

One example is voting in the United States. Even though most people say that voting is important, and a good practice for them to do, every year a sub-optimal percentage of Americans turn up to vote, especially in presidential elections (only 51% in the 2000 election).[[13]](Special:Random.html#cite_note-13) One vote may feel very small in a group of millions, so people may not think a vote is worth the time and effort. If too many people think this way, there is a small percentage of voter turnout. Some countries enforce [compulsory voting](http://en.wikipedia.org/wiki/Compulsory_voting) to reduce this effect.

### "Sucker" effect/Aversion[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=11)]

People feel that others in the group will leave them to do all the work while they take the credit. Because people do not want to feel like the "sucker," they wait to see how much effort others will put into a group before they put any in. If all the members try to avoid being the sucker, then everyone's effort will be significantly less than it would be if all of them were working as hard as they could.[[14]](Special:Random.html#cite_note-14)

For example, in a workplace environment, the establishment of an absence culture creates an attitude that all employees deserve to have a certain number of days of absence, regardless of whether or not they are actually sick. Therefore, if an employee has not used the maximum number of absence days, "he may feel that he is carrying an unfair share of the workload". [[4]](Special:Random.html#cite_note-krumm178-4)

### Attribution and equity/Matching of effort[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=12)]

Jackson and Harkins (1985) proposed that if someone feels that others in the group are slacking or that others will slack, he will lower his effort to match that of the others. This can occur whether it is apparent that the others are slacking or if someone simply believes that the group is slacking.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1)[[15]](Special:Random.html#cite_note-15) For example, in the Latane et al. study above, if a participant heard the others making less noise than anticipated, he could have lowered his effort in an attempt to equal that of the others, rather than aiming for the optimum.[[8]](Special:Random.html#cite_note-Latane_et_al.:_Social_Loafing.-8)

### Submaximal goal setting[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=13)]

By setting a goal that is based on maximization, people may feel that there is a set level that the group needs to be achieved. Because of this, they feel that they can work less hard for the overall desired effect.

For example, in the Latane et al. clapping and shouting study, people who were alone but told that they were part of a group screaming or clapping could have thought that there was a set level of noise that experimenters were looking for, and so assumed they could work less hard to achieve this level depending on the size of the group.[[8]](Special:Random.html#cite_note-Latane_et_al.:_Social_Loafing.-8)

## Real-life instances[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=14)]

### 1994 Black Hawk shootdown incident[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=15)]

Main article: [1994 Black Hawk shootdown incident](http://en.wikipedia.org/wiki/1994_Black_Hawk_shootdown_incident)

On April 14, 1994, two [U.S. Air Force](http://en.wikipedia.org/wiki/United_States_Air_Force) [F-15 fighters](http://en.wikipedia.org/wiki/McDonnell_Douglas_F-15_Eagle) accidentally shot down two [U.S. Army](http://en.wikipedia.org/wiki/United_States_Army) [Black Hawk helicopters](http://en.wikipedia.org/wiki/UH-60_Black_Hawk) over Northern [Iraq](http://en.wikipedia.org/wiki/Iraq), killing all 26 soldiers on board. The details of the incident have been analyzed by [West Point](http://en.wikipedia.org/wiki/West_Point) Professor Scott Snook in his book _Friendly Fire_.[[16]](Special:Random.html#cite_note-snook-16) In his summary of the fallacy of social redundancy, Snook points to social loafing as a contributor to the failure of the [AWACS aircraft](http://en.wikipedia.org/wiki/E-3_Sentry) team to track the helicopters and prevent the shootdown. Snook asserts that responsibility was "spread so thin by the laws of social impact and confused authority relationships that no one felt compelled to act".[[16]](Special:Random.html#cite_note-snook-16)

### Social loafing and the workplace[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=16)]

According to Hwee Hoon Tan and Min Li Tan, social loafing is an important area of interest in order to understand group work.[[17]](Special:Random.html#cite_note-17) While the opposite of social loafing, "[organizational citizenship behavior](http://en.wikipedia.org/wiki/Organizational_citizenship_behavior)", can create significant productivity increases, both of these behaviors can significantly impact the performance of organizations. Social loafing is a behavior that organizations want to eliminate. Understanding how and why people become social loafers is critical to the effective functioning, competitiveness and effectiveness of an organization.

### Online communities and groups[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=17)]

Research regarding social loafing online is currently relatively sparse, but is growing.[[3]](Special:Random.html#cite_note-irrodl-3)

A 2008 study of 227 undergraduate and graduate students enrolled in web-enabled courses at the [Naval War College (NWC)](http://en.wikipedia.org/wiki/Naval_War_College) and a public university found that social loafing not only exists, but may also be prevalent in the online learning classroom. Although only 2% of NWC and 8% of public university students self-reported social loafing, 8% of NWC and 77% of public university students indicated the perception of others engaging in social loafing. Additional findings generally verify face-to-face social loafing findings from previous studies. The researchers conclude that injustice in the distribution of rewards increases social loafing, and suggest that self-perceived dominance negatively affects individual participation in group activities.[[3]](Special:Random.html#cite_note-irrodl-3)

Social loafing, also known as "lurking", greatly affect the development and growth of online communities. The term _social loafing_ refers to the tendency for individuals to expend less effort when working collectively than when working individually.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1) This phenomenon is much like people’s tendency to be part of a group project, but rely heavily on just a few individuals to complete the work Generally, social loafers regularly follow the discussions and content of online communities, but choose not to expand on posts or add to the knowledge of the community.[[18]](Special:Random.html#cite_note-Shiue_2010_768.E2.80.93777-18) Additionally, participation in online communities is usually voluntary; therefore there is no guarantee that community members will contribute to the knowledge of the website, discussion forum, bulletin board, or other form of online engagement.

Lurkers are reported to constitute over 90% of several online groups.[[1]](Special:Random.html#cite_note-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing.-1)

The main reason people choose not to contribute to online communities surprisingly does not have to do with societal laziness, but in fact the potential contributors belief that their entries will not be taken seriously or given the credit that they deserve. When people assess the risks involved in contributing to online communities, they generally avoid participation because of the uncertainty of who the other contributors and readers are and the fear of their work being undervalued.[[18]](Special:Random.html#cite_note-Shiue_2010_768.E2.80.93777-18)

#### Age-related effects on participation[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=18)]

Although studies justify the notion that people often do not to contribute online communities, some research shows that older adults are actually more likely to participate in online communities than younger people because different generations tend to use the internet differently. For example, "older adults are more likely to seek health information, make purchases, and obtain religious information, but less likely to watch videos, download music, play games, and read blogs online".[[19]](Special:Random.html#cite_note-Chung_2010_1674.E2.80.931684-19) This is perhaps due in part to the fact that some online communities cater to older generations. The content of the website often determines what age group will use or visit the site, and because many forms of online communities appear on sites that focus their attention on older adults, participation is generally higher. Additionally, the ease and availability of operating the websites that host the online community may play a role in the age group that is most likely to participate. For example, some online communities geared toward older adults have simplified the design of their sites in order to enhance their look and usability for older adults.[[19]](Special:Random.html#cite_note-Chung_2010_1674.E2.80.931684-19)

## Reducing social loafing[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=19)]

According to Dan J. Rothwell, it takes "the three Cs of motivation" to get a group moving: collaboration, content, and choice.[[20]](Special:Random.html#cite_note-20) Thus, the answer to social loafing may be [motivation](http://en.wikipedia.org/wiki/Motivation). A [competitive](http://en.wikipedia.org/wiki/Competitive) environment may not necessarily get group members motivated.

  1. _[Collaboration](http://en.wikipedia.org/wiki/Collaboration)_ is a way to get everyone involved in the group by assigning each member special, meaningful tasks.[[21]](Special:Random.html#cite_note-21) It is a way for the group members to share the knowledge and the tasks to be fulfilled unfailingly. For example, if Sally and Paul were loafing because they were not given specific tasks, then giving Paul the note taker duty and Sally the [brainstorming](http://en.wikipedia.org/wiki/Brainstorming) duty will make them feel essential to the group. Sally and Paul will be less likely to want to let the group down, because they have specific obligations to complete.
  2. _Content_ identifies the importance of the individual's specific tasks within the group. If group members see their role as that involved in completing a worthy task, then they are more likely to fulfill it. For example, Sally may enjoy [brainstorming](http://en.wikipedia.org/wiki/Brainstorming), as she knows that she will bring a lot to the group if she fulfills this obligation. She feels that her obligation will be valued by the group.
  3. _[Choice](http://en.wikipedia.org/wiki/Choice)_ gives the group members the opportunity to choose the task they want to fulfill. Assigning [roles](http://en.wikipedia.org/wiki/Role) in a group causes complaints and frustration. Allowing group members the freedom to choose their role makes social loafing less significant, and encourages the members to work together as a [team](http://en.wikipedia.org/wiki/Team).

Thompson stresses that ability and motivation are essential, but insufficient for effective team functioning. A team must also coordinate the skills, efforts, and actions of its members in order to effectively achieve its goal. Thompson's recommendations can be separated into _motivation strategies_ and _coordination strategies_:[[22]](Special:Random.html#cite_note-22)

Motivation strategies Coordination strategies

  * Increase identifiability
  * Promote involvement
  * Reward team members for performance
  * Strengthen team cohesion
  * Increase personal responsibility
  * Use team contracts
  * Provide team performance reviews and feedback

  * Using single-digit teams
  * Having an agenda
  * Training team members together
  * Spending more time practicing
  * Minimizing links in communication
  * Setting clear performance standards

### Motivational strategies[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=20)]

**Increase identifiability:** Studies of social loafing suggest that people are less productive when they are working with others, but social facilitation studies have shown that people are more productive when others are present (at least with an easy task). If individuals within a group know one another, feel that their productivity or inputs are not identifiable, then social loafing is likely to occur. Alternatively, if individuals are anonymous and therefore unidentifiable, then social loafing may also be likely to occur.[[23]](Special:Random.html#cite_note-forsythe-23)

**Minimize free riding:** _[Free riding](http://en.wikipedia.org/wiki/Free_rider_problem)_ occurs when members do less than their share of the work because others will make up for their slack. As others contribute ideas, individuals may feel less motivated to work hard themselves. They see their own contributions as less necessary or less likely to have much impact.[[24]](Special:Random.html#cite_note-24)To eliminate these effects, it is important to make group members feel that their contributions are essential for the group’s success. Additionally, it is less likely for someone to free-ride if they are in a small group.[[23]](Special:Random.html#cite_note-forsythe-23)

**Promote involvement:** loafing is also less likely to occur when people are involved with their work, and when they enjoy working with others in groups. These are people who value both the experience of being part of a group, as well as achieving results. Also, challenging and difficult tasks reduce social loafing. Social loafing is also reduced when individuals are involved in group work and their rewards are received as a team, rather than individually.[[23]](Special:Random.html#cite_note-forsythe-23)

**Strengthen team cohesion:** the extent to which group members identify with their group also determines the amount of social loafing. This concept links with [social identity theory](http://en.wikipedia.org/wiki/Social_identity_theory) in that that difference between a hard-working group and one that is loafing is the match between the group’s tasks and its members’ self definitions. When individuals derive their sense of self and identity from their membership, social loafing is replaced by social laboring (members will expand extra effort for their group).[[23]](Special:Random.html#cite_note-forsythe-23)

**Set goals:** groups that set clear, challenging goals outperform groups whose members have lost sight of their objectives. The group's goals should be relatively challenging, instead of being too easily accomplished. The advantages of working in a group are often lost when a task is so easy that it can be accomplished even when members of the group socially loaf. Thus, groups should ensure to set their standards high, but not so high that the goals are unattainable. Latham and Baldes (1975) assessed the practical significance of [Locke](http://en.wikipedia.org/wiki/Edwin_A._Locke)'s theory of [goal setting](http://en.wikipedia.org/wiki/Goal_setting) by conducting an experiment with truck drivers who hauled logs from the woods to the mill. When the men were initially told to do their best when loading the logs, they carried only about 60% of the weight that they could legally haul. When the same drivers were later encouraged to reach a goal of hauling 94% of the legal limit, they increased their efficiency and met this specific goal. Thus, the results of this study show that performance improved immediately upon the assignment of a specific, challenging goal. Company cost accounting procedures indicated that this same increase in performance without goal setting would have required an expenditure of a quarter of a million dollars on the purchase of additional trucks alone. So this method of goal setting is extremely effective.[[25]](Special:Random.html#cite_note-25) Other research has found that clear goals can stimulate a number of other performance-enhancing processes, including increases in effort, better planning, more accurate monitoring of the quality of the groups work, and even an increased commitment to the group.[[26]](Special:Random.html#cite_note-26)

### Encouraging contributions in online communities[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=21)]

Piezon & Donaldson argue in a 2005 analysis that special attention should be paid to the physical separation, social isolation, and temporal distance associated with distance education courses, which may induce social loafing. In terms of group size, they assert that there is no significant gain in small groups larger than six unless the group is brainstorming, and that the optimal group size may be five members. Suggestions that they have for online groups include clarifying roles and responsibilities, providing performance data for comparison with other groups, and mandating high levels of participation consisting of attending group meetings, using the discussion board, and participating in chats.[[27]](Special:Random.html#cite_note-27)

In a 2010 analysis of online communities, [Kraut](http://en.wikipedia.org/wiki/Robert_E._Kraut) and Resnick suggest several ways to elicit contributions from users:[[28]](Special:Random.html#cite_note-28)

  * Simply asking users, either implicitly through selective presentation of tasks or explicitly through requests that play on the principles of persuasion
  * Changing the composition or activity of the group
  * Using a record-keeping system to reflect member contributions, in addition to awarding privileges or more tangible awards

An example that the authors study is [Wikipedia](http://en.wikipedia.org/wiki/Wikipedia), which runs fundraising campaigns that involve tens of thousands of people and raise millions of dollars by employing large banner ads at the top of the page with deadlines, specific amounts of money set as the goal, and lists of contributors.

### Reduction in group projects[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=22)]

In 2008, Praveen Aggarwal and Connie O'Brien studied several hundred college students assessing what factors can reduce social loafing during group projects. From the results, they concluded that there were three factors that reduce social loafing.[[29]](Special:Random.html#cite_note-Aggarwal-29)

**Limiting the scope of the project:** Instructors can reduce social loafing by either dividing a big project into two or more smaller components or replacing semester-long projects with a smaller project and some other graded work. Also, breaking up a big project into smaller components can be beneficial.[[29]](Special:Random.html#cite_note-Aggarwal-29)

**Smaller group size:** Limiting the group size can make it harder for social loafers to hide behind the shield of anonymity provided by a large group. In smaller groups, each member will feel that their contribution will add greater value.[[29]](Special:Random.html#cite_note-Aggarwal-29)

**Peer evaluations:** Peer evaluations send a signal to group members that there will be consequences for non-participation. It has been found that as the number of peer evaluations during a project go up, the incidence of social loafing goes down.[[29]](Special:Random.html#cite_note-Aggarwal-29)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=23)]

![Portal icon](../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Psi2.svg/28px-Psi2.svg.png)
[Psychology portal](http://en.wikipedia.org/wiki/Portal:Psychology)

![Portal icon](../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Logo_sociology.svg/28px-Logo_sociology.svg.png)
[Sociology portal](http://en.wikipedia.org/wiki/Portal:Sociology)

  * [Audience effect](http://en.wikipedia.org/wiki/Audience_effect)
  * [Ringelmann effect](http://en.wikipedia.org/wiki/Ringelmann_effect)
  * [Social facilitation](http://en.wikipedia.org/wiki/Social_facilitation)
  * [Bystander effect](http://en.wikipedia.org/wiki/Bystander_effect)
  * [Diffusion of responsibility](http://en.wikipedia.org/wiki/Diffusion_of_responsibility)
  * [Collective responsibility](http://en.wikipedia.org/wiki/Collective_responsibility)
  * [Adaptive performance](http://en.wikipedia.org/wiki/Adaptive_performance)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=24)]

  1. ^ _**[a**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-0) _**[b**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-1) _**[c**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-2) _**[d**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-3) _**[e**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-4) _**[f**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-5) _**[g**_](Special:Random.html#cite_ref-Karau_.26_Williams:_Meta-Analysis_of_Social_Loafing._1-6) Karau, Steven J.; Williams, Kipling D. (1993). "Social loafing: A meta-analytic review and theoretical integration". _Journal of Personality and Social Psychology_ **65** (4): 681–706. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1037/0022-3514.65.4.681](http://dx.doi.org/10.1037%2F0022-3514.65.4.681). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [0022-3514](http://www.worldcat.org/issn/0022-3514). "the reduction in motivation and effort when individuals work collectively compared with when they work individually or coactively" 
  2. **[^](Special:Random.html#cite_ref-GilovichKeltner2006_2-0)** Gilovich, Thomas; Keltner, Dacher; Nisbett, Richard E. (2006). _Social psychology_. W.W. Norton. p. 60\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0-393-97875-9](http://en.wikipedia.org/wiki/Special:BookSources/978-0-393-97875-9). "The tendency to exert less effort when working on a group task in which individual contributions cannot be measured" 
  3. ^ _**[a**_](Special:Random.html#cite_ref-irrodl_3-0) _**[b**_](Special:Random.html#cite_ref-irrodl_3-1) _**[c**_](Special:Random.html#cite_ref-irrodl_3-2) Piezon, Sherry L., and Ferree, William D. ["Perceptions of Social Loafing in Online Learning Groups: A study of Public University and U.S. Naval War College students."](http://www.irrodl.org/index.php/irrodl/article/view/484/1034) June 2008. _The International Review of Research in Open and Distance Learning_. **9** (2)
  4. ^ _**[a**_](Special:Random.html#cite_ref-krumm178_4-0) _**[b**_](Special:Random.html#cite_ref-krumm178_4-1) Krumm, Diane J. (December 2000). _[Psychology at work: an introduction to industrial/organizational psychology_](http://books.google.com/books?id=9T9HDh6B7i8C&pg=PA178). Macmillan. p. 178\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-1-57259-659-7](http://en.wikipedia.org/wiki/Special:BookSources/978-1-57259-659-7). Retrieved 1 May 2011. 
  5. **[^](Special:Random.html#cite_ref-5)** Ringelmann, M. (1913) ["Recherches sur les moteurs animés: Travail de l'homme"](http://gallica.bnf.fr/ark:/12148/bpt6k54409695.image.f14.langEN) [Research on animate sources of power: The work of man], _Annales de l'Institut National Agronomique_, 2nd series, vol. 12, pages 1-40.
  6. **[^](Special:Random.html#cite_ref-6)** Kravitz, David A.; Martin, Barbara (1986). "Ringelmann rediscovered: The original article". _Journal of Personality and Social Psychology_ **50** (5): 936–941. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1037/0022-3514.50.5.936](http://dx.doi.org/10.1037%2F0022-3514.50.5.936). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [1939-1315](http://www.worldcat.org/issn/1939-1315). 
  7. **[^](Special:Random.html#cite_ref-7)** Ingham, Alan G.; Levinger, George; Graves, James; Peckham, Vaughn (1974). "The Ringelmann effect: Studies of group size and group performance". _Journal of Experimental Social Psychology_ **10** (4): 371–384. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0022-1031(74)90033-X](http://dx.doi.org/10.1016%2F0022-1031%2874%2990033-X). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [0022-1031](http://www.worldcat.org/issn/0022-1031). 
  8. ^ _**[a**_](Special:Random.html#cite_ref-Latane_et_al.:_Social_Loafing._8-0) _**[b**_](Special:Random.html#cite_ref-Latane_et_al.:_Social_Loafing._8-1) _**[c**_](Special:Random.html#cite_ref-Latane_et_al.:_Social_Loafing._8-2) _**[d**_](Special:Random.html#cite_ref-Latane_et_al.:_Social_Loafing._8-3) Latané, Bibb; Williams, Kipling; Harkins, Stephen (1979). "Many hands make light the work: The causes and consequences of social loafing". _Journal of Personality and Social Psychology_ **37** (6): 822–832. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1037/0022-3514.37.6.822](http://dx.doi.org/10.1037%2F0022-3514.37.6.822). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [0022-3514](http://www.worldcat.org/issn/0022-3514). 
  9. **[^](Special:Random.html#cite_ref-9)** [PsyBlog](http://www.spring.org.uk/2009/05/social-loafing-when-groups-are-bad-for-productivity.php) "Social Loafing: when groups are bad for productivity," 29 May 2009 (citing, inter alia, Latane).
  10. **[^](Special:Random.html#cite_ref-10)** Chidambaram, Laku; Tung, Lai Lai (2005). "Is Out of Sight, Out of Mind? An Empirical Study of Social Loafing in Technology-Supported Groups". _Information Systems Research_ **16** (2): 149–168. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1287/isre.1050.0051](http://dx.doi.org/10.1287%2Fisre.1050.0051). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [1047-7047](http://www.worldcat.org/issn/1047-7047). 
  11. **[^](Special:Random.html#cite_ref-11)** Christopher Earley, P. (1989). "Social Loafing and Collectivism: A Comparison of the United States and the People's Republic of China". _Administrative Science Quarterly_ **34** (4): 565–581. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.2307/2393567](http://dx.doi.org/10.2307%2F2393567).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.2307.2F2393567&action=edit&editintro=Template:Cite_doi/editintro2)
  12. ^ _**[a**_](Special:Random.html#cite_ref-Forsyth.2C_D._R._2009_12-0) _**[b**_](Special:Random.html#cite_ref-Forsyth.2C_D._R._2009_12-1) _**[c**_](Special:Random.html#cite_ref-Forsyth.2C_D._R._2009_12-2) Forsyth, D. R. (2009). Group dynamics: New York: Wadsworth. [Chapter 10]
  13. **[^](Special:Random.html#cite_ref-13)** Edwards, Wattenberg, Lineberry (2005). _Government in America: People, Politics, and Policy_, 12/E (Chapter 6 summary).
  14. **[^](Special:Random.html#cite_ref-14)** Thompson, L. L. (2003). _Making the team: A guide for managers_. Saddle River, NJ: Pearson/Prentice Hall. (pp. 31-32).
  15. **[^](Special:Random.html#cite_ref-15)** Jackson, J. M. & Harkins, S. G. (1985). Equity in effort: An explanation of the social loafing effect. _[Journal of Personality and Social Psychology](http://en.wikipedia.org/wiki/Journal_of_Personality_and_Social_Psychology), 49_, 1199-1206.
  16. ^ _**[a**_](Special:Random.html#cite_ref-snook_16-0) _**[b**_](Special:Random.html#cite_ref-snook_16-1) Snook, Scott A. (2000). _Friendly Fire: The Accidental Shootdown of U.S. Black Hawks over Northern Iraq_. Princeton, NJ: Princeton University Press. p. 135. [ISBN 978-0-691-09518-9](http://en.wikipedia.org/wiki/Special:BookSources/9780691095189)
  17. **[^](Special:Random.html#cite_ref-17)** Hoon, Hwee; Tan, Tan Min Li (2008). "Organizational Citizenship Behavior and Social Loafing: The Role of Personality, Motives, and Contextual Factors". _The Journal of Psychology_ **142** (1): 89–108. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.3200/JRLP.142.1.89-112](http://dx.doi.org/10.3200%2FJRLP.142.1.89-112). [ISSN](http://en.wikipedia.org/wiki/International_Standard_Serial_Number) [0022-3980](http://www.worldcat.org/issn/0022-3980). 
  18. ^ _**[a**_](Special:Random.html#cite_ref-Shiue_2010_768.E2.80.93777_18-0) _**[b**_](Special:Random.html#cite_ref-Shiue_2010_768.E2.80.93777_18-1) Shiue, Yih-Chearng; Chiu, Chao-Min; Chang, Chen-Chi (2010). ["Exploring and mitigating social loafing in online communities"](http://0-www.sciencedirect.com.sculib.scu.edu/science/article/pii/S0747563210000166). _Computers and Human Behavior_ **26** (4): 768–777. Retrieved 6 February 2012.  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  19. ^ _**[a**_](Special:Random.html#cite_ref-Chung_2010_1674.E2.80.931684_19-0) _**[b**_](Special:Random.html#cite_ref-Chung_2010_1674.E2.80.931684_19-1) Chung, Jae Eun; Park, Namkee; Wang, Hua; Fulk, Janet; McLaughlin, Maraget (2010). ["Age differences in perceptions of online community participation among non-users: An extension of the Technology Acceptance Model"](http://0-www.sciencedirect.com.sculib.scu.edu/science/article/pii/S0747563210001883). _Computers in Human Behavior_ **26** (6): 1674–1684. Retrieved 6 February 2012.  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  20. **[^](Special:Random.html#cite_ref-20)** Rothwell, J. Dan (27 December 1999). _[In the Company of Others: An Introduction to Communication_](http://books.google.com/books?id=VtPZAAAAMAAJ). McGraw-Hill. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-1-55934-738-9](http://en.wikipedia.org/wiki/Special:BookSources/978-1-55934-738-9). Retrieved 1 May 2011. 
  21. **[^](Special:Random.html#cite_ref-21)** ["Pattern: Collaboration in Small Groups"](http://www.comp.lancs.ac.uk/computing/research/cseg/projects/pointer/patterns/collocatedTeamwork/collocatedTeamwork.html) by CSCW, The Computing Company, October 31, 2005, retrieved October 31, 2005
  22. **[^](Special:Random.html#cite_ref-22)** Thompson, L. L. (2003). _Making the team: A guide for managers_. Saddle River, NJ: Pearson/Prentice Hall. (pp. 29-36).
  23. ^ _**[a**_](Special:Random.html#cite_ref-forsythe_23-0) _**[b**_](Special:Random.html#cite_ref-forsythe_23-1) _**[c**_](Special:Random.html#cite_ref-forsythe_23-2) _**[d**_](Special:Random.html#cite_ref-forsythe_23-3) Forsythe, 2010.
  24. **[^](Special:Random.html#cite_ref-24)** Kassin, Saul; Fein, Steven; Markus, Hazel Rose. _Social psychology_ (8th ed. ed.). Belmont, CA: Cengage Wadsworth. p. 312\. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-0495812401](http://en.wikipedia.org/wiki/Special:BookSources/978-0495812401). 
  25. **[^](Special:Random.html#cite_ref-25)** Latham, Gary, P.; Baldes (1975). "James, J.". _Journal of Applied Psychology_ **60** (1). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1037/h0076354](http://dx.doi.org/10.1037%2Fh0076354).  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  26. **[^](Special:Random.html#cite_ref-26)** Weldon, E.; Jehn (1991). "K.". _Journal of Personality and Social Psychology_ **61** (4). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1037/0022-3514.61.4.555](http://dx.doi.org/10.1037%2F0022-3514.61.4.555).  Cite uses deprecated parameters ([help](http://en.wikipedia.org/wiki/Help:CS1_errors#deprecated_params))
  27. **[^](Special:Random.html#cite_ref-27)** Piezon, S. L. & Donaldson, R. L. ["Online groups and social loafing: Understanding student-group interactions."](http://www.westga.edu/~distance/ojdla/winter84/piezon84.htm) 2005\. _Online Journal of Distance Learning Administration_, 8(4).
  28. **[^](Special:Random.html#cite_ref-28)** Kraut, R. E., & Resnick, P. Encouraging online contributions. The science of social design: Mining the social sciences to build successful online communities. Cambridge, MA: MIT Press. p. 39.
  29. ^ _**[a**_](Special:Random.html#cite_ref-Aggarwal_29-0) _**[b**_](Special:Random.html#cite_ref-Aggarwal_29-1) _**[c**_](Special:Random.html#cite_ref-Aggarwal_29-2) _**[d**_](Special:Random.html#cite_ref-Aggarwal_29-3) Aggarwal,2008

## Further reading[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=25)]

  * Forsyth, D.R. (2010). _Group Dynamics (5th edition)._ Belmont, CA: Wadsworth.
  * Jackson, J. M. & Williams, K. D. (1985). Social loafing on difficult tasks. _[Journal of Personality and Social Psychology](http://en.wikipedia.org/wiki/Journal_of_Personality_and_Social_Psychology), 49_, 937-942.
  * [Rothwell, J, D. _In the Company of Others_, McGraw-Hill, 2004, ISBN 0-7674-3009-3](http://books.google.com/books?id=txByleawv04C&pg=PP1).
  * Rothwell, Dan J., _In Mixed Company: Communicating in Small Groups_, 3rd. ed., Harcourt Brace College Publishers, Orlando, p. 83.
  * ["Pattern: Collaboration in Small Groups"](http://www.comp.lancs.ac.uk/computing/research/cseg/projects/pointer/patterns/collocatedTeamwork/collocatedTeamwork.html) by CSCW, The Computing Company, October 31, 2005, retrieved October 31, 2005.

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit&section=26)]

![](../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/Wikibooks-logo-en-noslogan.svg/40px-Wikibooks-logo-en-noslogan.svg.png)
The Wikibook _[Managing Groups and Teams](http://en.wikibooks.org/wiki/Managing_Groups_and_Teams)_ has a page on the topic of: _**[Social Loafing](http://en.wikibooks.org/wiki/Managing_Groups_and_Teams/Social_Loafing)**_
![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Social_loafing&oldid=603980681](http://en.wikipedia.org/w/index.php?title=Social_loafing&oldid=603980681)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Social psychology](http://en.wikipedia.org/wiki/Category:Social_psychology)

Hidden categories: 

  * [Pages containing cite templates with deprecated parameters](http://en.wikipedia.org/wiki/Category:Pages_containing_cite_templates_with_deprecated_parameters)
  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from September 2011](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_September_2011)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Social+loafing&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Social+loafing)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Social_loafing)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=history)

### Actions

### Search

### Navigation

  * [../../upload.wikimedia.org/wikipedia/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">](/wiki/Main_Page)

### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Social_loafing)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Social_loafing)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Social_loafing&oldid=603980681)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Social_loafing&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q918581)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Social_loafing&id=603980681)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Social+loafing)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Social+loafing&oldid=603980681&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Social_loafing&printable=yes)

### Languages

    * [Čeština](http://cs.wikipedia.org/wiki/Soci%C3%A1ln%C3%AD_zah%C3%A1len%C3%AD)
    * [Deutsch](http://de.wikipedia.org/wiki/Soziales_Faulenzen)
    * [Eesti](http://et.wikipedia.org/wiki/Sotsiaalne_looderdamine)
    * [Ελληνικά](http://el.wikipedia.org/wiki/%CE%9A%CE%BF%CE%B9%CE%BD%CF%89%CE%BD%CE%B9%CE%BA%CE%AE_%CE%BF%CE%BA%CE%BD%CE%B7%CF%81%CE%AF%CE%B1)
    * [Français](http://fr.wikipedia.org/wiki/Paresse_sociale)
    * [עברית](http://he.wikipedia.org/wiki/%D7%91%D7%98%D7%9C%D7%94_%D7%97%D7%91%D7%A8%D7%AA%D7%99%D7%AA)
    * [Norsk bokmål](http://no.wikipedia.org/wiki/Sosial_loffing)
    * [Polski](http://pl.wikipedia.org/wiki/Pr%C3%B3%C5%BCniactwo_spo%C5%82eczne)
    * [Русский](http://ru.wikipedia.org/wiki/%D0%A1%D0%BE%D1%86%D0%B8%D0%B0%D0%BB%D1%8C%D0%BD%D0%B0%D1%8F_%D0%BB%D0%B5%D0%BD%D0%BE%D1%81%D1%82%D1%8C)
    * [தமிழ்](http://ta.wikipedia.org/wiki/%E0%AE%9A%E0%AE%AE%E0%AF%82%E0%AE%95_%E0%AE%9A%E0%AF%8B%E0%AE%AE%E0%AF%8D%E0%AE%AA%E0%AE%B2%E0%AF%8D)
    * [中文](http://zh.wikipedia.org/wiki/%E7%A4%BE%E4%BC%9A%E6%83%B0%E5%8C%96)
    *     * [Edit links](http://www.wikidata.org/wiki/Q918581#sitelinks-wikipedia)

    * This page was last modified on 13 April 2014 at 07:19.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Social_loafing)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
