# Tire-pressure monitoring system

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

A **tire pressure monitoring system** (**TPMS**) is an [electronic](http://en.wikipedia.org/wiki/Electronics) system designed to monitor the [air pressure](http://en.wikipedia.org/wiki/Air_pressure) inside the [pneumatic tires](http://en.wikipedia.org/wiki/Pneumatic_tire) on various types of vehicles. TPMS report real-time tire-pressure information to the driver of the [vehicle](http://en.wikipedia.org/wiki/Vehicle), either via a gauge, a pictogram display, or a simple low-pressure warning light. TPMS can be divided into two different types — [direct (dTPMS)](http://en.wikipedia.org/wiki/Direct_TPMS) and indirect (iTPMS). TPMS are provided both at an OEM (factory) level as well as an aftermarket solution.

## Contents

  * [1 Target](Special:Random.html#Target)
  * [2 History](Special:Random.html#History)
  * [3 Direct vs. indirect](Special:Random.html#Direct_vs._indirect)
    * [3.1 Indirect TPMS](Special:Random.html#Indirect_TPMS)
    * [3.2 Direct TPMS](Special:Random.html#Direct_TPMS)
  * [4 Benefits of TPMS](Special:Random.html#Benefits_of_TPMS)
  * [5 Legislation](Special:Random.html#Legislation)
  * [6 Heavy-duty vehicles](Special:Random.html#Heavy-duty_vehicles)
  * [7 See also](Special:Random.html#See_also)
  * [8 References](Special:Random.html#References)

## Target[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=1)]

  * Avoiding traffic accidents due to under-inflated tires by early recognition of the malfunction of tires
  * Reducing rolling resistance thus increasing overall fuel efficiency

## History[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=2)]

Due to the significant influence tire pressure has on vehicle safety and efficiency, TPMS was first adopted by the European market as an optional feature for [luxury](http://en.wikipedia.org/wiki/Luxury_car) passenger vehicles in the 1980s. The first [passenger vehicle](http://en.wikipedia.org/wiki/Automobile) to adopt tire-pressure monitoring (TPM) was the [Porsche 959](http://en.wikipedia.org/wiki/Porsche_959) in 1986, using a hollow spoke wheel system developed by PSK. In 1996 Renault used the Michelin [PAX system](http://en.wikipedia.org/w/index.php?title=PAX_system&action=edit&redlink=1)[[1]](Special:Random.html#cite_note-1) for the Scenic and in 1999 the [PSA Peugeot Citroën](http://en.wikipedia.org/wiki/PSA_Peugeot_Citro%C3%ABn) decided to adopt TPM as a standard feature on the [Peugeot 607](http://en.wikipedia.org/wiki/Peugeot_607). The following year (2000), [Renault](http://en.wikipedia.org/wiki/Renault) launched the [Laguna II](http://en.wikipedia.org/wiki/Renault_Laguna), the first high volume mid-size passenger vehicle in the world to be equipped with TPM as a standard feature.

In the United States, TPMS was introduced by General Motors in March 1997 for the 5th generation (C5) Corvette in conjunction with Goodyear run flat tires. The system uses sensors in the wheels and a driver display which can show tire pressure at any wheel, plus warnings for both high and low pressure. It has been standard on Corvettes ever since. The [Firestone recall](http://en.wikipedia.org/wiki/Firestone_and_Ford_tire_controversy) in the late 1990s (which was linked to more than 100 deaths from [rollovers](http://en.wikipedia.org/wiki/Rollover) following tire tread-separation), pushed the [Clinton administration](http://en.wikipedia.org/wiki/Presidency_of_Bill_Clinton) to legislate the [TREAD Act](http://en.wikipedia.org/wiki/Transportation_Recall_Enhancement,_Accountability_and_Documentation_Act). The Act mandated the use of a suitable TPMS technology in all light motor vehicles (under 10,000 pounds), to help alert drivers of severe under-inflation events. This act affects all light motor vehicles sold after September 1, 2007. Phase-in started in October 2005 at 20%, and reached 100% for models produced after September 2007. In the United States, as of 2008 and the European Union, as of November 1, 2012, all new passenger car models (M1) released must be equipped with a TPMS. From November 1, 2014, all new passenger cars sold in the European Union must be equipped with TPMS. For N1 vehicles, TPMS are not mandatory, but if a TPMS is fitted, it must comply with the regulation.

After the TREAD Act was passed, many companies responded to the new market opportunity by releasing TPMS products that use an obvious means of getting tire pressure and temperature data across a vehicle's rotating wheel-chassis boundary — battery-powered radio transmitter wheel modules.

The introduction of [run-flat tires](http://en.wikipedia.org/wiki/Run-flat_tire) and emergency spare tires by several tire and vehicle manufacturers has motivated to make at least some basic TPMS mandatory when using run flat tires. With run flat tires, the driver will most likely not notice that a tire is running flat, hence the so-called "run flat warning systems" were introduced. These are most often first generation, purely roll-radius based iTPMS, which ensure that run-flat tires are not used beyond their limitations, usually 80 km/h and 80 km driving distance. The iTPMS market has progressed as well. Indirect TPMS are able to detect under-inflation through combined use of roll radius and spectrum analysis and hence four-wheel monitoring has become feasible. With this breakthrough, meeting the legal requirements is possible also with iTPMS.

## Direct vs. indirect[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=3)]

### Indirect TPMS[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=4)]

Indirect TPMS do not use physical pressure sensors but measure air pressures by monitoring individual wheel rotational speeds and other signals available outside of the tire itself. First generation iTPMS systems utilize the effect that an under-inflated tire has a slightly smaller diameter (and hence higher tangential velocity) than a correctly inflated one. These differences are measurable through the wheel speed sensors of ABS/ESC systems. Second generation iTPMS can also detect simultaneous under-inflation in up to all four tires using spectrum analysis of individual wheels, which can be realized in software using advanced signal processing techniques. The spectrum analysis is based on the principle that certain eigenforms and frequencies of the tire/wheel assembly are highly sensitive to the inflation pressure. These oscillations can hence be monitored through advanced signal processing of the wheel speed signals. Current[_[when?](http://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/Dates_and_numbers#Chronological_items)_] iTPMS consist of software modules being integrated into the ABS/ESC units.

iTPMS cannot measure or display absolute pressure values, they are relative by nature and have to be reset by the driver once the tires are checked and all pressures adjusted correctly. The reset is normally done either by a physical button or in a menu of the on-board computer. iTPMS are, compared to dTPMS, more sensitive to the influences of different tires and external influences like road surfaces and driving speed or style. The reset procedure, followed by an automatic learning phase of typically 20 to 60 minutes of driving under which the iTPMS learns and stores the reference parameters before it becomes fully active, cancels out many, but not all of these. As iTPMS do not involve any additional hardware, spare parts, electronic or toxic waste as well as service whatsoever (beyond the regular reset), they are regarded as easy to handle and very customer friendly.[[2]](Special:Random.html#cite_note-2)

According to [Nira](http://en.wikipedia.org/wiki/NIRA_Dynamics_AB), based on their request to [TÜV SÜD](http://en.wikipedia.org/wiki/T%C3%9CV_S%C3%9CD) to do a pre-test according to similar requirements of the EU legislation, the iTPMS system passed that pre-test.[[3]](Special:Random.html#cite_note-3) However, the full test procedure as required by the EU regulation, completed by the regulatory body assigned to make the homologation, has not yet been done. Manufacturers like Dunlop Tech also claim their products to fulfill the regulations.[[4]](Special:Random.html#cite_note-4)

iTPMS are regarded as inaccurate by some stances due to their nature. As such, most TPMS units now on the market are of the Direct type.

### Direct TPMS[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=5)]

Direct TPMS employ pressure sensors on each tire, either internal or external. The sensors physically measure the tire pressure in each tire and report it to the vehicle's instrument cluster or a corresponding monitor. Some units also measure and alert temperatures of the tire as well. These systems can identify under-inflation in any combination, be it one tire or all, simultaneously. Although the systems vary in transmitting options, many TPMS products (both OEM and aftermarket solutions) can display real time tire pressures at each location monitored whether the vehicle is moving or parked. There are many different solutions but all of them have to face the problems of exposure to tough environments and the majority are powered by batteries which limit their useful life. Some sensors utilise a wireless power system similar to that used in RFID tag reading which solves the problem of limited battery life by electromagnetic induction. This also increases the frequency of data transmission up to 40hz and reduces the sensor weight which can be important in motorsport applications. If the sensors are mounted on the outside of the wheel, which is the case for some aftermarket systems, they are in danger of mechanical damage, aggressive fluids and other substances as well as theft. If they are mounted on the inside of the rim, they are no longer easily accessible for service like battery change and additionally, the RF communication has to overcome the damping effects of the tire which additionally increases the need for energy.

A direct TPMS sensor consists of following main functions requiring only a few external components — _e.g._, battery, housing, PCB — to get the sensor module that is mounted to the valve stem inside the tire:

  * pressure sensor;
  * analog-digital converter;
  * microcontroller;
  * system controller;
  * oscillator;
  * radio frequency transmitter;
  * low frequency receiver, and
  * voltage regulator (battery management).

Most originally fitted dTPMS have the sensors mounted on the inside of the rims and the batteries are not exchangeable. With a battery change then meaning that the whole sensor will have to be replaced and the exchange being possible only with the tires dismounted, the lifetime of the battery becomes a crucial parameter. To save energy and prolong battery life, many dTPMS sensors hence do not transmit information when not rotating (which also keeps the spare tire from being monitored) or apply a complex and expensive two-way communication which enables an active wake-up of the sensor by the vehicle. For OEM auto dTPMS units to work properly, they need to recognize the sensor positions and have to ignore the signals from other vehicles' sensors. There are hence numerous tools and procedures to make the dTPMS "learn" or "re-learn" this information, some of them can be carried out by the driver, others need to be done by the workshops or even require special electronic tools. The cost and variety of spare parts, procedures and tools has led to much trouble and confusion both for customers and workshops.

Aftermarket dTPMS units not only transmit while vehicles are moving or parked, but also provide users with numerous advanced monitoring options including data logging, remote monitoring options and more. They are available for all types of vehicles, from motorcycles to heavy equipment, and can monitor up to 64 tires at a time, which is important for the commercial vehicle markets. Many aftermarket dTPMS units do not require specialized tools to program or reset, making them much simpler to use.

## Benefits of TPMS[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=6)]

The dynamic behavior of a pneumatic tire is closely connected to its inflation pressure. Key factors like braking distance and lateral stability require the inflation pressures to be adjusted and kept as specified by the vehicle manufacturer. Extreme under-inflation can even lead to thermal and mechanical overload caused by overheating and subsequent, sudden destruction of the tire itself. Additionally, fuel efficiency and tire wear are severely affected by under-inflation. Tires do not only leak air if punctured, they also leak air naturally, and over a year, even a typical new, properly mounted tire can lose from 20 to 60 [kPa](http://en.wikipedia.org/wiki/Pascal_\(unit\)) (3 to 9 [psi](http://en.wikipedia.org/wiki/Pounds_per_square_inch)), roughly 10% or even more of its initial pressure.

The significant advantages of TPMS are summarized as follows:

Fuel savings: According to the GITI, for every 10% of under-inflation on each tire on a vehicle, a 1% reduction in fuel economy will occur. In the United States alone, the Department of Transportation estimates that under inflated tires waste 2 billion US gallons (7,600,000 m3) of fuel each year.

Extended tire life: Under inflated tires are the #1 cause of tire failure and contribute to tire disintegration, heat buildup, ply separation and sidewall/casing breakdowns. Further, a difference of 10 lbs. in pressure on a set of duals literally drags the lower pressured tire 13 feet per mile. Moreover, running a tire even briefly on inadequate pressure breaks down the casing and prevents the ability to retread. It is important to note that not all sudden tire failures are caused by under-inflation. Structural damages caused, for example, by hitting sharp curbs or potholes, can also lead to sudden tire failures, even a certain time after the damaging incident. These cannot be proactively detected by any TPMS.

Decreased downtime and maintenance: Under-inflated tires lead to costly hours of downtime and maintenance.

Improved safety: Under-inflated tires lead to tread separation and tire failure, resulting in 40,000 accidents, 33,000 injuries and over 650 deaths per year. Further, tires properly inflated add greater stability, handling and braking efficiencies and provide greater safety for the driver, the vehicle, the loads and others on the road.

Environmental efficiency: Under-inflated tires, as estimated by the Department of Transportation, release over 57.5 billion pounds of unnecessary carbon-monoxide pollutants into the atmosphere each year in the United States alone.

Further statistics include:

The French [Sécurité Routière](http://www.securite-routiere.gouv.fr/), a road safety organization, estimates that 9% of all road accidents involving fatalities are attributable to tire under-inflation, and the German [DEKRA](http://en.wikipedia.org/wiki/DEKRA), a product safety organization, estimated that 41% of accidents with physical injuries are linked to tire problems.[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]

On the maintenance side, it is important to realize that fuel efficiency and tire wear are severely affected by under-inflation. In the United States, NHTSA data relate that tires leak air naturally, and over a year, a typical new tire can lose from 20 to 60 [kPa](http://en.wikipedia.org/wiki/Pascal_\(unit\)) (3 to 9 [psi](http://en.wikipedia.org/wiki/Pounds_per_square_inch)), roughly 10% or more of its initial pressure.

The European Union reports that an average under-inflation of 40 kPa produces an increase of fuel consumption of 2% and a decrease of tire life of 25%. The European Union concludes that tire under-inflation today is responsible for over 20 million liters of unnecessarily-burned fuel, dumping over 2 million tonnes of CO2 into the atmosphere, and for 200 million tires being prematurely wasted worldwide.

## Legislation[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=7)]

In the United States, the United States Department Of Transportation (NHTSA) released the FMVSS No. 138, which requires an installation of a Tire Pressure Monitoring System to all new passenger cars, multipurpose passenger vehicles, trucks, and buses that have a gross vehicle weight rating (GVWR) of 4,536 kg (10,000 lbs.) or less, except those vehicles with dual wheels on an axle, as of 2007. In the European Union, starting November 1, 2012, all new models of passenger cars must be equipped with a TPMS, with even tighter specifications that will be defined by the UNECE Vehicle Regulations (Regulation No. 64). From November 1, 2014, all new passenger cars sold in the European Union must be equipped with TPMS. On July 13, 2010, the South Korean Ministry of Land, Transport and Maritime Affairs announced a pending partial-revision to the Korea Motor Vehicle Safety Standards (KMVSS), specifying that "TPMS shall be installed to passenger vehicles and vehicles of GVW 3.5 tons or less, ... [effective] on January 1, 2013 for new models and on June 30, 2014 for existing models".[[5]](Special:Random.html#cite_note-5) Japan is expected to adopt European Union legislation approximately one year after European Union implementation. Further countries to make TPMS mandatory include Russia, Indonesia, the Philippines, Israel, Malaysia and Turkey.[[6]](Special:Random.html#cite_note-6)

## Heavy-duty vehicles[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=8)]

FMVSS No. 138. 2006. U.S. Dept. of Transportation, National Highway Traffic Safety Administration, FMVSS No. 138, Tire Pressure Monitoring Systems, 49 CFR, Ch. V. application only applies to vehicles under 10000 pounds for heavy duty vehicles (Classes 7 and 8, gross vehicle weight [GVW] greater than 26,000 pounds), most of the above-mentioned systems don't work well, requiring the development of other systems.

The US dept. of transportation has commissioned several studies to find systems that work on the heavy duty market specifying some goals that were needed in this market. One of those studies is listed in the article "An Evaluation of Existing Tire Pressure Monitoring Systems, U.S. Dept. of Transportation, DOT HS 809 297."

Another NHTSA study below tried to define acceptance procedures for tire pressure monitoring for this vehicle class. Grygier, Paul and Samuel Daniel, Jr., National Highway Traffic Safety Administration and Richard Hoover and Timothy Van Buskirk, Transportation Research Center Inc., June 2009, Testing Of Heavy Truck Tire Pressure Monitoring Systems (TPMS) In Order To Define An Acceptance Procedure, 21st International Technical Conference on the Enhanced Safety of Vehicles, Paper No. 09-0551.

The SAE has tried to put out some best practices since defined legislation has been slow in coming as research in the article Daniel, S. 2005. Status of TPMS Rulemaking, SAE Government/Industry Meeting - May 10, 2005

The main issues sited from these an other studies are as follows:

Lack of standardization. Tires are often purchased in bulk and moved between tractors over time, so a given TPMS system can only work with compatible sensors in the tires, creating logistic problems. RF systems for these units must also work over much longer ranges, which may force repeater systems to be installed on the tractor or trailer. It is expected that battery lives on these systems should be in the five- to seven-year year range, since the cost of breaking down a tire can be so much more expensive. The Department of Transportation's maximum-loading requirements force trailer manufacturers to spread loads over multiple axles, giving rise to trailers with typically 8 to 12 tires, but as high as 96 tires on specialty haulers.

Tire casings can have typical lifetimes of ten or more years, through multiple retreading processes. This has given rise to a specialized industry that focuses solely on issues found in the trucking industry.

Central inflation systems originally claimed to eliminate the need for pressure-monitoring systems. Some major inflation systems are Meritor PSI, Hendrickson International, Stemco AERIS and Vagia (used mostly in South America). However, they have not yielded a complete solution, since they do not solve all the issues (i.e., no support for the steerable axle), and they bring new issues with maintenance of the rotary couplings in the hub caps. Furthermore, inflation systems can sometimes shorten the life of tires by covering slow leaks caused by embedded objects, which drivers would otherwise remove after inspecting the problem tire.

In order for a tire-pressure sensor to be completely effective, it must have several capabilities to allow for the various maintenance personnel groups to use them.

First, each driver is required to do a pre-trip inspection, so it is beneficial if the tire-pressure monitor has an indicator that can be read without tools.

Second, it usually should have the ability to cover dual sets of tires in some fashion. It is also beneficial if the fill points can be centralized so that inflation can be accomplished easily without reaching through the small hand holes in the rims.

Third, it needs to have a wireless communication system that has an appropriate range and battery life. It is important that sensors regularly communicate an "I'm alive" condition, since having a dead sensor can be worse than having no sensor at all, if everyone thinks the monitoring is being taken care of automatically.

Fourth, these systems should have the capability to adapt to the changing of tires and trailers with minimal operator intervention. It is important to use a system having a longer range, since a repeater adds to the cost.

These requirements can be met by systems with external pressure sensors that connect to the valve stem on each tire. When tires are replaced, the sensor is simply attached to the new tire.

Although these systems can alert a driver to a hazardous blowout condition, they may not help fleets deal with slow-leaking tires, unless the driver reports them to fleet-maintenance personnel before it is too late. This has given rise in recent years to monitoring solutions that track the tire condition and send back alerts to fleet-maintenance personnel. This allows them to schedule maintenance on a slow-leaking tire on an exception basis, instead of having to check each tire manually. Many fleets today admit that tire-pressure checking is a major problem in enforcement. Most have policies in place requiring the regular check of every tire, however, the practice is not terribly effective because of the sheer scope of the issue, and the fact that it is hard to get a complete record of all tire checking.

Today, the best systems employ automated data collection. Some of these use gate readers that automate the collection of tire data to a database, or to a web portal, that allows maintenance operators to see data for the entire fleet at a glance. For long-haul fleets that may not see their vehicles for long periods of time, a centralized reading system may not work, but there are emerging systems that aggregate the tire-pressure-sensor data back to the asset-tracking system so that alerts can be sent back to the main office when an issue arises. For small fleets, handheld devices exist that allow a person checking tires to simply walk around vehicles and collect data for downloading to a central database, allowing enforcement and trending to be done without errors.

Some automotive manufacturers have attempted to broaden their scope into the heavy-duty markets, a few manufacturers have focused solely on this market.

TPMS system dashboard icons

![TPMS low pressure warning icon](../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/TPMS_warning_icon.svg/155px-TPMS_warning_icon.svg.png)

TPMS low pressure warning icon 

![TPMS system failure icon](../../upload.wikimedia.org/wikipedia/commons/thumb/e/e1/TPMS_failure_icon.svg/155px-TPMS_failure_icon.svg.png)

TPMS system failure icon 

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=9)]

  * [Central Tire Inflation System](http://en.wikipedia.org/wiki/Central_Tire_Inflation_System)
  * [Cold inflation pressure](http://en.wikipedia.org/wiki/Cold_inflation_pressure)
  * [Run-flat tire](http://en.wikipedia.org/wiki/Run-flat_tire)
  * [NIRA Dynamics AB](http://en.wikipedia.org/wiki/NIRA_Dynamics_AB)
  * [Tire-pressure gauge](http://en.wikipedia.org/wiki/Tire-pressure_gauge)
  * [Automobile safety](http://en.wikipedia.org/wiki/Automobile_safety)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit&section=10)]

  1. **[^](Special:Random.html#cite_ref-1)** <http://www.michelinman.com/pax/> PAX system description on Michelinman site
  2. **[^](Special:Random.html#cite_ref-2)** <http://www.elektronikpraxis.vogel.de/sensorik/articles/172243/> Reifendruck voll unter Kontrolle
  3. **[^](Special:Random.html#cite_ref-3)** <http://www.niradynamics.se/scripts/resource.php?id=35> TÜV Süd Report for NIRA Dynamics' TPI
  4. **[^](Special:Random.html#cite_ref-4)** <http://www.dunloptech.com/en/dunlop-tech-tire-pressure-warning-system.html> Deflation Warning System by Dunlop Tech
  5. **[^](Special:Random.html#cite_ref-5)** Minister Chung, Jung-hwan. ["The Ministry of Land, Transport and Maritime Affairs"](http://www.puntofocal.gov.ar/notific_otros_miembros/kor286_t.pdf). _Revisions to the Korean Motor Vehicle Safety Standards (KMVSS)_. The Ministry of Land, Transport and Maritime Affairs, Korea. 
  6. **[^](Special:Random.html#cite_ref-6)** <http://www.niradynamics.se/scripts/newsletter.php?id=55> TPMS mandatory in even more countries

  * [v](http://en.wikipedia.org/wiki/Template:Powertrain)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Powertrain)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Powertrain&action=edit)

[Powertrain](http://en.wikipedia.org/wiki/Powertrain)

_Part of the [Automobile](http://en.wikipedia.org/wiki/Automobile) series_

[Automotive engine](http://en.wikipedia.org/wiki/Automotive_engine)

  * [Petrol engine](http://en.wikipedia.org/wiki/Petrol_engine)
  * [Diesel engine](http://en.wikipedia.org/wiki/Diesel_engine)

[Transmission](http://en.wikipedia.org/wiki/Transmission_\(mechanics\))

  * [Automatic transmission](http://en.wikipedia.org/wiki/Automatic_transmission)
  * [Clutch](http://en.wikipedia.org/wiki/Clutch)
  * [Continuously variable transmission](http://en.wikipedia.org/wiki/Continuously_variable_transmission)
  * [Differential](http://en.wikipedia.org/wiki/Differential_\(mechanical_device\))
  * [Direct-Shift Gearbox](http://en.wikipedia.org/wiki/Direct-Shift_Gearbox)
  * [Drive shaft](http://en.wikipedia.org/wiki/Drive_shaft)
  * [Dual-clutch transmission](http://en.wikipedia.org/wiki/Dual-clutch_transmission)
  * [Easytronic](http://en.wikipedia.org/wiki/Easytronic)
  * [Electrohydraulic manual transmission](http://en.wikipedia.org/wiki/Electrohydraulic_manual_transmission)
  * [Electrorheological clutch](http://en.wikipedia.org/wiki/Electrorheological_clutch)
  * [Epicyclic gearing](http://en.wikipedia.org/wiki/Epicyclic_gearing)
  * [Fluid coupling](http://en.wikipedia.org/wiki/Fluid_coupling)
  * [Friction drive](http://en.wikipedia.org/wiki/Friction_drive)
  * [Gear stick](http://en.wikipedia.org/wiki/Gear_stick)
  * [Hydramatic](http://en.wikipedia.org/wiki/Hydramatic)
    * [Roto Hydramatic](http://en.wikipedia.org/wiki/GM_Roto_Hydramatic_transmission)
    * [Turbo-Hydramatic](http://en.wikipedia.org/wiki/Turbo-Hydramatic)
  * [Limited-slip differential](http://en.wikipedia.org/wiki/Limited-slip_differential)
  * [Locking differential](http://en.wikipedia.org/wiki/Locking_differential)
  * [Manual transmission](http://en.wikipedia.org/wiki/Manual_transmission)
  * [Manumatic](http://en.wikipedia.org/wiki/Manumatic)
  * [Multitronic](http://en.wikipedia.org/wiki/Multitronic)
  * [Parking pawl](http://en.wikipedia.org/wiki/Parking_pawl)
  * [Park by wire](http://en.wikipedia.org/wiki/Park_by_wire)
  * [Saxomat](http://en.wikipedia.org/wiki/Saxomat)
  * [Semi-automatic transmission](http://en.wikipedia.org/wiki/Semi-automatic_transmission)
  * [Shift by wire](http://en.wikipedia.org/wiki/Shift_by_wire)
  * [Super Turbine 300](http://en.wikipedia.org/wiki/Super_Turbine_300)
  * [Torque converter](http://en.wikipedia.org/wiki/Torque_converter)
  * [Transaxle](http://en.wikipedia.org/wiki/Transaxle)
  * [Transmission control unit](http://en.wikipedia.org/wiki/Transmission_control_unit)
  * [Universal joint](http://en.wikipedia.org/wiki/Universal_joint)

Hybrid

  * [Electric motor](http://en.wikipedia.org/wiki/Electric_motor)
  * [Hybrid vehicle drivetrain](http://en.wikipedia.org/wiki/Hybrid_vehicle_drivetrain)
  * [Electric generator](http://en.wikipedia.org/wiki/Electric_generator)
  * [Alternator](http://en.wikipedia.org/wiki/Alternator)

  * ![Portal-puzzle.svg](../../upload.wikimedia.org/wikipedia/en/thumb/f/fd/Portal-puzzle.svg/16px-Portal-puzzle.svg.png) [Portal](http://en.wikipedia.org/wiki/Portal:Cars)
  * ![Folder Hexagonal Icon.svg](../../upload.wikimedia.org/wikipedia/en/thumb/4/48/Folder_Hexagonal_Icon.svg/16px-Folder_Hexagonal_Icon.svg.png) [Category](http://en.wikipedia.org/wiki/Category:Automobiles)

  * [v](http://en.wikipedia.org/wiki/Template:Sensors)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Sensors)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Sensors&action=edit)

[Sensors](http://en.wikipedia.org/wiki/Sensor)

Acoustic, sound, vibration

  * [Geophone](http://en.wikipedia.org/wiki/Geophone)
  * [Hydrophone](http://en.wikipedia.org/wiki/Hydrophone)
  * [Lace Sensor](http://en.wikipedia.org/wiki/Lace_Sensor)
  * [Microphone](http://en.wikipedia.org/wiki/Microphone)
  * [Seismometer](http://en.wikipedia.org/wiki/Seismometer)

Automotive, transportation

  * [Air–fuel ratio meter](http://en.wikipedia.org/wiki/Air%E2%80%93fuel_ratio_meter)
  * [Blind spot monitor](http://en.wikipedia.org/wiki/Blind_spot_monitor)
  * [Crankshaft position sensor](http://en.wikipedia.org/wiki/Crankshaft_position_sensor)
  * [Curb feeler](http://en.wikipedia.org/wiki/Curb_feeler)
  * [Defect detector](http://en.wikipedia.org/wiki/Defect_detector)
  * [Engine coolant temperature sensor](http://en.wikipedia.org/wiki/Engine_coolant_temperature_sensor)
  * [Hall effect sensor](http://en.wikipedia.org/wiki/Hall_effect_sensor)
  * [MAP sensor](http://en.wikipedia.org/wiki/MAP_sensor)
  * [Mass flow sensor](http://en.wikipedia.org/wiki/Mass_flow_sensor)
  * [Omniview technology](http://en.wikipedia.org/wiki/Omniview_technology)
  * [Oxygen sensor](http://en.wikipedia.org/wiki/Oxygen_sensor)
  * [Parking sensors](http://en.wikipedia.org/wiki/Parking_sensors)
  * [Radar gun](http://en.wikipedia.org/wiki/Radar_gun)
  * [Speed sensor](http://en.wikipedia.org/wiki/Speed_sensor)
  * [Speedometer](http://en.wikipedia.org/wiki/Speedometer)
  * [Throttle position sensor](http://en.wikipedia.org/wiki/Throttle_position_sensor)
  * **Tire-pressure monitoring system**
  * [Torque sensor](http://en.wikipedia.org/wiki/Torque_sensor)
  * [Transmission fluid temperature sensor](http://en.wikipedia.org/wiki/Transmission_control_unit#Transmission_fluid_Temperature_sensor_.28TFT.29)
  * [Turbine speed sensor](http://en.wikipedia.org/wiki/Transmission_control_unit#Turbine_speed_sensor_.28TSS.29)
  * [Variable reluctance sensor](http://en.wikipedia.org/wiki/Variable_reluctance_sensor)
  * [Vehicle speed sensor](http://en.wikipedia.org/wiki/Transmission_control_unit#Vehicle_speed_sensor_.28VSS.29)
  * [Water sensor](http://en.wikipedia.org/wiki/Water_sensor)
  * [Wheel speed sensor](http://en.wikipedia.org/wiki/Wheel_speed_sensor)

Chemical

  * [Breathalyzer](http://en.wikipedia.org/wiki/Breathalyzer)
  * [Carbon dioxide sensor](http://en.wikipedia.org/wiki/Carbon_dioxide_sensor)
  * [Carbon monoxide detector](http://en.wikipedia.org/wiki/Carbon_monoxide_detector)
  * [Catalytic bead sensor](http://en.wikipedia.org/wiki/Catalytic_bead_sensor)
  * [Chemical field-effect transistor](http://en.wikipedia.org/wiki/Chemical_field-effect_transistor)
  * [Electrochemical gas sensor](http://en.wikipedia.org/wiki/Electrochemical_gas_sensor)
  * [Electrolyte–insulator–semiconductor sensor](http://en.wikipedia.org/wiki/Electrolyte%E2%80%93insulator%E2%80%93semiconductor_sensor)
  * [Electronic nose](http://en.wikipedia.org/wiki/Electronic_nose)
  * [Fluorescent chloride sensors](http://en.wikipedia.org/wiki/Fluorescent_chloride_sensors)
  * [Holographic sensor](http://en.wikipedia.org/wiki/Holographic_sensor)
  * [Hydrocarbon dew point](http://en.wikipedia.org/wiki/Hydrocarbon_dew_point) analyzer
  * [Hydrogen sensor](http://en.wikipedia.org/wiki/Hydrogen_sensor)
  * [Hydrogen sulfide sensor](http://en.wikipedia.org/wiki/Hydrogen_sulfide_sensor)
  * [Infrared point sensor](http://en.wikipedia.org/wiki/Infrared_point_sensor)
  * [Ion selective electrode](http://en.wikipedia.org/wiki/Ion_selective_electrode)
  * [Microwave chemistry sensor](http://en.wikipedia.org/wiki/Microwave_chemistry_sensor)
  * [Nitrogen oxide sensor](http://en.wikipedia.org/wiki/Nitrogen_oxide_sensor)
  * [Nondispersive infrared sensor](http://en.wikipedia.org/wiki/Nondispersive_infrared_sensor)
  * [Olfactometer](http://en.wikipedia.org/wiki/Olfactometer)
  * [Optode](http://en.wikipedia.org/wiki/Optode)
  * [Oxygen sensor](http://en.wikipedia.org/wiki/Oxygen_sensor)
  * [Pellistor](http://en.wikipedia.org/wiki/Pellistor)
  * [pH glass electrode](http://en.wikipedia.org/wiki/PH_glass_electrode)
  * [Potentiometric sensor](http://en.wikipedia.org/wiki/Potentiometric_sensor)
  * [Redox electrode](http://en.wikipedia.org/wiki/Redox_electrode)
  * [Smoke detector](http://en.wikipedia.org/wiki/Smoke_detector)
  * [Zinc oxide nanorod sensor](http://en.wikipedia.org/wiki/Zinc_oxide_nanorod_sensor)

Electric, magnetic, radio

  * [Current sensor](http://en.wikipedia.org/wiki/Current_sensor)
  * [Electroscope](http://en.wikipedia.org/wiki/Electroscope)
  * [Galvanometer](http://en.wikipedia.org/wiki/Galvanometer)
  * [Hall effect sensor](http://en.wikipedia.org/wiki/Hall_effect_sensor)
  * [Hall probe](http://en.wikipedia.org/wiki/Hall_probe)
  * [Magnetic anomaly detector](http://en.wikipedia.org/wiki/Magnetic_anomaly_detector)
  * [Magnetometer](http://en.wikipedia.org/wiki/Magnetometer)
  * [MEMS magnetic field sensor](http://en.wikipedia.org/wiki/MEMS_magnetic_field_sensor)
  * [Metal detector](http://en.wikipedia.org/wiki/Metal_detector)
  * [Planar Hall sensor](http://en.wikipedia.org/wiki/Planar_Hall_sensor)
  * [Radio direction finder](http://en.wikipedia.org/wiki/Radio_direction_finder)
  * [Test light](http://en.wikipedia.org/wiki/Test_light)

Environment, weather,  
moisture

  * [Actinometer](http://en.wikipedia.org/wiki/Actinometer)
  * [Bedwetting alarm](http://en.wikipedia.org/wiki/Bedwetting_alarm)
  * [Ceilometer](http://en.wikipedia.org/wiki/Ceilometer)
  * [Dew warning](http://en.wikipedia.org/wiki/Dew_warning)
  * [Electrochemical gas sensor](http://en.wikipedia.org/wiki/Electrochemical_gas_sensor)
  * [Fish counter](http://en.wikipedia.org/wiki/Fish_counter)
  * [Frequency domain sensor](http://en.wikipedia.org/wiki/Frequency_domain_sensor)
  * [Gas detector](http://en.wikipedia.org/wiki/Gas_detector)
  * [Hook gauge evaporimeter](http://en.wikipedia.org/wiki/Hook_gauge_evaporimeter)
  * [Humistor](http://en.wikipedia.org/wiki/Humistor)
  * [Hygrometer](http://en.wikipedia.org/wiki/Hygrometer)
  * [Leaf sensor](http://en.wikipedia.org/wiki/Leaf_sensor)
  * [Psychrometer](http://en.wikipedia.org/wiki/Psychrometer)
  * [Pyranometer](http://en.wikipedia.org/wiki/Pyranometer)
  * [Pyrgeometer](http://en.wikipedia.org/wiki/Pyrgeometer)
  * [Rain gauge](http://en.wikipedia.org/wiki/Rain_gauge)
  * [Rain sensor](http://en.wikipedia.org/wiki/Rain_sensor)
  * [SNOTEL](http://en.wikipedia.org/wiki/SNOTEL)
  * [Snow gauge](http://en.wikipedia.org/wiki/Snow_gauge)
  * [Soil moisture sensor](http://en.wikipedia.org/wiki/Soil_moisture_sensor)
  * [Stream gauge](http://en.wikipedia.org/wiki/Stream_gauge)
  * [Tide gauge](http://en.wikipedia.org/wiki/Tide_gauge)

Flow, fluid velocity

  * [Air flow meter](http://en.wikipedia.org/wiki/Air_flow_meter)
  * [Anemometer](http://en.wikipedia.org/wiki/Anemometer)
  * [Flow sensor](http://en.wikipedia.org/wiki/Flow_sensor)
  * [Gas meter](http://en.wikipedia.org/wiki/Gas_meter)
  * [Mass flow sensor](http://en.wikipedia.org/wiki/Mass_flow_sensor)
  * [Water metering](http://en.wikipedia.org/wiki/Water_metering)

Ionising radiation,  
subatomic particles

  * [Bubble chamber](http://en.wikipedia.org/wiki/Bubble_chamber)
  * [Cloud chamber](http://en.wikipedia.org/wiki/Cloud_chamber)
  * [Geiger counter](http://en.wikipedia.org/wiki/Geiger_counter)
  * [Neutron detection](http://en.wikipedia.org/wiki/Neutron_detection)
  * [Particle detector](http://en.wikipedia.org/wiki/Particle_detector)
  * [Scintillation counter](http://en.wikipedia.org/wiki/Scintillation_counter)
  * [Scintillator](http://en.wikipedia.org/wiki/Scintillator)
  * [Wire chamber](http://en.wikipedia.org/wiki/Wire_chamber)

Navigation instruments

  * [Airspeed indicator](http://en.wikipedia.org/wiki/Airspeed_indicator)
  * [Altimeter](http://en.wikipedia.org/wiki/Altimeter)
  * [Attitude indicator](http://en.wikipedia.org/wiki/Attitude_indicator)
  * [Depth gauge](http://en.wikipedia.org/wiki/Depth_gauge)
  * [Fluxgate compass](http://en.wikipedia.org/wiki/Fluxgate_compass)
  * [Gyroscope](http://en.wikipedia.org/wiki/Gyroscope)
  * [Inertial navigation system](http://en.wikipedia.org/wiki/Inertial_navigation_system)
  * [Inertial reference unit](http://en.wikipedia.org/wiki/Inertial_reference_unit)
  * [Magnetic compass](http://en.wikipedia.org/wiki/Magnetic_compass)
  * [MHD sensor](http://en.wikipedia.org/wiki/MHD_sensor)
  * [Ring laser gyroscope](http://en.wikipedia.org/wiki/Ring_laser_gyroscope)
  * [Turn coordinator](http://en.wikipedia.org/wiki/Turn_coordinator)
  * [Variometer](http://en.wikipedia.org/wiki/Variometer)
  * [Vibrating structure gyroscope](http://en.wikipedia.org/wiki/Vibrating_structure_gyroscope)
  * [Yaw-rate sensor](http://en.wikipedia.org/wiki/Yaw-rate_sensor)

Position, angle,  
displacement

  * [Accelerometer](http://en.wikipedia.org/wiki/Accelerometer)
  * [Auxanometer](http://en.wikipedia.org/wiki/Auxanometer)
  * [Capacitive displacement sensor](http://en.wikipedia.org/wiki/Capacitive_displacement_sensor)
  * [Capacitive sensing](http://en.wikipedia.org/wiki/Capacitive_sensing)
  * [Gravimeter](http://en.wikipedia.org/wiki/Gravimeter)
  * [Inclinometer](http://en.wikipedia.org/wiki/Inclinometer)
  * [Integrated circuit piezoelectric sensor](http://en.wikipedia.org/wiki/Integrated_circuit_piezoelectric_sensor)
  * [Laser rangefinder](http://en.wikipedia.org/wiki/Laser_rangefinder)
  * [Laser surface velocimeter](http://en.wikipedia.org/wiki/Laser_surface_velocimeter)
  * [Lidar](http://en.wikipedia.org/wiki/Lidar)
  * [Linear encoder](http://en.wikipedia.org/wiki/Linear_encoder)
  * [Linear variable differential transformer](http://en.wikipedia.org/wiki/Linear_variable_differential_transformer)
  * [Liquid capacitive inclinometers](http://en.wikipedia.org/wiki/Liquid_capacitive_inclinometers)
  * [Odometer](http://en.wikipedia.org/wiki/Odometer)
  * [Photoelectric sensor](http://en.wikipedia.org/wiki/Photoelectric_sensor)
  * [Piezoelectric accelerometer](http://en.wikipedia.org/wiki/Piezoelectric_accelerometer)
  * [Position sensor](http://en.wikipedia.org/wiki/Position_sensor)
  * [Rate sensor](http://en.wikipedia.org/wiki/Rate_sensor)
  * [Rotary encoder](http://en.wikipedia.org/wiki/Rotary_encoder)
  * [Rotary variable differential transformer](http://en.wikipedia.org/wiki/Rotary_variable_differential_transformer)
  * [Selsyn](http://en.wikipedia.org/wiki/Selsyn)
  * [Sudden Motion Sensor](http://en.wikipedia.org/wiki/Sudden_Motion_Sensor)
  * [Tachometer](http://en.wikipedia.org/wiki/Tachometer)
  * [Tilt sensor](http://en.wikipedia.org/wiki/Tilt_sensor)
  * [Ultrasonic thickness gauge](http://en.wikipedia.org/wiki/Ultrasonic_thickness_gauge)
  * [Variable reluctance sensor](http://en.wikipedia.org/wiki/Variable_reluctance_sensor)
  * [Velocity receiver](http://en.wikipedia.org/wiki/Velocity_receiver)

Optical, light, imaging

  * [Charge-coupled device](http://en.wikipedia.org/wiki/Charge-coupled_device)
  * [Contact image sensor](http://en.wikipedia.org/wiki/Contact_image_sensor)
  * [Electro-optical sensor](http://en.wikipedia.org/wiki/Electro-optical_sensor)
  * [Flame detector](http://en.wikipedia.org/wiki/Flame_detector)
  * [Infrared](http://en.wikipedia.org/wiki/Infrared)
  * [Kinetic inductance detector](http://en.wikipedia.org/wiki/Kinetic_inductance_detector)
  * [LED as light sensor](http://en.wikipedia.org/wiki/LED_as_light_sensor)
  * [Light-addressable potentiometric sensor](http://en.wikipedia.org/wiki/Light-addressable_potentiometric_sensor)
  * [Nichols radiometer](http://en.wikipedia.org/wiki/Nichols_radiometer)
  * [Optical fiber](http://en.wikipedia.org/wiki/Optical_fiber)
  * [Photodetector](http://en.wikipedia.org/wiki/Photodetector)
  * [Photodiode](http://en.wikipedia.org/wiki/Photodiode)
  * [Photoelectric sensor](http://en.wikipedia.org/wiki/Photoelectric_sensor)
  * [Photoionization detector](http://en.wikipedia.org/wiki/Photoionization_detector)
  * [Photomultiplier](http://en.wikipedia.org/wiki/Photomultiplier)
  * [Photoresistor](http://en.wikipedia.org/wiki/Photoresistor)
  * [Photoswitch](http://en.wikipedia.org/wiki/Photoswitch)
  * [Phototransistor](http://en.wikipedia.org/wiki/Phototransistor)
  * [Phototube](http://en.wikipedia.org/wiki/Phototube)
  * [Position sensitive device](http://en.wikipedia.org/wiki/Position_sensitive_device)
  * [Scintillometer](http://en.wikipedia.org/wiki/Scintillometer)
  * [Shack–Hartmann wavefront sensor](http://en.wikipedia.org/wiki/Shack%E2%80%93Hartmann_wavefront_sensor)
  * [Single-photon avalanche diode](http://en.wikipedia.org/wiki/Single-photon_avalanche_diode)
  * [Superconducting nanowire single-photon detector](http://en.wikipedia.org/wiki/Superconducting_nanowire_single-photon_detector)
  * [Transition edge sensor](http://en.wikipedia.org/wiki/Transition_edge_sensor)
  * [Tristimulus colorimeter](http://en.wikipedia.org/wiki/Tristimulus_colorimeter)
  * [Visible-light photon counter](http://en.wikipedia.org/wiki/Visible-light_photon_counter)
  * [Wavefront sensor](http://en.wikipedia.org/wiki/Wavefront_sensor)

Pressure

  * [Barograph](http://en.wikipedia.org/wiki/Barograph)
  * [Barometer](http://en.wikipedia.org/wiki/Barometer)
  * [Boost gauge](http://en.wikipedia.org/wiki/Boost_gauge)
  * [Bourdon gauge](http://en.wikipedia.org/wiki/Bourdon_gauge)
  * [Hot-filament ionization gauge](http://en.wikipedia.org/wiki/Hot-filament_ionization_gauge)
  * [Ionization gauge](http://en.wikipedia.org/wiki/Ionization_gauge)
  * [McLeod gauge](http://en.wikipedia.org/wiki/McLeod_gauge)
  * [Oscillating U-tube](http://en.wikipedia.org/wiki/Oscillating_U-tube)
  * [Permanent Downhole Gauge](http://en.wikipedia.org/wiki/Permanent_Downhole_Gauge)
  * [Piezometer](http://en.wikipedia.org/wiki/Piezometer)
  * [Pirani gauge](http://en.wikipedia.org/wiki/Pirani_gauge)
  * [Pressure gauge](http://en.wikipedia.org/wiki/Pressure_gauge)
  * [Pressure sensor](http://en.wikipedia.org/wiki/Pressure_sensor)
  * [Tactile sensor](http://en.wikipedia.org/wiki/Tactile_sensor)
  * [Time pressure gauge](http://en.wikipedia.org/wiki/Time_pressure_gauge)

Force, density, level

  * [Bhangmeter](http://en.wikipedia.org/wiki/Bhangmeter)
  * [Force gauge](http://en.wikipedia.org/wiki/Force_gauge)
  * [Hydrometer](http://en.wikipedia.org/wiki/Hydrometer)
  * [Level sensor](http://en.wikipedia.org/wiki/Level_sensor)
  * [Load cell](http://en.wikipedia.org/wiki/Load_cell)
  * [Magnetic level gauge](http://en.wikipedia.org/wiki/Magnetic_level_gauge)
  * [Nuclear density gauge](http://en.wikipedia.org/wiki/Nuclear_density_gauge)
  * [Piezoelectric sensor](http://en.wikipedia.org/wiki/Piezoelectric_sensor)
  * [Strain gauge](http://en.wikipedia.org/wiki/Strain_gauge)
  * [Torque sensor](http://en.wikipedia.org/wiki/Torque_sensor)
  * [Viscometer](http://en.wikipedia.org/wiki/Viscometer)

Thermal, heat,  
temperature

  * [Bimetallic strip](http://en.wikipedia.org/wiki/Bimetallic_strip)
  * [Bolometer](http://en.wikipedia.org/wiki/Bolometer)
  * [Calorimeter](http://en.wikipedia.org/wiki/Calorimeter)
  * [Exhaust gas temperature gauge](http://en.wikipedia.org/wiki/Exhaust_gas_temperature_gauge)
  * [Flame detection](http://en.wikipedia.org/wiki/Flame_detection)
  * [Gardon gauge](http://en.wikipedia.org/wiki/Gardon_gauge)
  * [Golay cell](http://en.wikipedia.org/wiki/Golay_cell)
  * [Heat flux sensor](http://en.wikipedia.org/wiki/Heat_flux_sensor)
  * [Infrared thermometer](http://en.wikipedia.org/wiki/Infrared_thermometer)
  * [Microbolometer](http://en.wikipedia.org/wiki/Microbolometer)
  * [Microwave radiometer](http://en.wikipedia.org/wiki/Microwave_radiometer)
  * [Net radiometer](http://en.wikipedia.org/wiki/Net_radiometer)
  * [Quartz thermometer](http://en.wikipedia.org/wiki/Quartz_thermometer)
  * [Resistance thermometer](http://en.wikipedia.org/wiki/Resistance_thermometer)
  * [Silicon bandgap temperature sensor](http://en.wikipedia.org/wiki/Silicon_bandgap_temperature_sensor)
  * [Special sensor microwave/imager](http://en.wikipedia.org/wiki/Special_sensor_microwave/imager)
  * [Thermistor](http://en.wikipedia.org/wiki/Thermistor)
  * [Thermocouple](http://en.wikipedia.org/wiki/Thermocouple)
  * [Thermometer](http://en.wikipedia.org/wiki/Thermometer)

Proximity, presence

  * [Alarm sensor](http://en.wikipedia.org/wiki/Alarm_sensor)
  * [Doppler radar](http://en.wikipedia.org/wiki/Doppler_radar)
  * [Motion detector](http://en.wikipedia.org/wiki/Motion_detector)
  * [Occupancy sensor](http://en.wikipedia.org/wiki/Occupancy_sensor)
  * [Passive infrared sensor](http://en.wikipedia.org/wiki/Passive_infrared_sensor)
  * [Proximity sensor](http://en.wikipedia.org/wiki/Proximity_sensor)
  * [Reed switch](http://en.wikipedia.org/wiki/Reed_switch)
  * [Stud finder](http://en.wikipedia.org/wiki/Stud_finder)
  * [Touch switch](http://en.wikipedia.org/wiki/Touch_switch)
  * [Triangulation sensor](http://en.wikipedia.org/wiki/Triangulation_sensor)
  * [Wired glove](http://en.wikipedia.org/wiki/Wired_glove)

Sensor technology

  * [Active pixel sensor](http://en.wikipedia.org/wiki/Active_pixel_sensor)
  * [Back-illuminated sensor](http://en.wikipedia.org/wiki/Back-illuminated_sensor)
  * [Biochip](http://en.wikipedia.org/wiki/Biochip)
  * [Biosensor](http://en.wikipedia.org/wiki/Biosensor)
  * [Capacitance probe](http://en.wikipedia.org/wiki/Capacitance_probe)
  * [Carbon paste electrode](http://en.wikipedia.org/wiki/Carbon_paste_electrode)
  * [Catadioptric sensor](http://en.wikipedia.org/wiki/Catadioptric_sensor)
  * [Digital sensors](http://en.wikipedia.org/wiki/Digital_sensors)
  * [Displacement receiver](http://en.wikipedia.org/wiki/Displacement_receiver)
  * [Electromechanical film](http://en.wikipedia.org/wiki/Electromechanical_film)
  * [Electro-optical sensor](http://en.wikipedia.org/wiki/Electro-optical_sensor)
  * [Fabry–Pérot interferometer](http://en.wikipedia.org/wiki/Fabry%E2%80%93P%C3%A9rot_interferometer)
  * [Fisheries acoustics](http://en.wikipedia.org/wiki/Fisheries_acoustics)
  * [Image sensor](http://en.wikipedia.org/wiki/Image_sensor)
  * [Image sensor format](http://en.wikipedia.org/wiki/Image_sensor_format)
  * [Inductive sensor](http://en.wikipedia.org/wiki/Inductive_sensor)
  * [Intelligent sensor](http://en.wikipedia.org/wiki/Intelligent_sensor)
  * [Lab-on-a-chip](http://en.wikipedia.org/wiki/Lab-on-a-chip)
  * [Leaf sensor](http://en.wikipedia.org/wiki/Leaf_sensor)
  * [Machine vision](http://en.wikipedia.org/wiki/Machine_vision)
  * [Microelectromechanical systems](http://en.wikipedia.org/wiki/Microelectromechanical_systems)
  * [Photoelasticity](http://en.wikipedia.org/wiki/Photoelasticity)
  * [Quantum sensor](http://en.wikipedia.org/wiki/Quantum_sensor)
  * [Radar](http://en.wikipedia.org/wiki/Radar)
    * [Ground-penetrating radar](http://en.wikipedia.org/wiki/Ground-penetrating_radar)
    * [Synthetic aperture radar](http://en.wikipedia.org/wiki/Synthetic_aperture_radar)
  * [Radar tracker](http://en.wikipedia.org/wiki/Radar_tracker)
  * [Sensor array](http://en.wikipedia.org/wiki/Sensor_array)
  * [Sensor fusion](http://en.wikipedia.org/wiki/Sensor_fusion)
  * [Sensor grid](http://en.wikipedia.org/wiki/Sensor_grid)
  * [Sensor node](http://en.wikipedia.org/wiki/Sensor_node)
  * [Soft sensor](http://en.wikipedia.org/wiki/Soft_sensor)
  * [Sonar](http://en.wikipedia.org/wiki/Sonar)
  * [Staring array](http://en.wikipedia.org/wiki/Staring_array)
  * [Transducer](http://en.wikipedia.org/wiki/Transducer)
  * [Ultrasonic sensor](http://en.wikipedia.org/wiki/Ultrasonic_sensor)
  * [Video sensor technology](http://en.wikipedia.org/wiki/Video_sensor_technology)
  * [Visual sensor network](http://en.wikipedia.org/wiki/Visual_sensor_network)
  * [Wheatstone bridge](http://en.wikipedia.org/wiki/Wheatstone_bridge)
  * [Wireless sensor network](http://en.wikipedia.org/wiki/Wireless_sensor_network)

Related

  * [List of sensors](http://en.wikipedia.org/wiki/List_of_sensors)

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&oldid=604648690](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&oldid=604648690)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Automatic identification and data capture](http://en.wikipedia.org/wiki/Category:Automatic_identification_and_data_capture)
  * [Automotive safety technologies](http://en.wikipedia.org/wiki/Category:Automotive_safety_technologies)
  * [Automotive technologies](http://en.wikipedia.org/wiki/Category:Automotive_technologies)
  * [Tires](http://en.wikipedia.org/wiki/Category:Tires)

Hidden categories: 

  * [Vague or ambiguous time from March 2012](http://en.wikipedia.org/wiki/Category:Vague_or_ambiguous_time_from_March_2012)
  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from April 2008](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_April_2008)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Tire-pressure+monitoring+system&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Tire-pressure+monitoring+system)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Tire-pressure_monitoring_system)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Tire-pressure_monitoring_system)
  * [Related changes](/wiki/Special:RecentChangesLinked/Tire-pressure_monitoring_system)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Tire-pressure_monitoring_system&oldid=604648690)
  * [Page information](/w/index.php?title=Tire-pressure_monitoring_system&action=info)
  * [Data item](//www.wikidata.org/wiki/Q1946072)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Tire-pressure_monitoring_system&id=604648690)

### Print/export

  * [Create a book](/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Tire-pressure+monitoring+system)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Tire-pressure_monitoring_system)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Tire-pressure_monitoring_system)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&oldid=604648690)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q1946072)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Tire-pressure_monitoring_system&id=604648690)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Tire-pressure+monitoring+system)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Tire-pressure+monitoring+system&oldid=604648690&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Tire-pressure_monitoring_system&printable=yes)

### Languages

    * [Čeština](http://cs.wikipedia.org/wiki/Monitorov%C3%A1n%C3%AD_tlaku_v_pneumatik%C3%A1ch)
    * [Deutsch](http://de.wikipedia.org/wiki/Reifendruckkontrollsystem)
    * [Français](http://fr.wikipedia.org/wiki/Contr%C3%B4le_automatique_de_la_pression_des_pneus)
    * [Bahasa Indonesia](http://id.wikipedia.org/wiki/Sistem_pemantauan_tekanan_ban)
    * [Nederlands](http://nl.wikipedia.org/wiki/Bandenspanningcontrolesysteem)
    * [日本語](http://ja.wikipedia.org/wiki/TPMS)
    * [Polski](http://pl.wikipedia.org/wiki/TPMS)
    * [Русский](http://ru.wikipedia.org/wiki/TPMS)
    *     * [Edit links](http://www.wikidata.org/wiki/Q1946072#sitelinks-wikipedia)

    * This page was last modified on 17 April 2014 at 21:24.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Tire-pressure_monitoring_system)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
