# Transfer factor

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

For transfer factors in mathematics, see [fundamental lemma (Langlands program)](http://en.wikipedia.org/wiki/Fundamental_lemma_\(Langlands_program\)).

![](../../upload.wikimedia.org/wikipedia/en/f/f4/Ambox_content.png)

This article **needs more [medical references](http://en.wikipedia.org/wiki/Wikipedia:Identifying_reliable_sources_\(medicine\)) for [verification](http://en.wikipedia.org/wiki/Wikipedia:Verifiability) or relies too heavily on primary sources**. Please review the contents of the article and [add the appropriate references](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit) if you can. Unsourced or poorly sourced material may be [removed](http://en.wikipedia.org/wiki/Wikipedia:Verifiability#Burden_of_evidence). _(January 2013)_

![Rod of asclepius.png](../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/Rod_of_asclepius.png/15px-Rod_of_asclepius.png)

![th](../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/TransferFactors.jpg/300px-TransferFactors.jpg)

**Transfer factors** were originally described as immune molecules that are derived from blood or spleen cells that cause [antigen](http://en.wikipedia.org/wiki/Antigen)-specific [cell-mediated immunity](http://en.wikipedia.org/wiki/Cell-mediated_immunity), primarily delayed hypersensitivity and the production of [lymphokines](http://en.wikipedia.org/wiki/Lymphokine), as well as binding to the antigens themselves. They have a molecular weight of approximately 5000 [Daltons](http://en.wikipedia.org/wiki/Atomic_mass_unit) and are composed entirely of [amino acids](http://en.wikipedia.org/wiki/Amino_acid).[[1]](Special:Random.html#cite_note-1) Transfer factors were discovered by [Henry Sherwood Lawrence](http://en.wikipedia.org/wiki/Henry_Sherwood_Lawrence) in 1955.[[2]](Special:Random.html#cite_note-Lawrence-2) Transfer factor has some promising findings as a target of immune research, but can only be considered an incompletely investigated field that has been essentially lost to history.

A second use of the term transfer factor applies to a likely different entity derived from cow colostrum or chicken egg yolk which is marketed as an oral [dietary supplement](http://en.wikipedia.org/wiki/Dietary_supplement) under the same name citing claims of benefit to the [immune system](http://en.wikipedia.org/wiki/Immune_system).[[3]](Special:Random.html#cite_note-3)

## Contents

  * [1 History](Special:Random.html#History)
  * [2 Transfer factor (immune molecule) scientific claims](Special:Random.html#Transfer_factor_.28immune_molecule.29_scientific_claims)
  * [3 Uses](Special:Random.html#Uses)
  * [4 Side effects](Special:Random.html#Side_effects)
  * [5 Transfer factor (dietary supplement) history, claims, and side effects](Special:Random.html#Transfer_factor_.28dietary_supplement.29_history.2C_claims.2C_and_side_effects)
  * [6 See also](Special:Random.html#See_also)
  * [7 References](Special:Random.html#References)
  * [8 External links](Special:Random.html#External_links)

## History[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=1)]

In 1942, [Merrill Chase](http://en.wikipedia.org/wiki/Merrill_Chase) discovered that cells taken from the [peritoneum](http://en.wikipedia.org/wiki/Peritoneum) of Guinea pigs that had been immunized against an [antigen](http://en.wikipedia.org/wiki/Antigen) could transfer immunity when injected into Guinea pigs that had never been exposed to the antigen; this phenomenon was the discovery of [cell-mediated immunity](http://en.wikipedia.org/wiki/Cell-mediated_immunity). Subsequent research attempted to uncover how the cells imparted their effects. [Henry Sherwood Lawrence](http://en.wikipedia.org/wiki/Henry_Sherwood_Lawrence), in 1955,[[2]](Special:Random.html#cite_note-Lawrence-2) discovered that partial immunity could be transferred even when the immune cells had undergone [lysis](http://en.wikipedia.org/wiki/Lysis) \- indicating that cells did not need to be fully intact in order to produce immune effects.[[4]](Special:Random.html#cite_note-4) Dr. Lawrence went on to discover that only the factors less than 8000 Daltons were required to transfer this immunity; he termed these to be "transfer factors".[[2]](Special:Random.html#cite_note-Lawrence-2)

The history of cellular derived transfer factor as a treatment effectively ended in the early 1980s. While the research world was initially excited by the discovery of Dr Lawrence and the possibility that a small molecule could effect the immune system, the concept of small molecules having such profound biologic effect had not been proven.[[5]](Special:Random.html#cite_note-newscientist-5) Despite several successes in using transfer factor to treat human disease and uncover immune effects, one then-prominent researcher was exposed for falsifying data related to his work on transfer factor and guinea pigs; effectively casting all of transfer factor science in a negative light.[[5]](Special:Random.html#cite_note-newscientist-5) This scandal was followed shortly thereafter by the discovery of the [Interleukin-1 alpha](http://en.wikipedia.org/wiki/IL1A) molecule and thus attention further shifted towards research on [interleukins](http://en.wikipedia.org/wiki/Interleukin). By 1973, it was discovered that blood products could harbor viruses such as [hepatitis A](http://en.wikipedia.org/wiki/Hepatitis_A), indicating that transfer factor treatments derived from human or cow blood cells had the potential to transmit these diseases. With the eventual discovery of [HIV/AIDS](http://en.wikipedia.org/wiki/HIV/AIDS) as an additional [blood-borne disease](http://en.wikipedia.org/wiki/Blood-borne_disease) most researchers viewed a product derived from blood as an unsafe treatment since screening for [hepatitis B](http://en.wikipedia.org/wiki/Hepatitis_B) and HIV/AIDS would not be developed until after 1985.[[6]](Special:Random.html#cite_note-6) Some studies using transfer factor have been conducted after the discovery of HIV/AIDS, but almost all have been outside of the United States.

## Transfer factor (immune molecule) scientific claims[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=2)]

Henry Sherwood Lawrence discovered that blood cells could 'transfer' [antigen](http://en.wikipedia.org/wiki/Antigen)-specific [cell-mediated immunity](http://en.wikipedia.org/wiki/Cell-mediated_immunity) even after the cells had undergone [lysis](http://en.wikipedia.org/wiki/Lysis).[[2]](Special:Random.html#cite_note-Lawrence-2) This lymphocyte product is sometimes referred to as "dialyzable leukocyte extract" in the scientific literature due to being an [extract](http://en.wikipedia.org/wiki/Extract) from [white blood cells](http://en.wikipedia.org/wiki/White_blood_cell) undergoing [dialysis](http://en.wikipedia.org/wiki/Dialysis) to remove all molecules larger than ~5000 [Daltons](http://en.wikipedia.org/wiki/Atomic_mass_unit).[[7]](Special:Random.html#cite_note-7) Studies on cellular transfer factor have involved mostly animal models and small human clinical trials. These studies have demonstrated preliminary evidence of immune modulation as well as some clinical benefits in a handful of diseases, but the studies not been assessed beyond primary sources and the trials should only be considered pre-clinical.[[8]](Special:Random.html#cite_note-8)[[9]](Special:Random.html#cite_note-review-9)

## Uses[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=3)]

Despite a small modicum of successes,[[9]](Special:Random.html#cite_note-review-9) transfer factor generated from human blood (human-derived), cow spleen (bovine-derived), or mouse spleen (murine derived) is not in routine clinical use today. A trial investigating its ability to [immunize](http://en.wikipedia.org/wiki/Immunization) children with [leukemia](http://en.wikipedia.org/wiki/Leukemia) against [shingles](http://en.wikipedia.org/wiki/Herpes_zoster) showed promise in a small number of patients, but represents only one of two [placebo-controlled studies](http://en.wikipedia.org/wiki/Placebo-controlled_study).[[10]](Special:Random.html#cite_note-WebMD-10)[[11]](Special:Random.html#cite_note-11)

## Side effects[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=4)]

Human-derived transfer factor appears to be safe for use for up to two years and bovine-derived cellular transfer factor for up to three months. Side effects include [fever](http://en.wikipedia.org/wiki/Fever) and swelling and pain at the injection site. Concern has been raised over the possibility of catching [Bovine spongiform encephalopathy](http://en.wikipedia.org/wiki/Bovine_spongiform_encephalopathy) (Mad Cow Disease) or other diseases from animal-derived products. Transfer factors are contraindicated for women who are pregnant or breastfeeding.[[10]](Special:Random.html#cite_note-WebMD-10) Because human- and bovine-derived transfer factor are generated from [blood cells](http://en.wikipedia.org/wiki/Blood_cell)[[2]](Special:Random.html#cite_note-Lawrence-2)[[12]](Special:Random.html#cite_note-12) they carry the potential for [blood-borne disease](http://en.wikipedia.org/wiki/Blood-borne_disease) such as [HIV/AIDS](http://en.wikipedia.org/wiki/HIV/AIDS) and [Hepatitis C](http://en.wikipedia.org/wiki/Hepatitis_C).

## Transfer factor (dietary supplement) history, claims, and side effects[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=5)]

[Colostrum](http://en.wikipedia.org/wiki/Colostrum) is a form of milk produced by the [mammary glands](http://en.wikipedia.org/wiki/Mammary_glands) of mammals (including humans) in [late pregnancy](http://en.wikipedia.org/wiki/Pregnancy#Third_trimester). It contains multiple immune modulating molecules including high [antibody](http://en.wikipedia.org/wiki/Antibody) levels.[[13]](Special:Random.html#cite_note-13) Based on studies that are predominantly nearly three decades old noting an overlap in the observed [in vitro](http://en.wikipedia.org/wiki/In_vitro) effects between a molecule contained in colostrum called [colostrinin](http://en.wikipedia.org/wiki/Colostrinin) and the dialyzable leukocyte extract mentioned above, a [hypothesis](http://en.wikipedia.org/wiki/Hypothesis) formed that the two were the same.[[14]](Special:Random.html#cite_note-14) There has been no recent research investigations comparing the two entities and thus there is no verifiable evidence that either colostrum or egg whites contain the cellular product that shares the name transfer factor. The orally available transfer factor is not obtained from humans nor from blood products of any mammal or animal and thus does not carry the presumed risks of contracting blood borne or animal tissue derived diseases. Reports of safety with supplement use are only anecdotal. Retailers of dietary supplement transfer factors advice against use by those with an organ transplant or women that are pregnant or may become pregnant.

Colostrum/egg derived transfer factors have been promoted as a treatment for a large number of diseases and health concerns but have not been proven effective in the treatment of any of these conditions.[[10]](Special:Random.html#cite_note-WebMD-10)[[15]](Special:Random.html#cite_note-MSKCC-15)[[16]](Special:Random.html#cite_note-16) Anecdotal claims report improvement in diseases such as gout, breast cancer, SLE, asthma, kidney insufficiency, endometriosis, uterine cysts, stroke, COPD, high blood pressure, and other conditions, however no clinical studies have provided any verification[_[citation needed](http://en.wikipedia.org/wiki/Wikipedia:Citation_needed)_]. The [United States Food and Drug Administration](http://en.wikipedia.org/wiki/Food_and_Drug_Administration_\(United_States\)) regulates transfer factors as a dietary supplement[[15]](Special:Random.html#cite_note-MSKCC-15) and has issued a [warning notice](http://en.wikipedia.org/wiki/FDA_Warning_Letter) to a website selling transfer factors that they have not been proven to be effective or safe in the treatment of any condition, nor have there been any biological licenses or [New Drug Applications](http://en.wikipedia.org/wiki/New_Drug_Application) produced for the substance.[[17]](Special:Random.html#cite_note-17)

## See also[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=6)]

  * [Lymphokine](http://en.wikipedia.org/wiki/Lymphokine)

## References[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=7)]

  1. **[^](Special:Random.html#cite_ref-1)** Kirkpatrick CH (June 1993). "Structural nature and functions of transfer factors". _Ann. N. Y. Acad. Sci._ **685**: 362–8. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1111/j.1749-6632.1993.tb35889.x](http://dx.doi.org/10.1111%2Fj.1749-6632.1993.tb35889.x). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [8363241](http://www.ncbi.nlm.nih.gov/pubmed/8363241). 
  2. ^ _**[a**_](Special:Random.html#cite_ref-Lawrence_2-0) _**[b**_](Special:Random.html#cite_ref-Lawrence_2-1) _**[c**_](Special:Random.html#cite_ref-Lawrence_2-2) _**[d**_](Special:Random.html#cite_ref-Lawrence_2-3) _**[e**_](Special:Random.html#cite_ref-Lawrence_2-4) Al-Askari, S (2009). "Henry Sherwood Lawrence". _Biographical Memoirs, Volume 90_. [National Academy of Sciences](http://en.wikipedia.org/wiki/United_States_National_Academy_of_Sciences). pp. [237–255](http://books.google.com/books?id=tJIaaXIFF-4C&pg=PA237). [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-309-12148-5](http://en.wikipedia.org/wiki/Special:BookSources/0-309-12148-5). 
  3. **[^](Special:Random.html#cite_ref-3)** PDR <http://www.pdr.net/drugpages/productlabeling.aspx?mpcode=30651060>
  4. **[^](Special:Random.html#cite_ref-4)** Lawrence, H. S. (1955). ["The Transfer in Humans of Delayed Skin Sensitivity to Streptococcal M Substance and to Tuberculin with Disrupted Leucocytes 12"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC438618). _Journal of Clinical Investigation_ **34** (2): 219–230. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1172/JCI103075](http://dx.doi.org/10.1172%2FJCI103075). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [438618](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC438618). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [13233344](http://www.ncbi.nlm.nih.gov/pubmed/13233344).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/13233344&action=edit&editintro=Template:Cite_pmid/editintro2)
  5. ^ _**[a**_](Special:Random.html#cite_ref-newscientist_5-0) _**[b**_](Special:Random.html#cite_ref-newscientist_5-1) Chedd, G (1974-12-26). ["Transfer factor - Another scandal?"](http://books.google.ca/books?id=khzDRYfj97AC&pg=PA920#v=onepage&q&f=false). _[New Scientist](http://en.wikipedia.org/wiki/New_Scientist)_ **64** (929). pp. 920–1. 
  6. **[^](Special:Random.html#cite_ref-6)** <http://www.bloodbook.com/trans-history.html>
  7. **[^](Special:Random.html#cite_ref-7)** Ojeda, M. O.; van't Veer, C.; Fernández Ortega, C. B.; Araña Rosainz, M. D. J.; Buurman, W. A. (2005). "Dialyzable Leukocyte Extract differentially regulates the production of TNFα, IL-6, and IL-8 in bacterial component-activated leukocytes and endothelial cells". _Inflammation Research_ **54** (2): 74–81. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1007/s00011-004-1326-5](http://dx.doi.org/10.1007%2Fs00011-004-1326-5). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [15750714](http://www.ncbi.nlm.nih.gov/pubmed/15750714).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/15750714&action=edit&editintro=Template:Cite_pmid/editintro2)
  8. **[^](Special:Random.html#cite_ref-8)** Wang, R. N.; Wang, Y. B.; Geng, J. W.; Guo, D. H.; Liu, F.; Chen, H. Y.; Zhang, H. Y.; Cui, B. A.; Wei, Z. Y. (2012). "Enhancing immune responses to inactivated porcine parvovirus oil emulsion vaccine by co-inoculating porcine transfer factor in mice". _Vaccine_ **30** (35): 5246–5252. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/j.vaccine.2012.05.077](http://dx.doi.org/10.1016%2Fj.vaccine.2012.05.077). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [22705080](http://www.ncbi.nlm.nih.gov/pubmed/22705080).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_doi/10.1016.2Fj.vaccine.2012.05.077&action=edit&editintro=Template:Cite_doi/editintro2)
  9. ^ _**[a**_](Special:Random.html#cite_ref-review_9-0) _**[b**_](Special:Random.html#cite_ref-review_9-1) Berrón-Pérez, R.; Chávez-Sánchez, R.; Estrada-García, I.; Espinosa-Padilla, S.; Cortez-Gómez, R.; Serrano-Miranda, E.; Ondarza-Aguilera, R.; Pérez-Tapia, M.; Pineda Olvera, B.; Jiménez-Martínez Mdel, C.; Portugués, A.; Rodríguez, A.; Cano, L.; Pacheco, P. U.; Barrientos, J.; Chacón, R.; Serafín, J.; Mendez, P.; Monges, A.; Cervantes, E.; Estrada-Parra, S. (2007). "Indications, usage, and dosage of the transfer factor". _Revista alergia Mexico (Tecamachalco, Puebla, Mexico : 1993)_ **54** (4): 134–139. [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [18297853](http://www.ncbi.nlm.nih.gov/pubmed/18297853).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/18297853&action=edit&editintro=Template:Cite_pmid/editintro2)
  10. ^ _**[a**_](Special:Random.html#cite_ref-WebMD_10-0) _**[b**_](Special:Random.html#cite_ref-WebMD_10-1) _**[c**_](Special:Random.html#cite_ref-WebMD_10-2) ["Transfer Factor"](http://www.webmd.com/vitamins-supplements/ingredientmono-1011-TRANSFER+FACTOR.aspx?activeIngredientId=1011&activeIngredientName=TRANSFER+FACTOR&source=2). [WebMD](http://en.wikipedia.org/wiki/WebMD). Retrieved 2010-02-16. 
  11. **[^](Special:Random.html#cite_ref-11)** Estrada-Parra, S.; Nagaya, A.; Serrano, E.; Rodriguez, O.; Santamaria, V.; Ondarza, R.; Chavez, R.; Correa, B.; Monges, A.; Cabezas, R.; Calva, C.; Estrada-Garcia, I. (1998). "Comparative study of transfer factor and acyclovir in the treatment of herpes zoster". _International journal of immunopharmacology_ **20** (10): 521–535. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/S0192-0561(98)00031-9](http://dx.doi.org/10.1016%2FS0192-0561%2898%2900031-9). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [9839657](http://www.ncbi.nlm.nih.gov/pubmed/9839657).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/9839657&action=edit&editintro=Template:Cite_pmid/editintro2)
  12. **[^](Special:Random.html#cite_ref-12)** Kirkpatrick, C. H. (2000). ["Transfer factors: Identification of conserved sequences in transfer factor molecules"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1949950). _Molecular medicine (Cambridge, Mass.)_ **6** (4): 332–341. [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [1949950](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC1949950). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [10949913](http://www.ncbi.nlm.nih.gov/pubmed/10949913).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/10949913&action=edit&editintro=Template:Cite_pmid/editintro2)
  13. **[^](Special:Random.html#cite_ref-13)** McConnell, et al. A comparison of IgG and IgG1 activity in an early milk concentrate from non-immunised cows and a milk from hyperimmunised animals. doi = 10.1016/S0963-9969(00)00163-0
  14. **[^](Special:Random.html#cite_ref-14)** Wilson, G. B.; Poindexter, C.; Fort, J. D.; Ludden, K. D. (1988). "De novo initiation of specific cell-mediated immune responsiveness in chickens by transfer factor (specific immunity inducer) obtained from bovine colostrum and milk". _Acta virologica_ **32** (1): 6–18. [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [2897772](http://www.ncbi.nlm.nih.gov/pubmed/2897772).  [edit](http://en.wikipedia.org/w/index.php?title=Template:Cite_pmid/2897772&action=edit&editintro=Template:Cite_pmid/editintro2)
  15. ^ _**[a**_](Special:Random.html#cite_ref-MSKCC_15-0) _**[b**_](Special:Random.html#cite_ref-MSKCC_15-1) ["Transfer Factor"](http://www.mskcc.org/mskcc/html/69399.cfm). [Memorial Sloan–Kettering Cancer Center](http://en.wikipedia.org/wiki/Memorial_Sloan%E2%80%93Kettering_Cancer_Center). 2009-10-08. Retrieved 2010-02-16. 
  16. **[^](Special:Random.html#cite_ref-16)** [Barrett, S](http://en.wikipedia.org/wiki/Stephen_Barrett) (2007-03-28). ["Be Wary of Multiple Sclerosis "Cures""](http://www.quackwatch.org/01QuackeryRelatedTopics/ms.html). [Quackwatch](http://en.wikipedia.org/wiki/Quackwatch). Retrieved 2010-02-12. 
  17. **[^](Special:Random.html#cite_ref-17)** [Barrett, S](http://en.wikipedia.org/wiki/Stephen_Barrett) (2005-06-02). ["Warning Letter"](http://www.casewatch.org/fdawarning/prod/2005/immunitytoday.shtml). [Quackwatch](http://en.wikipedia.org/wiki/Quackwatch). Retrieved 2010-02-12. 

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit&section=8)]

  * [Transfer factor](http://www.nlm.nih.gov/cgi/mesh/2011/MB_cgi?mode=&term=Transfer+factor) at the US National Library of Medicine [Medical Subject Headings](http://en.wikipedia.org/wiki/Medical_Subject_Headings) (MeSH)

  * [v](http://en.wikipedia.org/wiki/Template:Cytokines)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Cytokines)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Cytokines&action=edit)

[Cell signaling](http://en.wikipedia.org/wiki/Cell_signaling): [cytokines](http://en.wikipedia.org/wiki/Cytokine)

By family

[Chemokine](http://en.wikipedia.org/wiki/Chemokine)

CCL

  * [CCL1](http://en.wikipedia.org/wiki/CCL1)
  * [CCL2](http://en.wikipedia.org/wiki/CCL2)/MCP-1
  * [CCL3](http://en.wikipedia.org/wiki/CCL3)/MIP-1α
  * [CCL4](http://en.wikipedia.org/wiki/CCL4)/MIP-1β
  * [CCL5](http://en.wikipedia.org/wiki/CCL5)/RANTES
  * [CCL6](http://en.wikipedia.org/wiki/CCL6)
  * [CCL7](http://en.wikipedia.org/wiki/CCL7)
  * [CCL8](http://en.wikipedia.org/wiki/CCL8)
  * [CCL9](http://en.wikipedia.org/wiki/CCL9)
  * [CCL11](http://en.wikipedia.org/wiki/CCL11)
  * [CCL12](http://en.wikipedia.org/wiki/CCL12)
  * [CCL13](http://en.wikipedia.org/wiki/CCL13)
  * [CCL14](http://en.wikipedia.org/wiki/CCL14)
  * [CCL15](http://en.wikipedia.org/wiki/CCL15)
  * [CCL16](http://en.wikipedia.org/wiki/CCL16)
  * [CCL17](http://en.wikipedia.org/wiki/CCL17)
  * [CCL18](http://en.wikipedia.org/wiki/CCL18)/PARC/DC-CK1/AMAC-1/MIP-4
  * [CCL19](http://en.wikipedia.org/wiki/CCL19)
  * [CCL20](http://en.wikipedia.org/wiki/CCL20)
  * [CCL21](http://en.wikipedia.org/wiki/CCL21)
  * [CCL22](http://en.wikipedia.org/wiki/CCL22)
  * [CCL23](http://en.wikipedia.org/wiki/CCL23)
  * [CCL24](http://en.wikipedia.org/wiki/CCL24)
  * [CCL25](http://en.wikipedia.org/wiki/CCL25)
  * [CCL26](http://en.wikipedia.org/wiki/CCL26)
  * [CCL27](http://en.wikipedia.org/wiki/CCL27)
  * [CCL28](http://en.wikipedia.org/wiki/CCL28)

CXCL

  * [CXCL1](http://en.wikipedia.org/wiki/CXCL1)/KC
  * [CXCL2](http://en.wikipedia.org/wiki/CXCL2)
  * [CXCL3](http://en.wikipedia.org/wiki/CXCL3)
  * [CXCL4](http://en.wikipedia.org/wiki/Platelet_factor_4)
  * [CXCL5](http://en.wikipedia.org/wiki/CXCL5)
  * [CXCL6](http://en.wikipedia.org/wiki/CXCL6)
  * [CXCL7](http://en.wikipedia.org/wiki/CXCL7)
  * [CXCL8/IL8](http://en.wikipedia.org/wiki/Interleukin_8)
  * [CXCL9](http://en.wikipedia.org/wiki/CXCL9)
  * [CXCL10](http://en.wikipedia.org/wiki/CXCL10)
  * [CXCL11](http://en.wikipedia.org/wiki/CXCL11)
  * [CXCL12](http://en.wikipedia.org/wiki/SDF-1_\(biology\))
  * [CXCL13](http://en.wikipedia.org/wiki/CXCL13)
  * [CXCL14](http://en.wikipedia.org/wiki/CXCL14)
  * [CXCL15](http://en.wikipedia.org/wiki/CXCL15)
  * [CXCL16](http://en.wikipedia.org/wiki/CXCL16)
  * [CXCL17](http://en.wikipedia.org/wiki/CXCL17)

CX3CL

  * [CX3CL1](http://en.wikipedia.org/wiki/CX3CL1)

XCL

  * [XCL1](http://en.wikipedia.org/wiki/XCL1)
  * [XCL2](http://en.wikipedia.org/wiki/XCL2)

[TNF](http://en.wikipedia.org/wiki/Tumor_necrosis_factors)

  * [TNFA](http://en.wikipedia.org/wiki/Tumor_necrosis_factor_alpha)
  * [Lymphotoxin](http://en.wikipedia.org/wiki/Lymphotoxin)
    * [TNFB/LTA](http://en.wikipedia.org/wiki/Lymphotoxin_alpha)
    * [TNFC/LTB](http://en.wikipedia.org/wiki/Lymphotoxin_beta)
  * [TNFSF4](http://en.wikipedia.org/wiki/OX40L)
  * [TNFSF5/CD40LG](http://en.wikipedia.org/wiki/CD154)
  * [TNFSF6](http://en.wikipedia.org/wiki/Fas_ligand)
  * [TNFSF7](http://en.wikipedia.org/wiki/CD70)
  * [TNFSF8](http://en.wikipedia.org/wiki/CD153)
  * [TNFSF9](http://en.wikipedia.org/wiki/4-1BB_ligand)
  * [TNFSF10](http://en.wikipedia.org/wiki/TRAIL)
  * [TNFSF11](http://en.wikipedia.org/wiki/RANKL)
  * [TNFSF13B](http://en.wikipedia.org/wiki/B-cell_activating_factor)
  * [EDA](http://en.wikipedia.org/wiki/EDA_\(gene\))

[Interleukin](http://en.wikipedia.org/wiki/Interleukin)

[Type I](http://en.wikipedia.org/wiki/Type_I_cytokine_receptor)  
(grouped by  
receptor  
subunit)

[γ-chain](http://en.wikipedia.org/wiki/Common_gamma_chain)

  * [IL2](http://en.wikipedia.org/wiki/Interleukin_2)/[IL15](http://en.wikipedia.org/wiki/Interleukin_15)
  * [IL4](http://en.wikipedia.org/wiki/Interleukin_4)/[IL13](http://en.wikipedia.org/wiki/Interleukin_13)
  * [IL7](http://en.wikipedia.org/wiki/Interleukin_7)
  * [IL9](http://en.wikipedia.org/wiki/Interleukin_9)
  * [IL21](http://en.wikipedia.org/wiki/Interleukin_21)

[β-chain](http://en.wikipedia.org/wiki/CSF2RB)

  * [IL3](http://en.wikipedia.org/wiki/Interleukin_3)
  * [IL5](http://en.wikipedia.org/wiki/Interleukin_5)
  * [GM-CSF](http://en.wikipedia.org/wiki/Granulocyte_macrophage_colony-stimulating_factor)

IL6 like/[gp130](http://en.wikipedia.org/wiki/Glycoprotein_130)

  * [IL6](http://en.wikipedia.org/wiki/Interleukin_6)
  * [IL11](http://en.wikipedia.org/wiki/Interleukin_11)
  * [IL27](http://en.wikipedia.org/wiki/Interleukin_27)
  * [IL30](http://en.wikipedia.org/wiki/Interleukin_30)
  * [IL31](http://en.wikipedia.org/wiki/Interleukin_31)
    * +non IL [OSM](http://en.wikipedia.org/wiki/Oncostatin_M)
    * [LIF](http://en.wikipedia.org/wiki/Leukemia_inhibitory_factor)
    * [CNTF](http://en.wikipedia.org/wiki/Ciliary_neurotrophic_factor)
    * [CTF1](http://en.wikipedia.org/wiki/Cardiotrophin_1)

[IL-12 family](http://en.wikipedia.org/w/index.php?title=IL-12_family&action=edit&redlink=1)/[IL12RB1](http://en.wikipedia.org/wiki/Interleukin_12_receptor,_beta_1_subunit)

  * [IL12](http://en.wikipedia.org/wiki/Interleukin_12)
  * [IL23](http://en.wikipedia.org/wiki/Interleukin_23)
  * [IL27](http://en.wikipedia.org/wiki/Interleukin-27)
  * [IL35](http://en.wikipedia.org/wiki/Interleukin_35)

Other

  * [IL14](http://en.wikipedia.org/wiki/Alpha-taxilin)
  * [IL16](http://en.wikipedia.org/wiki/Interleukin_16)
  * [IL32](http://en.wikipedia.org/wiki/Interleukin_32)
  * [IL34](http://en.wikipedia.org/wiki/Interleukin_34)

[Type II](http://en.wikipedia.org/wiki/Type_II_cytokine_receptor)

[IL 10 family](http://en.wikipedia.org/wiki/IL_10_family)

  * [IL10](http://en.wikipedia.org/wiki/Interleukin_10)/[IL22](http://en.wikipedia.org/wiki/Interleukin_22)
  * [IL19](http://en.wikipedia.org/wiki/Interleukin_19)
  * [IL20](http://en.wikipedia.org/wiki/Interleukin_20)
  * [IL24](http://en.wikipedia.org/wiki/Interleukin_24)
  * [IL26](http://en.wikipedia.org/wiki/Interleukin_26)
  * [Interferon type III](http://en.wikipedia.org/wiki/Interferon_type_III)
    * [IL28/IFNL2+3](http://en.wikipedia.org/wiki/Interleukin_28)
    * [IL29/IFNL1](http://en.wikipedia.org/wiki/Interleukin_29)

[Interferon](http://en.wikipedia.org/wiki/Interferon)

[I](http://en.wikipedia.org/wiki/Interferon_type_I)

  * [IFNA1](http://en.wikipedia.org/wiki/Interferon_alpha_1)
  * [IFNA2](http://en.wikipedia.org/wiki/IFNA2)
  * [IFNA4](http://en.wikipedia.org/wiki/IFNA4)
  * [IFNA5](http://en.wikipedia.org/wiki/IFNA5)
  * [IFNA6](http://en.wikipedia.org/wiki/IFNA6)
  * [IFNA7](http://en.wikipedia.org/wiki/IFNA7)
  * [IFNA8](http://en.wikipedia.org/wiki/IFNA8)
  * [IFNA10](http://en.wikipedia.org/wiki/IFNA10)
  * [IFNA13](http://en.wikipedia.org/wiki/IFNA13)
  * [IFNA14](http://en.wikipedia.org/wiki/IFNA14)
  * [IFNA16](http://en.wikipedia.org/wiki/IFNA16)
  * [IFNA17](http://en.wikipedia.org/wiki/IFNA17)
  * [IFNA21](http://en.wikipedia.org/wiki/IFNA21)
  * [IFNB1](http://en.wikipedia.org/wiki/IFNB1)
  * [IFNK](http://en.wikipedia.org/wiki/IFNK)
  * [IFNW1](http://en.wikipedia.org/wiki/IFNW1)

[II](http://en.wikipedia.org/wiki/Interferon_type_II)

  * [IFNG](http://en.wikipedia.org/wiki/Interferon_gamma)

[Ig superfamily](http://en.wikipedia.org/wiki/Immunoglobulin_superfamily)

  * [IL-1 family](http://en.wikipedia.org/wiki/Interleukin_1_family): [IL1A/IL1F1](http://en.wikipedia.org/wiki/IL1A)
  * [IL1B/IL1F2](http://en.wikipedia.org/wiki/IL1B)
  * [1Ra/IL1F3](http://en.wikipedia.org/wiki/Interleukin_1_receptor_antagonist)
  * [IL1F5](http://en.wikipedia.org/wiki/IL1F5)
  * [IL1F6](http://en.wikipedia.org/wiki/IL36A)
  * [IL1F7](http://en.wikipedia.org/wiki/IL1F7)
  * [IL1F8](http://en.wikipedia.org/wiki/IL36B)
  * [IL1F9](http://en.wikipedia.org/wiki/IL1F9)
  * [IL1F10](http://en.wikipedia.org/wiki/IL1F10)
  * [33/IL1F11](http://en.wikipedia.org/wiki/Interleukin_33)
  * [18/IL1G](http://en.wikipedia.org/wiki/Interleukin_18)

[IL 17 family](http://en.wikipedia.org/wiki/IL_17_family)

  * [IL17](http://en.wikipedia.org/wiki/Interleukin_17)/[IL25](http://en.wikipedia.org/wiki/Interleukin_25) ([IL17A](http://en.wikipedia.org/wiki/IL17A))

Other

  * [Hematopoietic](http://en.wikipedia.org/wiki/Hematopoietic)
    * [KITLG](http://en.wikipedia.org/wiki/Stem_cell_factor)
    * [Colony-stimulating factor](http://en.wikipedia.org/wiki/Colony-stimulating_factor)
  * [SPP1](http://en.wikipedia.org/wiki/Osteopontin)

By function/  
cell

  * _[proinflammatory cytokine](http://en.wikipedia.org/wiki/Proinflammatory_cytokine)_
    * [IL1](http://en.wikipedia.org/wiki/Interleukin_1)
    * [TNFA](http://en.wikipedia.org/wiki/Tumor_necrosis_factor-alpha)
  * [Monokine](http://en.wikipedia.org/wiki/Monokine)
  * [Lymphokine](http://en.wikipedia.org/wiki/Lymphokine)
    * _Th1_
      * [IFNG](http://en.wikipedia.org/wiki/Interferon-gamma)
      * [TNFB](http://en.wikipedia.org/wiki/Tumor_necrosis_factor-beta)
    * _Th2_
      * [IL4](http://en.wikipedia.org/wiki/Interleukin_4)
      * [IL5](http://en.wikipedia.org/wiki/Interleukin_5)
      * [IL6](http://en.wikipedia.org/wiki/Interleukin_6)
      * [IL10](http://en.wikipedia.org/wiki/Interleukin_10)
      * [IL13](http://en.wikipedia.org/wiki/Interleukin_13)

_[B](http://en.wikipedia.org/wiki/Template:Biochemistry_metanavs) [trdu](http://en.wikipedia.org/wiki/Template:Signal_transduction): [iter](http://en.wikipedia.org/wiki/Template:Intercellular_signaling_peptides_and_proteins) ([nrpl](http://en.wikipedia.org/wiki/Template:Neuropeptides)/[grfl](http://en.wikipedia.org/wiki/Template:Growth_factors)/[cytl](http://en.wikipedia.org/wiki/Template:Cytokines)/[horl](http://en.wikipedia.org/wiki/Template:Hormones)), [csrc](http://en.wikipedia.org/wiki/Template:Cell_surface_receptors) ([lgic](http://en.wikipedia.org/wiki/Template:Ligand-gated_ion_channels), [enzr](http://en.wikipedia.org/wiki/Template:Enzyme-linked_receptors), [gprc](http://en.wikipedia.org/wiki/Template:G_protein-coupled_receptors), [igsr](http://en.wikipedia.org/wiki/Template:Immunoglobulin_superfamily_immune_receptors), [intg](http://en.wikipedia.org/wiki/Template:Integrins), [nrpr](http://en.wikipedia.org/wiki/Template:Neuropeptide_receptors)/[grfr](http://en.wikipedia.org/wiki/Template:Growth_factor_receptors)/[cytr](http://en.wikipedia.org/wiki/Template:Cytokine_receptors)), [itra](http://en.wikipedia.org/wiki/Template:Intracellular_signaling_peptides_and_proteins) ([adap](http://en.wikipedia.org/wiki/Template:Signal_transducing_adaptor_proteins), [gbpr](http://en.wikipedia.org/wiki/Template:GTP-binding_protein_regulators), [mapk](http://en.wikipedia.org/wiki/Template:MAP_kinase_activation)), [calc](http://en.wikipedia.org/wiki/Template:Calcium_signaling), [lipd](http://en.wikipedia.org/wiki/Template:Lipid_signaling); path ([hedp](http://en.wikipedia.org/wiki/Template:Hedgehog_signaling_pathway), [wntp](http://en.wikipedia.org/wiki/Template:Wnt_signaling_pathway), [tgfp](http://en.wikipedia.org/wiki/Template:TGF_beta_signaling)+[mapp](http://en.wikipedia.org/wiki/Template:MAPK_ERK_signaling_pathway), [notp](http://en.wikipedia.org/wiki/Template:Notch_signaling_pathway), [jakp](http://en.wikipedia.org/wiki/Template:JAK-STAT_signaling_pathway), [fsap](http://en.wikipedia.org/wiki/Template:Apoptosis_signaling_pathway), [hipp](http://en.wikipedia.org/wiki/Template:Hippo_signaling_pathway), [tlrp](http://en.wikipedia.org/wiki/Template:TLR_signaling_pathway))_

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Transfer_factor&oldid=598592316](http://en.wikipedia.org/w/index.php?title=Transfer_factor&oldid=598592316)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Immune system](http://en.wikipedia.org/wiki/Category:Immune_system)
  * [Pseudoscience](http://en.wikipedia.org/wiki/Category:Pseudoscience)

Hidden categories: 

  * [Articles needing additional medical references from January 2013](http://en.wikipedia.org/wiki/Category:Articles_needing_additional_medical_references_from_January_2013)
  * [All articles needing additional references](http://en.wikipedia.org/wiki/Category:All_articles_needing_additional_references)
  * [All articles with unsourced statements](http://en.wikipedia.org/wiki/Category:All_articles_with_unsourced_statements)
  * [Articles with unsourced statements from March 2014](http://en.wikipedia.org/wiki/Category:Articles_with_unsourced_statements_from_March_2014)
  * [Articles using fixed number of columns in reflist](http://en.wikipedia.org/wiki/Category:Articles_using_fixed_number_of_columns_in_reflist)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Transfer+factor&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Transfer+factor)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Transfer_factor)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Transfer_factor)
  * [Related changes](/wiki/Special:RecentChangesLinked/Transfer_factor)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Transfer_factor&oldid=598592316)
  * [Page information](/w/index.php?title=Transfer_factor&action=info)
  * [Data item](//www.wikidata.org/wiki/Q1133884)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Transfer_factor&id=598592316)

### Print/export

### Navigation

  * [Main page](http://en.wikipedia.org/wiki/Main_Page)
  * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
  * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
  * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
  * [Random article](Special:Random.html)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

  * [Help](http://en.wikipedia.org/wiki/Help:Contents)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
  * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
  * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Transfer_factor)
  * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Transfer_factor)
  * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikipedia.org/w/index.php?title=Transfer_factor&oldid=598592316)
  * [Page information](http://en.wikipedia.org/w/index.php?title=Transfer_factor&action=info)
  * [Data item](http://www.wikidata.org/wiki/Q1133884)
  * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Transfer_factor&id=598592316)

### Print/export

  * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Transfer+factor)
  * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Transfer+factor&oldid=598592316&writer=rl)
  * [Printable version](http://en.wikipedia.org/w/index.php?title=Transfer_factor&printable=yes)

### Languages

  * [Español](http://es.wikipedia.org/wiki/Factor_de_transferencia)
  * [한국어](http://ko.wikipedia.org/wiki/%ED%8A%B8%EB%9E%9C%EC%8A%A4%ED%8D%BC_%ED%8C%A9%ED%84%B0)
  * [日本語](http://ja.wikipedia.org/wiki/%E3%83%88%E3%83%A9%E3%83%B3%E3%82%B9%E3%83%95%E3%82%A1%E3%83%BC%E3%83%95%E3%82%A1%E3%82%AF%E3%82%BF%E3%83%BC)
  * [Русский](http://ru.wikipedia.org/wiki/%D0%A2%D1%80%D0%B0%D0%BD%D1%81%D1%84%D0%B5%D1%80_%D1%84%D0%B0%D0%BA%D1%82%D0%BE%D1%80)
  * [Српски / srpski](http://sr.wikipedia.org/wiki/Faktor_transfera)
  * [ไทย](http://th.wikipedia.org/wiki/%E0%B8%97%E0%B8%A3%E0%B8%B2%E0%B8%99%E0%B8%AA%E0%B9%80%E0%B8%9F%E0%B8%AD%E0%B8%A3%E0%B9%8C_%E0%B9%81%E0%B8%9F%E0%B8%81%E0%B9%80%E0%B8%95%E0%B8%AD%E0%B8%A3%E0%B9%8C)
  *   * [Edit links](http://www.wikidata.org/wiki/Q1133884#sitelinks-wikipedia)

  * This page was last modified on 7 March 2014 at 19:56.  

  * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
  * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
  * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikipedia.org/wiki/Transfer_factor)
  * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
