# Transmissible gastroenteritis coronavirus

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

_Transmissible Gastroenteritis Coronavirus_

[Virus classification](http://en.wikipedia.org/wiki/Virus_classification)

Group:
Group IV ([(+)ssRNA](http://en.wikipedia.org/wiki/Positive-sense_ssRNA_virus))

Family:
_[Coronaviridae](http://en.wikipedia.org/wiki/Coronaviridae)_

Genus:
_**Coronavirus**_

![](../../upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Text_document_with_red_question_mark.svg/40px-Text_document_with_red_question_mark.svg.png)

This article includes a [list of references](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources), but **its sources remain unclear because it has insufficient [inline citations](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources#Inline_citations)**. Please help to [improve](http://en.wikipedia.org/wiki/Wikipedia:WikiProject_Fact_and_Reference_Check) this article by [introducing](http://en.wikipedia.org/wiki/Wikipedia:When_to_cite) more precise citations. _(June 2010)_

_**Transmissible Gastroenteritis Coronavirus (TGEV)**_ is a species of animal [virus](http://en.wikipedia.org/wiki/Virus) belonging to the family _[Coronaviridae](http://en.wikipedia.org/wiki/Coronaviridae)_.[[1]](Special:Random.html#cite_note-Thiel-1) TGEV are [enveloped viruses](http://en.wikipedia.org/wiki/Enveloped_virus) with a positive-sense single-stranded [RNA](http://en.wikipedia.org/wiki/RNA) [genome](http://en.wikipedia.org/wiki/Genome) and a helical symmetry. The genomic size of coronaviruses ranges from approximately 28.6 kilobases.

Proteins that contribute to the overall structure of TGEV includes the spike (S), envelope (E), membrane (M) and [nucleocapsid](http://en.wikipedia.org/wiki/Nucleocapsid) (N). TGEV is a group I coronavirus. Other group 1 coronaviruses include [Canine coronavirus](http://en.wikipedia.org/wiki/Canine_coronavirus), [Feline coronavirus](http://en.wikipedia.org/wiki/Feline_infectious_peritonitis), [Human coronavirus 229E](http://en.wikipedia.org/wiki/Human_coronavirus_229E), and [Porcine epidemic diarrhea virus](http://en.wikipedia.org/wiki/Porcine_epidemic_diarrhea_virus).

## Contents

  * [1 TGEV Biology](Special:Random.html#TGEV_Biology)
  * [2 TGEV Morphology](Special:Random.html#TGEV_Morphology)
  * [3 TGEV pathology](Special:Random.html#TGEV_pathology)
  * [4 Engineering TGEV coronavirus](Special:Random.html#Engineering_TGEV_coronavirus)
  * [5 References](Special:Random.html#References)
  * [6 External links](Special:Random.html#External_links)

## TGEV Biology[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=1)]

TGEV belongs to the coronavirus family. It is an enveloped virus with a positive single stranded RNA genome. TGEV has three major structural proteins, which are phosphoprotein (N), integral membrane protein (E1), and large glycoprotein (E2). The N protein encapsulates the genomic RNA, and the S protein forms viral projections.

The 3' segment of about 8000 nucleotides encodes subgenomic RNAs. The remaining part of the genome encodes viral replicase. The three largest gene sequence from 5' to 3' is in the order of E2 to E1 to N. There are about seven other open reading frames that are not structurally related. There are very little overlaps among the genes, and is densely packed. A negative strand is synthesized to serve as a template for transcribing RNAs of one genome size and several subgenome sized RNAs.

The E2 protein forms a petal-shaped 20 nm long projection from the virus's surface. The E2 protein is thought to be involved in pathogenesis by helping the virus enter the host cytoplasm. The E2 protein initially has 1447residues, and then a short hydrophobic sequence is cleaved. After glycosylation of the protein in the golgi, the protein is then incorporated into the new virus. There are several functional domains within the E2 protein. A 20 residue hydrophobic segment at the C-terminus anchors the protein in the lipid membrane. The rest of the protein is divided into two parts, a hydrophilic stretch that is inside the virus and a cysteine rich stretch that are possibly fatty acylation sites. The E1 protein is mostly embedded in the lipid envelop and hence plays an essential role in virus architecture. The E1 protein is postulated to interact with the lymphocyte membrane, which leads to the induction of IFN-coding genes.

## TGEV Morphology[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=2)]

The morphology of TGEV was mostly determined by electron microscopy techniques. The morphology is similar to myxovirus and oncogenic virus in that they have surface projections and an envelop. The viruses are mainly circular in shape with a diameter ranging from 100 to 150 nm including the surface projections. The projections were mainly petal-shaped attached by a very narrow stalk. The projections seemed to be very easily detached from the virus and were only found on select areas.

## TGEV pathology[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=3)]

TGEV infects both pigs and humans. However, in young pigs, the mortality rate is close to 100%. The pathology of TGEV is similar to that of other coronaviruses. Coronaviruses enter the host by first attaching to the host cell using the spike glycoprotein. The S protein interacts with the porcine aminopeptidase N (pAPN), a cellular receptor, to aide in its entry. The same cell receptor is also a point of contact for Human Coronaviruses. A domain in the S spike protein is recognized by pAPN, and transfection of pAPN occurs to nonpermissive cells and infects them with TGEV. Once the virus infects the host, it multiplies in the cell lining of the small intestine resulting in the loss of absorptive cells that in turn leads to shortening of villi. The infected swine then has reduced capability for digesting food and die from dehydration.

## Engineering TGEV coronavirus[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=4)]

The Transmissible Gastroenteritis Virus has been engineered as an expression vector. The vector was constructed by replacing the nonessential 3a and 3b ORF, which is driven by the transcription-regulating sequences (TRS) with green fluorescent protein. The resulting construct was still enteropathogenic, but with reduced growth. The infection of cells with this altered virus elicits a specific lactogenic immune response against the heterologous protein. The application of this vector is in the development of a vaccine or even gene therapy. The motivation for engineering the TGEV genome is that coronaviruses have large genomes, so they have room for insertion of foreign genes. Coronaviruses also infect the [respiratory tract](http://en.wikipedia.org/wiki/Respiratory_tract), and they can be used to target antigens to that area and generate some immune response.

## References[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=5)]

  1. **[^](Special:Random.html#cite_ref-Thiel_1-0)** Thiel V, ed. (2007). _Coronaviruses: Molecular and Cellular Biology_ (1st ed.). Caister Academic Press. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-1-904455-16-5](http://en.wikipedia.org/wiki/Special:BookSources/978-1-904455-16-5). [_[page needed](http://en.wikipedia.org/wiki/Wikipedia:Citing_sources)_]

## External links[[edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit&section=6)]

  * Laude H, Rasschaert D, Delmas B, Godet M, Gelfi J, Charley B (June 1990). "Molecular biology of transmissible gastroenteritis virus". _Veterinary Microbiology_ **23** (1–4): 147–54. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0378-1135(90)90144-K](http://dx.doi.org/10.1016%2F0378-1135%2890%2990144-K). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [2169670](http://www.ncbi.nlm.nih.gov/pubmed/2169670). 
  * Sola I, Alonso S, Zúñiga S, Balasch M, Plana-Durán J, Enjuanes L (April 2003). ["Engineering the Transmissible Gastroenteritis Virus Genome as an Expression Vector Inducing Lactogenic Immunity"](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC150661). _Journal of Virology_ **77** (7): 4357–69. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1128/JVI.77.7.4357-4369.2003](http://dx.doi.org/10.1128%2FJVI.77.7.4357-4369.2003). [PMC](http://en.wikipedia.org/wiki/PubMed_Central) [150661](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC150661). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [12634392](http://www.ncbi.nlm.nih.gov/pubmed/12634392). 
  * Tajima M (March 1970). "Morphology of transmissible gastroenteritis virus of pigs". _Archives of Virology_ **29** (1): 105–8. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1007/BF01253886](http://dx.doi.org/10.1007%2FBF01253886). [PMID](http://en.wikipedia.org/wiki/PubMed_Identifier) [4195092](http://www.ncbi.nlm.nih.gov/pubmed/4195092). 

  * [v](http://en.wikipedia.org/wiki/Template:Common_cold)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Common_cold)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Common_cold&action=edit)

[Common cold](http://en.wikipedia.org/wiki/Common_cold)

[Viruses](http://en.wikipedia.org/wiki/Virus)

  * [Rhinovirus](http://en.wikipedia.org/wiki/Rhinovirus)
  * [Coronavirus](http://en.wikipedia.org/wiki/Coronavirus)
  * [Orthomyxoviruses](http://en.wikipedia.org/wiki/Orthomyxoviridae)
    * [Influenza A virus](http://en.wikipedia.org/wiki/Influenza_A_virus)
    * [Influenza B virus](http://en.wikipedia.org/wiki/Influenzavirus_B)
    * [Influenza C virus](http://en.wikipedia.org/wiki/Influenzavirus_C)
  * [Human parainfluenza viruses](http://en.wikipedia.org/wiki/Human_parainfluenza_viruses)
  * [Human respiratory syncytial virus](http://en.wikipedia.org/wiki/Human_respiratory_syncytial_virus)
  * [Adenovirus](http://en.wikipedia.org/wiki/Adenoviridae)
  * [Enterovirus](http://en.wikipedia.org/wiki/Enterovirus)
  * [Metapneumovirus](http://en.wikipedia.org/wiki/Metapneumovirus)

[Symptoms](http://en.wikipedia.org/wiki/Symptom)

  * [Sore throat](http://en.wikipedia.org/wiki/Sore_throat)
  * [Rhinorrhea](http://en.wikipedia.org/wiki/Rhinorrhea)
  * [Nasal congestion](http://en.wikipedia.org/wiki/Nasal_congestion)
  * [Sneezing](http://en.wikipedia.org/wiki/Sneeze)
  * [Cough](http://en.wikipedia.org/wiki/Cough)
  * [Muscle aches](http://en.wikipedia.org/wiki/Myalgia)
  * [Fatigue](http://en.wikipedia.org/wiki/Fatigue_\(medical\))
  * [Malaise](http://en.wikipedia.org/wiki/Malaise)
  * [Headache](http://en.wikipedia.org/wiki/Headache)
  * [Weakness](http://en.wikipedia.org/wiki/Weakness)
  * [Loss of appetite](http://en.wikipedia.org/wiki/Anorexia_\(symptom\))

[Complications](http://en.wikipedia.org/wiki/Complication_\(medicine\))

  * [Acute bronchitis](http://en.wikipedia.org/wiki/Acute_bronchitis)
  * [Bronchiolitis](http://en.wikipedia.org/wiki/Bronchiolitis)
  * [Croup](http://en.wikipedia.org/wiki/Croup)
  * [Pharyngitis](http://en.wikipedia.org/wiki/Pharyngitis)
  * [Pneumonia](http://en.wikipedia.org/wiki/Pneumonia)
  * [Sinusitis](http://en.wikipedia.org/wiki/Sinusitis)
  * [Otitis media](http://en.wikipedia.org/wiki/Otitis_media)
  * [Strep throat](http://en.wikipedia.org/wiki/Strep_throat)

[Antiviral drugs](http://en.wikipedia.org/wiki/Antiviral_drug)

  * [Pleconaril](http://en.wikipedia.org/wiki/Pleconaril) _(experimental)_

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [RES](http://en.wikipedia.org/wiki/Respiratory_system)

anat ([n](http://en.wikipedia.org/wiki/Template:Nose_anatomy), [x](http://en.wikipedia.org/wiki/Template:Larynx_anatomy), [l](http://en.wikipedia.org/wiki/Template:Lower_respiratory_system_anatomy), [c](http://en.wikipedia.org/wiki/Template:Thoracic_cavity))/[phys](http://en.wikipedia.org/wiki/Template:Respiratory_physiology)/[devp](http://en.wikipedia.org/wiki/Template:Development_of_respiratory_system)

[noco](http://en.wikipedia.org/wiki/Template:Respiratory_pathology) ([c](http://en.wikipedia.org/wiki/Template:Common_cold), [p](http://en.wikipedia.org/wiki/Template:Pneumonia))/[cong](http://en.wikipedia.org/wiki/Template:Congenital_malformations_and_deformations_of_respiratory_system)/[tumr](http://en.wikipedia.org/wiki/Template:Respiratory_neoplasia), [sysi](http://en.wikipedia.org/wiki/Template:Respiratory_system_symptoms_and_signs)/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_respiratory_system), [injr](http://en.wikipedia.org/wiki/Template:Chest_trauma)

[proc](http://en.wikipedia.org/wiki/Template:Respiratory_system_procedures), drug ([R1](http://en.wikipedia.org/wiki/Template:Nasal_preparations)/[2](http://en.wikipedia.org/wiki/Template:Throat_preparations)/[3](http://en.wikipedia.org/wiki/Template:Drugs_for_obstructive_airway_diseases)/[5](http://en.wikipedia.org/wiki/Template:Cough_and_cold_preparations)/[6](http://en.wikipedia.org/wiki/Template:Histaminergics)/[7](http://en.wikipedia.org/wiki/Template:Other_respiratory_system_products))

  * [v](http://en.wikipedia.org/wiki/Template:Viral_systemic_diseases)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Viral_systemic_diseases)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Viral_systemic_diseases&action=edit)

[Infectious diseases](http://en.wikipedia.org/wiki/Infectious_disease) – [Viral systemic diseases](http://en.wikipedia.org/wiki/Table_of_clinically_important_viruses) ([A80–B34](http://en.wikipedia.org/wiki/ICD-10_Chapter_B#A80.E2.80.93B34_.E2.80.93_Viral_infections), [042–079](http://en.wikipedia.org/wiki/List_of_ICD-9_codes_001%E2%80%93139:_infectious_and_parasitic_diseases#Human_immunodeficiency_virus_.28HIV.29_infection_.28042.E2.80.93044.29))

[Oncovirus](http://en.wikipedia.org/wiki/Oncovirus)

[DNA virus](http://en.wikipedia.org/wiki/DNA_virus)
    _[HBV](http://en.wikipedia.org/wiki/Hepatitis_B_virus)_

    [Hepatocellular carcinoma](http://en.wikipedia.org/wiki/Hepatocellular_carcinoma)
    _[HPV](http://en.wikipedia.org/wiki/Human_papillomavirus)_

    [Cervical cancer](http://en.wikipedia.org/wiki/Cervical_cancer)
    [Anal cancer](http://en.wikipedia.org/wiki/Anal_cancer)
    _[Kaposi's sarcoma-associated herpesvirus](http://en.wikipedia.org/wiki/Kaposi%27s_sarcoma-associated_herpesvirus)_

    [Kaposi's sarcoma](http://en.wikipedia.org/wiki/Kaposi%27s_sarcoma)
    _[Epstein-Barr virus](http://en.wikipedia.org/wiki/Epstein-Barr_virus)_

    [Nasopharyngeal carcinoma](http://en.wikipedia.org/wiki/Nasopharyngeal_carcinoma)
    [Burkitt's lymphoma](http://en.wikipedia.org/wiki/Burkitt%27s_lymphoma)
    [Primary central nervous system lymphoma](http://en.wikipedia.org/wiki/Primary_central_nervous_system_lymphoma)
    _[MCPyV](http://en.wikipedia.org/wiki/Merkel_cell_polyomavirus)_

    [Merkel cell cancer](http://en.wikipedia.org/wiki/Merkel_cell_cancer)
    _[SV40](http://en.wikipedia.org/wiki/SV40)_

[RNA virus](http://en.wikipedia.org/wiki/RNA_virus)
    _[HCV](http://en.wikipedia.org/wiki/Hepatitis_C_virus)_

    [Hepatocellular carcinoma](http://en.wikipedia.org/wiki/Hepatocellular_carcinoma)
    _[HTLV-I](http://en.wikipedia.org/wiki/Human_T-lymphotropic_virus_1)_

    [Adult T-cell leukemia/lymphoma](http://en.wikipedia.org/wiki/Adult_T-cell_leukemia/lymphoma)

[Immune disorders](http://en.wikipedia.org/wiki/Immune_disorder)

  * _[HIV](http://en.wikipedia.org/wiki/HIV)_
    * [AIDS](http://en.wikipedia.org/wiki/AIDS)

[Central  
nervous system](http://en.wikipedia.org/wiki/Central_nervous_system_viral_disease)

[Encephalitis](http://en.wikipedia.org/wiki/Viral_encephalitis)/  
[meningitis](http://en.wikipedia.org/wiki/Viral_meningitis)

[DNA virus](http://en.wikipedia.org/wiki/DNA_virus)
    _[JCV](http://en.wikipedia.org/wiki/JC_virus)_

    [Progressive multifocal leukoencephalopathy](http://en.wikipedia.org/wiki/Progressive_multifocal_leukoencephalopathy)

[RNA virus](http://en.wikipedia.org/wiki/RNA_virus)
    _[MeV](http://en.wikipedia.org/wiki/Measles_virus)_

    [Subacute sclerosing panencephalitis](http://en.wikipedia.org/wiki/Subacute_sclerosing_panencephalitis)
    _[LCV](http://en.wikipedia.org/wiki/Lymphocytic_choriomeningitis_virus)_

    [Lymphocytic choriomeningitis](http://en.wikipedia.org/wiki/Lymphocytic_choriomeningitis)
    [Arbovirus encephalitis](http://en.wikipedia.org/wiki/Arbovirus_encephalitis)
    _[Orthomyxoviridae (probable)](http://en.wikipedia.org/wiki/Orthomyxoviridae)_

    [Encephalitis lethargica](http://en.wikipedia.org/wiki/Encephalitis_lethargica)
    _[RV](http://en.wikipedia.org/wiki/Rabies_virus)_

    [Rabies](http://en.wikipedia.org/wiki/Rabies)
    [Chandipura virus](http://en.wikipedia.org/wiki/Chandipura_virus)
    [Herpesviral meningitis](http://en.wikipedia.org/wiki/Herpesviral_meningitis)
    [Ramsay Hunt syndrome type II](http://en.wikipedia.org/wiki/Ramsay_Hunt_syndrome_type_II)

[Myelitis](http://en.wikipedia.org/wiki/Myelitis)

  * _[Poliovirus](http://en.wikipedia.org/wiki/Poliovirus)_
    * [Poliomyelitis](http://en.wikipedia.org/wiki/Poliomyelitis)
    * [Post-polio syndrome](http://en.wikipedia.org/wiki/Post-polio_syndrome)
  * _[HTLV-I](http://en.wikipedia.org/wiki/Human_T-lymphotropic_virus_1)_
    * [Tropical spastic paraparesis](http://en.wikipedia.org/wiki/Tropical_spastic_paraparesis)

[Eye](http://en.wikipedia.org/wiki/Viral_eye_infections)

  * _[Cytomegalovirus](http://en.wikipedia.org/wiki/Cytomegalovirus)_
    * [Cytomegalovirus retinitis](http://en.wikipedia.org/wiki/Cytomegalovirus_retinitis)
  * _[HSV](http://en.wikipedia.org/wiki/Herpes_simplex_virus)_
    * [Herpetic keratitis](http://en.wikipedia.org/wiki/Herpetic_keratitis)

[Cardiovascular](http://en.wikipedia.org/wiki/Cardiovascular_disease)

  * _[CBV](http://en.wikipedia.org/wiki/Coxsackie_B_virus)_
    * [Pericarditis](http://en.wikipedia.org/wiki/Pericarditis)
    * [Myocarditis](http://en.wikipedia.org/wiki/Myocarditis)

[Respiratory system](http://en.wikipedia.org/wiki/Respiratory_system)/  
[acute viral nasopharyngitis](http://en.wikipedia.org/wiki/Common_cold)/  
[viral pneumonia](http://en.wikipedia.org/wiki/Viral_pneumonia)

[DNA virus](http://en.wikipedia.org/wiki/DNA_virus)

  * _[Epstein-Barr virus](http://en.wikipedia.org/wiki/Epstein-Barr_virus)_
    * [EBV infection](http://en.wikipedia.org/wiki/Epstein-Barr_virus_infection)/[Infectious mononucleosis](http://en.wikipedia.org/wiki/Infectious_mononucleosis)
  * _[Cytomegalovirus](http://en.wikipedia.org/wiki/Cytomegalovirus)_

[RNA virus](http://en.wikipedia.org/wiki/RNA_virus)

  * [IV](http://en.wikipedia.org/wiki/Positive-sense_ssRNA_virus#Group_IV_-_positive-sense_ssRNA_viruses): _[SARS coronavirus](http://en.wikipedia.org/wiki/SARS_coronavirus)_
    * [Severe acute respiratory syndrome](http://en.wikipedia.org/wiki/Severe_acute_respiratory_syndrome)
  * [V](http://en.wikipedia.org/wiki/Positive-sense_ssRNA_virus#Group_V_-_negative-sense_ssRNA_viruses): _[Orthomyxoviridae](http://en.wikipedia.org/wiki/Orthomyxoviridae): [Influenzavirus A](http://en.wikipedia.org/wiki/Influenzavirus_A)/[B](http://en.wikipedia.org/wiki/Influenzavirus_B)/[C](http://en.wikipedia.org/wiki/Influenzavirus_C)_
    * [Influenza](http://en.wikipedia.org/wiki/Influenza)/[Avian influenza](http://en.wikipedia.org/wiki/Avian_influenza)
  * V, _[Paramyxovirus](http://en.wikipedia.org/wiki/Paramyxovirus): [Human parainfluenza viruses](http://en.wikipedia.org/wiki/Human_parainfluenza_viruses)_
    * [Parainfluenza](http://en.wikipedia.org/wiki/Parainfluenza)
  * _[RSV](http://en.wikipedia.org/wiki/Human_respiratory_syncytial_virus)_
  * _[hMPV](http://en.wikipedia.org/wiki/Metapneumovirus)_

[Digestive system](http://en.wikipedia.org/wiki/Digestive_system)

[Oropharynx](http://en.wikipedia.org/wiki/Oropharynx)/[Esophagus](http://en.wikipedia.org/wiki/Esophagus)

  * _[MuV](http://en.wikipedia.org/wiki/Mumps_virus)_
    * [Mumps](http://en.wikipedia.org/wiki/Mumps)
  * _[Cytomegalovirus](http://en.wikipedia.org/wiki/Cytomegalovirus)_
    * [Cytomegalovirus esophagitis](http://en.wikipedia.org/wiki/Cytomegalovirus_esophagitis)

[Gastroenteritis](http://en.wikipedia.org/wiki/Gastroenteritis#Viral)/  
[diarrhea](http://en.wikipedia.org/wiki/Infectious_diarrhea#Virus)

[DNA virus](http://en.wikipedia.org/wiki/DNA_virus)
    _[Adenovirus](http://en.wikipedia.org/wiki/Adenoviridae)_

    [Adenovirus infection](http://en.wikipedia.org/wiki/Adenovirus_infection)

[RNA virus](http://en.wikipedia.org/wiki/RNA_virus)
    _[Rotavirus](http://en.wikipedia.org/wiki/Rotavirus)_
    _[Norovirus](http://en.wikipedia.org/wiki/Norovirus)_
    _[Astrovirus](http://en.wikipedia.org/wiki/Astrovirus)_
    _[Coronavirus](http://en.wikipedia.org/wiki/Coronavirus)_

[Hepatitis](http://en.wikipedia.org/wiki/Viral_hepatitis)

[DNA virus](http://en.wikipedia.org/wiki/DNA_virus)
    _[HBV](http://en.wikipedia.org/wiki/Hepatitis_B_virus)_ ([B](http://en.wikipedia.org/wiki/Hepatitis_B))

[RNA virus](http://en.wikipedia.org/wiki/RNA_virus)
    _[CBV](http://en.wikipedia.org/wiki/Coxsackie_B_virus)_
    _[HAV](http://en.wikipedia.org/wiki/Hepatitis_A_virus)_ ([A](http://en.wikipedia.org/wiki/Hepatitis_A))
    _[HCV](http://en.wikipedia.org/wiki/Hepatitis_C_virus)_ ([C](http://en.wikipedia.org/wiki/Hepatitis_C))
    _[HDV](http://en.wikipedia.org/wiki/Hepatitis_D_virus)_ ([D](http://en.wikipedia.org/wiki/Hepatitis_D))
    _[HEV](http://en.wikipedia.org/wiki/Hepatitis_E_virus)_ ([E](http://en.wikipedia.org/wiki/Hepatitis_E))
    _[HGV](http://en.wikipedia.org/wiki/GB_virus_C)_ ([G](http://en.wikipedia.org/wiki/Hepatitis_G))

[Pancreatitis](http://en.wikipedia.org/wiki/Pancreatitis)

  * _[CBV](http://en.wikipedia.org/wiki/Coxsackie_B_virus)_

[Urogenital](http://en.wikipedia.org/wiki/Urogenital)

  * _[BK virus](http://en.wikipedia.org/wiki/BK_virus)_
  * _[MuV](http://en.wikipedia.org/wiki/Mumps_virus)_
    * [Mumps](http://en.wikipedia.org/wiki/Mumps)

[M](http://en.wikipedia.org/wiki/Template:Medicine_navs): [VIR](http://en.wikipedia.org/wiki/Viral_disease)

[virs](http://en.wikipedia.org/wiki/Template:Virus_topics)([prot](http://en.wikipedia.org/wiki/Template:Viral_proteins))/[clss](http://en.wikipedia.org/wiki/Template:Baltimore_classification)

[cutn](http://en.wikipedia.org/wiki/Template:Viral_cutaneous_conditions)/[syst](http://en.wikipedia.org/wiki/Template:Viral_systemic_diseases) ([hppv](http://en.wikipedia.org/wiki/Template:Human_papillomavirus)/[hiva](http://en.wikipedia.org/wiki/Template:HIV_and_AIDS), [infl](http://en.wikipedia.org/wiki/Template:Influenza)/[zost](http://en.wikipedia.org/wiki/Template:Varicella_zoster)/[zoon](http://en.wikipedia.org/wiki/Template:Zoonotic_viral_diseases))/[epon](http://en.wikipedia.org/wiki/Template:Eponymous_medical_signs_for_infectious_disease)

drug ([dnaa](http://en.wikipedia.org/wiki/Template:DNA_antivirals), [rnaa](http://en.wikipedia.org/wiki/Template:RNA_antivirals), [rtva](http://en.wikipedia.org/wiki/Template:Antiretroviral_drug), [vacc](http://en.wikipedia.org/wiki/Template:Vaccines))

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&oldid=593211787](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&oldid=593211787)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Animal virology](http://en.wikipedia.org/wiki/Category:Animal_virology)
  * [Alphacoronaviruses](http://en.wikipedia.org/wiki/Category:Alphacoronaviruses)

Hidden categories: 

  * [Wikipedia articles needing page number citations from September 2010](http://en.wikipedia.org/wiki/Category:Wikipedia_articles_needing_page_number_citations_from_September_2010)
  * [Articles with 'species' microformats](http://en.wikipedia.org/wiki/Category:Articles_with_%27species%27_microformats)
  * [Articles lacking in-text citations from June 2010](http://en.wikipedia.org/wiki/Category:Articles_lacking_in-text_citations_from_June_2010)
  * [All articles lacking in-text citations](http://en.wikipedia.org/wiki/Category:All_articles_lacking_in-text_citations)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Transmissible+gastroenteritis+coronavirus&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Transmissible+gastroenteritis+coronavirus)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Transmissible_gastroenteritis_coronavirus)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Transmissible_gastroenteritis_coronavirus)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Transmissible_gastroenteritis_coronavirus)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&oldid=593211787)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q7834605)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Transmissible_gastroenteritis_coronavirus&id=593211787)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Transmissible+gastroenteritis+coronavirus)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Transmissible+gastroenteritis+coronavirus&oldid=593211787&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Transmissible_gastroenteritis_coronavirus&printable=yes)

### Languages

    *     * [Edit links](http://www.wikidata.org/wiki/Q7834605#sitelinks-wikipedia)

    * This page was last modified on 31 January 2014 at 01:42.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Transmissible_gastroenteritis_coronavirus)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
