# Wess–Zumino–Witten model

From Wikipedia, the free encyclopedia

Jump to: [navigation](Special:Random.html#mw-navigation), [search](Special:Random.html#p-search)

Not to be confused with [Wess–Zumino model](http://en.wikipedia.org/wiki/Wess%E2%80%93Zumino_model).

In [theoretical physics](http://en.wikipedia.org/wiki/Theoretical_physics) and [mathematics](http://en.wikipedia.org/wiki/Mathematics), the **Wess–Zumino–Witten (WZW) model**, also called the **Wess–Zumino–Novikov–Witten model**, is a simple model of [conformal field theory](http://en.wikipedia.org/wiki/Conformal_field_theory) whose solutions are realized by [affine Kac–Moody algebras](http://en.wikipedia.org/wiki/Affine_Kac%E2%80%93Moody_algebra). It is named after [Julius Wess](http://en.wikipedia.org/wiki/Julius_Wess), [Bruno Zumino](http://en.wikipedia.org/wiki/Bruno_Zumino), [Sergei Novikov](http://en.wikipedia.org/wiki/Sergei_Novikov_\(mathematician\)) and [Edward Witten](http://en.wikipedia.org/wiki/Edward_Witten). [[1]](Special:Random.html#cite_note-1) [[2]](Special:Random.html#cite_note-2) [[3]](Special:Random.html#cite_note-3) [[4]](Special:Random.html#cite_note-4)

## Contents

  * [1 Action](Special:Random.html#Action)
    * [1.1 Pullback](Special:Random.html#Pullback)
    * [1.2 Topological obstructions](Special:Random.html#Topological_obstructions)
    * [1.3 Generalizations](Special:Random.html#Generalizations)
  * [2 Current algebra](Special:Random.html#Current_algebra)
    * [2.1 Coset Construction](Special:Random.html#Coset_Construction)
  * [3 References](Special:Random.html#References)

## Action[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=1)]

Let _G_ denote a [compact](http://en.wikipedia.org/wiki/Compact_space) [simply-connected](http://en.wikipedia.org/wiki/Simply-connected) [Lie group](http://en.wikipedia.org/wiki/Lie_group) and _g_ its [simple Lie algebra](http://en.wikipedia.org/wiki/Simple_Lie_algebra). Suppose that _γ_ is a _G_-valued field on the [complex plane](http://en.wikipedia.org/wiki/Complex_plane). More precisely, we want _γ_ to be defined on the [Riemann sphere](http://en.wikipedia.org/wiki/Riemann_sphere) _**S**_ ², which amounts to the complex plane [compactified](http://en.wikipedia.org/wiki/Compactification_\(mathematics\)) by adding a [point at infinity](http://en.wikipedia.org/wiki/Point_at_infinity).

The WZW model is then a [nonlinear sigma model](http://en.wikipedia.org/wiki/Nonlinear_sigma_model) defined by _γ_ with an [action](http://en.wikipedia.org/wiki/Action_\(physics\)) given by

    ![S_k\(\\gamma\)= - \\,  \\frac {k}{8\\pi} \\int_{S^2} d^2x\\, 
\\mathcal{K} \(\\gamma^{-1} \\partial^\\mu \\gamma \\,  , \\,   
\\gamma^{-1} \\partial_\\mu \\gamma\) + 2\\pi k\\, S^{\\mathrm WZ}\(\\gamma\).](../../upload.wikimedia.org/math/3/5/d/35d90bb8a53ae17e0ee74c5ca558e7fc.png)

Here, ∂_μ_ = ∂/∂_x__μ_ is the [partial derivative](http://en.wikipedia.org/wiki/Partial_derivative) and the usual [summation convention](http://en.wikipedia.org/wiki/Summation_convention) over indices is used, with a [Euclidean metric](http://en.wikipedia.org/wiki/Euclidean_metric). Here, ![\\mathcal{K}](../../upload.wikimedia.org/math/7/3/9/7390e01cdc92730be076d649e0ded7fd.png) is the [Killing form](http://en.wikipedia.org/wiki/Killing_form) on _g_, and thus the first term is the standard kinetic term of [quantum field theory](http://en.wikipedia.org/wiki/Quantum_field_theory).

The term _S_WZ is called the _Wess–Zumino term_ and can be written as

    ![S^{\\mathrm WZ}\(\\gamma\) = - \\, \\frac{1}{48\\pi^2} \\int_{B^3} d^3y\\, 
\\epsilon^{ijk} \\mathcal{K} \\left\( 
\\gamma^{-1} \\, \\frac {\\partial \\gamma} {\\partial y^i} \\, , \\, 
\\left\[
\\gamma^{-1} \\, \\frac {\\partial \\gamma} {\\partial y^j} \\, , \\,
\\gamma^{-1} \\, \\frac {\\partial \\gamma} {\\partial y^k}
\\right\]
\\right\)](../../upload.wikimedia.org/math/4/7/c/47c2d0a6f2b65a92a0a01539f1d54ab2.png)

where [,] is the [commutator](http://en.wikipedia.org/wiki/Commutator), _εijk_ is the [completely anti-symmetric tensor](http://en.wikipedia.org/wiki/Completely_anti-symmetric_tensor), and the integration coordinates _y__i_ for _i_=1,2,3 range over the [unit ball](http://en.wikipedia.org/wiki/Unit_ball) _**B**_ ³. In this integral, the field γ has been extended so that it is defined on the interior of the unit ball. This extension can always be done because the [homotopy group](http://en.wikipedia.org/wiki/Homotopy_group) π2 (_G_) always vanishes for any compact, simply-connected Lie group, and we originally defined _γ_ on the 2-sphere _**S**_ ² = ∂_**B**_ ³.

### Pullback[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=2)]

Note that if _e__a_ are the basis vectors for the [Lie algebra](http://en.wikipedia.org/wiki/Lie_algebra), then ![\\mathcal{K} \(e_a, \[e_b, e_c\]\)](../../upload.wikimedia.org/math/4/3/0/430333401040bbd7d60c4fed4872d232.png) are the [structure constants](http://en.wikipedia.org/wiki/Structure_constants) of the Lie algebra. Note also that the structure constants are completely anti-symmetric, and thus they define a [3-form](http://en.wikipedia.org/wiki/Alternating_form) on the [group manifold](http://en.wikipedia.org/wiki/Group_manifold) of _G_. Thus, the integrand above is just the [pullback](http://en.wikipedia.org/wiki/Pullback_\(differential_geometry\)) of the harmonic 3-form to the ball _**B**_ ³. Denoting the harmonic 3-form by _c_ and the pullback by _γ_*, one then has

    ![S^{\\mathrm WZ}\(\\gamma\) = \\int_{B^3} \\gamma^{*} c.](../../upload.wikimedia.org/math/e/2/c/e2c9a448e4849448d9af27c148a17066.png)

This form leads directly to a topological analysis of the WZ term.

Geometrically, this term describes the [torsion](http://en.wikipedia.org/wiki/Torsion_tensor) of the respective manifold.[[5]](Special:Random.html#cite_note-5) The presence of this torsion compels [teleparallelism](http://en.wikipedia.org/wiki/Teleparallelism) of the manifold, and thus trivialization of the torsionful [curvature tensor](http://en.wikipedia.org/wiki/Affine_connection); and hence arrest of the renormalization flow, an [infrared fixed point](http://en.wikipedia.org/wiki/Infrared_fixed_point) of the [renormalization group](http://en.wikipedia.org/wiki/Renormalization_group), a phenomenon termed **geometrostasis**.

### Topological obstructions[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=3)]

The extension of the field to the interior of the ball is not unique; the need that the physics be independent of the extension imposes a quanitization condition on the coupling constant _k_. Consider two different extensions of γ to the interior of the ball. They are maps from flat 3-space into the Lie group _G_. Consider now glueing these two balls together at their boundary _**S**_². The result of the gluing is a topological 3-sphere; each ball _**B**_³ is a hemisphere of _**S**_³. The two different extensions of _γ_ on each ball now becomes a map _**S**_³ → _G_. However, the homotopy group π3(_G_) = ℤ for any compact, connected simple Lie group _G_.

Thus, one has

    ![S^{\\mathrm WZ}\(\\gamma\) = S^{\\mathrm WZ}\(\\gamma'\)+n     ~,](../../upload.wikimedia.org/math/b/6/a/b6a190d2ebf0d17aeaedef4d1f5a83f5.png)

where _γ_ and _γ'_ denote the two different extensions onto the ball, and _n_, an integer, is the [winding number](http://en.wikipedia.org/wiki/Winding_number) of the glued-together map. The physics that this model leads to will stay the same if

    ![\\exp \\left\(i2\\pi k S^{\\mathrm WZ}\(\\gamma\) \\right\)=  \\exp \\left\( i2\\pi k S^{\\mathrm WZ}\(\\gamma'\)\\right\).](../../upload.wikimedia.org/math/0/c/4/0c498fe312a537db009b2f4dc46c3acc.png)

Thus, topological considerations lead one to conclude that coupling constant _k_ must be an integer when _G_ is a connected, compact, simple Lie group. For a semisimple or disconnected compact Lie group the level consists of an integer for each connected, simple component.

This topological obstruction can also be seen in the representation theory of the [affine Lie algebra](http://en.wikipedia.org/wiki/Affine_Lie_algebra) symmetry of the theory. When each level is a positive integer the affine Lie algebra has unitary highest weight [representations](http://en.wikipedia.org/wiki/Representation_theory) with highest [weights](http://en.wikipedia.org/wiki/Weight_\(representation_theory\)) that are dominant integral. Such representations are easier to work with as they decompose into finite-dimensional subalgebras with respect to the subalgebras spanned by each [simple root](http://en.wikipedia.org/wiki/Simple_root_\(root_system\)), the corresponding negative root and their commutator, which is a [Cartan generator](http://en.wikipedia.org/wiki/Cartan_matrix).

Often one is interested in a WZW model with a noncompact simple Lie group _G_, such as [SL(2,ℝ)](http://en.wikipedia.org/wiki/SL2\(R\)) which has been used by [Juan Maldacena](http://en.wikipedia.org/wiki/Juan_Maldacena) and [Hirosi Ooguri](http://en.wikipedia.org/wiki/Hirosi_Ooguri) to describe [string theory](http://en.wikipedia.org/wiki/String_theory) on a three-dimensional [anti-de Sitter space](http://en.wikipedia.org/wiki/Anti-de_Sitter_space),[[6]](Special:Random.html#cite_note-6) which is the [universal cover](http://en.wikipedia.org/wiki/Universal_cover) of the group SL(2,ℝ). In this case, as π3(SL(2, ℝ)) = 0, there is no topological obstruction and the level need not be integral. Correspondingly, the representation theory of such noncompact Lie groups is much richer than that of their compact counterparts.

### Generalizations[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=4)]

Although in the above, the WZW model is defined on the [Riemann sphere](http://en.wikipedia.org/wiki/Riemann_sphere), it can be generalized so that the field γ lives on a compact [Riemann surface](http://en.wikipedia.org/wiki/Riemann_surface).

## Current algebra[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=5)]

The [current algebra](http://en.wikipedia.org/wiki/Current_algebra) of the WZW model is a [Kac–Moody algebra](http://en.wikipedia.org/wiki/Kac%E2%80%93Moody_algebra). The stress energy tensor is given by the [Sugawara construction](http://en.wikipedia.org/wiki/Sugawara_theory).

### Coset Construction[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=6)]

Taking the quotient of two WZW models gives a new conformal field theory whose central charge is the difference of the two original ones.

## References[[edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit&section=7)]

  1. **[^](Special:Random.html#cite_ref-1)** Wess, J.; Zumino, B. (1971). "Consequences of anomalous ward identities". _Physics Letters B_ **37**: 95. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0370-2693(71)90582-X](http://dx.doi.org/10.1016%2F0370-2693%2871%2990582-X). 
  2. **[^](Special:Random.html#cite_ref-2)** Witten, E. (1983). "Global aspects of current algebra". _Nuclear Physics B_ **223** (2): 422–421. [Bibcode](http://en.wikipedia.org/wiki/Bibcode):[1983NuPhB.223..422W](http://adsabs.harvard.edu/abs/1983NuPhB.223..422W). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0550-3213(83)90063-9](http://dx.doi.org/10.1016%2F0550-3213%2883%2990063-9). 
  3. **[^](Special:Random.html#cite_ref-3)** Witten, E. (1984). "Non-abelian bosonization in two dimensions". _Communications in Mathematical Physics_ **92** (4): 455–472. [Bibcode](http://en.wikipedia.org/wiki/Bibcode):[1984CMaPh..92..455W](http://adsabs.harvard.edu/abs/1984CMaPh..92..455W). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1007/BF01215276](http://dx.doi.org/10.1007%2FBF01215276). 
  4. **[^](Special:Random.html#cite_ref-4)** Novikov, S.P. (1981). "Multivalued functions and functionals. An analogue of the Morse theory". _Sov. Math., Dokl._ **24**: 222–226. ; Novikov, S. P. (1982). "The Hamiltonian formalism and a many-valued analogue of Morse theory". _Russian Mathematical Surveys_ **37** (5): 1–9. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1070/RM1982v037n05ABEH004020](http://dx.doi.org/10.1070%2FRM1982v037n05ABEH004020). 
  5. **[^](Special:Random.html#cite_ref-5)** Braaten, E.; Curtright, T. L.; Zachos, C. K. (1985). "Torsion and geometrostasis in nonlinear sigma models". _Nuclear Physics B_ **260** (3–4): 630. [Bibcode](http://en.wikipedia.org/wiki/Bibcode):[1985NuPhB.260..630B](http://adsabs.harvard.edu/abs/1985NuPhB.260..630B). [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1016/0550-3213(85)90053-7](http://dx.doi.org/10.1016%2F0550-3213%2885%2990053-7). 
  6. **[^](Special:Random.html#cite_ref-6)** Maldacena, J.; Ooguri, H. (2001). "Strings in AdS3 and the SL(2,R) WZW model. I: The spectrum". _Journal of Mathematical Physics_ **42** (7): 2929. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1063/1.1377273](http://dx.doi.org/10.1063%2F1.1377273). 

  


  * [v](http://en.wikipedia.org/wiki/Template:Quantum_field_theories)
  * [t](http://en.wikipedia.org/wiki/Template_talk:Quantum_field_theories)
  * [e](http://en.wikipedia.org/w/index.php?title=Template:Quantum_field_theories&action=edit)

Quantum field theories

Standard

  * [Chern–Simons model](http://en.wikipedia.org/wiki/Chern%E2%80%93Simons_theory)
  * [Chiral model](http://en.wikipedia.org/wiki/Chiral_model)
  * [Kondo model](http://en.wikipedia.org/wiki/Kondo_effect)
  * [Conformal field theory](http://en.wikipedia.org/wiki/Conformal_field_theory)
  * [Noncommutative quantum field theory](http://en.wikipedia.org/wiki/Noncommutative_quantum_field_theory)
  * [Non-linear sigma model](http://en.wikipedia.org/wiki/Non-linear_sigma_model)
  * [Quartic interaction](http://en.wikipedia.org/wiki/Quartic_interaction)
  * [Quantum chromodynamics](http://en.wikipedia.org/wiki/Quantum_chromodynamics)
  * [Quantum electrodynamics](http://en.wikipedia.org/wiki/Quantum_electrodynamics)
  * [Quantum Yang–Mills theory](http://en.wikipedia.org/wiki/Quantum_gauge_theory)
  * [Schwinger model](http://en.wikipedia.org/wiki/Schwinger_model)
  * [Sine–Gordon](http://en.wikipedia.org/wiki/Sine%E2%80%93Gordon_equation)
  * [Standard Model](http://en.wikipedia.org/wiki/Standard_Model)
  * [String theory](http://en.wikipedia.org/wiki/String_theory)
  * [Toda field theory](http://en.wikipedia.org/wiki/Toda_field_theory)
  * [Topological quantum field theory](http://en.wikipedia.org/wiki/Topological_quantum_field_theory)
  * [Wess–Zumino model](http://en.wikipedia.org/wiki/Wess%E2%80%93Zumino_model)
  * **Wess–Zumino–Witten model**
  * [Yang–Mills theory](http://en.wikipedia.org/wiki/Yang%E2%80%93Mills_theory)
  * [Yang–Mills–Higgs model](http://en.wikipedia.org/wiki/Yang%E2%80%93Mills%E2%80%93Higgs_equations)
  * [Yukawa model](http://en.wikipedia.org/wiki/Yukawa_interaction)
  * [Thirring–Wess model](http://en.wikipedia.org/wiki/Thirring%E2%80%93Wess_model)

**[Four-fermion interactions](http://en.wikipedia.org/wiki/Four-fermion_interactions)**

  * [Thirring model](http://en.wikipedia.org/wiki/Thirring_model)
  * [Gross–Neveu model](http://en.wikipedia.org/wiki/Gross%E2%80%93Neveu_model)
  * [Nambu–Jona-Lasinio model](http://en.wikipedia.org/wiki/Nambu%E2%80%93Jona-Lasinio_model)

![](Special:CentralAutoLogin/start%3Ftype=1x1)

Retrieved from "[http://en.wikipedia.org/w/index.php?title=Wess–Zumino–Witten_model&oldid=599622826](http://en.wikipedia.org/w/index.php?title=Wess–Zumino–Witten_model&oldid=599622826)" 

[Categories](http://en.wikipedia.org/wiki/Help:Category): 

  * [Lie groups](http://en.wikipedia.org/wiki/Category:Lie_groups)
  * [Quantum field theory](http://en.wikipedia.org/wiki/Category:Quantum_field_theory)
  * [Conformal field theory](http://en.wikipedia.org/wiki/Category:Conformal_field_theory)
  * [Exactly solvable models](http://en.wikipedia.org/wiki/Category:Exactly_solvable_models)
  * [Mathematical physics](http://en.wikipedia.org/wiki/Category:Mathematical_physics)
  * [Theoretical physics](http://en.wikipedia.org/wiki/Category:Theoretical_physics)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Wess%E2%80%93Zumino%E2%80%93Witten+model&type=signup)
  * [Log in](http://en.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Wess%E2%80%93Zumino%E2%80%93Witten+model)

### Namespaces

  * [Article](Special:Random.html)
  * [Talk](http://en.wikipedia.org/wiki/Talk:Wess%E2%80%93Zumino%E2%80%93Witten_model)

### 

### Variants

### Views

  * [Read](Special:Random.html)
  * [Edit](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=edit)
  * [View history](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=history)

### Actions

### Search

### Navigation

  * [Main page](/wiki/Main_Page)
  * [Contents](/wiki/Portal:Contents)
  * [Featured content](/wiki/Portal:Featured_content)
  * [Current events](/wiki/Portal:Current_events)
  * [Random article](/wiki/Special:Random)
  * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
  * [Wikimedia Shop](//shop.wikimedia.org)

### Interaction

  * [Help](/wiki/Help:Contents)
  * [About Wikipedia](/wiki/Wikipedia:About)
  * [Community portal](/wiki/Wikipedia:Community_portal)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Contact page](//en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Wess%E2%80%93Zumino%E2%80%93Witten_model)
  * [Related changes](/wiki/Special:RecentChangesLinked/Wess%E2%80%93Zumino%E2%80%93Witten_model)
  * [Upload file](/wiki/Wikipedia:File_Upload_Wizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&oldid=599622826)
  * ### Navigation

    * [Main page](http://en.wikipedia.org/wiki/Main_Page)
    * [Contents](http://en.wikipedia.org/wiki/Portal:Contents)
    * [Featured content](http://en.wikipedia.org/wiki/Portal:Featured_content)
    * [Current events](http://en.wikipedia.org/wiki/Portal:Current_events)
    * [Random article](Special:Random.html)
    * [Donate to Wikipedia](https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en)
    * [Wikimedia Shop](http://shop.wikimedia.org/)

### Interaction

    * [Help](http://en.wikipedia.org/wiki/Help:Contents)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Community portal](http://en.wikipedia.org/wiki/Wikipedia:Community_portal)
    * [Recent changes](http://en.wikipedia.org/wiki/Special:RecentChanges)
    * [Contact page](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)

### Tools

    * [What links here](http://en.wikipedia.org/wiki/Special:WhatLinksHere/Wess%E2%80%93Zumino%E2%80%93Witten_model)
    * [Related changes](http://en.wikipedia.org/wiki/Special:RecentChangesLinked/Wess%E2%80%93Zumino%E2%80%93Witten_model)
    * [Upload file](http://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard)
    * [Special pages](http://en.wikipedia.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&oldid=599622826)
    * [Page information](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&action=info)
    * [Data item](http://www.wikidata.org/wiki/Q850946)
    * [Cite this page](http://en.wikipedia.org/w/index.php?title=Special:Cite&page=Wess%E2%80%93Zumino%E2%80%93Witten_model&id=599622826)

### Print/export

    * [Create a book](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Wess%E2%80%93Zumino%E2%80%93Witten+model)
    * [Download as PDF](http://en.wikipedia.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Wess%E2%80%93Zumino%E2%80%93Witten+model&oldid=599622826&writer=rl)
    * [Printable version](http://en.wikipedia.org/w/index.php?title=Wess%E2%80%93Zumino%E2%80%93Witten_model&printable=yes)

### Languages

    * [Français](http://fr.wikipedia.org/wiki/Mod%C3%A8le_de_Wess-Zumino-Novikov-Witten)
    * [한국어](http://ko.wikipedia.org/wiki/%EB%B2%A0%EC%8A%A4-%EC%B6%94%EB%AF%B8%EB%85%B8-%EC%9C%84%ED%8A%BC_%EB%AA%A8%ED%98%95)
    * [日本語](http://ja.wikipedia.org/wiki/WZW%E3%83%A2%E3%83%87%E3%83%AB)
    * [Português](http://pt.wikipedia.org/wiki/Teoria_WZW_bidimensional)
    * [中文](http://zh.wikipedia.org/wiki/Wess-Zumino-Witten%E6%A8%A1%E5%9E%8B)
    *     * [Edit links](http://www.wikidata.org/wiki/Q850946#sitelinks-wikipedia)

    * This page was last modified on 14 March 2014 at 19:26.  

    * Text is available under the [Creative Commons Attribution-ShareAlike License](http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy](http://wikimediafoundation.org/wiki/Privacy_policy). Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.](http://www.wikimediafoundation.org/), a non-profit organization.
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:About)
    * [Disclaimers](http://en.wikipedia.org/wiki/Wikipedia:General_disclaimer)
    * [Contact Wikipedia](http://en.wikipedia.org/wiki/Wikipedia:Contact_us)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikipedia.org/wiki/Wess%E2%80%93Zumino%E2%80%93Witten_model)
    * ![Wikimedia Foundation](../../bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](../../bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
