# Ada Programming/All Chapters

From Wikibooks, open books for an open world

< [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

Jump to: [navigation](All_Chapters.html#mw-navigation), [search](All_Chapters.html#p-search)

  


**Note:**  
At present there is an issue on how [transclusions](http://en.wikipedia.org/wiki/Transclusion) are processed, from [Template limits](http://en.wikipedia.org/wiki/Template_limits) there are several ways to address this limitation but there seems also to be some bugs pending resolution. As is it is impossible to guarantee that all the book's content is displayed in this page. See if you can work with the provided alternatives in the meanwhile or post a request for resolution on at the [Wikibooks:Reading room/Technical Assistance](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Technical_Assistance).

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=purge&printable=yes) this page.

* * *

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Ada_Lovelace_1838.jpg/270px-Ada_Lovelace_1838.jpg)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

[Augusta Ada King](http://en.wikipedia.org/wiki/Ada_Lovelace), Countess of Lovelace.

## Contents

  * [1 Preface](All_Chapters.html#Preface)
    * [1.1 About Ada](All_Chapters.html#About_Ada)
      * [1.1.1 Programming in the large](All_Chapters.html#Programming_in_the_large)
      * [1.1.2 Programming in the small](All_Chapters.html#Programming_in_the_small)
      * [1.1.3 The Language Reference Manual](All_Chapters.html#The_Language_Reference_Manual)
      * [1.1.4 Ada Conformity Assessment Test Suite](All_Chapters.html#Ada_Conformity_Assessment_Test_Suite)
    * [1.2 Programming in Ada](All_Chapters.html#Programming_in_Ada)
      * [1.2.1 Getting Started](All_Chapters.html#Getting_Started)
      * [1.2.2 Language Features](All_Chapters.html#Language_Features)
      * [1.2.3 Computer Programming](All_Chapters.html#Computer_Programming)
      * [1.2.4 Language Reference](All_Chapters.html#Language_Reference)
      * [1.2.5 Predefined Language Libraries](All_Chapters.html#Predefined_Language_Libraries)
      * [1.2.6 External Libraries](All_Chapters.html#External_Libraries)
    * [1.3 External resources](All_Chapters.html#External_resources)
    * [1.4 Collections](All_Chapters.html#Collections)
      * [1.4.1 Printable Versions](All_Chapters.html#Printable_Versions)
      * [1.4.2 Source Code](All_Chapters.html#Source_Code)
    * [1.5 References](All_Chapters.html#References)
    * [1.6 Further reading](All_Chapters.html#Further_reading)
      * [1.6.1 Ada 2005 textbooks](All_Chapters.html#Ada_2005_textbooks)
      * [1.6.2 Manuals and guides](All_Chapters.html#Manuals_and_guides)
      * [1.6.3 High-Integrity Software](All_Chapters.html#High-Integrity_Software)
    * [1.7 External links](All_Chapters.html#External_links)
      * [1.7.1 Resources](All_Chapters.html#Resources)
      * [1.7.2 Research and user groups](All_Chapters.html#Research_and_user_groups)
      * [1.7.3 Associations](All_Chapters.html#Associations)
      * [1.7.4 Free online books/courses](All_Chapters.html#Free_online_books.2Fcourses)
    * [1.8 Authors and contributors](All_Chapters.html#Authors_and_contributors)
  * [2 Basic Ada](All_Chapters.html#Basic_Ada)
    * [2.1 "Hello, world!" programs](All_Chapters.html#.22Hello.2C_world.21.22_programs)
      * [2.1.1 "Hello, world!"](All_Chapters.html#.22Hello.2C_world.21.22)
      * [2.1.2 "Hello, world!" with renames](All_Chapters.html#.22Hello.2C_world.21.22_with_renames)
      * [2.1.3 "Hello, world!" with use](All_Chapters.html#.22Hello.2C_world.21.22_with_use)
    * [2.2 Compiling the "Hello, world!" program](All_Chapters.html#Compiling_the_.22Hello.2C_world.21.22_program)
      * [2.2.1 FAQ: Why is "Hello, world!" so big?](All_Chapters.html#FAQ:_Why_is_.22Hello.2C_world.21.22_so_big.3F)
    * [2.3 Things to look out for](All_Chapters.html#Things_to_look_out_for)
      * [2.3.1 Comb Format](All_Chapters.html#Comb_Format)
      * [2.3.2 Type and subtype](All_Chapters.html#Type_and_subtype)
      * [2.3.3 Constrained types and unconstrained types](All_Chapters.html#Constrained_types_and_unconstrained_types)
      * [2.3.4 Dynamic types](All_Chapters.html#Dynamic_types)
      * [2.3.5 Separation of concerns](All_Chapters.html#Separation_of_concerns)
    * [2.4 Where to ask for help](All_Chapters.html#Where_to_ask_for_help)
    * [2.5 Notes](All_Chapters.html#Notes)
  * [3 Installing](All_Chapters.html#Installing)
    * [3.1 AdaMagic from SofCheck](All_Chapters.html#AdaMagic_from_SofCheck)
    * [3.2 AdaMULTI from Green Hills Software](All_Chapters.html#AdaMULTI_from_Green_Hills_Software)
    * [3.3 DEC Ada from HP](All_Chapters.html#DEC_Ada_from_HP)
    * [3.4 GNAT, the GNU Ada Compiler from AdaCore and the Free Software Foundation](All_Chapters.html#GNAT.2C_the_GNU_Ada_Compiler_from_AdaCore_and_the_Free_Software_Foundation)
      * [3.4.1 GNAT GPL Edition](All_Chapters.html#GNAT_GPL_Edition)
      * [3.4.2 GNAT Modified GPL releases](All_Chapters.html#GNAT_Modified_GPL_releases)
        * [3.4.2.1 GNAT 3.15p](All_Chapters.html#GNAT_3.15p)
        * [3.4.2.2 GNAT Pro](All_Chapters.html#GNAT_Pro)
        * [3.4.2.3 GCC](All_Chapters.html#GCC)
      * [3.4.3 The GNU Ada Project](All_Chapters.html#The_GNU_Ada_Project)
      * [3.4.4 A# (A-Sharp, a.k.a. Ada for .NET)](All_Chapters.html#A.23_.28A-Sharp.2C_a.k.a._Ada_for_.NET.29)
      * [3.4.5 GNAT for AVR microcontrollers](All_Chapters.html#GNAT_for_AVR_microcontrollers)
      * [3.4.6 GNAT for LEON](All_Chapters.html#GNAT_for_LEON)
      * [3.4.7 GNAT for Macintosh (Mac OS X)](All_Chapters.html#GNAT_for_Macintosh_.28Mac_OS_X.29)
      * [3.4.8 Prebuilt packages as part of larger distributions](All_Chapters.html#Prebuilt_packages_as_part_of_larger_distributions)
        * [3.4.8.1 AIDE (for Microsoft Windows)](All_Chapters.html#AIDE_.28for_Microsoft_Windows.29)
        * [3.4.8.2 Cygwin (for Microsoft Windows)](All_Chapters.html#Cygwin_.28for_Microsoft_Windows.29)
        * [3.4.8.3 Debian (GNU/Linux and GNU/kFreeBSD)](All_Chapters.html#Debian_.28GNU.2FLinux_and_GNU.2FkFreeBSD.29)
        * [3.4.8.4 DJGPP (for MS-DOS)](All_Chapters.html#DJGPP_.28for_MS-DOS.29)
        * [3.4.8.5 FreeBSD and DragonFly](All_Chapters.html#FreeBSD_and_DragonFly)
        * [3.4.8.6 Gentoo GNU/Linux](All_Chapters.html#Gentoo_GNU.2FLinux)
        * [3.4.8.7 Mandriva Linux](All_Chapters.html#Mandriva_Linux)
        * [3.4.8.8 MinGW (for Microsoft Windows)](All_Chapters.html#MinGW_.28for_Microsoft_Windows.29)
          * [3.4.8.8.1 old instructions](All_Chapters.html#old_instructions)
        * [3.4.8.9 OpenCSW (for Solaris on SPARC and x86)](All_Chapters.html#OpenCSW_.28for_Solaris_on_SPARC_and_x86.29)
        * [3.4.8.10 pkgsrc: NetBSD, DragonFly and Solaris](All_Chapters.html#pkgsrc:_NetBSD.2C_DragonFly_and_Solaris)
        * [3.4.8.11 SuSE Linux](All_Chapters.html#SuSE_Linux)
        * [3.4.8.12 Ubuntu](All_Chapters.html#Ubuntu)
    * [3.5 ICC from Irvine Compiler Corporation](All_Chapters.html#ICC_from_Irvine_Compiler_Corporation)
    * [3.6 Janus/Ada 83 and 95 from RR Software](All_Chapters.html#Janus.2FAda.C2.A083_and_95_from_RR_Software)
    * [3.7 MAXAda from Concurrent](All_Chapters.html#MAXAda_from_Concurrent)
    * [3.8 ObjectAda from Atego (formerly Aonix)](All_Chapters.html#ObjectAda_from_Atego_.28formerly_Aonix.29)
    * [3.9 PowerAda from OC Systems](All_Chapters.html#PowerAda_from_OC_Systems)
    * [3.10 Rational Apex from Atego (formerly IBM Rational[1])](All_Chapters.html#Rational_Apex_from_Atego_.28formerly_IBM_Rational.5B1.5D.29)
    * [3.11 SCORE from DDC-I](All_Chapters.html#SCORE_from_DDC-I)
    * [3.12 XD Ada from SWEP-EDS](All_Chapters.html#XD_Ada_from_SWEP-EDS)
    * [3.13 XGC Ada from XGC Software](All_Chapters.html#XGC_Ada_from_XGC_Software)
    * [3.14 References](All_Chapters.html#References_2)
  * [4 Building](All_Chapters.html#Building)
    * [4.1 Building with various compilers](All_Chapters.html#Building_with_various_compilers)
      * [4.1.1 GNAT](All_Chapters.html#GNAT)
        * [4.1.1.1 GNAT command line](All_Chapters.html#GNAT_command_line)
        * [4.1.1.2 GNAT IDE](All_Chapters.html#GNAT_IDE)
        * [4.1.1.3 GNAT with Xcode](All_Chapters.html#GNAT_with_Xcode)
      * [4.1.2 Rational APEX](All_Chapters.html#Rational_APEX)
      * [4.1.3 ObjectAda](All_Chapters.html#ObjectAda)
      * [4.1.4 DEC Ada for VMS](All_Chapters.html#DEC_Ada_for_VMS)
        * [4.1.4.1 DEC Ada IDE](All_Chapters.html#DEC_Ada_IDE)
    * [4.2 Compiling our Demo Source](All_Chapters.html#Compiling_our_Demo_Source)
      * [4.2.1 GNAT](All_Chapters.html#GNAT_2)
      * [4.2.2 Rational APEX](All_Chapters.html#Rational_APEX_2)
      * [4.2.3 ObjectAda](All_Chapters.html#ObjectAda_2)
        * [4.2.3.1 ObjectAda command-line](All_Chapters.html#ObjectAda_command-line)
    * [4.3 External links](All_Chapters.html#External_links_2)
  * [5 Control Statements](All_Chapters.html#Control_Statements)
    * [5.1 Conditionals](All_Chapters.html#Conditionals)
      * [5.1.1 _if_-_else_](All_Chapters.html#if-else)
      * [5.1.2 Optimizing hints](All_Chapters.html#Optimizing_hints)
      * [5.1.3 _case_](All_Chapters.html#case)
    * [5.2 Unconditionals](All_Chapters.html#Unconditionals)
      * [5.2.1 _return_](All_Chapters.html#return)
      * [5.2.2 _goto_](All_Chapters.html#goto)
        * [5.2.2.1 Isn't _goto_ evil?](All_Chapters.html#Isn.27t_goto_evil.3F)
    * [5.3 Loops](All_Chapters.html#Loops)
      * [5.3.1 Endless Loop](All_Chapters.html#Endless_Loop)
      * [5.3.2 Loop with condition at the beginning](All_Chapters.html#Loop_with_condition_at_the_beginning)
      * [5.3.3 Loop with condition at the end](All_Chapters.html#Loop_with_condition_at_the_end)
      * [5.3.4 Loop with condition in the middle](All_Chapters.html#Loop_with_condition_in_the_middle)
      * [5.3.5 _for_ loop](All_Chapters.html#for_loop)
        * [5.3.5.1 _for_ loop on arrays](All_Chapters.html#for_loop_on_arrays)
        * [5.3.5.2 Working Demo](All_Chapters.html#Working_Demo)
    * [5.4 See also](All_Chapters.html#See_also)
      * [5.4.1 Wikibook](All_Chapters.html#Wikibook)
      * [5.4.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual)
  * [6 Type System](All_Chapters.html#Type_System)
    * [6.1 Predefined types](All_Chapters.html#Predefined_types)
    * [6.2 The Type Hierarchy](All_Chapters.html#The_Type_Hierarchy)
      * [6.2.1 Classification of Types](All_Chapters.html#Classification_of_Types)
    * [6.3 Concurrency Types](All_Chapters.html#Concurrency_Types)
    * [6.4 Limited Types](All_Chapters.html#Limited_Types)
    * [6.5 Defining new types and subtypes](All_Chapters.html#Defining_new_types_and_subtypes)
      * [6.5.1 Creating subtypes](All_Chapters.html#Creating_subtypes)
      * [6.5.2 Derived types](All_Chapters.html#Derived_types)
    * [6.6 Subtype categories](All_Chapters.html#Subtype_categories)
      * [6.6.1 Anonymous subtype](All_Chapters.html#Anonymous_subtype)
      * [6.6.2 Base type](All_Chapters.html#Base_type)
      * [6.6.3 Constrained subtype](All_Chapters.html#Constrained_subtype)
      * [6.6.4 Definite subtype](All_Chapters.html#Definite_subtype)
      * [6.6.5 Indefinite subtype](All_Chapters.html#Indefinite_subtype)
      * [6.6.6 Named subtype](All_Chapters.html#Named_subtype)
      * [6.6.7 Unconstrained subtype](All_Chapters.html#Unconstrained_subtype)
      * [6.6.8 Incompatible subtypes](All_Chapters.html#Incompatible_subtypes)
    * [6.7 Qualified expressions](All_Chapters.html#Qualified_expressions)
    * [6.8 Type conversions](All_Chapters.html#Type_conversions)
      * [6.8.1 Explicit type conversion](All_Chapters.html#Explicit_type_conversion)
      * [6.8.2 Change of Representation](All_Chapters.html#Change_of_Representation)
      * [6.8.3 Checked conversion for non-numeric types](All_Chapters.html#Checked_conversion_for_non-numeric_types)
      * [6.8.4 View conversion, in object-oriented programming](All_Chapters.html#View_conversion.2C_in_object-oriented_programming)
        * [6.8.4.1 View renaming](All_Chapters.html#View_renaming)
      * [6.8.5 Address conversion](All_Chapters.html#Address_conversion)
      * [6.8.6 Unchecked conversion](All_Chapters.html#Unchecked_conversion)
      * [6.8.7 Overlays](All_Chapters.html#Overlays)
      * [6.8.8 Export / Import](All_Chapters.html#Export_.2F_Import)
    * [6.9 Elaborated Discussion of Types for Signed Integer Types](All_Chapters.html#Elaborated_Discussion_of_Types_for_Signed_Integer_Types)
    * [6.10 Relations between types](All_Chapters.html#Relations_between_types)
    * [6.11 See also](All_Chapters.html#See_also_2)
      * [6.11.1 Wikibook](All_Chapters.html#Wikibook_2)
      * [6.11.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_2)
  * [7 Integer types](All_Chapters.html#Integer_types)
    * [7.1 Working demo](All_Chapters.html#Working_demo_2)
    * [7.2 See also](All_Chapters.html#See_also_3)
      * [7.2.1 Wikibook](All_Chapters.html#Wikibook_3)
      * [7.2.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_3)
  * [8 Unsigned integer types](All_Chapters.html#Unsigned_integer_types)
    * [8.1 Description](All_Chapters.html#Description)
    * [8.2 Bitwise Operations](All_Chapters.html#Bitwise_Operations)
    * [8.3 See also](All_Chapters.html#See_also_4)
      * [8.3.1 Wikibook](All_Chapters.html#Wikibook_4)
      * [8.3.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_4)
  * [9 Enumerations](All_Chapters.html#Enumerations)
    * [9.1 Operators and attributes](All_Chapters.html#Operators_and_attributes)
    * [9.2 Enumeration literals](All_Chapters.html#Enumeration_literals)
      * [9.2.1 Characters as enumeration literals](All_Chapters.html#Characters_as_enumeration_literals)
      * [9.2.2 Booleans as enumeration literals](All_Chapters.html#Booleans_as_enumeration_literals)
    * [9.3 Enumeration subtypes](All_Chapters.html#Enumeration_subtypes)
    * [9.4 See also](All_Chapters.html#See_also_5)
      * [9.4.1 Wikibook](All_Chapters.html#Wikibook_5)
      * [9.4.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_5)
  * [10 Floating point types](All_Chapters.html#Floating_point_types)
    * [10.1 Description](All_Chapters.html#Description_2)
    * [10.2 See also](All_Chapters.html#See_also_6)
      * [10.2.1 Wikibook](All_Chapters.html#Wikibook_6)
      * [10.2.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_6)
  * [11 Fixed point types](All_Chapters.html#Fixed_point_types)
    * [11.1 Description](All_Chapters.html#Description_3)
    * [11.2 Ordinary Fixed Point](All_Chapters.html#Ordinary_Fixed_Point)
    * [11.3 Decimal Fixed Point](All_Chapters.html#Decimal_Fixed_Point)
    * [11.4 Differences between Ordinary and Decimal Fixed Point Types](All_Chapters.html#Differences_between_Ordinary_and_Decimal_Fixed_Point_Types)
    * [11.5 See also](All_Chapters.html#See_also_7)
      * [11.5.1 Wikibook](All_Chapters.html#Wikibook_7)
      * [11.5.2 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual)
      * [11.5.3 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual)
  * [12 Arrays](All_Chapters.html#Arrays)
    * [12.1 Declaring arrays](All_Chapters.html#Declaring_arrays)
      * [12.1.1 Basic syntax](All_Chapters.html#Basic_syntax)
      * [12.1.2 With known subrange](All_Chapters.html#With_known_subrange)
      * [12.1.3 With unknown subrange](All_Chapters.html#With_unknown_subrange)
      * [12.1.4 With aliased elements](All_Chapters.html#With_aliased_elements)
      * [12.1.5 Arrays with more than one dimension](All_Chapters.html#Arrays_with_more_than_one_dimension)
    * [12.2 Using arrays](All_Chapters.html#Using_arrays)
      * [12.2.1 Assignment](All_Chapters.html#Assignment)
      * [12.2.2 Concatenate](All_Chapters.html#Concatenate)
      * [12.2.3 Array Attributes](All_Chapters.html#Array_Attributes)
      * [12.2.4 Empty or Null Arrays](All_Chapters.html#Empty_or_Null_Arrays)
    * [12.3 See also](All_Chapters.html#See_also_8)
      * [12.3.1 Wikibook](All_Chapters.html#Wikibook_8)
      * [12.3.2 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_2)
      * [12.3.3 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_2)
      * [12.3.4 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide)
  * [13 Records](All_Chapters.html#Records)
    * [13.1 Basic record](All_Chapters.html#Basic_record)
    * [13.2 Null record](All_Chapters.html#Null_record)
    * [13.3 Record Values](All_Chapters.html#Record_Values)
    * [13.4 Discriminated record](All_Chapters.html#Discriminated_record)
    * [13.5 Variant record](All_Chapters.html#Variant_record)
      * [13.5.1 Mutable and immutable variant records](All_Chapters.html#Mutable_and_immutable_variant_records)
    * [13.6 Union](All_Chapters.html#Union)
    * [13.7 Tagged record](All_Chapters.html#Tagged_record)
    * [13.8 Abstract tagged record](All_Chapters.html#Abstract_tagged_record)
    * [13.9 With aliased elements](All_Chapters.html#With_aliased_elements_2)
    * [13.10 Limited Records](All_Chapters.html#Limited_Records)
    * [13.11 See also](All_Chapters.html#See_also_9)
      * [13.11.1 Wikibook](All_Chapters.html#Wikibook_9)
      * [13.11.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_7)
        * [13.11.2.1 Ada 95](All_Chapters.html#Ada_95)
        * [13.11.2.2 Ada 2005](All_Chapters.html#Ada_2005)
        * [13.11.2.3 Ada Issues](All_Chapters.html#Ada_Issues)
  * [14 Access types](All_Chapters.html#Access_types)
    * [14.1 What's an Access Type?](All_Chapters.html#What.27s_an_Access_Type.3F)
    * [14.2 Pool access](All_Chapters.html#Pool_access)
      * [14.2.1 Deleting objects from a storage pool](All_Chapters.html#Deleting_objects_from_a_storage_pool)
      * [14.2.2 Constructing Reference Counting Pointers](All_Chapters.html#Constructing_Reference_Counting_Pointers)
    * [14.3 General access](All_Chapters.html#General_access)
      * [14.3.1 Access to Variable](All_Chapters.html#Access_to_Variable)
      * [14.3.2 Access to Constant](All_Chapters.html#Access_to_Constant)
      * [14.3.3 Some examples](All_Chapters.html#Some_examples)
    * [14.4 Anonymous access](All_Chapters.html#Anonymous_access)
    * [14.5 Implicit Dereference](All_Chapters.html#Implicit_Dereference)
    * [14.6 Null exclusions](All_Chapters.html#Null_exclusions)
    * [14.7 Access to Subprogram](All_Chapters.html#Access_to_Subprogram)
      * [14.7.1 Anonymous access to Subprogram](All_Chapters.html#Anonymous_access_to_Subprogram)
    * [14.8 Access FAQ](All_Chapters.html#Access_FAQ)
      * [14.8.1 Access vs. access all](All_Chapters.html#Access_vs._access_all)
      * [14.8.2 Access vs. System.Address](All_Chapters.html#Access_vs._System.Address)
      * [14.8.3 C compatible pointer](All_Chapters.html#C_compatible_pointer)
      * [14.8.4 Where is void*?](All_Chapters.html#Where_is_void.2A.3F)
    * [14.9 Thin and Fat Access Types](All_Chapters.html#Thin_and_Fat_Access_Types)
      * [14.9.1 Thin Pointers](All_Chapters.html#Thin_Pointers)
      * [14.9.2 Fat Pointers](All_Chapters.html#Fat_Pointers)
      * [14.9.3 Example](All_Chapters.html#Example)
    * [14.10 See also](All_Chapters.html#See_also_10)
      * [14.10.1 Wikibook](All_Chapters.html#Wikibook_10)
      * [14.10.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_8)
        * [14.10.2.1 Ada 95](All_Chapters.html#Ada_95_2)
        * [14.10.2.2 Ada 2005](All_Chapters.html#Ada_2005_2)
      * [14.10.3 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_2)
  * [15 Limited types](All_Chapters.html#Limited_types_2)
    * [15.1 Limited Types](All_Chapters.html#Limited_Types_3)
    * [15.2 Initialising Limited Types](All_Chapters.html#Initialising_Limited_Types)
    * [15.3 See also](All_Chapters.html#See_also_11)
      * [15.3.1 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_3)
      * [15.3.2 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_3)
      * [15.3.3 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_3)
    * [15.4 References](All_Chapters.html#References_3)
  * [16 Strings](All_Chapters.html#Strings)
    * [16.1 Fixed-length string handling](All_Chapters.html#Fixed-length_string_handling)
    * [16.2 Bounded-length string handling](All_Chapters.html#Bounded-length_string_handling)
    * [16.3 Unbounded-length string handling](All_Chapters.html#Unbounded-length_string_handling)
    * [16.4 See also](All_Chapters.html#See_also_12)
      * [16.4.1 Wikibook](All_Chapters.html#Wikibook_11)
      * [16.4.2 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_4)
      * [16.4.3 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_4)
  * [17 Subprograms](All_Chapters.html#Subprograms)
    * [17.1 Procedures](All_Chapters.html#Procedures)
    * [17.2 Functions](All_Chapters.html#Functions)
    * [17.3 Named parameters](All_Chapters.html#Named_parameters)
    * [17.4 Default parameters](All_Chapters.html#Default_parameters)
    * [17.5 Renaming](All_Chapters.html#Renaming)
    * [17.6 See also](All_Chapters.html#See_also_13)
      * [17.6.1 Wikibook](All_Chapters.html#Wikibook_12)
      * [17.6.2 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_5)
      * [17.6.3 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_5)
      * [17.6.4 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_4)
  * [18 Packages](All_Chapters.html#Packages)
    * [18.1 Separate compilation](All_Chapters.html#Separate_compilation)
    * [18.2 Parts of a package](All_Chapters.html#Parts_of_a_package)
      * [18.2.1 The package specification — the visible part](All_Chapters.html#The_package_specification_.E2.80.94_the_visible_part)
      * [18.2.2 The private part](All_Chapters.html#The_private_part)
      * [18.2.3 The package body](All_Chapters.html#The_package_body)
      * [18.2.4 Two Flavors of Package](All_Chapters.html#Two_Flavors_of_Package)
    * [18.3 Using packages](All_Chapters.html#Using_packages)
      * [18.3.1 Standard with](All_Chapters.html#Standard_with)
      * [18.3.2 Private with](All_Chapters.html#Private_with)
      * [18.3.3 Limited with](All_Chapters.html#Limited_with)
      * [18.3.4 Making operators visible](All_Chapters.html#Making_operators_visible)
    * [18.4 Package organisation](All_Chapters.html#Package_organisation)
      * [18.4.1 Nested packages](All_Chapters.html#Nested_packages)
      * [18.4.2 Child packages](All_Chapters.html#Child_packages)
      * [18.4.3 Subunits](All_Chapters.html#Subunits)
    * [18.5 Notes](All_Chapters.html#Notes_2)
    * [18.6 See also](All_Chapters.html#See_also_14)
      * [18.6.1 Wikibook](All_Chapters.html#Wikibook_13)
      * [18.6.2 Wikipedia](All_Chapters.html#Wikipedia)
      * [18.6.3 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_6)
      * [18.6.4 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_6)
  * [19 Input Output](All_Chapters.html#Input_Output)
    * [19.1 Overview](All_Chapters.html#Overview)
    * [19.2 Text I/O](All_Chapters.html#Text_I.2FO)
    * [19.3 Direct I/O](All_Chapters.html#Direct_I.2FO)
    * [19.4 Sequential I/O](All_Chapters.html#Sequential_I.2FO)
    * [19.5 Stream I/O](All_Chapters.html#Stream_I.2FO)
    * [19.6 See also](All_Chapters.html#See_also_15)
      * [19.6.1 Wikibook](All_Chapters.html#Wikibook_14)
      * [19.6.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_9)
      * [19.6.3 Ada 95 Quality and Style Guide](All_Chapters.html#Ada_95_Quality_and_Style_Guide)
  * [20 Exceptions](All_Chapters.html#Exceptions)
    * [20.1 Robustness](All_Chapters.html#Robustness)
    * [20.2 Modules, preconditions and postconditions](All_Chapters.html#Modules.2C_preconditions_and_postconditions)
    * [20.3 Predefined exceptions](All_Chapters.html#Predefined_exceptions)
    * [20.4 Input-output exceptions](All_Chapters.html#Input-output_exceptions)
    * [20.5 Exception declarations](All_Chapters.html#Exception_declarations)
    * [20.6 Raising exceptions](All_Chapters.html#Raising_exceptions)
    * [20.7 Exception handling and propagation](All_Chapters.html#Exception_handling_and_propagation)
    * [20.8 Information about an exception occurrence](All_Chapters.html#Information_about_an_exception_occurrence)
    * [20.9 See also](All_Chapters.html#See_also_16)
      * [20.9.1 Wikibook](All_Chapters.html#Wikibook_15)
      * [20.9.2 Ada 95 Reference Manual](All_Chapters.html#Ada_95_Reference_Manual_7)
      * [20.9.3 Ada 2005 Reference Manual](All_Chapters.html#Ada_2005_Reference_Manual_7)
      * [20.9.4 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_5)
  * [21 Generics](All_Chapters.html#Generics)
    * [21.1 Parametric polymorphism (generic units)](All_Chapters.html#Parametric_polymorphism_.28generic_units.29)
    * [21.2 Generic parameters](All_Chapters.html#Generic_parameters)
      * [21.2.1 Generic formal objects](All_Chapters.html#Generic_formal_objects)
      * [21.2.2 Generic formal types](All_Chapters.html#Generic_formal_types)
      * [21.2.3 Generic formal subprograms](All_Chapters.html#Generic_formal_subprograms)
      * [21.2.4 Generic instances of other generic packages](All_Chapters.html#Generic_instances_of_other_generic_packages)
    * [21.3 Instantiating generics](All_Chapters.html#Instantiating_generics)
    * [21.4 Advanced generics](All_Chapters.html#Advanced_generics)
      * [21.4.1 Generics and nesting](All_Chapters.html#Generics_and_nesting)
      * [21.4.2 Generics and child units](All_Chapters.html#Generics_and_child_units)
    * [21.5 See also](All_Chapters.html#See_also_17)
      * [21.5.1 Wikibook](All_Chapters.html#Wikibook_16)
      * [21.5.2 Wikipedia](All_Chapters.html#Wikipedia_2)
      * [21.5.3 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_10)
  * [22 Tasking](All_Chapters.html#Tasking)
    * [22.1 Tasks](All_Chapters.html#Tasks)
      * [22.1.1 Rendezvous](All_Chapters.html#Rendezvous)
      * [22.1.2 Selective Wait](All_Chapters.html#Selective_Wait)
      * [22.1.3 Guards](All_Chapters.html#Guards)
    * [22.2 Protected types](All_Chapters.html#Protected_types)
    * [22.3 Entry families](All_Chapters.html#Entry_families)
    * [22.4 Termination](All_Chapters.html#Termination)
    * [22.5 Timeout](All_Chapters.html#Timeout)
    * [22.6 Conditional entry calls](All_Chapters.html#Conditional_entry_calls)
    * [22.7 Requeue statements](All_Chapters.html#Requeue_statements)
    * [22.8 Scheduling](All_Chapters.html#Scheduling)
    * [22.9 Interfaces](All_Chapters.html#Interfaces)
    * [22.10 See also](All_Chapters.html#See_also_18)
      * [22.10.1 Wikibook](All_Chapters.html#Wikibook_17)
      * [22.10.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_11)
        * [22.10.2.1 Ada 95](All_Chapters.html#Ada_95_3)
        * [22.10.2.2 Ada 2005](All_Chapters.html#Ada_2005_3)
    * [22.11 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_6)
  * [23 Object Orientation](All_Chapters.html#Object_Orientation)
    * [23.1 Object orientation in Ada](All_Chapters.html#Object_orientation_in_Ada)
      * [23.1.1 The simplest object: the Singleton](All_Chapters.html#The_simplest_object:_the_Singleton)
      * [23.1.2 Primitive operations](All_Chapters.html#Primitive_operations)
      * [23.1.3 Derived types](All_Chapters.html#Derived_types_2)
      * [23.1.4 Type extensions](All_Chapters.html#Type_extensions)
      * [23.1.5 Overriding](All_Chapters.html#Overriding)
      * [23.1.6 Polymorphism, class-wide programming and dynamic dispatching](All_Chapters.html#Polymorphism.2C_class-wide_programming_and_dynamic_dispatching)
        * [23.1.6.1 Advanced topic: How dynamic dispatching works](All_Chapters.html#Advanced_topic:_How_dynamic_dispatching_works)
        * [23.1.6.2 Redispatching](All_Chapters.html#Redispatching)
        * [23.1.6.3 Run-time type identification](All_Chapters.html#Run-time_type_identification)
      * [23.1.7 Creating Objects](All_Chapters.html#Creating_Objects)
      * [23.1.8 More details on primitive operations](All_Chapters.html#More_details_on_primitive_operations)
        * [23.1.8.1 Advanced topic: Freezing rules](All_Chapters.html#Advanced_topic:_Freezing_rules)
      * [23.1.9 New features of Ada 2005](All_Chapters.html#New_features_of_Ada_2005)
        * [23.1.9.1 Overriding indicators](All_Chapters.html#Overriding_indicators)
        * [23.1.9.2 Object.Method notation](All_Chapters.html#Object.Method_notation)
      * [23.1.10 Abstract types](All_Chapters.html#Abstract_types)
      * [23.1.11 Multiple Inheritance via Interfaces](All_Chapters.html#Multiple_Inheritance_via_Interfaces)
      * [23.1.12 Multiple Inheritance via Mix-in](All_Chapters.html#Multiple_Inheritance_via_Mix-in)
    * [23.2 Class names](All_Chapters.html#Class_names)
      * [23.2.1 Classes/Class](All_Chapters.html#Classes.2FClass)
      * [23.2.2 Class/Object](All_Chapters.html#Class.2FObject)
      * [23.2.3 Class/Class_Type](All_Chapters.html#Class.2FClass_Type)
    * [23.3 Object-Oriented Ada for C++ programmers](All_Chapters.html#Object-Oriented_Ada_for_C.2B.2B_programmers)
      * [23.3.1 Static dispatching](All_Chapters.html#Static_dispatching)
      * [23.3.2 Dynamic dispatching](All_Chapters.html#Dynamic_dispatching)
      * [23.3.3 Class-wide and specific types](All_Chapters.html#Class-wide_and_specific_types)
      * [23.3.4 Constructors](All_Chapters.html#Constructors)
      * [23.3.5 Destructors](All_Chapters.html#Destructors)
      * [23.3.6 Encapsulation: public, private and protected members](All_Chapters.html#Encapsulation:_public.2C_private_and_protected_members)
      * [23.3.7 De-encapsulation: friends and stream input-output](All_Chapters.html#De-encapsulation:_friends_and_stream_input-output)
      * [23.3.8 Terminology](All_Chapters.html#Terminology)
    * [23.4 See also](All_Chapters.html#See_also_19)
      * [23.4.1 Wikibook](All_Chapters.html#Wikibook_18)
      * [23.4.2 Wikipedia](All_Chapters.html#Wikipedia_3)
      * [23.4.3 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_12)
        * [23.4.3.1 Ada 95](All_Chapters.html#Ada_95_4)
        * [23.4.3.2 Ada 2005](All_Chapters.html#Ada_2005_4)
      * [23.4.4 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_7)
  * [24 New in Ada 2005](All_Chapters.html#New_in_Ada_2005)
    * [24.1 Language features](All_Chapters.html#Language_features_2)
      * [24.1.1 Character set](All_Chapters.html#Character_set)
      * [24.1.2 Interfaces](All_Chapters.html#Interfaces_2)
      * [24.1.3 Union](All_Chapters.html#Union_2)
      * [24.1.4 With](All_Chapters.html#With)
      * [24.1.5 Access types](All_Chapters.html#Access_types_2)
        * [24.1.5.1 Not null access](All_Chapters.html#Not_null_access)
        * [24.1.5.2 Anonymous access](All_Chapters.html#Anonymous_access_2)
    * [24.2 Language library](All_Chapters.html#Language_library)
      * [24.2.1 Containers](All_Chapters.html#Containers)
      * [24.2.2 Scan Filesystem Directories and Environment Variables](All_Chapters.html#Scan_Filesystem_Directories_and_Environment_Variables)
      * [24.2.3 Numerics](All_Chapters.html#Numerics)
    * [24.3 Real-Time and High Integrity Systems](All_Chapters.html#Real-Time_and_High_Integrity_Systems)
      * [24.3.1 Ravenscar profile](All_Chapters.html#Ravenscar_profile)
      * [24.3.2 New scheduling policies](All_Chapters.html#New_scheduling_policies)
      * [24.3.3 Dynamic priorities for protected objects](All_Chapters.html#Dynamic_priorities_for_protected_objects)
    * [24.4 Summary of what's new](All_Chapters.html#Summary_of_what.27s_new)
      * [24.4.1 New keywords](All_Chapters.html#New_keywords)
      * [24.4.2 New pragmas](All_Chapters.html#New_pragmas)
      * [24.4.3 New attributes](All_Chapters.html#New_attributes)
      * [24.4.4 New packages](All_Chapters.html#New_packages)
    * [24.5 See also](All_Chapters.html#See_also_20)
      * [24.5.1 Wikibook](All_Chapters.html#Wikibook_19)
      * [24.5.2 Pages in the category Ada 2005](All_Chapters.html#Pages_in_the_category_Ada_2005)
    * [24.6 External links](All_Chapters.html#External_links_3)
      * [24.6.1 Papers and presentations](All_Chapters.html#Papers_and_presentations)
      * [24.6.2 Rationale](All_Chapters.html#Rationale)
      * [24.6.3 Language Requirements](All_Chapters.html#Language_Requirements)
      * [24.6.4 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_13)
      * [24.6.5 Ada Issues](All_Chapters.html#Ada_Issues_2)
  * [25 Containers](All_Chapters.html#Containers_2)
  * [26 Interfacing](All_Chapters.html#Interfacing)
    * [26.1 Interfacing](All_Chapters.html#Interfacing_2)
    * [26.2 Other programming languages](All_Chapters.html#Other_programming_languages)
    * [26.3 Hardware devices](All_Chapters.html#Hardware_devices)
    * [26.4 See also](All_Chapters.html#See_also_21)
      * [26.4.1 Wikibook](All_Chapters.html#Wikibook_20)
      * [26.4.2 Ada Reference Manual](All_Chapters.html#Ada_Reference_Manual_14)
      * [26.4.3 Ada 95 Rationale](All_Chapters.html#Ada_95_Rationale)
      * [26.4.4 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_8)
  * [27 Coding Standards](All_Chapters.html#Coding_Standards)
    * [27.1 Introduction](All_Chapters.html#Introduction)
    * [27.2 Tools](All_Chapters.html#Tools)
    * [27.3 Coding guidelines](All_Chapters.html#Coding_guidelines)
    * [27.4 See also](All_Chapters.html#See_also_22)
      * [27.4.1 Other wikibooks](All_Chapters.html#Other_wikibooks)
      * [27.4.2 Wikibook](All_Chapters.html#Wikibook_21)
      * [27.4.3 Ada Quality and Style Guide](All_Chapters.html#Ada_Quality_and_Style_Guide_9)
    * [27.5 External links](All_Chapters.html#External_links_4)
  * [28 Tips](All_Chapters.html#Tips)
  * [29 Common Errors](All_Chapters.html#Common_Errors)
  * [30 Algorithms](All_Chapters.html#Algorithms)
  * [31 Function overloading](All_Chapters.html#Function_overloading)
  * [32 Mathematical calculations](All_Chapters.html#Mathematical_calculations)
  * [33 Statements](All_Chapters.html#Statements)
  * [34 Variables](All_Chapters.html#Variables)
  * [35 Lexical elements](All_Chapters.html#Lexical_elements)
  * [36 Keywords](All_Chapters.html#Keywords)
  * [37 Delimiters](All_Chapters.html#Delimiters)
  * [38 Operators](All_Chapters.html#Operators)
  * [39 Attributes](All_Chapters.html#Attributes)
  * [40 Pragmas](All_Chapters.html#Pragmas)
  * [41 Libraries](All_Chapters.html#Libraries)
  * [42 Libraries: Standard](All_Chapters.html#Libraries:_Standard)
  * [43 Libraries: Ada](All_Chapters.html#Libraries:_Ada)
  * [44 Libraries: Interfaces](All_Chapters.html#Libraries:_Interfaces)
  * [45 Libraries: System](All_Chapters.html#Libraries:_System)
  * [46 Libraries: GNAT](All_Chapters.html#Libraries:_GNAT)
  * [47 Libraries: Multi-Purpose](All_Chapters.html#Libraries:_Multi-Purpose)
  * [48 Libraries: Container](All_Chapters.html#Libraries:_Container)
  * [49 Libraries: GUI](All_Chapters.html#Libraries:_GUI)
  * [50 Libraries: Distributed Systems](All_Chapters.html#Libraries:_Distributed_Systems)
  * [51 Libraries: Databases](All_Chapters.html#Libraries:_Databases)
  * [52 Libraries: Web](All_Chapters.html#Libraries:_Web)
  * [53 Libraries: Input Output](All_Chapters.html#Libraries:_Input_Output)
  * [54 Platform Support](All_Chapters.html#Platform_Support)
  * [55 Platform: Linux](All_Chapters.html#Platform:_Linux)
  * [56 Platform: Windows](All_Chapters.html#Platform:_Windows)
  * [57 Platform: Virtual Machines](All_Chapters.html#Platform:_Virtual_Machines)
  * [58 Portals](All_Chapters.html#Portals)
  * [59 Tutorials](All_Chapters.html#Tutorials)
  * [60 Web 2.0](All_Chapters.html#Web_2.0)

# Preface

![Featured book en.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Featured_book_en.svg/50px-Featured_book_en.svg.png)

_Ada Programming_ is a [featured book](http://en.wikibooks.org/wiki/Wikibooks:Featured_books) on Wikibooks because it contains substantial content, it is well-formatted, and the Wikibooks community has decided to feature it on the [main page](http://en.wikibooks.org/wiki/Main_Page) or in other places. Please continue to improve it and thanks for the great work so far! A {{[Goodbook](http://en.wikibooks.org/wiki/Template:Goodbook)}} template should be created to [advertise it](http://en.wikibooks.org/w/index.php?title=Template:Goodbook/Ada_Programming/All_Chapters&action=edit&preload=Template:Goodbook/Blank&editintro=Template:Goodbook/Editintro).

![Loupe light.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0c/Loupe_light.svg/50px-Loupe_light.svg.png)

  


Welcome to the **Ada Programming** tutorial at Wikibooks. This is the first [Ada tutorial](http://en.wikibooks.org/wiki/Ada_Programming/Tutorials) covering the [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005) and [2012](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2012) standards. If you are a beginner you will learn the latest standard — if you are a seasoned Ada user you can see what's new.

Current Development Stage for **Ada Programming** is "![75% developed  as of Feb 26, 2012](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png) (Feb 26, 2012)". At this date, there are more than 200 pages in this book, which makes **Ada Programming** one of the largest [programming](http://en.wikibooks.org/wiki/Computer_programming) wikibooks[[1]](All_Chapters.html#cite_note-1)

But still there is always room for improvement — do help us to expand **Ada Programming**. Even beginners will find areas to participate.

## About Ada

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Ada (programming language)**_](http://en.wikipedia.org/wiki/Ada_\(programming_language\))

Ada is a programming language suitable for all development needs. It has built-in features that directly support [structured](http://en.wikipedia.org/wiki/Structured_programming), [object-oriented](http://en.wikipedia.org/wiki/Object-oriented_programming), [generic](http://en.wikipedia.org/wiki/Generic_programming), [distributed](http://en.wikipedia.org/wiki/Distributed_computing) and [concurrent](http://en.wikipedia.org/wiki/Concurrent_computing) programming.

Ada is a good choice for [Rapid Application Development](http://en.wikipedia.org/wiki/Rapid_application_development), [Extreme Programming (XP)](http://en.wikipedia.org/wiki/Extreme_Programming), and [Free Software](http://en.wikipedia.org/wiki/Free_Software) development.

Ada is named after [Augusta Ada King](http://en.wikipedia.org/wiki/Ada_Lovelace), Countess of Lovelace.

### Programming in the large

Ada puts unique emphasis on, and provides strong support for, good [software engineering](http://en.wikipedia.org/wiki/Software_Engineering) practices that scale well to very large software systems (millions of lines of code, and very large development teams). The following language features are particularly relevant in this respect:

  * An extremely strong, static and safe **[type system](http://en.wikipedia.org/wiki/Type_system)**, which allows the programmer to construct powerful abstractions that reflect the real world, and allows the compiler to detect many logic faults before they become errors.
  * **[Modularity](http://en.wikipedia.org/wiki/Modularity_\(programming\))**, whereby the compiler directly manages the construction of very large software systems from sources.
  * **[Information hiding](http://en.wikipedia.org/wiki/Information_hiding)**; the language separates interfaces from implementation, and provides fine-grained control over visibility.
  * **Readability**, which helps programmers review and verify code. Ada favours the reader of the program over the writer, because a program is written once but read many times. For example, the syntax bans all ambiguous constructs, so there are no surprises, in accordance with the Tao of Programming's [Law of Least Astonishment](http://en.wikipedia.org/wiki/Principle_of_least_astonishment). (Some Ada programmers are reluctant to talk about _source code_ which is often cryptic; they prefer _program text_ which is close to English prose.)
  * **[Portability](http://en.wikipedia.org/wiki/Write_once,_compile_anywhere)**: the language definition allows compilers to differ only in a few controlled ways, and otherwise defines the semantics of programs very precisely; as a result, Ada source text is very portable across compilers and across target hardware platforms. Most often, the program can be recompiled without any changes.[[2]](All_Chapters.html#cite_note-2)
  * **Standardisation**: standards have been a goal and a prominent feature ever since the design of the language in the late 1970s. The first standard was published in 1980, just 3 years after design commenced. Ada compilers all support exactly the same language; the only dialect, [SPARK](http://en.wikipedia.org/wiki/SPARK), is merely an annotated subset and can be compiled with an Ada compiler.

Consequences of these qualities are superior **reliability**, **reusability** and **maintainability**. For example, compared to programs written in [C](http://en.wikibooks.org/wiki/Programming:C), programs written in Ada 83 contain _"70% fewer internal fixes and 90% fewer bugs"_, and cost half as much to develop in the first place[[3]](All_Chapters.html#cite_note-3) Ada shines even more in software maintenance, which often accounts for about 80% of the total cost of development. With support for object-oriented programming, Ada 95 may bring even more cost benefit, depending on how objects are used; although no serious study comparable to Zeigler's has been published.

### Programming in the small

In addition to its support for good software engineering practices, which are applicable to general-purpose programming, Ada has powerful specialised features supporting **low-level programming** for real-time, safety-critical and [embedded](http://en.wikipedia.org/wiki/Embedded_system) systems. Such features include, among others, machine code insertions, address arithmetic, low-level access to memory, control over bitwise representation of data, bit manipulations, and a well-defined, statically provable concurrent computing model called the [Ravenscar Profile](http://en.wikipedia.org/wiki/Ravenscar_profile).

Other features include restrictions (it is possible to restrict which language features are accepted in a program) and features that help review and certify the object code generated by the compiler.

Several vendors provide Ada compilers accompanied by minimal run-time kernels suitable for use in certified, life-critical applications. It is also possible to write Ada programs which require no run-time kernel at all.

It should come as no surprise that Ada is heavily used in the aerospace, defence, medical, railroad, and nuclear industries.

### The Language Reference Manual

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[ISO 8652**_](http://en.wikipedia.org/wiki/ISO_8652)

The Ada Reference Manual (RM) is the official language definition. If you have a problem and no one else can help, you should read the RM (albeit often a bit cryptic for non-language-lawyers). For this reason, all complete (not draft) pages in **Ada Programming** contain links into the appropriate pages in the RM.

This tutorial covers _[Ada Reference Manual — ISO/IEC 8652:2012(E) Language and Standard Libraries](http://en.wikipedia.org/wiki/ISO_8652)_, colloquially known as _Ada 2012_ or just _Ada_.

You can browse the complete Reference Manual at <http://www.adaic.org/resources/add_content/standards/12rm/html/RM-TTL.html>

There are two companion documents:

  * The [Annotated Reference Manual](http://www.adaic.org/resources/add_content/standards/12aarm/html/AA-TTL.html), an extended version of the RM aimed at compiler writers or other persons who want to know the fine details of the language.
  * The [Rationale for Ada 2012](http://www.ada-auth.org/standards/rationale12.html), an explanation of the features of the language.

The [Ada Information Clearinghouse](http://www.adaic.com/standards) also offers the older Ada 83, 95, and 2005 standards and companion documents.

The RM is a collective work under the control of Ada users. If you think you've found a problem in the RM, please report it to the [Ada Conformity Assessment Authority](http://www.ada-auth.org). On this site, you can also see the list of "Ada Issues" raised by other people.

### Ada Conformity Assessment Test Suite

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[ISO 18009**_](http://en.wikipedia.org/wiki/ISO_18009)

Unlike other programming languages, Ada compilers are officially tested, and only those which pass this test are accepted, for military and commercial work. This means that all Ada compilers behave (almost) the same, so you do not have to learn any dialects. But because the Ada standard allows the compiler writers to include some additions, you could learn a cool new feature only to find out that your favourite compiler does not support it...

## Programming in Ada

Reading a document online is often quite cumbersome. So if you just started you can also download [All Chapters](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/All_Chapters&action=edit&redlink=1) ([PDF version](http://upload.wikimedia.org/wikipedia/commons/8/8d/Ada_Programming.pdf)) ![50% developed  as of Sep 23, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/50_percents.svg/9px-50_percents.svg.png) and print them out.

### Getting Started

Where to get a compiler, how to compile the source, all answered here:

  * [Basic Ada](http://en.wikibooks.org/wiki/Ada_Programming/Basic) — **Read Me First!** ![100% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Finding and Installing Ada](http://en.wikibooks.org/wiki/Ada_Programming/Installing) ![100% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Building an Ada program](http://en.wikibooks.org/wiki/Ada_Programming/Building) ![100% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Ada Development Environment](http://en.wikibooks.org/wiki/Ada_Programming/Environment) ![0% developed  as of Jul 3, 2012](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d6/00%25.svg/9px-00%25.svg.png)

### Language Features

These chapters look at the broader picture, introducing you to the main Ada features in a tutorial style.

  * [Expressions](http://en.wikibooks.org/wiki/Ada_Programming/Expressions) ![25% developed  as of Jan 6, 2013](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Control Structures](http://en.wikibooks.org/wiki/Ada_Programming/Control) ![100% developed  as of Dec 14, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Type System](http://en.wikibooks.org/wiki/Ada_Programming/Type_System) ![75% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Strings](http://en.wikibooks.org/wiki/Ada_Programming/Strings) ![75% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Subprograms](http://en.wikibooks.org/wiki/Ada_Programming/Subprograms) ![75% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Packages](http://en.wikibooks.org/wiki/Ada_Programming/Packages) ![75% developed  as of Jun 2, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Input Output](http://en.wikibooks.org/wiki/Ada_Programming/Input_Output) ![50% developed  as of Jun 2, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/50_percents.svg/9px-50_percents.svg.png)
  * [Exceptions](http://en.wikibooks.org/wiki/Ada_Programming/Exceptions) ![100% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Generics](http://en.wikibooks.org/wiki/Ada_Programming/Generics) ![100% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Tasking](http://en.wikibooks.org/wiki/Ada_Programming/Tasking) ![75% developed  as of Jun 2, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Object Orientation](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation) ![100% developed  as of Jun 22, 2010](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Memory Management (Access Types)](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) ![100% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [New in Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005) ![100% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [New in Ada 2012](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2012) ![25% developed  as of Feb 26, 2012](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Containers](http://en.wikibooks.org/wiki/Ada_Programming/Containers) ![50% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/50_percents.svg/9px-50_percents.svg.png)
  * [Interfacing to other Languages](http://en.wikibooks.org/wiki/Ada_Programming/Interfacing) ![25% developed  as of Nov 24, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Coding Standards](http://en.wikibooks.org/wiki/Ada_Programming/Coding_standards) ![25% developed  as of Nov 24, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Ada Programming Tips](http://en.wikibooks.org/wiki/Ada_Programming/Tips) ![25% developed  as of Jan 5, 2006](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Common Programming Errors](http://en.wikibooks.org/wiki/Ada_Programming/Errors) ![25% developed  as of Jun 1, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

### Computer Programming

The following articles are Ada adaptations from articles of the [Computer programming](http://en.wikibooks.org/wiki/Computer_programming) book. The texts of these articles are language neutral but the examples are all Ada.

  * [Algorithms](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Algorithms&action=edit&redlink=1)
    * [Chapter 1](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Algorithms/Chapter_1&action=edit&redlink=1)
    * [Chapter 6](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Algorithms/Chapter_6&action=edit&redlink=1)
    * [Knuth-Morris-Pratt pattern matcher](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Algorithms/Knuth-Morris-Pratt_pattern_matcher&action=edit&redlink=1)
    * [Binary search](http://en.wikibooks.org/wiki/Algorithm_implementation/Search/Binary_search#Ada)
  * [Error handling](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Error_handling&action=edit&redlink=1)
  * [Function overloading](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Function_overloading&action=edit&redlink=1)
  * [Mathematical calculations](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Mathematical_calculations&action=edit&redlink=1)
  * [Statements](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Statements&action=edit&redlink=1)
    * [Control](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Control&action=edit&redlink=1)
  * [Variables](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/Variables&action=edit&redlink=1)

### Language Reference

Within the following chapters we look at foundations of Ada. These chapters may be used for reference of a particular keyword, delimiter, operator and so forth.

  * [Lexical elements](http://en.wikibooks.org/wiki/Ada_Programming/Lexical_elements) ![100% developed  as of Dec 14, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
    * [Keywords](http://en.wikibooks.org/wiki/Ada_Programming/Keywords) ![75% developed  as of Jan 6, 2008](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
    * [Delimiters](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters) ![75% developed  as of Jan 10, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/75_percent.svg/9px-75_percent.svg.png)
  * [Operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators) ![100% developed  as of Jan 10, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/100_percents.svg/9px-100_percents.svg.png)
  * [Attributes](http://en.wikibooks.org/wiki/Ada_Programming/Attributes) ![50% developed  as of Jan 2, 2009](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/50_percents.svg/9px-50_percents.svg.png)
  * [Aspects](http://en.wikibooks.org/wiki/Ada_Programming/Aspects) ![25% developed  as of Feb 26, 2012](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Pragmas](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas) ![25% developed  as of Jan 10, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
    * [Restrictions](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Restrictions) ![25% developed  as of Feb 26, 2012](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

### Predefined Language Libraries

This section is a reference of the Ada Standard Library, which is extensive and well structured. It has these four root packages:

  * [Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard) ![25% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada) ![25% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [Interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Interfaces) ![25% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)
  * [System](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/System) ![25% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

Besides the Standard Library, compilers usually come with a built-in library. This chapter describes the [GNAT](http://en.wikipedia.org/wiki/GNAT) library in particular.

  * [GNAT](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GNAT) ![25% developed  as of Sep 22, 2005](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

### External Libraries

This section is a reference of third-party Ada libraries which are not part of the compiler predefined environment but are freely available.

  * [Libraries](http://en.wikibooks.org/wiki/Ada_Programming/Libraries)
    * [Multi Purpose](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/MultiPurpose)
    * [Container Libraries](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Container)
    * [GUI Libraries](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GUI)
    * [Distributed Objects](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Distributed)
    * [Database](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Database)
    * [Web Programming](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Web)
    * [Input/Output](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/IO)
  * [Platform specific](http://en.wikibooks.org/wiki/Ada_Programming/Platform)
    * [Programming Ada in Linux](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Linux)
    * [Programming Ada in Windows](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Windows)
    * [Programming Ada in Virtual Machines (Java, .NET)](http://en.wikibooks.org/wiki/Ada_Programming/Platform/VM)

## External resources

  * [Open-source portals](http://en.wikibooks.org/wiki/Ada_Programming/Portals)
  * [Web Tutorials](http://en.wikibooks.org/wiki/Ada_Programming/Tutorials)
  * [Web 2.0](http://en.wikibooks.org/wiki/Ada_Programming/Web_2.0)

## Collections

### Printable Versions

The following are collection pages. All collection pages are comprised of groups of the already available pages. You can use them for printing or to gain a quick overview. Please note that those pages are partly very long.

Tutorial 
    **Show HTML** (1,839 kb) — [Download PDF](http://upload.wikimedia.org/wikipedia/commons/8/8d/Ada_Programming.pdf) (2,663 kb, 243 pages)
Keywords 
    [Show HTML](http://en.wikibooks.org/wiki/Ada_Programming/All_Keywords) (470 kb) — [Download PDF](http://upload.wikimedia.org/wikipedia/commons/6/67/Ada_Programming_Keywords.pdf) (290 kb, 59 pages)
Operators 
    [Show HTML](http://en.wikibooks.org/wiki/Ada_Programming/All_Operators) (232 kb) — [Download PDF](http://upload.wikimedia.org/wikipedia/commons/6/65/Ada_Programming_Operators.pdf) (189 kb, 27 pages)

### Source Code

The Source from the Book is available for [download](https://sourceforge.net/project/showfiles.php?group_id=124904) and [online browsing](http://wikibook-ada.sourceforge.net/html/index.html). The latter allows "drill down", meaning that you can follow the links right down to the package bodies in the Ada runtime library.

## References

  1. [↑](All_Chapters.html#cite_ref-1) See [wikistats](http://en.wikipedia.org/wikistats/wikibooks/EN/Wikibooks_EN.htm), [Category:Ada Programming](http://en.wikibooks.org/wiki/Category:Ada_Programming) or [/All Chapters](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters/All_Chapters&action=edit&redlink=1).
  2. [↑](All_Chapters.html#cite_ref-2) Gaetan Allaert, Dirk Craeynest, Philippe Waroquiers (2003). ["European air traffic flow management: porting a large application to GNU/linux"](http://www.sigada.org/conf/sigada2003/SIGAda2003-CDROM/SIGAda2003-Proceedings/p29-allaert.pdf). _[Proceedings of the 2003 annual ACM SIGAda international conference on Ada_](http://www.sigada.org/conf/sigada2003/SIGAda2003-CDROM/SIGAda2003-Proceedings/00-proceedings.html). SIGAda'03. pp. 29–37. [doi](http://en.wikipedia.org/wiki/Digital_object_identifier):[10.1145/958420.958426](http://dx.doi.org/10.1145%2F958420.958426). [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [1-58113-476-2](http://en.wikibooks.org/wiki/Special:BookSources/1-58113-476-2). <http://www.sigada.org/conf/sigada2003/SIGAda2003-CDROM/SIGAda2003-Proceedings/p29-allaert.pdf>. Retrieved 2009-01-02.  Paper by Eurocontrol (PDF, 160 kB) on portability.
  3. [↑](All_Chapters.html#cite_ref-3) Stephen F. Zeigler (1995-03-30). _[Comparing Development Costs of C and Ada_](http://www.adaic.com/whyada/ada-vs-c/cada_art.html). <http://www.adaic.com/whyada/ada-vs-c/cada_art.html>. Retrieved 2009-01-02. "Our data indicates that Ada has saved us millions of development dollars.". 

## Further reading

### Ada 2005 textbooks

  * John Barnes (2006). _[Programming in Ada 2005_](http://www.pearsonhighered.com/educator/academic/product/0,,0321340787,00%2Ben-USS_01DBC.html). Addison Wesley. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-32-134078-7](http://en.wikibooks.org/wiki/Special:BookSources/0-32-134078-7). <http://www.pearsonhighered.com/educator/academic/product/0,,0321340787,00%2Ben-USS_01DBC.html>. 
  * Mordechai Ben-Ari (2009). _[Ada for Software Engineers (Second Edition with Ada 2005)_](http://www.springer.com/978-1-84882-313-6). Springer. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [978-1-84882-313-6](http://en.wikibooks.org/wiki/Special:BookSources/978-1-84882-313-6). <http://www.springer.com/978-1-84882-313-6>. 
  * Alan Burns, Andy Wellings (2007). _[Concurrent and Real-Time Programming in Ada_](http://www.cambridge.org/uk/catalogue/catalogue.asp?isbn=9780521866972). Cambridge University Press. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [9780521866972](http://en.wikibooks.org/wiki/Special:BookSources/9780521866972). <http://www.cambridge.org/uk/catalogue/catalogue.asp?isbn=9780521866972>. 
  * Nell Dale, John W. McCormick (2007). _[Ada Plus Data Structures: An Object Oriented Approach_](http://www.jbpub.com/catalog/9780763737948/) (2nd Edition ed.). Jones and Bartlett. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0763737941](http://en.wikibooks.org/wiki/Special:BookSources/0763737941). <http://www.jbpub.com/catalog/9780763737948/>. 
  * John W. McCormick, Frank Singhoff, Jérôme Hugues (2011). _[Building Parallel, Embedded, and Real-Time Applications with Ada_](http://www.cambridge.org/gb/knowledge/isbn/item5659578/?site_locale=en_GB). Cambridge University Press. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [9780521197168](http://en.wikibooks.org/wiki/Special:BookSources/9780521197168). <http://www.cambridge.org/gb/knowledge/isbn/item5659578/?site_locale=en_GB>. 

### Manuals and guides

  * [Ada Quality & Style Guide:](http://en.wikibooks.org/wiki/Ada_Style_Guide) Guidelines for Professional Programmers (wikibook)
  * [Rationale for Ada 2005](http://www.adaic.com/standards/05rat/html/Rat-TTL.html), by John Barnes (2007)
  * [Ada 2005 Reference Manual](http://www.adaic.com/standards/05rm/html/RM-TTL.html) (2007)

### High-Integrity Software

  * ISO/IEC TR 15942:2000, _[Guide for the use of the Ada programming language in high integrity systems](http://www.dit.upm.es/ork/documents/adahis.pdf)_. ISO Freely Available Standards [[3]](http://standards.iso.org/ittf/PubliclyAvailableStandards/)
  * ISO/IEC TR 24718:2005, _[Guide for the use of the Ada Ravenscar Profile in high integrity systems](http://www.sigada.org/ada_letters/jun2004/ravenscar_article.pdf)_. ISO Freely Available Standards [[4]](http://standards.iso.org/ittf/PubliclyAvailableStandards/)
  * John Barnes (April 2003). _High Integrity Software: The SPARK Approach to Safety and Security_. Addison-Wesley. [ISBN](http://en.wikipedia.org/wiki/International_Standard_Book_Number) [0-321-13616-0](http://en.wikibooks.org/wiki/Special:BookSources/0-321-13616-0). 

## External links

### Resources

  * [Ada Information Clearinghouse](http://www.adaic.org/) — News and resources
  * [Ada Answers](http://www.adacore.com/home/ada_answers/) — Building better software with Ada
  * [comp.lang.ada](news://comp.lang.ada) ([Google groups](http://groups.google.com/group/comp.lang.ada)) — International Usenet newsgroup

### Research and user groups

  * Journals: 
    * _[Ada-Letters](http://www.sigada.org/ada_letters/)_
    * _[Ada User Journal](http://www.ada-europe.org/auj/)_ ([archive](http://www.ada-europe.org/auj/archive/))
  * International Conferences/Workshops: 
    * [International Real-Time Ada Workshop (IRTAW)](http://portal.acm.org/browse_dl.cfm?linked=1&part=series&idx=SERIES176&coll=portal&dl=ACM) [[IRTAW 15](http://www.ctr.unican.es/irtaw-15/cfp.html)]
    * [ACM SIGAda international conference on Ada](http://portal.acm.org/toc.cfm?id=SERIES332) [[HILT 2012](http://www.sigada.org/conf/hilt2012/)]
    * [18th International Conference on Reliable Software Technologies — Ada-Europe 2013](http://www.ada-europe2013.org/)
    * [17th International Conference on Reliable Software Technologies — Ada-Europe 2012](http://www.cister.isep.ipp.pt/ae2012/)
    * [Ada Connection 2011](http://conferences.ncl.ac.uk/adaconnection2011/) ([videos](http://www.adacore.com/home/ada_answers/lectures/ada-connection-2011/))
    * [Ada "Developers Room" at FOSDEM](https://archive.fosdem.org/2012/schedule/track/ada_devroom.html) ([2012](http://people.cs.kuleuven.be/~dirk.craeynest/ada-belgium/events/12/120204-fosdem.html))
  * Local conferences: 
    * [Ada-Belgium Conference](http://www.cs.kuleuven.ac.be/~dirk/ada-belgium/events/local.html)
    * [Ada-Spain Technical Day](http://adaspain.unican.es/JTAS_XV.html)
    * [Ada Conference UK](http://www.ada-uk-conference.co.uk/) (videos: [2009](http://www.adacore.com/home/ada_answers/lectures/ada_uk09/), [2007](http://www.adacore.com/home/ada_answers/lectures/ada_uk07/), [2006](http://www.adacore.com/home/ada_answers/lectures/ada_uk06))

### Associations

  * [ACM SIGAda](http://www.acm.org/sigada/) — ACM Special Interest Group on Ada
  * [Ada-Europe](http://www.ada-europe.org/)
  * [Ada Germany](http://www.ada-deutschland.de/)
  * [Ada Russia](http://www.ada-ru.org/)
  * [Ada-Belgium](http://www.cs.kuleuven.be/~dirk/ada-belgium/)
  * [Ada-France](http://www.ada-france.org/)
  * [Ada in Denmark](http://ada-dk.org/)
  * [Ada Switzerland](http://www.ada-switzerland.ch/)

### Free online books/courses

  * [Computer-Books.us](http://www.computer-books.us/ada95.php) — Online Ada books
  * _[The Big Online Book of Linux Ada Programming](http://www.pegasoft.ca/resources/boblap/book.html)_
  * _[Ada Distilled](http://www1.acm.org/sigs/sigada/education/pages/Ada-Distilled-07-27-2003-Color-Version.pdf)_
  * _[Ada in Action](http://www.cs.kuleuven.be/~dirk/ada-belgium/aia/contents.html)_
  * _[Introducing Ada 95](http://www.seas.gwu.edu/~adagroup/sigada-website/barnes-html/intro.html)_
  * _[Learn Ada on the Web](http://www.scism.sbu.ac.uk/law/lawhp.html)_
  * _[Quick Ada](http://goanna.cs.rmit.edu.au/~dale/ada/aln.html)_
  * _[Ada 95: The Craft of Object-Oriented Programming](http://faculty.cs.wwu.edu/reedyc/AdaResources/bookhtml/contents.htm)_ — Free textbook originally published by Prentice Hall

## Authors and contributors

This Wikibook has been written by:

  * [Martin Krischik](http://en.wikibooks.org/wiki/User:Krischik) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Krischik))
  * [Manuel Gómez](http://en.wikibooks.org/wiki/User:ManuelGR) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/ManuelGR))
  * [Santiago Urueña](http://en.wikibooks.org/wiki/User:Suruena) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/suruena))
  * C.K.W. Grein ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/53.122.157.1))
  * Bill Findlay ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/82.41.187.188))
  * [B. Seidel](http://en.wikibooks.org/wiki/User:Bseidel) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Bseidel))
  * [Simon Wright](http://en.wikibooks.org/wiki/User:Sjw) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Sjw))
  * [Allen Lew](http://en.wikibooks.org/wiki/User:Alsocal) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Alsocal))
  * [John Oleszkiewicz](http://en.wikibooks.org/wiki/User:Oleszkie) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/oleszkie))
  * [Nicolas Kaiser](http://en.wikibooks.org/wiki/User:Nikai) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Nikai))
  * [Larry Luther](http://en.wikibooks.org/wiki/User:Larry_Luther) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Larry_Luther))
  * [Georg Bauhaus](http://en.wikibooks.org/wiki/User:GeorgBauhaus) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/GeorgBauhaus))
  * [Samuel Tardieu](http://en.wikibooks.org/wiki/User:Sam) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Sam))
  * [Ludovic Brenta](http://en.wikibooks.org/wiki/User:Ludovic_Brenta) ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/Ludovic_Brenta))
  * Ed Falis
  * Pascal Obry
  * Unnamed Hero ([Contributions](http://en.wikibooks.org/wiki/Special:Contributions/80.156.44.1))

If you wish to contribute as well you should read [Contributing](http://en.wikibooks.org/wiki/Wikibooks:WikiProject_Ada) and join us at the [Contributors lounge](http://en.wikibooks.org/wiki/Wikibooks_talk:WikiProject_Ada).

  


# Basic Ada

## "Hello, world!" programs

### "Hello, world!"

A common example of a language's [syntax](http://en.wikipedia.org/wiki/Syntax_\(programming_languages\)) is the [Hello world program](http://en.wikipedia.org/wiki/Hello_world_program). Here is a straightforward Ada Implementation:

File: hello_world_1.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/hello_world_1.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/hello_world_1.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Hello [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Ada.Text_IO.Put_Line("Hello, world!");
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Hello;
    

The **with** statement adds the package `Ada.Text_IO` to the program. This package comes with every Ada compiler and contains all functionality needed for textual Input/Output. The **with** statement makes the declarations of `Ada.Text_IO` available to procedure `Hello`. This includes the types declared in `Ada.Text_IO`, the subprograms of `Ada.Text_IO` and everything else that is declared in `Ada.Text_IO` for public use. In Ada, packages can be used as toolboxes. `Text_IO` provides a collection of tools for textual input and output in one easy-to-access module. Here is a partial glimpse at package [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO):
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) File_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  more stuff_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Open[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()File [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) File_Type[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                      Mode [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) File_Mode[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                      Name [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                      Form [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) ""[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  more stuff_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put_Line [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Item [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  more stuff_
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Ada[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Text_IO[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Next in the program we declare a main procedure. An Ada main procedure does not need to be called "main". Any simple name is fine so here it is _Hello_. Compilers might allow procedures or functions to be used as main subprograms. [[1]](All_Chapters.html#cite_note-4)

The call on `Ada.Text_IO.Put_Line` writes the text "Hello World" to the current output file.

A **with** clause makes the content of a package _visible by selection_: we need to prefix the procedure name `Put_Line` from the `Text_IO` package with its full package name `Ada.Text_IO`. If you need procedures from a package more often some form of shortcut is needed. There are two options open:

### "Hello, world!" with renames

By renaming a package it is possible to give a shorter alias to any package name.[[2]](All_Chapters.html#cite_note-5) This reduces the typing involved while still keeping some of the readability.

File: hello_world_2.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/hello_world_2.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/hello_world_2.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Hello [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Text_IO;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       IO.Put_Line("Hello, world!");
       IO.New_Line;
       IO.Put_Line("I am an Ada program with package rename.");
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Hello;
    

### "Hello, world!" with use

The `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) clause makes all the content of a package directly visible. It allows even less typing but removes some of the readability. One suggested "rule of thumb": `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) for the most used package and `[renames`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) for all other packages. You might have another rule (for example, always `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [Ada.Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO), never `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) anything else).

File: hello_world_3.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/hello_world_3.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/hello_world_3.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Ada.Text_IO;
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Hello [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Put_Line("Hello, world!");
       New_Line;
       Put_Line("I am an Ada program with package use.");
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Hello;
    

`[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) can be used for packages and in the form of `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) `[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) for types. `[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) `[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) makes only the [operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators) of the given type directly visible but not any other operations on the type.

## Compiling the "Hello, world!" program

For information on how to build the "Hello, world!" program on various compilers, see the [Building](http://en.wikibooks.org/wiki/Ada_Programming/Building) chapter.

### FAQ: Why is "Hello, world!" so big?

Ada beginners frequently ask how it can be that such a simple program as "Hello, world!" results in such a large executable. The reason has nothing to do with Ada but can usually be found in the compiler and linker options used — or better, not used.

Standard behavior for Ada compilers — or good compilers in general — is not to create the best code possible but to be optimized for ease of use. This is done to ensure a system that works "out of the box" and thus does not frighten away potential new users with unneeded complexity.

The GNAT project files, which you can [download](https://sourceforge.net/project/showfiles.php?group_id=124904) alongside the example programs, use better tuned compiler, binder and linker options. If you use those your "Hello, world!" will be a lot smaller:
    
    
     32K ./Linux-i686-Debug/hello_world_1
    8.0K ./Linux-i686-Release/hello_world_1
     36K ./Linux-x86_64-Debug/hello_world_1
     12K ./Linux-x86_64-Release/hello_world_1
    1.1M ./Windows_NT-i686-Debug/hello_world_1.exe
     16K ./Windows_NT-i686-Release/hello_world_1.exe
     32K ./VMS-AXP-Debug/hello_world_1.exe
     12K ./VMS-AXP-Release/hello_world_1.exe
    

For comparison the sizes for a plain **gnat make** compile:
    
    
    497K hello_world_1 (Linux i686)
    500K hello_world_1 (Linux x86_64)
    1.5M hello_world_1.exe (Windows_NT i686)
    589K hello_world_1.exe (VMS AXP)
    

Worth mentioning is that hello_world (Ada,C,C++) compiled with GNAT/MSVC 7.1/GCC(C) all produces executables with approximately the same size given comparable optimisation and linker methods.

## Things to look out for

It will help to be prepared to spot a number of significant features of Ada that are important for learning its syntax and semantics.

### Comb Format

There is a _comb format_ in all the control structures and module structures. See the following examples for the _comb format_. You don't have to understand what the examples do yet - just look for the similarities in layout.
    
    
    [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) _Boolean expression_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
       _statements_
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) _Boolean expression_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
       _statements_
    [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
       _statements_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    
    
    
    [while](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/while) _Boolean expression_ [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
       _statements_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
    
    
    
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) _variable_ [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) _range_ [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
       _statements_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
    
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       _declarations_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       _statements_
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
       _handlers_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (_parameters_ : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) _type_) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       _declarations_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       _statements_
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
       _handlers_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) F (_parameters_ : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) _type_) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) _type_ [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       _declarations_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       _statements_
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
       _handlers_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) F;
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       _declarations_
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _declarations_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       _declarations_
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       _declarations_
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _declarations_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       _declarations_
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (_parameters_ : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) _type_);
    

Note that semicolons consistently terminate statements and declarations; the empty line (or a semicolon alone) is not a valid statement: the null statement is
    
    
    [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null);
    

### Type and subtype

There is an important distinction between **type** and **subtype**: a type is given by a set of values and their operations. A subtype is given by a type, and a _constraint_ that limits the set of values. Values are always of a type. Objects (constants and variables) are of a subtype. This generalizes, clarifies and systematizes a relationship, e.g. between _Integer_ and 1..100, that is handled _ad hoc_ in the semantics of [Pascal](http://en.wikipedia.org/wiki/Pascal_programming_language).

### Constrained types and unconstrained types

There is an important distinction between _constrained_ types and _unconstrained_ types. An unconstrained type has one or more free parameters that affect its size or shape. A constrained type fixes the values of these parameters and so determines its size and shape. Loosely speaking, objects must be of a constrained type, but formal parameters may be of an unconstrained type (they adopt the constraint of any corresponding actual parameter). This solves the problem of array parameters in Pascal (among other things).

### Dynamic types

Where values in [Pascal](http://en.wikipedia.org/wiki/Pascal_programming_language) or [C](http://en.wikipedia.org/wiki/C_programming_language) must be static (e.g. the subscript bounds of an array) they may be dynamic in Ada. However, static expressions are required in certain cases where dynamic evaluation would not permit a reasonable implementation (e.g. in setting the number of digits of precision of a floating point type).

### Separation of concerns

Ada consistently supports a separation of interface and mechanism. You can see this in the format of a [package](http://en.wikibooks.org/wiki/Ada_Programming/Packages), which separates its declaration from its body; and in the concept of a private type, whose representation in terms of Ada data structures is inaccessible outside the scope containing its definition.

## Where to ask for help

Most Ada experts lurk on the [Usenet newsgroups](http://en.wikipedia.org/wiki/Newsgroup) _comp.lang.ada_ (English) and _fr.comp.lang.ada_ (French); they are accessible either with a [newsreader](http://en.wikipedia.org/wiki/News_client) or through one of the many web interfaces. This is the place for all questions related to Ada.

People on these newsgroups are willing to help but will _not_ do students' homework for them; they will not post complete answers to assignments. Instead, they will provide guidance for students to find their own answers.

For more online resources, see the [External links](http://en.wikibooks.org/wiki/Ada_Programming#External_links) section in this wikibook's introduction.

## Notes

  1. [↑](All_Chapters.html#cite_ref-4) Main subprograms may even have parameters; it is implementation-defined what kinds of subprograms can be used as main subprograms. The reference manual explains the details in [10.2: LRM 10.2(29)](http://www.ada-auth.org/standards/12rm/html/RM-10-2.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-10-2.html)): “…, an implementation is required to support all main subprograms that are public parameterless library procedures.” _Library_ means not nested in another subprogram, for example, and other things that needn't concern us now.
  2. [↑](All_Chapters.html#cite_ref-5) `[renames`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) can also be used for procedures, functions, variables, array elements. It can not be used for types - a type rename can be accomplished with `[subtype`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype).

  


# Installing

Ada [compilers](http://en.wikipedia.org/wiki/Compiler) are available from several vendors, on a variety of host and target platforms. The [Ada Resource Association](http://www.adaic.com) maintains a [list of available compilers](http://www.adaic.com/compilers/comp-tool.html).

Below is an alphabetical list of available compilers with additional comments.

## AdaMagic from SofCheck

[SofCheck](http://www.sofcheck.com/) produces an Ada 95 front-end that can be plugged into a code generating back-end to produce a full compiler. This front-end is offered for licensing to compiler vendors.

Based on this front-end, SofCheck offers:

  * AdaMagic, an Ada-to-C translator
  * AppletMagic, an [Ada-to-Java](http://en.wikibooks.org/wiki/Ada_Programming/Platform/VM/Java) bytecode compiler

Commercial; proprietary.

## AdaMULTI from Green Hills Software

Green Hills Software sells development environments for multiple languages and multiple targets (including [DSPs](http://en.wikipedia.org/wiki/Digital_signal_processor)), primarily to embedded software developers.

Languages supported
Ada 83, Ada 95, C, C++, Fortran

License for the run-time library
proprietary

Native platforms
GNU/Linux on i386, Microsoft Windows on i386, and Solaris on SPARC

Cross platforms
INTEGRITY, INTEGRITY-178B and velOSity from Green Hills; VxWorks from Wind River; several bare board targets. Safety-critical GMART and GSTART run-time libraries certified to DO-178B level A.

Available from
<http://www.ghs.com/>

Support
Commercial

Add-ons included
IDE, debugger, TimeMachine, integration with various version control systems, source browsers, other utilities

GHS claims to make great efforts to ensure that their compilers produce the most efficient code and often cites the [EEMBC](http://www.eembc.com) benchmark results as evidence, since many of the results published by chip manufacturers use GHS compilers to show their silicon in the best light, although these benchmarks are not Ada specific.

GHS has no publicly announced plans to support the new Ada standard published in 2007 but they do continue to actively market and develop their existing Ada products.

## DEC Ada from HP

DEC Ada is an Ada 83 compiler for [OpenVMS](http://en.wikipedia.org/wiki/OpenVMS). While “DEC Ada” is probably the name most users know, the compiler is now called “[HP Ada](http://h71000.www7.hp.com/commercial/ada/ada_index.html)”. It had previously been known also by names of "VAX Ada" and "Compaq Ada".

  * [Ada for OpenVMS Alpha Installation Guide](http://h71000.www7.hp.com/commercial/ada/ada_avms_ig.pdf) (PDF)
  * [Ada for OpenVMS VAX Installation Guide](http://h71000.www7.hp.com/commercial/ada/ada_vvms_ig.pdf) (PDF)

## GNAT, the GNU Ada Compiler from AdaCore and the Free Software Foundation

[GNAT](http://en.wikipedia.org/wiki/GNAT) is the free GNU Ada compiler, which is part of the [GNU Compiler Collection](http://en.wikipedia.org/wiki/GNU_Compiler_Collection). It is the only Ada compiler that supports all of the optional annexes of the language standard. The original authors formed the company [AdaCore](http://www.adacore.com) to offer professional support, consulting, training and custom development services. It is thus possible to obtain GNAT from many different sources, detailed below.

GNAT is always licensed under the terms of the [GNU General Public License](http://en.wikipedia.org/wiki/GNU_General_Public_License).

However, the run-time library uses either the [GPL](http://en.wikipedia.org/wiki/GNU_General_Public_License), or the [GNAT Modified GPL](http://en.wikipedia.org/wiki/GNAT_Modified_General_Public_License), depending on where you obtain it.

Several optional add-ons are available from various places:

  * ASIS, the [Ada Semantic Interface Specification](http://en.wikipedia.org/wiki/Ada_Semantic_Interface_Specification), is a library that allows Ada programs to examine and manipulate other Ada programs.
  * [FLORIST](http://en.wikibooks.org/wiki/Ada_Programming/Platform/POSIX) is a library that provides a POSIX programming interface to the operating system.
  * GDB, the GNU Debugger, with Ada extensions.
  * GLADE implements Annex E, the Distributed Systems Annex. With it, one can write distributed programs in Ada, where partitions of the program running on different computers communicate over the network with one another and with shared objects.
  * GPS, the GNAT Programming Studio, is a full-featured integrated development environment, written in Ada. It allows you to code in Ada, C and C++.

Many Free Software libraries are also available.

### GNAT GPL Edition

This is a source and binary release from AdaCore, intended for use by Free Software developers only. If you want to distribute your binary programs linked with the GPL run-time library, then you must do so under terms compatible with the GNU General Public License.

As of GNAT GPL Edition 2013:

Languages supported
Ada 83, Ada 95, Ada 2005, Ada 2012, C, C++

License for the run-time library
pure GPL

Native platforms
GNU/Linux on i386 and x86_64; Microsoft Windows on i386; Microsoft .NET on i386; Mac OS X (Darwin, x86_64). Earlier releases have supported Solaris on SPARC.

Cross platforms
AVR, hosted on Windows; Java VM, hosted on Windows; Mindstorms NXT, hosted on Windows

Compiler back-end
GCC 4.7

Available from
<http://libre.adacore.com/> (suggests free registration)

Support
None

Add-ons included
GDB, GNATbench (Eclipse plug-in), GPS in source and binary form; many more in source-only form.

### GNAT Modified GPL releases

With these releases of GNAT, you can distribute your programs in binary form under licensing terms of your own choosing; you are not bound by the GPL.

#### GNAT 3.15p

This is the last public release of GNAT from AdaCore that uses the [GNAT Modified General Public License](http://en.wikipedia.org/wiki/GNAT_Modified_General_Public_License).

GNAT 3.15p has passed the [Ada Conformity Assessment Test Suite](http://en.wikipedia.org/wiki/ISO_18009) ([ACATS](http://en.wiktionary.org/wiki/ACATS)). It was released in October 2002.

The binary distribution from AdaCore also contains an Ada-aware version of the GNU Debugger ([GDB](http://en.wikipedia.org/wiki/GDB)), and a graphical front-end to GDB called the GNU Visual Debugger (GVD).

Languages supported
Ada 83, Ada 95, C

License for the run-time library
GNAT-modified GPL

Native platforms
GNU/Linux on i386 (with glibc 2.1 or later), Microsoft Windows on i386, OS/2 2.0 or later on i386, Solaris 2.5 or later on SPARC

Cross platforms
none

Compiler back-end
GCC 2.8.1

Available from
<ftp://ftp.cs.kuleuven.ac.be/pub/Ada-Belgium/mirrors/gnu-ada/3.15p/>

Support
None

Add-ons included
ASIS, Florist, GLADE, GDB, Gnatwin (on Windows only), GtkAda 1.2, GVD

#### GNAT Pro

GNAT Pro is the professional version of GNAT, offered as a subscription package by AdaCore. The package also includes professional consulting, training and maintenance services. AdaCore can provide custom versions of the compiler for native or cross development. For more information, see <http://www.adacore.com/>.

Languages supported
Ada 83, Ada 95, Ada 2005, Ada 2012, C, and optionally C++

License for the run-time library
GNAT-modified GPL

Native platforms
many, see <http://www.adacore.com/home/products/gnatpro/supported_platforms/>

Cross platforms
many, see <http://www.adacore.com/home/products/gnatpro/supported_platforms/>; even more on request

Compiler back-end
GCC 4.3

Available from
<http://www.adacore.com/> by subscription (commercial)

Support
Commercial; customer-only bug database

Add-ons included
ASIS, Florist, GDB, GLADE, GPS, GtkAda, XML/Ada, and many more in source and, on request, binary form.

#### GCC

GNAT has been part of the [Free Software Foundation](http://www.fsf.org/)'s [GCC](http://gcc.gnu.org/) since October 2001. The Free Software Foundation does not distribute binaries, only sources. Its licensing of the run-time library for Ada (and other languages) allows the development of proprietary software without necessarily imposing the terms of the [GPL](http://en.wikipedia.org/wiki/GNU_General_Public_License).

Most GNU/Linux distributions and several distributions for other platforms include prebuilt binaries; see below.

For technical reasons, we recommend against using the Ada compilers included in GCC 3.1, 3.2, 3.3 and 4.0. Instead, we recommend using GCC 3.4, 4.1 or later, or one of the releases from [AdaCore](http://www.adacore.com) (3.15p, GPL Edition or Pro).

Since October 2003, AdaCore merge most of their changes from GNAT Pro into GCC during [Stage 1](http://gcc.gnu.org/develop.html#stage1); this happens once for each major release. Since GCC 3.4, AdaCore has gradually added support for revised language standards, first Ada 2005 and now Ada 2012.

GCC version 4.4 switched to [version 3 of the GNU General Public License](http://www.gnu.org/licenses/gpl.html) and grants a [Runtime Library Exception](http://www.gnu.org/licenses/gcc-exception.html) similar in spirit to the [GNAT Modified General Public License](http://en.wikipedia.org/wiki/GNAT_Modified_General_Public_License) used in all previous versions. This Runtime Library Exception applies to run-time libraries for all languages, not just Ada.

As of GCC 4.7, released on 2012-03-22:

Languages supported
Ada 83, Ada 95, Ada 2005, parts of Ada 2012, C, C++, Fortran 95, Java, Objective-C, Objective-C++ (and others)

License for the run-time library
[GPL version 3](http://www.gnu.org/licenses/gpl.html) with [Runtime Library Exception](http://www.gnu.org/licenses/gcc-exception.html)

Native platforms
none (source only)

Cross platforms
none (source only)

Compiler back-end
GCC 4.7

Available from
<http://gcc.gnu.org/> in source only form.

Support
Volunteer; public bug database

Add-ons included
none

### The GNU Ada Project

The [GNU Ada Project](http://gnuada.sourceforge.net) provides source and binary packages of various GNAT versions for several operating systems, and, importantly, the scripts used to create the packages. This may be helpful if you plan to port the compiler to another platform or create a cross-compiler; there are instructions for building your own GNAT compiler for [GNU/Linux](http://ada.krischik.com/index.php/Articles/CompileGNAT) and [Mac OS X](http://forward-in-code.blogspot.com/2011/11/building-gcc-again.html) users.

Both [GPL](http://en.wikipedia.org/wiki/GNU_General_Public_License) and [GMGPL](http://en.wikipedia.org/wiki/GNAT_Modified_General_Public_License) or [GCC Runtime Library Exception](http://www.gnu.org/licenses/gcc-exception.html) versions of GNAT are available.

Languages supported
Ada 83, Ada 95, Ada 2005, C. (Some distributions also support Ada 2012, Fortran 90, Java, Objective C and Objective C++)

License for the run-time library
pure, GNAT-modified GPL, or GCC Runtime Library Exception

Native platforms
Fedora Core 4 and 5, MS-DOS, OS/2, Solaris 10, SuSE 10, Mac OS X, (more?)

Cross platforms
none

Compiler back-end
GCC 2.8.1, 3.4, 4.0, 4.1, 4.2, 4.3, 4.4, 4.5, 4.6 (various binary packages)

Available from
[Sourceforge](http://sourceforge.net/projects/gnuada/files/)

Support
Volunteer; public bug database

Add-ons included
AdaBrowse, ASIS, Booch Components, Charles, GPS, GtkAda (more?)

### A# (A-Sharp, a.k.a. Ada for .NET)

This compiler is historical as it has now been merged into [GNAT GPL Edition](All_Chapters.html#GNAT_GPL_Edition) and [GNAT Pro](All_Chapters.html#GNAT_Pro).

A# is a port of Ada to the [.NET Platform](http://www.microsoft.com/net/%7CMicrosoft). A# was originally developed at the Department of Computer Science at the United States Air Force Academy which distribute A# as a service to the Ada community under the terms of the GNU general public license. A# integrates well with Microsoft Visual Studio 2005, AdaGIDE and the RAPID open-source GUI Design tool. As of 2006-06-06:

Languages supported
Ada 83, Ada 95, C

License for the run-time library
pure GPL

Native platforms
Microsoft .NET

Cross platforms
none

Compiler back-end
GCC 3.4 (GNAT GPL 2006 Edition?)

Available from
<http://sourceforge.net/projects/asharp/>

Support
None (but see GNAT Pro)

Add-ons included
none.

### GNAT for AVR microcontrollers

Rolf Ebert and others provide a version of GNAT configured as a cross-compiler to various [AVR microcontrollers](http://en.wikipedia.org/wiki/Atmel_AVR), as well as an experimental Ada run-time library suitable for use on the microcontrollers. As of Version 1.1.0 (2010-02-25):

Languages supported
Ada 83, Ada 95, Ada 2005, C

License for the run-time library
GNAT-Modified GPL

Host platforms
GNU/Linux and Microsoft Windows on i386

Target platforms
Various AVR 8-bit microcontrollers

Compiler back-end
GCC 4.3

Available from
<http://avr-ada.sourceforge.net/>

Support
Volunteer; public bug database

Add-ons included
partial Ada run time system, AVR peripherals support library

### GNAT for LEON

The Real-Time Research Group of the Technical University of Madrid (UPM, _Universidad Politécnica de Madrid_) wrote a [Ravenscar](http://en.wikipedia.org/wiki/Ravenscar_profile)-compliant real-time kernel for execution on [LEON processors](http://en.wikipedia.org/wiki/LEON) and a modified run-time library. They also provide a GNAT cross-compiler. As of version 2.0.1:

Languages supported
Ada 83, Ada 95, Ada 2005, C

License for the run-time library
pure GPL

Native platforms
none

Cross platforms
GNU/Linux on i686 to LEON2 bare boards

Compiler back-end
GCC 4.1 (GNAT GPL 2007 Edition)

Available from
<http://www.dit.upm.es/ork/>

Support
 ?

Add-ons included
OpenRavenscar real-time kernel; minimal run-time library

### GNAT for Macintosh (Mac OS X)

[GNAT for Macintosh](http://www.macada.org/) provides both FSF (GMGPL) and AdaCore (GPL) versions of [GNAT](http://en.wikipedia.org/wiki/GNAT) with [Xcode](http://en.wikipedia.org/wiki/Xcode) and [Carbon](http://en.wikipedia.org/wiki/Carbon_\(API\)) integration and bindings.

Note that this site was last updated for GCC 4.3 and Mac OS X Leopard (both PowerPC and Intel-based). Aside from the work on integration with Apple’s Carbon graphical user interface and with Xcode 3.1 it may be preferable to [see above](All_Chapters.html#The_GNU_Ada_Project).

There is also support at [MacPorts](https://trac.macports.org/browser/trunk/dports/lang/gnat-gcc); the last update (at 25 Nov 2011) was for GCC 4.4.2.

### Prebuilt packages as part of larger distributions

Many distributions contain prebuilt binaries of GCC or various public releases of GNAT from AdaCore. Quality varies widely between distributions. The list of distributions below is in alphabetical oder. _(Please keep it that way.)_

#### AIDE (for Microsoft Windows)

[AIDE — Ada Instant Development Environment](http://sr.sriviere.info/aide/aide.html) is a complete one-click, just-works Ada distribution for Windows, consisting of GNAT, comprehensive documentation, tools and libraries. All are precompiled, and source code is also available. The installation procedure is particularly easy. AIDE is intended for beginners and teachers, but can also be used by advanced users.

Languages supported
Ada 83, Ada 95, C

License for the run-time library
GNAT-modified GPL

Native platforms
Microsoft Windows on i386

Cross platforms
none

Compiler back-end
GCC 2.8.1

Available from
<http://www.ada-france.org/AIDE/>

<ftp://ftp.cs.kuleuven.ac.be/pub/Ada-Belgium/mirrors/aide/>

Support
 ?

Add-ons included
ASIS, GDB, GPS, GtkAda (more?)

#### Cygwin (for Microsoft Windows)

[Cygwin](http://www.cygwin.com), the Linux-like environment for Windows, also contains a version of the [GNAT](All_Chapters.html#GNAT.2C_the_GNU_Ada_Compiler_from_AdaCore_and_the_Free_Software_Foundation) compiler. The [Cygwin](http://en.wikipedia.org/wiki/Cygwin) version of [GNAT](http://en.wikipedia.org/wiki/GNAT) is older than the [MinGW](http://en.wikipedia.org/wiki/MinGW) version and does not support DLLs and Multi-Threading (as of 11.2004).

#### Debian (GNU/Linux and GNU/kFreeBSD)

There is a [Debian Policy for Ada](http://people.debian.org/~lbrenta/debian-ada-policy.html) which tries to make Debian the best Ada development _and deployment_ platform. The development platform includes the compiler and many libraries, pre-packaged and integrated so as to be easy to use in any program. The deployment platform is the renowned _[stable](http://www.debian.org/releases/stable/)_ distribution, which is suitable for mission-critical workloads and enjoys long life cycles, typically 3 to 4 years. Because Debian is a binary distribution, it is possible to deploy non-free, binary-only programs on it while enjoying all the benefits of a stable platform. Compiler choices are conservative for this reason, and the Policy mandates that all Ada programs and libraries be compiled with the same version of GNAT. This makes it possible to use all libraries in the same program. Debian separates run-time libraries from development packages, so that end users do not have to install the development system just to run a program.

The GNU Ada compiler can be installed on a Debian system with this command:
    
    
    aptitude install gnat
    

This will also give you a list of related packages, which are likely to be useful for an Ada programmer.

Debian is unique in that it also allows programmers to use some of GNAT's internal components by means of two libraries:

  * libgnatvsn (licensed under GNAT-Modified GPL) and
  * libgnatprj (the project manager, licensed under pure GPL).

Debian packages make use of these libraries.

In the table below, the information about the future Debian 8.0 _Jessie_ is accurate as of May 2013 and will change.

  3.1 _Sarge_ 4.0 _Etch_ 5.0 _Lenny_ 6.0 _Squeeze_ 7.0 _Wheezy_ 8.0 _Jessie_

Release date
June 2005
April 2007
February 2009
February 2011
May 2013
2015?

Languages supported
Ada 83, Ada 95, C
+Ada 2005, parts of Ada 2012, C, C++, Fortran 95, Java, Objective-C, Objective-C++
+Ada 2012

License for the run-time library
GNAT-modified GPL (both ZCX and SJLJ versions starting from 5.0 _Lenny_)
GPL version 3 with Run-time library exception

Native platforms: 3.1 _Sarge_ 4.0 _Etch_ 5.0 _Lenny_ 6.0 _Squeeze_ 7.0 _Wheezy_ 8.0 _Jessie_

`alpha`
yes
yes

`amd64`
yes
yes
yes
yes
yes

`armel`
preliminary
yes
yes

`armhf`
yes
yes

`hppa`
yes
yes
yes

`hurd-i386`
yes
yes

`i386`
yes
yes
yes
yes
yes
yes

`ia64`
yes
yes
yes
yes
yes

`kfreebsd-amd64`
yes
yes
yes

`kfreebsd-i386`
yes
yes
yes
yes
yes

`mips`
yes
yes
yes
yes
yes

`mipsel`
yes
yes
yes
yes
yes

`powerpc`
yes
yes
yes
yes
yes
yes

`ppc64`
yes
yes
yes
yes

`s390`
yes
yes
yes
yes
yes

`sparc`
yes
yes
yes
yes
yes
yes

Cross platforms
none

Compiler back-end GCC 2.8.1 GCC 4.1 GCC 4.3 GCC 4.4 GCC 4.6 GCC 4.6

Available from
<http://www.debian.org/>

Support
Volunteer; public bug database; paid support available from third parties; [public mailing list](http://lists.debian.org/debian-ada)

Add-ons included 3.1 _Sarge_ 4.0 _Etch_ 5.0 _Lenny_ 6.0 _Squeeze_ 7.0 _Wheezy_ 8.0 _Jessie_

ada-reference-manual
1995
1995
1995
2005
2012
2012

AdaBindX
0.7.2

AdaBrowse
4.0.2
4.0.2
4.0.2
4.0.3
4.0.3
4.0.3

AdaCGI
1.6
1.6
1.6
1.6
1.6
1.6

AdaControl
1.6r8
1.9r4
1.12r3
1.12r3
1.12r3

APQ (with PostgreSQL)
3.0
3.2
3.2

AdaSockets
1.8.4.7
1.8.4.7
1.8.4.7
1.8.8
1.8.10
1.8.10

Ahven
1.2
1.7
2.1
2.1

Alog
0.1
0.3
0.4.1
0.4.1

anet
0.1
0.1

ASIS
3.15p
2005
2007
2008
2010
2010

AUnit
1.01
1.03
1.03
1.03
1.03
1.03

AWS
2.0
2.2
2.5 prerelease
2.7
2.10.2
2.10.2

Charles
2005-02-17
(superseded by Ada.Containers in gnat)

Florist
3.15p
2006
2006
2009
2011
2011

GDB
5.3
6.4
6.8
7.0.1
7.4.1
7.4.1

GLADE
3.15p
2006
(superseded by PolyORB)

GMPAda
0.0.20091124
0.0.20120331
0.0.20120331

GNADE
1.5.1
1.6.1
1.6.1
1.6.2
1.6.2
1.6.2

GNAT Checker
1999-05-19
(superseded by AdaControl)

GPRBuild
1.3.0w
2011
2011

GPS
2.1
4.0.1
4.0.1
4.3
5.0
5.0

GtkAda
2.4
2.8.1
2.8.1
2.14.2
2.24.1
2.24.1

Log4Ada
1.0
1.2
1.2

Narval
1.10.2

OpenToken
3.0b
3.0b
3.0b
4.0b
4.0b
4.0b

PC/SC Ada
0.6
0.7.1
0.7.1

PolyORB
2.6 prerelease
2.8 prerelease
2.8 prerelease

PLPlot
5.9.0
5.9.5
5.9.5
5.9.5

Templates Parser
10.0+20060522
11.1
11.5
11.6
11.6

TextTools
2.0.3
2.0.3
2.0.5
2.0.6
2.1.0

XML/Ada
1.0
2.2
3.0
3.2
4.1
4.1

XML-EZ-out
1.06
1.06.1
1.06.1

The ADT plugin for Eclipse (see section [ObjectAda from Aonix](All_Chapters.html#ObjectAda_from_Aonix)) can be used with GNAT as packaged for Debian Etch. Specify "/usr" as the toolchain path.

#### DJGPP (for MS-DOS)

DJGPP has [GNAT](http://en.wikipedia.org/wiki/GNAT) as part of their [GCC](http://en.wikipedia.org/wiki/GCC) distribution.

[DJGPP](http://www.delorie.com/djgpp/) is a port of a comprehensive collection of GNU utilities to MS-DOS with 32-bit extensions, and is actively supported (as of 1.2005). It includes the whole [GCC](http://en.wikipedia.org/wiki/GCC) compiler collection, that now includes Ada. See the [DJGPP](http://www.delorie.com/djgpp/) website for installation instructions.

DJGPP programs run also in a DOS command box in Windows, as well as in native MS-DOS systems.

#### FreeBSD and DragonFly

[FreeBSD](http://www.freebsd.org)'s [ports collection](http://www.freebsd.org/ports) has an Ada framework with an expanding set of software packages. The Framework is built by FSF GCC 4.9. The AdaCore GPL versions are not present. There are several reasons for this, not the least of which is the addition maintenance of multiple compilers is significant. There are no non-GCC based compilers represented in ports either.

While FreeBSD does have a snapshot that goes with each release, the ports are updating in a rolling fashion continuously, and the vast majority of users prefer the "head" of ports which has the latest packages.

Languages supported
Ada 83, Ada 95, Ada 2005, Ada 2012, C, C++, ObjC, Fortran

License for the run-time library
GPLv3 with Runtime Library Exception v3

Native platforms
FreeBSD i386, FreeBSD AMD64, DragonFly i386, DragonFly x86-64

Cross platforms
FreeBSD-Android, DragonFly-Android

Compiler back-end
GCC 4.9

Available from
<http://www.freebsd.org>, <https://github.com/DragonFlyBSD/DPorts>

Support
Volunteer; public bug database

There are two ways to install the software. The quickest and easiest way is to install prebuilt binaries using the command "pkg install <pkg name>". For example, to install the GNAT Programming Studio and all of its dependencies including the GNAT compiler, all you need is one command:
    
    
    pkg install gps-ide
    

If a specific package is not available, or the user just prefers to build from source (this can take a long time), then a typical command would be:
    
    
    cd /usr/ports/devel/gps && make install clean
    

As with the binary installation, if any dependencies are missing they will be built first, also from source.

**Available software as of 12 April 2014**

Directory Common Name version pkg name

archivers/zip-ada
Zip-Ada (Library)
46
zip-ada

databases/apq
Ada95 database interface library
3.2.0
apq

databases/apq-mysql
APQ MySQL driver
3.2.0
apq-mysql

databases/apq-odbc
APQ ODBC driver
3.2.0
apq-odbc

databases/apq-pgsql
APQ PostgreSQL driver
3.2.0
apq-pgsql

devel/adabooch
Ada95 Booch Components (Library)
2013-03-22
adabooch

devel/adacurses
AdaCurses (Binding)
2011-04-04
adacurses

devel/afay
AFlex and AYACC parser generators
041111
afay

devel/ahven
Ahven (Unit Test Library)
2.4
ahven

devel/alog
Stackable logging framework
0.4.1
alog

devel/florist-gpl
Florist (Posix Binding)
2013
florist-gpl

devel/gnatpython
GNATPython (python-based test framework)
2014-02-05
gnatpython

devel/gprbuild
GPRbuild (Multi-language build tool)
2013
gprbuild

devel/gps
GNAT Programming Studio
5.2.1
gps-ide

devel/libspark2012
SPARK 2012 library source files
2012
libspark2012

devel/matreshka
Matreshka (Info Systems Library)
0.6.0
matreshka

devel/pcsc-ada
PCSC library
0.7.1
pcsc-ada

devel/sdl_gnat
GNAT SDL bindings (Thin)
2013
sdl_gnat

dns/ironsides
Spark/Ada Ironsides DNS Server
2014-02-20
ironsides

graphics/generic_image_decoder
image decoder library
02
generic_image_decoder

lang/adacontrol
AdaControl (Construct detection tool)
1.15r5
adacontrol

lang/asis
Ada Semantic Interface Specification
2013
asis

lang/gcc-aux
GNAT Ada compiler (FSF GCC)
4.9.0-prerelease (2014-04-06)
gcc-aux

lang/gcc47-aux
GNAT Ada compiler (FSF GCC)
4.7.3 (2013-04-13)
gcc47-aux

lang/gnat_util
GNAT sources (helper Library)
2014-04-06
gnat_util

lang/gnatdroid-armv5
Android 4.4 cross-compiler, ARMv5
2014-04-06 (4.9.0)
gnatdroid-armv5

lang/gnatdroid-armv7
Android 4.4 cross-compiler, ARMv7
2013-04-06 (4.9.0)
gnatdroid-armv7

lang/gnatdroid-binutils
GNU Binutils used by Android cross-compiler
2.24
gnatdroid-binutils

lang/gnatdroid-sysroot
Android API 2.2 to 4.4 sysroot
19
gnatdroid-sysroot

math/plplot-ada
PLplot Ada bindings
5.10.0
plplot-ada

misc/excel-writer
Excel output library
12
excel-writer

misc/ini_file_manager
Configuration file library
03
ini_file_manager

net/anet
Network library (IPv4 and IPv6)
0.2.3
anet

net/polyorb
PolyORB (CORBA/SOAP/DSA middleware)
2.10.0 (2013)
polyorb

net/adasockets
IPv4 socket library
1.8.11
adasockets

security/libsparkcrypto
LibSparkCrypto (Cryptography Library)
0.1.1
libsparkcrypto

textproc/adabrowse
AdaBrowse (Ada95 HTML doc. generator)
4.0.3
adabrowse

textproc/opentoken
Ada Lex analyzer and parser
5.0a
opentoken

textproc/py-sphinxcontrib-adadomain
Sphinx documentation generator for Ada
0.1
py27-sphinxcontrib-adadomain

textproc/words
Words (Latin/English dictionary)
1.97F
words

textproc/xml_ez_out
XML output (Library)
1.06
xml_ez_out

textproc/xmlada
XML/Ada (Library)
4.4.0
xmlada

www/aws
Ada Web Server
3.1.0.0 (w)
aws

www/aws-demos
Ada Web Server demos
3.1.0.0 (w)
aws-demos

x11-toolkits/gtkada
GTK/Ada (bindings)
2.24.4
gtkada

x11-toolkits/qtada
Qt/Ada (bindings)
3.2.0.0 (2012/07/08)
qtada

#### Gentoo GNU/Linux

The GNU Ada compiler can be installed on a Gentoo system using emerge:
    
    
     emerge dev-lang/gnat
    

In contrast to Debian, Gentoo is primarily a source distribution, so many packages are available only in source form, and require the user to recompile them (using emerge).

Also in contrast to Debian, Gentoo supports several versions of GNAT in parallel on the same system. Be careful, because not all add-ons and libraries are available with all versions of GNAT.

Languages supported
Ada 83, Ada 95, Ada 2005, C (more?)

License for the run-time library
pure or GNAT-modified GPL (both available)

Native platforms
Gentoo GNU/Linux on amd64, powerpc and i386

Cross platforms
none

Compiler back-end
GCC 3.4, 4.1 (various binary packages)

Available from
<http://www.gentoo.org/> (see other Gentoo [dev-ada](http://es.znurt.org/dev-ada) packages)

Support
Volunteer; public bug database

Add-ons included
AdaBindX, AdaBroker, AdaDoc, AdaOpenGL, AdaSockets, ASIS, AUnit, Booch Components, CBind, Charles, Florist, GLADE, GPS, GtkAda, XML/Ada

#### Mandriva Linux

The GNU Ada compiler can be installed on a Mandriva system with this command:
    
    
    urpmi gnat
    

#### MinGW (for Microsoft Windows)

[MinGW — Minimalist GNU for Windows](http://mingw.sourceforge.net) contains a version of the GNAT compiler.

The current version of MinGW (5.1.6) contains gcc-4.5.0. This includes a fully functional GNAT compiler. If the automatic downloader does not work correctly you can download the compiler directly: pick gcc-4.5.0-1 from MinGW/BaseSystem/GCC/Version4/

##### old instructions

The following list should help you with the installation. (I may have forgotten something — but this is wiki, just add to the list)

  1. Install MinGW-3.1.0-1.exe
    1. extract binutils-2.15.91-20040904-1.tar.gz
    2. extract mingw-runtime-3.5.tar.gz
    3. extract gcc-core-3.4.2-20040916-1.tar.gz
    4. extract gcc-ada-3.4.2-20040916-1.tar.gz
    5. extract gcc-g++-3.4.2-20040916-1.tar.gz (Optional)
    6. extract gcc-g77-3.4.2-20040916-1.tar.gz (Optional)
    7. extract gcc-java-3.4.2-20040916-1.tar.gz (Optional)
    8. extract gcc-objc-3.4.2-20040916-1.tar.gz (Optional)
    9. extract w32api-3.1.tar.gz
  2. Install mingw32-make-3.80.0-3.exe (Optional)
  3. Install gdb-5.2.1-1.exe (Optional)
  4. Install MSYS-1.0.10.exe (Optional)
  5. Install msysDTK-1.0.1.exe (Optional)
    1. extract msys-automake-1.8.2.tar.bz2 (Optional)
    2. extract msys-autoconf-2.59.tar.bz2 (Optional)
    3. extract msys-libtool-1.5.tar.bz2 (Optional)

I have made good experience in using D:\MinGW as target directory for all installations and extractions.

Also noteworthy is that the Windows version for GNAT from Libre is also based on MinGW.

In gcc-3.4.2-release_notes.txt from MinGW site reads: _please_ check that the files in the /lib/gcc/mingw32/3.4.2/adainclude and adalib directories are flagged as read-only. This attribute is necessary to prevent them from being deleted when using gnatclean to clean a project.

So be sure to do this.

#### OpenCSW (for Solaris on [SPARC](http://en.wikipedia.org/wiki/SPARC) and [x86](http://en.wikipedia.org/wiki/x86))

[OpenCSW](http://www.opencsw.org) has binary packages of GCC 3.4.6 and 4.6.2 with Ada support. The package names are gcc3ada and gcc4ada respectively.

Languages supported
Ada 83, Ada 95, parts of Ada 2005, C, C++, Fortran 95, Java, Objective-C, Objective-C++

License for the run-time library
GNAT-modified GPL

Native platforms
Oracle Solaris and OpenSolaris on SPARC and x86

Cross platforms
none

Compiler back-end
GCC 3.4.6 and 4.6.2 (both available)

Support
 ?

Available from
<http://www.opencsw.org/>

Add-ons included
none (?)

#### pkgsrc: NetBSD, DragonFly and Solaris

The [pkgsrc](http://www.pkgsrc.org) portable package file system has a small Ada framework. It is based on FSF GCC 4.7 currently. The AdaCore GPL versions are not present, nor are non-GCC based compilers.

The pkgsrc system is released in quarterly branches, which are normally recommended. However, a user could also choose the "head" which would the very latest package versions. The pkgsrc system supports 21 platforms, but for Ada this is potentially limited to 5 due to the bootstrap compiler requirement: NetBSD, DragonFly, SunOS (Solaris/Illumos), OpenBSD/MirBSD, and FreeBSD. The last two have their own packaging systems so pkgsrc doesn't have a large presence on those platforms, so currently they aren't supported although it be easy to rectify.

Languages supported
Ada 83, Ada 95, Ada 2005, partial Ada 2012, C, C++, ObjC, Fortran

License for the run-time library
GPLv3 with Runtime Library Exception v3

Native platforms
NetBSD i386, NetBSD amd64, DragonFly i386, DragonFly x86-64, Solaris x86

Cross platforms
None

Compiler back-end
GCC 4.7

Available from
<http://www.pkgsrc.org>, status: <http://www.pkgsrc.se>

Support
Volunteer; public bug database

There are two ways to install the software. The quickest and easiest way is to install prebuilt binaries using the command "pkg_add <pkg name>". For example, to install the GNAT Programming Studio and all of its dependencies including the GNAT compiler, all you need is one command:
    
    
    pkg_add gps
    

If a specific package is not available, or the user just prefers to build from source (this can take a long time), then a typical command would be:
    
    
    cd /usr/pkg/devel/gps && bmake install
    

As with the binary installation, if any dependencies are missing they will be built first, also from source.

**Available software as of 21 February 2014**

Directory Common Name version pkg name

devel/florist
Florist (Posix Binding)
2012
florist-gpl

devel/gnatpython
GNATPython (python-based test framework)
2011-09-12
gnatpython

devel/gprbuild-aux
GPRbuild (Multi-language build tool)
2012-05-10
gprbuild-aux

devel/gps
GNAT Programming Studio
5.2.1
gps

lang/gcc-aux
GNAT Ada compiler (FSF GCC)
4.7.3 (2013-04-11)
gcc-aux

lang/gnat-aux
GNAT Ada compiler (FSF GCC)
4.6.4 (2013-04-12)
gnat-aux

textproc/xmlada
XML/Ada (Library)
4.4.0
xmlada

www/aws
Ada Web Server
3.1.0.0 (w)
aws

www/aws-demos
Ada Web Server demos
3.1.0.0 (w)
aws-demos

x11/gtkada
GTK/Ada (bindings)
2.24.4
gtkada

#### SuSE Linux

All versions of SuSE Linux have a GNAT compiler included. SuSE versions 9.2 and higher also contains ASIS, Florist and GLADE libraries. The following two packages are needed:
    
    
    gnat
    gnat-runtime
    

For SuSE version 12.1, the compiler is in the package
    
    
     gcc46-ada
     libada46
    

For 64 bit system you will need the 32 bit compatibility packages as well:
    
    
    gnat-32bit
    gnat-runtime-32bit
    

#### Ubuntu

Ubuntu (and derivatives like Kubuntu, Xubuntu...) is a Debian-based Linux distribution, thus the [installation process described above](All_Chapters.html#Debian_.28GNU.2FLinux_and_GNU.2FkFreeBSD.29) can be used. Graphical package managers like Synaptic or Adept can also be employed to select the Ada packages.

## ICC from Irvine Compiler Corporation

[Irvine Compiler Corporation](http://www.irvine.com/) provides native and cross compilers for various platforms.[[5]](http://www.irvine.com/products.html) The compiler and run-time system support development of certified, safety-critical software.

Commercial, proprietary. No-cost evaluation is possible on request. Royalty-free redistribution of the run-time system is allowed.

## Janus/Ada 83 and 95 from RR Software

[RR Software](http://www.rrsoftware.com) offers native compilers for MS-DOS, Microsoft Windows and various Unix and Unix-like systems, and a library for Windows GUI programming called CLAW. There are academic, personal and professional editions, as well as support options.

Commercial but relatively cheap; proprietary.

## MAXAda from Concurrent

[Concurrent](http://www.ccur.com/) offers [MAXAda](http://www.ccur.com/products_rt_maxada.aspx), an Ada 95 compiler for Linux/Xeon and PowerPC platforms, and Ada bindings to POSIX and X/Motif.[[6]](http://www.ccur.com/pdf/cpb-sw-maxada.pdf)

Commercial, proprietary.

## ObjectAda from Atego (formerly Aonix)

[Atego](http://www.atego.com/) offers native and cross compilers for various platforms. They come with an IDE, a debugger, a plug-in for Eclipse and a [POSIX binding](http://en.wikibooks.org/wiki/Ada_Programming/Platform/POSIX) [[7]](http://www.aonix.com/pdf/oa-linux.pdf).

On Microsoft Windows and GNU/Linux on i386, Aonix offers two pricing models, at the customer's option: either a perpetual license fee with optional support, or just the yearly support fee: For Linux, that's $3000 for a single user or $12,000 for a 5-user service pack. See the [full press release](http://www.atego.com/pressreleases/pressitem/aonix-shatters-ada-price-barrier-for-linux).

In addition, they offer "ObjectAda Special Edition": a no-cost evaluation version of ObjectAda that limits the size of programs that can be compiled with it, but is otherwise fully functional, with IDE and debugger. [Free registration required](http://www.atego.com/support/eval-aonix-objectada/).

A recent contribution by Atego is [ADT](http://www.aonix.com/adt.html) for [Eclipse](http://www.eclipse.org). The _Ada Development Tools_ add Ada language support to the Eclipse open source development platform. ADT can be used with Aonix compilers, and with GNAT. An open source vendor supported project is outlined for [ADT at Eclipse](http://www.eclipse.org/proposals/adt/). Codenamed _Hibachi_ and showcased at the Ada Conference UK 2007 and during Ada-Europe 2007, the project has now been officially [created](http://www.eclipse.org/hibachi/).

Commercial, proprietary.

## PowerAda from OC Systems

[OC Systems](http://www.ocsystems.com/) offers Ada compilers and bindings to POSIX and X-11:

  * [PowerAda](http://www.ocsystems.com/prod_powerada.html), an Ada 95 compiler for Linux and AIX,
  * [LegacyAda/390](http://www.ocsystems.com/prod_legacyada.html), an Ada 83 compiler for IBM System 370 and 390 mainframes

Commercial, proprietary.

## Rational Apex from Atego (formerly IBM Rational[[1]](All_Chapters.html#cite_note-6))

[Rational Apex](http://www-306.ibm.com/software/awdtools/developer/ada/) for native and embedded development.

Commercial, proprietary.

## SCORE from DDC-I

[DDC-I](http://www.ddci.com/) offers its SCORE cross-compilers for embedded development. SCORE stands for Safety-Critical, Object-oriented, Real-time Embedded.

Commercial, proprietary.

## XD Ada from SWEP-EDS

[XD Ada](http://www.swep-eds.com/XD%20Ada/Xd%20ada.htm) is an Ada 83 cross-compiler for embedded development. Hosts include VAX, Alpha and Integrity Servers running OpenVMS. Targets include Motorola 68000 and MIL-STD-1750A processors.

Commercial, proprietary.

## XGC Ada from XGC Software

XGC compilers are GCC with custom run-time libraries suitable for avionics and space applications. The run-time kernels are very small and do not support exception propagation (i.e. you can handle an exception only in the subprogram that raised it).

Commercial but some versions are also offered as free downloads. Free Software.

Languages supported
Ada 83, Ada 95, C

License for the run-time library
GNAT-Modified GPL

Native platforms
none

Cross platforms
Hosts: sun-sparc-solaris, pc-linux2.*; targets are bare boards with [ERC32](http://en.wikipedia.org/wiki/ERC32), [MIL-STD-1750A](http://en.wikipedia.org/wiki/MIL-STD-1750A), [Motorola 68000](http://en.wikipedia.org/wiki/Motorola_68000) family or [Intel 32-bit](http://en.wikipedia.org/wiki/IA_32) processors. [PowerPC](http://en.wikipedia.org/wiki/PowerPC) and [Intel 80186](http://en.wikipedia.org/wiki/Intel_80186) targets on request.

Compiler back-end
GCC 2.8.1

Available from
<http://www.xgc.com/>

Support
Commercial

Add-ons included
Ravenscar-compliant run-time kernels, certified for avionics and space applications; gdb cross-debugger; target simulator.

## References

  1. [↑](All_Chapters.html#cite_ref-6) [Atego acquires IBM Rational Apex Ada Developer product family](http://www.atego.com/pressreleases/pressitem/atego-acquires-ibm-rational-apex-ada-developer-product-family/)

  


# Building

Ada programs are usually easier to build than programs written in other languages like C or C++, which frequently require a makefile. This is because an Ada source file already specifies the dependencies of its source unit. See the **[with** keyword](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) for further details.

Building an Ada program is not defined by the Reference Manual, so this process is absolutely dependent on the compiler. Usually the compiler kit includes a make tool which compiles a main program and all its dependencies, and links an executable file.

## Building with various compilers

    _This list is incomplete. You can help Wikibooks by [adding the build information](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Building&action=edit) for other compilers._

### GNAT

With [GNAT](http://en.wikipedia.org/wiki/GNAT), you can run this command:
    
    
    gnat make _<your_unit_file>_
    

If the file contains a procedure, gnatmake will generate an executable file with the procedure as main program. Otherwise, e.g. a package, gnatmake will compile the unit and all its dependencies.

#### GNAT command line

gnatmake can be written as one word `gnatmake` or two words `gnat make`. For a full list of gnat commands just type `gnat` without any command options. The output will look something like this:
    
    
    GNAT 3.4.3 Copyright 1996-2004 Free Software Foundation, Inc.
    
    List of available commands
    
    GNAT BIND               gnatbind
    GNAT CHOP               gnatchop
    GNAT CLEAN              gnatclean
    GNAT COMPILE            gnatmake -c -f -u
    GNAT ELIM               gnatelim
    GNAT FIND               gnatfind
    GNAT KRUNCH             gnatkr
    GNAT LINK               gnatlink
    GNAT LIST               gnatls
    GNAT MAKE               gnatmake
    GNAT NAME               gnatname
    GNAT PREPROCESS         gnatprep
    GNAT PRETTY             gnatpp
    GNAT STUB               gnatstub
    GNAT XREF               gnatxref
    
    Commands FIND, LIST, PRETTY, STUB and XREF accept project file switches -vPx, -Pprj and -Xnam=val
    

For further help on the option just type the command (one word or two words — as you like) without any command options.

#### GNAT IDE

The GNAT toolchain comes with an [IDE](http://en.wikipedia.org/wiki/Integrated_development_environment) called [GPS](http://en.wikipedia.org/wiki/GNAT_Programming_Studio), included with recent releases of the [GPL version of GNAT](http://en.wikipedia.org/wiki/GNAT#License). GPS features a [graphical user interface](http://en.wikipedia.org/wiki/Graphical_user_interface).

[Emacs](http://en.wikipedia.org/wiki/Emacs) includes ([Ada Mode](http://stephe-leake.org/emacs/ada-mode/emacs-ada-mode.html)), and GNAT plugins for [KDevelop](http://en.wikipedia.org/wiki/KDevelop) and [Vim](http://en.wikipedia.org/wiki/Vim_\(text_editor\)) ([Ada Mode](http://www.vim.org/scripts/script.php?script_id=1609)) are available.

Vim Ada Mode is maintained by [The GNU Ada project](http://gnuada.sourceforge.net).

#### GNAT with Xcode

Apple's free (gratis) IDE, [Xcode](http://en.wikipedia.org/wiki/Apple_Xcode), uses the [LLVM](http://en.wikipedia.org/wiki/LLVM) compiler with the [Clang](http://en.wikipedia.org/wiki/Clang) front-end, and does not support Ada: however, in Xcode 4.3 for [OS X Lion](http://en.wikipedia.org/wiki/OS_X_Lion) and later versions, the command line tools (assembler, linker etc) which are required to use GNAT are an optional component of Xcode and must be [specially installed](https://developer.apple.com/library/ios/documentation/DeveloperTools/Conceptual/WhatsNewXcode/Articles/xcode_4_3.html).

### Rational APEX

Rational APEX is a complete development environment comprising a language sensitive editor, compiler, debugger, coverage analyser, configuration management and much more. You normally work with APEX running a GUI.

APEX has been built for the development of big programs. Therefore the basic entity of APEX is a _subsystem_, a directory with certain traits recognized by APEX. All Ada compilation units have to reside in subsystems.

You can define an _export set_, i.e. the set of Ada units visible to other subsystems. However for a subsystem A to gain visibility to another subsystem B, A has to _import_ B. After importing, A sees all units in B's export set. (This is much like the with-clauses, but here visibility means only potential visibility for Ada: units to be actually visible must be mentioned in a with-clause of course; units not in the export set cannot be used in with-clauses of Ada units in external subsystems.)

Normally subsystems should be hierarchically ordered, i.e. form a directed graph. But for special uses, subsystems can also mutually import one another.

For configuration management, a subsystem is decomposed in _views_, subdirectories of the subsystem. Views hold different development versions of the Ada units. So actually it's not subsystems which import other subsystems, rather subsystem views import views of other subsystems. (Of course, the closure of all imports must be consistent — it cannot be the case that e.g. subsystem (A, view A1) imports subsystems (B, B1) and (C, C1), whereas (B, B1) imports (C, C2)).

A view can be defined to be the development view. Other views then hold releases at different stages.

Each Ada compilation unit has to reside in a file of its own. When compiling an Ada unit, the compiler follows the with-clauses. If a unit is not found within the subsystem holding the compile, the compiler searches the import list (only the direct imports are considered, not the closure).

Units can be taken under version control. In each subsystem, a set of _histories_ can be defined. An Ada unit can be taken under control in a history. If you want to edit it, you first have to check it out — it gets a new version number. After the changes, you can check it in again, i.e. make the changes permanent (or you abandon your changes, i.e. go back to the previous version). You normally check out units in the development view only; check-outs in release views can be forbidden.

You can select which version shall be the active one; normally it is the one latest checked in. You can even switch histories to get different development paths. e.g. different bodies of the same specification for different targets.

### ObjectAda

ObjectAda is a set of tools for editing, compiling, navigating and debugging programs written in Ada. There are various editions of ObjectAda. With some editions you compile programs for the same platform and operating systems on which you run the tools. These are called native. With others, you can produce programs for different operating systems and platforms. One possible platform is the Java virtual machine.

These remarks apply to the native Microsoft Windows edition. You can run the translation tools either from the IDE or from the command line.

Whether you prefer to work from the IDE, or from the command line, a little bookkeeping is required. This is done by creating a project. Each project consists of a number of source files, and a number of settings like search paths for additional Ada libraries and other dependences. Each project also has at least one target. Typically, there is a debug target, and a release target. The names of the targets indicate their purpose. At one time you compile for debugging, typically during development, at other times you compile with different settings, for example when the program is ready for release. Some (all commercial?) editions of ObjectAda permit a Java (VM) target.

### DEC Ada for VMS

DEC Ada is an Ada 83 compiler for [VMS](http://en.wikipedia.org/wiki/OpenVMS). While “DEC Ada” is probably the name most users know, the compiler is now called “[HP Ada](http://h71000.www7.hp.com/commercial/ada/ada_index.html)”. It had previously been known also by names of "VAX Ada" and "Compaq Ada".

DEC Ada uses a true library management system — so the first thing you need to do is create and activate a library:
    
    
    ACS Library Create [MyLibrary]
    ACS Set Library [MyLibrary]
    

When creating a library you already set some constraints like support for Long_Float or the available memory size. So carefully read
    
    
    HELP ACS Library Create *
    

Then next step is to load your Ada sources into the library:
    
    
    ACS Load [Source]*.ada
    

The sources don't need to be perfect at this stage but syntactically correct enough for the compiler to determine the packages declared and analyze the `[with`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) statements. Dec Ada allows you to have more than one package in one source file and you have any filename convention you like. The purpose of `ACS Load` is the creation of the dependency tree between the source files.

Next you compile them:
    
    
    ACS Compile *
    

Note that compile take the package name and not the filename. The wildcard `*` means _all packages loaded_. The compiler automatically determines the right order for the compilation so a [make](http://en.wikipedia.org/wiki/make_\(software\)) tool is not strictly needed.

Last but not least you link your file into an
    
    
    ACS Link /Executable=[Executables]Main.exe Main
    

On large systems you might want to break sources down into several libraries — in which case you also need
    
    
    ACS Merge /Keep *
    

to merge the content of the current library with the library higher up the hierarchy. The larger libraries should then be created with:
    
    
    ACS Library Create /Large
    

This uses a different directory layout more suitable for large libraries.

#### DEC Ada IDE

Dec Ada comes without an IDE, however the DEC [LSE](http://en.wikipedia.org/wiki/Language-Sensitive_Editor) as well as the [Ada Mode](http://www.vim.org/scripts/script.php?script_id=1609) of the [Vim text editor](http://en.wikipedia.org/wiki/Vim_\(text_editor\)) support DEC Ada.

## Compiling our Demo Source

Once you have [downloaded](https://sourceforge.net/project/showfiles.php?group_id=124904) our example programs you might wonder how to compile them.

First you need to extract the sources. Use your favorite [zip tool](http://en.wikipedia.org/wiki/ZIP_\(file_format\)) to achieve that. On extraction a directory with the same name as the filename is created. Beware: WinZip might also create a directory equaling the filename so Windows users need to be careful using the right option otherwise they end up with wikibook-ada-1_2_0.src\wikibook-ada-1_2_0.

Once you extracted the files you will find all sources in wikibook-ada-1_2_0/Source. You could compile them right there. For your convenience we also provide ready made project files for the following IDEs (If you find a directory for an IDEs not named it might be in the making and not actually work).

### GNAT

You will find multi-target GNAT Project files and a multi-make Makefile file in wikibook-ada-2_0_0/GNAT. For i686 Linux and Windows you can compile any demo using:
    
    
    gnat make -P _project_file_
    

You can also open them inside the GPS with
    
    
    gps -P _project_file_
    

For other target platform it is a bit more difficult since you need to tell the project files which target you want to create. The following options can be used:

style ("Debug", "Release")
    you can define if you like a debug or release version so you can compare how the options affect size and speed.
os ("Linux", "OS2", "Windows_NT", "VMS") 
    choose your operating system. Since there is no Ada 2005 available for OS/2 don't expect all examples to compile.
target ("i686", "x86_64", "AXP")
    choose your CPU — "[i686](http://en.wikipedia.org/wiki/x86)" is any form of 32bit Intel or AMD CPU, "[x86_64](http://en.wikipedia.org/wiki/x86-64)" is an 64 bit Intel or AMD CPU and if you have an "[AXP](http://en.wikipedia.org/wiki/DEC_Alpha)" then you know it.

Remember to type all options as they are shown. To compile a debug version on x86-64 Linux you type:
    
    
    gnat make -P _project_file_ -Xstyle=Debug -Xos=Linux -Xtarget=x86_64
    

As said in the beginning there is also a **makefile** available that will automatically determine the target used. So if you have a GNU make you can save yourself a lot of typing by using:
    
    
    make _project_
    

or even use
    
    
    make _all_
    

to make all examples in debug and release in one go.

Each compile is stored inside its own directory which is created in the form of wikibook-ada-2_0_0/GNAT/**OS**-**Target**-**Style**. Empty directories are provided inside the archive.

### Rational APEX

APEX uses the subsystem and view directory structure, so you will have to create those first and copy the source files into the view. After creating a view using the architecture model of your choice, use the menu option "Compile -> Maintenance -> Import Text Files". In the Import Text Files dialog, add "wikibook-ada-2_0_0/Source/*.ad?" to select the Ada source files from the directory you originally extracted to. Apex uses the file extensions .1.ada for specs and .2.ada for bodies — don't worry, the import text files command will change these automatically.

To link an example, select its main subprogram in the directory viewer and click the link button in the toolbar, or "Compile -> Link" from the menu. Double-click the executable to run it. You can use the shift-key modifier to bypass the link or run dialog.

### ObjectAda

#### ObjectAda command-line

The following describes using the ObjectAda tools for Windows in a console window.

Before you can use the ObjectAda tools from the command line, make sure the `PATH` environment variable lists the directory containing the ObjectAda tools. Something like
    
    
    set path=%path%;P:\Programs\Aonix\ObjectAda\bin
    

A minimal ObjectAda project can have just one source file. like the Hello World program provided in

File: hello_world_1.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/hello_world_1.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/hello_world_1.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))

To build an executable from this source file, follow these steps (assuming the current directory is a fresh one and contains the above mentioned source file):

  * Register your source files:
    
    
    X:\some\directory> adareg hello_world_1.adb
    

This makes your sources known to the ObjectAda tools. Have a look at the file UNIT.MAP created by adareg in the current directory if you like seeing what is happening under the hood.

  * Compile the source file:
    
    
    X:\some\directory> adacomp hello_world_1.adb
    Front end of hello_world_1.adb succeeded with no errors.
    

  * Build the executable program:
    
    
    X:\some\directory> adabuild hello_world_1
    ObjectAda Professional Edition Version 7.2.2: adabuild
       Copyright (c) 1997-2002 Aonix.  All rights reserved.
    Linking...
    Link of hello completed successfully
    

Notice that you specify the name of the main unit as argument to `adabuild`, not the name of the source file. In this case, it is _Hello_World_1_ as in
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Hello_World_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    

More information about the tools can be found in the user guide _Using the command line interface_, installed with the ObjectAda tools.

## External links

  * GNAT Online Documentation: 
    * [GNAT User's Guide](http://gcc.gnu.org/onlinedocs/gcc-4.0.1/gnat_ugn_unw/)
  * DEC Ada: 
    * [Developing Ada Products on OpenVMS](http://h71000.www7.hp.com/commercial/ada/ada_dap.pdf) (PDF)
    * [DEC Ada — Language Reference Manual](http://h71000.www7.hp.com/commercial/ada/ada_lrm.pdf) (PDF)
    * [DEC Ada — Run-Time Reference](http://h71000.www7.hp.com/commercial/ada/ada_rtr.pdf) (PDF)

  


# Control Statements

## Conditionals

Conditional clauses are blocks of code that will only execute if a particular expression (the condition) is [true](http://en.wikipedia.org/wiki/Truth_function).

### _if_-_else_

The _if_-_else_ statement is the simplest of the conditional statements. They are also called branches, as when the program arrives at an _if_ statement during its execution, control will "branch" off into one of two or more "directions". An _if_-_else_ statement is generally in the following form:

  

    
    
    [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) _condition_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        _statement_;
    [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
        _other statement_;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    

If the original condition is met, then all the code within the first statement is executed. The optional else section specifies an alternative statement that will be executed if the condition is false. Exact syntax will vary between programming languages, but the majority of programming languages (especially [procedural](http://en.wikibooks.org/wiki/Computer_Programming/Procedural_programming) and [structured](http://en.wikibooks.org/wiki/Computer_Programming/Structured_programming) languages) will have some form of if-else conditional statement built-in. The if-else statement can usually be extended to the following form:

  

    
    
    [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) _condition_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        _statement_;
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) _condition_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        _other statement_;
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) _condition_ [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        _other statement_;
    ...
    [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
        _another statement_;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if); 
    

Only one statement in the entire block will be executed. This statement will be the first one with a condition which evaluates to be true. The concept of an if-else-if structure is easier to understand with the aid of an example:

  

    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    ...
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Degrees [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Float [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -273.15 .. Float'Last;
    ...
    Temperature : Degrees;
    ...
    [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Temperature >= 40.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        Put_Line ("Wow!");
        Put_Line ("It's extremely hot");
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) Temperature >= 30.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        Put_Line ("It's hot");
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) Temperature >= 20.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        Put_Line ("It's warm");
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) Temperature >= 10.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        Put_Line ("It's cool");
    [elsif](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/elsif) Temperature >= 0.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
        Put_Line ("It's cold");
    [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
        Put_Line ("It's freezing");
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if); 
    

### Optimizing hints

When this program executes, the computer will check all conditions in order until one of them matches its concept of truth. As soon as this occurs, the program will execute the statement immediately following the condition and continue on, without checking any other condition for truth. For this reason, when you are trying to [optimize](http://en.wikipedia.org/wiki/Optimization_\(computer_science\)) a program, it is a good idea to sort your if-else conditions in descending [probability](http://en.wikibooks.org/wiki/Probability/Introduction). This will ensure that in the most common scenarios, the computer has to do less work, as it will most likely only have to check one or two "branches" before it finds the statement which it should execute. However, when writing programs for the first time, try not to think about this too much lest you find yourself undertaking [premature optimization](http://en.wikipedia.org/wiki/Premature_optimization#When_to_optimize).

Having said all that, you should be aware that an [optimizing compiler](http://en.wikipedia.org/wiki/Optimizing_compiler) might rearrange your _if statement_ at will when the statement in question is free from [side effects](http://en.wikipedia.org/wiki/Side-effect_\(computer_science\)). Among other techniques optimizing compilers might even apply [jump tables](http://en.wikipedia.org/wiki/Jump_table) and [binary searches](http://en.wikipedia.org/wiki/Binary_search).

  
In Ada, conditional statements with more than one conditional do not use short-circuit evaluation by default. In order to mimic C/C++'s short-circuit evaluation, use ``[and`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) `[then`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)` or ``[or`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or) `[else`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)` between the conditions.

### _case_

Often it is necessary to compare one specific variable against several constant expressions. For this kind of conditional expression the _case_ statement exists. For example:

  

    
    
    [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) 1 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow)
    
          Walk_The_Dog;
    
       [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) 5 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow)
    
          Launch_Nuke;
    
       [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) 8 | 10 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow)
    
          Sell_All_Stock;
    
       [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) [others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow)
    
          Self_Destruct;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case);
    

The subtype of X must be a discrete type, i.e. an enumeration or integer type.

In Ada, one advantage of the case statement is that the compiler will check the coverage of the choices, that is, all the values of the subtype of variable X must be present or a default branch `[when`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) `[others`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) must specify what to do in the remaining cases.

## Unconditionals

Unconditionals let you change the flow of your program without a condition. You should be careful when using unconditionals. Often they make programs difficult to understand. Read [Isn't goto evil?](All_Chapters.html#Isn.27t_goto_evil.3F) for more information.

### _return_

End a function and return to the calling procedure or function.

  
For procedures:
    
    
    [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return);
    

For functions:
    
    
    [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Value;
    

### _goto_

_Goto_ transfers control to the statement after the label.

  

    
    
       [goto](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/goto) Label;
    
       Dont_Do_Something;
    
    <<Label>>
       ...
    

#### Isn't _goto_ evil?

One often hears that _goto_ is **evil** and one should avoid using _goto_. But it is often overlooked that any return which is not the last statement inside a procedure or function is also an unconditional statement — a _goto_ in disguise. There is an important difference though: a return is a forward only use of _goto_. Exceptions are also a type of goto statement; worse, they need not specify where they are going to!

Therefore if you have functions and procedures with more than one _return_ statement you can just as well use _goto_. When it comes down to readability the following two samples are almost the same:

  

    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Use_Return [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Do_Something;
    
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Test [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    
       Do_Something_Else;
    
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Use_Return;
    
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Use_Goto [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Do_Something[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Test [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          [goto](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/goto) Exit_Use_Goto[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       Do_Something_Else[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    <<Exit_Use_Goto>>
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Use_Goto[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Because the use of a _goto_ needs the declaration of a label, the _goto_ is in fact twice as readable than the use of _return_. So if readability is your concern and not a strict "don't use _goto_" programming rule then you should rather use _goto_ than multiple _return_s. Best, of course, is the structured approach where neither _goto_ nor multiple _returns_ are needed:

  

    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Use_If [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Do_Something;
      
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) Test [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
    
          Do_Something_Else;
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Use_If;
    

## Loops

Loops allow you to have a set of statements repeated over and over again.

### Endless Loop

The endless loop is a loop which never ends and the statements inside are repeated forever. Never is meant as a relative term here — if the computer is switched off then even endless loops will end very abruptly.

  

    
    
    _Endless_Loop_ :
       [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          Do_Something;
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop) _Endless_Loop_;
    

The loop name (in this case, "Endless_Loop") is an optional feature of Ada. Naming loops is nice for readability but not strictly needed. Loop names are useful though if the program should jump out of an inner loop, see below.

### Loop with condition at the beginning

This loop has a condition at the beginning. The statements are repeated as long as the condition is met. If the condition is not met at the very beginning then the statements inside the loop are never executed.

  

    
    
    _While_Loop_ :
       [while](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/while) X <= 5 [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          X := Calculate_Something;
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop) _While_Loop_;
    

### Loop with condition at the end

This loop has a condition at the end and the statements are repeated until the condition is met. Since the check is at the end the statements are at least executed once.

  

    
    
    _Until_Loop_ :
       [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          X := Calculate_Something;
    
          [exit](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exit) Until_Loop [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) X > 5;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop) _Until_Loop_;
    

### Loop with condition in the middle

Sometimes you need to first make a calculation and exit the loop when a certain criterion is met. However when the criterion is not met there is something else to be done. Hence you need a loop where the exit condition is in the middle.

  

    
    
    _Exit_Loop_ :
       [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          X := Calculate_Something;
    
          [exit](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exit) Exit_Loop [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) X > 5;
    
          Do_Something (X);
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)  _Exit_Loop_;
    

In Ada the **exit** condition can be combined with any other loop statement as well. You can also have more than one **exit** statement. You can also exit a named outer loop if you have several loops inside each other.

### _for_ loop

Quite often one needs a loop where a specific variable is counted from a given start value up or down to a specific end value. You could use the [while](All_Chapters.html#Loop_with_condition_at_the_beginning) loop here — but since this is a very common loop there is an easier syntax available.

  

    
    
    _For_Loop_ :
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10 [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          Do_Something (I)
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop) _For_Loop_;
    

You don't have to declare both type and range as seen in the example. If you leave out the type then the compiler will determine the type by context and leave out the range then the loop will iterate over every valid value for the type given.

As always with Ada: when "determine by context" gives two or more possible options then an error will be displayed and then you have to name the type to be used. Ada will only do "guess-works" when it is safe to do so.

#### _for_ loop on arrays

Another very common situation is the need for a loop which iterates over every element of an array. The following sample code shows you how to achieve this:

  

    
    
    _Array_Loop_ :
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) X'[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
    
          X (I) := Get_Next_Element;
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop) _Array_Loop_;
    

With X being an array. Note: This syntax is mostly used on arrays — hence the name — but will also work with other types when a full iteration is needed.

Unlike other loop counters, the loop counter i, in the for loop statement the value cannot be changed. The following is illegal.
    
    
    for i in 1 .. 10 loop
       i := i + 1;
    end loop;
    

Also the declaration of the loop counter ceases after the body of the loop.

The right thing would be
    
    
    i:= 0;
    for i in 1 .. 10 loop
       i := i + 1;
    end loop;
    

#### Working Demo

The following Demo shows how to iterate over every element of an integer type.

File: range_1.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/range_1.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/range_1.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Range_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Range_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -5 .. 10;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) I_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new)  [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Integer_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Integer_IO&action=edit&redlink=1) (Range_Type);
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) A [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Range_Type [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          I_IO.Put (Item  => A,
                    Width => 3,
                    Base  => 10);
    
          [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) A < Range_Type'Last [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
             T_IO.Put (",");
          [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
             T_IO.New_Line;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Range_1;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Ada Reference Manual

  * [5.3 If Statements](http://www.adaic.com/standards/05rm/html/RM-5-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-3.html))
  * [5.4 Case Statements](http://www.adaic.com/standards/05rm/html/RM-5-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-4.html))
  * [5.5 Loop Statements](http://www.adaic.com/standards/05rm/html/RM-5-5.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-5.html))
  * [5.6 Block Statements](http://www.adaic.com/standards/05rm/html/RM-5-6.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-6.html))
  * [5.7 Exit Statements](http://www.adaic.com/standards/05rm/html/RM-5-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-7.html))
  * [5.8 Goto Statements](http://www.adaic.com/standards/05rm/html/RM-5-8.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-5-8.html))
  * [6.5 Return Statements](http://www.adaic.com/standards/05rm/html/RM-6-5.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-6-5.html))

  


# Type System

Ada's type system allows the programmer to construct powerful abstractions that represent the real world, and to provide valuable information to the compiler, so that the compiler can find many logic or design errors before they become bugs. It is at the heart of the language, and good Ada programmers learn to use it to great advantage. Four principles govern the type system:

  * **Strong typing**: types are incompatible with one another, so it is not possible to mix apples and oranges. There are, however, ways to convert between types.
  * **Static typing**: type checked while compiling, this allows type errors to be found earlier.
  * **Abstraction**: types represent the real world or the problem at hand; not how the computer represents the data internally. There are ways to specify exactly how a type must be represented at the bit level, but we will defer that discussion to another chapter.
  * **Name equivalence**, as opposed to _structural equivalence_ used in most other languages. Two types are compatible if and only if they have the same name; _not_ if they just happen to have the same size or bit representation. You can thus declare two integer types with the same ranges that are totally incompatible, or two record types with exactly the same components, but which are incompatible.

Types are incompatible with one another. However, each type can have any number of _subtypes_, which are compatible with their base type and may be compatible with one another. See below for examples of subtypes which are incompatible with one another.

## Predefined types

There are several predefined types, but most programmers prefer to define their own, application-specific types. Nevertheless, these predefined types are very useful as interfaces between libraries developed independently. The predefined library, obviously, uses these types too.

These types are predefined in the [Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard) package:

Integer
    This type covers at least the range ![-2^{15}+1](../../../upload.wikimedia.org/math/b/d/4/bd4145f96be4ed6e3397a2ee45a8823e.png) .. ![+2^{15}-1](../../../upload.wikimedia.org/math/f/4/a/f4aaac55ae4e4197c4a869471b7af22b.png) (RM [3.5.4 (21)](http://www.adaic.com/standards/05rm/html/RM-3-5-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-4.html))). The Standard also defines `Natural` and `Positive` subtypes of this type.

![](../../../upload.wikimedia.org/wikibooks/en/timeline/0a803c4284575ad9d5ef9c09fae2be40.png)

Float
    There is only a very weak implementation requirement on this type (RM [3.5.7 (14)](http://www.adaic.com/standards/05rm/html/RM-3-5-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-7.html))); most of the time you would define your own floating-point types, and specify your precision and range requirements.
Duration
    A [fixed point type](http://en.wikibooks.org/wiki/Ada_Programming/Types/delta) used for timing. It represents a period of time in seconds (RM [A.1 (43)](http://www.adaic.com/standards/05rm/html/RM-A-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-1.html))).
Character 
    A special form of [Enumerations](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration). There are three predefined kinds of character types: 8-bit characters (called `Character`), 16-bit characters (called `Wide_Character`), and 32-bit characters (`Wide_Wide_Character`). `Character` has been present since the first version of the language ([Ada 83](http://en.wikibooks.org/wiki/Ada_Programming/Ada_83)), `Wide_Character` was added in [Ada 95](http://en.wikibooks.org/wiki/Ada_Programming/Ada_95), while the type `Wide_Wide_Character` is available with [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005).
[String](http://en.wikibooks.org/wiki/Ada_Programming/Strings)
    Three indefinite [array types](http://en.wikibooks.org/wiki/Ada_Programming/Types/array), of `Character`, `Wide_Character`, and `Wide_Wide_Character` respectively. The standard library contains packages for handling strings in three variants: fixed length (`[Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Fixed](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Fixed&action=edit&redlink=1)`), with varying length below a certain upper bound (`[Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Bounded](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Bounded&action=edit&redlink=1)`), and unbounded length (`[Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded)`). Each of these packages has a `Wide_` and a `Wide_Wide_` variant.
Boolean 
    A `Boolean` in Ada is an [Enumeration](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration) of `False` and `True` with special semantics.

Packages `[System](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/System)` and `[System](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/System)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Storage_Elements](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/System.Storage_Elements&action=edit&redlink=1)` predefine some types which are primarily useful for low-level programming and interfacing to hardware.

System.Address 
    An address in memory.
System.Storage_Elements.Storage_Offset 
    An offset, which can be added to an address to obtain a new address. You can also subtract one address from another to get the offset between them. Together, `Address`, `Storage_Offset` and their associated subprograms provide for address arithmetic.
System.Storage_Elements.Storage_Count 
    A subtype of `Storage_Offset` which cannot be negative, and represents the memory size of a data structure (similar to C's `size_t`).
System.Storage_Elements.Storage_Element 
    In most computers, this is a byte. Formally, it is the smallest unit of memory that has an address.
System.Storage_Elements.Storage_Array 
    An array of `Storage_Element`s without any meaning, useful when doing raw memory access.

## The Type Hierarchy

Types are organized hierarchically. A type inherits properties from types above it in the hierarchy. For example, all scalar types (integer, enumeration, modular, fixed-point and floating-point types) have [operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators) "<", ">" and arithmetic operators defined for them, and all discrete types can serve as array indexes.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c2/Ada_types.png/550px-Ada_types.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Ada type hierarchy

Here is a broad overview of each category of types; please follow the links for detailed explanations. Inside parenthesis there are equivalences in C and Pascal for readers familiar with those languages.

[Signed Integers](http://en.wikibooks.org/wiki/Ada_Programming/Types/range) (**int**, **INTEGER**) 
    Signed Integers are defined via the [range](http://en.wikibooks.org/wiki/Ada_Programming/Types/range) of values needed.
[Unsigned Integers](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod) (**unsigned**, **CARDINAL**) 
    Unsigned Integers are called [Modular Types](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod). Apart from being unsigned they also have wrap-around functionality.
[Enumerations](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration) (**enum**, **char**, **bool**, **BOOLEAN**) 
    Ada [Enumeration](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration) types are a separate type family.
[Floating point](http://en.wikibooks.org/wiki/Ada_Programming/Types/digits) (**float**, **double**, **REAL**) 
    Floating point types are defined by the [digits](http://en.wikibooks.org/wiki/Ada_Programming/Types/digits) needed, the relative error bound.
[Ordinary and Decimal Fixed Point](http://en.wikibooks.org/wiki/Ada_Programming/Types/delta) (**DECIMAL**) 
    Fixed point types are defined by their [delta](http://en.wikibooks.org/wiki/Ada_Programming/Types/delta), the absolute error bound.
[Arrays](http://en.wikibooks.org/wiki/Ada_Programming/Types/array) ( **[ ]**, **ARRAY [ ] OF**, **STRING** ) 
    Arrays with both compile-time and run-time determined size are supported.
[Record](http://en.wikibooks.org/wiki/Ada_Programming/Types/record) (**struct**, **class**, **RECORD OF**) 
    A **record** is a [composite type](http://en.wikibooks.org/wiki/Ada_Programming/Types#List_of_types) that groups one or more fields.
[Access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) (*****, **^**, **POINTER TO**) 
    Ada's [Access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) types may be more than just a simple memory address.
[Task & Protected](http://en.wikibooks.org/wiki/Ada_Programming/Tasking) (no equivalence in C or Pascal) 
    Task and Protected types allow the control of concurrency
[Interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface) (no equivalence in C or Pascal) 
    New in Ada 2005, these types are similar to the Java interfaces.

### Classification of Types

The types of this hierarchy can be classified as follows.

**Specific vs. Class-wide**
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...  -- specific
      T'Class      -- class-wide
    

Operations of specific types are _non-dispatching_, those on class-wide types are _dispatching_.

New types can be declared by _deriving_ from specific types; primitive operations are _inherited_ by derivation. You cannot derive from class-wide types.

**Constrained vs. Unconstrained**
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) I [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;           -- constrained
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) AC [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. 10) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) ...  -- constrained
    
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) AU [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (I [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) ...          -- unconstrained
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) R (X: Discriminant [:= Default]) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...  -- unconstrained
    

By giving a _constraint_ to an unconstrained subtype, a subtype or object becomes constrained:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) RC [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) R (Value);  -- constrained subtype of R
    OC: R (Value);            -- constrained object of anonymous constrained subtype of R
    OU: R;                    -- unconstrained object
    

Declaring an unconstrained object is only possible if a default value is given in the type declaration above. The language does not specify how such objects are allocated. GNAT allocates the maximum size, so that size changes that might occur with discriminant changes present no problem. Another possibility is implicit dynamic allocation on the heap and deallocation followed be a re-allocation when the size changes.

**Definite vs. Indefinite**
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) I [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;                     -- definite
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) RD (X: Discriminant := Default) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...  -- definite
    
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...                    -- indefinite
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) AU [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (I [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) ...  -- indefinite
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) RI (X: Discriminant) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...      -- indefinite
    

Definite subtypes allow the declaration of objects without initial value, since objects of definite subtypes have constraints that are known at creation-time. Object declarations of indefinite subtypes need an initial value to supply a constraint; they are then constrained by the constraint delivered by the initial value.
    
    
    OT: T  := Expr;                       -- some initial expression (object, function call, etc.)
    OA: AU := (3 => 10, 5 => 2, 4 => 4);  -- index range is now 3 .. 5
    OR: RI := Expr;                       -- again some initial expression as above
    

**Unconstrained vs. Indefinite**

Note that unconstrained subtypes are not necessarily indefinite as can be seen above with RD: it is a definite unconstrained subtype.

## Concurrency Types

The Ada language uses types for one more purpose in addition to classifying data + operations. The type system integrates concurrency (threading, parallelism). Programmers will use types for expressing the concurrent threads of control of their programs.

The core pieces of this part of the type system, the **task** types and the **protected** types are explained in greater depth in [a section on tasking](http://en.wikibooks.org/wiki/Ada_Programming/Tasking).

## Limited Types

Limiting a type means disallowing assignment. The “concurrency types” described above are always limited. Programmers can define their own types to be limited, too, like this:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) …;
    

(The ellipsis stands for `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private), or for a `[record`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record) definition, see the corresponding subsection on this page.) A limited type also doesn't have an equality operator unless the programmer defines one.

You can learn more in the [limited types](http://en.wikibooks.org/wiki/Ada_Programming/Types/limited) chapter.

## Defining new types and subtypes

You can define a new type with the following syntax:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)...
    

followed by the description of the type, as explained in detail in each category of type.

Formally, the above declaration creates a type and its _first subtype_ named `T`. The type itself, correctly called the "type of T", is anonymous; the RM refers to it as `_T_` (in italics), but often speaks sloppily about the type T. But this is an academic consideration; for most purposes, it is sufficient to think of `T` as a type. For scalar types, there is also a base type called `T'Base`, which encompasses all values of T.

For signed integer types, the type of T comprises the (complete) set of mathematical integers. The base type is a certain hardware type, symmetric around zero (except for possibly one extra negative value), encompassing all values of T.

As explained above, all types are incompatible; thus:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    A : Integer_1 := 8;
    B : Integer_2 := A; _-- illegal!_
    

is illegal, because `Integer_1` and `Integer_2` are different and incompatible types. It is this feature which allows the compiler to detect logic errors at compile time, such as adding a file descriptor to a number of bytes, or a length to a weight. The fact that the two types have the same range does not make them compatible: this is _name equivalence_ in action, as opposed to structural equivalence. (Below, we will see how you can convert between incompatible types; there are strict rules for this.)

### Creating subtypes

You can also create new subtypes of a given type, which will be compatible with each other, like this:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer_1      [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 7 .. 11;  _-- bad_
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Integer_3 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer_1'Base [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 7 .. 11;  _-- OK_
    A : Integer_1 := 8;
    B : Integer_3 := A; _-- OK_
    

The declaration of `Integer_2` is bad because the constraint `7 .. 11` is not compatible with `Integer_1`; it raises `Contraint_Error` at subtype elaboration time.

`Integer_1` and `Integer_3` are compatible because they are both subtypes of the same type, namely `Integer_1'Base`.

It is not necessary that the subtype ranges overlap, or be included in one another. The compiler inserts a run-time range check when you assign A to B; if the value of A, at that point, happens to be outside the range of `Integer_3`, the program raises `Constraint_Error`.

There are a few predefined subtypes which are very useful:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Natural  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. Integer'Last;
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Positive [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Integer'Last;
    

### Derived types

A derived type is a new, full-blown type created from an existing one. Like any other type, it is incompatible with its parent; however, it inherits the primitive operations defined for the parent type.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Integer_1 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 2 .. 8;
    A : Integer_1 := 8;
    B : Integer_2 := A; _-- illegal!_
    

Here both types are discrete; it is mandatory that the range of the derived type be included in the range of its parent. Contrast this with subtypes. The reason is that the derived type inherits the primitive operations defined for its parent, and these operations assume the range of the parent type. Here is an illustration of this feature:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Derived_Types [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
          [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (I: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer_1); _-- primitive operation, assumes 1 .. 10_
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Integer_1 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 8 .. 10; _-- must not break P's assumption_
          _-- procedure P (I: in Integer_2);  inherited P implicitly defined here_
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          _-- omitted_
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
       [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Pak;
       A: Integer_1 := 4;
       B: Integer_2 := 9;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
       P (B); _-- OK, call the inherited operation_
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Derived_Types;
    

When we call `P (B)`, the parameter B is converted to `Integer_1`; this conversion of course passes since the set of acceptable values for the derived type (here, 8 .. 10) must be included in that of the parent type (1 .. 10). Then P is called with the converted parameter.

Consider however a variant of the example above:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Derived_Types [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (I: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer_1; J: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Integer_1);
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Integer_1 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 8 .. 10;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (I: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer_1; J: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Integer_1) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          J := I - 1;
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
      [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Pak;
    
      A: Integer_1 := 4;  X: Integer_1;
      B: Integer_2 := 8;  Y: Integer_2;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
      P (A, X);
      P (B, Y);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Derived_Types;
    

When `P (B, Y)` is called, both parameters are converted to `Integer_1`. Thus the range check on J (7) in the body of P will pass. However on return parameter Y is converted back to `Integer_2` and the range check on Y will of course fail.

With the above in mind, you will see why in the following program Constraint_Error will be called at run time, before `P` is even called.
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Derived_Types [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (I: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer_1; J: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Integer_1);
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Integer_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Integer_1'Base [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 8 .. 12;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Pak [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (I: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer_1; J: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Integer_1) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          J := I - 1;
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pak;
    
      [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Pak;
    
      B: Integer_2 := 11;  Y: Integer_2;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
      P (B, Y);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Derived_Types;
    

## Subtype categories

Ada supports various categories of subtypes which have different abilities. Here is an overview in alphabetical order.

### Anonymous subtype

A subtype which does not have a name assigned to it. Such a subtype is created with a variable declaration:
    
    
    X : String (1 .. 10) := ([others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) => ' ');
    

Here, (1 .. 10) is the constraint. This variable declaration is equivalent to:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Anonymous_String_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String (1 .. 10);
    
    X : Anonymous_String_Type := ([others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) => ' ');
    

### Base type

In Ada, all types are [anonymous](All_Chapters.html#anonymous) and only subtypes may be [named](All_Chapters.html#named_subtype). For scalar types, there is a special subtype of the anonymous type, called the _base type_, which is nameable with the '[Base](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Base) attribute. The base type comprises all values of the _first subtype_. Some examples:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Int [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 100;
    

The base type `Int'Base` is a hardware type selected by the compiler that comprises the values of `Int`. Thus it may have the range -27 .. 27-1 or -215 .. 215-1 or any other such type.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Enum  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C, D);
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Short [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Enum [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) A .. C;
    

`Enum'Base` is the same as `Enum`, but `Short'Base` also holds the literal `D`.

### Constrained subtype

A subtype of an indefinite subtype that adds constraints. The following example defines a 10 character string sub-type.
    
    
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) String_10 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String (1 .. 10);
    

You cannot partially constrain an unconstrained subtype:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Array [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>, Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Some_Type;
    
     -- [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Constr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Array (1 .. 10, Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>);  illegal
    
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Constr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Array (1 .. 10, -100 .. 200);
    

Constraints for all indices must be given, the result is necessarily a definite subtype.

### Definite subtype

A definite subtype is a subtype whose size is known at compile-time. All subtypes which are not indefinite subtypes are, by definition, definite subtypes.

Objects of definite subtypes may be declared without additional constraints.

### Indefinite subtype

An **indefinite subtype** is a subtype whose size is not known at compile-time but is dynamically calculated at run-time. An indefinite subtype does not by itself provide enough information to create an object; an additional constraint or explicit initialization expression is necessary in order to calculate the actual size and therefore create the object.
    
    
    X : String := "This is a string";
    

`X` is an object of the indefinite (sub)type `String`. Its constraint is derived implicitly from its initial value. `X` may change its value, but not its bounds.

It should be noted that it is not necessary to initialize the object from a literal. You can also use a function. For example:
    
    
    X : String := Ada.Command_Line.Argument (1);
    

This statement reads the first command-line argument and assigns it to `X`.

A subtype of an indefinite subtype that does not add a constraint only introduces a new name for the original subtype (a kind of renaming under a different notion).
    
    
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) My_String [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String;
    

`My_String` and `String` are interchangeable.

### Named subtype

A subtype which has a name assigned to it. “First subtypes” are created with the keyword ``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type)` (remember that types are always anonymous, the name in a type declaration is the name of the first subtype), others with the keyword ``[subtype`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype)`. For example:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Count_To_Ten [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    

`Count_to_Ten` is the first subtype of a suitable integer base type. However, if you would like to use this as an index constraint on `String`, the following declaration is illegal:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Ten_Characters [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String (Count_to_Ten);
    

This is because `String` has `Positive` as its index, which is a subtype of `Integer` (these declarations are taken from package `Standard`):
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Positive [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Integer'Last;
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) String [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Character;
    

So you have to use the following declarations:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Count_To_Ten [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Ten_Characters [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String (Count_to_Ten);
    

Now `Ten_Characters` is the name of that subtype of `String` which is constrained to `Count_To_Ten`. You see that posing constraints on types versus subtypes has very different effects.

### Unconstrained subtype

Any indefinite type is also an unconstrained subtype. However, unconstrainedness and indefiniteness are not the same.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Enum [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C);
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Record (Discriminant: My_Enum) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...;
    
     My_Object_A: My_Record (A);
    

This type is unconstrained and indefinite because you need to give an actual discriminant for object declarations; the object is constrained to this discriminant which may not change.

When however a default is provided for the discriminant, the type is definite yet unconstrained; it allows to define both, constrained and unconstrained objects:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Enum [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C);
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Record (Discriminant: My_Enum := A) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...;
    
     My_Object_U: My_Record;      -- unconstrained object
     My_Object_B: My_Record (B);  -- constrained to discriminant B like above
    

Here, My_Object_U is unconstrained; upon declaration, it has the discriminant A (the default) which however may change.

### Incompatible subtypes
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -10 .. + 10;
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) My_Positive [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) + 1 .. + 10;
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) My_Negative [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -10 .. -  1;
    

These subtypes are of course incompatible.

Another example are subtypes of a discriminated record:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Enum [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C);
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Record (Discriminant: My_Enum) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ...;
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) My_A_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Record (A);
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) My_C_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) My_Record (C);
    

Also these subtypes are incompatible.

## Qualified expressions

In most cases, the compiler is able to infer the type of an expression; for example:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Enum [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C);
    E : Enum := A;
    

Here the compiler knows that `A` is a value of the type `Enum`. But consider:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Bad [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Enum_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, B, C);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (E : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Enum_1) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)... _-- omitted_
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Enum_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (A, X, Y, Z);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (E : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Enum_2) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)... _-- omitted_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       P (A); _-- illegal: ambiguous_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Bad;
    

The compiler cannot choose between the two versions of `P`; both would be equally valid. To remove the ambiguity, you use a _qualified expression_:
    
    
       P (Enum_1'(A)); _-- OK_
    

As seen in the following example, this syntax is often used when creating new objects. If you try to compile the example, it will fail with a compilation error since the compiler will determine that 256 is not in range of `Byte`.

File: convert_evaluate_as.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/convert_evaluate_as.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/convert_evaluate_as.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Convert_Evaluate_As [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte     [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 2**8;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte_Ptr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Byte;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) M_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Modular_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Modular_IO&action=edit&redlink=1) (Byte);
    
       A : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Byte_Ptr := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Byte'(256);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       T_IO.Put ("A = ");
       M_IO.Put (Item  => A.all,
                 Width =>  5,
                 Base  => 10);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Convert_Evaluate_As;
    

## Type conversions

Data do not always come in the format you need them. You must, then, face the task of converting them. As a true multi-purpose language with a special emphasis on "mission critical", "system programming" and "safety", Ada has several conversion techniques. The most difficult part is choosing the right one, so the following list is sorted in order of utility. You should try the first one first; the last technique is a last resort, to be used if all others fail. There are also a few related techniques that you might choose instead of actually converting the data.

Since the most important aspect is not the result of a successful conversion, but how the system will react to an invalid conversion, all examples also demonstrate **faulty** conversions.

### Explicit type conversion

An explicit type conversion looks much like a function call; it does not use the _tick_ (apostrophe, ') like the qualified expression does.
    
    
    Type_Name (_Expression_)
    

The compiler first checks that the conversion is legal, and if it is, it inserts a run-time check at the point of the conversion; hence the name _checked conversion_. If the conversion fails, the program raises Constraint_Error. Most compilers are very smart and optimise away the constraint checks; so, you need not worry about any performance penalty. Some compilers can also warn that a constraint check will always fail (and optimise the check with an unconditional raise).

Explicit type conversions are legal:

  * between any two numeric types
  * between any two subtypes of the same type
  * between any two types derived from the same type (note special rules for tagged types)
  * between array types under certain conditions (see RM 4.6(24.2/2..24.7/2))
  * and _nowhere else_

(The rules become more complex with class-wide and anonymous access types.)
    
    
    I: Integer := Integer (10);  _-- Unnecessary explicit type conversion_
    J: Integer := 10;            _-- Implicit conversion from universal integer_
    K: Integer := Integer'(10);  _-- Use the value 10 of type Integer: qualified expression_
                                 _-- (qualification not necessary here)._
    

This example illustrates explicit type conversions:

File: convert_checked.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/convert_checked.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/convert_checked.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Convert_Checked [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Short [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -128 .. +127;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 256;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) I_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Integer_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Integer_IO&action=edit&redlink=1) (Short);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) M_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Modular_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Modular_IO&action=edit&redlink=1) (Byte);
    
       A : Short := -1;
       B : Byte;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       B := Byte (A);  -- range check will lead to Constraint_Error
       T_IO.Put ("A = ");
       I_IO.Put (Item  =>  A,
                 Width =>  5,
                 Base  => 10);
       T_IO.Put (", B = ");
       M_IO.Put (Item  =>  B,
                 Width =>  5,
                 Base  => 10);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Convert_Checked;
    

Explicit conversions are possible between any two numeric types: integers, fixed-point and floating-point types. If one of the types involved is a fixed-point or floating-point type, the compiler not only checks for the range constraints (thus the code above will raise Constraint_Error), but also performs any loss of precision necessary.

Example 1: the loss of precision causes the procedure to only ever print "0" or "1", since `P / 100` is an integer and is always zero or one.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Text_IO;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Naive_Explicit_Conversion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Proportion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 4 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0.0 .. 1.0;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Percentage [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 100;
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) To_Proportion (P : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Percentage) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Proportion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Proportion (P / 100);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) To_Proportion;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Ada.Text_IO.Put_Line (Proportion'Image (To_Proportion (27)));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Naive_Explicit_Conversion;
    

Example 2: we use an intermediate floating-point type to guarantee the precision.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Text_IO;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Explicit_Conversion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Proportion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 4 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0.0 .. 1.0;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Percentage [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 100;
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) To_Proportion (P : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Percentage) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Proportion [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Prop [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 4 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0.0 .. 100.0;
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Proportion (Prop (P) / 100.0);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) To_Proportion;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Ada.Text_IO.Put_Line (Proportion'Image (To_Proportion (27)));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Explicit_Conversion;
    

You might ask why you should convert between two subtypes of the same type. An example will illustrate this.
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) String_10 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) String (1 .. 10);
    X: String := "A line long enough to make the example valid";
    Slice: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) String := String_10 (X (11 .. 20));
    

Here, `Slice` has bounds 1 and 10, whereas `X (11 .. 20)` has bounds 11 and 20.

### Change of Representation

Type conversions can be used for packing and unpacking of records or arrays.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Unpacked [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
      _-- any components_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Packed [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Unpacked;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for)  Packed [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
      _-- component clauses for some or for all components_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    
    
    P: Packed;
    U: Unpacked;
    
    P := Packed (U);  _-- packs U_
    U := Unpacked (P);  _-- unpacks P_
    

### Checked conversion for non-numeric types

The examples above all revolved around conversions between numeric types; it is possible to convert between any two numeric types in this way. But what happens between non-numeric types, e.g. between array types or record types? The answer is two-fold:

  * you can convert explicitly between a type and types derived from it, or between types derived from the same type,
  * and that's all. No other conversions are possible.

Why would you want to derive a record type from another record type? Because of representation clauses. Here we enter the realm of low-level systems programming, which is not for the faint of heart, nor is it useful for desktop applications. So hold on tight, and let's dive in.

Suppose you have a record type which uses the default, efficient representation. Now you want to write this record to a device, which uses a special record format. This special representation is more compact (uses fewer bits), but is grossly inefficient. You want to have a layered programming interface: the upper layer, intended for applications, uses the efficient representation. The lower layer is a device driver that accesses the hardware directly and uses the inefficient representation.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Device_Driver [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Size_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 64;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Register [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          A, B : Boolean;
          Size : Size_Type;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Read (R : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Register);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Write (R : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Register);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Device_Driver;
    

The compiler chooses a default, efficient representation for `Register`. For example, on a 32-bit machine, it would probably use three 32-bit words, one for A, one for B and one for Size. This efficient representation is good for applications, but at one point we want to convert the entire record to just 8 bits, because that's what our hardware requires.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Device_Driver [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Hardware_Register [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Register; _-- Derived type._
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Hardware_Register [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          A [at](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/at) 0 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 0;
          B [at](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/at) 0 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 1;
          Size [at](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/at) 0 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 2 .. 7;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Hardware_Register; _-- Body omitted_
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (H : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Hardware_Register); _-- Body omitted_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Read (R : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Register) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          H : Hardware_Register := Get;
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          R := Register (H); _-- Explicit conversion._
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Read;
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Write (R : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Register) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          Put (Hardware_Register (R)); _-- Explicit conversion._
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Write;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Device_Driver;
    

In the above example, the package body declares a derived type with the inefficient, but compact representation, and converts to and from it.

This illustrates that **type conversions can result in a change of representation**.

### View conversion, in object-oriented programming

Within [object-oriented programming](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation) you have to distinguish between specific types and class-wide types.

With specific types, only conversions to ancestors are possible and, of course, are checked. During the conversion, you do not "drop" any components that are present in the derived type and not in the parent type; these components are still present, you just don't see them anymore. This is called a _view conversion_.

There are no conversions to derived types (where would you get the further components from?); _extension aggregates_ have to be used instead.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Parent_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Child_Type  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent_Type [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    Child_Instance  : Child_Type;
    
    _-- View conversion from the child type to the parent type:_
    Parent_View : Parent_Type := Parent_Type (Child_Instance);
    

Since, in object-oriented programming, an object of child type _is an_ object of the parent type, no run-time check is necessary.

With class-wide types, conversions to ancestor and child types are possible and are checked as well. These conversions are also view conversions, no data is created or lost.
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P (Parent_View : Parent_Type'Class) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       _-- View conversion to the child type:_
       One : Child_Type := Child_Type (Parent_View);
    
       _-- View conversion to the class-wide child type:_
       Two : Child_Type'Class := Child_Type'Class (Parent_View);
    

This view conversion involves a run-time check to see if `Parent_View` is indeed a view of an object of type `Child_Type`. In the second case, the run-time check accepts objects of type `Child_Type` but also any type derived from `Child_Type`.

#### View renaming

A renaming declaration does not create any new object and performs no conversion; it only gives a new name to something that already exists. Performance is optimal since the renaming is completely done at compile time. We mention it here because it is a common idiom in [object oriented programming](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation) to rename the result of a view conversion.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Parent_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
       <components>;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Child_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent_Type [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
       <further components>;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    Child_Instance : Child_Type;
    Parent_View    : Parent_Type'[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class) [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Parent_Type'[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class) (Child_Instance);
    

Now, `Parent_View` is not a new object, but another name for `Child_Instance` viewed as the parent, i.e. only the parent components are visible, the further child components are hidden.

### Address conversion

Ada's [access type](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) is not just a memory location (a thin pointer). Depending on implementation and the [access type](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) used, the [access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) might keep additional information (a fat pointer). For example GNAT keeps two memory addresses for each [access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) to an indefinite object — one for the data and one for the constraint informations ([Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size), [First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First), [Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last)_)__._

If you want to convert an access to a simple memory location you can use the package `[System](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/System)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Address_To_Access_Conversions](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/System.Address_To_Access_Conversions&action=edit&redlink=1)`. Note however that an address and a fat pointer cannot be converted reversibly into one another.

The address of an array object is the address of its first component. Thus the bounds get lost in such a conversion.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Array [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Something;
    A: My_Array (50 .. 100);
    
         A'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address) = A(A'[First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First))'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address)
    

### Unchecked conversion

One of the great criticisms of Pascal was "there is no escape". The reason was that sometimes you have to convert the incompatible. For this purpose, Ada has the generic function _Unchecked_Conversion_:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Source (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Target (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Conversion](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Conversion&action=edit&redlink=1) (S : Source) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Target;
    

`_Unchecked_Conversion_` will bit-copy the source data and reinterprete them under the target type without any checks. It is **your** chore to make sure that the requirements on unchecked conversion as stated in RM [13.9](http://www.adaic.com/standards/05rm/html/RM-13-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-13-9.html)) are fulfilled; if not, the result is implementation dependent and may even lead to abnormal data. Use the 'Valid attribute after the conversion to check the validity of the data in problematic cases.

A function call to (an instance of) `Unchecked_Conversion` will copy the source to the destination. The compiler may also do a conversion _in place_ (every instance has the convention _Intrinsic_).

To use `Unchecked_Conversion` you need to instantiate the generic.

In the example below, you can see how this is done. When run, the example will output `A = -1, B = 255`. No error will be reported, but is this the result you expect?

File: convert_unchecked.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/convert_unchecked.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/convert_unchecked.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Conversion](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Conversion&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Convert_Unchecked [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Short [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -128 .. +127;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 256;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) I_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Integer_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Integer_IO&action=edit&redlink=1) (Short);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) M_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Modular_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Modular_IO&action=edit&redlink=1) (Byte);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Convert [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Conversion](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Conversion&action=edit&redlink=1) (Source => Short,
                                                         Target => Byte);
    
       A : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Short := -1;
       B : Byte;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
       B := Convert (A);
       T_IO.Put ("A = ");
       I_IO.Put (Item  =>  A,
                 Width =>  5,
                 Base  => 10);
       T_IO.Put (", B = ");
       M_IO.Put (Item  =>  B,
                 Width =>  5,
                 Base  => 10);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Convert_Unchecked;
    

There is of course a range check in the assignment `B := Convert (A);`. Thus if `B` were defined as `B: Byte `[range`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 10;`, `Constraint_Error` would be raised.

### Overlays

If the copying of the result of `Unchecked_Conversion` is too much waste in terms of performance, then you can try overlays, i.e. address mappings. By using overlays, both objects share the same memory location. If you assign a value to one, the other changes as well. The syntax is:
    
    
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Target'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) _expression_;
    [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) (Ada, Target);
    

where _expression_ defines the address of the source object.

While overlays might look more elegant than `Unchecked_Conversion`, you should be aware that they are even more dangerous and have even greater potential for doing something very wrong. For example if `Source'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size) < Target'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size)` and you assign a value to Target, you might inadvertently write into memory allocated to a different object.

You have to take care also of implicit initializations of objects of the target type, since they would overwrite the actual value of the source object. The Import pragma with convention Ada can be used to prevent this, since it avoids the implicit initialization, RM [B.1](http://www.adaic.com/standards/05rm/html/RM-B-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B-1.html)).

The example below does the same as the example from "Unchecked Conversion".

File: convert_address_mapping.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/convert_address_mapping.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/convert_address_mapping.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Convert_Address_Mapping [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Short [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -128 .. +127;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 256;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) I_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Integer_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Integer_IO&action=edit&redlink=1) (Short);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) M_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Modular_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Modular_IO&action=edit&redlink=1) (Byte);
    
       A : [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Short;
       B : [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Byte;
      
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) B'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) A'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address);
      [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) (Ada, B);
      
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       A := -1;
       T_IO.Put ("A = ");
       I_IO.Put (Item  =>  A,
                 Width =>  5,
                 Base  => 10);
       T_IO.Put (", B = ");
       M_IO.Put (Item  =>  B,
                 Width =>  5,
                 Base  => 10);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Convert_Address_Mapping;
    

### Export / Import

Just for the record: There is still another method using the [Export](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Export) and [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) pragmas. However, since this method completely undermines Ada's visibility and type concepts even more than overlays, it has no place here in this language introduction and is left to experts.

## Elaborated Discussion of Types for Signed Integer Types

As explained before, a type declaration
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    

declares an anonymous type `_T_` and its first subtype `T` (please note the italicization). `_T_` encompasses the complete set of mathematical integers. Static expressions and named numbers make use of this fact.

All numeric integer literals are of type `Universal_Integer`. They are converted to the appropriate specific type where needed. `Universal_Integer` itself has no operators.

Some examples with static named numbers:
    
    
     S1: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) + Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last);       _-- "+" of Integer_
     S2: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := Long_Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) + 1;             _-- "+" of Long_Integer_
     S3: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := S1 + S2;                           _-- "+" of root_integer_
     S4: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) + Long_Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last);  _-- illegal_
    

Static expressions are evaluated at compile-time on the appropriate types with no overflow checks, i.e. mathematically exact (only limited by computer store). The result is then implicitly converted to `Universal_Integer`.

The literal 1 in `S2` is of type `Universal_Integer` and implicitly converted to `Long_Integer`.

`S3` implicitly converts the summands to `root_integer`, performs the calculation and converts back to `Universal_Integer`.

`S4` is illegal because it mixes two different types. You can however write this as
    
    
     S5: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := Integer'Pos (Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last)) + Long_Integer'Pos (Long_Integer'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last));  _-- "+" of root_integer_
    

where the Pos attributes convert the values to `Universal_Integer`, which are then further implicitly converted to `root_integer`, added and the result converted back to `Universal_Integer`.

`root_integer` is the anonymous greatest integer type representable by the hardware. It has the range `System.Min_Integer .. System.Max_Integer`. All integer types are rooted at `root_integer`, i.e. derived from it. `Universal_Integer` can be viewed as `root_integer'Class`.

During run-time, computations of course are performed with range checks and overflow checks on the appropriate subtype. Intermediate results may however exceed the range limits. Thus with `I, J, K` of the subtype `T` above, the following code will return the correct result:
    
    
    I := 10;
    J :=  8;
    K := (I + J) - 12;
    _-- I := I + J;  -- range check would fail, leading to Constraint_Error_
    

Real literals are of type `Universal_Real`, and similar rules as the ones above apply accordingly.

## Relations between types

Types can be made from other types. Array types, for example, are made from two types, one for the arrays' index and one for the arrays' components. An array, then, expresses an association, namely that between one value of the index type and a value of the component type.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Color [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Green, Blue);
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Intensity [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 255;
     
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Colored_Point [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Color) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Intensity;
    

The type `Color` is the index type and the type `Intensity` is the component type of the array type `Colored_Point`. See [array](http://en.wikibooks.org/wiki/Ada_Programming/Types/array).

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Ada Reference Manual

  * [3.2.1 Type Declarations](http://www.adaic.com/standards/05rm/html/RM-3-2-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-2-1.html))
  * [3.3 Objects and Named Numbers](http://www.adaic.com/standards/05rm/html/RM-3-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-3.html))
  * [3.7 Discriminants](http://www.adaic.com/standards/05rm/html/RM-3-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-7.html))
  * [3.10 Access Types](http://www.adaic.com/standards/05rm/html/RM-3-10.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-10.html))
  * [4.9 Static Expressions and Static Subtypes](http://www.adaic.com/standards/05rm/html/RM-4-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-4-9.html))
  * [13.9 Unchecked Type Conversions](http://www.adaic.com/standards/05rm/html/RM-13-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-13-9.html))
  * [13.3 Operational and Representation Attributes](http://www.adaic.com/standards/05rm/html/RM-13-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-13-3.html))
  * [Annex K (informative) Language-Defined Attributes](http://www.adaic.com/standards/05rm/html/RM-K.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-K.html))

  


# Integer types

A `[range`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) is a signed integer value which ranges from a [First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) to a last [Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last). It is defined as
    
    
     [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) First .. Last
    

When a value is assigned to an object with such a range constraint, the value is checked for validity and Constraint_Error [exception](http://en.wikibooks.org/wiki/Ada_Programming/Exceptions) is raised when the value is not within [First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) to [Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last).

When declaring a range type, the corresponding mathematical operators are implicitly declared by the language at the same place.

The compiler is free to choose a suitable underlaying hardware type for this user defined type.

## Working demo

The following Demo defines a new range from -5 to 10 and then prints the whole range out.

File: range_1.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/range_1.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/range_1.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Range_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Range_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -5 .. 10;
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Text_IO;
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) I_IO [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Text_IO.Integer_IO (Range_Type);
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) A [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Range_Type [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          I_IO.Put (
             Item  => A,
             Width => 3,
             Base  => 10);
    
          [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) A < Range_Type'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
             T_IO.Put (",");
          [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
             T_IO.New_Line;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Range_1;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Keywords/range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range)

### Ada Reference Manual

  * [4.4 Expressions](http://www.adaic.com/standards/05rm/html/RM-4-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-4-4.html))
  * [3.5.4 Integer Types](http://www.adaic.com/standards/05rm/html/RM-3-5-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-4.html))

# Unsigned integer types

## Description

Unsigned integers in Ada have a value range from 0 to some positive number (not necessarily 1 subtracted from some power of 2). They are defined using the `[mod`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) keyword because they implement a wrap-around arithmetic.
    
    
     [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) Modulus
    

where '[First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) is 0 and '[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) is Modulus - 1.

Wrap-around arithmetic means that 'Last + 1 = 0 = 'First, and 'First - 1 = 'Last. Additionally to the normal arithmetic operators, bitwise `[and`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and), `[or`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or) and `[xor`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/xor) are defined for the type (see below).

The predefined package [Interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Interfaces) (RM [B.2](http://www.adaic.com/standards/05rm/html/RM-B-2.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B-2.html))) presents unsigned integers based on powers of 2
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Unsigned__n_ [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 2**_n_;
    

for which also shift and rotate operations are defined. The values of _n_ depend on compiler and target architecture.

You can use `[range`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) to sub-range a modular type:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Byte [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 256;
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Half_Byte [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Byte [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. 127;
    

But beware: the Modulus of Half_Byte is still 256! Arithmetic with such a type is interesting to say the least.

## Bitwise Operations

Be very careful with bitwise operators `[and`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and), `[or`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or), `[xor`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/xor), `[not`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not), when the modulus is not a power of two. An examply might exemplify the problem.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Unsigned [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 2**5;   -- modulus 32
    X: Unsigned := 2#10110#;     -- 22
    [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) X        = 2#01001#      -- bit reversal: 9 ( = 31 - 22 ) as expected
    

The other operators work similarly.

Now take a modulus that is not a power of two. Naive expectations about the results may lead out of the value range. As an example take again the `[not`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) operator (see the RM for the others):
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Unsigned [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 5;
    X: Unsigned := 2#001#;  -- 1, bit reversal: 2#110# = 6 leads out of range
    

The definition of `[not`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) is therefore:
    
    
     [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) X = Unsigned'Last – X  -- here: 4 – 1 = 2#011#
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Keywords/mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod)

### Ada Reference Manual

  * [4.4 Expressions](http://www.adaic.com/standards/05rm/html/RM-4-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-4-4.html))
  * [3.5.4 Integer Types](http://www.adaic.com/standards/05rm/html/RM-3-5-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-4.html))

  


# Enumerations

An **enumeration** type is defined as a list of possible values:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Primary_Color [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Green, Blue);
    

Like for numeric types, where e.g. 1 is an integer literal, Red, Green and Blue are called the literals of this type. There are no other values assignable to objects of this type.

## Operators and attributes

Apart from equality ("="), the only operators on enumeration types are the ordering [operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators): "<", "<=", "=", "/=", ">=", ">", where the order relation is given implicitly by the sequence of literals: Each literal has a position, starting with 0 for the first, incremented by one for each successor. This position can be queried via the 'Pos [attribute](http://en.wikibooks.org/wiki/Ada_Programming/Attributes); the inverse is 'Val, which returns the corresponding literal. In our example:
    
    
    Primary_Color'[Pos](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Pos) (Red) = 0
    Primary_Color'[Val](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Val) (0)   = Red
    

There are two other important attributes: [Image](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Image) and [Value](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Value) (don't confuse [Val](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Val) with [Value](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Value)). [Image](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Image) returns the string representation of the value (in capital letters), [Value](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Value) is the inverse:
    
    
    Primary_Color'[Image](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Image) ( Red ) = "RED"
    Primary_Color'[Value](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Value) ("Red") =  Red
    

These attributes are important for simple [IO](http://en.wikibooks.org/wiki/Ada_Programming/Input_Output) (there are more elaborate IO facilities in [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO) for enumeration types). Note that, since Ada is case-insensitive, the string given to 'Value can be in any case.

## Enumeration literals

Literals are overloadable, i.e. you can have another type with the same literals.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Yellow, Green);
    

Overload resolution within the context of use of a literal normally resolves which Red is meant. Only if you have an unresolvable overloading conflict, you can qualify with special syntax which Red is meant:
    
    
    Primary_Color'(Red)
    

Like many other declarative items, enumeration literals can be renamed. In fact, such a literal is a actually [function](http://en.wikibooks.org/wiki/Ada_Programming/Subprograms#Functions), so it has to be renamed as such:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Red [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) P.Primary_Color [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) P.Red;
    

Here, Primary_Color is assumed to be defined in package P, which is visible at the place of the renaming declaration. Renaming makes Red directly visible without necessity to resort the use-clause.

Note that redeclaration as a function does not affect the staticness of the literal.

### Characters as enumeration literals

Rather unique to Ada is the use of character literals as enumeration literals:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) ABC [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ('A', 'B', 'C');
    

This literal 'A' has **nothing** in common with the literal 'A' of the predefined type Character (or Wide_Character).

Every type that has at least one character literal is a character type. For every character type, string literals and the concatenation [operator "&"](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%26) are also implicitly defined.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Character [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (No_Character, 'a', Literal, 'z');
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_String [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) My_Character;
    
    S: My_String := "aa" & Literal & "za" & 'z';
    T: My_String := ('a', 'a', Literal, 'z', 'a', 'z');
    

In this example, S and T have the same value.

Ada's Character type is defined that way. See [Ada Programming/Libraries/Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard).

### Booleans as enumeration literals

Also Booleans are defined as enumeration types:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Boolean [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (False, True);
    

There is special semantics implied with this declaration in that objects and expressions of this type can be used as conditions. Note that the literals False and True are not Ada keywords.

Thus it is not sufficient to declare a type with these literals and then hope objects of this type can be used like so:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Boolean [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (False, True);
     Condition: My_Boolean;
    
     [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Condition [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)  -- wrong, won't compile
    

If you need your own Booleans (perhaps with special size requirements), you have to derive from the predefined Boolean:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) My_Boolean [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Boolean;
     Condition: My_Boolean;
    
     [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Condition [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)  -- OK
    

## Enumeration subtypes

You can use ``[range`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range)` to subtype an enumeration type:
    
    
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Capital_Letter [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Character [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 'A' .. 'Z';
    
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Week [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday);
     
     [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Working_Day [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Day_Of_Week [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) Monday .. Friday;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Libraries/Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard)

### Ada Reference Manual

  * [3.5.1 Enumeration Types](http://www.adaic.com/standards/05rm/html/RM-3-5-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-1.html))

# Floating point types

## Description

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Floating point**_](http://en.wikipedia.org/wiki/Floating_point)

To define a floating point type, you only have to say how many **[digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits)** are needed, i.e. you define the relative precision:
    
    
    [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) Num_Digits
    

If you like, you can declare the minimum range needed as well:
    
    
    [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) Num_Digits **[range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range)** Low .. High
    

This facility is a great benefit of Ada over (most) other programming languages. In other languages, you just choose between "float" and "long float", and what most people do is:

  * choose float if they don't care about accuracy
  * otherwise, choose long float, because it is the best you can get

In either case, you don't know what accuracy you get.

In Ada, you specify the accuracy you need, and the compiler will choose an appropriate floating point type with _at least_ the accuracy you asked for. This way, your requirement is guaranteed. Moreover, if the computer has more than two floating point types available, the compiler can make use of all of them.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Types/range](http://en.wikibooks.org/wiki/Ada_Programming/Types/range)
  * [Ada Programming/Types/delta](http://en.wikibooks.org/wiki/Ada_Programming/Types/delta)
  * [Ada Programming/Types/mod](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod)
  * [Ada Programming/Keywords/digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits)

### Ada Reference Manual

  * [3.5.7 Floating Point Types](http://www.adaic.com/standards/05rm/html/RM-3-5-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-7.html))

# Fixed point types

## Description

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Fixed-point arithmetic**_](http://en.wikipedia.org/wiki/Fixed-point_arithmetic)

A fixed point type defines a set of values that are evenly spaced with a given absolute precision. In contrast, floating point values are all spaced according to a relative precision.

The absolute precision is given as the delta of the type. There are two kinds of fixed point types, ordinary and decimal.

For **Ordinary Fixed Point** types, the delta gives a hint to the compiler how to choose the small value if it is not specified: It can be _any integer power of two_ not greater than delta. You may specify the small via an attribute clause to be _any value_ not greater than delta. (If the compiler cannot conform to this small value, it has to reject the declaration.)

For **Decimal Fixed Point** types, the small is defined to be the delta, which in turn must be an integer power of ten. (Thus you cannot specify the small by an attribute clause.)

For example, if you define a decimal fixed point type with a delta of 0.1, you will be able to accurately store the values 0.1, 1.0, 2.2, 5.7, etc. You will not be able to accurately store the value 0.01. Instead, the value will be rounded down to 0.0.

If the compiler accepts your fixed point type definition, it guarantees that values represented by that type will have at least the degree of accuracy specified (or better). If the compiler cannot support the type definition (e.g. due to limited hardware) then a compile-time error will result.

## Ordinary Fixed Point

For an ordinary fixed point, you just define the delta and a range:
    
    
    [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) _Delta_ [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) _Low_ .. _High_
    

The delta can be any real value — for example you may define a circle with one arcsecond resolution with:
    
    
    [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) 1 / (60 * 60) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0.0 .. 360.0
    

[There is one rather strange rule about fixed point types: Because of the way they are internally represented, the range might only go up to `'Last - Delta`. This is a bit like a circle — the 0° and 360° mark is also the same.]

It should be noted that in the example above the smallest possible value used is not ![\\frac{1}{60^2} = \\frac{1}{3600}](../../../upload.wikimedia.org/math/3/4/1/341c0fb1b4b360e10ab685daf80a44d9.png). The compiler will choose a smaller value which, by default, is an integer power of 2 not greater than the delta. In our example this could be ![2^{-12} = \\frac{1}{4096}](../../../upload.wikimedia.org/math/6/6/6/66682c31078204ffe89e014de6e213e1.png). In most cases this should render better performance but sacrifices precision for it.

If this is not what you wish and precision is indeed more important, you can choose your own small value via the attribute clause '[Small](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Small&action=edit&redlink=1).
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Angle [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) Pi/2.0**31 [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -Pi .. Pi;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Angle'Small [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Pi/2.0**31;
    

As internal representation, you will get a 32 bit signed integer type.

## Decimal Fixed Point

You define a decimal fixed point by defining the delta and the number of digits needed:
    
    
     [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) _Delta_ [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) _Num_Digits_
    

Delta must be a positive or negative integer power of 10 — otherwise the declaration is illegal.
    
    
    [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) 10.0**(+2) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 12
    [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) 10.0**(-2) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 12
    

If you like, you can also define the range needed:
    
    
    [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) Delta_Value [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) Num_Digits [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) Low .. High
    

## Differences between Ordinary and Decimal Fixed Point Types

There is an alternative way of declaring a "decimal" fixed point: You declare an ordinary fixed point and use an integer power of 10 as '[Small](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Small&action=edit&redlink=1). The following two declarations are equivalent with respect to the internal representation:
    
    
    -- decimal fixed point
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Duration [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) 10.0**(-9) [digits](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) 9;
    
    
    
    -- ordinary fixed point
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Duration [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) 10.0**(-9) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -1.0 .. 1.0;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Duration'[Small](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Small&action=edit&redlink=1) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) 10.0**(-9);
    

You might wonder what the difference then is between these two declarations. The answer is:

_None with respect to precision, addition, subtraction, multiplication with integer values._

The following is an incomplete list of differences between ordinary and decimal fixed point types.

  * Decimal fixed point types are intended to reflect typical **COBOL** declarations with a given number of digits.
  * Truncation is required for decimal, not for ordinary, fixed point in multiplication and division (RM [4.5.5: (21)](http://www.adaic.com/standards/95lrm/html/RM-4-5-5.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-4-5-5.html))) and type conversions. Operations on decimal fixed point are fully specified, which is not true for ordinary fixed point.
  * The following attributes are only defined for decimal fixed point: T'Digits (RM [3.5.10: (10)](http://www.adaic.com/standards/95lrm/html/RM-3-5-10.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-5-10.html))) corresponds to the number of decimal digits that are representable; T'Scale (RM [3.5.10: (11)](http://www.adaic.com/standards/95lrm/html/RM-3-5-10.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-5-10.html)), taken from **COBOL**) indicates the position of the point relative to the rightmost significant digits; T'Round (RM [3.5.10: (12)](http://www.adaic.com/standards/95lrm/html/RM-3-5-10.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-5-10.html))) can be used to specify rounding on conversion.
  * Package Decimal (RM [F.2](http://www.adaic.com/standards/95lrm/html/RM-F-2.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-F-2.html))), which of course applies only to decimal fixed point, defines the decimal Divide generic procedure. If annex F is supported (GNAT does), at least 18 digits must be supported (there is no such rule for fixed point).
  * Decimal_IO (RM [A.10.1: (73)](http://www.adaic.com/standards/95lrm/html/RM-A-10-1.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-A-10-1.html))) has semantics different from Fixed_IO (RM [A.10.1: (68)](http://www.adaic.com/standards/95lrm/html/RM-A-10-1.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-A-10-1.html))).
  * Static expressions must be a multiple of the Small for decimal fixed point.

**Conclusion:** For normal numeric use, an ordinary fixed point (probably with 'Small defined) should be defined. Only if you are interested in COBOL like use, i.e. well defined deterministic decimal semantics (especially for financial computations, but that might apply to cases other than money) should you take decimal fixed point.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Types/range](http://en.wikibooks.org/wiki/Ada_Programming/Types/range)
  * [Ada Programming/Types/digits](http://en.wikibooks.org/wiki/Ada_Programming/Types/digits)
  * [Ada Programming/Types/mod](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod)
  * [Ada Programming/Keywords/delta](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta)
  * [Ada Programming/Attributes/'Small](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Small&action=edit&redlink=1)

### Ada 95 Reference Manual

  * [3.5.9: Fixed Point Types](http://www.adaic.com/standards/95lrm/html/RM-3-5-9.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-5-9.html))

### Ada 2005 Reference Manual

  * [3.5.9: Fixed Point Types](http://www.adaic.com/standards/05rm/html/RM-3-5-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-5-9.html))

# Arrays

An [array](http://en.wikipedia.org/wiki/array) is a collection of elements which can be accessed by one or more index values. In Ada any definite type is allowed as element and any discrete type, i.e. [Range](http://en.wikibooks.org/wiki/Ada_Programming/Types/range), [Modular](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod) or [Enumeration](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration), can be used as an index.

## Declaring arrays

Ada's arrays are quite powerful and so there are quite a few syntax variations, which are presented below.

### Basic syntax

The basic form of an Ada array is:
    
    
    [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Index_Range) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_Type
    

where Index_Range is a range of values within a discrete index type, and Element_Type is a definite subtype. The array consists of one element of "Element_Type" for each possible value in the given range. If you for example want to count how often a specific letter appears inside a text, you could use:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Character_Counter [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Character) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Natural;
    

As a general advice, do not use Integer as the index range, since most of the time negative indices do not make sense. It is also a good style when using numeric indices, to define them starting in 1 instead of 0, since it is more intuitive for humans and avoids [off-by-one errors](http://en.wikipedia.org/wiki/off-by-one_error).

### With known subrange

Often you don't need an array of all possible values of the index type. In this case you can `[subtype`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) your index type to the actually needed range.
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Index_Sub_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Index_Type [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) First .. Last
    
    [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Index_Sub_Type) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_Type
    

Since this may involve a lot of typing and you may also run out of useful names for new [subtypes](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes), the array declaration allows for a shortcut:
    
    
    [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Index_Type [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) First .. Last) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_Type
    

Since `First` and `Last` are expressions of `Index_Type`, a simpler form of the above is:
    
    
    [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (First .. Last) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_Type
    

Note that if `First` and `Last` are numeric literals, this implies the index type `Integer`.

If in the example above the character counter should only count upper case characters and discard all other characters, you can use the following array type:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Character_Counter [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Character [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 'A' .. 'Z') [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Natural;
    

### With unknown subrange

Sometimes the range actually needed is not known until runtime or you need objects of different lengths. In some languages you would resort to pointers to element types. Not with Ada. Here we have the box '<>', which allows us to declare indefinite arrays:
    
    
    [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Index_Type [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_Type;
    

When you declare objects of such a type, the bounds must of course be given and the object is constrained to them.

The predefined type [String](http://en.wikibooks.org/wiki/Ada_Programming/Strings) is such a type. It is defined as
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) String [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Character;
    

You define objects of such an unconstrained type in several ways (the extrapolation to other arrays than String should be obvious):
    
    
     Text : String (10 .. 20);
     Input: String := Read_from_some_file;
    

(These declarations additionally define anonymous subtypes of String.) In the first example, the range of indices is explicitly given. In the second example, the range is implicitly defined from the initial expression, which here could be via a function reading data from some file. Both objects are constrained to their ranges, i.e. they cannot grow nor shrink.

### With aliased elements

If you come from [C](http://en.wikibooks.org/wiki/Programming:C)/[C++](http://en.wikibooks.org/wiki/Programming:C_plus_plus), you are probably used to the fact that every element of an array has an address. The [C](http://en.wikibooks.org/wiki/Programming:C)/[C++](http://en.wikibooks.org/wiki/Programming:C_plus_plus) standards actually demand that.

In Ada, this is not true. Consider the following array:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Has_Appointment [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Day_Of_Month) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Boolean;
     [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Pack](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Pack) (Day_Has_Appointment); 
    

Since we have packed the array, the compiler will use as little storage as possible. And in most cases this will mean that 8 boolean values will fit into one byte.

So Ada knows about arrays where more than one element shares one address. So what if you need to address each single element. Just not using **[pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma)** _[Pack](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Pack)_ is not enough. If the [CPU](http://en.wikipedia.org/wiki/CPU) has very fast bit access, the compiler might pack the array without being told. You need to tell the compiler that you need to address each element via an access.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Has_Appointment [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Day_Of_Month) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Boolean;
    

### Arrays with more than one dimension

Arrays can have more than one index. Consider the following 2-dimensional array:
    
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Character_Display [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Character[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

This type permits declaring rectangular arrays of characters. Example:
    
    
      Magic_Square[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Character_Display [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)
         [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)S['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)P['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)N['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)P['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)S['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Or, stating some index values explicitly,
    
    
      Magic_Square[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Character_Display[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 5[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 5[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)
         [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)S['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          2 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)P['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          3 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)N['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          4 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)P['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)E['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          5 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)S['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The index values of the second dimension, those indexing the characters in each row, are in 1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 5 here. By choosing a different second range, we could change these to be in 11 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 15:
    
    
      Magic_Square[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Character_Display[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 5[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 11 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 15[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)
         [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1 [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)S['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)A['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)T['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)O['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) ['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)R['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
           ...
    

By adding more dimensions to an array type, we could have squares, cubes (or « bricks »), etc., of homogenous data items.

Finally, an array of characters is a string (see [Ada Programming/Strings](http://en.wikibooks.org/wiki/Ada_Programming/Strings)). Therefore, `Magic_Square` may simply be declared like this:
    
    
      Magic_Square[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Character_Display [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)
         [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()"SATOR"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          "AREPO"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          "TENET"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          "OPERA"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          "ROTAS"[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

## Using arrays

### Assignment

When accessing elements, the index is specified in parentheses. It is also possible to access slices in this way:
    
    
    Vector_A (1 .. 3) := Vector_B (3 .. 5);
    

Note that the index range slides in this example: After the assignment, Vector_A (1) = Vector_B (3) and similarly for the other indices.

Also note that the ranges overlap, nevertheless Vector_A (3) /= Vector_B (3); a compiler delivering such a result would be severely broken.

### Concatenate

The operator "&" can be used to concatenate arrays:
    
    
    Name := First_Name & ' ' & Last_Name;
    

In both cases, if the resulting array does not fit in the destination array, Constraint_Error is raised.

If you try to access an existing element by indexing outside the array bounds, Constraint_Error is raised (unless checks are suppressed).

### Array Attributes

There are four Attributes which are important for arrays: '[First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First), '[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last), '[Length](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Length) and '[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range). Lets look at them with an example. Say we have the following three strings:
    
    
    Hello_World  : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) String := "Hello World!";
    World        : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) String := Hello_World (7 .. 11);
    Empty_String : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) String := "";
    

Then the four attributes will have the following values:

Array '[First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) '[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) '[Length](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Length) '[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range)

Hello_World
1
12
12
1 .. 12

World
7
11
5
7 .. 11

Empty_String
1
0
0
1 .. 0

The example was chosen to show a few common beginner's mistakes:

  1. The assumption that strings begin with the index value 1 is wrong.
  2. The assumption (which follows from the first one) that X'Length = X'Last is wrong.
  3. And last the assumption that X'Last >= X'First; this is not true for empty strings.

The attribute '[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) is a little special as it does not return a discrete value but an abstract description of the array. One might wonder what it is good for. The most common use is in the [for loop on arrays](http://en.wikibooks.org/wiki/Ada_Programming/Control#for_loop_on_arrays) but '[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) can also be used in declaring a name for the index subtype:
    
    
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Hello_World_Index [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) Hello_World'Range;
    

The [Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) attribute can be convenient when programming index checks:
    
    
    [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) K [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) World['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) World[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()K[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Substitute[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

### Empty or Null Arrays

As you have seen in the section above, Ada allows for empty arrays. And — of course — you can have empty arrays of all sorts, not just String:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Some_Array [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Positive range <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Boolean;
    
    Empty_Some_Array : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Some_Array (1 .. 0) := ([others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) => False);
    

Note: If you give an initial expression to an empty array (which is a must for a constant), the expression in the aggregate will of course not be evaluated since there are no elements actually stored.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Data Structures](http://en.wikibooks.org/wiki/Data_Structures)
  * [Data Structures/Arrays](http://en.wikibooks.org/wiki/Data_Structures/Arrays)

### Ada 95 Reference Manual

  * [3.6: Array Types](http://www.adaic.com/standards/95lrm/html/RM-3-6.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-6.html))

### Ada 2005 Reference Manual

  * [3.6: Array Types](http://www.adaic.com/standards/05rm/html/RM-3-6.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-6.html))

### Ada Quality and Style Guide

  * [10.5.7 Packed Boolean Array Shifts](http://www.adaic.org/docs/95style/html/sec_10/10-5-7.html)

# Records

A **record** is a [composite type](http://en.wikibooks.org/wiki/Ada_Programming/Types#List_of_types) that groups one or more fields. A field can be of any type, even a record.

## Basic record
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           A : Integer;
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

## Null record

The null record is when a type without data is needed. There are two ways to declare a null record:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Null_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record); 
    
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Null_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

For the compiler they are the same. However, programmers often use the first variant if the type is not finished yet to show that they are planning to expand the type later, or they usually use the second if the (tagged) record is a base class in object oriented programming.

## Record Values

Values of a record type can be specified using a record aggregate, giving a list of named components thus
    
    
      A_Basic_Record       [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Basic_Record         [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Basic_Record['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()A [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 42[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      Another_Basic_Record [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Basic_Record         [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()A [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 42[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      Nix                  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Null_Record [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()[null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Given a somewhat larger record type,
    
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Car [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
         Identity       [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Long_Long_Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         Number_Wheels  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 10[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         Paint          [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Color[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         Horse_Power_kW [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Float [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 2_000[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         Consumption    [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Float [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 100[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

a value _may_ be specified using _positional_ notation, that is, specifying a value for each record component in declaration order
    
    
      BMW [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Car [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()2007_752_83992434[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 5[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Blue[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 190[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)1[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

However, naming the components of a `Car` aggregate offers a number of advantages.

  1. Easy identification of which value is used for which component. (After all, named components are the raison d'être of records.)
  2. Reordering the components is allowed—you only have to remember the component names, not their position.
  3. Improved compiler diagnostic messages.

Reordering components is possible because component names will inform the compiler (and the human reader!) of the intended value associations. Improved compiler messages are also in consequence of this additional information passed to the compiler. While an omitted component will always be reported due to Ada's [coverage rules](http://www.adacore.com/2007/05/14/gem-1/), messages can be much more specific when there are named associations. Considering the `Car` type from above, suppose a programmer by mistake specifies only one of the two floating point values for `BMW` in positional notation. The compiler, in search of another component value, will then not be able to decide whether the specified value is intended for `Horse_Power_kW` or for `Consumption`. If the programmer instead uses named association, say Horse_Power_kW [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 190[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) it will be clear which other component is missing.
    
    
      BMW [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Car [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)
        [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identity       [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 2007_752_83992434[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
         Number_Wheels  [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 5[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
         Horse_Power_kW [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 190[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
         Consumption    [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)1[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
         Paint          [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Blue[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

In order to access a component of a record instance, use the dot delimiter ([.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)), as in `BMW[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Number_Wheels`.

## Discriminated record
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Discriminated_Record (Size : Natural) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           A : String (1 .. Size);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

## Variant record

The variant record is a special type of discriminated record where the presence of some components depend on the value of the discriminant.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Yellow, Green);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Variant_Record (Option : Traffic_Light) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           _-- common components_
           
           [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case) Option [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Red =>
                 _-- components for red_
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Yellow =>
                 _-- components for yellow_
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Green =>
                 _-- components for green_
           [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

### Mutable and immutable variant records

You can declare variant record types such that its discriminant, and thus its variant structure, can be changed during the lifetime of the variable. Such a record is said to be _mutable_. When "mutating" a record, you must assign **all** components of the variant structure which you are mutating at once, replacing the record with a complete variant structure. Although a variant record declaration may allow objects of its type to be mutable, there are certain restrictions on whether the objects will be mutable. Reasons restricting an object from being mutable include:

  * the object is declared with a discriminant (see Immutable_Traffic_Light below)
  * the object is aliased (either by use of `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) in the object declaration, or by allocation on the heap using `[new`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new))

  

    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Yellow, Green);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Mutable_Variant_Record (Option : Traffic_Light := Red) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)      _-- the discriminant must have a default value_
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           _-- common components_
           Location : Natural;
           [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case) Option [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Red =>
                 _-- components for red_
                 Flashing : Boolean := True;
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Yellow =>
                 _-- components for yellow_
                 Timeout    : Duration := 0.0;
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Green =>
                 _-- components for green_
                 Whatever : Positive := 1;
           [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    ...
    Mutable_Traffic_Light   : Mutable_Variant_Record;                    _-- not declaring a discriminant makes this record mutable_
                                                                         _-- it has the default discriminant/variant_
                                                                         _-- structure and values_
    
    Immutable_Traffic_Light : Mutable_Variant_Record (Option => Yellow); _-- this record is immutable, the discriminant cannot be changed_
                                                                         _-- even though the type declaration allows for mutable objects_
                                                                         _-- with different discriminant values_
    ...
    Mutable_Traffic_Light   := (Option => Yellow,                        _-- mutation requires assignment of all components_
                                Location => 54,                          _-- for the given variant structure_
                                Timeout => 2.3);
    ...
    _-- restrictions on objects, causing them to be immutable_
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Mutable_Variant_Record;
    Any_Traffic_Light       : Traffic_Light_Access :=
                               [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Mutable_Variant_Record;
    Aliased_Traffic_Light   : [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Mutable_Variant_Record;
    

  
Conversely, you can declare record types so that the discriminant along with the structure of the variant record may not be changed. To make a record type declaration _immutable_, the discriminant must **not** have a default value.
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Yellow, Green);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Immutable_Variant_Record (Option : Traffic_Light) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) _-- no default value makes the record type immutable_
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           _-- common components_
           Location : Natural := 0;
           [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case) Option [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Red =>
                 _-- components for red_
                 Flashing : Boolean := True;
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Yellow =>
                 _-- components for yellow_
                 Timeout    : Duration;
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Green =>
                 _-- components for green_
                 Whatever : Positive := 1;
           [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    ...
    Default_Traffic_Light   : Immutable_Variant_Record;                    _-- ILLEGAL!_
    Immutable_Traffic_Light : Immutable_Variant_Record (Option => Yellow); _-- this record is immutable, since the type declaration is immutable_
    

## Union

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Traffic_Light [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (Red, Yellow, Green);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Union (Option : Traffic_Light := Traffic_Light'First) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
        [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
           _-- common components_
           
           [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case) Option [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Red =>
                 _-- components for red_
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Yellow =>
                 _-- components for yellow_
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Green =>
                 _-- components for green_
           [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
     [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Unchecked_Union](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Unchecked_Union&action=edit&redlink=1) (Union);
     [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (C, Union);    _-- optional_
    

The difference to a variant record is such that Option is not actually stored inside the record and never checked for correctness - it's just a dummy.

This kind of record is usually used for interfacing with C but can be used for other purposes as well (then without ``[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (C, Union);`).

## Tagged record

The tagged record is one part of what in other languages is called a class. It is the basic foundation of [object orientated programming in Ada](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation). The other two parts a class in Ada needs is a [package](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation#The_package) and [primitive operations](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation#Primitive_operations).
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
       [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          Name   : String (1 .. 10);
          Gender : Gender_Type;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with)
       [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          Skilled_In : Language_List;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

Ada 2005 only:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person 
                       [and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) Printable 
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) 
       [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          Skilled_In : Language_List;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

## Abstract tagged record

An abstract type has at least an abstract primitive operation, i.e. one of its operations is not defined and then its derivative types has to provide an implementation.

## With aliased elements

If you come from [C](http://en.wikibooks.org/wiki/C_Programming)/[C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming), you are probably used to the fact that every element of a record - which is not part of a bitset - has an address. In Ada, this is not true because records, just like arrays, can be packed. And just like arrays you can use `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) to ensure that an element can be accessed via an access type.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
       [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
          A : [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Integer;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record) ;
    

Please note: each element needs its own `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased).

## Limited Records

In addition to being variant, tagged, and abstract, records may also be limited (no assignment, and no predefined equality operation for [Limited Types](http://en.wikibooks.org/wiki/Ada_Programming/Types/limited)). In object oriented programming, when tagged objects are handled by references instead of copying them, this blends well with making objects limited.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)
  * [Ada Programming/Keywords/record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
  * [Ada Programming/Keywords/null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null)
  * [Ada Programming/Keywords/abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract)
  * [Ada Programming/Keywords/case](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/case)
  * [Ada Programming/Keywords/when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when)
  * [Ada Programming/Pragmas/Unchecked_Union](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Unchecked_Union&action=edit&redlink=1)

### Ada Reference Manual

#### Ada 95

  * [3.8: Record Types](http://www.adaic.com/standards/95lrm/html/RM-3-8.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-8.html))

#### Ada 2005

  * [3.8: Record Types](http://www.adaic.com/standards/05rm/html/RM-3-8.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-8.html))
  * [B.3.3: Pragma Unchecked_Union](http://www.adaic.com/standards/05rm/html/RM-B-3-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B-3-3.html))

#### Ada Issues

  * [AI95-00216-01 Unchecked unions — variant records with no run-time discriminant](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00216.TXT)

  


# Access types

## What's an Access Type?

Access types in Ada are what other languages call pointers. They point to objects located at certain addresses. So normally one can think of access types as simple addresses (there are exceptions from this simplified view). Ada instead of saying _points to_ talks of _granting access to_ or _designating_ an object.

Objects of access types are implicitly initialized with `[null`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null), i.e. they point to nothing when not explicitly initialized.

Access types should be used rarely in Ada. In a lot of circumstances where pointers are used in other languages, there are other ways without pointers. If you need dynamic data structures, first check whether you can use the Ada Container library. Especially for indefinite record or array components, the Ada 2012 package Indefinite_Holders (RM [A.18.18](http://www.ada-auth.org/standards/12rm/html/RM-A-18-18.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-A-18-18.html))) can be used instead of pointers.

There are four kinds of access types in Ada: Pool access types - General access types - Anonymous access types - Access to subprogram types.

## Pool access

A _pool access type_ handles accesses to objects which were created on some specific heap (or storage pool as it is called in Ada). A pointer of these types cannot point to a stack or library level (static) object or an object in a different storage pool. Therefore, conversion between pool access types is illegal. (Unchecked_Conversion may be used, but note that deallocation via an access object with a storage pool different from the one it was allocated with is erroneous.)
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
      First_Name : String (1..30);
      Last_Name  : String (1..20);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Person;
    

A size clause may be used to limit the corresponding (implementation defined anonymous) storage pool. A size clause of 0 disables calls of an allocator.
    
    
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Person_Access'[Size](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/Size&action=edit&redlink=1) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) 0;
    

The storage pool is implementation defined if not specified. Ada supports user defined storage pools, so you can define the storage pool with
    
    
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) Person_Access'[Storage_Pool](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Storage_Pool&action=edit&redlink=1) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Pool_Name;
    

Objects in a storage pool are created with the keyword `[new`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new):
    
    
    Father: Person_Access := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person;                                          -- uninitialized
    Mother: Person_Access := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person'(Mothers_First_Name, Mothers_Last_Name);  -- initialized
    

You access the object in the storage pool by appending `.`[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all)`. `Mother.`[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all)` is the complete record; components are denoted as usual with the dot notation: `Mother.`[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all).First_Name`. When accessing components, _implicit dereferencing_ (i.e. omitting `[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all)) can serve as a convenient shorthand:
    
    
    Mother.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := (Last_Name => Father.Last_Name, First_Name => Mother.First_Name);  -- marriage
    

Implicit dereferencing also applies to arrays:
    
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Vector [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. 3) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Complex;
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Vector_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Vector;
    
      VA: Vector_Access := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Vector;
      VB: [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. 3) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Vector_Access := ([others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) => [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Vector);
    
      C1: Complex := VA (3);    -- a shorter equivalent for VA   .[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) (3)
      C2: Complex := VB (3)(1); -- a shorter equivalent for VB(3).[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) (1)
    

Be careful to discriminate between deep and shallow copies when copying with access objects:
    
    
    Obj1.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := Obj2.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all);  -- Deep copy: Obj1 still refers to an object
                           -- different from Obj2, but it has the same content
    Obj1 := Obj2;          -- Shallow copy: Obj1 now refers to the same object as Obj2
    

### Deleting objects from a storage pool

Although the Ada standard mentions a garbage collector, which would automatically remove all unneeded objects that have been created on the heap (when no storage pool has been defined), only Ada compilers targeting a virtual machine like Java or .NET actually have garbage collectors. <s>There is also a ``[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Controlled`, which, when applied to such an access type, prevents automatic garbage collection of objects created with it.</s> Note that ``[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Controlled` will be dropped from Ada 2012, subpools for storage management replacing it. See RM 2012 [13.11.3](http://www.ada-auth.org/standards/12rm/html/RM-13-11-3.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-13-11-3.html)) and [13.11.4](http://www.ada-auth.org/standards/12rm/html/RM-13-11-4.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-13-11-4.html)).

Therefore in order to delete an object from the heap, you need the generic unit [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Deallocation](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Deallocation&action=edit&redlink=1). Apply utmost care to not create dangling pointers when deallocating objects as is shown in the example below. (And note that deallocating objects with a different access type than the one with which they were created is erroneous when the corresponding storage pools are different.)
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Deallocation](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Deallocation&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Deallocation_Sample [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Vector     [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Float;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Vector_Ref [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Vector;
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Free_Vector [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unchecked_Deallocation](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Unchecked_Deallocation&action=edit&redlink=1)
          (Object => Vector, Name => Vector_Ref);
      
       VA, VB: Vector_Ref;
       V     : Vector;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
       VA     := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Vector (1 .. 10);
       VB     := VA;  -- points to the same location as VA
    
       VA.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := ([others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) => 0.0);
    
       --  ... Do whatever you need to do with the vector
    
       Free_Vector (VA); -- The memory is deallocated and VA is now null
    
       V := VB.all;  -- VB is not null, access to a dangling pointer is erroneous
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Deallocation_Sample;
    

It is exactly because of this problem with dangling pointers that the deallocation operation is called **unchecked**. It is the chore of the programmer to take care that this does not happen.

Since Ada allows for user defined storage pools, you could also try a [garbage collector library](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/MultiPurpose/AdaCL#Garbage_Collector).

### Constructing Reference Counting Pointers

You can find some implementations of reference counting pointers, called _Safe_ or _Smart Pointers_, on the net. Using such a type prevents caring about deallocation, since this will automatically be done when there are no more pointers to an object. But be careful - most of those implementations do not prevent deliberate deallocation, thus undermining the alledged safety attained with their use.

A nice tutorial how to construct such a type can be found in a series of Gems on the AdaCore web site.

[Gem #97: Reference Counting in Ada – Part 1](http://www.adacore.com/2011/01/17/gem-97-reference-counting-in-ada-part-1/) This little gem constructs a simple reference counted pointer that does not prevent deallocation, i.e. is inherently unsafe.

[Gem #107: Preventing Deallocation for Reference-counted Types](http://www.adacore.com/2011/06/06/gem-107-preventing-deallocation-for-reference-counted-types/) This further gem describes how to arrive at a pointer type whose safety cannot be compromised (tasking issues aside). The cost of this improved safety is awkward syntax.

[Gem #123: Implicit Dereferencing in Ada 2012](http://www.adacore.com/adaanswers/gems/gem-123-implicit-dereferencing-in-ada-2012/) This gem shows how to simplify the syntax with the new Ada 2012 generation. (Admittedly, this gem is a bit unrelated to reference counting since the new language feature can be applied to any kind of container.)

## General access

_General access types_ grant access to objects created on any storage pool, on the stack or at library level (static). They come in two versions, granting either read-write access or read-only access. Conversions between general access types are allowed, but subject to certain access level checks.

Dereferencing is like for pool access types. Objects (other than pool objects) to be referenced have to be declared `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased), and references to them are created with the attribute `'Access`. Access level restrictions prevent accesses to objects from outliving the accessed object, which would make the program erroneous. The attribute `'Unchecked_Access` omits the corresponding checks.

### Access to Variable

When the keyword `[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) is used in their definition, they grant read-write access.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;            
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) Day_Of_Month;
    

### Access to Constant

General access types granting read-only access to the referenced object use the keyword `[constant`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) in their definition. The referenced object may be a constant or a variable.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;            
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Day_Of_Month;
    

### Some examples
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) General_Pointer  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all)      Integer;
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Constant_Pointer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Integer;
    
     I1: [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Integer := 10;
     I2: [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Integer;
    
     P1: General_Pointer  := I1'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);  -- illegal
     P2: Constant_Pointer := I1'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);  -- OK, read only
     P3: General_Pointer  := I2'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);  -- OK, read and write
     P4: Constant_Pointer := I2'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);  -- OK, read only
    
     P5: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) General_Pointer := I2'Access;  -- read and write only to I2
    

## Anonymous access

Also _Anonymous access types_ come in two versions like general access types, granting either read-write access or read-only access depending on whether the keyword `[constant`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) appears.

An anonymous access can be used as a parameter to a subprogram or as a discriminant. Here are some examples:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Modify (Some_Day: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access)          Day_Of_Month);
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Test   (Some_Day: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Day_Of_Month);  -- Ada 2005 only
    
    
    
    [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Thread (Execute_For_Day: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Day_Of_Month) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       ...
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Thread;
    
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Data (Store_For_Day: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Day_Of_Month) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
       --  components
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    

Before using an anonymous access, you should consider a named access type or, even better, consider if the "`[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out)" or "`[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out)" modifier is not more appropriate.

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._

In Ada 2005, anonymous accesses are allowed in more circumstances:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
      M   : Integer;
      Next: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    X: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Integer;
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) F [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Float;
    

## Implicit Dereference

Ada 2012 will simplify accesses to objects via pointers with new syntax.

Imagine you have a container holding some kind of elements.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Container   [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_Ptr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Element;
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (X: Element; Into: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Container);
    

Now how do you access elements stored in the container. Of course you can retrieve them by
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get (From: Container) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element;
    

This will however copy the element, which is unfortunate if the element is big. You get direct access with
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get (From: Container) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element_Ptr;
    

Now pointers are dangerous since you might easily create dangling pointers like so:
    
    
    P: Element_Ptr := Get (Cont);
    P.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := E;
    Free (P);
    ... Get (Cont) -- this is now a dangling pointer
    

Use of an accessor object instead of an access type can prevent inadvertant deallocation (this is still Ada 2005):
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Accessor (Data: [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Element) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);  -- read/write access
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get (From: Container) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Accessor;
    

(For the null exclusion `[not`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) `[null`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) in the declaration of the discriminant, see below). Access via such an accessor is safe: The discriminant can only be used for dereferencing, it cannot be copied to an object of type Element_Ptr because its accessibility level is deeper. In the form above, the accessor provides read and write access. If the keyword `[constant`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) is added, only read access is possible.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Accessor (Data: [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Element) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);  -- only read access
    

Access to the container object now looks like so:
    
    
    Get (Cont).[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all)      := E;  -- via access type: dangerous
    Get (Cont).Data.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := E;  -- via accessor: safe, but ugly
    

Here the new Ada 2012 feature of _aspects_ comes along handy; for the case at hand, the aspect _Implicit_Dereference_ is the one we need:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Accessor (Data: [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Element) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Implicit_Dereference => Data;
    

Now rather than writing the long and ugly function call of above, we can just omit the discriminant and its dereference like so:
    
    
    Get (Cont).Data.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) := E;  -- Ada 2005 via accessor: safe, but ugly
    Get (Cont)          := E;  -- Ada 2012 implicit dereference
    

Note that the call `Get (Cont)` is overloaded — it can denote the accessor object or the element, the compiler will select the correct interpretation depending on context.

## Null exclusions

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._

All access subtypes can be modified with `[not`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) `[null`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null), objects of such a subtype can then never have the value null, so initializations are compulsory.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type)    Day_Of_Month_Access          [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access)   Day_Of_Month;
    [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Day_Of_Month_Not_Null_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) Day_Of_Month_Access;
    

The language also allows to declare _the first subtype_ directly with a null exclusion:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Day_Of_Month;
    

However, in nearly all cases this is not a good idea because it renders objects of this type nearly unusable (for example, you are unable to free the allocated memory). Not null accesses are intended for access _subtypes_, object _declarations_, and subprogram _parameters_.[[8]](http://groups.google.com/group/comp.lang.ada/msg/13a41ced7af75192)

## Access to Subprogram

An access to subprogram allows to call a [subprogram](http://en.wikibooks.org/wiki/Ada_Programming/Subprograms) without knowing its name nor its declaration location. One of the uses of this kind of access is the well known callbacks.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Callback_Procedure [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) (Id  : Integer;
                                                 Text: String);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Callback_Function [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) (The_Alarm: Alarm) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Natural;
    

For getting an access to a subprogram, the attribute [Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access) is applied to a subprogram name with the proper parameter and result profile.
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Process_Event (Id  : Integer;
                             Text: String);
    
    My_Callback: Callback_Procedure := Process_Event'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);
    

### Anonymous access to Subprogram

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Test (Call_Back: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) (Id: Integer; Text: String));
    

There is now no limit on the number of keyword in a sequence:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) F [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Some_Type;
    

This is a function that returns the access to a function that in turn returns an access to a function returning an access to some type.

## Access FAQ

A few "Frequently Asked Question" and "Frequently Encountered Problems" (mostly from [C](http://en.wikibooks.org/wiki/Programming:C) users) regarding Ada's access types.

### Access vs. access all

An `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) `[all`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) can do anything a simple `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) can do. So one might ask: "Why use simple `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) at all?" - And indeed some programmers never use simple `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access).

Unchecked_Deallocation is always dangerous if misused. It is just as easy to deallocate a pool-specific object twice, and just as dangerous as deallocating a stack object. The advantage of "access all" is that you may not need to use Unchecked_Deallocation at all.

Moral: if you have (or may have) a valid reason to store an 'Access or 'Unchecked_Access into an access object, then use "access all" and don't worry about it. If not, the mantra of "least privilege" suggests that the "all" should be left out (don't enable capabilities that you are not going to use).

The following (perhaps disastrous) example will try to deallocate a stack object:
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;            
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) Day_Of_Month;
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Free [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Unchecked_Deallocation
          (Object => Day_Of_Month
           Name   => Day_Of_Month_Access);
    
      A  : [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Day_Of_Month;
      Ptr: Day_Of_Month_Access := A'[Access](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Access);
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
       Free(Ptr);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

With a simple `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) you know at least that you won't try to deallocate a stack object.

### Access vs. System.Address

An access can be something different from a mere memory address, it may be something more. For example, an "access to String" often needs some way of storing the string size as well. If you need a simple address and are not concerned about strong typing, use the System.Address type.

### C compatible pointer

The correct way to create a C compatible access is to use `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention):
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for)  Day_Of_Month'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Interfaces.C.int'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size);
    
    [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (Convention => C,
                       Entity     => Day_Of_Month);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Day_Of_Month;
    
    [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (Convention => C,
                       Entity     => Day_Of_Month_Access);
    

`[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) should be used on any type you want to use in C. The compiler will warn you if the type cannot be made C compatible.

You may also consider the following - shorter - alternative when declaring Day_Of_Month:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Day_Of_Month [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Interfaces.C.int [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 31;
    

Before you use access types in C, you should consider using the normal "in", "out" and "in out" modifiers. `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Export](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Export) and `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) know how parameters are usually passed in C and will use a pointer to pass a parameter automatically where C would have used them as well. Of course the RM contains precise rules on when to use a pointer for "in", "out", and "in out" - see "[B.3: Interfacing with C](http://www.ada-auth.org/standards/12rm/html/RM-B-3.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-B-3.html))".

### Where is void*?

While actually a problem for "interfacing with C", here are some possible solutions:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Test [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Pvoid [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) System.Address;
    
      -- the declaration in C looks like this:
      -- int C_fun(int *)
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) C_fun (pv: Pvoid) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer;
      [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) (Convention    => C,
                     Entity        => C_fun,     -- any Ada name
                     External_Name => "C_fun");  -- the C name
    
      Pointer: Pvoid;
    
      Input_Parameter: [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Integer := 32;
      Return_Value   : Integer;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
      Pointer      := Input_Parameter'[Address](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Address);
      Return_Value := C_fun (Pointer);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Test;
    

Less portable but perhaps more usable (for 32 bit CPUs):
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) void [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) 2 ** 32;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) void'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) 32;
    

With GNAT you can get 32/64 bit portability by using:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) void [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) System.Memory_Size;
    [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) void'[Size](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Size) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) System.Word_Size;
    

Closer to the true nature of void - pointing to an element of zero size is a pointer to a null record. This also has the advantage of having a representation for `void` and `void*`:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Void [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (C, Void);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Void_Ptr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) Void;
    [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention) (C, Void_Ptr);
    

## Thin and Fat Access Types

The difference between an access type and an address will be detailed in the following. The term _pointer_ is used because this is usual terminology.

There is a predefined unit `System.Address_to_Access_Conversion` converting back and forth between access values and addresses. Use these conversions with care, as is explained below.

### Thin Pointers

Thin pointers grant access to constrained subtypes.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Int     [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) -100 .. +500;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Acc_Int [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Int;
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Arr     [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. 80) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Character;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Acc_Arr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Arr;
    

Objects of subtypes like these have a static size, so a simple address suffices to access them. In the case of arrays, this is generally the address of the first element.

For pointers of this kind, use of `System.Address_to_Access_Conversion` is safe.

### Fat Pointers
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Unc     [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Character;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Acc_Unc [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Unc;
    

Objects of subtype `Unc` need a constraint, i.e. a start and a stop index, thus pointers to them need also to include those. So a simple address like the one of the first component is not sufficient. Note that A'Address is the same as A(A'First)'Address for any array object.

For pointers of this kind, `System.Address_to_Access_Conversion` will probably not work satisfactorily.

### Example
    
    
    CO: [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Unc (-1 .. +1) := (-1 .. +1 => ' ');
    UO: [aliased](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) Unc            := (-1 .. +1 => ' ');
    

Here, CO is a _nominally constrained_ object, a pointer to it need not store the constraint, i.e. a thin pointer suffices. In contrast, UO is an object of a _nominally unconstrained_ subtype, its _actual subtype_ is constrained by the initial value.
    
    
    A: Acc_Unc            := CO'Access;  -- illegal
    B: Acc_Unc            := UO'Access;  -- OK
    C: Acc_Unc (CO'Range) := CO'Access;  -- also illegal
    

The relevant paragraphs in the RM are difficult to understand. In short words:

An access type's target type is called the _designated subtype_, in our example `Unc`. RM [3.10.2](http://www.ada-auth.org/standards/12rm/html/RM-3-10-2.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-3-10-2.html))(27.1/2) requires that `Unc_Acc`'s designated subtype statically match the _nominal subtype_ of the object.

Now the nominal subtype of `CO` is the constrained anonymous subtype `Unc (-1 .. +1)`, the nominal subtype of `UO` is the unconstrained subtype `Unc`. In the illegal cases, the designated and nominal subtypes do not statically match.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types](http://en.wikibooks.org/wiki/Ada_Programming/Types)

### Ada Reference Manual

#### Ada 95

  * [4.8: Allocators](http://www.adaic.com/standards/95lrm/html/RM-4-8.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-4-8.html))
  * [13.11: Storage Management](http://www.adaic.com/standards/95lrm/html/RM-13-11.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-13-11.html))
  * [13.11.2: Unchecked Storage Deallocation](http://www.adaic.com/standards/95lrm/html/RM-13-11-2.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-13-11-2.html))
  * [3.7: Discriminants](http://www.adaic.com/standards/95lrm/html/RM-3-7.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-7.html))
  * [3.10: Access Types](http://www.adaic.com/standards/95lrm/html/RM-3-10.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-10.html))
  * [6.1: Subprogram Declarations](http://www.adaic.com/standards/95lrm/html/RM-6-1.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-6-1.html))
  * [B.3: Interfacing with C](http://www.adaic.com/standards/95lrm/html/RM-B-3.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-B-3.html))

#### Ada 2005

  * [4.8: Allocators](http://www.adaic.com/standards/05rm/html/RM-4-8.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-4-8.html))
  * [13.11: Storage Management](http://www.adaic.com/standards/05rm/html/RM-13-11.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-13-11.html))
  * [13.11.2: Unchecked Storage Deallocation](http://www.adaic.com/standards/05rm/html/RM-13-11-2.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-13-11-2.html))
  * [3.7: Discriminants](http://www.adaic.com/standards/05rm/html/RM-3-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-7.html))
  * [3.10: Access Types](http://www.adaic.com/standards/05rm/html/RM-3-10.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-10.html))
  * [6.1: Subprogram Declarations](http://www.adaic.com/standards/05rm/html/RM-6-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-6-1.html))
  * [B.3: Interfacing with C](http://www.adaic.com/standards/05rm/html/RM-B-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B-3.html))

### Ada Quality and Style Guide

  * [5.4.5 Dynamic Data](http://www.adaic.org/docs/95style/html/sec_5/5-4-5.html)
  * [5.9.2 Unchecked Deallocation](http://www.adaic.org/docs/95style/html/sec_5/5-9-2.html)

  


# Limited types

## Limited Types

When a type is declared `[limited`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) this means that objects of the type cannot be assigned values of the same type. An Object `b` of limited type `LT` cannot be copied into an object `a` of same type `LT`.

Additionally, there is no predefined equality operation for objects of a limited type.

The desired effects of declaring a type limited include prevention of shallow copying. Also, the (unique) identity of an object is retained: once declared, a name of a variable of type `LT` will continue to refer to the same object.

The following example will use a rather simplifying type `Boat`.
    
    
         [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Boat [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
         [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Choose
           [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Load  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
            Speed [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
            [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return)  Boat[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_Sail [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()The_Boat [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boat[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

When we declare a variable to be of type `Boat`, its name will denote one boat from then on. Boats will not be copied into one another.

The full view of a boat might be implemented as a record such as
    
    
         [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Boat [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
            Max_Sail_Area [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
            Max_Freight   [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
            Sail_Area     [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
            Freight       [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The `Choose` function returns a `Boat` object depending on the parameters `Load` and `Speed`. If we now declare a variable of type Boat we will be better off Choosing an initial Boat (or else we might be dropping into uninitialized waters!). But when we do so, the initialization looks suspiciously like assignment which is not available with limited types:
    
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Travel [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()People [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Positive[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Average_Speed [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
         Henrietta [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Boat [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D)   _-- assignment?_
            Choose
              [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Load  [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) People [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) Average_Weight [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 1[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)5[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
               Speed [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Average_Speed [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 1[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)5[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         Set_Sail [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Henrietta[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Travel[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Fortunately, current Ada distinguishes initialization from copying. Objects of a limited type may be initialized by an initialization expression on the right of the delimiter [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D).

(Just to prevent confusion: The Ada Reference Manual discriminates between _assignment_ and _assignment statement_, where assignment is part of the assignment statement. An initialisation is of course an assignment which, for limited types, is done _in place_. An assignment statement involves copying, which is forbidden for limited types.)

Related to this feature are [aggregates of limited types](http://www.adacore.com/2007/05/14/gem-1/) and “constructor functions” for limited types. Internally, the implementation of the `Choose` function will return a limited record. However, since the return type `Boat` is limited, there must be no copying anywhere. Will this work? A first attempt might be to declare a `result` variable local to `Choose`, manipulate `result`, and return it. The `result` object needs to be “transported” into the calling environment. But `result` is a variable local to `Choose`. When `Choose` returns, `result` will no longer be in scope. Therefore it looks like `result` must be copied but this is not permitted for limited types. There are two solutions provided by the language: extended return statements (see [6.5: Return Statements](http://www.adaic.com/standards/05rm/html/RM-6-5.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-6-5.html))) and aggregates of limited types. The following body of `Choose` returns an aggregate of limited type `Boat`, after finding the initial values for its components.
    
    
         [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Choose
           [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Load  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
            Speed [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Sailors_Units[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
            [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return)  Boat
         [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
            Capacity [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Sailors_Units [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Capacity_Needed [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Load[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boat['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)
              [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Max_Freight   [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Capacity[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
               Max_Sail_Area [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Sail_Needed [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Capacity[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
               Freight       [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Load[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
               Sail_Area     [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) 0[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Choose[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The object that is returned is at the same time the object that is to have the returned value. The function therefore initializes `Henrietta` _in place_.

In parallel to the predefined type [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Finalization](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Finalization&action=edit&redlink=1)`.Controlled`, Ada provides the type `Limited_Controlled` in the same package. It is a limited version of the former.

## Initialising Limited Types

A few methods to initialise such types are presented.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Limited_Private_Samples [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Uninitialised  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Preinitialised [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Dynamic_Initialisation [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (X: Integer)  _-- any kind of parameters_
        [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Dynamic_Initialisation;
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Needs_Constructor (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (X: Integer)  _-- any kind of parameters_
        [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Needs_Constructor;
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Uninitialised [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        I: Integer;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Preinitialised [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        I: Integer := 0;  _-- can also be a function call_
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Void [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (Object: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Dynamic_Initialisation) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Void;
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Dynamic_Initialisation [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        Hook: Void := Constructor (Dynamic_Initialisation'[Access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/Access&action=edit&redlink=1));
        Bla : Integer;  _-- any needed components_
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Needs_Constructor [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        I: Integer;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Limited_Private_Samples;
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Limited_Private_Samples [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (Object: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Dynamic_Initialisation) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Void [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Object.Bla := 5;  _-- may be any value only known at run time_
        [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ([null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record));
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Constructor;
    
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (X: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Dynamic_Initialisation [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) (Hook => ([null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)),
                Bla  => 42);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Constructor;
    
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Constructor (X: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Needs_Constructor [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) (I => 42);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Constructor;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Limited_Private_Samples;
    
    
    
     [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Limited_Private_Samples[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  Limited_Private_Samples[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Try [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
     
       U[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Uninitialised[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)   _-- very bad_
       P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Preinitialised[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _-- has initial value (good)_
      
       D1[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Dynamic_Initialisation[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _-- has initial value (good)_
       D2[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Dynamic_Initialisation [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Constructor [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()0[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _-- Ada 2005 initialisation_
       D3[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Dynamic_Initialisation [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Constructor [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()0[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _-- already Ada 95_
     
       _-- I: Needs_Constructor;  -- Illegal without initialisation_
       N[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Needs_Constructor [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Constructor [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()0[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _-- Ada 2005 initialisation_
     
     [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
     
       [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Try[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    

Note that D3 is a constant, whereas all others are variables.

Also note that the initial value that is defined for the component of Preinitialised is evaluated at the time of object creation, i.e. if an expression is used instead of the literal, the value can be run-time dependent.
    
    
    X, Y: Preinitialised;
    

In this declaration of two objects, the initial expression will be evaluated twice and can deliver different values, because it is equivalent to the sequence[[1]](All_Chapters.html#cite_note-7):
    
    
    X: Preinitialised;
    Y: Preinitialised;
    

So X is initialised before Y.

## See also

### Ada 95 Reference Manual

  * [7.5: Limited Types](http://www.adaic.com/standards/95lrm/html/RM-7-5.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-7-5.html))

### Ada 2005 Reference Manual

  * [7.5: Limited Types](http://www.adaic.com/standards/05rm/html/RM-7-5.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-7-5.html))

### Ada Quality and Style Guide

  * [5.3.3 Private Types](http://www.adaic.org/docs/95style/html/sec_5/5-3-3.html)
  * [8.3.3 Formal Private and Limited Private Types](http://www.adaic.org/docs/95style/html/sec_8/8-3-3.html)

## References

  1. [↑](All_Chapters.html#cite_ref-7) ISO/IEC 8652:2007. ["3.3.1 Object Declarations (7)"](http://www.adaic.com/standards/05rm/html/RM-3-3-1.html). _Ada 2005 Reference Manual_. <http://www.adaic.com/standards/05rm/html/RM-3-3-1.html>. "Any declaration [...] with more than one `defining_identifier` is equivalent to a series of declarations each containing one `defining_identifier` from the list, [...] in the same order as the list." 

  


# Strings

Ada supports three different types of strings. Each string type is designed to solve a different problem.

In addition, every string type is implemented for each available Characters type (Character, Wide_Character, Wide_Wide_Character) giving a complement of nine combinations.

## Fixed-length string handling

Fixed-Length Strings (the [predefined type String](http://en.wikibooks.org/wiki/Ada_Programming/Types#Predefined_types)) are [arrays](http://en.wikibooks.org/wiki/Ada_Programming/Types/array) of Character, and consequently of a fixed length. Since String is an [indefinite subtype](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes#Indefinite_subtype) the length does not need to be known at compile time — the length may well be calculated at run time. In the following example the length is calculated from command-line argument 1:
    
    
    X : String := Ada.Command_Line.Argument (1);
    

However once the length has been calculated and the string has been created the length stays constant. Try the following program which shows a typical mistake:

File: show_commandline_1.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/show_commandline_1.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/show_commandline_1.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Show_Commandline_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CL   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
    
       X : String := CL.Argument (1);
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       T_IO.Put ("Argument 1 = ");
       T_IO.Put_Line (X);
    
       X := CL.Argument (2);
    
       T_IO.Put ("Argument 2 = ");
       T_IO.Put_Line (X);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Show_Commandline_1;
    

The program will only work when the 1st and 2nd parameter have the same length. This is even true when the 2nd parameter is shorter. There is neither an automatic padding of shorter strings nor an automatic truncation of longer strings.

Having said that, the package [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Fixed](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Fixed&action=edit&redlink=1) contains a set of procedures and functions for Fixed-Length String Handling which allows padding of shorter strings and truncation of longer strings.

Try the following example to see how it works:

File: show_commandline_2.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/show_commandline_2.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/show_commandline_2.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Fixed](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Fixed&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Show_Commandline_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CL   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) S    [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) SF   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Fixed](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Fixed&action=edit&redlink=1);
    
       X : String := CL.Argument (1);
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       T_IO.Put ("Argument 1 = ");
       T_IO.Put_Line (X);
    
      SF.Move (
         Source  => CL.Argument (2),
         Target  => X,
         Drop    => S.Right,
         Justify => S.Left,
         Pad     => S.Space);
    
       T_IO.Put ("Argument 2 = ");
       T_IO.Put_Line (X);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Show_Commandline_2;
    

## Bounded-length string handling

Bounded-Length Strings can be used when the maximum length of a string is known and/or restricted. This is often the case in database applications where only a limited number of characters can be stored.

Like Fixed-Length Strings the maximum length does not need to be known at compile time — it can also be calculated at runtime — as the example below shows:

File: show_commandline_3.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/show_commandline_3.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/show_commandline_3.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Bounded](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Bounded&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Show_Commandline_3 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Text_IO;
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CL   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Command_Line;
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Max_Length (
          Value_1 : Integer;
          Value_2 : Integer)
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return)
          Integer
       [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          Retval : Integer;
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Value_1 > Value_2 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
             Retval := Value_1;
          [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
             Retval := Value_2;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Retval;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Max_Length;
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Inline (Max_Length);
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) SB
       [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Strings.Bounded.Generic_Bounded_Length (
           Max => Max_Length (
                      Value_1 => CL.Argument (1)'Length,
                      Value_2 => CL.Argument (2)'Length));
    
       X :  SB.Bounded_String
         := SB.To_Bounded_String (CL.Argument (1));
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       T_IO.Put ("Argument 1 = ");
       T_IO.Put_Line (SB.To_String (X));
    
       X := SB.To_Bounded_String (CL.Argument (2));
    
       T_IO.Put ("Argument 2 = ");
       T_IO.Put_Line (SB.To_String (X));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Show_Commandline_3;
    

You should know that Bounded-Length Strings have some distinct disadvantages. Most noticeable is that each Bounded-Length String is a different type which makes converting them rather cumbersome. Also a Bounded-Length String type always allocates memory for the maximum permitted string length for the type. The memory allocation for a Bounded-Length String is equal to the maximum number of string "characters" plus an implementation dependent number containing the string length (each character can require allocation of more than one byte per character, depending on the underlying character type of the string, and the length number is 4 bytes long for the Windows GNAT Ada compiler v3.15p, for example).

## Unbounded-length string handling

Last but not least there is the Unbounded-Length String. In fact: If you are not doing embedded or database programming this will be the string type you are going to use most often as it gives you the maximum amount of flexibility.

As the name suggest the Unbounded-Length String can hold strings of almost any length — limited only to the value of Integer'Last or your available heap memory. This is because Unbounded_String type is implemented using dynamic memory allocation behind the scenes, providing lower efficiency but maximum flexibility.

File: show_commandline_4.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/show_commandline_4.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/show_commandline_4.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1);
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Show_Commandline_4 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) T_IO [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Text_IO;
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CL   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Command_Line;
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) SU   [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Strings.Unbounded;
    
       X :  SU.Unbounded_String 
         := SU.To_Unbounded_String (CL.Argument (1));
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       T_IO.Put ("Argument 1 = ");
       T_IO.Put_Line (SU.To_String (X));
    
       X := SU.To_Unbounded_String (CL.Argument (2));
    
       T_IO.Put ("Argument 2 = ");
       T_IO.Put_Line (SU.To_String (X));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Show_Commandline_4;
    

As you can see the Unbounded-Length String example is also the shortest (discarding the first example, which is buggy) — this makes using Unbounded-Length Strings very appealing.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Ada 95 Reference Manual

  * [2.6: String Literals](http://www.adaic.com/standards/95lrm/html/RM-2-6.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-2-6.html))
  * [3.6.3: String Types](http://www.adaic.com/standards/95lrm/html/RM-3-6-3.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-6-3.html))
  * [A.4.3: Fixed-Length String Handling](http://www.adaic.com/standards/95lrm/html/RM-A-4-3.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-A-4-3.html))
  * [A.4.4: Bounded-Length String Handling](http://www.adaic.com/standards/95lrm/html/RM-A-4-4.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-A-4-4.html))
  * [A.4.5: Unbounded-Length String Handling](http://www.adaic.com/standards/95lrm/html/RM-A-4-5.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-A-4-5.html))

### Ada 2005 Reference Manual

  * [2.6: String Literals](http://www.adaic.com/standards/05rm/html/RM-2-6.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-2-6.html))
  * [3.6.3: String Types](http://www.adaic.com/standards/05rm/html/RM-3-6-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-6-3.html))
  * [A.4.3: Fixed-Length String Handling](http://www.adaic.com/standards/05rm/html/RM-A-4-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-4-3.html))
  * [A.4.4: Bounded-Length String Handling](http://www.adaic.com/standards/05rm/html/RM-A-4-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-4-4.html))
  * [A.4.5: Unbounded-Length String Handling](http://www.adaic.com/standards/05rm/html/RM-A-4-5.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-4-5.html))

  


# Subprograms

In Ada the subprograms are classified into two categories: [procedures](All_Chapters.html#Procedures) and [functions](All_Chapters.html#Functions). A procedures call is a statement and does not return any value, whereas a function returns a value and must therefore be a part of an expression.

Subprogram parameters may have three modes.

`[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)
    The actual parameter value goes into the call and is not changed there. The formal parameter is a constant and allows only reading. This is the default when no mode is given. The actual parameter is an expression.
`[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out)
    The actual parameter goes into the call and may be redefined. The formal parameter is a variable and can be read and written.
`[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out)
    The actual parameter's value before the call is irrelevant, it will get a value in the call. The formal parameter can be read and written. (In Ada 83 `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) parameters were write-only.)

A parameter of any mode may also be explicitly `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased).

`[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access)
    The formal parameter is an access (a pointer) to some variable. (This is not a parameter mode from the reference manual point of view.)

Note that parameter modes do not specify the parameter passing method. Their purpose is to document the data flow.

The parameter passing method depends on the type of the parameter. A rule of thumb is that parameters fitting into a register are passed by copy, others are passed by reference. For certain types, there are special rules, for others the parameter passing mode is left to the compiler (which you can assume to do what is most sensible). Tagged types are always passed by reference.

Explicitly `[aliased`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/aliased) parameters and `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) parameters specify pass by reference.

Unlike in the C class of programming languages, Ada subprogram calls cannot have empty parameters parentheses `[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\() [)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))` when there are no parameters.

## Procedures

A procedure call in Ada constitutes a statement by itself.

For example:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) A_Test [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()A, B: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer; C: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Integer[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       C := A + B;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) A_Test;
    

When the procedure is called with the statement
    
    
    A_Test (5 + P, 48, Q);
    

the expressions 5 + P and 48 are evaluated (expressions are only allowed for in parameters), and then assigned to the formal parameters A and B, which behave like constants. Then, the value A + B is assigned to formal variable C, whose value will be assigned to the actual parameter Q when the procedure finishes.

C, being an `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) parameter, is an uninitialized variable before the first assignment. (Therefore in Ada 83, there existed the restriction that `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) parameters are write-only. If you wanted to read the value written, you had to declare a local variable, do all calculations with it, and finally assign it to C before return. This was awkward and error prone so the restriction was removed in Ada 95.)

Within a procedure, the return statement can be used without arguments to exit the procedure and return the control to the caller.

For example, to solve an equation of the kind ![ax^2 + bx + c = 0](../../../upload.wikimedia.org/math/0/c/4/0c4913db725b72609d4825124dda12aa.png):
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Numerics](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Numerics)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Elementary_Functions](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Elementary_Functions&action=edit&redlink=1);
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Numerics](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Numerics)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Elementary_Functions](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Elementary_Functions&action=edit&redlink=1);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Quadratic_Equation
       [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()A, B, C :     Float;   _-- By default it is "in"._
        R1, R2  : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Float;
        Valid   : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
    [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Z : Float;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Z := B**2 - 4.0 * A * C;
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) Z < 0.0 [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or) A = 0.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          Valid := False;  _-- Being out parameter, it should be modified at least once._
          R1    := 0.0;
          R2    := 0.0;
       [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
          Valid := True;
          R1    := (-B + Sqrt (Z)) / (2.0 * A);
          R2    := (-B - Sqrt (Z)) / (2.0 * A);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Quadratic_Equation;
    

The function SQRT calculates the square root of non-negative values. If the roots are real, they are given back in R1 and R2, but if they are complex or the equation degenerates (A = 0), the execution of the procedure finishes after assigning to the Valid variable the False value, so that it is controlled after the call to the procedure. Notice that the `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) parameters should be modified at least once, and that if a mode is not specified, it is implied `[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in).

## Functions

A function is a subprogram that can be invoked as part of an expression. Until Ada 2005, functions can only take `[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) (the default) or `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) parameters; the latter can be used as a work-around for the restriction that functions may not have `[out`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) parameters. Ada 2012 has removed this restriction.

Here is an example of a function body:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Minimum (A, B: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) A <= B [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) A;
       [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) B;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Minimum;
    

Or in Ada2012:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Minimum (A, B: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ([if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) A <= B [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then) A [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else) B);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Minimum;
    

or even shorter as an _expression function_
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Minimum (A, B: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ([if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) A <= B [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then) A [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else) B);
    

The formal parameters with mode `[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) behave as local constants whose values are provided by the corresponding actual parameters. The statement `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) is used to indicate the value returned by the function call and to give back the control to the expression that called the function. The expression of the `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) statement may be of arbitrary complexity and must be of the same type declared in the specification. If an incompatible type is used, the compiler gives an error. If the restrictions of a subtype are not fulfilled, e.g. a range, it raises a Constraint_Error exception.

The body of the function can contain several `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) statements and the execution of any of them will finish the function, returning control to the caller. If the flow of control within the function branches in several ways, it is necessary to make sure that each one of them is finished with a `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) statement. If at run time the end of a function is reached without encountering a `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) statement, the exception Program_Error is raised. Therefore, the body of a function must have at least one such `[return`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) statement.

Every call to a function produces a new copy of any object declared within it. When the function finalizes, its objects disappear. Therefore, it is possible to call the function recursively. For example, consider this implementation of the factorial function:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Factorial (N : Positive) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Positive [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) N = 1 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) 1;
       [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) (N * Factorial (N - 1));
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Factorial;
    

When evaluating the expression `Factorial (4);` the function will be called with parameter 4 and within the function it will try to evaluate the expression `Factorial (3)`, calling itself as a function, but in this case parameter N would be 3 (each call copies the parameters) and so on until N = 1 is evaluated which will finalize the recursion and then the expression will begin to be completed in the reverse order.

A formal parameter of a function can be of any type, including vectors or records. Nevertheless, it cannot be an anonymous type, that is, its type must be declared before, for example:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Float_Vector [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Float;
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Add_Components (V: Float_Vector) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Float [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Result : Float := 0.0;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) V'[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          Result := Result + V(I);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Result;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Add_Components;
    

In this example, the function can be used on a vector of arbitrary dimension. Therefore, there are no static bounds in the parameters passed to the functions. For example, it is possible to be used in the following way:
    
    
    V4  : Float_Vector (1 .. 4) := (1.2, 3.4, 5.6, 7.8);
    Sum : Float;
    
    Sum := Add_Components (V4);
    

In the same way, a function can also return a type whose bounds are not known a priori. For example:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Invert_Components (V : Float_Vector) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Float_Vector [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Result : Float_Vector(V'[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range));   _-- Fix the bounds of the vector to be returned._
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) V'[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          Result(I) := V (V'[First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) + V'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) - I);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
       [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Result;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Invert_Components; 
    

The variable Result has the same bounds as V, so the returned vector will always have the same dimension as the one passed as parameter.

A value returned by a function can be used without assigning it to a variable, it can be referenced as an expression. For example, `Invert_Components (V4) (1)`, where the first element of the vector returned by the function would be obtained (in this case, the last element of V4, i.e. 7.8).

## Named parameters

In subprogram calls, named parameter notation (i.e. the name of the formal parameter followed of the symbol [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) and then the actual parameter) allows the rearrangement of the parameters in the call. For example:
    
    
    Quadratic_Equation (Valid => OK, A => 1.0, B => 2.0, C => 3.0, R1 => P, R2 => Q);
    F := Factorial (N => (3 + I));
    

This is especially useful to make clear which parameter is which.
    
    
    Phi := Arctan (A, B);
    Phi := Arctan (Y => A, X => B);
    

The first call (from Ada.Numerics.Elementary_Functions) is not very clear. One might easily confuse the parameters. The second call makes the meaning clear without any ambiguity.

Another use is for calls with numeric literals:
    
    
    Ada.Float_Text_IO.Put_Line (X, 3, 2, 0);  -- ?
    Ada.Float_Text_IO.Put_Line (X, Fore => 3, Aft => 2, Exp => 0);  -- OK
    

## Default parameters

On the other hand, formal parameters may have default values. They can, therefore, be omitted in the subprogram call. For example:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) By_Default_Example (A, B: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer := 0);
    

can be called in these ways:
    
    
    By_Default_Example (5, 7);      _-- A = 5, B = 7_
    By_Default_Example (5);         _-- A = 5, B = 0_
    By_Default_Example;             _-- A = 0, B = 0_
    By_Default_Example (B => 3);    _-- A = 0, B = 3_
    By_Default_Example (1, B => 2); _-- A = 1, B = 2_
    

In the first statement, a "regular call" is used (with positional association); the second also uses positional association but omits the second parameter to use the default; in the third statement, all parameters are by default; the fourth statement uses named association to omit the first parameter; finally, the fifth statement uses mixed association, here the positional parameters have to precede the named ones.

Note that the default expression is evaluated once for each formal parameter that has no actual parameter. Thus, if in the above example a function would be used as defaults for A and B, the function would be evaluated once in case 2 and 4; twice in case 3, so A and B could have different values; in the others cases, it would not be evaluated.

## Renaming

Subprograms may be renamed. The parameter and result profile for a renaming-as-declaration must be mode conformant.
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Solve
      (A, B, C: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Float;
       R1, R2 : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Float;
       Valid  : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean) [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Quadratic_Equation;
    

This may be especially comfortable for tagged types.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Some_Package [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Message_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Print (Message: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Message_Type);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Some_Package; 
    
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Some_Package;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Message: Some_Package.Message_Type;
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Print [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Message.Print;  _-- this has convention intrinsic, see RM 6.3.1(10.1/2)_
      <s>Method_Ref: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) := Print'[Access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/Access&action=edit&redlink=1);</s>  _-- thus taking 'Access should be illegal; GNAT GPL 2012 allows this_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)  _-- All these calls are equivalent:_
      Some_Package.Print (Message);  _-- traditional call without use clause_
      Message.Print;                 _-- Ada 2005 method.object call - note: no use clause necessary_
      Print;                         _-- Message.Print is a parameterless procedure and can be renamed as such_
      <s>Method_Ref.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all);</s>                _-- GNAT GPL 2012 allows illegal call via an access to the renamed procedure Print_
                                     _-- This has been corrected in the current version (as of Nov 22, 2012)_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

But note that `Message.Print'`[Access`](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/Access&action=edit&redlink=1);` is illegal, you have to use a renaming declaration as above.

Since only mode conformance is required (and not full conformance as between specification and body), parameter names and default values may be changed with renamings:
    
    
    [procedure ](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure)P (X: [in ](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)Integer :=  0);
    [procedure ](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure)R (A: [in ](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)Integer := -1) [renames ](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames)P;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators)

### Ada 95 Reference Manual

  * [Section 6: Subprograms](http://www.adaic.com/standards/95lrm/html/RM-6.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-6.html))
  * [4.4: Expressions](http://www.adaic.com/standards/95lrm/html/RM-4-4.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-4-4.html))

### Ada 2005 Reference Manual

  * [Section 6: Subprograms](http://www.adaic.com/standards/05rm/html/RM-6.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-6.html))
  * [4.4: Expressions](http://www.adaic.com/standards/05rm/html/RM-4-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-4-4.html))

### Ada Quality and Style Guide

  * [4.1.3 Subprograms](http://www.adaic.org/docs/95style/html/sec_4/4-1-3.html)

  


# Packages

Ada encourages the division of code into separate modules called _packages_. Each package can contain any combination of items.

Some of the benefits of using packages are:

  * package contents are placed in a separate namespace, preventing naming collisions,
  * implementation details of the package can be hidden from the programmer (information hiding),
  * object orientation requires defining a type and its primitive subprograms within a package, and
  * packages can be separately compiled.

Some of the more common package usages are:

  * a group of related subprograms along with their shared data, with the data not visible outside the package,
  * one or more data types along with subprograms for manipulating those data types, and
  * a generic package that can be instantiated under varying conditions.

The following is a quote from the current Ada Reference Manual [Section 7: Packages. RM 7(1)](http://www.ada-auth.org/standards/12rm/html/RM-7.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-7.html))

> Packages are program units that allow the specification of groups of logically related entities. Typically, a package contains the declaration of a type (often a private type or private extension) along with the declaration of primitive subprograms of the type, which can be called from outside the package, while their inner workings remain hidden from outside users.

## Separate compilation

It is very common for package declarations and package bodies to be coded into separate files and separately compiled. Doing so places the package at the _library level_ where it will be accessible to all other code via the **with** statement—if a more restricted scope is desired, simply declare the package (and package body, if needed) within the appropriate scope. The package body can itself be divided into multiple files by specifying that one or more subprogram implementations are **separate**.

One of the biggest advantages of Ada over most other programming languages is its well defined system of modularization and separate compilation. Even though Ada allows separate compilation, it maintains the strong type checking among the various compilations by enforcing rules of compilation order and compatibility checking. Ada uses separate compilation (like [Modula-2](http://en.wikipedia.org/wiki/Modula-2), [Java](http://en.wikipedia.org/wiki/Java_programming_language) and [C#](http://en.wikipedia.org/wiki/C_Sharp_programming_language)), and not independent compilation (as [C](http://en.wikipedia.org/wiki/C_programming_language)/[C++](http://en.wikipedia.org/wiki/C%2B%2B) does), in which the various parts are compiled with no knowledge of the other compilation units with which they will be combined.

A note to C/C++ users: Yes, you can use the preprocessor to emulate separate compilation — but it is only an emulation and the smallest mistake leads to very hard to find bugs. It is telling that all C/C++ successor languages including [D](http://en.wikipedia.org/wiki/D_programming_language) have turned away from the independent compilation and the use of the preprocessor.

So it's good to know that Ada has had separate compilation ever since Ada-83 and is probably the most sophisticated implementation around.

## Parts of a package

A package generally consists of two parts, the specification and the body. A package specification can be further divided in two logical parts, the visible part and the private part. Only the visible part of the specification is mandatory. The private part of the specification is optional, and a package specification might not have a package body—the package body only exists to complete any _incomplete_ items in the specification. Subprogram declarations are the most common _incomplete_ items. There must not be a package body if there is no incomplete declaration, and there has to be a package body if there is some incomplete declaration in the specification.

To understand the value of the three-way division, consider the case of a package that has already been released and is in use. A change to the visible part of the specification will require that the programmers of all using software verify that the change does not affect the using code. A change to the private part of the declaration will require that all using code be recompiled but no review is normally needed. Some changes to the private part can change the meaning of the client code however. An example is changing a private record type into a private access type. This change can be done with changes in the private part, but change the semantic meaning of assignment in the clients code. A change to the package body will only require that the file containing the package body be recompiled, because _nothing_ outside of the package body can ever access anything within the package body (beyond the declarations in the specification part).

A common usage of the three parts is to declare the existence of a type and some subprograms that operate on that type in the visible part, define the actual structure of the type (e.g. as a record) in the private part, and provide the code to implement the subprograms in the package body.

### The package specification — the visible part

The visible part of a package specification describes all the subprogram specifications, variables, types, constants etc. that are visible to anyone who wishes to use the package.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Public_Only_Package [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Range_10 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. 10;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Public_Only_Package;
    

Since Range_10 is an integer type, there are a lot of operations declared implicitly in this package.

### The private part

The private part of a package serves two purposes:

  * To complete the deferred definition of private types and constants.
  * To export entities only visible to the children of the package
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Package_With_Private [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. 10) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Integer;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Package_With_Private;
    

Since the type is private, clients cannot make any use of it as long as there are no operations defined in the visible part.

### The package body

The package body defines the implementation of the package. All the subprograms defined in the specification have to be implemented in the body. New subprograms, types and objects can be defined in the body that are not visible to the users of the package.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Package_With_Body [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Basic_Record;
                        An_A : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Integer);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A (This : Basic_Record) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer;
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record) 
             A : Integer;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record) ;
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Pure_Function](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Pure_Function&action=edit&redlink=1)  (Get_A);  -- not a standard Ada pragma
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Inline](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Inline) (Get_A);
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Inline](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Inline) (Set_A);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Package_With_Body;
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Package_With_Body [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Basic_Record;
                        An_A : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Integer)
       [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          This.A := An_A;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Set_A;
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A (This : Basic_Record) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) This.A;
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Get_A;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Package_With_Body;
    

`[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Pure_Function](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Pure_Function&action=edit&redlink=1)
    Only available when using [GNAT](http://en.wikipedia.org/wiki/GNAT).

### Two Flavors of Package

The packages above each define a type together with operations of the type. When the type's composition is placed in the private part of a package, the package then exports what is known to be an [Abstract Data Type](http://en.wikipedia.org/wiki/Abstract_data_type) or ADT for short. Objects of the type are then constructed by calling one of the subprograms associated with the respective type.

A different kind of package is the Abstract State Machine. A package will be modeling a single item of the problem domain, such as the motor of a car. If a program controls one car, there is typically just one motor, or _the_ motor. The public part of the package specification only declares the operations of the module (of the motor, say), but no type. All data of the module are hidden in the body of the package where they act as state variables to be queried, or manipulated by the subprograms of the package. The initialization part sets the state variables to their initial values.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Package_With_Body [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()An_A [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Pure_Function [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Get_A[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  -- not a standard Ada pragma
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Package_With_Body[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Package_With_Body [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       The_A[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()An_A [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          The_A [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) An_A[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Set_A[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) The_A[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Get_A[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
       The_A [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Package_With_Body[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

(A note on construction: The package initialization part after `[begin`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin) corresponds to a construction subprogram of an ADT package. However, as a state machine _is_ an “object” already, “construction” is happening during package initialization. (Here it sets the state variable `The_A` to its initial value.) An ASM package can be viewed as a [singleton](http://en.wikipedia.org/wiki/Singleton_pattern).)

## Using packages

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This section is a stub.**  
You can help Wikibooks by [expanding it](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=edit).

To utilize a package it's needed to name it in a **with** clause, whereas to have direct visibility of that package it's needed to name it in a **use** clause.

For C++ programmers, Ada's **with** clause is analogous to the C++ preprocessor's **#include** and Ada's **use** is similar to the **using namespace** statement in C++. In particular, **use** leads to the same namespace pollution problems as **using namespace** and thus should be used sparingly. Renaming can shorten long compound names to a manageable length, while the **use type** clause makes a type's operators visible. These features reduce the need for plain **use**.

### Standard with

The standard with clause provides visibility for the public part of a unit to the following defined unit. The imported package can be used in any part of the defined unit, including the body when the clause is used in the specification.

### Private with

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._
    
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Strings.Unbounded; 
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Private_With [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       _-- The package Ada.String.Unbounded is not visible at this point_
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Basic_Record;
                        An_A : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     String);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A (This : Basic_Record) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) String;
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- The visibility of package Ada.String.Unbounded starts here_
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Unbounded [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Ada.Strings.Unbounded;
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Basic_Record [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record) 
             A : Unbounded.Unbounded_String;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Pure_Function](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Pure_Function&action=edit&redlink=1)  (Get_A);
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Inline](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Inline) (Get_A);
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Inline](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Inline) (Set_A);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Private_With;
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Private_With [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       _-- The private withed package is visible in the body too_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Set_A (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Basic_Record;
                        An_A : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     String)
       [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          This.A := Unbounded.To_Unbounded_String (An_A);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Set_A;
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get_A (This : Basic_Record) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) String [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Unbounded.To_String (This.A);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Get_A;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Private_With;
    

### Limited with

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._
    
    
    [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Departments;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Employees [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Employee [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Assign_Employee
         (E : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Employee;
          D : [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Departments.Department'[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class));
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Dept_Ptr [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all) Departments.Department'[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Current_Department(E : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Employee) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Dept_Ptr;
       ...
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Employees;
    
    
    
    [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Employees;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Departments [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Department [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Choose_Manager
         (Dept    : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Department;
          Manager : [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Employees.Employee'[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class));
       ...
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Departments;
    

### Making operators visible

Suppose you have a package Universe that defines some numeric type T.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _--  illegal_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

This program fragment is illegal since the operators implicitly defined in Universe are not directly visible.

You have four choices to make the program legal.

Use a use_package_clause. This makes **all declarations** in Universe directly visible (provided they are not hidden because of other homographs).
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Use renaming. This is error prone since if you rename many operators, cut and paste errors are probable.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "*" [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Left[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Right[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)"*"[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "/" [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Left[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Right[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)"*"[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _--  oops_
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Use qualification. This is extremely ugly and unreadable.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)"*" [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()V[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Use the use_type_clause. This makes only the **operators** in Universe directly visible.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

There is a special beauty in the use_type_clause. Suppose you have a set of packages like so:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Universe[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Pack [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Universe[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pack[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Pack[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Pack[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)  _--  illegal_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Now you've got into trouble. Since Universe is not made visible, you cannot use a use_package_clause for Universe to make the operator directly visible, nor can you use qualification for the same reason. Also a use_package_clause for Pack does not help, since the operator is not defined in Pack. The effect of the above construct means that the operator is not nameable, i.e. it cannot be renamed in a renaming statement.

Of course you can add Universe to the context clause, but this may be impossible due to some other reasons (e.g. coding standards); also adding the operators to Pack may be forbidden or not feasible. So what to do?

The solution is simple. Use the use_type_clause for Pack.T and all is well!
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Pack[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      V[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Pack[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) 10[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Pack[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)T[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      V [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) V [*](http://en.wikibooks.org/wiki/Ada_Programming/Operators/*) 42[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)0[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

## Package organisation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This section is a stub.**  
You can help Wikibooks by [expanding it](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=edit).

### Nested packages

A nested package is a package declared inside a package. Like a normal package, it has a public part and a private part. From outside, items declared in a nested package N will have visibility as usual; the programmer may refer to these items using a full dotted name like `P.N.X`. (But not `P.M.Y`.)
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       D[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  a nested package:_
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) N [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          X[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
          Foo[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) N[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       E[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _--  another nested package:_
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) M [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          Y[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
          Bar[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) M[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Inside a package, declarations become visible as they are introduced, in textual order. That is, a nested package N that is declared _after_ some other declaration D can refer to this declaration D. A declaration E following N can refer to items of N[[1]](All_Chapters.html#cite_note-8). But neither can “look ahead” and refer to any declaration that goes after them. For example, spec `N` above cannot refer to `M` in any way.

In the following example, a type is derived in both of the two nested packages `Disks` and `Books`. Notice that the full declaration of parent type `Item` appears before the two nested packages.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Shelf [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Elaborate_Body[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  things to put on the shelf_
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) ID [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1_000 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 9_999[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Item [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Item_Ref [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Item['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[class](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27class&action=edit&redlink=1)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Next_ID [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ID[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       _--  a fresh ID for an Item to Put on the shelf_
    
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Disks [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Music [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()
             Jazz[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Rock[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Raga[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Classic[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Pop[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Soul[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Disk [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Style [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Music[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Item [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
             [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
                Artist [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                Title  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
             [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Disks[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Books [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Literature [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()
             Play[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Novel[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Poem[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Story[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Text[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
             Art[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Book [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Kind [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Literature[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Item [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
             [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
                Authors [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                Title   [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
                Year    [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
             [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Books[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       _--  shelf manipulation_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()it[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Item_Ref[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Item_Ref[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Search [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()title [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ID[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
       _--  keeping private things private_
    
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Boxes [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Treasure[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
          [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Treasure[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Item[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Boxes[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Shelf[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

A package may also be nested inside a subprogram. In fact, packages can be declared in any declarative part, including those of a block.

### Child packages

Ada allows one to extend the functionality of a unit (package) with so-called children (child packages). With certain exceptions, all the functionality of the parent is available to a child. This means that all public and private declarations of the parent package are visible to all child packages.

The above example, reworked as a hierarchy of packages, looks like this. Notice that the package [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded) is not needed by the top level package `Shelf`, hence its with clause doesn't appear here. (We have added a match function for searching a shelf, though):

  

    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Shelf [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [pragma](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) Elaborate_Body[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) ID [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1_000 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 9_999[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Item [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Item_Ref [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Item['](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/%27)[Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Next_ID [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ID[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       _--  a fresh ID for an Item to Put on the shelf_
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) match [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()it [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Item[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Text [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       _--  see whether It has bibliographic information matching Text_
    
    
       _--   shelf manipulation_
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()it[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Item_Ref[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Get [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Item_Ref[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Search [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()title [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) ID[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Shelf[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The name of a child package consists of the parent unit's name followed by the child package's identifier, separated by a period (dot) `[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)'.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Shelf[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Books [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Literature [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()
          Play[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          Novel[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          Poem[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          Story[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          Text[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,)
          Art[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Book [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Kind [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Literature[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Identifier [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Item [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
          [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Authors [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
             Title   [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Unbounded_String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
             Year    [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Integer[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) match[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()it[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Book[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) text[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Shelf[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Books[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

`Book` has two components of type `Unbounded_String`, so [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Unbounded](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings.Unbounded) appears in a with clause of the child package. This is unlike the nested packages case which requires that all units needed by any one of the nested packages be listed in the context clause of the enclosing package (see [10.1.2 Context Clauses - With Clauses](http://www.adaic.com/standards/05rm/html/RM-10-1-2.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-10-1-2.html))). Child packages thus give better control over package dependences. With clauses are more local.

The new child package `Shelf.Disks` looks similar. The `Boxes` package which was a nested package in the private part of the original `Shelf` package is moved to a private child package:
    
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private) [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Shelf[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Boxes [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Treasure[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [limited](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Treasure[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) ID[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Item[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Identifier[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
        [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) match[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()it[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Treasure[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) text[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Shelf[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Boxes[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The privacy of the package means that it can only be used by equally private client units. These clients include private siblings and also the bodies of siblings (as bodies are never public).

Child packages may be listed in context clauses just like normal packages. A `[with`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) of a child also 'withs' the parent.

### Subunits

A subunit is just a feature to move a body into a place of its own when otherwise the enclosing body will become too large. It can also be used for limiting the scope of context clauses.

The subunits allow to physically divide a package into different compilation units without breaking the logical unity of the package. Usually each separated subunit goes to a different file allowing separate compilation of each subunit and independent version control history for each one.
    
    
     [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Pack [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Proc [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Pack[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
     [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Some_Unit[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Pack[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Proc [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
     [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       ...
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Proc[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

## Notes

  1. [↑](All_Chapters.html#cite_ref-8) For example, `E: Integer := D + N.X;`

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Wikipedia

  * [Module](http://en.wikipedia.org/wiki/Module_\(programming\))

### Ada 95 Reference Manual

  * [Section 7: Packages](http://www.adaic.com/standards/95lrm/html/RM-7.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-7.html))

### Ada 2005 Reference Manual

  * [Section 7: Packages](http://www.adaic.com/standards/05rm/html/RM-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-7.html))

  


# Input Output

## Overview

The standard Ada libraries provide several Input/Output facilities, each one adapted to specific needs. Namely, the language defines the following dedicated packages:

  * Text_IO
  * Sequential_IO
  * Direct_IO
  * Stream_IO

The programmer must choose the adequate package depending on the application needs. For example, the following properties of the data handled by the application should be considered:

  * **Data contents**: plain text, or binary data?
  * **Accessing the data**: random access, or sequential access?
  * **Medium**: data file, console, network/data-bus?
  * **Data structure**: homogeneous file (sequence of the same data field), heterogeneous file (different data fields)?
  * **Data format**: adherence to an existing data format, or the application can freely choose a new one?

For example, Stream_IO is very powerful and can handle complex data structures but can be heavier than other packages; Sequential_IO is lean and easy to use but cannot be used by applications requiring random data access; Text_IO can handle just textual data, but it is enough for handling the command-line console.

  
The following table gives some advices for choosing the more adequate one:

**Simple heuristics for choosing an I/O package**

Data access Plain text Binary data

Homogeneous Heterogeneous

Sequential
Text_IO
Sequential_IO
Stream_IO

Random
Text_IO
Direct_IO
Stream_IO

So the most important lesson to learn is choosing the right one. This chapter will describe more in detail these standard packages, explaining how to use them effectively. Besides these Ada-defined packages for general I/O operations each Ada compiler usually has other implementation-defined Input-Output facilities, and there are also other [external libraries for specialized I/O needs](http://en.wikibooks.org/wiki/Ada_Programming#Other_Language_Libraries) like XML processing or interfacing with databases.

## Text I/O

[Text I/O](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO) is probably the most used Input/Output package. All data inside the file are represented by human readable text. Text I/O provides support for line and page layout but the standard is free form text.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Strings](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Strings)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
     
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Str  [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1[..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot)5[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      Last [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Natural[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Ada[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Get_Line [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Str[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Last[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
      Ada[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Put_Line [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Str [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1[..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot)Last[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

It also contains several generic packages for converting numeric and enumeration types to character strings, or for handling Bounded and Unbounded strings, allowing the programmer to read and write different data types in the same file easily (there are ready-to-use instantiations of these generic packages for the Integer, Float, and Complex types). Finally, the same family of Ada.Text_IO packages (including the several children and instantiation packages) for the type Wide_Character and Wide_Wide_Character.

It is worth noting that the family of Text_IO packages provide some automatic text processing. For example, the Get_Line ignores white spaces at the beginning of a line (Get_Immediate does not present this behavior), or adding a newline character when closing the file. This is thus adequate for applications handling simple textual data, but users requiring direct management of text (e.g. raw access to the character encoding) must consider other packages like Sequential_IO.

## Direct I/O

Direct I/O is used for random access files which contain only elements of one specific type. With Direct_IO you can position the file pointer to any element of that type (random access), however you can't freely choose the element type, the element type needs to be a [definite subtype](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes#definite_subtype).

## Sequential I/O

Direct I/O is used for random access files which contain only elements of one specific type. With Sequential_IO it is the other way round: you can choose between [definite](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes#definite_subtype) and [indefinite](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes#Ada_Programming.2FSubtypes.23indefinite_subtype) element types but you have to read and write the elements one after the other.

## Stream I/O

Stream I/O is the most powerful input/output package which Ada provides. Stream I/O allows you to mix objects from different element types in one sequential file. In order to read/write from/to a stream each type provides a ['Read](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Read&action=edit&redlink=1) and ['Write](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Write&action=edit&redlink=1) attribute as well as an ['Input](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Input&action=edit&redlink=1) and ['Output](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Output&action=edit&redlink=1) attribute. These attributes are automatically generated for each type you declare.

The ['Read](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Read&action=edit&redlink=1) and ['Write](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Write&action=edit&redlink=1) attributes treat the elements as raw data. They are suitable for low level input/output as well as interfacing with other programming languages.

The ['Input](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Input&action=edit&redlink=1) and ['Output](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Output&action=edit&redlink=1) attribute add additional control informations to the file, like for example the ['First](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27First) and ['Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last) attributes from an array.

In object orientated programming you can also use the ['Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class)['Input](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Input&action=edit&redlink=1) and ['Class](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Class)['Output](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Output&action=edit&redlink=1) attributes - they will store and recover the actual object type as well.

Stream I/O is also the most flexible input/output package. All I/O attributes can be replaced with user defined functions or procedures using representation clauses and you can provide your own Stream I/O types using flexible object oriented techniques.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Libraries/Ada.Direct_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Direct_IO)
  * [Ada Programming/Libraries/Ada.Sequential_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Sequential_IO)
  * [Ada Programming/Libraries/Ada.Streams](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Streams)
    * [Ada Programming/Libraries/Ada.Streams.Stream_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Streams.Stream_IO)
    * [Ada Programming/Libraries/Ada.Text_IO.Text_Streams](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Text_Streams&action=edit&redlink=1)
  * [Ada Programming/Libraries/Ada.Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO)
    * [Ada Programming/Libraries/Ada.Text_IO.Enumeration_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Enumeration_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Integer_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Integer_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Modular_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Modular_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Float_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Float_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Fixed_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Fixed_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Decimal_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Decimal_IO&action=edit&redlink=1) (nested package)
    * [Ada Programming/Libraries/Ada.Text_IO.Bounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Bounded_IO&action=edit&redlink=1)
    * [Ada Programming/Libraries/Ada.Text_IO.Unbounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Unbounded_IO&action=edit&redlink=1)
    * [Ada Programming/Libraries/Ada.Text_IO.Complex_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Complex_IO&action=edit&redlink=1) (specialized needs annex)
    * [Ada Programming/Libraries/Ada.Text_IO.Editing](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Editing&action=edit&redlink=1) (specialized needs annex)
  * [Ada Programming/Libraries/Ada.Integer_Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Integer_Text_IO)
  * [Ada Programming/Libraries/Ada.Float_Text_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Float_Text_IO&action=edit&redlink=1)
  * [Ada Programming/Libraries/Ada.Complex_Text_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Complex_Text_IO&action=edit&redlink=1) (specialized needs annex)
  * [Ada Programming/Libraries/Ada.Storage_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Storage_IO) (not a general-purpose I/O package)
  * [Ada Programming/Libraries/Ada.IO_Exceptions](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.IO_Exceptions&action=edit&redlink=1)
  * [Ada Programming/Libraries/Ada.Command_Line](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Command_Line&action=edit&redlink=1)
  * [Ada Programming/Libraries/Ada.Directories](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Directories)
  * [Ada Programming/Libraries/Ada.Environment_Variables](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Environment_Variables&action=edit&redlink=1)
  * [Ada Programming/Libraries/GNAT.IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/GNAT.IO&action=edit&redlink=1) (implementation defined)
  * [Ada Programming/Libraries/GNAT.IO_Aux](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/GNAT.IO_Aux&action=edit&redlink=1) (implementation defined)
  * [Ada Programming/Libraries/GNAT.Calendar.Time_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GNAT.Calendar.Time_IO) (implementation defined)
  * [Ada Programming/Libraries/System.IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/System.IO&action=edit&redlink=1) (implementation defined)
  * [Ada Programming/Libraries](http://en.wikibooks.org/wiki/Ada_Programming/Libraries)
    * [Ada Programming/Libraries/GUI](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GUI)
    * [Ada Programming/Libraries/Web](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Web)
    * [Ada Programming/Libraries/Database](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Database)
  * [Ada Programming/Platform](http://en.wikibooks.org/wiki/Ada_Programming/Platform)
  * [Ada Programming/Platform/Linux](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Linux)
  * [Ada Programming/Platform/Windows](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Windows)

### Ada Reference Manual

  * [A.6 Input-Output](http://www.adaic.com/standards/05rm/html/RM-A-6.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-6.html))
  * [A.7 External Files and File Objects](http://www.adaic.com/standards/05rm/html/RM-A-7.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-7.html))
  * [A.8 Sequential and Direct Files](http://www.adaic.com/standards/05rm/html/RM-A-8.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-8.html))
  * [A.10 Text Input-Output](http://www.adaic.com/standards/05rm/html/RM-A-10.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-10.html))
  * [A.11 Wide Text Input-Output and Wide Wide Text Input-Output](http://www.adaic.com/standards/05rm/html/RM-A-11.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-11.html))
  * [A.12 Stream Input-Output](http://www.adaic.com/standards/05rm/html/RM-A-12.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-12.html))
  * [A.13 Exceptions in Input-Output](http://www.adaic.com/standards/05rm/html/RM-A-13.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-13.html))
  * [A.14 File Sharing](http://www.adaic.com/standards/05rm/html/RM-A-14.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-14.html))

### Ada 95 Quality and Style Guide

  * [7.7 Input/Output](http://www.adaic.org/docs/95style/html/sec_7/7-7.html)
    * [7.7.1 Name and Form Parameters](http://www.adaic.org/docs/95style/html/sec_7/7-7-1.html)
    * [7.7.2 File Closing](http://www.adaic.org/docs/95style/html/sec_7/7-7-2.html)
    * [7.7.3 Input/Output on Access Types](http://www.adaic.org/docs/95style/html/sec_7/7-7-3.html)
    * [7.7.4 Package Ada.Streams.Stream_IO](http://www.adaic.org/docs/95style/html/sec_7/7-7-4.html)
    * [7.7.5 Current Error Files](http://www.adaic.org/docs/95style/html/sec_7/7-7-5.html)

  


# Exceptions

## Robustness

_Robustness_ is the ability of a system or system component to behave “reasonably” when it detects an anomaly, e.g.:

  * It receives invalid inputs.
  * Another system component (hardware or software) malfunctions.

Take as example a telephone exchange control program. What should the control program do when a line fails? It is unacceptable simply to halt — all calls will then fail. Better would be to abandon the current call (only), record that the line is out of service, and continue. Better still would be to try to reuse the line — the fault might be transient. Robustness is desirable in all systems, but it is essential in systems on which human safety or welfare depends, e.g., hospital patient monitoring, aircraft fly-by-wire, nuclear power station control, etc.

## Modules, preconditions and postconditions

A module may be specified in terms of its preconditions and postconditions. A _precondition_ is a condition that the module’s inputs are supposed to satisfy. A _postcondition_ is a condition that the module’s outputs are required to satisfy, provided that the precondition is satisfied. What should a module do if its precondition is not satisfied?

  * Halt? Even with diagnostic information, this is generally unacceptable.
  * Use a global result code? The result code can be set to indicate an anomaly. Subsequently it may be tested by a module that can effect error recovery. Problem: this induces tight coupling among the modules concerned.
  * Each module has its own result code? This is a parameter (or function result) that may be set to indicate an anomaly, and is tested by calling modules. Problems: (1) setting and testing result codes tends to swamp the normal-case logic and (2) the result codes are normally ignored.
  * Exception handling — Ada’s solution. A module detecting an anomaly raises an exception. The same, or another, module may handle that exception.

The exception mechanism permits clean, modular handling of anomalous situations:

  * A unit (e.g., block or subprogram body) may raise an exception, to signal that an anomaly has been detected. The computation that raised the exception is abandoned (and can never be resumed, although it can be restarted).
  * A unit may propagate an exception that has been raised by itself (or propagated out of another unit it has called).
  * A unit may alternatively handle such an exception, allowing programmer-defined recovery from an anomalous situation. Exception handlers are segregated from normal-case code.

## Predefined exceptions

The predefined exceptions are those defined in package [Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard). Every language-defined run-time error causes a predefined exception to be raised. Some examples are:

  * `Constraint_Error`, raised when a subtype’s constraint is not satisfied
  * `Program_Error`, when a protected operation is called inside a protected object, e.g.
  * `Storage_Error`, raised by running out of storage
  * `Tasking_Error`, when a task cannot be activated because the operating system has not enough resources, e.g.

Ex.1
    
    
      Name : String (1 .. 10);
      ...
      Name := "Hamlet"; _-- Raises Constraint_Error,_
                        _-- because the "Hamlet" has bounds (1 .. 6)._
    

Ex.2
    
    
      [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
         P := [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Int_Node'(0, P);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop); _-- Soon raises Storage_Error,_
                _-- because of the extreme memory leak._
    

Ex.3 Compare the following approaches:
    
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Compute_Sqrt (X    : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Float;
                              Sqrt : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Float;
                              OK   : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean)
      [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) X >= 0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
            OK := True;
            _-- compute √X_
            ...
         [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
            OK := False;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Compute_Sqrt;
      
      ...
      
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Triangle (A, B, C         : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Float;
                          Area, Perimeter : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Float;
                          Exists          : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean)
      [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         S  : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Float := 0.5 * (A + B + C);
         OK : Boolean;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         Compute_Sqrt (S * (S-A) * (S-B) * (S-C), Area, OK);
         Perimeter := 2.0 * S;
         Exists    := OK;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Triangle;
    

A negative argument to Compute_Sqrt causes OK to be set to False. Triangle uses it to determine its own status parameter value, and so on up the calling tree, _ad nauseam_.

_versus_
    
    
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Sqrt (X : Float) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Float [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) X < 0.0 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
            [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Constraint_Error;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
         _-- compute √X_
         ...
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Sqrt;
      
      ...
      
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Triangle (A, B, C         : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Float;
                          Area, Perimeter : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Float)
      [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         S: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Float := 0.5 * (A + B + C);
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         Area      := Sqrt (S * (S-A) * (S-B) * (S-C));
         Perimeter := 2.0 * S;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Triangle;
    

A negative argument to Sqrt causes Constraint_Error to be explicitly raised inside Sqrt, and propagated out. Triangle simply propagates the exception (by not handling it).

Alternatively, we can catch the error by using the type system:
    
    
      [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Pos_Float [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Float [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0.0 .. Float'[Last](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Last);
      
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Sqrt (X : Pos_Float) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Pos_Float [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         _-- compute √X_
         ...
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Sqrt;
    

A negative argument to Sqrt now raises Constraint_Error at the point of call. Sqrt is never even entered.

## Input-output exceptions

Some examples of exceptions raised by subprograms of the **predefined package** [Ada.Text_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Text_IO) are:

  * `End_Error`, raised by Get, Skip_Line, etc., if end-of-file already reached.
  * `Data_Error`, raised by Get in Integer_IO, etc., if the input is not a literal of the expected type.
  * `Mode_Error`, raised by trying to read from an output file, or write to an input file, etc.
  * `Layout_Error`, raised by specifying an invalid data format in a text I/O operation

Ex. 1
    
    
      [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
         A : Matrix (1 .. M, 1 .. N);
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) 1 .. M [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) J [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) 1 .. N [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
                [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
                   Get (A(I,J));
                [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
                   [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Data_Error =>
                      Put ("Ill-formed matrix element");
                      A(I,J) := 0.0;
                [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
             [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
         [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) End_Error =>
            Put ("Matrix element(s) missing");
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

## Exception declarations

Exceptions are declared rather like objects, but they are not objects. For example, recursive re-entry to a scope where an exception is declared does _not_ create a new exception of the same name; instead the exception declared in the outer invocation is reused.

Ex.1
    
    
      Line_Failed : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
    

Ex.2
    
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Directory_Enquiries [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Insert (New_Name   : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Name;
                           New_Number : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Number);
    
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Lookup (Given_Name  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Name;
                           Corr_Number : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Number);
    
         Name_Duplicated : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
         Name_Absent     : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
         Directory_Full  : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
    
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Directory_Enquiries;
    

## Raising exceptions

The **raise** statement explicitly raises a specified exception.

Ex. 1
    
    
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Directory_Enquiries [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Insert (New_Name   : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Name;
                           New_Number : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Number)
         [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
            …
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            …
            [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) New_Name = Old_Entry.A_Name [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
               [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Name_Duplicated;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
            …
            New_Entry :=  [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Dir_Node'(New_Name, New_Number,…);
            …
         [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
            [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Storage_Error => [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Directory_Full;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
         
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Lookup (Given_Name  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Name;
                           Corr_Number : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Number)
         [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
            …
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            …
            [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) Found [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
               [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Name_Absent;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if);
            …
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Lookup;
      
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Directory_Enquiries;
    

## Exception handling and propagation

Exception handlers may be grouped at the end of a block, subprogram body, etc. A handler is any sequence of statements that may end:

  * by completing;
  * by executing a **return** statement;
  * by raising a different exception (**raise** e;);
  * by re-raising the same exception (**raise**;).

Suppose that an exception _e_ is raised in a sequence of statements _U_ (a block, subprogram body, etc.).

  * If _U_ contains a handler for _e_: that handler is executed, then control leaves _U_.
  * If _U_ contains no handler for _e_: _e_ is _propagated_ out of _U_; in effect, _e_ is raised at the "point of call” of _U_.

So the raising of an exception causes the sequence of statements responsible to be abandoned at the point of occurrence of the exception. It is not, and cannot be, resumed.

Ex. 1
    
    
      ...
      [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
         [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Line_Failed =>
            [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin) _-- attempt recovery_
               Log_Error;
               Retransmit (Current_Packet);
            [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
               [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Line_Failed =>
                  Notify_Engineer; _-- recovery failed!_
                  Abandon_Call;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
      ...
    

## Information about an exception occurrence

Ada provides information about an exception in an object of type Exception_Occurrence, defined in [Ada.Exceptions](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Exceptions) along with subprograms taking this type as parameter:

  * Exception_Name: return the full exception name using the dot notation and in uppercase letters. For example, `Queue.Overflow`.
  * Exception_Message: return the exception message associated with the occurrence.
  * Exception_Information: return a string including the exception name and the associated exception message.

For getting an exception occurrence object the following syntax is used:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Exceptions](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Exceptions);  [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Exceptions](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Exceptions);
    ...
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
      [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Error: High_Pressure | High_Temperature =>
        Put ("Exception: ");
        Put_Line (Exception_Name (Error));
        Put (Exception_Message (Error));
      [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Error: [others](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/others) =>
        Put ("Unexpected exception: ");
        Put_Line (Exception_Information(Error));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

The exception message content is implementation defined when it is not set by the user who raises the exception. It usually contains a reason for the exception and the raising location.

The user can specify a message using the procedure Raise_Exception.
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       Valve_Failure : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      ...
      Raise_Exception (Valve_Failure'[Identity](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Identity), "Failure while opening");
      ...
      Raise_Exception (Valve_Failure'[Identity](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Identity), "Failure while closing");
      ...
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
      [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Fail: Valve_Failure =>
        Put (Exception_Message (Fail));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

  
Starting with Ada 2005, a simpler syntax can be used to associate a string message with exception occurrence.
    
    
    -- _This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       Valve_Failure : [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      ...
      [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Valve_Failure [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) "Failure while opening";
      ...
      [raise](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/raise) Valve_Failure [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) "Failure while closing";
      ...
    [exception](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/exception)
      [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Fail: Valve_Failure =>
        Put (Exception_Message (Fail));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

The [Ada.Exceptions](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Exceptions) package also provides subprograms for saving exception occurrences and re-raising them.

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Ada 95 Reference Manual

  * [Section 11: Exceptions](http://www.adaic.com/standards/95lrm/html/RM-11.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-11.html))
  * [11.4.1: The Package Exceptions](http://www.adaic.com/standards/95lrm/html/RM-11-4-1.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-11-4-1.html))

### Ada 2005 Reference Manual

  * [Section 11: Exceptions](http://www.adaic.com/standards/05rm/html/RM-11.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-11.html))
  * [11.4.1: The Package Exceptions](http://www.adaic.com/standards/05rm/html/RM-11-4-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-11-4-1.html))

### Ada Quality and Style Guide

  * **Chapter 4: Program Structure**
    * [4.3 Exceptions](http://www.adaic.org/docs/95style/html/sec_4/4-3.html)
      * [4.3.1 Using Exceptions to Help Define an Abstraction](http://www.adaic.org/docs/95style/html/sec_4/4-3-1.html)
  * **Chapter 5: Programming Practices**
    * [5.8 Using Exceptions](http://www.adaic.org/docs/95style/html/sec_5/5-8.html)
      * [5.8.1 Handling Versus Avoiding Exceptions](http://www.adaic.org/docs/95style/html/sec_5/5-8-1.html)
      * [5.8.2 Handling for Others](http://www.adaic.org/docs/95style/html/sec_5/5-8-2.html)
      * [5.8.3 Propagation](http://www.adaic.org/docs/95style/html/sec_5/5-8-3.html)
      * [5.8.4 Localizing the Cause of an Exception](http://www.adaic.org/docs/95style/html/sec_5/5-8-4.html)
  * **Chapter 7: Portability**
    * [7.5 Exceptions](http://www.adaic.org/docs/95style/html/sec_7/7-5.html)
      * [7.5.1 Predefined and User-Defined Exceptions](http://www.adaic.org/docs/95style/html/sec_7/7-5-1.html)
      * [7.5.2 Implementation-Specific Exceptions](http://www.adaic.org/docs/95style/html/sec_7/7-5-2.html)

  


# Generics

## Parametric polymorphism (generic units)

The idea of code reuse arises from the necessity for constructing large software systems combining well-established building blocks. The reusability of code improves the productivity and the quality of software. The generic units are one of the ways in which the Ada language supports this characteristic. A generic unit is a subprogram or package that defines algorithms in terms of types and operations that are not defined until the user instantiates them.

Note to C++ programmers: generic units are similar to C++ templates.

For example, to define a procedure for swapping variables of any (non-limited) type:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);  _-- Generic formal type parameter_
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Swap (X, Y : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Element_T);
    
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Swap (X, Y : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Element_T) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Temporary : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Element_T := X;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      X := Y;
      Y := Temporary;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Swap;
    

The `Swap` subprogram is said to be generic. The subprogram specification is preceded by the generic formal part consisting of the reserved word `[generic`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic) followed by a list of generic formal parameters which may be empty. The entities declared as generic are not directly usable, it is necessary to instantiate them.

To be able to use `Swap`, it is necessary to create an instance for the wanted type. For example:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Swap_Integers [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Swap (Integer);
    

Now the `Swap_Integers` procedure can be used for variables of type `Integer`.

The generic procedure can be instantiated for all the needed types. It can be instantiated with different names or, if the same identifier is used in the instantiation, each declaration overloads the procedure:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Instance_Swap [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Swap (Float);
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Instance_Swap [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Swap (Day_T);
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Instance_Swap [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Swap (Element_T => Stack_T);
    

Similarly, generic packages can be used, for example, to implement a stack of any kind of elements:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
      Max: Positive; 
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Generic_Stack [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Push (E: Element_T);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Pop return Element_T;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Stack;
    
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Generic_Stack [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Stack: [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (1 .. Max) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Element_T;
      Top  : Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. Max := 0;  _-- initialise to empty_
      _-- ..._
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Stack;
    

A stack of a given size and type could be defined in this way:
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
      [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Float_100_Stack [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Generic_Stack (100, Float);
      [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Float_100_Stack;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Push (45.8);
      _-- ..._
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

## Generic parameters

The generic unit declares _generic formal parameters_, which can be:

  * objects (of mode _in_ or _in out_ but never _out_)
  * types
  * subprograms
  * instances of another, designated, generic unit.

When instantiating the generic, the programmer passes one _actual parameter_ for each formal. Formal values and subprograms can have defaults, so passing an actual for them is optional.

### Generic formal objects

Formal parameters of mode _in_ accept any value, constant, or variable of the designated type. The actual is copied into the generic instance, and behaves as a constant inside the generic; this implies that the designated type cannot be limited. It is possible to specify a default value, like this:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       Object : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural := 0;
    

For mode _in out_, the actual must be a variable.

One limitation with generic formal objects is that they are never considered static, even if the actual happens to be static. If the object is a number, it cannot be used to create a new type. It can however be used to create a new derived type, or a subtype:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       Size : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural := 0;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) Size; _-- illegal!_
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Size; _-- illegal!_
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T3 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Size; _-- OK_
       [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) T4 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Size; _-- OK_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

The reason why formal objects are nonstatic is to allow the compiler to emit the object code for the generic only once, and to have all instances share it, passing it the address of their actual object as a parameter. This bit of compiler technology is called _shared generics_. If formal objects were static, the compiler would have to emit one copy of the object code, with the object embedded in it, for each instance, potentially leading to an explosion in object code size (_code bloat_).

(Note to C++ programmers: in C++, since formal objects can be static, the compiler cannot implement shared generics in the general case; it would have to examine the entire body of the generic before deciding whether or not to share its object code. In contrast, Ada generics are designed so that the compiler can instantiate a generic _without looking at its body_.)

### Generic formal types

The syntax allows the programmer to specify which type categories are acceptable as actuals. As a rule of thumb: The syntax expresses how the generic sees the type, i.e. it assumes the worst, not how the creator of the instance sees the type.

This is the syntax of RM [12.5](http://www.ada-auth.org/standards/12rm/html/RM-12-5.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-12-5.html)):
    
    
     formal_type_declaration ::=
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) defining_identifier[discriminant_part] [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) formal_type_definition;
     
     formal_type_definition ::= formal_private_type_definition
                              | formal_derived_type_definition
                              | formal_discrete_type_definition
                              | formal_signed_integer_type_definition
                              | formal_modular_type_definition
                              | formal_floating_point_definition
                              | formal_ordinary_fixed_point_definition
                              | formal_decimal_fixed_point_definition
                              | formal_array_type_definition
                              | formal_access_type_definiton
                              | formal_interface_type_definition
    

This is quite complex, so some examples are given below. A type declared with the syntax ``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>)` denotes a type with _unknown discriminants_. This is the Ada vernacular for indefinite types, i.e. types for which objects cannot be declared without giving an initial expression. An example of such a type is one with a discriminant without default, another example is an unconstrained array type.

Generic formal type Acceptable actual types

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[limited`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any type at all. The actual type can be [limited](http://en.wikibooks.org/wiki/Ada_Programming/Types/limited) or not, indefinite or definite, but the _generic_ treats it as limited and indefinite, i.e. does not assume that assignment is available for the type.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any nonlimited type: the generic knows that it is possible to assign to variables of this type, but it is not possible to declare objects of this type without initial value.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any nonlimited definite type: the generic knows that it is possible to assign to variables of this type and to declare objects without initial value.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[abstract`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) `[tagged`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) `[limited`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any [tagged type](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation), abstract or concrete, limited or not.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[tagged`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) `[limited`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/limited) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any concrete tagged type, limited or not.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[abstract`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) `[tagged`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any nonlimited tagged type, abstract or concrete.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[tagged`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any nonlimited, concrete tagged type.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[new`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent;`
Any type derived from `Parent`. The generic knows about `Parent`'s operations, so can call them. Neither `T` nor `Parent` can be abstract.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[abstract`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) `[new`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent `[with`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any type, abstract or concrete, derived from `Parent`, where `Parent` is a tagged type, so calls to `T`'s operations can dispatch dynamically.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[new`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent `[with`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) `[private`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);`
Any concrete type, derived from the tagged type `Parent`.

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (<>);`
Any discrete type: [integer](http://en.wikibooks.org/wiki/Ada_Programming/Types/range), [modular](http://en.wikibooks.org/wiki/Ada_Programming/Types/mod), or [enumeration](http://en.wikibooks.org/wiki/Ada_Programming/Types/Enumeration).

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[range`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>;`
Any signed integer type

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[mod`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) <>;`
Any modular type

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[delta`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) <>;`
Any (non-decimal) [fixed point type](http://en.wikibooks.org/wiki/Ada_Programming/Types/delta)

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[delta`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delta) <> `[digits`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) <>;`
Any decimal fixed point type

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[digits`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/digits) <>;`
Any [floating point type](http://en.wikibooks.org/wiki/Ada_Programming/Types/digits)

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[array`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (I) `[of`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) E;`
Any [array type](http://en.wikibooks.org/wiki/Ada_Programming/Types/array) with index of type `I` and elements of type `E` (`I` and `E` could be formal parameters as well)

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) `[access`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) O;`
Any [access type](http://en.wikibooks.org/wiki/Ada_Programming/Types/access) pointing to objects of type `O` (`O` could be a formal parameter as well)

In the body we can only use the operations predefined for the type category of the formal parameter. That is, the generic specification is a contract between the generic implementor and the client instantiating the generic unit. This is different to the parametric features of other languages, such as C++.

It is possible to further restrict the set of acceptable actual types like so:

Generic formal type Acceptable actual types

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (<>) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)`...
Definite or indefinite types (loosely speaking: types with or without discriminants, but other forms of indefiniteness exist)

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T (D : DT) `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)`...
Types with a discriminant of type DT (it is possible to specify several discriminants, too)

``[type`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T `[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)`...
Definite types (loosely speaking types without a discriminant or with a discriminant with default value)

### Generic formal subprograms

It is possible to pass a subprogram as a parameter to a generic. The generic specifies a generic formal subprogram, complete with parameter list and return type (if the subprogram is a function). The actual must match this parameter profile. It is not necessary that the _names_ of parameters match, though.

Here is the specification of a generic subprogram that takes another subprogram as its parameter:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "*" (X, Y: Element_T) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element_T;
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Square (X : Element_T) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element_T;
    

And here is the body of the generic subprogram; it calls parameter as it would any other subprogram.
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Square (X: Element_T) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) X * X;   _-- The formal operator "*"._
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Square;
    

This generic function could be used, for example, with matrices, having defined the matrix product.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Square;
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Matrices;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Matrix_Example [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Square_Matrix [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Square
        (Element_T => Matrices.Matrix_T, "*" => Matrices.Product);
      A : Matrices.Matrix_T := Matrices.Identity;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      A := Square_Matrix (A);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Matrix_Example;
    

It is possible to specify a default with "the box" (``[is`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) <>`), like this:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "*" (X, Y: Element_T) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Element_T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) <>;
    

This means that if, at the point of instantiation, a function "*" exists for the actual type, and if it is directly visible, then it will be used by default as the actual subprogram.

One of the main uses is passing needed operators. The following example shows this (follow download links for full example):

File: Algorithms/binary_search.adb ([view](http://wikibook-ada.svn.sourceforge.net/viewvc/wikibook-ada/trunk/demos/Source/Algorithms/binary_search.adb?view=markup), [plain text](http://wikibook-ada.svn.sourceforge.net/viewvc/*checkout*/wikibook-ada/trunk/demos/Source/Algorithms/binary_search.adb), [download page](https://sourceforge.net/project/showfiles.php?group_id=124904), [browse all](http://wikibook-ada.sourceforge.net/html/index.html))
    
    
      [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
         [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
         _..._
         [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "<"
           (Left  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Element_Type;
            Right : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Element_Type)
            [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return)  Boolean
         [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) <>;
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Search
        (Elements : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Array_Type;
         Search   : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Element_Type;
         Found    : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean;
         Index    : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Index_Type'[Base](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Base))
         _..._
    

### Generic instances of other generic packages

A generic formal can be a package; it must be an instance of a generic package, so that the generic knows the interface exported by the package:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Q (<>);
    

This means that the actual must be an instance of the generic package Q. The box after Q means that we do not care which actual generic parameters were used to create the actual for P. It is possible to specify the exact parameters, or to specify that the defaults must be used, like this:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       _-- P1 must be an instance of Q with the specified actual parameters:_
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Q (Param1 => X, Param2 => Y);
    
       _-- P2 must be an instance of Q where the actuals are the defaults:_
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Q;
    
    

It is all or nothing: if you specify the generic parameters, you must specify all of them. Similarly, if you specify no parameters and no box, then all the generic formal parameters of Q must have defaults. The actual package must, of course, match these constraints.

The generic sees both the public part and the generic parameters of the actual package (Param1 and Param2 in the above example).

This feature allows the programmer to pass arbitrarily complex types as parameters to a generic unit, while retaining complete type safety and encapsulation. _(example needed)_

It is not possible for a package to list itself as a generic formal, so no generic recursion is possible. The following is illegal:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) A;
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) A (<>);
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) A; _-- illegal: A references itself_
    

In fact, this is only a particular case of:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) A; _-- illegal: A does not exist yet at this point!_
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) A;
    

which is also illegal, despite the fact that A is no longer generic.

## Instantiating generics

To instantiate a generic unit, use the keyword **new**:
    
    
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Square_Matrix [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Square
       (Element_T => Matrices.Matrix_T, "*" => Matrices.Product);
    

Notes of special interest to C++ programmers:

  * The generic formal types define _completely_ which types are acceptable as actuals; therefore, the compiler can instantiate generics without looking at the body of the generic.
  * Each instance has a name and is different from all other instances. In particular, if a generic package declares a type, and you create two instances of the package, then you will get two different, incompatible types, even if the actual parameters are the same.
  * Ada requires that all instantiations be explicit.
  * It is not possible to create special-case instances of a generic (known as "template specialisation" in C++).

As a consequence of the above, Ada does not permit template metaprogramming. However, this design has significant advantages:

  * the object code can be shared by all instances of a generic, unless of course the programmer has requested that subprograms be inlined; there is no danger of code bloat.
  * when reading programs written by other people, there are no hidden instantiations, and no special cases to worry about. Ada follows the Law of Least Astonishment.

## Advanced generics

### Generics and nesting

A generic unit can be nested inside another unit, which itself may be generic. Even though no special rules apply (just the normal rules about generics and the rules about nested units), novices may be confused. It is important to understand the difference between a generic unit and _instances_ of a generic unit.

**Example 1**. A generic subprogram nested in a nongeneric package.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Bag_Of_Strings [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
          [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Operator (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Apply_To_All (B : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Bag);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- omitted_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Bag_Of_Strings;
    

To use **Apply_To_All**, you first define the procedure to be applied to each String in the Bag. Then, you instantiate **Apply_To_All**, and finally you call the instance.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Bag_Of_Strings;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Example_1 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate); _-- omitted_
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize_All [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Bag_Of_Strings.Apply_To_All (Operator => Capitalize);
       B : Bag_Of_Strings.Bag;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Capitalize_All (B);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Example_1;
    

**Example 2.** A generic subprogram nested in a generic package

This is the same as above, except that now the Bag itself is generic:
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_Type (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Generic_Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
          [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Operator (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Element_Type);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Apply_To_All (B : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Bag);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- omitted_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Bag;
    

As you can see, the generic formal subprogram **Operator** takes a parameter of the generic formal type **Element_Type**. This is okay: the nested generic sees everything that is in its enclosing unit.

You cannot instantiate **Generic_Bag.Apply_To_All** directly, so you must first create an instance of **Generic_Bag**, say **Bag_Of_Strings**, and then instantiate **Bag_Of_Strings.Apply_To_All**.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Generic_Bag;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Example_2 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate); _-- omitted_
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Bag_Of_Strings [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Generic_Bag (Element_Type => String);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize_All [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Bag_Of_Strings.Apply_To_All (Operator => Capitalize);
       B : Bag_Of_Strings.Bag;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Capitalize_All (B);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Example_2;
    

### Generics and child units

**Example 3**. A generic unit that is a child of a nongeneric unit.

Each instance of the generic child is a child of the parent unit, and so it can see the parent's public and private parts.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Bag_Of_Strings [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- omitted_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Bag_Of_Strings; 
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Operator (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String);
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Bag_Of_Strings.Apply_To_All (B : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Bag);
    

The differences between this and Example 1 are:

  * **Bag_Of_Strings.Apply_To_All** is compiled separately. In particular, **Bag_Of_Strings.Apply_To_All** might have been written by a different person who did not have access to the source text of **Bag_Of_Strings**.
  * Before you can use **Bag_Of_Strings.Apply_To_All**, you must **with** it explicitly; **with**ing the parent, **Bag_Of_Strings**, is not sufficient.
  * If you do not use **Bag_Of_Strings.Apply_To_All**, your program does not contain its object code.
  * Because **Bag_Of_Strings.Apply_To_All** is at the library level, it can declare controlled types; the nested package could not do that in Ada 95. In Ada 2005, one can declare controlled types at any level.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Bag_Of_Strings.Apply_To_All; _-- implicitly withs Bag_Of_Strings, too_
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Example_3 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate); _-- omitted_
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize_All [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Bag_Of_Strings.Apply_To_All (Operator => Capitalize);
       B : Bag_Of_Strings.Bag;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Capitalize_All (B);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Example_3;
    

**Example 4**. A generic unit that is a child of a generic unit

This is the same as Example 3, except that now the Bag is generic, too.
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_Type (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Generic_Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Bag [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- omitted_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Bag;
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Operator (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Element_Type);
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Generic_Bag.Apply_To_All (B : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Bag);
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Generic_Bag.Apply_To_All;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Example_4 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) String) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate); _-- omitted_
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Bag_Of_Strings [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Generic_Bag (Element_Type => String);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Capitalize_All [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Bag_Of_Strings.Apply_To_All (Operator => Capitalize);
       B : Bag_Of_Strings.Bag;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Capitalize_All (B);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Example_4;
    

**Example 5**. A parameterless generic child unit

Children of a generic unit **must** be generic, no matter what. If you think about it, it is quite logical: a child unit sees the public and private parts of its parent, including the variables declared in the parent. If the parent is generic, which instance should the child see? The answer is that the child must be the child of only one instance of the parent, therefore the child must also be generic.
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Element_Type (<>) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Hash_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) (<>);
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Hash_Function (E : Element_Type) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Hash_Type;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Generic_Hash_Map [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Map [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       _-- omitted_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Hash_Map;
    

Suppose we want a child of a **Generic_Hash_Map** that can serialise the map to disk; for this it needs to sort the map by hash value. This is easy to do, because we know that **Hash_Type** is a discrete type, and so has a less-than operator. The child unit that does the serialisation does not need any additional generic parameters, but it must be generic nevertheless, so it can see its parent's generic parameters, public and private part.
    
    
    [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Generic_Hash_Map.Serializer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Dump (Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Map; To_File : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) String);
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Restore (Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Map; From_File : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) String);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Generic_Hash_Map.Serializer;
    
    

To read and write a map to disk, you first create an instance of **Generic_Hash_Map**, for example **Map_Of_Unbounded_Strings**, and then an instance of **Map_Of_Unbounded_Strings.Serializer**:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Strings.Unbounded;
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Generic_Hash_Map.Serializer;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Example_5 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use) Ada.Strings.Unbounded;
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Hash (S : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Unbounded_String) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Integer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [separate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/separate); _-- omitted_
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Map_Of_Unbounded_Strings [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Generic_Hash_Map (Element_Type => Unbounded_String,
                                Hash_Type => Integer,
                                Hash_Function => Hash);
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Serializer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
          [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Map_Of_Unbounded_Strings.Serializer;
       M : Map_Of_Unbounded_Strings.Map;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Serializer.Restore (Item => M, From_File => "map.dat");
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Example_5;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Object Orientation](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation): tagged types provides other mean of polymorphism in Ada.

### Wikipedia

  * [Generic programming](http://en.wikipedia.org/wiki/Generic_programming)

### Ada Reference Manual

  * [Section 12: Generic Units](http://www.ada-auth.org/standards/12rm/html/RM-12.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-12.html))

  


# Tasking

## Tasks

A _task unit_ is a program unit that is obeyed concurrently with the rest of an Ada program. The corresponding activity, a new locus of control, is called a _task_ in Ada terminology, and is similar to a _thread_, for example in [Java Threads](http://en.wikibooks.org/wiki/Java:Threads). The execution of the main program is also a task, the anonymous environment task. A task unit has both a declaration and a body, which is mandatory. A task body may be compiled separately as a subunit, but a task may not be a library unit, nor may it be generic. Every task depends on a _master_, which is the immediately surrounding declarative region - a block, a subprogram, another task, or a package. The execution of a master does not complete until all its dependent tasks have terminated. The environment task is the master of all other tasks; it terminates only when all other tasks have terminated.

Task units are similar to packages in that a task declaration defines entities exported from the task, whereas its body contains local declarations and statements of the task.

A single task is declared as follows:
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Single [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         _declarations of exported identifiers_
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Single;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Single [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        _ local declarations and statements_
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Single;
    

A task declaration can be simplified, if nothing is exported, thus:
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) No_Exports;
    

Ex. 1
    
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Housekeeping [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      
         [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Check_CPU;
         [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Backup_Disk;
      
         [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Check_CPU [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
            ...
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Check_CPU;
      
         [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Backup_Disk [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
            ...
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Backup_Disk;
         _-- the two tasks are automatically created and begin execution_
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin) _-- Housekeeping_
         [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null);
         _-- Housekeeping waits here for them to terminate_
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Housekeeping;
    

It is possible to declare task types, thus allowing task units to be created dynamically, and incorporated in data structures:
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         ...
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) T;
      ...
      Task_1, Task_2 : T;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         ...
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) T;
    

Task types are **limited**, i.e. they are restricted in the same way as limited private types, so assignment and comparison are not allowed.

### Rendezvous

The only entities that a task may export are entries. An **entry** looks much like a procedure. It has an identifier and may have **in**, **out** or **in out** parameters. Ada supports communication from task to task by means of the _entry call_. Information passes between tasks through the actual parameters of the entry call. We can encapsulate data structures within tasks and operate on them by means of entry calls, in a way analogous to the use of packages for encapsulating variables. The main difference is that an entry is executed by the called task, not the calling task, which is suspended until the call completes. If the called task is not ready to service a call on an entry, the calling task waits in a (FIFO) queue associated with the entry. This interaction between calling task and called task is known as a _rendezvous_. The calling task requests rendezvous with a specific named task by calling one of its entries. A task accepts rendezvous with any caller of a specific entry by executing an **accept** statement for the entry. If no caller is waiting, it is held up. Thus entry call and accept statement behave symmetrically. (To be honest, optimized object code may reduce the number of context switches below the number implied by this naive description.)

Ex. 2 The following task type implements a single-slot buffer, i.e. an encapsulated variable that can have values inserted and removed in strict alternation. Note that the buffer task has no need of state variables to implement the buffer protocol: the alternation of insertion and removal operations is directly enforced by the control structure in the body of Encapsulated_Buffer_Task_Type which is, as is typical, a **loop**.
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Encapsulated_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Encapsulated_Buffer_Task_Type;
      ...
      Buffer_Pool : [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (0 .. 15) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Encapsulated_Buffer_Task_Type;
      This_Item   : Item;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Encapsulated_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Datum : Item;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
               Datum := An_Item;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
            [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
               An_Item := Datum;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Remove;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Encapsulated_Buffer_Task_Type;
      ...
      Buffer_Pool(1).Remove (This_Item);
      Buffer_Pool(2).Insert (This_Item);
    

### Selective Wait

To avoid being held up when it could be doing productive work, a server task often needs the freedom to accept a call on any one of a number of alternative entries. It does this by means of the _selective wait_ statement, which allows a task to wait for a call on any of two or more entries.

If only one of the alternatives in a selective wait statement has a pending entry call, then that one is accepted. If two or more alternatives have calls pending, the implementation is free to accept any one of them. For example, it could choose one at random. This introduces _bounded non-determinism_ into the program. A sound Ada program should not depend on a particular method being used to choose between pending entry calls. (However, there are facilities to influence the method used, when that is necessary.)

Ex. 3
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Encapsulated_Variable_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Store (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Fetch (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Encapsulated_Variable_Task_Type;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Encapsulated_Variable_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Datum : Item;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Store (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
            Datum := An_Item;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Store;
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)   
               [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Store (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                  Datum := An_Item;
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Store;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
               [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Fetch (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                  An_Item := Datum;
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Fetch;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Encapsulated_Variable_Task_Type;
    
    
    
      x, y : Encapsulated_Variable_Task_Type;
    

creates two variables of type Encapsulated_Variable_Task_Type. They can be used thus:
    
    
      it : Item;
      ...
      x.Store(Some_Expression);
      ...
      x.Fetch (it);
      y.Store (it);
    

Again, note that the control structure of the body ensures that an Encapsulated_Variable_Task_Type must be given an initial value by a first Store operation before any Fetch operation can be accepted.

### Guards

Depending on circumstances, a server task may not be able to accept calls for some of the entries that have accept alternatives in a selective wait statement. The acceptance of any alternative can be made conditional by using a _guard_, which is _[Boolean](http://en.wikibooks.org/wiki/Ada_Programming/Types#Boolean)_ precondition for acceptance. This makes it easy to write monitor-like server tasks, with no need for an explicit signaling mechanism, nor for mutual exclusion. An alternative with a True guard is said to be _open_. It is an error if no alternative is open when the selective wait statement is executed, and this raises the Program_Error exception.

Ex. 4
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Cyclic_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Cyclic_Buffer_Task_Type;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Cyclic_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Q_Size : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := 100;
         [subtype](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/subtype) Q_Range [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. Q_Size;
         Length : Natural [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 0 .. Q_Size := 0;
         Head, Tail : Q_Range := 1;
         Data : [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Q_Range) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Item;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
               [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Length < Q_Size =>
                  [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                     Data(Tail) := An_Item;
                  [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
                  Tail := Tail [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) Q_Size + 1;
                  Length := Length + 1;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
               [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Length > 0 =>
                  [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                     An_Item := Data(Head);
                  [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Remove;
                  Head := Head [mod](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/mod) Q_Size + 1;
                  Length := Length - 1;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Cyclic_Buffer_Task_Type;
    

## Protected types

Tasks allow for encapsulation and safe usage of variable data without the need for any explicit mutual exclusion and signaling mechanisms. Ex. 4 shows how easy it is to write server tasks that safely manage locally-declared data on behalf of multiple clients. There is no need for mutual exclusion of access to the managed data, _because it is never accessed concurrently_. However, the overhead of creating a task merely to serve up some data may be excessive. For such applications, Ada 95 provides **protected** modules, based on the well-known computer science concept of a _[monitor](http://en.wikipedia.org/wiki/Monitor_\(synchronization\))_. A protected module encapsulates a data structure and exports subprograms that operate on it under automatic mutual exclusion. It also provides automatic, implicit signaling of conditions between client tasks. Again, a protected module can be either a single protected object or a protected type, allowing many protected objects to be created.

A protected module can export only procedures, functions and entries, and its body may contain only the bodies of procedures, functions and entries. The protected data is declared after **private** in its specification, but is accessible only within the protected module's body. Protected procedures and entries may read and/or write its encapsulated data, and automatically exclude each other. Protected functions may only read the encapsulated data, so that multiple protected function calls can be concurrently executed in the same protected object, with complete safety; but protected procedure calls and entry calls exclude protected function calls, and vice versa. Exported entries and subprograms of a protected object are executed by its calling task, as a protected object has no independent locus of control. (To be honest, optimized object code may reduce the number of context switches below the number implied by this naive description.)

Like a task entry, a protected entry can employ a guard to control admission. This provides automatic signaling, and ensures that when a protected entry call is accepted, its guard condition is True, so that a guard provides a reliable precondition for the entry body.

Ex. 5 The following is a simple protected type analogous to the Encapsulated_Buffer task in Ex. 2.
    
    
      [protected](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/protected) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Protected_Buffer_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
         Buffer : Item;
         Empty  : Boolean := True;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Protected_Buffer_Type;
      ...
      [protected](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/protected) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Protected_Buffer_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item)
            [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Empty [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            Buffer := An_Item;
            Empty := False;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item)
            [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) Empty [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            An_Item := Buffer;
            Empty := True;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Remove;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Protected_Buffer_Type;
    

Note how the guards, using the state variable Empty, ensure that messages are alternately inserted and removed, and that no attempt can be made to take data from an empty buffer. All this is achieved without explicit signaling or mutual exclusion constructs, whether in the calling task or in the protected type itself.

The notation for calling a protected entry or procedure is exactly the same as that for calling a task entry. This makes it easy to replace one implementation of the abstract type by the other, the calling code being unaffected.

Ex. 6 The following task type implements Dijkstra's semaphore ADT, with FIFO scheduling of resumed processes. The algorithm will accept calls to both Wait and Signal, so long as the semaphore invariant would not be violated. When that circumstance approaches, calls to Wait are ignored for the time being.
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Semaphore_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Initialize (N : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Wait;
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Signal;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Semaphore_Task_Type;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Semaphore_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Count : Natural;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Initialize (N : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
            Count := N;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
               [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Count > 0 =>
                   [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Wait [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                      Count := Count - 1;
                   [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Wait;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
                   [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Signal;
                   Count := Count + 1;
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Semaphore_Task_Type;
    

This task could be used as follows:
    
    
      nr_Full, nr_Free : Semaphore_Task_Type;
      ...
      nr_Full.Initialize (0); nr_Free.Initialize (nr_Slots);
      ...
      nr_Free.Wait; nr_Full.Signal;
    

Alternatively, semaphore functionality can be provided by a protected object, with major efficiency gains.

Ex. 7 The Initialize and Signal operations of this protected type are unconditional, so they are implemented as protected procedures, but the Wait operation must be guarded and is therefore implemented as an entry.
    
    
      [protected](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/protected) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Semaphore_Protected_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (N : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Wait;
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Signal;
      [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
         Count : Natural := 0;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Semaphore_Protected_Type;
      ...
      [protected](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/protected) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Semaphore_Protected_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (N : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Natural) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            Count := N;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Wait
            [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Count > 0 [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            Count := Count - 1;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Wait;
         [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Signal [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
            Count := Count + 1;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Signal;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Semaphore_Protected_Type;
    

Unlike the task type above, this does not ensure that Initialize is called before Wait or Signal, and Count is given a default initial value instead. Restoring this defensive feature of the task version is left as an exercise for the reader.

## Entry families

Sometimes we need a group of related entries. Entry _families_, indexed by a _[discrete type](http://en.wikibooks.org/wiki/Ada_Programming/Types#List_of_Types)_, meet this need.

Ex. 8 This task provides a pool of several buffers.
    
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Buffer_Id [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) Integer [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) 1 .. nr_Bufs;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Buffer_Pool_Task [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (Buffer_Id) (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (Buffer_Id) (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Buffer_Pool_Task;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Buffer_Pool_Task [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Data   : [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Buffer_Id) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Item;
         Filled : [array](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/array) (Buffer_Id) [of](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/of) Boolean  := (others => False);
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) I [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Data'[Range](http://en.wikibooks.org/wiki/Ada_Programming/Attributes/%27Range) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) Filled(I) =>
                 [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Insert (I) (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                    Data(I) := An_Item;
                 [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
                 Filled(I) := True;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
              [when](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/when) Filled(I) =>
                 [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Remove (I) (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                        An_Item := Data(I);
                 [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Remove;
                 Filled(I) := False;
            [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
              [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null); _-- N.B. "polling" or "busy waiting"_
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
        [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);   
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Buffer_Pool_Task;
      ...
      Buffer_Pool_Task.Remove(K)(This_Item);
    

Note that the busy wait `[else`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else) `[null`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) is necessary here to prevent the task from being suspended on some buffer when there was no call pending for it, because such suspension would delay serving requests for all the other buffers (perhaps indefinitely).

## Termination

Server tasks often contain infinite loops to allow them to service an arbitrary number of calls in succession. But control cannot leave a task's master until the task terminates, so we need a way for a server to know when it should terminate. This is done by a _terminate alternative_ in a selective wait.

Ex. 9
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Terminating_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Terminating_Buffer_Task_Type;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Terminating_Buffer_Task_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Datum : Item;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
               [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Insert (An_Item : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                  Datum := An_Item;
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Insert;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
               [terminate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/terminate);
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
               [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Remove (An_Item : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Item) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                  An_Item := Datum;
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Remove;
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
               [terminate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/terminate);
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Terminating_Buffer_Task_Type;
    

The task terminates when:

  1. at least one terminate alternative is open, and
  2. there are no pending calls to its entries, and
  3. all other tasks of the same master are in the same state (or already terminated), and
  4. the task's master has completed (i.e. has run out of statements to execute).

Conditions (1) and (2) ensure that the task is in a fit state to stop. Conditions (3) and (4) ensure that stopping cannot have an adverse effect on the rest of the program, because no further calls that might change its state are possible.

## Timeout

A task may need to avoid being held up by calling to a slow server. A _timed entry call_ lets a client specify a maximum delay before achieving rendezvous, failing which the attempted entry call is withdrawn and an alternative sequence of statements is executed.

Ex. 10
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Password_Server [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Check (User, Pass : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) String; Valid : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Set (User, Pass : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  String);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Password_Server;
      ...
      User_Name, Password : String (1 .. 8);
      ...
      Put ("Please give your new password:");
      Get_Line (Password);
      [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
         Password_Server.Set (User_Name, Password);
         Put_Line ("Done");
      [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
         [delay](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delay) 10.0;
         Put_Line ("The system is busy now, please try again later.");
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
    

To time out the _functionality_ provided by a task, two distinct entries are needed: one to pass in arguments, and one to collect the result. Timing out on rendezvous with the latter achieves the desired effect.

Ex. 11
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Process_Data [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Input (D  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Datum);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Output (D  : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Datum);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Process_Data;
      
      Input_Data, Output_Data : Datum;
      
      [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
         _collect_ Input_Data _from sensors_;
         Process_Data.Input (Input_Data);
         [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
            Process_Data.Output (Output_Data);
            _pass_ Output_Data _to display task_;
         [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
            [delay](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delay) 0.1;
            Log_Error ("Processing did not complete quickly enough.");
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
    

Symmetrically, a delay alternative in a selective wait statement allows a server task to withdraw an offer to accept calls after a maximum delay in achieving rendezvous with any client.

Ex. 12
    
    
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Resource_Lender [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Get_Loan (Period : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Duration);
         [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Give_Back;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Resource_Lender;
      ...
      [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) Resource_Lender [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
         Period_Of_Loan : Duration;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
         [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
            [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
               [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Get_Loan (Period : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Duration) [do](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/do)
                  Period_Of_Loan := Period;
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Get_Loan;
               [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
                  [accept](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/accept) Give_Back;
               [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
                  [delay](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delay) Period_Of_Loan;
                  Log_Error ("Borrower did not give up loan soon enough.");
               [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
            [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
               [terminate](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/terminate);
            [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Resource_Lender;
    

## Conditional entry calls

An entry call can be made conditional, so that it is withdrawn if the rendezvous is not immediately achieved. This uses the select statement notation with an **else** part. Thus the constructs
    
    
      [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
        Callee.Rendezvous;
      [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
        Do_something_else;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
    

and
    
    
      [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select)
        Callee.Rendezvous;
      [or](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/or)
        [delay](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/delay) 0.0;
        Do_something_else;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [select](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/select);
    

seem to be conceptually equivalent. However, the attempt to start the rendezvous may take some time, especially if the callee is on another processor, so the _delay 0.0;_ may expire although the callee would be able to accept the rendezvous, whereas the _else_ construct is safe.

## Requeue statements

A requeue statement allows an accept statement or entry body to be completed while redirecting to a different or the same entry queue. The called entry has to share the same parameter list or be parameter-less.

## Scheduling

FIFO, priority, priority inversion avoidance, ... to be completed.

## Interfaces

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._

Task and Protected types can also implement [interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface).
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Printable [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) [interface](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface);
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Input (D  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Printable);
    
    
    [task](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/task) Process_Data [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Printable [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with)
       [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Input  (D  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)  Datum);
       [entry](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/entry) Output (D  : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Datum);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Process_Data;
    

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Libraries/Ada.Storage_IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Storage_IO)

### Ada Reference Manual

#### Ada 95

  * [Section 9: Tasks and Synchronization](http://www.adaic.com/standards/95lrm/html/RM-9.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-9.html))

#### Ada 2005

  * [3.9.4: Interface Types](http://www.adaic.com/standards/05rm/html/RM-3-9-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9-4.html))
  * [Section 9: Tasks and Synchronization](http://www.adaic.com/standards/05rm/html/RM-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-9.html))

## Ada Quality and Style Guide

  * **Chapter 4: Program Structure**
    * [4.1.9 Tasks](http://www.adaic.org/docs/95style/html/sec_4/4-1-9.html)
    * [4.1.10 Protected Types](http://www.adaic.org/docs/95style/html/sec_4/4-1-10.html)
  * [Chapter 6: Concurrency](http://www.adaic.org/docs/95style/html/sec_6/toc.html)

# Object Orientation

## Object orientation in Ada

Object oriented programming consists in building the software in terms of "objects". An "object" contains data and has a behavior. The data, normally, consists in constants and variables as seen in the rest of this book but could also, conceivably, reside outside the program entirely, i.e. on disk or on the network. The behavior consists in subprograms that operate on the data. What makes Object Orientation unique, compared to procedural programming, is not a single feature but the combination of several features:

  * _encapsulation_, i.e. the ability to separate the implementation of an object from its interface; this in turn separates "clients" of the object, who can only use the object in certain predefined ways, from the internals of the object, which have no knowledge of the outside clients.
  * _inheritance_, the ability for one type of objects to inherit the data and behavior (subprograms) of another, without necessarily needing to break encapsulation;
  * _type extension_, the ability for an object to add new data components and new subprograms on top of the inherited ones and to _replace_ some inherited subprograms with its own versions; this is called _overriding_.
  * _polymorphism_, the ability for a "client" to use the services of an object without knowing the exact type of the object, i.e. in an abstract way. The actual type of the object can indeed change at run time from one invocation to the next.

It is possible to do object-oriented programming in any language, even assembly. However, type extension and polymorphism are very difficult to get right without language support.

In Ada, each of these concepts has a matching construct; this is why Ada supports object-oriented programming directly.

  * Packages provide encapsulation;
  * Derived types provide inheritance;
  * Record extensions, described below, provide for type extension;
  * Class-wide types, also described below, provide for polymorphism.

Ada has had encapsulation and derived types since the first version (MIL-STD-1815 in 1980), which led some to qualify the language as "object-oriented" in a very narrow sense. Record extensions and class-wide types were added in Ada 95. Ada 2005 further adds interfaces. The rest of this chapter covers these aspects.

### The simplest object: the Singleton
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Directory [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Present (Name_Pattern: String) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean;
      [generic](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/generic)
         [with procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_procedure&action=edit&redlink=1) Visit (Full_Name, Phone_Number, Address: String;
                               Stop: [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Boolean);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Iterate (Name_Pattern: String);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Directory;
    

The Directory is an object consisting of data (the telephone numbers and addresses, presumably held in an external file or database) and behavior (it can look an entry up and traverse all the entries matching a Name_Pattern, calling Visit on each).

A simple package provides for encapsulation (the inner workings of the directory are hidden) and a pair of subprograms provide the behavior.

This pattern is appropriate when only one object of a certain type must exist; there is, therefore, no need for type extension or polymorphism.

### Primitive operations

For the following, we need the definition of primitive operations:

The set of _primitive operations of a type T_ consists of those subprograms that:

  * are declared immediately within the same package as the type (not within a nested package nor a child package);
  * take a parameter of the type or, for functions, _return_ an object of the type;
  * take an access parameter of the type or, for functions, _return_ an access value of the type.

(Also predefined operators like equality "=" are primitive operations.)

An operation can be primitive on two or more types, but only on one tagged type. The following example would be illegal if also B were tagged.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) A [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) B [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Proc (This: A; That: B); _-- primitive on A and B_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

### Derived types

Type derivation has been part of Ada since the very start.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_private&action=edit&redlink=1);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Create (Data: Boolean) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) T;  _-- primitive_
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Work (Object : [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) T);        _-- primitive_
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Work (Pointer: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) T);        _-- primitive_
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Acc_T [is access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_access&action=edit&redlink=1) T;
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Proc (Pointer: Acc_T);           _-- not primitive_
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_record&action=edit&redlink=1)
        Data: Boolean;
      [end record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_record&action=edit&redlink=1);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

The above example creates a type T that contains data (here just a Boolean but it could be anything) and behavior consisting of some subprograms. It also demonstrates encapsulation by placing the details of the type T in the private part of the package.

The primitive operations of T are the function Create, the overloaded procedures Work, and the predefined "=" operator; Proc is not primitive, since it has an _access type_ on T as parameter — don't confuse this with an _access parameter_, as used in the second procedure Work. When deriving from T, the primitive operations are inherited.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) P;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Q [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) P.T;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Q;
    

The type Q.Derived has the same data _and the same behavior_ as P.T; it inherits both the data _and the subprograms_. Thus it is possible to write:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Q;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Object: Q.Derived := Q.Create (Data => False);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Q.Work (Object);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

Admittedly, the reasons for writing this may seem obscure. The purpose of this kind of code is to have objects of types P.T and Q.Derived, which are not compatible:
    
    
    Ob1: P.T;
    Ob2: Q.Derived;
    
    Ob1 := Ob2;        -- illegal
    Ob1 := P.T (Ob2);  -- but convertible
    

This feature is not used very often (it's used e.g. for declaring types reflecting physical dimensions) but I present it here to introduce the next step: type extension.

### Type extensions

Type extensions are an Ada 95 amendment.

A tagged type provides support for dynamic polymorphism and type extension. A tagged type bears a hidden tag that identifies the type at run-time. Apart from the tag, a tagged record is like any other record, so it can contain arbitrary data.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
         [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   : String (1 .. 10);
             Gender : Gender_Type;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (O : Object);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Person;
    

As you can see, a `Person.Object` is an _object_ in the sense that it has data and behavior (the procedure `Put`). However, this object does not hide its data; any program unit that has a ``[with`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Person` clause can read and write the data in a Person.Object directly. This breaks encapsulation and also illustrates that Ada completely separates the concepts of _encapsulation_ and _type_. Here is a version of Person.Object that encapsulates its data:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/tagged_private&action=edit&redlink=1);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (O : Object);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
         [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   : String (1 .. 10);
             Gender : Gender_Type;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Person;
    

Because the type Person.Object is tagged, it is possible to create a record extension, which is a derived type with additional data.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Person;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person.Object [with private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_private&action=edit&redlink=1);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person.Object [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) 
         [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
            Skilled_In : Language_List;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Programmer;
    

The type `Programmer.Object` inherits the data and behavior, i.e. the type's primitive operations, from `Person.Object`; it is thus possible to write:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Programmer;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Me : Programmer.Object;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Programmer.Put (Me);
       Me.Put; _-- equivalent to the above, Ada 2005 only_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

So the declaration of the type `Programmer.Object`, as a record extension of `Person.Object`, implicitly declares a ``[procedure`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put` that applies to a `Programmer.Object`.

Like in the case of untagged types, objects of type Person and Programmer are convertible. However, where untagged objects are convertible in either direction, conversion of tagged types only works in the direction to the root. (Conversion away from the root would have to add components out of the blue.) Such a conversion is called a _view conversion_, because components are not lost, they only become invisible.

Extension aggregates have to be used if you go away from the root.

### Overriding

Now that we have introduced tagged types, record extensions and primitive operations, it becomes possible to understand overriding. In the examples above, we introduced a type `Person.Object` with a primitive operation called `Put`. Here is the body of the package:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Text_IO;
    [package body](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/package_body&action=edit&redlink=1) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (O : Object) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          Ada.Text_IO.Put (O.Name);
          Ada.Text_IO.Put (" is a ");
          Ada.Text_IO.Put_Line (Gender_Type'Image (O.Gender));
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Put;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Person;
    

As you can see, this simple operation prints both data components of the record type to standard output. Now, remember that the record extension `Programmer.Object` has an additional data member. If we write:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Programmer;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Me : Programmer.Object;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Programmer.Put (Me);
       Me.Put; _-- equivalent to the above, Ada 2005 only_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

then the program will call the inherited primitive operation `Put`, which will print the name and gender _but not the additional data_. In order to provide this extra behavior, we must _override_ the inherited procedure `Put` like this:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Person;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person.Object [with private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_private&action=edit&redlink=1);
       [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) _-- Optional keyword, new in Ada 2005_
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (O : Object);
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person.Object [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) 
         [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
            Skilled_In : Language_List;
         [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Programmer;
    
    [package body](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/package_body&action=edit&redlink=1) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Put (O : Object) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
          Person.Put (Person.Object (O)); _-- view conversion to the ancestor type_
          Put (O.Skilled_In); _-- presumably declared in the same package as Language_List_
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Put;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Programmer;
    

`Programmer.Put` _overrides_ `Person.Put`; in other words it _replaces_ it completely. Since the intent is to extend the behavior rather than replace it, `Programmer.Put` calls `Person.Put` as part of its behavior. It does this by converting its parameter from the type `Programmer.Object` to its ancestor type `Person.Object`. This construct is a _view conversion_; contrary to a normal type conversion, it does _not_ create a new object and does _not_ incur any run-time cost. Of course, it is optional that an overriding operation call its ancestor; there are cases where the intent is indeed to replace, not extend, the inherited behavior.

(Note that also for untagged types, overriding of inherited operations is possible. The reason why it's discussed here is that derivation of untagged types is done rather seldom.)

### Polymorphism, class-wide programming and dynamic dispatching

The full power of object orientation is realized by polymorphism, class-wide programming and dynamic dispatching, which are different words for the same, single concept. To explain this concept, let us extend the example from the previous sections, where we declared a base tagged type `Person.Object` with a primitive operation `Put` and a record extension `Programmer.Object` with additional data and an overriding primitive operation `Put`.

Now, let us imagine a collection of persons. In the collection, some of the persons are programmers. We want to traverse the collection and call `Put` on each person. When the person under consideration is a programmer, we want to call `Programmer.Put`; when the person is not a programmer, we want to call `Person.Put`. This, in essence, is polymorphism, class-wide programming and dynamic dispatching.

Ada implements this concept by means of _class-wide types_.

Each tagged type, such as `Person.Object`, has a corresponding _class of types_ which is the set of types comprising the type `Person.Object` itself and all types that extend `Person.Object`. In our example, this class consists of two types:

  * `Person.Object`
  * `Programmer.Object`

Ada 95 defines the `Person.Object'Class` attribute to denote the corresponding class-wide type. In other words:
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       Someone : Person.Object'Class := ...; _-- to be expanded later_
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Someone.Put; _-- dynamic dispatching_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

The declaration of Someone denotes an object that may be of _either_ type, `Person.Object` or `Programmer.Object`. Consequently, the call to the primitive operation `Put` dispatches dynamically to either `Person.Put` or `Programmer.Put`.

The only problem is that, since we don't know whether Someone is a programmer or not, we don't know how many data components Someone has, either, and therefore we don't know how many bytes Someone takes in memory. For this reason, the class-wide type `Person.Object'Class` is _[indefinite_](http://en.wikibooks.org/wiki/Ada_Programming/Subtypes#Indefinite_subtype). It is impossible to declare an object of this type without giving some constraint. It is, however, possible to:

  * declare an object of a class-wide with an initial value (as above). The object is then constrained by its initial value.
  * declare an _access value_ to such an object (because the access value has a known size);
  * pass objects of a class-wide type as parameters to subprograms
  * assign an object of a specific type (in particular, the result of a function call) to a variable of a class-wide type.

With this knowledge, we can now build a polymorphic collection of persons; in this example we will quite simply create an array of access values to persons:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Person;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person_Access [is access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_access&action=edit&redlink=1) Person.Object'Class;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Array_Of_Persons  [is array](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_array&action=edit&redlink=1) (Positive [range](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/range) <>) of Person_Access;
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Read_From_Disk [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Array_Of_Persons [is separate](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_separate&action=edit&redlink=1);
    
       Everyone : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Array_Of_Persons := Read_From_Disk;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin) _-- Main_
       [for](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/for) K [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Everyone'Range [loop](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/loop)
          Everyone (K).[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all).Put; _-- dereference followed by dynamic dispatching_
       [end loop](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_loop&action=edit&redlink=1);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

The above procedure achieves our desired goal: it traverses the array of Persons and calls the procedure `Put` that is appropriate for each person.

#### Advanced topic: How dynamic dispatching works

You don't need to know how dynamic dispatching works in order to use it effectively but, in case you are curious, here is an explanation.

The first component of each object in memory is the _tag_; this is why objects are of a _tagged_ type rather than plain records. The tag really is an access value to a table; there is one table for each specific type. The table contains access values to each primitive operation of the type. In our example, since there are two types `Person.Object` and `Programmer.Object`, there are two tables, each containing a single access value. The table for `Person.Object` contains an access value to `Person.Put` and the table for `Programmer.Object` contains an access value to `Programmer.Put`. When you compile your program, the compiler constructs both tables and places them in the program executable code.

Each time the program creates a new object of a specific type, it automatically sets its tag to point to the appropriate table.

Each time the program calls a primitive operation, the compiler inserts object code that:

  * dereferences the tag to find the table of primitive operations for the specific type of the object at hand
  * dereferences the access value to the primitive operation
  * calls the primitive operation.

When you perform a view conversion to an ancestor type, the compiler performs these two dereferences at compile time rather than run time: this is _static dispatching_; the compiler emits code that directly calls the primitive operation of the ancestor type specified in the view conversion.

#### Redispatching

Dispatching works on the (hidden) tag of the object. So what happens when a primitive operation Op1 calls another primitive operation Op2? Which operation will be called when Op1 is called by dispatching?
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Root [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op1 (This: Root);
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op2 (This: Root);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Root [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
     -- Derived inherits Op1
     [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op2 (This: Derived);
    
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op1 (This: Root) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
     [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       ...
       Op2 (This);               -- not redispatching
       Op2 (Root'Class (This));  -- redispatching
       This.Op2                  -- not redispatching (new syntax since Ada 2005)
       (Root'Class (This)).Op2   -- redispatching (new syntax since Ada 2005)
       ...
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Op1;
    
     D: Derived;
     C: Root'Class := D;
    
     Op1 (D);  -- static call
     Op1 (C);  -- dispatching call
     D.Op1;    -- static call (new syntax since Ada 2005)
     C.Op1;    -- dispatching call (new syntax since Ada 2005)
    

In this fragment, Op1 is not overridden, whereas Op2 is overridden. The body of Op1 calls Op2, thus which Op2 will be called for a call of Op1 with a parameter of type Derived?

The answer is: Ada gives complete control over dispatching and redispatching. If you want redispatching, it has to be required explicitly by converting the parameter to the class-wide type again. (Remember: View conversions never lose components, they just hide them. A conversion to the class-wide type makes them visible again.)

Thus the first call of Op1 (statically linked, i.e. not dispatching) calls the inherited Op1 — and within Op1, the first call to Op2 is therefore also a static call to the inherited Op2 (there is no redispatching). However the second call, since the parameter R is converted to the class-wide type, dispatches to the overriding Op2.

The second call of Op1 is a dispatching call to the inherited Op1 and behaves exactly as the first. To understand what happens here, the implicitly defined inherited Op1 is just the parent operation called with a view conversion of the parameter:
    
    
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op1 (This: Derived) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
     [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Op1 (Root (This));  -- view conversion
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Op1;
    

_This is very different from how other OO languages behave._ In other OO languages, a method is either dispatching or not. In Ada, a routine is either _available_ for dispatching or not. Whether or not dispatching is actually _used_ for a given call depends on the way that the object's type is specified at that call point. For programmers accustomed to other OO languages, it can come as quite a surprise that calls from a dispatchable routine to other routines on the same object are, by default, _not_ dispatched.

Similarly surprising but less commonly encountered, calls from a non-dispatchable routine for a tagged type to other routines on the same object are, by default, _dispatched_:
    
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Root [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op1 (This: Root'Class);
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op2 (This: Root);
    
     [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Root [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
     -- Derived does **not** inherit Op1, rather Op1 is applicable to Derived.
     [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op2 (This: Derived);
    
     [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Op1 (This: Root'Class) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
     [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       ...
       Op2 (This);               -- dispatching
       Op2 (Root (This));        -- static call
       This.Op2;                 -- dispatching (new syntax since Ada 2005)
       (Root (This)).Op2;        -- static call (new syntax since Ada 2005)
       ...
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Op1;
    
     D: Derived;
     C: Root'Class := D;
    
     Op1 (D);  -- static call
     Op1 (C);  -- static call
     D.Op1;    -- static call (new syntax since Ada 2005)
     C.Op1;    -- static call (new syntax since Ada 2005)
    

Note that calls on Op1 are always static, since Op1 is _not_ inherited. Its parameter type is classwide, so the operation is _applicable_ to all types derived from Root. (Op2 has an entry for each type derived from Root in the dispatch table. There is no such dispatch table for Op1; rather there is only one such operation for all types in the class.)

#### Run-time type identification

Run-time type identification allows the program to (indirectly or directly) query the tag of an object at run time to determine which type the object belongs to. This feature, obviously, makes sense only in the context of polymorphism and dynamic dispatching, so works only on tagged types.

You can determine whether an object belongs to a certain class of types, or to a specific type, by means of the membership test `[in`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in), like this:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Base    [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Base    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Leaf    [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Derived [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
    ...
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Explicit_Dispatch (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Base'Class) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) This [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Leaf [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then) ... [end if](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_if&action=edit&redlink=1);
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) This [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Derived'Class [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then) ... [end if](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_if&action=edit&redlink=1);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Explicit_Dispatch;
    

Thanks to the strong typing rules of Ada, run-time type identification is in fact rarely needed; the distinction between class-wide and specific types usually allows the programmer to ensure objects are of the appropriate type without resorting to this feature.

Additionally, the reference manual defines `package Ada.Tags` (RM 3.9(6/2)), attribute `'Tag` (RM 3.9(16,18)), and `function Ada.Tags.Generic_Dispatching_Constructor` (RM 3.9(18.2/2)), which enable direct manipulation with tags.

### Creating Objects

The Language Reference Manual's section on [3.3: Objects and Named Numbers](http://www.ada-auth.org/standards/12rm/html/RM-3-3.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-3-3.html)) states when an object is created, and destroyed again. This subsection illustrates how objects are created.

The LRM section starts,

> _Objects are created at run time and contain a value of a given type. An object can be created and initialized as part of elaborating a declaration, evaluating an allocator, aggregate, or function_call_.

For example, assume a typical hierarchy of object oriented types: a top-level type `Person`, a `Programmer` type derived from `Person`, and possibly more kinds of persons. Each person has a name; assume `Person` objects to have a `Name` component. Likewise, each `Person` has a `Gender` component. The `Programmer` type inherits the components and the operations of the `Person` type, so `Programmer` objects have a `Name` and a `Gender` component, too. `Programmer` objects may have additional components specific to programmers.

Objects of a tagged type are created the same way as objects of any type. The second LRM sentence says, for example, that an object will be created when you declare a variable or a constant of a type. For the tagged type `Person`,
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Person[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Put_Line[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()"The name is " & P[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Name[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Nothing special so far. Just like any ordinary variable declaration this O-O one is elaborated. The result of elaboration is an object named `P` of type `Person`. However, `P` has only default name and gender value components. These are likely not useful ones. One way of giving initial values to the object's components is to assign an aggregate.
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Person [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Name [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) "Scorsese"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Gender [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Male[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Put_Line[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()"The name is " & P[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Name[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

The parenthesized expression after := is called an _aggregate_ ([4.3: Aggregates](http://www.ada-auth.org/standards/12rm/html/RM-4-3.html) ([Annotated](http://www.ada-auth.org/standards/12aarm/html/AA-4-3.html))).

Another way to create an object that is mentioned in the LRM paragraph is to call a function. An object will be created as the return value of a function call. Therefore, instead of using an aggregate of initial values, we might call a function returning an object.

Introducing proper O-O information hiding, we change the package containing the `Person` type so that `Person` becomes a private type. To enable clients of the package to construct `Person` objects we declare a function that returns them. (The function may do some interesting construction work on the objects. For instance, the aggregate above will most probably raise the exception Constraint_Error depending on the name string supplied; the function can mangle the name so that it matches the declaration of the component.) We also declare a function that returns the name of `Person` objects.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Persons [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Make [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Name[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) Sex[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Gender_Type[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Person[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Name [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Person[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\)) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) String[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged)
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) String [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()1 [..](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/double_dot) 10[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
             Gender [:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Gender_Type[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Persons[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Calling the `Make` function results in an object which can be used for initialization. Since the `Person` type is **private** we can no longer refer to the `Name` component of `P`. But there is a corresponding function `Name` declared with type `Person` making it a socalled primitive operation. (The component and the function in this example are both named `Name` However, we can choose a different name for either if we want.)
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Person [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Make [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Name [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) "Orwell"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Sex [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Male[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Put_Line[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()"The name is " & Name[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()P[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

Objects can be copied into another. The target object is first destroyed. Then the component values of the source object are assigned to the corresponding components of the target object. In the following example, the default initialized `P` gets a copy of one of the objects created by the `Make` calls.
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       P[:](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:) Person[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if) 2001 > 1984 [then](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/then)
          P [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Make [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Name [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) "Kubrick"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Sex [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Male[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [else](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/else)
          P [:=](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/:%3D) Make [(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()Name [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) "Orwell"[,](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/,) Sex [=>](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/arrow) Male[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [if](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/if)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;) 
    
       Text_IO[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)Put_Line[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()"The name is " & Name[(](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\()P[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[)](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/\))[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end)[;](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/;)
    

  
So far there is no mention of the `Programmer` type derived from `Person`. There is no polymorphism yet, and likewise initialization does not yet mention inheritance. Before dealing with `Programmer` objects and their initialization a few words about class-wide types are in order.

### More details on primitive operations

Remember what we said before about ["Primitive Operations"](All_Chapters.html#Primitive_operations). Primitive operations are:

  * subprograms taking a parameter of the tagged type;
  * functions returning an object of the tagged type;
  * subprograms taking a parameter of an _anonymous access type_ to the tagged type;
  * In Ada 2005 only, functions returning an _anonymous access type_ to the tagged type;

Additionally, primitive operations must be declared before the type is _frozen_ (the concept of freezing will be explained later):

Examples:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_1 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Object);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_2 (That :    [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_3 (Me   : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_4 (Them : [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object);
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Primitive_5 [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Object;
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Primitive_6 (Everyone : Boolean) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

All of these subprograms are primitive operations.

A primitive operation can also take parameters of the same or other types; also, the controlling operand does not have to be the first parameter:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_1 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object; Number : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Integer);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_2 (You  : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Boolean; That : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_3 (Me, Her : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

The definition of primitive operations specifically excludes named access types and class-wide types as well as operations not defined immediately in the same declarative region. Counter-examples:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object;
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object_Class_Access [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object'Class;
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Not_Primitive_1 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Object'Class);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Not_Primitive_2 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object_Access);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Not_Primitive_3 (This :    [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object_Class_Access);
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Not_Primitive_4 [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Object'Class;
     
       [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Inner [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
           [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Not_Primitive_5 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
       [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Inner;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

#### Advanced topic: Freezing rules

Freezing rules ([[ARM 13.14](http://www.adaic.com/standards/05rm/html/RM-13-14.html)]) are perhaps the most complex part of the Ada language definition; this is because the standard tries to describe freezing as unambiguously as possible. Also, that part of the language definition deals with freezing of all entities, including complicated situations like generics and objects reached by dereferencing access values. You can, however, get an intuitive understanding of freezing of tagged types if you understand [how dynamic dispatching works](All_Chapters.html#Advanced_topic:_How_dynamic_dispatching_works). In that section, we saw that the compiler emits a table of primitive operations for each tagged type. The point in the program text where this happens is the point where the tagged type is _frozen_, i.e. the point where the table becomes complete. After the type is frozen, no more primitive operations can be added to it.

This point is the earliest of:

  * the end of the package spec where the tagged type is declared
  * the appearance of the first type derived from the tagged type

Example:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null)[record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_1 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
      -- this declaration freezes Object
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Object [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      -- illegal: declared after Object is frozen
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_2 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

Intuitively: at the point where Derived is declared, the compiler starts a new table of primitive operations for the derived type. This new table, initially, is equal to the table of the primitive operations of the parent type, `Object`. Hence, `Object` must freeze.

  * the declaration of a variable of the tagged type

Example:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_1 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
      V: Object; -- this declaration freezes Object
    
      -- illegal: declared after Object is frozen
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_2 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

Intuitively: after the declaration of `V`, it is possible to call any of the primitive operations of the type on `V`. Therefore, the list of primitive operations must be known and complete, i.e. frozen.

  * The completion (_not_ the declaration, if any) of a constant of the tagged type:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_1 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
      -- this declaration does NOT freeze Object
      Deferred_Constant: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Object;
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_2 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object); -- OK
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
    
      -- only the completion freezes Object
      Deferred_Constant: [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) Object := ([null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record));
    
      -- illegal: declared after Object is frozen
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_3 (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
     [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

### New features of Ada 2005

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._

Ada 2005 adds overriding indicators, allows anonymous access types in more places and offers the object.method notation.

#### Overriding indicators

The new keyword `[overriding`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) can be used to indicate whether an operation overrides an inherited subprogram or not. Its use is optional because of upward-compatibility with Ada 95. For example:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Primitive [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Object; _-- new in Ada 2005_
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived_Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Object [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [not overriding](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/not_overriding&action=edit&redlink=1) _-- new optional keywords in Ada 2005_
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Derived_Object); _-- new primitive operation_
    
       [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Primitive [return access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/return_access&action=edit&redlink=1) Derived_Object;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

The compiler will check the desired behaviour.

This is a good programming practice because it avoids some nasty bugs like not overriding an inherited subprogram because the programmer spelt the identifier incorrectly, or because a new parameter is added later in the parent type.

It can also be used with abstract operations, with renamings, or when instantiating a generic subprogram:
    
    
    [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_X (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract);
     
    [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
    [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Primitive_Y [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Object [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Some_Other_Subprogram;
    
    [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive_Z (This : [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object)
          [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Generic_Procedure (Element => Integer);
    

#### Object.Method notation

We have already seen this notation:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Primitive (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object; That: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Boolean);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) X;
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Main [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       Obj : X.Object;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Obj.Primitive (That => True); _-- Ada 2005 object.method notation_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Main;
    

This notation is only available for primitive operations where the controlling parameter is the _first_ parameter.

### Abstract types

A tagged type can also be abstract (and thus can have abstract operations):
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) X [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) …;
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) One_Class_Member      (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Object);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Another_Class_Member  (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object);
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function)  Abstract_Class_Member [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Object  [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) X;
    

An abstract operation cannot have any body, so derived types are forced to override it (unless those derived types are also abstract). See next section about interfaces for more information about this.

The difference with a non-abstract tagged type is that you cannot declare any variable of this type. However, you can declare an access to it, and use it as a parameter of a class-wide operation.

### Multiple Inheritance via Interfaces

_This language feature is only available in [Ada 2005](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005)._

Interfaces allow for a limited form of multiple inheritance (taken from Java). On a semantic level they are similar to an "abstract tagged null record" as they may have primitive operations but cannot hold any data and thus these operations cannot have a body, they are either declared `[abstract`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) or `[null`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null). _Abstract_ means the operation has to be overridden, _null_ means the default implementation is a null body, i.e. one that does nothing.

An interface is declared with:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Printable [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [interface](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface);
    
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Class_Member_1 (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in)     Object) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract);
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Class_Member_2 (This :    [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Object) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [null](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/null);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Printable;
    

You implement an `[interface`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface) by adding it to a concrete _class_:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Person;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Programmer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Person.Object
                      [and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) Printable.Object
       [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Skilled_In : Language_List;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
       [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Class_Member_1   (This : [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) Object);
    
       [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
       [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) New_Class_Member (This : Object; That : String);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Programmer;
    

As usual, all inherited abstract operations must be overridden although _null subprograms_ ones need not.

Such a type may implement a list of interfaces (called the _progenitors_), but can have only one _parent_. The parent may be a concrete type or also an interface.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Parent [and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) Progenitor_1 [and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) Progenitor_2 ... [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) ...;
    

### Multiple Inheritance via Mix-in

Ada supports multiple inheritance of _interfaces_ (see above), but only single inheritance of _implementation_. This means that a tagged type can _implement_ multiple interfaces but can only _extend_ a single ancestor tagged type.

This can be problematic if you want to add behavior to a type that already extends another type; for example, suppose you have
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Base [is tagged private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_tagged_private&action=edit&redlink=1);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Base [with private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_private&action=edit&redlink=1);
    

and you want to make `Derived` controlled, i.e. add the behavior that `Derived` controls its initialization, assignment and finalization. Alas you cannot write:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Base [and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and) Ada.Finalization.Controlled [with private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_private&action=edit&redlink=1); _-- illegal_
    

since `Ada.Finalization` for historical reasons does not define interfaces `Controlled` and `Limited_Controlled`, but abstract types.

If your base type is not limited, there is no good solution for this; you have to go back to the root of the class and make it controlled. (The reason will become obvious presently.)

For limited types however, another solutions is the use of a mix-in:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Base [is tagged limited private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_tagged_limited_private&action=edit&redlink=1);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived;
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Controlled_Mix_In (Enclosing: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Derived) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Limited_Controlled [with null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_null_record&action=edit&redlink=1);
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In);
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Finalize   (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Base [with record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_record&action=edit&redlink=1)
      Mix_In: Controlled_Mix_In (Enclosing => Derived'Access); _-- special syntax here_
      _-- other components here..._
    [end record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_record&action=edit&redlink=1);
    

This special kind of mix-in is an object with an access discriminant that references its enclosing object (also known as _Rosen trick_). In the declaration of the `Derived` type, we initialize this discriminant with a special syntax: `Derived'Access` really refers to an a access value to the _current instance_ of type `Derived`. Thus the access discriminant allows the mix-in to see its enclosing object and all its components; therefore it can initialize and finalize its enclosing object:
    
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Enclosing: Derived [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) This.Enclosing.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      _-- initialize Enclosing..._
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    

and similarly for `Finalize`.

The reason why this does not work for non-limited types is the self-referentiality via the discriminant. Imagine you have two variables of such a non-limited type and assign one to the other:
    
    
    X := Y;
    

In an assignment statement, `Adjust` is called only _after_ `Finalize` of the target `X` and so cannot provide the new value of the discriminant. Thus `X.Mixin_In.Enclosing` will inevitably reference `Y`.

Now let's further extend our hierarchy:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Further [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Derived [with null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_null_record&action=edit&redlink=1);
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Further);
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Finalize   (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Further);
    

Oops, this does not work because there are no corresponding procedures for `Derived`, yet - so let's quickly add them.
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Base [is tagged limited private](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_tagged_limited_private&action=edit&redlink=1);
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived;
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Controlled_Mix_In (Enclosing: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Derived) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Limited_Controlled [with null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_null_record&action=edit&redlink=1);
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In);
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Finalize   (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Derived [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Base [with record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_record&action=edit&redlink=1)
      Mix_In: Controlled_Mix_In (Enclosing => Derived'Access);  _-- special syntax here_
      _-- other components here..._
    [end record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/end_record&action=edit&redlink=1);
    
    [not overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/not_overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Derived);  _-- sic, they are new_
    [not overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/not_overriding_procedure&action=edit&redlink=1) Finalize   (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Derived);
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Further [is new](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_new&action=edit&redlink=1) Derived [with null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_null_record&action=edit&redlink=1);
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Further);
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Finalize   (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Further);
    

We have of course to write `not overriding` for the procedures on `Derived` because there is indeed nothing they could override. The bodies are
    
    
    [not overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/not_overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Derived) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      _-- initialize Derived..._
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Enclosing: Derived [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) This.Enclosing.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Initialize (Enclosing);
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    

To our dismay, we have to learn that `Initialize/Finalize` for objects of type `Further` will not be called, instead those for the parent `Derived`. Why?
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
      X: Further;  -- Initialize (Derived (X)) is called here
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      null;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);  -- Finalize (Derived (X)) is called here
    

The reason is that the mix-in defines the local object `Enclosing` to be of type `Derived` in the renames-statement above. To cure this, we have necessarily to use the dreaded redispatch (shown in different but equivalent notations):
    
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Initialize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Enclosing: Derived [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) This.Enclosing.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all);
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Initialize (Derived'Class (Enclosing));
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    
    [overriding procedure](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/overriding_procedure&action=edit&redlink=1) Finalize (This: [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) Controlled_Mix_In) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      Enclosing: Derived'Class [renames](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/renames) Derived'Class (This.Enclosing.[all](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/all));
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Enclosing.Finalize;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Finalize;
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
      X: Further;  -- Initialize (X) is called here
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      null;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);  -- Finalize (X) is called here
    

Alternatively (and presumably better still) is to write
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Controlled_Mix_In (Enclosing: [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Derived'Class) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Limited_Controlled [with null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/with_null_record&action=edit&redlink=1);
    

Then we automatically get redispatch and can omit the type conversions on `Enclosing`.

## Class names

Both the class package and the class record need a name. In theory they may have the same name, but in practice this leads to nasty (because of unintutive error messages) name clashes when you use the ``[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)` clause. So over time three de facto naming standards have been commonly used.

### Classes/Class

The package is named by a plural noun and the record is named by the corresponding singular form.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Persons [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   : String (1 .. 10);
             Gender : Gender_Type;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Persons;
    

This convention is the usually used in Ada's built-in libraries.

Disadvantage: Some "multiples" are tricky to spell, especially for those of us who aren't native English speakers.

### Class/Object

The package is named after the class, the record is just named Object.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Object [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   : String (1 .. 10);
             Gender : Gender_Type;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Person;
    

Most [UML](http://en.wikipedia.org/wiki/Unified_Modeling_Language) and [IDL](http://en.wikipedia.org/wiki/Interface_description_language) code generators use this technique.

Disadvantage: You can't use the ``[use`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)` clause on more than one such class packages at any one time. However you can always use the "type" instead of the package.

### Class/Class_Type

The package is named after the class, the record is postfixed with __Type_.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) Person [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Person_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) 
          [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
             Name   : String (1 .. 10);
             Gender : Gender_Type;
          [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Person;
    

Disadvantage: lots of ugly "_Type" postfixes.

## Object-Oriented Ada for C++ programmers

In C++, the construct
    
    
    class C {
      virtual void v();
      void w();
      static void u();
    };
    

is strictly equivalent to the following in Ada:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) C [is tagged null record](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_tagged_null_record&action=edit&redlink=1);
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) V (This : [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) C);        _-- primitive operation, will be inherited upon derivation_
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) W (This : [in out](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/in_out&action=edit&redlink=1) C'Class);  _-- not primitive, will not be inherited upon derivation_
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) U;
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

In C++, member functions implicitly take a parameter `this` which is of type `C*`. In Ada, all parameters are explicit. As a consequence, the fact that `u()` does _not_ take a parameter is implicit in C++ but explicit in Ada.

In C++, `this` is a pointer. In Ada, the explicit `This` parameter does not have to be a pointer; all parameters of a tagged type are implicitly passed by reference anyway.

### Static dispatching

In C++, function calls dispatch statically in the following cases:

  * the target of the call is an object type
  * the member function is non-virtual

For example:
    
    
    C object;
    object.v();
    object.w();
    

both dispatch statically. In particular, the static dispatch for v() may be confusing; this is because object is neither a pointer nor a reference. Ada behaves exactly the same in this respect, except that Ada calls this _static binding_ rather than _dispatching_:
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       Object : P.C;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       Object.V; _-- statically bound_
       Object.W; _-- statically bound_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

### Dynamic dispatching

In C++, a function call dispatches dynamically if the two following conditions are met simultaneously:

  * the target of the call is a pointer or a reference
  * the member function is virtual.

For example:
    
    
    C* object;
    object->v(); // dynamic dispatch
    object->w(); // static, non-virtual member function
    object->u(); // illegal: static member function
    C::u(); // static dispatch
    

In Ada, a primitive subprogram call dispatches (dynamically) if and only if:

  * the target object is of a class-wide type;

Note: In Ada vernacular, the term _dispatching_ always means _dynamic_.

For example:
    
    
    [declare](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/declare)
       Object : P.C'Class := ...;
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
       P.V (Object); _-- dispatching_
       P.W (Object); _-- statically bound: not a primitive operation_
       P.U; _-- statically bound_
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end);
    

As can be seen _there is no need for access types or pointers_ to do dispatching in Ada. In Ada, _tagged types are always passed by-reference to subprograms_ without the need for explicit access values.

Also note that in C++, the class serves as:

  * the unit of encapsulation (Ada uses packages and visibility for this)
  * the type, like in Ada.

As a consequence, you call C::u() in C++ because u() is encapsulated in C, but P.U in Ada since U is encapsulated in the _package_ P, not the _type_ C.

### Class-wide and specific types

The most confusing part for C++ programmers is the concept of a "class-wide type". To help you understand:

  * pointers and references in C++ are really, implicitly, class-wide;
  * object types in C++ are really specific;
  * C++ provides no way to declare the equivalent of:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) C_Specific_Access [is access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_access&action=edit&redlink=1) C;
    

  * C++ provides no way to declare the equivalent of:
    
    
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) C_Specific_Access_One [is access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_access&action=edit&redlink=1) C;
    [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) C_Specific_Access_Two [is access](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/is_access&action=edit&redlink=1) C;
    

which, in Ada, are two different, _incompatible_ types, possibly allocating their memory from different storage pools!

  * In Ada, you do _not_ need access values for dynamic dispatching.
  * In Ada, you use access values for dynamic memory management (only) and class-wide types for dynamic dispatching (only).
  * In C++, you use pointers and references both for dynamic memory management and for dynamic dispatching.
  * In Ada, class-wide types are explicit (with `'Class`).
  * In C++, class-wide types are implicit (with `*` or `&`).

### Constructors

in C++, a special syntax declares a constructor:
    
    
    class C {
       C(/* optional parameters */); // constructor
    };
    

A constructor cannot be virtual. A class can have as many constructors, differentiated by their parameters, as necessary.

Ada does not have such constructors. Perhaps they were not deemed necessary since in Ada, any function that returns an object of the tagged type can serve as a kind of constructor. This is however not the same as a real constructor like the C++ one; this difference is most striking in cases of derivation trees (see Finalization below). The Ada constructor subprograms do not have to have a special name and there can be as many constructors as necessary; each function can take parameters as appropriate.
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Make                 [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) T;  -- constructor
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) To_T (From: Integer) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) T;  -- another constructor
      -- procedure Make (This: out T);         -- not a constructor
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
      ...
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

If an Ada constructor function is also a primitive operation (as in the example above), it becomes abstract upon derivation and has to be overridden if the derived type is not itself abstract. If you do not want this, declare such functions in a nested scope.

In C++, one idiom is the _copy constructor_ and its cousin the _assignment operator_:
    
    
    class C {
       C(const C& that); // copies "that" into "this"
       C& operator= (const C& right); // assigns "right" to "this", which is "left"
    };
    

This copy constructor is invoked implicitly on initialization, e.g.
    
    
    C a = b; // calls the copy constructor
    C c;
    a = c;   // calls the assignment operator
    

Ada provides a similar functionality by means of _controlled types_. A controlled type is one that extends the predefined type `Ada.Finalization.Controlled`:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Finalization;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Controlled [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
      [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Make [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) T;  -- constructor
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ... [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) T);
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Adjust     (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) T); -- copy contructor
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

Note that Initialize is not a constructor; it resembles the C++ constructor in some way, but is also very different. Suppose you have a type T1 derived from T with an appropriate overriding of Initialize. A real constructor (like the C++ one) would automatically first construct the parent components (T), then the child components. In Ada, this is not automatic. In order to mimic this in Ada, we have to write:
    
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) T1) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
      Initialize (T (This));  -- Don't forget this part!
      ...  -- handle the new components here
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    

The compiler inserts a call to Initialize after each object of type T is allocated when no initial value is given. It also inserts a call to Adjust after each assignment to the object. Thus, the declarations:
    
    
    A: T;
    B: T := X;
    

will:

  * allocate memory for A
  * call Initialize (A)
  * allocate memory for B
  * copy the contents of X to B
  * call Adjust (B)

Initialize (B) will not be called because of the explicit initialization.

So, the equivalent of a copy constructor is an overriding of Adjust.

If you would like to provide this functionality to a type that extends another, non-controlled type, see ["Multiple Inheritance"](All_Chapters.html#Multiple_Inheritance).

### Destructors

In C++, a destructor is a member function with only the implicit `this` parameter:
    
    
    class C {
       virtual ~C(); // destructor
    }
    

While a constructor _cannot_ be virtual, a destructor _must_ be virtual. Unfortunately, the rules of the C++ language do not enforce this, so it is quite easy for a programmer to wreak havoc in their programs by simply forgetting the keyword `virtual`.

In Ada, the equivalent functionality is again provided by controlled types, by overriding the procedure Finalize:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Finalization;
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) P [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Controlled [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) Make [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) T;  -- constructor
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)
       [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) T [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) ... [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
       [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Finalize (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) T);  -- destructor
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) P;
    

Because Finalize is a primitive operation, it is automatically "virtual"; you cannot, in Ada, forget to make a destructor virtual.

### Encapsulation: public, private and protected members

In C++, the unit of encapsulation is the class; in Ada, the unit of encapsulation is the package. This has consequences on how an Ada programmer places the various components of an object type.
    
    
    class C {
    public:
       int a;
       void public_proc();
    protected:
       int b;
       int protected_func();
    private:
       bool c;
       void private_proc();
    };
    

A way to mimic this C++ class in Ada is to define a hierarchy of types, where the base type is the public part, which must be abstract so that no stand-alone objects of this base type can be defined. It looks like so:
    
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private) [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Finalization;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CPP [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Public_Part [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [abstract](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/abstract) [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)  -- no objects of this type
        A: Integer;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Public_Proc (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Public_Part);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Complete_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Public_Part [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private);
    
      -- procedure Public_Proc (This: in out Complete_Type);  -- inherited, implicitly defined
    
    [private](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/private)  -- visible for children
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Part;  -- declaration stub
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Part_Pointer [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [access](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/access) Private_Part;
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Component [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Finalization.Controlled [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        P: Private_Part_Pointer;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) record;
    
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component);
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Adjust     (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component);
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Finalize   (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component);
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Complete_Type [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Public_Part [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
        B: Integer;
        P: Private_Component;  -- must be controlled to avoid storage leaks
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Protected_Proc (This: Complete_Type);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) CPP;
    

The private part is defined as a stub only, its completion is hidden in the body. In order to make it a component of the complete type, we have to use a pointer since the size of the component is still unknown (the size of a pointer is known to the compiler). With pointers, unfortunately, we incur the danger of memory leaks, so we have to make the private component controlled.

For a little test, this is the body, where the subprogram bodies are provided with identifying prints:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Unchecked_Deallocation;
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Text_IO;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) CPP [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Public_Proc (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Public_Part) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)  -- primitive
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Public_Proc" & Integer'Image (This.A));
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Public_Proc;
    
      [type](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/type) Private_Part [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)  -- complete declaration
        C: Boolean;
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record);
    
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Initialize (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        X.P := new Private_Part'(C => True);
        Ada.Text_IO.Put_Line ("Initialize " & Boolean'Image (X.P.C));
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Initialize;
    
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure Adjust](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Keywords/procedure_Adjust&action=edit&redlink=1) (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Adjust " & Boolean'Image (X.P.C));
        X.P := new Private_Part'(C => X.P.C);  -- deep copy
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Adjust;
    
      [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Finalize (X: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Private_Component) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
        [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Free [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) [new](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/new) Ada.Unchecked_Deallocation (Private_Part, Private_Part_Pointer);
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Finalize " & Boolean'Image (X.P.C));
        Free (X.P);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Finalize;
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Private_Proc (This: [in](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/in) [out](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/out) Complete_Type) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)  -- not primitive
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Private_Proc" & Integer'Image (This.A) & Integer'Image (This.B) & ' ' & Boolean'Image (This.P.P.C));
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Private_Proc;
    
      [not](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/not) [overriding](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding) [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Protected_Proc (This: Complete_Type) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)  -- primitive
        X: Complete_Type := This;
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Protected_Proc" & Integer'Image (This.A) & Integer'Image (This.B));
        Private_Proc (X);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Protected_Proc;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) CPP;
    

We see that, due to the construction, the private procedure is not a primitive operation.

Let's define a child class so that the protected operation can be reached:
    
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) CPP.Child [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is) 
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Do_It (X: Complete_Type);  -- not primitive
     
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) CPP.Child;
    

A child can look inside the private part of the parent and thus can see the protected procedure:
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) Ada.Text_IO;
    
    [package](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/package) [body](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/body) CPP.Child [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Do_It (X: Complete_Type) [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
      [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
        Ada.Text_IO.Put_Line ("Do_It" & Integer'Image (X.A) & Integer'Image (X.B));
        Protected_Proc (X);
      [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Do_It;
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) CPP.Child;
    

This is a simple test program, its output is shown below.
    
    
    [with](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/with) CPP.Child;
    [use](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/use)  CPP.Child, CPP;
    
    [procedure](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/procedure) Test_CPP [is](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/is)
    
      X, Y: Complete_Type;
    
    [begin](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/begin)
    
      X.A := +1;
      Y.A := -1;
    
      Public_Proc (X);  Do_It (X);
      Public_Proc (Y);  Do_It (Y);
    
      X := Y;
    
      Public_Proc (X);  Do_It (X);
    
    [end](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/end) Test_CPP;
    

This is the commented output of the test program:
    
    
    Initialize TRUE                     Test_CPP: Initialize X
    Initialize TRUE                                      and Y
    Public_Proc 1                       |  Public_Proc (X):  A=1
    Do_It 1-1073746208                  |  Do_It (X):        B uninitialized
    Adjust TRUE                         |  |  Protected_Proc (X): Adjust local copy X of This
    Protected_Proc 1-1073746208         |  |  |
    Private_Proc 1-1073746208 TRUE      |  |  |  Private_Proc on local copy of This
    Finalize TRUE                       |  |  Protected_Proc (X): Finalize local copy X
    Public_Proc-1                       |  ditto for Y
    Do_It-1 65536                       |  |
    Adjust TRUE                         |  |
    Protected_Proc-1 65536              |  |
    Private_Proc-1 65536 TRUE           |  |
    Finalize TRUE                       |  |
    Finalize TRUE                       |  Assignment: Finalize target X.P.C
    Adjust TRUE                         |  |           Adjust: deep copy
    Public_Proc-1                       |  again for X, i.e. copy of Y
    Do_It-1 65536                       |  |
    Adjust TRUE                         |  |
    Protected_Proc-1 65536              |  |
    Private_Proc-1 65536 TRUE           |  |
    Finalize TRUE                       |  |
    Finalize TRUE                       Finalize Y
    Finalize TRUE                            and X
    

You see that a direct translation of the C++ behaviour into Ada is difficult, if feasible at all. Methinks, the primitive Ada subprograms corresponds more to virtual C++ methods (in the example, they are not). Each language has its own idiosyncrasies which have to be taken into account, so that attempts to directly translate code from one into the other may not be the best approach.

### De-encapsulation: friends and stream input-output

In C++, a friend function or class can see all members of the class it is a friend of. Friends break encapsulation and are therefore to be discouraged. In Ada, since packages and not classes are the unit of encapsulation, a "friend" subprogram is simply one that is declared in the same package as the tagged type.

In C++, stream input and output are the particular case where friends are usually necessary:
    
    
    #include <iostream>
    class C {
    public:
       C();
       friend ostream& operator<<(ostream& output, C& arg);
    private:
       int a, b;
       bool c;
    };
    
    
    
    #include <iostream>
    int main() {
       C object;
       cout << object;
       return 0;
    };
    

Ada does not need this construct because it defines stream input and output operations by default:
    
    
    package P is
       pragma Elaborate_Body; -- explained below
       type C is tagged private;
    private
       type C is tagged record
          A, B : Integer;
          C : Boolean;
       end record;
    end P;
    
    
    
    with Ada.Text_IO.Text_Streams;
    with P;
    procedure Main is
       Object : P.C;
    begin
       P.C'Output (Stream => Ada.Text_IO.Text_Streams.Stream (Ada.Text_IO.Default_Output),
                   Item => Object);
    end Main;
    

By default, the `Output` attribute sends the tag of the object to the stream then calls the more basic `Write` attribute, which sends the components to the stream in the same order as the declaration, i.e. A, B then C. It is possible to override the default implementation of the `Input`, `Output`, `Read` and `Write` attributes like this:
    
    
    with Ada.Streams;
    package body P is
       procedure My_Write (Stream : not null access Ada.Streams.Root_Stream_Type'Class;
                           Item : in C) is
       begin
          -- The default is to write A then B then C; here we change the ordering.
          Boolean'Write (Stream, Item.C);
          Integer'Write (Stream, Item.B);
          Integer'Write (Stream, Item.A);
       end My_Write;
    
       for C'Write use My_Write; -- override the default attribute
    end P;
    

In the above example, `P.C'output` calls `P.C'Write` which is overridden in the body of the package. Since the specification of package `P` does not define any subprograms, it does not normally need a body, so a package body is forbidden. The `pragma Elaborate_Body` tells the compiler that this package does have a body that is needed for other reasons.

Note that the stream IO attributes are not primitive operations of the tagged type; this is also the case in C++ where the friend operators are not, in fact, member functions of the type.

### Terminology

Ada C++

Package
class (as a unit of encapsulation)

Tagged type
class (of objects) (as a type) (_not_ pointer or reference, which are class-wide)

Primitive operation
virtual member function

Tag
pointer to the virtual table

Class (of types)
a tree of classes, rooted by a base class and including all the (recursively-)derived classes of that base class

Class-wide type
-

Class-wide operation
static member function

Access value to a specific tagged type
-

Access value to a class-wide type
pointer or reference to a class

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Types/record](http://en.wikibooks.org/wiki/Ada_Programming/Types/record)
  * [record](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/record)
  * [interface](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface)
  * [tagged](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/tagged)

### Wikipedia

  * [Object-oriented programming](http://en.wikipedia.org/wiki/Object-oriented_programming)

### Ada Reference Manual

#### Ada 95

  * [3.8: Record Types](http://www.adaic.com/standards/95lrm/html/RM-3-8.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-8.html))
  * [3.9: Tagged Types and Type Extensions](http://www.adaic.com/standards/95lrm/html/RM-3-9.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-9.html))
  * [3.9.1: Type Extensions](http://www.adaic.com/standards/95lrm/html/RM-3-9-1.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-9-1.html))
  * [3.9.2: Dispatching Operations of Tagged Types](http://www.adaic.com/standards/95lrm/html/RM-3-9-2.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-9-2.html))
  * [3.9.3: Abstract Types and Subprograms](http://www.adaic.com/standards/95lrm/html/RM-3-9-3.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-9-3.html))
  * [3.10: Access Types](http://www.adaic.com/standards/95lrm/html/RM-3-10.html) ([Annotated](http://www.adaic.com/standards/95aarm/html/AA-3-10.html))

#### Ada 2005

  * [3.8: Record Types](http://www.adaic.com/standards/05rm/html/RM-3-8.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-8.html))
  * [3.9: Tagged Types and Type Extensions](http://www.adaic.com/standards/05rm/html/RM-3-9.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9.html))
  * [3.9.1: Type Extensions](http://www.adaic.com/standards/05rm/html/RM-3-9-1.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9-1.html))
  * [3.9.2: Dispatching Operations of Tagged Types](http://www.adaic.com/standards/05rm/html/RM-3-9-2.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9-2.html))
  * [3.9.3: Abstract Types and Subprograms](http://www.adaic.com/standards/05rm/html/RM-3-9-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9-3.html))
  * [3.9.4: Interface Types](http://www.adaic.com/standards/05rm/html/RM-3-9-4.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-9-4.html))
  * [3.10: Access Types](http://www.adaic.com/standards/05rm/html/RM-3-10.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-3-10.html))

### Ada Quality and Style Guide

  * [Chapter 9: Object-Oriented Features](http://www.adaic.org/docs/95style/html/sec_9/)

# New in Ada 2005

This is an overview of the major features that are available in **Ada 2005**, the version of the Ada standard that was accepted by ISO in January 2007 (to differentiate it from its predecessors [Ada 83](http://en.wikibooks.org/wiki/Ada_Programming/Ada_83) and [Ada 95](http://en.wikibooks.org/wiki/Ada_Programming/Ada_95), the informal name Ada 2005 is generally agreed on). For the rationale and a more detailed (and very technical) description, see the [Amendment](http://www.ada-auth.org/AI-XREF.HTML#Amend_Doc) to the Ada Reference Manual following the links to the last version of every Ada Issue document (AI).

Although the standard is now published, not all compilers will be able to handle it. Many of these additions are already implemented by the following [Free Software](http://en.wikipedia.org/wiki/Free_Software) compilers:

  * [GNAT GPL Edition](http://libre.adacore.com/)
  * [GCC 4.1](http://gcc.gnu.org/)
  * [GNAT Pro 6.0.2](http://www.adacore.com/home/gnatpro/) (the AdaCore supported version) is a complete implementation.

After downloading and installing any of them, remember to use the `-gnat05` switch when compiling Ada 2005 code. Note that Ada 2005 is the default mode in GNAT GPL 2007 Edition.

## Language features

### Character set

Not only does Ada 2005 now support a new 32-bit character type — called `Wide_Wide_Character` — but the source code itself may be of this extended character set as well. Thus Russians and Indians, for example, will be able to use their native language in identifiers and comments. And mathematicians will rejoice: The whole Greek and fractur character sets are available for identifiers. For example, [Ada.Numerics](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Numerics) will be extended with a new constant:
    
    
    π : [constant](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/constant) := Pi;
    

This is not a new idea — [GNAT](http://en.wikipedia.org/wiki/GNAT) always had the `-gnati_c_` compiler option to specify the character set [[9]](http://gcc.gnu.org/onlinedocs/gnat_ugn_unw/Character-Set-Control.html). But now this idea has become standard, so all Ada compilers will need to support [Unicode 4.0](http://en.wikipedia.org/wiki/Unicode) for identifiers — as the new standard requires.

See also:

  * [AI95-00285-01 Support for 16-bit and 32-bit characters](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00285.TXT)
  * [AI95-00388-01 Add Greek pi to Ada.Numerics](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00388.TXT)

### Interfaces

Interfaces allow for a limited form of multiple inheritance similar to Java and C#.

You find a full description here: [Ada Programming/OO](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation#Interfaces).

See also:

  * [AI95-00251-01 Abstract Interfaces to provide multiple inheritance](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00251.TXT)
  * [AI95-00345-01 Protected and task interfaces](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00345.TXT)

### Union

In addition to Ada's safe variant record an unchecked C style union is now available.

You can find a full description here: [Ada Programming/Types/record#Union](http://en.wikibooks.org/wiki/Ada_Programming/Types/record#Union).

See also:

  * [AI95-00216-01 Unchecked unions -- variant records with no run-time discriminant](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00216.TXT)
  * [Annex B.3.3 Pragma Unchecked_Union](http://www.adaic.com/standards/05rm/html/RM-B-3-3.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B-3-3.html))

### With

The with statement got a massive upgrade. First there is the new [limited with](http://en.wikibooks.org/wiki/Ada_Programming/Packages#Limited_with) which allows two packages to _with_ each other. Then there is [private with](http://en.wikibooks.org/wiki/Ada_Programming/Packages#Private_with) to make a package only visible inside the private part of the specification.

See also:

  * [AI95-00217-06 Limited With Clauses](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-50217.TXT)
  * [AI95-00262-01 Access to private units in the private part](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00262.TXT)

### Access types

#### Not null access

An access type definition can specify that the access type can never be null.

See [Ada Programming/Types/access#Not null access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access#Not_null_access).

See also: [AI95-00231-01 Access-to-constant parameters and null-excluding access subtypes](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00231.TXT)

#### Anonymous access

The possible uses of anonymous access types are extended. They are allowed virtually in every type or object definition, including access to subprogram parameters. Anonymous access types may point to constant objects as well. Also, they could be declared to be not null.

With the addition of the following operations in package [Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard), it is possible to test the equality of anonymous access types.
    
    
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "=" (Left, Right : _universal_access_) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean;
       [function](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/function) "/="(Left, Right : _universal_access_) [return](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/return) Boolean;
    

See [Ada Programming/Types/access#Anonymous access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access#Anonymous_access).

See also:

  * [AI95-00230-01 Generalized use of anonymous access types](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00230.TXT)
  * [AI95-00385-01 Stand-alone objects of anonymous access types](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00385.TXT)
  * [AI95-00318-02 Limited and anonymous access return types](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-10318.TXT)

## Language library

### Containers

A major addition to the language library is the generic packages for containers. If you are familiar with the C++ STL, you will likely feel very much at home using [Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Containers](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers). One thing, though: Ada is a block structured language. Many ideas of how to use the STL employ this feature of the language. For example, local subprograms can be supplied to iteration schemes.

The original Ada Issue text [AI95-00302-03 Container library](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-20302.TXT) has now been transformed into [A.18 Containers](http://www.adaic.com/standards/05rm/html/RM-A-18.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-A-18.html)).

If you know how to write Ada programs, and have a need for vectors, lists, sets, or maps (tables), please have a look at the [AI95-00302-03 AI Text](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-20302.TXT) mentioned above. There is an _!example_ section in the text explaining the use of the containers in some detail. Matthew Heaney provides a number of demonstration programs with his reference implementation of AI-302 ([Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)[.](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters/dot)[Containers](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers)) which you can find at [tigris](http://charles.tigris.org).

In [Ada Programming/Containers](http://en.wikibooks.org/wiki/Ada_Programming/Containers) you will find a demo using containers.

**Historical side note**: The C++ STL draws upon the work of David R. Musser and Alexander A. Stepanov. For some of their studies of generic programming, they had been using Ada 83. The [Stepanov Papers Collection](http://www.stepanovpapers.com/) has a few publications available.

### Scan Filesystem Directories and Environment Variables

See also:

  * [AI95-00248-01 Directory Operations](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00248.TXT)
  * [AI95-00370-01 Environment variables](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00370.TXT)

### Numerics

Besides the new constant of package [Ada.Numerics](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Numerics) (see [Character Set](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2005#Character_Set) above), the most important addition are the packages to operate with vectors and matrices.

See also:

  * [AI95-00388-01 Add Greek pi (π) to Ada.Numerics](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00388.TXT)
  * [AI95-00296-01 Vector and matrix operations](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00296.TXT)

(Related note on Ada programming tools: AI-388 contains an interesting assessment of how compiler writers are bound to perpetuate the lack of handling of international characters in programming support tools for now. As an author of Ada programs, be aware that your tools provider or Ada consultant could recommend that the program text be 7bit ASCII only.)

## Real-Time and High Integrity Systems

See also:

  * [AI95-00297-01 Timing events](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00297.TXT)
  * [AI95-00307-01 Execution-Time Clocks](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00307.TXT)
  * [AI95-00354-01 Group execution-time budgets](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00354.TXT)
  * [AI95-00266-02 Task termination procedure](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-10266.TXT)
  * [AI95-00386-01 Further functions returning Time_Span values](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00386.TXT)

### Ravenscar profile

See also:

  * [AI95-00249-01 Ravenscar profile for high-integrity systems](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00249.TXT)
  * [AI95-00305-01 New pragma and additional restriction identifiers for real-time systems](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00305.TXT)
  * [AI95-00347-01 Title of Annex H](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00347.TXT)
  * [AI95-00265-01 Partition Elaboration Policy for High-Integrity Systems](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00265.TXT)

### New scheduling policies

See also:

  * [AI95-00355-01 Priority Specific Dispatching including Round Robin](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00355.TXT)
  * [AI95-00357-01 Support for Deadlines and Earliest Deadline First Scheduling](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00357.TXT)
  * [AI95-00298-01 Non-Preemptive Dispatching](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00298.TXT)

### Dynamic priorities for protected objects

See also: [AI95-00327-01 Dynamic ceiling priorities](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00327.TXT)

## Summary of what's new

### New keywords

Added 3 keywords (72 total)

  * `[interface`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface)
  * `[overriding`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/overriding)
  * `[synchronized`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/synchronized)

### New pragmas

Added 11 pragmas:

  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Assert](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Assert&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Assertion_Policy](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Assertion_Policy&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Detect_Blocking](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Detect_Blocking&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [No_Return](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/No_Return)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Partition_Elaboration_Policy](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Partition_Elaboration_Policy&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Preelaborable_Initialization](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Preelaborable_Initialization&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Priority_Specific_Dispatching](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Priority_Specific_Dispatching&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Profile](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Profile&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Relative_Deadline](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Relative_Deadline&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Unchecked_Union](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Unchecked_Union&action=edit&redlink=1)
  * `[pragma`](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/pragma) [Unsuppress](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Pragmas/Unsuppress&action=edit&redlink=1)

### New attributes

Added 7 attributes:

  * [Machine_Rounding](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Machine_Rounding&action=edit&redlink=1)
  * [Mod](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Mod&action=edit&redlink=1)
  * [Priority](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Priority&action=edit&redlink=1)
  * [Stream_Size](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Stream_Size&action=edit&redlink=1)
  * [Wide_Wide_Image](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Wide_Wide_Image&action=edit&redlink=1)
  * [Wide_Wide_Value](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Wide_Wide_Value&action=edit&redlink=1)
  * [Wide_Wide_Width](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Attributes/%27Wide_Wide_Width&action=edit&redlink=1)

### New packages

  * Assertions: 
    * [Ada.Assertions](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Assertions)
  * Container library: 
    * [Ada.Containers](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers)
    * [Ada.Containers.Vectors](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers.Vectors)
    * [Ada.Containers.Doubly_Linked_Lists](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Doubly_Linked_Lists&action=edit&redlink=1)
    * [Ada.Containers.Generic_Array_Sort](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Generic_Array_Sort&action=edit&redlink=1) (generic procedure)
    * [Ada.Containers.Generic_Constrained_Array_Sort](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Generic_Constrained_Array_Sort&action=edit&redlink=1) (generic procedure)
    * [Ada.Containers.Hashed_Maps](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Hashed_Maps&action=edit&redlink=1)
    * [Ada.Containers.Ordered_Maps](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Ordered_Maps&action=edit&redlink=1)
    * [Ada.Containers.Hashed_Sets](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Hashed_Sets&action=edit&redlink=1)
    * [Ada.Containers.Ordered_Sets](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Ordered_Sets&action=edit&redlink=1)
    * [Ada.Containers.Indefinite_Vectors](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Indefinite_Vectors&action=edit&redlink=1)
    * [Ada.Containers.Indefinite_Doubly_Linked_Lists](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Indefinite_Doubly_Linked_Lists&action=edit&redlink=1)
    * [Ada.Containers.Indefinite_Hashed_Maps](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers.Indefinite_Hashed_Maps)
    * [Ada.Containers.Indefinite_Ordered_Maps](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Indefinite_Ordered_Maps&action=edit&redlink=1)
    * [Ada.Containers.Indefinite_Hashed_Sets](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Indefinite_Hashed_Sets&action=edit&redlink=1)
    * [Ada.Containers.Indefinite_Ordered_Sets](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Containers.Indefinite_Ordered_Sets&action=edit&redlink=1)
  * Vector and matrix manipulation: 
    * [Ada.Numerics.Real_Arrays](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Real_Arrays&action=edit&redlink=1)
    * [Ada.Numerics.Complex_Arrays](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Complex_Arrays&action=edit&redlink=1)
    * [Ada.Numerics.Generic_Real_Arrays](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Generic_Real_Arrays&action=edit&redlink=1)
    * [Ada.Numerics.Generic_Complex_Arrays](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Numerics.Generic_Complex_Arrays&action=edit&redlink=1)
  * General OS facilities: 
    * [Ada.Directories](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Directories)
    * [Ada.Directories.Information](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Directories.Information&action=edit&redlink=1)
    * [Ada.Environment_Variables](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Environment_Variables&action=edit&redlink=1)
  * String hashing: 
    * [Ada.Strings.Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Fixed.Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Fixed.Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Bounded.Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Bounded.Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Unbounded.Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Unbounded.Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Fixed.Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Fixed.Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Bounded.Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Bounded.Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Unbounded.Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Unbounded.Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Wide_Fixed.Wide_Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Fixed.Wide_Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Wide_Bounded.Wide_Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Bounded.Wide_Wide_Hash&action=edit&redlink=1) (generic function)
    * [Ada.Strings.Wide_Wide_Unbounded.Wide_Wide_Hash](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Unbounded.Wide_Wide_Hash&action=edit&redlink=1) (generic function)
  * Time operations: 
    * [Ada.Calendar.Time_Zones](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Calendar.Time_Zones&action=edit&redlink=1)
    * [Ada.Calendar.Arithmetic](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Calendar.Arithmetic&action=edit&redlink=1)
    * [Ada.Calendar.Formatting](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Calendar.Formatting&action=edit&redlink=1)
  * Tagged types: 
    * [Ada.Tags.Generic_Dispatching_Constructor](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Tags.Generic_Dispatching_Constructor&action=edit&redlink=1) (generic function)
  * Text packages: 
    * [Ada.Complex_Text_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Complex_Text_IO&action=edit&redlink=1)
    * [Ada.Text_IO.Bounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Bounded_IO&action=edit&redlink=1)
    * [Ada.Text_IO.Unbounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Text_IO.Unbounded_IO&action=edit&redlink=1)
    * [Ada.Wide_Text_IO.Bounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Text_IO.Bounded_IO&action=edit&redlink=1)
    * [Ada.Wide_Text_IO.Unbounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Text_IO.Unbounded_IO&action=edit&redlink=1)
    * [Ada.Wide_Characters](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Characters&action=edit&redlink=1)
    * [Ada.Wide_Wide_Characters](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Characters&action=edit&redlink=1)
  * `Wide_Wide_Character` packages: 
    * [Ada.Strings.Wide_Wide_Bounded](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Bounded&action=edit&redlink=1)
    * [Ada.Strings.Wide_Wide_Fixed](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Fixed&action=edit&redlink=1)
    * [Ada.Strings.Wide_Wide_Maps](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Maps&action=edit&redlink=1)
    * [Ada.Strings.Wide_Wide_Maps.Wide_Wide_Constants](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Maps.Wide_Wide_Constants&action=edit&redlink=1)
    * [Ada.Strings.Wide_Wide_Unbounded](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Strings.Wide_Wide_Unbounded&action=edit&redlink=1)
    * [Ada.Wide_Wide_Text_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Text_IO&action=edit&redlink=1)
    * [Ada.Wide_Wide_Text_IO.Complex_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Text_IO.Complex_IO&action=edit&redlink=1)
    * [Ada.Wide_Wide_Text_IO.Editing](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Text_IO.Editing&action=edit&redlink=1)
    * [Ada.Wide_Wide_Text_IO.Text_Streams](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Text_IO.Text_Streams&action=edit&redlink=1)
    * [Ada.Wide_Wide_Text_IO.Unbounded_IO](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Wide_Wide_Text_IO.Unbounded_IO&action=edit&redlink=1)
  * Execution-time clocks: 
    * [Ada.Execution_Time](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Execution_Time&action=edit&redlink=1)
    * [Ada.Execution_Time.Timers](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Execution_Time.Timers&action=edit&redlink=1)
    * [Ada.Execution_Time.Group_Budgets](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Execution_Time.Group_Budgets&action=edit&redlink=1)
  * Dispatching: 
    * [Ada.Dispatching](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Dispatching&action=edit&redlink=1)
    * [Ada.Dispatching.EDF](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Dispatching.EDF)
    * [Ada.Dispatching.Round_Robin](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Dispatching.Round_Robin&action=edit&redlink=1)
  * Timing events: 
    * [Ada.Real_Time.Timing_Events](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Real_Time.Timing_Events&action=edit&redlink=1)
  * Task termination procedures: 
    * [Ada.Task_Termination](http://en.wikibooks.org/w/index.php?title=Ada_Programming/Libraries/Ada.Task_Termination&action=edit&redlink=1)

## See also

### Wikibook

  * [Ada Programming/Ada 83](http://en.wikibooks.org/wiki/Ada_Programming/Ada_83)
  * [Ada Programming/Ada 95](http://en.wikibooks.org/wiki/Ada_Programming/Ada_95)
  * [Ada Programming/Ada 2012](http://en.wikibooks.org/wiki/Ada_Programming/Ada_2012)
  * [Ada Programming/Object Orientation](http://en.wikibooks.org/wiki/Ada_Programming/Object_Orientation)
  * [Ada Programming/Types/access](http://en.wikibooks.org/wiki/Ada_Programming/Types/access)
  * [Ada Programming/Keywords](http://en.wikibooks.org/wiki/Ada_Programming/Keywords)
  * [Ada Programming/Keywords/and](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/and)
  * [Ada Programming/Keywords/interface](http://en.wikibooks.org/wiki/Ada_Programming/Keywords/interface)
  * [Ada Programming/Attributes](http://en.wikibooks.org/wiki/Ada_Programming/Attributes)
  * [Ada Programming/Pragmas](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas)
  * [Ada Programming/Pragmas/Restrictions](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Restrictions)
  * [Ada Programming/Libraries/Ada.Containers](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Containers)
  * [Ada Programming/Libraries/Ada.Directories](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada.Directories)

### Pages in the category Ada 2005

  * [Category:Ada Programming/Ada 2005 feature](http://en.wikibooks.org/wiki/Category:Ada_Programming/Ada_2005_feature)

## External links

### Papers and presentations

  * [Ada 2005: Putting it all together](http://www.sigada.org/conf/sigada2004/SIGAda2004-CDROM/SIGAda2004-Proceedings/Ada2005Panel.pdf) (SIGAda 2004 presentation)
  * [GNAT and Ada 2005](http://www.adacore.com/wp-content/files/attachments/Ada_2005_and_GNAT.pdf) (SIGAda 2004 paper)
  * [An invitation to Ada 2005](http://sigada.org/ada_letters/sept2003/Invitation_to_Ada_2005.pdf), and the [presentation of this paper](http://www.cs.kuleuven.ac.be/~dirk/ada-belgium/events/04/040616-aec-ada2005.pdf) at Ada-Europe 2004

### Rationale

  * _[Rationale for Ada 2005](http://www.adaic.com/standards/05rat/html/Rat-TTL.html)_ by [John Barnes](http://en.wikipedia.org/wiki/John_Barnes_\(computer_scientist\)): 
    1. Introduction
    2. Object Oriented Model
    3. Access Types
    4. Structure and Visibility
    5. Tasking and Real-Time
    6. Exceptions, Generics, Etc.
    7. Predefined Library
    8. Containers
    9. Epilogue

    

    References
    Index

Available as a single [document for printing](http://www.adaic.com/standards/05rat/Rationale05.pdf).

### Language Requirements

  * _[Instructions to the Ada Rapporteur Group from SC22/WG9 for Preparation of the Amendment to ISO/IEC 8652_](http://www.open-std.org/jtc1/sc22/WG9/n412.pdf) (10 October 2002), and a [presentation of this document](http://std.dkuug.dk/JTC1/sc22/wg9/n423.pdf) at SIGAda 2002

### Ada Reference Manual

  * **[Ada Reference Manual**, ISO/IEC 8652:1995(E) with COR.1:2001 and AMD.1:2007](http://www.adaic.com/standards/05rm/html/RM-TTL.html)
  * **[Annotated Ada Reference Manual**, ISO/IEC 8652:1995(E) with COR.1:2001 and AMD.1:2007](http://www.adaic.com/standards/05aarm/html/AA-TTL.html) (colored diffs)
  * [List of Ada Amendment drafts](http://www.ada-auth.org/amendment.html)

### Ada Issues

  * [Amendment 200Y](http://www.ada-auth.org/AI-XREF.HTML#Amend_Doc)
    * [AI95-00387-01 Introduction to Amendment](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00387.TXT)
    * [AI95-00284-02 New reserved words](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-10284.TXT)
    * [AI95-00252-01 Object.Operation notation](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00252.TXT)
    * [AI95-00218-03 Accidental overloading when overriding](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-20218.TXT)
    * [AI95-00348-01 Null procedures](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00348.TXT)
    * [AI95-00287-01 Limited aggregates allowed](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00287.TXT)
    * [AI95-00326-01 Incomplete types](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00326.TXT)
    * [AI95-00317-01 Partial parameter lists for formal packages](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00317.TXT)
    * [AI95-00376-01 Interfaces.C works for C++ as well](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00376.TXT)
    * [AI95-00368-01 Restrictions for obsolescent features](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00368.TXT)
    * [AI95-00381-01 New Restrictions identifier No_Dependence](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00381.TXT)
    * [AI95-00224-01 pragma Unsuppress](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00224.TXT)
    * [AI95-00161-01 Default-initialized objects](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00161.TXT)
    * [AI95-00361-01 Raise with message](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00361.TXT)
    * [AI95-00286-01 Assert pragma](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00286.TXT)
    * [AI95-00328-01 Preinstantiations of Complex_IO](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00328.TXT)
    * [AI95-00301-01 Operations on language-defined string types](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00301.TXT)
    * [AI95-00340-01 Mod attribute](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00340.TXT)
    * [AI95-00364-01 Fixed-point multiply/divide](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00364.TXT)
    * [AI95-00267-01 Fast float-to-integer conversions](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00267.TXT)
    * [AI95-00321-01 Definition of dispatching policies](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00321.TXT)
    * [AI95-00329-01 pragma No_Return -- procedures that never return](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00329.TXT)
    * [AI95-00362-01 Some predefined packages should be recategorized](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00362.TXT)
    * [AI95-00351-01 Time operations](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00351.TXT)
    * [AI95-00427-01 Default parameters and Calendar operations](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00427.TXT)
    * [AI95-00270-01 Stream item size control](http://www.ada-auth.org/cgi-bin/cvsweb.cgi/AIs/AI-00270.TXT)

  


# Containers

[Ada Programming/Containers](http://en.wikibooks.org/wiki/Ada_Programming/Containers)

# Interfacing

## Interfacing

Ada is one of the few languages where interfacing is part of the language standard. The programmer can interface with other programming languages, or with the hardware.

## Other programming languages

The language standard defines the interfaces for [C](http://en.wikibooks.org/wiki/C_Programming), [Cobol](http://en.wikibooks.org/wiki/COBOL) and [Fortran](http://en.wikibooks.org/wiki/Programming:Fortran). Of course any implementation might define further interfaces — [GNAT](http://en.wikibooks.org/wiki/Ada_Programming/GNAT) for example defines an interface to [C++](http://en.wikibooks.org/wiki/C%2B%2B_Programming).

Interfacing with other languages is actually provided by pragma [Export](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Export), [Import](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Import) and [Convention](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas/Convention).

## Hardware devices

Embedded programmers usually have to write device drivers. Ada provides extensive support for interfacing with hardware, like using [representation clauses](http://en.wikibooks.org/wiki/Ada_Programming/Representation_clauses) to specify the exact representation of types used by the hardware, or standard interrupt handling for writing [Interrupt service routines](http://en.wikipedia.org/wiki/Interrupt_service_routine).

## See also

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)
  * [Ada Programming/Libraries/Interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Interfaces)

### Ada Reference Manual

  * [Annex B Interface to Other Languages](http://www.adaic.com/standards/05rm/html/RM-B.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-B.html))
  * [Annex C Systems Programming](http://www.adaic.com/standards/05rm/html/RM-C.html) ([Annotated](http://www.adaic.com/standards/05aarm/html/AA-C.html))

### Ada 95 Rationale

  * [B Interface to Other Languages](http://www.adaic.org/standards/95rat/RAThtml/rat95-p3-b.html)

### Ada Quality and Style Guide

  * [7.6.4 Interfacing to Foreign Languages](http://www.adaic.org/docs/95style/html/sec_7/7-6-4.html)

  


# Coding Standards

## Introduction

Each project should follow a specific [coding standard](http://en.wikipedia.org/wiki/coding_standard) to ease readability and maintenance of the source code, and reduce the insertion of errors. Depending on the requirements of the project, a set of guidelines can help to achieve the desired level of performance, portability, code complexity...

There are many [ASIS](http://en.wikipedia.org/wiki/Ada_Semantic_Interface_Specification) tools that can be used to check automatically the adherence of Ada source code to the guidelines.

## Tools

  * [AdaControl](http://www.adalog.fr/adacontrol2.htm) ([Rules](http://www.adalog.fr/compo/adacontrol_ug.html#Rules-reference))
  * [gnatcheck](http://gcc.gnu.org/onlinedocs/gnat_ugn_unw/Verifying-Properties-Using-gnatcheck.html) ([Rules](http://gcc.gnu.org/onlinedocs/gnat_ugn_unw/Predefined-Rules.html))
  * [GNAT Pretty-Printer](http://gcc.gnu.org/onlinedocs/gnat_ugn_unw/The-GNAT-Pretty_002dPrinter-gnatpp.html)
  * [The GNAT Metric Tool gnatmetric](http://gcc.gnu.org/onlinedocs/gnat_ugn_unw/The-GNAT-Metric-Tool-gnatmetric.html)
  * [RainCode Engine](http://www.raincode.com/adaengine.html)
  * [RainCode Checker](http://www.raincode.com/adachecker.html)
  * [AdaSTAT](http://www.adastat.com/)

## Coding guidelines

  * _[Ada Quality & Style Guide](http://en.wikibooks.org/wiki/Ada_Style_Guide): Guidelines for Professional Programmers_
  * ISO/IEC TR 15942:2000, _[Guide for the use of the Ada programming language in high integrity systems](http://www.dit.upm.es/ork/documents/adahis.pdf)_, First edition (2000-03-01). [ISO Freely Available Standards](http://standards.iso.org/ittf/PubliclyAvailableStandards/)
  * Stephen Leake, _[NASA Flight Software Branch — Ada Coding Standard](http://software.gsfc.nasa.gov/AssetsApproved/PA2.4.1.1.1.pdf)_ (2004-01-30)
  * [ESA](http://en.wikipedia.org/wiki/European_Space_Agency) BSSC (October 1998). _[Ada Coding Standard_](ftp://ftp.estec.esa.nl/pub/wm/wme/bssc/bssc983.pdf) (BSSC(98)3 Issue 1 ed.). <ftp://ftp.estec.esa.nl/pub/wm/wme/bssc/bssc983.pdf>. Retrieved 2009-01-19. 
  * ["GNAT Coding Style: A Guide for GNAT Developers"](http://gcc.gnu.org/onlinedocs/gnat-style/). _GCC online documentation_. Free Software Foundation. <http://gcc.gnu.org/onlinedocs/gnat-style/>. Retrieved 2009-01-19.  ([PDF](http://gcc.gnu.org/onlinedocs/gnat-style.pdf))

## See also

### Other wikibooks

  * [Ada Style Guide](http://en.wikibooks.org/wiki/Ada_Style_Guide)

### Wikibook

  * [Ada Programming](http://en.wikibooks.org/wiki/Ada_Programming)

### Ada Quality and Style Guide

  * [Chapter 1: Introduction](http://www.adaic.org/docs/95style/html/sec_1/)

## External links

  * [Introduction to Coding Standards](http://geekswithblogs.net/sdorman/archive/2007/06/13/Introduction-to-Coding-Standards.aspx)

  


# Tips

[Ada Programming/Tips](http://en.wikibooks.org/wiki/Ada_Programming/Tips)

# Common Errors

[Ada Programming/Errors](http://en.wikibooks.org/wiki/Ada_Programming/Errors)

# Algorithms

[Ada Programming/Algorithms](http://en.wikibooks.org/wiki/Ada_Programming/Algorithms)

# Function overloading

[Ada Programming/Function overloading](http://en.wikibooks.org/wiki/Ada_Programming/Function_overloading)

# Mathematical calculations

[Ada Programming/Mathematical calculations](http://en.wikibooks.org/wiki/Ada_Programming/Mathematical_calculations)

# Statements

[Ada Programming/Statements](http://en.wikibooks.org/wiki/Ada_Programming/Statements)

# Variables

[Ada Programming/Variables](http://en.wikibooks.org/wiki/Ada_Programming/Variables)

# Lexical elements

[Ada Programming/Lexical elements](http://en.wikibooks.org/wiki/Ada_Programming/Lexical_elements)

# Keywords

[Ada Programming/Keywords](http://en.wikibooks.org/wiki/Ada_Programming/Keywords)

# Delimiters

[Ada Programming/Delimiters](http://en.wikibooks.org/wiki/Ada_Programming/Delimiters)

# Operators

[Ada Programming/Operators](http://en.wikibooks.org/wiki/Ada_Programming/Operators)

# Attributes

[Ada Programming/Attributes](http://en.wikibooks.org/wiki/Ada_Programming/Attributes)

# Pragmas

[Ada Programming/Pragmas](http://en.wikibooks.org/wiki/Ada_Programming/Pragmas)

# Libraries

[Ada Programming/Libraries](http://en.wikibooks.org/wiki/Ada_Programming/Libraries)

# Libraries: Standard

[Ada Programming/Libraries/Standard](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Standard)

# Libraries: Ada

[Ada Programming/Libraries/Ada](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Ada)

# Libraries: Interfaces

[Ada Programming/Libraries/Interfaces](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Interfaces)

# Libraries: System

# Libraries: GNAT

[Ada Programming/Libraries/GNAT](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GNAT)

# Libraries: Multi-Purpose

[Ada Programming/Libraries/MultiPurpose](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/MultiPurpose)

# Libraries: Container

[Ada Programming/Libraries/Container](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Container)

# Libraries: GUI

[Ada Programming/Libraries/GUI](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/GUI)

# Libraries: Distributed Systems

[Ada Programming/Libraries/Distributed](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Distributed)

# Libraries: Databases

[Ada Programming/Libraries/Database](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Database)

# Libraries: Web

[Ada Programming/Libraries/Web](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/Web)

# Libraries: Input Output

[Ada Programming/Libraries/IO](http://en.wikibooks.org/wiki/Ada_Programming/Libraries/IO)

# Platform Support

[Ada Programming/Platform](http://en.wikibooks.org/wiki/Ada_Programming/Platform)

# Platform: Linux

[Ada Programming/Platform/Linux](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Linux)

# Platform: Windows

[Ada Programming/Platform/Windows](http://en.wikibooks.org/wiki/Ada_Programming/Platform/Windows)

# Platform: Virtual Machines

[Ada Programming/Platform/VM](http://en.wikibooks.org/wiki/Ada_Programming/Platform/VM)

# Portals

[Ada Programming/Portals](http://en.wikibooks.org/wiki/Ada_Programming/Portals)

# Tutorials

[Ada Programming/Tutorials](http://en.wikibooks.org/wiki/Ada_Programming/Tutorials)

# Web 2.0

[Ada Programming/Web 2.0](http://en.wikibooks.org/wiki/Ada_Programming/Web_2.0)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&oldid=2503355](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&oldid=2503355)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Ada Programming/Ada 2005 feature](http://en.wikibooks.org/wiki/Category:Ada_Programming/Ada_2005_feature)
  * [Section stubs](http://en.wikibooks.org/wiki/Category:Section_stubs)
  * [Ada Programming](http://en.wikibooks.org/wiki/Category:Ada_Programming)
  * [Ada Programming/Print version](http://en.wikibooks.org/wiki/Category:Ada_Programming/Print_version)

Hidden categories: 

  * [Pages where template include size is exceeded](http://en.wikibooks.org/wiki/Category:Pages_where_template_include_size_is_exceeded)
  * [Ada Programming/Pages containing deprecated templates](http://en.wikibooks.org/wiki/Category:Ada_Programming/Pages_containing_deprecated_templates)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Ada+Programming%2FAll+Chapters&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Ada+Programming%2FAll+Chapters)

### Namespaces

  * [Book](All_Chapters.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:Ada_Programming/All_Chapters)

### 

### Variants

### Views

  * [Read](All_Chapters.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Ada_Programming/All_Chapters)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Ada_Programming/All_Chapters)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&oldid=2503355)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Ada_Programming%2FAll_Chapters&id=2503355)

### In other languages

    * [Español](http://es.wikibooks.org/wiki/Programaci%C3%B3n_en_Ada/Tipos/Enteros)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Ada+Programming%2FAll+Chapters)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Ada+Programming%2FAll+Chapters&oldid=2503355&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Ada_Programming/All_Chapters&printable=yes)

    * This page was last modified on 19 March 2013, at 09:51.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Ada_Programming/All_Chapters)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
