# Annotations of The Complete Peanuts/Print version

From Wikibooks, open books for an open world

< [Annotations of The Complete Peanuts](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Annotations of The Complete Peanuts](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&action=purge&printable=yes) this page.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Charles_Schulz_NYWTS.jpg/220px-Charles_Schulz_NYWTS.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Charles M. Schulz, creator of _Peanuts_.

Since 2004, Fantagraphics Books has been republishing the complete run of the comic strip _[Peanuts](http://en.wikipedia.org/wiki/Peanuts)_ in hardcover form, starting from the origin of the strip in October 1950.

[Charles M. Schulz](http://en.wikipedia.org/wiki/Charles_M._Schulz) made frequent topical references within the strip to the events and popular culture of the time, which would have required no explanation for a contemporary reader. Some of these references are now rather obscure, and might not be understood by someone not versed in the popular culture of the period. These annotations aim to provide background for such references, and explain their significance.

Each chapter corresponds with a separate volume from the Fantagraphics series, corresponding to two years of the published strips. The original publication dates of the strips are given in addition to the page numbers of the collection, so this reference work can also be used by people with access to the original archives.

## Contents

  * [1 1950–1952](Print_version.html#1950.E2.80.931952)
  * [2 1953–1954](Print_version.html#1953.E2.80.931954)
  * [3 1955–1956](Print_version.html#1955.E2.80.931956)
  * [4 1957–1958](Print_version.html#1957.E2.80.931958)
  * [5 1959–1960](Print_version.html#1959.E2.80.931960)
  * [6 1961–1962](Print_version.html#1961.E2.80.931962)
  * [7 1963–1964](Print_version.html#1963.E2.80.931964)
  * [8 1965–1966](Print_version.html#1965.E2.80.931966)
  * [9 1967–1968](Print_version.html#1967.E2.80.931968)
  * [10 1969–1970](Print_version.html#1969.E2.80.931970)
  * [11 1971–1972](Print_version.html#1971.E2.80.931972)
  * [12 1973–1974](Print_version.html#1973.E2.80.931974)
  * [13 1975–1976](Print_version.html#1975.E2.80.931976)
  * [14 1977–1978](Print_version.html#1977.E2.80.931978)
  * [15 1979–1980](Print_version.html#1979.E2.80.931980)
  * [16 1981–1982](Print_version.html#1981.E2.80.931982)
  * [17 1983–1984](Print_version.html#1983.E2.80.931984)
  * [18 1985–1986](Print_version.html#1985.E2.80.931986)
  * [19 1987–1988](Print_version.html#1987.E2.80.931988)
  * [20 References](Print_version.html#References)

## 1950–1952

Annotations to _**The Complete Peanuts: 1950 to 1952**_ by Charles M. Schulz (Fantagraphics Books, 2004. [ISBN 156097589X](http://en.wikibooks.org/wiki/Special:BookSources/156097589X))

  * p. 9 (October 31, 1950). One of the games of [marbles](http://en.wikipedia.org/wiki/marbles) involves shooting one marble out of a ring with another.
  * p. 11 (November 17, 1950). Although _Peanuts_ is famous for its complete absence of adults, they were occasionally seen and heard in the earliest years of the strip (see [June 3, 1952](Print_version.html#p197)).
  * p. 24 (December 21, 1950). First appearance of Charlie Brown's famous zig-zag striped shirt. (See p. 278, December 8 1952, for the "negative" of this shirt.)
  * p. 25 (December 25, 1950). "Through the woods to grandmother's house" is from Lydia Maria Child's 1844 song "[Over the River and Through the Woods](http://en.wikipedia.org/wiki/Over_the_River_and_Through_the_Woods)", which the children also sing at the end of the 1973 television special _[A Charlie Brown Thanksgiving](http://en.wikipedia.org/wiki/A_Charlie_Brown_Thanksgiving)_.
  * p. 30 (January 11, 1951). A [filibuster](http://en.wikipedia.org/wiki/filibuster) is an attempt to delay the proceedings of a legislature. Shermy is stalling for time to get his homework done.
  * p. 38 (February 9, 1951). [George Washington](http://en.wikipedia.org/wiki/George_Washington), [Thomas Jefferson](http://en.wikipedia.org/wiki/Thomas_Jefferson), and [Abraham Lincoln](http://en.wikipedia.org/wiki/Abraham_Lincoln) were three of America's greatest presidents. (Along with [Theodore Roosevelt](http://en.wikipedia.org/wiki/Theodore_Roosevelt), they are the faces on [Mount Rushmore](http://en.wikipedia.org/wiki/Mount_Rushmore).)
  * p. 46 (March 8, 1951). Patty is using a [typewriter](http://en.wikipedia.org/wiki/typewriter).
  * p. 49 (March 21, 1951). "Mad dog" refers to a dog with [rabies](http://en.wikipedia.org/wiki/rabies). Rabid dogs are usually killed by local authorities (c.f. _[To Kill a Mockingbird](http://en.wikipedia.org/wiki/To_Kill_a_Mockingbird)_).
  * p. 67 (May 23, 1951). "Second childhood" refers to mental impairment as a result of old age. It was a [euphemism](http://en.wikipedia.org/wiki/euphemism) for such things as what we now know to be [Alzheimer's disease](http://en.wikipedia.org/wiki/Alzheimer%27s_disease).
  * p. 71 (June 4, 1951). In the early 20th century, people unhappy with the squalor and crime of big cities went "back to the soil" and became farmers. It was an attempt to re-connect with nature and enjoy "the simple life." What Charlie Brown was referring to was playing in his sandbox.
  * p. 79 (July 4, 1951). It is generally thought that the convention of a man walking nearest the curb is so that he and not the lady would be splashed by passing carriages or by someone above emptying a [chamber pot](http://en.wikipedia.org/wiki/chamber_pot).
  * p. 84 (July 21, 1951). In the early part of the 20th century, when a young lady went out on a date, she didn't need to bring any money since the man would pay for everything. But it was recommended that she carry some "mad money", in case the man did something that angered her (made her mad), so she could end the date and have her own money to take a [street car](http://en.wikipedia.org/wiki/tram) or [taxi](http://en.wikipedia.org/wiki/taxicab) home.
  * p. 91 (August 13, 1951). "Comic magazine" and "[comic book](http://en.wikipedia.org/wiki/comic_book)" are used interchangeably throughout the early days of the strip, with the former eventually dropping out of use. (See p. 17, November 29, 1950 for the first use of "comic book".)
  * p. 93 (August 21, 1951). [Neptune](http://en.wikipedia.org/wiki/Neptune_\(mythology\)) is the ancient Roman god of the seas.
  * p. 103 (September 26, 1951). Charlie Brown misunderstood; it's the [New York _Phil_harmonic](http://en.wikipedia.org/wiki/New_York_Philharmonic), one of America's finest symphony [orchestras](http://en.wikipedia.org/wiki/orchestra).
  * p. 105 (October 2, 1951). Schroeder is playing the slow movement (Grave) from [Beethoven's](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven) Piano Sonata No. 8 op. 13, "Pathetique."
  * p. 108 (October 13, 1951). In a less politically sensitive time (white) children would play "Cowboys and Indians," a game in which they would chase and pretend to shoot each other, with either imaginary guns—a child's index finger being the gun's barrel and the thumb the hammer (See Volume 2's August 7 1954, p. 250, for Lucy's clever take on this "hand gun") -- or using toy weapons. (See p. 148, February 10 1952, for a full-scale production of the game.)
  * p. 114 (November 1, 1951). Children in the United States used to ask for money or candy on [Halloween](http://en.wikipedia.org/wiki/Halloween). In the 21st century, it's become almost exclusively candy.
  * p. 124 (December 6, 1951). The proper technique for [ice fishing](http://en.wikipedia.org/wiki/ice_fishing) is to cut a hole in the ice—which is what Charlie Brown does six days later in the December 13, 1951 strip, p. 126.
  * p. 125 (December 10, 1951). Someone else has drawn a picture of Charlie Brown on the sidewalk. He adds the legend "Don't Tread on Me" so that people won't scuff up his picture (scuffing him in effigy). The phrase "Don't Tread on Me" along with the image of a rattlesnake became popular during the [American Revolution](http://en.wikipedia.org/wiki/American_Revolution) and is seen on the [Gadsden flag](http://en.wikipedia.org/wiki/Gadsden_flag). It remains a symbol of defiance against oppression.
  * p. 135 (January 12, 1952). Charlie Brown is "driving" a [soapbox car](http://en.wikipedia.org/wiki/Soapbox_\(car\)), a car made of wooden boxes, with no motor, that only goes downhill due to gravity.
  * p. 136 (January 13, 1952). [Alexander Graham Bell](http://en.wikipedia.org/wiki/Alexander_Graham_Bell) is generally credited with the invention of the telephone.
  * p. 137 (January 15, 1952). The expression "Born on the wrong side of the (railroad) tracks" means to be poor, but Charlie Brown is using it here to mean unlucky. The snow man was unlucky enough to be born where it's sunny (because it's melted him).
  * p. 137 (January 16, 1952). Prelude in C major from [Johann Sebastian Bach](http://en.wikipedia.org/wiki/Johann_Sebastian_Bach)'s [Well-Tempered Clavier](http://en.wikipedia.org/wiki/Well-Tempered_Clavier) (Book 1), [BWV846](http://en.wikipedia.org/wiki/BWV).
  * p. 140 (January 23, 1952). This musical piece is more commonly referred to as Beethoven's _[Piano Sonata No. 29 in B flat major_](http://en.wikipedia.org/wiki/Piano_Sonata_No._29_\(Beethoven\)). This is also the music for March 25 and April 14. A Hammer-Klavier (in correct German, _Hammerklavier_) is simply the German word for piano. Schulz lettered those German words in [blackletter script](http://en.wikipedia.org/wiki/Blackletter), which was still in use in Germany at the time. (See also p. 206, June 24, 1952, below).
  * p. 144 (February 1, 1952). The large disc they are listening to is a [phonograph record](http://en.wikipedia.org/wiki/Gramophone_record), the precursor to a [compact disc](http://en.wikipedia.org/wiki/compact_disc).
  * p. 146 (February 4, 1952). [Albert Payson Terhune](http://en.wikipedia.org/wiki/Albert_Payson_Terhune) was the author of many stories and novels about dogs, most notably _Lad, a Dog_.
  * p. 148 (February 10, 1952). Charlie Brown is mis-singing [Stephen Foster](http://en.wikipedia.org/wiki/Stephen_Foster)'s "[Old Folks at Home](http://en.wikipedia.org/wiki/Old_Folks_at_Home)" (More commonly know by its first line, "Way down upon the Swanee River"). "Old Chisel Home Trail" is the [Chisholm Trail](http://en.wikipedia.org/wiki/Chisholm_Trail), a cattle drive route from Texas to Kansas in the 19th Century.
  * p. 159 (March 7, 1952). Charlie Brown and Snoopy are playing [William Tell](http://en.wikipedia.org/wiki/William_Tell), the legendary Swiss hero who shot an apple from his son's head with an arrow.
  * p. 160 (March 9, 1952). The joke is that in the three hours they played (a common length of time for a round of [golf](http://en.wikipedia.org/wiki/golf)), they only made it as far as the 1st (of 18) holes.
  * p. 162 (March 13, 1952). [Banbury Cross](http://en.wikipedia.org/wiki/Banbury) is a real place in England, but Charlie Brown is undoubtedly thinking of the nursery rhyme "[Ride a Cock Horse to Banbury Cross](http://en.wikipedia.org/wiki/Ride_a_cock_horse_to_Banbury_Cross)."
  * p.169 (March 30, 1952). The songs Lucy wants to hear are "[Three Blind Mice](http://en.wikipedia.org/wiki/Three_Blind_Mice)" and "[Twinkle Twinkle Little Star](http://en.wikipedia.org/wiki/Twinkle_Twinkle_Little_Star)."
  * p. 171 (April 3, 1952). Charlie Brown is delivering the traditional whistle of appreciation for feminine beauty (though it usually has two notes: [WEEEET-WOOO](http://en.wikipedia.org/wiki/Wolf-whistling)), and Patty takes offense. Schroeder, being more musical, delivers a mini-concert to Violet and gets to walk off with her. It is the melody to "Traumerei" from [Schumann's](http://en.wikipedia.org/wiki/Robert_Schumann) "Scenes from Childhood" for piano.
  * p. 179 (April 21, 1952). "Rubbers" is another term for [galoshes](http://en.wikipedia.org/wiki/galoshes).
  * p. 182 (April 29, 1952). Charlie Brown thinks they need him to play the card game [bridge](http://en.wikipedia.org/wiki/Contract_bridge), which requires four people. (Six months later, p. 257, October 22 1952, that is what he's needed for.)
  * p. 194 (May 27, 1952). Snoopy's first words in the strip, as opposed to "Smack Smack" (see p. 2,1 December 11, 1950, 2nd panel) and other animal noises.
  * p. 197 (June 3, 1952). The first time that adults (except for [Beethoven](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven)) are seen in the strip, even if only on TV. (See Volume 2, pp. 215, 218, and 221 for whole crowds of adults as Lucy plays in a golf tournament.)
  * p. 201 (June 14, 1952). "Sweetmeats" is just another term for [confectionery](http://en.wikipedia.org/wiki/confectionery) products, including candy.
  * p. 202 (June 15, 1952). Patty is misquoting [William Congreve](http://en.wikipedia.org/wiki/William_Congreve)'s line from his 1697 play _The Mourning Bride_: "Musick has Charms to sooth a savage _Breast_. . ."
  * p. 203 (June 17, 1952). "The [Gay Nineties](http://en.wikipedia.org/wiki/Gay_Nineties)" refers to the economic expansion and rapid wealth gains experienced in parts of America in the 1890s. Likewise, "The [Roaring Twenties](http://en.wikipedia.org/wiki/Roaring_Twenties)" refers to American in the 1920s, a period of rapid social change and economic prosperity that only ended with [The Great Depression](http://en.wikipedia.org/wiki/The_Great_Depression).
  * p. 205 (June 22, 1952). The violent names and nature of some comic books at the time were epitomized by [EC Comics](http://en.wikipedia.org/wiki/EC_Comics) and criticized by [Fredric Wertham](http://en.wikipedia.org/wiki/Fredric_Wertham) in his book _[Seduction of the Innocent](http://en.wikipedia.org/wiki/Seduction_of_the_Innocent)_.
  * p. 206 (June 24, 1952). "[Eine Kleine Nachtmusik](http://en.wikipedia.org/wiki/Eine_Kleine_Nachtmusik)" is famous musical piece by [Wolfgang Amadeus Mozart](http://en.wikipedia.org/wiki/Wolfgang_Amadeus_Mozart). _Jawohl_ is German for an emphatic "Yes" (similar to "of course" or "you bet").
  * p. 206 (June 25, 1952). Both 33 and 20 are terrible scores for any hole in [golf](http://en.wikipedia.org/wiki/golf).
  * p. 218 (July 21, 1952). Because he wrote about collies, these are almost certainly [Albert Payson Terhune](http://en.wikipedia.org/wiki/Albert_Payson_Terhune) books again (see p. 146 above).
  * p. 225 (August 7, 1952). Schroeder is playing the first movement of [Beethoven's](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven) Piano Sonata No. 14 op. 27 No. 2, "Moonlight."
  * p. 228 (August 15, 1952). A [shutout](http://en.wikipedia.org/wiki/shutout) is a game in which one team wins without allowing the opposing team to score at all. So, yes, their opponents having scored 63 runs, Charlie Brown's team has no chance of shutting them out.
  * p. 231 (August 22, 1952). Lucy is confusing checkers with the card game [bridge](http://en.wikipedia.org/wiki/Contract_bridge), where a _[coup_ and _grand coup_](http://en.wikipedia.org/wiki/Coup_\(bridge\)) are various sophisticated card plays. Charlie Brown doesn't appear to know the difference either. But he soon learns to play (See p. 257, below).
  * p. 243 (September 19, 1952). Linus's first appearance (although his name wouldn't be mentioned until September 22). Schulz: "[O]ne day I was doodling on a piece of paper and I drew this little character with some wild hair straggling down from the top of his head and I showed it to a friend of mine... whose name was Linus Maurer. For no reason at all I had written his name under it... [t]hen I thought, why not put this character in the strip and make him Lucy's brother?"[[1]](Print_version.html#cite_note-herald-1)
  * p. 246 (September 25, 1952). [Vasco Núñez de Balboa](http://en.wikipedia.org/wiki/Vasco_N%C3%BA%C3%B1ez_de_Balboa) was the first European to see the Pacific Ocean from the New World. [Daniel Boone](http://en.wikipedia.org/wiki/Daniel_Boone) was an 18th century American frontiersman and Indian-fighter.
  * p. 248 (October 1, 1952). [Perfect pitch](http://en.wikipedia.org/wiki/Perfect_pitch) (also called absolute pitch) is ability to sing any individual note on command and/or recognize any individual note upon hearing it played. It is often thought to be a sign of musical genius. Charlie Brown is confusing it the [pitching](http://en.wikipedia.org/wiki/pitching) in [baseball](http://en.wikipedia.org/wiki/baseball).
  * p. 264 (November 7, 1952). The strip's first use of "fuss-budget", a term seldom seen outside of _Peanuts._ It means one who fusses over insignificant matters; a complainer.
  * p. 267 (November 15, 1952). Note the use of "[deep focus](http://en.wikipedia.org/wiki/deep_focus)" on both Lucy and the telephone. Quite dramatic. Right out of _[Citizen Kane](http://en.wikipedia.org/wiki/Citizen_Kane)_, which the strip would refer to frequently in later years.
  * p. 268 (November 16, 1952). The first time Lucy pulls the football away from Charlie Brown.
  * p. 278 (December 9, 1952). Schroeder is playing the Prelude in C major from Book One of [J. S. Bach's](http://en.wikipedia.org/wiki/Johann_Sebastian_Bach) "Well Tempered Clavier."
  * p. 282 (December 18, 1952). [Carnegie Hall](http://en.wikipedia.org/wiki/Carnegie_Hall) is one of the finest American venues for the performance of classical music. In the 1950s and 60s especially it was considered the height of musical accomplishment to perform there.

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1953–1954

Annotations to _**The Complete Peanuts: 1953 to 1954**_ by Charles M. Schulz (Fantagraphics Books, 2004. [ISBN 1560976144](http://en.wikibooks.org/wiki/Special:BookSources/1560976144))

  * p. 11 (January 25, 1953). Schroeder is playing the Piano Sonata No. 29 in B-flat, op. 106 "Hammerklavier" by [Beethoven](http://en.wikipedia.org/wiki/Ludwig_Van_Beethoven). This appears again on p. 110 (September 13, 1953).
  * p. 16 (February 5, 1953). [Bela Bartok](http://en.wikipedia.org/wiki/B%C3%A9la_Bart%C3%B3k) was one of [Hungary's](http://en.wikipedia.org/wiki/Hungary) greatest composers.
  * p. 52 (May 1, 1953). Schroeder is singing from the 4th movement of the Symphony No. 9 in d, Op. 125 "Choral" by [Beethoven](http://en.wikipedia.org/wiki/Ludwig_Van_Beethoven).
  * p. 63 (May 26, 1953). "[Doggie in the Window](http://en.wikipedia.org/wiki/The_Doggie_In_The_Window)" was [Patti Page's](http://en.wikipedia.org/wiki/Patti_Page) #1 hit song in 1953.
  * p. 122 (October 11, 1953). [Ben Hogan](http://en.wikipedia.org/wiki/Ben_Hogan) was a famous professional golf player. (It is interesting to note that in these pre-1960s strips, Charlie Brown can sometimes be quite self-confident.)
  * p. 130 (October 31, 1953). A contour sheet is a fitted [bed sheet](http://en.wikipedia.org/wiki/bed_sheet).
  * p. 133 (November 5, 1953). Lucy is exercising her rights as guaranteed by the [Fifth Amendment to the United States Constitution](http://en.wikipedia.org/wiki/Fifth_Amendment_to_the_United_States_Constitution).
  * p. 149 (December 13, 1953). Schroeder is playing the waltz "[On the Beautiful Blue Danube](http://en.wikipedia.org/wiki/The_Blue_Danube)" op. 314 by [Johann Strauss Jr.](http://en.wikipedia.org/wiki/Johann_Strauss_II).
  * p. 207 (April 26, 1954). Schroeder is smiling, and has a [candelabra](http://en.wikipedia.org/wiki/candelabra) on his piano, as [Liberace](http://en.wikipedia.org/wiki/Liberace) did in his television show at the time.
  * p. 215 (May 16, 1954). [Sam Snead](http://en.wikipedia.org/wiki/Sam_Snead) and [Ben Hogan](http://en.wikipedia.org/wiki/Ben_Hogan) were famous professional golfers. "Ike" refers to [President Dwight D. Eisenhower](http://en.wikipedia.org/wiki/Dwight_Eisenhower), well-known for his love of golf.
  * p. 225 (June 8, 1954). [Miss Frances](http://en.wikipedia.org/wiki/Miss_Frances) was the host of a popular children's television program. She invented the approach of talking to her young viewers as if they were in the room with her.
  * p. 232 (June 24, 1954). [Stan Musial](http://en.wikipedia.org/wiki/Stan_Musial), [Ted Williams](http://en.wikipedia.org/wiki/Ted_Williams), [Roy Campanella](http://en.wikipedia.org/wiki/Roy_Campanella) were popular baseball players of the era.
  * p. 274 (October 2, 1954). After Lucy does some meaningless [graffiti](http://en.wikipedia.org/wiki/graffiti), Charlie Brown crosses the t.
  * p. 280 (October 15. 1954). [Handballs](http://en.wikipedia.org/wiki/American_handball) are quite small: 1⅞ inches (4.8 centimeters) in diameter.
  * p. 281 (October 17, 1954). Outing [flannel](http://en.wikipedia.org/wiki/) is particularly soft, having a nap on both sides.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1955–1956

Annotations to _**The Complete Peanuts: 1955 to 1956**_ by Charles M. Schulz (Fantagraphics Books, 2005. [ISBN 1560976470](http://en.wikibooks.org/wiki/Special:BookSources/1560976470))

  * p. 6 (January 11, 1955). A [mambo](http://en.wikipedia.org/wiki/mambo) is a very fast piece of dance music.
  * p. 6 (January 12, 1955). A [metronome](http://en.wikipedia.org/wiki/metronome) is a device for keeping a regulated beat to assist in the playing of music.
  * p. 7 (January 13, 1955). You break the [sound barrier](http://en.wikipedia.org/wiki/sound_barrier) by traveling faster than the [speed of sound](http://en.wikipedia.org/wiki/speed_of_sound): approximately 343 [m/s](http://en.wikipedia.org/wiki/metre_per_second), 1,087 [ft/s](http://en.wikipedia.org/wiki/feet_per_second), 761 [mph](http://en.wikipedia.org/wiki/Miles_per_hour) or 1,235 [km/h](http://en.wikipedia.org/wiki/kilometre_per_hour) in air at sea level. The person generally credited with first doing this is [Chuck Yeager](http://en.wikipedia.org/wiki/Chuck_Yeager) on October 14, 1947.
  * p. 10 (January 22, 1955). This may be inspired by the 1940 film, _Edison, the Man_, which starred [Spencer Tracy](http://en.wikipedia.org/wiki/Spencer_Tracy) and told the story of the earlier years of inventor [Thomas Edison](http://en.wikipedia.org/wiki/Thomas_Edison).
  * p. 16 (February 4, 1955). An egotist is someone self-centered, who thinks they are "the center of the universe."
  * p. 21 (February 15, 1955). In actual [farming](http://en.wikipedia.org/wiki/farming), "parity" was the ratio of farm income to farm expenditure with 1910-1914 as a base. Farm interests from 1920s to 1960s wanted federal programs to raise their income to parity.
  * p. 33 (March 15, 1955). Lucy is playing with some famous sayings. "There's a sucker born every minute," (i.e. you can always find someone to con) is attributed to showman [P.T. Barnum](http://en.wikipedia.org/wiki/P.T._Barnum). "Two's company, but three's a crowd." "If at first you don't succeed, try, try again."
  * p. 45 (April 11, 1955). [Davy Crockett](http://en.wikipedia.org/wiki/Davy_Crockett) was a 19th-century American folk hero and frontiersman. The Walt Disney-produced [television show about him](http://en.wikipedia.org/wiki/Davy_Crockett#Television) launched Crockett mania in the U.S. and England. The show's theme song, "[The Ballad of Davy Crockett](http://en.wikipedia.org/wiki/The_Ballad_of_Davy_Crockett)" was a number #1 hit record and children starting wearing [coonskin caps](http://en.wikipedia.org/wiki/coonskin_cap).
  * p. 48 (April 19, 1955). Charlie Brown is reading a [Pogo](http://en.wikipedia.org/wiki/Pogo) comic book.
  * p. 57 (May 10, 1955) Buffalo Bill was an army scout and frontiersman who later went into the entertainment business, running his "[Wild West](http://en.wikipedia.org/wiki/Wild_West)" show. [Annie Oakley](http://en.wikipedia.org/wiki/Annie_Oakley) was a female [sharpshooter](http://en.wikipedia.org/wiki/sharpshooter) and part of the show. She was so talented that she is generally considered American's first female superstar. Although she wasn't actually part of the settling of the West, she dressed in buckskins to play up that image. It would not be too far a stretch to say that this strip is commentary on the rise of [feminism](http://en.wikipedia.org/wiki/feminism) that occurred after [World War II](http://en.wikipedia.org/wiki/World_War_II).
  * p. 60 (May 16, 1955) Almost all clovers have three leafs. Due to their rarity, a [four-leaf clover](http://en.wikipedia.org/wiki/four-leaf_clover) is considered a good luck charm.
  * p. 66 (June 1, 1955). The first appearance of one of the 1950's hottest fads, the [Davy Crockett](http://en.wikipedia.org/wiki/Davy_Crockett) [coonskin cap](http://en.wikipedia.org/wiki/coonskin_cap).(See p. 45, above.) / [Sam Snead](http://en.wikipedia.org/wiki/Sam_Snead) was a professional golfer famous for his large straw hats.
  * p. 69 (June 6, 1955). The song "[The Ballad of Davy Crockett](http://en.wikipedia.org/wiki/The_Ballad_of_Davy_Crockett)" claims many fantastic things about the man, among them that he killed a bear "when he was only three."
  * p. 69 (June 8, 1955). "[The Ballad of Davy Crockett](http://en.wikipedia.org/wiki/The_Ballad_of_Davy_Crockett)" begins, "Davy! Davy Crockett, King of the Wild Frontier . . ." Modern readers may find it odd that Schulz devoted so many strips to such a trivial phenomenon, but Davy Crockett and coonskin caps really were seemingly everywhere at the time. (See p. 78, June 28, 1955)
  * p. 70 (June 9, 1955). [Minnesota](http://en.wikipedia.org/wiki/Minnesota) is Chales Schulz' home state.
  * p. 73 (June 17, 1955). A [white-collar worker](http://en.wikipedia.org/wiki/white-collar_worker) is a professional, someone who's work is supposedly more intellectual than physical. People in manufacturing are said to be [blue collar workers](http://en.wikipedia.org/wiki/blue_collar_worker). The joke is that even Pig Pen's white collar is bound to be dirty.
  * p. 75 (June 21, 1955). "But is it art?" is an age-old question that really has no answer. What makes a [drip painting](http://en.wikipedia.org/wiki/Abstract_Expressionism) by [Jackson Pollock](http://en.wikipedia.org/wiki/Jackson_Pollock) worthy of the [Metropolitan Museum of Art](http://en.wikipedia.org/wiki/Metropolitan_Museum_of_Art), but not a similar painting by a chimp?
  * p. 76 (June 25, 1955). Most [recreation rooms](http://en.wikipedia.org/wiki/recreation_room) in suburban homes are in the basement to keep the noise down.
  * p. 79 (July 2, 1955). [Willie Mays](http://en.wikipedia.org/wiki/Willie_Mays) and [Duke Snider](http://en.wikipedia.org/wiki/Duke_Snider) were popular baseball players of the 1950s.
  * p. 98 (August 14, 1955). To "clear the table" in the game of [pool|](http://en.wikipedia.org/wiki/Eight_ball) is to sink all the balls on one turn and thus win the game.
  * p. 99 (August 15, 1955). The umlauts over the o's would actually be pronounced "boo-woo." According the [International Phonetic Alphabet](http://en.wikipedia.org/wiki/International_Phonetic_Alphabet), the correct way to represent "bow wow" is: bau wau.
  * p. 105 (August 30, 1955) [Miss Frances](http://en.wikipedia.org/wiki/Miss_Frances) was the host of a popular children's television program. She inventing the approach of talking to the her young viewers as if they were in the room with her.
  * p. 131 (October 31, 1955). The trick-or-treaters are, in order, Patty, Lucy, Shermy, Violet, Schroeder and Linus. 
    * Lucy's hair and shoes are visible on in panel #4, even though she had planned on dressing as a ghost on Oct 29/30.
    * On November 14, Pig-Pen says he was "away" on Hallowe'en, so he is not in this strip.
    * Linus is behind Schroeder in panel #9; even though Charlie Brown admired Davy Crockett earlier, Linus produces a Crockett snowman on December 12.
  * p. 106 (November 2, 1955). This will be [Sputnik](http://en.wikipedia.org/wiki/Sputnik), the first artificial satellite, launched by the then-[Soviet Union](http://en.wikipedia.org/wiki/Soviet_Union) on October 4, 1957, signaling the start of the [Space Age](http://en.wikipedia.org/wiki/Space_Age) and the [Space Race](http://en.wikipedia.org/wiki/Space_Race).
  * p. 117 (September 27, 1955). Charlie Brown is shown as "small." The expression "to feel small" means to be embarrassed.
  * p. 142 (November 26, 1955). Snoopy is imitating [Mickey Mouse](http://en.wikipedia.org/wiki/Mickey_Mouse).
  * p. 147 (No date in strip, but is December 7, 1955). Lucy is reading a variation on the [Dick and Jane](http://en.wikipedia.org/wiki/Dick_and_Jane) readers popular at the time. Schulz is being sarcastic. Not much really happens in the stories, so they are far from "fascinating."
  * p. 149 (December 11, 1955). The snow man is (who else?) [Davy Crockett](http://en.wikipedia.org/wiki/Davy_Crockett).
  * p. 156 (December 28, 1955). All fads pass, and so did Davy Crocket mania. (See p. 187, March 8, 1956, for what became of at least one old coonskin cap.)
  * p. 159 (January 5, 1956). [Nuclear fallout](http://en.wikipedia.org/wiki/Nuclear_fallout) is [radioactive contamination](http://en.wikipedia.org/wiki/radioactive_contamination) from a nuclear attack.
  * p. 162 (January 10, 1956). [Private first class](http://en.wikipedia.org/wiki/Private_first_class) is the "rank" immediately above Linus' current one. (See p. 159, January 4, 1956)
  * p. 163 ( January 13, 1956). [Juvenile delinquency](http://en.wikipedia.org/wiki/Juvenile_delinquency) is anti-social and criminal activity by those under the age of 18. It came into the public eye and interest in the 1950s (see _[West Side Story](http://en.wikipedia.org/wiki/West_Side_Story)_).
  * p. 166 (January 19, 1956). To "read between the lines" means to understand the [subtext](http://en.wikipedia.org/wiki/subtext) of something—not what is actually said, but rather implied.
  * p. 167 ( January 22, 1956). Charlie Brown is putting sand (or maybe salt, if he's trying to melt it) on the ice to prevent anyone from slipping on it ¿ which is exactly what Snoopy wants to do.
  * p. 170 (January 30, 1956). A "fair weather friend" is one who is your friend during good times ("fair weather"), but abandons you when in times of trouble ("rough weather").
  * p. 178 (February 16, 1956). [Rin-Tin-Tin](http://en.wikipedia.org/wiki/Rin-Tin-Tin) and [Lassie](http://en.wikipedia.org/wiki/Lassie_\(1954_tv_series\)) were the heroic canine stars of popular television shows and movies.
  * p. 178 (February 18, 1956). [Static electricity](http://en.wikipedia.org/wiki/Static_electricity#.27Static.27_electricity) seems to build up more during winter months.
  * p. 180 (February 20, 1956). _Ding Dong School_ was the television program hosted by [Miss Frances](http://en.wikipedia.org/wiki/Miss_Frances). [Howdy Doody](http://en.wikipedia.org/wiki/Howdy_Doody) was arguably the pre-eminent children's television show of the 1950s. [Lassie](http://en.wikipedia.org/wiki/Lassie_\(1954_tv_series\)) was a very popular television program starring a dog.
  * p. 184 (March 3, 1956). Lucy is describing a scene from [Peter Pan](http://en.wikipedia.org/wiki/Peter_Pan). Most likely the book was read to her or she saw the 1954 musical starring [Mary Martin](http://en.wikipedia.org/wiki/Mary_Martin) on stage, since she was too young to have seen the [Disney film version](http://en.wikipedia.org/wiki/Peter_Pan_\(1953_film\)) in 1953.
  * p. 190 ( March 15, 1956). "[Asia minor](http://en.wikipedia.org/wiki/Asia_minor)" the old term for [Southwest Asia](http://en.wikipedia.org/wiki/Southwest_Asia) which corresponds today to the [Asian](http://en.wikipedia.org/wiki/Asian) portion of [Turkey](http://en.wikipedia.org/wiki/Turkey). Lucy has confused the term with "[Toccata and Fugue in D Minor](http://en.wikipedia.org/wiki/Toccata_and_Fugue_in_D_minor,_BWV_565)" by [Johann Sebastian Bach](http://en.wikipedia.org/wiki/Johann_Sebastian_Bach).
  * p. 208 (April 26, 1956). In the 1950s the government paid farmers not to use their land. The idea was that this would prevent [soil erosion](http://en.wikipedia.org/wiki/soil_erosion) and build up healthier soil when crops were eventually planted.
  * p. 210 ( April 30, 1956). Unlike the previous greens, which were all legitimate shades of the color, the ones in this panel are jokes. [Evergreen](http://en.wikipedia.org/wiki/Evergreen) and [wintergreen](http://en.wikipedia.org/wiki/wintergreen), are types of plants. Herb Green was a cartoonist, and [Graham Greene](http://en.wikipedia.org/wiki/Graham_Greene) a novelist.
  * p. 217 (May 18, 1956). Linus has transformed his blanket into an [ascot tie](http://en.wikipedia.org/wiki/ascot_tie), a very sophisticated look in the 1950s, frequently worn by sporty celebrities.
  * p. 226 (June 8, 1956). [Stephen Foster](http://en.wikipedia.org/wiki/Stephen_Foster) was arguably the most popular American composer of the 19th Century. His works include "[Oh! Susanna](http://en.wikipedia.org/wiki/Oh!_Susanna)," "[Camptown Races](http://en.wikipedia.org/wiki/Camptown_Races)" and "[Beautiful Dreamer](http://en.wikipedia.org/wiki/Beautiful_Dreamer)."
  * p. 232 ( June 22, 1956). [Elvis Presley](http://en.wikipedia.org/wiki/Elvis_Presley), "the King of Rock and Roll" had just made his first television appearances earlier that year and was a riding a huge crest of popularity. At age 21, was also, arguably, at the height of his attractiveness. And, naturally, Schroeder cares not a whit for [rock music](http://en.wikipedia.org/wiki/rock_music).
  * p. 233 (June 24, 1956). A [dust bowl](http://en.wikipedia.org/wiki/dust_bowl) is an area where, due to drought and/or poor soil management, the soil has lost all nutrients turned to dust, and blown away.
  * p. 244 (July 19, 1956). The automatic [dishwasher](http://en.wikipedia.org/wiki/dishwasher) as we know it wasn't invented until the 1920s. With the privations imposed by the [Great Depression](http://en.wikipedia.org/wiki/Great_Depression) and then [World War II](http://en.wikipedia.org/wiki/World_War_II), it didn't become a common domestic appliance until the 1950s. And, so, of course, Violet's great-grandmother, who was probably born in the 1880s or 1890s, didn't have one.
  * p. 247 (July 27, 1956). Usually, one sticks up for the [under_dog_](http://en.wikipedia.org/wiki/Underdog_\(competition\)), the person or thing not generally favored.
  * p. 247 (July 28, 1956). The [suburban](http://en.wikipedia.org/wiki/suburb) population in North America exploded after [World War II](http://en.wikipedia.org/wiki/World_War_II). Returning [veterans](http://en.wikipedia.org/wiki/veteran) wishing to start a settled life moved _en masse_ to the suburbs. Between 1950 and 1956 the resident population of all U.S. suburbs increased by 46%. And, since new suburbs were built from scratch, very few had mature trees. (Though Charlie Brown's kites never seem to have a problem finding large trees to crash into.)
  * p. 249 (July 30, 1956). The titles are all variations on popular books or types of books. _From Rags to Fuss-Budget_ is a spin on any "[Rags to Riches](http://en.wikipedia.org/wiki/Rags_to_Riches)" tale (how someone started out poor but became rich; see the [Horatio Alger](http://en.wikipedia.org/wiki/Horatio_Alger) novels). _The Power of Positive Fussing_ is from [Norman Vincent Peale's](http://en.wikipedia.org/wiki/Norman_Vincent_Peale) _The Power of Positive Thinking_, one of most popular inspirational books of the 1950s. _Great Fuss-Budgets of Our Time_: the are lots of "of Our Time" books published every year. _I Was a Fuss-Budget for the F.B.I._ is a take on [I Was a Communist for the FBI](http://en.wikipedia.org/wiki/I_Was_a_Communist_for_the_FBI), the radio show and, later, film about an undercover agent infiltrating [communist](http://en.wikipedia.org/wiki/communist) organizations in order to disrupt them. The [F.B.I.](http://en.wikipedia.org/wiki/F.B.I.) is the Federal Bureau of Investigations, America's internal criminal investigation organization. In the 1950s America was particularly interested in hunting domestic communists, something which was [carried to the extremes](http://en.wikipedia.org/wiki/McCarthyism) by U.S. senator [Joseph McCarthy](http://en.wikipedia.org/wiki/Joseph_McCarthy).
  * p. 253 (August 4, 1956). [Dr. (Benjamin) Spock](http://en.wikipedia.org/wiki/Benjamin_Spock) Was a leading pediatrician. The main message of his best-selling _[The Common Sense Book of Baby and Child Care](http://en.wikipedia.org/wiki/The_Common_Sense_Book_of_Baby_and_Child_Care)_ was for parents to be more affectionate with their children, and to treat them as individuals. (See p. 300, November 26, 1956, below.)
  * p. 271 (September 20, 1956). Compatible color was a television broadcast standard that allowed color broadcasts to appear on black and white televisions without distortions or flickers (but still, of course, in black and white). Incompatible color was a previous color television standard developed by CBS that would have rendered all existing televisions obsolete.
  * p. 275 (September 30, 1956). Schroeder is playing the Prelude in C major from Book I of [J. S. Bach's](http://en.wikipedia.org/wiki/Johann_Sebastian_Bach) Well-Tempered Clavier.
  * P. 283 (October 18, 1956). There's no particular reason why Charlie Brown yelled this except that it's dog-related and in the movie _[Lassie Come Home](http://en.wikipedia.org/wiki/Lassie_Come_Home)_ it gets yelled, which is what Charlie Brown is really after.
  * p. 300 (November 26, 1956). Lucy is reading from [Dr. Benjamin Spock's](http://en.wikipedia.org/wiki/Benjamin_Spock) _[The Common Sense Book of Baby and Child Care](http://en.wikipedia.org/wiki/The_Common_Sense_Book_of_Baby_and_Child_Care)_.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1957–1958

Annotations to _**The Complete Peanuts: 1957 to 1958**_ by Charles M. Schulz (Fantagraphics Books, 2005. [ISBN 1560976705](http://en.wikibooks.org/wiki/Special:BookSources/1560976705))

  * p. 4 (January 7, 1957) 3rd panel (and subsequent days). [Stereo](http://en.wikipedia.org/wiki/Stereo) and [Hi-Fi](http://en.wikipedia.org/wiki/Hi-Fi) equipment were the latest innovations in home audio at the time.
  * p. 6 (January 13, 1957) This is a reference to the [nursery rhyme](http://en.wikipedia.org/wiki/nursery_rhyme) "[Three Little Kittens](http://en.wikipedia.org/wiki/Three_Little_Kittens)."
  * p. 7 (January 16, 1957). [Bastille Day](http://en.wikipedia.org/wiki/Bastille_Day) is the [French](http://en.wikipedia.org/wiki/France) national holiday symbolizing the start of French democracy.
  * p. 20 (February 15, 1957). [Hennepin county](http://en.wikipedia.org/wiki/Hennepin_County,_Minnesota) is in [Charles M. Schulz](http://en.wikipedia.org/wiki/Charles_M._Schulz)'s home state of [Minnesota](http://en.wikipedia.org/wiki/Minnesota).
  * p. 22 (February 19, 1957). Undoubtedly [Lawrence Welk](http://en.wikipedia.org/wiki/Lawrence_Welk), whose show first aired nationally in 1955.
  * p. 23 (February 21, 1957). Having "both feet on the ground" means having a firm grip on reality. This pun is likely a reference to the fact that the accordion is played while standing, whereas the piano is played while seated and often with a foot on the pedals. (The accordion is also a less widely respected instrument than the piano, explaining Schroeder's disgust at the remark.)
  * p. 23 (February 22, 1957). This is the first reference in _[Peanuts](http://en.wikipedia.org/wiki/Peanuts)_ to the name [Joseph Shlabotnik](http://en.wikipedia.org/wiki/Joe_Shlabotnik), later to be [Charlie Brown](http://en.wikipedia.org/wiki/Charlie_Brown)'s [baseball](http://en.wikipedia.org/wiki/baseball) hero.
  * p. 33 (March 17, 1957) 1st panel and following. Charlie Brown is engaged in the ancient game of [hoop rolling](http://en.wikipedia.org/wiki/hoop_rolling). It's exactly what it looks like: rolling a hoop with a stick.
  * p. 34 (March 20, 1957). [Skywriting](http://en.wikipedia.org/wiki/Skywriting) is when a small airplane, expelling special smoke during flight, flies in certain patterns, creating "writing" readable from the ground.
  * p.41 (April 6, 1957). A [fiscal year](http://en.wikipedia.org/wiki/fiscal_year) is a 12-month period used for calculating annual ("yearly") financial reports in businesses and other organizations. It covers a full 365 days, but does not begin on January 1 nor end on December 31.
  * p. 47 (April 20, 1957) 4th panel [Casey Stengel](http://en.wikipedia.org/wiki/Casey_Stengel) was the manager of the [New York Yankees](http://en.wikipedia.org/wiki/New_York_Yankees) in the 1950s and led them to many [World Series](http://en.wikipedia.org/wiki/World_Series) victories.
  * p. 53 (May 4, 1957). Old fashioned [roller skates](http://en.wikipedia.org/wiki/roller_skates) did not have their own uppers. They were essentially mini skateboards that you attached to your shoes with a set of clamps that you tightened using a skate key.
  * p. 56 (May 10, 1957). [Washboards](http://en.wikipedia.org/wiki/Washboard), used to wash clothes, were, of course, hand-operated.
  * p. 58 (May 13, 1957). [Calypso music](http://en.wikipedia.org/wiki/Calypso_music) is [Caribbean](http://en.wikipedia.org/wiki/Caribbean) [folk music](http://en.wikipedia.org/wiki/folk_music). It entered the American mainstream in 1956 with [Harry Belafonte](http://en.wikipedia.org/wiki/Harry_Belafonte)'s very popular rendition of the "[Banana Boat Song](http://en.wikipedia.org/wiki/Banana_Boat_Song)", a traditional [Jamaican](http://en.wikipedia.org/wiki/Jamaica) folk tune.
  * p. 62 (May 23, 1957). 33 1/3 and 78 rpm were common speeds for [phonograph](http://en.wikipedia.org/wiki/phonograph) records. (The implication is that Lucy speaks very quickly indeed!).
  * p. 77 (June 29, 1957). Buttons proclaiming "[I Like Ike](http://en.wikipedia.org/wiki/I_Like_Ike)" were common in 1951-1952. They proclaimed support for [Dwight D. Eisenhower](http://en.wikipedia.org/wiki/Dwight_D._Eisenhower) for U.S. president. He was president from 1953 to 1961, during the time this panel ran.
  * p. 82 (July 9, 1957). Barrel staves are curved, wooden parts that make up a [barrel](http://en.wikipedia.org/wiki/barrel).
  * p. 83 (July 13, 1957). "Slacker" is a term from [World War I](http://en.wikipedia.org/wiki/World_War_I) and [World War II](http://en.wikipedia.org/wiki/World_War_II) describing men who were avoiding the military draft.
  * p. 89 (July 25, 1957). The quotation is from the _[Rubaiyat of Omar Khayyam](http://en.wikipedia.org/wiki/Rubaiyat_of_Omar_Khayyam)_.
  * p. 91 (July 29, 1957). Lucy has confused "[phonetic](http://en.wikipedia.org/wiki/phonetic)" (word sounds) with "[psychic](http://en.wikipedia.org/wiki/psychic)" (having the ability to read minds).
  * p. 98 (August 17, 1957). According to the U.S. Census Bureau 16.1 million men and women served in the U.S. armed forces from Dec. 1, 1941, and Dec. 31, 1946. So practically every U.S. family has a [World War II](http://en.wikipedia.org/wiki/World_War_II) veteran in it.
  * p. 99 (August 18, 1957). "Geronimo!" is the traditional cry of [paratroopers](http://en.wikipedia.org/wiki/paratrooper) and others as they jump out of planes. It comes from a film about the Apache leader [Geronimo](http://en.wikipedia.org/wiki/Geronimo).
  * p. 101 (August 23, 1957). "Thar She Blows!" is the traditional yell of [whale hunters](http://en.wikipedia.org/wiki/whaling) when they spot a whale or, more often, a whale spouting water from its blow hole.
  * p. 112 (September 17, 1957). Snoopy is holding his fist in the air like [Benito Mussolini](http://en.wikipedia.org/wiki/Benito_Mussolini), suggesting that Lucy is behaving like the [fascist](http://en.wikipedia.org/wiki/fascism) dictator.
  * p. 118 (October 2, 1957). Lucy makes this statement just two days before the launch of [Sputnik](http://en.wikipedia.org/wiki/Sputnik)!
  * p. 139 (November 18, 1957). According to [Billboard](http://en.wikipedia.org/wiki/Number-one_hits_of_1957_\(USA\)), the number one song in the [United States](http://en.wikipedia.org/wiki/United_States) that week was "[Jailhouse Rock](http://en.wikipedia.org/wiki/Jailhouse_Rock)" by [Elvis Presley](http://en.wikipedia.org/wiki/Elvis_Presley). Note: Schulz drew his strip weeks in advance. Even though he didn't know exactly which song would be number one, he knew it would undoubtedly be a [rock and roll](http://en.wikipedia.org/wiki/rock_and_roll) tune, which Schroeder naturally dislikes.
  * p. 151 (December 16, 1957). The first movement of [Beethoven's](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven) Piano Sonata No. 1, op. 2 No. 1.
  * p. 152 (December 20, 1957). [Pat Boone](http://en.wikipedia.org/wiki/Pat_Boone) was a popular singer of the time. His songs were usually sweet love songs, more conventional and "middle of the road" than the raucous [rock and roll](http://en.wikipedia.org/wiki/rock_and_roll) of [Elvis Presley](http://en.wikipedia.org/wiki/Elvis_Presley). Boone had two number one songs in 1957, "Love Letters In the Sand" and "April Love".
  * p. 157 (December 30, 1957). Snoopy's ears are forming a square. "[Square](http://en.wikipedia.org/wiki/Square_\(slang\))" is a slang term for someone who is old fashioned and not "[hip](http://en.wikipedia.org/wiki/Hip_\(slang\))." Schroeder's love of classical music marks him as definite square.
  * p. 160 (January 8, 1958). Another reading from the gentle and encouraging [Dr. Benjamin Spock's](http://en.wikipedia.org/wiki/Benjamin_Spock) revolutionary book, _[The Common Sense Book of Baby and Child Care](http://en.wikipedia.org/wiki/The_Common_Sense_Book_of_Baby_and_Child_Care)_.
  * p. 164 (January 17, 1958). _[Peter Rabbit](http://en.wikipedia.org/wiki/Peter_Rabbit)_ by [Beatrix Potter](http://en.wikipedia.org/wiki/Beatrix_Potter) and _[Alice in Wonderland](http://en.wikipedia.org/wiki/Alice_in_Wonderland)_ by [Lewis Carroll](http://en.wikipedia.org/wiki/Lewis_Carroll) are both children's books, and so easy reads (though _Alice_ is actually a complex satire, although it is doubtful that Charlie Brown would get the references).
  * p. 164 (January 18, 1958). "Pioneer Days" would be the 1800s when the [American Old West](http://en.wikipedia.org/wiki/American_Old_West) was first settled by white men ("pioneers"). That would anywhere from 50 to 150 years before [World War II](http://en.wikipedia.org/wiki/World_War_II).
  * p. 170 (February 2, 1958). This appears to be a reference to the movie _[I Was a Teenage Werewolf](http://en.wikipedia.org/wiki/I_Was_a_Teenage_Werewolf)_ from 1957.
  * p. 172 (February 4, 1958). Another reference to [Sputnik](http://en.wikipedia.org/wiki/Sputnik), the first artificial satellite.
  * p. 175 (February 10, 1958). Linus knows that carrying around a blanket makes him look crazy, and crazy people are not drafted into the army.
  * p. 175 (February 11, 1958). Lucy is mis-quoting [Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx) who said, "Religion is the _[opium_ of the people](http://en.wikipedia.org/wiki/opium_of_the_people)." Like most people, she has mis-interpreted that saying to mean that religion is a tool used by the bourgeoisie to keep the masses quiet and complacent.
  * p. 181 (February 25, 1958). To be "[blackballed](http://en.wikipedia.org/wiki/Blackball_\(blacklist\))" is to forbidden to join an organization. The Blue Birds were a children's club, part of the [Camp Fire Organization](http://en.wikipedia.org/wiki/Camp_Fire_USA) (similar to [Scouting](http://en.wikipedia.org/wiki/Scouting)), and so, theoretically not _that_ picky. (Blue Birds were started in 1913 as an organization for girls. In 1989 the Blue Bird level became the "Starflight" level serving both boys and girls.)
  * p. 186 (March 9, 1958). The [Asian Flu](http://en.wikipedia.org/wiki/Asian_Flu) was a strain of [influenza](http://en.wikipedia.org/wiki/influenza) that caused a [pandemic](http://en.wikipedia.org/wiki/pandemic) in 1957-58.
  * p. 188 (March 13, 1958). A [strop](http://en.wikipedia.org/wiki/Strop#Disciplinary_strapping) is a piece of leather used to sharpen an old-fashioned [straight razor](http://en.wikipedia.org/wiki/straight_razor). They were also used to spank children with when they misbehaved. Schroeder's grandfather is arguing for more discipline. Electric razors don't have strops.
  * p. 190 (March 17, 1958). Jim Hagerty was [President Eisenhower's](http://en.wikipedia.org/wiki/Eisenhower) press secretary. As such, any reporter would love to interview him.
  * p. 196 (March 31, 1958). The quotation is from the chlidren's book _[Little Black Sambo](http://en.wikipedia.org/wiki/Little_Black_Sambo),_ which would now be considered racially offensive.
  * p. 199 (April 8, 1958). A parasol can not be [hi-fi](http://en.wikipedia.org/wiki/hi-fi), but, like the term "[high tech](http://en.wikipedia.org/wiki/high_tech)", "hi-fi" was bandied about in lots of inappropriate places in attempts to suggest that whatever was being sold was on the cutting edge of science.
  * p. 200 (April 10, 1958). See above.
  * p. 221 (May 30, 1958). The [Beat Generation](http://en.wikipedia.org/wiki/Beat_Generation) refers to a group of American writers of the 1950s, most notably [Jack Kerouac](http://en.wikipedia.org/wiki/Jack_Kerouac). But here Charlie Brown is referring to himself as beaten down by life in general.
  * p. 222 (June 1, 1958). "Dear Agnes" is a play on [Dear Abby](http://en.wikipedia.org/wiki/Dear_Abby), the advice columnist (or "[agony aunt](http://en.wikipedia.org/wiki/agony_aunt)"), whose column began running in 1956.
  * p. 224 (June 6, 1958). A [gila monster](http://en.wikipedia.org/wiki/gila_monster) is a venomous lizard found in the Southwestern United States and Northern Mexico.
  * p. 238 (July 8, 1958). Fugue in C major from [Johann Sebastian Bach](http://en.wikipedia.org/wiki/Johann_Sebastian_Bach)'s [Well-Tempered Clavier](http://en.wikipedia.org/wiki/Well-Tempered_Clavier) (Book 1), [BWV846](http://en.wikipedia.org/wiki/BWV).
  * p. 239 (July 12, 1958). [Van Cliburn](http://en.wikipedia.org/wiki/Van_Cliburn) was a well known classical pianist of the late fifties.
  * p. 268 (September 17, 1958). See p. 232, June 25, 1958. Odd that Schulz recycles an idea not four months after he first uses it.
  * p. 269 (September 19, 1958). "The fastest _gun_ in the west" was a claim made by many an [Old West](http://en.wikipedia.org/wiki/Old_West) [gunslinger](http://en.wikipedia.org/wiki/gunslinger). It literally meant that you were able to draw your gun and shoot faster than any opponent, thus killing them.
  * p. 217 (September 22, 1958). "I don't pretend to be able to give advice." All that would change with the coming of her psychiatric advice booth (Vol. 5, p. 37, March 27, 1959).
  * p. 274 (September 29, 1958) [Hula hoops](http://en.wikipedia.org/wiki/Hula_hoop)! The only thing more ubiquitous than [Davy Crockett](http://en.wikipedia.org/wiki/Davy_Crockett) in the 1950s was hula hoops. _Peanuts_ is a veritable index to the pop culture of the second half of the 20th century.
  * p. 275 (October 3, 1958). The ticking of a clock supposedly simulates the heartbeat of the mother, which a puppy would have heard in the womb and while snuggled up against the mother after birth, in order to reassure it.
  * p. 289 (November 3, 1958). The [underdog](http://en.wikipedia.org/wiki/underdog_\(competition\)) is the person or team not expected to win a contest. The word's origin, in ship construction, actually does make its opposite "overdog."
  * p. 289 (November 4, 1958). [Beethoven](http://en.wikipedia.org/wiki/Beethoven) did not belong to a [country club](http://en.wikipedia.org/wiki/country_club), so he never had the chance to become "club champion": the member of the club who is the best at a particular sport, usually [golf](http://en.wikipedia.org/wiki/golf) or [tennis](http://en.wikipedia.org/wiki/tennis).
  * p. 289 (November 5, 1958). [Irving Berlin](http://en.wikipedia.org/wiki/Irving_Berlin) was a well known American composer and lyricist, author of, among other songs, "[God Bless America](http://en.wikipedia.org/wiki/God_Bless_America)," "[White Christmas](http://en.wikipedia.org/wiki/White_Christmas_\(song\))," and '"[There's No Business Like Show Business](http://en.wikipedia.org/wiki/There%27s_No_Business_Like_Show_Business)."
  * p. 307 (December 16, 1958). Johann is the first name of classical composer (and, along with [Mozart](http://en.wikipedia.org/wiki/Mozart), rival of [Beethoven](http://en.wikipedia.org/wiki/Beethoven)'s for the title of greatest classical composer) [Johann Sebastian Bach](http://en.wikipedia.org/wiki/Bach). Note: there are [several Johann Bachs](http://en.wikipedia.org/wiki/Bach_\(disambiguation\)) who were composers, including a [Johann Ludwig Bach](http://en.wikipedia.org/wiki/Johann_Ludwig_Bach).
  * p. 310 (December 24, 1958). The [age of accountability](http://en.wikipedia.org/wiki/age_of_accountability) is the age at which a child knows right from wrong and is responsible for his/her own actions. In the Catholic Church it's 7.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1959–1960

Annotations to _**The Complete Peanuts: 1959 to 1960**_ by Charles M. Schulz (Fantagraphics Books, 2006. [ISBN 1560976713](http://en.wikibooks.org/wiki/Special:BookSources/1560976713))

  * p. 3 (January 6, 1959) 4th panel. [Popular songs](http://en.wikipedia.org/wiki/Popular_music) were the music that "everybody" was familiar with during the first half of the 20th century, until rock and roll replaced it as the music of the general public. 
    * "[Stardust](http://en.wikipedia.org/wiki/Stardust_\(song\))", written by [Hoagy Carmichael](http://en.wikipedia.org/wiki/Hoagy_Carmichael), and recorded thousands of times, was one of the most popular of these "popular songs." During the 1940s - 50s many older pieces of music (including some classical) were jazzed up, given lyrics and became "hits." For example, "[Stranger in Paradise](http://en.wikipedia.org/wiki/Stranger_in_Paradise)" from the 1953 musical _[Kismet](http://en.wikipedia.org/wiki/Kismet)_ is based on [Alexander Borodin](http://en.wikipedia.org/wiki/Alexander_Borodin)'s _[Polovetsian Dances](http://en.wikipedia.org/wiki/Polovetsian_Dances)_ and [Tchaikovsky](http://en.wikipedia.org/wiki/Pyotr_Ilyich_Tchaikovsky)’s Piano Concerto in B-Flat Minor became “Tonight We Love.” The joke is that the children are so young that they don't know "Stardust" has already been around a while and in fact started out as a pop song.
  * p. 18 (February 11, 1959) 3rd panel. "Tennessee Ernie" is [Tennessee Ernie Ford](http://en.wikipedia.org/wiki/Tennessee_Ernie_Ford), a popular singer and TV variety show host.
  * p. 30 (March 9, 1959) 2nd panel. [Deep focus](http://en.wikipedia.org/wiki/Deep_focus) again. (See also Vol. 1, p. 267, November 15, 1952.)
  * p. 34 (March 20, 1959). [Joseph Haydn's](http://en.wikipedia.org/wiki/Joseph_Haydn) Symphony No. 94 is nicknamed [the Surprise Symphony](http://en.wikipedia.org/wiki/Symphony_No._94_\(Haydn\)) due to the sudden appearance of a loud chord during the second movement.
  * p. 37 (March 27, 1959). The first appearance of Lucy's psychiatric help booth.
  * p. 38 (March 29, 1959). Commercial use of jet aircraft in the United States began with the [Boeing 707](http://en.wikipedia.org/wiki/Boeing_707), first used in international service in October 1958 and for domestic flights in January 1959. Jets were louder than the propeller-driven aircraft they replaced, and in many places, people living near airports distributed petitions in an attempt to reduce the number of jet flights and/or reroute jet traffic away from their homes.
  * p. 42 (April 6, 1959) 3rd and 4th panels. Almost certainly _[Peter Gunn](http://en.wikipedia.org/wiki/Peter_Gunn),_ which had premiered on TV the year before. Gunn was a cool detective, [hip](http://en.wikipedia.org/wiki/Hip_\(slang\)) to all the lingo. “Mommy-O” is a spin on "Daddy-O", what one [cool](http://en.wikipedia.org/wiki/Cool_\(aesthetic\)) cat might call another. The 1958 film _[Daddy-O](http://en.wikipedia.org/wiki/Daddy-O)_ features a truck driver who turns detective.
  * p. 60 (May 18, 1959). [Telephone booth stuffing](http://en.wikipedia.org/wiki/Phonebooth_stuffing), in which as many people as possible tried to cram into the same glass-walled phone booth, was a fad in the late 1950s, primarily on college campuses.
  * p. 67 (June 6, 1959). "I was an only dog." Schulz would later change his mind on this (or, he simply forgot the line). Over the years (see May 5, 1965), we would learn that Snoopy had [seven siblings](http://en.wikipedia.org/wiki/Snoopy%27s_siblings).
  * p. 68 (June 7, 1959). The first movement of [Beethoven's](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven) Piano Sonata No. 1, op. 2 No. 1.
  * p. 79 (July 4, 1959) 4th panel. Charlie Brown is suggesting that his father will have to drastically raise the price of haircuts at his barber shop in order to cover the increased cost of living that comes with an expanded family. At the time, haircuts typically cost less than $2.00.
  * p. 81 (July 6, 1959). The Soviet Union was well-known for [sending dogs into space](http://en.wikipedia.org/wiki/Soviet_space_dogs), experiments which were continuing as of this date. The American space program had actually sent mice into space in the early 1950s; by 1959, they had moved on to monkeys, with a pair surviving a flight in May of that year. [Various other animals also made space flights](http://en.wikipedia.org/wiki/Animals_in_space).
  * p. 87 (July 20, 1959). The back sides of boxes of [breakfast cereals](http://en.wikipedia.org/wiki/Breakfast_cereal) aimed at children often had brief stories or comic strips printed on them.
  * p. 87 (July 22, 1959). The [Continental League](http://en.wikipedia.org/wiki/Continental_League) was proposed in 1959 as a competitor to the [American](http://en.wikipedia.org/wiki/American_League) and [National](http://en.wikipedia.org/wiki/National_League) baseball leagues. It was to have begun play in 1961, but the existing leagues soon announced plans for [expansion teams](http://en.wikipedia.org/wiki/Expansion_team) in some of the Continental League cities, thus eliminating much of the new league's reason for being.
  * p. 99 (August 19, 1959). "Hot summer nights": the name given to racial riots of the 1950s and 60s.
  * p. 101 (August 23, 1959). Note that it was three months between the first mention of Charlie Brown's new baby sister (May 26, 1959) and this, her first actual appearance in the strip.
  * p. 120 (October 6, 1959). First mention of "Miss Othmar."
  * p. 124 (October 16, 1959) 4th panel. The [Brothers Grimm](http://en.wikipedia.org/wiki/Brothers_Grimm) popularized the legend of [the Pied Piper](http://en.wikipedia.org/wiki/The_Pied_Piper_of_Hamelin), who is reputed to have used his pipe to play music to lure an infestation of rats out of the town of Hamelin, Germany; when he was not paid by the townspeople, he later returned and lured the town's children away.
  * p. 126 (October 21, 1959). Lucy is reading the mythological story of [King Midas](http://en.wikipedia.org/wiki/Midas#Myth). Linus is correct that things backfired for the king.
  * p. 129 (October 26, 1959). First mention of "[the Great Pumpkin](http://en.wikipedia.org/wiki/The_Great_Pumpkin)."
  * p. 131 (November 1, 1959) 5th through 7th panels. [Dr. Benjamin Spock's](http://en.wikipedia.org/wiki/Benjamin_Spock) bestselling book _[Baby and Child Care](http://en.wikipedia.org/wiki/The_Common_Sense_Book_of_Baby_and_Child_Care),_ first published in 1946, advocated a more loving approach -- some would say "permissive" -- to raising a baby than had previously been in vogue.
  * p. 137 (November 15, 1959) 4th and 5th panels. The [Soviet Union](http://en.wikipedia.org/wiki/Soviet_Union) launched several [Sputnik](http://en.wikipedia.org/wiki/Sputnik_program) satellites between 1957 and 1960, apparently enough that Charlie Brown and Lucy could use "Sputnik" as a generic term meaning "artificial satellite."
  * p. 138 (November 17, 1959) 1st panel. A [score of 300](http://en.wikipedia.org/wiki/Perfect_game_\(bowling\)) \-- 12 strikes in a row -- is the best possible score in a single game of [ten-pin bowling](http://en.wikipedia.org/wiki/Ten-pin_bowling).
  * p. 142 (November 26, 1959) 3rd panel. [Babylon](http://en.wikipedia.org/wiki/Babylon) was a city in ancient [Mesopotamia](http://en.wikipedia.org/wiki/Mesopotamia).
  * p. 142 (November 27, 1959) 2nd panel. [Solomon](http://en.wikipedia.org/wiki/King_Solomon) \-- king of the [United Kingdom of Israel](http://en.wikipedia.org/wiki/United_Monarchy), approximately 970 to 928 BCE. [Nebuchadnezzar](http://en.wikipedia.org/wiki/Nebuchadrezzar_II) \-- more common name of Nebuchadrezzar II, ruler of Babylon (see previous strip) from about 605 to 562 BCE. [Genghis Khan](http://en.wikipedia.org/wiki/Genghis_Khan) \-- founder of the [Mongol Empire](http://en.wikipedia.org/wiki/Mongol_Empire) circa 1206.
  * p. 145 (December 5, 1959) 2nd and 3rd panels. Horsehide is another name for a [baseball](http://en.wikipedia.org/wiki/Baseball_\(ball\)) and pigskin is another name for [an American football](http://en.wikipedia.org/wiki/Pigskin#American_and_Canadian_football), in both cases due to the material traditionally used for each ball's cover. Both are now much more commonly made from either [cow leather](http://en.wikipedia.org/wiki/Leather) or synthetic materials.
  * p. 150 (December 14, 1959) 4th panel. Beethoven's first name was actually [Ludwig](http://en.wikipedia.org/wiki/Ludwig_van_Beethoven).
  * p. 152 (December 20, 1959) 6th panel. Linus's quote is [Luke 2:10](http://www.bartleby.com/108/42/2.html) from the [King James Version](http://en.wikipedia.org/wiki/Authorized_King_James_Version) of the Bible. He expands upon it in _[A Charlie Brown Christmas](http://en.wikipedia.org/wiki/A_Charlie_Brown_Christmas),_ quoting verses 8 through 14.
  * p. 160 (January 7, 1960) 4th panel. Indoor antennas intended primarily for receiving [VHF](http://en.wikipedia.org/wiki/Very_high_frequency) television broadcasts were frequently in the form of a [dipole antenna](http://en.wikipedia.org/wiki/Dipole_antenna#Set-top_TV_antenna) placed on top of the TV set, each pole a separate telescoping metal rod. Often set at a 45-degree angle to the set and a 90-degree angle to each other, these antennas were nicknamed "rabbit ears."
  * p. 162 (January 12, 1960). "Rabbit ears" antennas often had to be adjusted to a different position in order to improve the quality of the television picture, when changing to a channel that was transmitting from a different location than the previous channel, or as a result of changing atmospheric conditions.
  * p. 164 (January 17, 1960). The first iteration of what would become a recurring theme: Snoopy and his doomed relationship with a snowman. See also February 2, 1961; January 15–20, 1962; and, most memorably, February 18, 1962.
  * p. 174 (February 8, 1960). Snoopy's doghouse had not previously been shown as being this close to a house -- see January 2, 1960, for example.
  * p. 189 (March 14, 1960). "Whirlybird" is a nickname for [helicopters](http://en.wikipedia.org/wiki/Helicopter).
  * p. 207 (April 25, 1960) 4th panel. The phrase "happiness is a warm puppy" led to an explosion in _Peanuts_ merchandise and entered the consciousness of the public at large, even inspiring [a Beatles song](http://en.wikipedia.org/wiki/Happiness_Is_a_Warm_Gun). (Also see the April 27 and April 30 strips.)
  * p. 224 (June 5, 1960). Linus starts singing the traditional spiritual "[Dem Bones](http://en.wikipedia.org/wiki/Dem_Bones)."
  * p. 240 (July 12, 1960). The [picture tube](http://en.wikipedia.org/wiki/Cathode_ray_tube) is the main part of a traditional television set.
  * p. 243 (July 18, 1960). [Uncle Sam](http://en.wikipedia.org/wiki/Uncle_Sam) is the traditional personification of the United States. The elephant is a symbol for the [Republican party](http://en.wikipedia.org/wiki/Republican_Party_\(United_States), and the donkey is a symbol for its counterpart, the [Democratic party](http://en.wikipedia.org/wiki/Democratic_Party_\(United_States\)). A snake with the phrase "Don't tread on me" is an image from early American history, most notably seen on the [Gadsden flag](http://en.wikipedia.org/wiki/Gadsden_flag). All of this means that Lucy has crammed a bunch of symbols commonly used by editorial cartoonists into the same cartoon.
  * p. 245 (July 24, 1960) 13th panel. Lucy's [microphone](http://en.wikipedia.org/wiki/Microphone) is a [lavalier](http://en.wikipedia.org/wiki/Lavalier)-type condenser microphone, commonly worn by television personalities who would have to move around too much to use a fixed microphone and didn't need to use a handheld type. This type of microphone later became much smaller, to the point where it can now be clipped to a lapel or even hidden beneath a shirt.
  * p. 253 (August 11, 1960). The [spitball](http://en.wikipedia.org/wiki/Spitball) was banned in professional baseball in 1920. Schulz and/or his syndicate may have worried about some client newspapers' acceptance of the word "spit" on their comics page, hence the use of the [euphemism](http://en.wikipedia.org/wiki/Euphemism) "expectorate ball."
  * p. 254 (August 14, 1960) 4th panel. [British Honduras](http://en.wikipedia.org/wiki/British_Honduras) is now known as [Belize](http://en.wikipedia.org/wiki/Belize), after having become a self-governing colony in 1964 and fully independent of the United Kingdom in 1981.
  * p. 257 (August 21, 1960) 6th panel. "[Rain Rain Go Away](http://en.wikipedia.org/wiki/Rain_Rain_Go_Away)" is a traditional nursery rhyme that normally doesn't work this quickly. (Also see the following two Sunday strips, August 28 and September 4.)
  * p. 264 (September 6, 1960). This storyline may have been inspired by an upgrade of [U.S. 101](http://en.wikipedia.org/wiki/U.S._Route_101) through [Sonoma County, California](http://en.wikipedia.org/wiki/Sonoma_County,_California), upgraded to a [freeway](http://en.wikipedia.org/wiki/Freeway) in the 1960s. Since freeways are wider than traditional roads and require additional space for grade-separated interchanges at intersections, their construction often results in the need for the local government to use [eminent domain](http://en.wikipedia.org/wiki/Eminent_domain) powers to purchase significant amounts of land on and around the route of the road.
  * p. 273 (September 28, 1960). Comedian [Mort Sahl](http://en.wikipedia.org/wiki/Mort_Sahl) took much of his material from current events.
  * p. 282 (October 17, 1960). "Population explosion" was a term commonly used to describe conditions that could be leading to [overpopulation](http://en.wikipedia.org/wiki/Overpopulation), in the news at the time due to the [baby boom](http://en.wikipedia.org/wiki/Post-World_War_II_baby_boom) following World War II.
  * p. 287 (October 30, 1960). This strip was rewritten, with Sally put in place of Charlie Brown, and used as the climax of _[It's the Great Pumpkin, Charlie Brown](http://en.wikipedia.org/wiki/It%27s_the_Great_Pumpkin,_Charlie_Brown)._
  * p. 305 (December 11, 1960), p. 308 (December 18, 1960), and p. 311 (December 25, 1960). This year, Linus's piece to memorize for the Christmas program is [Luke 2:1](http://www.bartleby.com/108/42/2.html), and Charlie Brown has Luke 2:8.
  * p. 313 (December 30, 1960). A container for [restaurant leftovers](http://en.wikipedia.org/wiki/Leftovers) is sometimes known as a doggie bag.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1961–1962

Annotations to _**The Complete Peanuts: 1961 to 1962**_ by Charles M. Schulz (Fantagraphics Books, 2006. [ISBN 1560976721](http://en.wikibooks.org/wiki/Special:BookSources/1560976721))

  * p. 1 (January 1, 1961). In [ten pin bowling](http://en.wikipedia.org/wiki/Ten-pin_bowling), the bowler gets two tries to knock down ten pins; if he/she gets the remainder of pins on the second roll, it is called a “spare”. Lucy is “picking up the spare” by knocking down Charlie Brown, the last boy standing.
  * p. 2 (January 2, 1961). This strip begins what would be the longest continued narrative in _Peanuts_ up to that time: three weeks.
  * p. 3 (January 6, 1961). The end of this strip and the following three dailies are sly references to drug withdrawal, specifically [heroin](http://en.wikipedia.org/wiki/heroin)—an amusingly mature theme for the comics pages, especially at a time where comics were expected to have nothing to do with political and social issues, although not surprising for _Peanuts_, as it would explicitly tackle those kinds of issues later on, such as the Vietnam War and tear gas at campaign protests of the early 70's and late 60's, runaway licensing, and once in 1985, even triple bypass surgery.
  * p. 4 (January 11, 1961). Hyannis Port (sometimes written “Hyannisport”) is an affluent residential village southwest of [Hyannis](http://en.wikipedia.org/wiki/Hyannis,_Massachussetts). It is best known as the ancestral home of the [Kennedy family](http://en.wikipedia.org/wiki/Kennedy_family), including then–President-elect [John F. Kennedy](http://en.wikipedia.org/wiki/John_F._Kennedy), who would be inaugurated nine days later, on January 20.
  * p. 10 (January 22, 1961). A reference to the biblical story of [David and Goliath](http://en.wikipedia.org/wiki/David_and_Goliath). The diminutive Israeli shepherd [David](http://en.wikipedia.org/wiki/David) slew the giant Philistine warrior [Goliath](http://en.wikipedia.org/wiki/Goliath) with a rock hurled from a sling, as Linus does here with a snowball from his blanket.
  * p. 11 ([January 24, 1961](http://www.gocomics.com/peanuts/1961/01/24)). [Higher Criticism](http://en.wikipedia.org/wiki/Historical_Criticism), which in the context of this strip is synonymous to [Source Criticism](http://en.wikipedia.org/wiki/Source_Criticism), is a Bible study method that is based on pulling apart the traditional text into component pieces. Richard Elliot Friedman, a modern-day practitioner of Higher Criticism, has published [a book that reprints the Bible with each source distinguished by typeface and formatting](http://en.wikipedia.org/wiki/The_Bible_with_Sources_Revealed).
  * p. 12 (January 28, 1961). The second appearance of Lucy’s psychiatric booth (the first was on [March 27, 1959](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960#p37)), and the first time it is drawn with its familiar canopy. Also note the redundant “5¢” sign at the bottom; this would later be replaced.
  * p. 14 (January 30, 1961). Linus is tabulating the combined gifts from the song “[The Twelve Days of Christmas](http://en.wikipedia.org/wiki/The_Twelve_Days_of_Christmas_\(song\))”. The song has twelve verses, each listing the gifts given by “my true love”; the gifts cumulate with each day/verse. Linus’s math is correct; however, the song is more commonly sung to refer to “drummers drumming” rather than “fiddlers fiddling”.
  * p. 17 (February 8, 1961). [Pasteurization](http://en.wikipedia.org/wiki/Pasteurization) is the process of heating liquids for the purpose of destroying viruses and harmful organisms, named for its inventor, chemist [Louis Pasteur](http://en.wikipedia.org/wiki/Louis_Pasteur) (1822–1895). It is most commonly used on milk, hence Lucy’s pun here. Puns of this sort would later be almost completely delegated to Snoopy once he began typing.
  * p. 18 (February 11, 1961). Speculating on the effects of television on American culture, which Snoopy parodies here, was a common theme in the early days of the Kennedy administration. It would culminate three months later with [Federal Communications Commission](http://en.wikipedia.org/wiki/Federal_Communications_Commission) chairman [Newton N. Minow](http://en.wikipedia.org/wiki/Newton_N._Minow)’s “[Television and the Public Interest](http://en.wikipedia.org/wiki/Wasteland_Speech)” speech, where he famously argued that television was often a “vast wasteland” with detrimental effects on the viewing public.
  * p. 21 (February 16, 1961). For the rest of 1961, Linus and (less often) the other characters will sometimes be wearing [American Civil War](http://en.wikipedia.org/wiki/American_Civil_War)–style hats, due to its centennial (specifically referred to on July 8 and November 23, 1961).
  * p. 21 (February 16, 1961). First instance of a note in Linus' lunch.
  * p. 29 (March 6, 1961). The first appearance of Frieda. Like Charlie Brown and Linus, she was named after one of Schulz’s fellow instructors at the Art Instruction School in Minneapolis[[2]](Print_version.html#cite_note-jubilee-2).
  * p. 34 (March 19, 1961). A [flannelgraph](http://en.wikipedia.org/wiki/flannelgraph) is a method of telling stories, used in real life as Lucy does here. It is generally associated with American evangelical Sunday school lessons, as a means of telling Bible stories to young children. Schulz was undoubtedly aware of the practice from his own experiences teaching Sunday school. Christian writer John Fischer said, “[t]hough it has largely disappeared from the scene, flannelgraph may very well be the closest thing to a strictly evangelical art form, for I never encountered it anywhere but in Christian endeavors, and I haven’t seen it anywhere else since. It was an evangelical quirk of the 1950s that soon went the way of sword drills and the family altar”[[3]](Print_version.html#cite_note-fischer-3).
  * p. 36 (March 23, 1961). In 1961, a television small enough to be portable was still a relative novelty.
  * p. 47 (April 17, 1961). [National Library Week](http://en.wikipedia.org/wiki/National_Library_Week) was started in 1958 amid concerns that television was reducing reading by children[[4]](Print_version.html#cite_note-ala-4).
  * p. 48 (April 21, 1961). [Theodor “Dr. Seuss” Geisel](http://en.wikipedia.org/wiki/Dr._Seuss) (1904–1991) was a popular American children’s book author, best known for his 1957 book _The Cat in the Hat_.
  * p. 54 (May 4, 1961). Lucy’s psychiatrist booth takes on its final appearance with the addition of the “The doctor is in” sign.
  * p. 60 (May 19, 1961). The H-Bomb is the common form of referring to [hydrogen bombs](http://en.wikipedia.org/wiki/hydrogen_bomb).
  * p. 62 (May 23, 1961). Frieda’s cat Faron was the only cat that would ever appear in _Peanuts_. Schulz wrote later: “One day, while searching for some kind of new story to work on, I decided to have the character named Frieda... threaten Snoopy with bringing a cat into the neighborhood. Snoopy was horrified, and, when the cat arrived, did not like it at all. Fortunately for him, I also discovered that _I_ didn’t care much for the cat. For one thing, I realized that I don’t draw a cat very well, and secondly, if I were to keep up the relationship, I would have a traditional cat-and-dog strip, which was something I certainly wanted to avoid... the cat brought Snoopy back to being too much of a real dog. By the time the cat had come into the strip, Snoopy was drifting further and further into his fantasy life, and it was important that he continue in that direction. To take him back to his earlier days would not work, so I did the obvious and removed the cat. (My only regret was that I had named the cat after Faron Young, a country-and-western singer whom I admired very much...)”[[2]](Print_version.html#cite_note-jubilee-2) Schulz would later introduce an “offstage” cat.
  * p. 63 (May 26, 1961). “[Sandbagging](http://en.wikipedia.org/wiki/Sandbagging)” is a term mainly used in gaming or sporting contexts, meaning to feign weakness to obtain an advantage.
  * p. 64 (May 28, 1961). “[Just Before the Battle](http://en.wikipedia.org/wiki/Just_Before_the_Battle,_Mother)” was an 1864 song written by [George F. Root](http://en.wikipedia.org/wiki/George_Frederick_Root); it was a pro-Union song but was popular throughout America, including in the Confederacy. Linus is singing it in keeping with his [Civil War centennial](Print_version.html#d19610216) interest. He has gotten the lyrics wrong slightly: the second line is actually “I am thinking most of you”. 

Schulz would often refer to this strip as one of his favorites, and also as one of the few that was based on an idea he had gotten from his children: “We were at the dinner table and Amy was talking away on a real talking streak and finally I said, ‘Can’t you _please_ be quiet?’ and she was silent for a moment and then picked up a piece of bread and began to butter it, saying, ‘Am I buttering too loud for you?’”[[5]](Print_version.html#cite_note-conrad-5) The punchline would be repeated by Schulz on August 5, 1998, in honor of Amy’s birthday[[6]](Print_version.html#cite_note-faq-6).

  * p. 66 (June 1, 1961). See [May 16, 1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954#d19540516).
  * p. 67 (June 4, 1961). In keeping with Schulz’s attention to detail, all of Lucy’s definitions are accurate.
  * p. 75 (June 22, 1961). The “little girl” referred to in this and the next two strips is President Kennedy’s daughter [Caroline](http://en.wikipedia.org/wiki/Caroline_Kennedy), who was three years old at the time they were published.
  * p. 80 (July 4, 1961). Shrimp Louie (or Louis) is a type of salad with shrimp and hard-boiled eggs. The recipe is based on the better-known [Crab Louie](http://en.wikipedia.org/wiki/Crab_Louie).
  * p. 81 (July 8, 1961). Another reference to the Civil War Centennial. Charlie Brown is singing the “[Battle Cry of Freedom](http://en.wikipedia.org/wiki/Battle_Cry_of_Freedom)”, a pro-Union song written by George F. Root in 1862; it was the most popular song of its day. Schroeder is singing “[The Bonnie Blue Flag](http://en.wikipedia.org/wiki/The_Bonnie_Blue_Flag)”, a pro-Confederacy song written by [Harry McCarthy](http://en.wikipedia.org/wiki/Harry_McCarthy) in 1861. See also [May 28, 1961](Print_version.html#d19610528).
  * p. 83 (July 10, 1961). _The Flabby American_ was a television program about the physical fitness of Americans broadcast on May 30, 1961.
  * p. 85 (July 16, 1961). Snoopy's first appearance as a [vulture](http://en.wikipedia.org/wiki/Vulture).
  * p. 102 (August 25, 1961). "Clam diggers" are pants that are longer than shorts but are not as long as long pants.
  * p. 121 (October 8, 1961). [Blackbeard](http://en.wikipedia.org/wiki/Blackbeard) refers to the famous 18th century pirate Edward Teach, best known as Blackbeard.
  * p. 139 (November 19, 1961). The first reference to Charlie Brown’s unrequited love, The Little Red-Haired Girl. Schulz based her on Donna Johnson, a fellow teacher of his at the Art Instruction School, whom he dated in 1950. He had wanted to marry her, but later that year she married another man. 

Schulz said in 1997, “I was sitting home one night with my kids, and I was listening to some Hank Williams songs, and I was listening to Joni James singing, ‘Today I met you on the street, my heart fell at your feet,’ you know, and those songs were so depressing. And that was the mindset that got me going on Charlie Brown sitting at the playground, eating his lunch, and he looks across the playground, and he sees the Little Red-Haired Girl, and from that, that whole series came, one thing after another.”[[7]](Print_version.html#cite_note-charlierose-7)

  * p. 151 and 154 (December 17 and 24, 1961). Linus' quotation is Matthew 2:17-18.
  * p. 170 (January 31, 1962). Linus refers to a [queen snake](http://en.wikipedia.org/wiki/Queen_snake) for the first time.
  * p. 204 (April 20, 1962). Myopic refers to [myopia](http://en.wikipedia.org/wiki/Myopia), or nearsightedness, which is presumably why Linus requires glasses.
  * p. 212 (May 8, 1962). "A pretty girl is like a melody" is the title of a popular song by [Irving Berlin](http://en.wikipedia.org/wiki/Irving_Berlin), originally published in 1919.
  * p. 204 (June 28, 1962). An SC-54 is the [search and rescue](http://en.wikipedia.org/wiki/Search_and_rescue) variant of the [C-54 Skymaster](http://en.wikipedia.org/wiki/C-54_Skymaster) transport aircraft. Lieutenant Commander Carpenter is [Mercury](http://en.wikipedia.org/wiki/Project_Mercury) astronaut [Scott Carpenter](http://en.wikipedia.org/wiki/Scott_Carpenter), rescued under similar circumstances on May 24, 1962.
  * p. 240 (July 21, 1962). [Sam Snead](http://en.wikipedia.org/wiki/Sam_Snead) was a legendary professional golfer from the thirties into the sixties, while [Don Carter](http://en.wikipedia.org/wiki/Don_Carter_\(bowler\)) was a well known professional bowler during the fifties and early sixties.
  * p. 251 (August 6, 1962). [Casey Stengel](http://en.wikipedia.org/wiki/Casey_Stengel) was a [baseball](http://en.wikipedia.org/wiki/Baseball) player and manger, best known for managing the [New York Yankees](http://en.wikipedia.org/wiki/New_York_Yankees) between 1949 and 1960, and the [New York Mets](http://en.wikipedia.org/wiki/New_York_Mets) from 1962 to 1965.
  * p. 258 (August 25, 1962). Atmospheric testing refers to the testing of [nuclear weapons](http://en.wikipedia.org/wiki/Nuclear_weapons) within the atmosphere, as opposed to underground testing. Atmospheric testing was banned under the [Limited Test Ban Treaty](http://en.wikipedia.org/wiki/Limited_Test_Ban_Treaty), signed in August 1963.
  * p. 264 (September 8, 1962). [Knute Rockne](http://en.wikipedia.org/wiki/Knute_Rockne) was a well known football coach at [Notre Dame University](http://en.wikipedia.org/wiki/University_of_Notre_Dame) from 1918 to 1930.
  * p. 270 (September 20, 1962). The quotation is by [Anatole France](http://en.wikipedia.org/wiki/Anatole_France).
  * p. 273 (September 27, 1962). [Gargoyles](http://en.wikipedia.org/wiki/Gargoyle) are ornamental sculptures of grotesque figures, used to convey rainwater away from a building.
  * p. 281 (October 15, 1962). The Sabin oral polio vaccine was a [poliomyelitis](http://en.wikipedia.org/wiki/Poliomyelitis) vaccine developed by [Albert Sabin](http://en.wikipedia.org/wiki/Albert_Sabin) that could be taken orally. It replaced the earlier [Salk](http://en.wikipedia.org/wiki/Jonas_Salk) vaccine, which needed to be injected with a syringe.
  * p. 288 (November 2, 1962). Linus is alluding to the expression "Hell hath no fury like a woman scorned". The original phrase is "Heaven has no rage like love to hatred turned / Nor hell a fury like a woman scorned.", taken from "The Mourning Bride" (1697) by [William Congreve](http://en.wikipedia.org/wiki/William_Congreve).
  * p. 293 (November 12, 1962). [Rachel Carson](http://en.wikipedia.org/wiki/Rachel_Carson) was the author of the early environmentalist book [Silent Spring](http://en.wikipedia.org/wiki/Silent_Spring). As a well known author and scientist at the time, Carson will be frequently referenced in future strips as a female role model.
  * p. 309 (December 22, 1962). Charlie Brown is referring to the last game of the [1962 World Series](http://en.wikipedia.org/wiki/1962_World_Series), in which the [San Francisco Giants](http://en.wikipedia.org/wiki/San_Francisco_Giants) lost to the New York Yankees in the seventh game, after [Willie McCovey's](http://en.wikipedia.org/wiki/Willie_McCovey) line drive was caught by [Bobby Richardson](http://en.wikipedia.org/wiki/Bobby_Richardson).

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1963–1964

Annotations to _**The Complete Peanuts: 1963 to 1964**_ by Charles M. Schulz (Fantagraphics Books, 2007. [ISBN 1560977230](http://en.wikibooks.org/wiki/Special:BookSources/1560977230))

  * p. 10 (January 23, 1963). A googol is 10 to the power 100, or 1 with 100 zeros after it. It was given this name by nine year old Milton Sirotta, nephew of mathematician [Edward Kasner](http://en.wikipedia.org/wiki/Edward_Kasner).
  * p. 13 (January 28, 1963). See [December 22, 1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962#p309).
  * p. 16 (February 5, 1963). [4 H](http://en.wikipedia.org/wiki/4-H) is a youth agricultural organization affiliated with the [United States Department of Agriculture](http://en.wikipedia.org/wiki/United_States_Department_of_Agriculture).
  * p. 19 (February 11, 1963). [Divinity](http://en.wikipedia.org/wiki/Divinity) is a nougat-like confectionery made mainly with egg white, corn syrup, and sugar.
  * p. 19 (February 13, 1963). In [ten pin bowling](http://en.wikipedia.org/wiki/Ten-pin_bowling), 300 represents a perfect score. As there are 10 frames in a game, Violet’s Dad is clearly getting ahead of himself.
  * p. 22 (February 19 - 20, 1963). See [November 12, 1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962#p293).
  * p. 34 - 35 (March 18 - 23, 1963). An Honor roll is a list of students at a school recognized for their academic achievements.
  * p. 50 (April 25, 1963). See [July 21, 1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962#p240).
  * p. 57 (May 12, 1963). See [November 12, 1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962#p293).
  * p. 61 (May 20, 1963). The "movie" Snoopy refers to is the classic Alfred Hitchcock movie _[The Birds](http://en.wikipedia.org/wiki/The_Birds_\(Film\))_, which opened in the spring of 1963. The film was shot on location in Bodega, California - not far from Schulz's residence in Sebastopol.
  * p. 64 (May 28, 1963). Snoopy is mimicking a set of “rabbit ear” antennae on top of a contemporary television set, which needed to be adjusted in this fashion to tune in distant stations.
  * p. 85 - 86 (July 15 - 20, 1963). A total solar eclipse occurred over North America on July 20, 1963.
  * p. 94 (August 5 and 6, 1963). In baseball, a pitcher is restricted in the kind of motions he can make while pitching. If he makes an illegal movement, a balk is called and runners on base can advance one base.
  * p. 116 (September 27, 1963). The US Post Office introduced the 5-digit [ZIP code](http://en.wikipedia.org/wiki/ZIP_code) on July 1, 1963.
  * p. 118 (October 1, 1963). 5’s last name is his [ZIP code](http://en.wikipedia.org/wiki/ZIP_code) (95472), which is the ZIP code for Sebastopol, California.
  * p. 126 (October 20, 1963). Prayer in American public schools was declared unconstitutional in the case of [Abington School District v. Schempp](http://en.wikipedia.org/wiki/Abington_School_District_v._Schempp), decided on June 23, 1963.
  * p. 150 (December 15, 1963). [Albert Schweitzer](http://en.wikipedia.org/wiki/Albert_Schweitzer) won the 1952 Nobel Peace Prize for his medical missionary work.
  * p. 164 (January 17, 1964). Schulz has made an error here - the figure should be "sixty million" and not "sixty billion."
  * p. 173 (February 8, 1964). The AMA is the [American Medical Association](http://en.wikipedia.org/wiki/American_Medical_Association).
  * p. 175 (February 10, 1964). The quotations are from the book _[The Gulistan](http://en.wikipedia.org/wiki/Gulistan_of_Sa%27di)_ by the 13th century Persian poet [Sa-di](http://en.wikipedia.org/wiki/Saadi_\(poet\)).
  * p. 177 (February 16, 1964). Doctor Horwich refers to [Frances Horwich](http://en.wikipedia.org/wiki/Frances_Horwich), the educator and children's TV show hostess also known as "Miss Frances."
  * P. 182 (February 29, 1964). First mention of Snoopy being the owner of a painting by Van Gogh.
  * p. 205 (April 22, 1964). “[New Math](http://en.wikipedia.org/wiki/New_Math)” refers to the change in how mathematics was taught in public schools in the United States during the 1960s.
  * p. 207 (April 26, 1964). [Willie Mays](http://en.wikipedia.org/wiki/Willie_Mays), [Alvin Dark](http://en.wikipedia.org/wiki/Alvin_Dark) and [Orlando Cepeda](http://en.wikipedia.org/wiki/Orlando_Cepeda) were players on the [San Francisco Giants](http://en.wikipedia.org/wiki/San_Francisco_Giants) baseball team. Schulz moved to northern California in 1958.
  * p. 221 (May 28, 1964). See [August 6, 1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962#p251).
  * p. 227 (June 11, 1964. A [beanball](http://en.wikipedia.org/wiki/beanball) is a pitch that aims at the batter's body.
  * p. 230 (June 18, 1964). “[Highbrow](http://en.wikipedia.org/wiki/Highbrow) is a term derived from [Phrenology](http://en.wikipedia.org/wiki/Phrenology), implying that an art form is intellectual, while Lowbrow is supposedly non-intellectual, and Middlebrow is somewhere in between.
  * p. 238 (July 7, 1964). [Mickey Mantle](http://en.wikipedia.org/wiki/Mickey_Mantle) was a baseball player with the [New York Yankees](http://en.wikipedia.org/wiki/New_York_Yankees). A [tape measure home run](http://en.wikipedia.org/wiki/Tape_measure_home_run#tape_measure_home_run) is a particularly long home run.
  * p. 239 (July 11, 1964). Birds are now considered to be [dinosaurs](http://en.wikipedia.org/wiki/dinosaurs). So in fact, Linus actually has found a dinosaur bone!
  * p. 241 (July 14, 1964). [Willard Mullin](http://en.wikipedia.org/wiki/Willard_Mullin) was an American sports cartoonist, best known for his creation of the “Brooklyn Bum”, a characterization of the [Brooklyn Dodgers](http://en.wikipedia.org/wiki/Los_Angeles_Dodgers) baseball team.
  * p. 271 (September 23, 1964). The [Maccabees](http://en.wikipedia.org/wiki/Maccabees) were Jewish rebels who ruled [Judea](http://en.wikipedia.org/wiki/Judea) from 164 BCE to 63 BCE. [Antiochus Epiphanes](http://en.wikipedia.org/wiki/Antiochus_Epiphanes) was the ruler they were rebelling against.
  * p. 274 (September 28, 1964). [Willie Mays](http://en.wikipedia.org/wiki/Willie_Mays) was one of the finest baseball players of his time, and indeed, of all time. Linus has thus set his ambitions very high.
  * p. 298 (November 25, 1964). Pebble Beach is a coastal resort town in northern California between Monterey and Carmel. It has several well-regarded golf courses.
  * p. 307 (December 14, 1964). Ipanema is a neighborhood in Rio de Janeiro, Brazil. A recording of the song "The Girl From Ipanema" became an international hit in 1964.
  * p. 310 (December 21, 1964). Luke 2:8

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1965–1966

Annotations to _**The Complete Peanuts: 1965 to 1966**_ by Charles M. Schulz (Fantagraphics Books, 2007. [ISBN 1560977247](http://en.wikibooks.org/wiki/Special:BookSources/1560977247))

  * p. 2 (January 3, 1965). Billiard balls were made from elephant ivory from the 17th century until the early 20th century. [English](http://en.wikipedia.org/wiki/Glossary_of_cue_sports_terms#English) is a term referring to putting a spin on the cue ball by striking the ball off-center with the cue.
  * p. 4 (January 9, 1965). [Annette Funicello](http://en.wikipedia.org/wiki/Annette_Funicello) was an original cast member of _[The Mickey Mouse Club](http://en.wikipedia.org/wiki/The_Mickey_Mouse_Club)_ TV show in 1955, when she was 13 years old.
  * p. 13 (January 30, 1965). “I could have skated all night“ presumably refers to the song "[I Could Have Danced All Night](http://en.wikipedia.org/wiki/I_Could_Have_Danced_All_Night)" from the musical _[My Fair Lady](http://en.wikipedia.org/wiki/My_Fair_Lady)_.
  * p. 28 (March 4, 1965). A cinch notice is an official notice from a teacher that your grades are unsatisfactory.
  * p. 32 (March 14, 1965). The first reference in _Peanuts_ to the kite-eating tree.
  * p. 47 (April 18, 1965). In baseball, a [bean ball](http://en.wikipedia.org/wiki/beanball) is a ball thrown by a pitcher directly at a player with the intent of hitting them. The [Children‘s Crusade](http://en.wikipedia.org/wiki/Children%E2%80%98s_Crusade) was a possibly legendary event that occurred in 1212 during [The Crusades](http://en.wikipedia.org/wiki/Crusades). The [incident at Harper’s Ferry](http://en.wikipedia.org/wiki/John_Brown%27s_raid_on_Harpers_Ferry) was an attempt by abolitionist John Brown to start a slave revolt in 1859.
  * p. 52 (April 30, 1965). In the [sixth chapter of Daniel](http://en.wikipedia.org/wiki/Daniel_in_the_lions%27_den), Daniel is thrown into a lions’ den for refusing to stop praying to his god. See also October 20, 1963.
  * p. 54 (May 5, 1965). First mention of Snoopy's siblings. First mention of the "Daisy Hill Puppy Farm."
  * p. 70 (June 11, 1965). Roy’s first appearance. Roy was best known for later introducing [Peppermint Patty](http://en.wikipedia.org/wiki/Peppermint_Patty) to the rest of the cast. See August 22, 1966.
  * p. 75 (June 23, 1965). At the time of this strip, the phrase [À gogo](http://en.wikipedia.org/wiki/%C3%80_gogo) was supposed to mean modern or up-to-date. The actual meaning of À gogo is “plenty” or “galore”.
  * p. 84 (July 12, 1965). First instance of Snoopy writing "It was a dark and stormy night." The sentence is taken from the novel [Paul Clifford](http://en.wikipedia.org/wiki/Paul_Clifford) by [Edward Bulwer-Lytton](http://en.wikipedia.org/wiki/Edward_Bulwer-Lytton,_1st_Baron_Lytton).
  * p. 96 (August 9, 1965). There are several meanings claimed for 'hodad', but it appears that Schulz is referring to someone who brings a surfboard to the beach but never surfs, i.e. a poser.
  * p. 97 (August 14, 1965). It is difficult to know if this is a reference to the Houston Astrodome, which opened in April 1965 with natural grass as the playing surface. The grass soon died due to painted-over skylights, but artificial grass was not installed until 1966.
  * p. 98 (August 15, 1965). The phone number given in the last panel was actually the phone number of producer [Lee Mendelson](http://en.wikipedia.org/wiki/Lee_Mendelson), who at the time was working on the very first animated _Peanuts_ special, _[A Charlie Brown Christmas](http://en.wikipedia.org/wiki/A_Charlie_Brown_Christmas)_.
  * p. 99 (August 19, 1965). [Brahms' Symphony No. 4 in e minor, op. 98.](http://en.wikipedia.org/wiki/Symphony_No._4_\(Brahms\))
  * p. 102 (August 24, 1965). An Australian phrase meaning an all-out effort. "Bush" is Australian slang for a sparsely populated area or for wilderness. An equivalent phrase in American English would be "The Super Bowl or bust!"
  * p. 107 (September 5, 1965). Lucy's comments on the relationship between sin and personal misfortune reflects the conception of happiness in the Old Testament. She will often come back to it again, for example in the doghouse fire series (see p. 271, September 24, 1966).
  * p. 109 (September 9, 1965). The phrase “Better to light a single candle than to curse the darkness” is thought to originate in an ancient Chinese proverb. It is also closely associated with [Amnesty International|](http://en.wikipedia.org/wiki/Amnesty_International).
  * p. 113 (September 19, 1965). _[Lord Jim](http://en.wikipedia.org/wiki/Lord_Jim)_ is a novel by [Joseph Conrad](http://en.wikipedia.org/wiki/Joseph_Conrad) , while the [1812 Overture](http://en.wikipedia.org/wiki/1812_Overture) is a well known piece of orchestral music composed by [Pyotr Ilyich Tchaikovsky](http://en.wikipedia.org/wiki/Pyotr_Ilyich_Tchaikovsky).
  * p. 120 (October 6, 1965). See April 22, 1964.
  * p. 122 (October 10, 1965). Snoopy’s first appearance in his most famous persona, the World War I flying ace. The [Sopwith Camel](http://en.wikipedia.org/wiki/Sopwith_Camel) was a British single seat fighter aircraft employed by the allies at the end of World War I. The [Red Baron](http://en.wikipedia.org/wiki/Manfred_von_Richthofen) was a nickname for German fighter pilot Manfred von Richthofen, the highest scoring German ace of the First World War.
  * p. 129 (October 26, 1965). In the last panel, the phrase “ you try harder” is a reference to the corporate motto of [Avis Rent a Car](http://en.wikipedia.org/wiki/Avis_Rent_a_Car_System). At the time, Avis conducted an extensive advertising campaign around the phrase “We’re number two because we try harder” versus the leading rental car company, [Hertz](http://en.wikipedia.org/wiki/The_Hertz_Corporation).
  * p. 135 (November 8, 1965). The beginning of Mark Antony's speech in Shakespeare's _[Julius Caesar](http://en.wikipedia.org/wiki/Julius_Caesar_\(play\))_, Act III scene 2.
  * p. 144 (November 29, 1965). [Amblyopia](http://en.wikipedia.org/wiki/Amblyopia) is a visual deficiency in an eye that is otherwise physically normal. Schulz calls Sally’s condition Amblyopia ex anopsia, but the symptoms and treatment sound more like Stabismic amblyopia. Sally will continue to wear the eye patch in most strips until May 1966.
  * p. 147 (December 6, 1965). In 1951, the [Hathaway shirt company](http://en.wikipedia.org/wiki/C._F._Hathaway_Company) ran its first advertisement that featured a distinguished man in a shirt and tie and wearing an eyepatch. The ad campaign was extremely successful and "The Man in the Hathaway Shirt" became the icon for the company.
  * p. 147 (December 8, 1965). [Long John Silver](http://en.wikipedia.org/wiki/Long_John_Silver) is a pirate character from the novel _[Treasure Island](http://en.wikipedia.org/wiki/Treasure_Island)_ by [Robert Louis Stevenson](http://en.wikipedia.org/wiki/Robert_Louis_Stevenson).
  * p. 168 (January 24, 1966). Schulz repeats the same gag on December 20, 1966. See p. 309.
  * p. 175 (February 12, 1966). The quotation in panel 3 is from Psalm 35, verses 1 and 15.
  * p. 177 (February 15, 1966). See September 28, 1964.
  * p. 192 (March 21, 1966). Fort Zinderneuf is the main setting of the novel and film _[Beau Geste](http://en.wikipedia.org/wiki/Beau_Geste)_, which is about French Foreign Legionnaires. Other references to _Beau Geste_ appear in April 1966 strips.
  * p. 194 (March 27, 1966). The baseball teams that Linus lists are the [National League](http://en.wikipedia.org/wiki/National_League) and the [American League](http://en.wikipedia.org/wiki/American_League) second place winner for each year.
  * p. 210 (May 3, 1966). Commissioner Eckert was Commissioner of Baseball [William Eckert](http://en.wikipedia.org/wiki/Baseball_Commissioner#William_Eckert_.281965-1968.29), who was commissioner between 1965 and 1968.
  * p. 215 (May 15, 1966). There is an interesting mismatch between the daily strip and the Sunday strip here -- Linus, who has moved away in the daily strip is present for the baseball game in the Sunday strip!
  * p. 216 (May 18, 1966). In the last panel, Schroeder is referring to another piece of music from the musical _[My Fair Lady](http://en.wikipedia.org/wiki/My_Fair_Lady)_, "[I've Grown Accustomed to Her Face](http://en.wikipedia.org/wiki/I%27ve_Grown_Accustomed_to_Her_Face)".
  * p. 232 (June 23, 1966). The quotation is from Jeremiah 31, verses 16-17. Linus' speech happens at a time of rising anxiety in America about the sudden escalation of the [Vietname War](http://en.wikipedia.org/wiki/Vietnam_War).
  * p. 248 (July 31, 1966). [K.P.](http://en.wikipedia.org/wiki/KP_duty) stands for "kitchen patrol" or “kitchen police“, military slang for kitchen duties.
  * p.253 (August 11, 1966). Snoopy describes the Allies position at the [battle of saint-Mihiel](http://en.wikipedia.org/wiki/battle_of_Saint-Mihiel).
  * p. 255 (August 16, 1966). Apparently a reference to the German word "Kamerad" (comrade) which was used as a term for surrender.
  * p. 258 (August 22, 1966). The first appearance of [Peppermint Patty](http://en.wikipedia.org/wiki/Peppermint_Patty).
  * p. 262 (September 1, 1966). [Leonard Bernstein](http://en.wikipedia.org/wiki/Leonard_Bernstein) was a famous conductor and composer of the time.
  * p. 307 (December 17, 1966). The quotation is from Act II, Scene II of _[Romeo and Juliet](http://en.wikipedia.org/wiki/Romeo_and_Juliet)_.
  * p. 309 (December 20, 1966). Schulz had drawn the same gag on January 24, 1966. See p. 168.

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1967–1968

Annotations to _**The Complete Peanuts: 1967 to 1968**_ by Charles M. Schulz (Fantagraphics Books, 2008. [ISBN 1560978260](http://en.wikibooks.org/wiki/Special:BookSources/1560978260))

  * p. 8 (January 18, 1967). The [Fokker D7](http://en.wikipedia.org/wiki/Fokker_D.VII) (actually Fokker D.VII) was an advanced German biplane that came into service at the end of [World War I](http://en.wikipedia.org/wiki/World_War_I), while [Nieuports](http://en.wikipedia.org/wiki/Nieuport) were French-built biplanes widely flown by the Allies. The [Unter Den Linden](http://en.wikipedia.org/wiki/Unter_Den_Linden) is a grand boulevard in Berlin, and is here being used as a German substitution for Broadway in the famous song.
  * p. 14 (February 1, 1967). [Barnstorming](http://en.wikipedia.org/wiki/Barnstorming) was an ancestor of the modern Airshow during the 1920s, where First World War pilots flying military surplus aircraft demonstrated aerobatics and were paid to take passengers on brief flights.
  * p. 46 (April 16, 1967). [Sandy Koufax](http://en.wikipedia.org/wiki/Sandy_Koufax) was a well known pitcher for the Brooklyn/Los Angeles Dodgers, who had retired in 1966.
  * p. 69 (June 8, 1967). [General Pershing](http://en.wikipedia.org/wiki/John_J._Pershing) was the commander of the United States Army in Europe during the First World War.
  * p. 121 (October 8, 1967). [Bobby Hull](http://en.wikipedia.org/wiki/Bobby_Hull) was one of the finest hockey players of all time, and at the time was playing Left Wing for the Chicago Black Hawks.
  * p. 141 (November 25, 1967). At the time of this strip, the [New York Mets](http://en.wikipedia.org/wiki/New_York_Mets) were a recent expansion Baseball club with a terrible win-loss record, which is what Linus is referring to here.
  * p. 146 (December 4, 1967). [Sonja Henie](http://en.wikipedia.org/wiki/Sonja_Henie) was a three-time gold medal winning Olympic figure skater from Norway, who later became a professional figure skater and film star.
  * p. 200 (April 9, 1968). “Arnold and Winnie” refers to golfer [Arnold Palmer](http://en.wikipedia.org/wiki/Arnold_Palmer), one of the best known golfers of the era, and his wife Winifred.
  * p. 200 (April 10, 1968). The golfers being referred to here are [Arnold Palmer](http://en.wikipedia.org/wiki/Arnold_Palmer), [Sam Snead](http://en.wikipedia.org/wiki/Sam_Snead), and [Ben Hogan](http://en.wikipedia.org/wiki/Ben_Hogan).
  * p. 201 (April 9, 1968). “Snoopy‘s Squad” presumably refers to the many fans of Arnold Palmer, who were collectively known as “Arnie’s Army”.
  * p. 206 (April 22, 1968). [Petaluma, Ca.](http://en.wikipedia.org/wiki/Petaluma,_California), has held the world wrist wrestling championships from 1952 to 2003.
  * p. 226 (June 9, 1968). Schroeder is playing the first movement of Beethoven's piano sonata No. 8 in c minor, op. 13, the "Pathethique".
  * p. 227 (June 10, 1968). The phrase in the final frame is a spoof on the then current television spy show _[Mission: Impossible](http://en.wikipedia.org/wiki/Mission:_Impossible)_, in which the leader of the Impossible Mission Force is delivered a mission at the beginning of each show in the form of a tape recording. After describing the mission, the recording then warns that it will “self-destruct in five seconds” before it disintegrates in a puff of smoke.
  * p. 248 (July 31, 1968). Franklin’s first appearance in the strip.
  * p. 250 (August 4, 1968). [Muscle Beach](http://en.wikipedia.org/wiki/Muscle_Beach) is a beachfront area in the Los Angeles, California area, known for demonstrations by weightlifters and acrobats.
  * p. 250 (August 4, 1968). "[Chloe](http://en.wikipedia.org/wiki/Chloe_\(song\))" is a Jazz standard from 1927 with music by Neil Moret and lyrics by Gus Kahn.
  * p. 266 (September 10, 1968). [Tiny Tim](http://en.wikipedia.org/wiki/Tiny_Tim_\(musician\)) was the stage name of Herbert Khaury, a popular novelty musician of the time.
  * p. 268 (September 15, 1968). [Love beads](http://en.wikipedia.org/wiki/Love_beads) were a frequent fashion accessory of the time worn by both male and female [hippies](http://en.wikipedia.org/wiki/Hippie).
  * p. 273 (September 28, 1968). A [holding pattern](http://en.wikipedia.org/wiki/Holding_\(aviation\)) is a circling manoeuvre used by aircraft that are waiting to land at an overcrowded airport.
  * p. 279 (October 11, 1968). Snoopy is acknowledging some of the best hockey players of the era: Stan ([Mikita](http://en.wikipedia.org/wiki/Stan_Mikita)), Bobby ([Hull](http://en.wikipedia.org/wiki/Bobby_Hull) or [Orr](http://en.wikipedia.org/wiki/Bobby_Orr)) , and Maurice ([‘Rocket’ Richard)](http://en.wikipedia.org/wiki/Maurice_Richard).
  * p. 289 (September 28, 1968). [Minnesota Fats](http://en.wikipedia.org/wiki/Minnesota_Fats) is the nickname of fictional pool hustler George Hegerman, created by author [Walter Tevis](http://en.wikipedia.org/wiki/Walter_Tevis) in the novels _[The Hustler](http://en.wikipedia.org/wiki/The_Hustler_\(novel\))_ and _[The Color of Money](http://en.wikipedia.org/wiki/The_Color_of_Money)_.
  * p. 305 (December 11, 1968). [Jack Nicklaus](http://en.wikipedia.org/wiki/Jack_Nicklaus) was one of the finest professional golfers of all time.
  * p. 308 (December 18, 1968). Rosebud is a reference to the film _[Citizen Kane](http://en.wikipedia.org/wiki/Citizen_Kane)_ by Orson Welles.
  * p. 310 (December 22, 1968). Linus is taking Lucy’s dictation with [shorthand](http://en.wikipedia.org/wiki/Shorthand), an abbreviated form of writing that was more commonly used before the wide availability of voice recording equipment. In this era, secretaries were almost inevitably female, and a female with a male secretary would have been considered most unusual.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1969–1970

Annotations to _**The Complete Peanuts: 1969 to 1970**_ by Charles M. Schulz (Fantagraphics Books, 2008. [ISBN 1560978279](http://en.wikibooks.org/wiki/Special:BookSources/1560978279))

  * p. 2 (January 4, 1969). 1984 refers to the dystopian novel _[Nineteen Eighty-Four](http://en.wikipedia.org/wiki/Nineteen_Eighty-Four)_ by [George Orwell](http://en.wikipedia.org/wiki/George_Orwell). Linus is presumably comparing Lucy to [Big Brother](http://en.wikipedia.org/wiki/Big_Brother_\(Nineteen_Eighty-Four\)).
  * p. 4 (January 8, 1969). [Peggy Fleming](http://en.wikipedia.org/wiki/Peggy_Fleming) was a famous figure skater, who had won the gold medal for figure skating at the 1968 Winter Olympics in Grenoble, France .
  * p. 8 (January 16, 1969). See December 4, 1967 and October 8, 1967.
  * p. 14 (February 1, 1969). [Joe Garagioloa](http://en.wikipedia.org/wiki/Joe_Garagioloa) was a former baseball player who had become a broadcaster, and at this time was a panelist on _[The Today Show](http://en.wikipedia.org/wiki/Today_\(NBC_program\))_.
  * p. 17 (February 6, 1969). The height of the [pitcher’s mound](http://en.wikipedia.org/wiki/Pitchers_mound#Pitcher.27s_mound) in Major League Baseball was lowered by five inches after the 1968 baseball season. As Charlie Brown relates, this was designed to lower the dominance of pitching in baseball by reducing the advantage held by the pitcher. See also March 25, 1969.
  * p. 22 (February 18, 1969). In Genesis 19:26, [Lot’s Wife](http://en.wikipedia.org/wiki/Lot%27s_Wife) looks back as they flee the city of Sodom (defying the angels who told them not to look back), and is turned to a pillar of salt.
  * p. 29, 31–32 (March 8–15, 1969). Schulz features Snoopy travelling to the moon in his astronaut persona as the genuine [Apollo program](http://en.wikipedia.org/wiki/Apollo_program) approached its climax. This series of strips ran during the [Apollo 9](http://en.wikipedia.org/wiki/Apollo_9) mission, with the dress rehearsal [Apollo 10](http://en.wikipedia.org/wiki/Apollo_10) following in May and the first moon landing on [Apollo 11](http://en.wikipedia.org/wiki/Apollo_11) in July.
  * p. 32 (March 13, 1969). Snoopy is alluding to comments made by astronauts [Bill Anders](http://en.wikipedia.org/wiki/William_Anders) and [Jim Lovell](http://en.wikipedia.org/wiki/Jim_Lovell) during the [Apollo 8](http://en.wikipedia.org/wiki/Apollo_8) mission the previous December.
  * p. 37 (March 24, 1969). [Expansion clubs](http://en.wikipedia.org/wiki/Expansion_Team) are new teams that have just been added to a sports league, and usually have less experienced players and staff. At this time, Major League Baseball had just undergone significant expansion, with four new teams added in Montreal, San Diego, Kansas City and Seattle for the 1969 season.
  * p. 37–38 (March 26–29, 1969). [Hyponatremia](http://en.wikipedia.org/wiki/Hyponatremia) is indeed the term for the condition Linus describes. The special balanced electrolyte solution that Linus prescribes for the condition was already available in commercial form as [Gatorade](http://en.wikipedia.org/wiki/Gatorade).
  * p. 58 (May 13, 1969). “Play it again, Sam” is a reference to the classic motion picture _[Casablanca](http://en.wikipedia.org/wiki/Casablanca_\(film\))_. This line is not actually in the film: the actual quotation is "If she can stand it, I can! Play it!".
  * p. 60 (May 18, 1969). [Kermit Zarley](http://en.wikipedia.org/wiki/Kermit_Zarley) was a professional golfer on the PGA tour. Also see February 1, 1969 and October 8, 1967.
  * p. 74 (June 21, 1969). [Eddie Rickenbacker](http://en.wikipedia.org/wiki/Eddie_Rickenbacker) was the highest scoring American fighter pilot during World War I, after a previous career as a racing driver.
  * p. 77 (June 26, 1969). See June 8, 1967.
  * p. 80 (July 4, 1969). [Roller Derby](http://en.wikipedia.org/wiki/Roller_Derby) is a sport involving teams of five players roller skating around a track. At this time, Roller Derby was closer to [sports entertainment](http://en.wikipedia.org/wiki/sports_entertainment) (similar to professional wrestling) than an actual competitive sport, which explains Snoopy’s outfit.
  * p. 93 (August 3, 1969). [Babe Ruth](http://en.wikipedia.org/wiki/Babe_Ruth) was one of the best known baseball players in history. See also September 28, 1964.
  * p. 112 (September 15, 1969). At the time of this strip, the United States military still practiced [conscription](http://en.wikipedia.org/wiki/Conscription_in_the_United_States), and the military draft was a concern for all males as their 18th birthday approached. Conscription was subsequently eliminated in favor of an all-volunteer military in 1973.
  * p. 113 (September 19, 1969). [Vince Lombardi](http://en.wikipedia.org/wiki/Vince_Lombardi) was a famous football coach, best known as the coach of the [Green Bay Packers](http://en.wikipedia.org/wiki/Green_Bay_Packers) between 1959 and 1967. At the time of this strip, he was the coach of the [Washington Redskins](http://en.wikipedia.org/wiki/Washington_Redskins).
  * p. 119 (October 3, 1969). [Rod McKuen](http://en.wikipedia.org/wiki/Rod_McKuen) was best known as a poet and songwriter. Sally is confused, as usual.
  * p. 136 (November 11, 1969). [Bill Mauldin](http://en.wikipedia.org/wiki/Bill_Mauldin) was an American soldier and cartoonist, best known for creating the characters Willie and Joe for cartoons that appeared in _[Stars and Stripes](http://en.wikipedia.org/wiki/Stars_and_Stripes)_ during World War II.
  * p. 151 (December 16, 1969). Snoopy has confused his terminology somewhat; the usual term for the easy ski hill that beginners use is the “bunny hill”, rather than “rabbit slope”.
  * p. 153 (December 21, 1969). The quotation on the descent of Jesus that Linus recites is Matthew 1:1–18.
  * p. 157 (December 31, 1969). [Fred Glover](http://en.wikipedia.org/wiki/Fred_Glover_\(ice_hockey\)) was a hockey player and coach (at the time, coach of the [Oakland Seals](http://en.wikipedia.org/wiki/California_Golden_Seals) of the NHL. [Hank Aaron](http://en.wikipedia.org/wiki/Hank_Aaron) was a baseball player with the [Atlanta Braves](http://en.wikipedia.org/wiki/Atlanta_Braves). [Pancho Gonzales](http://en.wikipedia.org/wiki/Pancho_Gonzales) was a famous professional tennis player. See also January 8, 1969, February 1, 1969, December 11, 1968 and October 11, 1968.
  * p. 190 (March 18, 1970). "I was born one bright spring morning..." Yet Snoopy's birthday was celebrated in the strip of August 10,1968.
  * p. 206 (April 24, 1970). Lucy should have looked up "[Arbor Day](http://en.wikipedia.org/wiki/Arbor_Day)" instead.
  * p. 246 (July 26, 1970). First mention of "The Six Bunny-wunnies" fictional series of books.
  * P. 308 (December 17, 1970). [Ouija boards](http://en.wikipedia.org/wiki/Ouija) enjoyed a bit of popularity among the general population in the late 1960s and early 1970s, after their commercialization as a toy by Parker Brothers in 1966.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1971–1972

Annotations to _**The Complete Peanuts: 1971 to 1972**_ by Charles M. Schulz (Fantagraphics Books, 2009. [ISBN 1606991450](http://en.wikibooks.org/wiki/Special:BookSources/1606991450))

  * p. 49 (April 23, 1971). [Herman Hesse](http://en.wikipedia.org/wiki/Herman_Hesse) was a German-Swiss poet, novelist, and painter, and winner of the Nobel Prize in Literature in 1946. Snoopy's interest in this rather heavy literary figure is meant to contrast amusingly with his former preoccupation with the more lighthearted subject matter of Miss Sweetstory's Bunny-Wunnie books.
  * p. 57 (May 10, 1971). It is almost impossible to convey how huge an impact the movie _[Love Story_](http://en.wikipedia.org/wiki/Love_Story_\(1970_film\)) had on popular culture when it was released. The [book](http://en.wikipedia.org/wiki/Love_Story_\(novel\)), the movie itself, its theme song, were best-sellers. They were referred to in every media; individuals would talk about it at every occasion. It practically saturated the entertainment space.
  * p. 64 (May 27, 1971). First mention of "Joe Cool". That persona of Snoopy may have had a longer life outside the strip as a merchandising theme (sweaters, posters, etc.) than inside it.
  * p. 87 (July 20, 1971). First appearance of Marcie, without her being named.
  * p. 97 (August 12, 1971). Although commonly despised as a somewhat vulgar feat, crushing an empty can of beer was indeed considered by some a sign of muscular strength. The steel walls of beer cans were then thicker and harder than those of aluminium we have today.
  * p. 107 (September 5, 1971). Many of the first names mentioned by Lucy are from Schulz' own life: "...Lee, and Bill, ..." probably for [Lee Mendelson](http://en.wikipedia.org/wiki/Lee_Mendelson) and [Bill Melendez](http://en.wikipedia.org/wiki/Bill_Melendez), "...Amy, and Jill, and Meredith, ..." are names of [Schulz](http://en.wikipedia.org/wiki/Charles_Schulz)'s children, "...Donna" for [Donna Mae Johnson](http://en.wikipedia.org/wiki/Little_Red-Haired_Girl#Inspiration), etc.
  * p. 123 (October 11, 1971). First time Marcie is named.
  * p. 163 (January 15, 1972). First mention of "Peppermint" Patty's full name.
  * p. 174 (February 7, 1972). The [original series of _Star Trek_](http://en.wikipedia.org/wiki/Star_Trek:_The_Original_Series), featuring starship "Enterprise", had disapointing ratings when it first aired between 1966 and 1969. Through syndication, however, its ratings surged and by 1972 it aired in more than 100 American cities.
  * p. 180 (February 21, 1972). "Another unmarried marriage counselor...": 1972 is the year Schulz separated from his wife. The divorce proceedings completed in 1973.
  * p. 186 (March 3, 1972). ["Johnny Horizon"](http://en.wikipedia.org/wiki/Johnny_Horizon) was the rugged, outdoorsy mascot of the Bureau of Land Management in the 1970's. Similar to the more well-known Woodsy the Owl and Smokey the Bear, Johnny Horizon encouraged young people to respect and preserve the environment.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1973–1974

Annotations to _**The Complete Peanuts: 1973 to 1974**_ by Charles M. Schulz (Fantagraphics Books, 2009. [ISBN 1606992864](http://en.wikibooks.org/wiki/Special:BookSources/1606992864))

  * p. 17 (February 8, 1973). One of the rare occasions, if not the only one, where "Peppermint" Patty does not call Charlie Brown "Chuck."
  * p. 35 (March 24, 1973). "I'm in the alpha state." The early 1970s saw a great amount of media attention and popular interest in the field of electroencephalography. [Biofeedback](http://en.wikipedia.org/wiki/Biofeedback) techniques were believed to have a great future helping people alleviate their anxiety or achieve better mental performances.
  * p. 63 (May 23, 1973). The author of _[Love Story](http://en.wikipedia.org/wiki/Love_Story_\(novel\))_ is [Erich Segal](http://en.wikipedia.org/wiki/Erich_Segal).
  * p. 68 (June 7, 1973). The book _[Jonathan Livingston Seagull](http://en.wikipedia.org/wiki/Jonathan_Livingston_Seagull)_ achieved its peak popularity in 1972. At the time, it had a considerable impact on popular culture.
  * p. 80 (July 5, 1973). _[Mad_ magazine](http://en.wikipedia.org/wiki/Mad_\(magazine\)), whose mascot is of course [Alfred E. Neuman](http://en.wikipedia.org/wiki/Alfred_E._Neuman), was at its peak circulation in 1973 and 1974.
  * p. 93 (August 5, 1973). "Happy birthday, Amy!" Amy is the name of one of Schulz's daughters.
  * p. 95 (August 10, 1973). In 1973, [Hank Aaron received received death threats](http://en.wikipedia.org/wiki/Hank_Aaron#Breaking_Ruth.27s_record) because of his becoming close to tie and subsequently breaking Babe Ruth's record.
  * p. 130 (October 30, 1973). "Peppermint" Patty forgets her past acquaintance with the Great Pumpkin story. On October 24, 1966, she even declared herself a believer.
  * p. 157 (January 1, 1974). The Grand Marshal Lucy doesn't suppose Linus knows [was none other than Charles M. Schulz](http://en.wikipedia.org/wiki/Grand_Marshals_of_the_Tournament_of_Roses_Parade#1970s).
  * p. 250 (August 5, 1974). See note on page 93.
  * p. 269 (September 20, 1974). Acupuncture was nearly unknown to the general public before 1970. From then it grew quickly in popularity until, in the mid-1970s, it became common knowledge.

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1975–1976

Annotations to _**The Complete Peanuts: 1975 to 1976**_ by Charles M. Schulz (Fantagraphics Books, 2010. [ISBN 1606993453](http://en.wikibooks.org/wiki/Special:BookSources/1606993453))

  * p. 94 (August 4, 1975). Schulz lived with his family in [Needles, Ca.](http://en.wikipedia.org/wiki/Needles,_California), from 1929 to 1931. They went there to join his mother's brother Monte Halverson. Her other brother Silas, her sister Ella, and her mother also joined them.[[8]](Print_version.html#cite_note-Michaelis-8)
  * p. 207 (April 25, 1976). Today not so well-known because of more advanced wireless communication systems, [Citizen's Band](http://en.wikipedia.org/wiki/Citizen%27s_band_radio) (CB) radio became very popular in the mid-1970s. Its users had a notorious way of expressing themselves in [coded](http://en.wikipedia.org/wiki/Ten-code) and [slang](http://en.wikipedia.org/wiki/List_of_CB_slang) language. They organized themselves in clubs and many invested considerable time and resources in their hobby. CB radio enthusiasts eventually formed a kind of alternate culture.
  * p. 268 September 13-October 28, 1976 The strip's longest storyline: almost seven weeks.
  * p. 268 September 14 Peppermint Patty is confusing George Washington and presentational election to ophthalmologist and sports. [Bunker Hill](http://en.wikipedia.org/wiki/Battle_of_Bunker_Hill) was a famous battle during the American Revolution, a war that spotlighted Washington.

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1977–1978

Annotations to _**The Complete Peanuts: 1977 to 1978**_ by Charles M. Schulz (Fantagraphics Books, 2010. [ISBN 1606993755](http://en.wikibooks.org/wiki/Special:BookSources/1606993755))

  * p. 117 (September 26, 1977). [Plains, Georgia](http://en.wikipedia.org/wiki/Plains,_Georgia) is a small town of around 700 people. Its claim to fame in 1977 was that it was the birthplace of [Jimmy Carter](http://en.wikipedia.org/wiki/Jimmy_Carter), who was elected President of the United States a year before.
  * p. 132 (November 1, 1977). ["Deprogramming"](http://en.wikipedia.org/wiki/Deprogramming) was often discussed in the American media in the mid-1970s. At the time, some anxiety arose in the population concerning a perception of increased recruiting by fringe cults. Those cults allegedly brainwashed young and weak individuals into leaving their families to follow them. Numerous books and movies were also written on the topics of cults and deprogramming.
  * p. 261 (August 28-29, 1978). How Charlie Brown obtained the Little Red-Haired Girl's phone number is a mystery. She had left Charlie Brown's neighborhood on July 18, 1969, without him knowing at all where she went (see July 17, 1969 and April 30, 1970). After that, Charlie Brown saw her only on a ski trip and at summer camps. In later strips, she is even back in the neighborhood (December 27, 1978) without explanations on exactly when and why she returned.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1979–1980

Annotations to _**The Complete Peanuts: 1979 to 1980**_ by Charles M. Schulz (Fantagraphics Books, 2011. [ISBN 1606994387](http://en.wikibooks.org/wiki/Special:BookSources/1606994387))

  * p. 139 (November 20, 1979). Although common today thanks to personal computers, writing in more than one typeface was not generally possible with typewriters. Only high-end typewriters would offer that feature.
  * p. 230 (June 21, 1980). In the United States as in many other countries, the end of the 1970s had seen a new phenomenon that generated much media interest: religious groups and cults supported by strong public relations and marketing strategies. The secular population, as well as Christian churches and individuals that were rather "mainstream" (like Schulz himself), generally disapproved of those organisations. The comments offered in previous strips respectively by the intellectual wing and the street-smart wing of the Peanuts gang epitomize that disapproval.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1981–1982

Annotations to _**The Complete Peanuts: 1981 to 1982**_ by Charles M. Schulz (Fantagraphics Books, 2011. [ISBN 1606994719](http://en.wikibooks.org/wiki/Special:BookSources/1606994719))

  * p. 39 (March 30, 1981). First instance of Marcie calling Charlie Brown "Charles." She will persist in that habit.
  * p. 127 (October 24, 1981). "Psychiatric help: 34 cents." In the late 1970s and early 1980s, price inflation in most western countries surged to peacetime records. In the United States, it soared to 15% per year in 1980, generating considerable anxiety in the population. Lucy's rates followed the trend and increased dramatically in 1981: they were 10 cents on March 15, 34 cents on October 24 and 50 cents on December 16. They returned to their historical level of 5 cents on June 27, 1982.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1983–1984

Annotations to _**The Complete Peanuts: 1983 to 1984**_ by Charles M. Schulz (Fantagraphics Books, 2011. [ISBN 1606995235](http://en.wikibooks.org/wiki/Special:BookSources/1606995235))

  * p. 102 (August 24, 1983) As the strip indicates, the French term _esprit de l'escalier_ translates as "wit of the stairway". Schulz used French terms several times during the course of his strip, mainly during its later half, and all of them were authentic.
  * p. 144 (November 29, 1983) The motion picture _[Flashdance](http://en.wikipedia.org/wiki/Flashdance)_ was released in April 1983 in the United States and enjoyed a large success at the box office. Bill Melendez released an animated parody of it (and of other dance films) in April 1984, under the title _[It's Flashbeagle, Charlie Brown](http://en.wikipedia.org/wiki/It%27s_Flashbeagle,_Charlie_Brown)_.
  * p. 151 (December 16, 1983) It seems that Sally's script refers to the Christmas carol ["Hark! The Herald Angels Sing"](http://en.wikipedia.org/wiki/Hark!_The_Herald_Angels_Sing), well known in English speaking countries.
  * p. 156 (December 27, 1983) "Snowperson": political correctness in the early 80s had gone quite far in its attempts to erase gender-biased expressions from the common language. At that time, many tried to be gender-neutral to the point of sacrificing clarity, for example in sentences such as "Every man/woman shall don his/her life jacket and report to the steward/stewardess nearest to him/her." Some common nouns disappeared at that time, for example, "fireman" was replaced by "firefighter." In a somewhat related gag, [Jim Unger](http://en.wikipedia.org/wiki/Jim_Unger) in his cartoon _[Herman](http://en.wikipedia.org/wiki/Herman_\(comic_strip\))_ had a sales clerk telling a customer: "We live in a very strange era," with in the background a banner saying "Grandperson clocks."
  * p. 193 (March 23, 1984) There is a "Highland Park" and a "Selby Avenue" in Saint Paul, Minnesota. Schulz lived at the corner of Selby and Snelling, where his father's barber shop was also located.
  * p. 220 (May 25, 1984) "Playing trivia": Trivia games started in the early 80s, with [Isaac Asimov](http://en.wikipedia.org/wiki/Isaac_Asimov)'s _[Super Quiz](http://en.wikipedia.org/wiki/Super_Quiz)_ possibly being the first of them in 1982. They became very popular by the mid-80s.
  * p. 240 (July 9, 1984) "[Girls Just Want to Have Fun](http://en.wikipedia.org/wiki/Girls_Just_Want_to_Have_Fun)" was a popular song in early 1984, sung by [Cyndi Lauper](http://en.wikipedia.org/wiki/Cyndi_Lauper).
  * p. 255 (August 14, 1984) "Roy Hobbs": Although the novel _[The Natural](http://en.wikipedia.org/wiki/The_Natural)_, by Bernard Malamud, was released in 1952, [the movie based on it](http://en.wikipedia.org/wiki/The_Natural_\(film\)) was produced and released only in 1984.

* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1985–1986

Annotations to _**The Complete Peanuts: 1985 to 1986**_ by Charles M. Schulz (Fantagraphics Books, 2011. [ISBN 1606995723](http://en.wikibooks.org/wiki/Special:BookSources/1606995723))

  * p. xi (Foreword by Patton Oswald) "Snoopy even adds a new make-believe character to his repertoire (...) a bowtie-wearing, bowler-topped attorney." That sentence is misleading, as the attorney persona of Snoopy in fact appeared many years before 1985/1986.
  * p. 47 (April 19, 1985) It seems Snoopy is cured of the "weed claustrophobia" that plagued him in 1956. See the strips of October 27, November 3, and November 6 to 9 of that year.
  * p. 94 (August 7, 1985). A "punker" is "a punk rock musician or a devotee of punk rock or punk styles.". They were especially prevalent during the late 70's and 80's.
  * p. 94-95 (August 7, 1985-August 9, 1985) Although the term "mallies" doesn't actually exist, the type of people Schulz was referring to did. In the 80's, and still today, there are several people who can be possibly referred to as "mallies".
  * p. 97 (August 12, 1985) [YUPpies](http://en.wikipedia.org/wiki/Yuppie) (from "Young Urban Professional") defined the 1980s more than any other social group. Their way of life (expensive tastes and professional ambition) was fueled by the financial and economic optimism of the era and was the subject of many books, movies, and television series (["The Bonfire of the Vanities"](http://en.wikipedia.org/wiki/The_Bonfire_of_the_Vanities), ["Family Ties"](http://en.wikipedia.org/wiki/Family_Ties), ["Wall Street"](http://en.wikipedia.org/wiki/Wall_Street_\(1987_film\))).
  * p. 127-128 (October 23, 1985-October 25, 1985) "The Lone Eagle", as the first strip of this series explicitly indicates, was Charles Lindbergh, who, as this strip also indicates, made the first nonstop solo flight from New York to Paris. Snoopy's "Lone Beagle" outfit is also his World War One Flying Ace outfit as well.
  * p. 128 (October 26, 1985) Wayne Gretzky is a Canadian former professional ice hockey player and former head coach. The joke is that Rerun's helmet looks like a hockey mask.
  * p. 128 (October 27, 1985) One of the rare instances where an adult's speech appears in Peanuts.
  * p. 131 (November 1, 1985) "Beagle Blaster" refers to ghetto blasters, an 80's slang term referring to "a large, powerful portable radio, especially as carried and played by a pedestrian or used outdoors in an urban area.".
  * p. 133-134 (November 6, 1985-November 9, 1985) Halley's Comet, officially designated 1P/Halley, is the best-known of the short-period comets and is visible from Earth every 75–76 years. Halley is the only short-period comet that is clearly visible to the naked eye from Earth, and thus the only naked-eye comet that might appear twice in a human lifetime. Other naked-eye comets may be brighter and more spectacular, but will appear only once in thousands of years. As this strip series explicitly indicates, Sally has the date at least a month too early, and the comet's actual arrival was on February 1986.
  * p. 170 (February 1, 1986) _She has what is known as a ten-speed.._ A ten speed is "a system of gears having ten forward gear ratios, especially on a bicycle. ". These types of bikes were particularly popular during the 70's and 80's.
  * p. 174 (February 9, 1986) The poems Snoopy writes down are plays on a classic love poem that may be traced at least as far back as to the following lines written in 1590 by Sir Edmund Spenser from his epic The Faerie Queene (Book Three, Canto 6, Stanza 6):

  


    It was upon a Sommers shynie day,
    When Titan faire his beames did display,
    In a fresh fountaine, farre from all mens vew,
    She bath'd her brest, the boyling heat t'allay;
    She bath'd with roses red, and violets blew,
    And all the sweetest flowres, that in the forrest grew.

The version Snoopy is lampooning is the most popular one:

  


    Roses are red,
    Violets are blue,
    Sugar is sweet,
    And so are you.

  * P. 175 (February 10, 1986) About the political correctness of the 1980s concerning gender bias in language, see also the strip of December 27, 1983.
  * P. 175-176, 178-179 (February 10, 1986-February 15, 1986, and February 16, 1986 -February 21, 1986) As the series explicitly indicates, the flu Snoopy(as the World War One Ace)catches is the great influenza epidemic of 1918-1919. As it also states, before it ended in 1919, twenty million people had died from the disease.. The armistice that was to mark the end of World War One that was mentioned February 19, was also signed during those years of death and disease.
  * P. 178 (February 19, 1986) "The war is over!!" Actually, the war is not over for Snoopy's pilot persona. It will return to fight on October 4, 1986.
  * p. 179 (February 22, 1986) The national anthem of the Unites States of America is the Star Spangled Banner, of which lyrics come from "Defence of Fort McHenry", a poem written in 1814 by the 35-year-old lawyer and amateur poet, Francis Scott Key, after witnessing the bombardment of Fort McHenry by the British Royal Navy ships in Chesapeake Bay during the Battle of Fort McHenry in the War of 1812. The poem was set to the tune of a popular British song written by John Stafford Smith for the Anacreontic Society, a men's social club in London. "The Anacreontic Song" (or "To Anacreon in Heaven"), with various lyrics, was already popular in the United States. Set to Key's poem and renamed "The Star-Spangled Banner", it would soon become a well-known American patriotic song. With a range (tessitura) of one and a half octaves, it is known for being difficult to sing. Although the poem has four stanzas, only the first is commonly sung today. "The Star-Spangled Banner" was recognized for official use by the Navy in 1889, and by President Woodrow Wilson in 1916, and was made the national anthem by a congressional resolution on March 3, 1931 (46 Stat. 1508, codified at 36 U.S.C. § 301), which was signed by President Herbert Hoover. Before 1931, other songs served as the hymns of American officialdom. "Hail, Columbia" served this purpose at official functions for most of the 19th century. "My Country, 'Tis of Thee", whose melody is identical to "God Save the Queen", the British national anthem, also served as a de facto anthem. Following the War of 1812 and subsequent American wars, other songs would emerge to compete for popularity at public events, among them "The Star-Spangled Banner".
  * p. 184 (March 5, 1986) "Baby on Bike" is a reference to the rising popularity of "Baby on Board" warning signs in the 1980s.
  * p. 185 ((March 7, 1986) This strip is a little bit confusing, as at first glance it appears that Snoopy is talking in the last panel. However, on closer inspection, it is revealed that it is in fact the body of Snoopy talking. One of the possible hint to this is the scrunched up line directing the thought balloon to its bearer that only Snoopy's body parts have.
  * p. 188 (March 15, 1986) James Gould Cozzens was, as this strip indicates, the author of "By Love Possessed".
  * p. 192 (March 23, 1986) Medic is slang for doctor.
  * p. 195 (March 30, 1986) The definition of the word "ganglion" Linus is referring to is the less known one, meaning "a small lump most commonly on the hand or foot".
  * p. 202-203 (April 15, 1986) _What have we done to Fort Zinderneuf?!_ Fort Zinderneuf was the main setting of the 1966 film _Beau Geste_and the 1924 novel it was based on.
  * p. 208 (April 28, 1986-May 3, 1986) The Maypole Dance that is celebrated in U.S. in Secondary or High School dances as part of a May Day celebration are nearly identical to that celebrated in the United Kingdom. Often the Maypole dance will be accompanied by other dances as part of a presentation to the public.The earliest use of the Maypole in America occurred in 1628, where William Bradford, governor of New Plymouth, wrote of an incident where a number of servants, together with the aid of an agent, broke free from their indentured service to create their own colony, setting up a maypole in the center of the settlement, and behaving in such a way as to receive the scorn and disapproval of the nearby colonies, as well as an official officer of the king, bearing patent for the state of Massachusetts. The May Queen or Queen of May is a term which has two distinct but related meanings, as a mythical figure and as a holiday personification. This series is referring to the latter, the May Queen who is a girl who must ride or walk at the front of a parade for May Day celebrations. She wears a white gown to symbolize purity and usually a tiara or crown. Her duty is to begin the May Day celebrations. She is generally crowned by flowers and makes a speech before the dancing begins. Certain age groups dance round a Maypole celebrating youth and the spring time.
  * p.226 (June 9, 1985) This the first appearance of Lydia.
  * p. 247 (July 29, 1986) Maynard is misquoting the Scripture Luke 10:7(The laborer is worthy of his hire) as Luke 10:4.
  * p. 252 (August 10, 1986) Mozart, Rachmaninoff, Prokofiev, Franck, Lehar, Tchaikovsky, Elgar, Schubert, and Gershwin were all famous composers.
  * p. 253 (August 12, 1986) Buck Beagle in the 25th century is a parody of the famous 1930s comic strip Buck Rogers in the 25th century, which also was a favorite of Schulz's as a youth.
  * p. 254 (August 16, 1986) Joe Garagiola is an American former catcher in Major League Baseball who later became an announcer and television host, popular for his colorful personality. He was well known for being one of the regular panelists of The Today Show on NBC for many years. He also happened to be a good friend of Schulz's.
  * p. 258 _Fort Zinderneuf_ _**See annotation on pages 202-203**_
  * p. 263, 265-266, 268, 289, 292, 301 (September 4, 1986-September 6, 1986, September 8, 1986, September 13, 1986, September 15, 1986-September 17, 1986, November 5, 1986, November 10, 1986, and December 3, 1986) Tapioca Pudding is a satirical remark on runaway licensing, and her name is a likely parody on Strawberry Shortcake, as both of them are named after a dessert item.
  * p. 274 (October 1, 1986) The first balls were made of natural materials, such as an inflated pig bladder, sometimes inside a leather cover, which has given rise to the slang term "pigskin". Modern balls are designed by teams of engineers to exacting specifications, with rubber or plastic bladders, and often with plastic covers. Various leagues and games use different balls, though they all have one of the following basic shapes:

| a sphere: used in Association football and Gaelic football | a prolate spheroid | either with rounded ends: used in the rugby codes and Australian football | or with more pointed ends: used in American football and Canadian football

The precise shape and construction of footballs is typically specified as part of the rules and regulations. The oldest football still in existence, which is thought to have been made circa 1540, was discovered in the roof of Stirling Castle, Scotland, in 1981. The ball is made of leather (possibly from a deer) and a pig's bladder. It has a diameter of between 14–16 cm (5.5–6.3 in), weighs 125 g (4.4 oz) and is currently on display at the Smith Art Gallery and Museum in Stirling.

  * p. 277 (October 8, 1986) A zamboni is an ice resurfacer, which is a vehicle used to clean and smooth the surface of an ice sheet, usually in an ice rink. The first ice resurfacer was developed by Frank Zamboni in 1949 in the city of Paramount, California. Zamboni /zæmˈboʊni/ is an internationally registered trademark, though the term is often used as a generic colloquialism for any ice resurfacer.
  * p. 283 (October 22, 1986) Fog is a 1916 poem by Carl Sandburg that reads:

    THE FOG comes
    on little cat feet.

    It sits looking
    over harbor and city
    on silent haunches
    and then moves on.

  * p 293 _I'll eat first, and then I'll call the Humane Society!_ The Humane Society is a group that aims to stop human or animal suffering due to cruelty or other reasons, although in many countries, it is now used mostly for societies for the prevention of cruelty to animals (SPCAs).
  * p.301 (December 3, 1986) This the last appearance of Tapioca Pudding.
  * p. 308, 310 (December 19, 1986-December 20, 1986, and December 22, 1986, and December 24, 1986) This unnamed kid closely resembles Shermy, a character who disappeared in the year 1976.

  


  


  


  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

## 1987–1988

Annotations to _**The Complete Peanuts: 1987 to 1988**_ by Charles M. Schulz (Fantagraphics Books, 2013. [ISBN 1606996348](http://en.wikibooks.org/wiki/Special:BookSources/1606996348))

  * p. 4 (January 10, 1987) Although it has almost completely disappeared today, ["Kilroy was here"](http://en.wikipedia.org/wiki/Kilroy_was_here) used to be a ubiquitous graffiti in the North American urban landscape. Its original meaning is quite obscure.
  * p. 13 (January 29, 1987) "I was born in October." This is not implausible, as the first appearance of Linus is on September 19, 1952, and he then appears a bit younger than one year old. In any case, Peanuts characters are known to age much more slowly than real-world people.
  * p. 15 (February 2, 1987) The chosen Valedictorian is usually the student with the highest ranking among his or her graduating class ([Valedictorian on wikipedia](https://en.wikipedia.org/wiki/Valedictorian)) and Salutatorian is an academic title given in the United States to the second highest graduate of the entire graduating class of a specific discipline ([Salutatorian on Wikipedia](https://en.wikipedia.org/wiki/Salutatorian))
  * p. 34 (March 19, 1987) Mrs. Nelson and Mrs. Bartley are regulars of the golf club. They used to hire Peppermint Patty and Marcie as caddies (see for example the strip of July 17, 1983, The Complete Peanuts 1983 to 1984, p. 86.)
  * p. 227 (June 12, 1988) 1988 is the year when Fax machines became known at large to the general public. They were then expensive and rather big, so they were considered as being primarily office machines.
  * p. 231 (June 21, 1988) After years of legal arguments, the estate of Margaret Mitchell finally announced on February 3, 1987, that a sequel to "Gone with the wind" would be authorized.[[1]](Print_version.html#cite_note-herald-1) The news was a sensation, and generated feverish interest and speculation in the public. On April 26, 1988, the project was formally launched when Warner Books purchased the rights to the sequel for 4.94 million dollars.[[9]](Print_version.html#cite_note-MiamiNews-9) It was finally published in September 1991, under the title ["Scarlett"](http://en.wikipedia.org/wiki/Scarlett_\(Ripley_novel\)), by author Alexandra Ripley.
  * p. 249 (August 2, 1988) Although nearly inescapable today, answering machines became affordable to the general public only in 1988. Before that, they were not even common in office environment: rather, the secretary of a department had the charge of receiving calls and taking messages.
  * p. 291 (November 8, 1988) Tuesday, November 8, 1988, was a Presidential election day in the United States. George H.W. Bush won against Michael Dukakis. That Sally rooted for Abraham Lincoln is not unexpected, as he is often referred to with reverence by various characters of Peanuts. He must be the favorite president of the gang.

  


* * *

Annotations to other volumes: [1950-1952](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1950_to_1952) | [1953–1954](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1953_to_1954) | [1955–1956](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1955_to_1956) | [1957–1958](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1957_to_1958) | [1959–1960](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1959_to_1960) | [1961–1962](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1961_to_1962) | [1963–1964](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1963_to_1964) | [1965–1966](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1965_to_1966) | [1967–1968](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1967_to_1968) | [1969–1970](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1969_to_1970) | [1971–1972](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1971_to_1972) | [1973–1974](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1973_to_1974) | [1975–1976](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1975_to_1976) | [1977–1978](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1977_to_1978) | [1979–1980](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1979_to_1980) | [1981–1982](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1981_to_1982) | [1983–1984](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1983_to_1984) | [1985–1986](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1985_to_1986) | [1987–1988](http://en.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/1987_to_1988)

  


# References

  1. ↑ _**[a**_](Print_version.html#cite_ref-herald_1-0) _**[b**_](Print_version.html#cite_ref-herald_1-1) Wilson, Kenneth (September 1967). "A Visit with Charles Schulz". _Christian Herald_. 
  2. ↑ _**[a**_](Print_version.html#cite_ref-jubilee_2-0) _**[b**_](Print_version.html#cite_ref-jubilee_2-1) Schulz, Charles M. (1975). _Peanuts Jubilee: My Life and Art with Charlie Brown and Others_. New York: Holt, Rinehart and Winston. [ISBN 0030150817](http://en.wikibooks.org/wiki/Special:BookSources/0030150817). 
  3. [↑](Print_version.html#cite_ref-fischer_3-0) Fischer, John (2003-02-03). ["In Praise of Flannelgraph"](http://web.archive.org/web/20070929195035/http://pfm.activematter.com/AM/Template.cfm?Section=Home&TEMPLATE=/CM/ContentDisplay.cfm&CONTENTID=4709). Prison Fellowship Ministries. Archived from [the original](http://pfm.activematter.com/AM/Template.cfm?Section=Home&TEMPLATE=/CM/ContentDisplay.cfm&CONTENTID=4709) on 2007-09-29. [http://web.archive.org/web/20070929195035/http://pfm.activematter.com/AM/Template.cfm?Section=Home&TEMPLATE=/CM/ContentDisplay.cfm&CONTENTID=4709](http://web.archive.org/web/20070929195035/http://pfm.activematter.com/AM/Template.cfm?Section=Home&TEMPLATE=/CM/ContentDisplay.cfm&CONTENTID=4709). Retrieved 2007-05-18. 
  4. [↑](Print_version.html#cite_ref-ala_4-0) ["National Library Week Fact Sheet"](http://www.ala.org/ala/pio/mediarelationsa/factsheets/NationalLibraryWeek.htm). American Library Association. <http://www.ala.org/ala/pio/mediarelationsa/factsheets/NationalLibraryWeek.htm>. Retrieved 2007-05-18. 
  5. [↑](Print_version.html#cite_ref-conrad_5-0) Conrad, Barnaby (1967-04-16). "You’re a Good Man, Charlie Schulz". _The New York Times Magazine_. 
  6. [↑](Print_version.html#cite_ref-faq_6-0) Bang, Derrick (2007-04-29). ["alt.comics.peanuts FAQ"](http://www.peanutscollectorclub.com/peantfaq.txt) (plaintext). <http://www.peanutscollectorclub.com/peantfaq.txt>. Retrieved 2007-06-02. 
  7. [↑](Print_version.html#cite_ref-charlierose_7-0) "An Interview with Cartoonist Charles M. Schulz". Interviewer: Charlie Rose. _Charlie Rose_. PBS. 1997-05-09. 20:30 minutes in.
  8. [↑](Print_version.html#cite_ref-Michaelis_8-0) Michaelis, David (2007). _Schulz and Peanuts_. New York: HarperCollins. [ISBN 978-0-06-621393-4](http://en.wikibooks.org/wiki/Special:BookSources/9780066213934). 
  9. [↑](Print_version.html#cite_ref-MiamiNews_9-0) "'Gone with the wind' sequel brings 4.94 million bid". _The Miami News_. 26 April 1988. 
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&oldid=2605451](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&oldid=2605451)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Annotations of The Complete Peanuts](http://en.wikibooks.org/wiki/Category:Annotations_of_The_Complete_Peanuts)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Annotations+of+The+Complete+Peanuts%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Annotations+of+The+Complete+Peanuts%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Annotations_of_The_Complete_Peanuts/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Annotations_of_The_Complete_Peanuts/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Annotations_of_The_Complete_Peanuts/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&oldid=2605451)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Annotations_of_The_Complete_Peanuts%2FPrint_version&id=2605451)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Annotations+of+The+Complete+Peanuts%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Annotations+of+The+Complete+Peanuts%2FPrint+version&oldid=2605451&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Annotations_of_The_Complete_Peanuts/Print_version&printable=yes)

    * This page was last modified on 31 January 2014, at 14:02.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Annotations_of_The_Complete_Peanuts/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
