# Arimaa/Print version

From Wikibooks, open books for an open world

< [Arimaa](http://en.wikibooks.org/wiki/Arimaa)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Arimaa](http://en.wikibooks.org/wiki/Arimaa)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&action=purge&printable=yes) this page.

**Arimaa** is a two-player [abstract strategy](http://en.wikibooks.org/w/index.php?title=Abstract_strategy&action=edit&redlink=1) [board game](http://en.wikibooks.org/w/index.php?title=Board_game&action=edit&redlink=1) that can be played using the same equipment as [chess](http://en.wikibooks.org/wiki/Chess).

_Note: current version of this book can be found at <http://en.wikibooks.org/wiki/Arimaa>_

# Table of Contents

  1. [Overview](Print_version.html#Overview)
  2. [Playing The Game](Print_version.html#Playing_The_Game)
  3. [Introduction to Tactics](Print_version.html#Introduction_to_Tactics)
  4. [Introduction to Strategy](Print_version.html#Introduction_to_Strategy)
  5. [Relative Value of Pieces](Print_version.html#Relative_Value_of_Pieces)
  6. [Advanced Tactics](Print_version.html#Advanced_Tactics)
  7. [Positioning for an Attack](Print_version.html#Positioning_for_an_Attack)
  8. [Lone Elephant Attacks](Print_version.html#Lone_Elephant_Attacks)
  9. [Elephant and Camel Attacks](Print_version.html#Elephant_and_Camel_Attacks)
  10. [Elephant and Horse Attacks](Print_version.html#Elephant_and_Horse_Attacks)
  11. [Elephant and Minor Piece Attacks](Print_version.html#Elephant_and_Minor_Piece_Attacks)
  12. [Multi-Piece Swarming Attacks](Print_version.html#Multi-Piece_Swarming_Attacks)
  13. [Camel and Horse Attacks](Print_version.html#Camel_and_Horse_Attacks)
  14. [Double-Trap Attacks](Print_version.html#Double-Trap_Attacks)
  15. [Initial Piece Placement](Print_version.html#Initial_Piece_Placement)
  16. [Other Attacking Ideas](Print_version.html#Other_Attacking_Ideas)
  17. [Arimaa Challenge History](Print_version.html#Arimaa_Challenge_History)
  18. [Sample Games](Print_version.html#Sample_Games)
  19. [Glossary](Print_version.html#Glossary)
  20. [Resources](Print_version.html#Resources)
  21. [GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)

* * *

# Overview

[Arimaa](http://en.wikipedia.org/wiki/Arimaa) is a two-player board game invented by Omar Syed, a computer engineer trained in artificial intelligence. Inspired by Garry Kasparov's defeat at the hands of the chess computer Deep Blue, Syed wanted to design a new game which would be difficult for computers to play well, but would have rules simple enough for his four-year-old son Aamir to understand. In fact, "Arimaa" is "Aamir" spelled backwards plus an initial "a." In 2002 Syed published the rules to Arimaa and announced a $10,000 prize, available through 2020, for the first computer program able to defeat a top-ranked human player in a match six games or longer. The prize has [not yet been won](http://en.wikibooks.org/wiki/Arimaa/Arimaa_Challenge_History).

Arimaa was specifically designed so that it could be played using a chess set—an 8×8 board is used, and each player has sixteen pieces, in a 1-1-2-2-2-8 distribution. It can also be played on-line at the [arimaa.com gameroom](http://arimaa.com/arimaa/gameroom/). In 2009, Z-Man Games began producing a commercial Arimaa set. Only one face-to-face [tournament](http://web.archive.org/20090220171726/web.mac.com/idahoev/iWeb/Site/Arimaa%20at%20Gateway2007.html) has taken place, but about 900 games are played on-line every week. Omar Syed hosts four events per year in the gameroom:

  * The _World Championship_ is a tournament for human players which typically runs from January to March. Jean Daligault of France was the Arimaa world champion five times, in 2007, 2009, 2010, 2011 and 2013. On a scale of ratings comparable to [Elo chess ratings](http://en.wikipedia.org/wiki/Elo_rating_system), Daligault is rated near 2400.
  * The _Computer Championship_ matches the top Arimaa bots in an elimination tournament. David Fotland's program _Bomb_ placed first every year from 2004 to 2008. Jeff Bacher's _Clueless_ prevailed in 2009, Mattias Hultgren's _Marwin_ in 2010, and David Wu's _Sharp_ in 2011; _Marwin_ repeated in 2012; and Ricardo Barreira's _Ziltoid_ won in 2013.
  * The _Arimaa Challenge_ takes place following the Computer Championship. The top two bots are for a time available to play. The bot with the better record against humans who have played two games against each moves on to face three ultimate human defenders, who have been selected beforehand and prohibited from playing in the initial round. If this bot can defeat all three human defenders, its developer wins the $10,000 prize. So far, [humans have dominated](http://en.wikibooks.org/wiki/Arimaa/Arimaa_Challenge_History) every challenge match.
  * The yearly _Postal Mixer_ begins in April and ends around October. The emphasis of this tournament is participation, rather than determining a champion. The objective is to advance the frontiers of strategic knowledge, as well as to spread around existing knowledge by pairing people to a variety of opponents.

In addition to these events, the [1st Arimaa Online Festival](http://arimaa.com/arimaa/mwiki/index.php/1st_Arimaa_Online_Festival) has been organized for 11 September 2010. This event included Arimaa matches, a strategy workshop, and an interview with Omar Syed.

[United States Patent number 6,981,700](http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=/netahtml/srchnum.htm&r=1&f=G&l=50&s1=6981700.WKU.&OS=PN/6981700&RS=PN/6981700) for Arimaa was filed on the 3rd of October 2003, and granted on the 3rd of January 2006. Omar Syed also holds a trademark on the name "Arimaa". Syed has released an experimental license called ["The Arimaa Public License"](http://www.arimaa.com/arimaa/license/current.txt), with the declared intent to "make Arimaa as much of a public domain game as possible while still protecting its commercial usage". Items covered by the license are the patent and the trademark.

[Playing The Game](http://en.wikibooks.org/wiki/Arimaa/Playing_The_Game) →

**[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Playing The Game](http://en.wikibooks.org/wiki/Arimaa/Playing_The_Game) →

# Playing The Game

## Understanding gameplay

Arimaa, like [chess](http://en.wikibooks.org/wiki/Chess), is played on an 8×8 square board. The two players, Gold and Silver, control sixteen pieces each: one elephant (![Elephant](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/26px-Arimaa_egb74.gif)), one camel (![Camel](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/26px-Arimaa_mgb74.gif)), two horses (![Horse](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/26px-Arimaa_hgb74.gif)), two dogs (![Dog](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/26px-Arimaa_dgb74.gif)), two cats (![Cat](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/26px-Arimaa_cgb74.gif)), and eight rabbits (![Rabbit](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/26px-Arimaa_rgb74.gif)), in descending order of strength. If Arimaa is played using a chess set, the pieces may be represented by the [king](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#King), [queen](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Queen), [knights](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Knight), [bishops](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Bishop), [rooks](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Rook), and [pawns](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Pawn) respectively. Unlike their chess counterparts, however, Arimaa pieces move only in [cardinal directions](http://en.wikipedia.org/wiki/Cardinal_direction), and must all step from square to square. The relative strength of each piece lies in its power to push, pull, or immobilize weaker enemy pieces. Four squares of the game-board are distinguished as **trap squares**, on which a piece can potentially be lost—these are the squares designated as c3, f3, c6, and f6 when classified by rank and file.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The players begin by setting up their pieces however they choose on their home rows. Highlighted are the four **trap squares**.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The game begins with an empty board. Gold arranges his pieces on the first and second ranks, in whatever configuration he chooses—Arimaa pieces do not have fixed starting positions. Silver then arranges his pieces on the seventh and eighth ranks. The diagram at right shows opening setups which are fairly common.

Once the pieces are on the board, Gold and Silver alternate turns, starting with Gold. A turn consists of one to four steps—each player is allowed four steps per turn and must take at least one, but can choose to pass on any of the rest. The steps of a turn can be distributed however the player chooses—four different pieces can each take one step, one piece can take four steps, two pieces can each take two steps, etc. A turn must make a net change to the position—one may not, for example, simply take one step left and one step right with the same piece, effectively passing the turn. A player who has ended two different turns on an identical position may not end another turn with that same position, no matter how far apart the turns are. As a further safeguard against indefinite loops of pieces moving back and forth, rabbits are prohibited from retreating homeward. Elephants, camels, horses, dogs, and cats may each step left, right, forward, or backward; rabbits may only step left, right, or forward.

The objective of the game is to move any rabbit of one's own color onto the home rank of the opponent. Thus Gold wins by moving a gold rabbit to the eighth rank, and Silver wins by moving a silver rabbit to the first rank. It is no easy task, however, to get a rabbit past an opposing army of stronger pieces—a player must out-maneuver the other army while at the same time keeping all enemy rabbits at bay.

The second diagram, portraying a position which could occur later in a game, helps illustrate the remaining rules of movement.

A friendly piece can _pull_ or _push_ a weaker enemy piece which is next to it, provided there is an empty square allowing for the necessary movement. To pull, a piece steps onto an adjacent empty square and drags the weaker enemy piece onto the square from which it came. The silver elephant on d5 could step to d4 (or c5 or e5, since the pulling piece and the pulled piece don't have to move in the same direction) and pull the gold horse from d6 to d5. To push, the weaker enemy piece is moved onto an adjacent empty square, and the piece which pushed it moves onto the square it had occupied. The gold elephant on d3 could push the silver rabbit on d2 to e2 and then occupy d2. Note that the rabbit on d2 can't be pushed to d1, c2, or d3, because those squares are already occupied. Remember also that a piece can only push or pull a _weaker_ enemy piece—for example, a dog may dislodge an enemy rabbit or cat, but not a dog, horse, camel, or elephant. A push or pull uses two steps, since two pieces are moved. Although a rabbit may not retreat toward its home row, it can nonetheless be pushed or pulled in that direction. For example, the gold rabbit on g3 could not itself step back to g2, but the silver horse could take a step right and then pull it down.

A piece may not push and pull simultaneously—for example, the gold elephant on d3 could not push the silver rabbit from d2 to e2 and at the same time pull the other silver rabbit from c3 to d3.

A piece which is adjacent (in any cardinal direction) to a stronger enemy piece is _frozen_, unless it is also adjacent to a friendly piece. A piece which is frozen may not be moved by its owner, but may still be pushed or pulled by the opponent. The silver rabbit on a7 is frozen, but the one on d2 is able to move because it is next to another silver piece. Similarly the gold rabbit on b7 is frozen, but the gold cat on c1 is not. The dogs on a6 and b6 do not freeze each other, as they are of equal strength. An elephant cannot be frozen _per se_, just as it cannot be pushed or pulled since there is nothing stronger. However, if enough enemy pieces are utilized against it, an elephant can be **blockaded** so that it has nowhere to go—this is possible because only one piece can be pushed at a time, regardless of relative strength.

A frozen piece can freeze another still weaker piece just as it would otherwise. The silver elephant on d5 freezes the gold horse on d6, which itself freezes the silver rabbit on e6.

A piece which enters a trap square is removed from the game unless there is a friendly piece adjacent to the square. The silver elephant could capture the gold horse by pushing it from d6 to c6. The silver rabbit on c3 is still alive because of the silver rabbit on c4 as well as the silver horse on c2—however, if the silver pieces protecting the c3 trap were to leave their positions, either voluntarily or by being dislodged, the silver rabbit on c3 would be lost.

Note that a piece may voluntarily step into a trap square, even if it is lost thereby. The second step of a pulling maneuver may be completed, even if the piece doing the pulling is captured on the first step. For example, Silver to move could step the silver horse from f2 to f3, which would be suicide for the horse, and still pull the gold rabbit from f1 to f2 as part of the horse's move.

In the diagrammed position, if it were Gold's turn to move, Gold could win in three steps: The dog on a6 can push the enemy rabbit from a7 to a8, and when the dog is on a7, it unfreezes its own rabbit on b7, which can then step to b8 for the victory.

Note that an adjacent friendly piece does **not** protect against pulling or pushing. For example, on Silver's turn, its horse on c2 could push the gold cat from c1 to b1, or pull it to c2, even though the gold cat has a friendly piece next to it on d1.

Although most games conclude with a rabbit reaching goal, there are two other circumstances which can bring about an end.

  * **Complete immobilization**. If upon his turn a player has no legal move available, that player loses.
  * **Loss of all rabbits**. A player can win by capturing the last remaining enemy rabbit, even if he sacrifices his own last rabbit in the same turn.

Finally, if an enemy piece dislodges a rabbit onto its goal line and dislodges it off within the same turn, the game continues.

## Setting up

As mentioned previously, Arimaa players decide how to arrange their pieces at the beginning of a game, with the only restriction being that they must be placed on the player's first two rows (i.e. the first and second ranks for Gold, and the seventh and eighth ranks for Silver.) The finer points of initial piece placement will be explored later, but for now you just want a setup that gives you flexibility and denies the opponent an easy attack plan. Most or all rabbits should start in the _back_ row—it might seem logical to put the rabbits closer to their goal, but you will not achieve a goal without first clearing a path for it, and the strong pieces must take the lead in accomplishing this. Strong pieces should not begin stuck behind weaker pieces, and rabbits should not begin exposed to enemy forces, which could quickly pull them up and capture them (remember that unlike other pieces, rabbits cannot retreat homeward.) At first, think of your rabbits as forming a final barrier against an enemy goal.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold has used the 99of9 setup; Silver has switched the dogs and cats.

The **99of9** setup is optimal for beginners. In the diagram at right, Gold has chosen the _classic_ 99of9 setup. The elephant is placed in the center so that it can quickly attack any part of the board. The camel is placed in the center as well, but for defensive purposes. A centralized camel will make it harder for an enemy horse to attack on either wing. Furthermore, a centralized camel can't be pinned against the edge of the board by the enemy elephant as the first stage in taking a [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage).

The gold horses are set to move up to b3 and g3, to assert control of the c3 and f3 traps. A rabbit is placed forward on each flank, because a2 and h2 are likely to be safer places for rabbits than the centralized d1 and e1 would be.

Beginning back and center, the gold dogs will soon move up. The gold cats will most likely remain behind the traps for a while, ensuring that Gold will not lose a camel, horse, or dog in his own home trap.

Since Silver goes second, he can take Gold's setup into account when deciding on his own. At right, note that the silver elephant is not placed directly opposite the gold elephant. If the elephants directly face each other to begin, Gold can put Silver in an awkward spot by advancing the gold elephant four squares to fence in the silver elephant. Silver has used a variation of the 99of9 setup, switching the dogs and cats. Gold has chosen "cats behind the traps, dogs back", while Silver has used "dogs behind the traps, cats back". The strategic difference is subtle. Silver's dogs are guarding his home traps, and thus are potentially vulnerable to capture themselves—Silver stands to lose a dog in the opening if he's not careful. Silver is, however, compensated for this disadvantage in that his home traps are less vulnerable to takeover as long as they are guarded by multiple pieces, since the dogs could not be pushed aside by enemy dogs. Cats, however, are most commonly placed behind one's home traps, as most players prefer to have their dogs readily available for other purposes.

You may wonder why _rabbits_ do not begin behind the home traps; while some players do in fact go this route, the downside is that a rabbit could be pushed or pulled into a protected trap and then wouldn't be able to step back, creating a mess for the home defender. Unless you are willing to quickly abandon a home trap, you need something stronger than a rabbit serving as its final defender. Typically, those who begin with rabbits behind their home traps are planning to play very aggressively, and thus don't mind losing control of their home territory.

← [Overview](http://en.wikibooks.org/wiki/Arimaa/Overview) · [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) →

← [Overview](http://en.wikibooks.org/wiki/Arimaa/Overview) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) →

# Introduction to Tactics

In Arimaa, a tactic is usually a one- or two-turn plan which can be calculated precisely. Since there are up to four steps per turn, plans which aim farther than two turns ahead are usually impossible to calculate exactly, and therefore generally belong to the realm of [strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy). This is in contrast to [chess](http://en.wikibooks.org/wiki/Chess) where precise tactics of three moves and longer (i.e. combinations) are quite feasible.

The most basic tactics to master are those that bring a friendly rabbit to goal or capture an enemy piece within four steps. If a player can't achieve victory or capture in a single turn, the opponent may bring in reinforcements which change the situation dramatically. Such contingencies require strategic rather than tactical planning.

### One-move goal

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Most simply, a rabbit may be able to move to the goal within one turn, even if the path appears blocked by a trap square and/or opposing pieces which would seem to freeze the rabbit. At left, the gold rabbit on b5 can step to victory via b6, c6, c7, and c8. The rabbit is safe on the trap due to the gold dog on c5, and is never frozen because it is always next to a friendly piece on the way to goal. The rabbit will theoretically be frozen once it reaches c8, but Gold will have won regardless.

Pulling away an opposing piece may allow a blocked rabbit to advance. At left, if the gold cat on h7 moves to h6 while pulling the silver rabbit from g7 to h7, the gold rabbit on g6 can then reach the goal in the turn's final two steps. Note that the gold camel on f6 is lost when the rabbit advances, but reaching the goal is worth any sacrifice. Many beginners seem to prefer pushing over pulling, but note that a push is ineffectual in this case. If the gold cat pushes the silver rabbit, the cat will itself be in the way of the friendly rabbit, which won't then have time to reach the goal in the same move.

Near the goal line, a rabbit which is frozen but not blocked is a constant threat. Silver to move could push the gold horse on b3 to c3 with the silver camel moving from b4 to b3. This would unfreeze the silver rabbit on b2, which could then step to victory via a2 and a1. Occasionally a blocked and frozen rabbit may be unblocked and unfrozen at the same time. Silver to move could pull the gold rabbit from g2 to g3 with the silver elephant sliding from g3 to f3, unfreezing the silver rabbit on f2, which could then step to the vacated g2 and then to g1, winning the game. The silver elephant would be lost as soon as the silver rabbit stepped away from the trap, but since Silver wins immediately, the elephant loss is of no consequence. With the silver rabbit beginning the turn blocked in all directions and also frozen, this one-turn goal is very easy to overlook.

### Trap control

    _See also: [Introduction to Strategy: Trap Control](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control)_

The rules of Arimaa dictate that a piece is captured if it is located on a trap square and not next to any friendly pieces. In the case of the c6 trap, the relevant squares are b6, c5, c7, and d6. As long as Gold is able to maintain at least one piece on one of those four squares, Silver will never be able to capture any of Gold's pieces in that trap. If both players are able to maintain at least one piece next to the trap, neither player will be able to make a capture.

The decision of which traps are worth fighting for and how to allocate forces is strategic, but the mechanics of fighting for control of a trap are in the realm of tactics. In particular, at any given point in time a trap is either owned by Gold, owned by Silver, or contested.

### One-move capture

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

A piece which is two squares away from an undefended trap square can often be dislodged twice and captured. In the diagram at right, if it is Silver's turn, the silver dog on b6 could push the gold cat on b7 to c7 (or pull it to b6) and then push it to c6. A piece which is only one square away from an otherwise undefended trap square is even more vulnerable, because it is threatened even by non-adjacent enemy pieces. If it is Gold's turn, the gold elephant on d5 can step to c5, then b5, and still have time to push the silver dog on b6 to c6.

Sometimes a player may need to push an obstructing piece out of the way to get at a vulnerable piece. Gold to move could push the silver cat on g7 to h7 with the gold camel on g6, then push the silver horse on f7 to f6, capturing it.

A piece on a trap square with only one adjacent friendly piece is extremely vulnerable. Silver to move could capture the gold horse on c3 by stepping the silver elephant on d4 to c4, then b4, and then dislodging the gold dog on b3.

If one has two friendly pieces near a trap square, and the opponent has only one, it may be possible to capture by stepping through the trap square and pulling in the opposing piece. Silver to move could step the silver camel on f4 south, where it is safe due to the silver dog on g3, then pull the gold dog on f2 north to f3, capturing it.

### One-move capture defense

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The most common and fundamental capture defense is to station an elephant next to a trap square. Since nothing can dislodge an elephant, nothing can be captured in that trap square until the elephant voluntarily moves away. At left, no gold pieces can be captured in the northwest trap square as long as the gold elephant remains on c5. If all stronger enemy pieces are tied up elsewhere, a single piece such as a horse may defend a trap square alone, but must beware of a changing situation which liberates any stronger opposing piece to move nearer and threaten it.

The second-most common and fundamental capture defense, _mutual protection_, is to station two or more pieces next to a trap square. This allows weaker pieces with numerical superiority to defend against one, and sometimes two strong attackers. However, mutual protection cannot defend against three attackers because they can surround three sides of a trap. At left, Silver has defended the c6 trap square with a dog on b6 and a rabbit on c7. If Gold pushes the dog away, there will not be enough steps left to capture the rabbit. Gold to move can at most set up the threat of a capture for the following move, which gives Silver time to defend.

Occasionally players may wish to defend a trap square without bringing a second piece adjacent to it. In this case a player generally obstructs the path of the attacking piece with friendly pieces. The gold camel on g6 can't capture the vulnerable silver horse on f7, because the silver cat on g7 is in the way, and the silver rabbits on h7 and g8 prevent the cat from being pushed. Gold could pull the cat to g6, but that would only make it a second defender of the northeast trap square.

The situation around the southwest trap square is straightforward. Because of the gold rabbit on b4, the silver elephant can't get adjacent to the gold dog on b3 with two steps left to dislodge it.

One counter-intuitive way to block the path of an opposing piece is to station a friendly piece on a trap square. Silver to move could push or pull the gold cat on f3 in a variety of ways, but always to a square from which it defends the f3 trap square long enough to prevent the capture of the gold dog on f2 for at least the present move. The disadvantage of this strategy is that the cat itself will be captured if the dog can be dislodged.

A last resort capture defense is _scattering_, i.e. retreating threatened pieces away from a trap to the edges and corners of the board. Scattering usually only delays captures, because the weak pieces can be frozen and eventually pulled into the trap which has been stripped of its defense. Furthermore, scattering away from a home trap may leave a hole through which an opposing rabbit can march to the goal. On the other hand, delaying captures for a few moves may buy time which is critical to making progress elsewhere on the board. This defensive technique is most often useful late in the game when defenders are few (which makes mutual protection less feasible) and goal threats are imminent (which leaves less time to hunt down fleeing pieces).

### False protection

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

After one has learned the basic ways of defending a trap square, one may be lured into a false sense of security by an illusion of defense. At right, Silver has two pieces next to the northwest trap square, but since both pieces can be dislodged, Gold has a one-move capture. First the gold elephant on b5 can push the silver dog from b6 to c6, and then the newly unfrozen gold cat on b7 can push the silver rabbit from c7 to c8, capturing the dog. Alternatively Gold can capture the rabbit by pushing or pulling the dog away from b6, then pushing the rabbit from c7 into c6.

Around the northeast trap square, the gold camel is blocked from pushing the silver horse into the trap square in one move, but not from pulling it there. Gold could first step the gold rabbit on g5 to f5, making it safe for the gold camel to step to f6, after which the gold camel could step either east or west while pulling the silver horse south and capturing it.

In the southwest corner Gold has calculated that even if the silver elephant pushes the gold rabbit from b4 to a4, the gold dog on b3 is safe from a push. This is correct but insufficient, because the silver elephant may still _pull_ the gold dog from b3 to b4, capturing the gold horse on c3.

The situation around the southeast trap square demonstrates that an enemy piece in a trap square provides less protection than a friendly one. Silver may voluntarily step east or west with the dog on f3, and still have three steps left to enter the trap square with the camel on f4, then pull the gold dog from f2 to f3, capturing it.

### The fork

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant has forked the silver dog between the c3 and f3 traps

The fork (or hostage fork) threatens a single frozen piece with capture in two different traps. It is the most basic of the two-move tactics: On the first move an enemy piece is threatened, and on the second move it is inevitably captured. In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=8241&s=w), Gold has threatened to capture the silver dog in either the c3 or the f3 trap square. Silver to move would need one step to defend the c3 trap square with the elephant, and three steps to defend the f3 trap square with the cat. Unfortunately for Silver, the gold rabbit on e4 is threatening to reach goal next move, so Silver must spend at least one step defending the goal, and the silver dog is lost.

Forks resulting in immediate material gain are more common later in the game when fewer defenders are available, but even if both relevant traps can be defended, holding a hostage near one or two traps can be an effective strategy to commit enemy pieces to defensive positions.

### The fence

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The silver horse on c4 has been fenced in; Silver to move can't save it.

The fence (or hostage fence) is a two-move tactic somewhat less common than the fork. On the first move a hostage is brought next to a trap, and hemmed in on two sides. The piece may be unfrozen from a third side, but then its only direction of retreat would be into the trap. In the diagram at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=8646&s=w), Gold has fenced the silver horse next to the c3 trap square. Silver is on move, but can't prevent the capture of the horse. The silver elephant could indeed unfreeze the fenced horse by moving to c5 (incidentally capturing the gold rabbit in the c6 trap square), but the technically unfrozen silver horse can't then escape, as its only available move would be suicide. Furthermore, the silver elephant can't get adjacent to the c3 trap in four steps, a blocking motif common in the opening when the board is still crowded.

### Limitations of tactics

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

There are no forced captures even in this sharp opening.

Beyond the above-listed tactics, there are not many ways to achieve immediate material gain in Arimaa. Particularly at the beginning of the game, defenders are plentiful, and captures can be postponed. The position at left arose from a relatively sharp opening in [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=7945&s=w). Gold advanced all the heavy pieces, and Silver on the last move froze three of them. The horse on f4 and camel on e5 are both threatened with capture in the northeast trap square. Also the gold horse on d4 can be pushed to d6 with a hostage fork, if the gold elephant evacuates d6. Yet in spite of these multiple threats, Gold can move to prevent any captures in at least the next three moves of Silver, certainly beyond the ability of humans or computers to analyze exhaustively.

In fact, it may not be obvious to inexperienced Arimaa players that Silver is winning. Material is even, and Gold, with more pieces activated, may appear more able to make the first capture. Gold could press the attack by stepping cat to g4, horse to f5, and camel to e6, with a step to spare. (Perhaps dog to h3 to prepare to defend the southeast trap square again.) It is entirely a strategic judgement that the vulnerability of the advanced gold pieces is, in this particular position, a greater liability than their attacking power is an asset.

After becoming acquainted with the most basic Arimaa tactics, you should turn your attention to long-term strategy, which will better enable you to get into positions where tactics are of use.

← [Playing The Game](http://en.wikibooks.org/wiki/Arimaa/Playing_The_Game) · [Introduction to Strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy) →

← [Playing The Game](http://en.wikibooks.org/wiki/Arimaa/Playing_The_Game) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Introduction to Strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy) →

# Introduction to Strategy

Arimaa strategy involves straightforward concepts which overlap in complex ways. Very different styles of play remain popular; some players are very aggressive, quickly attacking enemy territory with the aim of taking over one or both of the enemy's home traps. Others prefer to play a "home game", and try to capture enemy pieces mainly by pulling them down. It is not yet clear what is the optimal balance between offense and defense.

In such an environment, it pays to become somewhat familiar with all of the basic concepts, before focusing on fine detail. After gaining some experience and seeing different strategies in action, you can revisit this material for a closer reading, and perhaps even bring it up to date.

## Initial Setup

## Understanding gameplay

Arimaa, like [chess](http://en.wikibooks.org/wiki/Chess), is played on an 8×8 square board. The two players, Gold and Silver, control sixteen pieces each: one elephant (![Elephant](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/26px-Arimaa_egb74.gif)), one camel (![Camel](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/26px-Arimaa_mgb74.gif)), two horses (![Horse](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/26px-Arimaa_hgb74.gif)), two dogs (![Dog](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/26px-Arimaa_dgb74.gif)), two cats (![Cat](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/26px-Arimaa_cgb74.gif)), and eight rabbits (![Rabbit](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/26px-Arimaa_rgb74.gif)), in descending order of strength. If Arimaa is played using a chess set, the pieces may be represented by the [king](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#King), [queen](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Queen), [knights](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Knight), [bishops](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Bishop), [rooks](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Rook), and [pawns](http://en.wikibooks.org/wiki/Chess/Playing_The_Game#Pawn) respectively. Unlike their chess counterparts, however, Arimaa pieces move only in [cardinal directions](http://en.wikipedia.org/wiki/Cardinal_direction), and must all step from square to square. The relative strength of each piece lies in its power to push, pull, or immobilize weaker enemy pieces. Four squares of the game-board are distinguished as **trap squares**, on which a piece can potentially be lost—these are the squares designated as c3, f3, c6, and f6 when classified by rank and file.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The players begin by setting up their pieces however they choose on their home rows. Highlighted are the four **trap squares**.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The game begins with an empty board. Gold arranges his pieces on the first and second ranks, in whatever configuration he chooses—Arimaa pieces do not have fixed starting positions. Silver then arranges his pieces on the seventh and eighth ranks. The diagram at right shows opening setups which are fairly common.

Once the pieces are on the board, Gold and Silver alternate turns, starting with Gold. A turn consists of one to four steps—each player is allowed four steps per turn and must take at least one, but can choose to pass on any of the rest. The steps of a turn can be distributed however the player chooses—four different pieces can each take one step, one piece can take four steps, two pieces can each take two steps, etc. A turn must make a net change to the position—one may not, for example, simply take one step left and one step right with the same piece, effectively passing the turn. A player who has ended two different turns on an identical position may not end another turn with that same position, no matter how far apart the turns are. As a further safeguard against indefinite loops of pieces moving back and forth, rabbits are prohibited from retreating homeward. Elephants, camels, horses, dogs, and cats may each step left, right, forward, or backward; rabbits may only step left, right, or forward.

The objective of the game is to move any rabbit of one's own color onto the home rank of the opponent. Thus Gold wins by moving a gold rabbit to the eighth rank, and Silver wins by moving a silver rabbit to the first rank. It is no easy task, however, to get a rabbit past an opposing army of stronger pieces—a player must out-maneuver the other army while at the same time keeping all enemy rabbits at bay.

The second diagram, portraying a position which could occur later in a game, helps illustrate the remaining rules of movement.

A friendly piece can _pull_ or _push_ a weaker enemy piece which is next to it, provided there is an empty square allowing for the necessary movement. To pull, a piece steps onto an adjacent empty square and drags the weaker enemy piece onto the square from which it came. The silver elephant on d5 could step to d4 (or c5 or e5, since the pulling piece and the pulled piece don't have to move in the same direction) and pull the gold horse from d6 to d5. To push, the weaker enemy piece is moved onto an adjacent empty square, and the piece which pushed it moves onto the square it had occupied. The gold elephant on d3 could push the silver rabbit on d2 to e2 and then occupy d2. Note that the rabbit on d2 can't be pushed to d1, c2, or d3, because those squares are already occupied. Remember also that a piece can only push or pull a _weaker_ enemy piece—for example, a dog may dislodge an enemy rabbit or cat, but not a dog, horse, camel, or elephant. A push or pull uses two steps, since two pieces are moved. Although a rabbit may not retreat toward its home row, it can nonetheless be pushed or pulled in that direction. For example, the gold rabbit on g3 could not itself step back to g2, but the silver horse could take a step right and then pull it down.

A piece may not push and pull simultaneously—for example, the gold elephant on d3 could not push the silver rabbit from d2 to e2 and at the same time pull the other silver rabbit from c3 to d3.

A piece which is adjacent (in any cardinal direction) to a stronger enemy piece is _frozen_, unless it is also adjacent to a friendly piece. A piece which is frozen may not be moved by its owner, but may still be pushed or pulled by the opponent. The silver rabbit on a7 is frozen, but the one on d2 is able to move because it is next to another silver piece. Similarly the gold rabbit on b7 is frozen, but the gold cat on c1 is not. The dogs on a6 and b6 do not freeze each other, as they are of equal strength. An elephant cannot be frozen _per se_, just as it cannot be pushed or pulled since there is nothing stronger. However, if enough enemy pieces are utilized against it, an elephant can be **blockaded** so that it has nowhere to go—this is possible because only one piece can be pushed at a time, regardless of relative strength.

A frozen piece can freeze another still weaker piece just as it would otherwise. The silver elephant on d5 freezes the gold horse on d6, which itself freezes the silver rabbit on e6.

A piece which enters a trap square is removed from the game unless there is a friendly piece adjacent to the square. The silver elephant could capture the gold horse by pushing it from d6 to c6. The silver rabbit on c3 is still alive because of the silver rabbit on c4 as well as the silver horse on c2—however, if the silver pieces protecting the c3 trap were to leave their positions, either voluntarily or by being dislodged, the silver rabbit on c3 would be lost.

Note that a piece may voluntarily step into a trap square, even if it is lost thereby. The second step of a pulling maneuver may be completed, even if the piece doing the pulling is captured on the first step. For example, Silver to move could step the silver horse from f2 to f3, which would be suicide for the horse, and still pull the gold rabbit from f1 to f2 as part of the horse's move.

In the diagrammed position, if it were Gold's turn to move, Gold could win in three steps: The dog on a6 can push the enemy rabbit from a7 to a8, and when the dog is on a7, it unfreezes its own rabbit on b7, which can then step to b8 for the victory.

Note that an adjacent friendly piece does **not** protect against pulling or pushing. For example, on Silver's turn, its horse on c2 could push the gold cat from c1 to b1, or pull it to c2, even though the gold cat has a friendly piece next to it on d1.

Although most games conclude with a rabbit reaching goal, there are two other circumstances which can bring about an end.

  * **Complete immobilization**. If upon his turn a player has no legal move available, that player loses.
  * **Loss of all rabbits**. A player can win by capturing the last remaining enemy rabbit, even if he sacrifices his own last rabbit in the same turn.

Finally, if an enemy piece dislodges a rabbit onto its goal line and dislodges it off within the same turn, the game continues.

## Setting up

As mentioned previously, Arimaa players decide how to arrange their pieces at the beginning of a game, with the only restriction being that they must be placed on the player's first two rows (i.e. the first and second ranks for Gold, and the seventh and eighth ranks for Silver.) The finer points of initial piece placement will be explored later, but for now you just want a setup that gives you flexibility and denies the opponent an easy attack plan. Most or all rabbits should start in the _back_ row—it might seem logical to put the rabbits closer to their goal, but you will not achieve a goal without first clearing a path for it, and the strong pieces must take the lead in accomplishing this. Strong pieces should not begin stuck behind weaker pieces, and rabbits should not begin exposed to enemy forces, which could quickly pull them up and capture them (remember that unlike other pieces, rabbits cannot retreat homeward.) At first, think of your rabbits as forming a final barrier against an enemy goal.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold has used the 99of9 setup; Silver has switched the dogs and cats.

The **99of9** setup is optimal for beginners. In the diagram at right, Gold has chosen the _classic_ 99of9 setup. The elephant is placed in the center so that it can quickly attack any part of the board. The camel is placed in the center as well, but for defensive purposes. A centralized camel will make it harder for an enemy horse to attack on either wing. Furthermore, a centralized camel can't be pinned against the edge of the board by the enemy elephant as the first stage in taking a [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage).

The gold horses are set to move up to b3 and g3, to assert control of the c3 and f3 traps. A rabbit is placed forward on each flank, because a2 and h2 are likely to be safer places for rabbits than the centralized d1 and e1 would be.

Beginning back and center, the gold dogs will soon move up. The gold cats will most likely remain behind the traps for a while, ensuring that Gold will not lose a camel, horse, or dog in his own home trap.

Since Silver goes second, he can take Gold's setup into account when deciding on his own. At right, note that the silver elephant is not placed directly opposite the gold elephant. If the elephants directly face each other to begin, Gold can put Silver in an awkward spot by advancing the gold elephant four squares to fence in the silver elephant. Silver has used a variation of the 99of9 setup, switching the dogs and cats. Gold has chosen "cats behind the traps, dogs back", while Silver has used "dogs behind the traps, cats back". The strategic difference is subtle. Silver's dogs are guarding his home traps, and thus are potentially vulnerable to capture themselves—Silver stands to lose a dog in the opening if he's not careful. Silver is, however, compensated for this disadvantage in that his home traps are less vulnerable to takeover as long as they are guarded by multiple pieces, since the dogs could not be pushed aside by enemy dogs. Cats, however, are most commonly placed behind one's home traps, as most players prefer to have their dogs readily available for other purposes.

You may wonder why _rabbits_ do not begin behind the home traps; while some players do in fact go this route, the downside is that a rabbit could be pushed or pulled into a protected trap and then wouldn't be able to step back, creating a mess for the home defender. Unless you are willing to quickly abandon a home trap, you need something stronger than a rabbit serving as its final defender. Typically, those who begin with rabbits behind their home traps are planning to play very aggressively, and thus don't mind losing control of their home territory.

← [Overview](http://en.wikibooks.org/wiki/Arimaa/Overview) · [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) →

← [Overview](http://en.wikibooks.org/wiki/Arimaa/Overview) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) →

## Early Ideas

### Direct Goal Is Impossible

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold has no way to make progress with the h6 rabbit

The most straightforward strategy in Arimaa is to advance a rabbit and some strong pieces, attempting to rip a hole in the opponent's defenses through which the rabbit can score a goal. If both players try to do this, the game turns into a [race](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Race_Positions). Each player in a race must judge how many steps to spend delaying the opposing rabbit, and how many steps to use furthering their own rabbit.

Before long, however, the Arimaa community discovered that if one player tries to force goal in the opening while the other player defends, advantage accrues to the defender. The board is too crowded for rabbits to make headway until some defenders have been captured, but the defender can easily protect his troops from capture while they are all still at home. Meanwhile the attacking rabbit _is_ vulnerable to capture in the defender's home traps. In the diagram at right, the h6-rabbit is no threat to reach the goal, but the rabbit itself is in danger of capture in f6. Furthermore, rabbits can't retreat, so the h6-rabbit can't save itself. Finally, if the gold elephant advances to g6 to protect the h6-rabbit, the elephant will be [blockaded](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade).

### Capturing Is Impossible Too?

In light of the futility of forcing an early goal, top Arimaa players next turned to capturing pieces as the most plausible strategy. Each player can easily defend his home traps, so the main offensive strategy was to drag an opposing piece to one's own home traps for capture. (An elephant can safely go hunting for a piece to pull home, because elephants aren't vulnerable to capture.) Unfortunately, this strategy also initially appears futile, because the opposing elephant can camp out by the trap in which the dragged piece has been threatened, and permanently make that trap safe.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver has defended against an elephant with an elephant, and against a camel with a camel

Since a defensive elephant can make any one trap safe forever, attackers resort to _overloading_ the defending elephant by simultaneously threatening to capture two different pieces in two different traps. Yet even this may lead to one more round of frustration. If you make a capture threat with your elephant, the opposing elephant will block it, and if you make a second capture threat with your camel, the opposing camel will block it. In the diagram at left, Gold is apparently stymied despite having generated a capture threat in each home trap.

Indeed, one might wonder why pieces of equal strength don't stalemate each other on down the line, resulting in a quagmire where neither side can ever make progress. Some Arimaa players feared that the game was by nature too defensive for attacking play to ever pay off.

The strategic answer to this conundrum, namely taking a _camel hostage_, was the first deep strategy ever discovered in Arimaa. It gave humans their first advantage over computer programs in what had been, before then, a nearly equal contest. Indeed, to this day the fact that neither player can afford to give up a camel hostage informs every opening strategy. It makes the [lone elephant attack](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) ultimately effective, and discourages counter-attack when one launches an [elephant-horse attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks).

Throughout the opening and midgame, a player who can't punish an opposing camel advance will likely be unable to make any progress whatsoever, because most trouble apart from a camel hostage can be relieved by the opposing elephant and/or camel. Applying secondary strategies first, even successfully, will only lead to frustration when the opposing heavy pieces sail to the rescue. Gaining a camel hostage, in contrast to subtler plans, not only gives one an advantage, it also makes the resulting position simpler and easier to play. Therefore the camel hostage should be every beginner's first study after the basic tactics.

[Camel Hostage](http://en.wikibooks.org/w/index.php?title=Arimaa/Camel_Hostage&action=edit&redlink=1) →

**[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Camel Hostage](http://en.wikibooks.org/w/index.php?title=Arimaa/Camel_Hostage&action=edit&redlink=1) →

## Camel Hostage

### Strongest Free Piece

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant is holding the silver camel hostage.

In the position at right, the gold elephant is holding the silver camel hostage. The camel is frozen, so it can't escape, and on any turn Gold could flip or pull it into the c3 trap. To preserve the camel, Silver must station his elephant next to the c3 trap. Silver can't defend with less than the elephant, because any other silver defender could itself be captured in c3, unless there were _two_ silver defenders securely in place, which would be hard to maintain if the silver elephant were elsewhere.

Herein lies the answer to the defensive conundrum of equal forces stalemating each other. Gold's elephant is tying up Silver's elephant and camel both, leaving Gold's camel unopposed as the strongest free piece. As long as the camel hostage remains in place, Gold can dominate the other side of the board. The silver camel obviously can't defend f3, and at present the silver elephant can't defend f3 without losing the silver camel.

### Horses Advance

Gold might be inclined to immediately advance the free camel, but advancing horses is much safer. Imagine in this diagram that instead of the horse, the gold camel were on a6. Silver to move could send his elephant to b6, setting the stage for an even camel trade, which would be a disappointing outcome for Gold. Since the camel captures would each use all four steps of a turn, neither elephant could come back and save its own camel.

The gold horse on the west wing is actually not attacking so much as it is defending the c6 trap. The hostage camel keeps Silver's elephant next to the c3 trap, but it can still dart around as long as it is on c4, d3, or even c2 at the end of a turn. This mobility could allow the silver elephant to dislodge a small gold piece and gradually move it up. If the silver elephant could get a weak gold piece into silver territory, and Gold had nothing there to protect it, that gold piece would soon be lost while the silver camel would remain safe. The gold horses are prepared to defend the c6 and f6 traps, short-circuiting any such shenanigans by Silver. The gold horse in the west must keep some distance from the silver elephant, to avoid being frozen on c5 and then captured in two steps.

As long as the camel hostage is intact, Gold's best bet is to use his horse on the east wing to drag down one little piece at a time for capture in f3. This seemingly tedious strategy can ultimately decimate Silver's forces, if the silver camel and elephant both remain away from the action. Silver rabbits in the northeast are especially vulnerable, since Silver cannot hope to shield them all, and a rabbit cannot retreat backward. With the silver camel stuck in the west and the silver elephant committed to defending it, any available silver piece which tries to protect the f3 trap will itself be captured by the gold camel. On g3, the gold camel can deter silver horses from advancing, or capture them if they are reckless enough. The gold horses are the pieces which should operate away from home territory for the time being. Even if a smaller gold piece were to get pulled up, the gold horses could defend the c6 and f6 traps, and still deliver smaller silver pieces to the f3 trap. Depending on what Silver does, Gold may later want to advance his camel, but should keep f3 protected, and avoid offering Silver a camel trade.

Realizing that Gold is poised to take control, what should Silver do? Silver needs to free his elephant. It will be hard to save the camel, but in this case Silver can contain the damage. If Silver moves his elephant to b6, and the silver camel is then captured, Silver can pull the gold horse from a6 into c6, capturing it in return. Alternatively, if Silver still wanted to try to preserve his camel, he could unfreeze it with his horse and push the gold dog away, burrowing the camel so that it could not be captured in one turn—this is an option only because Gold has neglected to put a piece on b2, which would have blockaded any a3 hostage in place. Even as things are, however, burrowing the camel would only be a delaying tactic by Silver, since the camel would hardly be free, and could still be captured if the silver elephant left.

### Active Defense

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The silver elephant has regained mobility, so Gold has no advantage from holding a camel hostage

Whether or not one can get immediate compensation for a camel loss, it is crucial that one's elephant be freed from a hostage which gives the enemy the strongest free piece. The best answer to a camel hostage is to rotate out one's elephant. Two other pieces can defend the trap if they have support behind them. In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=16609&s=w), diagrammed at right, Gold is strategically lost because the arrival of the silver dogs has freed the silver elephant to roam, whereas the gold elephant must stay put to prevent an immediate goal. Suddenly the tables have turned and Silver's elephant is the strongest free piece.

This is the last and most subtle reason for the gold camel to stay home on defense when Gold has the silver camel hostage. Imagine that the gold camel were at home in the diagram at right, lurking on d2 for example. Once the silver elephant left the f3 trap, the gold camel could confront the new silver defenders. Silver would then have to scramble to prevent multiple captures.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold must now attack Silver's home traps

The most active defense against a camel hostage is to bring up pieces either numerous enough or strong enough to contest both enemy traps. In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=19732&s=w), diagrammed at left, Gold can't make a capture in either c3 or f3, despite holding the silver camel hostage. The gold camel would like to help regain control of c3, but the silver elephant is well-positioned in the way.

Who has the strongest free piece now? The silver elephant is more free than the gold elephant, but it isn't totally free, because if it crosses back to the silver side of the board, the gold camel will smash across into the silver horses around c3. Likewise, the gold camel isn't really a free piece, because it needs to lurk around in order to keep the silver elephant committed to defending c3.

As it turns out, the gold horses are suddenly the strongest free pieces. Gold can't yet force a capture at home, but he can use both horses to take over an enemy trap (most likely f6), threatening captures and ultimately goals. Silver might then move his elephant to the defense of that trap, and further threaten one or both of the gold horses with capture, but in that case Gold will stand to gain even more than that in c3 and f3. Gold's upper hand traces back to the camel hostage.

These few positions are only scratching the surface of possible play when a camel is held hostage, but they should give an inkling both of how a camel hostage gives one an advantage, and of how it is the foundation of much deeper strategies.

← [Early Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Early_Ideas&action=edit&redlink=1) · [Elephant Blockade](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Blockade&action=edit&redlink=1) →

← [Early Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Early_Ideas&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Elephant Blockade](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Blockade&action=edit&redlink=1) →

## Elephant Blockade

### Strongest Free Piece Revisited

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The silver elephant has no legal move, so the gold elephant is the strongest free piece.

Not long after discovering the [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage) strategy, human players accidentally discovered that some computer programs could be lured into an elephant blockade by the offer of a free piece for capture. Much later it was further discovered that the program may squirm to try to free its elephant, and in the process get jammed all the way against an edge of the board.

In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=25532&s=w), diagrammed at right, Gold has lost a cat while Silver has a full army, but Silver is nonetheless completely lost. Not only is there no empty square for the silver elephant to step into, there is no empty square into which it can push its tormentors. The gold elephant and camel will keep an eye on the silver camel and horses respectively. Gold can ward off any attempts to break the silver elephant out of its prison, while herding silver pieces at will into the f3 trap. This is a much more decisive advantage than a camel hostage. Silver has no plausible lines of play in this case.

### Rotation

Most elephant blockades, however, are not as hugely advantageous as that one. It is a rare opponent who will voluntarily move his elephant to the edge of the board when a blockade is looming. The diagram below left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=8213&s=w), shows a slightly less advantageous situation with the blockaded elephant one square away from the edge of the board.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant is blockaded, but the game is not over.

Here the gold elephant can't move, true, but nine silver pieces are required to maintain the blockade, including both the silver elephant and camel. Indeed, if all the pieces involved in the blockade stayed put, the strongest free piece would actually be the gold camel.

As it happens, however, Silver can undertake a _rotation_ (or _replacement_) of the pieces participating in the blockade. When it comes to being in the way, a weak piece serves just as well as a strong one. Silver to move can free his camel for duty in only four steps, while maintaining the blockade: camel h6 south, rabbit h7 south, rabbit h8 south, and rabbit g8 east. The gold elephant can't make use of g8 to dig its way to freedom without getting smothered against the edge, so Silver can fill in that hole next move. Thus Silver needs only one turn to equal Gold for having the strongest free piece.

Furthermore, if Gold plays passively, Silver can continue to rotate pieces, freeing his elephant as well in two or three more turns. Because of this threat, it is very important that Gold not remain passive. Gold must immediately begin preparing a rescue mission to erode the blockade from the side, or even from the front if the silver elephant tries to leave. This will necessarily expose gold pieces to danger, but at least it puts some play into the position. For Gold to hang back is to await execution.

Note that even if Silver manages to rotate the elephant out of the blockade, it will require a few more pieces to maintain than a blockade on the edge. Furthermore those pieces will protrude one square further, making them slightly easier targets for would-be blockade busters. Still, the blockade is quite advantageous to Silver.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver has blockaded the gold elephant, but would gladly give up the blockade to take the Gold camel hostage.

### When Rotation Is Impossible

The diagram at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=21755&s=w) in the 2006 Arimaa World Championship, features an elephant blockaded one step further from the edge of the board, which is correspondingly less advantageous. Indeed, it is no longer realistic for Silver to expect to be able to free his elephant by rotating blockaders appropriately. True, the f6 trap is participating in the blockade at the moment, but Gold might bring a piece to f5 or e6, allowing the gold elephant to step to freedom, so Silver must soon occupy at least the latter squares.

An elephantless blockade would require silver pieces on g8, f7, g7, h7, e6, h6, f5, g5, h5, and g4. Not only are ten pieces necessary, but the bubble of blockaders also presents a large surface area for Gold to assail, extending within two steps of Gold's home trap at f3. Silver would be too busy warding off threats to the blockade to ever start capturing pieces with his freed elephant.

Since Silver can't rotate his elephant out of this blockade in practice, it does not give him the strongest free piece like an ideal blockade does. Yet the blockade is not worthless. Its value is that, although both Gold and Silver have a free camel, the silver camel is _more_ free.

Suppose that Silver, while maintaining the blockade, were to use his camel to attack the c3 trap. Gold could defend c3 with his own camel, but couldn't endanger the attacking silver camel. In contrast, if Gold were to attack c6 with his camel, Silver would have the option of giving up the blockade to cross wings and take the gold camel hostage. (This principle recurs again and again in the study of [elephant mobility](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility).)

This difference of freedom pegs the value of the blockade to Silver at somewhat less than a camel hostage. Silver certainly can't expect to get more out of the position, because if Gold is willing to give up his camel as a hostage, he can frustrate anything else Silver might undertake. Indeed, the gold camel can probably break the blockade at any time if it is willing to expose itself. On the other hand, Silver can't necessarily force Gold to expose his camel. Gold can play in the west as well as hovering in the east making threats to break the blockade. If Silver has trouble generating a threat in the west while maintaining the blockade in the east, he may be forced to give up the blockade for an advantage smaller than a camel hostage.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The silver elephant is too close to the center for a blockade to be reasonable.

### Worthless Elephant Blockades

All the top Arimaa computer programs are now aware of elephant blockades, but most are still confused by the huge disparity in value from one blockade to the next. In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=23476&s=w), Gold's blockade of the silver elephant actually has negative value, for several reasons.

  * Gold will never be able to rotate the gold elephant out of d4.
  * The gold camel is so buried on c2 that it has less freedom of movement than the silver camel, despite the theoretical difference in elephant mobility.
  * The gold pieces on e4 and f3 (at the edge of the blockade bubble) are in jeopardy.
  * The blockade is unmaintainable. Silver doesn't actually need to break the blockade in order to make progress, but could break it if necessary.

← [Camel Hostage](http://en.wikibooks.org/w/index.php?title=Arimaa/Camel_Hostage&action=edit&redlink=1) · [Elephant Mobility](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Mobility&action=edit&redlink=1) →

← [Camel Hostage](http://en.wikibooks.org/w/index.php?title=Arimaa/Camel_Hostage&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Elephant Mobility](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Mobility&action=edit&redlink=1) →

## Elephant Mobility

### Partial Freedom

As long as an elephant is not [blockaded](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade), it retains a theoretical freedom to roam the board. There are, however, fine distinctions in exactly _how free_ a free elephant is. A whole spectrum of positional features may limit an elephant's ability to switch its field of operation. Extreme contraints include guarding against an imminent goal, or guarding against the capture of a [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage). The range runs all the way down to minor constraints such as guarding against a rabbit being captured, or even guarding against a small positional disadvantage the opponent might create in the elephant's absence.

At the start of each game, both elephants are free, but differences in elephant mobility soon emerge. Some observers are astonished that tiny advantages in Arimaa seem to snowball; it is easy to underestimate how a more mobile elephant can pose increasingly tricky defensive puzzles for a less mobile elephant to solve. As the game progresses, one or both elephants tend to become more and more committed to the defense of a particular trap. When an elephant finally can't leave a trap without its army suffering captures in that trap, that elephant has lost mobility in a clearly identifiable sense.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant is pinned to the defense of the horse on c6, which is framed.

### Frames

A piece which is on a trap square, surrounded on three sides by opposing pieces which prevent it from pushing its way off the trap square, has been _framed_. The lone friendly piece providing support is _pinned_, because as soon as it moves, the piece on the trap square will disappear. In the position at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=7978&s=w), the gold elephant is pinned to the defense of the gold horse which has been framed on c6.

Pins are most effective in the opening when the board is crowded, so that strong pieces participating in the frame can be rotated out and replaced with the plentiful weaker pieces. At right Silver can rotate the a5-horse to c5, making the silver elephant the strongest free piece. If not enough weak pieces are available for rotation, though, the side maintaining the frame will have to commit three pieces at least as strong as the piece being framed, which may not be worthwhile on a relatively empty board.

At right the silver camel has a freedom to attack that the gold camel does not. The silver elephant can switch wings at any time to threaten the gold camel at no cost other than giving up the frame. In contrast, the gold elephant can't threaten the silver camel without abandoning the framed gold horse to instant capture.

A pin is not as absolute as a blockade, because the pinned piece may choose to leave at any time. If the silver camel becomes too exposed, the gold elephant may cross over in a single move, and possibly even force the capture of the silver camel. More subtly, if Silver rotates the a5-horse to c5 and then attacks the east wing with the silver elephant, the gold elephant may be able to abandon the framed horse and in the same move push the silver horse from c5 to c4, threatening to capture it in the following turn. It would be a huge relief for Gold to abandon the pin in a way that resulted in only an exchange of horses rather than a loss.

A frame may be broken by the arrival of a piece strong enough to dislodge the framing piece or pieces on one side of the trap. If a piece on a trap gains a second supporter, it is no longer framed. At right only the gold camel would be strong enough to break the frame. Gold must judge whether breaking the frame is worth the danger of the gold camel being taken hostage, as well as considering the damage that the silver camel will do on the east wing in the mean time.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant is nearer the center than the silver elephant.

### Horse Hostages

An elephant holding a camel hostage is only one example of a whole class of positions where a frozen piece is held in danger of capture, committing the opponent to defense. It is, however, the most effective. Suppose, for example, that an elephant holds a horse hostage instead. This commits the opposing elephant to defense, true, but who has the strongest free piece? The defending elephant can't leave without losing a horse, but the hostage-holding elephant often can't leave either, because the newly-freed horse would cooperate with the formerly-defending elephant to wreak havoc at that trap.

In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=10598&s=w), Silver is holding a hostage, but _neither_ elephant wishes to leave the northeast trap square. Indeed, it is the gold elephant which has the greater mobility because it is two steps closer to the center, and is thus a greater threat to the silver camel than the silver elephant is a threat to the gold camel. Since the gold camel has more freedom of movement, Gold may be able to make progress in this position despite having a horse held hostage.

Silver's hope in this position must be either to frame the hostage horse and rotate out the silver elephant (see above), or to pass the hostage horse off to the silver camel (see below), which would also free the silver elephant.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

It is difficult to maintain a horse hostage with a camel on the side of a trap if the opposing elephant is nearby.

After an elephant holding a camel hostage, the second-most effective hostage situation is a camel holding a horse hostage. Ideally this ties the opposing elephant to defense, while the friendly elephant is free to roam. However, the situation is often unstable because the "defending" elephant can attack the hostage-holding camel, freeing the hostage horse, and possibly creating offensive threats. This means that the "free" elephant must work as quickly as possible to score material gain, before the hostage situation collapses.

When a horse is held hostage by a camel, the deeper the hostage is held, the greater the threat. In the diagram at right, the gold elephant has no easy way to approach the silver camel and switch to offense. In contrast, if a hostage-holding camel has no friendly pieces in front of it, the opposing elephant can more easily free the horse. At right, the silver elephant can pull the gold camel to b4 in three steps (returning to c4 after the pull) and the final step can be used to move the silver horse to b3. This would threaten the gold cat with capture on the following turn. Also the silver elephant has the option of flipping the gold camel to c5 on the following turn, threatening another capture.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold dog would be most valuable as a hostage if held by a horse.

### Cat and Dog Hostages

A smaller piece may also make a valuable hostage. In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=33519&s=w), Silver has an advantage due to the gold dog held hostage by the silver camel. The silver elephant is a free piece, which will try to pull something to capture in the f6 trap. The Gold elephant will be overloaded if it must simultaneously defend c6 and f6.

However, the situation is less than ideal for Silver, for two reasons. First, the silver cat on c6 means that the hostage dog isn't threatened with one-turn capture. If the gold elephant leaves, it will take five steps for Silver to capture the hostage dog, giving the gold elephant that much more mobility. Second, the gold rabbit on h5 gives the gold camel more freedom to advance without fear of being taken hostage by the silver elephant. Silver would like to send his elephant after the gold camel, but in practice will probably have to try to capture the h5-rabbit before this is feasible.

In general, the advantage of a small piece hostage over a horse hostage is twofold. First, the smaller piece can be held hostage by a horse, sparing both the friendly elephant and the friendly camel for other duty. Second, it is easier to frame a small piece than to frame a horse. In the diagrammed position, Silver would have a greater advantage if the c7-camel were swapped with the g6-horse. Then the silver camel could defend the f6 trap while the silver elephant either hunted for a second piece to drag for capture, or assisted in framing the hostage dog. As it stands, the silver elephant can't help frame the c8-dog, because of the damage the gold camel would do in the mean time.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The gold elephant is cut off from the center.

### The Center

A more subtle, positional aspect to elephant mobility is the ability of the elephant to access the areas of most importance at the current stage of the game. From the centre four squares of the board the elephant has access to all four traps, so as a general rule it is better for the elephant to be centrally located. Also, a centralized elephant is almost impossible to blockade. On the other hand, in order to attack or defend a trap, an elephant must decentralize itself at least to one of the eight squares in the ring around the center, and perhaps further if it is hunting down a fleeing piece. The possibilities available to an elephant in the center usually remain mere possibilities until the elephant leaves the center to pursue one of them.

It is occasionally possible to station a clump of friendly pieces in the center of the board, which can cut off the opposing elephant's ability to switch wings at will. In the diagram at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=31556&s=w), Gold is losing because the gold elephant can't access the f3 trap.

This strategy must be used with great caution, however, because if the opponent is able to erode the dividing wall, there will probably not be time to retreat all of the participating pieces to safety. At right, if the gold elephant could break through the wall, some silver piece would likely perish in f3. In general, pieces other than the elephant should stay out of the center. It is asking for trouble to give the opposing elephant a target in the center where that elephant wants to be anyway.

← [Elephant Blockade](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Blockade&action=edit&redlink=1) · [Race Positions](http://en.wikibooks.org/w/index.php?title=Arimaa/Race_Positions&action=edit&redlink=1) →

← [Elephant Blockade](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Blockade&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Race Positions](http://en.wikibooks.org/w/index.php?title=Arimaa/Race_Positions&action=edit&redlink=1) →

## Race Positions

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The players are racing to capture pieces as quickly as possible

Race positions occur when the two elephants each take control of an opposing trap as in [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=18233&s=w) diagrammed at right. In a race position, both elephants are clearly free, so [elephant mobility](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility) is of secondary importance. The critical issue is which elephant can do more damage more quickly.

Race positions are rare because they typically require one player or the other to have misjudged the position in a costly way. The player who is going to lose the race shouldn't have raced in the first place. The ultimate loser will wish he could rewind the game to the move on which he used his elephant to attack rather than defend.

By the same token, however, it is important to know how to play in a race position, so as to be able to judge beforehand whether or not to race. One strategic point is that an elephant assisted by other pieces usually makes progress faster than an unaided elephant. Another point is that an advanced rabbit makes an attack much more potent by threatening to make goal, and may force the opposing elephant to break off its attack, wasting a couple of moves to cross over and defend.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Goal threats trump capture threats.

In the position at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=22509&s=w) in the 2006 Arimaa World Championship, Silver is on move. Each player is threatening goal. As soon as one player is forced to defend with his elephant, the game will essentially be over, because the other player will capture the little attacking pieces near the trap where the attack has just been abandoned. In other words, both players have staked the game on the outcome of this race.

Silver should consider using his camel to push the d6-rabbit back to d5. It may endanger the silver camel to bring it nearer to the gold elephant, but in a goal race it may be worth sacrificing a camel to buy time. Meanwhile if Gold ends Silver's goal threat by capturing the g3-rabbit, the silver elephant will respond by heading home for defense and capturing the gold f4-camel in f6. Therefore Gold would have to keep racing instead.

Because the cost of losing a race is so high, and because the side with more pieces committed usually makes progress faster, counter-attacks in Arimaa are rare. Usually as soon as one side commits multiple pieces to an attack, the other side defends, hoping to gain a useful hostage or frame, and eventually win slowly due to superior elephant mobility.

← [Elephant Mobility](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Mobility&action=edit&redlink=1) · [Trap Control](http://en.wikibooks.org/w/index.php?title=Arimaa/Trap_Control&action=edit&redlink=1) →

← [Elephant Mobility](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_Mobility&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Trap Control](http://en.wikibooks.org/w/index.php?title=Arimaa/Trap_Control&action=edit&redlink=1) →

## Trap Control

### Trap Ownership

To _own_ a trap square is to be safe from capture in it, and further to be able to capture opposing pieces in it. At the beginning of the game each player owns the two nearest trap squares, called _home traps_. The most basic offensive strategy is to go hunting with the [lone elephant](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) to dislodge an opposing piece towards one's home traps, in hopes of capturing that piece.

A more ambitious offensive strategy is to try to gain ownership of one of the enemy's home traps, most often with an [elephant and horse](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks). It raises the stakes to try to invade enemy territory in this fashion; if the opposing elephant doesn't defend (making the position a contest in [elephant mobility](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility)), the result will be a [race position](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Race_Positions).

An enemy trap usually has plenty of enemy pieces nearby, which can be captured in quick succession, as opposed to the laborious process of repeatedly prying loose a single enemy piece and dragging it all the way to a home trap for capture. An equally important benefit of owning an enemy trap is that if the opposing pieces [scatter](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics#One-move_capture_defense), it leaves a hole through which a friendly rabbit can march to the goal. Threatening to own an opposing trap is quite forcing; it limits the opponent's options to immediate defense or sharp counter-attack.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The traps c3, f3, and f6 are all deadlocked.

### Deadlocked Traps

A trap is _deadlocked_ when the strongest adjacent gold piece is equal to the strongest adjacent silver piece. At a deadlocked trap, neither player can hope to capture anything, ever, because the other player's strong piece keeps the trap safe. In the diagram at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=10940&s=w), each player has an elephant next to the f6 trap, and both players have a camel near c3 and a horse near f3. A tie for strongest will never force a capture; you have to have the strongest piece next to a trap to own it.

Nothing can break an elephant deadlock except the voluntary departure of one of the elephants. A camel deadlock, in contrast, can be broken by the arrival of an elephant, and a horse deadlock can be broken by the arrival of an elephant _or_ camel. At right Gold immediately moved his camel to e4 in order to re-establish ownership of the f3 trap.

Each trap that becomes deadlocked beyond the first trap adds a layer of strategic decision. In addition to maneuvering locally for mobility around each trap, there is a global question of which strong pieces to allocate to which quadrant. Crossing from one quadrant to another creates critical tactical timing questions of the form, "If I take ownership of that trap, will I gain enough to compensate for losing ownership of the trap I am leaving?"  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold to move can profit by abandoning the f6 trap

  
If at any point an elephant can gain more on a different front than it stands to lose by abandoning its current front, then it should switch quadrants. For example, in the position at left (from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=19384&s=w)) the elephants are deadlocked around the f6 trap, and the camels are deadlocked around the c6 trap. Gold faces the loss of a horse if he moves his elephant west, but if the elephant moves to c5 pushing the silver camel to c4, and Silver uses two steps of its next turn to capture the gold horse, Gold can then immediately take the silver camel in c3, and return his elephant to c5, having gained a camel and temporary control of the c6 trap in exchange for a horse.

When a deadlock is broken by the arrival of a stronger piece, the stronger side will almost always be able to own the trap. If there had been a mobility fight at that trap before the stronger piece arrived, that will only affect the timing of the captures. For example, if a camel is [pinned](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Frames) in a camel deadlock, and the opposing elephant arrives, it will capture the framed piece on the first turn and the pinned camel the second turn. In contrast, if a camel is pinned in a camel deadlock and a friendly elephant arrives, it will first relieve the pin then extract the framed piece from the trap, then gain ownership of the trap, and then start capturing. The end result is the same, but the amount of time taken can be important.  


### Contested Traps

A trap is _contested_ when one player has the strongest adjacent piece but the other has several weaker pieces to protect one another from capture and unfreeze one another when taken hostage. Momentarily neither player can make a capture, but the player with the strongest local piece is guaranteed safety, and may be able to eventually own the trap if the attack is supported with at least one additional piece.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The players are contesting all four traps

  
In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=19732&s=w), diagrammed at right, the players are contesting all four traps. Until one player can establish total control of some trap, no captures will be possible by either player. Nevertheless, this is a somewhat less stable situation than when multiple traps are deadlocked, because at each trap the player with the strongest piece can fight to own it. Whoever gets ownership of a trap first will start capturing pieces, quickly gaining a huge advantage.

This is a positional race, as opposed to a capturing race or goal race. Whichever player is going to lose the race to own a trap will be obliged to globally re-allocate forces before disaster strikes. Yet each re-allocation presents new opportunities to the opponent. For example, if the silver elephant took ownership of f6 at right, the gold camel would cross and take ownership of c3, a poor exchange for Silver. It would perhaps be wiser for a silver dog to assist the silver elephant in owning f3, although that would make the gold horse near f6 all the more potent a threat.  


### Losing control

To attack opposing traps entails the risk of exposing pieces which can be taken hostage or [framed](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Frames). On the other hand, it is a significant advantage to own at least one trap when the opponent owns none. A player who owns no traps can't make any captures at all. In particular there is not even the strategic threat of dragging a piece across the board to a place it can be captured, because there is no such place.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold has total control of no traps, and is thus unable to even threaten captures

  
In the position at left (from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=11704&s=w)), Silver has deadlocked both of Gold's home traps. It is tempting for Gold to target the exposed silver camel on b3, since [camel hostages](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage) are valuable, but in this context we see that camel hostages are merely part of a larger strategy of trap control. One takes a camel hostage _because_ it allows one to eventually own a trap the other player can't contest. A camel hostage is useless if it isn't part of a grand trap ownership plan.

In the diagrammed position it is most important for the gold camel to re-assert ownership of f3. Silver has stuck his neck out so far that Gold has no need (and no time!) to try to secure a more subtle positional advantage. The game will hinge on whether Silver can maintain shared control of both c3 and f3. If Silver can pull it off, then any positional advantages Gold accrues will be worthless, but if Gold regains total control of at least one home trap, Silver can hardly escape without some advanced piece being captured.

In modern Arimaa theory, one player often willingly concedes the disadvantage of a frame or hostage for the advantage of deadlocking the elephants around an opposing trap, with a long-range view to contesting the other opposing trap as well. The deadlock can then be tightened by [rabbit advancement](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Rabbit_Advancement#Cement_deadlock). The tighter a deadlock becomes, the greater the compulsion on the defender to contest one or both opposing traps in response. Such struggles are quite different from race games where each elephant is massacring pieces in the enemy camp. On the contrary, in a trap-control game it is possible that neither player will make any captures until one player has already gained a decisive positional advantage.  


← [Race Positions](http://en.wikibooks.org/w/index.php?title=Arimaa/Race_Positions&action=edit&redlink=1) · [Distribution of Force](http://en.wikibooks.org/w/index.php?title=Arimaa/Distribution_of_Force&action=edit&redlink=1) →

← [Race Positions](http://en.wikibooks.org/w/index.php?title=Arimaa/Race_Positions&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Distribution of Force](http://en.wikibooks.org/w/index.php?title=Arimaa/Distribution_of_Force&action=edit&redlink=1) →

## Distribution of Force

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver needs a dog on each wing.

### Strongest Piece

In the study of [trap control](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control), it is clear that the strongest local piece is more important than the second-strongest local piece. For example, a camel and a dog can take control of a trap against two horses, but not vice versa. The importance of the strongest piece generalizes to goal attack, goal defense, mobility fights, etc. In each situation a camel and a dog will be more effective than two horses.

### Split Strong Pieces

One strategic consequence of the power of the strongest piece is that it is generally more effective to split strong pieces, both for attack and for defense. In the position at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=31172&s=w), Gold has split his horse and dog, threatening to attack in the west with a dog and in the east with a horse. Neither piece has an equal counterpart on its wing, so either attack will force the silver elephant to defend. The silver elephant will soon be overloaded, unless Silver quickly gets a dog over to help in the west, somewhat neutralizing the gold dog.

Moreover, Silver has no use for two dogs in the east. Two dogs are just as incapable of taking over f3 from a horse as a dog and a cat, and as for defending f6 from a horse, a dog and a cat are just as good as two dogs. In the actual game, Silver did not split his dogs, and soon got into trouble. If he had balanced his forces, however, his elephant would have had a much easier time hovering near the gold horse, where it would like to be, rather than fending off the attack of a mere dog in the west.  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Material is even, but Gold controls three of four quadrants.

  


### Win By One

Because the strongest local piece is most important, the most efficient use of force is for each piece to dominate the next-weaker opposing piece, while avoiding the next-stronger opposing piece. Elephants should attack camels, camels should attack horses while avoiding elephants, horses should attack dogs while avoiding camels, etc.

This generalizes the principle of [horse hostages](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Horse_Hostages), namely that in the opening, horses don't need to be as afraid of elephants as they need to be afraid of camels.

An extreme example of the power of winning by one is diagrammed at left. Each side has an elephant, a camel, a horse, and a dog, yet Gold is locally winning three fights, whereas Silver is winning only one.

Note that the principle of winning by one often conflicts with the principle of splitting strong pieces. For example, one would prefer to have one's elephant and camel operating on opposite wings, but if the opposing elephant is about to take one's camel hostage, it usually pays to use one's elephant to rescue the threatened camel, even if that temporarily puts both strong pieces on the same side. Another example is that when the opposing camel is committed to one wing, it may pay to shift both of one's horses to the other wing, even though typically one would want a horse on each wing.  


### One-Gap Tandem

One case in which splitting strong pieces and winning by one work together is the opening [elephant-horse attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks). First, this attack splits the friendly elephant and camel. If the opposing elephant defends against the EH attack, the friendly camel is still free to operate on the rest of the board. This is in contrast to an elephant-camel attack which can be defended by the opposing elephant, leaving the opposing camel unmatched on the rest of the board.

A more subtle point of the elephant-horse tandem is that it may confuse the opposing camel. The opposing camel would like to take an attacking horse hostage, but also would not like to be taken hostage by the attacking elephant. How the camel should respond to an EH attack is a tricky issue even for humans, but so far it absolutely baffles computers, and explains why humans can win against programs either attacking with EH or defending against it.

The idea of using the strongest and third-strongest pieces as an attacking tandem still applies after exchanges have depleted the board. In the first diagram of this page, Gold would much rather attack with elephant and dog than with elephant and horse. Note that the second-strongest and fourth-strongest piece can make a very effective backup tandem: Gold's horse-cat tandem is nearly as strong as a horse-dog tandem would be, but it spares the dog for use in the primary attacking tandem.  


← [Trap Control](http://en.wikibooks.org/w/index.php?title=Arimaa/Trap_Control&action=edit&redlink=1) · [Rabbit Advancement](http://en.wikibooks.org/w/index.php?title=Arimaa/Rabbit_Advancement&action=edit&redlink=1) →

← [Trap Control](http://en.wikibooks.org/w/index.php?title=Arimaa/Trap_Control&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Rabbit Advancement](http://en.wikibooks.org/w/index.php?title=Arimaa/Rabbit_Advancement&action=edit&redlink=1) →

## Rabbit Advancement

The timing of rabbit advances is the most difficult strategic issue in Arimaa. While other pieces can retreat homeward, rabbits can only move forward, left, or right (much like pawns in chess.) The inability of rabbits to backtrack can cause a lot of problems for one who is quick to advance them. On the other hand, a rabbit must at some point move up in order to threaten goal, and when a serious goal threat emerges, the opponent will be forced to use up steps and expend material defending against it. A rabbit can also be advanced to unfreeze a piece, or to get in the way of something. The pros and cons of advancing rabbits must be weighed on a case-by-case basis. Expert players can sometimes advance rabbits effectively even when the board is still full—such was done to perfection by Gold in [this game](http://arimaa.com/arimaa/games/jsShowGame.cgi?gid=179122&s=w). Inexperienced players, however, should be more cautious in that regard, and keep rabbits close to home until they see a clear advantage in moving one up.

## Disadvantages

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver's advanced rabbits are no threat to goal, and the silver elephant can't defend them all.

### Exposed to capture

Apart from the elephant, any piece which crosses the midline is in danger of capture. Rabbits, however, are particularly vulnerable. Even a cat can push, pull, and freeze a rabbit, so it hardly taxes the defender's resources to hold a rabbit hostage. Moreover, not even the friendly elephant can rescue a rabbit hostage, because rabbits can't go home even if liberated. Friendly pieces can at best contest control of an opposing trap to prevent a hostage rabbit from being captured.

When nothing more important is happening in the position, advanced rabbits are a marker of strategic disadvantage. In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=14996&s=w), diagrammed at right, Silver to move has no way to protect all three advanced silver rabbits. Worse yet, Silver has no way to threaten a goal. Therefore, although material is still even, Silver is clearly losing.

It is extremely rare for the board to empty out enough that rabbits may advance unaided. Advancing a rabbit almost always entails a willingness to contest an opposing trap for the remainder of the game, or a willingness to abandon the advanced rabbit to be captured later on.  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver has no rabbits on the back row, and can't prevent the a6 rabbit from reaching goal

### Weaken goal defense

Even when one intentionally advances a few rabbits, to threaten goal or for some other purpose, it can be dangerous to move all the rabbits off the back row. In the diagram at left (from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=6992&s=w)), it is Silver's turn to move, but he is helpless to stop Gold's a6-rabbit from reaching goal in two turns. If even one silver rabbit remained on the home rank, it could slide over to unfreeze the dog on c8, which could then block the a6-rabbit. Instead, Silver is lost.

Contrast Silver's predicament to Gold's situation with four rabbits still at home. The three advanced gold rabbits indirectly threaten goal right, left, and center, yet the four gold rabbits at home ensure that Silver would have to fight through more than one line of defense to score a goal.

There is some merit to advancing two rabbits on the same wing. Two rabbits advancing one in front of the other are a greater goal threat than one rabbit advancing alone. The back rabbit prevents the front one from being pushed backwards, and also prevents the front rabbit from being frozen. However, advancing all four rabbits on one wing hardly increases the threat of goal, whereas it does strip the defense. The majority of rabbits should be kept at home for defense unless exchanges have denuded the board and a breakthrough is imminent, or one side wishes to [cement a deadlock](Print_version.html#Cement_deadlock) on an opposing trap.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver rabbits are more effective at blockading the silver elephant than gold pieces would be.

### Blockade friendly elephant

The ideal pieces for blockading an elephant are rabbits of the same color. An elephant can push away an opposing piece as long as there is an open square to push it into, but an elephant can't push away a friendly piece under any circumstance. Since rabbits can't retreat, they often can't get out of the way of friendly pieces even if they are not frozen.

In the position at right (from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=18806&s=w)), Silver is utterly lost strategically. Silver's own rabbits hem in the silver elephant on e3 and horse on g2. If the silver elephant pushes to e2, it will only allow an even more efficient blockade. Because Silver can do nothing in the mean time, Gold can take several moves to rotate the gold camel out and up the a-file while bringing across another gold rabbit to seal the blockade. Once the gold camel makes it behind Silver's front line, it can rampage unimpeded, and in particular free from fear of the silver elephant.

The advanced silver rabbits don't threaten goal; they are actually worse than useless. Silver would gladly remove a rabbit or two as part of his move in order to regain mobility, but _disappear_ is not among the moves available to rabbits, at least not Arimaa rabbits.  


## Advantages

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold, to move, is way behind on material, but has strong goal threats

### Threaten goal

Once a significant amount of material has been traded, or several traps have been contested across the board, holes start to appear in each player's defenses. The emptier and more ragged the board becomes, the more an advanced rabbit is a direct threat to win the game. In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=8073&s=w), Gold to move is at an enormous material disadvantage, but the presence of an advanced gold rabbit on each wing generates significant winning chances, particularly with the gold elephant assisting and the silver elephant temporarily out of position. Indeed, with perfect play by both sides, Gold has a forced win in seven moves, although the tactics are complex.

When the board is empty and ragged, the latent threat of an advanced rabbit to reach goal can be a strategic asset, even if there is no direct win available. However, in order to have a long-term impact the advanced rabbit must be as little exposed to capture as possible. Ideally it should be on the edge of the board on either the fourth or the seventh rank. A rabbit on the edge of the fourth rank forces opposing pieces to decentralize themselves in order to keep it off the seventh rank, but is still far enough from any trap that the opponent may not have time to capture it. A rabbit on the edge of the seventh rank is in greater danger, but is also a greater threat because a strong friendly piece may come usher it home at any time. The value of such a rabbit depends on the position being so sharp the opponent can't spare two moves to capture the intruder.

In live games advanced rabbits also place great psychological pressure on the opponent. Even when a correct defense exists, a blunder by the defender loses the game, whereas a blunder by the attacker only loses a rabbit.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

With Silver to move, the a1 rabbit can be enticed forward three steps

### Unfreeze friends

It is often preferable to advance a rabbit rather than endure the risk that a stronger piece will be dragged into enemy territory and cut off from hope of rescue.

In the diagram to the right, the silver elephant could step left to b4, then return to c4 while pulling the gold camel onto b4. In reply, Gold could return the camel to b3 after unfreezing it by advancing the a1-rabbit three squares. In the following move, Silver may decide to pull the gold rabbit further along the a-file in the hopes of eventually capturing it on the c6 trap.

Notice that neither player is making a mistake in the sequence of events described above. Gold knows perfectly well that the advanced rabbit will be vulnerable to capture, but prefers to expose it rather than give up a [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage). Silver, on the other hand, was correct to attack the exposed camel even though it could be freed, because Silver gained a rabbit as a target in the process. Even if it had been Silver's intention all along to pull the a1-rabbit to c6, directly attacking the a1-rabbit would have been much less effective than encouraging it to take three steps forward voluntarily.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver possesses a decisive positional advantage due to the unfortunate plight of the gold elephant

### Blockade opposing elephant

If a defending elephant becomes decentralized while holding a hostage near a home trap, there may be an opportunity for the attacking side to blockade it with a swarm of weak pieces, i.e. rabbits, cats, and dogs. In this [Arimaa Challenge game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=11882&s=w2005) at left, Silver has exploited the computer's susceptibility to [elephant blockades](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade).

Notice that the immobilized gold cat has become part of the blockade holding in the gold elephant. While it appears that the gold elephant can escape by pushing the a3-horse south and then using its newly mobilized cat to push the b4-rabbit south, the escape attempt would not succeed. Silver would have at least two methods of re-establishing the blockade, this time without any possibility for movement by the gold elephant. Silver has the pleasant option of continuing the blockade or, as in the actual game, capturing the cat.

Often in such situations the gold elephant is not absolutely blockaded, because it may still escape to the center of the board via the first two ranks. Even if the gold elephant could so escape, however, the blockading silver pieces would surge forward in its wake, ensuring long-term [trap control](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control) of c3 for Silver, and consequent indirect goal threats.

Silver has stripped his goal defense by advancing so many rabbits, but this is of little consequence as long as _no_ gold pieces can advance in the west. With the west fully blockaded, the center and east are dominated by the silver elephant and camel, which will make it very difficult for Gold to organize an effective goal attack. If the gold elephant had sidestepped the blockade and retained mobility, Silver's thin goal defense might be more of an issue.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold will lose a horse for abandoning c6; Silver will lose a dog and some rabbits for abandoning c6.

### Cement deadlock

The two diagrams at right illustrate the effect of rabbit advancement on a deadlocked trap. It is important to recall that, as long as both players commit an elephant to the trap at c6, neither player will ever be able to capture anything in c6. The advanced rabbits are not in immediate danger; they have only a strategic effect on the mobility of both elephants.

In the first diagram, the gold elephant does not want to abandon c6, because Silver would capture the b7-horse. Likewise the silver elephant does not want to abandon c6, because Gold would start capturing a series of small silver pieces in c6. This is the essence of an [elephant deadlock](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control#Deadlocked_Traps): either side will suffer for leaving.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold will lose a horse and some rabbits for abandoning c6; Silver will lose a dog, some rabbits, and the game for abandoning c6.

In the second diagram, the gold elephant does not want to abandon c6, because Silver would capture not only the b7-horse, but also all the advanced gold rabbits. The advanced gold rabbits make it harder for the gold elephant to leave than it was before. On the other hand, the silver elephant is even more reluctant to abandon c6, because Gold would not only capture a few small silver pieces, Gold would also very soon have an unstoppable goal threat. Thus the advanced gold rabbits make it _catastrophic_ for the silver elephant to leave. Since both elephants will suffer for leaving even more than they would have before, the deadlock has been considerably tightened.

Generally the player advancing rabbits gains from cementing the deadlock, because the threat of eventually scoring a goal weighs more heavily than the threat of eventually losing a few more rabbits. Also, advanced rabbits can threaten to accumulate into a blockade, as above. Nevertheless, one should not unthinkingly push rabbits forward into any deadlock, because it also robs the advancing player of the option of retreating. If the rest of the board were such that Gold might profit from abandoning c6, or indeed might be _forced_ to abandon c6, then advancing rabbits amounts to senselessly sacrificing them.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

The silver rabbit on b3 helps Silver contest control of c3.

### Endgame trap control

After a few pieces have been exchanged, rabbits often need to participate actively in contesting [trap control](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control), simply because there might not be enough pieces remaining to do the job without rabbits. In the diagram at left, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=35233&s=w), Silver has just advanced his dog and rabbit to contest control of the c3 trap.

The silver rabbit on b3 is not only a threat to reach goal, it is a critical asset in the fight for control of the southwest. It prevents the gold elephant from immediately capturing the c4-dog, and will delay the capture of the dog should the gold camel switch quadrants. The b3-rabbit also allows the c4-dog to threaten the c2-cat with capture through the trap. Finally, the b3-rabbit prevents a gold rabbit from occupying b3, i.e. it frustrates Gold's simplest plan to make the gold cat temporarily safe.

Gold had correctly advanced rabbits to defend the f3 trap. Had there been a Gold rabbit on b3 as well, it would have forestalled the myriad of threats listed above, and at a minimum delayed Silver in gaining control of c3. Taking rabbits off the back rank to fight for trap control does weaken one's goal defense somewhat, but in an endgame the additional power in contesting traps is usually worth it.  


← [Distribution of Force](http://en.wikibooks.org/w/index.php?title=Arimaa/Distribution_of_Force&action=edit&redlink=1) · [Initial Piece Placement](http://en.wikibooks.org/wiki/Arimaa/Initial_Piece_Placement) →

← [Distribution of Force](http://en.wikibooks.org/w/index.php?title=Arimaa/Distribution_of_Force&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Initial Piece Placement](http://en.wikibooks.org/wiki/Arimaa/Initial_Piece_Placement) →

← [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) · [Relative Value of Pieces](http://en.wikibooks.org/wiki/Arimaa/Relative_Value_of_Pieces) →

← [Introduction to Tactics](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Tactics) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Relative Value of Pieces](http://en.wikibooks.org/wiki/Arimaa/Relative_Value_of_Pieces) →

# Relative Value of Pieces

## Importance of Elephants

As the strongest Arimaa piece, the elephant is unique in its value. Although it cannot be pushed or pulled, an elephant is not entirely immune from capture—if it voluntarily enters a trap square, it needs an adjacent friendly piece to keep it alive. With a game still in progress, an elephant loss will almost always be devastating. A strong elephant blockade can also be ruinous.

The only thing worth more than an elephant is a guaranteed goal—an elephant may need to be sacrificed to help a friendly rabbit reach goal, but since the game has been won there is no problem. In rare circumstances, such as move 38s of [this game](http://arimaa.com/arimaa/games/jsShowGame.cgi?gid=181966&s=w), giving up one's elephant may be the only way to stop an enemy goal.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

By pushing or pulling the silver rabbit away from the f3 trap, Gold can capture the silver elephant.

## Value of Other Pieces

The practical value of each piece depends on its strength relative to the opponent's remaining forces. If both enemy horses are gone, a friendly camel and horse are nearly equal in strength, since a dog is the strongest piece which either can threaten. The absence of enemy horses also makes friendly dogs stronger, as they face few threats.

As the board clears, _quantity_ of material becomes increasingly important. "Weak" pieces will need to block enemy goals, and rabbits are obviously needed to create one's own goal threats. Try not to trade two pieces for one moderately stronger piece.

In the endgame, _goal threats_ are often worth more than material—when an enemy rabbit has a path to goal, goal defense must take priority over captures. A strong goal threat of your own may also be preferable to a material lead. At the end of [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=43158&s=w), Silver gave up his camel but created a strong goal threat, which Gold was unable to stop. In taking the silver camel, the gold elephant stayed too far away from where it was most needed.

## "Even" Exchanges

Often an _even exchange_ (the capture of identical forces on each side) will benefit one player more than the other. In chess, the player with stronger pieces usually benefits from even trades, but in Arimaa the weaker side often benefits. Consider a situation in which Gold has lost a dog and a cat while Silver has lost its camel, with all other pieces remaining. Gold is poised to overload the silver elephant, now the only piece which can threaten a gold horse. Gold's horses are now stronger than Silver's, and thus an "even" horse trade would favor Silver. Two such trades, removing all horses from the board, put Silver in the driver's seat; Silver is still up two-to-one in dogs and cats, pieces which now face fewer threats. The gold camel can't easily attack, or it will be taken hostage, giving Silver a large advantage in free pieces despite his own camel's absence. After losing his camel in a significant setback, Silver has by two "even" exchanges gained a decisive advantage.

Some general rules of thumb:

  * When material is identical, a player who has a strategic advantage due to holding a blockade, frame, or hostage usually attempts to win material outright, because even exchanges can diminish the advantage: 
    * A player whose elephant is blockaded will normally benefit from even trades, which will leave the opponent fewer pieces to spare for blockade duty.
    * A player whose elephant is pinned to the defense of a framed piece will usually benefit from even trades, because with fewer pieces the opponent will have a harder time maintaining the frame.
    * A player holding a camel hostage should try to maximize his advantage in free pieces, otherwise the hostage may lose its value.
  * When material is not identical, the exchange of a weak piece reduces the relative value of every stronger piece, whereas the exchange of a strong piece increases the relative value of every weaker piece. 
    * A player who has won a dog for nothing in the opening, and thus retains two dogs to the opponent's one, will then benefit by exchanging camels or horses, as this will leave fewer pieces which can threaten a dog. Cat-for-cat or rabbit-for-rabbit trades, however, will weaken the dog advantage, as one has given up equal material for pieces which a dog might have captured outright.
    * A player who has won a camel for nothing in the opening is best served by trying to win further material outright. However, if he can take another piece or two without losing anything himself, he has then gained a significant edge in quantity of material. Even trades then become very favorable, as they in effect increase that edge.
    * When a player has the only remaining camel on the board but not a significant edge in quantity of material, he should do his best to avoid "even" horse trades, especially with only one friendly horse left. When the enemy lacks a camel of his own, only his elephant can threaten a horse; the camel and the horse can thus force the enemy elephant to choose which to defend against. With no horse on its side, however, the camel will have a harder time attacking.
    * If one player has stronger pieces and the other has more numerous pieces, the player with more numerous pieces usually benefits from an even exchange.
    * The side with the greater number of Rabbits will usually benefit from any exchange which is roughly equal, such as two Dogs for a Horse and a Cat.

Finally, when a human plays a bot, "even" exchanges give the bot fewer possible positions to evaluate.

## Uneven Trades

When material is traded for non-identical material, the implications likewise depend on what has happened beforehand. Some rules of thumb **when the board is full**:

  * A Cat is worth more than a Rabbit, but not by much
  * A Dog is worth approximately two Rabbits
  * A Horse is worth approximately a Dog and a Rabbit
  * A Camel is worth approximately a Horse and a Cat

These values correspond to opinions as of April 2011, and are subject to change as strategy is further refined.

Once even material is exchanged, quantity becomes more of an issue, and thus a two-for-one trade would increasingly tend to favor the player capturing two pieces. The fewer rabbits one retains, the more a rabbit loss will hurt, as goal possibilities are further depleted.

## Sacrifices

Sometimes, material can be sacrificed to gain an overall advantage in the position. In a common example, you may find that you can take a [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage), but using your turn to that end would leave a friendly piece vulnerable to capture. Holding the enemy camel hostage does not automatically put one in control; in general, a hostage is only of benefit when one has an advantage in free pieces, which will be somewhat diminished by any material sacrifice. Moreover, if the enemy elephant chooses to abandon its camel, it will likely get something in return, having a head start while you make the capture. Add that to an initial sacrifice, and your opponent could come out fully compensated for his camel loss. A camel hostage is rarely worth sacrificing more than a cat for, and may not even be worth a rabbit. Such a dilemma requires you to carefully consider the entire position, thinking ahead to how you could capitalize and how your opponent could counter.

In [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=32065&s=w), Silver sacrificed a cat to gain a camel hostage.

## Conclusion

It is not always clear which side has the advantage. Even an apparently favorable position depends on the player knowing how to capitalize; the real advantage is with the player who best understands the situation at hand.

← [Introduction to Strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy) · [Advanced Tactics](http://en.wikibooks.org/wiki/Arimaa/Advanced_Tactics) →

← [Introduction to Strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Advanced Tactics](http://en.wikibooks.org/wiki/Arimaa/Advanced_Tactics) →

# Advanced Tactics

In the majority of Arimaa positions, the side to move will not be able to directly force a goal or capture. Nevertheless, Arimaa is a highly tactical game. If both players are armed with a knowledge of [basic strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy), then advantage accrues to the player who can execute better on those ideas. Knowing that an [elephant blockade](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade), [camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage), or [horse frame](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Frames) is strategically valuable is only half the battle: one must also know how to bring about such advantages against intelligent opposition.

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver threatens to capture the g5 gold horse.

### False Protection

In the position shown here, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=38937&s=w), no pieces have yet been exchanged, but Gold is apparently in great trouble. The gold horse on g5 is threatened with capture in f6. The g3-dog could unfreeze the threatened horse, but this would only allow it to advance further into danger.

The gold elephant could, in two steps, occupy e6, which would make f6 safe from capture, but then the gold camel would be threatened in c6. The gold camel is frozen, and it needs three steps to retreat. Either the b4-rabbit can advance, allowing the camel to push back to c4, or the d4 cat can push away the c4-rabbit, allowing the camel to step to b5. Unfortunately, neither of these camel-rescue maneuvers leaves the requisite two steps for the gold elephant to protect f6.

The gold elephant could _temporarily_ protect both c6 and f6 by pushing the silver dog on e6 into f6, and then return to d6 with a step to spare. However, that would waste three steps doing what could be undone by Silver in one step, allowing him three steps to consolidate/improve his position. One can prove that this delaying move does no good for Gold by analyzing in detail each of his possible fourth steps, and considering of Silver's replies. In a live game with limited time, however, it is best to assume that trading three steps for one step will make one's position worse. That assumption would be borne out in this case.

It remains to consider charging forward with the camel to set up a threat to balance Silver's threat. Gold could advance the b4-rabbit, then advance the camel and push away the silver cat on c7. Silver then couldn't take the g5 horse without losing the b6 horse and allowing a thunderous attack in the west. This attack by Gold looks promising, but it opens a fatal weakness. Silver could simply slide his elephant to c5 and advance his newly-liberated c4-rabbit to b2, through the now unoccupied b4. Gold would then be unable to save goal, his camel, and his horse all at once.

In short, it appears that no move will stave off material loss for Gold, and some attempts to do so will only make matters worse. It seems that capturing the c4 rabbit in exchange for the g5 horse is the best Gold can do.

Remarkably, Gold has a tactical save that relies on the elephant to protect neither c6 nor f6. Gold can advance his elephant to d7, capture the c4-rabbit with his cat, and slide the unfrozen camel to b5. This exposes a subtle weakness in the Silver position: the false protection of the b6-horse and c7-cat. If Silver were to then capture the threatened gold horse in f6, Gold could respond by capturing the b6-horse in c6.

The difference between finding this tactic and missing it is an entire horse. Instead of losing a horse for a rabbit, Gold has gotten a rabbit for free.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Silver to move can blockade the gold elephant.

### Elephant Blockade

In the position at right, from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=21996&s=w), the gold elephant is in great danger of [blockade](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade) on the seventh rank. Silver to move can't prevent the gold elephant from moving away from e7, but most of the walls of a larger box are already in place. If Silver can cut off all avenues of retreat, then the noose can be drawn tight around the gold elephant in later moves.

One brick in the wall is the f6 trap square. With no supporting gold pieces, the gold elephant can't pass through f6. The e6 square can be sealed in two steps by the silver elephant. The g6 square is blocked by the T-shaped configuration of four silver pieces on f6, g6, h6, and g5. A second T-shape (d8, d7, d6, c7) can block access to d7 if Silver uses one step to put his c6 rabbit onto d6. Therefore, with a total of three steps (elephant to e6 and rabbit to d6), Silver can create a nearly complete box.

The tricky tactical issue is the use of Silver's fourth step. If Silver attempts a blockade, Gold retains two resources: the gold elephant can still threaten an end-around to push out through h6, and the gold horse on g3 can pull the g5 dog out of the blockade. In combination these threats pose a serious puzzle for Silver to solve, but they are not necessarily enough.

For example, if the gold elephant moved directly to h7, Silver could slide his dog to h5, horse to g7, f8-rabbit to g8, and f6-cat to f7. True, the gold horse could then pull away the silver dog from h5, but Silver could re-establish the blockade with camel to h5 and elephant to g6. Such a perfect blockade is easily worth a dog sacrifice.

It is tempting for Silver to use the fourth step to advance his f8-rabbit to f7. We know already that the gold elephant can't simply push across to h7. But consider what happens if instead Gold pushes the rabbit back to f8, stations his elephant on g7, and advances his horse to g4. Gold now threatens to pull the dog and push the camel, creating a path to freedom. Silver has many ingenious attempts to maintain the blockade, but none of them quite work. For example, Silver might try putting his dog on h5 and using the camel to pull the horse to g5, so the gold horse actually becomes part of the blockade! This fails, however, as the Gold elephant can move to h7, pulling the silver camel along to g7, then push the h6-rabbit to g6 as the elephant escapes through the h-file.

It turns out that preventing this latter maneuver is precisely the key to sealing the blockade. If Silver uses the fourth step to advance a rabbit to h7 (instead of f7), Gold cannot escape unscathed. Gold's previous escape plan now only has three useful steps: elephant to g7 and horse to g4. Let's suppose rabbit to g2 is the fourth step, in order to unfreeze the gold horse in some lines. (to be continued...)

← [Relative Value of Pieces](http://en.wikibooks.org/wiki/Arimaa/Relative_Value_of_Pieces) · [Positioning for an Attack](http://en.wikibooks.org/wiki/Arimaa/Positioning_for_an_Attack) →

← [Relative Value of Pieces](http://en.wikibooks.org/wiki/Arimaa/Relative_Value_of_Pieces) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Positioning for an Attack](http://en.wikibooks.org/wiki/Arimaa/Positioning_for_an_Attack) →

# Positioning for an Attack

_**Note: For simplicity, many examples below will assume that Gold is attacking the c6 trap. Naturally, the same theories apply equally in all 4 quadrants.**_

This chapter describes how to best position one’s pieces for an attack while outlining the methods a defender will employ to thwart the attacker. Attacking an enemy trap has multiple purposes such as capturing enemy pieces, clearing a path for a rabbit advance, obtaining a space advantage, etc. Fortunately, it is easy to establish one set of rules for positioning pieces that will apply in most attacking and defending situations.

## Positioning the Elephant

The attacking elephant should usually remain centralized. Moving the elephant to a square such as b6 or c7 will usually lead to a failed attack or even a blockaded elephant, though there are a couple of exceptions discussed below. On the other hand, experience has shown that an attacking elephant on the d6 square is ideally placed to support an attack and disrupt enemy defenses while still remaining nicely centralized. As will be shown later in this chapter, the c5 square is an acceptable square for the attacking elephant but, in many cases the elephant is less effective on c5 than it would be on d6. If the attacking elephant temporarily moves away from the d6 square, the defending elephant should seize the opportunity to occupy d6 whenever possible. Not only is d6 a good square for the defending elephant, but it is also worthwhile to deny the attacking elephant the square for its own sake. Therefore, once an attacking elephant occupies d6, it should not relinquish the square until a better opportunity appears elsewhere (such as the e6 square during a double-attack).

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 1: An ideal Elephant and Horse Attack with Silver to move

The ideal situation in diagram 1: The elephant and the horse have taken control of the c6 trap with devastating efficiency. Notice all of the following features of the position:

  * the silver elephant, usually the key defender against an [Elephant and Horse Attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks), is more than four steps away from the c6 trap.
  * the silver camel, also highly effective against an Elephant and Horse Attack, is on the wrong wing.
  * the a5 dog can reach c5 with da5e ra8s ra6s db5e, but Gold can easily push the dog to c4, with double-trap threats at c3 and c6.
  * the defender cannot scatter all pieces away from the c6 trap and, even if Silver were able to do so, it would allow Gold to begin a highly potent rabbit advance such as Rd1n Rd2n Rd3w Rc3n.
  * if the gold elephant were on the c5 square rather than d6 then the defender could simply defend with 2 steps such as he7s he6w while still being able to move the elephant towards the northwest quadrant with Rf4s eg4w.

  
Two important keys to this powerful attack are the combination of attackers on b6 and d6 that make it very difficult and time-consuming for the weak defenders to reach the c5 square (where they are also vulnerable to a south-push), and the lack of balance in the silver army (i.e. silver should not have all the strongest pieces on the same wing).

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 2: The gold elephant fails to secure d6 with silver to move.

By contrast, the position in diagram 2 will turn into a disaster for gold with silver to move. Notice that Silver can immediately play ed5n ed6n ed7s hc7e, holding the gold horse hostage. As discussed in another chapter (provide link), a hostage that is frozen by an elephant on d7 is very difficult to protect. For example, if Silver plays ed6s hd7s on the subsequent move, the horse will be forked between the c6 and f6 traps. This illustrates both the danger of a hostage piece in the d- and e-files and the importance of having an elephant on d6. As an aside, Silver should not continue with the Camel and Horse Attack in the southeast quadrant until first holding the gold horse hostage on d7 - otherwise, Gold will likely retreat the c7 horse from danger while still having sufficient time to defend the southeast trap.

Exceptions: Although the elephant should generally not be decentralized during an attack, there are exceptions. If there is a silver camel on b6, then it could be worthwhile to temporarily place a gold elephant on b6 in order to push the camel south. This could eventually lead to a camel hostage near the c3 trap. Also, if gold has a powerful goal threat in the northwest quadrant then it may be worthwhile to decentralize the elephant and move it onto the 7th or 8th rank. Be very, very careful when doing so, however, as an elephant can easily become blockaded if it ventures into the corners. Use a weaker piece to support a rabbit advance on the perimeter whenever possible.

## Positioning the Camel and Horse

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 3: Gold (to move) is in serious difficulty and cannot gain access to b6 or c7

Controlling the b6 and/or c7 squares is vitally important for the great majority of Arimaa attacks. The horse or camel should normally be used to secure these important squares since rabbits and cats are easily pushed out of the way. A dog can be a useful attacker in some cases (see [Elephant and Minor Piece Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Minor_Piece_Attacks)), but a dog is not normally considered a “strong” piece for the purposes of securing a vital square in enemy territory. To see why control of b6 and c7 is so important, the reader should study diagram 3 from [this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=25021&s=w). Gold had planned to aggressively advance pieces on the west wing before gaining control of either b6 or c7. However, Silver was able to thwart this attack and now the gold elephant is pinned to d6 with no prospects for continuing the attack (other than a futile attempt to control c5). However, any piece that stands on c5 is at risk of being pushed to e5, creating a double-threat certain to result in a material gain for Silver. Eventually, Gold had to abandon the c6 square and suffered through an inferior position in the middlegame. It cannot be stressed enough that one should normally control vital squares first (elephant on d6 and strong pieces on either b6, c7) before threatening material or attempting to advance rabbits on the wing.

Once the attacker has firm control over key squares, it becomes possible to either flood the trap with rabbits, cats and dogs or, if the silver elephant is not in the vicinity, it may become possible to begin capturing material around the trap.

## Positioning a Dog or Cat

It is often helpful to bring in additional pieces after the key b6 and c7 squares have been controlled. By bringing a cat and/or dog towards the c6 trap, Gold may eventually be able to move the elephant elsewhere on the board while still maintaining control around c6 with multiple pieces. As explained below, cats and dogs are best placed on either c5 or b6 after a trap has been fully controlled. A dog is sometimes strong enough to secure the vital c7 square, but that job is often best left to a horse or camel. It is not advisable to place any pieces on d6 unless absolutely certain that they will not be pushed towards the f6 trap!

## Positioning a Rabbit

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 4: With silver to move, the gold rabbit on c5 becomes a liability

A rabbit can be a very useful piece during a swarm attack but they can often be a liability for the attacker if the objective is to capture material. In diagram 4 with silver to move, it might appear at first glance that silver cannot prevent the loss of material at the c6 trap. However, there is one "nuisance move" at Silver's disposal that will delay a capture: hd6s Rc5n hd5w hc5e. If Gold responds with Rc6e Mc7s Mc6s Db3n then Silver will be able to counter with dc8s cd8s Rd6e cd7s. Although Gold should be able to win material in this tactical melee, the game will not proceed as smoothly as initially expected. This loss of time by Gold may not be a decisive factor in this game, but in many open, tactical games it is crucial to prevent nuisance or delaying tactics by the defender. Notice that Gold would have been able to immediately win material if it weren't for the rabbit on c5. Due to the weakness of the rabbit and its inability to retreat, they are much better employed for goal threats and blockades rather, and should normally be kept at least two spaces away from an important trap.

## Defending Against an Attack

The most important consideration for Silver’s defense of the c6 trap is the placement of pieces. If the trap is not defended by strong pieces, or if the pieces are misplaced, then Gold will easily be able to gain control of the key squares. Virtually all strong Arimaa players will setup their horses on the b and g files. This will allow the horses to defend the crucial b6 and g6 squares by taking just one step forward. A silver camel is also an excellent defender for the b6 square, but Gold could easily respond in that case by attacking the f6 trap instead. The camel is excellent at disrupting an Elephant and Horse Attack and, therefore, it is often best to keep the camel on c7, d7, e7 or f7 so that it is flexible enough to defend both traps. This is an important point, so it should also be stated from the attacker’s perspective: Gold should not attack with a horse unless the silver camel is far away and/or blockaded from approaching the trap in question. For example, if the silver camel is on f7, pulling silver rabbits onto d7 and e7 will make it much easier to conduct an Elephant and Horse Attack.

Silver can defend the c6 trap by placing horses on both the vital b6 and c7 squares. However, this would leave the f6 trap without a defending horse, and the opponent should always be expected to attack the weakest wing. In practice, most players will defend the c7 square (and similarly f7) with a cat and then place additional pieces on b7, c8 and d7 to prevent a horse or camel from pushing its way onto c7 via the c6 square. With the b6 and c7 entry points well defended, Gold will have to spend time disrupting Silver’s defenses before commencing an attack. One possibility for Gold would be to push/pull a piece from d7 to d5 with the elephant on d6. This creates an entry point at c7 for a strong piece while also flipping an enemy piece into the center of the board.

The defender should always look for opportunities to take an attacker hostage or frame a piece on the trap square. These opportunities present themselves quite frequently. Note that if the attacking elephant is pinned to the c5 square while a horse is framed on c6, then it will be possible for the horse to be pulled to d6 where it becomes forked between the c6 and f6 traps. This is yet another reason that the gold elephant should occupy the d6 square during an attack.

## Positioning After a Trap Is Fully Controlled

After Gold has controlled the c6 trap, it is often advisable to advance some weaker pieces towards the trap while maintaining a strong piece on c7 and an elephant on d6. Eventually, Gold could have enough pieces around the enemy trap to allow the elephant to move elsewhere on the board. If so, Silver may attempt to regain control of the c6 trap at a later time; it is important for Gold to control the crucial square c7 with a strong piece such as a horse or camel. Since Silver will often counter-attack from the east, the c7 square will usually become more important than the b6 square. Silver will be reluctant to move a piece to c5 if there is a risk of capture at c3, and so c7 and d6 (if there is no elephant there) will be the key infiltration points. If Gold can swarm the c6 trap with many weaker pieces, it will become extremely difficult and time-consuming for Silver to ever fully re-capture the trap.

If Gold gains full control over the c6 trap, the enjoyable task of trapping material becomes possible! Since Silver will probably have many pieces on the two back ranks, Gold will want a strong piece on the c7 square for trapping pieces standing on b7, c8 or d7. If Silver scatters the defenders, leaving a gap on c8, then Gold should immediately take the opportunity to advance a rabbit towards the gap. Gold should not normally finish a turn with a gold rabbit standing on c6 because that will allow silver to blockade the c8 square without any immediate risk of capture (due to the rabbit blocking the trap).

← [Advanced Tactics](http://en.wikibooks.org/wiki/Arimaa/Advanced_Tactics) · [Lone Elephant Attacks](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) →

← [Advanced Tactics](http://en.wikibooks.org/wiki/Arimaa/Advanced_Tactics) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Lone Elephant Attacks](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) →

# Lone Elephant Attacks

A Lone Elephant Attack is considered a very safe and cautious strategy and it was by far the most popular during the early years of Arimaa. As the name suggests, this attack requires only a single piece while the rest of the army stays behind. If both players employ the Lone Elephant Attack, it is known as a Dual Lone Elephant game.

## Objectives and Risks

## Reasons to use the Lone Elephant Attack

  * to push and pull enemy pieces toward the home trap
  * with a material advantage, it is safe and sound to use a Lone Elephant Attack if the other player is also doing so (i.e. mutual attrition in a Dual Lone Elephant game)
  * as a waiting strategy until weaknesses appear in the enemy position
  * as a waiting strategy until an overly aggressive opponent overextends his/her position
  * to disrupt the enemy defensive position
  * to directly attack a poorly defended enemy trap

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 1: Gold Elephant disrupts northeast trap defenses

In diagram 1, the Gold Elephant has pulled two Rabbits to the sixth rank and seriously disturbed Silver's defense of the northeast trap. The g6 square is a crucial defensive square, but it is occupied by the weakest defender. Since Rabbits cannot move backwards, it will be extremely awkward and time-consuming for Silver to later occupy the g6 square with a strong piece unless at least one of the Rabbits moves to the fifth rank. Therefore, the Gold player has the pleasant option of either continuing to pull the Rabbits with the intention of trapping them in the southeast trap or attempting to drive the Silver Camel away from the northeast trap in order to launch an [Elephant and Horse Attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks) (with the intention of placing the Gold Horse on the weakened g6 square). A third option for the Gold player would be to retreat to the home territory with the Elephant to prevent the Silver Elephant from pulling and pushing either a Cat or Camel to the e3 square. In the latter case, Silver's position would be safe from immediate material loss but a plan would be needed for re-positioning the Silver defenders. One option would be to move the Rabbits to h6 and h5 in order to free up the g6 square for the Camel or Horse or, for the very daring player, with the long-term intention of launching a [Multi-Piece Swarming Attack](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) against the southeast trap.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 2: Dual Lone Elephant game after 9s

The Dual Lone Elephant Game shown in diagram 2 ([from this game](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=4804&s=w)), featured attempts by both players to push and pull non-Rabbit pieces offside with the intention of later trapping or framing them. The difficulty with this type of strategy is that the opposing Elephant will often halt its own attack in order to help guide a threatened piece to safety. These types of openings can last for many, many moves without any captures until eventually one player makes a critical mistake or, perhaps, someone decides to pursue a multi-piece attacking strategy - or any other idea that alters the dynamic of the game. Notice, however, that the d- and e-file Rabbits were vulnerable for the entire opening phase of this particular game. For example, Silver could have focused right from the beginning of the game on pulling the Gold Rabbits from d1 and e1 to d2 and e2 and then to d3 and e3, respectively. From there, they would have become obstacles for any Gold pieces that wanted to shift from one home trap to the other. Furthermore, the Rabbits could later be pulled towards the middle of the board where they are especially vulnerable. For these reasons, Lone Elephant Attack enthusiasts learned over the years that it is advantageous to place Rabbits on a2, h2, a7 and h7 so that the d1, e1, d8 and e8 squares can be occupied by Cats and Dogs (and sometimes a Camel).

## Risks Involved with the Lone Elephant Attack

  * Advancing an Elephant beyond the 6th rank, or on the outside of an enemy trap, may expose it to a blockade.
  * The opposing player may commence a multi-piece attack if the Elephant wanders too far from the home traps.
  * Enemy Rabbits dragged towards the home traps, but not captured, may later become goal threats.
  * Attempting a Lone Elephant Attack against an aggressive player may result in a cramped position as the home territory is likely to become congested and the home traps contested.

## Ideal Placement of Pieces

Though it is often necessary to send the Elephant deep into enemy territory during a lone Elephant attack, it is always vital to ensure that the Elephant will not become blockaded, that the opposing player is not about to launch a multi-piece attack and that no strong pieces, such as the Camel, are at risk of becoming a hostage. The center of the board is not normally congested during a Lone Elephant Attack and so it should be possible to retreat the Elephant to either home trap, if necessary. If the middle of the board does become congested then both players should consider the possibility of multi-piece attacks.

The Camel should either be located back and center to keep it as safe as possible from the enemy Elephant or, for the more daring player, on the outer files as a latent attacking threat. There is no consensus on whether it is advantageous to place the Camel on the 2nd rank behind a home trap.

Horses are very adept at defending the home traps on the 'b' and 'g' files, especially during the Lone Elephant Attack and there are multiple reasons to setup with the Horses on these files. Enemy units that are dragged toward the home trap by the Elephant can eventually be held hostage, framed or captured by strong pieces near the home trap, such as Horses. It is easier to commence an Elephant and Horse Attack and more difficult for the opponent to commence an Elephant and Horse Attack (this attack is covered in a later chapter) if the horses are positioned on the 'b' and 'g' files.

Dogs and Cats play a strictly defensive role in the Lone Elephant Attack and they are potential targets of the enemy Elephant if they can be immobilized beyond the 2nd rank. If the Dogs and Cats are kept in the middle files, they can virtually always be kept safe by the Elephant against a Lone Elephant Attack. The opening phase of the game tends to stagnate if one player attempts to drag Dogs and Cats while the defending Elephant prevents them from being pushed and pulled astray.

Rabbits are often targeted during the Lone Elephant Attack due to their weakness, their inability to retreat, the ease with which they are framed (i.e. no unit is required on the 4th rank) and the possibility of using an enemy Rabbit to blockade a stronger enemy piece. Therefore, before committing to a Dual Lone Elephant game, it is important to determine which player has the more vulnerable Rabbits. A player with poorly positioned Rabbits should either use a completely different system or determine to use the Lone Elephant Attack with the intention of targeting some stronger pieces. An Elephant that is determined to pull enemy Rabbits during the opening phase cannot be thwarted unless the opposing player can create a blockade or distractions and counter-threats.

## Defensive Systems and Counter-Attacks

Against an opponent that is pulling strong units with his/her Elephant, there are defensive and counter-attacking options:

  * use the Elephant to prevent friendly pieces from being pulled astray - this type of opening can become pointless if neither player makes any progress after many moves
  * use a [Dual Lone Elephant strategy](http://en.wikibooks.org/w/index.php?title=Arimaa/Dual_Lone_Elephant_Strategies&action=edit&redlink=1) to target vulnerable enemy pieces
  * launch a multi-piece attack on the opposite wing to distract the enemy Elephant
  * launch a multi-piece attack on the same wing, possibly turning the threatened piece into an attacker!
  * launch a [swarm attack](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) to save the piece and possibly blockade the enemy Elephant

Against an opponent that is pulling Rabbits it is best to counter-attack rather than defend. The options are simliar:

  * use a Dual Lone Elephant strategy to target vulnerable enemy pieces - if both players decide upon a Rabbit-pulling strategy then Rabbits may become a scarce resource for both sides. Eventually one player will decide to break off the Lone Elephant Attack to preserve a threatened Rabbit and the game will assume a livelier, more complex character
  * launch a multi-piece attack on the opposite wing to distract the enemy Elephant
  * launch a swarm attack on the same wing as the threatened Rabbit - in effect, the enemy Elephant will pull a Rabbit forward and then several more pieces will voluntarily follow!

Note that many of the counter-attacking strategies discussed above are covered in later chapters.

## Ideas for Setup

![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold has used the [99of9 setup](http://en.wikibooks.org/wiki/Arimaa/Playing_The_Game#Setting_up), while Silver put all his Rabbits on the home rank. If Silver launches a Lone Elephant attack his d8 and e8 Rabbits will be vulnerable to being pulled.

An idea popularized in 2004 for Rabbit-pulling strategies is to place 4 Rabbits on the 'a' and 'h' files and to place Dogs and/or Cats in the back middle ranks. This has proven to be an effective system for defending against the Lone Elephant Attack for several reasons:

  * the enemy Elephant will not be able to drag pieces from the back middle due to the lack of Rabbits and the ease with which Cats and Dogs can be protected on the middle home rank
  * if the enemy Elephant attacks on the wings then it will take longer to return home if its diagonally opposite trap is attacked, or it may be vulnerable to a blockade in some circumstances
  * if the enemy Elephant attempts to pull a stronger piece from the 'b' or 'g' file then the 'a' or 'h' file Rabbit can be advanced to unfreeze the stronger piece with one fewer step
  * Rabbits can be advanced on the perimeter more safely than in the middle
  * Rabbits advanced up the middle of the board may be used by the enemy to blockade the friendly Elephant in the 6th rank middle
  * players that prefer to generate goal threats on the outside rather than the middle of the board also enjoy stacking rabbits on the 'a' and 'h' files

Deciding whether to place a Cat or Dog behind the home traps is a matter of personal preference. If the trap is attacked by a strong enemy force then it is better to have a weaker, more expendable piece behind the trap. On the other hand, if an enemy Dog is dragged to the home trap, a Dog can participate in a frame without assistance. Some players have experimented with Rabbits behind the home traps, but their vulnerability to enemy Elephants has limited the popularity of this idea.

There is no consensus as to whether Camels are more effective on the wings, behind home traps or in the middle. Players can experiment to discover the setup that suits their personal style.

Placing eight Rabbits on the home rank is not a very popular setup amongst Lone Elephant enthusiasts due to the ease with which the central pair can be pulled by an Elephant.

## Dual Lone Elephant Strategies

In a Dual Lone Elephant game, both players may be content to pull pieces on opposite wings and engage in a slow but steady war of attrition. Eventually the goal defenses will become weakened and/or Rabbits will become scarce and it will become advantageous to attack an enemy trap. If a player has decided to switch to a more aggressive attack, it is sometimes beneficial to devote time to re-arranging key pieces more favorably while the opponent continues with the Lone Elephant Attack. Then, at the last possible moment, attack the enemy trap to save the piece being pulled. However, this strategy does not work in all cases so some judgement is required.

If both players target Rabbits with their attacking Elephants, eventually Rabbits will become scarce and they should be considered more valuable than Cats and Dogs, and in extreme cases, Horses and Camels (especially the final 2 Rabbits). Goal threats are extremely important in an endgame with mutually depleted armies and the value of Rabbits should not be underestimated.

## Illustrative Games

## Frank Heinemann vs Paul Lefert, 2005 Postal Championship

In this Dual Lone Elephant game, both players set up their armies in identical fashion and attempted to disrupt each others' defensive positions with sweeps beneath the traps, threats to push stronger pieces into the center of the board and Rabbit pulls along the perimeter. However, Gold was able to continually trap the Silver Rabbits while Silver had little success doing likewise to Gold. The patient and precise technique used by Gold in this game is highly instructive.

[Gameboard](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=13011) | [Comments](http://arimaa.com/arimaa/gameroom/comments.cgi?gid=13011)

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram (1a) after 4s

After 4 moves, a typical opening position has been reached. Both Elephants have been positioned on the b-file for the double threat of a rabbit pull along the a-file, or to dislodge the enemy Horse from its current square. Unfortunately, this latter objective will prove fruitless with both Elephants on the b-file. For example, Gold continued with 5g Eb5w hb6s hb5e Ea5e after which Silver was easily able to retreat his Horse with 5s eb4e Hb3n hc5n me7w. Notice that Silver has taken a step to the west with the Camel in order to discourage an [Elephant and Horse Attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks). However, Gold can easily continue the attack against the northwest pieces with the lone Elephant. Play continued 6g Hb4s Eb5n Hb3s 6s hc6s hc5e ec4e ed4s 7g Eb6s Eb5e Hb2n Cd2s 7s hd5e cd6e ce6n he5n 8g Ec5w Eb5n Eb6n Df2n 8s md7s ed3s Me2n ed2e 9g dc7s Eb7e Me3w Md3w.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram (2) after 9g

  


← [Positioning for an Attack](http://en.wikibooks.org/wiki/Arimaa/Positioning_for_an_Attack) · [Elephant and Camel Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Camel_Attacks) →

← [Positioning for an Attack](http://en.wikibooks.org/wiki/Arimaa/Positioning_for_an_Attack) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Elephant and Camel Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Camel_Attacks) →

# Elephant and Camel Attacks

## Objectives and Risks

The Elephant and Camel Attack is a powerful attack that commits the two strongest pieces against the same enemy trap. This attack is not frequently seen in practice due to the risk of a [Camel hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage) and the unbalanced distribution of forces. However, there are select situations where this attack can be used advantageously.

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6 trap. Naturally, the same theories apply equally to attacks against all 4 traps.**_

## Objectives

  * Trap enemy pieces when the enemy Elephant is too far away to defend the trap.
  * Create a wall with two strong pieces so that a Rabbit may be advanced along the outside.
  * Distract the enemy Elephant from the opposite wing.
  * Encourage a Camel hostage if the attacker believes the Camel hostage will be disadvantageous for the defender.
  * Encourage a Camel hostage if the defender must lose piece(s) in order to take the hostage.
  * Encourage a Camel hostage in order to attempt an [Elephant blockade](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade).
  * Encourage a Camel hostage with the intention of [swarming](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) the trap with small pieces and releasing the attacking Elephant.

Note that some of the strategic objectives above can be achieved with a Lone Camel Attack.

Without question, the largest risk associated with the Elephant and Camel Attack is the risk that the Camel will be taken hostage. The defending Elephant often charges at an attacking Camel like a bull at a red cape. A position may become strategically lost for the attacking player if the Camel is taken hostage, and therefore advancing the Camel into enemy territory is not a decision to be taken lightly.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram 1: Gold uses the two strongest pieces to open the path for a Rabbit advance

  
In diagram 1 to the right, Gold has taken full advantage of the unfortunate position of the Silver Elephant, which is decentralized and far removed from the northwest quadrant of the board. Seizing the opportunity to use an Elephant and Camel Attack, Gold has focused on pushing the Silver pieces east in order to clear a path for a Rabbit advance. Although Silver can temporarily stop the Rabbit from scoring, Gold can easily control the c6 trap and gain a large material advantage, or perhaps continue to press for a quick goal. As a general rule of thumb, it is preferable to place an attacking Elephant on d6 rather than c5 but the attacker should always consider the objectives in order to determine the optimal squares for the attacking pieces. In this case, the Elephant and Camel do very well on c5 and c7 and Silver will have a difficult time moving defenders to the a and b files. Note that if Gold did not have the Rabbit on a6, then Silver would be able to defend the position much more easily by playing a move such as rd6w dd3n md5n rd8w. The threat of goal will force Silver to play a move such as rd8w ce7n ce8w rc8w, allowing Gold to control the c6 trap with Ec5w Eb5e rb6s Ra6e.

## Risks

  * The Camel may be taken hostage. This situation is covered in detail later in the chapter.
  * The Camel may be framed. This rarely occurs in practice and is not a disadvantage for the attacker if the Elephant is pinned to the d6 square.
  * The Silver Elephant may stand on c5, stopping any trap threats from Gold’s two strongest pieces without decentralizing the Silver Elephant while also allowing the Silver Camel to operate on the opposite wing.
  * Committing the two strongest pieces to the attack will leave Gold with weakened home traps.

## Ideal Placement of Pieces

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6 trap. Naturally, the same theories apply equally to attacks against all 4 traps.**_

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold controls the c6 trap by placing a Camel on b6 and an Elephant on d6.

When attacking an enemy trap, a very effective plan is to place the Camel on b6 and the Elephant on d6. The advantages of these squares are:

  * if the enemy Elephant cannot reach c5 it is usually difficult for the defender to move a weaker piece to c5, making it problematic to defend the trap – even if a piece can reach c5 it may still be in danger of being pushed towards the c3 trap
  * if the Camel is taken hostage it will be safe from the f6 trap and the enemy Elephant will become decentralized
  * the Camel is located as far as possible from the enemy Elephant while still maintaining a convenient escape route along the ‘a’ or ‘b’ file
  * a devastating Camel fork on d6 cannot occur while the Elephant occupies the square
  * if the Silver Elephant is hostage-holding on the b6 square when the Gold Elephant occupies d6, the Silver Elephant cannot easily defended the f6 trap, if required
  * the defensive position becomes highly cramped

After the attacker has completely controlled the trap, the attacker may shift the Camel to the c7 square. Some players even prefer to place the Camel on c7 at the very beginning of the attack, rather than on b6; both are effective strategies with the gold Elephant on d6. From the c7 square, the Camel can repeatedly capture any piece that occupy the c8 square for goal defense. If Silver abandons the c8 square, then Gold should advance a Rabbit toward the gap, if practicable to do so. The drawback to placing a Gold Camel on c7 is that it becomes more difficult to flee if the Silver Elephant approaches c5.

Sometimes a third attacker is advanced in order to secure the trap. It is best to avoid calling up a Horse into the attack unless absolutely necessary as the Gold army will become unbalanced and the home traps may be seriously weakened and vulnerable. Often a Rabbit is advanced along the outside either to assist in a potential escape, by unfreezing the Camel, or to create a goal threat in order to prevent a scattering by the defender.

## Defensive Systems and Counter-Attacks

[Arimaa/Elephant and Camel Attacks/Defensive Systems and Counter-Attacks](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_and_Camel_Attacks/Defensive_Systems_and_Counter-Attacks&action=edit&redlink=1)

## Ideas for Setup

[Arimaa/Elephant and Camel Attacks/Ideas for Setup](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_and_Camel_Attacks/Ideas_for_Setup&action=edit&redlink=1)

## If Enemy Camel Has Been Trapped

[Arimaa/Elephant and Camel Attacks/If Enemy Camel Has Been Trapped](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_and_Camel_Attacks/If_Enemy_Camel_Has_Been_Trapped&action=edit&redlink=1)

## Illustrative Games

[Arimaa/Elephant and Camel Attacks/Illustrative Games](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_and_Camel_Attacks/Illustrative_Games&action=edit&redlink=1)

  


← [Lone Elephant Attacks](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) · [Elephant and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks) →

← [Lone Elephant Attacks](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Elephant and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks) →

# Elephant and Horse Attacks

## Objectives and Risks

The Elephant and Horse Attack (commonly known as the “EH Attack” or “E+H Attack”) is a very popular system and is seen much more frequently than the [Elephant and Camel Attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Camel_Attacks) due to the high risks involved with the latter. The important distinction is that the attacker’s Camel remains safe during an Elephant and Horse Attack and can be used to counterbalance the defender’s Camel. In the Elephant and Camel Attack, by contrast, the defender’s Camel becomes quite powerful if the attacking Camel is taken hostage and the cost for abandoning the hostage is more severe for the attacker. The Elephant and Horse Attack is currently very effective against the best computer programs but there is not yet a consensus in the Arimaa community as to whether the E+H Attack is the best system to use against a strong human defender.

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6 trap. Naturally, the same theories can apply equally to attacks on all 4 traps.**_

Reasons to use the Elephant and Horse Attack:

  * to trap enemy pieces when the enemy Elephant is too far away, or unable, to defend the trap
  * to create a wall with two strong pieces so that a Rabbit may be advanced along the outside
  * to distract the enemy Elephant from the opposite wing
  * to encourage a Horse hostage in order to decentralize the enemy Elephant
  * to encourage a Horse hostage in order to attempt an [Elephant blockade](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade)
  * to encourage a Horse hostage with the intention of [swarming](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) the trap with small pieces and releasing the attacking Elephant

Summary of risks (assuming Gold attacks the c6 trap):

  * the Horse may be taken hostage
  * the Horse may be framed – this is a major disadvantage if the attacking Elephant is pinned to the c5, b6 or c7 square
  * the opposing player may be able to begin an attack on the trap just vacated by the Horse and/or Elephant

## Ideal Placement of Pieces

The attacker should employ the Elephant and Horse attack against a trap that does not have a defending Camel. It is often disastrous if the Horse is taken hostage by the Camel and the attacking Elephant becomes decentralized during a rescue operation.

When attacking an enemy trap, a very effective plan is to place the Horse on b6 and the Elephant on d6. The advantages are:

  * if the enemy Elephant cannot reach c5, it is usually difficult for the defender to place a piece on c5, making it problematic to defend the trap – even if a defender can reach c5 it may still be in danger of being pushed towards the c3 trap
  * if the Horse is taken hostage it will be safe from the f6 trap
  * if the Horse is framed, the Elephant is ideally placed on d6 – it can be quite disadvantageous for the attacker if the Gold Elephant is pinned to c5, b6 or c7
  * the Horse cannot become forked on the d6 square while the Elephant is standing there!
  * the Horse is located as far as possible from the enemy Elephant and Camel while still maintaining a convenient escape route along the ‘a’ or ‘b’ file – this becomes especially important if the Gold Elephant ever moves away from the c6 trap
  * the Horse can effectively assist an advancing Rabbit on the ‘a’ file
  * if the Gold Horse occupies b6, then the Silver Horse is denied its ideal defensive square
  * the defensive position becomes highly cramped

If there is a Silver Rabbit on d8, it is usually a good idea to pull it to d7 with the Elephant:

  * it will become an obstacle for a Silver Camel that is located behind the f6 trap
  * the Rabbit may be captured after Gold controls the c6 trap
  * a Silver defender is removed from the back rank for the benefit of any advanced Gold Rabbits

The attacking Horse can also occupy the c7 square rather than the b6 square in order to capture an enemy piece on c8, just as a Camel often does during an Elephant and Camel Attack. However, this is sometimes dangerous for the attacking Horse and some players prefer to simply leave the Horse at b6. The major problem is that during an Elephant and Horse Attack on c6, the enemy Camel often lurks at a nearby square, such as f7. And that Camel would love nothing more than to hold the Horse hostage behind the c6 trap in order to either paralyze the Elephant, or lure it behind the trap. Before the Gold Horse is moved to c7, it is prudent to ensure that the Silver Elephant cannot create any threats that will distract the Gold Elephant from the c6 trap.

If the defender has many pieces near the trap, it may be necessary to advance a third attacker in order to quickly seize control of the trap. If possible, the third attacker should be a Dog, or weaker, so that the other Horse and the Camel can be used defensively.

## Defensive Systems and Counter-Attacks

There are a few simple and effective prophylactic measures that the defender can use to prevent or delay the Elephant and Horse Attack. By placing defending Horses on the outside of both traps (on the ‘b’ and ‘g’ files), the enemy will need to devote some extra moves to first pull the Horse away from the square, then occupy it with the attacking Horse. The defending Elephant will usually arrive on the scene long before the attacker can accomplish his/her objectives. A second possibility is to guard the trap with both a Camel and a Horse – of course, the opposing player may simply attack the other trap in that case! A third preventative measure commonly used is to threaten an Elephant and Horse Attack on the same wing. For example, if Horses are defending traps at b3 and b6 and then Gold Elephant moves to the b5 square, the Silver Elephant can simply move to the b4 square and neither player will successfully carry out the Elephant and Horse Attack – not yet.

If the prophylactic measures fail, and the opposing player does carry out an Elephant and Horse Attack there are several defensive options:

  * occupy the c5 square with the Elephant in order to neutralize the attack
  * take the Horse hostage with the Elephant – current Arimaa theory considers this to be a dubious decision
  * use the Camel, possibly with supporting pieces, to counter-attack on the opposite wing – there is a risk involved because the Gold Elephant may decide to abandon the Horse in order to pursue the Silver Camel
  * launch an Elephant and Horse Attack on the same wing – if both armies can maintain 2 defenders on the traps then a curious, but temporary, stalemate sometimes occurs
  * launch an Elephant and Horse Attack on the opposite wing – this is much riskier than an attack on the same wing because mutual attrition followed by a Rabbit race on opposite wings becomes a distinct possibility
  * create a distraction for the Gold Elephant so that the c6 trap will be abandoned

Another tactic that the defender can use with the Silver Elephant on c5, Silver Horse on b7 and Gold Horse on b6 is to pull the attacking Horse down to b5 (returning the Elephant to c5) and then move the defending horse onto b6. From the d6 square, the Gold Elephant cannot assist the Gold Horse in returning to b6. Similarly, if there was a defending piece on c7, the Silver Elephant could pull the Gold Horse to c6 and then occupy b6 with the Silver Horse. This would force the Gold Horse to escape through the c7 square (if possible) in order to avoid being framed.

## Ideas for Setup

An Elephant and Horse Attack can be commenced with the first moves of the game, and for this reason nearly all players setup either Horses or the Camel on the b2, g2, b7 and g7 squares. The Horses on these files have the dual purpose of threatening, and defending against, an Elephant and Horse Attack. A balanced distribution of forces is essential for defending against an attack; if one home trap is defended with 2 Horses and a Camel, the opposing player is likely to attack the opposite trap.

Most players like to assign their Camels in a defensive role during the opening of the game. For those players, the Camel is an ideal defender against the Elephant and Horse Attack and is often setup in the middle or behind a trap and, more importantly, the Camel’s mobility should be maintained during the game so that it can easily move from one home trap to the other. Players that do not use the Camel defensively against the Elephant and Horse Attack may setup with it located on the ‘a’, ‘b’, ‘g’ or ‘h’ file for possible offensive action.

Dogs and Cats are very often setup behind the home traps. They are very effective in those positions but they will require three supporting pieces to maintain a Horse frame on the trap. Another possibility is to setup Dogs and Cats on a2, a7, h2, or h7 for the job of unfreezing the trap defenders that are attacked by the enemy Elephant on the ‘b’ and ‘g’ files. This is sometimes preferable to advancing Rabbits for the same purpose.

At the current time, most players like to setup four Rabbits on the ‘a’ and ‘h’ files and no Rabbits on the ‘d’ and ‘e’ files. There are several ideas behind this setup related to this chapter:

  * Rabbits in the middle of the home territory may become obstacles for defensive pieces that desire to move between traps, especially on the 2nd and 3rd ranks
  * if the enemy Elephant attempts to pull a stronger piece from the 'b' or 'g' file then the 2nd rank 'a' or 'h' file Rabbit can be advanced to unfreeze the stronger piece with one fewer step than a 1st rank ‘a’ or ‘h’ file Rabbit
  * Rabbits can be advanced on the perimeter more safely than in the middle
  * outside, 2nd rank Rabbits are one step closer towards participating in an Elephant blockade on the ‘b’ file
  * Rabbits advanced up the middle of the board may be exploited by the enemy to blockade the friendly Elephant in the 6th rank middle
  * players that prefer to generate goal threats on the outside, rather than the middle of the board, like to stack extra Rabbits on the 'a' and 'h' files

Against an opponent that enjoys using the Elephant and Horse Attack, it is not recommended to place Rabbits behind a home trap on c2, f2, c7 or f7. They are awkward and vulnerable defenders against the E+H Attack.

## If Both Camels Have Been Trapped

If each player traps the enemy Camel plus one Horse, the strategic situation will be identical to the one that arises after all four Horses are trapped and the Camels remain on the board (because the relative strengths and distribution of pieces are equivalent). Therefore, if each side has no Camel and one Horse, the Elephant and Horse Attack contains all of the risks that would be associated with an Elephant and Camel Attack with four pieces removed from the board. As such, both players should consider alternative strategies that do not expose the second strongest remaining piece to a hostage situation.

## If Attacker’s Camel Has Been Trapped

If the attacker has already lost the Camel (hopefully some compensatory enemy piece(s) were captured), then the Elephant and Horse Attack is usually a strategic mistake. It involves all of the same risks that were discussed in the Elephant and Camel Attack chapter due to the power of the unopposed enemy Camel; only in exceptional circumstances would the attack be beneficial.

A player that has lost the Camel but gained smaller piece(s) as compensation should instead consider strategies that involve goal threats, blockades, obtaining a Camel hostage, or creating an open tactical game in which the enemy Camel cannot effectively participate.

## If Defender’s Camel Has Been Trapped

If the opposing player has already lost the Camel in exchange for a couple of weaker pieces, there are differences of opinion amongst Arimaa experts about whether the side with the Camel should use the Lone Elephant Attack or the Elephant and Horse Attack. The ideal strategy can vary considerably from one situation to the next, so both players will need to rely upon judgement and experience rather than relying upon rules carved in stone.

## Horse Frame Theories

← [Elephant and Camel Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Camel_Attacks) · [Elephant and Minor Piece Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Minor_Piece_Attacks) →

← [Elephant and Camel Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Camel_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Elephant and Minor Piece Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Minor_Piece_Attacks) →

# Elephant and Minor Piece Attacks

This chapter addresses attacks with an Elephant and Dog(s), Cat(s) and/or Rabbit(s). These types of attacks are rarely seen in the opening because the defensive setup on both sides is normally too sturdy to allow a successful attack by such weak invaders. Therefore, most of the situations covered will deal with the middlegame or endgame.

## Objectives and Risks

## Reasons to use an Elephant and Minor Piece Attack

  * to capture enemy pieces in a trap that is defended only by weak pieces such as Cats and Rabbits
  * to create a counter-attack when the Camel and Horses are under attack on the opposite wing
  * to generate goal threats in the endgame
  * to facilitate the hostage-taking of a strong defender
  * to allow attacking opportunities for Horses and Camels by distracting the enemy Elephant
  * because all the Horses and Camels have been exchanged off the board
  * to blockade the enemy position (see chapter on Multiple Piece Swarming Attacks)

## Risks associated with Elephant and Minor Piece Attacks

  * multiple weak attackers may be taken hostage or framed
  * if the Elephant is forced to move to another quadrant, pieces may be trapped
  * the home trap defense may be seriously weakened and the goal defense may be compromised
  * hostage-taking attempts decentralize the attacking Elephant
  * the attacking side may not be able to hold the crucial b6 square
  * an Elephant and Rabbit Attack is likely to result in the Rabbit being framed on the c6 square, unless the trap is defended only by Rabbits

## Ideal Placement of Pieces

The best squares for the attacker will depend upon the objective of the attack. During an Elephant and Dog Attack against Cats and Rabbits, the same rules of positioning apply as discussed in the Elephant and Horse Attack: the Dog on b6 and Elephant on d6 is usually optimal.

In order to facilitate the hostage-taking of a strong defender occupying the b6 square by the attacking Elephant on the d6 square, any non-Rabbit should move to c5 so that the Elephant can occupy b6 and force the defender south. Unfortunately, the attacking Elephant will become decentralized and the process of dragging the hostage to the home trap is slow. This tactic should only be used against a Camel and only if the decentralized Elephant will not jeopardize the defenses on the opposite wing. In most situations this plan is too slow to be effective.

If the attacker is attempting to advance a Rabbit toward the goal rank, it is beneficial to place a Dog or Cat on c7 on a depleted board during the endgame, but it is normally too risky to do so during the middlegame. It is usually a mistake to place the Elephant on c7 due to the major strategic drawbacks of a decentralized Elephant. The Elephant should only occupy c7 if it can force the gain of significant material or a decisive goal threat.

## Defensive Systems and Counter-Attacks

[Arimaa/Elephant and Minor Piece Attacks/Defensive Systems and Counter-Attacks](http://en.wikibooks.org/w/index.php?title=Arimaa/Elephant_and_Minor_Piece_Attacks/Defensive_Systems_and_Counter-Attacks&action=edit&redlink=1)

## On a Depleted Board

If many strong pieces and Rabbits have been trapped from both sides then an Elephant and Dog Attack or Elephant and Cat Attack will actually be a fairly strong attack. In addition, due to the large number of pieces exchanged off the board, there will be little advantage for the defender to attempt a hostage-taking or frame. Therefore, players can attack more often in these positions and play more aggressively without the usual risks. Also, the Rabbit-advancing strategies work more effectively after an enemy trap is controlled during the endgame so the reward for aggressive Rabbit play increases as well.

## Burrowing with a Rabbit

If the Silver player has positioned Rabbits on a8 and b7 then the Gold player may decide to advance a Rabbit to the a7 square. Even though Silver can halt the goal threat very easily by sliding a Rabbit to b8, this strategy of burrowing a Rabbit in enemy territory can have potent long-term advantages. If the trap is ever abandoned by Gold, it would require more than one full move for Silver to capture the Rabbit. While this may not seem difficult, Arimaa middlegames are often sharp and both players continuously find ways to distract the enemy pieces with goal threats, hostage threats, etc. so that it is not possible to carry out the simplest of objectives. Therefore, a Rabbit burrowed in enemy territory may survive for dozens of moves even if the defender has prioritized the Rabbit capture near the top of his/her list. One Rabbit burrowed in enemy territory may tie three or more Rabbits to defensive duty, thus preventing counter-threats from an entire wing! Furthermore, the defender will also need to keep at least one strong defender near the b6 and c7 squares in order to discourage an assault on the position. If a player can burrow Rabbits on both wings, it can be a major source of strain on the defender, both on the board and psychologically. On the flip side, the player with the burrowed Rabbit(s) is under pressure to either continually produce threats to distract the enemy or risk losing some very valuable advanced Rabbits. Stationing an Elephant beside a trap square on a long-term basis to protect a Rabbit is not usually an option unless it is the last or next-to-last Rabbit in the army.

## Illustrative Games

## Paul Mertens vs. Toby Hudson, 2006 WC, Round 5

[Gameboard](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=22770) | [Comments](http://arimaa.com/arimaa/gameroom/comments.cgi?gid=22770)

In this Arimaa 2006 World Championship game, Gold launches a crushing Elephant and Dog Attack during the early stages. By the 14th move it is already too late for Silver to stop the attack without losing material elsewhere.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram (1a) after 10s

After 10 moves, Silver appears to have the stronger attacking position, as seen in diagram (1a). The Horse on a2 is threatening a Rabbit-pull while the Silver Camel can either attempt to drag the Gold Horse from g3 to the northeast trap or displace the Horse in order to purse an Elephant and Camel Attack against the southeast trap. Meanwhile, the Gold Elephant has no immediate prospects other than a distant Horse hostage in the southwest or some Rabbit-pulling in the northwest. However, as the game played out, Silver was not able to create any strong threats before a sudden Elephant and Dog Attack against the c6 trap. Play continued in interesting fashion, 11g Dc2n Rc1n Hb3w Dc3w, as Gold decided to blockade the Silver Horse. Silver could have ignored that corner of the board and continued with an aggressive attack against the f3 trap (or played ee3s Mf3w Me3n Ee2n with a long-term camel hostage threat), but instead chose 11s ee3w ed3s mg4n Hg3n. Gold responded with 12g Rh3n Hg4s Eb5e Ec5e, which not only protected both the Gold Horse and Camel, but centralized the Elephant with some long-term threats against the Silver Camel on g5 and the Dog on d6.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram (1b) after 12g

  
Looking at diagram (1b), it is clear that the northwest trap is quite weak, but Silver continues with the rescue operations in the southwest quadrant, 12s ed2n Rc2e Rb2e ha2e, possibly in the hopes of pushing towards an Elephant and Horse Attack. However, Gold had a clever two-move plan in mind. It began with 13g Cd1w Db3n Ha3e Ra1n, and although the Silver Horse is no longer blockaded on b2, the Gold Horse effectively obstructed its return to b6 (the upcoming Elephant and Dog Attack could not have succeeded if the Horse were returned to b6), the Dog has moved into attack position and the Cat has occupied c1 so that Silver cannot begin an Elephant and Horse Attack without first pushing the Gold Rabbit to c3. This slow attack on c3 would be no match for Gold's threatened attack against c6. Silver could have averted disaster by unfreezing the d6 Dog and then moving it 2 steps to the west and then taking one step to the east with the Camel to avoid a potential hostage situation. However, Silver only noticed the latter threat and play continued 13s Rc2n hb2e ed3e mg5e 14g Db4n Db5n dd6n Ed5n, as shown in diagram (1c).

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Diagram (1c) after 14g

  
Gold has successfully launched an Elephant and Dog Attack. Normally, the Horse would be sent into the attack during the opening phase, rather than the Dog, but Gold has correctly determined that no Horse or Camel can disrupt the Elephant and Dog Attack and that the Gold Horse makes an excellent defender on the b3 square. There is no reason to attack with the Horse when a weaker piece can do the job just as effectively. Silver's upcoming loss of material is inevitable, so he had to find the best plan to minimize the damage. Ordinarily, the safest course of action would be to return the Silver Elephant to c5 so as to neutralize the Elephant and Dog Attack. Unfortunately, that defensive measure is insufficient for it would allow Gold to step the c3 Rabbit one square north and move the Camel over to c3. When defensive measure don't work, it's best to counter-attack elsewhere. The best counter-attack would distract Gold for at least 2 steps so that there would not be enough remaining steps to capture the Silver Cat. Such a counter-attack does not exist in this position. The Gold Rabbit on h4 could be dragged towards the f6 trap, and captured in 2 moves. However, Gold could respond by trapping both a Cat and a Dog in the c6 trap while Silver focused on capturing the Rabbit! Instead, Silver countered with the logical reply, 14s mh5w mg5s Hg3e mg4s, but it wasn't enough. Gold was able to capture the Cat with three steps while defending f3 with a single step: 15g Mf3n Db6n cc7s cc6x Db7e. Note that the Dog has been relocated to c7 from b6. Ordinarily that is a dangerous square for a Dog but the Silver Horses and Camel are so far away that Gold has decided that the Dog can be safely placed on c7 in order to threaten the c8 Rabbit.

← [Elephant and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks) · [Multi-Piece Swarming Attacks](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) →

← [Elephant and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Multi-Piece Swarming Attacks](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) →

# Multi-Piece Swarming Attacks

## Objectives and Risks

Swarming attacks are highly dangerous attempts to smother the opponent and/or control an enemy trap with a large number of pieces. This type of attack is only rarely seen in the opening phase of the game, but many players will use this attack if an opportunity arises to blockade an enemy Elephant or work towards a win by immobilization. If a swarming attack is attempted during the opening phase, the attacking play will often either fail miserably and lose a considerable number of pieces in rapid succession, or will succeed brilliantly when the defender is crushed under the weight of the attack.

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6 trap. Naturally, the same theories can apply equally to attacks on all 4 traps.**_

Reasons to use a Multi-Piece Swarming Attack:

  * to smother the enemy so that an entire wing is effectively immobilized
  * to establish a space advantage, possibly controlling the center
  * to blockade the enemy Elephant, possibly with the intention of freeing the attacking Elephant from the c6 trap
  * to create long-term goal threats from burrowed and advanced Rabbits

Summary of risks (assuming Gold attacks the c6 trap):

  * If a swarming attack fails, and attacking Elephant is lured away by a counter-attack, the weaker pieces in the swarm will suffer high casualty rates, especially the Rabbits.
  * If a Camel is used to secure b6, it may be taken hostage.
  * The swarming player's goal defense and/or home trap defense will be weakened due to the high number of pieces required in a swarm attack.
  * The attacking Elephant may become blockaded on d6, possibly with friendly Rabbits locked into the d5 and e5 squares.

## Ideal Placement of Pieces

A swarming attack often begins with the Gold Elephant on d6. The Elephant may have to get comfortable on that square, because it will often be pinned there for many moves.

It is absolutely essential for Gold to control the b6 square if a swarming attack has any chance of success. A strong piece can be lodged onto b6, or less commonly, a weak piece can be secured on the square by blockading the entire position, preventing the defender from accessing b6. An exception occurs if the enemy Elephant is located on b6, for example in a hostage situation. Because the attacker cannot take the b6 square, it is often best to attempt a blockade, including an attacker on c6. If the attacker succeeds in controlling b6 or blockading the enemy Elephant, it is sometimes possible to rotate the Gold Elephant off d6 in order to pursue the Silver Horses or Camel.

If the attacker can create goal threats, it is beneficial to have a very strong piece on c7. The Elephant should not be stationed on c7 unless there is a very compelling reason, such as a powerful goal threat.

## Defensive Systems and Counter-Attacks

In order to understand the best defensive techniques, it is essential to understand the objectives of the attacking player. If the Gold Elephant is pinned on d6 with a Rabbit framed on c6, and a defending Horse is positioned on b6, then Silver can build a sturdy defense by placing the Silver Elephant on c5.

There are only three obvious strategies for the attacker in that situation:

  1. Use the Camel to control b6 or drag the horse to the home trap with the idea of luring the Silver Elephant away from c5.
  2. Move the Camel to b6 in the hopes of it being taken hostage, then attacking the enemy Elephant with a swarm of potential blockaders.
  3. Repeatedly drag defending Rabbits and other small piece towards the c3 trap to gain material and soften Silver's goal and trap defenses.

These positions can be difficult and it is benefiical to study example games in order to learn the strategies.

While it is tempting to counter-attack against the f3 trap - which may be weakened - and/or advance Rabbits against a Swiss-cheese goal defense, actual practice suggests that the defender's best chances may lie in the proper defense of c6 rather than an immediate counter-attack. If Gold can be stopped cold so that the attackers are completely prevented from having any hopes of controlling the c6 trap, the Gold position will often become hopeless and Silver can slowly and safely proceed to build a powerful advantage. Ideally, after the c6 attack is thwarted and the counter-attack begins, Gold will have no choice but to withdraw the Elephant from d6 and suffer massive losses.

## Ideas for Setup

← [Elephant and Minor Piece Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Minor_Piece_Attacks) · [Camel and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Camel_and_Horse_Attacks) →

← [Elephant and Minor Piece Attacks](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Minor_Piece_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Camel and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Camel_and_Horse_Attacks) →

# Camel and Horse Attacks

## Objectives and Risks

Camel and Horse Attacks are normally used as a counter-attack in response to an attack by the enemy Elephant on the opposite side of the board. Camel and Horse Attacks can also be used as part of a [Double-Trap Attack](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks).

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6 trap. Naturally, the same theories can apply equally to attacks on all 4 traps.**_

Reasons to use a Camel and Horse Attack:

  * to generate a counter-attack against an enemy trap that is not defended by an Elephant or Camel
  * to take control of an enemy trap when the enemy elephant and camel are unable or unwilling to defend the trap (e.g. when the enemy camel has been taken hostage)
  * to create a goal threat
  * to distract the enemy Elephant
  * to complete a double-trap attack

Risks involved in a Camel and Horse Attack:

  * Either Horse or Camel can be taken hostage or trapped if the enemy Camel or Elephant approaches the trap.
  * Home traps may become weakened.

## Ideal Placement of Pieces

The ideal placement of pieces will depend greatly upon the board situation. If the Silver Elephant is protecting a Camel hostage at f3, it may be advantageous for Gold to launch a Camel and Horse Attack against c6. In that case, the Gold Camel should be kept safe so that the Silver Elephant cannot escape the hostage situation at f3 by trapping the Gold Camel at c6. Ideally, the Horse and Camel should be placed on b6 and c7 and additional attacker(s) are often called up to secure and defend the trap. A third or fourth attacker not only assists in controlling the enemy trap but will also create greater difficulties for the Silver Elephant if it crosses the board to disrupt the attack. An attacker should never occupy d6 unless the f6 trap can be secured by friendly pieces or all the stronger enemy pieces can be kept away from the d6 square.

If the Gold Elephant is already attacking the f6 trap then the Gold Camel is normally best placed on the b6 square with the Horse on d6. This places attacking Camel as far as possible from the defending Elephant while still holding the ideal b6/d6 attacking formation. However, if the Silver Elephant is blockaded, or otherwise unable to reach the d6 square, then it may be preferable to centralize the Camel at d6 due to its greater strength.

During a middlegame or endgame in which the Camel and Horse are being used to facilitate a Rabbit advance, the Gold Camel is normally placed on the c7 square. From this square, the Camel may still maintain a safe distance from the Silver Elephant while also threatening enemy pieces participating in back rank goal defense.

## Defensive Systems and Counter-Attacks

The easiest way to defend against a Camel and Horse Attack is to move a Camel or Elephant toward the same trap with the intention of taking a hostage. This is not always possible because the attacking player will normally attempt to seize a weak trap which cannot be easily defended by either the Camel or Elephant.

Camel and Horse Attacks are often intended as a counter-attack to offset/distract an enemy Elephant attack on the opposite wing. In these cases, it is recommended that the attacker bring at least three, preferably four, attackers so that the Silver Elephant cannot easily return to the home trap and capture the Gold Camel. It is not difficult for a defending Elephant to hold two attackers hostage while threatening to trap a third - hence, four attackers are often recommended. It is uncommon for an opposing Elephant to commence an attack on the opposite wing in response to a Camel and Horse Attack.

If the Gold player is contesting the f6 trap (with an Elephant and Horse Attack, for example), a second attack against the c6 trap could be devastating for Silver. Therefore, it is necessary for silver to either counter-attack with the Camel to preempt or prevent a Gold Camel and Horse Attack or, at the very least, to secure the b6 and c7 squares with strong pieces.

## Ideas for Setup

For simultaneous attacks against both enemy traps during the opening phase, see [the next chapter](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks).

Balanced forces are important during the game both to launch, and defend against, a Camel and Horse Attack. As such, most players will setup an Elephant and Horse on one half of the board and a Camel and Horse on the other. Setting up and maintaining the Camel on the home rank middle is a good strategy to protect against a Camel-drag but is not ideal if the Camel wishes to participate on either side of a Camel and Horse Attack.

← [Multi-Piece Swarming Attacks](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) · [Double-Trap Attacks](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks) →

← [Multi-Piece Swarming Attacks](http://en.wikibooks.org/wiki/Arimaa/Multi-Piece_Swarming_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Double-Trap Attacks](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks) →

# Double-Trap Attacks

## Objectives and Risks

The Double-Trap Attack is a highly aggressive attacking system in which the attacking player attempts to control both enemy traps in rapid succession.

_**Note: For simplicity, many examples below will assume that the Gold player is attacking the c6-f6 traps. Naturally, the same theories can apply equally to Silver attacks.**_

Reasons to use a Double-Trap Attack:

  * to control or contest all four traps simultaneously
  * to establish a large space and mobility advantage
  * to immobilize large numbers of enemy pieces on both sides of the board
  * to facilitate Rabbit advances on both wings simultaneously

Risks associated with a Double-Trap Attack:

  * The attack requires a commitment of all the strongest pieces - once the attack has begun there is often no turning back!
  * A failed attack will result in large material losses for the attacker.
  * The home traps will be severely weakened.
  * The goal defense will be compromised for the attacking player.

## Ideal Placement of Pieces

## Defensive Systems and Counter-Attacks

A successful defense against a Double-Trap attack will often require hostages and frames on both wings and it is essential that the defending Elephant remain mobile. The defending Elephant should only become decentralized if necessary to trap an enemy piece or take the attacking Camel hostage.

Attacking Rabbits will be brought forward in swarms to unfreeze allied pieces and generate long-term goal threats across the board. They should be contained and frozen whenever possible, or pushed to the center where they can be used to blockade their stronger allies.

Counter-attacking with the Elephant, along with one or two supporting units, can distract the enemy attackers. In addition, an aggressive Double-Trap Attack will create a patchy goal defense that can be exploited with a counter-attack that includes at least one Rabbit. Unfortunately, it is difficult to create counter-threats when both home traps are under attack! If a counter-attack is not possible, the defender will have to methodically isolate and immobilize attackers while neutralizing the attacks on both wings. A successful defense will allow the defending player to realize large material gains before a counter-attack is even feasible.

## Ideas for Setup

← [Camel and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Camel_and_Horse_Attacks) · [Initial Piece Placement](http://en.wikibooks.org/wiki/Arimaa/Initial_Piece_Placement) →

← [Camel and Horse Attacks](http://en.wikibooks.org/wiki/Arimaa/Camel_and_Horse_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Initial Piece Placement](http://en.wikibooks.org/wiki/Arimaa/Initial_Piece_Placement) →

# Initial Piece Placement

Previously, a balanced setup which shields Rabbits was suggested for beginners. That setup is also popular among expert players, especially for Gold, but unbalanced setups can also work.

  


![37px-Arimaa board.jpg](../../../upload.wikimedia.org/wikipedia/commons/3/37/37px-Arimaa_board.jpg)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![a8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![b8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![c8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![d8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![e8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![f8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![g8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)
![h8](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Arimaa_rsb74.gif/37px-Arimaa_rsb74.gif)

![a7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![b7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)
![c7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![d7](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/Arimaa_csb74.gif/37px-Arimaa_csb74.gif)
![e7](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/07/Arimaa_esb74.gif/37px-Arimaa_esb74.gif)
![f7](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Arimaa_msb74.gif/37px-Arimaa_msb74.gif)
![g7](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Arimaa_hsb74.gif/37px-Arimaa_hsb74.gif)
![h7](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Arimaa_dsb74.gif/37px-Arimaa_dsb74.gif)

![a6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h6](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h5](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h4](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![b3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![c3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![d3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![e3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![f3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![g3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)
![h3](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Arimaa_b74.gif/37px-Arimaa_b74.gif)

![a2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b2](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Arimaa_mgb74.gif/37px-Arimaa_mgb74.gif)
![c2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![e2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f2](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Arimaa_egb74.gif/37px-Arimaa_egb74.gif)
![g2](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/94/Arimaa_hgb74.gif/37px-Arimaa_hgb74.gif)
![h2](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)

![a1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![b1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![c1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![d1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![e1](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Arimaa_dgb74.gif/37px-Arimaa_dgb74.gif)
![f1](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/Arimaa_cgb74.gif/37px-Arimaa_cgb74.gif)
![g1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![h1](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Arimaa_rgb74.gif/37px-Arimaa_rgb74.gif)
![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

![Arimaa-border.png](../../../upload.wikimedia.org/wikipedia/commons/1/16/Arimaa-border.png)

Gold intends an Elephant-Horse attack on f6; Silver has prepared to blunt it.

In the diagram at left, Gold has chosen a rather more aggressive setup. The Elephant is placed to immediately attack the f6 trap in conjunction with a Horse coming up the g-file. The Camel, meanwhile, intends a secondary attack on the c6 trap, on the theory that the Silver Elephant will be tied up by the primary attack. The pressure exerted by the Gold Camel will make it difficult for Silver to keep a piece on b6, most particularly a Horse.

Gold might as well start with several Rabbits forward, too. Advanced Rabbits are necessary to support an advanced Camel, and they can increase the threat posed by an Elephant-Horse attack. Moreover, if Gold manages to [share control](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Trap_Control) of both c6 and f6, any advanced Gold Rabbits are in no immediate danger of capture.

Silver, in response, has allocated both Elephant and Camel to the defense of f6, hoping to take Gold's [Horse hostage](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Horse_Hostages) if it advances. All of the Silver Rabbits are placed on the back row where they are not vulnerable to attack. Silver needn't fear that Gold will launch a [lone-Elephant attack](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks) up the middle to pull the d8 and e8 Rabbits, because the vulnerability of Gold's Camel ensures Silver the upper hand in any Rabbit-pulling opening. (Gold will have to voluntarily advance Rabbits to keep the Gold Camel safe.) Silver supposes that Gold must attack given Gold's aggressive setup, so Silver is mostly concerned to make any Elephant-Horse attack on f6 costly for the invading Horse.

Early Arimaa theory advocated placing all eight Rabbits on the back row for both sides in every setup, but the average number of Rabbits placed forward has been creeping upward as it becomes clear that advanced Rabbits have positional value to offset their vulnerability to capture. As of October 2005, the initial setups on the Arimaa server averaged about one and a half Rabbits in the front row.

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
1\. Link to appropriate resource.  
2\. Update to more recent data.

Most players will split their Horses, Dogs, and Cats to have one on each side of the board, in keeping with the principle that [balanced forces](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Distribution_of_Force) are most effective. However, as top players experiment with setups including a decentralized Elephant and/or decentralized Camel, it seems occasionally advantageous to place both Horses on the same wing, near the Elephant and far from the Camel.

← [Double-Trap Attacks](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks) · [Other Attacking Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Other_Attacking_Ideas&action=edit&redlink=1) →

← [Double-Trap Attacks](http://en.wikibooks.org/wiki/Arimaa/Double-Trap_Attacks) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Other Attacking Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Other_Attacking_Ideas&action=edit&redlink=1) →

# Other Attacking Ideas

[Arimaa/Other Attacking Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Other_Attacking_Ideas&action=edit&redlink=1)

# Arimaa Challenge History

## 2004

In the 2004 Arimaa Computer Championship, the runaway winner was Bomb, programmed by David Fotland. Fotland had a special incentive to pour time into the creation of Bomb that year; Omar Syed had promised to double the Challenge prize to $20,000 if Fotland could win it in the very first year.

On the human side, Frank Heinemann had won the 2004 Arimaa World Championship, but was reluctant to defend the honor of humanity in the Challenge match with so much money on the line. Therefore Syed, the top-rated human player at the time, defended his own prize.

Early versions of Bomb had seemed to play at least as well as any human in mid-2003. However, humans soon discovered the [Camel hostage strategy](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Camel_Hostage), which was so effective against Bomb that Fotland had to retune his bot to prevent it from giving up its Camel as a hostage every single game. The version of Bomb that played in the 2004 Challenge was much less aggressive.

There was some suspense as to whether Syed would be able to beat Bomb without recourse to Camel hostages, but it soon emerged that the more-defensive Bomb would gradually concede small strategic weaknesses in face of a [lone Elephant attack](http://en.wikibooks.org/wiki/Arimaa/Lone_Elephant_Attacks), allowing Syed to slowly build up a large material advantage before breaking open the game. Bomb appeared to outplay Syed in some open positions, but Syed's accumulated material always held up.

After sweeping five games, Syed became confident enough to attempt to win the final three games under extra constraints. In the sixth game he won without losing a piece, in the seventh game he won without capturing a piece _or_ losing a piece, and in the eighth game he won with a material handicap of a Rabbit.

The final score of 8-0 in favor of Syed was much more lopsided than expected, and belied a few exciting positions in the early games. Fotland opined that he had missed his best chance to win the Challenge, as humans would improve at playing Arimaa more rapidly than he could improve his software.

## 2005

Bomb faced stiffer competition in the 2005 Arimaa Computer Championship than it had the previous year, and advanced to the challenge match only on tiebreaks. David Fotland had improved Bomb mostly by fixing small bugs and fine-tuning the evaluation function, but he also added one important strategic innovation: Bomb became selectively aggressive with its Camel when the two Elephants were tied up in a hostage situation.

Human understanding of Arimaa had expanded considerably in the intervening year, in particular with initial exploration of the [Elephant-Horse attack](http://en.wikibooks.org/wiki/Arimaa/Elephant_and_Horse_Attacks). Despite these advances, some suspense crept back into the Challenge when the two top-rated human players declined to participate based on time commitments. Omar Syed (then ranked #3) did not want to defend his own prize again, so he persuaded Frank Heinemann, the only other human player rated higher than Bomb, to do the honors.

Heinemann entered the match rated a mere 55 points higher than Bomb, a gap that would imply only a 58% chance of winning each game. The superficially close match eventually turned into a rout, though, as Heinemann launched the Elephant-Horse attack in game after game, and perfected his technique as the match progressed. In the first game Bomb never got much going with its Camel counter-attack, and in the second game it was too little too late. Heinemann engineered an [Elephant smother](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Blockade) to dominate the third game.

In the fourth game, Heinemann attempted another Elephant smother, which Bomb sidestepped at the last moment to enter an unclear midgame. Without any guiding strategic theme (no Camel hostage, no blockade, no EH attack) Heinemann faltered and lost a double-edged endgame. That was to be Bomb's only victory. In the fifth game Heinemann caught Bomb's counter-attacking Camel in exchange for a Horse, and in the final three games, Heinemann won without losing a piece.

The final score of 7-1 in favor of Heinemann showcased his human adaptability, as his Elephant-Horse attack improved and Bomb's response remained static.

## 2006

Given his former difficulties persuading top humans to defend the Arimaa Challenge, Omar Syed changed the format beginning in 2006. Instead of a single human playing a two-week, eight-game match against the top computer, three humans would each play a three-week, three-game mini-match, alternating games. The computer would need to win two out of three games in all three mini-matches to win the Challenge. Syed intended to relieve the psychological pressure and time commitment required of volunteer defenders. The changed format also recognized that an increasing number of human players were capable of beating any bot.

The human participants in 2006 Challenge were Karl Juhnke, Greg Magne, and Paul Mertens, ranked first, second, and sixth respectively. The human contingent was supremely confident entering the match, not only based on the results of past years, but also because the year since the previous Challenge had seen the development of half a dozen different strategies for reliably exploiting computer weaknesses. Mertens, in particular, had beaten the 2005 version of Bomb with a variety of enormous material handicaps.

Unbeknownst to the defenders of the Challenge, the computer challenger was the exact version of Bomb from the previous year. Perhaps the humans were fooled by the ease with which Bomb won the 2006 Arimaa Computer Championship, against supposedly improved competition.

In any event, humanity swept the first eight Challenge games, and in six of those games did not lose a piece. Only in the fifth game of the match, against Magne, did Bomb generate winning chances, but Magne rose to the occasion and punched a Rabbit to goal where Bomb had left too thin a defense.

For the ninth and final game, Mertens decided to test the margin of human dominance by offering Bomb a material handicap of a Camel. In theory, playing without a Camel should render _all_ modern strategies ineffective. Mertens was unable to gain control of the game, but did generate a sharp goal race, which Bomb won by a narrow margin.

The final score of 8-1 in favor of humanity reflected the widening gap between humans and computers in Arimaa ability. In all likelihood the Challenge could have been handily defended by the humans ranked eighth through tenth because the techniques required to defeat Bomb with predictable ease had been mastered by all the top players.

## 2007

Leading up to the 2007 Arimaa Challenge match, everyone was prepared for the possibility that Bomb would remain unimproved from the 2005 version. It was therefore surprising that Bomb won the Computer Championship undefeated, after the same version had lost one game in each of the previous two Computer Championships.

In previous years, Omar Syed had required the bots to play publicly before the Computer Championship so that they could not conceal improvements from the human defenders of the Challenge. However, this was somewhat unsatisfactory, given that developers could change their bots at the last minute after having met the public play requirements. For 2007, in order to guarantee at least some scrutiny of the final version of the Challenge bot, Syed removed the pre-tournament public-play requirement and substituted a qualifying phase after the Computer Championship. Thus Zombie, the second-place finisher from the Computer Championship, advanced along with Bomb to the qualifying phase, even though Zombie lost twice to Bomb in the Computer Championship.

During the qualifying phase, any human (except the bot developers and Challenge defenders) was allowed to play each of the top two bots twice, once with Gold and once with Silver. The bots would not be able to conceal their true strength at this point, since only the bot that won more games would advance to the Challenge. Despite the fact that Zombie was a relative unknown and Bomb had been extensively studied, of the twelve pairs of games humans played against the bots, Bomb won two pairs and Zombie won none. (In the other ten pairs the human player either lost both or won both.) Bomb therefore demonstrated that it was not only able to beat other bots head-to-head, but was also tougher for humans to contend against.

Syed opted to test the growing margin of human dominance by selecting himself as a defender, despite having tumbled to twentieth in the world rankings. For the other defenders he selected Karl Juhnke, ranked first, and Brendan M, ranked nineteenth. Syed's confidence was nearly punished in the first game of the Challenge, when he attempted a double-trap attack, faltered in a complex middlegame, and lost two Horses for a Dog and a Rabbit. Bomb, however, did not properly press its material advantage, and permitted Syed to generate a decisive goal threat on an under-defended wing. It was a bit embarrassing for a brute-force searcher to miss a two-move forced goal against itself, for which there would have been a sound defense, but the branching factor of Arimaa is such that four-ply search depth is impossible even at slow time controls. In Syed's second game, his double-trap attack worked better, resulting in a 24-move rampage. In his third game Syed gave Bomb a Cat handicap in addition to the material sacrifice necessary to lure Bomb out of position so that Syed's double-trap attack could strike home once again.

Juhnke won his three games at handicaps of a Dog, a Horse, and a Camel respectively. The latter two games were tense and complicated, as Bomb uncharacteristically launched a Camel attack in both games, but the slow time control helped Juhnke sort through the tactical complications and gradually overcome his initial material disadvantage. Bomb's loss despite being given a Camel handicap is a humiliation particularly since it didn't hinge on any easily-identifiable evaluation bugs; on the contrary Bomb was outplayed in a tactically complex middlegame, which ought to be a computer's strong suit.

Brendan won his first game in dominating fashion, without losing a piece or allowing any counter-play whatsoever. This win by the nineteenth-ranked human illustrated how deeply strategic knowledge has penetrated the Arimaa community, as Brendan dispensed with tactical tricks, and instead gradually and inexorably tied down Bomb's pieces and took control of the entire board. In Brendan's third game there were no captures until move twenty, when Brendan blundered a Horse. However, a few moves later Brendan set up a dual threat of goal near one trap while threatening Horse capture near another. Bomb, instead of cutting its losses and returning the Horse for a playable position, succumbed to the horizon effect. Bomb accepted a string of smaller losses trying to save the Horse, and ultimately lost the Horse anyway, for a busted position which Brendan converted on move 39.

Bomb's one victory in the Challenge came when Naveed Siddiqui, the 27th-ranked human, had to substitute for Brendan's second game. Bomb shut down Siddiqui's attack, and launched a fierce counter-attack which first won material, and then generated a goal threat. Bomb wrapped up the game with two pretty trick moves. On move 28 Bomb offered an Elephant sacrifice, which Siddiqui wisely declined to defend goal. However, on move 30 when Bomb offered to let its Elephant be blockaded, Siddiqui couldn't resist, and succumbed to a two-move forced goal.

## External Links

[Up-to-date Challenge information](http://arimaa.com/arimaa/challenge/)

← [Other Attacking Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Other_Attacking_Ideas&action=edit&redlink=1) · [Sample Games](http://en.wikibooks.org/wiki/Arimaa/Sample_Games) →

← [Other Attacking Ideas](http://en.wikibooks.org/w/index.php?title=Arimaa/Other_Attacking_Ideas&action=edit&redlink=1) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Sample Games](http://en.wikibooks.org/wiki/Arimaa/Sample_Games) →

# Sample Games

## Fritzlein vs. Omar, 2005 Postal Championship

[Gameboard](http://arimaa.com/arimaa/gameroom/replayFlash.cgi?gid=15552) | [Comments](http://arimaa.com/arimaa/gameroom/comments.cgi?gid=15552)

  * **Introduction:** This game was one of the last games of the 2005 Arimaa Postal Championship to finish, and it ultimately determined the tournament champion. If Omar had won, he would have tied Fritzlein for first with a 9-1 record. As it turned out, however, Fritzlein prevailed, and finished the tournament undefeated.
  * **1w:** Omar deviates from the standard setup popularized by 99of9 by putting Dogs behind his traps and Cats back and center. A Dog behind the trap makes it easier to frame an opposing Dog. Also, as the game progresses, Cats are more likely to want to stay home for goal defense while Dogs are more likely to want to go on offense; Omar's setup anticipates this.
  * **1b:** Fritzlein chooses 99of9's opening as originally conceived. Having only a Cat next to a home trap makes it less costly to abandon that trap. This gives him a slightly greater freedom to counter-attack in the opening rather than defending, i.e. a tactical advantage rather than the strategic advantage Omar chose.
  * **2w:** Omar aggressively advances his Elephant four squares, which was not only the most common opening of that time, but was also invited by Fritzlein's central Camel.
  * **2b:** Fritzlein, by vitrue of having Cats behind his traps, could now respond by advancing his own Elephant four squares, because he would be threatening to capture a Dog for a Cat. Omar could then enter an extremely sharp line in which each Elephant captures several pieces, and it is not clear whether the intiative of the first move compensates for losing Dog for Cat. In any event the counter-attack is very playable for Silver, but Fritzlein plays very defensively, protecting his Camel and warding off an EH attack on f6.
  * **3w:** Due to the danger of an Elephant smother, Omar can't create any weaknesses by poking around with his Elephant on the seventh rank. He opts instead for a safe developing move. The fact that the Gold Elephant might as well step back one against a solid defense has dented the popularity of the Elephant-forward-four opening since the time of this game. Nowadays the most popular move is Elephant forward three and a Horse forward one on the same flank.
  * **3b:** Fritzlein defends c6 and moves his Elephant nearer Omar's Camel.
  * **4w:** Omar drags Fritzlein's Horse towards the f3 trap. Of course, capturing the Horse any time soon will be impossible with Fritzlein's Elephant in the neighborhood. The threat is strategic rather than tactical: Omar's Camel is near f3, waiting to hold the Horse hostage if the opportunity arises.
  * **4b:** The value of an Elephant taking a Horse hostage was very much in contention in this tournament, and still is. In some circumstances the hostage-giver appears to be in better shape than the hostage-taker. Nevertheless, Fritzlein decides to play defensively and free his Horse. The nearby Cat and Rabbit could also unfreeze the Horse, but not without exposing themselves. Giving up a Cat or Rabbit hostage at this stage of the game would be worse than giving up a Horse hostage.
  * **5w:** Omar is also unwilling to give up a Horse hostage. Current opening theory suggests that it is bad to give up a Horse hostage on a wing where the opposing Camel waits, because the hostage Horse is then easy to frame or to pass off to the waiting Camel. So far the opening has been defensive, with neither side willing to expose a piece other than the Elephant.
  * **5b:** Fritzlein finally takes a tiny risk to go on offense. It is not clear whether the tactical disadvantage of decentralizing his Elephant outweighs the strategic advantage of pulling a Rabbit, but since Omar has no large immediate threat, it may be a favorable tradeoff. A plausible alternative attack would have been to push Omar's e3 Horse to d3, unbalancing Omar's forces by putting both Horses on the same wing, but that wouldn't be to Omar's disadvantage unless Fritzlein switched wings with his Camel as well. Exposing a Rabbit is more tangible and immediate.
  * **6w:** Omar does not have any play against the Silver pieces on the east wing, he can't pull a Rabbit, and he can't stop Fritzlein from pulling the h-Rabbit further. Therefore, he astutely switches wings to make a bigger threat. Fritzlein can hardly continue hunting a Rabbit when his b6-Horse is in jeopardy, but his Elephant is too far away to properly defend the west wing, which creates a tactical dilemma.
  * **6b:** Fritzlein's b6-Horse can't stay safe without an advanced Rabbit to unfreeze it. Rather than advancing a Rabbit and accepting a game of competing Rabbit pulls, Fritzlein plays more ambitiously with a counter-threat to Omar's e3-Horse.
  * **7w:** If Omar now flips the b6-Horse to b4, Fritzlein can flip the e3-Horse to e5. Yet if Omar brings his e3-Horse to safety, Fritzlein's Elephant will arrive on the west wing in time to defend his threatened Horse. Omar chooses the conservative plan of centralizing his Elephant while pulling the b6-Horse to c5.
  * **7b:** Fritzlein's Elephant is now near enough to bring his Horse to safety. The exposed Rabbit on h4 leaves him at a slight strategic advantage, because nothing more important is going on anywhere else. In an opening where neither player attempts to take control of the other player's traps, exposed Rabbits are the main strategic marker.
  * **8w:** Omar makes an exciting move to take the initiative. Had Omar continued to play with his lone Elephant on offense, he would have been accepting a slightly disadvantegous position, because none of Fritzlein's Rabbits are exposed and none of Fritzlein's pieces can be taken hostage while Fritzlein's Elephant is centralized on defense. Note how Omar uses his Horse on the wing away from Fritzlein's Camel.
  * **8b:** The exposed Horse on a6 is a tempting target, but Fritzlein's Camel is on the wrong wing. (This is a frequent dilemma on defense in the opening: a centralized Camel is a target for the opposing Elephant, but a Camel on one wing leaves the other wing open for a Horse to attack.) Fritzlein would love to take the a6-Horse hostage with his Camel, but Omar's centralized Elephant could hinder the Camel's crossing long enough for the Horse to get away with a Rabbit pull. Fritzlein must therefore either take the encroaching Horse hostage with his Elephant, or ignore it.
  * Had Fritzlein taken the hostage, Omar would have defended c6 with his Elephant, leading into a class of positions that is very poorly understood to this day. Opinion varies wildly both as to whether Gold or Silver would stand better in the resulting position, and as to what strategy each player should pursue.
  * Instead, Fritzlein decides to drag the h4-Rabbit further forward, in order to be the first to threaten a capture.
  * **9w:** Omar could use his Horse to pull out Fritzlein's a1-Rabbit, but Omar doesn't have great prospects in a Rabbit-pulling race in which he is already behind. A more forceful option would be an E-H attack on the c6 trap, which would essentially force Fritzlein to take the attacking Horse hostage with his Elephant. The threat would be slow to develop, however, and would probably be worth less than a Rabbit lost in the mean time.
  * Instead Omar declares an intention to defend his h-Rabbit with his Camel. Arimaa theory at the time of this game strongly frowned on exposing one's Camel so early in the game, lest it be taken hostage by the opposing Elephant. Subsequent experience, however, has shown that the presence of an advanced Rabbit on the wing where the Camel is operating makes the danger to the Camel considerably less.
  * **9b:** Fritzlein drags the Gold Rabbit to h6, an excellent square for holding a hostage, and brings his Elephant nearer to intimidate Omar's Camel from advancing further. Omar's a6-Horse is now roaming free of danger, which can't make Fritzlein happy, but the threat from Omar's Camel is too serious to be ignored entirely. As a general rule of thumb, if your opponent goes on the attack with his Camel, your Elephant has to leave whatever else it might do in order to go after the encroaching Camel.
  * **10w:** Omar correctly defends the f6 trap to save his Rabbit, and places his Elephant on e6, a better square than f5. From e6 Omar's Elephant exerts influence on the c6 trap, as well as indirectly threating Fritzlein's home rows. The shocking part of the move (at that time) was Omar's further Camel push, in defiance of Fritzlein's nearby Elephant.
  * **10b:** Fritzlein will not be able to capture anything in the f6 trap as long as Omar uses his Elephant to share control of it. Therefore Fritzlein is very eager to retain total control of the c6 trap. Without total control of at least one trap, Fritzlein will not be able to threaten captures. He immediately crosses with his Camel to scare off Omar's advanced Horse, and inches his Elephant closer to Omar's Camel.
  * **11w:** Omar's Horse retreats empty-handed, but his Camel advances undaunted, and threatens a capture in f6. Omar's Rabbit on h6 not only prevents his Camel from being frozen, it also prevents his Camel from being pushed to h6 as a hostage of Fritzlein's Elephant. Thus the g6-Camel and the h6-Rabbit, which each individually would be weak, support each other.
  * **11b:** Fritzlein decides to make room in his back ranks to threaten pushing Omar's Camel g7, where Omar's Rabbit can't unfreeze it any more. Fritzlein's Camel incidentally inches nearer Omar's Horse. Normally it would be bad to expose the Camel on d6 right next to Omar's Elephant on e6, but Fritzlein calculates that Omar's Elephant can't afford abandon the f6 trap any more. Fritzlein would be happy to lose his Camel while capturing both Omar's advanced Camel and Rabbit.
  * **12w:** Omar would have liked to use his Camel to pull the f8 Rabbit to f7 or the g8 Rabbit to g7, because either move would have deprived Fritzlein of a square to hold the Camel hostage in. Unfortunately, either pull would require all four steps, leaving the a5-Horse to be taken hostage by Fritzlein's Camel. Therefore Omar retreats his exposed Horse and delays Fritzlein's ability to set up his Elephant on g6 holding the Camel on g7.
  * **12b:** Omar has declined his last chance to retreat with his Camel; now Fritzlein can (and does) permanently secure the Camel as a hostage, albeit in a temporarily very awkward position. For Fritzlein to leave his Elephant on a trap in a live game would take guts, but in a postal game there is plenty of time to make sure it is not a blunder.
  * Fritzlein's move is actually quite greedy, in that he retreats his Camel out of range of Omar's Elephant. In effect he is saying, "I am no longer willing to trade my Camel for your Camel plus Rabbit", in other words, "I think I am presently winning by more than a Rabbit." The further course of the game shows this judgement to be overly optimistic.
  * **13w:** Omar flips Fritzlein's Cat into danger, a move which incidentally would not have been possible had Fritzlein's Camel stayed on d6. Omar isn't trying to free his Camel so much as get adequate compensation for it, but it is important to note that he must keep his Elephant on e6 while flipping the Cat. If Fritlzein could station his Elephant on e6 holding Omar's Camel hostage on e7, Omar would be hard pressed to save his Camel from outright capture.
  * **13b:** If Fritzlein were in the ideal Camel-hostage position, he could send a Horse to defend f3. Because he still needs a couple of moves to get into proper hostage-holding position, he has no time to save his Cat.
  * **14w, 14b, 15w:** These moves are nearly forced on each side. Each player is getting what he wants, and oddly, each player is happy with the resulting position. Fritzlein believes that the Camel hostage will be worth more than a Cat, and Omar thinks the Cat will be worth more. The last word on this trade-off has not yet been written, but it is quite probable that Fritzlein, if he is winning at all, is winning by less than a Rabbit.
  * **15b:** Omar is very constrained by the need to keep his Elephant adjacent to f6. His only active plans are (1) Repeat his Cat-capturing maneuver with his Elephant to capture another of Fritzlein's pieces in f3, or (2) Flood the east side of the board with little pieces to hem in Fritzlein's Elephant and free Omar's Elephant to roam the board. Fritzlein therefore immediately disrupts both of Omar's potential plans by stationing a Horse adjacent to f3.
  * **16w:** Omar just as quickly abandons his hostage Camel for an opportunity to capture a Horse. This calls into question Fritzlein's judgement on move 15b. Should Fritzlein have made a move which would do less delay to a piece flood in the east, but also not give Omar the option of trading? Too few games of this nature have been played to answer this question definitively, but for the second time each player gets what he wants, and an unbalanced position results.
  * **16b:** The only question for Fritzlein is whether to end the move with his Elephant on e6, f5, or g6. Ending on g6 would threatening Omar's Rabbit immediately, but it would be better to have the Elephant centralized in case Omar attacks Fritzlein's heavy pieces around c6. Leaving the Elephant on e6 is more attractive, since that would deprive Omar of the best square for defending f6. The tradeoff would be leaving the g-file more open for Omar's Elephant to dive in to pull Fritzlein's Rabbits as well as generate a minor goal threat.
  * **17w:** Omar grabs the prime defensive spot on e6, where his Elephant can defend f6 as well as influencing c6 and disrupting Fritzlein's ability to rebalance his forces. The Horse step is very important, as Omar has his eye on g6 again.
  * **17b:** Fritzlein fails to understand Omar's designs on g6, and does nothing to correct the bad balance of his forces. He has a Camel and a Horse on one side, and two Dogs on the other. He would be much better off with a Dog on each side and the Camel and Horse split. Fritzlein's threat to the h6 Rabbit is premature and impotent.
  * **18w:** Omar advances his Horse, while bringing up other pieces to unfreeze it at need and to keep f3 safe.
  * **18b:** Fritzlein belatedly realizes his Dog on g6 is overmatched, and starts switching wings with his Camel.
  * **19w:** Omar takes advantage of the temporary misplacement of Fritzlein's pieces lauch an Elephant-Horse attack on f6. This attack removes the danger to Omar's h6 Rabbit, ties up Fritzlein's Elephant, and forces Fritzlein's Camel to come across to relieve the pressure. On the other hand, the attack poses no immediate danger to Fritzlein, and it effectively forces him to do a reblancing of forces he needed to do anyway. If Omar has to retreat his Horse soon, it will be a net loss of time.
  * A final argument against this Horse advance is that Fritzlein can't afford to frame the h6-Rabbit anyway until after his Camel has finished crossing, because if he completes the frame with a Dog on g6, Omar can break the frame anyway. Therefore Omar might have done better to hold off advancing his Horse, instead putting his Elephant on f7, with a threat to pull the f8 Rabbit and/or attack Fritzlein's Camel if it comes closer.
  * **19b:** Fritzlein once again plays ambitiously, threatening to take Omar's exposed Horse hostage with a Camel. Omar's Dog and Rabbit on that wing have therefore also become indirectly threatened. However, in haste to complete this plan Fritzlein doesn't have a spare step to shore up the defense of the c6 trap.
  * **20w:** Omar divides his Horse from Fritzlein's Camel. Omar's Elephant may be subject to blockade threats behind enemy lines, but it also makes incidental threats to pull Rabbits. Using the fourth step to advance the western Horse may look irrelevant, but neither side has capture threats at the moment, so there is time to spare for a move with a strategic purpose. As long as Fritzlein's Elephant and Camel are both tied up around f6, Omar's other Horse will be safe to pull a Rabbit down the a-file.
  * **20b:** Fritzlein could occupy g6 with his Camel, pushing Omar's Horse to g5, but he doesn't want Omar to flip the f8 Rabbit to f6 in response. Fritzlein's actual move is rather sharp, as it leaves his Horse alone next to a trap, and exposes his Cat to being pushed. On the other hand, the threat to Omar's Horse is now severe.
  * **21w:** Omar wisely chooses to retreat his Horse before it loses the option to retreat. However it is an open question whether the fourth step might not have been better spent advancing his other Horse again rather than retreating all the way to h3.
  * **21b:** Fritzlein's Camel sits a bit awkwardly on h5, but he wants to make a threat large enough that Omar must choose to stop it rather than flipping the f8 Rabbit to f6.
  * **22w:** Omar resists having his Dog taken hostage, and incidentally gains the small strategic advantage of getting one of Fritzlein's Rabbits off the back rank. On the other hand, he has increased the danger of an Elephant blockade.
  * **22b:** Fritzlein now simultaneously threatens to blockade Omar's Elephant and threatens to frame the Dog in f6. This tactic leaves Omar with only one playable move, but maybe Fritzlein should have done something else, because the one move Omar can play is strong enough to free him without losses, and in a postal game Omar is unlikely to miss it. The tactics in this sequence were sufficiently complex that it isn't clear even in retrospect whether better moves by one player or the other could have tipped the balance.
  * **23w:** Omar escapes from the threatened blockade, and makes an incidental threat to Fritzlein's b6-Horse. Thus Fritzlein's earlier sharp play succeeded in generating threats, but also left him open to counter-threats.
  * **23b:** Fritzlein elects not to take the Dog and Rabbit in exchange for a Horse. Ordinarily this exchange would be nearly even, but experience has shown that even trades hurt the side with stronger pieces while helping the side with more numerous pieces. The [FAME score](http://www.janzert.com/fame.html) agrees that Fritzlein would lose out to get DR for H, and would also lose out to get H for DR. Fritzlein needs to use the strength of his Camel to win pieces outright if the opening trade of M for HC is going to work out in his favor.
  * **24w:** Omar has only one option for a second move in a row. His actual move is the only one to prevent the capture or frame of his f5 Dog.
  * **24b:** Fritzlein is playing against Omar's exposed Rabbit while keeping Omar's Elephant away from his Camel. Since Omar can obviously defend his Rabbit no matter what, Fritzlein wants the Camel forward to assist in the creation of a second threat after the Rabbit is framed.
  * **25w:** Omar defends f6 with his Elephant, and enters a race of sorts. Fritzlein will be trying to create a second threat, so that Omar's Elephant can't defend both his advanced Rabbit and the other threat. Meanwhile Omar will try to drag a Rabbit down the a-file to threaten it in c3. But Omar sagely doesn't put all his eggs in one basket by using three steps in the west, because if Fritzlein crosses wings with his Camel Omar will have to give up on Rabbit dragging to attack g6 with a Horse again. Thus Omar's move is split between defending f6, threatening the a-Rabbits, defending c3 from attack, and preventing Fritzlein's Camel from easily switching wings.
  * **25b:** Fritzlein activates his Camel and pins Omar's Elephant to defense.
  * **26w**: Omar still does not want his Horse to be taken hostage. If Fritzlein were able to get his Camel back to g6 holding Omar's Horse on g7, it would indeed look grim for Omar. On the other hand, perhaps it isn't so critical for Omar to avoid a Dog hostage, and a couple of steps would be better spent charging up the a-file.
  * **26b**: Fritzlein voluntarily advances a Rabbit with some thought of generating a goal threat. This is misguided, however, because Omar's defense is sufficiently thick at the moment.
  * **27w**: Omar develops his threat apace.
  * **27b**: Fritzlein rotates a Dog forward with the idea of freeing his Elephant for attack. The Dog will cover f5 so that Omar can't put a small piece on f5, freeing Omar's Elephant.
  * **28w**: Omar uses only two steps to pull the a-Rabbit and spends two to bring his Dog out of danger. He feared that Fritzlein would attack it with either his Elephant or his Camel and eventually threaten it in c6. However, it is not clear that Fritzlein can safely leave the east with his Elephant or safely cross over with his Camel. Moreover, retreating the Dog makes it rather easier for Fritzlein to take control of f3. In hindsight it would perhaps have been better for Omar to pull Fritzlein's a-Rabbit with all four steps.
  * **28b**: Fritzlein rotates his Elephant into the attack. It appears that he can now forcibly gain control of f3 against any non-Elephant defense, so in theory his second threat has been established. Fritzlein's Rabbit push to h4 doesn't pose much additional threat, though. His own west wing is now too depleted to flip Omar's Horse to g4 and launch a goal attack; indeed he rather has to seal off Omar's pieces from advancing.
  * **29w**: Omar belatedly counters the threat to f3. However, given that he can no longer protect f3 in the long run, he would be better off to abandon his framed Rabbit immediately rather than letting the situation deteriorate further.
  * **29b**: Fritzlein not only threatens Omar's Dog on f3, but also attempts to seal off the Gold pieces from coming to the rescue of f6. If Omar could support f6, he would be able to score a goal more quickly than Fritzlein, regardless of any losses suffered in f3. However, it appears that if Omar doesn't defend f3, Fritzlein has time to capture a Dog and fall back in defense quickly enough to prevent goal.
  * **30w**: Suddenly Omar can't bring his Elephant back on defense without losing either his d3-Cat or his f3-Dog, so he must delay his Elephant retreat for another move.
  * **30b**: Fritzlein has won the race. Omar faces unacceptable losses in f3, and therefore must give up on f6. In spite of this, Fritzlein's "victory move" of flipping Omar's Dog to g4 was actually a serious strategic blunder. To instead flip Omar's Horse to g4 would have forced Omar's retreat just as effectively, while also creating the strategic plus of getting Omar's Horse out of position where it could later be threatened. In general Camels much prefer to attack Horses than Dogs.
  * **31w**: Omar must retreat his Elephant, but it is worth considering pushing Fritzlein's Dog to e4 rather than f5. Pushing to e4 would create a stronger threat to take Fritzlein's Camel hostage. On the other hand, it would give Fritzlein slightly greater potential to launch a double-trap attack, contesting control of both c3 and f3, while rolling forward Rabbits on both sides of the board. If Fritzlein were able to share control of both of Omar's home traps, it could in certain circumstances be enough of a strategic advantage to compensate for a Camel hostage. Timing would be critical in such a wild attack.
  * Just as Omar was not particularly distraught to give up his own Camel hostage, he is not overly eager to take Fritzlein's Camel hostage. Omar's push to f5 allows Fritzlein's Camel to escape much more easily, but this does not necessarily lead to disadvantage. If the Camel runs away Fritzlein's advanced Rabbits are simply weak.
  * **31b**: Fritzlein seizes the opportunity to run with his Camel, carrying a Dog hostage, no less. A double-trap attack is not Fritzlein's style, so he wants to avoid a Camel hostage at all costs. A free-roaming Camel represents his only advantage over Omar. If Omar gets the Camel hostage, Fritzlein might not get as much compensation (a full Cat) as Omar did in the opening.
  * **32w**: Omar temporarily ignores the threat to his Dog in order to prevent Fritzlein from creating any threats elsewhere, in particular an Elephant-Horse attack on c3. With the given material imbalance, it would be devastating if Fritzlein got an Elephant-Horse attack rolling, because Omar has no Camel to defend with, and defending with his Elephant would leave Fritzlein's Camel to rampage unimpeded.
  * **32b**: Fritzlein gets his Camel a step further from Omar's Elephant and puts another Rabbit in between for safety. Incidentally he threatens Omar's Dog with capture.
  * **33w**: Omar defends f6 and shores up the defense of the east corner against any possible goal attack.
  * **33b**: Fritzlein threatens to frame Omar's Dog, which Omar could ill afford. Omar would have no way to break the frame, and Fritzlein's Elephant would then roam free.
  * **34w**: Omar prevents the frame and retreats into a compact position. His position now has no weaknesses other than the hostage Dog, which will make it very difficult for Fritzlein to create a second threat.
  * **34b**: Fritzlein plays an amusing move. His plan is to threaten Omar's Dog from behind the trap in such a way that the Camel will not be exposed to any danger of being taken hostage. This plan is far too slow, however, given that Omar can quickly set up threats to Fritzlein's Rabbits on a5 and h4.
  * **35w**: Omar threatens a Rabbit frame.
  * **35b**: Fritzlein occupies e3, a good defense point for his Elephant, and laboriously continues his action against Omar's Dog. Now that Fritzlein's Elephant is tied up defending a small threat rather than generating a big threat, it should be clear that Fritzlein has misunderstood the position.
  * **36w**: Omar pins Fritzlein's Elephant. Now it is his turn to attempt to overload Fritzlein's defense. If Omar creates a second threat, Fritzlein's Elephant will not be able to defend them both.
  * **36b**: Fritzlein gets his Cat out of the way and moves Omar's Dog a square closer to being threatened. The Cat comes forward to threaten to occupy f4, which would free Fritzlein's Elephant.
  * **37w**: Omar blocks the Cat and rotates forward his Horse. His Horse and Elephant combined represent a serious threat to take control of f6.
  * **37b**: Fritzlein finally threatens the Dog. Also he aligns his Cats and Rabbits so that neither Omar's Elephant nor his Horse can get to g6 in one move.
  * **38w**: Omar clears the path to g6.
  * **38b**: Fritzlein re-establishes the block to g6, but he has become very worried. It is finally clear that he doesn't have the resources to frame Omar's Dog, and there is no second threat in sight which would overload Omar's Elephant. He would like to pass the hostage Dog off to his Horse so that his Camel could operate against Omar's Horse, but that is another slow plan, and it could be disrupted by Omar's Elephant moving up the middle.
  * **39w**: Omar seals off the east wing to prevent any goal threats, and moves against Fritzlein's exposed Rabbit on a5. He is careful to support his advanced Horse so that Fritzlein has no opportunity to abandon his framed Rabbit, switch wings with his Elephant, and quickly generate a second threat.
  * **39b**: Unless he does something drastic, Fritzlein will lose this race. Omar will soon have a second threat, and Fritzlein will not. Fritzlein must abandon his framed Rabbit to activate his Elephant. Yet it is not clear how much play this will buy him, since Omar has minimized vulnerabilities in his own position, and can quickly threaten another of Fritzlein's h-Rabbits. In desperation to generate counterplay, Fritzlein leaves his west wing underdefended, and advances his Horse into Omar's territory.
  * Fritzlein's advanced Horse serves a dual function. It threatens to burrow behind f3 to release the framed Rabbit (possibly even scoring a goal), and it threatens the c3 trap somewhat in conjunction with Fritzlein's Elephant crossing over. However, both of these plans will take longer to come to fruition than the damage Omar could do around the c6 trap.
  * **40w**: Omar makes his biggest mistake of the game. Had he played against c6 immediately, he would have launched a race to goal with time on his side. His threat to Fritzlein's Horse instead squandered a couple of steps in the goal race.
  * **40b**: Fritzlein removes his Horse so that Omar can't set up a one-turn capture threat against it. If Omar could threaten the Horse again in one turn, then that would trump the threat to Omar's Dog, and 40w would have been good strategy after all. Tactics and strategy are closely interwoven: the presence of a certain tactic (like Fritzlein hiding his Horse) can make an otherwise good strategy turn sour.
  * **41w**: Omar can't now afford to return to defending his Dog from capture in f6, because Fritzlein's Horse is two moves closer to digging out the f3-Rabbit from behind. Omar therefore launches the attack on c6 that he could have started on move 40b. The difference of delay is that now he must give up his Dog to get the attack rolling.
  * **41b**: Fritzlein can't defend c6, and can't generate a fast enough threat to get the f3-Rabbit to goal, so he snatches the Dog before his west wing implodes.
  * **42w**: Omar captures a Rabbit and pushes his Rabbit forward one step, only five steps from goal on a clear line. Fritzlein's west side is in tatters.
  * **42b**: Fritzlein has no choice but to defend with his Elephant, abandoning his framed Rabbit. The exchange of two Rabbits for a Dog is actually slightly in Omar's favor, but Fritzlein's Elephant is no longer pinned, and he no longer faces material threats. Indeed, it is Fritzlein who is in a better position to make the next material threats. Omar's only remaining trump card is having an extra Rabbit with which to make goal threats.
  * According to [FAME](http://www.janzert.com/fame.html), Fritzlein was materially +25 to have captured M for HC in the opening, and now having captured MDR for HCRR he has extended the advantage to +66. On the other hand, his forces are temporarily very poorly placed, with all his officers on the east wing so the west wing still vulnerable to goal attack despite the Elephant defending. Omar may be able to capitalize on this weakness before Fritzlein can favorably re-align his slightly stronger army.
  * **43w**: Omar shores up the defense of c3 and prevents his Horse from being taken hostage. Superficially this is reasonable, because the consequences of a Horse hostage look dire. Omar's Elephant would be tied to the defense of c6 while Fritzlein's Camel and Horse could quickly generate a second material threat.
  * What this calculation leaves out, however, is that goal threats are inherently more forceful than material threats. Omar has nothing to lose by advancing at least one Rabbit in the east without delay, as Fritzlein will be too busy defending to make progress elsewhere. His only parallel concern should be dividing his four steps between goal defense (against the a5 Rabbit) and goal attack.
  * **43b**: Fritzlein supports the defense of c6 with a Dog, and inches his Camel closer to Omar's Horse.
  * **44w**: Again Omar incorrectly plays the material game rather than the goal game. His Horse now can't be taken hostage, true, but the threat to Fritzlein's Rabbit is illusory given the proximity of Fritzlein's d1-Horse. Indeed, given that Fritzlein has the stronger army, it will in general be extremely difficult for Omar to create two simultaneous material threats. For him to gain ground materially, he needs at least one of his two threats to be a goal threat.
  * **44b**: Fritzlein defends his threatened Rabbit and prevents Omar's Elephant from centralizing.
  * **45w**: Omar correctly launches a goal attack (finally), although now Fritzlein has a Dog helping on defense which wasn't there two moves ago.
  * **45b**: Fritzlein is in a delicate situation. He can't easily create a goal threat, and his only hope of generating two material threats it to activate his Camel. On the other hand, activating his Camel will expose it to danger should Omar choose to switch wings with his Elephant. Fritzlein decides he has time to play the material game for one more move, time that his c7 Dog buys him. However, this requires accurate forecasting of the strength of Omar's attack. In a live game Fritzlein's move would be intolerably risky, as there would be no way to be sure his west wing defenses would be adequate.
  * **46w**: Omar correctly ignores Fritzlein's threats in the west and presses his goal attack in the east.
  * **46b**: Fritzlein does the minimum to defend while pressing his western attack. Again, this requires very precise calculation to be playable, but prevents him from being forced into a totally passive posture on defense.
  * **47w**: Omar continues to play strongly. Fritzlein's defense now hangs by a thread.
  * **47b**: Fritzlein plays the only move to save his position. Omar's threats are so sharp that Fritzlein's position would crumble if, for example, he took Omar's Horse hostage on a6 instead of b7. Furthermore, it was necessary for Fritzlein to have calculated this correct defense already on move 45b. Thinking five or six ply ahead is possible only postally, and even then only in extremity of need.
  * **48w**: Omar must now realize that his attack can't break through, but his continued advance regains mobility for his Elephant, saving his threatened Horse and creating alternative attacking possibilities.
  * **48b**: Fritzlein is forced to release the Horse he is holding hostage, which in itself proves the correctness of Omar offering it as a hostage on move 47w, and again calls into question Omar's refusing to offer it as a hostage on 45w.
  * **49w**: Omar's Rabbit is now far enough from goal that Fritzlein is threatening to enter a goal race by capturing Omar's b3 Cat. Omar has several reasonable options for dividing between attack and defense; the chosen move leans towards eventual disengagement.
  * **49b**: Fritzlein's move appears to be a threat to Omar's b6-Horse, but in fact, since the Horse can retreat, the move is aimed equally at the d5-Rabbit. Omar can't save one without losing the other.
  * **50w**: Rather than defend or delay, Omar opts to trade Horses. The advantage of making an even trade is that every trade weakens the importance of Fritzlein's Camel and raises the importance of Omar's extra Rabbit. The disadvantage of the trade is that Omar's Elephant loses time leaving the west wing when it will have to return to save his f4 Horse and/or threaten Fritzlein's Camel.
  * **50b**: Fritzlein has no choice but to accept the offered trade, since he can't defend his own Horse.
  * **51w**: Omar now offers the additional trade of Horse and Rabbit for Dog and Rabbit. This puts him even further behind in terms of strong pieces, but also thins out the board a bit more, which works to the advantage of the side with more numerous pieces.
  * **51b, 52w**: Fritzlein again has little alternative to Omar's offer, and Omar must stick to the course he has charted.
  * **52b**: Fritzlein captures the Rabbit before the Horse, since Omar's Horse is doomed anyway, and once the Rabbit is gone Omar's goal threats disappear. Putting the Elephant on c5 rather than d6 lends extra defense to the depleted west wing.
  * **53w**: Omar's Cat is scared by Fritzlein's Elephant, and captures to c2 so that Omar's Elephant can leave next move without hanging the Cat. However, given that Fritzlein's west wing has been denuded once again, Omar will probably want to launch another Rabbit up that side before long. Leaving the Cat on b3 after the capture might therefore have been more strategically sound.
  * **53b**: For the second time in the mid-game, Omar's failure to be aggressive in the west encourages Fritzlein to make a material-oriented play while leaving a minimal goal defense. He couldn't have afforded to centralize his Elephant if Omar's Cat had stayed on b3, but with the Cat on c2 it is just barely possible.
  * The point of Fritzlein's Elephant steps is to eventually attain a favorable alignment of pieces. If Fritzlein's Dog ends up opposite Omar's Dog, then Fritzlein's Camel will be opposite Omar's Cat(s), and Omar's Elephant will do nothing but chase Fritzlein's Camel. In the worst case, Omar would take Fritzlein's Camel hostage and totally neutralize his material advantage. If, on the other hand, Fritzlein's Dog ends up opposite Omar's Cat(s) and Fritzlein's Camel ends up opposite Omar's Dog, Omar will be threatened on both wings at once, and his Elephant will eventually become overloaded.
  * **54w**: As before, Omar has no hope of creating two material threats, so he wisely starts setting up a goal threat.
  * **54b**: Fritzlein defends with his Dog rather than with his Elephant, for the piece-alignment reasons mentioned above.
  * **55w**: Omar intensifies the goal threat, threatening to keep Fritzlein's Dog on the wrong wing.
  * **55b**: Fritzlein stubbornly refuses to defend with his Elephant, which would release Omar's Dog to switch wings. Instead he brings his Cat to e6 to prevent his Dog from being pushed there. Fritzlein is starting to feel a pinch because his eastern Rabbits are too advanced to participate in defense of f6, yet not far enough advanced to be a direct goal threat.
  * **56w**: Omar re-creates the goal threat, and astutely advances a Rabbit to c3. This late in the game one doesn't have the luxury of keeping Rabbits on the back row for goal defense, because they are more necessary for trap defense and for the creation of goal threats.
  * **56b**: Fritzlein defends the goal threat, and attempts to complete the re-alignment of his forces.
  * **57w**: Omar makes a strategic mistake. It is necessary for him to push Fritzlein's Dog back into the c6 trap, keeping alive the possibility of goal threats in the east. His threats against Fritzlein's Camel are much less pressing. Early in the game nothing is more important than a Camel, but late in the game goal threats loom large. Given that Fritzlein's Dog is now favorably aligned, Fritzlein might gain the option of attacking in the east with Elephant and Dog to create a goal threat, sacrificing his Camel in the west to buy time.
  * **57b**: Fritzlein keeps Omar's Dog on the wrong side, and moves his Camel further west to force Omar's Elephant to choose between extremes.
  * **58w**: Omar plays consistent with his mistake on 57w. After this move he is strategically lost.
  * **58b**: Fritzlein finishes aligning his Dog to the west. He is happy to have his Cat linger on defense in the east while his Rabbits are forward to support his Camel and eventually create goal threats. Cats are the one type of piece which are strategically happiest to spend the entire game in the home half of the board.
  * **59w**: Omar continues to play against Fritzlein's Camel, now directly threatening it with capture. Also his Rabbit advance is tactically tricky to meet. However, given his poor strategic situation, tactical tricks are all that remain to Omar. At postal speeds, Fritzlein has plenty of time to be careful.
  * **59b**: Fritzlein now offers his Camel to be taken hostage for the price of only Omar's c4 Rabbit. It may seem odd that he was happy to get a Camel hostage in the opening for a whole Cat, while now he is happy to give up a Camel hostage for a mere Rabbit, but the relative piece values have changed immensely since then. The Camel has sharply declined in value relative to the little pieces.
  * When one is defending a Camel hostage in the opening, one's Elephant has the option of leaving at any time in pursuit of some other prize. Usually that other prize is a Horse at best, i.e. something worth less than the hostage Camel. In an endgame, in contrast, an elepant can abandon a hostage Camel in pursuit of a goal, i.e. something worth more than a Camel. Thus not only does the value of the Camel itself decline, the value of the Camel hostage declines.
  * **60w**: Omar decides he can't afford to accept the offered hostage. His crossing underscores the importance of Fritzlein stepping his Rabbit to e4 on move 59b. It costs Omar one step in the goal race.
  * **60b to end**: Fritzlein's win is now a matter of patience and technique. He has time to calculate variations exactly to be sure that his goal threats will always land home one move sooner than Omar's, so Omar must always defend rather than racing. The fact that Fritzlein's threats are always stronger has nothing whatsoever to do with the relative tactical ability of the two players. On the contrary, it all traces back to the piece re-alignment of moves 53b to 58b. With a different position it would be Omar's extra Rabbit causing his goal threats to be eventually unstoppable.
  * On move 63w Fritzlein's Dog is only optically threatened, as Omar would allow a goal in two moves by capturing it. When Omar finally concedes on move 64w that his Elephant must retreat to prevent goal, Fritzlein completely shuts down any counterplay and indicates an intention to win materially rather than force an immediate goal. Facing a painful mop-up operation, Omar decides with move 67w to go down shooting rather than be paralyzed.
  * **Conclusion** In the end the stronger pieces prevailed over the more numerous pieces, but this was far from an inevitability. On the contrary, each side outplayed the other strategically in various phases of the game, causing the probable outcome to swing back and forth. Until move 58, the game remained rich and balanced, with deep opportunities for both sides to uncover within the position.

## Other sample game resources

### Big reversals

  * [List of games where the players in 'worse' positions came back and won](http://arimaa.com/arimaa/games/reversals.html)

### Game archive

  * [Archives of the past games](http://arimaa.com/arimaa/download/gameData/)

← [Arimaa Challenge History](http://en.wikibooks.org/wiki/Arimaa/Arimaa_Challenge_History) · [Glossary](http://en.wikibooks.org/wiki/Arimaa/Glossary) →

← [Arimaa Challenge History](http://en.wikibooks.org/wiki/Arimaa/Arimaa_Challenge_History) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Glossary](http://en.wikibooks.org/wiki/Arimaa/Glossary) →

# Glossary

Contents

[A](Print_version.html#A) [B](Print_version.html#B) [C](Print_version.html#C) [D](Print_version.html#D) [E](Print_version.html#E) [F](Print_version.html#F) [G](Print_version.html#G) [H](Print_version.html#H) [I](Print_version.html#I) [J](Print_version.html#J) [K](Print_version.html#K) [L](Print_version.html#L) [M](Print_version.html#M) [N](Print_version.html#N) [O](Print_version.html#O) [P](Print_version.html#P) [Q](Print_version.html#Q) [R](Print_version.html#R) [S](Print_version.html#S) [T](Print_version.html#T) [U](Print_version.html#U) [V](Print_version.html#V) [W](Print_version.html#W) [X](Print_version.html#X) [Y](Print_version.html#Y) [Z](Print_version.html#Z)  


[v](http://en.wikibooks.org/w/index.php?title=Template:Arimaa/Glossary&action=edit&redlink=1) • [d](http://en.wikibooks.org/w/index.php?title=Template_talk:Arimaa/Glossary&action=edit&redlink=1) • [e](http://en.wikibooks.org/w/index.php?title=Template:Arimaa/Glossary&action=edit)

 

Glossary

Pieces and Players

[Elephant](Print_version.html#Elephant)  · [Camel](Print_version.html#Camel)  · [Horse](Print_version.html#Horse)  · [Dog](Print_version.html#Dog)  · [Cat](Print_version.html#Cat)  · [Rabbit](Print_version.html#Rabbit) | [Gold](Print_version.html#Gold)  · [Silver](Print_version.html#Silver) | [Major Piece](Print_version.html#Major_Piece)  · [Minor Piece](Print_version.html#Minor_Piece)  · [Strength](Print_version.html#Strength)

Board and Squares

[West Wing](Print_version.html#West_Wing)  · [East Wing](Print_version.html#East_Wing)  · [Quadrant](Print_version.html#Quadrant)  · [Rank](Print_version.html#Rank)  · [File](Print_version.html#File) | [Home Trap](Print_version.html#Home_Trap)  · [Trap (noun)](Print_version.html#Trap_.28noun.29)

Movement

[Push](Print_version.html#Push)  · [Pull](Print_version.html#Pull)  · [Freeze](Print_version.html#Freeze) | [Trap (verb)](Print_version.html#Trap_.28verb.29)  · [Capture](Print_version.html#Capture) | [Move](Print_version.html#Move)  · [Step](Print_version.html#Step)  · [Turn](Print_version.html#Turn)  · [Setup](Print_version.html#Setup) | [Swing](Print_version.html#Swing)  · [Throw](Print_version.html#Throw)  · [Flip](Print_version.html#Flip)  · [Drag](Print_version.html#Drag)

Tactics and Strategy

[Frame](Print_version.html#Frame)  · [Fence](Print_version.html#Fence)  · [Pin](Print_version.html#Pin)  · [Sacrifice](Print_version.html#Sacrifice)  · [Hostage](Print_version.html#Hostage) | [Invade](Print_version.html#Invade)  · [Scatter](Print_version.html#Scatter) | [Swarm](Print_version.html#Swarm)  · [Blockade](Print_version.html#Blockade)  · [Overwhelm](Print_version.html#Overwhelm)  · [Overload](Print_version.html#Overload) | [Fork](Print_version.html#Fork)  · [Keystone](Print_version.html#Keystone)  · [Linchpin](Print_version.html#Linchpin)  · [Phalanx](Print_version.html#Phalanx)  · [Replacement](Print_version.html#Replacement)  · [Zwickmuhle](Print_version.html#Zwickmuhle)  · [Exchange](Print_version.html#Exchange)  · [Choke](Print_version.html#Choke)  · [Mutual Protection](Print_version.html#Mutual_Protection)  · [False Protection](Print_version.html#False_Protection)

Win Conditions

[Elimination](Print_version.html#Elimination)  · [Goal](Print_version.html#Goal)  · [Immobilization](Print_version.html#Immobilization)  · [Draw](Print_version.html#Draw)

Misc

[Arimaa Challenge](Print_version.html#Arimaa_Challenge)  · [Postal Game](Print_version.html#Postal_Game)  · [Lemming Mode](Print_version.html#Lemming_Mode)

##### Arimaa Challenge

Until the year 2020, the first person or organization who develops a computer program that can defeat three top human players will receive a [cash prize](http://arimaa.com/arimaa/challenge/).

##### Blockade

A piece that is not frozen, and yet still unable to move is _blockaded_. This occurs when it is surrounded by pieces that it cannot push out of the way. See also _[Immobilization](Print_version.html#Immobilization), [Frame](Print_version.html#Frame)_.

##### Camel

The second strongest of the six unique Arimaa pieces.

##### Capture

See _[Trap (verb)](Print_version.html#Trap_.28verb.29)_.

##### Cat

The fifth strongest of the six unique Arimaa pieces.

##### Choke

When a player's own [Rabbit](Print_version.html#Rabbit) is used against them to help [blockade](Print_version.html#Blockade) a major piece. This is done by placing the Rabbit behind the major piece so that the Rabbit blocks movement in that direction. The major piece is said to be _choked_.

##### Dog

The fourth strongest of the six unique Arimaa pieces.

##### Drag

Moving an opponent's piece either by [pushing](Print_version.html#Push) or [pulling](Print_version.html#Pull).

##### Draw

Prior to July 1st, 2008 an Arimaa game was said to be drawn if neither player has any [Rabbits](Print_version.html#Rabbit) remaining on the board. Draws are no longer possible due to the introduction of _[elimination](Print_version.html#Elimination)_.

##### East Wing

The right side of the board viewed from [Gold](Print_version.html#Gold)'s perspective, specifically the f-, g-, and h-files.

##### Elephant

The strongest of the six unique Arimaa pieces. The _Elephant_ is the only piece that cannot be pushed or pulled by the enemy.

##### Elimination

A player wins the game by _elimination_ if the opposing player has no [Rabbits](Print_version.html#Rabbit) left.

##### Exchange

Occurs when each side traps a piece of equal strength, usually within a short period of time. For example, if each side captured a Rabbit on consecutive moves it is described as a _Rabbit Exchange_. See also _[Trap (verb)](Print_version.html#Trap_.28verb.29)_.

##### False Protection

When two pieces adjacent to a trap appear to be mutually protected, but in fact, both are in danger of being trapped due to strong enemy pieces adjacent to them. See also _[Mutual Protection](Print_version.html#Mutual_Protection)_.

##### Fence

When an opponent's piece is [frozen](Print_version.html#Freeze) and partially [blockaded](Print_version.html#Blockade) such that if unfrozen the only [step](Print_version.html#Step) it could take is into an unprotected [trap](Print_version.html#Trap_.28noun.29).

##### File

One of eight columns on an Arimaa board. From [Gold](Print_version.html#Gold)'s perspective, the _a-file_ is on the left and the _h-file_ is on the right. It is the opposite from [Silver](Print_version.html#Silver)'s perspective.

##### Flip

The combination of [pulling](Print_version.html#Pull) and [pushing](Print_version.html#Push) an opponent's weaker pieces such that the weaker piece appears to be flipped to the other side of the stronger piece. Weaker pieces are vulnerable to being flipped to the opponent's side and eventually being trapped. See also _[Swing](Print_version.html#Swing)_ and _[Throw](Print_version.html#Throw)_.

##### Fork

A fork occurs if a piece is simultaneously threatened with capture in two different [traps](Print_version.html#Trap_.28noun.29). This can only occur on the squares c4, c5, d3, d6, e3, e6, f4 and f5.

##### [Frame](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Frames)

A piece which is on a trap square, surrounded on three sides by opposing pieces which prevent it from [pushing](Print_version.html#Push) its way off the trap square, has been _framed_. See also _[Pin](Print_version.html#Pin)_ and _[Trap (noun)](Print_version.html#Trap_.28noun.29)_.

##### Freeze

A piece is _frozen_ if it is adjacent to a stronger enemy piece and is not adjacent to any friendly pieces. A _frozen_ piece cannot move until the enemy piece moves away or a friendly piece moves onto an adjacent square.

##### Goal

A player wins the game by _goal_ if one of his/her [Rabbits](Print_version.html#Rabbit) advances to the opponent's home rank.

##### Gold

The player with the Gold pieces is both the first to setup and the first to move. See also _[Silver](Print_version.html#Silver)_.

##### Home Trap

A trap on a player's third rank. The squares c3 and f3 are [Gold](Print_version.html#Gold)'s home traps; the squares c6 and f6 are [Silver](Print_version.html#Silver)'s home traps,

##### Horse

The third strongest of the six unique Arimaa pieces.

##### Hostage

A piece that is [frozen](Print_version.html#Freeze) 2 squares away from a [trap](Print_version.html#Trap_.28noun.29) square is a _hostage_. If the trap is undefended, and the hostage-holder is mobile, the _hostage_ piece can be [trapped](Print_version.html#Trap_.28verb.29) in one move.

##### Immobilization

A player wins the game by _immobilization_ if the opposing player has no pieces remaining or is unable to make a single legal move. See also _[Blockade](Print_version.html#Blockade)_

##### Invade

When a player uses two to more pieces to take control of an opponent's [home trap](Print_version.html#Home_Trap). The pieces near that trap usually scatter. See also _[Scatter](Print_version.html#Scatter)_.

##### Keystone

The most exposed piece helping to hold a [blockade](Print_version.html#Blockade) or [frame](Print_version.html#Frame).

##### Lemming Mode

When a computer program gets triggered to [sacrifice](Print_version.html#Sacrifice) a series of minor pieces such as [Rabbits](Print_version.html#Rabbit), [Cats](Print_version.html#Cat) or [Dogs](Print_version.html#Dog) to prevent a stronger [hostage](Print_version.html#Hostage) piece such as a [Horse](Print_version.html#Horse) or [Camel](Print_version.html#Camel) from being [captured](Print_version.html#Trap_.28verb.29). Typically the computer will recognize that the strong piece is in danger and send over a weak piece to try to help, only to have the weak piece captured with nothing to show for it. The cycle then repeats, with the computer repeatedly sending over weak pieces and the opponent repeatedly capturing them.

##### Linchpin

A formation usually at the edge of the board where two friendly pieces are diagonal to one another such that if either is [pulled](Print_version.html#Pull) one [step](Print_version.html#Step) it remains [unfrozen](Print_version.html#Freeze) due to the other friendly piece and can easily return to its original place.

##### Major Piece

The _major pieces_ in Arimaa are the [Elephant](Print_version.html#Elephant), [Camel](Print_version.html#Camel), and [Horse](Print_version.html#Horse).

##### Minor Piece

The _minor pieces_ in Arimaa are the [Dog](Print_version.html#Dog), [Cat](Print_version.html#Cat), and [Rabbit](Print_version.html#Rabbit).

##### Move

See _[Turn](Print_version.html#Turn)_.

##### Mutual Protection

When two or more pieces adjacent to a [trap](Print_version.html#Trap_.28noun.29) prevent each other from being [trapped](Print_version.html#Trap_.28verb.29) by stronger enemy pieces. See also _[False Protection](Print_version.html#False_Protection)_.

##### Overload

A major piece (usually an [Elephant](Print_version.html#Elephant)) is said to be _overloaded_ if it must simultaneously protect multiple friendly pieces at two different [traps](Print_version.html#Trap_.28noun.29).

##### Overwhelm

A major piece (usually an [Elephant](Print_version.html#Elephant)) is said to be _overwhelmed_ if a group of weaker enemy pieces work together such that it is not able to [trap](Print_version.html#Trap_.28verb.29) any of them.

##### [Pin](http://en.wikibooks.org/wiki/Arimaa/Introduction_to_Strategy/Elephant_Mobility#Frames)

A lone friendly piece that is supporting a framed piece is said to be _pinned_. See also _[Frame](Print_version.html#Frame)_.

##### Phalanx

When group of friendly pieces come together and form a T shape to prevent a stronger enemy piece from pushing the weaker piece at the top center of the T.

##### Postal Game

A slow game in which the players are allowed a specified number of days (sometimes hours) to complete each move. Historically postal games (e.g. chess, go) were played by old-fashioned mail and a single game could last for years. Nowadays, _postal games_ are normally played online in a period of weeks or months. Also known as a _correspondence game_.

##### Pull

A player can _pull_ an enemy piece with a stronger piece by first moving the friendly piece to one of the unoccupied adjacent squares and then moving the opponent's piece into the square that was just vacated. A _pull_ requires 2 steps. See also _[Step](Print_version.html#Step)_.

##### Push

A player can _push_ an enemy piece with a stronger friendly piece by first moving the opponent's piece to one of the adjacent squares and then replacing it with the friendly piece. A _push_ requires 2 steps. See also _[Step](Print_version.html#Step)_.

##### Quadrant

A quarter of the board (16 squares), usually distinguished either by the [trap square](Print_version.html#Trap_.28noun.29) it contains, or by compass directions from the perspective of [Gold](Print_version.html#Gold). Thus the c6-quadrant is also the northwest quadrant, etc.

##### Rabbit

The weakest unit on the board and the only piece that cannot move backwards. However, _Rabbits_ are extremely important due to their ability to win the game by goal. See also _[Goal](Print_version.html#Goal)_.

##### Rank

One of eight rows on an Arimaa board. [Gold](Print_version.html#Gold) begins the game with 16 pieces on the first and second _ranks_ while [Silver](Print_version.html#Silver) beings with 16 pieces on the seventh and eighth _ranks_. The _home rank_ for Gold is 1, while Silver's is 8.

##### Replacement

When a piece involved with holding a [blockade](Print_version.html#Blockade) or [frame](Print_version.html#Frame) is freed to move by replacing it with another (usually weaker) friendly piece. Also referred to as _rotation_.

##### Sacrifice

If a player allows a friendly piece to be [trapped](Print_version.html#Trap_.28verb.29) in order to pursue a strategic objective elsewhere on the board, the friendly piece is said to be _sacrificed_.

##### Scatter

When a player's home trap is invaded the pieces near that trap move away to avoid being captured. See also _[Invade](Print_version.html#Invade)_.

##### Setup

The opening phase of the game during which [Gold](Print_version.html#Gold) then [Silver](Print_version.html#Silver) places the pieces on their first 2 rows, respectively.

##### Silver

The player with the Silver pieces is second to setup the pieces and second to move. See also _[Gold](Print_version.html#Gold)_.

##### Step

A player may use between one and four _steps_ on any turn. Moving a piece requires one step, while an additional step is required for a [push](Print_version.html#Push) or [pull](Print_version.html#Pull) (a total of two steps).

##### Strength

There are six unique types of pieces, each with a different _strength_. Stronger units can push, pull and freeze any weaker enemy pieces. From strongest to weakest, the units are [Elephant](Print_version.html#Elephant), [Camel](Print_version.html#Camel), [Horse](Print_version.html#Horse), [Dog](Print_version.html#Dog), [Cat](Print_version.html#Cat), [Rabbit](Print_version.html#Rabbit). See also _[Freeze](Print_version.html#Freeze)_, _[Pull](Print_version.html#Pull)_, _[Push](Print_version.html#Push)_.

##### Swarm

When a group of pieces advance together to [overwhelm](Print_version.html#Overwhelm) or [blockade](Print_version.html#Blockade) a stronger enemy piece.

##### Swing

The combination of [pulling](Print_version.html#Pull) and [pushing](Print_version.html#Push) an opponent's weaker pieces such that the weaker piece is moved 90 degrees clock wise around the stronger piece. See also _[Throw](Print_version.html#Throw)_ and _[Flip](Print_version.html#Flip)_.

##### Throw

The combination of [pulling](Print_version.html#Pull) and [pushing](Print_version.html#Push) an opponent's weaker pieces such that the weaker piece is moved 90 degrees counter clock wise around the stronger piece. See also _[Swing](Print_version.html#Swing)_ and _[Flip](Print_version.html#Flip)_.

##### Trap (noun)

There are 4 _trap_ squares on the board located at c3, c6, f3 and f6. Pieces that occupy these four squares may be trapped. See also _[Trap (verb)](Print_version.html#Trap_.28verb.29)_.

##### Trap (verb)

A piece is _trapped_ and removed from the board if it occupies a trap square and there are no friendly pieces occupying any of the four adjacent squares. If there is a friendly piece on an adjacent square, then it is possible for a second piece to safely walk over - or occupy - on a trap square. A _trapped_ piece can also be described as being _captured_. See also _[Trap (noun)](Print_version.html#Trap_.28noun.29)_.

##### Turn

A player completes a _turn_ by moving pieces a total of one, two, three or four legal steps. The opposing player then makes his/her _turn_. Also known as a _move_. See also _[Step](Print_version.html#Step)_.

##### West Wing

The left side of the board viewed from [Gold](Print_version.html#Gold)'s perspective, specifically the a-, b-, and c-files.

##### Zwickmuhle

A situation in which one player threatens [goal](Print_version.html#Goal) and the other player can only prevent goal by moving a piece where it can be [captured](Print_version.html#Trap_.28verb.29).

← [Sample Games](http://en.wikibooks.org/wiki/Arimaa/Sample_Games) · [Resources](http://en.wikibooks.org/wiki/Arimaa/Resources) →

← [Sample Games](http://en.wikibooks.org/wiki/Arimaa/Sample_Games) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)** · [Resources](http://en.wikibooks.org/wiki/Arimaa/Resources) →

# Resources

  * [Official Arimaa website](http://arimaa.com/arimaa/)
  * [Arimaa Wiki](http://arimaa.com/arimaa/mwiki/index.php/Main_Page)
  * [Arimaa on Wikipedia](http://en.wikipedia.org/wiki/Arimaa)
  * [Academic papers and presentations](http://arimaa.com/arimaa/papers/)
  * [David Fotland's Arimaa program](http://www.smart-games.com/arimaa.html)
  * [The Arimaa Public License](http://www.arimaa.com/arimaa/license/current.txt)
  * [Arimaa videos](http://youtube.com/arimaa2)
  * [First official hand-crafted Arimaa set](http://www.newforestearth.org/index.php?option=com_content&view=category&layout=blog&id=24&Itemid=115&lang=en/)
  * [Play Arimaa game on the iGoogle homepage](http://www.iggamecenter.com/)
  * [Play Arimaa game online](http://boardspace.net/) at [boardspace.net](http://www.boardspace.net)

← [Glossary](http://en.wikibooks.org/wiki/Arimaa/Glossary)

← [Glossary](http://en.wikibooks.org/wiki/Arimaa/Glossary) · **[Arimaa](http://en.wikibooks.org/wiki/Arimaa)**

  


# GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&oldid=2509896](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&oldid=2509896)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Arimaa](http://en.wikibooks.org/wiki/Category:Arimaa)

Hidden category: 

  * [Pages needing sources](http://en.wikibooks.org/wiki/Category:Pages_needing_sources)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Arimaa%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Arimaa%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Arimaa/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Arimaa/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Arimaa/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&oldid=2509896)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Arimaa%2FPrint_version&id=2509896)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Arimaa%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Arimaa%2FPrint+version&oldid=2509896&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Arimaa/Print_version&printable=yes)

    * This page was last modified on 7 April 2013, at 04:57.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Arimaa/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
