# Canadian Criminal Evidence/Print version

From Wikibooks, open books for an open world

< [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=purge&printable=yes) this page.

# Canadian Criminal Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=1)]

# Table of Contents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=2)]

  * Introduction

Basic Principles

  * Acceptance of Evidence
  * Standard of Proof
  * Burden of Proof
  * Proving Facts 
    * Circumstantial Evidence
    * Inferences
    * Recent Possession
    * Presumptions
    * Judicial Notice

Forms of Evidence

  * Real Evidence
  * Documentary Evidence 
    * Public and Judicial Documents
    * Private Documents 
      * Business Records
      * Financial Institution Records
  * Testimonial Evidence 
    * Competence and Compellability
    * Refreshing Memory

Limits on the Admissibility of Evidence

  * Opinion 
    * Lay Opinion Evidence
    * Expert Evidence
  * Credibility 
    * Collateral Fact Rule
    * Prior Consistent Statements
    * Prior Inconsistent Statements
    * Post-Offence Conduct
    * Criminal Record
    * Disreputable and Unsavoury Witnesses
  * Character 
    * Character of Accused
    * Similar Fact Evidence
    * Alternative Suspect Evidence
    * Complainant's Sexual History
  * Hearsay 
    * Traditional Exceptions
    * Principled Exception
  * Admissions and Confessions 
    * Admissions
    * Confessions
    * Voluntariness
    * Right Against Self-crimination
  * Privilege

Appendix

  * Case Law
  * Hearsay Applications
  * Model Examinations

# I - Basic Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=3)]

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=4)]

## Preface[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Introduction&action=edit&section=T-1)]

This text was written as a reference on the law of evidence in criminal law. The audience for this text will be mostly criminal law practitioners, police officers, and law students, who need a convenient way to look up principles and case law. Where possible there are links to cited cases on CanLII for ease of reference.

As of this writing, this text remains a work in progress. Errors and omissions should be expected and so it is always recommended that source materials be consulted to confirm the contents of these materials. Any contributions, be they simply correcting citations, copy editing, or substantive contributions, would be greatly appreciated.

I continue to actively review and edit these series texts on a regular basis. You can contact myself at PullUpYourSocks1@gmail.com, if you have any questions or comments.

## Organization of the Book[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Introduction&action=edit&section=T-2)]

This book is set out in three sections. First section covers the basic elements that make up the rules of evidence, such as basis for accepting evidence, burdens and standards of proof, as well as shortcuts to proof.

The second section cover the types of evidence the law recognizes. Specifically, oral, document or real evidence. These chapters cover the requirements for these types of evidence to be accepted into evidence, including competency of witnesses and authentication of certain types of evidence.

The final section covers the many rules that limit or exclude evidence. This includes a variety of principles from opinion evidence, character evidence, hearsay, admissions, and privilege.

# Acceptance of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-1)]

Evidence provides a means of allowing facts to be proved for the purpose of deciding issues in litigation. Only evidence that is admissible, material and relevant can be considered. Even then evidence can often have the side-effect of creating prejudice, and if the prejudicial effect is more significant than the probative value, it might be ruled inadmissible for that reason.

For a trier-of-fact to receive evidence, the judge must be satisfied that the evidence is:[[1]](Print_version.html#cite_note-1)

  1. relevant,
  2. material,
  3. not barred by rules of admissibly, and
  4. not subject to discretionary exclusion.

Once relevance and materiality is established the remaining steps tend to reduce the scope of admissibility by excluding evidence.

  1. [↑](Print_version.html#cite_ref-1) R. v. Candir, 2009 ONCA 915 , per Watt J.A. at para 46 - requires evidence be (1) relevant (2) material (3) admissible  
R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 96 - sets out the four points of admissibility  


## Relevance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-2)]

Evidence must be relevant before it can be admissible, irrelevant evidence must be excluded. [[1]](Print_version.html#cite_note-2)

Relevance is "assessed in the context of the entire case and the positions of counsel. It requires a determination whether, as a matter of human experience and logic, the existence of a particular fact, directly or indirectly, makes the existence or non-existence of a material fact more probable than it would be otherwise".[[2]](Print_version.html#cite_note-3)

Certain evidence does not cease to be relevant or become irrelevant simply because it can support more than one inference. [[3]](Print_version.html#cite_note-4)

Relevance is sometimes divided into 1) logical relevance and 2) legal relevance.[[4]](Print_version.html#cite_note-5) Logical relevance, as discussed above, refers to the connection between two facts. Legal relevance is the cost/benefit analysis of the admission of evidence on the basis of probative value outweighing prejudicial effect.

  1. [↑](Print_version.html#cite_ref-2) Hollington v. Hewthorn & Co. Ltd., [1943] K.B. 587 (C.A.), at p. 594 (“all evidence that is relevant to an issue is admissible, while all that is irrelevant is excluded”)
  2. [↑](Print_version.html#cite_ref-3) R. v. Cloutier 1979 CanLII 25 (SCC), (1979), 48 C.C.C. (2d) 1 (S.C.C.) at 27 and referenced in Watt's Manual of Criminal Evidence, 2010, (Thomson Carswell: Toronto, 2008) at Section 3.0
  3. [↑](Print_version.html#cite_ref-4) R. v. Underwood [2002 ABCA 310](http://www.canlii.org/en/ab/abca/doc/2002/2002abca310/2002abca310.html) at para. 25
  4. [↑](Print_version.html#cite_ref-5) R v Mohan [1994] 2 SCR 9

## Materiality[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-3)]

Evidence must be material to be considered by a court. Material evidence refers to evidence that is contributes to proving a fact that is of consequence to the trial. That is, there must be a relationship between the evidence and a legal issue put to the court.[[1]](Print_version.html#cite_note-6)

  1. [↑](Print_version.html#cite_ref-6) R v Gill (1987) 39 CCC (3d) 506 (MBCA)

## Rules of Admissibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-4)]

All courts can only consider admissible evidence.[[1]](Print_version.html#cite_note-7)

Where evidence is relevant and material the evidence should be admitted unless their exclusion is justified.[[2]](Print_version.html#cite_note-8)

Much of the entirety of the rules of evidence concern the question of what is admissible evidence. As such, admissibly of evidence can be better understood as evidence that is not prohibited by an exclusionary rules. To name the most frequently encountered rules of exclusion include:

  1. hearsay
  2. opinion
  3. witness competence
  4. character
  5. illegally obtained evidence
  6. conduct on other occasions

In addition to this, there is always a residual common law discretion to exclude evidence.

  1. [↑](Print_version.html#cite_ref-7) See also R. v. Zeolkowski (1987) 333 CCC 231; R. v .Hawkes (1915) 25 CCC 29 (ABCA)
  2. [↑](Print_version.html#cite_ref-8) R v Collins 2001 CanLII 24124 (ON CA) at para. 18, 19  
Cyr at para. 116  


## Discretionary Exclusion[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-5)]

Even where evidence is relevant, material, and admissible, the court retains a discretionary ability to exclude evidence where the probative value of the evidence is exceeded by its prejudicial effect. [[1]](Print_version.html#cite_note-9)

The law is primarily inclusionary and will tend to admit all evidence that is logically probative of some fact in issue, subject to the rules of exclusion and exception. Where it does not fall into an exclusion or exception issues with the evidence only goes to weight.[[2]](Print_version.html#cite_note-10)

The discretionary power allows for a cost-benefit analysis to determine if the value of the evidence to determine the case correctly "is worth the cost of its introduction to the litigation process."[[3]](Print_version.html#cite_note-11) This will involve considering the prejudicial effect including the misleading effect and time consumption.[[4]](Print_version.html#cite_note-12)

The onus is upon the accused to establish that evidence otherwise admissible should be excluded as prejudicial.[[5]](Print_version.html#cite_note-13)

The court should consider the discretion to exclude evidence as follows:[[6]](Print_version.html#cite_note-14)

  1. The judge must determine the probative value of the evidence assessing its tendency to prove a fact in issue in the case including the credibility of the witnesses.
  2. The judge must determine the prejudicial effect of the evidence because of its tendency to prove matters which are not in issue... or because of the risk that the jury may use the evidence improperly to prove a fact in issue.
  3. The judge must balance the probative value against the prejudicial effect having regard to the importance of the issues for which the evidence is legitimately offered against the risk that the jury will use it for other improper purposes, taking into account the effectiveness of any limiting instructions.

In a jury setting, the judge must be scrupulous to only permit evidence that is "worthy of jury consideration" and "not whether the jury should accept and act upon the evidence."[[7]](Print_version.html#cite_note-15)

In non-jury settings, the judge need not be as scrupulous. The judge is performing a gate-keeping function and so is capable of distinguishing prejudicial evidence. It is unreasonable that the judge is prejudiced from merely hearing evidence.[[8]](Print_version.html#cite_note-16)

Where prejudices exist the judges are capable of self-warning of the risks of the evidence. This will often be considered sufficient precaution.[[9]](Print_version.html#cite_note-17) A judge who is satisfied he are not prejudice should be taken at his word. R v O’Brien, 2011 SCC 29 (CanLII) at para 18, [2011] 2 SCR 485 (“The trial judge was entitled to be taken at his word.”)  
</ref>

The exercise of this discretion requires substantial deference on appeal absent error in principle.[[10]](Print_version.html#cite_note-18)

  1. [↑](Print_version.html#cite_ref-9) R. v. Cloutier, 1979 CanLII 25 (SCC), [1979] 2 S.C.R. 709, 48 C.C.C. (2d) 1, 12 C.R. (3d) 10  
R. v. Smith, 1992 CanLII 79 (SCC), [1992] 2 S.C.R. 915, 75 C.C.C. (3d) 257, 15 C.R. (4th) 133  
R. v. Moose, [2004 MBCA 176](http://canlii.ca/t/1j3h8), 24 C.R. (6th) 246, 190 Man. R. (2d) 156  
R. v. F. (M.) [2009 ONCA 617](http://canlii.ca/t/25882) at para. 25  
R. v. Mohan, [1994] 2 S.C.R. 9, 1994 CanLII 80 (S.C.C.) at pp. 20-21  

  2. [↑](Print_version.html#cite_ref-10) R. v. Corbett 1988 CanLII 80 (SCC), (1988), 41 C.C.C. (3d) 385
  3. [↑](Print_version.html#cite_ref-11) R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 96, 97  
Mohan, at pp. 20-21  

  4. [↑](Print_version.html#cite_ref-12) Cyr at para. 97
  5. [↑](Print_version.html#cite_ref-13) R. v. Jack 1992 CanLII 2764 (MB CA), (1992), 70 C.C.C. (3d) 67, 15 W.C.B. (2d) 92 (Man. C.A.), at p. 86
  6. [↑](Print_version.html#cite_ref-14) R. v. P. (R.) (1990), 58 C.C.C. (3d) 334 (Ont. H.C.) at 347
  7. [↑](Print_version.html#cite_ref-15) Cyr at para. 98 citing R. v. Abbey, 2009 ONCA 624 (CanLII) at para. 89  

  8. [↑](Print_version.html#cite_ref-16) see e.g. R v Virani, 2012 ABCA 155 (CanLII) at paras 13-14  
TG v Nova Scotia (Community Services), 2012 NSCA 43 at para 75 leave to SCC denied  

  9. [↑](Print_version.html#cite_ref-17) see R v Blea, 2012 ABCA 41 at para 49  

  10. [↑](Print_version.html#cite_ref-18) R. v. B. (C.R.), 1990 CanLII 142 (SCC), [1990] 1 S.C.R. 717, at p. 733  
Cyr at para. 103

### Probative value[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-6)]

Probative value concerns the weight put on evidence and _not_ its admissibility.[[1]](Print_version.html#cite_note-19)

Determining the probative value of evidence includes considering the "frailties of the evidence, the inferences that may reasonably be drawn from it and the availability of other evidence to prove the same fact."[[2]](Print_version.html#cite_note-20)

Probative value includes considering its reliability.[[3]](Print_version.html#cite_note-21)

The reliability factor is particularly important when considering expert evidence.[[4]](Print_version.html#cite_note-22)

  1. [↑](Print_version.html#cite_ref-19) Morris v. The Queen, [1983 CanLII 28](http://canlii.ca/t/1lpds) (SCC), [1983] 2 SCR 190 at pp. 99-100 (C.C.C.) pp.192-3 (S.C.R.) - cites example of documents of heroine trade found in accused's residence
  2. [↑](Print_version.html#cite_ref-20) R. v. Leitch and Jno-Baptiste, [2011 ONSC 2597](http://canlii.ca/t/fp73k) citing R. v. Pascoe [1997 CanLII 1413](http://canlii.ca/t/6hq3) (ON CA), (1997), 113 C.C.C. (3d) 126 (Ont. C.A.)
  3. [↑](Print_version.html#cite_ref-21) Cyr at para. 97
  4. [↑](Print_version.html#cite_ref-22) Cyr at para. 97 citing Mohan at p. 21  


### Prejudicial Effect[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-7)]

Although the first rule of evidence is to admit all relevant evidence there are certain types of relevant evidence that should not be admitted as it will have a prejudicial effect on the fairness of the trial. It is said that there are three grounds of excluding evidence on the basis of it prejudice: "moral", "logical", and "time".

Prejudice is not simply evidence that is harmful to the defence case, but rather it is evidence that will create unfairness by misuse, over consumption of time, or distraction/confusion of issues. The impact will effect "fairness and the integrity of the proceedings"[[1]](Print_version.html#cite_note-23)

All judges have a discretion to exclude any evidence on the basis that its prejudicial effect will out-weigh the probative value.[[2]](Print_version.html#cite_note-24)

Where evidence is relevant to one count but irrelevant and possibly prejudicial to another count, the court may still admit the evidence but provide a limiting instruction to the jury on the limited use of the evidence.[[3]](Print_version.html#cite_note-25)

When the evidence is called by the defence the balance between probative value and prejudicial effect is weighed further in the side of admission. A judge should only exclude evidence where the prejudicial effect "substantially outweighs" the probative value.[[4]](Print_version.html#cite_note-26)

When dealing with a jury we must presume that limiting instructions and cautions will be followed and the evidence will be "confined within its proper bounds".[[5]](Print_version.html#cite_note-27)

In review, the absence of objection will be a factor in considering if the evidence is significantly prejudicial.[[6]](Print_version.html#cite_note-28)

  1. [↑](Print_version.html#cite_ref-23) R. v. Seaboyer, 1991 CanLII 76 (SCC), [1991] 2 S.C.R. 577; R. v. Collins 2001 CanLII 24124 (ON CA), (2001), 160 C.C.C. (3d) 85, 150 O.A.C. 220 (Ont. C.A.), at para. 19
  2. [↑](Print_version.html#cite_ref-24) R. v. Mohan 1994 CanLII 80 (S.C.C.), (1994) 29 C.R. (4th) 243 (S.C.C.) [[1]](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii80/1994canlii80.html)
  3. [↑](Print_version.html#cite_ref-25) R v Cote, (2003) 176 CCC (3d) 89
  4. [↑](Print_version.html#cite_ref-26) R v Shearing, [2002] 3 SCR 33  
R v Seaboyer, [1991] 2 SCR 577  
R. v. Clarke, [1998 CanLII 14604](http://canlii.ca/t/1v98k) (ON CA)  

  5. [↑](Print_version.html#cite_ref-27) Cyr at para. 99  
R. v. Corbett, 1988 CanLII 80 (SCC), [1988] 1 S.C.R. 670, at pp. 692-693  

  6. [↑](Print_version.html#cite_ref-28) R v Jaw, 2009 SCC 42 (CanLII), [2009] 3 SCR 26 at para 44, citing R v Jacquard, 1997 CanLII 374 (SCC), [1997] 1 SCR 314 at paras 37-38  
R v Daley, 2007 SCC 53 (CanLII), [2007] 3 SCR 523 at para 58  


### Moral and Logical Prejudice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-8)]

First, there is evidence of _moral prejudice_ which has the potential of creating outrage in the jury and could influence them to make their decision based on emotion. For example, a jury may get the urge to punish an accused for past bad acts even though they are not at issue in the trial. Second, there are _logical prejudices_ that suggest to the jury to make improper inferences, such as relating the accused race with a particular disposition.

In a non-jury setting, concerns of reasoning prejudice and moral prejudice are lessened.[[1]](Print_version.html#cite_note-29)

  1. [↑](Print_version.html#cite_ref-29) R v DeKock, 2009 ABCA 225 (CanLII) at paras 33-37, 43-45  
R v TB, 2009 ONCA 177 (CanLII) at paras 26-30, 33  
R v Blea, 2012 ABCA 41 (CanLII) at para 48  


### Time Consumption[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-9)]

Prejudice arises from evidence that consumes too much time and resources. The trier-of-fact should not have their time wasted with minor evidence that will waste their time and confuse them from the real issues.

The time consumption should be commensurate to its value.[[1]](Print_version.html#cite_note-30)

  1. [↑](Print_version.html#cite_ref-30) R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 97

### Trial Fairness[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Acceptance_of_Evidence&action=edit&section=T-10)]

The conduct of the trial, including the admission of evidence, should "not result in the trial being unfair because the accused has been denied a full opportunity to prepare his case, challenge and answer the Crown’s case." [[1]](Print_version.html#cite_note-31)

When considering hearsay tendered by accused the judge may relax the rules of admissibility in order to prevent a miscarriage of justice. This preferred treatment is due to the liberty interests at stake.[[2]](Print_version.html#cite_note-32)

  1. [↑](Print_version.html#cite_ref-31) R. v. Albright 1987 CanLII 26 (SCC), [1987] 2 S. C. R. 383 at para. 26
  2. [↑](Print_version.html#cite_ref-32) Paciocco and Stuesser, The Law of Evidence, Sixth Edition, at page 118

  


# Standard of Proof[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-1)]

The standard of proof asks to how convinced the trier of fact must be of some something. Canadian criminal law has three core standards:[[1]](Print_version.html#cite_note-33)

  1. **Proof beyond a reasonable doubt** which is the standard to be met by the Crown against the accused;
  2. **a balance of probabilities** or **Proof on a preponderance of the evidence** which is the burden of proof on the accused when he has to meet a presumption requiring him to establish or to prove a fact or an excuse;
  3. **Evidence raising a reasonable doubt** which is what is required to overcome any other presumption of fact or of law. Once a prima facie case has been established by the evidence of the crown, there is no need to prove innocence. Rather the accused need only raise a doubt in the evidence.[[2]](Print_version.html#cite_note-34)

The US has a fourth standard known as "clear and convincing evidence" which is a middle ground between the two standards, however, this has never been officially adopted in Canada. When a proposition at issue in a case, such as an element of an offence, must be proven, the standard must be reached using the weight of the totality of evidence presented, not on each individual piece of evidence [[3]](Print_version.html#cite_note-35).

  1. [↑](Print_version.html#cite_ref-33) R. v. Proudlock [1978 CanLII 15 (SCC)](http://canlii.ca/t/1mktb), [1979] 1 S.C.R. 525
  2. [↑](Print_version.html#cite_ref-34) Batary v. Attorney General of Saskatchewan [1965] SCR 465, [1965 CanLII 102 (SCC)](http://canlii.ca/t/227rg), at p. 476
  3. [↑](Print_version.html#cite_ref-35) R. v. Morin [1988 CanLII 8](http://canlii.ca/t/1ftc2) (SCC), [1988] 2 SCR 345

## Balance of Probabilities[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-2)]

The "balance of probabilities" is described as being "more probable than not", or more technically, the chance of the proposition being true is more than 50%. This standard is known as the civil standard as it exclusively used in civil trial cases.[[1]](Print_version.html#cite_note-36)

  


  1. [↑](Print_version.html#cite_ref-36) Continental Insurance Co. v. Dalton Cartage Co., [1982 CanLII 13](http://canlii.ca/t/1lpbl) (SCC), [1982] 1 SCR 164 - SCC rejected a variable standard, adopting only balance of probabilities

## Beyond a Reasonable Doubt (BARD)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-3)]

The standard of "beyond a reasonable doubt" (BARD) is a common law standard of proof in criminal matters.[[1]](Print_version.html#cite_note-37) This standard is exclusively used in criminal or quasi-criminal proceedings. This includes not only adult criminal trials, but also young offender cases, adult sentencing, and certain provincial penal offences.

The standard of "reasonable doubt" consists of a doubt based on reason and common sense which must be logically based upon the evidence or lack of evidence. It is not based on "sympathy or prejudice". [[2]](Print_version.html#cite_note-38)

Proof beyond a reasonable doubt "it does not involve proof to an absolute certainty; it is not proof beyond any doubt nor is it an imaginary or frivolous doubt."[[3]](Print_version.html#cite_note-39)

However, belief that the accused is "probably guilty" is not sufficient and must acquit.[[4]](Print_version.html#cite_note-40)

The standard as the ultimate burden of proof is "inextricably intertwined with that principle fundamental to all criminal trials, the presumption of innocence".[[5]](Print_version.html#cite_note-41) The burden should never shift to the accused.[[6]](Print_version.html#cite_note-42)

The burden of proof placed upon the Crown lies “much closer to absolute certainty than to a balance of probabilities.”[[7]](Print_version.html#cite_note-43) The standard is more "than proof that the accused is probably guilty" in which case the judge must acquit.[[8]](Print_version.html#cite_note-44)

“[A] reasonable doubt does not need to be based on the evidence; it may arise from an absence of evidence or a simple failure of the evidence to persuade the trier of fact to the requisite level of beyond reasonable doubt.”[[9]](Print_version.html#cite_note-45)

The standard of BARD only applies to the evaluation of the evidence as a whole and not individual aspects of the evidence.[[10]](Print_version.html#cite_note-46)

Reasonable doubt must come as a rational conclusion from the evidence available and not as a basis of conjecture.[[11]](Print_version.html#cite_note-47)

Where the issue is the reliability or credibility of a witness, the courts must generally consider corroborative evidence.[[12]](Print_version.html#cite_note-48)

  1. [↑](Print_version.html#cite_ref-37) affirmed under the English common law of England in Woolmington v. D.P.P., [1935] A.C. 462 at 481-82 (H.L.)
  2. [↑](Print_version.html#cite_ref-38) R. v. Lifchus, [1997 CanLII 319](http://canlii.ca/t/1fqzt) (SCC), [1997] 3 S.C.R. 320 at para. 36  
See also: In R. v. J.M.H., [2011 SCC 45](http://canlii.ca/t/fnbb2) at 39 ( “a reasonable doubt does not need to be based on the evidence; it may arise from an absence of evidence or a simple failure of the evidence to persuade the trier of fact to the requisite level of beyond reasonable doubt.”)
  3. [↑](Print_version.html#cite_ref-39) Lifchus, at para. 36
  4. [↑](Print_version.html#cite_ref-40) Lifcus at para. 36
  5. [↑](Print_version.html#cite_ref-41) Lifchus at para. 36
  6. [↑](Print_version.html#cite_ref-42) Lifchus at para. 36
  7. [↑](Print_version.html#cite_ref-43) R. v. Starr, [2000 SCC 40](http://canlii.ca/t/525l) at para 242
  8. [↑](Print_version.html#cite_ref-44) Lifchus at 36
  9. [↑](Print_version.html#cite_ref-45) R. v. J.M.H., 2011 SCC 45
  10. [↑](Print_version.html#cite_ref-46) Stewart v. The Queen, [1976 CanLII 202](http://canlii.ca/t/1z6bm), [1977] 2 S.C.R. 748 at 759-61  
R. v. Morin, [1988 CanLII 8](http://canlii.ca/t/1ftc2), [1988] 2 S.C.R. 345 at 354, 44 C.C.C. (3d) 193  
R. v. White, [1998 CanLII 789](http://canlii.ca/t/1fqqt), [1998] 2 S.C.R. 72, 125 C.C.C. (3d) 385 at paras. 38-41
  11. [↑](Print_version.html#cite_ref-47) R. v. Wild [1970 CanLII 148](http://canlii.ca/t/1xd3d) (SCC), [1971] SCR 101 at 113
  12. [↑](Print_version.html#cite_ref-48) R. v. Kehler, [2004 SCC 11](http://canlii.ca/t/1ggzb), [2004] 1 S.C.R. 328 at paras. 12-23

## Sufficiency of Proof[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-4)]

Before any evidence gets to a trier of fact there is often a requirement to discharge an evidential burden for the trier of law (i.e. the judge).

In a preliminary inquiry the Crown must show on the whole that the evidence they will present is sufficient to potentially convict the accused. The purpose of this initial evaluation is to avoid frivolous suiting being brought in that have no chance at success.

The leading case for the standard of proof needed before evidence can be put to the jury is United States of America v. Shephard, [1976 CanLII 8](http://canlii.ca/t/1mx51) (SCC), [1977] 2 SCR 1067. The Court held that:

    _[The] which governs a trial Judge in decideing whether the evidence is sufficient to justify him in withdrawing the case from the jury, and this is to be determined according to whether or not there is any evidence upon which a reasonable jury properly instructed could return a verdict of guilt._

In a case where some of the evidence the Crown is relying upon is not directly to the issue of the case, the Crown must satisfy the judge that "the evidnece, _if believed_, could reasonably support an inference of guilt."[[1]](Print_version.html#cite_note-49)

  1. [↑](Print_version.html#cite_ref-49) R.v. Arcuri, [SCC 54](http://canlii.ca/t/51xv2001) (CanLII), [2001] 2 SCR 828

## Legal Proof[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-5)]

Frequently seen standards of proof that are seen include:

  1. "air of reality" / prima facie case
  2. reasonable and probable grounds / reasonably-based probability
  3. reasonable suspicion

### Air of Reality Test[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Standard_of_Proof&action=edit&section=T-6)]

The air of reality test determines whether a particular legal defence should be consider by the trier-of-fact. When the standard is met, the effect is to add a burden upon the Crown to prove that the defence fails beyond a reasonable doubt.

In the context of a jury trial, the test determines whether the judge will give instructions to the jury that they should consider the particular defenses. .

The air of reality test creates a burden of evidence, not a persuasive burden.[[1]](Print_version.html#cite_note-50)

The test applies to _all_ defences[[2]](Print_version.html#cite_note-51) as well as all elements of each defence.[[3]](Print_version.html#cite_note-52)

The jury should be instructed of defences that have evidence supporting it.[[4]](Print_version.html#cite_note-53) By inference, a judge "judge has a positive duty to keep from the jury defences lacking an evidential foundation".[[5]](Print_version.html#cite_note-54) There must be evidence support _each_ element of the defence.[[6]](Print_version.html#cite_note-55)

The test requires that there must be "some evidence" upon which "a properly instructed jury acting reasonably could base an acquittal".[[7]](Print_version.html#cite_note-56)

The decision of a judge on the air of reality test may be reviewed as a "question of law" on a standard of "correctness".[[8]](Print_version.html#cite_note-57)

The judge should not consider credibility, make findings of fact, draw inferences, or "weigh" the evidence.[[9]](Print_version.html#cite_note-58) He should not consider the likelihood of success of the defence.[[10]](Print_version.html#cite_note-59)

The judge must consider whether inferences would be necessary for the defence to succeed and whether those inferences from the evidence are reasonable.[[11]](Print_version.html#cite_note-60)

  


  1. [↑](Print_version.html#cite_ref-50) Cinous at para. 52 ("It is trite law that the air of reality test imposes a burden on the accused that is merely evidential, rather than persuasive.")
  2. [↑](Print_version.html#cite_ref-51) R. v. Cinous, [2002 SCC 29](http://canlii.ca/t/51tb) (CanLII), [2002] 2 S.C.R. 3 at para. 57 and 82  

  3. [↑](Print_version.html#cite_ref-52) R. v. Ribic, [2008 ONCA 790](http://canlii.ca/t/21mq8) at para. 38
  4. [↑](Print_version.html#cite_ref-53) R. v. Ribic, at para. 38 (all defences "that are realistically available on the evidence")  
Cinous, at para. 50 (“a defence should be put to a jury if and only if there is an evidential foundation for it”)  

  5. [↑](Print_version.html#cite_ref-54) R. v. Gunning, [2005 SCC 27 2005 SCC 27] (CanLII), [2005] 1 S.C.R. 627, at para. 29
  6. [↑](Print_version.html#cite_ref-55) Ribic at para. 38 ("if evidential support for a necessary element of a defence is lacking, the air of reality test will not be met.")
  7. [↑](Print_version.html#cite_ref-56) Cinous, at para. 83  

  8. [↑](Print_version.html#cite_ref-57) R. v. McRae 2005 CanLII 26592 (ON CA) at para. 38 ("[T]he question of whether there was an air of reality to the defence of duress is an issue of law")  
Cinous at para. 55  
R. v. Ryan, 2011 NSCA 30 (CanLII) at para. 114  

  9. [↑](Print_version.html#cite_ref-58) Cinous at para. 54
  10. [↑](Print_version.html#cite_ref-59) Cinous at para. 54 ("whether the defence is likely, unlikely, somewhat likely, or very likely to succeed at the end of the day")
  11. [↑](Print_version.html#cite_ref-60) Cinous at para. 65 and 83  
R. v. Savoury 2005 CanLII 25884 (ON CA) at para. 45  
R. v. Basit, [2013 BCSC 70](http://canlii.ca/t/fvq6d) (CanLII) at para. 7  


  


# Burden of Proof[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Burden_of_Proof&action=edit&section=T-1)]

The burden of proof indicates who has the responsibility or onus to prove something.

Generally, there are two types of burdens. First, there is the "burden of pursuasion", often called a "legal burden", "primary burden", or "major burden", which is the requirement to prove the case or disprove the defence. Failure to discharge this burden results in the party losing the case. This type of evidence typically is said to impose a "onus of proof". Second, there is the "evidential burden", often called the "secondary burden", "burden of going forward", or "minor burden", which is the requirement of putting an issue before the court using the available evidence.

## Presumption of Innocence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Burden_of_Proof&action=edit&section=T-2)]

It is well established in law that all persons are entitled to the legal presumption of innocence for all charges they are not convicted for.[[1]](Print_version.html#cite_note-61)

Therefore the Crown has the burden of proving all the elements of the offence.[[2]](Print_version.html#cite_note-62) The onus of proving guilt never switches from the Crown to the accused.[[3]](Print_version.html#cite_note-63)The “accused bears no burden to explain why his accuser made the allegations against him”[[4]](Print_version.html#cite_note-64)

  1. [↑](Print_version.html#cite_ref-61) Woolmington v. Director of Public Prosecutions, [1935] AC 462  
R. v. Appleby, [1972] SCR 303 [[2]](http://canlii.ca/t/1nfms)  
R. v. Proudlock, [1979] 1 SCR 525 [at para. 6](http://canlii.ca/t/1mktb#par6)
  2. [↑](Print_version.html#cite_ref-62) R. v. Lauer, [2011 PECA 5 at para. 73](http://canlii.ca/t/fkdt0#par73)
  3. [↑](Print_version.html#cite_ref-63) see R. v. Briand (2010), 258 C.C.C. (3d) 416 (N.L.C.A.)
  4. [↑](Print_version.html#cite_ref-64) see R. v. J.C.H., 2011 NLCA 8 at para 18

  


# Proving Facts[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Proving_Facts&action=edit&section=T-1)]

There are several ways that facts can be established. The predominant manner of establishing fact is through evidence. In fact, almost all manners of proof require some amount of evidence and the real distinction is the proximity of the evidence to the fact at issue.

Facts are established by:

  1. Direct Evidence
  2. Circumstantial Evidence (including inferences)
  3. Legal Presumptions
  4. Judicial Notice
  5. Admissions of Fact

### Direct Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Proving_Facts&action=edit&section=T-2)]

Direct evidence is evidence that is put forward to directly establish a fact which resolves a matter at issue. No inferences of fact need to be drawn to resolve the matter at issue. A first-hand eyewitness testifying to seeing a criminal offence take place is the most obvious example of direct evidence.

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Proving_Facts&action=edit&section=T-3)]

  * [Circumstantial Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Circumstantial_Evidence)
  * [Inferences](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Inferences)
  * [Recent Possession](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Recent_Possession)
  * [Presumptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Presumptions)
  * [Judicial Notice](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Judicial_Notice)
  * [Admissions of Fact](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_of_Fact)

  


# Circumstantial Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-1)]

Circumstantial evidence is evidence that is put forward to establish a fact that can be used to suggest an inference that other facts exist that would resolve a matter at issue.

In a case based on circumstantial evidence, it is often said that the rule in hodge’s applies.[[1]](Print_version.html#cite_note-65) The rule says that one can only convict on circumstantial evidence if the evidence is consistent with guilt and inconsistent with any other rational conclusion. [[2]](Print_version.html#cite_note-66) Other rational conclusions must be based on inferences from facts and not merely speculative. Underlying the rule, is the principle of reasonable doubt.

Circumstantial evidence is based on reasoning and inference-drawing through probability.[[3]](Print_version.html#cite_note-67) The judge must apply logic, common sense and experience to the evidence. They must consider the inherent probabilities and improbabilities, frequently eliminating the possibility of coincidence.[[4]](Print_version.html#cite_note-68)

Circumstantial evidence may be used to support the inference of innocence as well as long as the probative value outweighs prejudicial effect and it is not given undue weight.[[5]](Print_version.html#cite_note-69)

Examples of circumstantial evidence:

  * motive (past hostility to Victim)
  * opportunity (including exclusive opportunity)
  * means, capacity and skills
  * post-offence conduct (flight, false alibi, destruction of evidence)
  * knowledge and state of mind
  * habit[[6]](Print_version.html#cite_note-70)
  * disposition for violence by victim

A judge must be satisfied beyond a reasonable doubt that the only rational inference that can be drawn from the circumstantial evidence is one of guilt.[[7]](Print_version.html#cite_note-71)

Proof by circumstantial evidence requires consideration of the evidence as a whole and not in part.[[8]](Print_version.html#cite_note-72)

A conclusion cannot be found without evidence, which is to say that it cannot be speculation.[[9]](Print_version.html#cite_note-73)

A judge does not need to give special instructions for circumstantial evidence.[[10]](Print_version.html#cite_note-74)

Evidence of prior violence by the victim, including threats, can be relevant circumstantial evidence to establish reasonableness of an apprehension of harm and could not otherwise protect themselves from harm.[[11]](Print_version.html#cite_note-75)

Drug paraphernalia found with drugs can be relevant to support the inference of knowledge of the nature of the drugs, participation in drug dealing, and specific plans of dealing.[[12]](Print_version.html#cite_note-76)

Fingerprint evidence can infer that the person who the fingerprint matches touched or held the object it was found on. It is other evidence that will determine the time and place that the object was touched or held.[[13]](Print_version.html#cite_note-77)

  1. [↑](Print_version.html#cite_ref-65) Hodge's Case (1838), 2 Lewin 227, 168 E.R. 1136 per Baron Alderson regarding a case made entirely of circumstantial evidence, the court must be satisfied "not only that those circumstances were consistent with his having committed the act, but they must also be satisfied that the facts were such as to be inconsistent with any other rational conclusion than that the prisoner was the guilty person"  
also considered in R. v. Linn 1994 CanLII 4643 (SK CA), (1994), 116 Sask.R. 203, [1994] 4 W.W.R. 305 at para. 13-15 and R. v. Munro, 2001 SKQB 138 (CanLII) at 13-14
  2. [↑](Print_version.html#cite_ref-66) Mezzo v. The Queen, [1986 CanLII 16](http://canlii.ca/t/1ftrq), [1986] 1 SCR 802 at para. 12
  3. [↑](Print_version.html#cite_ref-67) R v Arp 1998 CanLII 769, [1998] 3 SCR 339 at p. 375
  4. [↑](Print_version.html#cite_ref-68) F.H. v. McDougall, 2008 SCC 53 (CanLII), [2008] 3 S.C.R. 41, at paras. 33-40, 47-8  
R. v. Yousif, 2011 ABCA 12 (CanLII), at para. 5  

  5. [↑](Print_version.html#cite_ref-69) R. v. S.C.B. (1997), 104 O.A.C. 81 (CA) at para. 33 to 36
  6. [↑](Print_version.html#cite_ref-70) R v Pilon (2009) 243 CCC (3d) 109 (ONCA)
  7. [↑](Print_version.html#cite_ref-71) Griffin, 2009 SCC 28 [at para 33](http://canlii.ca/en/ca/scc/doc/2009/2009scc28/2009scc28.html#par33)
  8. [↑](Print_version.html#cite_ref-72) R v Stewart, [1977] 2 SCR 748  
R v Turlon, (1989) 49 C.C.C. (3d) 186 (Ont. C.A.)  

  9. [↑](Print_version.html#cite_ref-73) R v Torrie [1967] 3 CCC 303 (ONCA)
  10. [↑](Print_version.html#cite_ref-74) R v Griffin, 2008 SCC 28 at [para 33](http://canlii.ca/en/ca/scc/doc/2009/2009scc28/2009scc28.html#par33)
  11. [↑](Print_version.html#cite_ref-75) R v Petel [1994] 1 SCR 3
  12. [↑](Print_version.html#cite_ref-76) R v Froese (1988) 44 CCC (3d) 1 (MBCA)
  13. [↑](Print_version.html#cite_ref-77) R v Mars (2006), 205 CCC (3d) 376

## Motive[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-2)]

Motive is a form of ulterior intent that permits the inferential proof of other essential elements of the offence. Evidence of a motive to commit the offence is circumstantial evidence supporting a conviction.[[1]](Print_version.html#cite_note-78) Conversely, evidence of a lack of motive is circumstantial evidence supporting an acquittal. Evidence of a lack of motive is not the same as lack of evidence of a motive.[[2]](Print_version.html#cite_note-79)

Evidence that the accused and victim had a good relationship is not evidence of a lack of motive, but a lack of evidence of a motive.[[3]](Print_version.html#cite_note-80)

Evidence of motive goes to prove intent as well as the act.[[4]](Print_version.html#cite_note-81)

Evidence of insolvency or debt can be admitted to establish motive for an offence of theft, fraud or arson.[[5]](Print_version.html#cite_note-82)

Evidence of the accused previously threatening the victim is admissible to establish an animus and motive to harm the victim, an intent to kill, as well as narrative. It is not bad character evidence.[[6]](Print_version.html#cite_note-83)

In a murder case, evidence of a prior abuse that establishes an animus or motive to kill is admissible against the accused.[[7]](Print_version.html#cite_note-84)

  1. [↑](Print_version.html#cite_ref-78) R v Griffin, 2009 SCC 28 -- statement of deceased suggests motive for murder
  2. [↑](Print_version.html#cite_ref-79) R v Lewis [1979] 2 SCR 821
  3. [↑](Print_version.html#cite_ref-80) R v Ilina 2003 MBCA 20
  4. [↑](Print_version.html#cite_ref-81) R v Cloutier, [1940] SCR 131  
Bari c. R., [2006 NBCA 119](http://canlii.ca/t/1q41l)
  5. [↑](Print_version.html#cite_ref-82) R. v. Portillo, [2003 CanLII 5709](http://canlii.ca/t/6360) (ON CA) - accused's possession of victim's property establish motive of theft for murder charge
  6. [↑](Print_version.html#cite_ref-83) R. v. Cooper, [2004 BCCA 540](http://canlii.ca/t/1j0mf)
  7. [↑](Print_version.html#cite_ref-84) R v Chapman 2006 CanLII 1178 (ON CA), (2006), 204 CCC (3d) 449 (Ont CA) at para. 27  
R v Cudjoe, 2009 ONCA 543 (CanLII), 2009 ONCA 543 at para. 64  
R v Van Osselaer 2002 BCCA 464 (CanLII), (2002), 167 CCC (3d) 225 (BC CA) at para. 23, leave to appeal refused, [2002] SCCA No 444 (SCC)  
R v Batte 2000 CanLII 5750 (ON CA), (2000), 145 CCC (3d) 449 (Ont CA) at paras. 97 and 102, 49 OR (3d) 321  


## State of Mind[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-3)]

Evidence of an utterance by the deceased victim goes to the state of mind of the victim.[[1]](Print_version.html#cite_note-85)

A complainant's post-even demeanour or emotional state is admissible and may be used to support the credibility of the complainant's evidence of a sexual assault.[[2]](Print_version.html#cite_note-86)

  1. [↑](Print_version.html#cite_ref-85) Bari c. R., [2006 NBCA 119](http://canlii.ca/t/1q41l)
  2. [↑](Print_version.html#cite_ref-86) R. v. Woollam, [2012 ONSC 2188](http://canlii.ca/t/fscd8) (CanLII) at para. 48  
see Murphy and Butt v. The Queen 1976 CanLII 198 (SCC), [1977) 2 S.C.R. 603 at 617  
R. v. Boss, 1988 CanLII 190 (ON CA), (1988), 46 C.C.C. (3d) 523 (Ont. C.A.)  
Varcoe, 2007 ONCA 194 at para. 33  
R. v. Arsenault, [1997] O.J. No. 3977 (C.A.) at para. 9  
R. v. Clark, [1995] O.J. No. 4036 (C.A.) at para. 7  


## Means, Capacity and Expertise[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-4)]

Evidence of the accused in possession of the weapon of the offence at a time outside of the offence time is admissible to prove that the accused had the necessary means to commit the offence. Without further details it cannot be put to establish that he had the weapon of the assault or that he be convicted for the offence.[[1]](Print_version.html#cite_note-87)

Evidence of tools and gear in the possession of the accused consistent with the offence is evidence of expertise.[[2]](Print_version.html#cite_note-88)

  1. [↑](Print_version.html#cite_ref-87) R. v. Backhouse, [2005 CanLII 4937](http://canlii.ca/t/1jvwn) (ON CA), (2005) 194 CCC (3d) 1 (ONCA)  
R. v. Kinkead, [2003 CanLII 52177](http://canlii.ca/t/5xwn) (ON CA)
  2. [↑](Print_version.html#cite_ref-88) R v Davison (1974) 20 C.C.C. (2d) 422 (ONCA)

## Opportunity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-5)]

Where the accused is the last person seen with the victim is circumstantial evidence of opportunity.[[1]](Print_version.html#cite_note-89) However, opportunity alone cannot be sufficient to make the case.

Evidence of the accused's frequented the area near where the victim frequented and where victim's body was found.

  1. [↑](Print_version.html#cite_ref-89) R v Stevens (1984), 11 CCC (3d) 318  


### Exclusive Opportunity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-6)]

Evidence that shows only a single person was present at the time of the offence and was otherwise capable of committing the offence, then it will be sufficient to prove identity of the culprit. The issue is whether the opportunity is truly "exclusive" and not simply a likely amongst several potential persons. This will often address factors such as who had access to the location of the offence as well as timing of events and each person's location during or near that time.

Evidence of opportunity that is not exclusive is akin to evidence of motive. It cannot be used as a form of corroboration.[[1]](Print_version.html#cite_note-90) However, where opportunity is coupled with some other form of inculpatory evidence, then it may be sufficient.[[2]](Print_version.html#cite_note-91)

  1. [↑](Print_version.html#cite_ref-90) R. v. Ferianz (1962), 37 C.R. 37 (Ont. C.A.)(“Evidence of opportunity, unless it is exclusive opportunity, is on a somewhat similar footing as evidence of motive. Mere opportunity is not accepted as corroboration where corroboration is required or desirable....”)
  2. [↑](Print_version.html#cite_ref-91) R. v. Yebes, [1987 CanLII 17](http://canlii.ca/t/1ftlc), [1987] 2 SCR 168 ("where evidence of opportunity is accompanied by other inculpatory evidence, something less than exclusive opportunity may suffice."); See Johnson [2004 NSCA 91](http://canlii.ca/t/1hjwq)

## Form of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-7)]

Demeanour evidence may constitute circumstantial evidence of guilty knowledge.[[1]](Print_version.html#cite_note-92) The judge should consider the nature and context of the observations, such as a person's natural display of nervousness common to interactions with police.[[2]](Print_version.html#cite_note-93)

  1. [↑](Print_version.html#cite_ref-92) e.g., R. v. Goulart-Nelson, [2004] O.J. No. 4010 (C.A.) at para. 14  
R. v. Morales 2006 CanLII 19930 (ON CA), (2006), 81 O.R. (3d) 161 (C.A.), at paras. 12, 14  

  2. [↑](Print_version.html#cite_ref-93) R. v. De Rojas, [2012 ONSC 3227](http://canlii.ca/t/ftcn0) (CanLII) at para. 88

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-8)]

  * [Inferences](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Inferences)
  * [Recent Possession](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Recent_Possession)
  * [Post-Offence Conduct](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Post-Offence_Conduct)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Circumstantial_Evidence&action=edit&section=T-9)]

  * R. v. Frank, 2011 BCSC 1716 [[48]](http://www.canlii.org/en/bc/bcsc/doc/2011/2011bcsc1716/2011bcsc1716.html) \-- circumstantial case -- single fingerprint on duct tape used to bind victims -- guilty
  * R. v. Grant, 2006 ABPC 306 [[49]](http://www.canlii.org/en/ab/abpc/doc/2006/2006abpc306/2006abpc306.html)
  * R. v. S.W.M., [2005 BCSC 1601](http://canlii.ca/t/1m1b0) \-- conviction -- father was last person with child before discovery of injuries, coupled with evidence of past bad acts
  * Tsigaridas [1994] O.J. No 1999 (Ont C.A.) -- acquittal -- evidence showing that keys to restaurant were shared with employees negates exclusive opportunity of owner to burn down business
  * R v Keller (1970) 1 CCC (2d) 203 -- convicted -- fingerprint on matchbook found at scene sufficient to connect accused with break and enter.

  


# Inferences[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Inferences&action=edit&section=T-1)]

An inference, like a presumption, is a method of establishing fact without direct evidence. An inference is discretionary on the judge to make, but it must be supported by evidence.

Any rational conclusion must be based on evidence. The ability of a judge to make inferences should be limited, otherwise it would leave the crown in the position where they would have to disprove "every possible conjecture, no matter how irrational or fanciful".[[1]](Print_version.html#cite_note-94)

The difference between an inference and mere speculation is a fine line to distinguish.[[2]](Print_version.html#cite_note-95)

Where the accused's post-offence conduct is "equally explained by" or "equally consistent with" two or more offences, there should be a "no probative value" instructions.[[3]](Print_version.html#cite_note-96)

  1. [↑](Print_version.html#cite_ref-94) R. v. Torrie, [1967] 3 C.C.C. 303 Evans J.A. at p. 306 ("I recognize that the onus of proof must rest with the Crown to establish the guilt of the accused beyond a reasonable doubt, but I do not understand this proposition to mean that the Crown must negative every possible conjecture, no matter how irrational or fanciful, which might be consistent with the innocence of the accused.")  
Caswell v. Powell Duffy Associated Collieries Ltd., [1940] A.C. at p. 169("...inference must be carefully distinguished from conjecture or speculation and there can be no inferences unless there are objective facts from which to infer other facts which it is sought to establish.")  
R. v. Lukianchuk, [2001] B.C.J. No. 3000, [2001 BCSC 119](http://canlii.ca/t/1hq6f), Romilly J. at paragraph 19: ("The criminal law requires a very high degree of proof especially for inferences consistent with guilt, but it does not demand certainty.")
  2. [↑](Print_version.html#cite_ref-95) See Watt's Manual of Evidence, 2011 (toronto, Carswell, 2011) at p.104 as cited in R v Balendran, [2012 ONSC 4016](http://canlii.ca/t/frzjg) at para. 19  

  3. [↑](Print_version.html#cite_ref-96) R v White [1998 CanLII 789](http://canlii.ca/t/1fqqt) (SCC), [1998] 2 SCR 72, at para. 28  
R v Arcangioli, [1994 CanLII 107](http://canlii.ca/t/1frwd) (SCC), [1994] 1 SCR 129 at pp. 145 and 147  


## Failing to Call Certain Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Inferences&action=edit&section=T-2)]

The Crown does not need to call any witnesses it considers to be unnecessary.[[1]](Print_version.html#cite_note-97) Likewise, the crown does not need to call unidentified witnesses or untrustworthy witnesses.[[2]](Print_version.html#cite_note-98)

In some instances, an adverse inference may be drawn from a party's failure to call certain witnesses.[[3]](Print_version.html#cite_note-99)

There are roughly two groups of inferences. First, the adverse inference will often be drawn where a party fails "to produce a witness reasonably assumed to be favourably disposed to that party"[[4]](Print_version.html#cite_note-100)

Second, the inference may be drawn where the party failing to call has "exclusive" control over the witness.[[5]](Print_version.html#cite_note-101)

The party failing to call must be given the right to explain the failure to call the witness.[[6]](Print_version.html#cite_note-102)

The inference may only be drawn where there is no other reasonable explanation for the failure to call the witness.[[7]](Print_version.html#cite_note-103)

Given the risk of shifting the onus onto the defence. Such an inference should only be drawn with the "greatest of caution" when dealing with an inference against the defence.[[8]](Print_version.html#cite_note-104)

  1. [↑](Print_version.html#cite_ref-97) Lemay v. The King, [1951 CanLII 27](http://canlii.ca/t/21v5b) (SCC), [1952] 1 S.C.R. 232, at p. 241  
R. v. Jolivet, [2000 SCC 29](http://canlii.ca/t/526w) (CanLII), [2000] 1 S.C.R. 751, at para. 14
  2. [↑](Print_version.html#cite_ref-98) Jolivet at para. 29
  3. [↑](Print_version.html#cite_ref-99) R. v. Ellis, [2013 ONCA 9](http://canlii.ca/t/fvkr6) (CanLII) at para. 45
  4. [↑](Print_version.html#cite_ref-100) R. v. Ellis at para. 46
  5. [↑](Print_version.html#cite_ref-101) Ellis at para. 46  
McCormick on Evidence, 6th ed. (St. Paul: Thomson West, 2006), Vol. 2, at para. 264
  6. [↑](Print_version.html#cite_ref-102) Jolivet, at para. 26; Wigmore on Evidence(Chadbourn Rev., 1979), Vol. 2, at para. 290
  7. [↑](Print_version.html#cite_ref-103) Ellis at para. 48  
R. v. Lapensee, [2009 ONCA 646](http://canlii.ca/t/25lrz) (CanLII), 99 O.R. (3d) 501, at para. 42  
R. v. Rooke [1988 CanLII 2947](http://canlii.ca/t/20zgl) (BC CA), (1988), 40 C.C.C. (3d) 484 (B.C.C.A.), at pp. 512-513  

  8. [↑](Print_version.html#cite_ref-104) Ellis at para. 49  
R v Lapensee, at para. 45  
R. v. Zehr, (1980), 54 C.C.C. (2d) 65 (Ont. C.A.), at p. 68  


## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Inferences&action=edit&section=T-3)]

  * [Canadian Criminal Law/Recent Possession](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Recent_Possession)

  


# Recent Possession[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Recent_Possession&action=edit&section=T-1)]

The doctrine of recent possession permits the court to make the inference that the possessor of the property had knowledge that the property was obtained in the commission of the offence, and in certain circumstances was also a party to the initial offence.[[1]](Print_version.html#cite_note-105)

When considering whether to make the inference of recent possession, the trier-of-fact must take into account all the circumstances.[[2]](Print_version.html#cite_note-106) This includes common sense factors such as the amount of time that passed between possession and the offence.[[3]](Print_version.html#cite_note-107)

Recency is a matter of circumstances such as type and size of the items.[[4]](Print_version.html#cite_note-108) In certain cases recency can include periods longer than a month.[[5]](Print_version.html#cite_note-109)

  
To permit the inference, the Crown must establish 1) that the accused was found in possession of the item and 2) that the item was recently stolen. Where it can be said that the accused was found in recent possession without explanation to trier of fact _may_, but not necessarily, draw the inference regarding the accused's role in the the theft or related offences.[[6]](Print_version.html#cite_note-110)

Factors to consider whether the possession was "recent" includes:[[7]](Print_version.html#cite_note-111)

  1. the nature of the object;
  2. the rareness of the object;
  3. the readiness with which the object can, and is likely to, pass to another; and
  4. the ease of identification.

Where the doctrine has been invoked, the Defence can counter the presumption by way of a reasonable explanation.[[8]](Print_version.html#cite_note-112)

It is not necessary to go beyond the test for recent possession to determine the accused's degree of participation. That is, whether the accused was a principle or accomplice.[[9]](Print_version.html#cite_note-113)

  1. [↑](Print_version.html#cite_ref-105) see R. v. Terrence, [1983] 1 S.C.R. 357 [[3]](http://www.canlii.org/en/ca/scc/doc/1983/1983canlii51/1983canlii51.html) and R. v. Kowlyk, [1988] 2 S.C.R. 59[[4]](http://www.canlii.org/en/ca/scc/doc/1988/1988canlii50/1988canlii50.html)
  2. [↑](Print_version.html#cite_ref-106) R v Abernathy 2002 BCCA 8
  3. [↑](Print_version.html#cite_ref-107) R v Gagnon, 2006 MBCA X at 13
  4. [↑](Print_version.html#cite_ref-108) R. v. Killam, [1973] 5 W.W.R. 3 at para. 45
  5. [↑](Print_version.html#cite_ref-109) e.g. R. v. Rimmer, [2011 BCCA 411](http://www.canlii.org/en/bc/bcca/doc/2011/2011bcca411/2011bcca411.html)
  6. [↑](Print_version.html#cite_ref-110) R. v. Gagnon, [2006 MBCA 125](http://canlii.ca/t/1pxb5) (CanLII)
  7. [↑](Print_version.html#cite_ref-111) Gagnon
  8. [↑](Print_version.html#cite_ref-112) R. v. Graham, [1974] SCR 206, [1972 CanLII 72](http://www.canlii.org/en/ca/scc/doc/1972/1972canlii172/1972canlii172.html)  
R. v. Nickerson (1977) 37 CCC (2d) 337 (NSCA);  
R. v. Newton, [1977] 1 S.C.R. 312 [1976 CanLII 57](http://www.canlii.org/en/ca/scc/doc/1976/1976canlii157/1976canlii157.html)  
R. v. L'Heureux, [1985] 2 S.C.R. 159, [1985 CanLII 49](http://www.canlii.org/en/ca/scc/doc/1985/1985canlii49/1985canlii49.html)  
R. v. Kowlyk, [1988] 2 S.C.R. 59, [1988 CanLII 50](http://www.canlii.org/en/ca/scc/doc/1988/1988canlii50/1988canlii50.html)
  9. [↑](Print_version.html#cite_ref-113) R. v. Thatcher [1987 CanLII 53](http://canlii.ca/t/1ftkz) (SCC), (1987), 57 C.R. (3d), 97

## Cases[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Recent_Possession&action=edit&section=T-2)]

  * R. v. Palaga, [2008 SKCA 36](http://canlii.ca/t/1w8z6) \-- acquitted of B&E
  * R. v. Goulet, [2005 SKPC 104](http://canlii.ca/t/1m1xj) \-- convicted of B&E
  * R. v. Harris, [1995 CanLII 4187](http://canlii.ca/t/1mpwt) (NS CA) -- convicted of B&E
  * R. v. J.R.L.J., [1994 CanLII 7617](http://canlii.ca/t/1zxgd) \-- convicted of B&E

  


# Presumptions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

This book is a reference for practitioners, police officers, and law students who need a convenient way to look up legislation, principles, and case law. The reader is assumed to already have a knowledge of criminal law.

There is no guarantee whatsoever as to the accuracy, completeness, or currency of the information provided in this or any other companion text. Nothing here should be taken as legal advice.

For recent developments on these series of books see [News on Canadian Criminal Law series](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/News).

![Loupe light.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0c/Loupe_light.svg/50px-Loupe_light.svg.png)

  


## Contents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence&action=edit&section=T-1)]

  * [Introduction](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Introduction)

### Basic Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence&action=edit&section=T-2)]

  * [Acceptance of Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Acceptance_of_Evidence)
  * [Standard of Proof](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Standard_of_Proof)
  * [Burden of Proof](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Burden_of_Proof)
  * [Proving Facts](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Proving_Facts)
    * [Circumstantial Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Circumstantial_Evidence)
    * [Inferences](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Inferences)
    * [Recent Possession](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Recent_Possession)
    * [Presumptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Presumptions)
    * [Judicial Notice](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Judicial_Notice)

### Forms of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence&action=edit&section=T-3)]

  * [Real Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Real_Evidence)
  * [Documentary Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence)
    * [Public and Judicial Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents)
    * [Private Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Private_Documents)
      * [Business Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records)
      * [Financial Institution Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records)
  * [Testimonial Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence)
    * [Competence and Compellability](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability)
    * [Refreshing Memory](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Refreshing_Memory)

### Limits on the Admissibility of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence&action=edit&section=T-4)]

  * [Opinion](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion)
    * [Lay Opinion Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion/Lay_Opinion_Evidence)
    * [Expert Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion/Expert_Evidence)
  * [Credibility](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility)
    * [Collateral Fact Rule](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Collateral_Fact_Rule)
    * [Prior Consistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements)
    * [Prior Inconsistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements)
    * [Post-Offence Conduct](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Post-Offence_Conduct)
    * [Criminal Record](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record)
    * [Disreputable and Unsavoury Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Disreputable_and_Unsavoury_Witnesses)
  * [Character](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character)
    * [Character of Accused](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Character_of_Accused)
    * [Similar Fact Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence)
    * [Alternative Suspect Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Alternative_Suspect_Evidence)
    * [Complainant's Sexual History](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History)
  * [Hearsay](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay)
    * [Traditional Exceptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions)
    * [Principled Exception](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Principled_Exception)
  * [Admissions and Confessions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions)
    * [Admissions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Admissions)
    * [Confessions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Confessions)
    * [Voluntariness](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness)
    * [Right Against Self-crimination](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination)
  * [Privilege](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Privilege)

### Appendix[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence&action=edit&section=T-5)]

  * [Case Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases)
  * [Hearsay Applications](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay_Applications)
  * [Model Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

A _****printable version****_ of Canadian Criminal Evidence is available. ([edit it](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit))

[v](http://en.wikibooks.org/wiki/Template:Canadian_Criminal_Evidence) • [d](http://en.wikibooks.org/w/index.php?title=Template_talk:Canadian_Criminal_Evidence&action=edit&redlink=1) • [e](http://en.wikibooks.org/w/index.php?title=Template:Canadian_Criminal_Evidence&action=edit)

 

Canadian Criminal Evidence

I - [Basic Principles](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence#Basic_Principles) II - [Forms of Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence#Forms_of_Evidence) III - [Limits on the Admissibility of Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence#Limits_on_the_Admissibility_of_Evidence) IV - [Appendix](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence#Appendix)

Books: **[Canadian Criminal Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Law) \- [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence) \- [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice) \- [Canadian Criminal Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing)**

  
  
**Please add {{[alphabetical](http://en.wikibooks.org/wiki/Template:Alphabetical)}} only to book title pages.**

![50% developed](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/50_percents.svg/24px-50_percents.svg.png)

  


# Judicial Notice[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Judicial_Notice&action=edit&section=T-1)]

A Judge accept something as fact thereby exempting the requirement to present evidence to establish the fact where:

  1. the fact is so notorious or generally accepted as not to be the subject of debate among reasonable persons; or
  2. the fact is capable of immediate and accurate demonstration by resort to readily accessible sources of indisputable accuracy[[1]](Print_version.html#cite_note-114)

The improper taking of judicial notice is reviewed as a misapprehension of evidence. [[2]](Print_version.html#cite_note-115)

  1. [↑](Print_version.html#cite_ref-114) R. v. Potts, (1982), 66 C.C.C. (2d) 219 (Ont. C.A.)  
J. Sopinka, S. N. Lederman and A. W. Bryant, The Law of Evidence in Canada (2nd ed. 1999), at p. 1055  
R. v. Find, 2001 SCC 32, [2001] 1 S.C.R. 863, [2001 SCC 32](http://www.canlii.org/en/ca/scc/doc/2001/2001scc32/2001scc32.html) at para 48  
R v Williams [1998 CanLII 782](http://canlii.ca/t/1fqsg), (1998) 124 CCC (3d) 481 at p. 489  
R. v. Spence, [2005 SCC 71](http://canlii.ca/t/1m3f3), [2005] 3 S.C.R. 458, at para. 53  

  2. [↑](Print_version.html#cite_ref-115) R. v. Charles, [2013 BCSC 23](http://canlii.ca/t/fvkl4) (CanLII) at para. 36

## Permissible Examples of Judicial Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Judicial_Notice&action=edit&section=T-2)]

Wikipedia or similar sites to not necessarily contain accurate information to take judicial notice fact.[[1]](Print_version.html#cite_note-116)

The judge may access the internet in order to consult with online maps such as Google maps.[[2]](Print_version.html#cite_note-117)

Use of the internet by the trial judge to consult commercial information, conduct outside of the courtroom is not appropriate.[[3]](Print_version.html#cite_note-118)

A judge may take judicial notice that cell phone was within a general vicinity of a cell tower recording a signal from the phone and that a travel route can be estimated based on the records of several towers.[[4]](Print_version.html#cite_note-119) The court may also find as fact that a call from a cell phone is likely to register at the tower closest to the caller without taking expert evidence.[[5]](Print_version.html#cite_note-120)

  1. [↑](Print_version.html#cite_ref-116) R. v. Balen, [2012 ONSC 2209](http://canlii.ca/t/fqxlb) (CanLII) at 61
  2. [↑](Print_version.html#cite_ref-117) R v Calvert, 2011 ONCA 379 at 2-8
  3. [↑](Print_version.html#cite_ref-118) Generally: United States of America v. Saad [2004 CanLII 9931](http://canlii.ca/t/1grgn) (ON CA), (2004), 183 C.C.C. (3d) 97 (Ont. C.A.), at p. 110 (leave to appeal refused, [2004] S.C.C.A. No. 232)  
Ardoch Algonquin First Nation v. Canada (Attorney General) (2003), 311 N.R. 180 (F.C.A.), at para. 16  
AstraZeneca Canada Ltd. v. Apotex Inc. 2003 FCA 487 (CanLII), (2003), 30 C.P.R. (4th) 431 (F.C.A.), at paras. 6-14  
R. v. Whittaker 2001 ABQB 873 (CanLII), (2001), 301 A.R. 136 (Q.B.), at para. 25
  4. [↑](Print_version.html#cite_ref-119) R v Ranger [2010 ONCA 759](http://canlii.ca/t/2db2k) (CanLII)
  5. [↑](Print_version.html#cite_ref-120) R. v. Hamilton, 2011 ONCA 399 (CanLII), 271 C.C.C. (3d) 208, at paras. 259, 277, and 279  
Any more precise triangulation may require expert opinion, see Hamilton, at para. 280; Ranger at para. 17

## Impermissible Facts of Judicial Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Judicial_Notice&action=edit&section=T-3)]

It is impermissible to take judicial notice of the following:

  * A person can "only obtain a drug stronger than Extra Strength Tylenol with a prescription".

[[1]](Print_version.html#cite_note-121)

  1. [↑](Print_version.html#cite_ref-121) R. v. Charles, [2013 BCSC 23](http://canlii.ca/t/fvkl4) (CanLII) at para. 33

  


# II - Forms of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=5)]

# Real Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-1)]

Real evidence consists of all tangible evidence, physical objects such as , tape recordings, computer printouts or photographs. Real evidence, as all other evidence, must first be relevant. Secondly, it must be authentic.

_Authentication_ is often proven by having witnesses identify the object and verify its authenticity. The leading case on authentication of real evidence is in _R. v. Parsons_. The case hinged on a wiretap whose lawfulness was in question. The issue was handled in a voir dire. However, on appeal the Court said that an issue for the trier of fact to determine not the trial judge. The judge must only determine if the evidence has met the minimum statutory requirement.

There is no fixed formula for submitting real evidence, however, it is recommended that a procedure for submitting evidence be followed such as:[[1]](Print_version.html#cite_note-122)

  1. call a witness with personal knowledge of the object;
  2. ask the witness to describe the object before showing it to the witness;
  3. allow the witness to examine and identify it as genuine; and
  4. ask that the object be entered as an exhibit, with the appropriate stamp applied by the clerk.

## Demonstrative Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-2)]

Demonstrative evidence includes charts, models, and experiments. They are used as tools to assist the judge in their understanding the of case. They are not "real evidence" is the strictest meaning as they are not objects that form part of the incident.

With demonstrative evidence, there is no need for the formal authentication. Instead, the only standard is that of whether the evidence is relevant and whether it is an accurate representation of what it is supposed to depict. The primary consideration of the court is whether the item can assist the court or whether it warps or distorts the fact-finding process.[[2]](Print_version.html#cite_note-123)

  1. [↑](Print_version.html#cite_ref-122) "Evidence: Principles and Problems" by _Delisle, et al._ at p. 299
  2. [↑](Print_version.html#cite_ref-123) Delisle, Stuart, Tanovich, "Evidence: Principles and Problems" 7th Ed. at p. 301

### Experiments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-3)]

Experimental evidence is admissible as demonstrative evidence.

Where the experimental evidence is relevant and materials it will tend to be admitted, unless the discretionary exclusion rule is applied.[[1]](Print_version.html#cite_note-124)

If the evidence requires inferences using special knowledge, the adducing party will need to admit it as expert evidence.[[2]](Print_version.html#cite_note-125)

The courts generally are very cautious about allowing demonstrative evidence in the form of in-court experiments as the environment of a court does not allow for a good duplication of the events at issue.[[3]](Print_version.html#cite_note-126) This includes video re-enactment performed by officers.[[4]](Print_version.html#cite_note-127)

As a general rule, the relevancy and admissibility will depend on the degree of accuracy the recreation is to the original event.[[5]](Print_version.html#cite_note-128)

Experiments in more controlled situations are more likely to be admitted. A ballistics expert who takes a firearm used in an alleged shooting can be permitted to perform tests on the weapon to determine its accuracy.[[6]](Print_version.html#cite_note-129)

Anytime that experiments are admitted before a jury, limiting instructions should be given.[[7]](Print_version.html#cite_note-130)

  1. [↑](Print_version.html#cite_ref-124) R. v. Collins 2001 CanLII 24124 (ON CA), (2001), 160 C.C.C. (3d) 85 (Ont. C.A.) at para. 21  
R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 119  

  2. [↑](Print_version.html#cite_ref-125) Cyr at para. 119
  3. [↑](Print_version.html#cite_ref-126) See R v Howard and Trudel, (1983 3 CCC 3d 399 (ONCA) - Judge refused demo  

  4. [↑](Print_version.html#cite_ref-127) R v. MacDonald (2000) 146 CCC 3d 525 (ONCA) - video of police re-enacting struggle denied  
R. v. Nikitin 2003 176 CCC 3d 225 - video of school bus crossing re-enactment permitted
  5. [↑](Print_version.html#cite_ref-128) Cyr at para. 120  
Collins at para. 22  
R. v. Nikitin 2003 CanLII 18062 (ON CA), (2003), 176 C.C.C. (3d) 225 (Ont. C.A.), at para. 14  

  6. [↑](Print_version.html#cite_ref-129) Collins
  7. [↑](Print_version.html#cite_ref-130) Cyr at para. 121  
Nikitin, at para. 15  


## Views[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-4)]

A “view” is where the trier-of-fact, be it judge or jury, is permitted to attend the location of the event at issue in trial to better understand the evidence. The view may be requested by either party or on the judge’s motion under s. 652:

> View  
652\. (1) The judge may, where it appears to be in the interests of justice, at any time after the jury has been sworn and before it gives its verdict, direct the jury to have a view of any place, thing or person, and shall give directions respecting the manner in which, and the persons by whom, the place, thing or person shall be shown to the jury, and may for that purpose adjourn the trial.
> 
> Directions to prevent communication  
(2) Where a view is ordered under subsection (1), the judge shall give any directions that he considers necessary for the purpose of preventing undue communication by any person with members of the jury, but failure to comply with any directions given under this subsection does not affect the validity of the proceedings.
> 
> Who shall attend  
(3) Where a view is ordered under subsection (1), the accused and the judge shall attend.
> 
> R.S., c. C-34, s. 579.
> 
> – [CCC](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec652)

The order is made where it “is in the interest of justice”. This requires that the viewing of the location add something to the evidence. While the viewing itself does not amount to evidence, it is intended to be an aid that helps facilitate an understanding of the evidence.[[1]](Print_version.html#cite_note-131)

Consequently, the view can be taken even after the close of evidence.[[2]](Print_version.html#cite_note-132)

For a detailed review of law, see R. v. Polimac, [2006 CanLII 40110 (ON SC)](http://canlii.ca/t/1q37c)

  1. [↑](Print_version.html#cite_ref-131) R. v. Nasrallah, [2012 ONSC 2124](http://canlii.ca/t/fqvpf)
  2. [↑](Print_version.html#cite_ref-132) R v Welsh 1997 CanLII 2570 (BCCA), [1997] BCJ No 2343

## Photographs[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-5)]

In order to admit photographic evidence in the Court, the party submitting the evidence must establish that:[[1]](Print_version.html#cite_note-133)

  * they accurately and truly represent the facts,
  * are fairly presented and without any intent to mislead and
  * are verified on oath by a person capable of doing so.

The person testifying to the photographs can be:[[2]](Print_version.html#cite_note-134)

  * the photographer
  * a person present when the photograph was taken
  * a person qualified to state that the representation is accurate, or
  * an expert witness

The age of a person in a photograph is a question of fact for the trier-of-fact, and does not need an expert.

Police sketches based on eye-witness descriptions will be admissible where the sketch artist is available for cross-examination.[[3]](Print_version.html#cite_note-135)

  1. [↑](Print_version.html#cite_ref-133) R. v. Creemer and Cormier, [1968] 1 C.C.C. 14 at 22  
R. v. Schaffner, [1988] N.S.J. No. 334  
R. v. Murphy, [2011 NSCA 54 at 48](http://canlii.ca/t/flrt0#par48)  

  2. [↑](Print_version.html#cite_ref-134) R. v. Schaffner, [1988] N.S.J. No. 334
  3. [↑](Print_version.html#cite_ref-135) R v Sophonow (1986) 25 CCC (3d) 415

## Video[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-6)]

The requirements for admitting video evidence is the same as those of photos. However, in the case of video tape there is the added danger of potential of tape alterations (editing, slow-motion replay, etc.), so the judge must be even more cautious when admitting video evidence.

As long as the video recording is of sufficient quality, the trier-of-fact can identify the accused without corroborating evidence.[[1]](Print_version.html#cite_note-136)

The video footage evidence is considered real evidence and so cannot be said to "hearsay".[[2]](Print_version.html#cite_note-137)

  1. [↑](Print_version.html#cite_ref-136) R v Nikolovski [1996] 3 SCR 1197  
R v Leaney (1987) 38 CCC (3d) 263
  2. [↑](Print_version.html#cite_ref-137) see R. v. Nikolovski 1996 CanLII 158 (SCC), (1996), 111 C.C.C. (3d) 403 (S.C.C.)

### Video re-enactments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-7)]

Courts should be cautious when dealing with video reenactments where the accused is not participating. It may have the tenancy to overly influence the jury.[[1]](Print_version.html#cite_note-138) Nevertheless, the admissibility turns on whether the prejudicial effect outweighs the probative value.[[2]](Print_version.html#cite_note-139)

  1. [↑](Print_version.html#cite_ref-138) R. v. MacDonald 2000 CanLII 16799 (ON CA), (2000), 134 O.A.C. 167 at 36
  2. [↑](Print_version.html#cite_ref-139) at 41

## Audio[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-8)]

Audio recording are to be treated in the same manner as witness testimony, but with the added weight provided that it is a more accurate record of past conversations. The use of private recorded coversations in a criminal trial usually requires a voir dire to be held.

A police officer can give evidence of the accused's natural voice at time arrest to establish voice identification as long as their is no trickery used to induce the accused to speak.[[1]](Print_version.html#cite_note-140)

  1. [↑](Print_version.html#cite_ref-140) R. v. Lepage, [2008 BCCA 132](http://canlii.ca/t/1w8mr)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Real_Evidence&action=edit&section=T-9)]

  * [Canadian Criminal Trial Advocacy/Exhibits](http://en.wikibooks.org/wiki/Canadian_Criminal_Trial_Advocacy/Exhibits)
  * See [Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions#Video_Statement_of_Under_18_Year_Old](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions#Video_Statement_of_Under_18_Year_Old)

  


# Documentary Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-1)]

Documentary evidence is any kind of evidence on which relevant information is printed upon. [[1]](Print_version.html#cite_note-141)

This generally includes paper records, such as court documents, business records, personal papers, etc.

It can also include electronic documents[[2]](Print_version.html#cite_note-142) or materials reducible to writing that is stored on machines, including: [[3]](Print_version.html#cite_note-143)

  * tape recordings[[4]](Print_version.html#cite_note-144)
  * video tapes
  * microfiche [[5]](Print_version.html#cite_note-145)
  * computer records

Documentary evidence in civil matters governed by provincial legislation have a variety of definitions in different jurisdictions.[[6]](Print_version.html#cite_note-146)

  1. [↑](Print_version.html#cite_ref-141) R. v. Daye, [1908] 2 KB 333 at 340  
c.f. Fox v. Sleeman, [1897], O.J. No. 222 (1897),17 P.R. 492 (Ont. H.C.J.), at para 14 per Amour C.J. citing Digest of the Law of Evidence, Sir J.F. Stephen, describing it as "any matter expressed or described upon any substance by means of letters, figures, or marks, or by more than one of these means, intended to be used, or which may be used, for the purpose of recording that matter."
  2. [↑](Print_version.html#cite_ref-142) eg. see s. 30(12) of the CEA[[5]](http://canlii.ca/t/7vf5#sec30)
  3. [↑](Print_version.html#cite_ref-143) Sopkina, The Law of Evidence in Canada at ss.18.1
  4. [↑](Print_version.html#cite_ref-144) R. v. Swartz (1977) 37 CCC 2d 409 at 410 (ONCA)
  5. [↑](Print_version.html#cite_ref-145) R. v. Sanghi (1971) 3 NSR 2d 70 (NSCA)  
Canada Evidence Act s.31
  6. [↑](Print_version.html#cite_ref-146) Ontario Rules of Civil Procedure r.30.01(1)(a)  
Nova Scotia Civil Procedure Rules

## Admissibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-2)]

All documents must be authenticated and established as relevant before they can be tendered into evidence. This is done either by oral or affidavit evidence.

The standard used to authenticate the document depends on whether the document is submitted as hearsay (where the contents of the letter helps establish some fact) or as non-hearsay (where the contents of the document is not relevant).

Unless provided by statute, all private documents must be proven to be admissible. It is usually necessary to prove execution before proof of contents.[[1]](Print_version.html#cite_note-147) Execution may be proven by inference.[[2]](Print_version.html#cite_note-148)

  1. [↑](Print_version.html#cite_ref-147) R. v. Culpepper (1966) 90 ER 301
  2. [↑](Print_version.html#cite_ref-148) R. v. Armstrong (1970) 2 NSR 2d 204

### Non-Hearsay Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-3)]

Documents that are used for non-hearsay purposes are admitted in the same way real evidence is admitted, which is by calling viva voce evidence of the person who can speak to it’s creation, use and the context of the document. The contents of the document need not be accurate, and where the witness cannot speak to the accuracy of the contents of the document, the contents will have little weight.

An example where the contents has no bearing is if a party were to attempt to establish that a letter was simply received by a person, which may have relevance to a case concerning actions prompted by the letter, the letter can be put into evidence by calling the person who received the letter and can confirm that it was the letter that they received and speak to the context of its receipt. By contrast, an example of a non-hearsay document where the contents is attested to as accurate is where a report is being tendered and the authenticating witness is the author of the report.

The document need not be an original, but rather can be authenticated by the witness as a fair and accurate representation of the document received.

### Hearsay Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-4)]

Documents that are submitted for the truth of their contents in lieu of oral evidence must generally be authenticated by someone who can speak with personal knowledge of the contents of the document. This can be direct personal knowledge or circumstantially personal knowledge.

The admissibility of documents for the truth of their contents is governed both by the common law and by statute, such as the Canada Evidence Act. The statutory law on documents compliments the common law, making alternative options for admissibility.[[1]](Print_version.html#cite_note-149)

There is exception to this requirement under s. 29 (financial institution documents) and s. 30 (business records) of the Canada Evidence Act, as well as several other statutory hearsay exceptions.

  1. [↑](Print_version.html#cite_ref-149) R v Monkhouse, (1988) 61 CR (3d) 343 (Alta CA)  
Conley v Conley (1968) 70 DLR (2d) 352 (OntCA)

## Best Evidence Rule[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-5)]

Where the contents of a document are material to the case, the best evidence rule (or "documentary originals rule") requires that the party submit the original unless the party is unable to do so. The court can accept a secondary copy where it is satisfied that the original was lost, destroyed or otherwise unavailable.[[1]](Print_version.html#cite_note-150)

In general, secondary evidence is admissible where the original was lost or destroyed accidentally or in good faith.[[2]](Print_version.html#cite_note-151)

This rule arises from a time before the advent of computers and photocopiers when all copying was done by hand. It sometimes criticized as a rule that has outlived its purpose.[[3]](Print_version.html#cite_note-152) There is some suggestion that a lack of original will merely go to weight.[[4]](Print_version.html#cite_note-153)

Nevertheless, the best evidence rule is part of the common law. There are a number of statutory enactments that allow for exemption to this rule, such as CEA s. 29 [financial records], 30(3) [business records], 31(2)(c)[government records] [[5]](Print_version.html#cite_note-154).

The rule does not preclude the admission of viva voce evidence of persons who viewed a video that was not in evidence.[[6]](Print_version.html#cite_note-155)

  


  1. [↑](Print_version.html#cite_ref-150) See R. v. Betterest Vinyl Mfg. Ltd, (1989) 52 CCC 3d 441 (BCCA)
  2. [↑](Print_version.html#cite_ref-151) See R. v. Swartz (1977), 37 C.C.C. (2d) 409 (Ont. C.A.) affirmed 1979 CanLII 38 (SCC), [1979] 2 S.C.R. 256
  3. [↑](Print_version.html#cite_ref-152) See R v Donald (1958) 121 CCC 304 at 306 (NBCA)  
R v Galarce (1983) 35 CR 3d 368 (SKQB)
  4. [↑](Print_version.html#cite_ref-153) Garton v Hunter [1969] 1 All ER 451 at 453 per Denning J.  
see also, R v Cotroni (1977) 37 CCC 2d 409 (ONCA) - audio re-recordings admitted
  5. [↑](Print_version.html#cite_ref-154) <http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec29>
  6. [↑](Print_version.html#cite_ref-155) R. v. Pires, [2012 ONCJ 713](http://canlii.ca/t/ftswv) (CanLII) - police view a surveillance video that was not seizable  
See R. v. Pham, [1999] B.C.J. 2312 (B.C.CA.) at paras. 18 – 25  
R. v. After Dark Enterprises Ltd. 1994 ABCA 360 (CanLII), (1994), 94 C.C.C. (3d) 574 (Alta. C.A.)  
Kajala v. Noble (1982), 75 Cr. App. R. 149 (Q.B.D.)  


## Admissibility of Specific Types of Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-6)]

Any document can be admitted without proof where the opposing party consents.[[1]](Print_version.html#cite_note-156) Further, under [s. 37(6.1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec37) the court has a residual power to"receive into evidence anything that, in the opinion of the court, is reliable and appropriate, even if it would not otherwise be admissible under Canadian law, and may base its decision on that evidence."

There are generally three categories of documents:

  1. public documents
  2. judicial documents
  3. private documents

  1. [↑](Print_version.html#cite_ref-156) General Host Corp. v. Chemalloy Minerals [1972] 3 OR 142  
See also s. 655

### Types of Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-7)]

  * [Public and Judicial Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents)
  * [Private Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Private_Documents)
    * [Business Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records)
    * [Financial Institution Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records)

## Electronic Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-8)]

Electronic documents are governed by [s.31.1 to 31.8](http://canlii.ca/t/hzcp#sec31.1) of the CEA. The provisions are meant to apply "in conjunction with either some common law general rule of admissibility of documents or some other statutory provision". The section, instead, have the effect of deeming electronically produced documents as "best evidence" (see s.31.1 and 31.2).[[1]](Print_version.html#cite_note-157)

Under s. 31.8 of the CEA, "electronic documents" are defined as:

> data that is recorded or stored on any medium in or by a computer system or other similar device and that can be read or perceived by a person or a computer system or other similar device. It includes a display, printout or other output of that data.
> 
>   


### Authentication[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-9)]

The burden is upon the party tending the electronic document to prove its authenticity. (s.31.1)

The "best evidence rule" can be satisfied by establishing either:

  * "the integrity of the electronic documents system" that generated the document (s. 31.2(1)(a)) which is presumed (s. 31.3, see "presumption of integrity" below).
  * in the case of printouts, that the "printout has been manifestly or consistently acted on, relied on or used as a record of the information recorded or stored in the printout" (s. 31.2(2))
  * the presumption relating to electronic signatures (see s. 31.4)

**Presumption of Integrity**  
Under s. 31.3, in "absence of evidence to the contrary", the integrity of electronic documents are presumed where the is evidence of _at least one_ of the following:

  1. "that at all material times the computer system or other similar device used by the electronic documents system was operating properly";
  2. if the device was not operating properly at all material times, that the malfunction "did not affect the integrity of the electronic document and there are no other reasonable grounds to doubt the integrity of the electronic documents system".
  3. that "the electronic document was recorded or stored by a party who is adverse in interest to the party seeking to introduce it"; _or_
  4. the document "was recorded or stored in the usual and ordinary course of business by a person who is not a party and who did not record or store it under the control of the party seeking to introduce it."

### Admissibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-10)]

Once a computer record is authenticated, the records will usually be admissible under one of the following methods of admissibility for the truth of their contents:[[2]](Print_version.html#cite_note-158)

  * CEA business records,
  * CEA financial records,
  * common law business documents,
  * principled exception to hearsay, or
  * real evidence[[3]](Print_version.html#cite_note-159)

Where compilation was carried out by automated means, it may be possible to admit them through the common law business record method.[[4]](Print_version.html#cite_note-160)

Evidence that is "automatically recorded by any means, other than by human labour, and the evidence so recorded can be reproduced in any form, intelligible to the human mind, the reproduction is admissible as real evidence." However, "The weight to be attached to such evidence will depend on the accuracy and integrity of the process employed."[[5]](Print_version.html#cite_note-161)

See also: R. v. Nardi, [2012 BCPC 318](http://canlii.ca/t/fspw2) (CanLII)

  1. [↑](Print_version.html#cite_ref-157) R v Morgan [2002] N.J. No. 15 (QL) (Prov. Ct.) at para 20-21
  2. [↑](Print_version.html#cite_ref-158) R. v. C.M., [2012 ABPC 139](http://canlii.ca/t/frn13) (CanLII) - review methods of admitting electronic documents, re phone records
  3. [↑](Print_version.html#cite_ref-159) see R. v. McCulloch, [1992] B.C.J. No. 2282 (B.C.P.C.) at para. 18 regarding real evidence
  4. [↑](Print_version.html#cite_ref-160) Eg. R v Sunila, (1986) 26 CCC (3d) 331 (NSSC)  
R v Rideout (1996) [1996] NJ No 341  
R v Moisan (1999) 141 CCC (3d) 213  
R. v. Monkhouse, [1987 ABCA 227](http://canlii.ca/t/1p6j7) (CanLII)  

  5. [↑](Print_version.html#cite_ref-161) McCulloch at para. 18

## Misc Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-11)]

### Summaries of Voluminous Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-12)]

Summaries of voluminous raw documents can be admissible for the purpose of assisting the trier-of-fact in understanding "the entire picture represented by voluminous documentary evidence" as long as source documents are also admitted. "The usefulness of the summaries depended entirely ... upon the acceptance ... the facts upon which the summaries were based."[[1]](Print_version.html#cite_note-162)

In practice, spreadsheets of banking records that have not been admitted have been found acceptable where the tables can be authenticated as an accurate summary of the records it represents. The witness need not be the author of the spreadsheet or the source records.[[2]](Print_version.html#cite_note-163)

Related to this principle from Schell, summaries can be admitted without admitting the source documents under the [Voluminous Document Hearsay Exception](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions#Voluminous_Document_Exception).

  1. [↑](Print_version.html#cite_ref-162) R v Scheel, [1978] O.J. No. 888 (ONCA) at para. 13  
McDaniel vs. U.S., (1965), 343 F. 2d 785  

  2. [↑](Print_version.html#cite_ref-163) see R. v. Agyei, [2007 ONCJ 459](http://canlii.ca/t/1t6ws) (CanLII)

### Documents Found in Possession of Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-13)]

Documents that are found in actual or constructive possession of the accused can be used to draw the inference that he has knowledge of the contents of the documents and has a state of mind about any transaction contemplated by it. However, where the document has been recognized, adopted or acted upon by the accused, the documents can be admitted for the truth of their contents.[[1]](Print_version.html#cite_note-164)

  1. [↑](Print_version.html#cite_ref-164) R. v. Wood, [2001 NSCA 38](http://canlii.ca/t/4v70)

### Signatures[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-14)]

A signature is evidence suggesting the authorship of a document or knowledge and consent to the contents of it.

Where a party disputes the authenticity or identity of a signature, the signature can be proven by comparison "with any writing proved [...] to be genuine". [[1]](Print_version.html#cite_note-165)

  1. [↑](Print_version.html#cite_ref-165) s. 8 of the CEA [[6]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec8)  
e.g. R v Abdi (1997) 11 CR 5th 197 (ONCA)  


### Forged Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-15)]

Proving forged signature on documents will require an expert of handwriting analysis to determine the probability of matching the accused's signature and the document.[[1]](Print_version.html#cite_note-166)

  1. [↑](Print_version.html#cite_ref-166) eg. R. v. Rockwood, 2004 NLSCTD 66

### Errors in Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-16)]

**Certificates of analysis**  
Errors and ambiguity in certificates of analysis in which there was a typographical error is not fatal to the case where it can be mended by way of viva voce evidence and where “the error was not of such a nature as to have misled the accused or to interfere with his right to make full answer and defense and receive a fair trial”.[[1]](Print_version.html#cite_note-167)

  1. [↑](Print_version.html#cite_ref-167) R. v. Ryden 1993 ABCA 356 (CanLII), (1994) 86 C.C.C. (3d) 57 p62 (error in name)  
R. v. Bykowski 1980 ABCA 220 (error in date)  
R. v Smith, 2012 ABPC 14 (error in addressee of certificate)  
R. v Thorburn (1997), 36 W.C.B.(2d) 41, (Alta.Prov.Ct.) certificate stating time as “504” instead of “5:04” can be cured by testimony of the police officer  
R v Crandall (1998) 195 N.B.R.(2d) 210 -- “0358 hours” interpreted to mean 3:58 a.m., no prejudice to accused c.f. R. v. Gosby(1974) 16 CCC (2d) 228 NS CA (error in signifant substance)  


### Inadmissible Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-17)]

Section [30(10)](http://canlii.ca/t/7vf5#sec30) sets out several types of records which are inadmissible despite any other provision of the evidence act:

  * records "made in the course of an investigation or inquiry"
  * records "made in the course of obtaining or giving legal advice or in contemplation of a legal proceeding,"
  * privileged records
  * "a record of or alluding to a statement made by a person who is not, or if he were living and of sound mind would not be, competent and compellable to disclose in the legal proceeding a matter disclosed in the record;"
  * "any record the production of which would be contrary to public policy"
  * "any transcript or recording of evidence taken in the course of another legal proceeding."

## Foreign Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence&action=edit&section=T-18)]

The admissibility of foreign documents is governed by section 36 of the [Mutual Legal Assistance in Criminal Matters Act](http://canlii.ca/t/7vbx), RSC 1985, c 30 (4th Supp) (MLAC).

> ADMISSIBILITY IN CANADA OF EVIDENCE OBTAINED ABROAD PURSUANT TO AN AGREEMENT  
**Foreign records**  
36\. (1) In a proceeding with respect to which Parliament has jurisdiction, a record or a copy of the record and any affidavit, certificate or other statement pertaining to the record made by a person who has custody or knowledge of the record, sent to the Minister by a state or entity in accordance with a Canadian request, is not inadmissible in evidence by reason only that a statement contained in the record, copy, affidavit, certificate or other statement is hearsay or a statement of opinion.
> 
> **Probative value**  
(2) For the purpose of determining the probative value of a record or a copy of a record admitted in evidence under this Act, the trier of fact may examine the record or copy, receive evidence orally or by affidavit, or by a certificate or other statement pertaining to the record in which a person attests that the certificate or statement is made in conformity with the laws that apply to a state or entity, whether or not the certificate or statement is in the form of an affidavit attested to before an official of the state or entity, including evidence as to the circumstances in which the information contained in the record or copy was written, stored or reproduced, and draw any reasonable inference from the form or content of the record or copy.
> 
> R.S., 1985, c. 30 (4th Supp.), s. 36; 1994, c. 44, s. 96; 1999, c. 18, s. 120.
> 
> **Foreign things**  
37\. In a proceeding with respect to which Parliament has jurisdiction, a thing and any affidavit, certificate or other statement pertaining to the thing made by a person in a state or entity as to the identity and possession of the thing from the time it was obtained until its sending to a competent authority in Canada by the state or entity in accordance with a Canadian request, are not inadmissible in evidence by reason only that the affidavit, certificate or other statement contains hearsay or a statement of opinion.
> 
> R.S., 1985, c. 30 (4th Supp.), s. 37; 1994, c. 44, s. 97; 1999, c. 18, s. 120.
> 
> **Status of certificate**  
38\. (1) An affidavit, certificate or other statement mentioned in section 36 or 37 is, in the absence of evidence to the contrary, proof of the statements contained therein without proof of the signature or official character of the person appearing to have signed the affidavit, certificate or other statement.
> 
> **Notice**  
(2) Unless the court decides otherwise, in a proceeding with respect to which Parliament has jurisdiction, no record or copy thereof, no thing and no affidavit, certificate or other statement mentioned in section 36 or 37 shall be received in evidence unless the party intending to produce it has given to the party against whom it is intended to be produced seven days notice, excluding holidays, of that intention, accompanied by a copy of the record, copy, affidavit, certificate or other statement and unless, in the case of a thing, the party intending to produce it has made it available for inspection by the party against whom it is intended to be produced during the five days following a request by that party that it be made so available.
> 
> **Service abroad**  
39\. The service of a document in the territory over which the state or entity has jurisdiction may be proved by affidavit of the person who served it.
> 
> R.S., 1985, c. 30 (4th Supp.), s. 39; 1999, c. 18, s. 121.

  


# Public and Judicial Documents[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Public Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-1)]

### Legislation and Regulations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-2)]

Under s. 19, 20, 21, and 22 of the Canada Evidence Act, Acts of Parliament and provincial legislation is admissible without proof.[[1]](Print_version.html#cite_note-168) There is no need for certification, and all copies are deemed admissible unless proven otherwise.

  1. [↑](Print_version.html#cite_ref-168) Canada Evidence Act s. 19, 20, 21, 22[[7]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec19)

### Official Government Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-3)]

Section 24 states:

> **Certified copies**  
24\. In every case in which the original record could be admitted in evidence,
> 
>     (a) a copy of any official or public document of Canada or of any province, purporting to be certified under the hand of the proper officer or person in whose custody the official or public document is placed, or
>     (b) a copy of a document, by-law, rule, regulation or proceeding, or a copy of any entry in any register or other book of any municipal or other corporation, created by charter or Act of Parliament or the legislature of any province, purporting to be certified under the seal of the corporation, and the hand of the presiding officer, clerk or secretary thereof,
> 
> is admissible in evidence without proof of the seal of the corporation, or of the signature or official character of the person or persons appearing to have signed it, and without further proof thereof.
> 
> R.S., c. E-10, s. 24.
> 
> – [CEA](http://canlii.ca/t/7vf5#sec24)

Certificates of provincial incorporation can be admitted under s. 24 and 37 of the CEA.[[1]](Print_version.html#cite_note-169)

Aeronautical charts produced by the Government of Canada are admissible without notice due to their inherent reliabillity.[[2]](Print_version.html#cite_note-170)

  1. [↑](Print_version.html#cite_ref-169) R. v. John & Murray Motors Ltd (1979) 47 CCC (2d) 49 (BCCA)
  2. [↑](Print_version.html#cite_ref-170) R. v. Inuvik Coast Airways (1984) 10 CCC (3d) 89 (NWTSC)

### Police Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-4)]

### Publicly Accessible Documents under the CEA[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-5)]

Section 25 concerns the admissibility of documents of a "public nature":

> **Books and documents**  
25\. Where a book or other document is of so public a nature as to be admissible in evidence on its mere production from the proper custody, and no other Act exists that renders its contents provable by means of a copy, a copy thereof or extract therefrom is admissible in evidence in any court of justice or before a person having, by law or by consent of parties, authority to hear, receive and examine evidence, if it is proved that it is a copy or extract purporting to be certified to be true by the officer to whose custody the original has been entrusted.
> 
>   

> 
> – [CEA](http://canlii.ca/t/7vf5#sec23)

This typically would include books available in a library, newspapers, website printouts, brochures, and other documents that are readily accessible in public.

### Public Documents at Common Law[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-6)]

A document is admissible at common law as a public document where the following criteria are satisfied:[[1]](Print_version.html#cite_note-171)

  1. the document must have been made by a public official, that is a person on whom a duty has been imposed by the public,
  2. the public official must have made the document in the discharge of a public duty or function,
  3. the document must have been made with the intention that it serve as a permanent record, and
  4. the document must be available for public inspection.

A Pre-sentence report may be considered a public document at common law.[[2]](Print_version.html#cite_note-172)

  1. [↑](Print_version.html#cite_ref-171) R. v. P.(A.) 1996 CanLII 871 (ON CA), (1996), 109 C.C.C. (3d) 385 per Laskin JA
  2. [↑](Print_version.html#cite_ref-172) R. v. William Batisse, [2012 ONSC 6504](http://canlii.ca/t/ftsrp) (CanLII)

## Judicial Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-7)]

### Judicial Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-8)]

Under s. 23, records of judicial proceedings may be entered in as evidence:

> **Evidence of judicial proceedings, etc.**  
23\. (1) Evidence of any proceeding or record [before any court in Canada for foreign court] or before any justice of the peace or coroner in a province, may be given in any action or proceeding by an exemplification or certified copy of the proceeding or record, purporting to be under the seal of the court or under the hand or seal of the justice, coroner or court stenographer, as the case may be, without any proof of the authenticity of the seal or of the signature of the justice, coroner or court stenographer or other proof whatever.
> 
> – [CEA](http://canlii.ca/t/7vf5#sec23)

### Court Orders and Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-9)]

An information and probation order that were not made under seal or signed by a judge of the court (thus not admissible under [s. 23 of the CEA](http://canlii.ca/t/7vf5#sec23)) are admissible as a public document defined in s. 24(a) under the common law.[[1]](Print_version.html#cite_note-173) To be admissible it must:

  1. be made by a public official upon whom a public duty had been imposed
  2. made by the public official in the discharge of a public duty or function
  3. intended to serve as a permanent record;
  4. were available for public inspection.[[2]](Print_version.html#cite_note-174)

In proving probation order, an original certified copy of the order may be submitted as an exhibit without notice at the common law.[[3]](Print_version.html#cite_note-175). This likewise is the case in proving an order of disqualification from driving.[[4]](Print_version.html#cite_note-176)

  1. [↑](Print_version.html#cite_ref-173) R v Tatomir (1989) 51 CCC 3d 321 - affirms common law admissibility of court documents
  2. [↑](Print_version.html#cite_ref-174) R. v. P(A) (1996) 109 CCC 3d 385 (On Gen Div)
  3. [↑](Print_version.html#cite_ref-175) Lebreux [1993] N.W.T.J. No. 97
  4. [↑](Print_version.html#cite_ref-176) R. v. Tatomir, [1989 ABCA 233](http://canlii.org/en/ab/abca/doc/1989/1989abca233/1989abca233.html)

## Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-10)]

All documents and records, whether private or public, are addressed under s. 28 of the Canada Evidence Act:

> **Notice of production of book or document**  
28\. (1) No copy of any book or other document shall be admitted in evidence, under the authority of section 23, 24, 25, 26 or 27, on any trial, unless the party intending to produce the copy has before the trial given to the party against whom it is intended to be produced reasonable notice of that intention.
> 
> (2) The reasonableness of the notice referred to in subsection (1) shall be determined by the court, judge or other person presiding, but the notice shall not in any case be less than seven days. R.S., c. E-10, s. 28.
> 
> – [CEA](http://canlii.ca/t/7vf5#sec28)

While government records are admissible under s. 24, s. 28 still requires that there be _at least 7 days notice_ for their admission.[[1]](Print_version.html#cite_note-177) Late notice to produce documents however is not necessarily fatal.[[2]](Print_version.html#cite_note-178)

Notice must be given to the accused of intention to admit the recognizance under s. 23, 28. Notice must include information on the offence specified, location of the offence, and accused person.[[3]](Print_version.html#cite_note-179)

  1. [↑](Print_version.html#cite_ref-177) R. v. Connor (1990) 98 NSR (2d) 356 - certificate of motor vehicle ownership excluded
  2. [↑](Print_version.html#cite_ref-178) eg. R. v. Bourque (1990) 102 NSR (2d) 385 (NSCA) - documents admitted with 11 days notice (only 4 were working days)
  3. [↑](Print_version.html#cite_ref-179) R. v. Verde, [2012 ONCJ 368](http://canlii.ca/t/frqnp)

### Exemplification of Court Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-11)]

At common law, court documents, including court orders, are admissible without notice where the court document is an original or a photocopy under seal.[[1]](Print_version.html#cite_note-180) This has been considered available under the hearsay exception for public documents and judicial proceedings.[[2]](Print_version.html#cite_note-181) However, it has been said that the court still retains the discretion to exclude these documents where the defence is prejudiced by the lack of notice.[[3]](Print_version.html#cite_note-182)

Exemplifications are photocopies of official court documents that have the official seal of the court. It cannot apply to any non-court generated document attached to the court file. Section 28 has no application to exemplified document.

A regular copy of the document is all that is necessary to serve to comply with s.28 of the CEA. There is no requirement that the copy be certified.[[4]](Print_version.html#cite_note-183)

  1. [↑](Print_version.html#cite_ref-180) R v Lebreux [1993] N.W.T.J. No. 97  
R. v. Tatomir, [1989 ABCA 233](http://canlii.org/en/ab/abca/doc/1989/1989abca233/1989abca233.html) \- admits driving prohibition order  
R. v. Reid, [2007 ABPC 34](http://canlii.ca/t/1qdvr)  
Documentary Evidence in Canada (1984), J. Douglas Ewart Stated, at p. 183 ("At common law, judicial documents must be proved by the production of the original record or an exemplification under the seal of the court to which the record belongs. No notice is required.")
  2. [↑](Print_version.html#cite_ref-181) R. v. P. (A.) [1996 CanLII 871](http://canlii.ca/t/6hxg) (ON CA), (1996), 109 C.C.C. (3d) 385 at 389-390  
R. v. C. (W.B.), [2000 CanLII 5659](http://canlii.ca/t/1cx5m) (ON CA), (2000), 142 C.C.C. (3d) 490 at 29-31  
R. v. Schellenberg, [2011 MBQB 240](http://canlii.ca/en/mb/mbqb/doc/2011/2011mbqb240/2011mbqb240.html)  
See [Canadian Criminal Evidence/Hearsay](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay)
  3. [↑](Print_version.html#cite_ref-182) R. v. Williams, [2004 ONCJ 80](http://canlii.ca/t/1h9v8) at 17-18
  4. [↑](Print_version.html#cite_ref-183) R v Dixon [2006 NBQB 197](http://canlii.ca/t/1ng1b)

### Police Documents[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Public_and_Judicial_Documents&action=edit&section=T-12)]

Notice of Intention to produce a certificates of analysis require notice. Where it is a certificate for a breathalizer test, section 258(7) applies:

> No certificate shall be received in evidence pursuant to paragraph (1)(e), (f), (g), (h), or (i) unless the party intending to produce it has, before the trial, given to the other party reasonable notice of his intention and a copy of the certificate.

This requires that the crown prove that service was made, that it was made in a reasonable time, and that the notice communicated the intention to produce the materials at trial.

Where notice to produce a certificate of analysis is served upon an accused person, there is a rebuttable presumption that the person understand the notice.[[1]](Print_version.html#cite_note-184)

  1. [↑](Print_version.html#cite_ref-184) R v Hamm 1976 CanLII 177, [1977] 2 SCR 85

  


# Documentary evidence/Business Records[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Common law[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-1)]

Business documents are admissible under the common law where they meet the following requirements:[[1]](Print_version.html#cite_note-185)

  1. it is an original entry;
  2. it was made at the time of the event;
  3. it was made in the routine of business;
  4. it was made by a person who has personal knowledge of the thing recorded;
  5. who had a duty to make the record; and
  6. the maker had no motive to misrepresent

The fundamental rationale behind this rule that permits records being tendered into evidence without calling the author is not to avoid the inconvenience of bringing in the witnesses or because of no reasonable alternative. Rather it is premised on the documents having been created "under circumstances which makes them inherently trustworthy. Where an established system in a business or other organization produces records which are regarded as reliable and customarily accepted by those affected by them, they should be admitted as prima facie evidence." [[2]](Print_version.html#cite_note-186)

  1. [↑](Print_version.html#cite_ref-185) R. v. Monkhouse [1987 ABCA 227](http://canlii.ca/t/1p6j7), [1988] 1 W.W.R. 725 at para 23 to 25  
Ares v. Venner, [1970] SCR 608 [1970 CanLII 5](http://canlii.ca/t/1nl92)  
R v O'Neil, [2012 ABCA 162](http://canlii.ca/t/frg82)  

  2. [↑](Print_version.html#cite_ref-186) R v Monkhouse, [1987 ABCA 227](http://canlii.ca/t/1p6j7) at p. 350 to 351

## Statute[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-2)]

Section 30 of the CEA allows "business records"--that is records from organizations other than financial institutions--to be tendered as evidence for the truth of their contents without needing the author of the documents to give evidence.

The admission of the record requires an affidavit setting out the requirements that make them business records and that there is timely notice to the defence of the record and affidavit no less than 7 days before their admission. [[1]](Print_version.html#cite_note-187)

The purpose of of section 30 is to provide a method of putting business records into evidence beyond what is permitted by the common law and principled hearsay exceptions.[[2]](Print_version.html#cite_note-188)

If there is failure to provide notice, then the document can still be admissible at common law by having the affiant give _viva voce_ evidence instead.

> **Business records to be admitted in evidence**  
30\. (1) Where oral evidence in respect of a matter would be admissible in a legal proceeding, a record made in the usual and ordinary course of business that contains information in respect of that matter is admissible in evidence under this section in the legal proceeding on production of the record.
> 
> **Inference where information not in business record**  
(2) Where a record made in the usual and ordinary course of business does not contain information in respect of a matter the occurrence or existence of which might reasonably be expected to be recorded in that record, the court may on production of the record admit the record for the purpose of establishing that fact and may draw the inference that the matter did not occur or exist.
> 
> – [CEA](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec30)

Unlike the common law, there is no requirement that the maker is under a duty to make it.[[3]](Print_version.html#cite_note-189)

  1. [↑](Print_version.html#cite_ref-187) e.g. R v Meier, [2012 SKPC 41](http://canlii.ca/t/fqtt9) at 62
  2. [↑](Print_version.html#cite_ref-188) R. v. Handous, [2012 ABPC 49](http://canlii.ca/t/fqhfq) at 16
  3. [↑](Print_version.html#cite_ref-189) R. v. Wilcox (2001) 152 CCC 3d 157 (NSCA)

### Business Records Defined[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-3)]

A business record is a form of an unsworn statement.

Under s. 30(12), business records include "the whole or any part of any book, document, paper, card, tape or other thing on or in which information is written, recorded, stored or reproduced".[[1]](Print_version.html#cite_note-190)

Under s.30(10), business records made "in the course of an investigation or inquiry" are not admissible as business documents.[[2]](Print_version.html#cite_note-191)

When considering whether a computer stored information is a business record, the court should have regards to several factors:[[3]](Print_version.html#cite_note-192)

  1. Sources of Data and Information: there should be an identifiable source of the record and the source should be reliable
  2. Contemporaneous Recording: the recordings should be made shortly after the events they record
  3. Routine Business Data: the creation should be part of a routine of recording
  4. Data Entry: there should be evidence of the process used to input the information
  5. Industry Standards: where there is a standard, compliance with the standard should be shown
  6. Business Reliance: there should be some demonstrated reliance on the records
  7. System Continuity: there should be some evidence from the records keeper or system manager explaining the integrity of the system, including protections against tampering or errors

There is some suggestion that the method of printing out the document should be presented.[[4]](Print_version.html#cite_note-193)

Section 30(10) clarifies that certain documents are not to be included as business documents. That includes:

  * records made in the course of an investigation or inquiry,
  * a record made in the course of obtaining or giving legal advice or in contemplation of a legal proceeding,
  * a record in respect of the production of which any privilege exists and is claimed, or
  * a record of or alluding to a statement made by a person who is not, or if he were living and of sound mind would not be, competent and compellable to disclose in the legal proceeding a matter disclosed in the record;
  * any record the production of which would be contrary to public policy; or
  * any transcript or recording of evidence taken in the course of another legal proceeding.

  1. [↑](Print_version.html#cite_ref-190) Canada Evidence Act s. 30(12) [[8]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec30)
  2. [↑](Print_version.html#cite_ref-191) See R v Sunila, (1986) 26 CCC (3d) 331(NSTD)
  3. [↑](Print_version.html#cite_ref-192) Davis, Hutchinson, "Computer Crime in Canada" (Carswell) at p.205 citing K.Chasse "Business Documents: Admissibility of Computer-Produced Records" [1991] Crown's Newsletter 27 at 36
  4. [↑](Print_version.html#cite_ref-193) R v Rowbotham (1977) 33 CCC (2d) 411 (Ont.)

#### Records Produced during the course of the investigation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-4)]

Records produced during the course of the investigation include police notes and reports and any other documents that police create. As stated in reference to s.30(10), there is an exception to the rule of admissibility of such documents as business records. These types of documents cannot be admissible under s.30. This does not mean that they are not admissible under the common law.[[1]](Print_version.html#cite_note-194)

  1. [↑](Print_version.html#cite_ref-194) see R v Monkhouse [1987 ABCA 227](http://canlii.ca/t/1p6j7), (1987), 83 AR 62 at para 15 per Laycraft CJA regarding summary of payroll records ("In my view the evidence tendered was admissible under the common law rule and it is not necessary to consider whether it also met the tests of Section 30.")  
R v Bloomfield (1973), 6 NBR (2d) 5 (CA)  
c.f. R v Schertzer [2008 CanLII 1836](http://canlii.ca/t/1vhkh) (ON SC), (2008), 232 CCC (3d) 218 (Ont SC) at para 9  


### Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-5)]

Notice requirements for business records are addressed under s. 30(7) of the Canada Evidence Act [[50]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html):

> s. 30(7)  

> 
>     **Notice of intention to produce record or affidavit**
> 
>     (7) Unless the court orders otherwise, no record or affidavit shall be admitted in evidence under this section unless the party producing the record or affidavit has, at least seven days before its production, given notice of his intention to produce it to each other party to the legal proceeding and has, within five days after receiving any notice in that behalf given by any such party, produced it for inspection by that party.
> 
>   


Essentially, notice of intention to admit the documents as well as a copy of the document must be served on the other parties within seven days.

The purpose of the notice provision is to "alert the accused to the fact that the prosecution intends to produce a copy of the document at trial"[[1]](Print_version.html#cite_note-195) It is intended to "prevent surprise" and "ensure that the accused is able to make full answer and defence".[[2]](Print_version.html#cite_note-196)

Notice can be either formal or informal, even oral notice can be sufficient.[[3]](Print_version.html#cite_note-197)

The court has discretion to exempt a party from this rule. For example, in R. v. Mahoney [1986 ABCA 195](http://canlii.ca/t/2dk1s), the accused refused to acknowledge his record at the sentencing hearing. A written record was submitted and an officer testified to its reliability. The judge admitted the record but it was overturned on appeal.

Exemption should only be given where it will not prejudice the accused.[[4]](Print_version.html#cite_note-198)

In R. v. Kennedy, 2008 NSPC 73, the judge refused to allow a printout from a computer screen with only one day notice.

Factors to be considered for exempting the notice provisions include:[[5]](Print_version.html#cite_note-199)

  1. The amount of notice given,
  2. Amount of time prosecution had access to the notice,
  3. Volume of evidence,
  4. Reasonableness of any explanation for the delay,
  5. Any prejudice created by the lack of notice.

See also: R. v. Bath, [2010 BCSC 1137](http://canlii.ca/t/flhkq); R. v. Bellingham, [2002 ABPC 41](http://canlii.ca/t/5054)

  1. [↑](Print_version.html#cite_ref-195) R v Cordes (1978) 40 CCC (2d) 442 (ABCA)  

  2. [↑](Print_version.html#cite_ref-196) R. v. Handous, 2012 ABPC 49 at 18
  3. [↑](Print_version.html#cite_ref-197) R. v. Schiel, [2005 BCPC 581](http://canlii.ca/t/1m7s2)  
R v Handous, [2012 ABPC 49](http://canlii.ca/t/fqhfq) at 19
  4. [↑](Print_version.html#cite_ref-198) John Sopinka and Sidney N. Lederman, The Law of Evidence in Civil Cases Toronto: Butterworths (1974) at page 92 (the exemption can be given where the "record is simple and not detailed" and where it "feels that the opposite party will not be severely prejudiced as a result of such lack of notice.")
  5. [↑](Print_version.html#cite_ref-199) R. v. Nguyen et al [2001 ABPC 52](http://canlii.ca/t/1hjsb)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Business_Records&action=edit&section=T-6)]

  * R. v. C.M., [2012 ABPC 139](http://canlii.ca/t/frn13) \- phone bill and text messages admissible for truth on short notice.

  


# Documentary evidence/Financial Institution Records[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records&action=edit&section=T-1)]

Section 29 of the Canada Evidence Act recognizes the high degree of reliability in business documents from financial institutions by permitting "any book or record kept in a financial institution" to be admissible as evidence.

## Statute[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records&action=edit&section=T-2)]

Section 29 concerns documents of financial institutions:

> **Copies of entries**  
29\. (1) Subject to this section, a copy of any entry in any book or record kept in any financial institution shall in all legal proceedings be admitted in evidence as proof, in the absence of evidence to the contrary, of the entry and of the matters, transactions and accounts therein recorded.
> 
> **Admission in evidence**  
(2) A copy of an entry in the book or record described in subsection (1) shall not be admitted in evidence under this section unless it is first proved that the book or record was, at the time of the making of the entry, one of the ordinary books or records of the financial institution, that the entry was made in the usual and ordinary course of business, that the book or record is in the custody or control of the financial institution and that the copy is a true copy of it, and such proof may be given by any person employed by the financial institution who has knowledge of the book or record or the manager or accountant of the financial institution, and may be given orally or by affidavit sworn before any commissioner or other person authorized to take affidavits.
> 
> **Cheques, proof of “no account”**  
(3) Where a cheque has been drawn on any financial institution or branch thereof by any person, an affidavit of the manager or accountant of the financial institution or branch, sworn before any commissioner or other person authorized to take affidavits, setting out that he is the manager or accountant, that he has made a careful examination and search of the books and records for the purpose of ascertaining whether or not that person has an account with the financial institution or branch and that he has been unable to find such an account, shall be admitted in evidence as proof, in the absence of evidence to the contrary, that that person has no account in the financial institution or branch.
> 
> **Proof of official character**  
(4) Where evidence is offered by affidavit pursuant to this section, it is not necessary to prove the signature or official character of the person making the affidavit if the official character of that person is set out in the body of the affidavit.
> 
> ...
> 
> R.S., 1985, c. C-5, s. 29; 1994, c. 44, s. 90; 1995, c. 28, s. 47; 1999, c. 28, s. 149.
> 
> – [[51]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec29)

## Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records&action=edit&section=T-3)]

For documents to be admissible under s. 29 of the CEA, the party seeking to admit the document must show that:

  1. the book or record was, at the time of making of the entry, one of the ordinary books or record of the financial institutions;
  2. that the original book or record is in the custody or control of the financial institution nad
  3. the copy is a "true copy"

All these elements can be proven by way of affidavit usually from the manager or accountant of the institution. However, there is no specific requirement as to whom it must be from.

For the purposes of s. 29, "record" can include computer printouts.[[1]](Print_version.html#cite_note-200)

A "true copy" is any copy that can be said to be accurate in all essential particulars, so that no one can be misled as to the effect of the record.[[2]](Print_version.html#cite_note-201)

## Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records&action=edit&section=T-4)]

Any records that are admissible under s. 29 do not need notice to produce.[[3]](Print_version.html#cite_note-202)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Documentary_Evidence/Financial_Institution_Records&action=edit&section=T-5)]

  1. [↑](Print_version.html#cite_ref-200) R v McMullen (1979) 47 CCC (2d) (Ont.C.A.)  
R v Bell (1982) 65 CCC (2d) 376 (Ont.C.A.)  

  2. [↑](Print_version.html#cite_ref-201) R v Morash (1982) 17 MVR 34 (SKQB) citing Commercial Credit Co. of Canada v Fulton Brothers, [1923] AC 798 (PC)  

  3. [↑](Print_version.html#cite_ref-202) 1.7 R. v. Best (1978), 43 C.C.C. (2d) 236

  


# Testimonial Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence&action=edit&section=T-1)]

Testimonial evidence, also known as _viva voce_ evidence or oral testimony, is evidence given by a witness in the form answers to posed questions.

### Purpose of Testimonial Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence&action=edit&section=T-2)]

Testimonial evidence is the best way to ensure the most reliable and credible evidence is available for the trier of fact to consider.

Witnesses are encouraged to be honest, accurate, and complete by requiring them to give evidence under the requirements that:[[1]](Print_version.html#cite_note-203)

  1. the witness give an oath or affirmation to their evidence;
  2. their personal presence is necessary;
  3. they will be subject to cross examination

  1. [↑](Print_version.html#cite_ref-203) R v Baldree [2012 ONCA 138](http://canlii.ca/t/fqcws) at 44

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence&action=edit&section=T-3)]

  * [Competence and Compellability](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability)
  * [Refreshing Memory](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Refreshing_Memory)
  * [Video Testimony](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses#Video_Testimony)
  * [Witness Screens](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses#Witness_Screens)

  


# Testimonial Evidence/Competence and Compellability[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-1)]

Who can be a witness at a trial depends on two factors, competence and compellability.

The competence of a witness refers to whether a witness is legally permitted to testify and give evidence. The compellability of a witness refers to the power to force a competent witness to testify even if it's against their will.

### Competence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-2)]

At common law, all individuals are presumed competent to testify so long as their information is relevant barring certain groups of people. Historically, the common law prevented many types of people from testifying. This included convicts, infants, the insane, marriage, and lack of belief in a higher power. Many of these rules have been overturned by statute, for example, the rule against convicts was removed under by section 12 of the CEA. Their record, however, can be used as character evidence.

The three classes of exceptions that remain today are children, people of low mental capacity, and spouses. In each of these it is up to a challenger to establish the incompetence of the witness.

A witness is presumed to possess both capacity and responsibility. More specifically, to testify, a witness need only be able to # observe,

  1. recall his or her observations accurately,
  2. communicate his or her recollections.

In order to communicate the witness must be able to understand and respond to questions, and the witness must have the moral responsibility to speak the truth.

The proof of competency or incompetency is on the balance of probabilities.[[1]](Print_version.html#cite_note-204) Where competency is challenged, it must be established by a voir dire before the witness can be sworn.[[2]](Print_version.html#cite_note-205)

A witness who states that they may not tell the truth is still competent to testify. Such issues of truthfulness are factors of credibility for the trier-of-fact.[[3]](Print_version.html#cite_note-206)

A witness is barred by foreign law to testify is still competent.[[4]](Print_version.html#cite_note-207)

  1. [↑](Print_version.html#cite_ref-204) R v Ferguson (1996) 112 CCC (3d) 342 (BCCA)
  2. [↑](Print_version.html#cite_ref-205) R v Steinberg, [1931] SCR 421
  3. [↑](Print_version.html#cite_ref-206) R v Walsh, (1978) 48 CCC (2d) 199 (ONCA)
  4. [↑](Print_version.html#cite_ref-207) R v Spence [1985] 2 SCR 278

### Compellability[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-3)]

A competent witness is generally a compellable witness.[[1]](Print_version.html#cite_note-208)

But a incompetent witness is generally not compellable.

Section 698 allows the ordering of a subpoena requiring a witness to attend court:

> 698\. (1) Where a person is likely to give material evidence in a proceeding to which this Act applies, a subpoena may be issued in accordance with this Part requiring that person to attend to give evidence.
> 
> (2) Where it is made to appear that a person who is likely to give material evidence
> 
>     (a) will not attend in response to a subpoena if a subpoena is issued, or
>     (b) is evading service of a subpoena,
> 
> a court, justice or provincial court judge having power to issue a subpoena to require the attendance of that person to give evidence may issue a warrant in Form 17 to cause that person to be arrested and to be brought to give evidence.
> 
> (3) Except where paragraph (2)(a) applies, a warrant in Form 17 shall not be issued unless a subpoena has first been issued.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec698)

The key factor is that the issuing party must be able to establish that the witness would likely or probably have material evidence to give. It is not enough that the witness "may have" material evidence.[[2]](Print_version.html#cite_note-209)

Where the subpoena is not valid it may be quashed by a superior court judge.[[3]](Print_version.html#cite_note-210)

A judge has a discretion to excuse an expert witness who is under a valid subpoena.[[4]](Print_version.html#cite_note-211)

Where the matter is before a provincial court judge and the person is within the province, a provincial court judge may order their attendance by issuing a subpoena under s.699(2)(a). However, under s. 699(2)(b), where the witness is out of province, either a provincial court a superior court judge may order the subpoena.

Where the matter is before a superior court judge, only that court may issue a subpoena compelling attendance (s. 699(1)).

  1. [↑](Print_version.html#cite_ref-208) R v Schell (2004) 188 CCC (3d) 254 (ABCA)  
R v Czipps (1979) 48 CCC (2d) 166 (ONCA)
  2. [↑](Print_version.html#cite_ref-209) R v Harris (1994) 93 CCC (3d) 478 (ONCA)
  3. [↑](Print_version.html#cite_ref-210) R v A [1990] 1 SCR 995
  4. [↑](Print_version.html#cite_ref-211) R. v. Blais, [2008 BCCA 389](http://canlii.ca/t/210c9)

#### Missing Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-4)]

Section 705 gives authority of a court to issue a warrant of arrest for a witness who fails to attend on a subpoena.

> **Warrant when witness does not attend**  
705\. (1) Where a person who has been served with a subpoena to give evidence in a proceeding does not attend or remain in attendance, the court, judge, justice or provincial court judge before whom that person was required to attend may, if it is established
> 
>     (a) that the subpoena has been served in accordance with this Part, and
>     (b) that the person is likely to give material evidence, issue or cause to be issued a warrant in Form 17 for the arrest of that person.
> 
> **Warrant where witness bound by recognizance**  
(2) Where a person who has been bound by a recognizance to attend to give evidence in any proceeding does not attend or does not remain in attendance, the court, judge, justice or provincial court judge before whom that person was bound to attend may issue or cause to be issued a warrant in Form 17 for the arrest of that person.
> 
> **Warrant effective throughout Canada**  
(3) A warrant that is issued by a justice or provincial court judge pursuant to subsection (1) or (2) may be executed anywhere in Canada.
> 
> R.S., 1985, c. C-46, s. 705; R.S., 1985, c. 27 (1st Supp.), s. 203.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec705)

A judge has the inherent authority to order any person present in court to be compelled to testify where:

  1. the person has relevant evidence to give
  2. a party requires that person to testify in the proceeding

Similarly, an inmate witness can also be compelled to testify by way of s. 527.[[1]](Print_version.html#cite_note-212)

Where a witness fails to attend, the judge has a discretion to order a witness warrant where he is satisfied that:[[2]](Print_version.html#cite_note-213)

  1. proper attempts to serve the witness have been made;
  2. the witness is a material witness.

  1. [↑](Print_version.html#cite_ref-212) R v Ayres (1984) 15 CCC (3d) 208 (ONCA)
  2. [↑](Print_version.html#cite_ref-213) R v Scott [1990] 3 SCR 979

## Oaths and Affirmations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-5)]

Common law requires all witnesses to take an oath to solemnify the evidence given. The implicit threat of divine intervention does not have the same weight as it did historically. As Justice Dickson stated in R. v. Bannerman, "[t]he object of the law in requiring an oath is to get at the truth relative to the matters in dispute by getting a hold on the conscience of the witness." Thus, there is a second option provided to allow people to opt for taking an affirmation of solemnity. This is provided under section 14 of the [Canada Evidence Act](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html) (CEA) as well as under most provincial evidence acts[[1]](Print_version.html#cite_note-214). The form of the ceremony can vary. It can even be as simple as asking "do you know that it is a criminal offence to intentionally give false evidence in a judicial proceeding? Do you solemnly promise to tell the truth in this proceeding?"

The key to a proper oath or affirmation is that the witness understands what they are swearing to. Typically, it is not a problem with the exception when dealing with Children and witnesses of low mental capacity as will be seen later.

  1. [↑](Print_version.html#cite_ref-214) [section 14(1) of the Ontario Evidence Act](http://canlii.ca/t/2c4#sec14),  
[section 62 of the Nova Scotia Evidence Act](http://canlii.ca/t/87m1#sec62)

## Children and Mental Capacity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-6)]

Rules surrounding the testimony of children is of particular importance. The reason for this is that children tend to be highly susceptible to influence, their ability to interpret events often affects their testimony, they may not understand the consequences of their actions, and they typically have a higher degree of credibility to a trier of fact.

At common law there is no minimum age for testimony. However, invidividuals of "tender years" (i.e. under fourteen) must be tested to see if they "possessed sufficent intelligence" to be considered competent, and understand the "nature and consequences" of an oath. If they were not able to understand the meaning of the oath they would usually be allowed to give unsworn testimony so long as the evidence they gave could be corroborated.

In regards to the understanding of the oath, Justice Dickson, in _R. v. Bannerman_ stated that "all that is required when one speaks of an understanding of the "consequences" of an oath is that the child appreciates it is assuming a moral obligation." This test remains the common law requirement for an oath and still applies for civil trials in provinces that have not adopted the recent changes seen the CEA.

### Section 16[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-7)]

Section 16(1) of the CEA, was introduced in 1987 had changed much of the rules for children and people of low mental capacity. Much of the common law rules are preserved.

The common law presumption of competence is preserved, subject so section 16(1), which states:

> _16(1) Where a proposed witness is a person under fourteen years of age or a person whose mental capacity is challenged, the court shall, before permitting the person to give evidence, conduct an inquiry to determine_  
_(a) whether the person understands the nature of an oath or a solemn affirmation; and_  
_(b) whether the person is able to communciate the evidence._

An inquiry, in the form of a voir dire, is undertaken for any child witness or if the witness' capacity is challenged under section 16(1). Unless there is a possibility of prejudicing the jury, typically the inquiry is done in front of them, so that they can judge the degree of credibility that should be allocated to the witness. The inquiry usually involves questioning the witness (R. v. Parrott) by the judge and often with support of an expert. Nevertheless, the decision is the judge's to make.

The inquiry involves two steps. The individual must be shown the "understand the nature of an oath or solemn affiration", and secondly, must be shown to "communicate the evidence".

In the case of _R. v. Marquard_ (1993) the Supreme Court considered the case of an unsworn child and whether she was able "to communicate" by the standard of section 16(1). The Court held that the inquiry need only examine the capacity of the witness to communicate and not their ability to observe and recall. Nevertheless, it is important to "explore in a general way whether the witness is capable of perceiving events, remembering events, and communicating events to the court", but whether the child remembers anything specific to the case is not necessary. L'Heureux-Dube, in dissent, argued against a special standard for children, which, with the imminent introduction of section 16.1 will be the view that prevails.

In _R. v. Leonard_ (1989) the court examined the first question on whether the child understood the oath. They held that the issue revolves around "responsibility", it must be determined that the witnesses conscience is affected, and whether they approcate the significance of testifying. The court gave a four-part test to determine if the child understood the meaning of oath. The child must have:

  1. an appreciation of the solemnity of the occasion;
  2. an understanding of the added responsibility to tell the truth _over and above_ the duty to tell the truth as part of ordinary duty of normal social conduct;
  3. an understanding of what it means to tell the truth _in court_;
  4. an appreciation of what happens, in both practical and moral sense, when a lie is told _in court_.

If the child passes this test then they will be allowed to testify under section 16(2) of the CEA.

However, in the event that the child does not understand the meaning of the oath they are still able to give an unsworn testimony under section 16(3) on the condition that they promise to tell the truth. There is an additional test that must be applied in order to accept a promise to tell the truth. The individual must understand what it means "to promise" and understand what it means to "tell the truth". The test for the truth is neither exact or demanding. It mostly involves having the child "commit" to telling the truth as they understand it in everyday social conduct. The distinction of this from the test to determine if the child understands the oath is that there is no requirement for the child to understand the solemnity of the court and does not need to understand their duty beyond everyday meaning of it.

For all unsworn testimony, in R. v. Kendal, the Court held that whenever a child gives sworn testimony the judge must warn the jury regarding the dangers of convicting based on a child's testimony. This practice is applied in any event to witnesses who give inconsistent evidence.

In comparasion wit the common law requirement for corroboration, section 16(3) removes this.

  


### section 16.1[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-8)]

Bill C-2 passed in 2005 and amended the CEA. It substantially reduces the complexity of rules preventing testimony of children. Most significantly, the presumption against competence of children has been removed. If there is no challenge, any child under the age of fourteen may testify. In the event of a challenge the burden will be on the challenger to prove:

  1. that the child cannot understand and respond to simple questions
  2. that the child will not promise to tell the truth (s.16.1(6))

The first step lowers the bar set by Marquard and only requires that they are able to communicate. The second step is a substitute for the need to take an oath or affirmation. If the child promises to tell the truth it will be as good as an oath (s.16.1(8)). When challenging the second step, however, the challenger is not allowed to ask about the "nature" or "meaning" of what it means to tell the truth.

## Spousal Immunity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-9)]

    _See also [Canadian Criminal Evidence/Privilege#Spousal Privilege](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Privilege#Spousal_Privilege)_

At common law a spouse of an accused is incompetent to testify except where the charge involves the person, liberty, or health, of the spouse.[[1]](Print_version.html#cite_note-215)

The reason behind this is to support marital harmony.

The Canada Evidence Act has added further exceptions allowing the spouse to be competent and compellable for the Crown and co-accused:[[2]](Print_version.html#cite_note-216)

  1. when called by the defence spouse ([s 4(1) CEA](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec4))
  2. when the accused is charged with a listed offence which implicate the health and security of the spouse([s 4(2) CEA](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec4))
  3. when the accused is charged with a listed offence and the victim is under the age of 14 ([s 4(4) CEA](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec4))
  4. the accused is charged with an offence involving danger to the spouse's "person, liberty, or health", b) when the accused threatened to the spouse's "person, liberty, or health", or c) violence, cruelty or threats are made against the spouse's child. ([s 4(5)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec4) and the common law)

The section 4(5) exception preserves the common law rule.[[3]](Print_version.html#cite_note-217) It can be invoked even where the witness spouse is not the victim but their health or liberty is threatened.[[4]](Print_version.html#cite_note-218)

Thus, generally speaking spouse cannot testify on behalf of a co-accused or the crown. In civil trials, provincial evidence acts have removed these presumption, allowing spouses to testify in all circumstances.

The immunity is concern with the state of the relationship at the time of the evidence being given, and not at the time of the incident.[[5]](Print_version.html#cite_note-219)

The protection is only only those in a "valid and subsisting" marriage.[[6]](Print_version.html#cite_note-220) Thus, the spousal exception does not surived the marriage. "Irreconcilably separated" spouses are not protected where there is no marital harmony to preserve. Thus, spouses with "no reasonable prospect of reconciliation" is exempt from spousal immunity. This is determined objectively and on the balance of probabilities.[[7]](Print_version.html#cite_note-221).

A spouse refers only to legally married spouses. Those who are:

  1. common law[[8]](Print_version.html#cite_note-222),
  2. separated short of divorce with no hope of reconciliation,
  3. divorced  


are not subject to the spousal immunity.

A competent spouse for a party is necessarily a compellable witness.[[9]](Print_version.html#cite_note-223)

Even where the witness spouse is competent to testify, this does not necessarily always remove spousal privilege. [[10]](Print_version.html#cite_note-224) However, spousal privilege cannot apply where s. 4(2) is applied.[[11]](Print_version.html#cite_note-225)

  1. [↑](Print_version.html#cite_ref-215) R v Hawkins, [1996] 3 SCR 1043
  2. [↑](Print_version.html#cite_ref-216) R v Hawkins, [1996] 3 SCR 1043
  3. [↑](Print_version.html#cite_ref-217) see R v MacPherson (1980) 52 CCC (2d) 547 (NSCA)  
R v Czipps (1979) 48 CCC (2d) 166 (ONCA)  
R v Sillars (1978) 45 CCC (2d) 283 (BCCA)  

  4. [↑](Print_version.html#cite_ref-218) R. v. Schell, [2004 ABCA 143](http://canlii.ca/t/1h1fl)
  5. [↑](Print_version.html#cite_ref-219) R v Lonsdale (1973) 15 CCC (2d) 201 ABCA
  6. [↑](Print_version.html#cite_ref-220) R. v. Salituro, [1991] 3 SCR 654
  7. [↑](Print_version.html#cite_ref-221) R. v. Jeffrey, (1993) 84 CCC (3d) 31 (ABCA)
  8. [↑](Print_version.html#cite_ref-222) R. v. Martin, [2009 SKCA 37](http://canlii.ca/t/22rv8) This rule was found constitutional at R v Thompson (1994) 90 CCC (3d) 519 (ABCA)
  9. [↑](Print_version.html#cite_ref-223) R v McGuinty, (1986) 27 CCC (3d) 36 (YTCA)  
This however is not necessary consistent with UK common law
  10. [↑](Print_version.html#cite_ref-224) R v Zylsatra (1995) 99 CCC (3d) 477
  11. [↑](Print_version.html#cite_ref-225) R v St. Jean (1974) 32 CCC (2d) 438(QCCA)

## Other Protected Parties[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-10)]

An accused person is generally assumed competent and compellable for the defence and not competent for the crown.

A co-accused, charged separately, is a competent and compellable witness for both crown and defence. The only exception is if the only purpose in compelling the co-accused is to incriminate them.[[1]](Print_version.html#cite_note-226) The same goes for suspects, charged or uncharged.[[2]](Print_version.html#cite_note-227)

A co-accused, charged together, is competent but not compellable by the accused. It is the choice of the co-accused to testify.

A lawyer for an opposing party to an ongoing matter may only be called to testify where the calling party has shown a high degree of materiality and necessity.[[3]](Print_version.html#cite_note-228)

A juror is a competent witness.[[4]](Print_version.html#cite_note-229)A juror cannot testify to any evidence concerning the deliberations, emotions, or decisions of any of the jury panel.[[5]](Print_version.html#cite_note-230)

  1. [↑](Print_version.html#cite_ref-226) R v Primeau, [1995] 2 SCR 60
  2. [↑](Print_version.html#cite_ref-227) R v Jobin [1995] 2 SCR 78
  3. [↑](Print_version.html#cite_ref-228) R. v. 1504413 Ontario Limited, [2008 ONCA 253](http://canlii.ca/t/1wgkq) at 17
  4. [↑](Print_version.html#cite_ref-229) R. v. Budai et al., [1999 BCCA 501](http://canlii.ca/t/544l)
  5. [↑](Print_version.html#cite_ref-230) R v Pan; R v Sawyer [2001] 2 SCR 344

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability&action=edit&section=T-11)]

  * [Spousal Privilege](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Privilege)

  


# Testimonial Evidence/Refreshing Memory[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Refreshing_Memory&action=edit&section=T-1)]

The doctrine of **Present Memory Revived** permits a testifying witness to jog their memory. The tool used to jog the memory can be anything (a sound, a picture, a smell, etc).[[1]](Print_version.html#cite_note-231) It is not the aid that becomes the evidence but rather it is only a mechanism to evoke the memory of the witness which produces the evidence.

The procedure to refresh memory in the context of a prior recorded statement reduced to writing is as follows:[[2]](Print_version.html#cite_note-232)

  1. on direct examination, counsel should put the statement in the hands of the witness
  2. counsel should direct the witnesses attention to the part which contains the previous answer
  3. the witness should read it to himself
  4. the counsel may put questions to the witness referring to the previous answer. The witness may correct an error, agree or deny the contents of the document

The fundamental principles were summarized in Cornerstone Co-operative Homes Inc. v Spilchuk, [2004] O.J. No. 4094 at para 13[[3]](Print_version.html#cite_note-233):

  1. There is a distinction between present memory revived and past recollection recorded: in the former, something once remembered is again remembered by means of the memory being jogged by reference to, for example, a note; in the latter, "one has a record of what was once remembered but is no longer remembered . . . [I]t is only where a present memory is actually revived that it can be said to be 'refreshed'": see Mewett, Alan W., Witnesses (Toronto: Carswell, 1997 -- Rel. 2), pp. 13-2 and 13-3.
  2. The memory of a witness may be refreshed by any document. "[A]nd it makes no difference that the memorandum is not written by [the witness], for it is not the memorandum that is the evidence but the recollection of the witness": see Henry v. Lee (1814), 2 Chit. 124, approved in R. v. B. (K.G.) 1998 CanLII 7125 (ON CA), (1998), 125 C.C.C. (3d) 61, [1998] O.J. No. 1859 (C.A.), at p. 67 C.C.C.
  3. In a case where a witness refreshes his or her memory "from some external source or event, she has a present memory, albeit one that has been refreshed; how reliable and truthful her recollection is, will be determined by the trier of fact . . .": see R. v. B. (K.G.), ibid.
  4. There is no need for the note or document used to refresh memory to have been made contemporaneously with the facts in the note or document: see R. v. B. (K.G.), supra, at p. 69 C.C.C.
  5. There is nothing wrong with a witness reviewing a written statement made by her years earlier for the purposes of refreshing her memory before trial and there is nothing wrong with cross-examining counsel attempting to determine whether the witness "had a present memory of events about which she testified": see R. v. B. (K.G.), supra, at p. 67 C.C.C.
  6. The statement in R. v. Kerenko, Cohen and Stewart, [1965] 3 C.C.C. 52, 49 D.L.R. (2d) 760 (Man. C.A.), at p. 53 C.C.C., that "it is only where the witness requires his notes to refresh his memory at trial that he may be called upon to produce them" (emphasis added) would not seem to be good law, at least in Ontario.
  7. It would also seem to be true that it does not make any difference how long before trial the refreshing occurs. Cross-examining counsel is entitled to explore this and other matters to ascertain the reliability and truthfulness of the witness.

The document cannot be put to the jury or in any way be put into evidence.

The court must be cautious when a witness is using documents to refresh their memory. Where the witness is relying too much on the notes for their testimony there is a likelihood that they are not testifying to their memory and are simply reciting their notes.[[4]](Print_version.html#cite_note-234)

While as a general rule the document being used to revive the memory should be disclosed to the other side, this is not necessary in the case of a statement generated by the accused. So a statement made by the defence that is protected by solicitor-client privilege is not disclosable to the crown. If however the statement was purely created as a aide memoire then it may not be privileged. It is normally desireable for defence to make the purpose of the document clear on the document itself.[[5]](Print_version.html#cite_note-235)

The privilege further remains in place even at the time that it is used in court to refresh a memory.[[6]](Print_version.html#cite_note-236)

Defence witness statements by non-accused persons are _not_ generally protected by solicitor-client privilege.

There is nothing necessarily wrong with officers reading the statements of other witnesses as long as no coaching is involved.[[7]](Print_version.html#cite_note-237)

Where officers collaborate on their notes that they refer to decreases the likelihood that the officer is actually refreshing their memory. This will inevitably go to the officer's credibility.[[8]](Print_version.html#cite_note-238)

Generally speaking, statements should not be read in the presence of the any other witness.[[9]](Print_version.html#cite_note-239)

Present memory revived is separate and distinct from [Past Recollection Recorded](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay#Past_Recollection_Recorded) which is a form of hearsay. In the later case, the document is evidence that the judge may rely upon.

See also: R. v. Violette, 2009 BCSC 503 [[52]](http://canlii.ca/en/bc/bcsc/doc/2009/2009bcsc503/2009bcsc503.html)

  1. [↑](Print_version.html#cite_ref-231) eg. R. v. K.G.B. (1998), 109 O.A.C. 138, 125 C.C.C. (3d) 61 at 18 [[9]](http://www.canlii.org/en/on/onca/doc/1998/1998canlii7125/1998canlii7125.html)
  2. [↑](Print_version.html#cite_ref-232) R. v. Rowe, [2008 NLCA 3](http://www.canlii.org/en/nl/nlca/doc/2008/2008nlca3/2008nlca3.html)
  3. [↑](Print_version.html#cite_ref-233) See also R. v. Gadzo, [2009 ONCJ 126](http://canlii.ca/t/22z8l)
  4. [↑](Print_version.html#cite_ref-234) e.g. R. v. Mattis [1998] O.J. No 4332 (Ont. Prov. Ct.)
  5. [↑](Print_version.html#cite_ref-235) R v Fast [2009] BCJ No 2421 (BCSC) at para. 29-31
  6. [↑](Print_version.html#cite_ref-236) R v Parker [1985] OJ No 175 (CA)
  7. [↑](Print_version.html#cite_ref-237) R v Husbands (1973) 24 CRNS 188
  8. [↑](Print_version.html#cite_ref-238) R v Mattis, supra  
R v Green [1998] O.J. No. 3598 (Ont. Gen. Div.) at para. 24
  9. [↑](Print_version.html#cite_ref-239) R v Husbands (1973) 24 CRNS 188

## Using a Prior Transcript to Refresh Memory (Coffin Application)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Testimonial_Evidence/Refreshing_Memory&action=edit&section=T-2)]

Where a witness forgets or does not remember certain information that has been previously recorded under oath or in a written statement, counsel may show a copy of the previous statement to refresh the witness's memory.

In such circumstances where the questioning on a prior statement is _not_ for the purpose of discrediting or contracting the witness, which would engage s. 9 of the Canada Evidence Act, "the court has a discretion... to relax [the rule when] it is considered necessary in the interest of justice."[[1]](Print_version.html#cite_note-240)

  1. [↑](Print_version.html#cite_ref-240) R v Coffin [1956] S.C.R. 191 at pp. 22-23

  


# III - Limits on the Admissibility of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=6)]

# III.1 - Opinion[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=7)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion&action=edit&section=T-1)]

When a witness is put on a stand their primary role is to recall their knowledge of some past event at issue in the case. As a general rule no witnesses are allowed to give any opinion. However, in practice, the line between fact and opinion can never be clearly drawn, so often exceptions will be made. Opinion, in certain cases, can even be useful to the trier of fact in coming to their conclusions. Experts are generally allowed to give their opinion in matters within their expert knowledge that the trier cannot easily deduce themselves. To address these situations the law of opinion is divided into two area: lay opinion and expert opinion.

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion&action=edit&section=T-2)]

  * [Lay Opinion Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion/Lay_Opinion_Evidence)
  * [Expert Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion/Expert_Evidence)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion&action=edit&section=T-3)]

# Opinion/Lay Opinion Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Lay_Opinion_Evidence&action=edit&section=T-1)]

Lay opinion, being an opinion of a person who is not qualified as an expert, can be admissible in trial where the opinion constitutes a "compendious statement" of the observations of a witness in relation to matters of common experience where no special knowledge is required and the opinion is so close to fact that it is impossible to separate the two. [[1]](Print_version.html#cite_note-241) This is an exception to the rule that non-experts cannot give opinion evidence.

Lay opinion has been found to be valid in relation to the following:

  * the identification of handwriting, persons and things;[[2]](Print_version.html#cite_note-242)
  * apparent age;[[3]](Print_version.html#cite_note-243)
  * the bodily plight or condition of a person, including death and illness;[[4]](Print_version.html#cite_note-244)
  * the emotional state or state of mind of a person (e.g. distressed, angry, aggressive, affectionate or depressed, state of shock, fear, happiness); [[5]](Print_version.html#cite_note-245)
  * the condition of things—e.g. worn, shabby, used or new; [[6]](Print_version.html#cite_note-246)
  * certain questions of value;[[7]](Print_version.html#cite_note-247)
  * estimates of speed and distance;[[8]](Print_version.html#cite_note-248)
  * visual identification of persons in videos; [[9]](Print_version.html#cite_note-249)
  * visual identification of persons in pictures;[[10]](Print_version.html#cite_note-250)
  * visual identification of persons in court;[[11]](Print_version.html#cite_note-251)
  * visual identification of vehicles; [[12]](Print_version.html#cite_note-252)
  * audio identification; [[13]](Print_version.html#cite_note-253)
  * voice identification;[[14]](Print_version.html#cite_note-254)
  * identification of a shoe tread. [[15]](Print_version.html#cite_note-255)

A lay opinion that is formed formed from observations in close association and over a long period of time should be given considerable weight.[[16]](Print_version.html#cite_note-256)

See also: Ilina (2003), 172 CCC 240 (Man. CA)

  1. [↑](Print_version.html#cite_ref-241) R. v. Graat, [1982] 2 SCR 819, [1982 CanLII 33](http://canlii.ca/t/1lpcx) (SCC)  
R. v. Collins (2001), 160 CCC 85 (Ont. CA), [2001 CanLII 24124](http://canlii.ca/t/1f8hn) (ON CA)
  2. [↑](Print_version.html#cite_ref-242) See Graat  
CEA s. 8  
R. v. Pitre, [1933] SCR 69  
R. v. Abdi, (1997) 116 CCC 385 (ONCA)
  3. [↑](Print_version.html#cite_ref-243) Graat
  4. [↑](Print_version.html#cite_ref-244) Graat
  5. [↑](Print_version.html#cite_ref-245) Graat  
See Watt’s Manual of Criminal Evidence (2012 ed), Toronto: Carswell: 2012, at p. 462  
R. v. Falkenberg, (1995), 95 C.C.C. (3d) 307, 165 A.R. 16 (Alta. C.A.) at para 7
  6. [↑](Print_version.html#cite_ref-246) Graat, _supra_
  7. [↑](Print_version.html#cite_ref-247) Graat, _supra_
  8. [↑](Print_version.html#cite_ref-248) Graat, _supra_
  9. [↑](Print_version.html#cite_ref-249) R. v. Leaney, [1989] 2 SCR 393; R. v. Nikolovski, [1996] 3 SCR 1197
  10. [↑](Print_version.html#cite_ref-250) R. v. Ricards [1964] 2 CCC 19 (BCCA)
  11. [↑](Print_version.html#cite_ref-251) R. v. Izzard (1990) 54 CCC 3d 252 (ONCA)
  12. [↑](Print_version.html#cite_ref-252) R. v. Assoun (2006), 208 CCC 372
  13. [↑](Print_version.html#cite_ref-253) R. v. Williams (1995), 98 CCC 160 (Ont.CA)
  14. [↑](Print_version.html#cite_ref-254) R. v. Grabowski (1983) 8 CCCC 3d 78 (QCCA)  
R. v. Murray (1916) 27 CCC 247 (ABCA)
  15. [↑](Print_version.html#cite_ref-255) R. v. Hill (1986), 32 CCC (Ont. CA)
  16. [↑](Print_version.html#cite_ref-256) see Re: Price v. Spence, [1946] O.W.N. 80 at para. 17

  


# Opinion/Expert Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-1)]

Expert opinion is testimonial evidence that gives an opinion on facts perceived by him or another that concerns an issue that is likely outside the experience and knoweldge of the trier-of-fact (i.e. a lay person). [[1]](Print_version.html#cite_note-257) The expert must have special knowledge in the matter [[2]](Print_version.html#cite_note-258) and the opinion must be _reasonably necessary_ to assist the trier-of-fact to make a proper judgment. [[3]](Print_version.html#cite_note-259) The expert is not to testify to facts, but rather only opinion to allow the trier-of-fact to draw inferences. [[4]](Print_version.html#cite_note-260)

  1. [↑](Print_version.html#cite_ref-257) R. v. J-L J, [2000] 2 SCR 600 at para 56 [[10]](http://www.canlii.org/en/ca/scc/doc/2000/2000scc51/2000scc51.html);  
R. v. Abbey, [1982] 2 SCR 24
  2. [↑](Print_version.html#cite_ref-258) R. v. Terceira (1998) 123 CCC 1 (Ont. CA)
  3. [↑](Print_version.html#cite_ref-259) R. v. Mohan, [1994] SCR 9 [[11]](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii80/1994canlii80.html);  
R. v. C.G. (1996) Nfld. CA;  
R. v. Lovie (1995) Ont. CA
  4. [↑](Print_version.html#cite_ref-260) R. v. Parrott, [2001] 1 SCR 178 [[12]](http://www.canlii.org/en/ca/scc/doc/2001/2001scc3/2001scc3.html)  
R. v. Lavallee, [1990] 1 SCR 852

## Requirements to Adduced Expert Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-2)]

Section 657.3 permits a party to adduce expert evidence without the need to have the expert give viva vice evidence:

> **Expert testimony**  
657.3 (1) In any proceedings, the evidence of a person as an expert may be given by means of a report accompanied by the affidavit or solemn declaration of the person, setting out, in particular, the qualifications of the person as an expert if
> 
>     (a) the court recognizes that person as an expert; and
>     (b) the party intending to produce the report in evidence has, before the proceeding, given to the other party a copy of the affidavit or solemn declaration and the report and reasonable notice of the intention to produce it in evidence.
> 
> **Attendance for examination**  
(2) Notwithstanding subsection (1), the court may require the person who appears to have signed an affidavit or solemn declaration referred to in that subsection to appear before it for examination or cross-examination in respect of the issue of proof of any of the statements contained in the affidavit or solemn declaration or report.
> 
> ...
> 
> 1997, c. 18, s. 80; 2002, c. 13, s. 62.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec657.3)

See also: s. 16 and s. 150.1 of the Code.

A party cannot call more than five witnesses without leave of the court.[[1]](Print_version.html#cite_note-261)

Under 657.3, the judge may order compliance, seek particulars, or adjourn. He may not prohibit the the witness from testifying who complies with the section.[[2]](Print_version.html#cite_note-262)

Under s.7 of the Canada Evidence Act, where any party intends to "examine as witnesses, professional or other experts entitled according to the law or practice to give opinion evidence, not more than five of such witnesses may be called on either side without the leave of the court or judge or person presiding."

  1. [↑](Print_version.html#cite_ref-261) s. 7 of the Canada Evidence Act
  2. [↑](Print_version.html#cite_ref-262) R. v. Horan, [2008 ONCA 589](http://canlii.ca/t/209v1) (CanLII)

### Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-3)]

A party may call a witness as an expert under [s. 657.3 (1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec657.3). A party intending to call the expert witness must give notice at least 30 days prior to the commencement of trial or within the time set by the judge. [[1]](Print_version.html#cite_note-263)

Section 657.3(3) states:

> **Notice for expert testimony**  
(3) For the purpose of promoting the fair, orderly and efficient presentation of the testimony of witnesses,
> 
>     (a) a party who intends to call a person as an expert witness shall, at least thirty days before the commencement of the trial or within any other period fixed by the justice or judge, give notice to the other party or parties of his or her intention to do so, accompanied by 
> 
>     (i) the name of the proposed witness,
>     (ii) a description of the area of expertise of the proposed witness that is sufficient to permit the other parties to inform themselves about that area of expertise, and
>     (iii) a statement of the qualifications of the proposed witness as an expert;
>     (b) in addition to complying with paragraph (a), a prosecutor who intends to call a person as an expert witness shall, within a reasonable period before trial, provide to the other party or parties 
> 
>     (i) a copy of the report, if any, prepared by the proposed witness for the case, and
>     (ii) if no report is prepared, a summary of the opinion anticipated to be given by the proposed witness and the grounds on which it is based; and
>     (c) in addition to complying with paragraph (a), an accused, or his or her counsel, who intends to call a person as an expert witness shall, not later than the close of the case for the prosecution, provide to the other party or parties the material referred to in paragraph (b).
> 
>   


  1. [↑](Print_version.html#cite_ref-263) s. 657.3(3)(a)  
R. v. Salter, [2005 NSCA 129](http://www.canlii.org/en/ns/nsca/doc/2005/2005nsca129/2005nsca129.html)

### If Notice is Not Given[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-4)]

Section 657.3(4) states that where the notice requirements of s. 657.3(3) are not complied with, the available remedies are as follows:

  * "adjournment of the proceedings to the party who requests it to allow him or her to prepare for cross-examination of the expert witness;" (657.3(4)(a))
  * an "order the party who called the expert witness to provide that other party and any other party with the material referred to in paragraph (3)(b);" and (657.3(4)(b))
  * an "order the calling or recalling of any witness for the purpose of giving testimony on matters related to those raised in the expert witness’s testimony, unless the court considers it inappropriate to do so." (657.3(4)(c))

These remedies do not include the power to prohibit the party from calling the expert.[[1]](Print_version.html#cite_note-264)

  1. [↑](Print_version.html#cite_ref-264) R. v. Horan, [2008 ONCA 589](http://www.canlii.org/en/on/onca/doc/2008/2008onca589/2008onca589.html)  
Somerville v. R., [2012 NBCA 23](http://canlii.ca/t/fqctg) (CanLII)

### Other Use of the Materials[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-5)]

Under s. 657.3 (6), the prosecution is prohibited from using any of the materials given to him by defence for as part of its own case where the expert does not testify except for cross-examination without the consent of the accused. It further cannot be used for any other proceedings. (657.3(7))

## Qualification[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-6)]

A trial judge must determine on a _voir dire_ whether the individual is qualified as an expert, and if so, what the "nature and scope of the proposed expert evidence" will be.[[1]](Print_version.html#cite_note-265) The qualification process is one of delineating the boundaries of the evidence and the language used. [[2]](Print_version.html#cite_note-266)

The judge cannot permit the expert to give an opinion on common matters or matters that the expert has no special skills, knowledge, or training.

To qualify a person as an expert, the evidence must meet the _Mohan_ requirements: [[3]](Print_version.html#cite_note-267)

  1. the opinion must be _relevant_;
  2. the opinion must be _necessary_ to assist the trier-of-fact to draw the correct inference;
  3. the _absence_ of any other exclusionary rule;
  4. the required qualifications of the proposed expert.

The _relevance_ requirement includes both _logical relevance_ (the relationship between the evidence and the fact in issue it is being used to establish) and _legal relevance_ (the probative value). (R. v. K.(A.), 1999 137 CCC 3d 225 (ONCA))

The _necessity_ requirement is not a strict standard. It is necessary where it furnishes scientific information that is likely to be outside the experience and knowledge of the trier of fact.(R. v. B.(R.H.), [1994] 2 SCR 656)

Qualified expert evidence can nonetheless be excluded if: (R. v. D.D. [2000] 2 SCR 275)

  1. the evidence would tend to usurp the duty of the trier of fact
  2. the prejudicial effect outweighs the probative value
  3. the time required outweighs its probative value
  4. the cost required outweighs the probative value
  5. the influence of the evidence outweighs the evidence's reliability.

The proposed expert must have some indicia of scientific knowledge. It cannot be admitted if the witness is giving personal opinions based on their experience, knowledge from "some" literature, and interviews. (R. v. Bedford (2000), 143 CCC 3d 311)

Expert evidence should be expected to be impartial to be admissible. There must not be any bias or appearance of bias.[[4]](Print_version.html#cite_note-268)

  1. [↑](Print_version.html#cite_ref-265) R. v. Preeper and Doyle (1888) SCR
  2. [↑](Print_version.html#cite_ref-266) R. v. Abbey, 2009 ONCA 624 [[13]](http://www.canlii.org/en/on/onca/doc/2009/2009onca624/2009onca624.html)  
R. v. K. A., 1999 CanLII 3793 (ON C.A.) [[14]](http://www.canlii.org/en/on/onca/doc/1999/1999canlii3793/1999canlii3793.html)  

  3. [↑](Print_version.html#cite_ref-267) R. v. Mohan, supra
  4. [↑](Print_version.html#cite_ref-268) R v Docherty [2010] OJ No. 2460 - father of defence counsel writes psych report, found invalid  


## Novel Sciences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-7)]

Novel sciences must be considered on a case-by-case basis. There are no fixed categories where the requirements for expert evidence have been met.[[1]](Print_version.html#cite_note-269) The courts must individually distinguish between new sciences and "junk" sciences. As such, needs "special scrutiny". [[2]](Print_version.html#cite_note-270)

Novel sciences must only be qualified if it is (1) necessary and (2) reliable[[3]](Print_version.html#cite_note-271)

The evidence can still be admissible even if the scientific theory is open to debate or that there are exceptional cases to the theory.[[4]](Print_version.html#cite_note-272)

It is not necessary to establish that the field be one that is subject to "peer review".[[5]](Print_version.html#cite_note-273)

Expertise "may be acquired through study".[[6]](Print_version.html#cite_note-274)

Depending on the subject, it may not be necessary that the expert have a university degree in the subject to be an expert.[[7]](Print_version.html#cite_note-275)

The absence of writing or publications will generally go to weight and not admissibility.[[8]](Print_version.html#cite_note-276)

  1. [↑](Print_version.html#cite_ref-269) e.g. R. v. Lavallee, [1990] 1 S.C.R. 852 battered wife syndrome accepted as science  

  2. [↑](Print_version.html#cite_ref-270) R. v. J.(-L.), [2000 SCC 51](http://www.canlii.org/en/ca/scc/doc/2000/2000scc51/2000scc51.html)
  3. [↑](Print_version.html#cite_ref-271) R. v. Terceira (1998) 123 CCC 3d 1 (ONCA)[1998 CanLII 2174](http://www.canlii.org/en/on/onca/doc/1998/1998canlii2174/1998canlii2174.html)
  4. [↑](Print_version.html#cite_ref-272) R. v. M.(B.) 1998 130 CCC 353 (ONCA)[1998 CanLII 13326](http://www.canlii.org/en/on/onca/doc/1998/1998canlii13326/1998canlii13326.html)
  5. [↑](Print_version.html#cite_ref-273) R. v. Abbey (2009), 246 C.C.C. (3d) 301, [2009] O.J. No. 3534, 2009 ONCA 624 (Ont. C.A.) at para. 97 - lower court erred in requiring peer review
  6. [↑](Print_version.html#cite_ref-274) McWilliams’ Canadian Criminal Evidence (4th) at 12:30.20.50. citing Mohan at 414
  7. [↑](Print_version.html#cite_ref-275) R. v. Bulman, [2007] O.J. No. 913 (QL) (C.A.) at para. 7
  8. [↑](Print_version.html#cite_ref-276) R. v. B.M., [1998 CanLII 13326](http://canlii.ca/t/1nptj) (ON CA) at para. 71  


## Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-8)]

Once the witness is qualified as an expert they are permitted to give evidence in the area for which they were qualified. The opinion evidence will be related by way of hypothetical questions put to the expert.[[1]](Print_version.html#cite_note-277) However, the testimony cannot be "oath-helping" evidence.[[2]](Print_version.html#cite_note-278)

The hypotheticals can be put to the expert where the facts are not dispute.[[3]](Print_version.html#cite_note-279) If the underlying facts are in dispute the opinion cannot remove the fact-finding function of the trier-of-fact.[[4]](Print_version.html#cite_note-280) The cross examiner can put to the expert any proven or provable facts to determine whether it alters the confidence of a the opinion.[[5]](Print_version.html#cite_note-281)

The expert must cite the bases on his opinion in order for the trier-of-fact to evaluate the opinion. [[6]](Print_version.html#cite_note-282) The expert can use sources and information found in the "scope of his or her expertise"[[7]](Print_version.html#cite_note-283) as well as sources outside his knowledge in limited contexts.[[8]](Print_version.html#cite_note-284) The "second hand" evidence of texts is not admissible as evidence, but can be used to show the information on which the opinion is based.[[9]](Print_version.html#cite_note-285)

An expert may be cross-examined on a text, report or article relating to his area of expertise. [[10]](Print_version.html#cite_note-286) The expert can only comment on works they are familiar with. If the expert acknowledges the authority, the examiner may read parts of the document to the witness to the extent that it is accepted as valid.

A judge may reject the uncontradicted expert evidence as unreasonable. [[11]](Print_version.html#cite_note-287) The evidence should not be rejected if there is no contradictory evidence and the opinion is not seriously challenged.[[12]](Print_version.html#cite_note-288)

**Drug Expert**  
A lay person such as an RCMP officer cannot be a reliable expert simply by "conducting numerous casual conversations with drug users or traffickers." This sort of "[a]necdotal evidence cannot be tested or verified hearsay must be supplemented and supported by some form of admissible evidence."[[13]](Print_version.html#cite_note-289)

**Evaluating Conflicting Expert Evidence**  
Where the evidence of multiple experts conflict, it is not a matter of chosing one expert over the other, but rather giving weight to each expert and review the opinions as a whole.[[14]](Print_version.html#cite_note-290)

  1. [↑](Print_version.html#cite_ref-277) R. v. Fiqia (1994) 162 A.R. 117 (C.A.)
  2. [↑](Print_version.html#cite_ref-278) R. v. Reid, 2003 CanLII 14779 (ON C.A.) [[15]](http://www.canlii.org/en/on/onca/doc/2003/2003canlii14779/2003canlii14779.html)
  3. [↑](Print_version.html#cite_ref-279) R. v. Bleta, [1964] SCR 561 [[16]](http://www.canlii.org/en/ca/scc/doc/1964/1964canlii14/1964canlii14.html)
  4. [↑](Print_version.html#cite_ref-280) R. v. P.G., 2009 ONCA 32 [[17]](http://www.canlii.org/en/on/onca/doc/2009/2009onca32/2009onca32.html)
  5. [↑](Print_version.html#cite_ref-281) R. v. Kerr, 2000 BCCA 209 [[18]](http://www.canlii.org/en/bc/bcca/doc/2000/2000bcca209/2000bcca209.html)
  6. [↑](Print_version.html#cite_ref-282) R. v. Neil, [1957] S.C.R. 685 [[19]](http://www.canlii.org/en/ca/scc/doc/1957/1957canlii70/1957canlii70.html)  
R. v. Grandinetti, 2003 ABCA 307 [[20]](http://www.canlii.org/en/ab/abca/doc/2003/2003abca307/2003abca307.html)  
R. v. Trudel, 1994 CanLII 5397 (QC CA) [[21]](http://www.canlii.org/fr/qc/qcca/doc/1994/1994canlii5397/1994canlii5397.html)  

  7. [↑](Print_version.html#cite_ref-283) R. v. S.A.B., 2003 SCC 60, [2003] 2 S.C.R. 678 at 63 [[22]](http://www.canlii.org/en/ca/scc/doc/2003/2003scc60/2003scc60.html)
  8. [↑](Print_version.html#cite_ref-284) R. v. Anderson (1914), 22 C.C.C. 455  
R. v. Godfrey, [1974] 4 W.W.R. 677, 18 C.C.C. (2d) 90 (Alta. C.A.), at pp. 102-104
  9. [↑](Print_version.html#cite_ref-285) R. v. Burns, [1994] 1 S.C.R. 656 [[23]](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii127/1994canlii127.html)
  10. [↑](Print_version.html#cite_ref-286) R. c. Taillefer, 1995 CanLII 4592 (QC C.A.) [[24]](http://www.canlii.org/fr/qc/qcca/doc/1995/1995canlii4592/1995canlii4592.html)  
R. v. Marquard [1993] 3 SCR 223 [[25]](http://www.canlii.org/en/ca/scc/doc/1993/1993canlii37/1993canlii37.html)  
R. v. Conroy, (1993), Ont.C.A.
  11. [↑](Print_version.html#cite_ref-287) R. v. Prince, (1971) OntCA  
R. v. Lambkin, 2002 MBCA 157 [[26]](http://www.canlii.org/en/mb/mbca/doc/2002/2002mbca157/2002mbca157.html)
  12. [↑](Print_version.html#cite_ref-288) R. v. Molodowic, 2000 SCC 16, [2000] 1 S.C.R. 420 [[27]](http://www.canlii.org/en/ca/scc/doc/2000/2000scc16/2000scc16.html)
  13. [↑](Print_version.html#cite_ref-289) R. v. Klassen, [2003] M.J. No. 417
  14. [↑](Print_version.html#cite_ref-290) R v Jonkman, [2012 SKQB 511](http://canlii.ca/t/fvfwq) (CanLII) at para. 97  
Toneguzza-Norvell v. Burnaby Hospital, 1994 CanLII 106 (SCC), [1994] 1 S.C.R. 114  
Housen v. Nikulaison, 2002 SCC 33 (CanLII), 2002 SCC 33, [2002] 2 S.C.R. 235  


## Example Fields of Qualifications[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-9)]

  * [Canadian Criminal Evidence/Opinion/Expert Evidence/Examples of Qualification](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Opinion/Expert_Evidence/Examples_of_Qualification)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Opinion/Expert_Evidence&action=edit&section=T-10)]

**Qualification**  


  * R. v. Petavel, 2006 BCSC 1931 [[53]](http://www.canlii.org/en/bc/bcsc/doc/2006/2006bcsc1931/2006bcsc1931.html) \-- drugs
  * R. v. Suelzle, 2008 BCPC 225 [[54]](http://www.canlii.org/en/bc/bcpc/doc/2008/2008bcpc225/2008bcpc225.html) \-- drugs

# III.2 - Credibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=8)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-1)]

Credibility refers to the trustworthiness of a witness.[[1]](Print_version.html#cite_note-291) Credibility evidence comprises evidence admitted for the purposes of strengthening or weakening the testimony of a witness or an accused. Credibility evidence that is used to impeach a witness can be submitted at any point from the time the witness takes the stand. The rule is that a witness always puts their credibility at issue whenever they testify and so it is open to attack. Evidence that bolsters a witness's credibility, however, is not admittable until the credibility of that witness has been impeached.

Whenever testimony is given the trier of fact must determine whether the testimony is to be believed. There is no presumption of honesty among witnesses in a criminal trial[[2]](Print_version.html#cite_note-292)

There are several approaches to determining credibility. One school of thought believes that credibility is determined primarily by _demeanour and conduct_ in trial.[[3]](Print_version.html#cite_note-293) Another approach says that demeanour and conduct are too subjective,[[4]](Print_version.html#cite_note-294) and so the best approach is to consider the _consistency_ of testimony when compared to reliable facts.[[5]](Print_version.html#cite_note-295)

  1. [↑](Print_version.html#cite_ref-291) Raymond v. Bosanquet (1919) 59 S.C.R. 452 [1919 CanLII 11](http://www.canlii.org/en/ca/scc/doc/1919/1919canlii11/1919canlii11.html) at p.460  
see discussion on credibility and reliability in R. v. C. (H.), [2009 ONCA 56](http://canlii.ca/t/225zl), at para. 41
  2. [↑](Print_version.html#cite_ref-292) R. v. Thain 2009 ONCA 223 (CanLII), (2009), 243 C.C.C. (3d) 230 (Ont. C.A.), at para. 32.
  3. [↑](Print_version.html#cite_ref-293) Raymond v. Bosanquet, supra  
R. v. White, [1947] S.C.R. 268 [[28]](http://www.canlii.org/en/ca/scc/doc/1947/1947canlii1/1947canlii1.html) at 272
  4. [↑](Print_version.html#cite_ref-294) Tatarchuk v. Sidor (1951), 1 W.W.R. (N.S.) 435 at 448 (Alta. C.A.),  
R. v. P. (R.) 1994 CanLII 6250, (1994), 94 C.C.C. (3d) 571 (Que. C.A.); [[29]](http://www.canlii.org/en/qc/qcca/doc/1994/1994canlii6250/1994canlii6250.html)  
R. v. Norman 1993 CanLII 3387, (1993), 16 O.R. (3d) 295 (C.A.) [[30]](http://www.canlii.org/en/on/onca/doc/1993/1993canlii3387/1993canlii3387.html)  
R. v. Marzan (1982), 18 Man. R. (2d) 240 at 246  
R. v. Neary, 2000 NFCA 22 [[31]](http://www.canlii.org/en/nl/nlca/doc/2000/2000nfca22/2000nfca22.html) at 27  
R. v. Oldford, 2001 NFCA 34 [[32]](http://www.canlii.org/en/nl/nlca/doc/2001/2001nfca34/2001nfca34.html) at 75  

  5. [↑](Print_version.html#cite_ref-295) Faryna v. Chorny [1952] 2 D.L.R. 354 (B.C.C.A.) at 357:

    In short, the real test of the truth of the story of a witness in such a case must be its harmony with the preponderance of the probabilities which a practical and informed person would readily recognize as reasonable in that place and in those conditions.
Whitehouse v. Reimer, (1980), 116 D.L.R.(3d) 594 at 595

## Oath-helping[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-2)]

It is generally prohibited to adduce any evidence for the sole purpose of bolstering or increasing a witnesses credibility, suggesting they are more likely to be telling truth. Evidence that is adduced for another reason and also has the effect of bolstering credibility can be permitted. The judge must balance the probative value of the evidence against the prejudicial effect.[[1]](Print_version.html#cite_note-296) Reasons for adducing oath-helping evidence includes showing corroboration with other extrinsic evidence and narrative.

The Crown cannot introduce evidence showing that their witness has testified in court previously resulting in convictions.[[2]](Print_version.html#cite_note-297)

The Defence cannot adduce evidence establishing that the accused passed a polygraph test.[[3]](Print_version.html#cite_note-298)

  1. [↑](Print_version.html#cite_ref-296) R. v. Llorenz, [2000 CanLII 5745](http://canlii.ca/t/1fb75) (ON CA)
  2. [↑](Print_version.html#cite_ref-297) R. v. Mallory, [2007 ONCA 46](http://canlii.ca/t/1qbmx)
  3. [↑](Print_version.html#cite_ref-298) R v Thorne, (1988), 82 N.S.R. (2d) 442 (S.C.A.D.)  
R. v. Bedgood 1990 CanLII 2491 (NS CA), (1990), 98 N.S.R. (2d) 426  


  


## Failure to Call Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-3)]

It is dangerous to draw an adverse inference from the failure of the accused to call evidence.[[1]](Print_version.html#cite_note-299) A judge should only draw an adverse inference be done "with the greatest of caution".[[2]](Print_version.html#cite_note-300)

  1. [↑](Print_version.html#cite_ref-299) R. v. Ruiz [1991 CanLII 2410](http://canlii.ca/t/1lk9j) (NB CA), (1991), 68 C.C.C. (3d) 500 (N.B.C.A.), at p. 505 per Angers J.A. (dissenting, but not on this point), aff’d on other grounds 1993 CanLII 84 (SCC), [1993] 3 S.C.R. 649
  2. [↑](Print_version.html#cite_ref-300) R. v. Charette, (1982), 67 C.C.C. (2d) 357 (Ont. C.A.), at p. 359  
See also R. v. Zehr, (1980), 54 C.C.C. (2d) 65 (Ont. C.A.), at p. 68  
R. v. Koffman and Hirschler, (1985), 20 C.C.C. (3d) 232 (Ont. C.A.), at p. 237  
R. v. Dupuis [1995 CanLII 1543](http://canlii.ca/t/6jhj) (ON CA), (1995), 98 C.C.C. (3d) 496 (Ont. C.A.), at p. 508  
R. v. Witter [1996 CanLII 4005](http://canlii.ca/t/6j95) (ON CA), (1996), 105 C.C.C. (3d) 44 (Ont. C.A.), at p. 55  
R. v. Marshall [2005 CanLII 30051](http://canlii.ca/t/1lhd7) (ON CA), (2005), 77 O.R. (3d) 81 (C.A.), at para. 47  


## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-4)]

  * [Collateral Fact Rule](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Collateral_Fact_Rule)
  * [Bias, Interest and Corruption](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Bias,_Interest,_and_Corruption)
  * [Prior Consistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements)
  * [Prior Inconsistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements)
  * [Adverse and Hostile Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Adverse_and_Hostile_Witnesses)
  * [Post-Offence Conduct](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Post-Offence_Conduct)
  * [Criminal Record](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Criminal_Record)
  * [Complainant's Sexual History](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History)
  * [Disreputable and Unsavoury Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Disreputable_and_Unsavoury_Witnesses)
  * [Evaluating Credibility](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence#Evaluating_Credibility)

## Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-5)]

  * [Canadian Criminal Evidence/Cases/Credibility](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Credibility)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility&action=edit&section=T-6)]

  * [Canadian Criminal Procedure and Practice/Trials/Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Examinations)

# Credibility/Collateral Fact Rule[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Collateral_Fact_Rule&action=edit&section=T-1)]

A collateral is a "fact not directly connected" or not relevant to "the issue in dispute"[[1]](Print_version.html#cite_note-301) Collateral facts are not generally admissible. Any extrinsic contradictory evidence that brings a witnesses credibility into question may not be considered where the contradictory evidence not relevant to an issue at trial.[[2]](Print_version.html#cite_note-302) When a witness speaks to a fact, the veracity of the testimony can only be brought into question where it is sufficiently material to a trial issue. Otherwise, it will fall up against the collateral fact rule that prohibits the calling of contradictory evidence on immaterial facts. Thus, testimony on collateral issues is conclusive. This rule has been codified in certain legislation including s. 10 and 11 of the CEA.

A foundational test for collateral fact is whether the evidence contradicting the statement of the witness could be validly led as evidence on its own.[[3]](Print_version.html#cite_note-303) Thus, statements to evidence that is not directly connected to a material fact cannot be contradicted.[[4]](Print_version.html#cite_note-304)

The rule equally applies in cases that turn on credibility.[[5]](Print_version.html#cite_note-305)

Exceptions exists for certain evidence going to credibility:[[6]](Print_version.html#cite_note-306)

  * existence of material previous statement[[7]](Print_version.html#cite_note-307)
  * prior convictions
  * honesty or history of lying
  * bias or partiality[[8]](Print_version.html#cite_note-308)
  * motive to fabricate[[9]](Print_version.html#cite_note-309)
  * bad reputation
  * perception
  * memory
  * ability to communicate.

Where a witness denies having an animus against the accused at the time of the offence may be contradicted with extrinsic evidence. However, where a witness concedes having an animus against the accused at the time of the offence, they may be cross-examined on an ongoing animus including at the time of trial. [[10]](Print_version.html#cite_note-310)

  1. [↑](Print_version.html#cite_ref-301) R. v. M.C., [2012 ONSC 882](http://canlii.ca/t/fqk75) citing Black's law Dictionary
  2. [↑](Print_version.html#cite_ref-302) R. v. Prebtani, [2008 ONCA 735](http://canlii.ca/t/219zr)  
R. v. Cargill, [1913] 2 K.B. 271 (C.C.A.)  
R. v. Hrechuk (1950), 10 C.R. 132 (Man. C.A.), at p. 135  
R. v. Rafael (1972), 3 O.R. 238 (C.A.), at p. 330  
Latour v. The Queen, 1976 CanLII 145 (SCC), [1978] 1 S.C.R. 361, at p. 367  
R. v. Cassibo (1982), 39 O.R. (2d) 288 (C.A.), at p. 506.  
R. v. M.C., [2012 ONSC 882](http://canlii.ca/t/fqk75)  

  3. [↑](Print_version.html#cite_ref-303) A.G. v. Hitchcock 1847, 154 ER 38 at 42  
R. v. R. (D.), [1996] 2 S.C.R. 291 [1996 CanLII 207](http://www.canlii.org/en/ca/scc/doc/1996/1996canlii207/1996canlii207.html)
  4. [↑](Print_version.html#cite_ref-304) R. v. Aadler [1993] 2 S.C.R. 482
  5. [↑](Print_version.html#cite_ref-305) R v McIntosh, 1999 CanLII 1403 at para. 86  
R v Van Leeuwen, 2012 ONSC 132  
R v Prebtani, 2008 ONCA 735  

  6. [↑](Print_version.html#cite_ref-306) R. v. R. (D.), supra  
R. v. Cassibo , (1982), 39 O.R. (2d) 288, 70 C.C.C. (2d) 498 (C.A.)  
R. v. Biddle, [1995] 1 S.C.R. 761 [1995 CanLII 34](http://www.canlii.org/en/ca/scc/doc/1995/1995canlii134/1995canlii134.html)
  7. [↑](Print_version.html#cite_ref-307) Masztalar v. Wiens, [1992 CanLII 5953](http://canlii.ca/t/231ng) (BC CA)
  8. [↑](Print_version.html#cite_ref-308) See R. v. Lindlau, supra; however, if admitted more evidence cannot be lead
  9. [↑](Print_version.html#cite_ref-309) R. v. P.(G.) (1996), 112 C.C.C. (3d)
  10. [↑](Print_version.html#cite_ref-310) R. v. Farquharson, [2002 CanLII 41775](http://canlii.ca/t/1clsk) (ON CA)

  


# Credibility/Prior Consistent Statements[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements&action=edit&section=T-1)]

Prior consistent statements are presumptively inadmissible.[[1]](Print_version.html#cite_note-311)

The prior statement is undesirable for several reasons. They are a form of hearsay and so like all hearsay are considered unreliable.[[2]](Print_version.html#cite_note-312) They are also irrelevant and lacks probative value.[[3]](Print_version.html#cite_note-313) It is a form of "oath-helping" (inappropriately enhancing the evidence. It is self-serving and self-corroborative without actually adding any value to the evidence. It encourages the inference that a story told consistently over time is more likely to be true. However, “consistency is a quality just as agreeable to lies as to the truth”.[[4]](Print_version.html#cite_note-314)

  1. [↑](Print_version.html#cite_ref-311) R v Beland [1987] SCJ No 60 at para 10-12  
R. v. Stirling [2008] S.C.J. No. 10 (S.C.C.)  
R v Evans [1993] SCJ No 30 at para 34
  2. [↑](Print_version.html#cite_ref-312) R. v. Dinardo, 2008 SCC 24 (CanLII), 2008 SCC 24, [2008] 1 S.C.R. 788, at para. 36
  3. [↑](Print_version.html#cite_ref-313) R. v. Pattison, [2011] B.C.J. No. 2231 at para. 12  
R. v. Stirling, 2008 SCC 10, [2008] 1 S.C.R. 272, at para. 5  
R. v. Dinardo, 2008 SCC 24 (CanLII), 2008 SCC 24, [2008] 1 S.C.R. 788, at para. 36
  4. [↑](Print_version.html#cite_ref-314) R. v. L.(D.O.) 1991 CanLII 2714 (MB CA), (1991), 6 C.R. (4th) 277 at 309 (Man. C.A.), rev’d 1993 CanLII 46 (SCC), (1993), 25 C.R. (4th) 285 (S.C.C.)  
R v Divitaris, [2004] OJ No 1945 (ONCA) at para 28

## Exceptions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements&action=edit&section=T-2)]

Exceptions to the prohibition against admitting prior consistent statements include:

  * Rebutting allegation of recent fabrication
  * Prior eyewitness identification
  * Recent complaint
  * Show physical or mental state of accused ([res gestae](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions#Spontaneous_utterances_.2F_res_gestae))
  * Narrative
  * emotional state of the complainant
  * Statements made on arrest
  * Explanation of accused in possession of illegal goods
  * Admission of video complaints (s.715.1, see [Video Statement of Under 18 Year Old](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions#Video_Statement_of_Under_18_Year_Old))

Where the statement is admitted it must usually be accompanied by a limiting jury instruction.[[1]](Print_version.html#cite_note-315)

  1. [↑](Print_version.html#cite_ref-315) R v JEF [1993] OJ No 2589 (ONCA)

## Recent Fabrication[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements&action=edit&section=T-3)]

Recent fabrication exception requires the circumstances to show that the "apparent position of the opposing party is that there has been a prior contrivance"[[1]](Print_version.html#cite_note-316) Also, the prior statement was made "before a motivation to fabricate arose".[[2]](Print_version.html#cite_note-317)

The "recency" element only requires that the witness made up a false story after the event in consideration.[[3]](Print_version.html#cite_note-318)

A "fabrication" can refer to evidence that the witness was influenced by outside sources.[[4]](Print_version.html#cite_note-319)

The prior statement is not adduced for the truth of their contents.[[5]](Print_version.html#cite_note-320)

  1. [↑](Print_version.html#cite_ref-316) R. v. Evans, 1993 CanLII 102 (SCC), [1993] 2 S.C.R. 629 at p. 643  
R. v. Stirling [2008] S.C.J. No. 10, at para 5  

  2. [↑](Print_version.html#cite_ref-317) R. v. Stirling [2008] S.C.J. No. 10, at para 5  
R v Ellard at paras. 32‑33
  3. [↑](Print_version.html#cite_ref-318) R. v. O'Connor 1995 CanLII 255 (ON CA), (1995), 100 C.C.C. (3d) 285 (Ont. C.A.), at pp. 294‑95  
R. v. J.A.T. [2012] O.J. No. 1208 at para 98  

  4. [↑](Print_version.html#cite_ref-319) R. v. J.A.T. [2012] O.J. No. 1208 at para 98 citing R v Ellard, 2009 SCC 27 at para 33  
R. v. B. (A.J.), 1995 CanLII 94 (SCC), [1995] 2 S.C.R. 413, at para. 1  

  5. [↑](Print_version.html#cite_ref-320) R. v. J.A.T. [2012] O.J. No. 1208 at para 98

## Narrative[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements&action=edit&section=T-4)]

A prior consistent statement may be admitted as part of the narrative. In a jury trial, the trial judge should give instructions that this narrative evidence can only be used is to "assist them in assessing complainant’s credibility, in certain circumstances, particularly where the complainant is a child, and they are not to use the statements as evidence of the truth of their contents."[[1]](Print_version.html#cite_note-321)

Where it is admitted for this purpose in a sexual assault case, it can only be used to help the trier of fact "understand how a complainant’s story was first disclosed"[[2]](Print_version.html#cite_note-322)

  1. [↑](Print_version.html#cite_ref-321) R v Dinardo, 2008 SCC 24 at para. 37  
R v Henrich, 1996 CanLII 2057 (ON CA) at p. 746  
Fair, 1993 CanLII 3384 (ON CA) at pp. 20-21  

  2. [↑](Print_version.html#cite_ref-322) R v Dinardo, 2008 SCC 24 at para. 37 R. v. Fair 1993 CanLII 3384 (ON CA), (1993), 16 O.R. (3d) 1 (C.A.), at pp. 20-21  
R. v. Henrich 1996 CanLII 2057 (ON CA), (1996), 29 O.R. (3d) 740 (C.A.), at p. 746  


## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements&action=edit&section=T-5)]

  * [Canadian Criminal Evidence/Hearsay](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay)
  * [Canadian Criminal Evidence/Credibility/Prior Inconsistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements)

  


# Credibility/Prior Inconsistent Statements[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements&action=edit&section=T-1)]

Prior inconsistent statements are the primary manner of impeaching a witness’s credibility.

Section 10 and 11 of the CEA provide limitations on the issue and manner of impeachment with written or oral statements. These provisions are purely procedural and do not provie and substantive rights.[[1]](Print_version.html#cite_note-323)

Section 10 states:

> **Cross-examination as to previous statements**  
10\. (1) On any trial a witness may be cross-examined as to previous statements that the witness made in writing, or that have been reduced to writing, or recorded on audio tape or video tape or otherwise, relative to the subject-matter of the case, without the writing being shown to the witness or the witness being given the opportunity to listen to the audio tape or view the video tape or otherwise take cognizance of the statements, but, if it is intended to contradict the witness, the witness’ attention must, before the contradictory proof can be given, be called to those parts of the statement that are to be used for the purpose of so contradicting the witness, and the judge, at any time during the trial, may require the production of the writing or tape or other medium for inspection, and thereupon make such use of it for the purposes of the trial as the judge thinks fit.
> 
> **Deposition of witness in criminal investigation**  
(2) A deposition of a witness, purporting to have been taken before a justice on the investigation of a criminal charge and to be signed by the witness and the justice, returned to and produced from the custody of the proper officer shall be presumed, in the absence of evidence to the contrary, to have been signed by the witness.
> 
> R.S., 1985, c. C-5, s. 10; 1994, c. 44, s. 86.
> 
> **Cross-examination as to previous oral statements**  
11\. Where a witness, on cross-examination as to a former statement made by him relative to the subject-matter of the case and inconsistent with his present testimony, does not distinctly admit that he did make the statement, proof may be given that he did in fact make it, but before that proof can be given the circumstances of the supposed statement, sufficient to designate the particular occasion, shall be mentioned to the witness, and he shall be asked whether or not he did make the statement.
> 
> R.S., c. E-10, s. 11.
> 
> – [CEA](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec10)

Section 10 permit cross examination on a statement without showing the statement being shown to the witness, but the judge has discretion to require the statement to be shown to clarify things.[[2]](Print_version.html#cite_note-324) Thus, when impeaching on a written statement, counsel may hold back the written statement from the witness while questioning on the existence of the prior statment until such time as counsel attempts to impeach the party.

This section addresses cross examination of the opposing party's witnesses and not the calling party's witnesses as contemplated in s. 9.[[3]](Print_version.html#cite_note-325)

There is no need for a declaration of adversity as in s.9(1).[[4]](Print_version.html#cite_note-326)

  1. [↑](Print_version.html#cite_ref-323) R v Mannion [1986] 2 SCR 272
  2. [↑](Print_version.html#cite_ref-324) R v Rodney (1988) 46 CCC (3d) 323 (BCCA)
  3. [↑](Print_version.html#cite_ref-325) R v Antoine (1949) 94 CCC 106 (BCCA)
  4. [↑](Print_version.html#cite_ref-326) R v Keegstra, (1994) 92 CCC (3d) 505 (ABCA)

## Compelled Prior Statements[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements&action=edit&section=T-2)]

Section 13 of the Charter protects accused's persons from self-incrimination, stating:

“

13\. A witness who testifies in any proceedings has the right not to have any incriminating evidence so given used to incriminate that witness in any other proceedings, except in a prosecution for perjury or for the giving of contradictory evidence.

”

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This page or section is an undeveloped draft or outline.**  
You can help to [develop the work](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit), or you can ask for assistance in the [project room](http://en.wikibooks.org/wiki/Wikibooks:PROJECTS).

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements&action=edit&section=T-3)]

  * [Adverse and Hostile Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Adverse_and_Hostile_Witnesses)
  * [Admissions and Confessions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions)

  


# Credibility/Post-Offence Conduct[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Post-Offence_Conduct&action=edit&section=T-1)]

Post offence conduct is a form of circumstantial evidence.[[1]](Print_version.html#cite_note-327) It is admissible based on relevance.[[2]](Print_version.html#cite_note-328) The utility depends on what inferences can be fairly drawn from the circumstances in its entirety. [[3]](Print_version.html#cite_note-329)

It is considered a “legal term of art” that refers “only [to] conduct which is probative of guilt.” [[4]](Print_version.html#cite_note-330) This is more apparent from the previous term used of "consciousness of guilt".[[5]](Print_version.html#cite_note-331)

Post-offence conduct is frequently seen as:[[6]](Print_version.html#cite_note-332)

  1. flight from the scene of the crime or the jurisdiction in which the crime was committed;
  2. attempts to resist arrest;
  3. failure to appear at trial; and
  4. acts of concealment such as lying, assuming a false name, changing one's appearance, and hiding or disposing of evidence.

This inference is case-specific based on factors such as:[[7]](Print_version.html#cite_note-333)

  1. the nature of the conduct;
  2. the facts sought to be inferred from the conduct;
  3. the positions of the parties; and
  4. the totality of the evidence.

Post-offence conduct cannot be used to infer a degree of culpability, but can be used to attack credibility.[[8]](Print_version.html#cite_note-334)

An exculpatory statement that has been discredited can only be used to make to an adverse inference against the accused where there is independent evidence of fabrication.[[9]](Print_version.html#cite_note-335) The key is to establish an intent to deceive to support an inference of consciousness of guilt.[[10]](Print_version.html#cite_note-336)

The proof of fabrication can be based on the circumstances of the statement.[[11]](Print_version.html#cite_note-337) This includes compelling inconsistencies[[12]](Print_version.html#cite_note-338) or contradictory statements suggesting concoction.[[13]](Print_version.html#cite_note-339)

Such statements should be treated in the same manner as alibis.[[14]](Print_version.html#cite_note-340)

Proof of the accused's flight from a scene permits an inference that an offence occurred. It does not permit the inference, without more, that it was a specific offence charged.

  1. [↑](Print_version.html#cite_ref-327) R v Gagnon 2006 MBCA 125 (CanLII)
  2. [↑](Print_version.html#cite_ref-328) R. v. White, 2011 SCC 13 at 23
  3. [↑](Print_version.html#cite_ref-329) R. v. Teske [2005] O.J. No. 3759(C.A.) at para. 85
  4. [↑](Print_version.html#cite_ref-330) R. v. Turcotte 2005 SCC 50 at para 37
  5. [↑](Print_version.html#cite_ref-331) R v White 1998 125 C.C.C. (3d) 385
  6. [↑](Print_version.html#cite_ref-332) R v White
  7. [↑](Print_version.html#cite_ref-333) R. v. Figueroa (2008), 232 C.C.C. (3d) 51 (Ont. C.A.), at paras. 33 and 35 [[33]](http://www.canlii.org/en/on/onca/doc/2008/2008onca106/2008onca106.html#par33)
  8. [↑](Print_version.html#cite_ref-334) R. v. Jaw, 2009 SCC 42 at 39
  9. [↑](Print_version.html#cite_ref-335) R v Hein 2008 BCCA 109 at para. 53
  10. [↑](Print_version.html#cite_ref-336) R v Hibbert, 2002 SCC 39 at 67  
R v Tessier 1997 CanLII 3475
  11. [↑](Print_version.html#cite_ref-337) R v O'Connor 2002 CanLII 3540 at para 26-27
  12. [↑](Print_version.html#cite_ref-338) R v Bennett, 2003 CanLII 21292 (ONCA)
  13. [↑](Print_version.html#cite_ref-339) R v Andrade, (1985) 6 OAC 345, 18 CCC (3d) 41 at 67
  14. [↑](Print_version.html#cite_ref-340) R v O'Connor 2002 CanLII 3540 (ONCA) at para. 18

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Post-Offence_Conduct&action=edit&section=T-2)]

  * [Canadian Criminal Evidence/Circumstantial Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Circumstantial_Evidence)

  


# Credibility/Criminal Record[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-1)]

Under s. 12(1) of the [Canada Evidence Act](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec12), any witness may be questioned on whether they have been convicted of prior offences. The evidence may go to credibility but not to bad character or propensity to commit crimes. It will also be limited where the prejudicial effect outweighs the probative value.

Section 12 of the [Canada Criminal Evidence Act](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html) permits cross-examining any witness on the existence of a criminal record. Defence can cross-examine a crown witness on any details behind their criminal record. The only limitation is relevance to the case before the court.[[1]](Print_version.html#cite_note-341)

It is permissible to cross-examination on convictions under any federal legislation,[[2]](Print_version.html#cite_note-342), certain convictions under provincial legislation[[3]](Print_version.html#cite_note-343), and convictions under foreign legislation where it would constitute an offence in Canada.[[4]](Print_version.html#cite_note-344)

A jury may not use the conviction of a co-accused for the same charge as evidence towards guilt, rather it may only be used to assess the accuseds knowledge and intent.[[5]](Print_version.html#cite_note-345)

### Accused's Record[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-2)]

Except where the accused places his characater at issue, the Crown cannot cross examine the witness on the accused of the prior criminal record. The crown can ask the accused of the date and place of conviction; the offence convicted; the sentence imposed. [[6]](Print_version.html#cite_note-346)

The defence can seek to limit the use of the criminal record by way of a "Corbett Application".

  1. [↑](Print_version.html#cite_ref-341) R. v. Davidson (1974) 20 CCC 2d 292 (ONCA) at p.443  
R. v. Gassyt and Markowitz (1998) 127 CCC (3d) 546 (ONCA) at 560  
R. v. Miller 1998 131 CCC 3d 141 (ONCA) at 147  
R. v. H(BJ) [2000] O.J. No.279 (ONCA) at para. 2
  2. [↑](Print_version.html#cite_ref-342) R. v. Watkins, (1992), 70 C.C.C. (3d) 341 (ONCA)
  3. [↑](Print_version.html#cite_ref-343) R. v. Green (1943) 79 CCC 227 (BCCA
  4. [↑](Print_version.html#cite_ref-344) R. v. Stratton (1978), 21 O.R. (2d) 258 (Ont. C.A.)
  5. [↑](Print_version.html#cite_ref-345) R v Garneau 2012 NSCA 41
  6. [↑](Print_version.html#cite_ref-346) R. v. Vincent, [1998] O.J. No. 3666 (C.A.) at 16-17  
R. v. Menard (l996), 108 C.C.C. (3d) 424 (0nt.C.A.) at 435-436 affirmed (l998), 125 C.C.C. (3d) 416 (SCC) at 427-428, 433  
R. v. Bricker (1994), 90 C.C.C. (3d) 268 (Ont.C.A.) at 274-279  
R. v. Shortreed (l990), 54 C.C.C. (3d) 292 (Ont.C.A.) at pp. 305-307  
R. v. Furrant (1983), 4 C.C.C. (3d) 354 (SCC) at 368-369  
R. v. Laurier (l983), I O.A.C. 128 (0nt.C.A.) at p. 131  
R. v. Howard and Trudel (1983), 3 C.C.C. (3d) 399 (0nt.C.A.) at 417  
R. v. Lizotte (1980), 61 C.C.C. (2d) 423 (Que.C.A.) at 432-434  
R. v. Boyce (1975), 23 C.C.C. (2d) 16 (Ont.C.A.) at 35-37  
R. v. McLaughlin, (1974), 20 C.C.C. 59 (0nt.C.A.) at 60-61  


### Non-Accused's Record[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-3)]

A non-accused witness may be cross-examined on the circumstances of an offence underlying a prior conviction.[[1]](Print_version.html#cite_note-347)

  1. [↑](Print_version.html#cite_ref-347) R v Bugar, [2010 ABCA 318](http://canlii.ca/t/2d4cm)

## Proving a Record[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-4)]

If a witness denies their record, section 12(2) addresses the manner of proving it:

> s.12...  
**How conviction proved**  
(2) A conviction may be proved by producing
> 
>     (a) a certificate containing the substance and effect only, omitting the formal part, of the indictment and conviction, if it is for an indictable offence, or a copy of the summary conviction, if it is for an offence punishable on summary conviction, purporting to be signed by the clerk of the court or other officer having the custody of the records of the court in which the conviction, if on indictment, was had, or to which the conviction, if summary, was returned; and
>     (b) proof of identity.
> 
> R.S., 1985, c. C-5, s. 12; 1992, c. 47, s. 66.
> 
> – [CEA](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-5/latest/rsc-1985-c-c-5.html#sec12)

## Corbett Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-5)]

A Corbett application is an application made by the defence to exclude the use of certain convictions found on the accused's criminal record from being put to the accused on cross-examination.

The determination is based on balancing factors which include:[[1]](Print_version.html#cite_note-348)

  1. the nature of the conviction;
  2. remoteness in time from the case before the court;
  3. whether the case boils down to a credibility contest between the accused and another witness or witnesses;
  4. whether the accused's record – either its seriousness or its length – evinces a disrespect for society's rules and laws that suggest a person with such attitudes would not hesitate to lie under oath.

A criminal record is generally considered admissible.[[2]](Print_version.html#cite_note-349) The burden is upon the accused to establish the basis to edit any part of their record.[[3]](Print_version.html#cite_note-350)

There are a variety of cases that state contradictory principles concerning the use of the record. Certain cases state that a long criminal record could overwhelm a jury and so should be edited.[[4]](Print_version.html#cite_note-351) Some cases says that the only admissible convictions are those that demonstrate dishonesty or directly concern integrity are admissible.[[5]](Print_version.html#cite_note-352) While others state that a record of violence can show the accused's total disregard for life, which suggests lying would not be a challenge of his moral code.[[6]](Print_version.html#cite_note-353)

The judge has the right to "sanitize" the record, such as calling sexual assault an assault, where the record would otherwise be overly prejudicial.[[7]](Print_version.html#cite_note-354)

See also:

  * R v Batte [2000 CanLII 5750](http://canlii.ca/t/1fb7d) (ONCA)
  * R. v. P. (N.A.) [2002 CanLII 22359](http://canlii.ca/t/1bv1s) (ON CA)
  * R. v. Peterson, [2012 MBQB 100](http://canlii.ca/t/fqvvw)

  1. [↑](Print_version.html#cite_ref-348) R v Corbett [1988] 1 SCR 670, [1988 CanLII 80 (SCC)](http://canlii.ca/t/1ftgm)
  2. [↑](Print_version.html#cite_ref-349) Corbett at 686: " So it seems to us in a real sense that when a defendant goes onto a stand, "he takes his character with him . . . ." Lack of trustworthiness may be evinced by his abiding and repeated contempt for laws which he is legally and morally bound to obey, ... though the violations are not concerned solely with crimes involving 'dishonesty and false statement."
  3. [↑](Print_version.html#cite_ref-350) R v Madrusan, [2005 BCCA 609](http://canlii.ca/t/1m56f)
  4. [↑](Print_version.html#cite_ref-351) R v Madrusan, 2005 BCCA 609
  5. [↑](Print_version.html#cite_ref-352) R v Ceballo, [2008] OJ No 4931, [2008 CanLII 63565](http://canlii.ca/t/21rpd) (ONSC)
  6. [↑](Print_version.html#cite_ref-353) R v Saroya [1994 CanLII 955](http://canlii.ca/t/6k8r) (ONCA)
  7. [↑](Print_version.html#cite_ref-354) R v Batte [2000 CanLII 5750](http://canlii.ca/t/1fb7d) (ONCA)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Prior_Criminal_Record&action=edit&section=T-6)]

  * [Canadian Criminal Procedure and Practice/Trials/Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Examinations)

  


# Credibility/Disreputable and Unsavoury Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Disreputable_and_Unsavoury_Witnesses&action=edit&section=T-1)]

A "Vetrovec warning" refers to the special consideration required when considering the reliability of evidence from disreputable or unsavoury witnesses.

A jury must be given a "clear and sharp warning" with respect to the testimony of disreputable or unsavoury witnesses. This is known as a "Vetrovec" warning. [[1]](Print_version.html#cite_note-355) This requires that:

  1. the evidence of certain witnesses is identified as requiring special scrutiny;
  2. the characteristics of the witness that bring his or her evidence into serious question are identified;
  3. the jury is cautioned that although it is entitled to act on the unconfirmed evidence of such a witness, it is dangerous to do so; and
  4. the jury is cautioned to look for other independent evidence which tends to confirm material parts of the evidence of the witness with respect to whom the warning has been given.

  1. [↑](Print_version.html#cite_ref-355) R. v. Vetrovec [1982] SCJ No. 40; R. v. Sauvé, [2004 CanLII 9054](http://www.canlii.org/en/on/onca/doc/2004/2004canlii9054/2004canlii9054.html) (ONCA)

## Applicable Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Disreputable_and_Unsavoury_Witnesses&action=edit&section=T-2)]

The warning should be applied for the testimony of accomplices and "disreputable witness of demonstrated moral lack" such as "a witness with a record of perjury".[[1]](Print_version.html#cite_note-356)

A drug addiction at the time of the offence does not warrant a witness to be subject to a vetrovec warning.[[2]](Print_version.html#cite_note-357)

  1. [↑](Print_version.html#cite_ref-356) R v Vetrovec [1982] SCJ no 40 at p.831
  2. [↑](Print_version.html#cite_ref-357) Keeping v. R., [2011 NLCA 52](http://canlii.ca/t/fmd9d) (CanLII)

## Vetrovec Warning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Credibility/Disreputable_and_Unsavoury_Witnesses&action=edit&section=T-3)]

"confirmatory evidence" should be independent and reliable. does not need to confirm every aspect of the case but rather should corroborate significant parts of the evidence. [[1]](Print_version.html#cite_note-358)

Factors the court should consider when counsel requests a Vetrovec warning:[[2]](Print_version.html#cite_note-359)

  1. The Vetrovec warning is designed to alert the trier of fact to the need for special attention when assessing the credibility of certain unsavoury witnesses.
  2. It is a clear and sharp warning to alert the trier of fact to the risk of adopting, without more, the evidence of an unsavoury witness
  3. The warning assigns unsavoury witnesses a special status, namely, it sets them apart from other witnesses and encourages an assessment of their credibility bearing in mind the unique reliability concerns they bring to a trial.
  4. The purpose of the Vetrovec warning is to alert the trier of fact that there is a special need for caution in approaching the evidence of certain witnesses whose evidence plays an important role in the proof of the accused’s guilt.
  5. There are four stages that ought to be considered when approaching the testimony of a potentially unsavoury witness, namely: 
    1. the evidence of certain witnesses is identified as requiring special scrutiny;
    2. the characteristics of the witness that bring his or her evidence into serious question are identified;
    3. the trier of fact is cautioned that although it is entitled to act on the unconfirmed evidence of such a witness, it is dangerous to do so;
    4. the trier of fact is cautioned to look for other independent evidence which tends to confirm material parts of the evidence of the witness with respect to whom the warning has been given.
  6. There are no hard and fast rules in determining whether a witness is deserving of a Vetrovec warning. However, as the importance of the witness to central issues at trial increases, and the credibility concerns rise, so does the need for a caution.

See also: Tymiak, 2009 BCCA 98 at 30 to 32

The judge had wide discretion on whether to give a Vetrovec warning.[[3]](Print_version.html#cite_note-360)

Where the witness provides "mixed" evidence that gives a significant amount of evidence that is helpful for the defence as well as the crown, the judge has the discretion whether the still invoke the warning.[[4]](Print_version.html#cite_note-361)

  1. [↑](Print_version.html#cite_ref-358) R. v. Chenier, [2006] OJ No489 (ont.CA)  
R. v. Kehler [2003 ABCA 104](http://canlii.ca/t/5c42)
  2. [↑](Print_version.html#cite_ref-359) See R. v. Dunbar, [2010] O.J. No. 5971, Ferguson J.
  3. [↑](Print_version.html#cite_ref-360) R. v. Potvin, 1989 CanLII 130 (SCC), [1989] 1 S.C.R. 525, at p. 557  
R. v. Bevan, 1993 CanLII 101 (SCC), [1993] 2 S.C.R. 599, at p. 612, 613  
R. v. Brooks, 2000 SCC 11, [2000] 1 S.C.R. 237, at para. 3  

  4. [↑](Print_version.html#cite_ref-361) see R. v. Tran, [2010 ONCA 471](http://canlii.ca/t/2bcj6), 103 O.R. (3d) 131, at para. 27

# III.3 - Character[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=9)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character&action=edit&section=T-1)]

Character evidence is evidence that invites the trier of fact to make an inference that the person is of a certain "type", thus inferring that the person acted consistently with that type of character. Character evidence can often become prejudicial to the accused and so must be taken with care.

## Character of Victim[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character&action=edit&section=T-2)]

The accused is generally permitted to introduce evidence of the deceased's victim's prior record as well as transcripts of the a related proceedings to establish a propensity for violence.[[1]](Print_version.html#cite_note-362)

  1. [↑](Print_version.html#cite_ref-362) R. v. Patterson, [2006 CanLII 2609](http://canlii.ca/t/1mh7z) (ON CA)

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character&action=edit&section=T-3)]

  * [Character of Accused](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Character_of_Accused)
  * [Similar Fact Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence)
  * [Alternative Suspect Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Alternative_Suspect_Evidence)
  * [Complainant's Sexual History](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History)

# Character/Character of Accused[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-1)]

Character evidence of the accused is any evidence that establishes the accused conduct or reputation outside of the period of the alleged offence for the inference that during the time of the alleged offence the accused had acted in conformity with that conduct or reputation. Character is established by :

  1. reports of the accused's reputation in the community
  2. the opinion of someone who knows the accused personally
  3. specific past acts from which conduct can be inferred.

The rules on leading character can be ignored in limited circumstances such as where it simply shows context or is part of a narrative.[[1]](Print_version.html#cite_note-363)

  1. [↑](Print_version.html#cite_ref-363) E.g. R v Lamirande (2002), 164 CCC 3d 299 (MBCA)  
R. v. Bernardo (1995), 42 CR (4th) 85 (Ont Gen Div)

## Good Character Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-2)]

The defence may adduce good character of the accused. However, where introduced section 666 applies:

> **Evidence of character**  
666\. Where, at a trial, the accused adduces evidence of his good character, the prosecutor may, in answer thereto, before a verdict is returned, adduce evidence of the previous conviction of the accused for any offences, including any previous conviction by reason of which a greater punishment may be imposed.
> 
> R.S., c. C-34, s. 593.[[55]](http://canlii.ca/t/lf1r#sec666)

Section 666 permits the Crown to adduce evidence of bad character to rebut the good character evidence.

## Bad Character Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-3)]

The Crown is prohibited from adducing evidence of extrinsic misconduct of the accused; what is often called "bad character" evidence.[[1]](Print_version.html#cite_note-364) The evidence is consider inherently prejudicial for several reasons:

  1. the trier of fact may be influenced to believe the accused has bad character or is a bad person and so is more likely to have committed the offence.[[2]](Print_version.html#cite_note-365)
  2. the trier or fact may "have a tendency to punish the accused for the extrinsic misconduct by finding him or her guilty of the offences charged"[[3]](Print_version.html#cite_note-366)
  3. the tier of fact may become confused by concentrating on whether the accused actually committed the extrinsic misconduct and their decision "about the extrinsic misconduct may be substituted for the verdict on the offence charged"[[4]](Print_version.html#cite_note-367)

There are three exceptions to the rule against character evidence.[[5]](Print_version.html#cite_note-368)

  1. where the evidence is relevant to an issue in the case after balancing the probative value and prejudicial effect
  2. where the accused puts her character in issue
  3. where the evidence is adduced incidentally to proper cross-examination of the accused on her credibility[[6]](Print_version.html#cite_note-369)

Where bad character comes out in evidence during a jury trial, a judge should provide some limiting instructions on the use of such evidence.[[7]](Print_version.html#cite_note-370)

  1. [↑](Print_version.html#cite_ref-364) R. v. Handy, [2002] 2 S.C.R. 908 at para. 31
  2. [↑](Print_version.html#cite_ref-365) R. v. Batte (2000), 49 O.R. (3d) 321 (CA) [at para 100](http://www.canlii.org/en/on/onca/doc/2000/2000canlii5750/2000canlii5750.html#par100)
  3. [↑](Print_version.html#cite_ref-366) R. v. M.T., [2012 ONCA 511](http://canlii.ca/t/fs52f) at 81
  4. [↑](Print_version.html#cite_ref-367) R v MT 2012 ONCA 511 at 81  
R. v. D. (L.E.), 1989 CanLII 74 (SCC), [1989] 2 S.C.R. 111, at pp. 127-128
  5. [↑](Print_version.html#cite_ref-368) R. v. G.(S.G.), [1997] 2 S.C.R. 716, at para 63
  6. [↑](Print_version.html#cite_ref-369) See: Lucas v. The Queen, [1963] 1 C.C.C. 1 (S.C.C.) and  
R. v. G. (S.G.), [1997 CanLII 311](http://canlii.ca/t/1fr1d) (SCC), [1997] 2 SCR 716  
R. v. Chambers, [1990] 2 S.C.R. 1293 [1990 CanLII 47](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii47/1990canlii47.html)
  7. [↑](Print_version.html#cite_ref-370) R. v. Spied, (1985), 20 C.C.C. (3d) 534 (Ont. C.A.),  
R. v. G. (S.G.), [1997] 2 S.C.R. 716 [1997 CanLII 311](http://www.canlii.org/en/ca/scc/doc/1997/1997canlii311/1997canlii311.html)  
R. v. Reierson, [2010] B.C.J. No. 1619 (B.C.C.A.)  
R. v. Grandinetti, [2003 ABCA 307](http://www.canlii.org/en/ab/abca/doc/2003/2003abca307/2003abca307.html) , aff’d 2005 SCC 5, [2005] 1 S.C.R. 27

## Relevant and Probative[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-4)]

### Motive[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-5)]

Motive is never necessary to be proven for an offence, however, evidence of motive may assist in proof of an accused’s participation in an offence and of the state of mind with which the offence was committed[[1]](Print_version.html#cite_note-371)

Where the defence presents evidence suggesting a third-party committed the offence and has a motive, the crown may call evidence reply evidence on the accused's disposition or propensity.[[2]](Print_version.html#cite_note-372)

  1. [↑](Print_version.html#cite_ref-371) Plomp v. The Queen (1963) 110 C.L.R. 234 (H.C.), at pp. 243 and 249-50;  
R. v. Griffin, 2009 SCC 28, [2009] 2 S.C.R. 42, at paras. 59-60;  
R. v. Candir (2009), 250 C.C.C. (3d) 139 (Ont. C.A.), at para. 51.
  2. [↑](Print_version.html#cite_ref-372) R. v. M.(W.) 1996 CanLII 1214 (ON C.A.), (1996), 112 C.C.C. (3d) 117 (Ont. C.A.), at pp. 123-24, aff’d 1998 CanLII 831 (S.C.C.), [1998] 1 S.C.R. 977.

### Extrinsic Misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-6)]

In a domestic homicide, the crown may introduce evidence of the pas relationship between the victim and accused for the purpose of establishing motive, animus and state of mind. [[1]](Print_version.html#cite_note-373)

  1. [↑](Print_version.html#cite_ref-373) R. v. Moo 2009 ONCA 645  
See also S.B. [1996] O.J. No. 1187 (Gen. Div.)  
R. v. Peterffy, 2000 BCCA 132 (CanLII)  
R. v. Misir, 2001 BCCA 202 (CanLII) at para. 18  


### Cut-Throat Defence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-7)]

In a trial with multiple defendants, an accused person may adduce evidence of the co-accused's bad character for the purpose of establishing a greater likelihood of the co-accused's responsibility for the offence. However, the evidence may only be used to establish the innocence of the accused but not the guilt of the co-accused.

See also: [Canadian Criminal Evidence/Character/Alternative Suspect Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Character/Alternative_Suspect_Evidence)

## When Character is put in issue[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Character_of_Accused&action=edit&section=T-8)]

As mentioned above, where the accused places his character at issue, the Crown is entitled to rebut that evidence. Thus, there is considerable importance in determining when character is put into issue. This is most often where the accused is testifying and on either direct or cross he adds information that constitutes character evidence, thus engaging s.666.

An accused who mentions his "sexual morality" by affirming his commitment to his partner in a murder trial of the partner constitutes putting character at issue.[[1]](Print_version.html#cite_note-374)

  1. [↑](Print_version.html#cite_ref-374) R. v. McFadden, (1981) 65 CCC 2d 9 (BCCA)

  


# Character/Similar Fact Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence&action=edit&section=T-1)]

Similar fact evidence is "presumptively inadmissible. The onus is on the prosecution to satisfy the trial judge on the balance of probabilities that in the context of the particular case the probative value of the evidence in relation to a particular issue outweighs its potential prejudice and thereby justifies its reception." [[1]](Print_version.html#cite_note-375)

When assessing the similarities of incidents in a similar fact evidence application, the court should consider:[[2]](Print_version.html#cite_note-376)

  1. the temporal proximity of the incidents;
  2. the physical or spatial proximity of the events;
  3. the similarity in detail between the various acts;
  4. the number of putatively similar acts;
  5. the circumstances surrounding the incidents at issue;
  6. distinctive features unifying the incidents; and
  7. the occurrence and nature of any intervening events.

The risk of "moral prejudice" refers to risks of the evidence being used to draw a prohibited inference that the accused is the kind of person likely to the commit the offence charged.[[3]](Print_version.html#cite_note-377)

The risk of "reasoning prejudice" includes risks such as:[[4]](Print_version.html#cite_note-378)

  * The trier of fact may be distracted from deciding the issue in a reasoned way because of the inflammatory nature of the proposed evidence
  * The trier of facts may become confused about what evidence pertains to the crime charged and what evidence relates to the similar fact
  * The trial will begin to focus disproportionately on whether the similar act happened
  * The accused will be unable to respond to the allegation that the similar act occurred because of the passage of time, surprise or the collateral nature of the inquiry

Reasoning and moral prejudice are considered less of a concern for trials by judge alone than trial by jury. [[5]](Print_version.html#cite_note-379)

  1. [↑](Print_version.html#cite_ref-375) R. v. Handy  
The Law of Evidence, by David M. Paciocco and Lee Stuesser, 5th ed. (Toronto: Irwin Law Inc., 2008) at page 55
  2. [↑](Print_version.html#cite_ref-376) e.g., R. v. Arp, [1998] 3 SCR 339 [[34]](http://canlii.org/en/ca/scc/doc/1998/1998canlii769/1998canlii769.html) at para. 50;  
R. v. Handy, 2002 SCC 56, [2002] 2 SCR 908 [[35]](http://canlii.org/en/ca/scc/doc/2002/2002scc56/2002scc56.html) at para. 82;  
Watt’s Manual of Criminal Evidence, Thomson Reuters, 2010, at p. 503
  3. [↑](Print_version.html#cite_ref-377) Handy
  4. [↑](Print_version.html#cite_ref-378) Handy
  5. [↑](Print_version.html#cite_ref-379) R. v. B.(T.), [2009] O.J. No. 751 (Ont. C.A.)

## Probative Value[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence&action=edit&section=T-2)]

### Collusion[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence&action=edit&section=T-3)]

Potential inadvertent collusion through rumors and media accounts may occur and should not by itself exclude similar fact evidence. However, such occurrence should go to the weight.[[1]](Print_version.html#cite_note-380)

  


  1. [↑](Print_version.html#cite_ref-380) R. v. Dorsey, 2012 ONCA 185 (CanLII)

### Similarities Between Acts[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence&action=edit&section=T-4)]

What would be called "generic similarities" are to be given less consideration. The risk of "relying primarily on generic similarities" to support evidence establishing the actus reus includes the risk that the "initial inference arising from the prior conduct becomes so general, that it approaches bad personhood" and also the risk the accused's "non-specific character, generic similarities may mask underlying dissimilarities that could be important in a particular case." [[1]](Print_version.html#cite_note-381)

  1. [↑](Print_version.html#cite_ref-381) R. v. Blake 2003 CanLII 13682 (ON CA), (2003), 181 C.C.C. (3d) 169, affirmed 2004 SCC 69 (CanLII), (2004), 188 C.C.C. (3d) 428 (S.C.C.) at para 64  


## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Similar_Fact_Evidence&action=edit&section=T-5)]

  * [Similar Fact Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Character)

  


# Character/Alternative Suspect Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Alternative_Suspect_Evidence&action=edit&section=T-1)]

The defence may attempt to raise a doubt by suggesting that the offence was committed by a third-party.[[1]](Print_version.html#cite_note-382) The defence can only be raised where there is sufficient evidence to connect a third-party to the offence. This will turn on the question of sufficient relevancy and probative value. The alternative suspect must have sufficient provable connection to the offence and cannot simply be speculative.[[2]](Print_version.html#cite_note-383) The evidence cannot simply be evidence of propensity or suggestive of a hypothetical motive.[[3]](Print_version.html#cite_note-384)However, a specific propensity to commit a particular offence can be sufficient.[[4]](Print_version.html#cite_note-385)

The accused must show that there is an air of reality to the defence of another suspect. There must be a basis upon which a properly instructed jury could acquit.[[5]](Print_version.html#cite_note-386)

The greatest danger to the defence by raising this sort of evidence is that it permits the crown to present reply evidence that it would not otherwise be allowed to adduce. Where evidence of an alternative suspect is raised, there is a risk that the trier of fact would be left with the wrong impression about the insufficiency of the investigation.

As such, the crown will be permitted to lead evidence on the investigative process that includes hearsay and bad character evidence of the accused.

  


  1. [↑](Print_version.html#cite_ref-382) R. v. McMillan (1975), 23 C.C.C. (2d) 160 (C.A.), affd [1977] 2 S.C.R. 824 per Martin J.A. at p. 757
  2. [↑](Print_version.html#cite_ref-383) e.g. R v Grandinetti, [2005] 1 SCR 27  
R v Labbe (2001) 159 CCC (3d) 529 (BCCA)  

  3. [↑](Print_version.html#cite_ref-384) e.g. R v Arcangioli, [1994] 1 SCR 129  
R v Shchavinsky (2001) 148 CCC (3d) 400 (ONCA)  
R v Aprile 2007 QCCA 1041  

  4. [↑](Print_version.html#cite_ref-385) R v Vanezis, (2006) 213 CCC (3d) 499 (ONCA)  

  5. [↑](Print_version.html#cite_ref-386) R. v. Fontaine , [2004] 1 S.C.R. 702, 2004 SCC 27, at para. 70

  


# Character/Complainant's Sexual History[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-1)]

Section 276 is an exclusionary rule of evidence prohibiting any party from adducing evidence of past sexual activity of a complainant in a sexual offence proceedings for certain uses.

The section states:

> **Evidence of complainant’s sexual activity**  
276\. (1) In proceedings in respect of an offence under section 151, 152, 153, 153.1, 155 or 159, subsection 160(2) or (3) or section 170, 171, 172, 173, 271, 272 or 273, evidence that the complainant has engaged in sexual activity, whether with the accused or with any other person, is not admissible to support an inference that, by reason of the sexual nature of that activity, the complainant
> 
>     (a) is more likely to have consented to the sexual activity that forms the subject-matter of the charge; or
>     (b) is less worthy of belief.
> 
> **Idem**  
(2) In proceedings in respect of an offence referred to in subsection (1), no evidence shall be adduced by or on behalf of the accused that the complainant has engaged in sexual activity other than the sexual activity that forms the subject-matter of the charge, whether with the accused or with any other person, unless the judge, provincial court judge or justice determines, in accordance with the procedures set out in sections 276.1 and 276.2, that the evidence
> 
>     (a) is of specific instances of sexual activity;
>     (b) is relevant to an issue at trial; and
>     (c) has significant probative value that is not substantially outweighed by the danger of prejudice to the proper administration of justice.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 276; R.S., 1985, c. 19 (3rd Supp.), s. 12; 1992, c. 38, s. 2; 2002, c. 13, s. 13.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec276)

The section was enacted in response to the decision of R. v. Seaboyer, [1991] 2 S.C.R. 577.

The exclusionary rule can be broken down into three components to be engaged:[[1]](Print_version.html#cite_note-387)

  * offence charged
  * subject-matter
  * purpose

  1. [↑](Print_version.html#cite_ref-387) R. v. M.T., [2012 ONCA 511](http://canlii.ca/t/fs52f) at para. 29

## Offence Charged[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-2)]

The applicable offences are listed in s. 276*1) as consisting of 151, 152, 153, 153.1, 155 or 159, subsection 160(2) or (3) or section 170, 171, 172, 173, 271, 272 or 273.

## Applicable Subject Matter[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-3)]

Section 276 applies to prior sexual acts consisting of "Evidence ... that the complainant has engaged in sexual activity other than the sexual activity that forms the subject-matter of the charge, whether with the accused or with any other person."[[1]](Print_version.html#cite_note-388) This includes sexual acts that occur in the moments before the alleged sexual assault.[[2]](Print_version.html#cite_note-389)

  1. [↑](Print_version.html#cite_ref-388) Section 276(2)
  2. [↑](Print_version.html#cite_ref-389) R. v. S. (D.R.), 1999 ABQB 330 (CanLII) [[36]](http://canlii.ca/en/ab/abqb/doc/1999/1999abqb330/1999abqb330.html) at 19  
R. v. Silva, 1994 CanLII 4673 (SK CA) at 33 [[37]](http://canlii.org/en/sk/skca/doc/1994/1994canlii4673/1994canlii4673.html)

## Purpose[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-4)]

Section 276(1) prohibits evidence of prior sexual conduct where it is used to make prohibited general inferences. These inference is known as the "dual myths", summarized as inferring "that unchaste women were more likely to consent to intercourse and in any event, were less worthy of belief" [[1]](Print_version.html#cite_note-390)

Where the purpose of the evidence does not touch on the two "myths", then the exclusionary rule does not apply.[[2]](Print_version.html#cite_note-391)

Section 276(2) sets out the exception to the rule permitting extrinsic evidence of sexual activity to be admitted where it:[[3]](Print_version.html#cite_note-392)

  * is of specific instances of sexual activity;
  * is relevant to an issue at trial; and
  * has significant probative value that is not substantially outweighed by the danger of prejudice to the proper administration of justice.

When considering whether evidence meets these requirements the courts must consider the factors set out in s.276(3).

  1. [↑](Print_version.html#cite_ref-390) R. v. Seaboyer, 1991 CanLII 76 (SCC), [1991] 2 S.C.R. 577 at p.386  
R. v. M.M., [1999] O.J. No. 3943 (S.C.J.) at para. 19  
R. v. M.T., [2012 ONCA 511](http://canlii.ca/t/fs52f) at para. 32  

  2. [↑](Print_version.html#cite_ref-391) R. v. M.T., [2012 ONCA 511](http://canlii.ca/t/fs52f) at para. 32  

  3. [↑](Print_version.html#cite_ref-392) R v MT 2012 ONCA 511 at para. 33

### Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-5)]

> 276...  
**Factors that judge must consider**  
(3) In determining whether evidence is admissible under subsection (2), the judge, provincial court judge or justice shall take into account
> 
>     (a) the interests of justice, including the right of the accused to make a full answer and defence;
>     (b) society’s interest in encouraging the reporting of sexual assault offences;
>     (c) whether there is a reasonable prospect that the evidence will assist in arriving at a just determination in the case;
>     (d) the need to remove from the fact-finding process any discriminatory belief or bias;
>     (e) the risk that the evidence may unduly arouse sentiments of prejudice, sympathy or hostility in the jury;
>     (f) the potential prejudice to the complainant’s personal dignity and right of privacy;
>     (g) the right of the complainant and of every individual to personal security and to the full protection and benefit of the law; and
>     (h) any other factor that the judge, provincial court judge or justice considers relevant.
> 
> R.S., 1985, c. C-46, s. 276; R.S., 1985, c. 19 (3rd Supp.), s. 12; 1992, c. 38, s. 2; 2002, c. 13, s. 13.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec276)

Evidence of extrinsic sexual activity of the complainant is "rarely ... relevant to support a denial that sexual activity took place or to establish consent".[[1]](Print_version.html#cite_note-393)

  
Whether the complainant has previously been sexually assaulted is irrelevant.[[2]](Print_version.html#cite_note-394)

**Significant probative value**  
The _significant probative value_ standard places a greater threshold on relevance for the admission of prior sexual history evidence. It is intended to prohibit evidence that may be of trifling relevance. Regardless of the purpose of the evidence, sexual history evidence can tend to bring the administration of justice to disrepute.[[3]](Print_version.html#cite_note-395) "Significant" must be read in light of the requirement of having "full answer and defence".[[4]](Print_version.html#cite_note-396)

  1. [↑](Print_version.html#cite_ref-393) R v Darrach, [2000 SCC 46](http://canlii.ca/t/523t) (CanLII), [2000] 2 SCR 443 at para. 58
  2. [↑](Print_version.html#cite_ref-394) R. v. B. (A.R.) 1998 CanLII 14603 (ON CA), (1998), 41 O.R. (3d) 361 (C.A.), at p. 365, aff’d 2000 SCC 30 (CanLII), 2000 SCC 30, [2000] 1 S.C.R. 781
  3. [↑](Print_version.html#cite_ref-395) Darrach at 40
  4. [↑](Print_version.html#cite_ref-396) Darrach

### Evidence related to credibility and consent[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-6)]

Evidence advanced to make an inference supported by an established myth is prohibited. Any other inferences directed to credibility and consent may be argued as admissible. [[1]](Print_version.html#cite_note-397)

Commentators have suggested that the prohibition should focus on "general" inference that are focused on attacking character of the complainant.[[2]](Print_version.html#cite_note-398) Some courts have adopted this in an attempt to reconcile s.276(1) and (2). [[3]](Print_version.html#cite_note-399)

Evidence has been admitted in the following scenarios:

  * where the defence wanted to lead evidence of a romantic relationship between the accused and complainant where the complainant characterized it as platonic.[[4]](Print_version.html#cite_note-400)

Evidence has been found inadmissible in the following scenarios:

  * A sex toy party earlier in the day held by the victim constitutes sexual activity and is not relevant to the allegations so is not admissible.[[5]](Print_version.html#cite_note-401)

  1. [↑](Print_version.html#cite_ref-397) Ecker (1995), 96 C.C.C.(3d) 161(C.A.),
  2. [↑](Print_version.html#cite_ref-398) David M. Paciocco, "The New Rape Shield Provisions In Section 276 Should Survive Charter Challenge" (1993), 21 C.R.(4th) 223
  3. [↑](Print_version.html#cite_ref-399) Harper (1995), 137 Nfld. & P.E.I.R. 77 (P.E.I.S.C.), rev’d on other grounds (1997), 149 Nfld. & P.E.I.R. 295 (P.E.I.C.A.),
  4. [↑](Print_version.html#cite_ref-400) Harris (1997), 118 C.C.C.(3d) 498 (C.A.)
  5. [↑](Print_version.html#cite_ref-401) R. v. McDonald, 2003 SKQB 165

## Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-7)]

> **Application for hearing**  
276.1 (1) Application may be made to the judge, provincial court judge or justice by or on behalf of the accused for a hearing under section 276.2 to determine whether evidence is admissible under subsection 276(2).
> 
> **Form and content of application**  
(2) An application referred to in subsection (1) must be made in writing and set out
> 
>     (a) detailed particulars of the evidence that the accused seeks to adduce, and
>     (b) the relevance of that evidence to an issue at trial, and a copy of the application must be given to the prosecutor and to the clerk of the court.
> 
> **Jury and public excluded**  
(3) The judge, provincial court judge or justice shall consider the application with the jury and the public excluded.
> 
> **Judge may decide to hold hearing**  
(4) Where the judge, provincial court judge or justice is satisfied
> 
>     (a) that the application was made in accordance with subsection (2),
>     (b) that a copy of the application was given to the prosecutor and to the clerk of the court at least seven days previously, or such shorter interval as the judge, provincial court judge or justice may allow where the interests of justice so require, and
>     (c) that the evidence sought to be adduced is capable of being admissible under subsection 276(2), the judge, provincial court judge or justice shall grant the application and hold a hearing under section 276.2 to determine whether the evidence is admissible under subsection 276(2).
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec276.1)

For a helpful summary of the procedure to follow, see: R. v. Strickland, [2007] O.J. 517 at 20.

The judge must hold a hearing to determine if the evidence of prior sexual history is admissible.[[1]](Print_version.html#cite_note-402) Failure to hold such a hearing is an error in law.[[2]](Print_version.html#cite_note-403)

> **Jury and public excluded**  
276.2 (1) At a hearing to determine whether evidence is admissible under subsection 276(2), the jury and the public shall be excluded.
> 
> **Complainant not compellable**  
(2) The complainant is not a compellable witness at the hearing.
> 
> **Judge’s determination and reasons**  
(3) At the conclusion of the hearing, the judge, provincial court judge or justice shall determine whether the evidence, or any part thereof, is admissible under subsection 276(2) and shall provide reasons for that determination, and
> 
>     (a) where not all of the evidence is to be admitted, the reasons must state the part of the evidence that is to be admitted;
>     (b) the reasons must state the factors referred to in subsection 276(3) that affected the determination; and
>     (c) where all or any part of the evidence is to be admitted, the reasons must state the manner in which that evidence is expected to be relevant to an issue at trial.
> 
> **Record of reasons**  
(4) The reasons provided under subsection (3) shall be entered in the record of the proceedings or, where the proceedings are not recorded, shall be provided in writing.
> 
> 1992, c. 38, s. 2.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec276.2)

Nor was there compliance with subsections 276.2(3) and (4), which require the judge to provide written reasons for a decision that the evidence is or is not admissible.

  1. [↑](Print_version.html#cite_ref-402) see Darrach, Sheppard
  2. [↑](Print_version.html#cite_ref-403) R. v. Wright, [2012 ABCA 306](http://canlii.ca/t/ftb6t) (CanLII) at 10 and s.276.5

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Character/Complainant%27s_Sexual_History&action=edit&section=T-8)]

  * [Complainant's Sexual History](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Character)

# III.4 - Hearsay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=10)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-1)]

Hearsay evidence is any statement, either written or oral, which was made out of court, but is presented in court to prove the truth of that statement.[[1]](Print_version.html#cite_note-404) It is a type of evidence that is generally considered inadmissible.

The hearsay rule has stated as:[[2]](Print_version.html#cite_note-405)

“
Written or oral statements, or communicative conduct made by persons otherwise than in testimony at the proceeding in which it is offered, are inadmissible, if such statements or conduct are tendered either as proof of their truth or as proof of assertions implicit therein.
”

The definition hs been addressed in several cases.[[3]](Print_version.html#cite_note-406)

Courts generally do not allow such evidence as it is generally said to be untrustworthy for several reasons:[[4]](Print_version.html#cite_note-407)

  1. The admission of such evidence lends itself to the perpetration of fraud. This is in part due to the lack of oath on the part of the source.
  2. Hearsay evidence results in a decision based upon secondary and, therefore, weaker evidence, rather than the best evidence available. Related to this, there is no opportunity to cross-examine or otherwise test the evidence of the source.[[5]](Print_version.html#cite_note-408)
  3. There is no opportunity to observe the demeanour of the declarant, thus making it harder to assess the quality of the evidence.
  4. The introduction of such evidence will lengthen trials.

These are known as the hearsay dangers.

  1. [↑](Print_version.html#cite_ref-404) R. v. Evans, 1993 CanLII 86 (SCC), [1993] 3 S.C.R. 653; [1993] S.C.J. No. 115 at para 16 ("An out-of-court statement which is admitted for the truth of its contents is hearsay.")
  2. [↑](Print_version.html#cite_ref-405) Sopinka, Lederman and Bryant, The Law of Evidence in Canada, Butterworths, 2d ed. ss.6.2
  3. [↑](Print_version.html#cite_ref-406) R. v. Evans, [1993] 3 S.C.R. 653; R. v. Smith, [1992] 2 S.C.R. 915; R. v. Hawkins, [1996] 3 S.C.R. 1043 at 153
  4. [↑](Print_version.html#cite_ref-407) Spokina, supra, at 175
  5. [↑](Print_version.html#cite_ref-408) R v Abel [2011 NLTD 173](http://www.canlii.org/en/nl/nlsctd/doc/2011/2011nltd173/2011nltd173.html)

## Elements of Hearsay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-2)]

Where hearsay potentially arises there are four elements to consider if the rule is engaged:[[1]](Print_version.html#cite_note-409)

  1. a declarant
  2. a recipient
  3. a statement and
  4. a purpose for introducing the statement

The first three are almost always made out, the fourth requirement is usually the source of controversy. Not every out of court statement is hearsay.[[2]](Print_version.html#cite_note-410)

The prohibited purpose consists of admission for the purpose of proving the “truth” of its contents. Otherwise, it is admissible evidence. That is, statements that used to show the recipient had notice, knowledge or motive, or was in some way probative, then it is otherwise admissible.[[3]](Print_version.html#cite_note-411)

If it is for the “truth of its contents” then it is presumptively inadmissible unless it fits in a traditional categorical exception or under the principled exception.[[4]](Print_version.html#cite_note-412)

  1. [↑](Print_version.html#cite_ref-409) R v Baldree 2012 ONCA 138 at 46
  2. [↑](Print_version.html#cite_ref-410) R. v. Khelawon, 2006 SCC 57, [2006] 2 S.C.R. 787, at para. 56
  3. [↑](Print_version.html#cite_ref-411) R. v. Evans, 1993 CanLII 86 (SCC), [1993] 3 S.C.R. 653 at para. 16("An out-of-court statement offered simply as proof that the statement was made is not hearsay, and is admissible as long as it has some probative value")
  4. [↑](Print_version.html#cite_ref-412) R v Khelawon at 42

## Application of Hearsay Rules[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-3)]

### Computer Records[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-4)]

The absence of data in a computer system is not generally hearsay. For example, enquiries into the police records regarding a suspect that result in a negative result was found not to be hearsay.[[1]](Print_version.html#cite_note-413)

  1. [↑](Print_version.html#cite_ref-413) R. v. Saddleback, [2012 ABQB 670](http://canlii.ca/t/ftxnv) (CanLII) at para. 45-54

### Opinion Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-5)]

Non-specific hearsay opinion evidence is inadmissible.[[1]](Print_version.html#cite_note-414)

  1. [↑](Print_version.html#cite_ref-414) R. v. Ranger 2003 CanLII 32900 (ON CA), (2003), 67 O.R. (3d) 1, 14 C.R. (6th) 324 (C.A.) at para. 65

### Phone Calls[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-6)]

Drug purchase phone calls, usually where the police are on the other end of a call, have a history of litigation to exclude them as hearsay. More often than not they have been admitted as either necessary and reliable or as non-hearsay.[[1]](Print_version.html#cite_note-415)

  1. [↑](Print_version.html#cite_ref-415) As non-hearsay see R v Lucia, [2010 ONCA 533 at para. 7](http://canlii.ca/t/2br2d#par7)  
R v Edwards,[1994 CanLII 1461 (ON CA)](http://canlii.ca/t/6k30) at pp. 248-249  
R. v. Nguyen 2003 BCCA 556 (CanLII), (2003), 180 C.C.C. (3d) 347 (B.C.C.A.), at para. 17  
R. v. Ly, 1997 CanLII 330 (SCC), [1997] 3 S.C.R. 698, at para. 3  
R. v. Cook (1978), 46 C.C.C. (2d) 318 (B.C.C.A.), at p. 320  
R. v. Duncan, [2001 CanLII 11779](http://canlii.ca/t/1f81b) (MB PC) - phone-call inadmissible  
R. v. Bjornson, [2009 BCSC 1779](http://canlii.ca/t/27522) (CanLII) - admissible  
R. v. Guan, [2010 YKSC 14](http://canlii.ca/t/2blxm) (CanLII) - admissible b/c not hearsay  
R. v. Mironuk-Hurak, [2012 MBQB 290](http://canlii.ca/t/ftr6l) \- admissible b/c not hearsay(CanLII)

### Others[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-7)]

See also [Canadian Criminal Evidence/Credibility/Prior Consistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements) \- a form of hearsay

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-8)]

  * [Traditional Exceptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions)
  * [Principled Exceptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Principled_Exception)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay&action=edit&section=T-9)]

  * [Case Digests on Hearsay](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Hearsay)

# Hearsay/Traditional Exceptions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Traditional Categories[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-1)]

Statements that fall within the traditional categories of hearsay are presumptively admissible. They can nevertheless be challenged under the principles of necessity and reliability. [[1]](Print_version.html#cite_note-416)

The traditional categories of exceptions consist of the following:

  1. Where the statement is an **admission by an accused person**
  2. When the statement is made **against the declarator's interest**
  3. When it is made in the course of the **declarator's duty**
  4. When the statement is part of a public or **governmental document**
  5. **Dying declaration**
  6. Statements made when the declarator was in a state of shock or surprise (**Res Gestae**)
  7. Statements describing the **declarator's physical or psychological condition**
  8. **Sworn testimony** from a previous hearing
  9. **Past recollection recorded**
  10. Statement conveys **"state of mind"**
  11. Statement conveys **"present intentions"**
  12. **Statutory exceptions**
  13. Statement is part of the **narrative** of the evidence

  


  1. [↑](Print_version.html#cite_ref-416) R v Starr [2000] [2 SCR 144](http://canlii.ca/t/525l)  
R v Mapara 2005 SCC 23 [[38]](http://canlii.ca/t/1k7h2)  


## Admissions of the Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-2)]

Generally, admission include “any statement made by a declarant and tendered as evidence at trial by the opposing party.”[[1]](Print_version.html#cite_note-417)

Any admission by an accused is admissible as provided that its probative value outweighs its prejudicial effect. [[2]](Print_version.html#cite_note-418)

Admission made by the accused as well as statements adopted by the accused in an intercepted communication is admissible as a hearsay exception.[[3]](Print_version.html#cite_note-419)

  1. [↑](Print_version.html#cite_ref-417) R. v. Violette, [2008] B.C.J. No. 2781(S.C.) at 63
  2. [↑](Print_version.html#cite_ref-418) R. v. Terry, [1996] S.C.J. No. 62 at 28
  3. [↑](Print_version.html#cite_ref-419) R v Violette [2008] B.C.J. No. 2781(S.C.) at 65

## Statement made against the declarator's interest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-3)]

## Adoptive Admissions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-4)]

A categorical exception to the hearsay rule is where the accused adopts a hearsay statement by words, conduct, action or demeanor.[[1]](Print_version.html#cite_note-420)

The exception involves two elements:[[2]](Print_version.html#cite_note-421)

  1. whether there is “evidence from which the Court could reasonably infer that the accused by their behaviour acknowledged their guilt?” [[3]](Print_version.html#cite_note-422)
  2. whether such an inference should be drawn?

The inference should only be drawn where it is a sufficient “foundation” to so as to reasonably infer that the accused intended to accept “the statement as to make it in whole or in part his own” [[4]](Print_version.html#cite_note-423)

A speculative interference based on ambiguous conduct is not sufficient to fit the exception. [[5]](Print_version.html#cite_note-424)

A foundation requires at a minimum that:[[6]](Print_version.html#cite_note-425):

  1. the statement must have been made in the accused’s presence, in circumstances such that the accused would be expected to respond;
  2. the accused’s failure to respond could reasonably lead to the inference that, by his silence, the accused adopted the statement; and
  3. the probative value of the evidence outweighs its prejudicial effect.

Mere presence of the accused at the time of the statement is not sufficient to prove an adoption of the statement.[[7]](Print_version.html#cite_note-426)

Instructions to the jury on the issue of whether the accused agreed to the statement should include informing the jury the following:[[8]](Print_version.html#cite_note-427)

  1. whether the accused, by his conduct, adopted the statements made in his presence and only to the extent that they were adopted should the jury accept them as true;
  2. consider all of the circumstances under which the statement was made
  3. “if in their view the accused did not assent [...] to the correctness of the statements made in his presence, these statements would have no evidentiary value [...] and should be entirely disregarded”

  1. [↑](Print_version.html#cite_ref-420) R v Stein, [1928] SCR 553 at 558 (“It is only when the accused by "word or conduct, action or demeanour" has accepted what they contain, and to the extent that he does so, that statements made by other persons in his presence have any evidentiary value …”)
  2. [↑](Print_version.html#cite_ref-421) R v Dimetro (1945), 85 CCC 135 at para 4 (Ont CA)
  3. [↑](Print_version.html#cite_ref-422) See also R v Warner 1994 CanLII 842 (ON CA), (1994), 21 O.R. (3d) 136 at 144-145(Ont CA)
  4. [↑](Print_version.html#cite_ref-423) R v Harrison, [1946] 3 DLR 690, 62 BCR 420 at 430 (BCCA)
  5. [↑](Print_version.html#cite_ref-424) R. v. Briscoe, [2012 ABQB 158](http://canlii.ca/t/fqfhw), a nod in response to an utterance of “I helped with [a murder]”
  6. [↑](Print_version.html#cite_ref-425) R v Tanasichuk, 2007 NBCA 76 at para 110
  7. [↑](Print_version.html#cite_ref-426) R v Dubois, (1986), 27 CCC (3d) 325 at 341-342 (Ont CA)
  8. [↑](Print_version.html#cite_ref-427) R. v. Tanasichuk, [2007 NBCA 76](http://canlii.ca/t/1tg0f) (CanLII)

## Past Recollection Recorded[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-5)]

Where a witness has testified that he cannot recall core details of a statements made but that she told the truth whenever speaking to them. The Court may admit the notes or document if it is satisfied that they meet the Wigmore criteria: [[1]](Print_version.html#cite_note-428)

  1. the past recollection must have been recorded in some reliable way;
  2. at the time, it must have been sufficiently fresh and vivid to be probably accurate;
  3. the witness must be able now to assert that the record accurately represented his knowledge and recollection at the time. The usual phrase requires the witness to affirm that he “knew it to be true at the time”; and
  4. the original record itself must be used, if it is procurable.

In practice counsel should establish:[[2]](Print_version.html#cite_note-429)

    1) that the witnesses memory is exhausted and cannot answer the question;
    2) that a record was made by the witness or on behalf of the witness;
    3) the record was made near the time that the information was learned;
    4) the information was fresh in their mind at the time;
    5) the information was recorded from what they knew at the time and was done as accurately as possible.

Counsel can then asks the record to be put in as an exhibit.

An example would be where asking a witness to recall a licence plate number that they observed and wrote down in a statement. This statement or note would have been made at a time when the information was fresh in their mind and they made an effort to be accurate.

The witness will be asked about whether they recall the licence plate number. Often they will not recall the number by heart, this will prompt a request to introduce past recollection recorded. Counsel should go through questions establishing the lack of memory; the existance of the record; the circumstances of its creation; and the accuracy of its contents.

See also: [Present Memory Revived](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_evidence#Present_Memory_Revived)

  1. [↑](Print_version.html#cite_ref-428) adopted in R. v. Fliss 2002 SCC 16 at 244 [[39]](http://www.canlii.org/en/ca/scc/doc/2002/2002scc16/2002scc16.html#par63)  
see also: R. v. Pilarinos, [2002] B.C.J. No. 1153 (BCSC) at paras. 7 – 12 [[40]](http://canlii.ca/t/5kdt#par7)  
R. v. Meddoui, 1990 CanLII 2592 (AB CA)[[41]](http://www.canlii.org/en/ab/abca/doc/1990/1990canlii2592/1990canlii2592.html)  
R. v. Wilks, 2005 MBCA 99 [[42]](http://www.canlii.org/en/mb/mbca/doc/2005/2005mbca99/2005mbca99.html)  
c.f. [present memory revived](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_evidence#Present_Memory_Revived)
  2. [↑](Print_version.html#cite_ref-429) R. v. McCarroll, [2008 ONCA 715](http://canlii.ca/t/217d7) \- sets out four key critera(CanLII)

## State of mind[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-6)]

A statement of a declarant can be adduced into evidence as a hearsay exception where it explicitly declares the state of mind of the declarant. [[1]](Print_version.html#cite_note-430) Where the declaration can infer the state of mind, it is also admissible but not as a hearsay exception, but rather as circumstantial evidence inferring the state of mind.[[2]](Print_version.html#cite_note-431)

  1. [↑](Print_version.html#cite_ref-430) R. v. Candir, 2009 ONCA 915, at para. 56 [[43]](http://www.canlii.org/en/on/onca/doc/2009/2009onca915/2009onca915.html#para56)  
R. v. P.(R.), (1990), 58 C.C.C. (3d) 334 (Ont. H.C.J.) para. 16
  2. [↑](Print_version.html#cite_ref-431) supra.

## Spontaneous utterances / res gestae[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-7)]

Spontaneous or excited utterances are a class of exception to the hearsay rule. An utterance falls in this category where the evidence can characterize it as being a spontaneous exclamation made without premeditation or artifice and before the speaker had time to concoct something.[[1]](Print_version.html#cite_note-432)

It has been characterized as words that are contemporanous with some action. Statements are admitted at times as "words brigaded to action".[[2]](Print_version.html#cite_note-433)

Requirements to the exception usually include:[[3]](Print_version.html#cite_note-434)

  1. utterance made soon after underlying offence
  2. speaker was in state of upset or trauma
  3. enough probative value to outweigh any prejudice

The utterance does not need to be strictly contemporaneous "so long as the stress or pressure created by it is ongoing".[[4]](Print_version.html#cite_note-435)

  1. [↑](Print_version.html#cite_ref-432) See R. v. Schwartz (1978) NSR (2d) 335 at para. 15  
R. v. Magloir 2003 NSCA 74  
R. v. Slugoski, [1985] BCJ 1835  
R. v. Khan, (1988), 42 C.C.C. (3d) 197 at p. 207, aff'd on other grounds 1990 CanLII 77 (SCC), [1990] 2 S.C.R. 531  

  2. [↑](Print_version.html#cite_ref-433) R. v. Ly (1996), 193 A.R. 149; [1996] A.J. No. 1089 (C.A.) at para. 3
  3. [↑](Print_version.html#cite_ref-434) R. v. Hamilton, 2011 NSSC 305 at para. 20
  4. [↑](Print_version.html#cite_ref-435) See R. v. Khan, (1988), 42 C.C.C. (3d) 197 at p. 207, aff'd on other grounds 1990 CanLII 77 (SCC), [1990] 2 S.C.R. 531

## Co-Conspirators[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-8)]

The co-conspirators' exception to hearsay permits the admission of out-of-court statements made by a co-conspirator.

The Crown must prove:

  1. that there was a conspiracy
  2. that the accused was a member of the conspiracy
  3. the utterance was in furtherance of the conspiracy.

[[1]](Print_version.html#cite_note-436)

This exception is not limited or obsolete despite the overlap with the principled approach.[[2]](Print_version.html#cite_note-437)

The availability of the co-conspirator is not determinative of whether the exception applies.[[3]](Print_version.html#cite_note-438)

  1. [↑](Print_version.html#cite_ref-436) See R. v. Carter, [1982 CanLII 35](http://canlii.ca/t/1z1c7) (SCC), [1982] 1 S.C.R. 938 R. v. Mapara, [2005 SCC 23](http://canlii.ca/t/1k7h2) (CanLII), [2005] 1 SCR 358 at para. 8 (“Statements made by a person engaged in an unlawful conspiracy are receivable as admissions as against all those acting in concert if the declarations were made while the conspiracy was ongoing and were made towards the accomplishment of the common object”
  2. [↑](Print_version.html#cite_ref-437) Mapara
  3. [↑](Print_version.html#cite_ref-438) R. v. N.Y., [2012 ONCA 745](http://canlii.ca/t/ftlsv) (CanLII)

## Dying declaration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-9)]

## Declarator's Physical or Psychological Condition[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-10)]

## Sworn testimony from Previous Hearing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-11)]

## Present and Future Intentions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-12)]

Similar to state of mind exception, it is permissible to admit statements of a witnesses' future intentions.[[1]](Print_version.html#cite_note-439)

  1. [↑](Print_version.html#cite_ref-439) Chang 2003 173 CCC 3d 397

## In Course of the Declarator's Duty[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-13)]

## Public or Governmental Document[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-14)]

See [Canadian Criminal Evidence/Documentary_evidence#Admissibility_of_Specific_Types_of_Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_evidence#Admissibility_of_Specific_Types_of_Documents)

## Business Records[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-15)]

A record is admissible as hearsay where it is a business record. A business record is a record that is required to kept accurate as part of the normal course of business. The document can be admitted under the Canada Evidence Act or common law.

See [Canadian Criminal Evidence/Documentary_evidence#Business_Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_evidence#Business_Records) \-- R v Wilcox [2001 NSCA 45](http://canlii.ca/t/4v77)

## Documents in Possession[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-16)]

Documents that are found to be in actual or constructive possession of the accused may be admitted as hearsay. The documents can be used to show knowledge, participation, or state of mind. [[1]](Print_version.html#cite_note-440)

Documents in possession are admissible for the truth of its contents where the accused has shown “recognition, adoption or acting upon the documents“[[2]](Print_version.html#cite_note-441)

  1. [↑](Print_version.html#cite_ref-440) See R v Wood [2001 NSCA 38 at 30](http://canlii.ca/t/4v70#par30)
  2. [↑](Print_version.html#cite_ref-441) R. v. McCullough, 2001 SKQB 449

## Narrative[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-17)]

Strictly speaking, narrative is not a traditional hearsay exception, and is not fully hearsay at all since it is not being proffered for the truth of its contents.

It is admissible on the basis that it provides context and greater understanding to the trier of fact of the details of the investigation. It is often useful in sexual assault cases in order to determine credibility.

See R v Assoun, [2006 NSCA 47](http://canlii.ca/t/1n38p)

In the context of recorded phone calls, the “nature of the business” of the calls is not hearsay.[[1]](Print_version.html#cite_note-442)

  1. [↑](Print_version.html#cite_ref-442) R. v. Williams, [2009] B.C.J. No. 1518

## Preliminary Inquiry / Trial evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-18)]

Under s. 715 [[56]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec715), evidence from either a previous trial or preliminary inquiry may be admitted into evidence where the witness refuses to testify, is dead, is physically or mentally ill, or is out of the country.[[1]](Print_version.html#cite_note-443)

It must be proven that the evidence was taken in front of the accused. If so, it is admissible unless the accused didn't have full opportunity to cross examine.[[2]](Print_version.html#cite_note-444) There is an exception to this rule under s.715(2.1), where the accused was excused under s. 537(1)(j.1)

See R v Alcantara, 2012 ABQB 219[[3]](Print_version.html#cite_note-445)

  1. [↑](Print_version.html#cite_ref-443) See also R. v. Potvin, [1989] 1 SCR 525
  2. [↑](Print_version.html#cite_ref-444) see s. 715
  3. [↑](Print_version.html#cite_ref-445) prelim evidence was admitted

## Video Statement of Under 18 Year Old[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-19)]

Witnesses under the age of 18 who give video-taped statements shortly after the alleged incident may have their statements put in for the truth of their contents under s. 715.1 where the witness is able to adopt the statement in court. Once a video statement is admitted under s.715.1, the absence of the ability to cross-examine the witness only goes to the weight of the evidence and cannot be used to argue its admissibility.[[1]](Print_version.html#cite_note-446)

Section 715.1 states:

> **Evidence of victim or witness under 18**  
715.1 (1) In any proceeding against an accused in which a victim or other witness was under the age of eighteen years at the time the offence is alleged to have been committed, a video recording made within a reasonable time after the alleged offence, in which the victim or witness describes the acts complained of, is admissible in evidence if the victim or witness, while testifying, adopts the contents of the video recording, unless the presiding judge or justice is of the opinion that admission of the video recording in evidence would interfere with the proper administration of justice.
> 
> **Order prohibiting use**  
(2) The presiding judge or justice may prohibit any other use of a video recording referred to in subsection (1).
> 
> R.S., 1985, c. 19 (3rd Supp.), s. 16; 1997, c. 16, s. 7; 2005, c. 32, s. 23.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec715.1)

This section was found to not violate section 11(b) and 7 of the Charter on account that the discretion remains with the judge.[[2]](Print_version.html#cite_note-447)

Factors to consider include:[[3]](Print_version.html#cite_note-448)

  1. The form of questions used by any other person appearing in the videotaped statement;
  2. any interest of anyone participating in the making of the statement;
  3. the quality of the video and audio reproduction;
  4. the presence or absence of inadmissible evidence in the statement;
  5. the ability to eliminate inappropriate material by editing the tape;
  6. whether other out‑of‑court statements by the complainant have been entered;
  7. whether any visual information in the statement might tend to prejudice the accused (for example, unrelated injuries visible on the victim);
  8. whether the prosecution has been allowed to use any other method to facilitate the giving of evidence by the complainant;
  9. whether the trial is one by judge alone or by a jury; and
  10. the amount of time which has passed since the making of the tape and the present ability of the witness to effectively relate to the events described.

See also: R v Meddoui [1990 CanLII 2592](http://canlii.ca/t/1nnx6) (AB CA), (1990), 61 C.C.C. (3d); R v F(C) [1997 CanLII 306](http://canlii.ca/t/1fqwc) (SCC), [1997] 3 S.C.R. 1183

  1. [↑](Print_version.html#cite_ref-446) R. v. R.G.B., 2012 MBCA 5 at 42
  2. [↑](Print_version.html#cite_ref-447) R. v. D.O.L. 1993 CanLII 46 (SCC), (1993), 85 C.C.C. (3d) 289
  3. [↑](Print_version.html#cite_ref-448) R. v. L. (D.O.), [1993] 4 SCR 419 at 463; R. v. F. (C.C.), [1997] 3 SCR 1183

## Voluminous Document Exception[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Traditional_Exceptions&action=edit&section=T-20)]

An exception to hearsay is the "voluminous document exception" first outlined by Wigmore.

According to Wigmore, the exception applies where:[[1]](Print_version.html#cite_note-449)

  1. there are a very large number of detailed business records that would be impractical to present to the court;
  2. a competent witness has examined the documents and summarized them; and
  3. the documents have been made available to the other side.

Where the criteria are met, the summary can be admitted without putting in the original records as evidence.[[2]](Print_version.html#cite_note-450) The exception is not applicable where the work product "involve[s] interpretations that may be the subject of legitimate debate".[[3]](Print_version.html#cite_note-451)

See also [Canadian Criminal Evidence/Documentary Evidence#Summaries of Voluminous Documents](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Documentary_Evidence#Summaries_of_Voluminous_Documents)

  1. [↑](Print_version.html#cite_ref-449) R. v. Agyei, [2007] O.J. No. 3914 at para 26
  2. [↑](Print_version.html#cite_ref-450) R. v. Lee, [2011 NSPC 5](http://canlii.ca/t/2fk72) (CanLII) at 20
  3. [↑](Print_version.html#cite_ref-451) Lee at 19-20  
R. v. George, [1993] A.J. No. 798 (Alta. P.C.)  


  


# Hearsay/Principled Exception[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-1)]

The principled approach is founded on the premise that if a statement is **necessary** to a hearing[[1]](Print_version.html#cite_note-452), and it is **reliable**[[2]](Print_version.html#cite_note-453), it should be admitted even if it is hearsay.

When considering a prior inconsistent statment the court must begin by presuming that the statment is inadmissible for the truth of its contents unless it has been established there is sufficient indicia of trustworthiness.[[3]](Print_version.html#cite_note-454)

Before hearsay evidence can be admissible under the principled exception it must be relevant[[4]](Print_version.html#cite_note-455) and has been determined whether it already fits in a traditional exception.[[5]](Print_version.html#cite_note-456)

Even when the hearsay evidence is reliable and necessary, there is still a discretionary ability to exclude the evidence where the prejudicial effect outweighs the probative value.[[6]](Print_version.html#cite_note-457)

  1. [↑](Print_version.html#cite_ref-452) R v Khan, at para. 29
  2. [↑](Print_version.html#cite_ref-453) R v Khan, at para 30
  3. [↑](Print_version.html#cite_ref-454) R. v. Blackman, [2008 SCC 37](http://canlii.ca/t/1z1bv)
  4. [↑](Print_version.html#cite_ref-455) R v Underwood 2002 ABCA 310 at para 19
  5. [↑](Print_version.html#cite_ref-456) R v Starr, 2000 SCC 40 at para. 212-214
  6. [↑](Print_version.html#cite_ref-457) R v Smith at para 45

## Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-2)]

R. v. Woodard, [2009 MBCA 42](http://canlii.ca/t/23cvr) summarized procedure for the admission of evidence under the principled approach to hearsay as follows at 46:

> (1) The first matter to determine before embarking on a hearsay admissibility inquiry is whether the proposed evidence is hearsay. An out-of-court statement will be hearsay when: (1) it is adduced to prove the truth of its contents (the purpose); and (2) there is limited or no opportunity for a contemporaneous cross-examination of the declarant (the concern) (see Khelawon, at paras. 56-58).
> 
> (2) Once the proposed evidence is identified as hearsay, it is presumptively inadmissible, unless it falls under a traditional common law exception to the hearsay rule or is admitted under the principled approach to the hearsay rule (see Khelawon, at paras. 56, 59, and Couture, at para. 78).
> 
> (3) Whether the hearsay meets the necessity and threshold reliability criteria under the principled approach will be determined on a voir dire. The onus is on the person who seeks to adduce the evidence to establish these criteria on a balance of probabilities (see Khelawon, at para. 47).
> 
> (4) If the proponent of the evidence cannot meet the twin criteria of necessity and reliability, the general exclusionary rule prevails. The trial judge's function (as gatekeeper) is to guard against the admission of hearsay evidence which is unnecessary in the context of the issue to be decided, or the reliability of which is neither readily apparent from the trustworthiness of its contents, nor capable of being meaningfully tested by the ultimate trier of fact (see Khelawon, at paras. 2-3).
> 
> (5) The criterion of necessity is founded on society's interest in getting at the truth and is intended to ensure that the evidence presented to the court be in the best available form, usually by calling the maker of the statement as a witness. If that is not possible, it may be that if the evidence is to be adduced at all, it can only be presented in its hearsay form (see Khelawon, at para. 49, and Couture, at para. 79).
> 
> (6) The criterion of threshold reliability is about ensuring the integrity of the trial process and is usually met: (1) by showing that sufficient trust can be put in the truth and accuracy of the statements because of the way in which they came about; or (2) by showing that, in the circumstances, the ultimate trier of fact will be in a position to sufficiently assess their worth. The two ways of demonstrating threshold reliability are not mutually exclusive. In cases where the declarant is available to be cross-examined, the focus will necessarily be on the latter way (see Khelawon, at paras. 49, 61-63, Couture, at para. 80, Devine, at para. 23, and Blackman, at para. 35).
> 
> (7) A distinction must be made between "ultimate reliability" and "threshold reliability." Only the latter is inquired into on the admissibility voir dire. The failure to respect this distinction would not only result in the undue prolongation of admissibility hearings, it would distort the fact-finding process. Whether the evidence is relied upon to decide the issues in the case is a matter reserved for the ultimate trier of fact to decide in the context of the entirety of the evidence (see Khelawon, at paras. 3, 50).
> 
> (8) Relevant factors to be considered cannot invariably be categorized as relating either to threshold or ultimate reliability. Rather, the relevance of any particular factor will depend on the particular dangers arising from the hearsay nature of the statement and the available means, if any, of overcoming them (see Khelawon, at para. 55).
> 
> (9) Although there are no hard and fast rules about the manner of conducting the hearsay admissibility inquiry, there are good reasons to look first at whether there are adequate substitutes that give the trier of fact a sufficient basis to assess the statement's truth and accuracy. Whenever the threshold reliability requirement is met on this basis, there is no need to inquire further into the likely truth of the statement (see Couture, at paras. 87-88).
> 
> (10) Even if the two criteria are met, the trial judge has the discretion to exclude hearsay evidence where its probative value is outweighed by its prejudicial effect (see Khelawon, at para. 49).

A KGB application is typically one made by the Crown, but may also be made by the defence. The defence is permitted to apply to put a previous inconsistent statement into evidence for the truth of its contents.[[1]](Print_version.html#cite_note-458)

Before a KGB application can be undertaken the court must first be satisfied on a threshold that the prior inconsistent statement is the sole evidence of the witness[[2]](Print_version.html#cite_note-459) and that the statement is consistent with the evidence in court.

  


  1. [↑](Print_version.html#cite_ref-458) See R. v. Brisco, [2007] A.J. No. 208 and R. v. Eisenhauer, [1998] S.C.C.A. No. 144
  2. [↑](Print_version.html#cite_ref-459) R v KGB at para. 74

## Necessary[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-3)]

Necessity must be in relation to a particular goal. The court should consider whether that goal can be achieved by other evidence that would otherwise be more reliable.[[1]](Print_version.html#cite_note-460) If the exists other avenues of proving the fact sought then the exception will not apply.

In the context of a recanting witness, necessity concerns the unavailability of the statment and not the witness.[[2]](Print_version.html#cite_note-461) It generally always made out when there is a recantation.[[3]](Print_version.html#cite_note-462)

  


  1. [↑](Print_version.html#cite_ref-460) see eg. R. v. Abel, [2011 NLTD 173](http://canlii.ca/t/fq2cl) at 117
  2. [↑](Print_version.html#cite_ref-461) See R. v. Devine, [2008 SCC 36](http://canlii.ca/t/1xdt6) at para 16  
R. v. U.(F.J.), [1995 CanLII 74](http://canlii.ca/t/1frhp) (SCC), [1995] 3 S.C.R. 764  
see also R. v. De Elespp [2002] A.J. No. 6702 at para 37 and 108  
R v. Rombough [2006] A.J. No 1768 at para. 36  
R. v. Biscette [1995] A.J. No. 557  
R. v. Clarke (Ont. Ct. (Gen. Div.)) [1991] O.J. No. 997 at para F
  3. [↑](Print_version.html#cite_ref-462) R v U(FJ)

### Dead witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-4)]

Death of the witness is typically sufficient to establish necessity so long as the witness was the only source of information contained within the statement.[[1]](Print_version.html#cite_note-463)

### Missing witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-5)]

### Witness refuses to testify[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-6)]

A witness who refuses to testify when all efforts to obtain that testimony have been taken to no avail will typically satisfy the requirement of necessity. [[2]](Print_version.html#cite_note-464) There is no onus on the Crown to prove why the complainant failed to testify.[[3]](Print_version.html#cite_note-465)

  


  1. [↑](Print_version.html#cite_ref-463) e.g. R v Taylor, 2012 ONCA 809
  2. [↑](Print_version.html#cite_ref-464) R. v. Lavery, [1995] B.C.J. No.2713 (S.C.), at para. 9;  
R. v. C.C.B., [1999] S.J. No. 672 (P.C.), at paras. 5 - 9, and 23 - 31  
R. v. Goodstoney, 2005 ABQB 128  
R v Gardipy, [2012 SKCA 58](http://canlii.ca/t/frkpn) at 19  

  3. [↑](Print_version.html#cite_ref-465) supra

### Child witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-7)]

Where the experience testifying may be so traumatic at to prevent a chlid from testifying, the requirement of necessity will be satisfied.[[1]](Print_version.html#cite_note-466)

While in some limited cases the court may have the child testify within the voir dire to support the reliability of the statment. More often, the statement will be admitted without oral evidence and the lack of cross examination will go to the weight of the prior statement.[[2]](Print_version.html#cite_note-467)

  


  1. [↑](Print_version.html#cite_ref-466) R. v. Rockey, [1996] 3 SCR 829 at 846;  

  2. [↑](Print_version.html#cite_ref-467) Sopinka, The Law of Evidence in Canada, 2nd edition, at ss.6.55

## Reliability[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-8)]

As always, the focus of analysis is to be on the hearsay dangers.[[1]](Print_version.html#cite_note-468) The primary danger of concern is the inability to cross-examine.[[2]](Print_version.html#cite_note-469) The court must be satisfied that the statement is sufficiently reliable to be considered as evidence. The judge must determine whether the statement shows sufficient reliability to afford a satisfactory basis for evaluating the truth of the statement.[[3]](Print_version.html#cite_note-470) The criteria of reliability deals with threshold reliability, not ultimate reliability to establish some fact.

There are two manners in which relability can be established: 1) by detailing the circumstances in which the statement was taken; or 2) “by showing that, in all of the circumstances, the ultimate trier of fact will be in a position to sufficiently assess the worth of the statement.[[4]](Print_version.html#cite_note-471)

Where the circumstances of the statement "substantially negates" the possibility that the declarant was untruthful or mistaken, then the statement is reliable.[[5]](Print_version.html#cite_note-472)

  1. [↑](Print_version.html#cite_ref-468) R v MNP, [2012 MBQB 70 at 14](http://canlii.ca/t/fqgj5#par14)
  2. [↑](Print_version.html#cite_ref-469) R v Smith at 29
  3. [↑](Print_version.html#cite_ref-470) R. v. Hawkins [1996 CanLII 154](http://canlii.ca/t/1fr51) (S.C.C.), (1996) 2 C.R. (5th) 245 (S.C.C.)
  4. [↑](Print_version.html#cite_ref-471) See R v Blackman, [2008 SCC 37](http://canlii.ca/t/1z1bv) at 35  
R. v. Wilcox, 2001 NSCA 45 at 66
  5. [↑](Print_version.html#cite_ref-472) R. v. Nguyen 2001 ABCA 98 at para. 26 citing R Smith, at para. 33

### Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-9)]

Factors include:[[1]](Print_version.html#cite_note-473)

  1. solemnity of the occasion[[2]](Print_version.html#cite_note-474)
  2. the declarant’s adverse interest[[3]](Print_version.html#cite_note-475)
  3. the declarant had particular means of knowledge of events described[[4]](Print_version.html#cite_note-476)
  4. the statement distinguishes between first and second hand knowledge[[5]](Print_version.html#cite_note-477)
  5. the statement was officially recorded and preserved[[6]](Print_version.html#cite_note-478)
  6. the absence of a reason and/or motive to fabricate the statement (**non-fabrication**)[[7]](Print_version.html#cite_note-479)
  7. the timing of the statement in relation to the event spoken of (**contemporaneity/remoteness**)[[8]](Print_version.html#cite_note-480)
  8. the demeanour of the declarant at the time of the making of the statement (**demeanour**)[[9]](Print_version.html#cite_note-481)
  9. the spontaneity of the statement (**spontaneity**)[[10]](Print_version.html#cite_note-482)
  10. the relationship between the declarant and the witness (**relationship**)[[11]](Print_version.html#cite_note-483)
  11. the detail given in the statement (**detail**);[[12]](Print_version.html#cite_note-484)
  12. whether the declarant could be mistaken (**mistake**); [[13]](Print_version.html#cite_note-485)
  13. motive of the declarant (**motive**)[[14]](Print_version.html#cite_note-486)
  14. conduct of declarant[[15]](Print_version.html#cite_note-487)
  15. whether the statement was recorded[[16]](Print_version.html#cite_note-488) and
  16. “other”, including an “accurate record” - because it is clear from the cases that the list of factors is not closed and others may be added as appropriate to the particular circumstance.

Factors **not** to be considered in determining threshold admissibility:[[17]](Print_version.html#cite_note-489)

  1. reliability or credibility of the declarant;
  2. general reputation of the declarant for truthfulness;
  3. prior or subsequent statements, consistent or not; and
  1.     *       * In particular, the bar that Starr erected on the use of corroborative evidence in the threshold reliability assessment no longer applies. Instead of categorizing reliability factors into discreet, non-mutually exclusive threshold and ultimate stages, courts should now "adopt a more functional approach... and focus on the particular dangers raised by the hearsay evidence sought to be introduced and on those attributes or circumstances relied upon by the proponent to overcome those dangers".[4] In effect, trial judges may now consider evidence going beyond the circumstances under which the statement was made at the threshold reliability stage, which includes corroborative and/or conflicting evidence.

A videotaped statement can often be admitted where the declarant is available for cross-examination as there are often sufficient tools to assess the weight of the statement. [[18]](Print_version.html#cite_note-490)

  1. [↑](Print_version.html#cite_ref-473) Morehouse, [2004] A.J. No. 12 [2004 ABQB 97](http://www.canlii.org/en/ab/abqb/doc/2004/2004abqb97/2004abqb97.html) at para. 53  
R v Finta [1992 CanLII 2783](http://canlii.ca/t/1npnp) ONCA aff’d at [1994] 1 SCR 701  
R v Nguyen [2001 ABCA 98](http://canlii.ca/t/5rkq)
  2. [↑](Print_version.html#cite_ref-474) Finta
  3. [↑](Print_version.html#cite_ref-475) Finta
  4. [↑](Print_version.html#cite_ref-476) Finta
  5. [↑](Print_version.html#cite_ref-477) Finta
  6. [↑](Print_version.html#cite_ref-478) Finta
  7. [↑](Print_version.html#cite_ref-479) Morehouse
  8. [↑](Print_version.html#cite_ref-480) Morehouse; Nguyen at 44, ibid
  9. [↑](Print_version.html#cite_ref-481) Morehouse; Nguyen
  10. [↑](Print_version.html#cite_ref-482) Morehouse; Nguyen, ibid
  11. [↑](Print_version.html#cite_ref-483) Morehouse
  12. [↑](Print_version.html#cite_ref-484) Morehouse
  13. [↑](Print_version.html#cite_ref-485) Morehouse
  14. [↑](Print_version.html#cite_ref-486) Nguyen, ibid
  15. [↑](Print_version.html#cite_ref-487) Nguyen, ibid
  16. [↑](Print_version.html#cite_ref-488) R. v. Burke, [2010 ONSC 6530](http://www.canlii.org/en/on/onsc/doc/2010/2010onsc6530/2010onsc6530.html)
  17. [↑](Print_version.html#cite_ref-489) R. v. Goodstoney, [2005 ABQB 128](http://canlii.ca/t/1jvpb) at para 18
  18. [↑](Print_version.html#cite_ref-490) R. v. M.N.P., [2012 MBQB 70](http://canlii.ca/t/fqgj5)

### Presence of an Oath, Affirmation or Warning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-10)]

Where there is no oath, other evidence may substitute for it. This may include evidence from which it can be inferred from when the statement was made, the apparent solemnity of the location and occasion of the statement, an understanding of the importance to tell the truth.[[1]](Print_version.html#cite_note-491)

  1. [↑](Print_version.html#cite_ref-491) R. v. Trieu 2005 CanLII 7884 (ON CA), (2005), 195 C.C.C. (3d) 373 (Ont. C.A.)

### Opportunity for Cross-Examination[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-11)]

The opportunity for Cross-examination "alone provides significant indications of reliability"[[1]](Print_version.html#cite_note-492) and so could provide "an adequate assurance of threshold reliability to allow substantive admission of prior inconsistent statements"</ref>

The effectiveness of cross-examination as a sign of reliability "depends on the nature of of the recantation of the witness."[[2]](Print_version.html#cite_note-493) So where there is a mere denial or absence of memory of the prior statement, cross-examination would have less importance.

  1. [↑](Print_version.html#cite_ref-492) U(FJ) at p. 119
  2. [↑](Print_version.html#cite_ref-493) R v H(S), 14 C.R. (5th) 80, 37 W.C.B. (2d) 362 citing R. v. Conway, [1997 CanLII 2726](http://canlii.ca/t/4rfx) (ON CA), (1997), 36 O.R. (3d) 579, 121 C.C.C. (3d) 397 and R. v. Tat (1997), 117 C.C.C. (3d) 481 (Ont. C.A.)

### Corroboration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-12)]

It is important to remember that "repeating a story to others doesn't make it reliable".[[1]](Print_version.html#cite_note-494)

  1. [↑](Print_version.html#cite_ref-494) R v H(S), (1998) 14 C.R. (5th) 80, 37 W.C.B. (2d) 362 at para. 32

### Special Types of Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-13)]

Elderly or infirm witnesses are classes of witnesses who present risk of being deceased by the time a trial comes about.

For both of them their reliability can be established with evidence of their fitness at the time the statement was given, such as:

  * medical evidence of any psychological reports regarding capacity[[1]](Print_version.html#cite_note-495)
  * any prescriptions being taken as well as their effect upon their capacity.[[2]](Print_version.html#cite_note-496)

  1. [↑](Print_version.html#cite_ref-495) R v Taylor [2012 ONCA 809](http://canlii.ca/t/ftvcw) at para. 11
  2. [↑](Print_version.html#cite_ref-496) Taylor at para. 10

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay/Principled_Exception&action=edit&section=T-14)]

  * [Canadian Criminal Evidence/Cases/Hearsay](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Hearsay)
  * [Canadian_Criminal_Evidence/Hearsay_Applications](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay_Applications)

  


# Admissions and Confessions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions&action=edit&section=T-1)]

Admissions and confessions are a family of statements made by an accused that are admissible as evidence. An admission is a statement, usually inculpatory, made by an accused to a civilian witness. A confession is a statement, usually inculpatory, made by an accused to a person in authority.

  


## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions&action=edit&section=T-2)]

  * [Admissions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Admissions)
  * [Confessions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Confessions)
  * [Voluntariness](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness)
  * [Right Against Self-crimination](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions&action=edit&section=T-3)]

  * [Canadian Criminal Evidence/Cases](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases)

  


# Admissions and Confessions/Voluntariness[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-1)]

At common law, all _statements made to a person in authority_ must be proven to be voluntary for them to be admissible. This is known as the "**confessions rule**". This must be determined through a _voir dire_ without a jury on a standard of proof beyond a reasonable doubt.

The primary purpose of the common law confessions rule to ensure the reliability of confessions. The use of interrogation techniques present a risk that a person will confess falsely.[[1]](Print_version.html#cite_note-497) The rule is also to protect the right against self-crimination and ensure fairness.[[2]](Print_version.html#cite_note-498)

The voluntariness of a statement is determined by considering the following factors: [[3]](Print_version.html#cite_note-499)

  * threats or promises
  * oppression
  * operating mind
  * police trickery

The application of the confessions rule is contextual and requires taking into account all the circumstances.[[4]](Print_version.html#cite_note-500) The degree of each factor present will be taken into account. For example, a low level inducement may vitiate voluntariness where the level of oppression from lack of sleep may be high.[[5]](Print_version.html#cite_note-501)

The test for right to silence and voluntariness are functionally equivalent. A voluntary statement cannot violate the right to silence. [[6]](Print_version.html#cite_note-502)

A statement made to a person in authority is not inadmissible solely because the officer failed to give the proper cautions. This failure may be a factor in the voluntariness analysis, but admissibility rests solely on the question of voluntariness.[[7]](Print_version.html#cite_note-503)

**Origin**  
The voluntariness rule derives its origin from the Ibrahim rule from the English common law, which exlcudes statements only where the police held out explicit threats or promises to the accused.[[8]](Print_version.html#cite_note-504)

  1. [↑](Print_version.html#cite_ref-497) R. v. Singh [2007 SCC 48](http://canlii.ca/t/1tf56) (CanLII), [2007] 3 SCR 405 at para. 29  
R v Oickle, [2000 SCC 38](http://www.canlii.org/en/ca/scc/doc/2000/2000scc38/2000scc38.html) at paras. 32 and 47
  2. [↑](Print_version.html#cite_ref-498) Singh at para. 21  

  3. [↑](Print_version.html#cite_ref-499) R. v. Oickle [2000 SCC 38](http://www.canlii.org/en/ca/scc/doc/2000/2000scc38/2000scc38.html)
  4. [↑](Print_version.html#cite_ref-500) Oickle at paras. 47, 68, 71
  5. [↑](Print_version.html#cite_ref-501) Oickle at para. 71
  6. [↑](Print_version.html#cite_ref-502) R. v. Singh, [2007 SCC 48](http://canlii.ca/t/1tf56) (CanLII), [2007] 3 SCR 405 at para. 8
  7. [↑](Print_version.html#cite_ref-503) R. v. Hamadeh, [2011 ONSC 1241](http://canlii.ca/t/2fw3p) (CanLII)  
R. v. Boudreau, [1949 CanLII 26](http://canlii.ca/t/22vrr) (SCC), [1949] S.C.R. 262  
R. v. Esposito [1985 CanLII 118](http://canlii.ca/t/1npms) (ON CA), (1985), 53 O.R. (2d) 356 (C.A.)  
R. v. K.P.L.F., [2010 NSCA 45](http://canlii.ca/t/29vnd) (CanLII), 2010 NSCA 45, 290 N.S.R. (2d) 387 at para 38 (“the issue of the caution should not be elevated to such an extent as to exclude a proper consideration of all of the relevant factors.”)  

  8. [↑](Print_version.html#cite_ref-504) Ibrahim v. The King, [1914] A.C. 599 (P.C.), at p. 609 ("no statement by an accused is admissible in evidence against him unless it is shewn by the prosecution to have been a voluntary statement, in the sense that it has not been obtained from him either by fear of prejudice or hope of advantage exercised or held out by a person in authority")  
See also DPP v Ping Lin [1976] AC 588 at p. 606 for the English test  
Ibrahim adopted in Canada in Prosko v. The King 1922 CanLII 67 (SCC), (1922), 63 S.C.R. 226  
see further history in Oickle

## Person in Authority[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-2)]

The confessions rule is no engaged until a statement has been made to a "person in authority".

"Persons in authority" include:

  * peace officer
  * social worker [[1]](Print_version.html#cite_note-505)
  * interpreter assisting in a police interrogation [[2]](Print_version.html#cite_note-506)

It will not include peace officer who are undercover posing as a cellmate[[3]](Print_version.html#cite_note-507) or posing as a criminal in a "Mr. Big" operation.[[4]](Print_version.html#cite_note-508)

  1. [↑](Print_version.html#cite_ref-505) R. v. Matchim, [2011 NLTD 60](http://canlii.ca/t/fl47h) (CanLII)
  2. [↑](Print_version.html#cite_ref-506) R. v. Mahmood, [2008 CanLII 56710](http://canlii.ca/t/21dgs) (ON SC)
  3. [↑](Print_version.html#cite_ref-507) R. v. J.(D.), [2009 ONCJ 555](http://canlii.ca/t/26s57) (CanLII)
  4. [↑](Print_version.html#cite_ref-508) R. v. Osmar, [2007 ONCA 50](http://canlii.ca/t/1qbnb) (CanLII)

## Improper Inducements (Threats or Promises)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-3)]

Statements are to be inadmissible where they are the product of a “fear of prejudice or hope of advantage”.[[1]](Print_version.html#cite_note-509)

Offering "inducements" is a valid method of obtaining statements. The officer may convince the suspect that it is in his best interests to confess. Only "improper inducements" are prohibited. Those are inducements that "whether standing alone or in combination with other factors, are strong enough to raise a reasonable doubt about whether the will of the subject has been overborne".[[2]](Print_version.html#cite_note-510)

An inducement that came from somewhere other than a person in authority will not render the statement involuntary.[[3]](Print_version.html#cite_note-511)

The presence of a _quid pro quo_ between a person in authority and the accused is a major factor in determining whether the accused's will was overborne.[[4]](Print_version.html#cite_note-512)

An inducement that is only the figment of the accused's imagination, the statement will be admissible.[[5]](Print_version.html#cite_note-513)

Valid forms of inducements include:

  * spiritual or religious appeals[[6]](Print_version.html#cite_note-514)
  * polygraph results[[7]](Print_version.html#cite_note-515)
  * minimizing moral gravity of offence[[8]](Print_version.html#cite_note-516)

Invalid forms of inducements include:

  * any connection of statement to liberty[[9]](Print_version.html#cite_note-517)
  * quid pro quo for any type of service by police or prosecutor[[10]](Print_version.html#cite_note-518)
  * discuss effect of confession on possible penalties[[11]](Print_version.html#cite_note-519)

  


  1. [↑](Print_version.html#cite_ref-509) Oickle at para. 49
  2. [↑](Print_version.html#cite_ref-510) Oickle at para. 57 R. v. Spencer, 2007 SCC 11 at para 13-15
  3. [↑](Print_version.html#cite_ref-511) Oickle at para 57  
see also R. v. Henri, [2001] A.J. No. 462 (Q.B.)  
R. v. Carpenter 2001 BCCA 31  

  4. [↑](Print_version.html#cite_ref-512) Oickle at para. 56,57  
R. v. Bakker 2003 BCSC 599 at paras 90, 95  
R. v. Crockett 2002 BCCA 658 at para 28  
R. v. Grouse 2004 NSCA 108  
R. v. Spencer, 2007 SCC 11 at para 13-15 - regarding will being overborne
  5. [↑](Print_version.html#cite_ref-513) R. v. Whittle, [1994 CanLII 55](http://canlii.ca/t/1frqt) (SCC), [1994] 2 SCR 914
  6. [↑](Print_version.html#cite_ref-514) R. v. MacNeil (1995), 138 N.S.R. (2d) 117 (NSCA) leave to SCC denied
  7. [↑](Print_version.html#cite_ref-515) R v. McIntosh (1999) 141 C.C.C. (3d) 97 (Ont CA) leave to SCC denied
  8. [↑](Print_version.html#cite_ref-516) R. v. Speidel 2003 BCSC 1532  
R. v. Bakker 2003 BCSC 599  

  9. [↑](Print_version.html#cite_ref-517) R. v. Backhouse, [2005 CanLII 4937](http://canlii.ca/t/1jvwn) (ON CA) - officer offered to release him if he gave a good alibi. This was seens as a valid description of the situation not inducement.
  10. [↑](Print_version.html#cite_ref-518) R. c. Bégin, [2002 CanLII 41203](http://canlii.ca/t/1csxt) (QC CA) - officer offered lenient sentence and protection. Ruled involuntary.
  11. [↑](Print_version.html#cite_ref-519) R. v. Warren (1997) 117 C.C.C. (3d) 418 (NWTCA) - officer said confession would result in lesser offence charged and lighter sentence. Voluntary as inducements did not cause confession

## Oppression[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-4)]

The **oppression** factor is where the Accused is subject to such pressure that they lose their ability to chose not to speak.[[1]](Print_version.html#cite_note-520) Consideration for this factor includes:

  * aggressive and long interrogations
  * confrontation with false or fabricated evidence
  * deprivations of food, water, clothing, warmth/cold, sleep, medical attention

An officer hinting at the possibility of a death penalty as well as suggesting the obligation of the accused to prove innocence can be oppressive.[[2]](Print_version.html#cite_note-521)

  1. [↑](Print_version.html#cite_ref-520) R. v. Paternak (1995), 101 CCC 3d 452 (ABCA) [1995 ABCA 356](http://www.canlii.org/en/ab/abca/doc/1995/1995abca356/1995abca356.html)
  2. [↑](Print_version.html#cite_ref-521) R. v. Espadilla 2005 BCSC 174

## Operating Mind[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-5)]

The issue of operating mind asks, on the whole on the evidence, whether 1) the accused understood what he was saying and 2) the consequences of saying it to a person in authority. If so, he can found to have an “operating mind”. The level of awareness cannot go any further than that.[[1]](Print_version.html#cite_note-522)

The first of the two questions, focuses on the reliability of the statement. The second, concerns the fairness of the process.

The judge must take into account an individual’s background.[[2]](Print_version.html#cite_note-523) Not all persons have the same mental fortitude and are more easily influenced to a point of making a false confession. Cases have considered circumstances where accused are rendered in capable of voluntarily confessing, (eg. Ward mentioned in Oickle) such as where they undergo “complete emotional disintegration”.[[3]](Print_version.html#cite_note-524)

The doctrine is not separate and apart from the rest of the confessions rule. [[4]](Print_version.html#cite_note-525)

Cognitive impairments such as schizophrenia, intoxication, or other mental health conditions will not necessarily render a statement involuntary.[[5]](Print_version.html#cite_note-526)

  1. [↑](Print_version.html#cite_ref-522) Whittle [1994] 2 SCR 914 a p 936 (the standard “does not imply a higher degree of awareness…” than the standard proposed)
  2. [↑](Print_version.html#cite_ref-523) Concerns of this is detailed at para 42 of Oickle
  3. [↑](Print_version.html#cite_ref-524) see R v Horvath 1979 CanLII 16 (SCC) at p 400
  4. [↑](Print_version.html#cite_ref-525) R. v. Reeves, 2011 BCSC 1513 at 63
  5. [↑](Print_version.html#cite_ref-526) R v Whittle [1994] 2 SCR 914 - schizophrenic accused's statement was voluntary  
R. v. Oldham (1970) 1 C.C.C. (2d) 141 (B.C.C.A.)  
R. v. McKenna [1961] 1 S.C.R. 660  
R. v. Richard (1980) 56 C.C.C. (2d) 129 (BCCA)  
R. v. Labbe 2002 BCSC 996 appealed on other grounds  
R. v. Legato (2002) 172 C.C.C. (3d) 415 (QCCA) - accused was on morphine at the time  
R. v. Pavlovszky, 2005 NBCA 9  
R. v. Santinon 11 C.C.C. (2d) 121 (BCCA)  
R. v. Nagotcha [1980] 1 S.C.R. 714  


## Police Trickery[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-6)]

Trickery by police is allowed. Authorities sometimes must resort to tricks and deceit in dealing with shrewd and sophisticated criminals. The law does _not_ permit, however, is "conduct on their part that **shocks the community**". (emph. added)[[1]](Print_version.html#cite_note-527)

Police trickery is a distinct area of consideration from the other factors of voluntariness.[[2]](Print_version.html#cite_note-528)

The purpose of considering trickery is to maintain "the integrity of the criminal justice system".[[3]](Print_version.html#cite_note-529)

Conduct that shocks the community may not necessarily violate the right to silence or any other rule of voluntariness.[[4]](Print_version.html#cite_note-530)

Examples of improper trickery include:

  * pretending to be a chaplain or legal aid lawyer[[5]](Print_version.html#cite_note-531)
  * using truth serum under the pretense that it is insulin[[6]](Print_version.html#cite_note-532)
  * pretending to turn off a tape recorder when taking a statement[[7]](Print_version.html#cite_note-533)

  1. [↑](Print_version.html#cite_ref-527) Oickle at para. 66 citing Rothman v. The Queen, [1981 CanLII 23](http://canlii.ca/t/1mjl7) (SCC), [1981] 1 SCR 640
  2. [↑](Print_version.html#cite_ref-528) Oickle at para. 65
  3. [↑](Print_version.html#cite_ref-529) Oickle at para. 65
  4. [↑](Print_version.html#cite_ref-530) Oickle at para. 67
  5. [↑](Print_version.html#cite_ref-531) Oickle at para 67
  6. [↑](Print_version.html#cite_ref-532) Oickle at para. 67
  7. [↑](Print_version.html#cite_ref-533) R. v. Holt, [2012 BCSC 1121](http://canlii.ca/t/fs669) (CanLII)

## Partial or Non-recorded Statements[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-7)]

Video recording "can greatly assist the trier of fact in assessing [a] confession".[[1]](Print_version.html#cite_note-534) They provide a means for the court to enforce safeguards, it evaluates interrogation methods and deters improper tactics.[[2]](Print_version.html#cite_note-535)

A statement that was not recorded does not automatically render it inadmissible.[[3]](Print_version.html#cite_note-536) The same goes for incomplete recordings.

However, the lack of recording can enhance concerns of voluntariness.[[4]](Print_version.html#cite_note-537) Where the accused is in custody in a location equipped to record a statement but it was not used, the non-recorded statement is inherently suspect.[[5]](Print_version.html#cite_note-538)

Where the statement was not recorded or only partially recorded, the statement may be excluded where the absence of a record results in the inability to determine if the statement was voluntary.[[6]](Print_version.html#cite_note-539) Thus, situations where the summarizing notes are too short to capture the whole statement may raise an issue on voluntariness.

Similarly, statements that are non-video or audio recorded, it is not necessarily inadmissible. In all cases, the crown must prove there is a sufficient record of the interaction between the accused and police. However, where the recording facilities exist but are not used the statement may be "suspect". Thus, the judge must determine whether a sufficient substitute has been provided to prove voluntariness beyond a reasonable doubt.[[7]](Print_version.html#cite_note-540)

Issues of the accuracy and authenticity of a statement is not an issue of the judge in the voir dire but rather the trier-of-fact in the trial itself. The issue is one of authenticity not admissibility.[[8]](Print_version.html#cite_note-541) However, this does not mean _all_ issues of "accuracy and completeness of record[s]". The "completeness, accuracy and reliability of the record" are relevant to the inquiry into the surrounding circumstances of the taking of the statement.[[9]](Print_version.html#cite_note-542)

  1. [↑](Print_version.html#cite_ref-534) Oickle at para. 46  
R. v. M.D., [2012 ONCA 841](http://canlii.ca/t/fv058) (CanLII)
  2. [↑](Print_version.html#cite_ref-535) Oickle at para. 46
  3. [↑](Print_version.html#cite_ref-536) Oickle at para. 46  
R v Reeves [2011 BCSC 1513](http://canlii.ca/t/fnr2c) at para. 40  
R. v. Richards, [1997] 87 B.C.A.C. 2, 33 W.C.B. (2d) 39, [1997 CanLII 12470](http://canlii.ca/t/1wnvp) (BCCA)at para. 36  
R. v. Moore-McFarlane and Bogel, [2001] O.J. No. 4646 (C.A.), [2001 CanLII 6363](http://canlii.ca/t/1f3k2) at para. 64, 65 and 67  

  4. [↑](Print_version.html#cite_ref-537) Reeves at 41
  5. [↑](Print_version.html#cite_ref-538) R. v. White 2003 CanLII 40837 (ON CA) at para. 21  
R. v. Moore-McFarlane 2001 CanLII 6363 (ON CA) at paras. 65-6  
R. v. M.D., [2012 ONCA 841](http://canlii.ca/t/fv058) (CanLII) at para. 41  

  6. [↑](Print_version.html#cite_ref-539) R. v. Belanger (1978), 40 C.C.C. (2d) 335 at 345 (Ont. H.C.J.)  
R v Richards at 33  

  7. [↑](Print_version.html#cite_ref-540) R. v. Ducharme, [2004 MBCA 29](http://canlii.ca/t/1gmfd) (CanLII) (Man. C.A.), leave to appeal to SCC refused at para. 42
  8. [↑](Print_version.html#cite_ref-541) R v Lapointe, (1983) 9 CCC (3d) 366 (ONCA) aff'd at 35 CCC (3d) 287
  9. [↑](Print_version.html#cite_ref-542) Moore-McFarlane at para. 67

## Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-8)]

The procedure for conducting a voir dire on voluntariness of a confession should proceed as follows:[[1]](Print_version.html#cite_note-543)

  * crown requests a voir dire
  * jury is excluded, if present
  * crown informs court of the purpose of the voir dire
  * crown will call witnesses to give evidence on the treatment of the accused by police up to the statement.
  * accused may choose to call witnesses
  * judge decides whether the statements are voluntary

  1. [↑](Print_version.html#cite_ref-543) Gibson, "Criminal Evidence, Practice & Procedure" 18(B)

## Burden of Proof[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-9)]

This Crown must prove voluntariness beyond a reasonable doubt in a _voir dire_.[[1]](Print_version.html#cite_note-544)

The Crown is required to lead evidence detailing the surrounding circumstances leading up to the statement.[[2]](Print_version.html#cite_note-545) A failure to set out a sufficient record of the interaction between the accused and police may result in the statement being involuntary.[[3]](Print_version.html#cite_note-546)

There is no obligation of the part of the Crown to call every police officer who was present during any interaction with the accused.[[4]](Print_version.html#cite_note-547)

Ordinarily the crown should call "all persons in authority who have contact with the accused person while in custody prior to the taking of his statement". This does not include persons who only pass on information unless their evidence bears on the voluntariness of the statement.[[5]](Print_version.html#cite_note-548)

A person in authority who is sufficiently remote from the taking of the statement should not necessarily be required to testify.[[6]](Print_version.html#cite_note-549)

However, the Crown should provide some explanation that the officers who did not testify did not have a direct involvement with the taking of a statement.[[7]](Print_version.html#cite_note-550)

A statement will not be rendered inadmissible because there is a "mere possibility or conjecture of an earlier conversation in which threats or promises may have been made" by a person who did not testify.[[8]](Print_version.html#cite_note-551)

I do not think there is a rule of law which requires rejection of a statement because of the mere possibility or conjecture of an earlier conversation in which threats or promises may have been made

  1. [↑](Print_version.html#cite_ref-544) R. v. Moore-McFarlane, [2001] O.J. No. 4646 (C.A.), [2001 CanLII 6363](http://www.canlii.org/en/on/onca/doc/2001/2001canlii6363/2001canlii6363.html) at para. 65 and 67  
R. v. Ahmed, [2002] O.J. No. 4597 (C.A.), [2002 CanLII 695](http://www.canlii.org/en/on/onca/doc/2002/2002canlii695/2002canlii695.html) at para. 22
  2. [↑](Print_version.html#cite_ref-545) R v Sankey, [1927 CanLII 43](http://canlii.ca/t/21v6c) (SCC), [1927] SCR 436  
R. v. Guilbride, [2003 BCPC 261](http://canlii.ca/t/1fw69) (CanLII) at paras. 48-50  
R v Malik [2002] BCJ No 3222 (BCSC)  
Moore-McFarlane at para. 70  

  3. [↑](Print_version.html#cite_ref-546) R v Holmes,(2002) 169 CCC (3d) 344 (ONCA) - crown failed to call evidence of 16 hour wait period in custody  
See also, R. v. Jimmy John, [2007 ABPC 125](http://canlii.ca/t/1rlsl) (CanLII) - failed to call an officer who was present  
R. v. Petri, [2003 MBCA 1](http://canlii.ca/t/5fc5) (CanLII)  
R. v. Koszulap (1974), 20 C.C.C. (2d) 193 (Ont. C.A.) at p. 194, 197-198  
R. v. Genaille, [1997 CanLII 4333](http://canlii.ca/t/1flkc) (MB CA) leave refused - failure to call sherrif's who detained accused prior to statement. statement found voluntary  
R. v. Guilbride - statement taken in police officer's note books conflicted  

  4. [↑](Print_version.html#cite_ref-547) R v Garfield (1974) 21 CCC (2d) 449 (ONCA) at p. 457 ("The appellant's position ... is that the prosecution is obliged to call ... every witness who had anything to do with an accused who makes a confession, from the moment of his first contact with the police until the statement has been given. In my opinion, the proposition, stated in those terms, is too broad.")  
R. v. Settee (1974), 22 C.C.C. (2d) 193, pp. 206-207 (SKCA)  
R. v. Menezes, [2001 CanLII 28426](http://canlii.ca/t/1wd17) (ON SC) at para. 19 ("There is no absolute rule that every person in authority irrespective of the degree of contact with the accused need be called on a confessional voir dire.") c.f. R v Thiffault [1933] SCR 509, [1933 CanLII 52](http://canlii.ca/t/fslvv) (SCC)  
R. v. Woodward (1975), 23 C.C.C. (2d) 508 (Ont. C.A.)  

  5. [↑](Print_version.html#cite_ref-548) R. v. Hatfield (1984), 62 N.S.R. (2d) 151  
Hatfield elaborated in R. v. G.A.J., (1993), 120 N.S.R. (2d) 432 (N.S.C.A.) ("a person who simply receives and passes the fact of a telephone call unless that person had evidence that bears upon the voluntariness of the statement of the appellant or his understanding of or the exercise of his constitutional right".)  
R. v. Socobasin, [1996 CanLII 5271](http://canlii.ca/t/1mmz5) (NS CA)  
R. v. Menezes, [2001 CanLII 28426](http://canlii.ca/t/1wd17) (ON SC) at para. 19 ("A flexible rule designed to examine the role of any police officer with real investigatory or custodial contact generally promotes meaningful scrutiny of relevant governmental conduct.")
  6. [↑](Print_version.html#cite_ref-549) R. v. Dinardo, (1981), 61 C.C.C. (2d) 52 per Borins C.C.J.
  7. [↑](Print_version.html#cite_ref-550) R. v. Brooks, [1986 CanLII 1168](http://canlii.ca/t/22klb) (BC CA), (1986) 28 CCC (3d) 441 (BCCA)
  8. [↑](Print_version.html#cite_ref-551) R v Chow, (1978) 43 CCC (2d) 215 (BCCA) at para. 16

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness&action=edit&section=T-10)]

  * [Canadian Criminal Evidence/Cases/Admissions and Confessions#Voluntariness](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Cases/Admissions_and_Confessions#Voluntariness)
  * [Canadian Criminal Evidence/Model Examinations/Voluntariness Voir Dire](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations/Voluntariness_Voir_Dire)

  


# Admissions and Confessions/Right Against Self-crimination[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-1)]

The right against self-crimination protects an accused from cooperating in their own conviction and abuse by state power. This right is a principle of fundamental justice under s. 7 of the Charter.

The accused can never be forced to testify in their own trial. If the accused chooses to testify they are protected from having any prior testimony they have given, be it in criminal or civil context, from being used to incriminate them.

## Right to Silence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-2)]

The "right to silence" is protected both under s. 7 and s. 11(c). It includes the right to choose whether to make a statement to authorities.[[1]](Print_version.html#cite_note-552)

The purpose of the right to silence is to "limit the use of the coercive power of the state to force an individual to incriminate himself", it is not simply to protect a person from incriminating himself per se.[[2]](Print_version.html#cite_note-553)

The right to silence extends throughout the proceedings. It includes preparation of the defence wherein the accused does not have any obligation to reveal the defence evidence at any point before calling evidence.[[3]](Print_version.html#cite_note-554)

The right to silence relates to authorities including agents of the state and undercover police.[[4]](Print_version.html#cite_note-555)

The right can be extinguished by waiver.[[5]](Print_version.html#cite_note-556)

The application of the right with respect to undercover officers depends on whether the officer merely "observed" the statement or "actively elicited" the statement.[[6]](Print_version.html#cite_note-557)

The right to silence does not extend to a right to conceal one's identity. A peace officer has a right to inquire into the identity, including name, date of birth, and place of residence of a person who is under investigation.[[7]](Print_version.html#cite_note-558) However, there is no common law power of a Peace Officer to determine identity. It must be derived from legislation.[[8]](Print_version.html#cite_note-559)

  


  1. [↑](Print_version.html#cite_ref-552) R v. Broyles 1991 CanLII 15 (SCC), [1991] 3 SCR 595  
R v Hebert [1990] 2 SCR 151 at para. 47  
R v Liew, [1999] 3 SCR 227  

  2. [↑](Print_version.html#cite_ref-553) Broyles at para. 22
  3. [↑](Print_version.html#cite_ref-554) R v Chambers, [1990 CanLII 47](http://canlii.ca/t/1fsrt) (SCC), [1990] 2 SCR 1293, 80 CR (3d) 235 at 256
  4. [↑](Print_version.html#cite_ref-555) Broyles
  5. [↑](Print_version.html#cite_ref-556) Liew
  6. [↑](Print_version.html#cite_ref-557) Liew  
Hebert, [1990] 2 SCR 151  

  7. [↑](Print_version.html#cite_ref-558) R. v. Autio (M.) (1994), 159 A.R. 167 (ProvCt)
  8. [↑](Print_version.html#cite_ref-559) R. v. Gagné [1989] 1 S.C.R. 1584 [[44]](http://www.canlii.org/en/ca/scc/doc/1989/1989canlii57/1989canlii57.html)

## Obligation to Speak to Police[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-3)]

Generally, there is no duty to speak to the police. A person can provide "some, none, or all of the information he or she has" to the police.[[1]](Print_version.html#cite_note-560)

Refusing to speak to the police cannot be used as circumstantial evidence of guilt.[[2]](Print_version.html#cite_note-561)

While evidence of the accused's silence may be admissible, such as for narrative, it will often be required that jury instructions be given against the improper use of the silence as evidence.[[3]](Print_version.html#cite_note-562) A failure to do so may result in prejudice to the accused.[[4]](Print_version.html#cite_note-563)

  1. [↑](Print_version.html#cite_ref-560) R v Turcotte [2005 SCC 50](http://canlii.ca/t/1lpk3) at para. 52
  2. [↑](Print_version.html#cite_ref-561) Turcotte at para. 55 (“Refusing to do what one has a right to refuse to do reveals nothing”)
  3. [↑](Print_version.html#cite_ref-562) Turcotte at para 58 (“juries must be instructed about the proper purpose for which the evidence was admitted, the impermissible inferences which must not be drawn from evidence of silence, the limited probative value of silence, and the dangers of relying on such evidence”)
  4. [↑](Print_version.html#cite_ref-563) Turcotte at para. 59

## Failure of a Co-Accused to Testify[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-4)]

A failure for a co-accused to testify cannot be used as evidence towards the accused's guilt.[[1]](Print_version.html#cite_note-564)

  1. [↑](Print_version.html#cite_ref-564) R v Prokofiew, 2012 SCC 49

## Compellability of the Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-5)]

Section 11(c) of the Charter states:

> 11\. Any person charged with an offence has the right ...  

> 
>     (c) not to be compelled to be a witness in proceedings against that person in respect of the offence;
> 
> ...
> 
> – [CCRF](http://canlii.ca/t/8q7l)

Section 11(c) concerns compelling a person to give testimony in court on a charge against them.

The purpose of s. 11(c) is “to protect the individual against the affront to dignity and privacy inherent in a practice which enables the prosecution to force the person charged to supply the evidence out of his or her own mouth.”[[1]](Print_version.html#cite_note-565)

Section 11(c) is invoked where:[[2]](Print_version.html#cite_note-566)

  1. a person is compelled to testify in a proceeding;
  2. the proceeding in against the person;
  3. it is regarding an offence.

  1. [↑](Print_version.html#cite_ref-565) R. v. Amway Corp., [1989 CanLII 107](http://canlii.ca/t/1ft8d) (SCC), [1989] 1 S.C.R. 21, at para. 35, per Sopinka J.
  2. [↑](Print_version.html#cite_ref-566) Martineau v M.N.R. [2004 SCC 81](http://canlii.ca/t/1jfnd) (CanLII), [2004] 3 SCR 737

## Self-crimination by Testimony in Prior Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-6)]

The accused has a constitutional right not to have their testimony in a prior proceeding be used to incriminate them in a criminal proceedings. This right is protected under s. 13 of the Charter and prior to the introduction of the Charter, under s. 5(2) of the Canada Evidence Act.

Section 13 of the Charter states:

> 13\. A witness who testifies in any proceedings has the right not to have any incriminating evidence so given used to incriminate that witness in any other proceedings, except in a prosecution for perjury or for the giving of contradictory evidence.
> 
>   

> 
> – [CCRF](http://canlii.ca/t/8q7l)

Section 5 of the Canada Evidence Act states:

> **Incriminating questions**  

> 
> 5\. ... 
> 
> **Answer not admissible against witness**  
(2) Where with respect to any question a witness objects to answer on the ground that his answer may tend to criminate him, or may tend to establish his liability to a civil proceeding at the instance of the Crown or of any person, and if but for this Act, or the Act of any provincial legislature, the witness would therefore have been excused from answering the question, then although the witness is by reason of this Act or the provincial Act compelled to answer, the answer so given shall not be used or admissible in evidence against him in any criminal trial or other criminal proceeding against him thereafter taking place, other than a prosecution for perjury in the giving of that evidence or for the giving of contradictory evidence.
> 
> – [CEA](http://canlii.ca/t/7vf5)

Section 5 is the predecessor to s. 13 of the Charter. Section 5 must be invoked by an objection to be of use unlike s. 13.

Section 13 is intended to protect a person from being indirectly compelled to incriminate themselves.[[1]](Print_version.html#cite_note-567) This only applies to testimonial evidence and not documents.[[2]](Print_version.html#cite_note-568) It does not apply to those who chose to testify at a retrial.[[3]](Print_version.html#cite_note-569)

Under s. 13, the accused may only be cross-examined on the testimony from a prior proceeding where the judge is satisfied that there is "no realistic danger" that the prior testimony will incriminate the accused. The danger will depends on the nature of the prior evidence, the circumstances of the case, and the efficacy of adequate jury instructions.[[4]](Print_version.html#cite_note-570)

Section 13 is not engaged when a non-incriminating discovery transcript is used to impeach the accused's credibility.[[5]](Print_version.html#cite_note-571) In this context, incriminating evidence is any evidence which if admitted, would "prove or assist in proving one or more of the essential elements of the offence for which the witness is being tried".[[6]](Print_version.html#cite_note-572)

There are four factors to consider whether a person's right against self-incrimination has been violated by statutory requirements to provide statements: [[7]](Print_version.html#cite_note-573)

  1. whether there was real coercion by the state in obtaining the statements;
  2. whether there was an adversarial relationship between the accused and the state at the time the statements were obtained;
  3. whether the statutory compulsion would increase the risk of unreliable confessions; and
  4. whether the statutory compulsion increased the risk of abuses of power by the state.

This right does not generally cover an accused's conduct.[[8]](Print_version.html#cite_note-574)

The crown cannot admit into evidence as part of its case a transcript of the accused prior testimony in a trial. This would be an indirect manner of compelling the accused's testimony.[[9]](Print_version.html#cite_note-575)

Documents prepared by that individual pursuant to a order of production under 487.012 cannot be used against that person in criminal proceedings unless for perjury or related offences.[[10]](Print_version.html#cite_note-576)

  1. [↑](Print_version.html#cite_ref-567) R v Dubois, [1985 CanLII 10](http://canlii.ca/t/1ftw5) (SCC), [1985] 2 SCR 350
  2. [↑](Print_version.html#cite_ref-568) R v Bari [2006 NBCA 119](http://canlii.ca/t/1q41l) (CanLII)
  3. [↑](Print_version.html#cite_ref-569) R v Henry, [2005 SCC 76](http://canlii.ca/t/1m5zx) (CanLII), [2005] 3 SCR 609  
c.f. Dubois
  4. [↑](Print_version.html#cite_ref-570) R. v. Noël, [2002 SCC 67](http://canlii.ca/t/50g3) (CanLII), [2002] 3 SCR 433
  5. [↑](Print_version.html#cite_ref-571) R v Nedelcu, 2012 SCC 59
  6. [↑](Print_version.html#cite_ref-572) Nedelcu at para. 30
  7. [↑](Print_version.html#cite_ref-573) R. v. Fitzpatrick, [1995] 4 SCR 154, [1995 CanLII 44](http://www.canlii.org/en/ca/scc/doc/1995/1995canlii44/1995canlii44.html); and R. v. White [1999] 2 SCR 417, [1999 CanLII 689](http://www.canlii.org/en/ca/scc/doc/1999/1999canlii689/1999canlii689.html)
  8. [↑](Print_version.html#cite_ref-574) R v Marcoux, [1976] 1 SCR 763 - accused's participation in a line-up
  9. [↑](Print_version.html#cite_ref-575) R v Henry, [2005] 3 SCR 609
  10. [↑](Print_version.html#cite_ref-576) See s. 487.016

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination&action=edit&section=T-7)]

  * [Canadian_Criminal_Law/Offences/Impaired_Driving_and_Over_80/Screening_Device#Compelled_Admissions](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Impaired_Driving_and_Over_80/Screening_Device#Compelled_Admissions)

# III.5 - Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=11)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-1)]

Privilege protects certain information from being revealed by a witness on the stand.

## Solicitor Client Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-2)]

Solicitor-client privilege is a class privilege and are presumed inadmissible.[[1]](Print_version.html#cite_note-577)

This privilege is the "highest privilege recognized by the courts" which is "fundamental to the administration of justice"[[2]](Print_version.html#cite_note-578) Violation of this privilege can "erode the public's confidence in fairness of the criminal justice system."[[3]](Print_version.html#cite_note-579) As accused persons must have confidential access to advice to made properly informed decisions.

The privilege exists where a written or oral communication is :[[4]](Print_version.html#cite_note-580)

  1. made in confidence or be of a confidential in nature;
  2. made to a professional legal advisor;
  3. for the purpose of giving and receiving legal advice.

This privilege applies not only between and a lawyer and their retained client, but can also apply between a Crown attorney and a police officer seeking legal advice.[[5]](Print_version.html#cite_note-581)

Statements taken by an investigator on behalf of the defence is privileged and cannot be subject of disclosure to the crown.[[6]](Print_version.html#cite_note-582)

The following have been considered privileged information:

  * Emails between counsel and clients[[7]](Print_version.html#cite_note-583)
  * conversations between counsel and client in the courtroom even if caught on recording device.[[8]](Print_version.html#cite_note-584)
  * phone wiretap between counsel and client [[9]](Print_version.html#cite_note-585)
  * identity of person paying legal fees[[10]](Print_version.html#cite_note-586)
  * lawyer bills and statement of accounts regarding clients[[11]](Print_version.html#cite_note-587)

  1. [↑](Print_version.html#cite_ref-577) R v McClure, [2001 SCC 14](http://canlii.ca/t/5228), [2001] 1 SCR 445
  2. [↑](Print_version.html#cite_ref-578) Smith v Jones [1999 CanLII 674](http://canlii.ca/t/1fqp9) (SCC), [1999] 1 SCR 455, at para 44 and 50
  3. [↑](Print_version.html#cite_ref-579) Lavallee, Rackel & Heintz v Canada (AG) [2002 SCC 61](http://canlii.ca/t/51rj) (CanLII), [2002] 3 SCR 209 at para 49
  4. [↑](Print_version.html#cite_ref-580) R v Campbell, [1999 CanLII 676](http://canlii.ca/t/1fqp4), [1999] 1 SCR 565 at para 49 [also referred to as R v Shirose] Solosky v. The Queen, [1979 CanLII 9](http://canlii.ca/t/1mjtq) (SCC), [1980] 1 S.C.R. 821 at p. 835
  5. [↑](Print_version.html#cite_ref-581) R. v. Caines, [2011 ABQB 660](http://www.canlii.org/en/ab/abqb/doc/2011/2011abqb660/2011abqb660.html)
  6. [↑](Print_version.html#cite_ref-582) R. v. Peruta; R v Brouillette (1992) 78 CCC (3d) 350 [1992 CanLII 3597](http://canlii.ca/t/1pf0f) (QCCA)
  7. [↑](Print_version.html#cite_ref-583) R. v. 1496956 Ontario Inc. (Stoneridge Inc.), [2009 CanLII 12328](http://canlii.ca/t/22v6x) (ON SC) at para 12
  8. [↑](Print_version.html#cite_ref-584) R. v. Higham, [2007 CanLII 20103](http://canlii.ca/t/1rnx3) (ON SC) at para. 21 to 22
  9. [↑](Print_version.html#cite_ref-585) R. v. Martin, [2010 NBCA 41](http://canlii.ca/t/2b3ls) (CanLII) at para. 64-65
  10. [↑](Print_version.html#cite_ref-586) Kaiser (Re), [2012 ONCA 838](http://canlii.ca/t/ftz2s) (CanLII) at para. 44 to 45
  11. [↑](Print_version.html#cite_ref-587) Maranda v. Richer, [2003 SCC 67](http://canlii.ca/t/1rz) (CanLII), [2003] 3 SCR 193 at paras 21-34

## Exemptions from Solicitor-Client Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-3)]

There are three occasions when solicitor‑client privilege may be overruled, namely when innocence at stake is engaged, the client's communications are themselves criminal, or it is necessary to protect public safety.[[1]](Print_version.html#cite_note-588)

  1. [↑](Print_version.html#cite_ref-588) Smith v. Jones, [1999 CanLII 674](http://canlii.ca/t/1fqp9) (SCC), [1999] 1 S.C.R. 45

### Innocence at Stake[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-4)]

The threshold test for innocence at stake exemption from privilege was set out in R v McClure [2001 SCC 445](http://canlii.ca/t/5228) and summarized in R. v. Brown, 2002 SCC 32 as a two-step process. The accused must establish that:

  * the information he seeks from the solicitor-client communication is not available from any other source; and
  * he is otherwise unable to raise a reasonable doubt.
  * If the threshold has been satisfied, the judge should proceed to the innocence at stake test, which has two stages. 
    * Stage #1: The accused seeking production of the solicitor-client communication has to demonstrate an evidentiary basis to conclude that a communication exists that could raise a reasonable doubt as to his guilt.
    * Stage #2: If such an evidentiary basis exists, the trial judge should examine the communication to determine whether, in fact, it is likely to raise a reasonable doubt as to the guilt of the accused.
  * It is important to distinguish that the burden in the second stage of the innocence at stake test (likely to raise a reasonable doubt) is stricter than that in the first stage (could raise a reasonable doubt).
  * If the innocence at stake test is satisfied, the judge should order disclosure of the communications that are likely to raise a reasonable doubt, in accordance with the guiding principles discussed.

## Litigation Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-5)]

The purpose of litigation privilege is to create a "zone of privacy" around documents that were made in "relation to pending or apprehended litigation".[[1]](Print_version.html#cite_note-589)

Litigation privilege protects documents that were should be created in the following circumstances:[[2]](Print_version.html#cite_note-590)

  1. where the dominant purpose of the document is for existing, contemplated or anticipated litigation; and 
    1. was created in answer to inquiries made by an agent for the party's solicitor; or
    2. was created at the request or suggestion of the party's solicitor; or
    3. was created for the purpose of giving them to counsel in order to obtain advice; or
    4. was created to enable counsel to prosecute or defence an action or prepare a brief.

  1. [↑](Print_version.html#cite_ref-589) Blank v. Canada (Minister of Justice), [2006] 2 S.C.R. 319, at para. 34
  2. [↑](Print_version.html#cite_ref-590) Kennedy v. McKenzie, [2005] O.J. No 2060 (S.C.), [2005 CanLII 18295](http://canlii.ca/t/1kw6d) (ON SC), per Ducharme J. at 20

## Settlement/Negotiation Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-6)]

The parties need the ability to have "full and frank discourse" in order for agreements to take place. Without protection these discussions may not take place.[[1]](Print_version.html#cite_note-591)

The privilege protects the public interest in favouring settlement. It "promotes the interests of litigants generally by saving them the expense of trial".[[2]](Print_version.html#cite_note-592) The disclosure of "without prejudice" communications has a tendancy to promote litigation.[[3]](Print_version.html#cite_note-593)

The privilege applies where the following criteria are established:[[4]](Print_version.html#cite_note-594)

  1. A litigious dispute must be in existence or within contemplation.
  2. The communication must be made with the express or implied intention that it would not be disclosed to the court in the event negotiations failed.
  3. The purpose of the communication must be to attempt to effect a settlement.

Where settlement fails the privilege is invoked and the communications cannot be used in the course of litigation.[[5]](Print_version.html#cite_note-595) However, if settlement is successful, the communications may be used to prove the existence of a settlement contract.[[6]](Print_version.html#cite_note-596)

The privilege is possessed by both parties to the litigation and cannot be unilaterally waived by one party.[[7]](Print_version.html#cite_note-597)

The use of the term "without prejudice" alone is not determinative of whether settlement privilege applies.[[8]](Print_version.html#cite_note-598)

  1. [↑](Print_version.html#cite_ref-591) R. v. Pabani, [1994 CanLII 8723](http://canlii.ca/t/231td) (ON CA)
  2. [↑](Print_version.html#cite_ref-592) Kelvin Energy Ltd. v. Lee 1992 CanLII 38 (SCC), [1992] 3 S.C.R. 235 at para. 48  

  3. [↑](Print_version.html#cite_ref-593) Pirie v. Wyld (1886), 11 O.R. 422, [1886] O.J. No. 188 (QL) (Ont. H.C.), at para. 18 (“... letters written or communications made without prejudice, or offers made for the sake of buying peace, or to effect a compromise, are inadmissible in evidence. It seemingly being considered against public policy as having a tendency to promote litigation, and to prevent amicable settlements.”)
  4. [↑](Print_version.html#cite_ref-594) Calgary (City) v. Costello, [1997 ABCA 281](http://canlii.ca/t/1p6lz) (CanLII) at para. 60  
John Sopinka, Sidney N. Lederman & Alan W. Bryant, The Law of Evidence in Canada, 3rd ed. (Markham: LexisNexis Canada Inc., 2009) at para. 14.322  

  5. [↑](Print_version.html#cite_ref-595) Hansraj v. Ao, [2002 ABQB 385](http://canlii.ca/t/4zlp) (CanLII) at para. 13  

  6. [↑](Print_version.html#cite_ref-596) Hansraj v Ao at para. 13
  7. [↑](Print_version.html#cite_ref-597) Hansraj v Ao at para. 13
  8. [↑](Print_version.html#cite_ref-598) TDL Group Ltd. v. Zabco Holdings Inc. et al., [2008 MBQB 86](http://canlii.ca/t/1wcht) (CanLII) at para. 30  
Flegel Construction Ltd. v. Cambac Financial Projects Ltd., >[ 1983 CanLII 1019](http://canlii.ca/t/27rg8) (AB QB)  


### Plea Negotiations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-7)]

Communications regarding plea negotiations fall under the category of "public interest privilege" and so cannot be used in court. This includes negotiations regarding bail hearing[[1]](Print_version.html#cite_note-599) as well as sentencing hearings.[[2]](Print_version.html#cite_note-600)

This privilege exists to permit "frank and full discussions between counsel for the accused and counsel for the Crown." [[3]](Print_version.html#cite_note-601)

This kind of privilege cannot be waived by one party alone.[[4]](Print_version.html#cite_note-602)

  1. [↑](Print_version.html#cite_ref-599) R. v. Bernard, [2002] A.J. No. 1007, [2002 ABQB 747](http://canlii.ca/t/1m30l) (CanLII) (Alta. Q.B.)  

  2. [↑](Print_version.html#cite_ref-600) R. v. Roberts, [2001] A.J. No. 772 (Alta. Q.B.))
  3. [↑](Print_version.html#cite_ref-601) R. v. Bernardo, [1994] O.J. No. 1718, (Ont. Gen. Div.) at para 16  
R. v. Delorme, [2005] N.W.T.J. No. 51 (N.W.T. S.C.), 2005 NWTSC 34 at para 18  
R. v. Roberts, supra, at para 60  
R. v. Griffin, [2009] A.J. No. 1455, [2009 ABQB 696](http://canlii.ca/t/274zn) (CanLII) (Alta. Q.B.) at para. 65  

  4. [↑](Print_version.html#cite_ref-602) R. v. Bernard, supra, at para 39  
R. v. Griffin, supra, at para 54  


## Informer Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-8)]

Informer privilege is intended to protect informants and "promote the giving of assistance to the police by citizens in the investigation and prevention of crime". It further encourages "other persons to provide assistance which would not likely otherwise be provided because of the extreme risks associated with disclosure of the identity of the source of the information." [[1]](Print_version.html#cite_note-603)

It is generally said that the prosecution does not need to disclose the identity of the police informer or provide information that may disclose the identity.[[2]](Print_version.html#cite_note-604) This is especially the case in drug trafficking cases.[[3]](Print_version.html#cite_note-605)

The court will only order the disclosure of the identity if it is needed to show the innocence of an accused person, known as the "innocence at stake" exception.[[4]](Print_version.html#cite_note-606) This can apply where the informer is a material witness to the offence. The determination requires balancing of the relevance of the identity of the informer and the prejudice to the informer and public interest in law enforcement.[[5]](Print_version.html#cite_note-607)

Courts have permitted defence counsel to ask a witness whether they have been an informer in the past and details about any history as an informer to support the theory that the witness invented the allegation of a drug rip off against the accused in expectation of receiving money.[[6]](Print_version.html#cite_note-608)

  1. [↑](Print_version.html#cite_ref-603) R. v. X and Y, [2012 BCSC 326](http://canlii.ca/t/fqff1) at at 18, 19
  2. [↑](Print_version.html#cite_ref-604) R. v. Grey, [1996 CanLII 35](http://canlii.ca/t/6jd5) (ON C.A.)
  3. [↑](Print_version.html#cite_ref-605) R. v. Scott [1990 CanLII 27](http://canlii.ca/t/1fsp3) (S.C.C.), (1990), 61 C.C.C. (3d) 300 (S.C.C.)
  4. [↑](Print_version.html#cite_ref-606) R. v. X and Y, 2012 BCSC 326 at 20  
Bisaillon v. Keable, [1983 CanLII 26](http://canlii.ca/t/1lpdn) (SCC), [1983] 2 S.C.R. 60  
R. v. Leipert, [1997 CanLII 367](http://canlii.ca/t/1fr41) (SCC), [1997] 1 S.C.R. 281  
Named Person v. Vancouver Sun, [2007 SCC 43](http://canlii.ca/t/1t55c) (CanLII)  
R. v. Basi, [2009 SCC 52](http://canlii.ca/t/26mxq) (CanLII)  
R. v. X and Y, [2012 BCSC 325](http://canlii.ca/t/fqfdv)  

  5. [↑](Print_version.html#cite_ref-607) R. v. Garofoli [1990 CanLII 52](http://canlii.ca/t/1fss5) (S.C.C.), (1990), 60 C.C.C. (3d) 161 at 193
  6. [↑](Print_version.html#cite_ref-608) R. v. Toews et al [2005 BCSC 727](http://canlii.ca/t/1ld2q)

## Public Interest Privilege and Investigative Techniques[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-9)]

The following have been recognized as privileged as an investigative technique:

  * simulated ingestion of controlled substances[[1]](Print_version.html#cite_note-609)
  * location of a surveillance or observation post[[2]](Print_version.html#cite_note-610)
  * the location of tracking devices[[3]](Print_version.html#cite_note-611)
  * the location and methods of examining of secondary VINs [[4]](Print_version.html#cite_note-612)

  1. [↑](Print_version.html#cite_ref-609) R. v. Mueckon, (1990), 57 C.C.C. (3d) 193 (B.C.C.A.)
  2. [↑](Print_version.html#cite_ref-610) R. v. Lam [2000 BCCA 545](http://canlii.ca/t/1fngl) (CanLII), (2000), 148 C.C.C. (3d) 379 (B.C.C.A.)  
R. v. Richards [1997 CanLII 3364](http://canlii.ca/t/6h8f) (ON CA), (1997), 115 C.C.C. (3d) 377 (Ont.C.A.)
  3. [↑](Print_version.html#cite_ref-611) R. v. Guilbride, [2003] B.C.J. No.1245 (Prov.Ct.)
  4. [↑](Print_version.html#cite_ref-612) R. v. Boomer [2000 CanLII 4176](http://canlii.ca/t/1f169) (NS SC), (2000), 182 N.S.R. (2d) 49 (S.C.)  
R. v. Smith, [2009 ABPC 88](http://canlii.ca/t/22xks) (CanLII)  


## Spousal Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-10)]

    _See also [Canadian Criminal Evidence/Testimonial Evidence/Competence and Compellability#Spousal Immunity](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability#Spousal_Immunity)_

Spousal privilege is a class protection of certain communications between husband and wife. It is a protection that is separate and apart from spousal competency.[[1]](Print_version.html#cite_note-613)

A spouse who is found to be competent and compellable may still invoke privilege to protect their communications.[[2]](Print_version.html#cite_note-614)

This class of privilege does not exist at common law, but rather was created by way of s. 4(3) of the Evidence Act, which states:

> 4 (3) No husband is compellable to disclose any communication made to him by his wife during their marriage, and no wife is compellable to disclose any communication made to her by her husband during their marriage.
> 
>   

> 
> – [CEA](http://canlii.ca/t/7vf5#sec4)

Third parties may "testify to communications between husband and wife that were overheard, intercepted, or otherwise discovered".[[3]](Print_version.html#cite_note-615)

  1. [↑](Print_version.html#cite_ref-613) See McWilliams' Canadian Criminal Evidence, 4th ed., vol. 1, looseleaf (Aurora, ON: Canada Law Book, 2010) at para. 13:40.10
  2. [↑](Print_version.html#cite_ref-614) R. v. Zylstra, [1995 CanLII 893](http://canlii.ca/t/6jk6) (ON CA)
  3. [↑](Print_version.html#cite_ref-615) R. v. R.R.W. (No. 2), [2010 NLTD 137](http://canlii.ca/t/2c840) (CanLII) citing McWilliams’ at para. 13:40.50

## Case-by-Case Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-11)]

A communication that does not fit into one of the class privileges may nonetheless be protected under the "case-by-case privilege" that can be applied to communications on an ad-hoc basis where the requisite criteria are met.[[1]](Print_version.html#cite_note-616)

Case-by-case privilege can be invoked where:[[2]](Print_version.html#cite_note-617)

  1. The communications must originate in a confidence that they will not be disclosed.
  2. This element of confidentiality must be essential to the full and satisfactory maintenance of the relation between the parties.
  3. The relation must be one which in the opinion of the community ought to be sedulously fostered.
  4. The injury that would inure to the relation by the disclosure of the communications must be greater than the benefit thereby gained for the correct disposal of litigation.

  1. [↑](Print_version.html#cite_ref-616) R. v. Gruenke, [1991 CanLII 40](http://canlii.ca/t/1fsjh) (SCC), [1991] 3 SCR 263
  2. [↑](Print_version.html#cite_ref-617) Gruenke

## Confidentiality[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-12)]

### Journalist Sources[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-13)]

Where appropriate, "the courts will respect a promise of confidentiality given to a secret source by a journalist or an editor."However, where the public's interest in protecting sources is outweighed by other interests promises of secrecy cannot be maintained.[[1]](Print_version.html#cite_note-618)

Confidentiality of journalistic sources can be measured on a case-by-case basis based on the "Wigmore criteria".[[2]](Print_version.html#cite_note-619) Confidentiality will be upheld if:[[3]](Print_version.html#cite_note-620)

  1. the communication originates in a confidence that the identity of the informant will not be disclosed;
  2. the confidence is essential to the relationship in which the communication arises;
  3. the relationship is one which should be sedulously fostered in the public good; and
  4. the public interest in protecting the identity of the informant from disclosure outweighs the public interest in getting at the truth.

In R v National Post [2010 SCC 16](http://canlii.ca/t/29l77), the Court found that the fourth criteria was not made out where a journalist would not reveal a source who had potentially forged documents implicating a former prime minister in a illegal transaction.

  1. [↑](Print_version.html#cite_ref-618) R v National Post [2010 SCC 16](http://canlii.ca/t/29l77)
  2. [↑](Print_version.html#cite_ref-619) ibid
  3. [↑](Print_version.html#cite_ref-620) ibid

## Waiver of Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-14)]

Inadvertently disclosing privileged information does not automatically result in a waiver of privilege. Implied waiver could be established by knowledge of disclosure of the information and silence in response to disclosing the documents. The court must look at all the circumstances.[[1]](Print_version.html#cite_note-621)

  1. [↑](Print_version.html#cite_ref-621) R v Chapelstone Developments Inc. [2004 NBCA 96](http://canlii.ca/t/1jchb) (CanLII)

### Solicitor-Client Privilege[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Privilege&action=edit&section=T-15)]

Only the client can waive solicitor-client privilege.[[1]](Print_version.html#cite_note-622) It must be waived intentionally.

The client cannot be compelled to waive privilege by answering questions in the course of litigation. [[2]](Print_version.html#cite_note-623)

A waiver of privilege can arise from an accused making allegations attacking competency of counsel using what would otherwise be privileged information.[[3]](Print_version.html#cite_note-624) The waiver of privilege only covers evidence concerning the issue alleged.[[4]](Print_version.html#cite_note-625)

  1. [↑](Print_version.html#cite_ref-622) McClure at para 37
  2. [↑](Print_version.html#cite_ref-623) R v Creswell, [2000 BCCA 583](http://www.canlii.org/en/bc/bcca/doc/2000/2000bcca583/2000bcca583.html), 149 CCC (3d) 268
  3. [↑](Print_version.html#cite_ref-624) R. v. Hobbs [2009 NSCA 90](http://canlii.ca/t/25jsm) at para. 21  
R v West [2009 NSCA 94](http://canlii.ca/t/25nf8) at para. 16  

  4. [↑](Print_version.html#cite_ref-625) R v Dunbar [1982] OJ No 581 (ONCA) at 67

# IV - Appendix[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit&section=12)]

# Hearsay Applications[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-1)]

This is a cheat sheet for making applications to admit prior statements as evidence for the truth of its contents.

The need to admit the prior statement in for the truth of its contents arises out of several scenarios:

  * the witness states they do not recall the evidence from the statement and their memory cannot be refreshed (either honestly or not);
  * the witness states that the events occurred differently from how they were stated in the statement;
  * the witness is unavailable;

The options for the Crown is to do any of the following:

  * refresh the memory of the witness with the prior statement (Coffin Application)
  * seek to admit the prior statement for the truth of its contents (KGB or Khan Application)
  * seek to cross-examine the witness on the prior statement (s. 9(2) of CEA)
  * seek to cross-examine the witness as an adverse/hostile witness (s. 9(1) of CEA)

Many times all these options are chosen. The Coffin Application is generally required before the latter options are to be considered. This is to allow the witness a chance to adopt the statement without going through the other steps. The cross-examination applications can be used to bring out evidence discrediting the reliability of the new version of events (as the case may be), or to establish the reliability and necessity of the prior statement for the purpose of the Hearsay Application.

## Process Summary[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-2)]

Scenario "I can't remember what happened" "I wasn't accurate in my prior statement" Witness is Absent

When to invoke

  1. The witness states that they cannot recall events that are recorded in a prior statement

  1. The witness states that their prior statement was false or inaccurate from events they can testify to in court

  1. The witness is missing or otherwise unavailable to testify

Step 0: Before Court

  1. Have copies of transcript or written statement as well as the audio / video recording
  2. Have the witness review the written statement before court

Step 1: Est. Type of Hearsay Issue

  1. Exhaust the memory of the witness

(Coffin Application)

  1. Establish a prior occasion where they talked to police about the case
  2. Establish when/where/how of the prior statement
  3. Allow the witness to read the transcript of the statement to refresh the memory (This is best done before court)
  4. Confirm that the statement is accurate in recording the questions asked and answers given

  1. Establish new version of events that are different from the original statement
  2. Establish a prior occasion where they talked to police about the case
  3. Establish when/where/how of the prior statement
  4. Allow the witness to read the transcript of the statement to refresh the memory (This is best done before court)
  5. Confirm that the statement is accurate in recording the questions asked and answers given

  1. Establish that a witness who gave a statement to the police is not present at court (all evidence coming from the relevant peace officer)
  2. Establish a prior occasion where the missing witness talked to police about the case
  3. Establish when/where/how of the prior statement
  4. Allow the witness to read the transcript of the statement to refresh the memory (This is best done before court)
  5. Confirm that the statement is accurate in recording the questions asked and answers given

Step 2: Est. Inconsistency

(9(2) Application)

  1. Crown should have the witness and jury excused for beginning of voir dire
  2. Crown may have to call additional evidence to prove the prior statement, if not already established by the witness, defence can cross-examine on creation of statement
  3. Crown indicates that in comparing the statement to the current testimony, there may be an inconsistency
  4. Crown proceeds with 9(2) Application 
    1. Crown shows transcript to the judge - marked as exhibit
    2. Crown begins voir dire, asks for consent to having V/D evidence apply to trial
    3. Judge hears submissions from both sides on whether there is an inconsistency
  5. Factors in argument include: i) the level of detail which is not remembered; ii) whether any omissions are significant in the context iii) the materiality of the inconsistency
  6. The judge makes a ruling allowing cross-examination on the prior statement
N/A

Step 3: Impeachment on Statement

(only permitted if the Judge permits cross-examination)  


  1. If not already, the Jury should be excused for the duration of the voir dire
  2. The witness is recalled
  3. witness is cross examined on circ. of statement, personal circumstances at the time, voluntariness of statement, importance of statement, consequences of a false statement
  4. Impeach witness: confirm current testimony, confront with prior statement, give credit to prior statement
Same
N/A

Step 4: Attack Overall Credibility

(9(1) Application)  


  1. request judge to declare witness as Hostile
  2. reasons will be based on the evidence established in impeachment as well as demeanor evidence
  3. if judge declares witness hostile, counsel may cross-examine at large
Same
N/A

Step 5: Hearsay Application

  1. jury should be excused if not already
  2. Crown should have the witness and jury excused for beginning of voir dire
  3. Crown may have to call additional evidence to prove the prior statement, if not already established by the witness, defence can cross-examine on creation of statement
  4. Crown should call evidence supporting necessity and reliability of the statement
  5. Crown may be able to rely on evidence heard in 9(2) application and subsequent cross-examination to establish both necessity and reliability of the prior statement.
  6. Crown argument includes: i) direct evidence either not possible or too difficult; ii) prior statement contains information that provides full and accurate account

  1. Crown may be able to rely on evidence heard in 9(2) application and subsequent cross-examination to establish both necessity and reliability of the prior statement.
  2. Crown argument includes: i) direct evidence either not possible or too difficult; ii) prior statement contains information that provides full and accurate account

  1. Establish that the witness was searched for diligently and was not found _or_ was reasonably believed to be unavailable due to death, incapacity, or active avoidance
  2. Crown may also rely on evidence of officer testifying to the making of the statement / may want to call any other witnesses who can testify to the circumstances of the taking of the statement to establish voluntariness, presence of any pressures, emotional and physical state, etc.
  3. Crown argument includes: i) direct evidence either not possible or too difficult; ii) prior statement contains information that provides full and accurate account

In a sense the process involves a number of voir dires. The process can be done in separate parts or all in a seamless process, the latter being the preferred method. Regardless of the method, the evidence from one phase may be used to support the next phase. Effectively, the evidence of each voir dire is considered as a whole regardless of whether the defence consents or not.[[1]](Print_version.html#cite_note-626) The court, in determining whether to grant the KGB application, may in certain cases also consider evidence hearing in the trial itself, again without consent of defence.[[2]](Print_version.html#cite_note-627)

  1. [↑](Print_version.html#cite_ref-626) R. v. H. (S.) (1998), 14 C.R. (5th) 80, 37 W.C.B. (2d) 362 (Ont. Prov. Div.) at para. 14 - 22
  2. [↑](Print_version.html#cite_ref-627) H(S) at para. 20

## Coffin Application (Refreshing Memory)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-3)]

Where a witness is testifying and cannot recall their anticipated evidence (whether feigned or honest) the party should attempt to refresh their memory from their prior statement. A [Coffin Application](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Refreshing_Memory) is the method by which a witness's memory can be refreshed in anticipation of a Hearsay application.

Once the application is complete and the witness' memory is not refreshed, the applicant should turn to either a KGB application, if the lack of memory is believed to be feigned, or a Khan application if the memory loss is genuine. The court should make a ruling on which it is, however, where it is unclear, it is best to proceed as a KGB application. The KBG has a higher standard of evidence than a Khan application.

See R v Stewart, [1976 CanLII 202](http://canlii.ca/t/1z6bm) (SCC), [1977] 2 SCR 748

### Written Statement[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-4)]

This applies to written statements made in the course of the police taking statement as part of their investigation.

The witness should be asked about recalling the following:

  1. encountering the police at a specific time and place
  2. knowledge of the manner the police became involved
  3. speaking to officers
  4. officers names
  5. ID'ing officers at court
  6. the officers asking about what happened
  7. telling them some information in response
  8. gave a _written_ statement between a certain period of time
  9. the number of pages in length
  10. had a chance to review it
  11. had a chance to make any changes needed
  12. never made any changes to it
  13. signed it on completion
  14. signed by officer present at court

**Next ask the court permission to have the witness review the statement. If the judge does not allow it, then call the officer to prove the statement.**

  1. confirm statement in their hand writing
  2. confirm their signature on each page
  3. confirm polices signature on page
  4. go line by line confirming, whether that was what was said by the witness
  5. confirm whether it is his statement
  6. confirm whether the statement refreshes their memory

**if the witness denies that it is her statment, you must call the officer to prove that it was her statement.**

**Go back to the original question asked for which the witness could not recall**

  1. confirm whether the statement refreshes their memory to answer the initial question

### Oral Statement reduced to writing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-5)]

This applies to oral statements that were reduced to writing such as in a police officer's notebook.

The witness should be asked about recalling the following:

  1. encountering the police at a specific time and place
  2. knowledge of the manner the police became involved
  3. speaking to officers
  4. officers names
  5. ID'ing officers at court
  6. the officers asking about what happened
  7. telling them some information in response
  8. gave a _verbal_ statement
  9. saw the officers take note in their books
  10. officers give them a chance to review the statement
  11. officers give them a chance to correct or change the statement
  12. the witness signed the statement
  *     * Next ask the court permission to have the witness review the statement. If the judge does not allow it, then call the officer to prove the statement. **
  1. go line by line confirming, wehther that was what was said by the witness
  *     * Go back to the original question asked for which the witness could not recall
  1. confirm whether the statement refreshes their memory to answer the initial question

### Oral Statement recorded[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-6)]

This applies to oral statements that was recorded such as a 911 call.

The witness should be asked about recalling the following:

  1. calling 911
  2. speaking to an operator
  3. being asked what the emergency was
  4. made a report
  5. asked questions and details

**Next ask the court permission to play the recording. If the judge does not allow it, then call the 911 operator to prove the statement.**

  1. ID voices recorded
  2. confirm the recording is complete, nothing is missing, and is accurate

**Go back to the original question asked for which the witness could not recall**

  1. confirm whether the statement refreshes their memory to answer the initial question

## Khan Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-7)]

**When Available**

  * **witness unavailable** (e.g. missing or dead) -- application should be brought before the beginning of a jury trial; but any time while in Judge-alone trial.
  * **witness is incompetent**
  * **witness is unable to recall events**

Steps:

    1\. seek consent to start voir dire and that evidence will blend with trial
    2\. call witness to establish necessity (that the prior statement was _reasonably_ necessary)
    3\. call witness to establish signs of reliability (threshold)
    4\. other side may cross-examine witness on reliability/necessity
    5\. defence may call witnesses; crown will cross-examine
    6\. argument on admissibility of statement

### Necessity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-8)]

Must show:

  * necessary to prove fact in issue
  * other direct evidence either not possible or too difficult
  * prior statement contains info that provides full and accurate account (see Khan, Smith, FWJ)
  * why the witness is not available

**Examples**

  * witness dead (Smith 1992 SCC)
  * witness left jurisdiction
  * witness failed to attend after being subpeonaed
  * witness has memory loss (Fullerton 1994)
  * witness has false memory loss [[1]](Print_version.html#cite_note-628)
  * witness refuses to testify (Trudell, Green)
  * spousal privilege (Hawkins 1996 SCC)
  * witness is child
  * witness is incompetent
  * witness has disability

## KGB Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-9)]

**When Available?**

  * When the Witness recants from a prior statment and adopts a new version of events

Steps:

    1\. get **all details** from the witness' present memory
    2\. ask how clear the memory is. if memory not clear: 

    a. refresh memory by showing prior statement (N.B. confirm author/time/place)
    b. ask if it refreshes memory
    c. ask for recollection again (witness will likely give some excuse why not able to remember)
    3\. ask about circumstances of giving prior statement to give signs of reliability: 

    a. whether witness made the complaint to police
    b. whether statement given to official/police officer
    c. type of narrative of statment (Questions and Answer style)
    d. whether witness knew if statement was being recorded
    e. whether the statement was sworn
    f. whether witness was warned of risk of lying
    g. state of sobriety at the time of statement
    h. emotional state at time of statement
    i. voluntariness of giving statement

At this point the accused may be able to cross examine the witness. This point the applicant will ask the court whether to declare the witness as hostile to be cross-examined.

Cross-examination on Statement:

    1\. establish voluntariness of statement
    2.

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-10)]

  1. [↑](Print_version.html#cite_ref-628) See: R. v. Conway, (1997), 121 CCC (3d) 397 at 410 (Ont. C.A.) [[45]](http://www.canlii.org/en/on/onca/doc/1997/1997canlii2726/1997canlii2726.html)  
R. v. Savoy, [2000] B.C.J. No. 551 (B.C.S.C.)  
R. v. Diu, (2000), 144 C.C.C. (3d) 481 (Ont. C.A.)[[46]](http://www.canlii.org/en/on/onca/doc/2000/2000canlii4535/2000canlii4535.html)  
R. v. Tat (1997), 117 C.C.C. (3d) 481 (Ont. C.A.)[[47]](http://www.canlii.org/en/on/onca/doc/1997/1997canlii2234/1997canlii2234.html)  


## See also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Hearsay_Applications&action=edit&section=T-11)]

  * [Canadian_Criminal_Evidence/Case_Law#Hearsay Exceptions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Case_Law#Hearsay_Exceptions)

  


# Model Examinations[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Voir Dire[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Model_Examinations&action=edit&section=T-1)]

  * [Canadian Criminal Evidence/Model Examinations/Voluntariness Voir Dire](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations/Voluntariness_Voir_Dire)
  * [Hearsay Voir Dire](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay_Applications)
  * [Canadian Criminal Evidence/Model Examinations/Exhibits](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations/Exhibits)

## Expert Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Model_Examinations&action=edit&section=T-2)]

  * [Canadian Criminal Evidence/Model Examinations/Fire Experts](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations/Fire_Experts)
  * [Canadian Criminal Evidence/Model Examinations/Dog Tracking Experts](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Model_Examinations/Dog_Tracking_Experts)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Model_Examinations&action=edit&section=T-3)]

  * [Canadian Criminal Law/Appendix/Model Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Appendix/Model_Examinations)
  * [Canadian_Criminal_Procedure_and_Practice/Appendix/Model_Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appendix/Model_Examinations)
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&oldid=2475570](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&oldid=2475570)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Category:Canadian_Criminal_Evidence)
  * [Canadian Criminal Defences](http://en.wikibooks.org/wiki/Category:Canadian_Criminal_Defences)

Hidden categories: 

  * [Books with print version](http://en.wikibooks.org/wiki/Category:Books_with_print_version)
  * [Stubs](http://en.wikibooks.org/wiki/Category:Stubs)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Evidence%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Evidence%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Canadian_Criminal_Evidence/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Canadian_Criminal_Evidence/Print_version)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Canadian_Criminal_Evidence/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Canadian_Criminal_Evidence/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&oldid=2475570)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Canadian_Criminal_Evidence%2FPrint_version&id=2475570)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Canadian+Criminal+Evidence%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Canadian+Criminal+Evidence%2FPrint+version&oldid=2475570&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&printable=yes)

    * This page was last modified on 9 January 2013, at 22:56.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Canadian_Criminal_Evidence/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
