# Canadian Criminal Procedure and Practice/Print version

From Wikibooks, open books for an open world

< [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Canadian_Criminal_Procedure_and_Practice/Print_version) on _24 September 2012_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&oldid=2410880&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=purge&printable=yes) this page.

## Contents

  * [1 _Introduction_](Print_version.html#Introduction)
  * [2 Introduction](Print_version.html#Introduction_2)
    * [2.1 Preface](Print_version.html#Preface)
    * [2.2 Organization of the Book](Print_version.html#Organization_of_the_Book)
  * [3 _Police Investigation_](Print_version.html#Police_Investigation)
  * [4 Arrest and Detention](Print_version.html#Arrest_and_Detention)
    * [4.1 Introduction](Print_version.html#Introduction_3)
    * [4.2 Topics](Print_version.html#Topics)
    * [4.3 References](Print_version.html#References)
  * [5 Arrest and Detention/Investigative Detention](Print_version.html#Arrest_and_Detention.2FInvestigative_Detention)
    * [5.1 General Principles](Print_version.html#General_Principles)
    * [5.2 Right Against Arbitrary Detention](Print_version.html#Right_Against_Arbitrary_Detention)
    * [5.3 Types of Detention](Print_version.html#Types_of_Detention)
    * [5.4 Public Encounters](Print_version.html#Public_Encounters)
      * [5.4.1 Answering Questions](Print_version.html#Answering_Questions)
    * [5.5 Motor Vehicle stops](Print_version.html#Motor_Vehicle_stops)
    * [5.6 Rights Upon Detention](Print_version.html#Rights_Upon_Detention)
      * [5.6.1 Right to be Informed of Reasons](Print_version.html#Right_to_be_Informed_of_Reasons)
      * [5.6.2 Right to Counsel](Print_version.html#Right_to_Counsel)
    * [5.7 Search Incident to Detention](Print_version.html#Search_Incident_to_Detention)
    * [5.8 See Also](Print_version.html#See_Also)
  * [6 Arrest and Detention/Warrant Arrests](Print_version.html#Arrest_and_Detention.2FWarrant_Arrests)
    * [6.1 General Principles](Print_version.html#General_Principles_2)
    * [6.2 Judge Issued Warrant](Print_version.html#Judge_Issued_Warrant)
    * [6.3 Feeney Warrant of Arrest](Print_version.html#Feeney_Warrant_of_Arrest)
    * [6.4 Outside Native Jurisdiction](Print_version.html#Outside_Native_Jurisdiction)
      * [6.4.1 Canada-wide Warrant](Print_version.html#Canada-wide_Warrant)
      * [6.4.2 Transferring Local Warrants to Different Provinces](Print_version.html#Transferring_Local_Warrants_to_Different_Provinces)
      * [6.4.3 Executing Warrants from Other Provinces](Print_version.html#Executing_Warrants_from_Other_Provinces)
    * [6.5 See Also](Print_version.html#See_Also_2)
    * [6.6 References](Print_version.html#References_2)
  * [7 Arrest and Detention/Warrantless Arrests](Print_version.html#Arrest_and_Detention.2FWarrantless_Arrests)
    * [7.1 Introduction](Print_version.html#Introduction_4)
    * [7.2 Reasonable Grounds](Print_version.html#Reasonable_Grounds)
      * [7.2.1 Finds committing](Print_version.html#Finds_committing)
    * [7.3 Technological Detection](Print_version.html#Technological_Detection)
      * [7.3.1 Sniffers Dogs](Print_version.html#Sniffers_Dogs)
    * [7.4 Confidential informers](Print_version.html#Confidential_informers)
    * [7.5 See Also](Print_version.html#See_Also_3)
  * [8 Arrest and Detention/Arrest Procedure](Print_version.html#Arrest_and_Detention.2FArrest_Procedure)
    * [8.1 Introduction](Print_version.html#Introduction_5)
    * [8.2 Right to be Informed of Charges](Print_version.html#Right_to_be_Informed_of_Charges)
    * [8.3 Right to Counsel](Print_version.html#Right_to_Counsel_2)
    * [8.4 Right to Silence and Right Against Self-Crimination](Print_version.html#Right_to_Silence_and_Right_Against_Self-Crimination)
      * [8.4.1 Secondary Caution](Print_version.html#Secondary_Caution)
    * [8.5 Post-Charge Detention](Print_version.html#Post-Charge_Detention)
  * [9 Arrest and Detention/Right to Counsel](Print_version.html#Arrest_and_Detention.2FRight_to_Counsel)
    * [9.1 General Principles](Print_version.html#General_Principles_3)
    * [9.2 Informational Component](Print_version.html#Informational_Component)
    * [9.3 Implementation Component](Print_version.html#Implementation_Component)
      * [9.3.1 Diligence of the Detainee](Print_version.html#Diligence_of_the_Detainee)
      * [9.3.2 Choice of Counsel](Print_version.html#Choice_of_Counsel)
      * [9.3.3 Police Methods](Print_version.html#Police_Methods)
    * [9.4 Post-fulfillment](Print_version.html#Post-fulfillment)
      * [9.4.1 Delay](Print_version.html#Delay)
    * [9.5 Special Issues](Print_version.html#Special_Issues)
      * [9.5.1 Change of Jeopardy](Print_version.html#Change_of_Jeopardy)
      * [9.5.2 Communication difficulties](Print_version.html#Communication_difficulties)
    * [9.6 Waiver of Right to Counsel](Print_version.html#Waiver_of_Right_to_Counsel)
      * [9.6.1 Prosper Warning](Print_version.html#Prosper_Warning)
    * [9.7 Young Persons](Print_version.html#Young_Persons)
    * [9.8 Foreign Nationals](Print_version.html#Foreign_Nationals)
    * [9.9 See Also](Print_version.html#See_Also_4)
  * [10 Exclusion of Evidence](Print_version.html#Exclusion_of_Evidence)
    * [10.1 General Principles](Print_version.html#General_Principles_4)
    * [10.2 Seriousness of police misconduct](Print_version.html#Seriousness_of_police_misconduct)
    * [10.3 Impact on personal interests](Print_version.html#Impact_on_personal_interests)
    * [10.4 Interest in Trying Case on Merits](Print_version.html#Interest_in_Trying_Case_on_Merits)
    * [10.5 Interests for specific offences](Print_version.html#Interests_for_specific_offences)
      * [10.5.1 Motor Vehicle Offences](Print_version.html#Motor_Vehicle_Offences)
      * [10.5.2 Weapons Offences](Print_version.html#Weapons_Offences)
    * [10.6 Pre-Grant Analysis](Print_version.html#Pre-Grant_Analysis)
      * [10.6.1 Collins/Stillman Analysis](Print_version.html#Collins.2FStillman_Analysis)
      * [10.6.2 Conscriptive Evidence](Print_version.html#Conscriptive_Evidence)
    * [10.7 Relevant Charter Rights](Print_version.html#Relevant_Charter_Rights)
  * [11 Waiver of Charter Rights](Print_version.html#Waiver_of_Charter_Rights)
    * [11.1 General Principles](Print_version.html#General_Principles_5)
    * [11.2 See Also](Print_version.html#See_Also_5)
  * [12 _Search and Seizure_](Print_version.html#Search_and_Seizure)
  * [13 I - Privacy Rights](Print_version.html#I_-_Privacy_Rights)
  * [14 Search and Seizure/Rights against Search and Seizure](Print_version.html#Search_and_Seizure.2FRights_against_Search_and_Seizure)
    * [14.1 General Principles](Print_version.html#General_Principles_6)
    * [14.2 Meaning of a "Search"](Print_version.html#Meaning_of_a_.22Search.22)
    * [14.3 Meaning of "Seizure"](Print_version.html#Meaning_of_.22Seizure.22)
    * [14.4 Zones of Protection](Print_version.html#Zones_of_Protection)
      * [14.4.1 Personal Privacy](Print_version.html#Personal_Privacy)
      * [14.4.2 Territorial Privacy](Print_version.html#Territorial_Privacy)
      * [14.4.3 Informational Privacy](Print_version.html#Informational_Privacy)
    * [14.5 Purpose of Search](Print_version.html#Purpose_of_Search)
    * [14.6 Party Performing the Search](Print_version.html#Party_Performing_the_Search)
    * [14.7 See also](Print_version.html#See_also_6)
  * [15 Search and Seizure/Reasonable Expectation of Privacy](Print_version.html#Search_and_Seizure.2FReasonable_Expectation_of_Privacy)
    * [15.1 Introduction](Print_version.html#Introduction_6)
    * [15.2 Factors](Print_version.html#Factors)
    * [15.3 Established Zones of Privacy](Print_version.html#Established_Zones_of_Privacy)
      * [15.3.1 Vehicles](Print_version.html#Vehicles)
      * [15.3.2 Residences](Print_version.html#Residences)
      * [15.3.3 Non-dwelling Residences](Print_version.html#Non-dwelling_Residences)
      * [15.3.4 Person](Print_version.html#Person)
      * [15.3.5 Storage](Print_version.html#Storage)
      * [15.3.6 Business Records](Print_version.html#Business_Records)
    * [15.4 Garbage](Print_version.html#Garbage)
      * [15.4.1 Computers and Electronic Devices](Print_version.html#Computers_and_Electronic_Devices)
      * [15.4.2 Peer-to-Peer Software](Print_version.html#Peer-to-Peer_Software)
        * [15.4.2.1 Memory Sticks](Print_version.html#Memory_Sticks)
        * [15.4.2.2 Cell phones](Print_version.html#Cell_phones)
      * [15.4.3 Prisons](Print_version.html#Prisons)
  * [16 II - Warrantless Searches](Print_version.html#II_-_Warrantless_Searches)
    * [16.1 Types of Search](Print_version.html#Types_of_Search)
  * [17 Search and Seizure/Warrantless Searches/Abandoned Property](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FAbandoned_Property)
    * [17.1 Principles](Print_version.html#Principles)
    * [17.2 Case Digests](Print_version.html#Case_Digests)
    * [17.3 References](Print_version.html#References_3)
  * [18 Search and Seizure/Warrantless Searches/Consent Search](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FConsent_Search)
    * [18.1 Principles](Print_version.html#Principles_2)
    * [18.2 Who has authority to give consent and Third Party Consent](Print_version.html#Who_has_authority_to_give_consent_and_Third_Party_Consent)
    * [18.3 Mandatory Consent](Print_version.html#Mandatory_Consent)
    * [18.4 Consent by Organizations Holding Personal Information](Print_version.html#Consent_by_Organizations_Holding_Personal_Information)
    * [18.5 See Also](Print_version.html#See_Also_7)
  * [19 Search and Seizure/Warrantless Searches/Exigent Circumstances](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FExigent_Circumstances)
    * [19.1 General Principles](Print_version.html#General_Principles_7)
    * [19.2 Entry of residences](Print_version.html#Entry_of_residences)
      * [19.2.1 Hot Pursuit Exception](Print_version.html#Hot_Pursuit_Exception)
    * [19.3 Wiretap](Print_version.html#Wiretap)
  * [20 Search and Seizure/Warrantless Searches/Incident to Arrest](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FIncident_to_Arrest)
    * [20.1 General Principles](Print_version.html#General_Principles_8)
    * [20.2 Person Arrested](Print_version.html#Person_Arrested)
    * [20.3 Motor vehicles](Print_version.html#Motor_vehicles)
    * [20.4 Passengers of Vehicles](Print_version.html#Passengers_of_Vehicles)
    * [20.5 Computers](Print_version.html#Computers)
    * [20.6 Cell phones](Print_version.html#Cell_phones_2)
    * [20.7 Other Scenarios](Print_version.html#Other_Scenarios)
  * [21 Search and Seizure/Warrantless Searches/Incident to Detention](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FIncident_to_Detention)
    * [21.1 General Principles](Print_version.html#General_Principles_9)
    * [21.2 Vehicle Searches](Print_version.html#Vehicle_Searches)
    * [21.3 Roadside Stops](Print_version.html#Roadside_Stops)
  * [22 Search and Seizure/Warrantless Searches/Plain View](Print_version.html#Search_and_Seizure.2FWarrantless_Searches.2FPlain_View)
    * [22.1 General Principles](Print_version.html#General_Principles_10)
    * [22.2 Technological Detection](Print_version.html#Technological_Detection_2)
      * [22.2.1 FLIR](Print_version.html#FLIR)
      * [22.2.2 Sniffer Dogs](Print_version.html#Sniffer_Dogs)
  * [23 III - Warrant Searches](Print_version.html#III_-_Warrant_Searches)
    * [23.1 Introduction](Print_version.html#Introduction_7)
    * [23.2 Purpose of a warrant](Print_version.html#Purpose_of_a_warrant)
    * [23.3 Procedure for Obtaining a Warrant](Print_version.html#Procedure_for_Obtaining_a_Warrant)
    * [23.4 Issuing of Warrant: Reasonable and Probable Grounds](Print_version.html#Issuing_of_Warrant:_Reasonable_and_Probable_Grounds)
    * [23.5 Standard of Review: The Garofoli Application](Print_version.html#Standard_of_Review:_The_Garofoli_Application)
    * [23.6 Contents of an ITO](Print_version.html#Contents_of_an_ITO)
      * [23.6.1 Basic elements](Print_version.html#Basic_elements)
      * [23.6.2 Drafting Practices](Print_version.html#Drafting_Practices)
      * [23.6.3 Full, Frank and Fair Disclosure](Print_version.html#Full.2C_Frank_and_Fair_Disclosure)
      * [23.6.4 Procedure](Print_version.html#Procedure)
      * [23.6.5 Description of the Place to be Searched](Print_version.html#Description_of_the_Place_to_be_Searched)
        * [23.6.5.1 Error in Addresses](Print_version.html#Error_in_Addresses)
      * [23.6.6 Description of Thing(s) to be Seized](Print_version.html#Description_of_Thing.28s.29_to_be_Seized)
    * [23.7 Types of Evidence Used](Print_version.html#Types_of_Evidence_Used)
      * [23.7.1 Statement by Accused](Print_version.html#Statement_by_Accused)
      * [23.7.2 Criminal Records](Print_version.html#Criminal_Records)
      * [23.7.3 Hearsay](Print_version.html#Hearsay)
      * [23.7.4 Expert Evidence](Print_version.html#Expert_Evidence)
    * [23.8 Frequent Errors](Print_version.html#Frequent_Errors)
      * [23.8.1 Omissions, mischaracterizations, Material Non Disclosure](Print_version.html#Omissions.2C_mischaracterizations.2C_Material_Non_Disclosure)
      * [23.8.2 Nexus between Offence Evidence and Premises](Print_version.html#Nexus_between_Offence_Evidence_and_Premises)
      * [23.8.3 Overbroad Authority](Print_version.html#Overbroad_Authority)
    * [23.9 Special Issues](Print_version.html#Special_Issues_2)
      * [23.9.1 Computer Investigations](Print_version.html#Computer_Investigations)
      * [23.9.2 Law Offices](Print_version.html#Law_Offices)
    * [23.10 Sealing and Unsealing of Warrants](Print_version.html#Sealing_and_Unsealing_of_Warrants)
      * [23.10.1 Vetting Procedure](Print_version.html#Vetting_Procedure)
    * [23.11 Topics](Print_version.html#Topics_2)
    * [23.12 See Also](Print_version.html#See_Also_8)
  * [24 Search and Seizure/Bodily Samples](Print_version.html#Search_and_Seizure.2FBodily_Samples)
    * [24.1 Introduction](Print_version.html#Introduction_8)
    * [24.2 DNA Sample (s.487.05)](Print_version.html#DNA_Sample_.28s.487.05.29)
    * [24.3 Blood sample demand (s.254 (3))](Print_version.html#Blood_sample_demand_.28s.254_.283.29.29)
    * [24.4 DRE Blood sample demand (s.254 (3.4))](Print_version.html#DRE_Blood_sample_demand_.28s.254_.283.4.29.29)
    * [24.5 Blood sample warrant (s. 256)](Print_version.html#Blood_sample_warrant_.28s._256.29)
    * [24.6 Body Print Impression Warrant (487.092)](Print_version.html#Body_Print_Impression_Warrant_.28487.092.29)
    * [24.7 See Also](Print_version.html#See_Also_9)
  * [25 Search and Seizure/Wiretaps](Print_version.html#Search_and_Seizure.2FWiretaps)
    * [25.1 Generally](Print_version.html#Generally)
      * [25.1.1 Private Communication](Print_version.html#Private_Communication)
      * [25.1.2 Interception](Print_version.html#Interception)
    * [25.2 Grounds for Application](Print_version.html#Grounds_for_Application)
    * [25.3 Sealing of Authorization](Print_version.html#Sealing_of_Authorization)
    * [25.4 Unsealing of Authorization](Print_version.html#Unsealing_of_Authorization)
    * [25.5 Review of Authorization](Print_version.html#Review_of_Authorization)
    * [25.6 Interception with Consent](Print_version.html#Interception_with_Consent)
      * [25.6.1 Prevent Bodily Harm](Print_version.html#Prevent_Bodily_Harm)
    * [25.7 Emergency Wiretap](Print_version.html#Emergency_Wiretap)
    * [25.8 References](Print_version.html#References_4)
  * [26 Search and Seizure/CDSA Warrants](Print_version.html#Search_and_Seizure.2FCDSA_Warrants)
    * [26.1 General Principles](Print_version.html#General_Principles_11)
  * [27 Search and Seizure/Foreign Warrants](Print_version.html#Search_and_Seizure.2FForeign_Warrants)
    * [27.1 Search warrants coming from outside of the province](Print_version.html#Search_warrants_coming_from_outside_of_the_province)
    * [27.2 Search warrants coming from outside of Canada](Print_version.html#Search_warrants_coming_from_outside_of_Canada)
    * [27.3 Search warrants going outside of Canada](Print_version.html#Search_warrants_going_outside_of_Canada)
    * [27.4 See Also](Print_version.html#See_Also_10)
    * [27.5 References](Print_version.html#References_5)
  * [28 Search and Seizure/General Warrants](Print_version.html#Search_and_Seizure.2FGeneral_Warrants)
    * [28.1 General Principles](Print_version.html#General_Principles_12)
    * [28.2 Purpose of Search](Print_version.html#Purpose_of_Search_2)
    * [28.3 Manner of Search](Print_version.html#Manner_of_Search)
      * [28.3.1 Video surveillance](Print_version.html#Video_surveillance)
      * [28.3.2 Lawyer's Office](Print_version.html#Lawyer.27s_Office)
  * [29 Search and Seizure/Telewarrants](Print_version.html#Search_and_Seizure.2FTelewarrants)
    * [29.1 General Principles](Print_version.html#General_Principles_13)
    * [29.2 Impracticable to Attend in Person](Print_version.html#Impracticable_to_Attend_in_Person)
    * [29.3 Accepted Reasons](Print_version.html#Accepted_Reasons)
  * [30 IV - Remedy, Waiver and Other Issues](Print_version.html#IV_-_Remedy.2C_Waiver_and_Other_Issues)
  * [31 Exclusion of Evidence](Print_version.html#Exclusion_of_Evidence_2)
    * [31.1 General Principles](Print_version.html#General_Principles_14)
    * [31.2 Seriousness of police misconduct](Print_version.html#Seriousness_of_police_misconduct_2)
    * [31.3 Impact on personal interests](Print_version.html#Impact_on_personal_interests_2)
    * [31.4 Interest in Trying Case on Merits](Print_version.html#Interest_in_Trying_Case_on_Merits_2)
    * [31.5 Interests for specific offences](Print_version.html#Interests_for_specific_offences_2)
      * [31.5.1 Motor Vehicle Offences](Print_version.html#Motor_Vehicle_Offences_2)
      * [31.5.2 Weapons Offences](Print_version.html#Weapons_Offences_2)
    * [31.6 Pre-Grant Analysis](Print_version.html#Pre-Grant_Analysis_2)
      * [31.6.1 Collins/Stillman Analysis](Print_version.html#Collins.2FStillman_Analysis_2)
      * [31.6.2 Conscriptive Evidence](Print_version.html#Conscriptive_Evidence_2)
    * [31.7 Relevant Charter Rights](Print_version.html#Relevant_Charter_Rights_2)
  * [32 Waiver of Charter Rights](Print_version.html#Waiver_of_Charter_Rights_2)
    * [32.1 General Principles](Print_version.html#General_Principles_15)
    * [32.2 See Also](Print_version.html#See_Also_11)
  * [33 Search and Seizure/Seizure of Property](Print_version.html#Search_and_Seizure.2FSeizure_of_Property)
    * [33.1 Seizure of Things Not Specified](Print_version.html#Seizure_of_Things_Not_Specified)
    * [33.2 Procedure Upon Seizure of Property](Print_version.html#Procedure_Upon_Seizure_of_Property)
      * [33.2.1 Inventory Searches](Print_version.html#Inventory_Searches)
    * [33.3 Detention Order](Print_version.html#Detention_Order)
    * [33.4 Extending Time Period of Detention](Print_version.html#Extending_Time_Period_of_Detention)
    * [33.5 Release and Return of Property](Print_version.html#Release_and_Return_of_Property)
    * [33.6 Access to Exhibits](Print_version.html#Access_to_Exhibits)
      * [33.6.1 Release of Exhibits for Testing](Print_version.html#Release_of_Exhibits_for_Testing)
      * [33.6.2 Media Access to Exhibits](Print_version.html#Media_Access_to_Exhibits)
    * [33.7 Special Seizure Powers](Print_version.html#Special_Seizure_Powers)
      * [33.7.1 Firearms](Print_version.html#Firearms)
        * [33.7.1.1 Exigent Circumstances](Print_version.html#Exigent_Circumstances)
        * [33.7.1.2 Failure to Produce Authorization](Print_version.html#Failure_to_Produce_Authorization)
        * [33.7.1.3 Danger to self or public](Print_version.html#Danger_to_self_or_public)
    * [33.8 See Also](Print_version.html#See_Also_12)
  * [34 _Release and Attendance_](Print_version.html#Release_and_Attendance)
  * [35 Release and Attendance](Print_version.html#Release_and_Attendance_2)
    * [35.1 Introduction](Print_version.html#Introduction_9)
    * [35.2 Attendance without Arrest](Print_version.html#Attendance_without_Arrest)
      * [35.2.1 Appearance Notice](Print_version.html#Appearance_Notice)
    * [35.3 Attendance on Release from a Warrantless Arrest](Print_version.html#Attendance_on_Release_from_a_Warrantless_Arrest)
      * [35.3.1 Summons and Appearance Notice](Print_version.html#Summons_and_Appearance_Notice)
      * [35.3.2 Promise to Appear or Recognizance](Print_version.html#Promise_to_Appear_or_Recognizance)
      * [35.3.3 Undertaking to an Officer in Charge](Print_version.html#Undertaking_to_an_Officer_in_Charge)
        * [35.3.3.1 Varying Conditions](Print_version.html#Varying_Conditions)
      * [35.3.4 Attendance from release](Print_version.html#Attendance_from_release)
    * [35.4 Release upon Warrant Arrest](Print_version.html#Release_upon_Warrant_Arrest)
      * [35.4.1 Endorsed Warrant](Print_version.html#Endorsed_Warrant)
      * [35.4.2 Unendorsed Warrant](Print_version.html#Unendorsed_Warrant)
    * [35.5 Laying an Information](Print_version.html#Laying_an_Information)
    * [35.6 Confirming Attendance](Print_version.html#Confirming_Attendance)
  * [36 Judicial Interim Release (Bail)](Print_version.html#Judicial_Interim_Release_.28Bail.29)
  * [37 Release and Attendance/Judicial Interim Release](Print_version.html#Release_and_Attendance.2FJudicial_Interim_Release)
    * [37.1 Introduction](Print_version.html#Introduction_10)
    * [37.2 Onus](Print_version.html#Onus)
    * [37.3 Release](Print_version.html#Release)
      * [37.3.1 Conditions](Print_version.html#Conditions)
      * [37.3.2 Variation and Review of Conditions](Print_version.html#Variation_and_Review_of_Conditions)
      * [37.3.3 Rendering Surety](Print_version.html#Rendering_Surety)
      * [37.3.4 Change of Surety](Print_version.html#Change_of_Surety)
    * [37.4 Grounds of Denying Bail](Print_version.html#Grounds_of_Denying_Bail)
      * [37.4.1 Primary Grounds](Print_version.html#Primary_Grounds)
      * [37.4.2 Secondary Grounds](Print_version.html#Secondary_Grounds)
      * [37.4.3 Tertiary Grounds](Print_version.html#Tertiary_Grounds)
    * [37.5 Hearing](Print_version.html#Hearing)
      * [37.5.1 Adjourning Hearing](Print_version.html#Adjourning_Hearing)
      * [37.5.2 Evidence](Print_version.html#Evidence)
    * [37.6 Breach of Release](Print_version.html#Breach_of_Release)
      * [37.6.1 Forfeiture of Bail](Print_version.html#Forfeiture_of_Bail)
    * [37.7 Revocation of Bail](Print_version.html#Revocation_of_Bail)
    * [37.8 Bail Pending Appeal](Print_version.html#Bail_Pending_Appeal)
    * [37.9 Superior Court Bail Review](Print_version.html#Superior_Court_Bail_Review)
    * [37.10 Court of Appeal Bail Review](Print_version.html#Court_of_Appeal_Bail_Review)
    * [37.11 See Also](Print_version.html#See_Also_13)
  * [38 _Counsel_](Print_version.html#Counsel)
  * [39 Role of the Crown and Defence](Print_version.html#Role_of_the_Crown_and_Defence)
    * [39.1 Role of the Crown](Print_version.html#Role_of_the_Crown)
      * [39.1.1 Purpose of Prosecution](Print_version.html#Purpose_of_Prosecution)
      * [39.1.2 Discretion of Crown](Print_version.html#Discretion_of_Crown)
      * [39.1.3 Relationship with Police](Print_version.html#Relationship_with_Police)
      * [39.1.4 Malicious Prosecution](Print_version.html#Malicious_Prosecution)
      * [39.1.5 Judge Shopping](Print_version.html#Judge_Shopping)
      * [39.1.6 Crown Undertakings](Print_version.html#Crown_Undertakings)
    * [39.2 Role of the Defence](Print_version.html#Role_of_the_Defence)
    * [39.3 Conflict of Interest](Print_version.html#Conflict_of_Interest)
      * [39.3.1 Representing Co-accused](Print_version.html#Representing_Co-accused)
    * [39.4 See Also](Print_version.html#See_Also_14)
  * [40 I - Disclosure](Print_version.html#I_-_Disclosure)
  * [41 Disclosure](Print_version.html#Disclosure)
    * [41.1 General Principles](Print_version.html#General_Principles_16)
    * [41.2 The "Stinchcomb Principles"](Print_version.html#The_.22Stinchcomb_Principles.22)
    * [41.3 Defence Raising Disclosure Issues](Print_version.html#Defence_Raising_Disclosure_Issues)
    * [41.4 When the Obligations Exist](Print_version.html#When_the_Obligations_Exist)
      * [41.4.1 Burden](Print_version.html#Burden)
      * [41.4.2 Control](Print_version.html#Control)
      * [41.4.3 Relevance](Print_version.html#Relevance)
    * [41.5 Duration of the Obligation](Print_version.html#Duration_of_the_Obligation)
      * [41.5.1 After Verdict](Print_version.html#After_Verdict)
    * [41.6 Specific Type of Disclosable Evidence](Print_version.html#Specific_Type_of_Disclosable_Evidence)
      * [41.6.1 Examples of Typical Disclosure](Print_version.html#Examples_of_Typical_Disclosure)
    * [41.7 Vetting Disclosure](Print_version.html#Vetting_Disclosure)
    * [41.8 Disclosing to Third Parties](Print_version.html#Disclosing_to_Third_Parties)
    * [41.9 Police Obligations to Collect Evidence](Print_version.html#Police_Obligations_to_Collect_Evidence)
    * [41.10 Lost or Destroyed Evidence](Print_version.html#Lost_or_Destroyed_Evidence)
    * [41.11 Consequences of Breaching the Obligation](Print_version.html#Consequences_of_Breaching_the_Obligation)
      * [41.11.1 New Trial](Print_version.html#New_Trial)
      * [41.11.2 Exclusion of Evidence](Print_version.html#Exclusion_of_Evidence_3)
      * [41.11.3 Stay of Proceedings](Print_version.html#Stay_of_Proceedings)
      * [41.11.4 Costs](Print_version.html#Costs)
    * [41.12 Other Topics](Print_version.html#Other_Topics)
    * [41.13 Digests](Print_version.html#Digests)
      * [41.13.1 Disclosure](Print_version.html#Disclosure_2)
  * [42 Disclosure/Third Party Records](Print_version.html#Disclosure.2FThird_Party_Records)
    * [42.1 Production at Common Law / O'Connor Application](Print_version.html#Production_at_Common_Law_.2F_O.27Connor_Application)
      * [42.1.1 Third Party Records vs Disclosure](Print_version.html#Third_Party_Records_vs_Disclosure)
    * [42.2 Production in Statute](Print_version.html#Production_in_Statute)
      * [42.2.1 Protected Personal Information for Sexual Offences](Print_version.html#Protected_Personal_Information_for_Sexual_Offences)
    * [42.3 Disclosing Specific Materials](Print_version.html#Disclosing_Specific_Materials)
      * [42.3.1 Training Materials](Print_version.html#Training_Materials)
      * [42.3.2 Peace Officer Misconduct ("McNeil Disclosure")](Print_version.html#Peace_Officer_Misconduct_.28.22McNeil_Disclosure.22.29)
  * [43 Disclosure/Particulars](Print_version.html#Disclosure.2FParticulars)
    * [43.1 General Principles](Print_version.html#General_Principles_17)
  * [44 _Court Proceedings_](Print_version.html#Court_Proceedings)
  * [45 I - Jurisdiction](Print_version.html#I_-_Jurisdiction)
  * [46 Jurisdiction](Print_version.html#Jurisdiction)
    * [46.1 General Principles](Print_version.html#General_Principles_18)
    * [46.2 Jurisdiction of Courts](Print_version.html#Jurisdiction_of_Courts)
      * [46.2.1 Superior Court](Print_version.html#Superior_Court)
      * [46.2.2 Provincial and Appellate Court](Print_version.html#Provincial_and_Appellate_Court)
    * [46.3 Jurisdiction over persons](Print_version.html#Jurisdiction_over_persons)
      * [46.3.1 Adults](Print_version.html#Adults)
      * [46.3.2 Specific Persons](Print_version.html#Specific_Persons)
      * [46.3.3 Youths](Print_version.html#Youths)
    * [46.4 Jurisdiction over subject matter](Print_version.html#Jurisdiction_over_subject_matter)
    * [46.5 Time limitations](Print_version.html#Time_limitations)
  * [47 II - Election](Print_version.html#II_-_Election)
  * [48 Election](Print_version.html#Election)
    * [48.1 Crown Election](Print_version.html#Crown_Election)
    * [48.2 Defence Election](Print_version.html#Defence_Election)
    * [48.3 Absolute and Exclusive Jurisdiction](Print_version.html#Absolute_and_Exclusive_Jurisdiction)
    * [48.4 Re-election](Print_version.html#Re-election)
    * [48.5 See also](Print_version.html#See_also_15)
  * [49 III - Informations and Indictments](Print_version.html#III_-_Informations_and_Indictments)
  * [50 Informations and Indictments](Print_version.html#Informations_and_Indictments)
    * [50.1 Informations and Indictments](Print_version.html#Informations_and_Indictments_2)
    * [50.2 Laying of an Information and Issuing Process](Print_version.html#Laying_of_an_Information_and_Issuing_Process)
      * [50.2.1 Indictable Offences](Print_version.html#Indictable_Offences)
      * [50.2.2 Summary Offences](Print_version.html#Summary_Offences)
    * [50.3 Validity of the Information](Print_version.html#Validity_of_the_Information)
      * [50.3.1 Motion to Quash the Information](Print_version.html#Motion_to_Quash_the_Information)
    * [50.4 Amendments to Information](Print_version.html#Amendments_to_Information)
      * [50.4.1 Conforming to the Evidence at Trial or Preliminary Inquiry](Print_version.html#Conforming_to_the_Evidence_at_Trial_or_Preliminary_Inquiry)
      * [50.4.2 Factors to Consider](Print_version.html#Factors_to_Consider)
      * [50.4.3 Prejudice](Print_version.html#Prejudice)
    * [50.5 Preferred and Direct Indictments](Print_version.html#Preferred_and_Direct_Indictments)
      * [50.5.1 Direct Indictment](Print_version.html#Direct_Indictment)
    * [50.6 See Topics](Print_version.html#See_Topics)
  * [51 IV - Pleas](Print_version.html#IV_-_Pleas)
  * [52 Pleas](Print_version.html#Pleas)
    * [52.1 Plea of Guilty](Print_version.html#Plea_of_Guilty)
    * [52.2 Plea of Not Guilty](Print_version.html#Plea_of_Not_Guilty)
    * [52.3 Special Pleas](Print_version.html#Special_Pleas)
      * [52.3.1 Autrefois Acquit and Autrefois Convict](Print_version.html#Autrefois_Acquit_and_Autrefois_Convict)
      * [52.3.2 Res Judicata](Print_version.html#Res_Judicata)
      * [52.3.3 Double Jeopardy](Print_version.html#Double_Jeopardy)
      * [52.3.4 Kienapple principle](Print_version.html#Kienapple_principle)
    * [52.4 See Also](Print_version.html#See_Also_16)
  * [53 V - Motions](Print_version.html#V_-_Motions)
  * [54 Pre-Trial and Trial Motions](Print_version.html#Pre-Trial_and_Trial_Motions)
    * [54.1 Topics](Print_version.html#Topics_3)
    * [54.2 See Also](Print_version.html#See_Also_17)
    * [54.3 Reference](Print_version.html#Reference)
  * [55 Pre-Trial Matters/Pre-Trial Conferences](Print_version.html#Pre-Trial_Matters.2FPre-Trial_Conferences)
    * [55.1 Organizational Pre-Trials](Print_version.html#Organizational_Pre-Trials)
    * [55.2 References](Print_version.html#References_6)
  * [56 Pre-Trial Matters/Applications and Motions Procedure](Print_version.html#Pre-Trial_Matters.2FApplications_and_Motions_Procedure)
    * [56.1 Motions and Applications Generally](Print_version.html#Motions_and_Applications_Generally)
      * [56.1.1 Notice](Print_version.html#Notice)
    * [56.2 Voir Dire](Print_version.html#Voir_Dire)
      * [56.2.1 Evidence](Print_version.html#Evidence_2)
    * [56.3 Re-opening Motions or Applications](Print_version.html#Re-opening_Motions_or_Applications)
    * [56.4 Charter Motions](Print_version.html#Charter_Motions)
      * [56.4.1 Burden and Standard of Proof](Print_version.html#Burden_and_Standard_of_Proof)
      * [56.4.2 Standing](Print_version.html#Standing)
      * [56.4.3 Notice](Print_version.html#Notice_2)
      * [56.4.4 On Appeal but Not Raised at Trial](Print_version.html#On_Appeal_but_Not_Raised_at_Trial)
      * [56.4.5 Briefs](Print_version.html#Briefs)
  * [57 Pre-Trial Matters/Adjournments](Print_version.html#Pre-Trial_Matters.2FAdjournments)
    * [57.1 General Principles](Print_version.html#General_Principles_19)
      * [57.1.1 Types of Adjournments](Print_version.html#Types_of_Adjournments)
      * [57.1.2 Discretion of the Judge](Print_version.html#Discretion_of_the_Judge)
      * [57.1.3 Lack of counsel](Print_version.html#Lack_of_counsel)
      * [57.1.4 Lack of Preparation](Print_version.html#Lack_of_Preparation)
      * [57.1.5 Missing witnesses](Print_version.html#Missing_witnesses)
    * [57.2 Case Digests](Print_version.html#Case_Digests_2)
  * [58 Pre-Trial Matters/Public and Media Restrictions](Print_version.html#Pre-Trial_Matters.2FPublic_and_Media_Restrictions)
    * [58.1 Excluding witnesses](Print_version.html#Excluding_witnesses)
    * [58.2 Public and Media Ban](Print_version.html#Public_and_Media_Ban)
      * [58.2.1 General Publication Ban (s. 486(1),(2))](Print_version.html#General_Publication_Ban_.28s._486.281.29.2C.282.29.29)
      * [58.2.2 Sexual Offence Publication Ban](Print_version.html#Sexual_Offence_Publication_Ban)
      * [58.2.3 Jury Identification Ban](Print_version.html#Jury_Identification_Ban)
    * [58.3 Public Access to Evidence](Print_version.html#Public_Access_to_Evidence)
    * [58.4 Excluding Public from Court](Print_version.html#Excluding_Public_from_Court)
    * [58.5 Reference](Print_version.html#Reference_2)
  * [59 Pre-Trial Matters/Change of Venue](Print_version.html#Pre-Trial_Matters.2FChange_of_Venue)
    * [59.1 Cases](Print_version.html#Cases)
  * [60 Pre-Trial Matters/Joinder and Severance of Charges](Print_version.html#Pre-Trial_Matters.2FJoinder_and_Severance_of_Charges)
    * [60.1 Form and Content of a Charge](Print_version.html#Form_and_Content_of_a_Charge)
      * [60.1.1 Duplicity and Multiplicity](Print_version.html#Duplicity_and_Multiplicity)
    * [60.2 Sufficiency of Count](Print_version.html#Sufficiency_of_Count)
    * [60.3 Charge Surplusage](Print_version.html#Charge_Surplusage)
    * [60.4 Amendments to Charges](Print_version.html#Amendments_to_Charges)
    * [60.5 Joinder and Severance](Print_version.html#Joinder_and_Severance)
      * [60.5.1 Joinder](Print_version.html#Joinder)
      * [60.5.2 Severance of Charges](Print_version.html#Severance_of_Charges)
  * [61 Pre-Trial Matters/Withdraw and Dismissal of Charges](Print_version.html#Pre-Trial_Matters.2FWithdraw_and_Dismissal_of_Charges)
    * [61.1 Withdraw and Dismissal of Charges](Print_version.html#Withdraw_and_Dismissal_of_Charges)
    * [61.2 Dismissal for Want of Prosecution](Print_version.html#Dismissal_for_Want_of_Prosecution)
  * [62 Pre-Trial Matters/Stay of Proceedings](Print_version.html#Pre-Trial_Matters.2FStay_of_Proceedings)
    * [62.1 Stay of Proceedings by Crown](Print_version.html#Stay_of_Proceedings_by_Crown)
    * [62.2 Judicial Stay of Proceedings](Print_version.html#Judicial_Stay_of_Proceedings)
    * [62.3 Abuse of Process](Print_version.html#Abuse_of_Process)
      * [62.3.1 Police Misconduct](Print_version.html#Police_Misconduct)
      * [62.3.2 Prosecutorial Misconduct](Print_version.html#Prosecutorial_Misconduct)
      * [62.3.3 Lost evidence](Print_version.html#Lost_evidence)
      * [62.3.4 Delay](Print_version.html#Delay_2)
      * [62.3.5 Arbitrary Detention](Print_version.html#Arbitrary_Detention)
  * [63 Delay of Proceedings](Print_version.html#Delay_of_Proceedings)
    * [63.1 General Principles](Print_version.html#General_Principles_20)
    * [63.2 Length of Delay](Print_version.html#Length_of_Delay)
    * [63.3 Reason for Delay](Print_version.html#Reason_for_Delay)
      * [63.3.1 Intake Period / Pre-Charge Delay](Print_version.html#Intake_Period_.2F_Pre-Charge_Delay)
      * [63.3.2 Re-Scheduling of trial time](Print_version.html#Re-Scheduling_of_trial_time)
    * [63.4 Institutional or Systemic Delay](Print_version.html#Institutional_or_Systemic_Delay)
    * [63.5 Accused Caused Delay](Print_version.html#Accused_Caused_Delay)
    * [63.6 Waiver of Delay](Print_version.html#Waiver_of_Delay)
    * [63.7 Prejudice](Print_version.html#Prejudice_2)
    * [63.8 See Also](Print_version.html#See_Also_18)
  * [64 Pre-Trial Matters/Peace Bonds](Print_version.html#Pre-Trial_Matters.2FPeace_Bonds)
    * [64.1 Introduction](Print_version.html#Introduction_11)
    * [64.2 Common Law](Print_version.html#Common_Law)
    * [64.3 Legislation](Print_version.html#Legislation)
    * [64.4 Requirements](Print_version.html#Requirements)
    * [64.5 Conditions](Print_version.html#Conditions_2)
    * [64.6 Breaches](Print_version.html#Breaches)
    * [64.7 See Also](Print_version.html#See_Also_19)
  * [65 Pre-Trial Matters/Mandamus](Print_version.html#Pre-Trial_Matters.2FMandamus)
    * [65.1 General Principles of Mandamus](Print_version.html#General_Principles_of_Mandamus)
    * [65.2 General Principles of Certiorari](Print_version.html#General_Principles_of_Certiorari)
    * [65.3 Case Digests](Print_version.html#Case_Digests_3)
  * [66 Pre-Trial Matters/Habeas Corpus](Print_version.html#Pre-Trial_Matters.2FHabeas_Corpus)
    * [66.1 General Principles](Print_version.html#General_Principles_21)
  * [67 Pre-Trial Matters/Certiorari](Print_version.html#Pre-Trial_Matters.2FCertiorari)
    * [67.1 General Principles of Mandamus](Print_version.html#General_Principles_of_Mandamus_2)
    * [67.2 General Principles of Certiorari](Print_version.html#General_Principles_of_Certiorari_2)
    * [67.3 Case Digests](Print_version.html#Case_Digests_4)
  * [68 VI - Preliminary Inquiries](Print_version.html#VI_-_Preliminary_Inquiries)
  * [69 Preliminary Inquiry](Print_version.html#Preliminary_Inquiry)
    * [69.1 General Principles](Print_version.html#General_Principles_22)
      * [69.1.1 Purpose](Print_version.html#Purpose)
    * [69.2 Procedure](Print_version.html#Procedure_2)
      * [69.2.1 Setting of Preliminary Inquiry](Print_version.html#Setting_of_Preliminary_Inquiry)
      * [69.2.2 Statement of Issues](Print_version.html#Statement_of_Issues)
      * [69.2.3 Publication Bans](Print_version.html#Publication_Bans)
      * [69.2.4 Crown Evidence](Print_version.html#Crown_Evidence)
      * [69.2.5 Defence Evidence](Print_version.html#Defence_Evidence)
    * [69.3 Burden of proof](Print_version.html#Burden_of_proof)
    * [69.4 Evidence](Print_version.html#Evidence_3)
      * [69.4.1 Admissions or Confessions](Print_version.html#Admissions_or_Confessions)
      * [69.4.2 Defence evidence](Print_version.html#Defence_evidence_2)
    * [69.5 Decision to Commit](Print_version.html#Decision_to_Commit)
    * [69.6 Consent to Committal](Print_version.html#Consent_to_Committal)
    * [69.7 Bail](Print_version.html#Bail)
  * [70 VII - Trials](Print_version.html#VII_-_Trials)
  * [71 Trials](Print_version.html#Trials)
    * [71.1 Topics](Print_version.html#Topics_4)
    * [71.2 See Also](Print_version.html#See_Also_20)
  * [72 Trials/Overview of a Trial](Print_version.html#Trials.2FOverview_of_a_Trial)
    * [72.1 Purpose of a trial](Print_version.html#Purpose_of_a_trial)
    * [72.2 Crown's Case](Print_version.html#Crown.27s_Case)
    * [72.3 Defence's Case](Print_version.html#Defence.27s_Case)
    * [72.4 Reply or Rebuttal](Print_version.html#Reply_or_Rebuttal)
    * [72.5 Re-Opening the Case](Print_version.html#Re-Opening_the_Case)
      * [72.5.1 Re-opening the Crown's Case](Print_version.html#Re-opening_the_Crown.27s_Case)
  * [73 Trials/Representation at Trial](Print_version.html#Trials.2FRepresentation_at_Trial)
    * [73.1 Representation by Agent](Print_version.html#Representation_by_Agent)
    * [73.2 Self-Representation](Print_version.html#Self-Representation)
    * [73.3 Right to be Heard](Print_version.html#Right_to_be_Heard)
    * [73.4 Withdraw by Counsel](Print_version.html#Withdraw_by_Counsel)
    * [73.5 Discharging Counsel](Print_version.html#Discharging_Counsel)
    * [73.6 Amicus Curae](Print_version.html#Amicus_Curae)
    * [73.7 Competency of Counsel](Print_version.html#Competency_of_Counsel)
  * [74 Trials/Accused at Trial](Print_version.html#Trials.2FAccused_at_Trial)
    * [74.1 General Principles](Print_version.html#General_Principles_23)
    * [74.2 Right to Face Accusers](Print_version.html#Right_to_Face_Accusers)
    * [74.3 See Also](Print_version.html#See_Also_21)
  * [75 Trials/Opening and Closing Submissions](Print_version.html#Trials.2FOpening_and_Closing_Submissions)
    * [75.1 Opening submissions](Print_version.html#Opening_submissions)
    * [75.2 Closing submissions](Print_version.html#Closing_submissions)
  * [76 Trials/Calling of Witnesses](Print_version.html#Trials.2FCalling_of_Witnesses)
    * [76.1 Calling Witnesses](Print_version.html#Calling_Witnesses)
    * [76.2 Choice of Witnesses](Print_version.html#Choice_of_Witnesses)
    * [76.3 Testimonial Aids](Print_version.html#Testimonial_Aids)
      * [76.3.1 Witness Screens](Print_version.html#Witness_Screens)
      * [76.3.2 Video Testimony](Print_version.html#Video_Testimony)
      * [76.3.3 Use of Pseudonyms by Witnesses](Print_version.html#Use_of_Pseudonyms_by_Witnesses)
      * [76.3.4 Interpreters](Print_version.html#Interpreters)
    * [76.4 Witness Problems and Issues](Print_version.html#Witness_Problems_and_Issues)
      * [76.4.1 Refusal to Testify](Print_version.html#Refusal_to_Testify)
      * [76.4.2 Communicating with witnesses](Print_version.html#Communicating_with_witnesses)
  * [77 Examinations](Print_version.html#Examinations)
    * [77.1 Questioning](Print_version.html#Questioning)
      * [77.1.1 Leading questions](Print_version.html#Leading_questions)
      * [77.1.2 Improper questioning](Print_version.html#Improper_questioning)
    * [77.2 Impeachment](Print_version.html#Impeachment)
      * [77.2.1 Cross-examining an accused on a prior statement](Print_version.html#Cross-examining_an_accused_on_a_prior_statement)
    * [77.3 Objections](Print_version.html#Objections)
    * [77.4 Cross-Examination](Print_version.html#Cross-Examination)
      * [77.4.1 Cross-Examination by Self-Represented Accused](Print_version.html#Cross-Examination_by_Self-Represented_Accused)
      * [77.4.2 Confrontation Rule (The Brown v. Dunn Rule)](Print_version.html#Confrontation_Rule_.28The_Brown_v._Dunn_Rule.29)
      * [77.4.3 Cross-Examination of the Accused](Print_version.html#Cross-Examination_of_the_Accused)
      * [77.4.4 Cross Examination of Non-accused Persons](Print_version.html#Cross_Examination_of_Non-accused_Persons)
      * [77.4.5 During a Preliminary Inquiry](Print_version.html#During_a_Preliminary_Inquiry)
    * [77.5 Re-Examination or Re-Direct](Print_version.html#Re-Examination_or_Re-Direct)
    * [77.6 See Also](Print_version.html#See_Also_22)
  * [78 Trials/Role of Trial Judge](Print_version.html#Trials.2FRole_of_Trial_Judge)
    * [78.1 Powers and Responsibilities of the Judge](Print_version.html#Powers_and_Responsibilities_of_the_Judge)
      * [78.1.1 Process](Print_version.html#Process)
      * [78.1.2 Limiting evidence](Print_version.html#Limiting_evidence)
      * [78.1.3 Fact Finding](Print_version.html#Fact_Finding)
      * [78.1.4 Sitting Position of Accused](Print_version.html#Sitting_Position_of_Accused)
      * [78.1.5 Judge Following a Case](Print_version.html#Judge_Following_a_Case)
      * [78.1.6 Doctrine of Functus Officio](Print_version.html#Doctrine_of_Functus_Officio)
      * [78.1.7 Communications with Counsel Out of Court](Print_version.html#Communications_with_Counsel_Out_of_Court)
    * [78.2 Intervention During Trial](Print_version.html#Intervention_During_Trial)
      * [78.2.1 Exclusion of parties](Print_version.html#Exclusion_of_parties)
      * [78.2.2 Maintaining Order](Print_version.html#Maintaining_Order)
      * [78.2.3 Misc powers](Print_version.html#Misc_powers)
  * [79 Juries](Print_version.html#Juries)
    * [79.1 Introduction](Print_version.html#Introduction_12)
    * [79.2 Jury Selection](Print_version.html#Jury_Selection)
    * [79.3 Jury Instructions/Charge](Print_version.html#Jury_Instructions.2FCharge)
    * [79.4 Discharging a Juror](Print_version.html#Discharging_a_Juror)
    * [79.5 Determined facts after a jury trial](Print_version.html#Determined_facts_after_a_jury_trial)
    * [79.6 Guilty plea in a Jury trial](Print_version.html#Guilty_plea_in_a_Jury_trial)
    * [79.7 See Also](Print_version.html#See_Also_23)
  * [80 Trials/Evaluating Evidence and Finding Facts](Print_version.html#Trials.2FEvaluating_Evidence_and_Finding_Facts)
    * [80.1 Findings of Fact](Print_version.html#Findings_of_Fact)
    * [80.2 Evaluating Credibility](Print_version.html#Evaluating_Credibility)
      * [80.2.1 Generally](Print_version.html#Generally_2)
      * [80.2.2 Factors](Print_version.html#Factors_2)
        * [80.2.2.1 Minor inconsistencies](Print_version.html#Minor_inconsistencies)
        * [80.2.2.2 Major Inconsistencies](Print_version.html#Major_Inconsistencies)
        * [80.2.2.3 Consistencies and Corroboration](Print_version.html#Consistencies_and_Corroboration)
        * [80.2.2.4 Motive and Bias](Print_version.html#Motive_and_Bias)
        * [80.2.2.5 Emotional State](Print_version.html#Emotional_State)
        * [80.2.2.6 Demeanour](Print_version.html#Demeanour)
        * [80.2.2.7 Common Sense and Plausibility](Print_version.html#Common_Sense_and_Plausibility)
    * [80.3 Analysis of Testimony](Print_version.html#Analysis_of_Testimony)
      * [80.3.1 Credibility of Accused (The W.D. Test)](Print_version.html#Credibility_of_Accused_.28The_W.D._Test.29)
      * [80.3.2 Credibility of Persons from Other Cultures](Print_version.html#Credibility_of_Persons_from_Other_Cultures)
      * [80.3.3 Credibility of Children](Print_version.html#Credibility_of_Children)
      * [80.3.4 Credibility of Police Officers](Print_version.html#Credibility_of_Police_Officers)
        * [80.3.4.1 Lack of notes](Print_version.html#Lack_of_notes)
      * [80.3.5 Credibility in Sexual Assault](Print_version.html#Credibility_in_Sexual_Assault)
      * [80.3.6 Disbelief vs Fabrication](Print_version.html#Disbelief_vs_Fabrication)
    * [80.4 Related Topics](Print_version.html#Related_Topics)
    * [80.5 See Also](Print_version.html#See_Also_24)
  * [81 Trials/Verdicts](Print_version.html#Trials.2FVerdicts)
    * [81.1 Introduction](Print_version.html#Introduction_13)
    * [81.2 Finding of guilt](Print_version.html#Finding_of_guilt)
    * [81.3 Kienapple principle against multiple convictions](Print_version.html#Kienapple_principle_against_multiple_convictions)
    * [81.4 Conditional Stay](Print_version.html#Conditional_Stay)
    * [81.5 Directed Verdict](Print_version.html#Directed_Verdict)
    * [81.6 Reasons](Print_version.html#Reasons)
    * [81.7 Mistrial](Print_version.html#Mistrial)
  * [82 VIII - Appeals](Print_version.html#VIII_-_Appeals)
  * [83 Appeals](Print_version.html#Appeals)
    * [83.1 Introduction](Print_version.html#Introduction_14)
    * [83.2 Appeal by Offence](Print_version.html#Appeal_by_Offence)
    * [83.3 Standard of Review](Print_version.html#Standard_of_Review)
    * [83.4 Jury Instruction](Print_version.html#Jury_Instruction)
    * [83.5 Remedial Powers of the Court of Appeal](Print_version.html#Remedial_Powers_of_the_Court_of_Appeal)
    * [83.6 Grounds for Interfering with Verdicts (The Curative Proviso)](Print_version.html#Grounds_for_Interfering_with_Verdicts_.28The_Curative_Proviso.29)
      * [83.6.1 Unreasonable Verdicts](Print_version.html#Unreasonable_Verdicts)
      * [83.6.2 Insufficiency of Reasons](Print_version.html#Insufficiency_of_Reasons)
      * [83.6.3 Error on Question of Law](Print_version.html#Error_on_Question_of_Law)
      * [83.6.4 Miscarriage of Justice](Print_version.html#Miscarriage_of_Justice)
      * [83.6.5 Lack of Prejudice](Print_version.html#Lack_of_Prejudice)
      * [83.6.6 Reasonable Apprehension of Bias](Print_version.html#Reasonable_Apprehension_of_Bias)
      * [83.6.7 Incompetent or effective counsel](Print_version.html#Incompetent_or_effective_counsel)
      * [83.6.8 Interfering with Sentences](Print_version.html#Interfering_with_Sentences)
    * [83.7 Remedies](Print_version.html#Remedies)
      * [83.7.1 Ordering a new trial](Print_version.html#Ordering_a_new_trial)
    * [83.8 Procedural Powers of the Court of Appeal](Print_version.html#Procedural_Powers_of_the_Court_of_Appeal)
      * [83.8.1 Disclosure Motion](Print_version.html#Disclosure_Motion)
    * [83.9 Procedure on Specific Issues](Print_version.html#Procedure_on_Specific_Issues)
      * [83.9.1 Notice of Appeal](Print_version.html#Notice_of_Appeal)
      * [83.9.2 Voir Dire Appeals](Print_version.html#Voir_Dire_Appeals)
      * [83.9.3 Issues of Appeal](Print_version.html#Issues_of_Appeal)
      * [83.9.4 Issues Not Raised at Trial](Print_version.html#Issues_Not_Raised_at_Trial)
      * [83.9.5 Fresh Evidence](Print_version.html#Fresh_Evidence)
      * [83.9.6 Post-Sentence Evidence](Print_version.html#Post-Sentence_Evidence)
      * [83.9.7 Intervenors](Print_version.html#Intervenors)
      * [83.9.8 Court Appointed Counsel for Appeals](Print_version.html#Court_Appointed_Counsel_for_Appeals)
      * [83.9.9 Amending Indictments or Informations](Print_version.html#Amending_Indictments_or_Informations)
  * [84 IX - Mental Illness](Print_version.html#IX_-_Mental_Illness)
  * [85 Mental Illness](Print_version.html#Mental_Illness)
    * [85.1 Introduction](Print_version.html#Introduction_15)
    * [85.2 Topics](Print_version.html#Topics_5)
  * [86 _Digests_](Print_version.html#Digests_2)
  * [87 Cases/Warrantless Searches](Print_version.html#Cases.2FWarrantless_Searches)
    * [87.1 Detention and Search: Generally](Print_version.html#Detention_and_Search:_Generally)
    * [87.2 Vehicle Stops](Print_version.html#Vehicle_Stops)
    * [87.3 Personal Search](Print_version.html#Personal_Search)
    * [87.4 Vehicle Search](Print_version.html#Vehicle_Search)
      * [87.4.1 Smell of marijuana](Print_version.html#Smell_of_marijuana)
    * [87.5 Informers/Tips](Print_version.html#Informers.2FTips)
    * [87.6 Search Incident to Arrest](Print_version.html#Search_Incident_to_Arrest)
    * [87.7 Search of residence](Print_version.html#Search_of_residence)
    * [87.8 Breath sample](Print_version.html#Breath_sample)
    * [87.9 Cell phones](Print_version.html#Cell_phones_3)
    * [87.10 Location Tracker](Print_version.html#Location_Tracker)
  * [88 Cases/Warrant Searches](Print_version.html#Cases.2FWarrant_Searches)
    * [88.1 Generally](Print_version.html#Generally_3)
    * [88.2 Tele-warrants](Print_version.html#Tele-warrants)
    * [88.3 Wire taps](Print_version.html#Wire_taps)
    * [88.4 Bodily sample](Print_version.html#Bodily_sample)
    * [88.5 Computers](Print_version.html#Computers_2)

# _Introduction_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=1)]

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Preface[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Introduction&action=edit&section=T-1)]

This text was written as a reference on the procedure for prosecuting the Criminal Code offences. The audience for this text will be mostly criminal law practitioners, police officers, and law students, who need a convenient way to look up principles and case law. Where possible there are links to cited cases on CanLII for ease of reference.

As of this writing this text remains a work in progress. Errors and omissions should be expected and so it is always recommended that source materials be consulted to confirm the contents of these materials. Any contributions, be they simply correcting citations, copy editing, or substantive contributions, would be greatly appreciated.

You can contact the main author at PullUpYourSocks1@gmail.com, if you have any questions or comments.

## Organization of the Book[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Introduction&action=edit&section=T-2)]

This book is grouped into three main sections. It is meant to cover all aspects of procedure from the point of initial investigation by police, including arrest and search powers, remedies for charter breaches during investigations, through to bail, which completes the first section. The second section reviews the duties of counsel in preparing for trial, most importantly the right to disclosure. The final section, and biggest, covers many areas of law beginning with the form of charges, pleas, and elections. Motions available before and during trial are then covered. The book also covers the law of preliminary inquiries and trial, focusing on each step of a trial as well as special consideration for jury trials. The last portion of the section involves appeals and cases involving the mentally ill.

  


# _Police Investigation_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=2)]

# Arrest and Detention[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention&action=edit&section=T-1)]

The police powers of detention and arrest are some of the most important powers available to a peace officer in their investigation of criminal activity. It is also some of the most invasive powers upon a person's liberty. This is a classic issue of procedural law that circumscribes the peace officers authority in these matters.

These chapters cover not only the powers of police to detain or arrest, but also the right a person has when the police engage in such conduct and remedies for breaches of those rights.

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention&action=edit&section=T-2)]

  * [Investigative Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention)
  * [Warrant Arrests](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests)
  * [Warrantless Arrests](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests)
  * [Arrest Procedure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure)
    * [Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)
  * [Exclusion of Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence)
  * [Waiver of Charter Rights](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention&action=edit&section=T-3)]

  


# Arrest and Detention/Investigative Detention[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-1)]

The police have a common law right to detain people for investigative purposes. The investigation must be based on a "reasonable suspicion that the particular individual is implicated in the criminal activity under investigation" for it to be considered lawful.[[1]](Print_version.html#cite_note-1)

An officer's grounds to believe an offence has been committed will fall short of being "objectively reasonable and probable" allowing for an arrest. It the officer instead has a "reasonable suspicion" that the suspect was involved in a criminal offence, it may be enough to justify investigative detention.[[2]](Print_version.html#cite_note-2)

  1. [↑](Print_version.html#cite_ref-1) R. v. Mann, 2004 SCC 52, [2004] 3 S.C.R. 59 [[1]](http://canlii.org/en/ca/scc/doc/2004/2004scc52/2004scc52.html)
  2. [↑](Print_version.html#cite_ref-2) R. v. Cunsolo, [2008] O.J. No. 3754 (S.C.J.) - summary of rules of arrest and detention  
R. v. D.L.W., [2012 BCSC 1700](http://canlii.ca/t/fts53) (CanLII) at para. 31

## Right Against Arbitrary Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-2)]

Section 9 of the Canadian Charter of Rights and Freedoms provides that

> 9\. Everyone has the right not to be arbitrarily detained or imprisoned.

The "purpose of s. 9, broadly put, is to protect individual liberty from unjustified state interference"[[1]](Print_version.html#cite_note-3) Thus "a detention in the absence of at least reasonable suspicion is unlawful and therefore arbitrary within s. 9"[[2]](Print_version.html#cite_note-4)

The burden is upon the applicant to prove that the accused was "detained" within the meaning of s. 9 which must be proven on a balance of probabilities.[[3]](Print_version.html#cite_note-5)

  1. [↑](Print_version.html#cite_ref-3) R. v. Grant, 2009 SCC 32 at 20[[2]](http://canlii.ca/t/24kwz#par20)
  2. [↑](Print_version.html#cite_ref-4) R. v. Grant, 2009 SCC 32 at 55 [[3]](http://canlii.ca/t/24kwz#par55)
  3. [↑](Print_version.html#cite_ref-5) R. v. Bush (2010), 259 C.C.C. (3d) 127 at para. 74 (Ont. C.A.)  
R. v. B.(L.) [2007 ONCA 596](http://canlii.ca/t/1srnc) (CanLII), (2007), 227 C.C.C. (3d) 70 at para. 60 (Ont. C.A.)

## Types of Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-3)]

A person can be detained physically or psychologically.

Psychological detention has three elements:

  1. a police direction or demand;
  2. the individual’s voluntary compliance with the direction or demand resulting in a deprivation of liberty or other serious legal consequences; and
  3. the individual’s reasonable belief that there is no choice but to comply[[1]](Print_version.html#cite_note-6)

Detetion by police does not continue subsequent to release on terms of bail, and so entitlements such as the right to silence do not apply.[[2]](Print_version.html#cite_note-7)

The purpose for detention can have concurrent reasons, such as conducting traffic enquiries while making observations of drug related offences.[[3]](Print_version.html#cite_note-8)

An officer cannot detain a suspect on the basis of a hunch.[[4]](Print_version.html#cite_note-9)

  1. [↑](Print_version.html#cite_ref-6) R. v. Grant 2006 CanLII 18347, (2006), 209 C.C.C. (3d) 250 at para. 8 and 28 (ONCA)  
R. v. Nesbeth, [2008 ONCA 579](http://canlii.ca/t/2065l) at para. 15-17  
R. v. Harris, [2007 ONCA 574](http://canlii.ca/t/1smfn) at para. 17  
R. v. Suberu 2009 SCC 33 (CanLII), (2009), 245 C.C.C. (3d) 112 at paras. 23-35  

  2. [↑](Print_version.html#cite_ref-7) R. v. Earhart, 2011 BCCA 490 [[4]](http://www.canlii.org/en/bc/bcca/doc/2011/2011bcca490/2011bcca490.html)
  3. [↑](Print_version.html#cite_ref-8) R v Harding 2010 ABCA 180 at para. 18  
R v Yague, 2005 ABCA 140, 371 AR 286 at paras 7 - 9  
R v Nolet, 2010 SCC 24  

  4. [↑](Print_version.html#cite_ref-9) R v Mann, 2004 SCC 52 at paras 34-35 [2004] 3 SCR 59  
R v Harrison, 2009 SCC 34 at para 20  


## Public Encounters[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-4)]

Stopping a person will not always amount to detention. [[1]](Print_version.html#cite_note-10) It is only where there is either physical restraint or police direction. [[2]](Print_version.html#cite_note-11)

  1. [↑](Print_version.html#cite_ref-10) R. v. Grafe, [1987 CanLII 170](http://canlii.ca/t/1p77c) (ON CA)  
R. v. Hall, [1995 CanLII 647](http://canlii.ca/t/6jv0) (ON CA)
  2. [↑](Print_version.html#cite_ref-11) R. v. Grant [2009 SCC 32](http://canlii.ca/t/24kwz) at para. 30

### Answering Questions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-5)]

There is no legal duty upon a person to identify himself to a police officer in _every_ situation.[[1]](Print_version.html#cite_note-12)

It is well understood that merely asking for ID alone does not amount to detention.[[2]](Print_version.html#cite_note-13)

There should be a questioning that of suspected criminal activity that results in a "focused interrogation amounting to detention".[[3]](Print_version.html#cite_note-14)

Where the obligation to answer questions, such as those related to identity, then the failure to do so may result in a charge of [Obstruction of a Peace Officer](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Obstruction_of_a_Peace_Officer) under s. 129 of the Criminal Code.

The compelled attendance to the principal's office is not a detention.[[4]](Print_version.html#cite_note-15)

  1. [↑](Print_version.html#cite_ref-12) R v Moore (1978) 24 NR 181 (SCC); see also Rice v. Connelly, [1966] 2 ALL E.R. 649 (House of Lords)
  2. [↑](Print_version.html#cite_ref-13) R. v. Frank, [2012 ONSC 6274](http://canlii.ca/t/ftp15) (CanLII) at para. 47
  3. [↑](Print_version.html#cite_ref-14) R. v. Suberu [2009 SCC 33](http://canlii.ca/t/24kx4) (CanLII)
  4. [↑](Print_version.html#cite_ref-15) R. v. M. (M.R.), [1998 CanLII 770](http://canlii.ca/t/1fqq9) (SCC), [1998] 3 SCR 393

## Motor Vehicle stops[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-6)]

A vehicle stop is a form of detention.[[1]](Print_version.html#cite_note-16) This includes waiting for a breathalyzer test pursuant to the breathalyzer demand or the taking of blood samples pursuant to a blood sample demand.[[2]](Print_version.html#cite_note-17)

Random traffic check stops are _prima facie_ violations of right to be free from arbitrary detention, however, have often been declared justifiable pursuant to s. 1 of the Charter. [[3]](Print_version.html#cite_note-18)

Investigating a Motor Vehicle Act violation does not permit the officer to take the detained person into the police vehicle even where safety may be a concern.[[4]](Print_version.html#cite_note-19)

Random stops of persons for "reasons related to driving a car such as checking the driver's licence and insurance, the sobriety of the driver and the mechanical fitness of the vehicle"[[5]](Print_version.html#cite_note-20)

Dual purposes in random traffic stops are permissible.

Random stop programs that are used to investigate for any number of offences, providing for a "comprehensive check for criminal activity", are flawed and cannot permit detention for any purpose at all.[[6]](Print_version.html#cite_note-21)

  1. [↑](Print_version.html#cite_ref-16) R v. Brookwell 2008 ABQB 545 at para. 29, citing R v. Orbanski & Elias 2005 SCC 37, at para. 31.
  2. [↑](Print_version.html#cite_ref-17) R. v. Harder, 1989 CanLII 2857, 49 C.C.C. (3d) 565 (B.C.C.A.);[[5]](http://www.canlii.org/en/bc/bcca/doc/1989/1989canlii2857/1989canlii2857.html)  
R. v. Greene, [1991] N.J. No. 12 , 62 C.C.C. (3d) 344 (Nfld. C.A.)  

  3. [↑](Print_version.html#cite_ref-18) R. v. Hufsky, 1988 CanLII 72, [1988] 1 S.C.R. 621 [[6]](http://www.canlii.org/en/ca/scc/doc/1988/1988canlii72/1988canlii72.html); R. v. Ladouceur, 1990 CanLII 108, [1990] 1 S.C.R. 1257 [[7]](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii108/1990canlii108.html); and R. v. Mellenthin, 1992 CanLII 50 (S.C.C.), [1992] 3 S.C.R. 615 [[8]](http://www.canlii.org/en/ca/scc/doc/1992/1992canlii50/1992canlii50.html); R. v. Simpson (1993), 79 C.C.C. (3d) 482 (Ont. C.A.) [[9]](http://www.canlii.org/en/on/onca/doc/1993/1993canlii3379/1993canlii3379.html)
  4. [↑](Print_version.html#cite_ref-19) R. v. Timmer, 2011 ABQB 629[[10]](http://www.canlii.org/en/ab/abqb/doc/2011/2011abqb629/2011abqb629.html)
  5. [↑](Print_version.html#cite_ref-20) R. v. Nolet, 2010 SCC 24 at 25
  6. [↑](Print_version.html#cite_ref-21) R. v. Nolet, 2010 SCC 24 referencing R v Ladouceur 2002 SKCA 73

## Rights Upon Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-7)]

### Right to be Informed of Reasons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-8)]

    _See also [Rights upon Arrest](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure#Right_to_be_Informed_of_Charges)_

At point of detention the detainee must be immediately "advised, in clear and simple language, of the reasons for the detention."[[1]](Print_version.html#cite_note-22)

A person can only exercise his right to counsel under s. 10(b) in a meaningful way if he knows the extent of his jeopardy.[[2]](Print_version.html#cite_note-23)

The rights under s.10(b) have been met where the substance of what the accused can reasonably be supposed to understand in the context and circumstances of the case.[[3]](Print_version.html#cite_note-24)

  1. [↑](Print_version.html#cite_ref-22) Mann at para. 21  
R. v. Kelly, (1985), 7 O.A.C. 46, [1985] O.J. No. 2 at para. 14  

  2. [↑](Print_version.html#cite_ref-23) R. v. S.E.V., 2009 ABCA 108 (CanLII) at para. 22  
R. v. Black, 1989 CanLII 75 (SCC), [1989] 2 S.C.R. 138, 50 C.C.C. (3d) 1 at para. 24  

  3. [↑](Print_version.html#cite_ref-24) R. v. Evans, 1991 CanLII 98 (SCC), [1991] 1 S.C.R. 869, 63 C.C.C. (3d) 289 at para. 35  
R. v. S.E.V., 2009 ABCA 108 (CanLII) at para. 23  


### Right to Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-9)]

_See also [Right to Silence](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure#Right_to_Silence) and [Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)_

  


## Search Incident to Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-10)]

  * [Search Incident to Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Detention)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention&action=edit&section=T-11)]

  * [Warrantless Searches](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches)
  * [Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)

  


# Arrest and Detention/Warrant Arrests[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-1)]

A warrant is one among several means of securing an accused's attendance at court. On warrants, the Criminal Code states:

> **Contents of warrant to arrest**  
511\. (1) A warrant issued under this Part shall
> 
>     (a) name or describe the accused;
>     (b) set out briefly the offence in respect of which the accused is charged; and
>     (c) order that the accused be forthwith arrested and brought before the judge or justice who issued the warrant or before some other judge or justice having jurisdiction in the same territorial division, to be dealt with according to law.
> ... 
> 
> **Discretion to postpone execution**  
(3) Notwithstanding paragraph (1)(c), a judge or justice who issues a warrant may specify in the warrant the period before which the warrant shall not be executed, to allow the accused to appear voluntarily before a judge or justice having jurisdiction in the territorial division in which the warrant was issued.
> 
> **Deemed execution of warrant**  
(4) Where the accused appears voluntarily for the offence in respect of which the accused is charged, the warrant is deemed to be executed.
> 
> **Certain actions not to preclude issue of warrant**  
512\. (1) A justice may, where the justice has reasonable and probable grounds to believe that it is necessary in the public interest to issue a summons or a warrant for the arrest of the accused, issue a summons or warrant, notwithstanding that
> 
>     (a) an appearance notice or a promise to appear or a recognizance entered into before an officer in charge or another peace officer has been confirmed or cancelled under subsection 508(1);
>     (b) a summons has previously been issued under subsection 507(4); or
>     (c) the accused has been released unconditionally or with the intention of compelling his appearance by way of summons.
> 
> **Warrant in default of appearance**  
(2) Where
> 
>     (a) service of a summons is proved and the accused fails to attend court in accordance with the summons,
>     (b) an appearance notice or a promise to appear or a recognizance entered into before an officer in charge or another peace officer has been confirmed under subsection 508(1) and the accused fails to attend court in accordance therewith in order to be dealt with according to law, or
>     (c) it appears that a summons cannot be served because the accused is evading service,
> 
> a justice may issue a warrant for the arrest of the accused.  

> 
> **Formalities of warrant**  
513\. A warrant in accordance with this Part shall be directed to the peace officers within the territorial jurisdiction of the justice, judge or court by whom or by which it is issued.
> 
> **Execution of warrant**  
514\. (1) A warrant in accordance with this Part may be executed by arresting the accused
> 
>     (a) wherever he is found within the territorial jurisdiction of the justice, judge or court by whom or by which the warrant was issued; or
>     (b) wherever he is found in Canada, in the case of fresh pursuit.
> 
> **By whom warrant may be executed**  
(2) A warrant in accordance with this Part may be executed by a person who is one of the peace officers to whom it is directed, whether or not the place in which the warrant is to be executed is within the territory for which the person is a peace officer.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec513)

Under s. 511, the execution of a warrant or arrest authorizes 1) the arrest of the accused and 2) the officer to bring the accused before a judge in the territorial division in which the warrant was issued.

## Judge Issued Warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-2)]

> **Issue of warrant for arrest of accused**  
524\. (1) Where a justice is satisfied that there are reasonable grounds to believe that an accused
> 
>     (a) has contravened or is about to contravene any summons, appearance notice, promise to appear, undertaking or recognizance that was issued or given to him or entered into by him, or
>     (b) has committed an indictable offence after any summons, appearance notice, promise to appear, undertaking or recognizance was issued or given to him or entered into by him,
> 
> he may issue a warrant for the arrest of the accused.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec524)

## Feeney Warrant of Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-3)]

When a suspect is the subject of an arrest warrant and he is believed to be found in a dwelling-house, the peace officer must seek authorization to enter the dwelling using a "feeney warrant".

A person has an increased privacy right in their home which prohibits warrantless entries even for the purpose of a lawful arrest[[1]](Print_version.html#cite_note-25) or seizure of evidence.[[2]](Print_version.html#cite_note-26)

Section 529 states:

> **Including authorization to enter in warrant of arrest**  
529\. (1) A warrant to arrest or apprehend a person issued by a judge or justice under this or any other Act of Parliament may authorize a peace officer, subject to subsection (2), to enter a dwelling-house described in the warrant for the purpose of arresting or apprehending the person if the judge or justice is satisfied by information on oath in writing that there are reasonable grounds to believe that the person is or will be present in the dwelling-house.
> 
> **Execution**  
(2) An authorization to enter a dwelling-house granted under subsection (1) is subject to the condition that the peace officer may not enter the dwelling-house unless the peace officer has, immediately before entering the dwelling-house, reasonable grounds to believe that the person to be arrested or apprehended is present in the dwelling-house.
> 
> R.S., 1985, c. C-46, s. 529; 1994, c. 44, s. 52; 1997, c. 39, s. 2.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec529)

Any power to enter a dwelling-house to carry out an arrest under a criminal code offence will equally apply to warrants under other federal Acts.[[3]](Print_version.html#cite_note-27)

  1. [↑](Print_version.html#cite_ref-25) R v Feeney 1997 CanLII 342, [1997] 2 SCR 13 at para. 19-20
  2. [↑](Print_version.html#cite_ref-26) R v Golub 1997 CanLII 6316 (ONCA) at para. 41
  3. [↑](Print_version.html#cite_ref-27) see [s. 34.1](http://canlii.ca/t/7vhg) of the Interpretation Act

## Outside Native Jurisdiction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-4)]

### Canada-wide Warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-5)]

Canada-wide warrants are warrants that are not attached to particular jurisdictions. It can only be issued by a judge of a superior court and not a provincial court judge.

It is provided for under s. 703:

> 703(1) Notwithstanding any other provision of this Act, a warrant of arrest or committal that is issued out of a superior court of criminal jurisdiction, a court of appeal, an appeal court within the meaning of section 812 or a court of criminal jurisdiction other than a provincial court judge acting under Part XIX may be executed anywhere in Canada.
> 
> (2) Despite any other provision of this Act but subject to subsections 487.0551(2) and 705(3), a warrant of arrest or committal that is issued by a justice or provincial court judge may be executed anywhere in the province in which it is issued.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec703)

  


### Transferring Local Warrants to Different Provinces[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-6)]

Where no Canada-wide warrant is issued and a regular 514 warrant has been issued in another jurisdiction, under s. 528 the local court may endorse the foreign warrant:

> 528.(1) Where a warrant for the arrest or committal of an accused, in any form set out in Part XXVIII in relation thereto, cannot be executed in accordance with section 514 or 703, a justice within whose jurisdiction the accused is or is believed to be shall, on application and proof on oath or by affidavit of the signature of the justice who issued the warrant, authorize the arrest of the accused within his jurisdiction by making an endorsement, which may be in Form 28, on the warrant.
> 
> (1.1) A copy of an affidavit or warrant submitted by a means of telecommunication that produces a writing has the same probative force as the original for the purposes of subsection (1).
> 
> (2) An endorsement that is made upon a warrant pursuant to subsection (1) is sufficient authority to the peace officers to whom it was originally directed, and to all peace officers within the territorial jurisdiction of the justice by whom it is endorsed, to execute the warrant and to take the accused before the justice who issued the warrant or before any other justice for the same territorial division.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec528)

This section allows either local police or the police of the other jurisdiction to arrest the accused, who is located locally, and be transported to the jurisdiction of the original warrant.

### Executing Warrants from Other Provinces[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-7)]

Section 503(3) addresses the situation where an accused is arrested without a warrant outside of the jurisdiction and the local jurisdiction would like to compel their attendance at court.

> 503.(3) Where a person has been arrested without warrant for an indictable offence alleged to have been committed in Canada outside the territorial division where the arrest took place, the person shall, within the time prescribed in paragraph (1)(a) or (b), be taken before a justice within whose jurisdiction the person was arrested … and the justice within whose jurisdiction the person was arrested
> 
>     (a) If the justice is not satisfied that there are reasonable grounds to believe that the person arrested is the person alleged to have committed the offence, shall release that person; or
>     (b) If the justice is satisfied that there are reasonable grounds to believe that the person arrested is the person alleged to have committed the offence, may 
> 
>     (i) Remand the person to the custody of a peace officer to await execution of a warrant for his or her arrest in accordance with section 528, but if no warrant is so executed within a period of six days after the time he or she is remanded to such custody, the person in whose custody he or she then is shall release him or her…..
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec503)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-8)]

  * R v Charles, 2012 SKCA 34 - reviews law of warrants
  * [Canadian_Criminal_Procedure_and_Practice/Search and Seizure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure)
  * [Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance#Release_upon_Warrant_Arrest](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance#Release_upon_Warrant_Arrest)
  * [Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability#Missing_Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_Evidence/Competence_and_Compellability#Missing_Witnesses)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests&action=edit&section=T-9)]

  


# Arrest and Detention/Warrantless Arrests[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-1)]

Where there is no warrant for a person's arrest, a Peace Officer is governed by section 495:

> **Arrest without warrant by peace officer**  
495\. (1) A peace officer may arrest without warrant
> 
>     (a) a person who has committed an indictable offence or who, on reasonable grounds, he believes has committed or is about to commit an indictable offence;
>     (b) a person whom he finds committing a criminal offence; or
>     (c) a person in respect of whom he has reasonable grounds to believe that a warrant of arrest or committal, in any form set out in Part XXVIII in relation thereto, is in force within the territorial jurisdiction in which the person is found.
> 
> **Limitation**  
(2) A peace officer shall not arrest a person without warrant for
> 
>     (a) an indictable offence mentioned in section 553,
>     (b) an offence for which the person may be prosecuted by indictment or for which he is punishable on summary conviction, or
>     (c) an offence punishable on summary conviction,
> 
> in any case where
> 
>     (d) he believes on reasonable grounds that the public interest, having regard to all the circumstances including the need to 
> 
>     (i) establish the identity of the person,
>     (ii) secure or preserve evidence of or relating to the offence, or
>     (iii) prevent the continuation or repetition of the offence or the commission of another offence,
> 
> may be satisfied without so arresting the person, and
> 
>     (e) he has no reasonable grounds to believe that, if he does not so arrest the person, the person will fail to attend court in order to be dealt with according to law.
> 
> **Consequences of arrest without warrant**  
(3) Notwithstanding subsection (2), a peace officer acting under subsection (1) is deemed to be acting lawfully and in the execution of his duty for the purposes of
> 
>     (a) any proceedings under this or any other Act of Parliament; and
>     (b) any other proceedings, unless in any such proceedings it is alleged and established by the person making the allegation that the peace officer did not comply with the requirements of subsection (2).
>   
R.S., 1985, c. C-46, s. 495; R.S., 1985, c. 27 (1st Supp.), s. 75. 
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec495)

A police officer can arrest where:

  1. there is reasonable grounds a person has committed an indictable offence;
  2. there is reasonable grounds a person is about to commit an indictable offence;
  3. a person is committing an indictable offence; or
  4. a person has a warrant out for his/her arrest.

There is limited power to arrest where the accused is found committing a summary offence _and_ it is necessary to establish the accused's identity, among other things.[[1]](Print_version.html#cite_note-28)

There is also a common law power for peace officers to arrest without a warrant where the officer has an honest and reasonable belief that there is a breach of the peace.[[2]](Print_version.html#cite_note-29)

  


  1. [↑](Print_version.html#cite_ref-28) Moore v. The Queen, [1979] 1 S.C.R. 195 [[11]](http://www.canlii.org/en/ca/scc/doc/1978/1978canlii160/1978canlii160.html)
  2. [↑](Print_version.html#cite_ref-29) Hayes v. Thompson [1985 CanLII 151](http://canlii.ca/t/1p6p7) (BC CA), (1985), 18 C.C.C. (3d) 254  
Brown v. Durham (Regional Municipality) Police Force, [1998] O.J. No. 5274  
R. v. Collins, [2012 CanLII 26587](http://canlii.ca/t/frd14) (NL PC)

## Reasonable Grounds[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-2)]

Reasonable grounds for arrest (pre-1985 was referred to as "reasonable and probable grounds') has an objective and subjective component.[[1]](Print_version.html#cite_note-30)

Reasonable grounds is a standard lower than a prima facie case and is less than a balance of probabilities.[[2]](Print_version.html#cite_note-31)

An arresting officer is not required the same scrutiny as a justice of a peace would need to be in considering a search warrant.[[3]](Print_version.html#cite_note-32)

Police cannot arrest first and then determine after the fact whether the accused had a connection with their investigation.[[4]](Print_version.html#cite_note-33)

The officer must take into account both inculpatory as well as exculpatory evidence. Only evidence that is unreliable can be ignored.[[5]](Print_version.html#cite_note-34) The officer must make inquiry as the circumstances reasonably permit.[[6]](Print_version.html#cite_note-35)

The officer may base his belief upon assumptions or secondary sources. However, the belief cannot be only a hunch. The circumstances must be sufficient to convince a reasonably fair-minded person put in the same position as the officer that the grounds for his or her belief are reasonable. The facts must not be considered piecemeal but in a holistic manner.[[7]](Print_version.html#cite_note-36)

The officer may use his training and experience in determining objective reasonableness. For example, what may appear to be innocent objects to the general public may have a very different meaning to an officer experienced in drug operations[[8]](Print_version.html#cite_note-37) This objective standard while "standing in the shoes of the police officer" has been interpreted as taking into account the officer's experience and training.[[9]](Print_version.html#cite_note-38)

A conclusory statement from one officer to another, such as “a drug transaction has taken place ”, will not support an objective finding of reasonable and probable grounds for an arrest.[[10]](Print_version.html#cite_note-39)

The subjective grounds must be based on a _bona fides_ belief to a relevant fact. It is not necessary that the fact actually be true.[[11]](Print_version.html#cite_note-40)

  1. [↑](Print_version.html#cite_ref-30) R. v. Storrey (1990), 53 C.C.C. 316 (SCC) [[12]](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii125/1990canlii125.html)  
R. v. Grotheim 2001 SKCA 116 (SaskCA) [[13]](http://www.canlii.org/en/sk/skca/doc/2001/2001skca116/2001skca116.html)  
R. v. McClelland, (1995), 165 A.R. 332 (C.A.) at para. 21
  2. [↑](Print_version.html#cite_ref-31) see R. v. Debot 1986 CanLII 113 (ON CA), (1986), 17 O.A.C. 141, affirmed 1989 CanLII 13 (SCC), [1989] 2 S.C.R. 1140
  3. [↑](Print_version.html#cite_ref-32) see R. v. Polashek 1999 CanLII 3714 (ON CA), (1999), 45 O.R. (3d) 434
  4. [↑](Print_version.html#cite_ref-33) see R. v. Whitaker, 2008 BCCA 174, and R. v. Chaif-Gust, 2011 BCCA 528 (CanLII), 2011 BCCA 528.
  5. [↑](Print_version.html#cite_ref-34) Chartier v. Quebec (A.G.), [1979] 2 S.C.R. 474 [[14]](http://www.canlii.org/en/ca/scc/doc/1979/1979canlii17/1979canlii17.html)
  6. [↑](Print_version.html#cite_ref-35) R. v. Golub, 1997 CanLII 6316 (ON C.A.) [[15]](http://www.canlii.org/en/on/onca/doc/1997/1997canlii6316/1997canlii6316.html) at para. 21
  7. [↑](Print_version.html#cite_ref-36) R. v. Chin, 2003 ABPC 118 at para. 60 [[16]](http://www.canlii.org/en/ab/abpc/doc/2003/2003abpc118/2003abpc118.html)
  8. [↑](Print_version.html#cite_ref-37) R. v. Rajaratnam, 2006 ABCA 333 at para. 25
  9. [↑](Print_version.html#cite_ref-38) R. v. Juan, 2007 BCCA 351, at paras. 27-28 [[17]](http://www.canlii.org/en/bc/bcca/doc/2007/2007bcca351/2007bcca351.html)
  10. [↑](Print_version.html#cite_ref-39) R. v. Lal (1998), 130 C.C.C. (3d) 413 (B.C.C.A.) [[18]](http://www.canlii.org/en/bc/bcca/doc/1998/1998canlii4393/1998canlii4393.html)
  11. [↑](Print_version.html#cite_ref-40) Eccles v. Bourque, [1975] 2 S.C.R. 739 [[19]](http://www.canlii.org/en/ca/scc/doc/1974/1974canlii191/1974canlii191.html)

### Finds committing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-3)]

Under s. 495(1)(b) empowers a peace officer to make a warrantless arrest where a person is "apparently" committing an offence. This must be an honestly held belief and must be reasonable. The officer does not have to be so certain as equate with a conviction.[[1]](Print_version.html#cite_note-41)

It has been found that the strong smell of raw marijuana can be sufficient to conclude that the accused was in possession or marijuana and is arrestable under s.495(1)(b).[[2]](Print_version.html#cite_note-42) A faint and intermittent smell is not sufficient for arrest.

  1. [↑](Print_version.html#cite_ref-41) The Queen v. Biron, [1976] 2 S.C.R. 56 [1975 CanLII 13](http://www.canlii.org/en/ca/scc/doc/1975/1975canlii13/1975canlii13.html)  
R. v. Roberge 1983 CanLII 120 (SCC), (1983), 4 C.C.C. (3d) 304
  2. [↑](Print_version.html#cite_ref-42) R v Harding, 2010 ABCA 180, 482 AR 262, at para 29  


## Technological Detection[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-4)]

### Sniffers Dogs[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-5)]

A drug sniffer dog may be used to search on the basis of the lower standard of "reasonable suspicion".[[1]](Print_version.html#cite_note-43)

  1. [↑](Print_version.html#cite_ref-43) R v Kang-Brown 2008 SCC 18

## Confidential informers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-6)]

  * [Canadian Criminal Procedure and Practice/Arrest and Detention/Confidential Informers](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Confidential_Informers)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrantless_Arrests&action=edit&section=T-7)]

  * [Canadian_Criminal_Procedure_and_Practice/Search and Seizure/Warrantless_Searches](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches)
  * [Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches)

  


# Arrest and Detention/Arrest Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-1)]

At the time of arrest, an officer must typically inform the accused of the following and confirm that they understand:

  1. inform of reason for arrest
  2. Charter of Rights caution / Right to Silence
  3. right to speak to a lawyer
  4. access to legal aid
  5. secondary police cautions

## Right to be Informed of Charges[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-2)]

    _See also [Right to be Informed of Reasons for Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention#Right_to_be_Informed_of_Reasons)_

Section 10(a) of the Charter entitles all people "the right on arrest or detention ... to be informed promptly of the reasons therefore". It is generally expected that the arresting officer, upon making the arrest, will inform the person of the reason for the arrest. However, where the reason is obvious and the person is well aware of the reason, it is not necessary.[[1]](Print_version.html#cite_note-44)

It is not necessary to always inform the accused of the circumstances of the offence. In a murder case it is not necessary to reveal the identity of the victim's identity.[[2]](Print_version.html#cite_note-45)

The primary point of inquiry is whether the accused can reasonably be supposed to have understood the reason for the investigation.[[3]](Print_version.html#cite_note-46)

Failure to inform the accused that he is "arrested" and charged with a specific offence may not be fatal where the accused understood the basis for his apprehension and the extent of his jeopardy.[[4]](Print_version.html#cite_note-47)

To understand the extent of jeopardy it is not necessary to be aware of the precise charge face or the full extent of the details of the case.[[5]](Print_version.html#cite_note-48)

  1. [↑](Print_version.html#cite_ref-44) Koechlin v. Waugh & Hamilton, [1975] O.J. No. 105, 118 C.C.C. 24 (Ont. C.A.)
  2. [↑](Print_version.html#cite_ref-45) R. v. Jackson, [2005 ABCA 430](http://canlii.ca/t/1m5j3) (CanLII)
  3. [↑](Print_version.html#cite_ref-46) R v Evans [1991 CanLII 98](http://canlii.ca/t/1fsml) (SCC) at para. 35  
R. v. Carrier, [2008 ABCA 134](http://canlii.ca/t/1wghz) (CanLII) at para. 7  
R. v. Lund, [2008 ABCA 373](http://canlii.ca/t/21dv8) (CanLII) at para. 11  

  4. [↑](Print_version.html#cite_ref-47) R. v. Latimer, [1997 CanLII 405](http://canlii.ca/t/1fr3w) (SCC), [1997] 1 S.C.R. 217, 112 C.C.C. (3d) 193 at para. 31
  5. [↑](Print_version.html#cite_ref-48) R. v. Smith, [1991 CanLII 91](http://canlii.ca/t/1fsm5) (SCC), [1991] 1 S.C.R. 714, 63 C.C.C. (3d) 313 at para. 28

## Right to Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-3)]

    _See also [Canadian Criminal Procedure and Practice/Arrest and Detention/Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)_

**Script**  
The arresting officer must inform the accused of the charges and their right to counsel. Typically, the officer will read from a script such as:

> I am arresting you for [name of offence(s)].
> 
> You have the right to retain and instruct counsel without delay. You also have the right to free and immediate legal advice from duty counsel by making free telephone calls to [toll-free phone number(s)] during business hours and [toll-free phone number(s)] during non-business hours.
> 
> Do you understand?
> 
> Do you wish to call a lawyer?
> 
> You also have the right to apply for legal assistance through the provincial legal aid program.
> 
> Do you understand?

## Right to Silence and Right Against Self-Crimination[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-4)]

    _See also [Canadian Criminal Evidence/Admissions and Confessions/Right Against Self-crimination](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Right_Against_Self-crimination) and [Canadian Criminal Evidence/Admissions and Confessions/Voluntariness](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness)_

Upon arrest the peace officer should inform the accused of their right to silence and right against self-crimination protected under section 7 and section 11(c) of the Charter.

The script read to the accused will go something like the following:

> POLICE WARNING:  
I wish to give you the following warning: You need not say anything. You have nothing to hope from any promise or favour and nothing to fear from any threat whether or not you say anything. Anything you do say may be used as evidence.
> 
> Do you understand?

### Secondary Caution[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-5)]

Where there had been previous communication between the police and accused prior to the reading of the first police warning, the police will usually provide what is called a "secondary caution" or "warning" that informs the accused that nothing said by the police prior to the first warning should influence the accused in the decision to make a statement. This is to avoid the tainting and exclusion of potential statement as "derived statements" following a previously involuntary statement.[[1]](Print_version.html#cite_note-49)

The script read is similar to the following:

> SECONDARY POLICE WARNING:  
I wish to give you the following warning: You must clearly understand that anything said to you previously should not influence you or make you feel compelled to say anything at this time. Whatever you felt influenced or compelled to say earlier, you are now not obliged to repeat, nor are you obliged to say anything further, but whatever you do say may be given as evidence.
> 
> Do you understand?

  
For details on the admissibility of Admissions and Confessions see [Canadian Criminal Evidence/Admissions and Confessions](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions).

  1. [↑](Print_version.html#cite_ref-49) See [Canadian Criminal Evidence/Admissions and Confessions/Voluntariness](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Admissions_and_Confessions/Voluntariness) for details

## Post-Charge Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure&action=edit&section=T-6)]

[Canadian Criminal Procedure and Practice/Arrest and Detention/Post-Charge Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Post-Charge_Detention)

  


# Arrest and Detention/Right to Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-1)]

Upon arrest or detention, an accused has a constitutional right to counsel under s. 10(b) of the Charter.

> 10\. Everyone has the right on arrest or detention...
> 
>     b) to retain and instruct counsel without delay and to be informed of that right; ...
> 
>   


This right is divided into an informational component and a implementation component.[[1]](Print_version.html#cite_note-50) These components impose a duty on the detaining or arresting officer to inform the accused that they have the right to counsel and to ensure that they have the opportunity to exercise the right.

The onus is upon the accused to establish they right s. 10(b) Charter rights were violated. This includes the burden to show that the accused acted diligently.[[2]](Print_version.html#cite_note-51)

The police must inform the detainee of their right to counsel without delay and the availability of legal aid and duty counsel. If the detainee wishes to access counsel, the police must provide a reasonable opportunity to exercise that right and stop from taking any statements. The detained person must be reasonably diligent in exercising their right. [[3]](Print_version.html#cite_note-52)

The judge must first determine whether, in all of the circumstances, the police provided the detainee with a reasonable opportunity to exercise the right to counsel.[[4]](Print_version.html#cite_note-53)

Where the detainee has invoked the right to counsel, the Crown has the onus of establishing that the detainee was provided with a reasonable opportunity to exercise that right.[[5]](Print_version.html#cite_note-54)

There is no right to an accused to contact family members such as wife, even if it were for the purpose of contacting a lawyer.[[6]](Print_version.html#cite_note-55) It is only where the accused informs the police that the purpose of the call is to assist in contacting a specific lawyer that the police should permit the phone call. However, the phone call would not be private or privileged.

The purpose of the right to counsel is to permit a detainee "to be informed of his rights and obligations" and "to obtain advice as to how to exercise those rights".[[7]](Print_version.html#cite_note-56)

The goal of the right is to foster the "principles of adjudicative fairness".[[8]](Print_version.html#cite_note-57)

  1. [↑](Print_version.html#cite_ref-50) R v Luong [2000 ABCA 301](http://canlii.ca/en/ab/abca/doc/2000/2000abca301/2000abca301.html) at para. 12
  2. [↑](Print_version.html#cite_ref-51) R v Luong 2000 ABCA 301 at para. 12
  3. [↑](Print_version.html#cite_ref-52) R v. Basko at para 21
  4. [↑](Print_version.html#cite_ref-53) R v Luong 2000 ABCA 301 at para. 12
  5. [↑](Print_version.html#cite_ref-54) R v Luong 2000 ABCA 301 at para. 12
  6. [↑](Print_version.html#cite_ref-55) R. v. K.W.J., [2012 NWTCA 3](http://canlii.ca/t/fq4pl) \- no violation of 10(b) where police didn’t allow accused to contact wife during interrogation
  7. [↑](Print_version.html#cite_ref-56) R. v. Manninen, 1987 CanLII 67 (SCC), [1987] 1 S.C.R. 1233, at pp. 1242-43  
R. v. Brydges, [1990 CanLII 123](http://canlii.ca/t/1ft0k) (SCC), [1990] 1 SCR 190  

  8. [↑](Print_version.html#cite_ref-57) Clarkson v. The Queen, 1986 CanLII 61 (SCC), [1986] 1 S.C.R. 383  
R. v. Brydges, [1990 CanLII 123](http://canlii.ca/t/1ft0k) (SCC), [1990] 1 SCR 190  


## Informational Component[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-2)]

The right can only be exercised where the accused fully understands the jeopardy that they are in and appreciate the consequences of the decision to speak to counsel. Thus, they must be informed of the offence as part of the informational component.[[1]](Print_version.html#cite_note-58)

The informational duty requires the officer to inform the detainee of his right to retain and instruct counsel without delay. The police must also inform the accused of the availability of duty counsel and legal aid.[[2]](Print_version.html#cite_note-59) As well was provide detail on accessing 24 hours duty counsel phone by giving a toll-free number to call.[[3]](Print_version.html#cite_note-60)

The failure to provide a specific telephone number to Legal Aid is fatal to the fulfillment of the right.[[4]](Print_version.html#cite_note-61)

Absent proof of circumstances showing that the accused did not understand his right to counsel when he was informed of it, then the onus is on the detainee to prove that he was denied an opportunity to ask for counsel at the time of detention.[[5]](Print_version.html#cite_note-62)

There is a right to an opportunity to contact counsel of choice.[[6]](Print_version.html#cite_note-63)

If the accused asks for a specific lawyer but that lawyer is not available, then they are expected to choose someone else.

The police have an obligation to hold off from questioning while the accused is given reasonable opportunity to contact a lawyer.[[7]](Print_version.html#cite_note-64)

  1. [↑](Print_version.html#cite_ref-58) R. v. Black, [1989] 2 S.C.R. 138  
R. v. O'Donnell, [1991 CanLII 2695 (NB C.A.)](http://www.canlii.org/en/nb/nbca/doc/1991/1991canlii2695/1991canlii2695.html)
  2. [↑](Print_version.html#cite_ref-59) R. v. Brydges, [1990] 1 SCR 190 [[20]](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii123/1990canlii123.html)
  3. [↑](Print_version.html#cite_ref-60) R. v. Bartle, [1994] 3 SCR 173, [1994 CanLII 64](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii64/1994canlii64.html)  
R. v. Pozniak, [1994] 3 SCR 310, [1994 CanLII 66](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii66/1994canlii66.html)  
R. v. Cobham, [1994] 3 SCR 360, [1994 CanLII 69](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii69/1994canlii69.html)  
R. v. Matheson, [1994] 3 SCR 328, [1994 CanLII 67](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii67/1994canlii67.html)  

  4. [↑](Print_version.html#cite_ref-61) R. v. Deabreu, [1994 CanLII 1186 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/1994/1994canlii1186/1994canlii1186.html)
  5. [↑](Print_version.html#cite_ref-62) R v. Baig [1987] 2 S.C.R. 537
  6. [↑](Print_version.html#cite_ref-63) R. v. Kowalchuk, [1999 CanLII 12437 (SK QB)](http://www.canlii.org/en/sk/skqb/doc/1999/1999canlii12437/1999canlii12437.html)  
R. v. Keagan, [2003 NLSCTD 48](http://www.canlii.org/en/nl/nlsctd/doc/2003/2003nlsctd48/2003nlsctd48.html)  
R. v. Top, [1989 ABCA 98](http://www.canlii.org/en/ab/abca/doc/1989/1989abca98/1989abca98.html)  
R. v. Nelson, [1991 CanLII 1446 (BC CA)](http://www.canlii.org/en/bc/bcca/doc/1991/1991canlii1446/1991canlii1446.html)  
R. v. Tremblay, [1987] 2 SCR 435 [1987 CanLII 28](http://www.canlii.org/en/ca/scc/doc/1987/1987canlii28/1987canlii28.html)  
R. v. Playford, [1987 CanLII 125 (ON CA)](http://www.canlii.org/en/on/onca/doc/1987/1987canlii125/1987canlii125.html)  

  7. [↑](Print_version.html#cite_ref-64) R. v. Cutknife, [2000 ABQB 641](http://www.canlii.org/en/ab/abqb/doc/2000/2000abqb641/2000abqb641.html)  
R. v. Russell, [2000 NBCA 53](http://www.canlii.org/en/nb/nbca/doc/2000/2000nbca53/2000nbca53.html)  


## Implementation Component[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-3)]

The implementation component is engaged once the detainee indicates a desire to exercise the right to counsel.[[1]](Print_version.html#cite_note-65)

The implementation component involves two aspects: [[2]](Print_version.html#cite_note-66)

  1. the officer must provide the detainee with reasonable opportunity to exercise the right to retain counsel without delay except in urgent or dangerous circumstances.[[3]](Print_version.html#cite_note-67)
  2. refrain from attempting to elicit evidence from the detainee until he has had a reasonable opportunity to retain and instruct counsel except in urgent or dangerous circumstances.[[4]](Print_version.html#cite_note-68)

The implementation component does not arise until there is an expressed desire to exercise those rights.[[5]](Print_version.html#cite_note-69)

Once the accused has been informed of his rights, he has an obligation to pursue them. [[6]](Print_version.html#cite_note-70)

The right to counsel includes the right to _counsel of choice_ and that the counsel represent the accused throughout. This right is limited to counsel who are competent to undertake the retainer; willing to act; available to represent the accused within a reasonable time; and free of any conflicts.[[7]](Print_version.html#cite_note-71)

If the chosen lawyer is not available within a reasonable amount of time, the detainee is expected to call another lawyer or else the police duty to hold off questioning.[[8]](Print_version.html#cite_note-72) What amount to reasonable time depends on the circumstances.[[9]](Print_version.html#cite_note-73)

The accused must possess an operating mind for the right to be properly exercised.[[10]](Print_version.html#cite_note-74)

The right to be informed of the right to counsel does not go so far as to guarantee the appreciation of all the information given.[[11]](Print_version.html#cite_note-75)

Police must allow the detainee to contact a third-party such as spouse, parent, neighbour, friend, etc., if it is for the purpose of facilitating contact with legal counsel.[[12]](Print_version.html#cite_note-76)

However, officer can be the intermediary in this contact and does not need to allow the accused to speak to the third-party directly, so long as the accused can properly exercise their right to contact counsel.

If the Implementational component was not satisfied then there is a breach of the Charter right.[[13]](Print_version.html#cite_note-77)

  1. [↑](Print_version.html#cite_ref-65) R v Luong 2000 ABCA 301 at para. 12
  2. [↑](Print_version.html#cite_ref-66) R. v. Ross [1989] 1 S.C.R. 3
  3. [↑](Print_version.html#cite_ref-67) R. v. Bartle 1994 CanLII 64 (SCC), (1994), 92 C.C.C. (3d) 289 (S.C.C.) at 301
  4. [↑](Print_version.html#cite_ref-68) R. v. Bartle, supra, at 301
  5. [↑](Print_version.html#cite_ref-69) R. v. Baig, 1987 CanLII 40 (SCC), [1987] 2 S.C.R. 537, at para. 6; R. v. Bartle 1994 CanLII 64 (SCC), [1994] 3 S.C.R. 173, at 151-192
  6. [↑](Print_version.html#cite_ref-70) R. v. Tremblay, 1987 CanLII 28 (SCC), [1987] 2 S.C.R. 435; R. v. McCrimmon, 2010 SCC 36, at para. 18; R. v. Willier, 2010 SCC 37, at para. 33
  7. [↑](Print_version.html#cite_ref-71) R. v. McCallen (1999), 131 C.C.C. 518 (Ont.C.A.)
  8. [↑](Print_version.html#cite_ref-72) R v Willier [2010 SCC 37](http://canlii.ca/t/2cvjv); R v LeClair, 1989 CanLII 134
  9. [↑](Print_version.html#cite_ref-73) R v Whitford, (1997) 196 AR 97 (CA)
  10. [↑](Print_version.html#cite_ref-74) R. v. Whittle, [1994] 2 S.C.R. 914
  11. [↑](Print_version.html#cite_ref-75) R. v. Kennedy, [1995] N.J. No. 340, 135 Nfld. & P.E.I.R. 271 (Nfld. C.A.) at 28 to 31
  12. [↑](Print_version.html#cite_ref-76) R. v. Tremblay 1987 CanLII 28 (SCC), (1987), 37 C.C.C. (3d) 565 (S.C.C.); R. v. Kumarasamy, [2002] O.J. No. 303 (S.C.J.)
  13. [↑](Print_version.html#cite_ref-77) R v Luong 2000 ABCA 301 at para. 12

### Diligence of the Detainee[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-4)]

The right to counsel is not an absolute right. The accused must be reasonably diligent to exercise it.[[1]](Print_version.html#cite_note-78)

If the first part of the implementational duty is satisfied, the judge will only then consider whether the detainee has been reasonably diligent in exercising the right. The onus is on the accused to establish reasonable diligence.[[2]](Print_version.html#cite_note-79)

If the detainee failed to be reasonably diligent in exercising their right, the implementational duties do not arise or are suspended and so there cannot be a violation.[[3]](Print_version.html#cite_note-80) 

  


  1. [↑](Print_version.html#cite_ref-78) R. v. Bartle, [1994] 3 S.C.R. 173
  2. [↑](Print_version.html#cite_ref-79) R. v. Smith 1989 CanLII 27 (SCC), (1989), 50 C.C.C. (3d) 308  (S.C.C.) at 315-16 and 323
  3. [↑](Print_version.html#cite_ref-80) R. v. Tremblay 1987 CanLII 28 (SCC), (1987), 37 C.C.C. (3d) 565 (S.C.C.) at 568  
R. v. Leclair 1989 CanLII 134 (SCC), (1989), 46 C.C.C. (3d) 129 (S.C.C.) at 135  
R. v. Black 1989 CanLII 75 (SCC), (1989), 50 C.C.C. (3d) 1 (S.C.C.) at 13  
R. v. Smith, 1989 CanLII 27, at 314  
R. v. Bartle, supra, at 301  
R. v. Prosper 1994 CanLII 65 (SCC), (1994), 92 C.C.C. (3d) 353 (S.C.C.) at 375-381 and 400-401

### Choice of Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-5)]

The right to counsel includes a limited right to a choice of counsel. This right extends only to the point where the lawyer chosen cannot be made available after a reasonable delay at which time the detainee is expected to call another lawyer, including duty counsel.[[1]](Print_version.html#cite_note-81)

The issue at all times is whether the the officer provided the detainee with the necessary information and assistance to allow the detainee a reasonable opportunity to exercise his rights.[[2]](Print_version.html#cite_note-82)

Where good faith efforts are made by the police, there cannot be a violation simply because the officer failed to do more where there was some feasible step the officer failed to take to arrange contact with counsel of choice.[[3]](Print_version.html#cite_note-83)

A detained person must be reasonably diligent in exercising his right to choose counsel.[[4]](Print_version.html#cite_note-84) If he fails to do so, then the related duties are suspended.[[5]](Print_version.html#cite_note-85)

An accused who waits an hour after a failed attempt to contact a lawyer of choice and refuses to speak with duty counsel may have failed to be reasonably diligent, if the evidence requested by police has an expiry date of two hours. In this case, the accused was refusing to give a breath sample at a police station until speaking to his lawyer. His lawyer could not be contacted within an hour, and the appeal judge determined that the accused's 10(b) right was not infringed by his lack of choice. It is unclear how this impacts cases where there is no pressing expiration time.[[6]](Print_version.html#cite_note-86)

  


  1. [↑](Print_version.html#cite_ref-81) R. v. Leclair and Ross 1989 CanLII 134 (SCC), (1989), 46 C.C.C. (3d) 129 (S.C.C.) at page 135  
R. v. Littleford, [2001] O.J. No. 2437 (C.A.)  
R. v. Richfield 2003 CanLII 52164 (ON CA), (2003), 178 C.C.C. (3d) 23 (Ont. C.A.)  
R. v. Van Binnendyk, [2007] O.J. No. 2899 (C.A.)  
R. v. Brown, [2009] N.B.J. No. 143 (C.A.) at para 20 - 27  
R. v. Willier (2010), 259 C.C.C. (3d) 536 (S.C.C.)  

  2. [↑](Print_version.html#cite_ref-82) R. v. Gentile, [2008] O.J. No. 3664 (S.C.J.) at para 24
  3. [↑](Print_version.html#cite_ref-83) R. v. Blackett, [2006] O.J. No. 2999 (S.C.J.)
  4. [↑](Print_version.html#cite_ref-84) R v Ross 1989 CanLII 134 (SCC) at 135
  5. [↑](Print_version.html#cite_ref-85) Ross 1989 CanLII 134 at 135
  6. [↑](Print_version.html#cite_ref-86) R. v. Richfield (2003) CanLII 5214 (Ont. C.A.)

### Police Methods[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-6)]

The police have a right to try to persuade a person to speak to them.[[1]](Print_version.html#cite_note-87)

It is not permissible for a police officer to belittle or make inappropriate comments regarding defence counsel.[[2]](Print_version.html#cite_note-88) Where police do so, it has the effect of nullifying the reliance the advice given. To rebut this nullification, it would be necessary to have the detainee be given a further opportunity to contact a lawyer.[[3]](Print_version.html#cite_note-89)

  1. [↑](Print_version.html#cite_ref-87) R. v. Hebert; R. v. Ekman
  2. [↑](Print_version.html#cite_ref-88) R. v. Burlinghma [1995] 2 S.C.R. 206  
R. v. McKinnon, 2005 ABQB 303  
R. v. Timmons, [2002] N.S.J. 209
  3. [↑](Print_version.html#cite_ref-89) See Burlingham

## Post-fulfillment[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-7)]

The advice received in privileged and so police do not need to inquire about the adequacy of the legal advice the detainee received.[[1]](Print_version.html#cite_note-90) If there is any issue with the advice given that is for the detainee to raise.

If the detainee is unsuccessful in reaching a lawyer, for example, if he receives a busy signal, no answer, disconnected phone, recorded message, or someone other than the lawyer, it is for the accused to inform the police about so that they can fulfil their duty. It is not for the police to "play twenty questions".[[2]](Print_version.html#cite_note-91)

Once the obligations have been fulfilled the police may undertake questioning at will and do not need to stop by further requests for a chance to speak with a lawyer.[[3]](Print_version.html#cite_note-92) However, if counsel is on the way, they must wait for counsel to arrive.[[4]](Print_version.html#cite_note-93)

Once the right to speaking with counsel has been fulfilled the officer need to cease the interview simply because the accused does not want to speak with them.[[5]](Print_version.html#cite_note-94)

The police do not need to cease a lawful search while the accused seeks counsel.[[6]](Print_version.html#cite_note-95)

  1. [↑](Print_version.html#cite_ref-90) R. v. Willier, [2010 SCC 37](http://canlii.ca/t/2cvjv), [2010] 2 SCR 429
  2. [↑](Print_version.html#cite_ref-91) R. v. Top 1989 ABCA 98 (CanLII), (1989), 48 C.C.C. (3d) 493 at p. 497
  3. [↑](Print_version.html#cite_ref-92) R. v. Wood, [1994 CanLII 3976](http://canlii.ca/t/1mqcn) (NS CA)
  4. [↑](Print_version.html#cite_ref-93) R. v. Howard (1983) Ont.C.A.
  5. [↑](Print_version.html#cite_ref-94) R. v. Baidwan  
R. v. Singh, [2007] 3 S.C.R. 405 [2007 SCC 48](http://www.canlii.org/en/ca/scc/doc/2007/2007scc48/2007scc48.html)  
R. v. Bohnet, [2003 ABCA 207](http://www.canlii.org/en/ab/abca/doc/2003/2003abca207/2003abca207.html) R. v. Gormley, [1999 CanLII 4160](http://www.canlii.org/en/pe/pescad/doc/1999/1999canlii4160/1999canlii4160.html) (PE S.C.A.D.)
  6. [↑](Print_version.html#cite_ref-95) R. v. Borden [1994] 3 S.C.R. 145

### Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-8)]

The degree of delay permitted is a matter of context.[[1]](Print_version.html#cite_note-96)

The police wait of 10 minutes after a second failed attempt to contact counsel to conduct breath test breached s. 10(b) rights.[[2]](Print_version.html#cite_note-97)

**Examples**  
Evidence obtained from a motorist’s involvement in screening tests, without being given their right to counsel, should be excluded from evidence incriminating the driver. [[3]](Print_version.html#cite_note-98)

  1. [↑](Print_version.html#cite_ref-96) R. v. Smith, [1986 CanLII 103](http://canlii.ca/t/1npjx) (MB CA)
  2. [↑](Print_version.html#cite_ref-97) R. v. Samatar, [2011 ONCJ 520](http://canlii.ca/t/fnq1x)
  3. [↑](Print_version.html#cite_ref-98) R. v. Orbanski [2005 SCC 37](http://canlii.ca/t/1l0b0)

## Special Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-9)]

Where there has been a breach of s. 10(b) right for a statement and then a later statement was taken that on its face may not be an independent breach, the subsequent breach may still be "tainted" by the earlier breach allowing for a potential remedy under s. 24(2).[[1]](Print_version.html#cite_note-99)

The court have adopted a "purposive and generous approach" when considering tainting by earlier Charter breaches. The accused does not need to establish a strict causal relationship between the breach and subsequent statement. The statement is tainted where the breach and subsequent statement were "part of the same transaction or course of conduct.[[2]](Print_version.html#cite_note-100) The connection is "temporal, contextual, causal, or combination of the three."[[3]](Print_version.html#cite_note-101)

A "remote" or "tenuous" connection is not sufficient.[[4]](Print_version.html#cite_note-102)

  1. [↑](Print_version.html#cite_ref-99) R. v. Wittwer, 2008 SCC 33 at 21
  2. [↑](Print_version.html#cite_ref-100) R v Strachan at p. 1005
  3. [↑](Print_version.html#cite_ref-101) R v Plaha, 2004 CanLII 21043 (ONCA) at para. 45
  4. [↑](Print_version.html#cite_ref-102) R. v. Goldhart, 1996 CanLII 214 at para. 40  
R v Plaha at para. 45  


### Change of Jeopardy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-10)]

While a detainee is in custody on charges and has received access to counsel, but at some point later the circumstances of the detainment change and further charges are being investigated resulting in a change in jeopardy in the detainee, the accused must be given a furthe opportunity to consult with counsel on the new situation.[[1]](Print_version.html#cite_note-103)

  


  1. [↑](Print_version.html#cite_ref-103) R. v. Black, [1989 CanLII 75](http://canlii.ca/t/1ft50) (SCC), [1989] 2 SCR 138

### Communication difficulties[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-11)]

Where a detainee may not understand the information being told to them, it cannot be resolved by simply reading the standard text.[[1]](Print_version.html#cite_note-104)

Limited signs of comprehension of English can be enough for the court to find that the accused did not understand his rights.[[2]](Print_version.html#cite_note-105)

Where the officer is aware that the person's first langauge is not english, then they should be cautious and slow when going through the instructions.[[3]](Print_version.html#cite_note-106)

It should only be in exceptional circumstances where the officer is under an obligation to arrange for an interpreter to ensure that they understand their rights.[[4]](Print_version.html#cite_note-107)

  1. [↑](Print_version.html#cite_ref-104) R v Evans 1991 CanLII 98 (SCC) at para 21
  2. [↑](Print_version.html#cite_ref-105) See R v Brissonnet 2006 ONCJ 31
  3. [↑](Print_version.html#cite_ref-106) R v Prodan 2007 ONCJ 551 - officer heard accent, went very fast through caution
  4. [↑](Print_version.html#cite_ref-107) R v _ 2012 ABPC 56

## Waiver of Right to Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-12)]

The onus is on the Crown to prove that there was a valid waiver of Charter rights.[[1]](Print_version.html#cite_note-108)

A line of cases suggests that answers along the line of “no, not right now” is a equivocal answer due to its ambiguity of interpretation.[[2]](Print_version.html#cite_note-109)

Answers such as “what will they do for me?” was equivocal and so was not sufficient.[[3]](Print_version.html#cite_note-110)

However, several answers have been found to be unequivocal and so amount to a waiver:

  * “No, I have no use to call one”[[4]](Print_version.html#cite_note-111)
  * “No, I’ll talk to one tomorrow”[[5]](Print_version.html#cite_note-112)

In response to a comment such as “not right now”, if the officer explains how to engage the right at a later point--such as stating, “if you change your mind at any time tonight during this whole process”--then the waiver will be considered valid.[[6]](Print_version.html#cite_note-113)

Wording such as “no, I don’t think so” will often turn on the wording used, including whether it was confidently said, quickly said, or subjectively showed some doubt to the officer.[[7]](Print_version.html#cite_note-114)

  1. [↑](Print_version.html#cite_ref-108) R v Luong 2000 ABCA 301 at para. 12
  2. [↑](Print_version.html#cite_ref-109) e.g. R. v. Jackman 2008 ABPC 201  
R v. Turcott 2008 ABPC 16  
R. v. Bruno 2009 ABPC 232  

  3. [↑](Print_version.html#cite_ref-110) R v Shaw 2001 ABPC 84
  4. [↑](Print_version.html#cite_ref-111) R v Moore 2007 ABQB 638
  5. [↑](Print_version.html#cite_ref-112) R. v. Mwangi, 2010 ABPC 243 - court said it was unequivocal because there was only one interpretation of wording
  6. [↑](Print_version.html#cite_ref-113) R. v. MacGregor, 2012 NSCA 18 at 31
  7. [↑](Print_version.html#cite_ref-114) e.g. R. v. Korn, 2012 ABPC 20 at 46

### Prosper Warning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-13)]

Where an accused is detained and asserts the right to counsel in a dilligent manner and then changes their mind, the police must administer a “Prosper Warning”. This warning requires the officer to tell the detainee that he still has a right to a reasonable opportunity to contact a lawyer, and that during this time the police cannot take any statements until he had had a reasonable opportunity to contact a lawyer.[[1]](Print_version.html#cite_note-115) If the officer fails to give the Prosper warning, there will be a Charter violation.

  1. [↑](Print_version.html#cite_ref-115) R. v. Prosper, [[1994](http://canlii.ca/t/1frrj) 3 SCR 236] at p. 378-79

## Young Persons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-14)]

Section 25(1) of the YCJA gives the youth a right to retain and instruct counsel without delay.[[1]](Print_version.html#cite_note-116)

The basic adult rights regarding counsel are still in effect for a youth. However, section 146 creates additional benefits upon the young accused and obligations upon the police when providing the right to counsel. The additional rights not otherwise available to adults include:

  * the youth will be given a reasonable opportunity to consult with a parent or responsible adult
  * any statement _must_ be given in front of a lawyer and parent or responsible adult unless the right is waived;
  * the waiver of this right must be audio or video taped or be in writing.

Proof of compliance with these standards is proof beyond a reasonble doubt.[[2]](Print_version.html#cite_note-117)

The reason for these additional protections and high standard of proof on the Crown is because of the constitutional requirement of a separate system arising from the youth's reduced moral blameworthiness and culpability.[[3]](Print_version.html#cite_note-118) More to the point, youths are "far more easily impressed and influenced by authoritarian figures".[[4]](Print_version.html#cite_note-119)

  1. [↑](Print_version.html#cite_ref-116) [YCJA](http://www.canlii.org/en/ca/laws/stat/sc-2002-c-1/latest/sc-2002-c-1.html)
  2. [↑](Print_version.html#cite_ref-117) R. v. L.T.H., [2008 SCC 49](http://canlii.ca/t/20m8f), [2008] 2 SCR 739
  3. [↑](Print_version.html#cite_ref-118) R v DB 2008 SCC 25
  4. [↑](Print_version.html#cite_ref-119) R v JTJ [1990] 2 SCR 755 at p. 766

## Foreign Nationals[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-15)]

Upon arrest of a foreign national, the accused has a right to contact the consul of his native country pursuant to Article 36 of the Vienna Convention which states:

> 1\. With a view to facilitating the exercise of consular functions relating to nationals of the sending State: :(a) consular officers shall be free to communicate with nationals of the sending State and to have access to them. Nationals of the sending State shall have the same freedom with respect to communication with and access to consular officers of the sending State;
> 
>     (b) if he so requests, the competent authorities of the receiving State shall, without delay, inform the consular post of the sending State if, within its consular district, a national of that State is arrested or committed to prison or to custody pending trial or is detained in any other manner. Any communication addressed to the consular post by the person arrested, in prison, custody or detention shall be forwarded by the said authorities without delay. The said authorities shall inform the person concerned without delay of his rights under this subparagraph;
>     (c) consular officers shall have the right to visit a national of the sending State who is in prison, custody or detention, to converse and correspond with him and to arrange for his legal representation. They shall also have the right to visit any national of the sending State who is in prison, custody or detention in their district in pursuance of a judgment. Nevertheless, consular officers shall refrain from taking action on behalf of a national who is in prison, custody or detention if he expressly opposes such action.
> 
> 2\. The rights referred to in paragraph 1 of this article shall be exercised in conformity with the laws and regulations of the receiving State, subject to the proviso, however, that the said laws and regulations must enable full effect to be given to the purposes for which the rights accorded under this article are intended.
> 
> – [VC](http://untreaty.un.org/ilc/texts/instruments/english/conventions/1_1_1969.pdf)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel&action=edit&section=T-16)]

  * [Canadian Criminal Procedure and Practice/Cases/Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Right_to_Counsel)

  


# Exclusion of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-1)]

Where there has been a finding of a breach of any right under the _Charter_, the applicant may apply to have evidence excluded from the trial under s. 24(2) of the _Charter_ which states:

> **Exclusion of evidence bringing administration of justice into disrepute**  
(2) Where, in proceedings under subsection (1), a court concludes that evidence was obtained in a manner that infringed or denied any rights or freedoms guaranteed by this Charter, the evidence shall be excluded if it is established that, having regard to all the circumstances, the admission of it in the proceedings would bring the administration of justice into disrepute.
> 
>   


The Supreme Court of Canada made a complete revision of the analytical approach in R. v. Grant, 2009 SCC 32[[1]](Print_version.html#cite_note-120). Under Grant, there are "three avenues of inquiry" that a court must consider:[[2]](Print_version.html#cite_note-121)

“

...when faced with an application for exclusion under s. 24(2), a court must assess and balance the effect of admitting the evidence on society's confidence in the justice system having regard to:

    (1) the seriousness of the Charter-infringing state conduct (admission may send the message the justice system condones serious state misconduct),
    (2) the impact of the breach on the Charter-protected interests of the accused (admission may send the message that individual rights count for little), and
    (3) society's interest in the adjudication of the case on its merits.  


The court's role on a s. 24(2) application is to balance the assessments under each of these lines of inquiry to determine whether, considering all the circumstances, admission of the evidence would bring the administration of justice into disrepute...

”

In balancing these factors, the judge should consider all the circumstances of the case.[[3]](Print_version.html#cite_note-122)

This analysis should focus on the "long-term, prospective and societal" effect of the violations.[[4]](Print_version.html#cite_note-123)

The analysis should be from an objective view and ask "whether a reasonable person, informed of all relevant circumstances and the values underlying the Charter, would conclude that the admission of the evidence would bring the administration of justice into disrepute"[[5]](Print_version.html#cite_note-124)

There is no rule requiring the automatic exclusion of a statement obtained by Charter violations.[[6]](Print_version.html#cite_note-125)

A appellate court should give a discretionary decision of a judge, such as in a 24(2) analysis, high deference. The judge should only interfere where "the judge did not give weight to all relevant considerations". [[7]](Print_version.html#cite_note-126)

  1. [↑](Print_version.html#cite_ref-120) R. v. Grant, [2009 SCC 32](http://canlii.ca/t/24kwz)
  2. [↑](Print_version.html#cite_ref-121) R v Grant per McLachlin, C.J. and Charron, J., at para. 71
  3. [↑](Print_version.html#cite_ref-122) See R. v. Morelli, [2010 SCC 8](http://canlii.ca/t/28mrg) (CanLII), [2010] 1 S.C.R. 253  
R. v. Côté, [2011 SCC 46](http://canlii.ca/t/fndv8) (CanLII), [2011] 3 S.C.R. 215, at para. 45-48  

  4. [↑](Print_version.html#cite_ref-123) see R. v. Mahmood, [2011 ONCA 693](http://canlii.ca/t/fnr5s) (CanLII)  
R. v. Dhillon, [2012] B.C.J. No. 1158 (C.A.), at para 78  
Grant at para. 69 and 70  

  5. [↑](Print_version.html#cite_ref-124) Grant at para. 68
  6. [↑](Print_version.html#cite_ref-125) R. v. N.Y., [2012 ONCA 745](http://canlii.ca/t/ftlsv) (CanLII) at para. 56, 57
  7. [↑](Print_version.html#cite_ref-126) R. v. Bacon, [2012 BCCA 323](http://canlii.ca/t/fs5sn) at para. 14

## Seriousness of police misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-2)]

This factor considers the effect of the police misconduct on the reputation of the justice system. Effectively, considering whether the courts are "condoning" the deviation from the rule of law by failing to disassociate themselves from the fruits of the misconduct.[[1]](Print_version.html#cite_note-127)

However, an over-readiness to exclude for "fleeting and technical violation[s]" is likely "to be seen as symptom of systemic impotency which would breed public contempt for the criminal justice system"[[2]](Print_version.html#cite_note-128)

Factors the court must consider include:[[3]](Print_version.html#cite_note-129)

  * Was the breach “inadvertent or minor” or a result of willful or reckless or deliberate disregard for the Charter?
  * Did the police act in good faith?
  * Were there “extenuating circumstances”?

The gravity of the conduct depends on the degree of intention of the officer, ranging from inadvertent or minor violations to wilful or reckless disregard for Charter rights.[[4]](Print_version.html#cite_note-130)

Flagrant disregard of Charter right are to be treated differently than breaches arising out of conduct that is in accordance with the law.[[5]](Print_version.html#cite_note-131)

The Court should consider "what the police did and their attitude when they did it".[[6]](Print_version.html#cite_note-132)

The presence of ignored lesser intrusive options to chosen the method of investigation will have an aggravating effect on the seriousness of the Charter breach.[[7]](Print_version.html#cite_note-133)

A "cavalier" attitude to the use of police powers will also aggravate the breach.[[8]](Print_version.html#cite_note-134)

Whether the conduct was an isolated incident or part of a larger pattern of police disregard of Charter rights will affect the seriousness of the breach.[[9]](Print_version.html#cite_note-135) This can usually come out through voir dire evidence of whether the officer was acting on an established practice.

The seriousness can be mitigated by factors such as "good faith" on the part of the officer or extenuating circumstances that may warrant quick action to avoid losing evidence.[[10]](Print_version.html#cite_note-136)

Good faith, if established, will favour admission because it will "reduce the need for the court to disassociate itself from police conduct".[[11]](Print_version.html#cite_note-137)

The presence of reasonable and probable grounds for the police conduct will lessen the seriousness of the violation.[[12]](Print_version.html#cite_note-138)

Entry into a residence with an invalid warrant or without any warrant is considered a serious violation of the accused's rights and tends to lean towards exclusion.[[13]](Print_version.html#cite_note-139)

  1. [↑](Print_version.html#cite_ref-127) R. v. Ngai, [2010] A.J. No. 96 (C.A.), ("court's first stage of inquiry requires it to assess whether the admission of the evidence would bring the administration of justice into disrepute by sending a message to the public that the courts effectively condone state deviation from the rule of law by failing to disassociate themselves from the fruit of that unlawful conduct." )
  2. [↑](Print_version.html#cite_ref-128) see R. v. Shinkewski, [2012] S.J. No. 376 (C.A.), at para 33  
R. v. Giulioni, [2011] N.J. No. 322 (S.C.)  
R. v. Hart, 2012 NLCA 61  

  3. [↑](Print_version.html#cite_ref-129) R. v. Loewen 2010 ABCA 255 at para. 83
  4. [↑](Print_version.html#cite_ref-130) R. v. Grant at para. 74
  5. [↑](Print_version.html#cite_ref-131) see R. v. Beaulieu, 2010 SCC 7 (CanLII), [2010] 1 S.C.R. 248  
R. v. Loewen, [2011] S.C.J. No. 100)
  6. [↑](Print_version.html#cite_ref-132) see R. v. Ramage, 2010 ONCA 488 (CanLII), at para 48
  7. [↑](Print_version.html#cite_ref-133) R v Brown, [2012 ONCA 225](http://canlii.ca/t/fqx32) (CanLII)
  8. [↑](Print_version.html#cite_ref-134) R v Brown, [2012 ONCA 225](http://canlii.ca/t/fqx32) (CanLII)
  9. [↑](Print_version.html#cite_ref-135) R. v. Greffe, 1990 CanLII 143 (SCC), [1990] 1 S.C.R. 755, at para. 50
  10. [↑](Print_version.html#cite_ref-136) R. v. Silveira, 1995 CanLII 89 (S.C.C.), [1995] 2 S.C.R. 297
  11. [↑](Print_version.html#cite_ref-137) R. v. Grant, at para. 75
  12. [↑](Print_version.html#cite_ref-138) R. v. Caslake, 1998 CanLII 838 (SCC), [1998] 1 S.C.R. 51  
R. v. Belnavis, 1997 CanLII 320 (SCC), [1997] 3 S.C.R. 341  

  13. [↑](Print_version.html#cite_ref-139) R. v. Maton, [2005 BCSC 330](http://canlii.ca/t/1k2jq) (CanLII) at para. 56-64

## Impact on personal interests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-3)]

The impact on the personal interests is a two part inquiry. First, the interest engaged must identified, and then the degree to which the violation impacted this interest must be considered.

The impact can range from fleeting and technical to profoundly intrusive.[[1]](Print_version.html#cite_note-140)

Being stopped and searched without justification impacts liberty and privacy in more than a trivial manner. [[2]](Print_version.html#cite_note-141)

Stopping a vehicle creates a lesser impact on personal interests than a search of a residence.[[3]](Print_version.html#cite_note-142)

The older test under Collins placed emphasis on the discoverability of the evidence, inquiring whether the evidence would have been otherwise discovered during the investigation. Under the new model, the discoverability is still relevant to the first two branches of the analysis but less crucial to the analysis.[[4]](Print_version.html#cite_note-143)

In the context of an roadside screening demand, it has been said that only the breaching event is to be considered in determining the impact on personal interests. The judge should not consider the events that follow including the subsequent arrest, personal consequences, or employment consequences.[[5]](Print_version.html#cite_note-144)

The "more likely that the evidence would have been obtained even without [the impugned statment of the accused] the lesser the impact of the breach on the accused’s underlying interest against self-incrimination".[[6]](Print_version.html#cite_note-145)

  1. [↑](Print_version.html#cite_ref-140) R v Grant, supra
  2. [↑](Print_version.html#cite_ref-141) R v Harrison, [2009 SCC 34](http://canlii.ca/t/24kx5) at para. 31 "being stopped and subjected to a search by the police without justification impacts on the motorist's rightful expectation of liberty and privacy in a way that is much more than trivial.”)
  3. [↑](Print_version.html#cite_ref-142) see R. v. Bacon, [2012] B.C.J. No. 1571 (C.A.), at para 34  
R. v. Loewen, [2011] S.C.J. No. 100, at para 12 and 13  
R v Harrison, [2009] 2 S.C.R. 494 at para 31  

  4. [↑](Print_version.html#cite_ref-143) R. v. Côté, [2011] S.C.J. 46 at 70
  5. [↑](Print_version.html#cite_ref-144) R v. Booth, [2010 ABQB 797](http://canlii.ca/t/2f1c1)
  6. [↑](Print_version.html#cite_ref-145) R. v. Grant, 2009 SCC 32 at 122

## Interest in Trying Case on Merits[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-4)]

The third step considers the "truth-seeking function" of the trial process.[[1]](Print_version.html#cite_note-146)It is presumed that society has an interest in adjudicating matters on the merits. A balance must be made between the effect of its exclusion to the effect of its inclusion.

The "reliability" of the evidence is an important inquiry. If the breach brings the reliability into question it will favour exclusion.[[2]](Print_version.html#cite_note-147)

The importance of the evidence on the Crown's case is also important. [[3]](Print_version.html#cite_note-148) Where the exclusion would effectively "gut" the case, it will be a factor in favour of admission.[[4]](Print_version.html#cite_note-149)

The seriousness of the offence has some importance,[[5]](Print_version.html#cite_note-150) but can "cut both ways".[[6]](Print_version.html#cite_note-151) The importance of the short-term desire to convict for serious offences is balanced against the need for fair conduct where the penalty is so great.

There will be cases where the seriousness of the offence is considered "neutral".[[7]](Print_version.html#cite_note-152)

  1. [↑](Print_version.html#cite_ref-146) R v Grant
  2. [↑](Print_version.html#cite_ref-147) R. v. Grant at para. 83  
R. v. Atkinson, [2012] O.J. No. 2520 (C.A.), at para 93
  3. [↑](Print_version.html#cite_ref-148) R. v. Grant at para. 83
  4. [↑](Print_version.html#cite_ref-149) see R. v. MacDonald, [2012] O.J. No. 3210 (C.A.), at para 37
  5. [↑](Print_version.html#cite_ref-150) R. v. Reddy, 2010 BCCA 11 (CanLII), at para 94  
R. v. Stevens, 2011 ONCA 504 (CanLII), at para 62  

  6. [↑](Print_version.html#cite_ref-151) R. v. Grant at para. 84
  7. [↑](Print_version.html#cite_ref-152) see R. v. Martin, [2010] N.B.J. No. 198 (C.A.), at para 96

## Interests for specific offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-5)]

### Motor Vehicle Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-6)]

Cases have addressed society's interest screening of impaired drivers to reduce the carnage on our highways prefers the inclusion of evidence.[[1]](Print_version.html#cite_note-153)

The ASD procedure has been described as a "non-invasive" and "does not undermine bodily integrity or dignity".[[2]](Print_version.html#cite_note-154)

  1. [↑](Print_version.html#cite_ref-153) see R. v. Elias; R. v. Orbanski 2005 SCC 37, (2005), 196 C.C.C. (3d) 481 (S.C.C.) at paras. 3, 24-27; 49; 55 and 58
  2. [↑](Print_version.html#cite_ref-154) R. v. Vandenberg [2010 ABQB 261](http://canlii.ca/t/29cph)

### Weapons Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-7)]

In consideration under s.24(2) of the Charter, courts have commented on the public interest with respect to gun cases:[[1]](Print_version.html#cite_note-155)

    Offences involving handguns is a “serious and growing societal danger”.[[2]](Print_version.html#cite_note-156) There is a strong emphasis on the need to denounce and deter the use of firearms in public places.[[3]](Print_version.html#cite_note-157) There has been judicial notice that as of 2007 there has been a national increase in gun violence and gun-related offences.[[4]](Print_version.html#cite_note-158)

It has been said that "the exclusion of firearms would more negatively impact the administration of justice than their admission."[[5]](Print_version.html#cite_note-159)

  1. [↑](Print_version.html#cite_ref-155) See R v Campbell [2009] OJ 4132
  2. [↑](Print_version.html#cite_ref-156) R v Clayton 2005 CaLII 16569 (ONCA) at 41
  3. [↑](Print_version.html#cite_ref-157) R v Danvers [2005] OJ 3532 ONCA at 77  
R. v. Bellamy,2008 CanLII 26259 (ON SC), [2008] 175 C.R.R. (2d) 241, at para. 76  
R. v. Brown, [2006] O.J. No. 4681 (Ont. S.C.J.) at para. 9  

  4. [↑](Print_version.html#cite_ref-158) R v. Clayton [2007 SCC 32](http://canlii.ca/t/1rxzv) at 110
  5. [↑](Print_version.html#cite_ref-159) R. v. Mpamugo, [2009] O.J. No. 953 (S.C.), at para. 48  
R v Harrison, 2009 SCC 34 at 82  


## Pre-Grant Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-8)]

### Collins/Stillman Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-9)]

Under the Collins test, the administration of justice is brought into "disrepute" where a combination of three factors weight in favour of exclusion of evidence. These sets of factors consist of:[[1]](Print_version.html#cite_note-160)

  1. factors affecting the fairness of the trial,
  2. factors relevant to the seriousness of the violation; and
  3. factors relevant to the effect of excluding the evidence.

The Stillman test considers the first set of factors. It examines the nature of the evidence and alternatives to its discovery.[[2]](Print_version.html#cite_note-161) The Stillman test directs the following analysis:

  1. Classify the evidence as conscriptive or non-conscriptive based on the manner in which the evidence was obtained. If the evidence is non-conscriptive, its admission will not render the trial unfair and the Court will proceed to consider the seriousness of the breach and the effect of exclusion on the repute of the administration of justice.
  2. If the evidence is conscriptive and the Crown fails to demonstrate on a balance of probabilities that the evidence would have been discovered by alternative non-conscriptive means, then its admission will render the trial unfair. The Court, as a general rule, will exclude the evidence without considering the seriousness of the breach or the effect of exclusion on the repute of the administration of justice. This must be the result since an unfair trial would necessarily bring the administration of justice into disrepute.
  3. If the evidence is found to be conscriptive and the Crown demonstrates on a balance of probabilities that it would have been discovered by alternative non-conscriptive means, then its admission will generally not render the trial unfair. However, the seriousness of the Charter breach and the effect of exclusion on the repute of the administration of justice will have to be considered.

  1. [↑](Print_version.html#cite_ref-160) R. v. Collins [1987] 1 S.C.R. 265
  2. [↑](Print_version.html#cite_ref-161) R. v. Stillman [1997] 1 S.C.R. 607, 1997 SCC 32

### Conscriptive Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-10)]

Evidence that is conscriptive is a factor against the admission of evidence obtained by a Charter violation.

Conscriptive evidence affects the trial fairness factor.

Conscriptive evidence is evidence that arises from any of the following:[[1]](Print_version.html#cite_note-162)

  1. statements
  2. use of the accused's body
  3. taking of bodily sample
  4. evidence derived from the above (derivative evidence)

Evidence that is conscriptive and not otherwise discoverable will tend to be excluded.

A voluntary statement cannot be conscriptive.[[2]](Print_version.html#cite_note-163)

Conscriptiveness must be proven by the Accused on a balance of probabilities.

Discoverable evidence is evidence that 1) can be proven by other non-conscriptive means or 2) would inevitably be discovered.[[3]](Print_version.html#cite_note-164)

Discoverability must be proven by the Crown on a balance of probabilities.

  1. [↑](Print_version.html#cite_ref-162) Watt, Manual of Criminal Evidence at 41.03  
Stillman - lists the first three factors
  2. [↑](Print_version.html#cite_ref-163) Watt at 41.03
  3. [↑](Print_version.html#cite_ref-164) Stillman

## Relevant Charter Rights[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-11)]

  * [Rights against Search and Seizure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure)
  * [Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)
  * [Right against Arbitrary Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention)

  


# Waiver of Charter Rights[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights&action=edit&section=T-1)]

The waiver of any Charter right must be done clearly and unequivocally with full knowledge of the scope of the right and effect of the waiver.[[1]](Print_version.html#cite_note-165)

It is necessary for the Crown to prove waiver of an accused right under s.8.[[2]](Print_version.html#cite_note-166)

An express or implied invitation, such as at the attendance of police at the door of a residence or being invited into the house, results in the waiving of privacy.[[3]](Print_version.html#cite_note-167)

  1. [↑](Print_version.html#cite_ref-165) R v Korponay v Attorney General of Canada, [1992] 1 SCR 41 at p. 49 ("the validity of such a waiver, and I should add that that is so of any waiver, is dependent upon it being clear and unequivocal that the person is waiving the procedural safeguard and is doing so with full knowledge of the rights the procedure was enacted to protect and of the effect the waiver will have on those rights in the process.")
  2. [↑](Print_version.html#cite_ref-166) See: R. v. Neilson 1988 CanLII 213 , (1988), 43 C.C.C. (3d) 548 (SKCA)
  3. [↑](Print_version.html#cite_ref-167) See R v Evans [1996] 1 SCR 8 at 12-13 implied invitation  
R v Roy, 2010 BCCA 448 express invitation  


## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights&action=edit&section=T-2)]

  * [Consent Search](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search)

  


# _Search and Seizure_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=3)]

# I - Privacy Rights[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=4)]

# Search and Seizure/Rights against Search and Seizure[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-1)]

The relevant Charter provision states under the heading of "legal rights":

> 8\. Everyone has the right to be secure against unreasonable search or seizure.

Privacy is "at the heart of liberty in a modern state".[[1]](Print_version.html#cite_note-168) It is "essential for the well-being of the individual" and has a profound significance for the public order."[[2]](Print_version.html#cite_note-169) It is also a “protean concept”, meaning that it tends to be highly variable and change.[[3]](Print_version.html#cite_note-170)

The purpose of the right under s. 8 is to protect "the citizen's right to a reasonable expectation of privacy" [[4]](Print_version.html#cite_note-171) and to "prevent unreasonable intrusions on privacy, not to sort them out from unreasonable intrusions on an ex post facto analysis". [[5]](Print_version.html#cite_note-172) It is for this reason that the principle of reasonable expectation of privacy is a "normative rather than a descriptive standard".[[6]](Print_version.html#cite_note-173)

The right is concerned with balancing the state's interest in law enforcement and privacy interests of persons.[[7]](Print_version.html#cite_note-174) It is only when the state can "demonstrate the superiority of its interest to that of the individual" that a search can be valid.[[8]](Print_version.html#cite_note-175) This point exists where there is reasonable and probable cause which lies at the point where "point where credibly-based probability replaces suspicion".[[9]](Print_version.html#cite_note-176)

Under this section police are prohibited from "unreasonable" searches. The inquiry of the lawfulness of a search is based on whether the search was "reasonable" in the circumstances. The circumstances include the nature of the duty performed as well as the purpose of the search.[[10]](Print_version.html#cite_note-177)

A search is only subject to Constitutional review where the search intrudes on a reasonable expectation of privacy of the accused. [[11]](Print_version.html#cite_note-178) Only where the privacy right exists that there is an inquiry into the reasonableness of the search.[[12]](Print_version.html#cite_note-179)

A lawful search must be (a) authorized by law; (b) the law itself must be reasonable; and (c) the manner in which the search was carried out must be reasonable.[[13]](Print_version.html#cite_note-180)

A search consists of any state interference of a person's privacy interests.[[14]](Print_version.html#cite_note-181) As such, there is little distinction between the initial intrusion itself and the search subsequent to intrusion. [[15]](Print_version.html#cite_note-182)

  1. [↑](Print_version.html#cite_ref-168) R v Edwards, [1996] 1 SCR 128
  2. [↑](Print_version.html#cite_ref-169) R v Edwards at 61
  3. [↑](Print_version.html#cite_ref-170) R v Tessling 2004 SCC 67 at para. 25
  4. [↑](Print_version.html#cite_ref-171) R. v. Colarusso, 1994 CanLII 134 (SCC), [1994] 1 S.C.R. 20 at [70](http://canlii.ca/t/1frw6#par70)
  5. [↑](Print_version.html#cite_ref-172) R. v. Feeney, [1997] 2 S.C.R. 13 at 47
  6. [↑](Print_version.html#cite_ref-173) R v Tessling at para. 42
  7. [↑](Print_version.html#cite_ref-174) R. v. Tessling, 2004 SCC 67, [2004] 3 S.C.R. 432 at 17  

  8. [↑](Print_version.html#cite_ref-175) Hunter et al. v. Southam Inc., [1984 CanLII 33](http://canlii.ca/t/1mgc1) (SCC), [1984] 2 SCR 145 at p.160
  9. [↑](Print_version.html#cite_ref-176) Hunter et al. v. Southam Inc at p. 114, 115
  10. [↑](Print_version.html#cite_ref-177) R. v. Nicolosi 1998 CanLII 2006 (ON C.A.) [[21]](http://www.canlii.org/en/on/onca/doc/1998/1998canlii2006/1998canlii2006.html)
  11. [↑](Print_version.html#cite_ref-178) R. v. Edwards 1996 CanLII 255 (SCC), [1996] 1 S.C.R. 128 at para. 45
  12. [↑](Print_version.html#cite_ref-179) R. v. Edwards, [1996] 1 S.C.R. 126 [[22]](http://www.canlii.org/en/ca/scc/doc/1996/1996canlii255/1996canlii255.html); Hunter v. Southam Inc., 1984 CanLII 33 (S.C.C.), [1984] 2 S.C.R. 145.
  13. [↑](Print_version.html#cite_ref-180) R. v. S.A.B., [2003 SCC 60](http://www.canlii.org/en/ca/scc/doc/2003/2003scc60/2003scc60.html); R v Collins, 1987 CanLII 84 (SCC)
  14. [↑](Print_version.html#cite_ref-181) R. v. Law, 2002 SCC 10, [2002] 1 S.C.R. 227, at para 15
  15. [↑](Print_version.html#cite_ref-182) R. v. McCormack, [2000] B.C.J. No. 143 (B.C.C.A.) at para 5

## Meaning of a "Search"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-2)]

Any police conduct interfering with a reasonable expectation of privacy is a "search".[[1]](Print_version.html#cite_note-183)

Any "inspection is a search" where where a "person has a reasonable privacy interest in the object or subject matter of the state action and the information to which it gives access".[[2]](Print_version.html#cite_note-184)

Knocking at the door for a investigative purpose is not a search.[[3]](Print_version.html#cite_note-185)

However, going onto private property and peering into windows while attempting to detect odours of marijuana can constitute a search.[[4]](Print_version.html#cite_note-186)

Merely peering into a car windows at night using a flash-light while the car in on a public highway is not a search.[[5]](Print_version.html#cite_note-187)

Detection of an odour of marijuana from a bag, by an officer using his own senses, while performing other duties does not constitute a search.[[6]](Print_version.html#cite_note-188) This is distinct from detection with the use of technology, such as a sniffer dog or a FLIR device.[[7]](Print_version.html#cite_note-189)

However, police observations of stains on a shirt visible to the public is not a search.[[8]](Print_version.html#cite_note-190)

  1. [↑](Print_version.html#cite_ref-183) Hunter v. Southam Inc., 1984 CanLII 33 (SCC), [1984] 2 S.C.R. 145  
R. v. Edwards, 1996 CanLII 255 (SCC), [1996] 1 S.C.R. 128  
R. v. Law, 2002 SCC 10, [2002] 1 S.C.R. 227 at para. 15  
R. v. Wise, 1992 CanLII 125 (SCC), [1992] 1 S.C.R. 527 at 533 (only “[i]f the police activity invades a reasonable expectation of privacy, [that] the activity is a search”)
  2. [↑](Print_version.html#cite_ref-184) R. v. Cole, [2012 SCC 53](http://canlii.ca/t/ft969) (CanLII), at para. 34
  3. [↑](Print_version.html#cite_ref-185) See R v MacDonald, 2012 NSCA 50 at 19  
R. v. Hope, 2007 NSCA 103 at para. 27  
R. v. Evans, [1996] 1 S.C.R. 8 at para. 8  

  4. [↑](Print_version.html#cite_ref-186) R. v. Kokesch 1990 CanLII 55 (SCC), (1990), 61 C.C.C. (3d) 207 (S.C.C.)
  5. [↑](Print_version.html#cite_ref-187) See R. v. Mellenthin 1992 CanLII 50 (SCC), (1992), 76 C.C.C. (3d) 481 (S.C.C.) at 486-87
  6. [↑](Print_version.html#cite_ref-188) R. v. Rajaratnam, 2006 ABCA 333, 2006 ABCA 333, 67 Alta. L.R. (4th) 22
  7. [↑](Print_version.html#cite_ref-189) e.g. R v Tessling [2004] 3 S.C.R. 432, 2004 SCC 67
  8. [↑](Print_version.html#cite_ref-190) R. v. Hamadeh, [2011 ONSC 1241](http://canlii.ca/t/2fw3p) at 132 to 145  


## Meaning of "Seizure"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-3)]

A "seizure" in essence is the "taking of a thing from a person by a public authority without that person's consent".[[1]](Print_version.html#cite_note-191) An individual who gives something to an officer does not constitute a seizure. Rather it is merely the receipt of a thing.[[2]](Print_version.html#cite_note-192)

Any "taking is a seizure" where "a person has a reasonable privacy interest in the object or subject matter of the state action and the information to which it gives access".[[3]](Print_version.html#cite_note-193)

A seizure does not have to be connected to a search.[[4]](Print_version.html#cite_note-194)

Valid consent in this context is determined based on indicia such as:[[5]](Print_version.html#cite_note-195)

  1. there was a consent, express or implied;
  2. the giver of the consent had the authority to give the consent in question;
  3. the consent was voluntary in the sense that that word is used in Goldman, supra, and was not the product of police oppression, coercion or other external conduct which negated the freedom to choose whether or not to allow the police to pursue the course of conduct requested;
  4. the giver of the consent was aware of the nature of the police conduct to which he or she was being asked to consent;
  5. the giver of the consent was aware of his or her right to refuse to permit the police to engage in the conduct requested; and,
  6. the giver of the consent was aware of the potential consequences of giving the consent.

Taking of a photograph by police has been considered a search or seizure.[[6]](Print_version.html#cite_note-196)

  1. [↑](Print_version.html#cite_ref-191) R. v. Dyment, 1988 CanLII 10, [1988] 2 S.C.R. 417 at para. 26  
R. v. Law, 2002 SCC 10, [2002] 1 S.C.R. 227 at para. 15  

  2. [↑](Print_version.html#cite_ref-192) R. v. Wills, [1992 CanLII 2780](http://canlii.ca/t/1npnl) (ON CA) at p. 347-348  
Illinois v. Rodrigues, 110 S. Ct 2793 (1999)  

  3. [↑](Print_version.html#cite_ref-193) R v Cole at para. 34
  4. [↑](Print_version.html#cite_ref-194) R. v. D.L.W., [2012 BCSC 1700](http://canlii.ca/t/fts53) (CanLII) at para. 63
  5. [↑](Print_version.html#cite_ref-195) R. v. Wills, [1992 CanLII 2780](http://canlii.ca/t/1npnl) (ON CA) at p. 353  
adopted in R. v. Borden, 1994 CanLII 63 (SCC), [1994] 3 S.C.R. 145, at p. 162  

  6. [↑](Print_version.html#cite_ref-196) R. v. Abbey, [2006] O.J. No. 4689 (S.C.J.); reversed on other grounds, 97 O.R. (3d) 330 (C.A.), [2010] S.C.C.A. No. 125: police took a photo of the accused's t-shirt after removing it from his body

## Zones of Protection[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-4)]

The Charter right protects a person's reasonable expectation of privacy. This is a protection of persons _not_ places.[[1]](Print_version.html#cite_note-197)

The right manifests itself in protecting the zones of the person, territory, and information.[[2]](Print_version.html#cite_note-198)

  1. [↑](Print_version.html#cite_ref-197) See Katz v US, 389 US 347 (1967) at p. 351
  2. [↑](Print_version.html#cite_ref-198) R. v. Tessling, [2004 SCC 67](http://canlii.ca/t/1j0wb) (CanLII), [2004] 3 SCR 432  
R. v. Gomboc, [2010 SCC 55](http://canlii.ca/t/2dhlk), [2010] 3 SCR 211 at para. 19

### Personal Privacy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-5)]

Personal privacy "protects bodily integrity, and in particular not to have our bodies touched or explored to disclose objects or matters we wish to conceal."[[1]](Print_version.html#cite_note-199) It is for that reason that it is considered the strongest of the forms of privacy.[[2]](Print_version.html#cite_note-200)

This form of privacy is most often considered in a strip search[[3]](Print_version.html#cite_note-201) or a warrantless seizure of a bodily sample.[[4]](Print_version.html#cite_note-202)

  1. [↑](Print_version.html#cite_ref-199) R v Tessling, [2004] 3 SCR 432 at para 21
  2. [↑](Print_version.html#cite_ref-200) ibid.
  3. [↑](Print_version.html#cite_ref-201) e.g. R v Golden, [2001] 3 SCR 679
  4. [↑](Print_version.html#cite_ref-202) e.g. R v Stillman, [1997] 1 SCR 607  
R v Colarusso, [1994] 1 SCR 20

### Territorial Privacy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-6)]

Privacy over personal territory traces back to the English common law with the maxim that "the house of everyone is to him as his castle and fortress".[[1]](Print_version.html#cite_note-203) This has since been adopted into the common law of Canada and the Canadian Charter of Rights and Freedoms.[[2]](Print_version.html#cite_note-204)

  1. [↑](Print_version.html#cite_ref-203) Semayne's Case at para. 1
  2. [↑](Print_version.html#cite_ref-204) Adopted in common law in Eccles v. Bourque et al., [1974 CanLII 191](http://canlii.ca/t/1z1gw) (SCC), [1975] 2 SCR 739,  
Adopted as applicable to Charter in Colet v. The Queen, [1981 CanLII 11](http://canlii.ca/t/1lpb2) (SCC), [1981] 1 SCR 2  


### Informational Privacy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-7)]

The right protects the "biographical core of personal information" that includes "information which tends to reveal intimate details of the lifestyle and personal choices of the individual."[[1]](Print_version.html#cite_note-205)

  1. [↑](Print_version.html#cite_ref-205) R. v. Plant, [1993 CanLII 70](http://canlii.ca/t/1fs0w) (SCC), [1993] 3 SCR 281

## Purpose of Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-8)]

The purpose of the search is a relevant to the analysis of the search. The most frequent form of search is a search for evidence of a commission of an offence, criminal or otherwise. Secondarily, there will be searches for the purpose of officer safety. Each type of search will have different scope of powers of search.

## Party Performing the Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-9)]

Section 8 of the Charter governs searches by government and its agents. The scope and degree of privacy is always with respect to a particular party.

An employee of a private company become an agent of the state when they are directed to perform a task by the police.[[1]](Print_version.html#cite_note-206) However, where the actions of the employee, company, or person, were strictly voluntary then they are not agents of the state.[[2]](Print_version.html#cite_note-207)

A police informer wearing a wire is an agent of the state.[[3]](Print_version.html#cite_note-208)

Employees of government agencies, such as social workers, who discover or investigate possible offences are agents of the state.[[4]](Print_version.html#cite_note-209) Similarly, a private citizen performing a citizen's arrest and searching a person in anticipation of the arrival of the police is an agent of the state.[[5]](Print_version.html#cite_note-210)

An Internet Service Provider forwarding information on the discovery of child pornography is acting as an agent of the state.[[6]](Print_version.html#cite_note-211)

  1. [↑](Print_version.html#cite_ref-206) R. v. Liang, [2007 YKTC 18](http://canlii.ca/t/1r3nj) at para 241  
R. v. Dorfer, [1996 CanLII 10214](http://canlii.ca/t/2326g) (BC CA) at para. 39  

  2. [↑](Print_version.html#cite_ref-207) R v Gomboc [2010 SCC 55](http://canlii.ca/t/2dhlk), [2010] 3 SCR 211  
c.f. R. v. Poh, [2011 MBQB 214](http://canlii.ca/t/fn5qs)
  3. [↑](Print_version.html#cite_ref-208) R. v. Broyles, [1991 CanLII 15](http://canlii.ca/t/1fshb) (SCC), [1991] 3 SCR 595  

  4. [↑](Print_version.html#cite_ref-209) R. v. Choy, [2008 ABQB 737](http://canlii.ca/t/21qxs) at para 28 - social worker discovering bruising  
R. v. Westrageer et al, [2005 BCSC 1558](http://canlii.ca/t/1lwwm) at para 43: social working investigating child welfare complaint  
R. v. Chang, [2003 ABCA 293](http://canlii.ca/t/4s1h) : private security guard seizing property for police c.f. R. v. Allen, [2010 CanLII 73011](http://canlii.ca/t/2dvjl) (NL PC)
  5. [↑](Print_version.html#cite_ref-210) R. v. Lerke, [1986 ABCA 15](http://canlii.ca/t/1nnwz)
  6. [↑](Print_version.html#cite_ref-211) R. v. Weir, [2001 ABCA 181](http://canlii.ca/t/5rdq) at para. 11

## See also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure&action=edit&section=T-10)]

  * [Canadian Criminal Procedure and Practice/Search and Seizure/Seizure of Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property)

  


# Search and Seizure/Reasonable Expectation of Privacy[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-1)]

A search can be unreasonable where it intrudes on a person's reasonable expectation of privacy.[[1]](Print_version.html#cite_note-212)

An "expectation of privacy is a normative rather than a descriptive standard"[[2]](Print_version.html#cite_note-213)

The determination of privacy rights is made "from the independent perspective of the reasonable and informed person who is concerned about the long-term consequences of government action for the protection of privacy."[[3]](Print_version.html#cite_note-214)

The rights are intended to protect "biographical core of personal information which individuals in a free and democratic society would wish to maintain and control from dissemination to the state." It further "include[s] information which tends to reveal intimate details of the lifestyle and personal choices of the individual."[[4]](Print_version.html#cite_note-215)

Courts interpret privacy in a "broad and liberal manner". [[5]](Print_version.html#cite_note-216)

Section 8 protects persons not places.[[6]](Print_version.html#cite_note-217) The Charter does not recognize regions of immunity.[[7]](Print_version.html#cite_note-218) Solicitor-client meeting rooms, for example, or confessionals are given no heightened expectation of privacy due to their intended use.

Privacy is held with respect to different parties. A person will hold a different expectation of privacy from an employer than from the police.[[8]](Print_version.html#cite_note-219)

A person cannot have a reasonable expectation of privacy in what they knowingly expose to part or all of the public or abandons in a public place.[[9]](Print_version.html#cite_note-220)

The accused must begin by establishing the existence of a s.8 right by showing there is was reasonable expectation of privacy.

  1. [↑](Print_version.html#cite_ref-212) see R. v. Edwards, 1996 CanLII 255 (SCC), [1996] 1 S.C.R. 128, at paras. 33 and 39
  2. [↑](Print_version.html#cite_ref-213) R v Tessling, [2004 SCC 67](http://canlii.ca/t/1j0wb) at para. 42
  3. [↑](Print_version.html#cite_ref-214) R. v. Patrick, [2009 SCC 17](http://canlii.ca/t/231wj) (CanLII), [2009] 1 SCR 579 at para. 14
  4. [↑](Print_version.html#cite_ref-215) R. v. Plant, [1993 CanLII 70](http://canlii.ca/t/1fs0w) (SCC), [1993] 3 SCR 281
  5. [↑](Print_version.html#cite_ref-216) R. v. Dyment, 1988 CanLII 10 (SCC), [1988] 2 S.C.R. 417
  6. [↑](Print_version.html#cite_ref-217) Hunter v Southam Inc., 1984 CanLII 33 (SCC), [1984] 2 SCR 145 at pp. 158-9
  7. [↑](Print_version.html#cite_ref-218) Hunter v Southam Inc. at pp. 158-9
  8. [↑](Print_version.html#cite_ref-219) e.g. R v Buhay, [2003] 1 S.C.R. 631, 2003 SCC 30: owner of locker allowed in locker but not police  
maid in a hotel can come into room but not the police  
bank clerk has a master key to safety deposit box  

  9. [↑](Print_version.html#cite_ref-220) R. v. Tessling, [2004 SCC 67](http://canlii.ca/t/1j0wb) (CanLII), [2004] 3 SCR 432 at para. 40  
R. v. Boersma, 1994 CanLII 99 (SCC), [1994] 2 S.C.R. 488  
R v Stillman, [1997] 1 S.C.R. 607, at para. 62, 226  
R. v. Evans, [1996 CanLII 248](http://canlii.ca/t/1frf4) (SCC), [1996] 1 SCR 8, at para. 50 (dissent)  
Baron v. Canada, 1993 CanLII 154 (SCC), [1993] 1 S.C.R. 416, at p. 453  
R v Dyment, [1988 CanLII 10](http://canlii.ca/t/1ftc6) (SCC), [1988] 2 SCR 417, at p. 435  
R. v. Monney, 1999 CanLII 678 (SCC), [1999] 1 S.C.R. 652, at para. 45

## Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-2)]

Factors considered in R. v. Edwards[[1]](Print_version.html#cite_note-221):

  1. A reasonable expectation of privacy is to be determined on the basis of the totality of the circumstances.[[2]](Print_version.html#cite_note-222)
  2. The factors to be considered in assessing the totality of the circumstances may include, but are not restricted to, the following: 
    1. presence at the time of the search; 
    2. possession or control of the property or place searched; 
    3. ownership of the property or place; 
    4. historical use of the property or item; 
    5. the ability to regulate access, including the right to admit or exclude others from the place; 
  3. the existence of a subjective expectation of privacy; and 
    1. the objective reasonableness of the expectation. 

When in the context of "informational privacy", the Edwards criteria were amended to include other considerations and factors:[[3]](Print_version.html#cite_note-223)

  1. What was the nature or subject matter of the evidence gathered by the police?
  2. Did the appellant have a direct interest in the contents?
  3. Did the appellant have a subjective expectation of privacy in the informational content of the evidence?
  4. If so, was the expectation objectively reasonable? In this respect, regard must be had to: 
    1. the place where the alleged “search” occurred
    2. whether the informational content of the subject matter was in public view;
    3. whether the informational content of the subject matter had been abandoned;
    4. whether such information was already in the hands of third parties; if so, was it subject to an obligation of confidentiality?
    5. whether the police technique was intrusive in relation to the privacy interest;
    6. whether the use of this evidence gathering technique was itself objectively unreasonable;
    7. whether the informational content exposed any intimate details of the appellant’s lifestyle, or information of a biographic nature.

  1. [↑](Print_version.html#cite_ref-221) 1996 CanLII 255 (SCC), [1996] 1 S.C.R. 128 at para. 45
  2. [↑](Print_version.html#cite_ref-222) See also R v Cole 2012 SCC 53 at para. 39
  3. [↑](Print_version.html#cite_ref-223) R v Tessling 2004 SCC 67 and R. v. Patrick, [2009 SCC 17](http://www.canlii.org/en/ca/scc/doc/2009/2009scc17/2009scc17.html) at para. 27, per Binnie

## Established Zones of Privacy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-3)]

### Vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-4)]

A driver has a reasonable expectation of privacy for the contents of his motor vehicle.[[1]](Print_version.html#cite_note-224) The reasonable expectation of privacy for a vehicle is low.[[2]](Print_version.html#cite_note-225) It is considered more limited than locations such as houses.[[3]](Print_version.html#cite_note-226)

Passengers however do not generally have a reasonable expectation of privacy.[[4]](Print_version.html#cite_note-227) However, in some cases they can. It will depend on the totality of the circumstances including the passenger's connection with the vehicle, the vehicle's owner, the passenger's use of the vehicle, and ability to control access to it.[[5]](Print_version.html#cite_note-228)

  1. [↑](Print_version.html#cite_ref-224) R. v. Belnavis 1996 CanLII 4007, 107 C.C.C. (3d) 195 (Ont. C.A.); appeal dismissed [1997 CanLII 320](http://canlii.org/en/on/onca/doc/1996/1996canlii4007/1996canlii4007.html), [1997] 3 S.C.R. 341 [[23]](http://canlii.org/en/ca/scc/doc/1997/1997canlii320/1997canlii320.html) at 19
  2. [↑](Print_version.html#cite_ref-225) R. v. Alkins, [2007] O.J. No. 1348 (Ont. C.A.)  
R. v. Shankar, [2007] O.J. No. 1406 (Ont. C.A.)  
R. v. Rebelo, [2007] O.J. No. 1468 (Ont. C.A.)  

  3. [↑](Print_version.html#cite_ref-226) R. v. Wise, 1992 CanLII 125, [1992] 1 S.C.R. 527; R. v. Belnavis, 1997 CanLII 320, [1997] 3 S.C.R. 341
  4. [↑](Print_version.html#cite_ref-227) See [Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure#Standing](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure#Standing)
  5. [↑](Print_version.html#cite_ref-228) R v Belnavis at 22  
R. v. Madore & Madeira, [2012 BCCA 160](http://canlii.ca/t/fqzrs) at 55  


### Residences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-5)]

There is a high expectation of privacy in a house. Unlawful entry will be a serious intrusion on the person's privacy rights.[[1]](Print_version.html#cite_note-229)

It can "be presumed unless the contrary is shown in a particular case that information about what happens inside the home is regarded by the occupants as private".[[2]](Print_version.html#cite_note-230)

A search of a dwelling is considered an invasion of a place with the "highest degree of privacy".[[3]](Print_version.html#cite_note-231)

A person will have a diminished expectation of privacy where legislation authorizes police intrusion.[[4]](Print_version.html#cite_note-232)

Police intrusion upon private property can only be permitted "only by powers granted in clear statutory language"[[5]](Print_version.html#cite_note-233)

  1. [↑](Print_version.html#cite_ref-229) see R. v. Silveira 1995 CanLII 89 (SCC) at 463-4, 495-6 (the “historic inviolability of a dwelling-place”)  
R. v. Dhillon, [2010] O.J. No. 3749 (C.A.)  
R. v. Tessling, [2004 SCC 67](http://canlii.ca/t/1j0wb) (CanLII), [2004] 3 S.C.R. 432, 189 C.C.C. (3d) 129 at 139  

  2. [↑](Print_version.html#cite_ref-230) R v Tessling 2004 SCC 67 at para. 144
  3. [↑](Print_version.html#cite_ref-231) R. v. Sutherland 2000 CanLII 17034 (ON CA), (2000), 150 C.C.C. (3d) 231 (Ont. C.A.) at para 239 ("search of a dwelling house must be approached with the degree of responsibility appropriate to an invasion of a place where the highest degree of privacy is expected")
  4. [↑](Print_version.html#cite_ref-232) R. v. D.L.W., [2012 BCSC 1700](http://canlii.ca/t/fts53) (CanLII) at para. 38  
("A person has a restricted objective expectation of privacy when legislation authorizes the police’s intrusion into that person’s privacy.")
  5. [↑](Print_version.html#cite_ref-233) R. v. Kokesch, 1990 CanLII 55 (SCC), [1990] 3 S.C.R. 3, 61 C.C.C. (3d) 207 at p. 218 per Dickson C.J.C. ("... This court consistently has held that the common law rights of the property holder to be free of police intrusion can be restricted only by powers granted in clear statutory language.")

### Non-dwelling Residences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-6)]

Provided an expectation of privacy exists in a non-dwelling residence, the accused's standing may invoked where he has "an ownership interest in the premises" absence countervailing evidence.[[1]](Print_version.html#cite_note-234)

  1. [↑](Print_version.html#cite_ref-234) e.g. R. v. Fankhanel, [1999 CanLII 19075](http://canlii.ca/t/2bqs6) (AB QB)  
c.f. R v Pugliese (1992) 71 CCC (3d) 295 (ONCA) - no standing for owner of building who did not live in it  


### Person[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-7)]

An individual who attends a hospital for medical treatment is entitled to expect that his clothing will be held by the facility until discharged. Hospitals have been identified as an area of concern for the protection of privacy. [[1]](Print_version.html#cite_note-235)

**Bodily Samples**  
DNA samples taken as part of a previous sentence is not protected by a reasonable expectation of privacy.[[2]](Print_version.html#cite_note-236)

**Fingerprints**  
Fingerprints taken as part of a previous sentence is not protected by a reasonable expectation of privacy.[[3]](Print_version.html#cite_note-237)

**Photographs**  
Photographs taken as part of a previous sentence is not protected by a reasonable expectation of privacy.[[4]](Print_version.html#cite_note-238)

**Body Cavity**  
Strip searches can be humiliating, embarrassing, and degrading for the accused.[[5]](Print_version.html#cite_note-239) It is also one of the most extreme forms of search available to police.[[6]](Print_version.html#cite_note-240)

  1. [↑](Print_version.html#cite_ref-235) R v Pickton, 2006 BCSC 1098 at para 38 citing R v Calarusso, 1994 CanLII 134 (SCC) at para 70
  2. [↑](Print_version.html#cite_ref-236) R. v. DeJesus, [2010 ONCA 581](http://canlii.ca/t/2ch4l) (CanLII)
  3. [↑](Print_version.html#cite_ref-237) R. v. Jackpine (2006), 207 C.C.C. (3d) 225 (S.C.C.), at para. 43 - anything taken under the Identification of Criminals Act has no REP
  4. [↑](Print_version.html#cite_ref-238) R. v. Jackpine (2006), 207 C.C.C. (3d) 225 (S.C.C.), at para. 43 - anything taken under the Identification of Criminals Act has no REP
  5. [↑](Print_version.html#cite_ref-239) R v Golden 2001 SCC 83 at 89
  6. [↑](Print_version.html#cite_ref-240) R. v. Flintoff, 1998 CanLII 632 at 24

### Storage[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-8)]

School lockers have a reduced expectation of privacy with respect to teaching staff.[[1]](Print_version.html#cite_note-241)

  1. [↑](Print_version.html#cite_ref-241) R. v. M. (M.R.), [1998 CanLII 770](http://canlii.ca/t/1fqq9) (SCC), [1998] 3 SCR 393  
see also <http://en.wikipedia.org/wiki/R._v._M._(M.R.)>

### Business Records[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-9)]

Telephone records detailing contact between various persons has a reduced expectation of privacy, in comparison to personal medical records[[1]](Print_version.html#cite_note-242)

Several lines of cases have developed on the issue of whether there is a reasonable expectation of privacy in subscriber information associated with business accounts, in particular IP addresses. Generally they have sided on there not being privacy rights in "tombstone" information of a person since it is freely available to the public.[[2]](Print_version.html#cite_note-243) In certain cases this will turn on the service contract. Where a contract is not in evidence a court is more likely to find in favour of there being a expectation of privacy.[[3]](Print_version.html#cite_note-244)

Whether a person has a bank account with a particular bank does not have a reasonable expectation of privacy because that information does not reveal any core biographical information.[[4]](Print_version.html#cite_note-245)

  1. [↑](Print_version.html#cite_ref-242) R. v. M.(B.) 1998 CanLII 13326 (ON CA), (1998), 42 O.R. (3d) 1 (C.A.), at para. 62  
See also, R. v. Hutchings 1996 CanLII 703 (BC CA), (1996), 111 C.C.C. (3d) 215 (B.C.C.A.), at para. 25  
R. v. Mahmood, 2011 ONCA 693 at 98
  2. [↑](Print_version.html#cite_ref-243) No REP: R. v. Ward, [2008] O.J. No. 3116 (Ct. Jus.)  
R v Caza [2012 BCSC 525](http://canlii.ca/t/fqzgm)  
R. v. Friers, [2008] O.J. No. 5646 (Ct. Jus.)  
R. v. Verge, [2009] O.J. No. 6300 (Ct. Jus.)  
R. v. Vasic, [2009 CanLII 23884](http://canlii.ca/t/23jrk) (ON SC)  
R. v. Wilson, [2009] O.J. No. 1067 (Sup. Ct.)  
R. v. Spencer, [2009] S.J. No. 798 (Q.B.)  
R. v. McNeice, [2010 BCSC 1544](http://canlii.ca/t/2d5dp)  
R. v. Brousseau, [2010 ONSC 6753](http://canlii.ca/t/2fcf5)  
R. v. Ballendine, [2011 BCCA 221](http://canlii.ca/t/fl8xf)  
Yes, REP: R v Trapp, [2011 SKCA 143](http://canlii.ca/t/fp3n3) R. v. Cuttell, [2009 ONCJ 471](http://canlii.ca/t/25z7h)
  3. [↑](Print_version.html#cite_ref-244) e.g. in R. v. Cuttell, [2009 ONCJ 471](http://canlii.ca/t/25z7h) at 57
  4. [↑](Print_version.html#cite_ref-245) R v Quinn 2006 BCCA 255 - police were allowed to speak to bank to find out if accused had an account there and used that information for a search warrant.

## Garbage[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-10)]

Generally speaking, there is no expectation of privacy is materials found in a dumpster.[[1]](Print_version.html#cite_note-246)

  1. [↑](Print_version.html#cite_ref-246) R. v. Sipes, 2008 BCSC 1500 and [2012 BCSC 1948](http://canlii.ca/t/fvfd1) (CanLII)

### Computers and Electronic Devices[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-11)]

Home and personal computers are imbued with a high degree of privacy due to the frequency that it contains intimate correspondence, financial, medical, or personal information. In addition to our personal interests and tastes.[[1]](Print_version.html#cite_note-247) According to the Morelli court, the level of privacy does not get much higher.[[2]](Print_version.html#cite_note-248)

Generally, all personal electronic devices similar to home computers have a high level of privacy.[[3]](Print_version.html#cite_note-249)

Any electronic device (computer, cell phone, etc) will contain information detailing a persons life that can be "deeply personal". Personal information can be found in: [[4]](Print_version.html#cite_note-250)

  * Contact Information (detailing names, addresses, phone numbers, e-mail addresses and similar information);
  * Internet Browsing (history of websites, log-in information, passwords, form data);
  * Calendars;
  * Photographs and videos;
  * Messages (emails, texts, voicemails);
  * Phone Call Logs (dialled/received/missed calls, caller identification);

It is suggested that the degree of privacy is lessened where a personal computer has been brought to a repair shop.[[5]](Print_version.html#cite_note-251) In some cases, there is no expectation of privacy. In R. v. Piette,[2009 QCCQ 14499](http://canlii.ca/en/qc/qccq/doc/2009/2009qccq14499/2009qccq14499.html) a computer repairman makes copy of child abuse images found on computer onto a CD and gives it to police. The court found no REP on CD so no need for warrant.

There is conflicting case law on instances where a third party examines a computer system and discovers evidence of a criminal offence on it. In R. v. Cole, [2008 ONCJ 278](http://canlii.ca/en/on/oncj/doc/2008/2008oncj278/2008oncj278.html) the school supervisor finds child abuse images on network directory of employee, he tells police who seize computer and send for a forensic analysis. The court found section 8 violated for search without warrant.

An accused loses their reasonable expectation of privacy to a household computer once they move out.[[6]](Print_version.html#cite_note-252)

The search of a computer cannot always be precise. An investigating officer looking for a particular piece of evidence may need to diverge into several areas of the hard drive in the same way as a person searching a house would look into a number of draws of a bedroom before finding evidence.[[7]](Print_version.html#cite_note-253)

Workplace computers are considered to have limited or no expectation of privacy. [[8]](Print_version.html#cite_note-254) This will turn on the employer's privacy policy on whether the employees can keep personal things on work computers.[[9]](Print_version.html#cite_note-255)

A computer seized as under plain view under s. 489 during the execution of a general residential search warrant is permissible. However, the search of its contents may require a warrant.[[10]](Print_version.html#cite_note-256)

  1. [↑](Print_version.html#cite_ref-247) R. v. Morelli, [2010 SCC 8](http://canlii.org/en/ca/scc/doc/2010/2010scc8/2010scc8.html) at 105
  2. [↑](Print_version.html#cite_ref-248) Morelli at para 2: (“It is difficult to imagine a search more intrusive, extensive, or invasive of one's privacy than the search and seizure of a personal computer.”
  3. [↑](Print_version.html#cite_ref-249) R. v. Choudry, [2009] O.J. No 84 (ONSC) R. v. Little, [2009 CanLII 41212](http://canlii.ca/t/2509x) (ONSC) R. v. Polius, [2009] O.J. No 3074 (ONSC)
  4. [↑](Print_version.html#cite_ref-250) see discussion in R. v. Polius, [2009] O.J. No. 3074 (Sup. Ct.)
  5. [↑](Print_version.html#cite_ref-251) R. v. Graham, [2010] O.J. No. 146 (Sup. Ct.): ( Defence argued a high degree of privacy in the computer at the repair shop, the judge said "I agree that in other factual situations that a court may have to consider, those other concerns [of Defence] might have a more prominent place. I do not have those facts before me.")  
R. v. Winchester, [2010 ONSC 652](http://canlii.ca/t/27qm8), [2010] O.J. No. 281 (Sup. Ct.) at para. 36: (“while I am not prepared to find that the applicant had no expectation of privacy in the contents of the computer when he left it at the store, I do find that this expectation was significantly reduced.”)
  6. [↑](Print_version.html#cite_ref-252) R. v. Pommer (2008), 58 C.R. (6th) 319, 2008 CarswellBC 1181, 2008 BCSC 423, (B.C. S.C.)
  7. [↑](Print_version.html#cite_ref-253) R. v. Stemberger, 2012 ONCJ 31 (CanLII), <<http://canlii.ca/t/fpqjb>> at 99, 110
  8. [↑](Print_version.html#cite_ref-254) R. v. Cole, [2009] CanLII 20699 (Sup. Ct.) rev'd 2011 ONCA 0218  
R. v. Ritter (2006), 402 A.R. 249 (Prov. Ct.)  

  9. [↑](Print_version.html#cite_ref-255) R v Cole, supra
  10. [↑](Print_version.html#cite_ref-256) R. v. Little, [2009 CanLII 41212](http://canlii.ca/t/2509x) (ON SC)

### Peer-to-Peer Software[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-12)]

Software installed on a computer that enables other persons on a network to access information and files on a computer, such as Peer-to-Peer software, is relevant to the courts usually in a child pornography cases.

Some US cases have considered whether there is a privacy right in the computer's shareable files. Courts have concluded that files found on a computer that are accessible and transferable over a peer-to-peer do not have a reasonable expectation of privacy due to the [[1]](Print_version.html#cite_note-257)

In Canada, there is a slow adoption of the same view. In R v Caza, [2012 BCSC 525](http://canlii.ca/t/fqzgm), the court noted that the shared directory in a peer-to-peer network is much less private than a dwelling. It is not the same as a search through the entire hard drive of an entire computer because it is more restrictive. The search of shared files on peer-to-peer network does not engage s. 8 of the Charter.[[2]](Print_version.html#cite_note-258)

  


  1. [↑](Print_version.html#cite_ref-257) US v. Ganoe, 538 F.3d 1117 (2008) ("although as a general matter an individual has an objectively reasonable expectation of privacy in his personal computer…we fail to see how this expectation can survive Ganoe’s decision to install and use file-sharing software, thereby opening his computer to anyone one else with the same freely available program.")  
State v. Mahan, 2011 WL 4600044: the police internet investigation program "simply automated the ability to search information that had been placed in the public domain")  
US v. Sawyer, 786 F. Supp. 2d 1352 (2011) suggested that once access is given to a “friend” the owner is giving up their right to privacy over those shareable files, simply because the police are not identifying themselves does not change things
  2. [↑](Print_version.html#cite_ref-258) R. v. Caza [2012 BCSC 525](http://canlii.ca/t/fqzgm) at 90 to 97, 113

#### Memory Sticks[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-13)]

In R. v. Tuduce, 2011 ONSC 2749, the court said that a search of a memory stick has a REP and so requires a search warrant.[[1]](Print_version.html#cite_note-259)

  


  1. [↑](Print_version.html#cite_ref-259) R. v. Tuduce, [2011 ONSC 2749](http://canlii.ca/t/flfj1) at 41-45

#### Cell phones[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-14)]

There is a division in the case law on the level of privacy there is for cell phones.

A smart cellphone, as a digital device, is said to have a high expectation of privacy. It is like "an archive of social, family and business activities".[[1]](Print_version.html#cite_note-260)

Several cases have stated that a complete forensic analysis of a cell phone, a so-called "data dump", without a warrant is impermissible.[[2]](Print_version.html#cite_note-261)

There is limited authority stating no search of phones is permitted.[[3]](Print_version.html#cite_note-262)

A limited warrantless search is permitted incident to arrest when the search is connected with the investigation. On arrest for drugs, the police may search the calling records on the cell phone.[[4]](Print_version.html#cite_note-263)

In Giles, 2007 BCSC 1147, the court stated the police can search and download copies of emails on a blackberry incident to arrest.[[5]](Print_version.html#cite_note-264)

  


  1. [↑](Print_version.html#cite_ref-260) R. v. Sheck, [2012 BCPC 39](http://canlii.ca/t/fqcl3) (CanLII) at 17
  2. [↑](Print_version.html#cite_ref-261) R v Schira, [2011 SKPC 140](http://canlii.ca/t/fncbn) (CanLII) at 57 to 59  
R. v. Hiscoe, [2011 NSPC 84](http://canlii.ca/t/fnv9d) (CanLII), at para 7  
R. v. Dorey, [2011 NSPC 85](http://canlii.ca/t/fnvbd) (CanLII) at 8 (follows Hiscoe)  

  3. [↑](Print_version.html#cite_ref-262) R. v. Sheck, [2012 BCPC 39](http://canlii.ca/t/fqcl3) at 20
  4. [↑](Print_version.html#cite_ref-263) R. v. Hiscoe, [2011 NSPC 84](http://canlii.ca/t/fnv9d) at para 7, 8  
R. v. Otchere-Badu, [2010 ONSC 1059](http://canlii.ca/t/28fsj) at para 83  

  5. [↑](Print_version.html#cite_ref-264) R. v. Giles, [2007 BCSC 1147](http://canlii.ca/t/1w8ms) (CanLII) at para 72

### Prisons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy&action=edit&section=T-15)]

An inmate in a correctional facility has a very limited expectation of privacy over their phone calls.[[1]](Print_version.html#cite_note-265)

  1. [↑](Print_version.html#cite_ref-265) R v Drader, 2012 ABQB 168  
R. v. McIsaac, 2005 BCSC 385  


# II - Warrantless Searches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=5)]

## Types of Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches&action=edit&section=T-1)]

An individual alleging a breach of his or her _Charter_ rights bears the burden of proving that violation on a balance of probabilities. That being said, if the individual can demonstrate that a police search was conducted without a warrant, that search will be presumed to be unreasonable unless shown to be justified.[[1]](Print_version.html#cite_note-266) The Crown then must prove the reasonableness of the search on a balance of probabilities. [[2]](Print_version.html#cite_note-267) Reasonableness of a search has both a subjective an objective and subjective component.[[3]](Print_version.html#cite_note-268)

The Police cannot enter into a private dwelling without a warrant, consent, or exigent circumstances.[[4]](Print_version.html#cite_note-269)

There are four types of warrantless searches:

  1. [Search by Consent](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search);
  2. [Search Incident to Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Detention);
  3. [Search Incident to Arrest](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest);
  4. [Search of Abandoned Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Abandoned_Property);
  5. [Search in Plain View](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Plain_View);
  6. [Exigent Circumstances](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Exigent_Circumstances)

  


  1. [↑](Print_version.html#cite_ref-266) Hunter v. Southam Inc., [1984] 2 S.C.R. 145 [1984 CanLII 33](http://canlii.org/en/ca/scc/doc/1984/1984canlii33/1984canlii33.html);  
R. v. Golden, [2001] 3 S.C.R. 679, [2001 SCC 83](http://www.canlii.org/en/ca/scc/doc/2001/2001scc83/2001scc83.html);  
R. v. Mann, [2004 SCC 52](http://www.canlii.org/en/ca/scc/doc/2004/2004scc52/2004scc52.html)  
R. v. Feeney, [1997] 2 S.C.R. 13 at para. 54  

  2. [↑](Print_version.html#cite_ref-267) see R. v. Caslake, [1988] 1 S.C.R 51 at para. 11 [1998 CanLII 838](http://canlii.org/en/ca/scc/doc/1998/1998canlii838/1998canlii838.html)
  3. [↑](Print_version.html#cite_ref-268) R v Bernshaw, 1995 CanLII 150 (SCC)
  4. [↑](Print_version.html#cite_ref-269) R. v. Feeney, [1997] 2 SCR 13, [1997 CanLII 342](http://canlii.ca/t/1fr1w) (SCC) at 44

# Search and Seizure/Warrantless Searches/Abandoned Property[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Abandoned_Property&action=edit&section=T-1)]

A person gives up their reasonable expectation to privacy when their property becomes abandoned.[[1]](Print_version.html#cite_note-270)

The main issue is whether the claimant "acted in relation to the subject matter of his privacy claim in such a manner as to lead a reasonable and independent observer to conclude that his continued assertion of a privacy interest is unreasonable in the totality of the circumstances." This is found as a matter of fact.[[2]](Print_version.html#cite_note-271)

A main point of litigation is over whether the officer had grounds to believe that the property was abandoned. This is particularly true where the information is based on hearsay or assumptions.

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Abandoned_Property&action=edit&section=T-2)]

  * R. v. Stevens, [2012 ONCA 307](http://canlii.ca/t/fr96q) \- Throwing a firearm out the window into a neighbour's yard is a form of abandonment

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Abandoned_Property&action=edit&section=T-3)]

  1. [↑](Print_version.html#cite_ref-270) R. v. Patrick, [2003 SCC 17 at para. 22-23, 25](http://canlii.ca/t/231wj#par22)
  2. [↑](Print_version.html#cite_ref-271) Patrick at 25

  


# Search and Seizure/Warrantless Searches/Consent Search[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search&action=edit&section=T-1)]

A search conducted with valid consent is lawful.[[1]](Print_version.html#cite_note-272)

Valid consent exists where the following is present:[[2]](Print_version.html#cite_note-273)

  1. There was a consent, either express or implied;
  2. The consenting party has the authority to give the consent;
  3. Consent was voluntary and not the product of police oppression, coercion or other external conduct negating freedom to choose not to consent;
  4. The consenting party knew of the nature of the police conduct to which he or she was being asked to consent;
  5. The consenting party knew they had the ability to refuse the search;
  6. The consenting party was aware of the potential consequences of giving the consent, including a general understanding of the jeopardy resulting from the police conduct about which the consent was being sought.

  
For consent to be valid it must be voluntary and informed. Voluntary search requires that the consent to be given without coercion.[[3]](Print_version.html#cite_note-274)

Informed consent to a search requires the accused to be aware of the right to refuse the search and the consequences of consenting to the search.[[4]](Print_version.html#cite_note-275)The party expressing "consent must be possessed of the requisite informational foundation for a true relinquishment of the right. A right to choose requires not only the volition to prefer one option over another, but also sufficient available information to make the preference meaningful.”[[5]](Print_version.html#cite_note-276)

The cases are divided on whether the police need to give clear instructions on the right to refuse. In R v Rutten 2006 SKCA 17 at 39 to 44, the court stated that permission to enter to search a dwelling must include information on the person's right to refuse. While elsewhere it is said that the standard of informed consent is less than the informational component of s. 10(b). The police need not tell the accused of the right to refuse consent. However, a failure to do so may result in a lack of informed consent.[[6]](Print_version.html#cite_note-277)

The Crown must establish that the accused right to be searched was waived clearly and unequivocally.[[7]](Print_version.html#cite_note-278) However, where the accused is given access to counsel there is a presumption of informed consent unless the accused shows otherwise.[[8]](Print_version.html#cite_note-279)

Once consent is given there is no future expectation of privacy.[[9]](Print_version.html#cite_note-280)

The "occupier of a dwelling gives implied licence to any member of the public, including a police officer, on legitimate business to come on to the property” [[10]](Print_version.html#cite_note-281)

Consent to enter a home does not include a blanket right to search the whole house including the basement.[[11]](Print_version.html#cite_note-282)

  


  


  1. [↑](Print_version.html#cite_ref-272) R. v. Chang, [2003 ABCA 293 at 28](http://canlii.ca/t/4s1h#par28)
  2. [↑](Print_version.html#cite_ref-273) R. v. Wills, [1992 CanLII 2780 (ON CA)](http://canlii.ca/t/1npnl), (1992), 70 C.C.C. (3d) 529 at 69  
R. v. Cooper, [2011 ABQB 17 at 35-41](http://canlii.ca/t/2f7rc#par35)  
R v Borden [1994 CanLII 63](http://canlii.ca/t/1frrd) [1994] 3 SCR 145  

  3. [↑](Print_version.html#cite_ref-274) R v Bergauer-Free 2009 ONCA 610 at 57  
See also R v Goldman, [1979 CanLII 60](http://canlii.ca/t/1tx9c) (SCC), [1980] 1 SCR 976 at p. 1005
  4. [↑](Print_version.html#cite_ref-275) R. v. Wills (1992), 12 C.R. (4th) 58 at 78 (Ont. C.A.)[1992 CanLII 2780](http://www.canlii.org/en/on/onca/doc/1992/1992canlii2780/1992canlii2780.html)  
R. v. Borden [1994 CanLII 63](http://www.canlii.org/en/ca/scc/doc/1994/1994canlii63/1994canlii63.html) (S.C.C.), (1994), 33 C.R. (4th) 147 at 158  
R v S.S. 2008 ONCA 578 at 48, 52  
c.f. R v Lupien 1995 68 QAC 253 (CA)  
R v Blackstock (1997) 10 CR 5th 385 (ONCA)  
US v Drayton 536 US 194 (2002) - police need not inform of right as long as there was no coercion, intimidation, or confrontation  

  5. [↑](Print_version.html#cite_ref-276) R. v. Borden, [1994 CanLII 63](http://canlii.ca/t/1frrd) (SCC), [1994] 3 S.C.R. 145
  6. [↑](Print_version.html#cite_ref-277) R v Lewis (1998) 122 CCC 3d 481 (ONCA)  

  7. [↑](Print_version.html#cite_ref-278) R v Collins [1987] 1 SCR 265
  8. [↑](Print_version.html#cite_ref-279) R v Williams (1992) 76 CCC 385 (BCSC)  
R v Deprez (1994) 95 CCC 29 (MBCA)  

  9. [↑](Print_version.html#cite_ref-280) R v Arp [1998] 3 SCR 339 at 90
  10. [↑](Print_version.html#cite_ref-281) R. v. Evans, [1996] 1 SCR 8, at para. 13 [[24]](http://www.canlii.org/en/ca/scc/doc/1996/1996canlii248/1996canlii248.html), citing R. v. Tricker 1995 CanLII 1268 (ON CA), (1995), 21 O.R. (3d) 575, at p. 579
  11. [↑](Print_version.html#cite_ref-282) R v Smith (1998) 128 CCC 3d 62 (ABCA)

## Who has authority to give consent and Third Party Consent[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search&action=edit&section=T-2)]

An "authorized occupant" of a residence may give consent to a search.[[1]](Print_version.html#cite_note-283)

A homeowner can authorize a search.[[2]](Print_version.html#cite_note-284)

A landlord or neighbour does not constitute an "authorized occupant".[[3]](Print_version.html#cite_note-285)

Guests can have the authority to consent to a search of a home, however, the authorization can be revoked by the homeowner.[[4]](Print_version.html#cite_note-286)

  
For all searches the police must have a subjective belief that they have consent to conduct the search and it must be an objectively reasonable belief in the circumstances. Where the policer wrongly relied upon consent of a third party, the reasonableness of their belief will go to the section 24(2) analysis.[[5]](Print_version.html#cite_note-287)

  1. [↑](Print_version.html#cite_ref-283) R v Duarte 1987 38 CCC 3d 1 (ONCA) at p11  
R v Currie 2008 ABCA 374  

  2. [↑](Print_version.html#cite_ref-284) R v Smith [1998 ABCA 418 at 5](http://canlii.ca/t/5scs#par5)
  3. [↑](Print_version.html#cite_ref-285) R v. Mercer (1992) 70 CCC 180 (ONCA) - landlord  
R v Blinch 1993 83 CCC 3d 158 (BCCA)  

  4. [↑](Print_version.html#cite_ref-286) R v Thomas [1991 CanLII 2736 (NL CA)](http://canlii.ca/t/1p8vs) aff'd at SCC
  5. [↑](Print_version.html#cite_ref-287) R. v. DiPalma, [2008 BCCA 342](http://canlii.ca/t/20k8k) (CanLII)

## Mandatory Consent[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search&action=edit&section=T-3)]

A court order, such as a probation order, can in certain circumstances require an offender to consent to random searches.[[1]](Print_version.html#cite_note-288)

  1. [↑](Print_version.html#cite_ref-288) R v Unruh, 2012 SKCA 72

## Consent by Organizations Holding Personal Information[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search&action=edit&section=T-4)]

Privacy of personal information within private companies is governed by the Personal Information Protection and Electronic Documents Act (PIPEDA).

Section 7(3) permits the disclosure of personal information without the subject's knowledge or consent:

> **Disclosure without knowledge or consent**  
(3) For the purpose of clause 4.3 of Schedule 1, and despite the note that accompanies that clause, an organization may disclose personal information without the knowledge or consent of the individual only if the disclosure is
> 
> ...
> 
>     (c.1) made to a government institution or part of a government institution that has made a request for the information, identified its lawful authority to obtain the information and indicated that 
> 
>     (i) it suspects that the information relates to national security, the defence of Canada or the conduct of international affairs,
>     (ii) the disclosure is requested for the purpose of enforcing any law of Canada, a province or a foreign jurisdiction, carrying out an investigation relating to the enforcement of any such law or gathering intelligence for the purpose of enforcing any such law, or
>     (iii) the disclosure is requested for the purpose of administering any law of Canada or a province;
> 
> ...
> 
>     (d) made on the initiative of the organization to an investigative body, a government institution or a part of a government institution and the organization 
> 
>     (i) has reasonable grounds to believe that the information relates to a breach of an agreement or a contravention of the laws of Canada, a province or a foreign jurisdiction that has been, is being or is about to be committed, or
>     (ii) suspects that the information relates to national security, the defence of Canada or the conduct of international affairs;
> 
> ...
> 
>     (h.2) made by an investigative body and the disclosure is reasonable for purposes related to investigating a breach of an agreement or a contravention of the laws of Canada or a province; ...
> 
> – [PIPEDA](http://www.canlii.org/en/ca/laws/stat/sc-2000-c-5/latest/sc-2000-c-5.html)

Under this section a peace officer may make a Law Enforcement Request (LER) requesting particular information of an accused person without their consent. A proper LER should identify the person requesting the information, what information is being requested, the purpose of the request for the information (presumably to obtain evidence to an offence). The organization is permitted but not required to provide the information requested.

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search&action=edit&section=T-5)]

  * [Waiver of Charter Rights](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights)

  


# Search and Seizure/Warrantless Searches/Exigent Circumstances[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Exigent_Circumstances&action=edit&section=T-1)]

Where there are "exigent circumstances", a police officer may forego the requirement of a search warrant.

The Courts have long recognized that the protections of s. 8 are "circumscribed by the existence of the potential for serious and immediate harm." Exigent circumstances "inform the reasonableness of the search...and may justify the absence of prior judicial authorization".[[1]](Print_version.html#cite_note-289)

This rule has been codified in s. 487.11 of the Criminal Code:

> **Where warrant not necessary**  
487.11 A peace officer, or a public officer who has been appointed or designated to administer or enforce any federal or provincial law and whose duties include the enforcement of this or any other Act of Parliament, may, in the course of his or her duties, exercise any of the powers described in subsection 487(1) or 492.1(1) without a warrant if the conditions for obtaining a warrant exist but by reason of exigent circumstances it would be impracticable to obtain a warrant.
> 
> 1997, c. 18, s. 46.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec487.11)

In the context of a drug offence s. 11(7) of the Controlled Drugs and Substances Act provides that:

> (7) A peace officer may exercise any of the powers described in subsection (1), (5) or (6) [the subsections setting out the powers of a peace officer having a search warrant] without a warrant if the conditions for obtaining a warrant exist but by reason of exigent circumstances it would be impracticable to obtain one.

Generally, "exigent circumstances" exists where "there is an imminent danger of the loss, removal, destruction or disappearance of the evidence if the search or seizure is delayed."[[2]](Print_version.html#cite_note-290)

In the context of police responding to 911 calls, the police have a duty to protect life which may result in a permissible encroachment on otherwise protected privacy rights. This right to protect life is "engaged whenever it can be inferred that the 911 caller is or may be in some distress, including cases where the call is disconnected before the nature of the emergency can be determined." [[3]](Print_version.html#cite_note-291)

The Crown must present an "evidentiary basis" to establish the underlying police safety concerns.[[4]](Print_version.html#cite_note-292)

  1. [↑](Print_version.html#cite_ref-289) R. v. Tse, 2012 SCC 16 (CanLII), 2012 SCC 16
  2. [↑](Print_version.html#cite_ref-290) R. v. Grant, 1993 CanLII 68 (SCC), [1993] 3 S.C.R. 223 ar para 32, Sopinka, J.
  3. [↑](Print_version.html#cite_ref-291) R. v. Godoy, 1999 CanLII 709 (SCC), [1999] 1 S.C.R. 311
  4. [↑](Print_version.html#cite_ref-292) R. v. Davis, [2012] A.J. No. 488 (P.C.) at para. 23

## Entry of residences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Exigent_Circumstances&action=edit&section=T-2)]

The Supreme Court of Canada in R v Feeney held that s. 8 of the Charter requires a warrant to enter a residence to arrest unless it falls into the common law doctrine of "hot pursuit".[[1]](Print_version.html#cite_note-293)

Sections between 529 to 529.5 were added subsequent to the Feeney decision.

> **Authority to enter dwelling without warrant**  
529.3 (1) Without limiting or restricting any power a peace officer may have to enter a dwelling-house under this or any other Act or law, the peace officer may enter the dwelling-house for the purpose of arresting or apprehending a person, without a warrant referred to in section 529 or 529.1 authorizing the entry, if the peace officer has reasonable grounds to believe that the person is present in the dwelling-house, and the conditions for obtaining a warrant under section 529.1 exist but by reason of exigent circumstances it would be impracticable to obtain a warrant.
> 
> **Exigent circumstances**  
(2) For the purposes of subsection (1), exigent circumstances include circumstances in which the peace officer
> 
>     (a) has reasonable grounds to suspect that entry into the dwelling-house is necessary to prevent imminent bodily harm or death to any person; or
>     (b) has reasonable grounds to believe that evidence relating to the commission of an indictable offence is present in the dwelling-house and that entry into the dwelling-house is necessary to prevent the imminent loss or imminent destruction of the evidence.
> 1997, c. 39, s. 2. 
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec529.3)

Section 529.3 "relieves against the requirement for a warrant to arrest where exigent circumstances make it impractical to obtain one."[[2]](Print_version.html#cite_note-294)

Exigent circumstances are "generally found to exist where the police have reasonable grounds to be concerned that prior announcement would: (i) expose those executing the warrant to harm and/or (ii) result in loss or destruction of evidence and/or (iii) expose the occupants to harm."[[3]](Print_version.html#cite_note-295)

Where police respond to a dropped 911 call they can enter the home if they have reasonable grounds to believe an offence has been committed. (R. v. Godoy [1999] 1 SCR 311, [1999 CanLII 709](http://www.canlii.org/en/ca/scc/doc/1999/1999canlii709/1999canlii709.html))

Searches of surrounding property is treated much in the same way as residences themselves. The police cannot search the perimeter of a residence without a warrant.[[4]](Print_version.html#cite_note-296)

On a warrantless entry into a residence the courts should look at factors including:[[5]](Print_version.html#cite_note-297)

  1. what information did the officers have?
  2. what information could they infer?
  3. what were their alternate courses of action?
  4. what was the reasonableness of the action they took?

Search of a rental room even with the consent of the building owner will generally require a warrant.[[6]](Print_version.html#cite_note-298)

  
At common law, the doctrine of **hot pursuit** permits a peace officer "to enter a private premises to make an arrest in hot pursuit".[[7]](Print_version.html#cite_note-299)

### Hot Pursuit Exception[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Exigent_Circumstances&action=edit&section=T-3)]

A "hot pursuit" requires a "fresh pursuit" that is a "continuous pursuit conducted with reasonable diligence, so that pursuit and capture along with the commission of the offence may be considered as forming part of a single transaction."[[8]](Print_version.html#cite_note-300)

Before the doctrine applies, the police must "already have the power and grounds to arrest without a warrant" before entering the residence.[[9]](Print_version.html#cite_note-301)

However, the police officer does not have to have personal knowledge to form the grounds. An officer continuing the pursuit from another officer can be sufficient.[[10]](Print_version.html#cite_note-302)

This exception is considered "narrow" and presumes the police are "literally at the heels of a suspect at the moment the suspect enters a dwelling-house"[[11]](Print_version.html#cite_note-303)

  1. [↑](Print_version.html#cite_ref-293) R. v. Feeney, 1997 CanLII 342 (SCC), [1997] 2 S.C.R. 13
  2. [↑](Print_version.html#cite_ref-294) R. v. Knelsen, [2012 MBQB 242](http://canlii.ca/t/ft4rc) (CanLII)
  3. [↑](Print_version.html#cite_ref-295) R. v. DeWolfe 2007 NSCA 79 (CanLII), (2007), 222 C.C.C. (3d) 491  
R. v. Knelsen, [2012 MBQB 242](http://canlii.ca/t/ft4rc) (CanLII) (Exigent circumstances "include circumstances in which the police officer has reasonable grounds to suspect that entry is necessary to prevent imminent bodily harm or death to any person.")
  4. [↑](Print_version.html#cite_ref-296) R. v. Kokesch, [1990] 3 SCR 3, [1990 CanLII 55](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii55/1990canlii55.html)
  5. [↑](Print_version.html#cite_ref-297) R. v. Jamieson, [2002 BCCA 411 at 24](http://canlii.ca/t/5kct#par24)
  6. [↑](Print_version.html#cite_ref-298) R. v. Kenny (1992) 52 OAC 70
  7. [↑](Print_version.html#cite_ref-299) R. v. Macooh, 1993 CanLII 107 (SCC), [1993] 2 S.C.R. 802 at para. 13
  8. [↑](Print_version.html#cite_ref-300) Macooh at para. 24  
see also R. v. Hope, [2007] N.S.J. No. 433 (C.A.), at para 30  
R. v. Clarke, [2005] O.J. No. 1825 (C.A.), at para 29
  9. [↑](Print_version.html#cite_ref-301) see R. v. Van Puyenbroek 2007 ONCA 824 at para 21
  10. [↑](Print_version.html#cite_ref-302) see also R. v. Haglof, 2000 BCCA 604 (CanLII), 149 C.C.C. (3d) 248 and Van Puyenbroek
  11. [↑](Print_version.html#cite_ref-303) Van Puyenbroek

## Wiretap[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Exigent_Circumstances&action=edit&section=T-4)]

See [Emergency_Wiretaps](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps#Emergency_Wiretap)

  


# Search and Seizure/Warrantless Searches/Incident to Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-1)]

    See also [Warrantless Arrest](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention#Arrest_without_Warrant) for details on arrest powers

In the situation of an arrest, it is generally permitted that upon lawful arrest, police have the power to search a person for officer safety reasons as well where there is "some reasonable prospect of securing evidence of the offence for which the accused is being arrested" and to secure that evidence. [[1]](Print_version.html#cite_note-304) A peace officer may also take property from a person which the officer reasonably believes is connected with the offence charged, or which may be used as evidence against the person arrested. [[2]](Print_version.html#cite_note-305) This power is derived from the common law. [[3]](Print_version.html#cite_note-306) This common law power is an exception to the usual requirement of "reasonable grounds" for a search. The Officer must subjectively believe that person is committing or has committed an indictable offence and their belief is based on objectively reasonable grounds.[[4]](Print_version.html#cite_note-307) The lawfulness of a search incident to arrest flows from the lawfluness of the arrest itself and so does not require independent reasonable grounds. [[5]](Print_version.html#cite_note-308)

Search incident to arrest is an exception to the rule that a warrantless search is _prima facie_ unreasonable.[[6]](Print_version.html#cite_note-309)

Further, an accused has no expectation of privacy with respect to his personal belongings seized upon arrest.[[7]](Print_version.html#cite_note-310)

Searches incidental to arrest are required to follow a number of principles stated in _R. v. Caslake_:[[8]](Print_version.html#cite_note-311)

  1. Officers undertaking a search incidental to arrest do not require reasonable and probable grounds; a lawful arrest provides that foundation and the right to search derives from it (Caslake at paras. 13 and 17);
  2. The right to search does not arise out of a reduced expectation of privacy of the arrested person, but flows out of the need for the authorities to gain control of the situation and the need to obtain information (Caslake at para. 17);
  3. A legally unauthorized search to make an inventory is not a valid search incidental to arrest (Caslake at para. 30);
  4. The three main purposes of a search incidental to arrest are: (1) to ensure the safety of the police and the public; (2) to protect evidence; (3) to discover evidence (Caslake at para. 19);
  5. The categories of legitimate purposes are not closed: while the police have considerable leeway, a valid purpose is required that must be “truly incidental” to the arrest (Caslake at paras. 10, 20 and 25);
  6. If the justification for the search is to find evidence, there must be a reasonable prospect the evidence will relate to the offence for which the person has been arrested (Caslake at para. 22);
  7. The police undertaking a search incidental to arrest subjectively must have a valid purpose in mind, the reasonableness of which must be considered objectively.

The police are obliged to safeguard items they have seized.[[9]](Print_version.html#cite_note-312)

  1. [↑](Print_version.html#cite_ref-304) R. v. Caslake [1998] SCR 51 at 22
  2. [↑](Print_version.html#cite_ref-305) R. v. Morrison 1987 CanLII 182 (ON C.A.), (1987), 35 C.C.C. (3d) 437
  3. [↑](Print_version.html#cite_ref-306) Cloutier v. Langlois, [1990] S.C.J. No. 10 [[25]](http://canlii.org/en/ca/scc/doc/1990/1990canlii122/1990canlii122.html)
  4. [↑](Print_version.html#cite_ref-307) R. v. Rajaratnam, 2006 ABCA 333 at para. 20 [[26]](http://www.canlii.org/en/ab/abca/doc/2006/2006abca333/2006abca333.html)
  5. [↑](Print_version.html#cite_ref-308) R. v. Caslake, 1998 1 SCR 51 at 13
  6. [↑](Print_version.html#cite_ref-309) R. v. Golden [2001] 3 SCR 679 at para 23
  7. [↑](Print_version.html#cite_ref-310) R. v. Blais 2004 CanLII 8466 (ON C.A.) [[27]](http://www.canlii.org/en/on/onca/doc/2004/2004canlii8466/2004canlii8466.html))There is no "blanket authority" to search a car incident to arrest. (R. v. Bulmer, 2005 SKCA 90 [[28]](http://www.canlii.org/en/sk/skca/doc/2005/2005skca90/2005skca90.html)
  8. [↑](Print_version.html#cite_ref-311) R. v. Caslake, [1998] 1 S.C.R. 51[[29]](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii838/1998canlii838.html)
  9. [↑](Print_version.html#cite_ref-312) R v Strilec, [2010 BCCA 198](http://canlii.ca/t/29d54); R v Wint [2009 ONCA 52](http://canlii.ca/t/225zz)

## Person Arrested[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-2)]

Searches conducted in the normal practice creating an inventory of items on a person who is being lodged in cells for an offence is a permissible search.[[1]](Print_version.html#cite_note-313)

  1. [↑](Print_version.html#cite_ref-313) R v Unaru, [1994] BCJ No 1731 at 15

## Motor vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-3)]

The common law power of police to search incident to arrest can include the accused's motor vehicle.[[1]](Print_version.html#cite_note-314) An officer may search a vehicle incidental to arrest where it is for a valid purpose related to the offence and where the officer reasonably believed that the search would be only to achieved that legitimate purpose.[[2]](Print_version.html#cite_note-315) There is no heightened expectation of privacy justifying an exemption from the usual common law principles of search incident to arrest.[[3]](Print_version.html#cite_note-316) For example, a search of a brief case found in a stolen vehicle incident to arrest is justified.[[4]](Print_version.html#cite_note-317) The presumption of unreasonableness of a warrantless search is rebutted upon proof that the arrest was lawful and the search was reasonable.[[5]](Print_version.html#cite_note-318)

When a vehicle is impounded lawfully, the officers have a duty to keep the property safe and take reasonable steps to do so. This will require entering the vehicle for itemizing the property of apparent value. [[6]](Print_version.html#cite_note-319)

  1. [↑](Print_version.html#cite_ref-314) R. v. Polashek [1999 CanLII 3714](http://canlii.ca/t/1f9ff) (ON CA), (1999), 134 C.C.C. (3d) 187 (Ont. C.A.)  
R. v. Alkins [2007 ONCA 264](http://canlii.ca/t/1r4fd)
  2. [↑](Print_version.html#cite_ref-315) R. v. Parchment, [2007 BCCA 326](http://canlii.ca/en/bc/bcca/doc/2007/2007bcca326/2007bcca326.html); Caslake at para. 19.
  3. [↑](Print_version.html#cite_ref-316) R. v. Caslake, [1998 CanLII 838](http://canlii.ca/t/1fqww), [1998] 1 S.C.R. 51; R. v. Stillman, 1997 CanLII 384 (S.C.C.), [1997] 1 S.C.R. 607
  4. [↑](Print_version.html#cite_ref-317) R. v. Mohamad, [2004 CanLII 9378](http://canlii.ca/t/1gblj) (ON C.A.), 182 C.C.C.(3d) 97 (Ont. C.A.)
  5. [↑](Print_version.html#cite_ref-318) R. v. Klimchuk (1991), 67 C.C.C. (3d) 385 (B.C.C.A.) [[30]](http://www.canlii.org/en/bc/bcca/doc/1991/1991canlii3958/1991canlii3958.html)
  6. [↑](Print_version.html#cite_ref-319) R v Nicolosi, [1998 CanLII 2006](http://canlii.ca/t/6h03) (ONCA) at 30

## Passengers of Vehicles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-4)]

A passenger in a motor vehicle generally does not have a reasonable expectation of privacy.[[1]](Print_version.html#cite_note-320) However, there is an expectation of privacy to the limited area underneath the passenger.[[2]](Print_version.html#cite_note-321)

  1. [↑](Print_version.html#cite_ref-320) R. v. Belnavis, [1997] 3 S.C.R. 341 [1997 CanLII 320](http://www.canlii.org/en/ca/scc/doc/1997/1997canlii320/1997canlii320.html)
  2. [↑](Print_version.html#cite_ref-321) R. v. Dreyer, [2008 BCCA 89](http://www.canlii.org/en/bc/bcca/doc/2008/2008bcca89/2008bcca89.html)

## Computers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-5)]

A search memory stick without warrant upon arrest for credit card fraud has been found to violate s. 8.[[1]](Print_version.html#cite_note-322)

  1. [↑](Print_version.html#cite_ref-322) R. v. Tuduce, [2011 ONSC 2749](http://canlii.ca/en/on/onsc/doc/2011/2011onsc2749/2011onsc2749.html)

## Cell phones[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-6)]

The law regarding police procedure for searching cell phones is a developing issue in Canada.

In many cases police seize cell phones from suspects and search them following an arrest. Police are permitted to search people for weapons of evidence related to the reason of arrest immediately following an arrest. These searches may only be performed where police have reason to believe that relevant evidence will be found that could otherwise be lost or destroyed. This is called search incident to arrest, and the rules concerning this procedure arise from Caslake [[1]](Print_version.html#cite_note-323), and Cloutier v. Langlios [[2]](Print_version.html#cite_note-324) .

At this stage, if a police officer finds an unlocked phone, they may perform a cursory search of its contents. The term 'cursory' search has been called "too vague" and whether these searches will continue to be allowed on cell phones, and under what circumstances, is subject to debate in Canadian,[[3]](Print_version.html#cite_note-325); however, these searches have been permitted with little argument in the past. [[4]](Print_version.html#cite_note-326)

In other examples, warrantless incident to arrest searches of cell phones have been held valid where the search is carried out reasonably, and for a valid purpose related to the offence.[[5]](Print_version.html#cite_note-327) In another example, a cursory search of a cell phone incidental to arrest was lawful where it was used to determine identity and whether the phone was stolen.[[6]](Print_version.html#cite_note-328)

In these types of searches, the reason to search the phone has to be somehow connected to the investigation. A search of a cell phone during an arrest for curfew breach, for example, was found to be a violation of s.8.[[7]](Print_version.html#cite_note-329)

There are many cases where police then take a cell phone into the station, or send it away to a lab, for computer assisted searches. This has been permitted in the past without a warrant. [[8]](Print_version.html#cite_note-330) New cases have cropped up, which are tied to Supreme Court of Canada discussion surrounding privacy interests that people have in their computers and smart phones, [[9]](Print_version.html#cite_note-331), that point to a new requirement for police to obtain warrants before subjecting a smart phone to a computer assisted search or a search involving the copying of a phone's contents. [[10]](Print_version.html#cite_note-332)

Providing particularly good summary discussion on this issue are leading provincial court cases: in British Colubmia, R. v. Vye, (2014) [BCSC 93](http://canlii.ca/t/g2r9n), and in Nova Scotia R. v. Hiscoe, (2013), [NSCA 48](http://canlii.ca/t/fx4mj).

## Other Scenarios[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Arrest&action=edit&section=T-7)]

Where the police seize a vehicle for the purpose of removing it from the road, there is a lessened expectation of privacy. Thus, any contents of the vehicle in plain view upon entering the vehicle can be seized.[[11]](Print_version.html#cite_note-333)

Police may search a vehicle to determine whether there are weapons found in the vehicle.[[12]](Print_version.html#cite_note-334)

A request by a police officer for a driver's licence and insurance is not a search.[[13]](Print_version.html#cite_note-335)

  1. [↑](Print_version.html#cite_ref-323) R. v. Caslake, (1998) [SCC 1 S.C.R. 145](http://canlii.ca/t/1fqww)
  2. [↑](Print_version.html#cite_ref-324) Cloutier v. Langlios, (1990) [SCC 1 S.C.R. 158](http://canlii.ca/t/1ft0h)
  3. [↑](Print_version.html#cite_ref-325) R. v. Liew, (2012), [ONSC 1826](http://canlii.ca/t/fqs60)  

  4. [↑](Print_version.html#cite_ref-326) R. v. Otchere-Badu, (2010), [ONSC 1059](http://canlii.ca/t/28fsj)
  5. [↑](Print_version.html#cite_ref-327) R. v. Lanning, [2012 ABPC 171](http://canlii.ca/t/frslr) following R v Franko, [2012 ABQB 282](http://canlii.ca/t/fr8f7)
  6. [↑](Print_version.html#cite_ref-328) R. v. Manley, [2011 ONCA 128](http://canlii.ca/en/on/onca/doc/2011/2011onca128/2011onca128.html)
  7. [↑](Print_version.html#cite_ref-329) R. v. Terry Hull, [2011 ONSC 3139](http://canlii.ca/en/on/onsc/doc/2011/2011onsc3139/2011onsc3139.html)
  8. [↑](Print_version.html#cite_ref-330) R. v. Giles, (2007) [BCSC 1147](http://canlii.ca/en/bc/bcsc/doc/2007/2007bcsc1147/2007bcsc1147.html), R. v. Dhillon, (2013),[BCSC 869](http://canlii.ca/t/fz834), R. v. Mann, (2012) [BCSC 1247](http://canlii.ca/t/fsdzc), R. v. Zahrebelny, (2013), [NSCA 91](http://canlii.ca/t/2ftgz),
  9. [↑](Print_version.html#cite_ref-331) R. v. Vu, (2013) [SCC 60](http://canlii.ca/t/g1r8p), and R. v. Morelli, (2010) [SCC 8, [2010](http://canlii.ca/t/28mrg) 1 SCR 253]
  10. [↑](Print_version.html#cite_ref-332) R. v. Hiscoe, (2013), [NSCA 48](http://canlii.ca/t/fx4mj), and R. v. Vye, (2014) [<http://canlii.ca/t/g2r9n> BCSC 93}
  11. [↑](Print_version.html#cite_ref-333) R. v. Nicolisi [1998 CanLII 2006](http://canlii.ca/t/6h03) (ON C.A.)
  12. [↑](Print_version.html#cite_ref-334) R. v. Majedi [2009 BCCA 276](http://www.canlii.org/en/bc/bcca/doc/2009/2009bcca276/2009bcca276.html) \-- incident to arrest
  13. [↑](Print_version.html#cite_ref-335) R. v. Hufsky, [1988] 1 S.C.R. 621 at p.637 [1988 CanLII 72](http://www.canlii.org/en/ca/scc/doc/1988/1988canlii72/1988canlii72.html)

  


# Search and Seizure/Warrantless Searches/Incident to Detention[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Detention&action=edit&section=T-1)]

    _See [Investigative Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention) for further details_

There is a common law power to search incident to detention where "the officer … believe[s] on reasonable grounds that his or her own safety, or the safety of others, is at risk."[[1]](Print_version.html#cite_note-336) If the search goes beyond the purpose of officer safety and becomes investigative then a lawful search can become unlawful.[[2]](Print_version.html#cite_note-337)

There is no general power to search bags or vehicles incident to detention.[[3]](Print_version.html#cite_note-338)

  1. [↑](Print_version.html#cite_ref-336) R. v. Mann [2004 SCC 52](http://canlii.org/en/ca/scc/doc/2004/2004scc52/2004scc52.html), [2004] 3 S.C.R. 59 at para. 40  
See also R. v. Clayton, [2007] 2 S.C.R. 725 [2007 SCC 32](http://canlii.org/en/ca/scc/doc/2007/2007scc32/2007scc32.html)
  2. [↑](Print_version.html#cite_ref-337) R. v. Calderon, [2004 CanLII 7569 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/2004/2004canlii7569/2004canlii7569.html)  
R. v. Logan, [2005 ABQB 321](http://www.canlii.org/en/ab/abqb/doc/2005/2005abqb321/2005abqb321.html)  
R. v. Byfield, [2005 CanLII 1486 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/2005/2005canlii1486/2005canlii1486.html)  
R. v. Cooper, [2005 NSCA 47](http://www.canlii.org/en/ns/nsca/doc/2005/2005nsca47/2005nsca47.html)  

  3. [↑](Print_version.html#cite_ref-338) R. v. Plummer, [2011 ONCA 350](http://www.canlii.org/en/on/onca/doc/2011/2011onca350/2011onca350.html)

## Vehicle Searches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Detention&action=edit&section=T-2)]

A warrantless search of a vehicle may be reasonable where there are reasonable grounds to believe the vehicle contained illegal items.[[1]](Print_version.html#cite_note-339) This however is limited to situations in which the vehicle could be moved "quickly" and there is a risk that the evidence may be lost if an attempt was made to get a search warrant first.[[2]](Print_version.html#cite_note-340)

In R. v. D. (I.D.), [1987 CanLII 206 (SK C.A.)](http://www.canlii.org/en/sk/skca/doc/1987/1987canlii206/1987canlii206.html), the Court suggested the following requirements for a warrantless search:

  1. that the vehicle be stopped or the occupants be detained lawfully;
  2. that the officer conducting the search have reasonable and probable grounds to believe that an offence has been, is being or is about to be committed and that a search will disclose evidence relevant to that offence;
  3. that exigent circumstances, such as imminent loss, removal or destruction of the evidence, make it not feasible to obtain a warrant;
  4. that the scope of the search itself bear a reasonable relationship to the offence suspected and the evidence sought.

  1. [↑](Print_version.html#cite_ref-339) R. v. McComber, (1988), 44 C.C.C. (3d) 241 (Ont. C.A.);  
Johnson v. Ontario (Minister of Revenue), (1990), 75 O.R. (2d) 558 (Ont. C.A.).  
See also R. v. Ruiz, [1991 CanLII 2410 (NB C.A.)](http://www.canlii.org/en/nb/nbca/doc/1991/1991canlii2410/1991canlii2410.html) ;  
R. v. McKarris, [1996] 2 S.C.R. 287 [1996 CanLII 205](http://www.canlii.org/en/ca/scc/doc/1996/1996canlii205/1996canlii205.html) ;  
R. v. Damianakos Regina v. Klimchuk, [1991 CanLII 3958 (BC C.A.)](http://www.canlii.org/en/bc/bcca/doc/1991/1991canlii3958/1991canlii3958.html) ;  
R. v. Lee, [1995 CanLII 1135 (BC C.A.)](http://www.canlii.org/en/bc/bcca/doc/1995/1995canlii1135/1995canlii1135.html)  
R. v. Caslake, [1998] 1 S.C.R. 51 [[31]](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii838/1998canlii838.html) ;  
R. v. Nicolosi, [1998 CanLII 2006 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/1998/1998canlii2006/1998canlii2006.html)  

  2. [↑](Print_version.html#cite_ref-340) R. v. Klimchuk (1991), 67 C.C.C. (3d) 385 (B.C.C.A.); see also R. v. Rao (1984), 12 C.C.C. (3d) 97 (Ont. C.A.);R. v. Debot, (1986), 30 C.C.C. (3d) 207 (Ont. C.A.)[1986 CanLII 113](http://canlii.org/en/on/onca/doc/1986/1986canlii113/1986canlii113.html)

## Roadside Stops[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Incident_to_Detention&action=edit&section=T-3)]

Even if the police have lawful grounds to stop a vehicle this does not allow a search of the vehicle unless there are "reasonable grounds".[[1]](Print_version.html#cite_note-341)

Check stop programs aimed to check for sobriety, licences, ownership, insurance and the mechanical fitness of cars cannot be used by the police to search beyond its aims.[[2]](Print_version.html#cite_note-342) However, roadblocks set-up to search vehicles in order to catch suspects fleeing an armed robbery was considered a lawful search given the existence of a basis for investigative detention and the relative seriousness of the offence.[[3]](Print_version.html#cite_note-343)

Several provincial acts permit searching of vehicles without a warrant:

Section 107 of Alberta’s Gaming and Liquor Act, RSA 2000, c G-1 permits search where there is reasonable probable grounds are established that the act has been violated.

  1. [↑](Print_version.html#cite_ref-341) R. c. Higgins, [1996 CanLII 5774 (QC C.A.)](http://www.canlii.org/fr/qc/qcca/doc/1996/1996canlii5774/1996canlii5774.html)
  2. [↑](Print_version.html#cite_ref-342) R. v. Mellenthin, [1992 CanLII 50](http://canlii.ca/t/1fs79) (S.C.C.), [1992] 3 S.C.R. 615.
  3. [↑](Print_version.html#cite_ref-343) R. v. Stephens, [1993] B.C.J. No. 3017 (B.C.S.C.); R. v. Jacques, [1996 CanLII 174](http://canlii.org/en/ca/scc/doc/1996/1996canlii174/1996canlii174.html), [1996] 3 S.C.R. 312  
R. v. Murray, 136 C.C.C. (3d) 197 (Que. C.A.)[1999 CanLII 13750](http://canlii.org/en/qc/qcca/doc/1999/1999canlii13750/1999canlii13750.html)

  


# Search and Seizure/Warrantless Searches/Plain View[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Plain_View&action=edit&section=T-1)]

A person has no reasonable expectation of privacy in what he knowingly exposes to the public or abandons in a public place.[[1]](Print_version.html#cite_note-344)

A peace officer may seize any evidence which he observes by use of one or more of his senses from a lawful vantage point.[[2]](Print_version.html#cite_note-345) If an officer is on a premises lawfully and observes items believed to be illegal, it is lawful for him to seize the items. [[3]](Print_version.html#cite_note-346)

For example, police may enter into a house on the basis of preserving property and the public peace, and if on entering they discover stolen property in the household, it may be considered evidence under the plain view doctrine. [[4]](Print_version.html#cite_note-347) Without a lawful search or lawful entrance, there can be no basis for the doctrine.[[5]](Print_version.html#cite_note-348)

There are generally three requirements for the plain view doctrine:[[6]](Print_version.html#cite_note-349)

  1. the police officer must lawfully make an initial intrusion or otherwise properly be in a position from which he can view a particular area;
  2. the officer must discover incriminating evidence inadvertently, which is to say, he may not know in advance the location of certain evidence and intend to seize it, relying on the plain view doctrine only as a pretext;
  3. it must be immediately apparent to the police that the items they observe may be evidence of a crime, contraband, or otherwise subject to seizure. These requirements having been met, when police officers lawfully engaged in an activity in a particular area perceive a suspicious object, they may seize it immediately:

Lands accessible to the public--i.e. "open fields"--do not have a reasonable expectation of privacy and so are not protected by the Charter where illegal items are found in it.[[7]](Print_version.html#cite_note-350) However, the "open fields" doctrine does not encompass all open air private properties.[[8]](Print_version.html#cite_note-351)

Observations should be made without violation of the law. Police making observations by trespassing at night is not permitted.[[9]](Print_version.html#cite_note-352)

It does not stretch so far as to include a bag found in a locker at a public bus station.[[10]](Print_version.html#cite_note-353)

Under s.489(2), where an officer is in the execution of their duties, may without a warrant, seize anything that the officer has reasonable grounds to believe is obtained by, used for, or will afford evidence towards an offence. This power is separate and apart from the common law doctrine of plain view seizure.[[11]](Print_version.html#cite_note-354)

See [Canadian Criminal Procedure and Practice/Search and Seizure/Seizure of Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property) for more on seizure.

  1. [↑](Print_version.html#cite_ref-344) R. v. Tessling, [2004 SCC 67](http://canlii.org/en/ca/scc/doc/2004/2004scc67/2004scc67.html), [2004] 3 S.C.R. 432 at para. 40  
R. v. Boersma, [1994 CanLII 99](http://canlii.org/en/ca/scc/doc/1994/1994canlii99/1994canlii99.html) (S.C.C.), [1994] 2 S.C.R. 488
  2. [↑](Print_version.html#cite_ref-345) R. v. Fitt, [1995 CanLII 4342](http://www.canlii.org/en/ns/nsca/doc/1995/1995canlii4342/1995canlii4342.html) (NS C.A.)  
R. v. Lauda, [1998] 2 S.C.R. 683, [1998 CanLII 804](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii804/1998canlii804.html)  
R. v. Jackson, [2005 ABCA 430](http://www.canlii.org/en/ab/abca/doc/2005/2005abca430/2005abca430.html)
  3. [↑](Print_version.html#cite_ref-346) The Queen v. Shea (1982), 142 D.L.R. (3d) 419 (Ont. S.C.)  
R. v. Hébert (1990), 60 C.C.C. (3d) 422 (Que. C.A.)  
R. v. Grenier (1991), 65 C.C.C. (3d) 76 (Que. C.A.)
  4. [↑](Print_version.html#cite_ref-347) R. v. Dreysko (1990), 110 A.R. 317 (Alta. C.A.)  
R. v. Hern (1994), 149 A.R. 75 (Alta. C.A.)
  5. [↑](Print_version.html#cite_ref-348) R. v. Nielsen [1988 CanLII 213](http://canlii.org/en/sk/skca/doc/1988/1988canlii213/1988canlii213.html), 43 C.C.C. (3d) 548 (Sask. C.A.)
  6. [↑](Print_version.html#cite_ref-349) R. v. Ruiz [1991 CanLII 2410](http://canlii.org/en/nb/nbca/doc/1991/1991canlii2410/1991canlii2410.html) (NB C.A.), (1991), 10 C.R. (4th) 34 (N.B.C.A.)  
R. v. Belliveau and Losier [1986 CanLII 88](http://www.canlii.org/en/nb/nbca/doc/1986/1986canlii88/1986canlii88.html) (NB C.A.), (1986), 75 N.B.R.(2d) 18  
R. v. Jones, [2011 ONCA 632](http://canlii.ca/t/fncds) (CanLII) at para. 54 - describes 4 requirements
  7. [↑](Print_version.html#cite_ref-350) R. v. Boersma, [1994 CanLII 99](http://canlii.org/en/ca/scc/doc/1994/1994canlii99/1994canlii99.html) (S.C.C.)  
R. v. Patriquen [1994 CanLII 3963](http://canlii.ca/t/1mqbn), (1994), 36 C.R. (4th) 363 (N.S.C.A.); appeal dismissed on other grounds, 1995 CanLII 77, [1995] 4 S.C.R. 42
  8. [↑](Print_version.html#cite_ref-351) R. v. Kelly, [1999 CanLII 13120](http://canlii.org/en/nb/nbca/doc/1999/1999canlii13120/1999canlii13120.html) (NB C.A.)
  9. [↑](Print_version.html#cite_ref-352) R. v. Hok 2005 BCCA 132
  10. [↑](Print_version.html#cite_ref-353) R. v. Buhay, [2003 SCC 30](http://canlii.ca/t/1g6p7)
  11. [↑](Print_version.html#cite_ref-354) R v Makhmudov, 2007 ABCA 248 at para. 19

## Technological Detection[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Plain_View&action=edit&section=T-2)]

### FLIR[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Plain_View&action=edit&section=T-3)]

The use of thermal imaging known as Forward Looking Infared Radar (FLIR) is not a form of search. The heat radiating from the house provides limited information about what is going on inside and virtually no information about the person core biographical information. The emanations exist on the outside of the house and so are exposed to the public.[[1]](Print_version.html#cite_note-355)

  1. [↑](Print_version.html#cite_ref-355) see R. v. Tessling, [2004 SCC 67](http://canlii.ca/t/1j0wb), [2004] 3 SCR 432

### Sniffer Dogs[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Plain_View&action=edit&section=T-4)]

The use of a sniffer dog amounts to a "search" in law. The use of the sniffer dog is almost exclusively in the realm of drug investigations.

For a sniffer dog search to be valid, the court must ask itself:[[1]](Print_version.html#cite_note-356)

  1. did the officer subjectively believe that there were reasonable grounds to suspect that the accused was in possession of the drugs?
  2. were there sufficient grounds to reasonably suspect the accused was in possession of drugs?

Reasonable suspicion in this circumstances requires an "expectation" that the accused is "possibly engaged in some criminal activity. As well, the suspicion must be supported by facts that can be subject to review.

As part of the determination of reasonable suspicion it includes the presence of a "masking agent" such as perfumes, colognes or other odour producing products. [[2]](Print_version.html#cite_note-357)

See also: R v Navales [2011 ABQB 404](http://canlii.ca/t/fm392); R v Loewen [2010 ABCA 255](http://canlii.ca/t/2cfs8); R v Calderon 2004 ONCA 7569.

  1. [↑](Print_version.html#cite_ref-356) R v Kang-Brown [2008 SCC 18](http://canlii.ca/t/1wnbc)
  2. [↑](Print_version.html#cite_ref-357) R v Nguyen 2012 ABQB 199 at 97

# III - Warrant Searches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=6)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-1)]

A Search Warrant is an Order issued by a Justice of the Peace under statute that authorizes a person to enter into a location and seize specified evidence that is relevant and material to an offence.[[1]](Print_version.html#cite_note-358) The warrant is a substitute for consent to enter a private premises or any other places with reasonable expectations of privacy.[[2]](Print_version.html#cite_note-359)

The criminal code provides for several types of search warrants:

  * General Search Warrant ( [s. 487](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec487))[[3]](Print_version.html#cite_note-360)
  * Firearms warrant ( [s.117.04](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec117))
  * Obscene materials (s. 164)
  * Consent wiretap (s. 184.2)
  * Wiretap (s. 186)
  * Impaired Driving Blood Samples ([s.256](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec256))

  * Proceeds of Crime (s. 462.32)
  * DNA Sample ( [s. 487.05](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec487))
  * Tracking (s.492.1)
  * Number recordings (s. 492.2)
  * Telephone records ( [s. 492.2(2)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec492))
  * Bodily impressions (s. 487.091)

  * Drug offences (s. 11 CDSA)
  * Telewarrants ( 487.1)
  * Explosives Warrant (492)
  * Entry for Arrest (529, 529.1)
  * Production Order (.s 487.011-013)

There are other search and seizure powers found under a variety of other federal Acts that are not directly criminal in nature.[[4]](Print_version.html#cite_note-361)

  1. [↑](Print_version.html#cite_ref-358) Nova Scotia v. MacIntyre, [1982] 1 S.C.R. 175 at p.179[1982 CanLII 14](http://www.canlii.org/en/ca/scc/doc/1982/1982canlii14/1982canlii14.html)
  2. [↑](Print_version.html#cite_ref-359) R. v. Pugliese (1992), 71 CCC 295 (Ont.CA)[1992 CanLII 2781](http://www.canlii.org/en/on/onca/doc/1992/1992canlii2781/1992canlii2781.html)
  3. [↑](Print_version.html#cite_ref-360) R. v. Multiform Manufacturing Co, , [1990] 2 S.C.R. 624 [1990 CanLII 79](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii79/1990canlii79.html); R. v. Grant [1993] 3 S.C.R. 223 [1993 CanLII 68](http://www.canlii.org/en/ca/scc/doc/1993/1993canlii68/1993canlii68.html);
  4. [↑](Print_version.html#cite_ref-361) See Income Tax Act, Excise Act, Bankruptcy and Insolvency Act, Fisheries Act

## Purpose of a warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-2)]

The purpose of a search warrant is to allow investigators to "locate, examine and preserve all the evidence relevant to events which may have given rise to criminal liability."[[1]](Print_version.html#cite_note-362)

A search warrant can be used not only for collecting evidence supporting a criminal charge but also as an investigative tool for alleged criminal activity.[[2]](Print_version.html#cite_note-363)

The items sought need not necessarily afford evidence of the actual commission of the offence under investigation. Rather it "must be something either taken by itself or in relation to other things, that could be reasonably believed to be evidence of the commission of the crime." [[3]](Print_version.html#cite_note-364)

  
A search warrant makes valid act which would otherwise be considered trespass.[[4]](Print_version.html#cite_note-365)

  1. [↑](Print_version.html#cite_ref-362) R. v. Vu, 2011 BCCA 536 at para. 30 citing CanadianOxy Chemicals Ltd. v. Canada (Attorney General), 1999 CanLII 680 (SCC), [1999] 1 S.C.R. 743 at 20-22
  2. [↑](Print_version.html#cite_ref-363) Descôteaux v. Mierzwinski, [1982 CanLII 22](http://canlii.ca/t/1lpc6) (SCC), [1982] 1 S.C.R. 860 at 891 and R. v. Vu [2011 BCCA 536](http://canlii.ca/t/fpfws) at [para 29](http://canlii.ca/t/fpfws#par29)
  3. [↑](Print_version.html#cite_ref-364) R v Vu at para. 31 citing R. v. Canadian Broadcasting Corp. reflex, (1992), 77 C.C.C. (3d) 341 at 351 (Ont. Ct. (G.D.))
  4. [↑](Print_version.html#cite_ref-365) R. v. Pugliese, 1992 CanLII 2781 (ON CA), <<http://canlii.ca/t/1npnm>> ("entry upon private lands by officials of the state was a trespass unless there was a lawful authorization for the entry.")

## Procedure for Obtaining a Warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-3)]

An application for a search warrant consists of an "Information to Obtain" (ITO) and usually a draft warrant that presented to a justice of the peace or judge. An ITO consists of a statement under oath or an affidavit of an informant detailing the facts known (both first hand or second hand) that would provide basis to issue a warrant.[[1]](Print_version.html#cite_note-366)

An application for a warrant is an _ex parte_ motion and as such must "make full, fair and frank disclosure of all material facts".[[2]](Print_version.html#cite_note-367)

  1. [↑](Print_version.html#cite_ref-366) R. v. Debot (1986) 30 CCC 207 (Ont.CA)  
R. v. Richard (1996) 150 NSR 232 (NSCA)
  2. [↑](Print_version.html#cite_ref-367) R. v. Araujo, 2000 SCC 65 (CanLII), 2000 SCC 65, [2000] 2 S.C.R. 992, at para. 46

## Issuing of Warrant: Reasonable and Probable Grounds[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-4)]

The Charter requires that for all warrants police must provide "reasonable and probable grounds, established upon oath, to believe that an offence has been committed and that there is evidence to be found at the place of the search"[[1]](Print_version.html#cite_note-368) These requirements set out the "minimum standard, consistent with s. 8 of the Charter, for authorizing search and seizure"[[2]](Print_version.html#cite_note-369)

In more recent times the standard is called "reasonable grounds to believe". [[3]](Print_version.html#cite_note-370)

The standard of reasonable grounds to believe is greater than mere suspicion but less than on a balance of probabilities when the totality of the circumstances are considered.[[4]](Print_version.html#cite_note-371) It is a standard of reasonable probability and is credibility based. It must be more than mere possiblity or suspicion.[[5]](Print_version.html#cite_note-372) It is a standard of "credibly-based probability" [[6]](Print_version.html#cite_note-373)

The key elements to credibility-based probability includes:[[7]](Print_version.html#cite_note-374)

  1. The Information to obtain the warrant must set out sworn evidence sufficient to establish reasonable grounds for believing that an offence has been committed, that the things to be searched for will afford evidence and that the things in question will be found at a specked place[[8]](Print_version.html#cite_note-375)
  2. The Information to obtain as a whole must be considered and peace officers, who generally will prepare these documents without legal assistance, should not be held to the “specificity and legal precision expected of pleadings at the trial stage.”[[9]](Print_version.html#cite_note-376)
  3. The affiant’s reasonable belief does not have to be based on personal knowledge, but the Information to obtain must, in the totality of circumstances, disclose a substantial basis for the existence of the affiant’s belief: R. v. Yorke 1992 CanLII 2521 (NS CA), (1992), 115 N.S.R. (2d) 426 (C.A.); affd 1993 CanLII 83 (SCC), [1993] 3 S.C.R. 647.

The court may consider the experience of a police officer when assessing whether the officer's subjective belief was objectively reasonable.[[10]](Print_version.html#cite_note-377)

The Justice of the Peace may draw reasonable inferences from the information found in the ITO.[[11]](Print_version.html#cite_note-378)

The approving justice must be satisfied that there is a connection between the grounds for belief of the offence and that evidence of or information related to the offence will be found on the premises to be searched.[[12]](Print_version.html#cite_note-379)

The Information to Obtain the search warrant (ITO) does not need to state every step a police officer takes in obtaining information.[[13]](Print_version.html#cite_note-380)

An ITO can be read in a practical, non-technical, common-sense fashion.[[14]](Print_version.html#cite_note-381)

The officer’s are not held to the same drafting quality as counsel.[[15]](Print_version.html#cite_note-382)

The document should be reliable, balanced and material. It should also be clear, concise, legally and factually sufficient, but it need not include “every minute detail of the police investigation”. [[16]](Print_version.html#cite_note-383)

The ITO cannot be based on any information that was learned through an warrantless search of an agent of the state.

Where the basis of the warrant relies on a confidential informer, the requirement from R v Debot must be considered.[[17]](Print_version.html#cite_note-384) Generally, the requirement will increase "the level of verification required" where "credibility cannot be assessed", "fewer details are provided", and "the risk of innocent coincidence is greater". [[18]](Print_version.html#cite_note-385)

Generally, an approving justice should be satified that:[[19]](Print_version.html#cite_note-386)

  1. that the items specified exist;
  2. that the items specified will be found in the place to be searched at the time of the search;
  3. that the offence alleged has been, or will be, (depending on the type of search warrant being sought) committed;
  4. that the items specified will afford evidence of the offence alleged; and
  5. that the place to be searched is the location where the items will be located.

The document should be reliable, balanced and material. It should also be clear, concise, legally and factually sufficient, but it need nto include “every minute detail of the police investigation” [[20]](Print_version.html#cite_note-387)

  1. [↑](Print_version.html#cite_ref-368) Hunter v. Southam Inc., 1984 CanLII 33 (SCC), 1984 CanLII 33 (SCC), [1984] 2 S.C.R. 145, at p. 168  
See also R. v. Vella (1984) 14 CCC 513  
R. v. Harris, [1987 CanLII 181 (ON CA)](http://www.canlii.org/en/on/onca/doc/1987/1987canlii181/1987canlii181.html)  

  2. [↑](Print_version.html#cite_ref-369) Hunter v Southam at p. 168
  3. [↑](Print_version.html#cite_ref-370) Mugesera v. Canada (Minister of Citizenship and Immigration), 2005 SCC 40[[32]](http://www.canlii.org/en/ca/scc/doc/2005/2005scc40/2005scc40.html#para114) at para. 114
  4. [↑](Print_version.html#cite_ref-371) ibid.; R. v. Le [2006 BCCA 298](http://www.canlii.org/en/bc/bcca/doc/2006/2006bcca298/2006bcca298.html); [2006 BCCA 463](http://www.canlii.org/en/bc/bcca/doc/2006/2006bcca463/2006bcca463.html)
  5. [↑](Print_version.html#cite_ref-372) Hunter et al v. Southam Inc., 1984 CanLII 33 (SCC), [1984] 2 S.C.R. 145  
Baron v. Canada, 1993 CanLII 154 (SCC), [1993] 1 S.C.R. 416)  

  6. [↑](Print_version.html#cite_ref-373) R. v. Hosie [1996] O.J. No. 2175 (ONCA) at para. 11; Hunter v. Southam Inc., 1984 CanLII 33 (SCC), [1984] 2 S.C.R. 145 at p. 167
  7. [↑](Print_version.html#cite_ref-374) R. v. Morris 1998 CanLII 1344 (NS CA), (1998), 173 N.S.R. (2d) 1 (C.A.) at para. 31
  8. [↑](Print_version.html#cite_ref-375) R. v. Sanchez 1994 CanLII 5271 (ON SC), (1994), 93 C.C.C. (3d) 357 (Ont. Ct. Gen. Div.) at 365
  9. [↑](Print_version.html#cite_ref-376) Sanchez, supra, at 364
  10. [↑](Print_version.html#cite_ref-377) R v. MacKenzie 2011 SKCA 64 at para. 27, see also R v. Navales 2011 ABQB 404  
R. v. Sanchez (1994), 93 C.C.C. (3d) 537 (Ont.Gen. Div.)
  11. [↑](Print_version.html#cite_ref-378) See R. v. Durling, 2006 NSCA 124 (CanLII) at paras. 27-28; R. v. Vu at para. 40
  12. [↑](Print_version.html#cite_ref-379) R. v. Turcotte 1987 CanLII 984 (SK CA), (1987), 39 C.C.C. (3d) 193 (Sask.C.A)
  13. [↑](Print_version.html#cite_ref-380) R. v. Sanchez, [1994] OJ No. 2260 at para. 20
  14. [↑](Print_version.html#cite_ref-381) R. v. Whitaker, 2008 BCCA 174 at 41-42
  15. [↑](Print_version.html#cite_ref-382) Re Lubell and the Queen (1973), 11 C.C.C. (2d) 188 (Ont. H.C.), at p.190;  
R. v. Durling 2006 NSCA 124 , (2006), 214 C.C.C. (3d) 49 (N.S.C.A.), at para. 19;  
R. v. Sanchez 1994 CanLII 5271 (ON SC), (1994), 93 C.C.C. (3d) 357 (Ont. Ct. Gen. Div.), at p. 364;  
Re Chapman and the Queen, (1983), 6 C.C.C. (3d) 296 (Ont. H.C.), at p. 297.  

  16. [↑](Print_version.html#cite_ref-383) C.B.C. v. A.-G. for New Brunswick 1991 CanLII 50 (SCC), (1991), 67 C.C.C. (3d) 544 (S.C.C.), at p. 562  
R. v. Araujo [2000 SCC 65](http://canlii.ca/t/5231), (2000), 149 C.C.C. (3d) 449 (S.C.C.), at p. 470;  
R. v. Ling [2009 BCCA 70](http://canlii.ca/t/22jfr), (2009), 241 C.C.C. (3d) 409 (B.C.C.A.), at para. 43 (leave to appeal refused, [2009] S.C.C.A. No. 165)  

  17. [↑](Print_version.html#cite_ref-384) R. v. Hosie [1996] O.J. No. 2175 (ONCA) at para. 12  
See R. v. Debot 1989 CanLII 13 (SCC), 1989 CanLII 13 (SCC), (1989), 52 C.C.C. (3d) 193 at page 215 (S.C.C.)
  18. [↑](Print_version.html#cite_ref-385) R v Debot, at page 218
  19. [↑](Print_version.html#cite_ref-386) R v Adams [2004 CanLII 12093](http://canlii.ca/t/1grg4) (NL PC) at para. 24
  20. [↑](Print_version.html#cite_ref-387) C.B.C. v. A.-G. for New Brunswick 1991 CanLII 50 (SCC), (1991), 67 C.C.C. (3d) 544 (S.C.C.), at p. 562  
R. v. Araujo 2000 SCC 65 (CanLII), (2000), 149 C.C.C. (3d) 449 (S.C.C.), at p. 470  
R. v. Ling 2009 BCCA 70 (CanLII), (2009), 241 C.C.C. (3d) 409 (B.C.C.A.), at para. 43 (leave to appeal refused, [2009] S.C.C.A. No. 165)

## Standard of Review: The Garofoli Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-5)]

A "Garofoli Application" refers to the defence motion to exclude evidence collected under a search warrant.

Before a party can make such an application, they must have standing, which requires that there be an established [Reasonable Expectation of Privacy](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy).

**Presumptions and Burdens**  
A warrant is presumed valid. The applicant bears the burden to establish that there was insufficient basis for issuing the warrant. [[1]](Print_version.html#cite_note-388) This presumption applies not only to the warrant but the ITO as well.[[2]](Print_version.html#cite_note-389)

**Degree of Deference**  
The reviewing judge is not examining police conduct with great attention to minor details or dissection. [[3]](Print_version.html#cite_note-390) Rather the judge must look at whether there is sufficient evidence for the warrant.[[4]](Print_version.html#cite_note-391)

The test on review is not whether the reviewing judge would have granted the warrant but whether there was "reliable evidence that might reasonably be believed" on which the warrant could have been issued.[[5]](Print_version.html#cite_note-392)

The reviewing judge should not "substitute his or her own view for that of the authorizing judge."[[6]](Print_version.html#cite_note-393)

A search of a private premises "is a derogation from common law rights of ownership. The necessary formalities in the execution of the warrant must, therefore, be strictly observed".[[7]](Print_version.html#cite_note-394)

**Quality of Drafting**  
Flaws are to be expected. [[8]](Print_version.html#cite_note-395)Inaccuracies or material facts not disclosed does not necessarily detract from the existence of statutory preconditions.[[9]](Print_version.html#cite_note-396)

Errors in the information, "whether advertent or even fraudulent, are only factors to be considered in deciding to set aside the authorization and do not by themselves lead to automatic vitiation of the ... authorization."[[10]](Print_version.html#cite_note-397)

The ITO is examined on the the whole, and not piecemeal. [[11]](Print_version.html#cite_note-398)

**Excised Portions of ITO**  
Inaccurate or omitted information in an ITO does not necessarily render it invalid.

Inaccurate information can be excised from the ITO, and re-evaluated without the offending information.[[12]](Print_version.html#cite_note-399)

**Amplification Evidence**  
Where information was omitted from an ITO or where information has been excised for other reasons, it is possible to remedy it by adducing amplification evidence.

This form of evidence can be adduced to correct innocent, minor or technical errors.

  1. [↑](Print_version.html#cite_ref-388) R. v. Campbell, [2010 ONCA 558](http://canlii.ca/t/2c4pf), at para. 45. (aff’d, 2011 SCC 32)  
R v Shier, [1998] OJ No 5751 at para. 48  
Quebec (Attorney General) v. Laroche, [2002 SCC 72](http://canlii.ca/t/50d5) (CanLII), [2002] 3 S.C.R. 708  

  2. [↑](Print_version.html#cite_ref-389) R v Collins (1989) 48 CCC (3d) 343 at p. 356
  3. [↑](Print_version.html#cite_ref-390) R. v. Grant [1999 CanLII 3694](http://canlii.ca/t/1f973) (ON CA), (1999), 132 C.C.C. (3d) 531 (Ont. C.A.) at 543 (leave to appeal refused [1999] S.C.C.A. No. 168 (Q.L.), 150 C.C.C. (3d) vi); R. v. Chan, [1998] O.J. No. 4536 (Q.L.) at para. 4, 40 W.C.B. (2d) 143 (C.A.)  
R. v. Melenchuk and Rahemtulla, [1993] B.C.J. No. 558 at para. 15-18  
Simonyi Gindele et al. v. British Columbia (Attorney General) (1991), 2 B.C.A.C. 73 (C.A.) at 79.
  4. [↑](Print_version.html#cite_ref-391) R. v. Nguyen, 2011 ONCA 465 at 57
  5. [↑](Print_version.html#cite_ref-392) R. v. Araujo, [2000 SCC 65](http://canlii.ca/t/5231) (CanLII), [2000] 2 SCR 992 at para. 54  
See also R. v. Witaker [2008 BCCA 174](http://canlii.ca/t/1wqgl)  
R. v. Garofoli, [1990 CanLII 52](http://canlii.ca/t/1fss5) (SCC), [1990] 2 SCR 1421 at para. 56  
R. v. Grant, [1993 CanLII 68](http://canlii.ca/t/1fs0r) (SCC), [1993] 3 SCR 223 at para. 49  
R v. Veinot (1995), 144 N.S.R. (2d) 388 (C.A.) at p. 391, [1995 CanLII 4262](http://www.canlii.org/en/ns/nsca/doc/1995/1995canlii4262/1995canlii4262.html)  
R v Morelli, [2010 SCC 8](http://canlii.ca/t/28mrg) at para. 40  

  6. [↑](Print_version.html#cite_ref-393) R v Garofoli 1990 CanLII 52 (SCC)
  7. [↑](Print_version.html#cite_ref-394) R. v. B.(J.E.), (1989), 52 C.C.C. (3d) 224 (N.S.C.A.)
  8. [↑](Print_version.html#cite_ref-395) Nguyen, at 58
  9. [↑](Print_version.html#cite_ref-396) R v Pires [2005 SCC 66 at 30](http://canlii.ca/t/1m021#par30)
  10. [↑](Print_version.html#cite_ref-397) R. v. Bisson, [1994 CanLII 46](http://canlii.ca/t/1frp6) (S.C.C.), [1994] 3 S.C.R. 1097; (1995), 94 C.C.C. (3d) 94 at p. 1098
  11. [↑](Print_version.html#cite_ref-398) R. v. Whitaker, [2008 BCCA 174](http://canlii.ca/t/1wqgl)  
R. v. Brachi, 2005 BCCA 461  
Re Church of Scientology & the Queen (No. 6) 1987 CanLII 122 (ON CA), (1987), 31 C.C.C. (3d) 449 (Ont. C.A.))  

  12. [↑](Print_version.html#cite_ref-399) See R v Bisson [1994 CanLII 46](http://canlii.ca/t/1frp6) (SCC), [1994] 3 SCR 1097, (1994) 94 CCC (3d) 94 at pp. 95-96  
R. v. Budd, [2000 CanLII 17014](http://canlii.ca/t/1fbj8) (ON CA) at para. 20-23  
R. v. Agensys International Inc., [2004 CanLII 17920](http://canlii.ca/t/1hd0h) (ON CA) at para. 32  


## Contents of an ITO[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-6)]

### Basic elements[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-7)]

It was suggested by Justice Hill in R. v. Chhan, [1996 CanLII 7025 (SK QB)](http://canlii.ca/t/1nsh1) that there are five basic questions that all ITO's must address at a minimum:

  1. What are the grounds for believing the things to be searched for exist?
  2. What are the grounds for saying that the things to be searched for are at the place to be searched?
  3. What are the grounds for saying the offence has been committed as described?
  4. How will the things to be searched for afford evidence of the commission of the offence alleged?
  5. What are the grounds for saying that the place to be searched is at the location identified?

It has also been suggested the justice must be satisfied:[[1]](Print_version.html#cite_note-400)

  1. that an offence has been committed or is suspected of being committed;
  2. that the location of the search is a building, receptacle or place;
  3. that the item sought will provide evidence of the commission of the offence or that the possession thereof is an offence of itself;
  4. that the grounds stated are current so as to lead credence to the reasonable and probable grounds;
  5. that there is a nexus between the various considerations set out.

A search warrant must specify the premises that is to be searched.[[2]](Print_version.html#cite_note-401)

The ITO must specify a particular offence that is being investigated.[[3]](Print_version.html#cite_note-402) As well, it must not simply include "conclusory" statements but rather the factual grounds for the conclusions.[[4]](Print_version.html#cite_note-403)

An unsigned affidavit supporting a wiretap warrant is not necessarily fatal to the appliation.[[5]](Print_version.html#cite_note-404)

  1. [↑](Print_version.html#cite_ref-400) R. v. Turcotte, [1987 CanLII 984](http://canlii.ca/t/1prwx)(SK CA) at p. 14
  2. [↑](Print_version.html#cite_ref-401) s. 487(1)[[33]](http://canlii.ca/t/7vf2#sec487)  
R v McGregor 1985 23 CCC 266 (QB)
  3. [↑](Print_version.html#cite_ref-402) R. v. Dombrowski (1985) 18 CCC 164
  4. [↑](Print_version.html#cite_ref-403) R. v. Stockton Financial Services Co. (1990) 60 CCC 527 (Man CA); R. v. Harris (1987) 35 CCC 1 (Ont.CA)
  5. [↑](Print_version.html#cite_ref-404) R. v. Dixon, 2012 ONSC 181

### Drafting Practices[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-8)]

A properly drafted warrant, as a best practice, should generally involve the following elements:

  1. identify the _type_ of warrant sought as well as relevant sections.
  2. the judicial authority the request is made to (JP, Superior Court Justice, Provincial Court Judge)
  3. detail the identity of the affiant 
    1. name, title, rank, length of employment,
    2. working group, mandate, my role in ground, type of offences investigated
    3. personal relevant experence
  4. sources of information 
    1. databases relied upon
    2. personal sources (name, age, residence, criminal record)
  5. persons of interest (name, age, residences, charges, criminal record)
  6. property at issue: (if forfeiture or seizure) 
    1. describe it (location, size, who is in possession of item, all information on ownership/owners)
    2. avoid over-breadth, vagueness
  7. location to be searched 
    1. address, region, description of location
  8. summary of investigation
  9. previous applications
  10. reasons for any special requests (telewarrant, night-time search)
  11. conclusion / requested order

Tips for contents:

  * make the source of information clear for each statement of fact
  * if any evidence was obtained unconstitutionally, indicate what amount if any that evidence formed the basis of the warrant
  * make sure to sign the document

### Full, Frank and Fair Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-9)]

The affiant must make "full, frank and fair" disclosure of all information known to the officer relevant to the matter before the authorizing justice.[[1]](Print_version.html#cite_note-405) This obligation arises due to the _ex parte_ nature of the application.[[2]](Print_version.html#cite_note-406)

This does not require disclosing every fact that might possibly be relevant.[[3]](Print_version.html#cite_note-407)

  1. [↑](Print_version.html#cite_ref-405) R. v. Moore [1993 CanLII 17](http://canlii.ca/t/1d9w9) (BC CA), (1993), 81 C.C.C. (3d) 161 (B.C.C.A.) aff'd on appeal  
R. v. Kensington Income Tax, [1917] 1 K.B. 486 (C.A.)  
Church of Scientology and The Queen (No. 6), Re, [1987 CanLII 122](http://canlii.ca/t/1npn2) (ON CA)  
United States of America v. Friedland, [1996] O.J. No. 4399 (Gen.Div.), at paras. 26-29  

  2. [↑](Print_version.html#cite_ref-406) Araujo at para. 46-47  

  3. [↑](Print_version.html#cite_ref-407) R. v. Chambers [1983 CanLII 245](http://canlii.ca/t/23m18) (BC CA), (1983), 9 C.C.C. (3d) 132 (B.C.C.A.) at p. 143 aff'd 1986 CanLII 22 (SCC), (1986), 26 C.C.C. (3d) 353 (S.C.C.)  
R. v. Concepcion (1994), 48 B.C.A.C. 44 (B.C.C.A)  


### Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-10)]

A judge or justice of the peace rejecting a search warrant application can provide the applicant with a list of errors or omissions that make the warrant deficient without losing their responsibility as a neutral arbiter.[[1]](Print_version.html#cite_note-408)

  1. [↑](Print_version.html#cite_ref-408) R. v. Truong, 2012 ABQB 182

### Description of the Place to be Searched[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-11)]

A warrant of a premises must accurately describe the location to be searched. If it fails to do so the warrant will be invalid.[[1]](Print_version.html#cite_note-409)

The sufficiency of the description of the place must be assessed based on the face of the warrant, separately from the contents of the ITO or the manner it was executed.[[2]](Print_version.html#cite_note-410) Failure to name a place on the warrant "is not a mere matter of procedural defect, but so fundamental as to render the document of no legal effect."[[3]](Print_version.html#cite_note-411)

  1. [↑](Print_version.html#cite_ref-409) Re McAvoy (1970) 12 C.R.N.S. 56 (NWTSC) at para. 57 ("To avoid search warrants becoming an instrument of abuse it has long been understood that if a search warrant ... fails to accurately describe the premises to be searched ... then it will be invalid")
  2. [↑](Print_version.html#cite_ref-410) R. v. Parent, [1989 CanLII 217](http://canlii.ca/t/1p1h5) (YK CA) - no address whatsoever on warrant, but address present in ITO
  3. [↑](Print_version.html#cite_ref-411) Parent

#### Error in Addresses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-12)]

If the address in the warrant is wrong, the search becomes warrantless.[[1]](Print_version.html#cite_note-412)

For a search of an apartment building, the warrant must specify the unit number.[[2]](Print_version.html#cite_note-413)

A warrant is still valid where the address is wrong or vague in one section of the ITO but valid in another section.[[3]](Print_version.html#cite_note-414)

Where the ITO is inconsistent with the warrant some level of error is permissible as long as the location remains sufficient clear.[[4]](Print_version.html#cite_note-415)

  1. [↑](Print_version.html#cite_ref-412) see R. v. Krammer, [2001 BCSC 1205](http://canlii.ca/t/4wxn) (CanLII), [2001] B.C.J. No. 2869 (S.C.)  
R. v. Silvestrone [1991 CanLII 5759](http://canlii.ca/t/23276) (BC CA), (1991), 66 C.C.C. (3d) 125 (B.C.C.A.), at pp. 130-132
  2. [↑](Print_version.html#cite_ref-413) R. v. Wisdom, [2012 ONCJ 54](http://canlii.ca/t/fpvkb) (CanLII) at para. 44 ("The warrant fails to specifically authorize a search of apartment 303 which is where the applicants resided")  

  3. [↑](Print_version.html#cite_ref-414) R. v. Sexton, [2011 NBCA 97](http://canlii.ca/t/fnl3l) (CanLII) at paras 4-9
  4. [↑](Print_version.html#cite_ref-415) R. v. Parker, [2006 NBPC 38](http://canlii.ca/t/1q6fs) (CanLII) - address on warrant varied from address in ITO. ITO address was correct. Warrant found valid.  
R. v. Jacobson, [2009 ONCA 130](http://canlii.ca/t/22fnp) (CanLII) - correct address in ITO, error in warrant address. Warrant valid to search car only, lower expectation of privacy in car  


### Description of Thing(s) to be Seized[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-13)]

The warrant's description of things to be seized "operates as a guide for the officers conducting the search."[[1]](Print_version.html#cite_note-416)

The justice of the peace loses jurisdiction where the description is over-broad or too vague such that it essentially allows the officer to conduct a "carte blanche" search for any evidence within the premises.[[2]](Print_version.html#cite_note-417)

It has been recommended the following principles be considered:[[3]](Print_version.html#cite_note-418)

  1. peace officers should be given some latitude in describing things as they are still at the investigative stage;
  2. the description may be limited to classes of documents if it is sufficiently limited to the crime for which they are alleged to afford evidence;
  3. the Information sworn to obtain the Search Warrant must be read together with the Search Warrant;
  4. the nature of the offence(s) must be considered;
  5. in considering all of the factors, appropriate inferences may be made;
  6. there need not always be a time limit set out with respect to the documents sought;
  7. overly broad or vague descriptions can be severed leaving validly described things remaining;
  8. each case must be considered on its own facts.

see also R. v. Church of Scientology, supra; Re: Lubell and The Queen (1973), 11 C.C.C. (2d) 188 (Ont. H.C.J.); R. v. Silverstar Energy Inc., [2004] B.C.J. No. 1767 (B.C.S.C.); R. v. Sanchez and Sanchez [1994 CanLII 5271](http://canlii.ca/t/1p79n) (ON SC), 1994 CanLII 5271 (ON SC), (1994), 93 C.C.C. (3d) 357 (Ont. Ct. Gen. Div.); R. v. PSI Mind Development Institute Ltd. (1977), 37 C.C.C. (2d) 263 (Ont. H.C.))

  1. [↑](Print_version.html#cite_ref-416) R. v. Du, [2004 ABQB 849](http://canlii.ca/t/1j9ff) (CanLII) at para. 12
  2. [↑](Print_version.html#cite_ref-417) Du at para. 12
  3. [↑](Print_version.html#cite_ref-418) Du at para. 12

## Types of Evidence Used[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-14)]

### Statement by Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-15)]

Where the ITO contains a statement from the accused, the document must also show that the accused was properly cautioned and given a right to counsel. [[1]](Print_version.html#cite_note-419)

The statement cannot be involuntary.[[2]](Print_version.html#cite_note-420)

  1. [↑](Print_version.html#cite_ref-419) R. v. Allen, [1995 ABCA 384](http://canlii.ca/t/2dcd3) at para. 5  
R. v. Campbell, [2003 MBCA 76](http://canlii.ca/t/55zz) at para. 49-51  
R. v. Sonne, [2012 ONSC 140](http://canlii.ca/t/fqmdt) at para. 17
  2. [↑](Print_version.html#cite_ref-420) R. v. Ye, [2011 ONSC 2278](http://canlii.ca/t/fl0wm) at para. 40  


### Criminal Records[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-16)]

A copy of the informer's criminal record should be included in the ITO except where it may tend to reveal the identity of the informer.[[1]](Print_version.html#cite_note-421)

Where the ITO states that the informer has a criminal record when in fact the informer was merely charged, it may be sufficient ot void the warrant.[[2]](Print_version.html#cite_note-422)

There is no added value in including charges that have been stayed or withdrawn. The prejudicial effect is too great. [[3]](Print_version.html#cite_note-423)

  1. [↑](Print_version.html#cite_ref-421) R. v. Johnston, [2009 ABPC 315 at 44](http://www.canlii.org/en/ab/abpc/doc/2009/2009abpc315/2009abpc315.html#par44)]
  2. [↑](Print_version.html#cite_ref-422) R. v. Sismey, [1990 CanLII 1483 (BC CA)](http://canlii.ca/t/1d7fr)
  3. [↑](Print_version.html#cite_ref-423) R v Johnson [2005 BCPC 432 at 8](http://canlii.ca/t/1lsw6#par8)

### Hearsay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-17)]

The applicant should always indicate whether they are relying on hearsay or direct knowledge.[[1]](Print_version.html#cite_note-424)

An ITO relying upon hearsay does does not exclude it from establishing "probable cause".[[2]](Print_version.html#cite_note-425)

An ITO may contain hearsay as long as it is sourced and details are given about the source so the Justice can review the source's reliability and weigh its evidentiary value. [[3]](Print_version.html#cite_note-426)

Details on the source should be used to distinguish the information from rumor or gossip.[[4]](Print_version.html#cite_note-427)

Where the hearsay source is not set out the part of the ITO may be defective.[[5]](Print_version.html#cite_note-428)

It has been recommended that where the source is the notes or reports of other officers there should be detail on how it was obtained and why it is reliable.[[6]](Print_version.html#cite_note-429) It has been considered in appropriate to paraphrase or edit the notes of the other officers in materials ways.[[7]](Print_version.html#cite_note-430)

It has been further suggested that where it is from a written statement of a witness, details of identity and their involvement should be provided.[[8]](Print_version.html#cite_note-431)

Whether the confidential informant was paid should be provided as well.[[9]](Print_version.html#cite_note-432)

Debot factors are to be applied when considering hearsay.

  1. [↑](Print_version.html#cite_ref-424) e.g. see R. v. Nightingale, [2006 ABPC 79](http://canlii.ca/t/1mw8j) (CanLII) at para. 65 to 67 - officer failed to specify
  2. [↑](Print_version.html#cite_ref-425) Eccles v. Bourque, [1974 CanLII 191](http://canlii.ca/t/1z1gw) (SCC), [1975] 2 SCR 739 at p. 746 ( "That this information was hearsay does not exclude it from establishing probable cause")
  3. [↑](Print_version.html#cite_ref-426) R v. KP, [2011 NUCJ 27](http://canlii.ca/t/fn3tk) at para. 83  
see also R. v. Philpott, [2002 CanLII 25164](http://canlii.ca/t/1cc4p) (ON SC) at para. 40  
R. v. Bryan, [2008 CanLII 2595](http://canlii.ca/t/1vk9r) (ON SC) at para. 81
  4. [↑](Print_version.html#cite_ref-427) R. v. Allain, [1998 CanLII 12250](http://canlii.ca/t/1lrj9) (NB CA) at pp. 12-13 ("As a rule, sources of hearsay information must be identified in the supporting Information. This rule is designed to enable the issuing judge to satisfy himself or herself that the information is more than rumour or gossip")
  5. [↑](Print_version.html#cite_ref-428) R. v. Bui and Do, [2005 BCPC 210](http://canlii.ca/t/1kwsn) (CanLII) at para. 57
  6. [↑](Print_version.html#cite_ref-429) Bui and Do at para. 57
  7. [↑](Print_version.html#cite_ref-430) R. v. Liang, Yeung, Zhu, Zhai, Wen, Zhou, Jiang, Cheung and Xu, [2007 YKTC 18](http://canlii.ca/t/1r3nj) (CanLII)
  8. [↑](Print_version.html#cite_ref-431) ibid.
  9. [↑](Print_version.html#cite_ref-432) Buid and Do at para. 57

### Expert Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-18)]

For expert evidence to be used in an ITO, it must contain details on the expert's qualifications and experience as well as show the methods the expert used to come to their conclusion.[[1]](Print_version.html#cite_note-433)

  1. [↑](Print_version.html#cite_ref-433) Criminal Code s. 487.01, Application of General Warrant, [2002 SKPC 11](http://canlii.ca/t/5j96)  
R. v. Morelli, [2008 SKCA 62](http://canlii.ca/t/1x08k) at para. 122  
R. v. Agensys International Inc. 2004 CanLII 17920 (ON CA), (2004), 187 C.C.C. (3d) 481 at para. 44  


## Frequent Errors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-19)]

### Omissions, mischaracterizations, Material Non Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-20)]

It is improper for the warrant to contain incomplete, misleading or misrepresented information on the investigation.

This can occur where the affiant is deliberately kept out of the investigation and only given favourable information to support the warrant. [[1]](Print_version.html#cite_note-434)

The warrant will typically be invalid if the misstatement or omission was deliberate or a finding of bad faith. [[2]](Print_version.html#cite_note-435) The quashing is necessary to avoid corruption of the process.[[3]](Print_version.html#cite_note-436)

However, where the justice "could have" granted the warrant regardless of the deception, it may still be valid.[[4]](Print_version.html#cite_note-437)

However, at times a poorly drafted and misleading warrant will, on its own, invalidate the warrant.[[5]](Print_version.html#cite_note-438)

  


  1. [↑](Print_version.html#cite_ref-434) e.g. R. v. Morelli at para. 58  
R. v. M(NN) 2007 CanLII 31570 (ON SC), (2007), 223 C.C.C. (3d) 417 (Ont. Sup. Ct. of Jus.) at para. 354 (“... as a straw man affiant apparently deliberately kept in the dark ...”)
  2. [↑](Print_version.html#cite_ref-435) R. v. Melenchuk (1993), 24 B.C.A.C. 97 (BCCA)  
R. v. Donaldson 1990 CanLII 630 (BC CA), (1990), 58 C.C.C. (3d) 294 (B.C.C.A.) - police deliberated withheld information from the JP  
R. v. Sismey 1990 CanLII 1483 (BC CA), (1990), 55 C.C.C.(3d) 281 at p. 285  
R. v. Innocente 1992 CanLII 2449 (NS CA), (1992), 113 N.S.R. (2d) 256 (S.C.)  
R. v. Silvestrone 1991 CanLII 5759 (BC CA), (1991), 66 C.C.C. (3d) 125 (B.C.C.A.) at p. 136  
R. v. Brassard, (1992), 77 C.C.C. (3d) 285 (Sask.Q.B.)  
R. v. Dellapenna (1995), 62 B.C.A.C. 32 (B.C.C.A.)  
R. v. Fletcher 1994 CanLII 4169 (NS SC), (1994), 140 N.S.R. (2d) 254
  3. [↑](Print_version.html#cite_ref-436) R. v. Maton, [2005 BCSC 330](http://canlii.ca/t/1k2jq) (CanLII) at para. 26  
R. v. Morris 1998 CanLII 1344 (NS CA), (1998), 134 C.C.C. (3d) 539 (N.S.C.A.) at para. 44
  4. [↑](Print_version.html#cite_ref-437) R. v. Bisson 1994 CanLII 46 (SCC), (1994), 94 C.C.C. (3d) 94 (S.C.C.) upholding Proulx J.A. in 1994 CanLII 5328 (QC CA), (1994), 87 C.C.C. (3d) 440 (Que.C.A.)
  5. [↑](Print_version.html#cite_ref-438) e.g. R. v. Norris (1993), 35 B.C.A.C. 133 (B.C.C.A.)

### Nexus between Offence Evidence and Premises[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-21)]

The informant must pledge that the items not simply "could" be found but would be found. [[1]](Print_version.html#cite_note-439)

  1. [↑](Print_version.html#cite_ref-439) R. v. Kelly 2010 NBCA 89 at para. 39

### Overbroad Authority[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-22)]

It is essential that the warrant not be overly broad. The description of the targets of the search should not be so vague as to give the police the ability to rummage through the premises. [[1]](Print_version.html#cite_note-440)

  1. [↑](Print_version.html#cite_ref-440) Church of Scientology and The Queen (No. 6), Re, [1987 CanLII 122](http://canlii.ca/t/1npn2) (ON CA): ("The description of what is to be searched for must not be so broad and vague as to give the searching officers carte blanche to rummage through the premises of the target. The things must be described in such a way as to guide the officer or officers carrying out the search and assist them in identifying the object.")

## Special Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-23)]

### Computer Investigations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-24)]

The connection of an IP address with an ISP account can form reasonable grounds to believe that a computer will be present at the address, but will often need something more.[[1]](Print_version.html#cite_note-441)

Where a warrant permits the police to search a residence and seize computers, the police are permitted to complete full forensic analysis on the computer without any additional warrants needed.[[2]](Print_version.html#cite_note-442)

The searching officer may draw the inference upon learning of the download of suspected child pornography that the files may remain on the computer well after download and even where efforts to delete the materials have been made.[[3]](Print_version.html#cite_note-443)

The searching officer may in some cases also rely upon their experience "of individuals who access and possess child pornography on their computers" which tells them that "often these individuals kept images for “long periods of time” and “rarely deleted collections”." [[4]](Print_version.html#cite_note-444)

  1. [↑](Print_version.html#cite_ref-441) see R. v. Weir (2001), 156 C.C.C. (3d) 188 (ABCA): ("While it is possible that the computer may have been at a different location than the billing address, it was not unreasonable to conclude that something as sensitive as child pornography would be kept on a computer in a person’s home.")
  2. [↑](Print_version.html#cite_ref-442) R. v. Ballendine, [2011 BCCA 221](http://canlii.ca/t/fl8xf) (CanLII)
  3. [↑](Print_version.html#cite_ref-443) R. v. Ward, [2012 ONCA 660](http://canlii.ca/t/ft0ft) (CanLII) at para. 114"...extensive technical evidence to the effect that files downloaded by the appellant on the computer could be recovered by police technicians even if the appellant had made efforts to delete those files. This evidence offered some basis for an inference that the prohibited material remained on the computer long after it was downloaded and could be recovered if the police were given access to the computer"
  4. [↑](Print_version.html#cite_ref-444) Ward at para. 115

### Law Offices[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-25)]

A justice of the peace should follow the following principles when considering a search of a law office os that [solicitor-client privilege](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Privilege#Solicitor_Client_Privilege) is protected:[[1]](Print_version.html#cite_note-445)

  1. No search warrant can be issued with regards to documents that are known to be protected by solicitor-client privilege.
  2. Before searching a law office, the investigative authorities must satisfy the issuing justice that there exists no other reasonable alternative to the search.
  3. When allowing a law office to be searched, the issuing justice must be rigorously demanding so to afford maximum protection of solicitor-client confidentiality.
  4. Except when the warrant specifically authorizes the immediate examination, copying and seizure of an identified document, all documents in possession of a lawyer must be sealed before being examined or removed from the lawyer’s possession.
  5. Every effort must be made to contact the lawyer and the client at the time of the execution of the search warrant. Where the lawyer or the client cannot be contacted, a representative of the Bar should be allowed to oversee the sealing and seizure of documents.
  6. The investigative officer executing the warrant should report to the justice of the peace the efforts made to contact all potential privilege holders, who should then be given a reasonable opportunity to assert a claim of privilege and, if that claim is contested, to have the issue judicially decided.
  7. If notification of potential privilege holders is not possible, the lawyer who had custody of the documents seized, or another lawyer appointed either by the Law Society or by the court, should examine the documents to determine whether a claim of privilege should be asserted, and should be given a reasonable opportunity to do so.
  8. The Attorney General may make submissions on the issue of privilege, but should not be permitted to inspect the documents beforehand. The prosecuting authority can only inspect the documents if and when it is determined by a judge that the documents are not privileged.
  9. Where sealed documents are found not to be privileged, they may be used in the normal course of the investigation.
  10. Where documents are found to be privileged, they are to be returned immediately to the holder of the privilege, or to a person designated by the court.

A "law office" includes "any place where privileged documents may reasonably be expected to be located".[[2]](Print_version.html#cite_note-446)

A search warrant of law office must impose conditions to protect potential privilege "as much as possible". Without proper protections the warrant is invalid.[[3]](Print_version.html#cite_note-447)

Section 488.1 concerning search of law offices was found to be unconstitutional.[[4]](Print_version.html#cite_note-448)

  1. [↑](Print_version.html#cite_ref-445) Lavallee, Rackel & Heintz v. Canada 2002 SCC 61 at para. 49
  2. [↑](Print_version.html#cite_ref-446) Festing v. Canada (Attorney General), [2003 BCCA 112](http://canlii.ca/t/5d31) (CanLII) at para. 24
  3. [↑](Print_version.html#cite_ref-447) R. v. Piersanti & Company, [2000 CanLII 17032](http://canlii.ca/t/1fbjv) (ON CA)
  4. [↑](Print_version.html#cite_ref-448) Lavallee, Rackel & Heintz v. Canada (Attorney General); White, Ottenheimer & Baker v. Canada (Attorney General); R. v. Fink, [2002 SCC 61](http://canlii.ca/t/51rj) (CanLII), [2002] 3 SCR 209

## Sealing and Unsealing of Warrants[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-26)]

Once a warrant is executed, it and the ITO must be made available to the public unless the warrant is placed under a sealing order.[[1]](Print_version.html#cite_note-449)

Under s. 487.3(1), an application to seal a warrant and ITO can be made prohibiting disclosure of any information related to the warrant on the basis that access to it would subvert the ends of justice or the information would be put to an improper purpose.

Under s. 487.3(2), set out the basis of how the ends of justice would be subverted.

The applicant must be specific on the grounds of sealing, there must be "particularized grounds". Generalized assertions are not enough.[[2]](Print_version.html#cite_note-450)

Under s. 487.3(4), the sealing order may be varied or terminated.

  1. [↑](Print_version.html#cite_ref-449) Toronto Star Newspaper Ltd. v Ontario, 2005 SCC 41
  2. [↑](Print_version.html#cite_ref-450) Toronto Star v Ontario, 2005 SCC 41 at 36 to 42

### Vetting Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-27)]

Where unsealing an unvetted ITO, the court should follow the procedure set out in Garofoli:[[1]](Print_version.html#cite_note-451)

  1. Upon opening of the packet, if the Crown objects to disclosure of any of the material, an application should be made by the Crown suggesting the nature of the matters to be edited and the basis therefor. Only Crown counsel will have the affidavit at this point.
  2. The trial judge should then edit the affidavit as proposed by Crown counsel and furnish a copy as edited to counsel for the accused. Submissions should then be entertained from counsel for the accused. If the trial judge is of the view that counsel for the accused will not be able to appreciate the nature of the deletions from the submissions of Crown counsel and the edited affidavit, a form of judicial summary as to the general nature of the deletions should be provided.
  3. After hearing counsel for the accused and reply from the Crown, the trial judge should make a final determination as to editing, bearing in mind that editing is to be kept to a minimum and applying the factors listed above.
  4. After the determination has been made in (3), the packet material should be provided to the accused.
  5. If the Crown can support the authorization on the basis of the material as edited, the authorization is confirmed.
  6. If, however, the editing renders the authorization insupportable, then the Crown may apply to have the trial judge consider so much of the excised material as is necessary to support the authorization. The trial judge should accede to such a request only if satisfied that the accused is sufficiently aware of the nature of the excised material to challenge it in argument or by evidence. In this regard, a judicial summary of the excised material should be provided if it will fulfill that function. It goes without saying that if the Crown is dissatisfied with the extent of disclosure and is of the view that the public interest will be prejudiced, it can withdraw tender of the wiretap evidence.

  1. [↑](Print_version.html#cite_ref-451) R. v. Garofoli, [1990 CanLII 52](http://canlii.ca/t/1fss5) (SCC), [1990] 2 SCR 1421

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-28)]

  * [Execution of Warrants](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches/Execution)
  * Specific Types of Warrant 
    * [General Warrants](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants)
    * [Bodily Samples](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples) (including s.256, s. 487.05, s. 487.091)
    * [Wiretaps](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps)
    * [Tracking Warrant](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Tracking_Warrant) (492.1)
    * [CDSA Warrants](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/CDSA_Warrants)
    * [Foreign Warrants](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants)
    * [Telewarrants](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Telewarrants)
    * [Production Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches/Production_Orders)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches&action=edit&section=T-29)]

  * [Case law](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches)
  * [Seizure of Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property)
  * [Search Warrant Chart](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appendix/Search_Warrant_Chart)

# Search and Seizure/Bodily Samples[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-1)]

Bodily samples cannot be taken without a warrant where the subject does not consent.[[1]](Print_version.html#cite_note-452)

There are several methods of obtaining bodily samples:

  * general warrant (s.487);
  * DNA Sample (s.487.05);
  * blood sample demand (s.254(3));
  * DRE blood sample (s.254(3.4));
  * blood sample warrant (s.256)

A bodily sample can also be obtained by consent.[[2]](Print_version.html#cite_note-453)

  1. [↑](Print_version.html#cite_ref-452) R. v. Tomaso, (1989), 70 CR (3d) 152 (Ont. CA)
  2. [↑](Print_version.html#cite_ref-453) See [Canadian Criminal Procedure and Practice/Search and Seizure/Warrantless Searches/Consent Search](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search)

## DNA Sample (s.487.05)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-2)]

> **Information for warrant to take bodily substances for forensic DNA analysis**  
487.05 (1) A provincial court judge who on ex parte application made in Form 5.01 is satisfied by information on oath that there are reasonable grounds to believe
> 
>     (a) that a designated offence has been committed,
>     (b) that a bodily substance has been found or obtained 
> 
>     (i) at the place where the offence was committed,
>     (ii) on or within the body of the victim of the offence,
>     (iii) on anything worn or carried by the victim at the time when the offence was committed, or
>     (iv) on or within the body of any person or thing or at any place associated with the commission of the offence,
>     (c) that a person was a party to the offence, and
>     (d) that forensic DNA analysis of a bodily substance from the person will provide evidence about whether the bodily substance referred to in paragraph (b) was from that person and who is satisfied that it is in the best interests of the administration of justice to do so may issue a warrant in Form 5.02 authorizing the taking, from that person, for the purpose of forensic DNA analysis, of any number of samples of one or more bodily substances that is reasonably required for that purpose, by means of the investigative procedures described in subsection 487.06(1).
> 
> **Criteria**  
(2) In considering whether to issue the warrant, the provincial court judge shall have regard to all relevant matters, including
> 
>     (a) the nature of the designated offence and the circumstances of its commission; and
>     (b) whether there is 
> 
>     (i) a peace officer who is able, by virtue of training or experience, to take samples of bodily substances from the person, by means of the investigative procedures described in subsection 487.06(1), or
>     (ii) another person who is able, by virtue of training or experience, to take, under the direction of a peace officer, samples of bodily substances from the person, by means of those investigative procedures.
> **Telewarrant**  
(3) Where a peace officer believes that it would be impracticable to appear personally before a judge to make an application for a warrant under this section, a warrant may be issued under this section on an information submitted by telephone or other means of telecommunication and, for that purpose, section 487.1 applies, with such modifications as the circumstances require, to the warrant. 
> 
> 1995, c. 27, s. 1; 1997, c. 18, s. 44; 1998, c. 37, s. 16; 2005, c. 25, s. 2(F).
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.05)

This provision is only one of several ways to seize an item for the purpose of obtaining DNA. An item that contains a bodily substance can likewise be obtained through other means such as a warrant under s.487.[[1]](Print_version.html#cite_note-454)

This section authorizing the taking of the sample is constitutional. [[2]](Print_version.html#cite_note-455)

**Validity**  
The ITO must contain sufficient details to be valid.[[3]](Print_version.html#cite_note-456)

Basis for warrant:

  * the applicable designated offence that is being investigated (s.487.04)
  * belief that a bodily substance was found or obtained at the scene
  * belief that accused was party to the offence

The warrant must include:

  * appropriate terms and conditions of sampling (s. 487.06(2)
  * special requirements must comply with s. 487.07

**Execution of the warrant**  
The sample must be taken by a peace officer with the necessary training to take bodily samples. The peace officers are permitted to use reasonable force to extract the sample if the accused resists or refuses to submit to the taking of the sample.

**Use of DNA**  
The sample may only be used with respect to the offence under investigation.[s. 487.08]

  1. [↑](Print_version.html#cite_ref-454) R. v. Kaba 2008 QCCA 116; R. v. Gettin ,[2003] OJ No. 4758 (Ont. CA.) R. v. Dofer ,[1996] BCJ No. 332 (BCCA).
  2. [↑](Print_version.html#cite_ref-455) R. v. Rodgers, [2006 SCC 15](http://canlii.ca/t/1n3br), [2006] 1 SCR 554 at para. 5
  3. [↑](Print_version.html#cite_ref-456) R. v. Brighteyes, 1998 3 WWR 276 [[34]](http://www.canlii.org/en/ab/abqb/doc/1997/1997canlii14864/1997canlii14864.html)

## Blood sample demand (s.254 (3))[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-3)]

> 254.
> 
> ...
> 
> **Samples of breath or blood**  
(3) If a peace officer has reasonable grounds to believe that a person is committing, or at any time within the preceding three hours has committed, an offence under section 253 as a result of the consumption of alcohol, the peace officer may, by demand made as soon as practicable, require the person
> 
>     (a) to provide, as soon as practicable, 
> 
>     (i) samples of breath that, in a qualified technician’s opinion, will enable a proper analysis to be made to determine the concentration, if any, of alcohol in the person’s blood, or
>     (ii) if the peace officer has reasonable grounds to believe that, because of their physical condition, the person may be incapable of providing a sample of breath or it would be impracticable to obtain a sample of breath, samples of blood that, in the opinion of the qualified medical practitioner or qualified technician taking the samples, will enable a proper analysis to be made to determine the concentration, if any, of alcohol in the person’s blood; and
>     (b) if necessary, to accompany the peace officer for that purpose.
> 
> ...
> 
> **Condition**  
(4) Samples of blood may be taken from a person under subsection (3) or (3.4) only by or under the direction of a qualified medical practitioner who is satisfied that taking the samples would not endanger the person’s life or health.
> 
> ... R.S., 1985, c. C-46, s. 254; R.S., 1985, c. 27 (1st Supp.), s. 36, c. 1 (4th Supp.), ss. 14, 18(F), c. 32 (4th Supp.), s. 60; 1999, c. 32, s. 2(Preamble); 2008, c. 6, s. 19.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec254)

If the investigating officer has reasonable grounds to believe that the person is impaired by drugs and could be charged for operation or control of a vehicle while impaired, they may make a demand for either urine sample or blood sample. A blood sample must be done by a medical practitioner.[[1]](Print_version.html#cite_note-457) However, a urine or oral fluid sample seems to be taken by any individual.

  1. [↑](Print_version.html#cite_ref-457) s. 254(4)

## DRE Blood sample demand (s.254 (3.4))[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-4)]

> s.254...  
**Samples of bodily substances**  
(3.4) If, on completion of the evaluation, the evaluating officer has reasonable grounds to believe, based on the evaluation, that the person’s ability to operate a motor vehicle, a vessel, an aircraft or railway equipment is impaired by a drug or by a combination of alcohol and a drug, the evaluating officer may, by demand made as soon as practicable, require the person to provide, as soon as practicable,
> 
>     (a) a sample of either oral fluid or urine that, in the evaluating officer’s opinion, will enable a proper analysis to be made to determine whether the person has a drug in their body; or
>     (b) samples of blood that, in the opinion of the qualified medical practitioner or qualified technician taking the samples, will enable a proper analysis to be made to determine whether the person has a drug in their body.
> 
> **Condition**  
(4) Samples of blood may be taken from a person under subsection (3) or (3.4) only by or under the direction of a qualified medical practitioner who is satisfied that taking the samples would not endanger the person’s life or health.
> 
> ... R.S., 1985, c. C-46, s. 254; R.S., 1985, c. 27 (1st Supp.), s. 36, c. 1 (4th Supp.), ss. 14, 18(F), c. 32 (4th Supp.), s. 60; 1999, c. 32, s. 2(Preamble); 2008, c. 6, s. 19.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec254)

See also [Canadian_Criminal_Law/Offences/Impaired_Driving_and_Over_80/Proof_of_Impairment#Proof_of_Impairment_by_Drugs](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Impaired_Driving_and_Over_80/Proof_of_Impairment#Proof_of_Impairment_by_Drugs)

## Blood sample warrant (s. 256)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-5)]

> **Warrants to obtain blood samples**  
256\. (1) Subject to subsection (2), if a justice is satisfied, on an information on oath in Form 1 or on an information on oath submitted to the justice under section 487.1 by telephone or other means of telecommunication, that there are reasonable grounds to believe that
> 
>     (a) a person has, within the preceding four hours, committed, as a result of the consumption of alcohol or a drug, an offence under section 253 and the person was involved in an accident resulting in the death of another person or in bodily harm to himself or herself or to any other person, and
>     (b) a qualified medical practitioner is of the opinion that 
> 
>     (i) by reason of any physical or mental condition of the person that resulted from the consumption of alcohol or a drug, the accident or any other occurrence related to or resulting from the accident, the person is unable to consent to the taking of samples of his or her blood, and
>     (ii) the taking of samples of blood from the person would not endanger the life or health of the person, the justice may issue a warrant authorizing a peace officer to require a qualified medical practitioner to take, or to cause to be taken by a qualified technician under the direction of the qualified medical practitioner, the samples of the blood of the person that in the opinion of the person taking the samples are necessary to enable a proper analysis to be made in order to determine the concentration, if any, of alcohol or drugs in the person’s blood.
> 
> **Form**  
(2) A warrant issued pursuant to subsection (1) may be in Form 5 or 5.1 varied to suit the case.
> 
> **Information on oath**  
(3) Notwithstanding paragraphs 487.1(4)(b) and (c), an information on oath submitted by telephone or other means of telecommunication for the purposes of this section shall include, instead of the statements referred to in those paragraphs, a statement setting out the offence alleged to have been committed and identifying the person from whom blood samples are to be taken.
> 
> **Duration of warrant**  
(4) Samples of blood may be taken from a person pursuant to a warrant issued pursuant to subsection (1) only during such time as a qualified medical practitioner is satisfied that the conditions referred to in subparagraphs (1)(b)(i) and (ii) continue to exist in respect of that person.
> 
> **Copy or facsimile to person**  
(5) When a warrant issued under subsection (1) is executed, the peace officer shall, as soon as practicable, give a copy of it — or, in the case of a warrant issued by telephone or other means of telecommunication, a facsimile — to the person from whom the blood samples are taken.
> 
> R.S., 1985, c. C-46, s. 256; R.S., 1985, c. 27 (1st Supp.), s. 36; 1992, c. 1, s. 58; 1994, c. 44, s. 13; 2000, c. 25, s. 3; 2008, c. 6, s. 22.[CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec256)

This method of obtaining a blood sample requires the following :

  1. the application be made to a JP within _4 hours_ of an offence under s. 253
  2. the offence involved bodily harm or death to the accused or another person
  3. a qualified medical practitioner is of the opinion that: 
    1. the person is unable to consent to the taking of a sample
    2. the taking of the sample would not endanger the life or health of the person

This method is not frequently seen as the requirements under s. 487 are simpler.

## Body Print Impression Warrant (487.092)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-6)]

Section 487.092 was enacted on June 16, 1997 through Bill C-17.

> **Information for impression warrant**  
487.092 (1) A justice may issue a warrant in writing authorizing a peace officer to do any thing, or cause any thing to be done under the direction of the peace officer, described in the warrant in order to obtain any handprint, fingerprint, footprint, foot impression, teeth impression or other print or impression of the body or any part of the body in respect of a person if the justice is satisfied
> 
>     (a) by information on oath in writing that there are reasonable grounds to believe that an offence against this or any other Act of Parliament has been committed and that information concerning the offence will be obtained by the print or impression; and
>     (b) that it is in the best interests of the administration of justice to issue the warrant.
> 
> **Search or seizure to be reasonable**  
(2) A warrant issued under subsection (1) shall contain such terms and conditions as the justice considers advisable to ensure that any search or seizure authorized by the warrant is reasonable in the circumstances.
> 
> ...
> 
> 1997, c. 18, s. 45; 1998, c. 37, s. 23.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.092)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Bodily_Samples&action=edit&section=T-7)]

  


# Search and Seizure/Wiretaps[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-1)]

Wiretaps are governed by Part VI of the Criminal Code.

There are three categories of wiretap:

  * a general wiretap authorized under s. 185 and 186.
  * a wiretap with consent under s. 184.2
  * an emergency wiretap under s. 184.4 and 188

The consent wiretap and emergency wiretap does not require full judicial authorization.

A wilful interception of "a private communication" without authorization is a indictable offence under s. 184 with a maximum penalty of 5 years. This offence does not include situations where one of the parties consents (s.184(2)).

### Private Communication[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-2)]

Under s.183, a "private communication" refers to any "oral communication or any telecommunication, that is made by an originator thereof who is in Canada or is intended by the originator to be received by a person who is in Canada and that is made under circumstances where the originator expects that it will not be intercepted by any other person other than the person intended by the originator to receive it".

The following has been found not to be a "private communication":

  * Electronic signals captured by a digital number recorder (DNR)[[1]](Print_version.html#cite_note-458)
  * a prayer to God as God does not meet the legal definition of a person.[[2]](Print_version.html#cite_note-459)

### Interception[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-3)]

The interception must be done by way of an "electromagnetic, acoustic, mechanical or other device" (s.183). Consequently, simply to use one's human senses without technological aids does not invoke Part VI.[[3]](Print_version.html#cite_note-460)

## Grounds for Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-4)]

Wiretaps are investigative tools. All that is needed is a reasonble belief to grant the authorization. The fact that the belief turns out to be false is not relevant to the application.[[4]](Print_version.html#cite_note-461)

Before a Judge can grant the wiretap warrant, he must be satisifed that the applicant has "reasonable and probable grounds to believe that a specific offence has been, is being, or is about to be committed."[[5]](Print_version.html#cite_note-462) The police must also "have reasonable and probable grounds to think that the target of the authorization will in fact be at a particular place, or be communicating in a particular manner" that will give evidence towards to investigation.[[6]](Print_version.html#cite_note-463) A fishing expidition is not a proper basis to authorize the wiretap.[[7]](Print_version.html#cite_note-464)

Where defence counsel has demonstrated sufficient basis, the court can order the affiant to be subject to cross-examination on the affidavit authorizing the warrant.[[8]](Print_version.html#cite_note-465)

## Sealing of Authorization[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-5)]

## Unsealing of Authorization[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-6)]

Defence counsel may apply to the court under s. 187(1.4) to unseal to authorization. The section states:

> (1.4) A judge or provincial court judge before whom a trial is to be held and who has jurisdiction in the province in which an authorization was given may order that the sealed packet be opened and its contents removed for the purpose of copying and examining the documents contained in the packet if
> 
>     (a) any matter relevant to the authorization or any evidence obtained pursuant to the authorization is in issue in the trial; and
>     (b) the accused applies for such an order for the purpose of consulting the documents to prepare for trial.
> 
>   

> 
> – [[53]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec187)

## Review of Authorization[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-7)]

The review of a wire tap is the same standard as a review of any warrant.

The test to be applied on the review of a wiretap warrant is whether there were "reasonable grounds to believe that the interception of communications may assist in the investigation of the offence.[[9]](Print_version.html#cite_note-466) It is not a question of whether there is reasonable grounds to lay changes.[[10]](Print_version.html#cite_note-467)

An affiant should be not only full and frank but also ‘clear and concise’”[[11]](Print_version.html#cite_note-468)

## Interception with Consent[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-8)]

Under 184.2, a person may intercept any private communication where one party consents to the interception.

> 184.2 (1) A person may intercept, by means of any electro-magnetic, acoustic, mechanical or other device, a private communication where either the originator of the private communication or the person intended by the originator to receive it has consented to the interception and an authorization has been obtained pursuant to subsection (3).
> 
> ...
> 
> (3) An authorization may be given under this section if the judge to whom the application is made is satisfied that
> 
>     (a) there are reasonable grounds to believe that an offence against this or any other Act of Parliament has been or will be committed;
>     (b) either the originator of the private communication or the person intended by the originator to receive it has consented to the interception; and
>     (c) there are reasonable grounds to believe that information concerning the offence referred to in paragraph (a) will be obtained through the interception sought.
> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec184.2)

This section was added to the Code in 1993 in response to the decision of R v Duarte [1990] 1 SCR 30 which held that there can be a violation of s.8 when an interception occurs with the consent of one of the parties.

Section 184.2 does not violate s. 8 of the Charter for not requiring "investigative necessity" before authorizing a search.[[12]](Print_version.html#cite_note-469)

### Prevent Bodily Harm[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-9)]

Under s. 184.1 a peace officer may intercept a private communication without judicial authorization:

> **Interception to prevent bodily harm**  
184.1 (1) An agent of the state may intercept, by means of any electro-magnetic, acoustic, mechanical or other device, a private communication if
> 
>     (a) either the originator of the private communication or the person intended by the originator to receive it has consented to the interception;
>     (b) the agent of the state believes on reasonable grounds that there is a risk of bodily harm to the person who consented to the interception; and
>     (c) the purpose of the interception is to prevent the bodily harm.
> 
> **Admissibility of intercepted communication**  
(2) The contents of a private communication that is obtained from an interception pursuant to subsection (1) are inadmissible as evidence except for the purposes of proceedings in which actual, attempted or threatened bodily harm is alleged, including proceedings in respect of an application for an authorization under this Part or in respect of a search warrant or a warrant for the arrest of any person.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec184.1)

This requires that:

  1. consent of one of the parties to the interception;
  2. the interceptor reasonably believes there is a risk of bodily harm to the consenting party;
  3. the purpose of the interception is to prevent bodily harm (such as to an undercover peace officer making a drug buy).

Wiretaps under 184.2 do not require the affiant to establish "investigative necessity" for the wiretap.

## Emergency Wiretap[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-10)]

Section 164.4 permits warrantless wiretaps in exceptional circumstances. The section states:

> **Interception in exceptional circumstances**  
184.4 A peace officer may intercept, by means of any electro-magnetic, acoustic, mechanical or other device, a private communication where
> 
>     (a) the peace officer believes on reasonable grounds that the urgency of the situation is such that an authorization could not, with reasonable diligence, be obtained under any other provision of this Part;
>     (b) the peace officer believes on reasonable grounds that such an interception is immediately necessary to prevent an unlawful act that would cause serious harm to any person or to property; and
>     (c) either the originator of the private communication or the person intended by the originator to receive it is the person who would perform the act that is likely to cause the harm or is the victim, or intended victim, of the harm.
> 
> 1993, c. 40, s. 4.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec184.4)

This section, in its current form, was determined to be unconstitutional due to a lack of safeguards, including a lack of a notice requirement, reporting requirements to Parliament, record-keeping requirement; and restrictions on the use that can be made of the interceptions.[[13]](Print_version.html#cite_note-470)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Wiretaps&action=edit&section=T-11)]

  1. [↑](Print_version.html#cite_ref-458) R. v. Fegan (1993), 80 C.C.C. (3d) 356
  2. [↑](Print_version.html#cite_ref-459) R. v. Davie (1980), 54 C.C.C. (2d) 216
  3. [↑](Print_version.html#cite_ref-460) R. v. Beckner (1978), 43 C.C.C. (2d) 356 -- officer overhears conversation between accused and a friend; R. v. Kopinsky, [1985 CanLII 1191](http://canlii.ca/t/27t7j) (AB QB)
  4. [↑](Print_version.html#cite_ref-461) R. v. Pires; R. v. Lising [2005 SCC 66](http://canlii.ca/t/1m021) at [para 41](http://canlii.ca/t/1m021#par41)
  5. [↑](Print_version.html#cite_ref-462) R. v. Madrid, 1994 BCCA _, [1994] BCJ No 1786 at 82
  6. [↑](Print_version.html#cite_ref-463) R. v Thompson, [1990 CanLII 43](http://canlii.ca/t/1fsrk) (SCC), [1990] 2 SCR 1111 at p. 1139
  7. [↑](Print_version.html#cite_ref-464) see R. v. Finlay and Grelette [1985 CanLII 117](http://canlii.ca/t/1npmr) (ON CA), (1985), 52 O.R. (2d) 632 (C.A.)
  8. [↑](Print_version.html#cite_ref-465) R. v. Della Penna, [2012 BCCA 3](http://canlii.ca/t/fpl3t) at [para 26](http://canlii.ca/t/fpl3t#par26)
  9. [↑](Print_version.html#cite_ref-466) R. v. Finlay and Grellette 1985 CanLII 117 (ON CA), 1985 CanLII 117 (ON C.A.) (1985), 52 O.R. (2d) 632 (C.A.), at p. 656; R. v. Schreinert 2002 CanLII 44932 (ON CA), 2002 CanLII 44932 (ON C.A.) (2002), 165 C.C.C. (3d) 295 (Ont. C.A.), at para. 43, R. v. Ebanks, 2009 ONCA 851 at 33
  10. [↑](Print_version.html#cite_ref-467) Supra
  11. [↑](Print_version.html#cite_ref-468) R. v. Araujo, 2000 SCC 65 (CanLII), 2000 SCC 65, [2000] 2 S.C.R. 992 at para. 46
  12. [↑](Print_version.html#cite_ref-469) R. v. Largie [2010 ONCA 548](http://canlii.ca/t/2c14p) (CanLII) under appeal to SCC
  13. [↑](Print_version.html#cite_ref-470) R. v. Tse, 2012 SCC 16

  


# Search and Seizure/CDSA Warrants[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/CDSA_Warrants&action=edit&section=T-1)]

Section 11(1) of the Controlled Drugs and Substances Act concerns warrants relating to drug offences:

> 11\. (1) A justice who, on ex parte application, is satisfied by information on oath that there are reasonable grounds to believe that:
> 
>     (a) a controlled substance or precursor in respect of which this Act has been contravened,
>     (b) anything in which a controlled substance or precursor referred to in paragraph (a) is contained or concealed,
>     (c) fence-related property, or
>     (d) anything that will afford evidence in respect of an offence under this Act.
> 
>   

> 
> – [CDSA](http://canlii.ca/t/lgn8)

A CDSA search warrant can be issued by a justice of the peace, provincial court judge or superior court judge.[[1]](Print_version.html#cite_note-471)

The requirements for a CDSA search warrant are the same as those under a General Warrant.[[2]](Print_version.html#cite_note-472)

  1. [↑](Print_version.html#cite_ref-471) R. v. Agecoutay, [2009 SKCA 100](http://canlii.ca/t/25hdt) at para. 15
  2. [↑](Print_version.html#cite_ref-472) R. v. Law, [2002 BCCA 594](http://canlii.ca/t/5fmb) at para. 6

  


# Search and Seizure/Foreign Warrants[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Search warrants coming from outside of the province[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants&action=edit&section=T-1)]

Section 487.03 governs the execution of warrants from outside of the province:

> **Execution in another province**  
487.03 (1) If a warrant is issued under section 487.01, 487.05 or 492.1 or subsection 492.2(1) in one province, a judge or justice, as the case may be, in another province may, on application, endorse the warrant if it may reasonably be expected that it is to be executed in the other province and that its execution would require entry into or on the property of any person, or would require that an order be made under section 487.02 with respect to any person, in that province.
> 
> **Endorsement**  
(1.1) The endorsement may be made on the original of the warrant or on a copy of the warrant that is transmitted by any means of telecommunication and, once endorsed, the warrant has the same force in the other province as though it had originally been issued there.
> 
> (2) [Repealed, 2007, c. 22, s. 7]
> 
> 1993, c. 40, s. 15; 1995, c. 27, s. 1; 2000, c. 10, s. 13; 2007, c. 22, s. 7; 2008, c. 18, s. 12.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.03)

## Search warrants coming from outside of Canada[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants&action=edit&section=T-2)]

Sections 10 to 16 of the The Mutual Legal Assistance in Criminal Matters Act, [R.S.C. 1985, c. 30 (4th Supp.)](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-30-4th-supp/latest/rsc-1985-c-30-4th-supp.html) govern the use of foreign search warrants applicable to matters within the jurisdiction of Canada.

## Search warrants going outside of Canada[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants&action=edit&section=T-3)]

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants&action=edit&section=T-4)]

  * [Mutual Legal Assistance Treaty (MLAT) between the US and Canada](http://www.lexum.com/ca_us/en/cts.1990.19.en.html)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Foreign_Warrants&action=edit&section=T-5)]

  


# Search and Seizure/General Warrants[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants&action=edit&section=T-1)]

Section 487(1) provides police with a general power to "use any device or investigative technique, or procedure" or otherwise do any thing described in the warrant which would constitute an unreasonable search or seizure.

The section states:

> 487.01(1) A provincial court judge…may issue a warrant in writing authorizing a peace officer to, subject to this section, use any device or investigative technique or procedure or do any thing described in the warrant that would, if not authorized, constitute an unreasonable search or seizure in respect of a person or a person’s property if
> 
>     (a) the judge is satisfied by information on oath in writing that there are reasonable grounds to believe that an offence against this or any other Act of Parliament has been or will be committed and that information concerning the offence will be obtained through the use of the technique, procedure or device or the doing of the thing;
>     (b) the judge is satisfied that it is in the best interests of the administration of justice to issue the warrant; and
>     (c) there is no other provision in this or any other Act of Parliament that would provide for a warrant, authorization or order permitting the technique, procedure or device to be used or the thing to be done.
> 
> (2) Nothing in subsection (1) shall be construed as to permit interference with the bodily integrity of any person.
> 
> (3) A warrant issued under subsection (1) shall contain such terms and conditions as the judge considers advisable to ensure that any search or seizure authorized by the warrant is reasonable in the circumstances.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.01)

A warrant under this section requires:[[1]](Print_version.html#cite_note-473)

  1. reasonable and probable grounds that, 
    1. offence has been or will be committed or
    2. information concerning the offence will be obtained; and,
  2. it is in the best interests of the administration of justice; and,
  3. there is no other statutory authority permitting peace officers to do this search or seizure

  1. [↑](Print_version.html#cite_ref-473) see also R. v. Ha, [2009 ONCA 340](http://canlii.ca/t/23b68)

## Purpose of Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants&action=edit&section=T-2)]

A general warrant can only be used to seize tangible objects. This means that intangibles, such as money, are not applicable.[[1]](Print_version.html#cite_note-474)

Such a warrant however cannot be used to search a person or seize anything on a person.

Finger prints cannot be taken with a 486 warrant.[[2]](Print_version.html#cite_note-475)

A bullet found inside an accused person cannot be included.[[3]](Print_version.html#cite_note-476)

  1. [↑](Print_version.html#cite_ref-474) R v Bank du Royal Du Canada (1985) 18 C.C.C. (3d) 44
  2. [↑](Print_version.html#cite_ref-475) R. c. Bourque, [1995 CanLII 4764](http://canlii.ca/t/1nkc7) (QC CA)
  3. [↑](Print_version.html#cite_ref-476) R v Laporte (1972) 8 C.C.C. (2d) 343

## Manner of Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants&action=edit&section=T-3)]

A 487 warrant may authorize an "covert" search. [[1]](Print_version.html#cite_note-477)

  


### Video surveillance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants&action=edit&section=T-4)]

A warrant is only needed when video surveillance is set-up in such a way that it collects information for which there is a reasonable expectation of privacy. So a camera in a public place such as a street does not need a warrant,[[2]](Print_version.html#cite_note-478) but a camera filming the inside of a dwelling would need one.

A video camera requires a warrant where filming:

  * a hotel room [[3]](Print_version.html#cite_note-479)
  * a washroom stall [[4]](Print_version.html#cite_note-480)

  1. [↑](Print_version.html#cite_ref-477) R. v. Ha, [2009 ONCA 340](http://canlii.ca/t/23b68)
  2. [↑](Print_version.html#cite_ref-478) R. v. Esfahanian Ershad, [1991 CanLII 281](http://canlii.ca/t/1cqqr) (BC SC)  
R. v. Bryntwick, [2002 CanLII 10941](http://canlii.ca/t/1cnm0) (ON SC)
  3. [↑](Print_version.html#cite_ref-479) R. v. Wong, [1990] 3 S.C.R. 36
  4. [↑](Print_version.html#cite_ref-480) R v Silva, 1995 CanLII 7242 (ON SC)

### Lawyer's Office[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/General_Warrants&action=edit&section=T-5)]

When searching a lawyer's office, the police have a duty to minimize which requires:[[1]](Print_version.html#cite_note-481)

  1. that a search not be authorized unless there is no other reasonable solution and,
  2. that the authorization be given in terms that, to the extent possible, limit the impairment of solicitor-client privilege

  


# Search and Seizure/Telewarrants[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Telewarrants&action=edit&section=T-1)]

A telewarrant is a warrant that is requested by telephone or other means of telecommunication to a designated justice. This circumvents the requirement that a peace officer appear in person before a justice of the peace to obtain the warrant.

Under s. 487.1(1), a peace officer may only apply for a telewarrant where he believes an indictable offence has been committed and it would be “impractical to appear personally”.[[2]](Print_version.html#cite_note-482)

The applicant must be a "peace officer" as defined in s. 2 of the Code.[[3]](Print_version.html#cite_note-483)

The information sworn to must include:[[4]](Print_version.html#cite_note-484)

  1. description of the circumstances that make it impractical for the informant to appear personally to obtain the warrant;
  2. a description of the indictable offence that is alleged
  3. a description of the place to be searched;
  4. a description of the item(s) to be seized;
  5. the grounds for believing t hat the item(s) will be located within the place;
  6. details on any prior applications with respect to the same matter.

  1. [↑](Print_version.html#cite_ref-481) Maranda v. Richer, [2003 SCC 67](http://canlii.ca/t/1rz) (CanLII), [2003] 3 SCR 193
  2. [↑](Print_version.html#cite_ref-482) [s.487.1(1)](http://canlii.ca/t/7vf2#sec487.1)
  3. [↑](Print_version.html#cite_ref-483) Timberwolf Log Trading Ltd. v. British Columbia, [2011 BCSC 142](http://canlii.ca/t/2fmmh) (CanLII) - applicant not a peace officer  

  4. [↑](Print_version.html#cite_ref-484) [487.1(4)](http://canlii.ca/t/7vf2#sec487.1)

## Impracticable to Attend in Person[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Telewarrants&action=edit&section=T-2)]

The applicant must state the reasons it is "impracticable" to make an application in person before either a judge or justice of the peace. This includes what reasonable efforts were made to make personal appearance possible.[[1]](Print_version.html#cite_note-485)

It is often expected that the applicant will verify that a local JP is not available.[[2]](Print_version.html#cite_note-486) It has been suggested that where there is a "possibility" that a judge may be available, then the applicant should make an enquiry.[[3]](Print_version.html#cite_note-487)

Where the applicant does not state the reasons or efforts made, it may invalidate the warrant.[[4]](Print_version.html#cite_note-488) This will be seen, for example, where the police are found to be hiding the real reason of timeliness in seeking a nighttime warrant.[[5]](Print_version.html#cite_note-489)

The term "practicable" in this context "means something less than impossible and imports a large measure of practicality, what may be termed common sense."[[6]](Print_version.html#cite_note-490)

  1. [↑](Print_version.html#cite_ref-485) e.g. R. v. Adansi, [2008 ONCJ 144](http://canlii.ca/t/1wbr0) (CanLII) at para. 74  
R. v. Breland, [2000 ABPC 110](http://canlii.ca/t/5r07) (CanLII)  
R. v. Brick (Alta. Q.B.) 98 A.R. 208  
R. v. Sattelberger, [1995] 105 Man. R. (2d) 252 (Q.B.) at para. 36  
R. v. Le, [2009 BCCA 14](http://canlii.ca/t/228td) (CanLII) - failed to give reason for not checking on avail. of JP
  2. [↑](Print_version.html#cite_ref-486) R. v. Mui Thi Nguyen, [2006 BCPC 398](http://canlii.ca/t/1p5rw) (CanLII) at para. 97
  3. [↑](Print_version.html#cite_ref-487) R. v. Koprowski, [2005 BCPC 657](http://canlii.ca/t/1mql3) (CanLII) at para. 13
  4. [↑](Print_version.html#cite_ref-488) e.g. See R. v. Ling, [2009 BCCA 70](http://canlii.ca/t/22jfr) (CanLII)  
Adansi -- warrant invalidated  
Ling 2009 BCCA 70 at para. 26, 27 Le at para. 26  

  5. [↑](Print_version.html#cite_ref-489) e.g. Le at para. 26
  6. [↑](Print_version.html#cite_ref-490) R. v. Erickson, [2003 BCCA 693](http://canlii.ca/t/1g5mg) (CanLII) at para. 33  


## Accepted Reasons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Telewarrants&action=edit&section=T-3)]

Acceptable reasons for applying for a telewarrant:

  * distance to reach the Judge or Justice of the Peace;[[1]](Print_version.html#cite_note-491)
  * application to be made outside court hours;[[2]](Print_version.html#cite_note-492)
  * short time limit to obtain the warrant. (e.g. when 4 hour time limit on blood sample)[[3]](Print_version.html#cite_note-493)

  1. [↑](Print_version.html#cite_ref-491) R. v. Martens, [2004 BCSC 1450](http://canlii.ca/t/1j2gw) (CanLII) at para. 221  
R. v. Phillips, [2004 BCSC 1797](http://canlii.ca/t/1kf1g) (CanLII) at para. 24  

  2. [↑](Print_version.html#cite_ref-492) R. v. Bui and Trac, [2004 BCPC 277](http://canlii.ca/t/1hq82) (CanLII) at para. 20  
Martens at para. 221  
R. v. Murphy, [2010 ONSC 595](http://canlii.ca/t/27nmj) (CanLII) at para. 23-39  

  3. [↑](Print_version.html#cite_ref-493) R. v. Pedersen, [2004 BCCA 64](http://canlii.ca/t/1gdxb) (CanLII) at para. 23  


# IV - Remedy, Waiver and Other Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=7)]

# Exclusion of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-1)]

Where there has been a finding of a breach of any right under the _Charter_, the applicant may apply to have evidence excluded from the trial under s. 24(2) of the _Charter_ which states:

> **Exclusion of evidence bringing administration of justice into disrepute**  
(2) Where, in proceedings under subsection (1), a court concludes that evidence was obtained in a manner that infringed or denied any rights or freedoms guaranteed by this Charter, the evidence shall be excluded if it is established that, having regard to all the circumstances, the admission of it in the proceedings would bring the administration of justice into disrepute.
> 
>   


The Supreme Court of Canada made a complete revision of the analytical approach in R. v. Grant, 2009 SCC 32[[1]](Print_version.html#cite_note-120). Under Grant, there are "three avenues of inquiry" that a court must consider:[[2]](Print_version.html#cite_note-121)

“

...when faced with an application for exclusion under s. 24(2), a court must assess and balance the effect of admitting the evidence on society's confidence in the justice system having regard to:

    (1) the seriousness of the Charter-infringing state conduct (admission may send the message the justice system condones serious state misconduct),
    (2) the impact of the breach on the Charter-protected interests of the accused (admission may send the message that individual rights count for little), and
    (3) society's interest in the adjudication of the case on its merits.  


The court's role on a s. 24(2) application is to balance the assessments under each of these lines of inquiry to determine whether, considering all the circumstances, admission of the evidence would bring the administration of justice into disrepute...

”

In balancing these factors, the judge should consider all the circumstances of the case.[[3]](Print_version.html#cite_note-122)

This analysis should focus on the "long-term, prospective and societal" effect of the violations.[[4]](Print_version.html#cite_note-123)

The analysis should be from an objective view and ask "whether a reasonable person, informed of all relevant circumstances and the values underlying the Charter, would conclude that the admission of the evidence would bring the administration of justice into disrepute"[[5]](Print_version.html#cite_note-124)

There is no rule requiring the automatic exclusion of a statement obtained by Charter violations.[[6]](Print_version.html#cite_note-125)

A appellate court should give a discretionary decision of a judge, such as in a 24(2) analysis, high deference. The judge should only interfere where "the judge did not give weight to all relevant considerations". [[7]](Print_version.html#cite_note-126)

  1. [↑](Print_version.html#cite_ref-120) R. v. Grant, [2009 SCC 32](http://canlii.ca/t/24kwz)
  2. [↑](Print_version.html#cite_ref-121) R v Grant per McLachlin, C.J. and Charron, J., at para. 71
  3. [↑](Print_version.html#cite_ref-122) See R. v. Morelli, [2010 SCC 8](http://canlii.ca/t/28mrg) (CanLII), [2010] 1 S.C.R. 253  
R. v. Côté, [2011 SCC 46](http://canlii.ca/t/fndv8) (CanLII), [2011] 3 S.C.R. 215, at para. 45-48  

  4. [↑](Print_version.html#cite_ref-123) see R. v. Mahmood, [2011 ONCA 693](http://canlii.ca/t/fnr5s) (CanLII)  
R. v. Dhillon, [2012] B.C.J. No. 1158 (C.A.), at para 78  
Grant at para. 69 and 70  

  5. [↑](Print_version.html#cite_ref-124) Grant at para. 68
  6. [↑](Print_version.html#cite_ref-125) R. v. N.Y., [2012 ONCA 745](http://canlii.ca/t/ftlsv) (CanLII) at para. 56, 57
  7. [↑](Print_version.html#cite_ref-126) R. v. Bacon, [2012 BCCA 323](http://canlii.ca/t/fs5sn) at para. 14

## Seriousness of police misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-2)]

This factor considers the effect of the police misconduct on the reputation of the justice system. Effectively, considering whether the courts are "condoning" the deviation from the rule of law by failing to disassociate themselves from the fruits of the misconduct.[[1]](Print_version.html#cite_note-127)

However, an over-readiness to exclude for "fleeting and technical violation[s]" is likely "to be seen as symptom of systemic impotency which would breed public contempt for the criminal justice system"[[2]](Print_version.html#cite_note-128)

Factors the court must consider include:[[3]](Print_version.html#cite_note-129)

  * Was the breach “inadvertent or minor” or a result of willful or reckless or deliberate disregard for the Charter?
  * Did the police act in good faith?
  * Were there “extenuating circumstances”?

The gravity of the conduct depends on the degree of intention of the officer, ranging from inadvertent or minor violations to wilful or reckless disregard for Charter rights.[[4]](Print_version.html#cite_note-130)

Flagrant disregard of Charter right are to be treated differently than breaches arising out of conduct that is in accordance with the law.[[5]](Print_version.html#cite_note-131)

The Court should consider "what the police did and their attitude when they did it".[[6]](Print_version.html#cite_note-132)

The presence of ignored lesser intrusive options to chosen the method of investigation will have an aggravating effect on the seriousness of the Charter breach.[[7]](Print_version.html#cite_note-133)

A "cavalier" attitude to the use of police powers will also aggravate the breach.[[8]](Print_version.html#cite_note-134)

Whether the conduct was an isolated incident or part of a larger pattern of police disregard of Charter rights will affect the seriousness of the breach.[[9]](Print_version.html#cite_note-135) This can usually come out through voir dire evidence of whether the officer was acting on an established practice.

The seriousness can be mitigated by factors such as "good faith" on the part of the officer or extenuating circumstances that may warrant quick action to avoid losing evidence.[[10]](Print_version.html#cite_note-136)

Good faith, if established, will favour admission because it will "reduce the need for the court to disassociate itself from police conduct".[[11]](Print_version.html#cite_note-137)

The presence of reasonable and probable grounds for the police conduct will lessen the seriousness of the violation.[[12]](Print_version.html#cite_note-138)

Entry into a residence with an invalid warrant or without any warrant is considered a serious violation of the accused's rights and tends to lean towards exclusion.[[13]](Print_version.html#cite_note-139)

  1. [↑](Print_version.html#cite_ref-127) R. v. Ngai, [2010] A.J. No. 96 (C.A.), ("court's first stage of inquiry requires it to assess whether the admission of the evidence would bring the administration of justice into disrepute by sending a message to the public that the courts effectively condone state deviation from the rule of law by failing to disassociate themselves from the fruit of that unlawful conduct." )
  2. [↑](Print_version.html#cite_ref-128) see R. v. Shinkewski, [2012] S.J. No. 376 (C.A.), at para 33  
R. v. Giulioni, [2011] N.J. No. 322 (S.C.)  
R. v. Hart, 2012 NLCA 61  

  3. [↑](Print_version.html#cite_ref-129) R. v. Loewen 2010 ABCA 255 at para. 83
  4. [↑](Print_version.html#cite_ref-130) R. v. Grant at para. 74
  5. [↑](Print_version.html#cite_ref-131) see R. v. Beaulieu, 2010 SCC 7 (CanLII), [2010] 1 S.C.R. 248  
R. v. Loewen, [2011] S.C.J. No. 100)
  6. [↑](Print_version.html#cite_ref-132) see R. v. Ramage, 2010 ONCA 488 (CanLII), at para 48
  7. [↑](Print_version.html#cite_ref-133) R v Brown, [2012 ONCA 225](http://canlii.ca/t/fqx32) (CanLII)
  8. [↑](Print_version.html#cite_ref-134) R v Brown, [2012 ONCA 225](http://canlii.ca/t/fqx32) (CanLII)
  9. [↑](Print_version.html#cite_ref-135) R. v. Greffe, 1990 CanLII 143 (SCC), [1990] 1 S.C.R. 755, at para. 50
  10. [↑](Print_version.html#cite_ref-136) R. v. Silveira, 1995 CanLII 89 (S.C.C.), [1995] 2 S.C.R. 297
  11. [↑](Print_version.html#cite_ref-137) R. v. Grant, at para. 75
  12. [↑](Print_version.html#cite_ref-138) R. v. Caslake, 1998 CanLII 838 (SCC), [1998] 1 S.C.R. 51  
R. v. Belnavis, 1997 CanLII 320 (SCC), [1997] 3 S.C.R. 341  

  13. [↑](Print_version.html#cite_ref-139) R. v. Maton, [2005 BCSC 330](http://canlii.ca/t/1k2jq) (CanLII) at para. 56-64

## Impact on personal interests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-3)]

The impact on the personal interests is a two part inquiry. First, the interest engaged must identified, and then the degree to which the violation impacted this interest must be considered.

The impact can range from fleeting and technical to profoundly intrusive.[[1]](Print_version.html#cite_note-140)

Being stopped and searched without justification impacts liberty and privacy in more than a trivial manner. [[2]](Print_version.html#cite_note-141)

Stopping a vehicle creates a lesser impact on personal interests than a search of a residence.[[3]](Print_version.html#cite_note-142)

The older test under Collins placed emphasis on the discoverability of the evidence, inquiring whether the evidence would have been otherwise discovered during the investigation. Under the new model, the discoverability is still relevant to the first two branches of the analysis but less crucial to the analysis.[[4]](Print_version.html#cite_note-143)

In the context of an roadside screening demand, it has been said that only the breaching event is to be considered in determining the impact on personal interests. The judge should not consider the events that follow including the subsequent arrest, personal consequences, or employment consequences.[[5]](Print_version.html#cite_note-144)

The "more likely that the evidence would have been obtained even without [the impugned statment of the accused] the lesser the impact of the breach on the accused’s underlying interest against self-incrimination".[[6]](Print_version.html#cite_note-145)

  1. [↑](Print_version.html#cite_ref-140) R v Grant, supra
  2. [↑](Print_version.html#cite_ref-141) R v Harrison, [2009 SCC 34](http://canlii.ca/t/24kx5) at para. 31 "being stopped and subjected to a search by the police without justification impacts on the motorist's rightful expectation of liberty and privacy in a way that is much more than trivial.”)
  3. [↑](Print_version.html#cite_ref-142) see R. v. Bacon, [2012] B.C.J. No. 1571 (C.A.), at para 34  
R. v. Loewen, [2011] S.C.J. No. 100, at para 12 and 13  
R v Harrison, [2009] 2 S.C.R. 494 at para 31  

  4. [↑](Print_version.html#cite_ref-143) R. v. Côté, [2011] S.C.J. 46 at 70
  5. [↑](Print_version.html#cite_ref-144) R v. Booth, [2010 ABQB 797](http://canlii.ca/t/2f1c1)
  6. [↑](Print_version.html#cite_ref-145) R. v. Grant, 2009 SCC 32 at 122

## Interest in Trying Case on Merits[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-4)]

The third step considers the "truth-seeking function" of the trial process.[[1]](Print_version.html#cite_note-146)It is presumed that society has an interest in adjudicating matters on the merits. A balance must be made between the effect of its exclusion to the effect of its inclusion.

The "reliability" of the evidence is an important inquiry. If the breach brings the reliability into question it will favour exclusion.[[2]](Print_version.html#cite_note-147)

The importance of the evidence on the Crown's case is also important. [[3]](Print_version.html#cite_note-148) Where the exclusion would effectively "gut" the case, it will be a factor in favour of admission.[[4]](Print_version.html#cite_note-149)

The seriousness of the offence has some importance,[[5]](Print_version.html#cite_note-150) but can "cut both ways".[[6]](Print_version.html#cite_note-151) The importance of the short-term desire to convict for serious offences is balanced against the need for fair conduct where the penalty is so great.

There will be cases where the seriousness of the offence is considered "neutral".[[7]](Print_version.html#cite_note-152)

  1. [↑](Print_version.html#cite_ref-146) R v Grant
  2. [↑](Print_version.html#cite_ref-147) R. v. Grant at para. 83  
R. v. Atkinson, [2012] O.J. No. 2520 (C.A.), at para 93
  3. [↑](Print_version.html#cite_ref-148) R. v. Grant at para. 83
  4. [↑](Print_version.html#cite_ref-149) see R. v. MacDonald, [2012] O.J. No. 3210 (C.A.), at para 37
  5. [↑](Print_version.html#cite_ref-150) R. v. Reddy, 2010 BCCA 11 (CanLII), at para 94  
R. v. Stevens, 2011 ONCA 504 (CanLII), at para 62  

  6. [↑](Print_version.html#cite_ref-151) R. v. Grant at para. 84
  7. [↑](Print_version.html#cite_ref-152) see R. v. Martin, [2010] N.B.J. No. 198 (C.A.), at para 96

## Interests for specific offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-5)]

### Motor Vehicle Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-6)]

Cases have addressed society's interest screening of impaired drivers to reduce the carnage on our highways prefers the inclusion of evidence.[[1]](Print_version.html#cite_note-153)

The ASD procedure has been described as a "non-invasive" and "does not undermine bodily integrity or dignity".[[2]](Print_version.html#cite_note-154)

  1. [↑](Print_version.html#cite_ref-153) see R. v. Elias; R. v. Orbanski 2005 SCC 37, (2005), 196 C.C.C. (3d) 481 (S.C.C.) at paras. 3, 24-27; 49; 55 and 58
  2. [↑](Print_version.html#cite_ref-154) R. v. Vandenberg [2010 ABQB 261](http://canlii.ca/t/29cph)

### Weapons Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-7)]

In consideration under s.24(2) of the Charter, courts have commented on the public interest with respect to gun cases:[[1]](Print_version.html#cite_note-155)

    Offences involving handguns is a “serious and growing societal danger”.[[2]](Print_version.html#cite_note-156) There is a strong emphasis on the need to denounce and deter the use of firearms in public places.[[3]](Print_version.html#cite_note-157) There has been judicial notice that as of 2007 there has been a national increase in gun violence and gun-related offences.[[4]](Print_version.html#cite_note-158)

It has been said that "the exclusion of firearms would more negatively impact the administration of justice than their admission."[[5]](Print_version.html#cite_note-159)

  1. [↑](Print_version.html#cite_ref-155) See R v Campbell [2009] OJ 4132
  2. [↑](Print_version.html#cite_ref-156) R v Clayton 2005 CaLII 16569 (ONCA) at 41
  3. [↑](Print_version.html#cite_ref-157) R v Danvers [2005] OJ 3532 ONCA at 77  
R. v. Bellamy,2008 CanLII 26259 (ON SC), [2008] 175 C.R.R. (2d) 241, at para. 76  
R. v. Brown, [2006] O.J. No. 4681 (Ont. S.C.J.) at para. 9  

  4. [↑](Print_version.html#cite_ref-158) R v. Clayton [2007 SCC 32](http://canlii.ca/t/1rxzv) at 110
  5. [↑](Print_version.html#cite_ref-159) R. v. Mpamugo, [2009] O.J. No. 953 (S.C.), at para. 48  
R v Harrison, 2009 SCC 34 at 82  


## Pre-Grant Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-8)]

### Collins/Stillman Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-9)]

Under the Collins test, the administration of justice is brought into "disrepute" where a combination of three factors weight in favour of exclusion of evidence. These sets of factors consist of:[[1]](Print_version.html#cite_note-160)

  1. factors affecting the fairness of the trial,
  2. factors relevant to the seriousness of the violation; and
  3. factors relevant to the effect of excluding the evidence.

The Stillman test considers the first set of factors. It examines the nature of the evidence and alternatives to its discovery.[[2]](Print_version.html#cite_note-161) The Stillman test directs the following analysis:

  1. Classify the evidence as conscriptive or non-conscriptive based on the manner in which the evidence was obtained. If the evidence is non-conscriptive, its admission will not render the trial unfair and the Court will proceed to consider the seriousness of the breach and the effect of exclusion on the repute of the administration of justice.
  2. If the evidence is conscriptive and the Crown fails to demonstrate on a balance of probabilities that the evidence would have been discovered by alternative non-conscriptive means, then its admission will render the trial unfair. The Court, as a general rule, will exclude the evidence without considering the seriousness of the breach or the effect of exclusion on the repute of the administration of justice. This must be the result since an unfair trial would necessarily bring the administration of justice into disrepute.
  3. If the evidence is found to be conscriptive and the Crown demonstrates on a balance of probabilities that it would have been discovered by alternative non-conscriptive means, then its admission will generally not render the trial unfair. However, the seriousness of the Charter breach and the effect of exclusion on the repute of the administration of justice will have to be considered.

  1. [↑](Print_version.html#cite_ref-160) R. v. Collins [1987] 1 S.C.R. 265
  2. [↑](Print_version.html#cite_ref-161) R. v. Stillman [1997] 1 S.C.R. 607, 1997 SCC 32

### Conscriptive Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-10)]

Evidence that is conscriptive is a factor against the admission of evidence obtained by a Charter violation.

Conscriptive evidence affects the trial fairness factor.

Conscriptive evidence is evidence that arises from any of the following:[[1]](Print_version.html#cite_note-162)

  1. statements
  2. use of the accused's body
  3. taking of bodily sample
  4. evidence derived from the above (derivative evidence)

Evidence that is conscriptive and not otherwise discoverable will tend to be excluded.

A voluntary statement cannot be conscriptive.[[2]](Print_version.html#cite_note-163)

Conscriptiveness must be proven by the Accused on a balance of probabilities.

Discoverable evidence is evidence that 1) can be proven by other non-conscriptive means or 2) would inevitably be discovered.[[3]](Print_version.html#cite_note-164)

Discoverability must be proven by the Crown on a balance of probabilities.

  1. [↑](Print_version.html#cite_ref-162) Watt, Manual of Criminal Evidence at 41.03  
Stillman - lists the first three factors
  2. [↑](Print_version.html#cite_ref-163) Watt at 41.03
  3. [↑](Print_version.html#cite_ref-164) Stillman

## Relevant Charter Rights[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Exclusion_of_Evidence&action=edit&section=T-11)]

  * [Rights against Search and Seizure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Rights_against_Search_and_Seizure)
  * [Right to Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Right_to_Counsel)
  * [Right against Arbitrary Detention](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Investigative_Detention)

  


# Waiver of Charter Rights[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights&action=edit&section=T-1)]

The waiver of any Charter right must be done clearly and unequivocally with full knowledge of the scope of the right and effect of the waiver.[[1]](Print_version.html#cite_note-165)

It is necessary for the Crown to prove waiver of an accused right under s.8.[[2]](Print_version.html#cite_note-166)

An express or implied invitation, such as at the attendance of police at the door of a residence or being invited into the house, results in the waiving of privacy.[[3]](Print_version.html#cite_note-167)

  1. [↑](Print_version.html#cite_ref-165) R v Korponay v Attorney General of Canada, [1992] 1 SCR 41 at p. 49 ("the validity of such a waiver, and I should add that that is so of any waiver, is dependent upon it being clear and unequivocal that the person is waiving the procedural safeguard and is doing so with full knowledge of the rights the procedure was enacted to protect and of the effect the waiver will have on those rights in the process.")
  2. [↑](Print_version.html#cite_ref-166) See: R. v. Neilson 1988 CanLII 213 , (1988), 43 C.C.C. (3d) 548 (SKCA)
  3. [↑](Print_version.html#cite_ref-167) See R v Evans [1996] 1 SCR 8 at 12-13 implied invitation  
R v Roy, 2010 BCCA 448 express invitation  


## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Waiver_of_Charter_Rights&action=edit&section=T-2)]

  * [Consent Search](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrantless_Searches/Consent_Search)

  


# Search and Seizure/Seizure of Property[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Seizure of Things Not Specified[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-1)]

Section 489 authorizes police officers to seize certain property. It specifically addresses the situation where police seek to seize property other than what is specified in the warrant.

> **Seizure of things not specified**  
489\. (1) Every person who executes a warrant may seize, in addition to the things mentioned in the warrant, any thing that the person believes on reasonable grounds
> 
>     (a) has been obtained by the commission of an offence against this or any other Act of Parliament;
>     (b) has been used in the commission of an offence against this or any other Act of Parliament; or
>     (c) will afford evidence in respect of an offence against this or any other Act of Parliament.
> 
> **Seizure without warrant**  
(2) Every peace officer, and every public officer who has been appointed or designated to administer or enforce any federal or provincial law and whose duties include the enforcement of this or any other Act of Parliament, who is lawfully present in a place pursuant to a warrant or otherwise in the execution of duties may, without a warrant, seize any thing that the officer believes on reasonable grounds
> 
>     (a) has been obtained by the commission of an offence against this or any other Act of Parliament;
>     (b) has been used in the commission of an offence against this or any other Act of Parliament; or
>     (c) will afford evidence in respect of an offence against this or any other Act of Parliament.
> 
> R.S., 1985, c. C-46, s. 489; R.S., 1985, c. 27 (1st Supp.), s. 72, c. 42 (4th Supp.), s. 3; 1993, c. 40, s. 16; 1997, c. 18, s. 48.
> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec489)

Under s. 489, a peace officer in lawful execution of their duty may seize anything without a warrant that they reasonably believe to be:

  1. obtained by crime;
  2. used in a crime; or
  3. affords evidence of a crime.

All items that are seized must be reported to a justice of the peace pursuant to s. 489.1. The justice of the peace will grant a detention order for a period of time. The property must be returned on the expiration of the order unless the justice grants an extension under s. 490(1) or if charges are laid.

This section does not codify or incorporate any part of the common law doctrine of "plain view".[[1]](Print_version.html#cite_note-494)

  1. [↑](Print_version.html#cite_ref-494) R. v. Bottineau, [2011 ONCA 194](http://canlii.ca/t/fkgld) (CanLII)

## Procedure Upon Seizure of Property[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-2)]

Section 489.1 governs the procedure to be followed by the police upon seizing property, whether under warrant, warrantless, or otherwise under an Act of Parliament including s. 489. This applies to seizure on search incident to arrest as well as seizure incidental to a search warrant.[[1]](Print_version.html#cite_note-495)

> 489.1 (1) Subject to this or any other Act of Parliament, where a peace officer has seized anything under a warrant issued under this Act or under section 487.11 or 489 or otherwise in the execution of duties under this or any other Act of Parliament, the peace officer shall, as soon as is practicable,
> 
>     (a) where the peace officer is satisfied, 
> 
>     (i) that there is no dispute as to who is lawfully entitled to possession of the thing seized, and
>     (ii) that the continued detention of the thing seized is not required for the purposes of any investigation or a preliminary inquiry, trial or other proceeding,
> 
> return the thing seized ... to the person lawfully entitled to its possession and report to the justice who issued the warrant ... or, if no warrant was issued, a justice having jurisdiction in respect of the matter, that he has done so; or
> 
>     (b) where the peace officer is not satisfied as described in subparagraphs (a)(i) and (ii), 
> 
>     (i) bring the thing seized before the justice referred to in paragraph (a), or
>     (ii) report to the justice that he has seized the thing and is detaining it or causing it to be detained
> 
> to be dealt with by the justice in accordance with subsection 490(1). ...
> 
> **Form**  
(3) A report to a justice under this section shall be in the form set out as Form 5.2 in Part XXVIII, varied to suit the case...
> 
> R.S., 1985, c. 27 (1st Supp.), s. 72; 1993, c. 40, s. 17; 1997, c. 18, s. 49.
> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec489.1)

Under s. 489.1(1)(b)(ii), where the police seize property either in execution of a warrant or otherwise in execution of their duties, they must file a Report to Justice that is filed with the justice of the peace.

This will permit the officer to hold onto the property for a period of 90 days without laying charges. Where further time is needed the officer must apply for a further detention order under s. 490.

  1. [↑](Print_version.html#cite_ref-495) R. v. Backhouse, [2005 CanLII 4937](http://canlii.ca/t/1jvwn) (ON CA)

### Inventory Searches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-3)]

Seizure of property will create an authority to perform a warrantless search the items seized for the purpose itemizing them and ensuring safe keeping. It cannot be searched for the purpose of advancing an investigation.[[1]](Print_version.html#cite_note-496)

  1. [↑](Print_version.html#cite_ref-496) R v Adam [2012 ABPC 77](http://canlii.ca/t/fr1p8)  
R v Wint [2009 ONCA 52](http://canlii.ca/t/225zz)

## Detention Order[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-4)]

Section 490 governs the procedure for detaining property seized under s. 489 or 489.1, including obtaining the approval of justice to detain the property for a period of time.

An order can be made by a justice of the peace to allow the police to detain property under s.490(1):

> **Detention of things seized**  
490\. (1) Subject to this or any other Act of Parliament, where, pursuant to paragraph 489.1(1)(b) or subsection 489.1(2), anything that has been seized is brought before a justice or a report in respect of anything seized is made to a justice, the justice shall,
> 
>     (a) where the lawful owner or person who is lawfully entitled to possession of the thing seized is known, order it to be returned to that owner or person, unless the prosecutor, or the peace officer or other person having custody of the thing seized, satisfies the justice that the detention of the thing seized is required for the purposes of any investigation or a preliminary inquiry, trial or other proceeding; or
>     (b) where the prosecutor, or the peace officer or other person having custody of the thing seized, satisfies the justice that the thing seized should be detained for a reason set out in paragraph (a), detain the thing seized or order that it be detained, taking reasonable care to ensure that it is preserved until the conclusion of any investigation or until it is required to be produced for the purposes of a preliminary inquiry, trial or other proceeding.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec490)

Section 489.1 and 490, together set out an administrative scheme for managing detained property in the course of a criminal investigation as well as returning property.[[1]](Print_version.html#cite_note-497)

These provisions establish "a predictable, fair, efficient, and orderly procedure for the detention, retention, return, and forfeiture of seized items, consistent with the interests of justice." Non-compliance is not to be translated into "substantive trial remedies" such as a stay of proceedings. Failure to comply may result in the return of the property. However, "may not make such an order if it is not in the interests of justice to do so." [[2]](Print_version.html#cite_note-498)

Other courts have suggested that a failure to comply with the provisions, in particular, make a filing under s.489.1, will render the search unlawful.[[3]](Print_version.html#cite_note-499)

Still other courts have been reluctant to provide trial remedies.[[4]](Print_version.html#cite_note-500)

The obligations imposed by s. 489.1 and 490 are mandatory.[[5]](Print_version.html#cite_note-501)

These provisions "safeguard in the balance between the state’s jurisdiction to invade the privacy rights of citizens and the high value that Parliament and the courts have seen fit to ascribe to those rights".[[6]](Print_version.html#cite_note-502)

The onus is on the applicant to prove on a balance of probabilities that the provisions were not complied with.[[7]](Print_version.html#cite_note-503)

Once property has been detained under s. 490, it is considered "under the control of the court, not the Crown or anyone else." Thus, can only be disposed of pursuant to an order of the court. [[8]](Print_version.html#cite_note-504)

  1. [↑](Print_version.html#cite_ref-497) R. v. Mann, [2012 BCSC 1247](http://canlii.ca/t/fsdzc) (CanLII) at para. 71 and 83
  2. [↑](Print_version.html#cite_ref-498) R. v. Mann, [2012 BCSC 1247](http://canlii.ca/t/fsdzc) (CanLII) at para. 83  
see also R. v. Arason (1992), 21 B.C.A.C. 20 (Report to Justice is “an administrative procedure to be carried out after the completion of a search. Non compliance with it ought not to affect the validity of the search itself."  
R. v. Berube [1999 CanLII 13241](http://canlii.ca/t/1mvr2) (QC CA), (1999), 139 C.C.C. (3d) 304 (Que.C.A.) : late filing was a technicality and not enough to invalidate search  
R. v. Karim, [2012 ABQB 470](http://canlii.ca/t/fs5p1) ("I can think of no [...] situation in our criminal law where a lawful act that meets the requirements of the Charter, ...can subsequently become non Charter compliant because of another action separated by time.")
  3. [↑](Print_version.html#cite_ref-499) R. v. Guiller, (1985) 25 CRR 273 (Ont. Dist.Ct.): evidence excluded under s.24(2)  
R. v. Noseworthy, [1995] O.J. No. 1759, [1995 CanLII 7425](http://canlii.ca/t/1wctm) (ON SC) (Ont. Ct. Jus G.D.)  
R. v. Macneil [1994 CanLII 4314](http://canlii.ca/t/1nh1d) (NS SC), (1994), 130 N.S.R. (2d) 202 (N.S.S.C)  

  4. [↑](Print_version.html#cite_ref-500) R. v. Martens, [2004 BCSC 1450](http://canlii.ca/t/1j2gw) (CanLII) at para. 264  
R. v. Valiquette, [2010 BCSC 1423](http://canlii.ca/t/2d4b8) (CanLII)  
R. v. Patterson, [2011 BCSC 1728](http://canlii.ca/t/fqcwl) (CanLII)
  5. [↑](Print_version.html#cite_ref-501) R. v. Pickton, [2006 BCSC 1098](http://canlii.ca/t/2c72m) at para 60
  6. [↑](Print_version.html#cite_ref-502) R. v. Pickton, [2006 BCSC 1098](http://canlii.ca/t/2c72m) at para 60
  7. [↑](Print_version.html#cite_ref-503) R. v. Mann, [2012 BCSC 1247](http://canlii.ca/t/fsdzc) (CanLII) at para. 75
  8. [↑](Print_version.html#cite_ref-504) R. v. Bellefleur, [1992] S.J. No. 473 (Q.B.)

## Extending Time Period of Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-5)]

Under [s. 490(2)](http://canlii.ca/t/7vf2#sec490), all property that is seized by police must be released after the detention period. That is, unless there are proceedings "instituted in which the thing detained may be required." (s. 490(2)(b)) This would include criminal charges where the thing may be part of the evidence for trial.

Under s. 490(2)(a), the party may apply to have property seized pursuant to s. 490(1) detained past the time limit where "a justice, on the making of a summary application to him after three clear days notice thereof to the person from whom the thing detained was seized, is satisfied that, having regard to the nature of the investigation, its further detention for a specified period is warranted and the justice so orders"

## Release and Return of Property[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-6)]

A Superior Court Justice has inherent jurisdiction to order the return of property seized by the police where the items are not needed for trial and otherwise not needed to be held by the police. [[1]](Print_version.html#cite_note-505)

  1. [↑](Print_version.html#cite_ref-505) see Butler v. Canada (Attorney General), [1981 CanLII 373](http://canlii.ca/t/23m2v) (BC SC)

## Access to Exhibits[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-7)]

### Release of Exhibits for Testing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-8)]

All objects that are put in as exhibits before the court may be released for the purpose of testing on application of a party.

Section 605 states:

> **Release of exhibits for testing**  
605\. (1) A judge of a superior court of criminal jurisdiction or a court of criminal jurisdiction may, on summary application on behalf of the accused or the prosecutor, after three days notice to the accused or prosecutor, as the case may be, order the release of any exhibit for the purpose of a scientific or other test or examination, subject to such terms as appear to be necessary or desirable to ensure the safeguarding of the exhibit and its preservation for use at the trial.
> 
> **Disobeying orders**  
(2) Every one who fails to comply with the terms of an order made under subsection (1) is guilty of contempt of court and may be dealt with summarily by the judge or provincial court judge who made the order or before whom the trial of the accused takes place.
> 
> R.S., 1985, c. C-46, s. 605; R.S., 1985, c. 27 (1st Supp.), s. 203.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec605)

The application may be made before either a superior court judge or a provincial court judge on three days notice.

Once the proceedings are complete and all avenues of appeal are exhausted this section no longer applies to exhibits.[[1]](Print_version.html#cite_note-506)

  1. [↑](Print_version.html#cite_ref-506) e.g. R. v. Horne, [1999 ABQB 754](http://canlii.ca/t/5nts) (CanLII) at para. 34  


### Media Access to Exhibits[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-9)]

The right to access to exhibits flows from the "open court principle". [[1]](Print_version.html#cite_note-507)

Dagenais/Mentuck test should apply to requests of third-parties to access exhibits.[[2]](Print_version.html#cite_note-508)

The test requires the party opposing access to show that it is "necessary to prevent a serious risk to the proper administration of justice and that the salutary effects of the order sought outweigh the deleterious effects on the rights and interests of the parties and the public."[[3]](Print_version.html#cite_note-509)

  1. [↑](Print_version.html#cite_ref-507) R. v. Canadian Broadcasting Corporation, [2010 ONCA 726](http://canlii.ca/t/2d4c5) (CanLII)
  2. [↑](Print_version.html#cite_ref-508) Canadian Broadcasting Corporation
  3. [↑](Print_version.html#cite_ref-509) Canadian Broadcasting Corporation

## Special Seizure Powers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-10)]

### Firearms[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-11)]

#### Exigent Circumstances[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-12)]

Under [s.117.02](http://canlii.ca/t/7vf2#sec117.02), an officer believes that a firearm or related item[[1]](Print_version.html#cite_note-510) "was used in the commission of an offence" or where there was, or is ongoing, an offence where the subject-matter is a firearm or related item[[2]](Print_version.html#cite_note-511) and the officer believes the item "is likely to be found on a person, in a vehicle or in any place or premises other than a dwelling-house", then the officer may search the premises or person without a warrant, so long as it under exigent circumstances where it "would not be practicable to obtain a warrant".[[3]](Print_version.html#cite_note-512)

  1. [↑](Print_version.html#cite_ref-510) a prohibited device, any ammunition, any prohibited ammunition or an explosive substance
  2. [↑](Print_version.html#cite_ref-511) firearm, an imitation firearm, a cross-bow, a prohibited weapon, a restricted weapon, a prohibited device, ammunition, prohibited ammunition or an explosive substance
  3. [↑](Print_version.html#cite_ref-512) see also s 487, 487.11

#### Failure to Produce Authorization[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-13)]

Under [s. 117.03](http://canlii.ca/t/7vf2#sec117.03), where a person is found in possession of a firearm or related items and cannot produce the appropriate documents authorizing them to possess it, an officer may seize the items. If the proper documentation is produced within 14 days, the officer must return the items seized. If 14 days pass without producing the authorization, the officer may apply to the court to have the firearm forfeited.

#### Danger to self or public[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-14)]

Under s.117.04, an officer may seize a firearm from someone in lawful possession of it where the officer believes he may pose a danger to themselves or the public. A warrant is required unless there are exigent circumstances such that "by reason of a possible danger to the safety of that person or any other person, it would not be practicable to obtain a warrant".(s. 117.04(2))

Under s.117.05, the officer may apply to forfeit the firearm after 30 days where it can be established that forfeiture is in the "interests of the safety of the person". (see [Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture#interests_of_the_safety](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture#interests_of_the_safety))

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property&action=edit&section=T-15)]

  * [Canadian Criminal Sentencing/Forfeiture](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Forfeiture)
  * [Canadian Criminal Procedure and Practice/Disclosure#Lost Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure#Lost_Evidence)

  


# _Release and Attendance_ [[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=8)]

# Release and Attendance[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-1)]

A person can be compelled to attend court to face criminal charges in several ways. It starts with the police. They investigate a crime and at some point they suspect an individual is responsible.

The police start by doing one of three things:

  1. serve an appearance notice on the accused;
  2. arrest the accused; or
  3. lay a charge and issue a warrant or summons

These are not mutually exclusive actions but rather first steps.

Where the person is given an appearance notice, they are simply served with a document directing them to attend court.

Where the person is arrested first, the police will decide whether to lay a charge. If a charge will be layed the police can do one of the following:

  1. hold him for court without release
  2. release him using a summons, Appearance Notice, Promise to Appear (with or without an undertaking), or Recognizance (with or without an undertaking)

If they are held for court, the issue of release will be left to the judge to determine.

Where the charge is layed first, the warrant or summons gives authority to the police to locate the individual for the purpose of arresting them to serving them with notice to attend court.

## Attendance without Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-2)]

### Appearance Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-3)]

Under [s. 495(2)](http://canlii.ca/t/7vf2#sec496), a police officer who forms grounds of arrest pursuant to s. 495(1), shall not arrest the individual to ensure that they will attend court where:

  1. where the offence is one under [s. 553](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec553#), a summary, or hybrid offence, and
  2. where the officer "believes on reasonable grounds that the public interest...may be satisfied without so arresting the person" while having regard to all the circumstances including the need to: 
    1. establish the identity of the person,
    2. secure or preserve evidence of or relating to the offence, or
    3. prevent the continuation or repetition of the offence or the commission of another offence, and
  3. he has no reasonable grounds to believe that, if he does not so arrest the person, the person will fail to attend court in order to be dealt with according to law.

If the officer does not arrest due to s. 495(2), then under [s. 496](http://canlii.ca/t/7vf2#sec496), the officer "may issue an appearance notice to the person"

## Attendance on Release from a Warrantless Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-4)]

Police officers have a number of options to release an accused subsequent to their arrest but without having to have the accused attend court for a bail hearing. The options consist of the following:

  1. summons or appearance notice
  2. promise to appear or recognizance (with or without an undertaking)

### Summons and Appearance Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-5)]

If the officer believes there is grounds to make a warrantless arrest under [s. 495(1)](http://canlii.ca/t/7vf2#sec495), after concluding that s. 495(2) does not apply, then under s. 497, the officer must release the accused "as soon as practicable" on a summons (s. 497(1)(a)) or a appearance notice (s. 497(1)(b)), if the offence for summary, hybrid or [s. 553](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec553#) offences, person, unless, under [s. 497(1.1)](http://canlii.ca/t/7vf2#sec497), the officer "believes, on reasonable grounds" that:

  1. either: 
    1. "it is necessary in the public interest that the person be detained in custody" or
    2. "that the matter of their release from custody be dealt with under another provision of this Part"
  2. while having regard to all the circumstances including the need to: 
    1. establish the identity of the person,
    2. secure or preserve evidence of or relating to the offence,
    3. prevent the continuation or repetition of the offence or the commission of another offence, or
    4. ensure the safety and security of any victim of or witness to the offence; or
  3. "that if the person is released from custody, the person will fail to attend court in order to be dealt with according to law."

Under s. 497(2), these rules do not apply where the accused is arrested without a warrant for an offence in a different province (as referenced in s. 503(3)).

Also, the officer should not release if he believes that the person may fail to attend court or where the offence described in s.503(3)--discusses offences outside of the jurisdiction.

Where the officer does not release the accused then they will be brought before a judge to determine if interim release will be granted.

An appearance notice is defined in [s. 493](http://canlii.ca/t/7vf2#sec493) as "a notice in [Form 9](http://canlii.ca/t/7vf2#sec849) issued by a peace officer".

A summons is defined in s. 493 as "a summons in [Form 6](http://canlii.ca/t/7vf2#sec849) issued by a justice or judge;"

### Promise to Appear or Recognizance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-6)]

If the officer believes there is grounds to make a warrantless arrest under [s. 495(1)](http://canlii.ca/t/7vf2#sec495), after concluding that s. 495(2) does not apply, and, the officer does not release on an appearance notice or summons under s. 497, then, the officer must release under [s. 498](http://canlii.ca/t/7vf2#sec498) on a summons, a promise to appear or recognizance (without surety) once there is no further reason to detain the accused, if the offence for summary, hybrid or 553 offences, or any offence with a maximum penalty of five year jail and is not currently subject to a release process. That is, unless, under [s. 498(1.1)](http://canlii.ca/t/7vf2#sec498), the officer "believes, on reasonable grounds" that:

  1. either: 
    1. "it is necessary in the public interest that the person be detained in custody" or
    2. "that the matter of their release from custody be dealt with under another provision of this Part"
  2. while having regard to all the circumstances including the need to: 
    1. establish the identity of the person,
    2. secure or preserve evidence of or relating to the offence,
    3. prevent the continuation or repetition of the offence or the commission of another offence, or
    4. ensure the safety and security of any victim of or witness to the offence; or
  3. "that if the person is released from custody, the person will fail to attend court in order to be dealt with according to law."

A promise to appear is defined in [s. 493](http://canlii.ca/t/7vf2#sec493) as requiring Form 10. It shall include the accused's name, the substance of the offence, a demand to attend court at a stated time and place.([[s. 501(1)](http://canlii.ca/t/7vf2#sec501))

Under s. 503(2.1), any promise to appear or recognizance can be made to include conditions, including:

  * to remain within a territorial jurisdiction,
  * to notify the officer of any change of address, employment, or occupation,
  * to abstain from communicating directly or indirectly with certain individuals,
  * to abstain from attending certain locations,
  * to deposit their passport,
  * to abstain from possessing any firearm and to surrender any firearms licenses,
  * to report at certain times to the police,
  * to abstain from the consumption of alcohol or other intoxicating substances,
  * to abstain from the consumption of drugs except in accordance with a medical prescription, and
  * to comply with any other condition the officer in charge considers necessary to ensure the safety and security of any victim or witness.

### Undertaking to an Officer in Charge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-7)]

If an officer has grounds to make a warrantless arrest under s. 495 and the accused is not released under s. 497 or 498, then there is a general discretion under s. 503(2) to release the accused from custody "conditionally" by either a promise to appear or recognizance for any offences except 496 offences. Under s. 503(2.1), the officer may further require the accused to enter into an undertaking, which can have one or more of the following conditions:

  * to remain within a territorial jurisdiction,
  * to notify the officer of any change of address, employment, or occupation,
  * to abstain from communicating directly or indirectly with certain individuals,
  * to abstain from attending certain locations,
  * to deposit their passport,
  * to abstain from possessing any firearm and to surrender any firearms licenses,
  * to report at certain times to the police,
  * to abstain from the consumption of alcohol or other intoxicating substances,
  * to abstain from the consumption of drugs except in accordance with a medical prescription, and
  * to comply with any other condition the officer in charge considers necessary to ensure the safety and security of any victim or witness.

Failure to comply with the undertaking is a criminal offence.

The form of the undertaking should conform to [Form 11.1](http://canlii.ca/t/7vf2#sec849) of the Criminal Code.

#### Varying Conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-8)]

Conditions in place from an undertaking to an officer in charge can be modified at any point under [s. 499(3)](http://canlii.ca/t/7vf2#sec499) and [497(1.1)](http://canlii.ca/t/7vf2#sec497), as well as 503(1.1) for the Defence and 503(1.2) for the Crown. The modification does not need the consent of the crown.

  


### Attendance from release[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-9)]

If an accused is released by summons, appearance notice, promise to appear, recognizance, or undertaking, as discussed above, and the accused fails to attend on the date specified, the justice may issue a warrant under s. 502 for the arrest of the accused. The warrant may be "endorsed" pursuant to s. 507(6) otherwise the warrant will be considered "unendorsed".

If the accused attends before the justice, at which point the information will have been laid, the judge will either confirm the "process" (that is, the release mechanism used to compel attendance) or else will cancel it under s. 508.

  


## Release upon Warrant Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-10)]

Where an officer is arresting an accused person on a warrant sections 499 and 503 governs.

### Endorsed Warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-11)]

Under s. 499(1), where the warrant for arrest was endorsed for release pursuant to s. 507(6) and the offence is not a 469 offence, the officer may do any of the following:

  1. "release the person on the person's giving a promise to appear";
  2. "release the person on the person’s entering into a recognizance before the officer in charge without sureties in the amount not exceeding five hundred dollars that the officer in charge directs, but without deposit of money or other valuable security"; or
  3. if the person is not ordinarily resident in the province in which the person is in custody or does not ordinarily reside within two hundred kilometres of the place in which the person is in custody, release the person on the person’s entering into a recognizance before the officer in charge without sureties in the amount not exceeding five hundred dollars that the officer in charge directs and, if the officer in charge so directs, on depositing with the officer in charge such sum of money or other valuable security not exceeding in amount or value five hundred dollars, as the officer in charge directs.

The officer may also impose conditions specified in s. 499(2):

> **Additional conditions**  
(2) In addition to the conditions for release set out in paragraphs (1)(a), (b) and (c), the officer in charge may also require the person to enter into an undertaking in Form 11.1 in which the person, in order to be released, undertakes to do one or more of the following things:
> 
>     (a) to remain within a territorial jurisdiction specified in the undertaking;
>     (b) to notify a peace officer or another person mentioned in the undertaking of any change in his or her address, employment or occupation;
>     (c) to abstain from communicating, directly or indirectly, with any victim, witness or other person identified in the undertaking, or from going to a place specified in the undertaking, except in accordance with the conditions specified in the undertaking;
>     (d) to deposit the person’s passport with the peace officer or other person mentioned in the undertaking;
>     (e) to abstain from possessing a firearm and to surrender any firearm in the possession of the person and any authorization, licence or registration certificate or other document enabling that person to acquire or possess a firearm;
>     (f) to report at the times specified in the undertaking to a peace officer or other person designated in the undertaking;
>     (g) to abstain from 
> 
>     (i) the consumption of alcohol or other intoxicating substances, or
>     (ii) the consumption of drugs except in accordance with a medical prescription; and
>     (h) to comply with any other condition specified in the undertaking that the officer in charge considers necessary to ensure the safety and security of any victim of or witness to the offence.
> ... 
> 
> – [CCC](http://canlii.ca/t/7vf2#sec499)

### Unendorsed Warrant[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-12)]

Under s. 503, an officer arresting someone on a warrant may either detain them in custody to be brought to a justice within 24 hours or, release the person "conditionally" on a promise to appear or recognizance.

## Laying an Information[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-13)]

At some point after the initial arrest and before the first appearance for arraignment, the peace officer is expected to prepare an Information and swear the information before a justice of the peace. The officer will give sworn evidence that they had reasonable ground to believe that the offence had been committed by the accused.

This can be done at any time prior to the first appearance for arraignment so long as it is within the time limit for the offence (6 months if summary offence).

See more at [Canadian Criminal Procedure and Practice/Informations and Indictments](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments)

## Confirming Attendance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-14)]

Once the accused attends for the first time in court, the authority of the justice of the peace or peace officer is complete and only the judge may compel future attendance. The purpose of a promise to appear, summons, or any other tool to ensure attendance is to secure attendance for the first time. After the initial appearance the promise to appear is irrelevant.[[1]](Print_version.html#cite_note-513)

Whenever a judge had an information before him, he must comply with section 508. Section 508(b)(i) would appear to require that judges confirm that the notice, promise to appear or recognizance remains in effect and then endorse the information.[[2]](Print_version.html#cite_note-514)

However, case law has been divergent on the issue of whether the failure to confirm the order to return to court creates a nullity, invalidating the information. While there are a number of cases supporting the nullity effect on the lack of confirmation,[[3]](Print_version.html#cite_note-515) there is a growing line of cases that see it as having no effect on the validity of the charge.[[4]](Print_version.html#cite_note-516)

Where the accused was properly ordered to attend court and failed to, the court may issue a warrant for their arrest under s. 524:

> **Issue of warrant for arrest of accused**  
524\. (1) Where a justice is satisfied that there are reasonable grounds to believe that an accused
> 
>     (a) has contravened or is about to contravene any summons, appearance notice, promise to appear, undertaking or recognizance that was issued or given to him or entered into by him, or
>     (b) has committed an indictable offence after any summons, appearance notice, promise to appear, undertaking or recognizance was issued or given to him or entered into by him, he may issue a warrant for the arrest of the accused.
> 
> **Arrest of accused without warrant**  
(2) Notwithstanding anything in this Act, a peace officer who believes on reasonable grounds that an accused
> 
>     (a) has contravened or is about to contravene any summons, appearance notice, promise to appear, undertaking or recognizance that was issued or given to him or entered into by him, or
>     (b) has committed an indictable offence after any summons, appearance notice, promise to appear, undertaking or recognizance was issued or given to him or entered into by him, may arrest the accused without warrant.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec524)

  


  1. [↑](Print_version.html#cite_ref-513) R v Oliveria at 30  

  2. [↑](Print_version.html#cite_ref-514) R. v. Key, 2011 ONCJ 780 - detailed review of cases
  3. [↑](Print_version.html#cite_ref-515) eg. R. v. Koshino, [1991] O.J. No. 173 (Gen. Div.), R. v. Sandoval, [2000] O.J. No. 5591 (S.C.J.), R. v. Smith, [2008] O.J. No. 381 (S.C.J.), R. v. Pilieci (2010), 257 C.C.C. (3d) 541 (Ont. S.C.J.).
  4. [↑](Print_version.html#cite_ref-516) R. v. Rennie, [2004] O.J. No. 4990 (S.C.J.)  
R. v. Pavlick, [2008] O.J. No. 2114 (S.C.J.)  
R. v. Sullivan, [2009] O.J. No. 5075 (S.C.J.)  
R. v. Duran, 2011 ONSC 7346  
R. v. Morton (1992), 70 C.C.C. (3d) 625 (Ont. Gen. Div.), affirmed, (1993), 83 C.C.C. (3d) 95 (Ont. C.A.).  
R. v. Matykubov,[2010 ONCJ 233](http://www.canlii.org/en/on/oncj/doc/2010/2010oncj233/2010oncj233.html)  
See also R. v. Wetmore (1976), 18 N.S.R. (2d) 292 (N.S.C.A.)  


# Judicial Interim Release (Bail)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance&action=edit&section=T-15)]

If the peace officer does not release the accused, then under s. 503 they must present the accused before a justice within 24 hours to consider whether to release the accused under s. 515.

  * [Canadian Criminal Procedure and Practice/Release and Attendance/Judicial Interim Release](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release)

  


# Release and Attendance/Judicial Interim Release[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-1)]

Where a person is in custody and the police decide not to release the accused under a police-authorized mechanism, the accused must be brought before a judge to determine if they should be released on bail.

Bail is a form of contract between the crown and the surety, where the crown releases the accused in exchange for the guarantee that the accused will abide by the terms of release.[[1]](Print_version.html#cite_note-517)

Section 11(e) of the _Charter of Rights and Freedoms_ states that "Any person charged with an offence has the right ... not to be denied reasonable bail without just cause". This means that the accused cannot be denied bail without reason and only where necessary.[[2]](Print_version.html#cite_note-518)

Under s. 515(1), a judge or justice must release a person held in custody on an undertaking without conditions unless the Crown can show cause to do otherwise.

Under [s. 522](http://canlii.ca/t/7vf2#sec522) only a superior court justice may consider the release of someone charged with an offender under s. 469 (murder, treason, etc).

  1. [↑](Print_version.html#cite_ref-517) Ewaschuk, Criminal Practice and Procedure in Canada at 6:0010 where the terms are violated the surety will incur a debt with the crown.
  2. [↑](Print_version.html#cite_ref-518) R. v. Hall, [2002] SCJ No. 65 [2002 SCC 64](http://www.canlii.org/en/ca/scc/doc/2002/2002scc64/2002scc64.html)  
R. v. Villota, 2002 CanLII 49650 (ON S.C.) [2002 CanLII 49650](http://www.canlii.org/en/on/onsc/doc/2002/2002canlii49650/2002canlii49650.html)  
R. v. Morales, [1992] SCJ No. 98 Lamer CJC  
R. v. Hall 2000 OJ No 3188 (ONCA)  


## Onus[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-2)]

The **burden of proof** is presumed to be on the crown on a balance of probabilities.[[1]](Print_version.html#cite_note-519)

That is, unless the charge falls within the offences listed in [s.515 (6)](http://canlii.ca/t/7vf2#sec515):

  * offences committed while at large on other indictable matters (s.515(6)(a)(i))
  * offences related to criminal organizations
  * offences related to terrorism
  * certain offences under the Security of Information Act
  * offences relating to weapons trafficking or importing
  * certain offences that were committed with a firearm
  * offences involving firearms, prohibited weapons, or similar, while under a weapons prohibition order
  * offences while not ordinarily resident in Canada; (s.515(6)(b))
  * breach of conditions under s.145(2) to (5) while released on conditions of bail;
  * offences punishable by life imprisonment under the CDSA

For the purpose of reverse onus, "indictable offences" includes hybrid offences, but not those in which there was a summary election.[[2]](Print_version.html#cite_note-520)

  1. [↑](Print_version.html#cite_ref-519) R. v. Julian (1972) 20 CRNS 227 (NSSC)
  2. [↑](Print_version.html#cite_ref-520) R v Cooper (2007) 256 NSR (2d) 200 (NSSC)  
R v Hopkins [2004] BCJ No 2273 (BCSC)  


## Release[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-3)]

The release powers of a Justice is given in sections 515(1) and (2) which state:

> **Order of release**  
515\. (1) Subject to this section, where an accused who is charged with an offence other than an offence listed in section 469 is taken before a justice, the justice shall, unless a plea of guilty by the accused is accepted, order, in respect of that offence, that the accused be released on his giving an undertaking without conditions, unless the prosecutor, having been given a reasonable opportunity to do so, shows cause, in respect of that offence, why the detention of the accused in custody is justified or why an order under any other provision of this section should be made and where the justice makes an order under any other provision of this section, the order shall refer only to the particular offence for which the accused was taken before the justice.
> 
> **Release on undertaking with conditions, etc.**  
(2) Where the justice does not make an order under subsection (1), he shall, unless the prosecutor shows cause why the detention of the accused is justified, order that the accused be released
> 
>     (a) on his giving an undertaking with such conditions as the justice directs;
>     (b) on his entering into a recognizance before the justice, without sureties, in such amount and with such conditions, if any, as the justice directs but without deposit of money or other valuable security;
>     (c) on his entering into a recognizance before the justice with sureties in such amount and with such conditions, if any, as the justice directs but without deposit of money or other valuable security;
>     (d) with the consent of the prosecutor, on his entering into a recognizance before the justice, without sureties, in such amount and with such conditions, if any, as the justice directs and on his depositing with the justice such sum of money or other valuable security as the justice directs; or
>     (e) if the accused is not ordinarily resident in the province in which the accused is in custody or does not ordinarily reside within two hundred kilometres of the place in which he is in custody, on his entering into a recognizance before the justice with or without sureties in such amount and with such conditions, if any, as the justice directs, and on his depositing with the justice such sum of money or other valuable security as the justice directs.
> 
> ...

It is not always necessary to have the surety to appear in court.[[1]](Print_version.html#cite_note-521)

  1. [↑](Print_version.html#cite_ref-521) R. v. Brooks, [2001] Ont.SCJ; R. v. J.V. (2002] Ont.SCJ

### Conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-4)]

> 515
> 
> ...
> 
> **Conditions authorized**  
(4) The justice may direct as conditions under subsection (2) that the accused shall do any one or more of the following things as specified in the order:
> 
>     (a) report at times to be stated in the order to a peace officer or other person designated in the order;
>     (b) remain within a territorial jurisdiction specified in the order;
>     (c) notify the peace officer or other person designated under paragraph (a) of any change in his address or his employment or occupation;
>     (d) abstain from communicating, directly or indirectly, with any victim, witness or other person identified in the order, or refrain from going to any place specified in the order, except in accordance with the conditions specified in the order that the justice considers necessary;
>     (e) where the accused is the holder of a passport, deposit his passport as specified in the order;
>     (e.1) comply with any other condition specified in the order that the justice considers necessary to ensure the safety and security of any victim of or witness to the offence; and
>     (f) comply with such other reasonable conditions specified in the order as the justice considers desirable.
> 
> ...

Under s. 515(4.1), the court shall order a firearm prohibition on persons released for certain charges including:

  * offences where violence is used, threatened, or attemtped
  * criminal harassment
  * intimidation of a justice system participant
  * terrorism offences
  * certain firearms offences
  * certain CDSA offences
  * certain offences under Security of Information Act

  
Where the judge refuses to do so he must give reasons.(s. 515(4.12))

The court may order that that there be no contact with named individuals, if a person is ordered detained (s.515(12)) or remanded (s.516(2)). Note that these orders are not stand-alone orders and only last up until the next court appearance. Thus, it must be renewed at each time the matter is in court.[[1]](Print_version.html#cite_note-522)

  1. [↑](Print_version.html#cite_ref-522) R v Brown 2000 NSCA 147 - re 515(12) orders  
R v Kalashnikoff [2004] OJ No 113 (ONSC) - re 516(2) orders  


### Variation and Review of Conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-5)]

The terms of a release order can be varied according to s. 523 (2) of the Code:

> 523
> 
> ...
> 
> **Order vacating previous order for release or detention**  
(2) Notwithstanding subsections (1) and (1.1),
> 
>     (a) the court, judge or justice before which or whom an accused is being tried, at any time,
>     (b) the justice, on completion of the preliminary inquiry in relation to an offence for which an accused is ordered to stand trial, other than an offence listed in section 469, or
>     (c) with the consent of the prosecutor and the accused or, where the accused or the prosecutor applies to vacate an order that would otherwise apply pursuant to subsection (1.1), without such consent, at any time 
> 
>     (i) where the accused is charged with an offence other than an offence listed in section 469, the justice by whom an order was made under this Part or any other justice,
>     (ii) where the accused is charged with an offence listed in section 469, a judge of or a judge presiding in a superior court of criminal jurisdiction for the province, or
>     (iii) the court, judge or justice before which or whom an accused is to be tried,
> may, on cause being shown, vacate any order previously made under this Part for the interim release or detention of the accused and make any other order provided for in this Part for the detention or release of the accused until his trial is completed that the court, judge or justice considers to be warranted. 
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec523)

This section has been interpreted by most courts as meaning that a provincial court judge cannot vary the conditions on demand without the consent of the crown.[[1]](Print_version.html#cite_note-523) c.f. R. v. Greener [2003 NSPC 58](http://www.canlii.org/en/ns/nspc/doc/2003/2003nspc58/2003nspc58.html)</ref> A Superior Court judge, however, will have jurisdiction to change conditions on application.

See also 520, 521, 522, 524, 525.

  1. [↑](Print_version.html#cite_ref-523) R v Mukpo [2012 NSSC 107](http://canlii.ca/t/fqhf1) R. v. Arkison [1996] B.C.J. No. 2549  
R. v. Hill [2005 NSPC 50](http://www.canlii.org/en/ns/nspc/doc/2005/2005nspc50/2005nspc50.html)

### Rendering Surety[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-6)]

Where a surety no longer wishes to be responsible as a surety for the accused, he may render surety under s. 766(1) and 767 to have the accused rendered into custody thus relieving him of his obligations.

### Change of Surety[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-7)]

Where a surety no longer wishes to be responsible as a surety for the accused and there is a suitable substitution available, the surety will render surety under s. 766(1) and 767, but rather than render the accused into custody, the court may substitute the previous surety with a new one under s. 767.1. The new surety is in place once he has signed the recognizance.

## Grounds of Denying Bail[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-8)]

Section 515(10) of the _Criminal Code_ provides that bail may be denied in three situations:

>     (a) where the detention is necessary to ensure [the accused’s] attendance in court in order to be dealt with according to law;
>     (b) where the detention is necessary for the protection or safety of the public . . . including any substantial likelihood that the accused will, if released from custody, commit a criminal offence or interfere with the administration of justice; and
>     (c) on any other just cause being shown and, without limiting the generality of the foregoing, where the detention is necessary in order to maintain confidence in the administration of justice, having regard to all the circumstances, including the apparent strength of the prosecution’s case, the gravity of the nature of the offence, the circumstances surrounding its commission and the potential for a lengthy term of imprisonment.
> 
>   

> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec515)

### Primary Grounds[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-9)]

Under s.515(10)(a) bail can be denied "where the detention is necessary to ensure [the accused’s] attendance in court". This ground addresses whether the accused is a flight risk.

This can include factors such as:

  * family or community roots in the jurisdiction
  * citizenship / ownership of a passport
  * current residence
  * plans for release
  * employment
  * possibility of lengthy sentence
  * history of flight
  * criminal record for breaching court orders
  * availability of sureties

### Secondary Grounds[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-10)]

Under s. 515(10)(b), bail can be denied "for the protection or safety of the public ... including any substantial likelihood that the accused will...commit a criminal offence or interfere with the administration of justice".

**Substantial likelihood** means "substantial risk". It is not the same as proof beyond a reasonable doubt or probability. [[1]](Print_version.html#cite_note-524)

Denial of bail can include factors such as:

  * seriousness of the offence
  * surrounding circumstances of the offence and offender
  * accused's potential culpability
  * degree of planning and deliberation
  * involvement of firearms
  * mental health issues / addiction issues
  * likelihood of lengthy sentence
  * strength of the Crown's case
  * risk or harm to victim
  * accused's criminal record
  * previous outstanding release conditions
  * history of abiding by court orders and conditions

  1. [↑](Print_version.html#cite_ref-524) R. v. Link [1990 ABCA 55](http://canlii.org/en/ab/abca/doc/1990/1990abca55/1990abca55.html); c.f. Walsh 2000 PEISC

### Tertiary Grounds[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-11)]

Under 515(10)(c), bail can be revoked "in order to maintain confidence in the administration of justice, having regard to all the circumstances, including the apparent strength of the prosecution’s case, the gravity of the nature of the offence, the circumstances surrounding its commission and the potential for a lengthy term of imprisonment."

In cases where the crime is heinous and the evidence overwhelming bail must be denied to preserve the public's confidence in the administration of justice.[[1]](Print_version.html#cite_note-525)

  1. [↑](Print_version.html#cite_ref-525) R v Hall [2002] SCJ No 65 at para. 26

## Hearing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-12)]

### Adjourning Hearing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-13)]

On application of the prosecutor, a judge has the discretion to delay a bail hearing by up to three days without the consent of the accused. (s. 516)

When requested a judge "is obliged to grant a reasonable opportunity" for the crown to show cause.[[1]](Print_version.html#cite_note-526)

  1. [↑](Print_version.html#cite_ref-526) R v CGF [2003] NSJ No 456 (NSCA)

### Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-14)]

A bail hearing is an informal process where the strict rules of evidence do not apply.[[1]](Print_version.html#cite_note-527)

The exemptions to the rules of evidence are set out in s. 518:

> **Inquiries to be made by justice and evidence**  
518\. (1) In any proceedings under section 515,
> 
>     (a) the justice may, subject to paragraph (b), make such inquiries, on oath or otherwise, of and concerning the accused as he considers desirable;
>     (b) the accused shall not be examined by the justice or any other person except counsel for the accused respecting the offence with which the accused is charged, and no inquiry shall be made of the accused respecting that offence by way of cross-examination unless the accused has testified respecting the offence;
>     (c) the prosecutor may, in addition to any other relevant evidence, lead evidence 
> 
>     (i) to prove that the accused has previously been convicted of a criminal offence,
>     (ii) to prove that the accused has been charged with and is awaiting trial for another criminal offence,
>     (iii) to prove that the accused has previously committed an offence under section 145, or
>     (iv) to show the circumstances of the alleged offence, particularly as they relate to the probability of conviction of the accused;
>     (d) the justice may take into consideration any relevant matters agreed on by the prosecutor and the accused or his counsel;
>     (d.1) the justice may receive evidence obtained as a result of an interception of a private communication under and within the meaning of Part VI, in writing, orally or in the form of a recording and, for the purposes of this section, subsection 189(5) does not apply to that evidence;
>     (d.2) the justice shall take into consideration any evidence submitted regarding the need to ensure the safety or security of any victim of or witness to an offence; and
>     (e) the justice may receive and base his decision on evidence considered credible or trustworthy by him in the circumstances of each case.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec518)

The court is permitted to consider hearsay evidence.[[2]](Print_version.html#cite_note-528) This includes admissions and confessions by the accused, and does not require a voir dire for voluntariness.[[3]](Print_version.html#cite_note-529)

A prior criminal record is admissible as well as any acquittals on similar charges.[[4]](Print_version.html#cite_note-530)

  1. [↑](Print_version.html#cite_ref-527) R. v. Kevork et a1 (1984), 12 C.C.C. (3d) 339 (Ont. H.C.J.)
  2. [↑](Print_version.html#cite_ref-528) Re Powers and the Queen (1972), 9 C.C.C. 533 (Ont. H-CJ.)  
R. v. Zeolkowsh (1989), 50 C.C.C. (3d) 566 (S.C.C.) at p. 569
  3. [↑](Print_version.html#cite_ref-529) Bouffard v. R. (1979) 16 C.R (3d) 373 (Que. S.C.)
  4. [↑](Print_version.html#cite_ref-530) R. v. Lanen (1976) 34 CRNS 399 (BCSC)

## Breach of Release[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-15)]

Where the accused is released on bail, and he fails to attend the judge may order a warrant under s.512(2) or 597.

Section 512(2) states:

> **Certain actions not to preclude issue of warrant**  
512\. (1) A justice may, where the justice has reasonable and probable grounds to believe that it is necessary in the public interest to issue a summons or a warrant for the arrest of the accused, issue a summons or warrant, notwithstanding that
> 
>     (a) an appearance notice or a promise to appear or a recognizance entered into before an officer in charge or another peace officer has been confirmed or cancelled under subsection 508(1);
>     (b) a summons has previously been issued under subsection 507(4); or
>     (c) the accused has been released unconditionally or with the intention of compelling his appearance by way of summons.
> 
> **Warrant in default of appearance**  
(2) Where
> 
>     (a) service of a summons is proved and the accused fails to attend court in accordance with the summons,
>     (b) an appearance notice or a promise to appear or a recognizance entered into before an officer in charge or another peace officer has been confirmed under subsection 508(1) and the accused fails to attend court in accordance therewith in order to be dealt with according to law, or
>     (c) it appears that a summons cannot be served because the accused is evading service,
> 
> a justice may issue a warrant for the arrest of the accused.
> 
> R.S., 1985, c. C-46, s. 512; R.S., 1985, c. 27 (1st Supp.), s. 82; 1997, c. 18, s. 58.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec512)

> **Bench warrant**  
597\. (1) Where an indictment has been preferred against a person who is at large, and that person does not appear or remain in attendance for his trial, the court before which the accused should have appeared or remained in attendance may issue a warrant in Form 7 for his arrest.
> 
> **Execution**  
(2) A warrant issued under subsection (1) may be executed anywhere in Canada.
> 
> **Interim release**  
(3) Where an accused is arrested under a warrant issued under subsection (1), a judge of the court that issued the warrant may order that the accused be released on his giving an undertaking that he will do any one or more of the following things as specified in the order, namely,
> 
>     (a) report at times to be stated in the order to a peace officer or other person designated in the order;
>     (b) remain within a territorial jurisdiction specified in the order;
>     (c) notify the peace officer or other person designated under paragraph (a) of any change in his address or his employment or occupation;
>     (d) abstain from communicating with any witness or other person expressly named in the order except in accordance with such conditions specified in the order as the judge deems necessary;
>     (e) where the accused is the holder of a passport, deposit his passport as specified in the order; and
>     (f) comply with such other reasonable conditions specified in the order as the judge considers desirable.
> 
> **Discretion to postpone execution**  
(4) A judge who issues a warrant may specify in the warrant the period before which the warrant shall not be executed, to allow the accused to appear voluntarily before a judge having jurisdiction in the territorial division in which the warrant was issued.
> 
> **Deemed execution of warrant**  
(5) Where the accused appears voluntarily for the offence in respect of which the accused is charged, the warrant is deemed to be executed.
> 
> R.S., 1985, c. C-46, s. 597; R.S., 1985, c. 27 (1st Supp.), s. 121; 1997, c. 18, s. 68.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec597)

### Forfeiture of Bail[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-16)]

Where an accused released on a recognizance is in breach of the order, the crown may seek forfeiture under s. 770 of the cash or property pledged as part of the recognizance.

Before the court can order forfeiture the Crown must establish that the failure to comply with the underlying recognizance must have delayed or defeated the ends of justice. (s. 770(1)(c))

Mere technical failures to attend is not sufficient to warrant the forfeiture.[[1]](Print_version.html#cite_note-531)

  1. [↑](Print_version.html#cite_ref-531) R. v Taylor [2002] O.J. No. 4246 (Sup.Ct.J.)  
R. v. Nanooch, [2008 ABQB 644](http://canlii.ca/t/2185c) court should make explicit inquiry into reasons for being late and makign a finding that the lateness meant justice was delayed or defeated  


## Revocation of Bail[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-17)]

Where the accused in not in custody on pending charges, either by virtue of an appearance notice, promise to appear, summons, undertaking or recognizance, the court may order the accused to be taken into custody after trial.(s. 523)

Section 523 states:

> **Period for which appearance notice, etc., continues in force**  
523\. (1) Where an accused, in respect of an offence with which he is charged, has not been taken into custody or has been released from custody under or by virtue of any provision of this Part, the appearance notice, promise to appear, summons, undertaking or recognizance issued to, given or entered into by the accused continues in force, subject to its terms, and applies in respect of any new information charging the same offence or an included offence that was received after the appearance notice, promise to appear, summons, undertaking or recognizance was issued, given or entered into,
> 
>     (a) where the accused was released from custody pursuant to an order of a judge made under subsection 522(3), until his trial is completed; or
>     (b) in any other case, 
> 
>     (i) until his trial is completed, and
>     (ii) where the accused is, at his trial, determined to be guilty of the offence, until a sentence within the meaning of section 673 is imposed on the accused unless, at the time the accused is determined to be guilty, the court, judge or justice orders that the accused be taken into custody pending such sentence.
> 
> ...
> 
> **Order vacating previous order for release or detention**  
(2) Notwithstanding subsections (1) and (1.1),
> 
>     (a) the court, judge or justice before which or whom an accused is being tried, at any time,
>     (b) the justice, on completion of the preliminary inquiry in relation to an offence for which an accused is ordered to stand trial, other than an offence listed in section 469, or
>     (c) with the consent of the prosecutor and the accused or, where the accused or the prosecutor applies to vacate an order that would otherwise apply pursuant to subsection (1.1), without such consent, at any time 
> 
>     (i) where the accused is charged with an offence other than an offence listed in section 469, the justice by whom an order was made under this Part or any other justice,
>     (ii) where the accused is charged with an offence listed in section 469, a judge of or a judge presiding in a superior court of criminal jurisdiction for the province, or
>     (iii) the court, judge or justice before which or whom an accused is to be tried, may, on cause being shown, vacate any order previously made under this Part for the interim release or detention of the accused and make any other order provided for in this Part for the detention or release of the accused until his trial is completed that the court, judge or justice considers to be warranted.
> 
> **Provisions applicable to proceedings under subsection (2)**  

> 
>     (3) The provisions of sections 517, 518 and 519 apply, with such modifications as the circumstances require, in respect of any proceedings under subsection (2), except that subsection 518(2) does not apply in respect of an accused who is charged with an offence listed in section 469.
> 
> R.S., 1985, c. C-46, s. 523; R.S., 1985, c. 27 (1st Supp.), s. 89.
> 
> ...
> 
> **Hearing**  
(3) Where an accused who has been arrested with a warrant issued under subsection (1), or who has been arrested under subsection (2), is taken before a justice, the justice shall
> 
>     (a) where the accused was released from custody pursuant to an order made under subsection 522(3) by a judge of the superior court of criminal jurisdiction of any province, order that the accused be taken before a judge of that court; or
>     (b) in any other case, hear the prosecutor and his witnesses, if any, and the accused and his witnesses, if any.
> 
> **Retention of accused**  
(4) Where an accused described in paragraph (3)(a) is taken before a judge and the judge finds
> 
>     (a) that the accused has contravened or had been about to contravene his summons, appearance notice, promise to appear, undertaking or recognizance, or
>     (b) that there are reasonable grounds to believe that the accused has committed an indictable offence after any summons, appearance notice, promise to appear, undertaking or recognizance was issued or given to him or entered into by him, he shall cancel the summons, appearance notice, promise to appear, undertaking or recognizance and order that the accused be detained in custody unless the accused, having been given a reasonable opportunity to do so, shows cause why his detention in custody is not justified within the meaning of subsection 515(10).
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec523)

An application may be made to revoke bail under s. 523 after it has been granted pursuant to ss. 515 or 522 of the Code or after a bail review under s. 520 of the Code.

The loss of the presumption of innocence, by itself, is not reason to revoke bail.[[1]](Print_version.html#cite_note-532)

  1. [↑](Print_version.html#cite_ref-532) R. v. Green, [2006 CanLII 27306](http://www.canlii.org/en/on/onsc/doc/2006/2006canlii27306/2006canlii27306.html) (ON S.C.) at para. 15

## Bail Pending Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-18)]

> 679\. (3) In the case of an appeal referred to in paragraph (1)(a) or (c), the judge of the court of appeal may order that the appellant be released pending the determination of his appeal if the appellant establishes that
> 
>     (a) the appeal or application for leave to appeal is not frivolous;
>     (b) he will surrender himself into custody in accordance with the terms of the order; and
>     (c) his detention is not necessary in the public interest.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec679)

The third factor takes into account the appellant’s risk to reoffend, the strength of his case, the nature and circumstances of the offence, the circumstances of the appellant himself, delay and its impact, post-charge conduct, the possible terms of release, and the impact of release on the confidence of the public in the administration of justice. [[1]](Print_version.html#cite_note-533)

Courts have considered bail in the following offences:

  * Sexual assault [[2]](Print_version.html#cite_note-534)
  * Drug trafficking

  1. [↑](Print_version.html#cite_ref-533) L.S.R. v. R., [2008 SKCA 77](http://canlii.ca/t/1z9sp)  
R. v. Toy, [2009 SKCA 32](http://canlii.ca/t/22rvb)
  2. [↑](Print_version.html#cite_ref-534) R v Tcho, [2011 SKCA 113](http://canlii.ca/t/fnfqp) (released)

## Superior Court Bail Review[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-19)]

The accused (s. 520) or the Crown (s. 521) may apply to have a superior court judge review an order of release or remand under s. 515 or 523.

Once an application for review under s. 520 or 521 has been successful, the original bail instrument is terminated and a new order is in place. This new order cannot subsequently be reviewed under s. 520 or 521.[[1]](Print_version.html#cite_note-535)

  1. [↑](Print_version.html#cite_ref-535) R. v. Smith, 2003 SKCA 8 citing R. v. Lahooti (1978), 38 C.C.C. (2d) 481 (Ont.H.C.J.) and R. v. Saracino (1989), 47 C.C.C. (3d) 185 (Ont.H.C.J.)

## Court of Appeal Bail Review[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-20)]

An accused can seek a review of the court's decision on bail under s. 680

> **Review by court of appeal**  
680\. (1) A decision made by a judge under section 522 or subsection 524(4) or (5) or a decision made by a judge of the court of appeal under section 261 or 679 may, on the direction of the chief justice or acting chief justice of the court of appeal, be reviewed by that court and that court may, if it does not confirm the decision,
> 
>     (a) vary the decision; or
>     (b) substitute such other decision as, in its opinion, should have been made.
> 
> **Single judge acting**  
(2) On consent of the parties, the powers of the court of appeal under subsection (1) may be exercised by a judge of that court.
> 
> **Enforcement of decision**  
(3) A decision as varied or substituted under this section shall have effect and may be enforced in all respects as though it were the decision originally made.
> 
> R.S., 1985, c. C-46, s. 680; R.S., 1985, c. 27 (1st Supp.), s. 142; 1994, c. 44, s. 68.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec680)

The test for leave to review bail requires that:[[1]](Print_version.html#cite_note-536)

  1. there is a reasonable prospect of success on review; or
  2. the court, applying the law, could possibly conclude that the application for release should have been allowed (if bail was denied).

This is a low standard.[[2]](Print_version.html#cite_note-537)

  


  1. [↑](Print_version.html#cite_ref-536) R. v. Uppal, [2003 BCCA 571](http://canlii.ca/t/4q5p) (CanLII) at para. 17
  2. [↑](Print_version.html#cite_ref-537) Uppal at para. 17

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Release_and_Attendance/Judicial_Interim_Release&action=edit&section=T-21)]

  * [Canadian Criminal Procedure and Practice/Cases/Bail](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Bail)

  


# _Counsel_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=9)]

# Role of the Crown and Defence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Role of the Crown[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-1)]

The Crown Attorney is invested with the authority to conduct prosecutions on behalf of the Director of Public Prosecutions for the province or Federal government.[[1]](Print_version.html#cite_note-538)

  1. [↑](Print_version.html#cite_ref-538) BC: Crown Counsel Act, [RSBC 1996, c 87](http://canlii.org/en/bc/laws/stat/rsbc-1996-c-87/latest/rsbc-1996-c-87.html)  
MB: Crown Attorneys Act, [CCSM c C330](http://canlii.org/en/mb/laws/stat/ccsm-c-c330/latest/ccsm-c-c330.html)  
ONT: Crown Attorneys Act, [RSO 1990, c C.49](http://canlii.org/en/on/laws/stat/rso-1990-c-c49/latest/rso-1990-c-c49.html)  
QC: An Act respecting the director of Criminal and Penal Prosecutions, [RSQ, c D-9.1.1](http://canlii.org/en/qc/laws/stat/rsq-c-d-9.1.1/latest/rsq-c-d-9.1.1.html)  
NB: An Act Respecting the Role of the Attorney General, [RSNB 2011, c 116](http://canlii.org/en/nb/laws/stat/rsnb-2011-c-116/latest/rsnb-2011-c-116.html)  
NS: Public Prosecutions Act, [SNS 1990, c 21](http://canlii.org/en/ns/laws/stat/sns-1990-c-21/latest/sns-1990-c-21.html)  
FED: Director of Public Prosecutions Act, [SC 2006, c 9, s 121](http://canlii.org/en/ca/laws/stat/sc-2006-c-9-s-121/latest/sc-2006-c-9-s-121.html)  


### Purpose of Prosecution[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-2)]

The role of the crown is not to secure convictions, it's role is to present to a trier of fact evidence that is considered credible and relevant to the alleged offence.[[1]](Print_version.html#cite_note-539) It is to "promote the cause of justice" and not to persuade a trier of fact "to convict other than by reason".[[2]](Print_version.html#cite_note-540) The Crown's job includes seeking the truth. However, it does not mean seeking justice for a complainant.

The Crown is expect to "present, fully and diligently, all the material facts that have evidentiary value, as well as all the proper inferences that may reasonably be drawn from those facts."[[3]](Print_version.html#cite_note-541) The use of rhetorical techniques to distort the evidence or to present misleading and highly prejudicial statements are inappropriate.[[4]](Print_version.html#cite_note-542)

The prosecution of offences is not a contest between the crown and the accused. It is an investigation to determine the truth. It should be done without any feelings of animus.[[5]](Print_version.html#cite_note-543)

The decision to prosecute is solely in the authority of the crown and should only be reviewable in the clearest of cases.[[6]](Print_version.html#cite_note-544)

It is not necessary for the Crown to personally believe in a person's guilt to proceed on charges.[[7]](Print_version.html#cite_note-545)

It is possible for the Crown to avoid a subpoena to provide evidence justifying the basis for exercising their discretion, such as in a corner's inquest.[[8]](Print_version.html#cite_note-546) However, a subpoena to attend a commission inquiry to explain their actions will be enforceable.[[9]](Print_version.html#cite_note-547)

The Crown's advice on the form charges cannot be reviewable except as a possible abuse of process.[[10]](Print_version.html#cite_note-548)

  1. [↑](Print_version.html#cite_ref-539) R. v. Boucher, [1955] [1954 CanLII 3](http://canlii.ca/t/1nlk7), S.C.R. 16, 110 C.C.C. 263 at para 26
  2. [↑](Print_version.html#cite_ref-540) R. v. Proctor 1992 CanLII 2763 (MB CA), (1992) 69 C.C.C. (3d) 436 at para 59 and adopted in R v Trochym [2007 SCC 6](http://canlii.ca/t/1qbvh)
  3. [↑](Print_version.html#cite_ref-541) R v Trochym 2007 SCC 6
  4. [↑](Print_version.html#cite_ref-542) R v Trochym 2007 SCC 6 at 79
  5. [↑](Print_version.html#cite_ref-543) R. v. Chamandy (1934), 61 C.C.C. 224, at p.227
  6. [↑](Print_version.html#cite_ref-544) Miazga v. Kvello Estate, [2009 SCC 51](http://canlii.ca/t/26g27)
  7. [↑](Print_version.html#cite_ref-545) Miazga v. Kvello Estate, 2009 SCC 51 at 65 to 67
  8. [↑](Print_version.html#cite_ref-546) Picha v. Dolan, [2009 BCCA 336](http://canlii.ca/t/24t0j)
  9. [↑](Print_version.html#cite_ref-547) Attorney General v. Davies, [2009 BCCA 337](http://canlii.ca/t/24t0k)
  10. [↑](Print_version.html#cite_ref-548) R. v. Ghavami, [2010 BCCA 126](http://canlii.ca/t/28jx6)

### Discretion of Crown[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-3)]

The prosecution is empowered discretionary authority over many decisions that have limited ability to be reviewed.

Core matters of prosecutorial discretion cannot be reviewed except for abuse of process.

Matters that have been found to be part of the the core function of the Crown and so subject to prosecutorial discretion include:[[1]](Print_version.html#cite_note-549)

  * the decision to prosecute
  * the stay a charge
  * the withdraw a charge
  * the acceptance of a lesser charge
  * the Crown election
  * taking control of a private prosecution
  * the decision to appeal
  * the decision to consent to an adjournment [[2]](Print_version.html#cite_note-550)
  * consenting or refusal to consent to re-election[[3]](Print_version.html#cite_note-551)
  * notice to seek increased penalty[[4]](Print_version.html#cite_note-552)

  1. [↑](Print_version.html#cite_ref-549) R. v. D.N., [2004 NLCA 44](http://canlii.ca/t/1hkj0) (CanLII) at para. 17  
Krieger v. Law Society of Alberta, [2002 SCC 65](http://canlii.ca/t/51rs) (CanLII), [2002] 3 SCR 372  
R. v. Power, [1994 CanLII 126](http://canlii.ca/t/1frvh) (SCC), [1994] 1 SCR 601 at para. 41 to 43  

  2. [↑](Print_version.html#cite_ref-550) D.N. and R v Beare [1988 CanLII 126](http://canlii.ca/t/1jbbw) (SCC), [1988] 2 SCR 387 at para. 51
  3. [↑](Print_version.html#cite_ref-551) R. v. Ng, [2003 ABCA 1](http://canlii.ca/t/5bm4) (CanLII)
  4. [↑](Print_version.html#cite_ref-552) R. v. Gill, [2012 ONCA 607](http://canlii.ca/t/fsrl0) (CanLII)

### Relationship with Police[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-4)]

The Crown and police are to consult with each other but the "maintenance of a distinct line between these two functions is essential to the proper administration of justice."[[1]](Print_version.html#cite_note-553)

The Crown can be liable for their part in giving advice to police during an investigation.[[2]](Print_version.html#cite_note-554)

While it is acceptable, the Crown should not try to be involved in interviews with parties prior to charges being laid.<reff> R. v. Regan, [2002 SCC 12](http://canlii.ca/t/51v8), [2002] 1 SCR 297 at 61-70</ref>

  1. [↑](Print_version.html#cite_ref-553) See Marshall Inquiry <http://www.gov.ns.ca/just/marshall_inquiry/>
  2. [↑](Print_version.html#cite_ref-554) see Dix v. Canada (Attorney General), [2002 ABQB 580](http://canlii.ca/t/dwr)  
Proulx v. Quebec (Attorney General), 2001 SCC 66, [2001] 3 SCR 9  


### Malicious Prosecution[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-5)]

To establish malicious prosecution the plaintiff must prove the following:[[1]](Print_version.html#cite_note-555)

  1. Initiated by the defendant;
  2. Terminated in favour of the plaintiff;
  3. Undertaking without reasonable and probable cause; and
  4. Motivated by malice or a primary purpose other than carrying the law into effect.

The crown must remain separate from the police. [[2]](Print_version.html#cite_note-556)

  1. [↑](Print_version.html#cite_ref-555) Miazga v. Kvello Estate, 2009 S.C.C. 51 [[35]](http://canlii.ca/t/26g27)  
see also: Nelles v. Ontario, [1989 CanLII 77](http://canlii.ca/t/1ft2z) (SCC), [1989] 2 S.C.R. 170  
Proulx v. The Attorney General of Quebec, 2001 SCC 66 (CanLII), [2001] 3 S.C.R. 9;
  2. [↑](Print_version.html#cite_ref-556) Dix v. Canada (A.G.), 2002 ABQB 580 - fined $200,000 to crown

### Judge Shopping[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-6)]

Judge shopping is where counsel attempts to influence which judge will hear a particular matter. Judge shopping by crown counsel is not acceptable as it suggests that the system is partial.[[1]](Print_version.html#cite_note-557)

  1. [↑](Print_version.html#cite_ref-557) R. v. Scott, [1990] 3 SCR 979  
R. v. Regan, 2002 SCC 12, [2002] 1 SCR 297 at 61  
R v Pilarinos [2001 BCSC 1690](http://canlii.ca/t/4wkg)

### Crown Undertakings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-7)]

Agreements made by a Crown Attorney is binding upon the Attorney General. Their word is to be relied upon. Thus, if a subsequent Crown were to repudiate an agreement could be an abuse of process. [[1]](Print_version.html#cite_note-558)

  1. [↑](Print_version.html#cite_ref-558) Aucoin v. Nova Scotia (Attorney General) (1990) 94 N.S.R. (2d) 205 -- first crown agrees to withdraw charges, attorney general directs charges to proceed  
R. v. Hardick [1990] N.S.J. No. 305 - charges stayed

## Role of the Defence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-8)]

A lawyer representing an accused must have undivided loyalty to their client.[[1]](Print_version.html#cite_note-559) Loyalty is a fundamental principle of the solicitor-client relationship and is essential to the integrity of system and the public's confidence in it.[[2]](Print_version.html#cite_note-560)

This requires that there be no conflict of interest with the lawyer. A conflict of interest is where there is "a substantial risk that the lawyer’s representation of the client would be materially and adversely affected by the lawyer’s own interests or by the lawyer’s duties to another current client, a former client, or third person."[[3]](Print_version.html#cite_note-561)

  1. [↑](Print_version.html#cite_ref-559) R. v. M.Q., 2012 ONCA 224 at 26
  2. [↑](Print_version.html#cite_ref-560) see R. v. Widdifield 1995 CanLII 3505 (ON CA), (1996), 25 O.R. (3d) 161 (C.A.), at pp. 171-172.
  3. [↑](Print_version.html#cite_ref-561) R. v. Neil, 2002 SCC 70 (CanLII), 2002 SCC 70, [2002] 3 S.C.R. 631, at para. 31

## Conflict of Interest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-9)]

Issues of conflict of interest of trial counsel can be raised at any point including on appeal after trial. [[1]](Print_version.html#cite_note-562)

The party alleging the conflict must demonstrate that:[[2]](Print_version.html#cite_note-563)

  1. an actual conflict of interest exists
  2. there is “some impairment of counsel’s ability to represent effectively the interests” fo the accused
  3. the accused has been “denied the right to make full answer and defence” and “a miscarriage of justice has occurred.”

The applicant does not need to establish that he verdict would have been different but for the conflict. [[3]](Print_version.html#cite_note-564)

  1. [↑](Print_version.html#cite_ref-562) R v Widdifield [1995 CanLII 3505](http://canlii.org/en/on/onca/doc/1995/1995canlii3505/1995canlii3505.html) (ON CA), (1995), 25 OR (3d) 161 at 169
  2. [↑](Print_version.html#cite_ref-563) R. v. Sherif, [2012 ABCA 35](http://canlii.ca/t/fpx1c)
  3. [↑](Print_version.html#cite_ref-564) R. v. Sherif, [2012 ABCA 35](http://canlii.ca/t/fpx1c) at 13 (no conflict found)

### Representing Co-accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-10)]

A co-accused's counsel may be enjoined from switching clients and representing an accused regardless of the consent of the accused.[[1]](Print_version.html#cite_note-565)

  1. [↑](Print_version.html#cite_ref-565) R. v. Quiriconi, [2011 BCSC 1737](http://canlii.ca/t/fpd01)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Role_of_the_Crown_and_Defence&action=edit&section=T-11)]

  * [BC Crown Policy Manual](http://www.llbc.leg.bc.ca/public/pubdocs/bcdocs/411866/crown_counsel_policy_manual.pdf)

# I - Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=10)]

# Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-1)]

The Crown must disclose all materials information that is in its possession or control that is not clearly irrelevant, regardless of if the evidence is to be called at trial or is inculpatory or exculpatory.[[1]](Print_version.html#cite_note-566)

The right to disclosure is founded in the principle of fair play between parties[[2]](Print_version.html#cite_note-567) as well as the right to make full answer and defence.[[3]](Print_version.html#cite_note-568)

The Crown has an obligation to obtain from an investigative agency any relevant information that it is aware of and must "take reasonable step to inquire about ...relevant information".[[4]](Print_version.html#cite_note-569)

The obligation also requires the Crown to preserve all relevant evidence.[[5]](Print_version.html#cite_note-570)

This obligation is jointly held by both Crown and police.[[6]](Print_version.html#cite_note-571)

  
The "Stinchcombe disclosure regime" only applies to "material relating to the accused’s case" that are "in the possession or control" of the Crown.[[7]](Print_version.html#cite_note-572)

  1. [↑](Print_version.html#cite_ref-566) R v Stinchcombe, [1991 CanLII 45](http://canlii.ca/t/1fsgp) (SCC), [1991] 3 SCR 326 at 339 and 343 (Stinchcombe #1)  
R. v. Stinchcombe, [1995 CanLII 130](http://canlii.ca/t/1frl8) (SCC), [1995] 1 SCR 754 at 755 (Stinchcombe #2)  
R. v. Wickstead, [1997 CanLII 370](http://canlii.ca/t/1fr47), [1997] 1 SCR 307  

  2. [↑](Print_version.html#cite_ref-567) R. v. Lemay [1952] 1 SCR 232; R. v. Boucher, [1955] SCR 16
  3. [↑](Print_version.html#cite_ref-568) s.650(3)

...

    **To make defence**  


    (3) An accused is entitled, after the close of the case for the prosecution, to make full answer and defence personally or by counsel.

**Right to make full answer and defence**  
802\. (1) The prosecutor is entitled personally to conduct his case and the defendant is entitled to make his full answer and defence.

R. v. Carosella, 1997 CanLII 402 (SCC), [1997] 1 S.C.R. 80, stated disclosure by the crown is "one of the components of the right to make full answer and defence which in turn is a principle of fundamental justice embraced by s. 7 of the Charter."  
See also:R. v. Wood (1989) OntCA)

  4. [↑](Print_version.html#cite_ref-569) R v Darwish [2010] O.J. No. 604 (C.A.) at para 31
  5. [↑](Print_version.html#cite_ref-570) R v La [1997 CanLII 309](http://canlii.ca/t/1fr18) (SCC), at para 17
  6. [↑](Print_version.html#cite_ref-571) R v McNeil [2009 SCC 3](http://canlii.ca/t/2254d) para 14
  7. [↑](Print_version.html#cite_ref-572) R v McNeil [2009 SCC 3](http://canlii.ca/t/2254d) at para. 22

## The "Stinchcomb Principles"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-2)]

The Martin Committee produced a report considering the decision. The report detailed the principles of the case, at p. 146:

  1. The fruits of the investigation which are in the possession of the Crown are not the property of the Crown for the use in securing a conviction, but, rather, are the property of the public to ensure that justice is done. Stinchcomb, at para. 12
  2. The general principle is that all relevant information must be disclosed, whether or not the Crown intends to introduce it in evidence. The Crown must disclose relevant information, whether it is inculpatory or exculpatory, and must produce all information which may assist the accused. If the information is of no use, then it is irrelevant and will be excluded by Crown counsel in the exercise of the Crown's discretion, which is reviewable by the trial judge.

## Defence Raising Disclosure Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-3)]

The duty to disclose is engaged once the accused requests information from the crown any time after the charge has been laid. [[1]](Print_version.html#cite_note-573) If defence fails to raise the issue and remains passive, they are less able to claim that non-disclosure affected trial fairness.[[2]](Print_version.html#cite_note-574)

Defence have an obligation to diligently pursue disclosure by actively seeking and pursuing disclosure once they become aware or ought to have been aware of it.[[3]](Print_version.html#cite_note-575) This means the defence should bring any failure to disclose to the Court's attention at the earliest opportunity so that the judge can remedy any trial unfairness.[[4]](Print_version.html#cite_note-576)

  1. [↑](Print_version.html#cite_ref-573) Stinchcombe #1 at 342
  2. [↑](Print_version.html#cite_ref-574) R v Dixon at 38
  3. [↑](Print_version.html#cite_ref-575) R v Stinchcombe #1 at 341; Dixon 1998 CanLII 805 at para 37
  4. [↑](Print_version.html#cite_ref-576) Stinchcombe at 341

## When the Obligations Exist[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-4)]

The Crown will only be subject to disclosure obligation where there is evidence in its possession or control _and_ it is relevant.

### Burden[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-5)]

Once the right to disclosure has been invoked by the Defence the onus is upon the Crown to comply with the obligation. The Crown may refuse to disclose certain information, but has the burden of proving why full disclosure should not be applied.[[1]](Print_version.html#cite_note-577)

The information will not be considered disclosure where it is: [[2]](Print_version.html#cite_note-578)

  1. Irrelevant
  2. Not in the control of the Crown
  3. Privileged

Satisfying any one of these requirements will eliminate any disclosure obligations upon the Crown.

  1. [↑](Print_version.html#cite_ref-577) R. v. Durette, 1994 CanLII 123 (SCC), [1994] 1 S.C.R. 469 at para 44
  2. [↑](Print_version.html#cite_ref-578) R. v. Chaplin, 1995 CanLII 126 (SCC), [1995] 1 S.C.R. 727 at para 25 (The Crown "must justify non-disclosure by demonstrating either that the information sought is beyond its control, or that it is clearly irrelevant or privileged")  
see also R. v. Bottineau, [2005] O.J. No. 4034 at para. 45

### Control[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-6)]

    See also _[Canadian Criminal Procedure and Practice/Disclosure/Third Party Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records)_

Where evidence is not in the control of the Crown it may be the subject of a [third party records](http://en.wikibooks.org/w/index.php?title=Criminal_Procedure_and_Practice/Disclosure/Third_Party&action=edit&redlink=1) application, also known as an "O'Connor Application".[[1]](Print_version.html#cite_note-579)

In an O'Connor application the Defence must show that the evidence is "likely relevant".[[2]](Print_version.html#cite_note-580)

  1. [↑](Print_version.html#cite_ref-579) R. v. O’Connor, [1995 CanLII 51](http://canlii.ca/t/1frdh) (SCC), [1995] 4 S.C.R. 411 (S.C.C.)
  2. [↑](Print_version.html#cite_ref-580) O'Connor

### Relevance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-7)]

Not all information in possession of police must be disclosed. It must only be "relevant" evidence.[[1]](Print_version.html#cite_note-581) The "threshold question in any instance of non-disclosure is whether the evidence was relevant"[[2]](Print_version.html#cite_note-582)

The burden is upon the crown to prove that the information was "clearly irrelevant".[[3]](Print_version.html#cite_note-583)

Relevance refers to whether "it could reasonably be used by the defence in meeting the case for the Crown".[[4]](Print_version.html#cite_note-584)That is to say there is "a reasonable possibility that the information could be useful to the accused in making full answer and defence.".[[5]](Print_version.html#cite_note-585)

The standard of relevancy is where there is a “reasonable possibility that the information will be useful” to the accused in making full answer and defence.[[6]](Print_version.html#cite_note-586) Utility consists of information used for:[[7]](Print_version.html#cite_note-587)

  1. meeting the case for the Crown
  2. advancing a defence
  3. influencing the defence’s trial strategy, such as the decision to call evidence

Relevance is not limited solely to inculpatory evidence nor only evidence that the Crown would adduce at trial. "Relevant materials" includes all materials for which there is a "reasonable possibility" that it may be useful for the Defence. All possible exclupatory evidence must be provided as well, however, this obligation does not extend to a duty to examine the exculpatory evidence.[[8]](Print_version.html#cite_note-588)

  


  1. [↑](Print_version.html#cite_ref-581) R. v. Banford, 2011 SKQB 418 (CanLII), 2011 SKQB 418, [2012] 3 W.W.R. 835 at para. 5 citing Stinchcomb, among others
  2. [↑](Print_version.html#cite_ref-582) R. v. Banford, 2010 SKPC 110 (CanLII), 2010 SKPC 110, 363 Sask. R. 26 (SKPC) at para. 13
  3. [↑](Print_version.html#cite_ref-583) Stinchcombe, 1991 CanLII 45 (SCC), [1991] 3 S.C.R. 326 (S.C.C.)
  4. [↑](Print_version.html#cite_ref-584) R. v. McQuaid, 1998 CanLII 805 (SCC), [1998] 1 S.C.R. 244 (S.C.C.) at para. 20  
R. v. Dixon, [1998 CanLII 805](http://canlii.ca/t/1fqvj) (SCC), [1998] 1 S.C.R. 244 at para. 20  

  5. [↑](Print_version.html#cite_ref-585) R. v. Banford, 2011 SKQB 418 at para. 5
  6. [↑](Print_version.html#cite_ref-586) R v Egger [1993 CanLII 98](http://canlii.ca/t/1fs37), [1993] 2 SCR 451 at 467 and para 20  
R v Dixon [1998 CanLII 805](http://canlii.ca/t/1fqvj), [1998] 1 SCR 244 at 22  

  7. [↑](Print_version.html#cite_ref-587) Dixon at 22
  8. [↑](Print_version.html#cite_ref-588) R. v. Daley, [2008 BCCA 257](http://canlii.ca/t/1zkbl), [2008] B.C.J. No. 1341 at paras. 13-15, and by the Ontario Court of Appeal in R. v. Darwish, [2010 ONCA 124](http://canlii.ca/t/2843v)  
, 252 C.C.C. (3d) 1 at paras. 28-30 and 39-40 leave to SCC denied

## Duration of the Obligation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-8)]

The duty is engaged upon the request of the Defendant. It is continuous throughout the proceedings up to and including the trial. The Crown may object to the request on the basis that it is irrelevant, outside of their control, or otherwise privileged.[[1]](Print_version.html#cite_note-589) The burden is on the Crown to justify the refusal to disclose.

The duty to disclose is ongoing and so any new information received must also be disclosed.[[2]](Print_version.html#cite_note-590)

  1. [↑](Print_version.html#cite_ref-589) R. v. Chaplin, [1995] 1 SCR 727
  2. [↑](Print_version.html#cite_ref-590) R v Stinchcombe #1 at 343

### After Verdict[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-9)]

    _[Fresh Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals#Fresh_Evidence)_

The right to disclosure may not extend to the into a conditional sentence breach hearing as there is less of a right to full answer and defence.[[1]](Print_version.html#cite_note-591)

  1. [↑](Print_version.html#cite_ref-591) R. v. Sitaram [2011 ONCJ 199](http://canlii.ca/t/fl4r3)

## Specific Type of Disclosable Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-10)]

Materials including statements and police notes are required to be disclosed under s. 603:

> 603\. An accused is entitled, after he has been ordered to stand trial or at his trial,
> 
>     (a) to inspect without charge the indictment, his own statement, the evidence and the exhibits, if any; and
>     (b) to receive, on payment of a reasonable fee determined in accordance with a tariff of fees fixed or approved by the Attorney General of the province, a copy 
> 
>     (i) of the evidence,
>     (ii) of his own statement, if any, and
>     (iii) of the indictment;
> 
> but the trial shall not be postponed to enable the accused to secure copies unless the court is satisfied that the failure of the accused to secure them before the trial is not attributable to lack of diligence on the part of the accused.
> 
> R.S., 1985, c. C-46, s. 603; R.S., 1985, c. 27 (1st Supp.), s. 101(E).
> 
> – [CCC](http://canlii.ca/t/7vf2#sec603)

At a minimum, the Crown should disclose "can say" or "will say" statements from any witness it proposes to call at trial.[[1]](Print_version.html#cite_note-592)

Evidence that is in an undecipherable form, such as unlockable encrypted data, does not need to be given to defence as disclosure as the Crown cannot properly vet it for disclosable and non-disclosable information. [[2]](Print_version.html#cite_note-593)

  1. [↑](Print_version.html#cite_ref-592) R v Stinchombe, [1991 CanLII 45](http://canlii.ca/t/1fsgp), [1991] 3 SCR 326 at para 30
  2. [↑](Print_version.html#cite_ref-593) R. v. Beauchamp, [2008 CanLII 27481](http://canlii.ca/t/1x5pv) (ON SC)

### Examples of Typical Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-11)]

Police compile a package of the evidence consisting of the notes, reports and statements generated during their investigation that is forwarded to the Crown Attorney's office. This usually comprises the initial disclosure package that is made available to the Defence counsel.

Disclosure packages can contain any of the following:

  1. the **Information** outlining the charges laid;
  2. the **Crown Sheet** or **Crown Brief** summarizing in the evidence in narative form and listing the witnesses that are available;
  3. the **Police Notes** consisting of handwritten notes made by all the officers involved in the case during their investigation;
  4. the **Witness statements** consisting of the verbatim recollection of the potential witnesses to the offence (written, audio, or video form);
  5. A **Cautioned Statement** of the accused
  6. the **Criminal record** of the accused as recorded in provincial databases or CPIC (Canadian Police Information Centre) printout;
  7. Copies of **Court Orders** (Probation Orders; Prohibition Orders; Recognizances)
  8. **Expert Reports**
  9. **Certificates of analysis** (often for breathalizer machine results; drug analysis; or firearms test results);
  10. the **Medical records** of the victim in cases of resultant injuries;
  11. **Restitution claims** where property has been lost or damaged;
  12. **Photographic evidence** often consisting of photos of the scene of the incident or injuries.

Further material requested often includes:

  1. **Videos or images** of accused while in police custody
  2. computer printouts of any police database searches related to the accused
  3. **Demands** made to client by the police from a script (e.g. Charter caution, breath demand, etc)
  4. **Printed logs** and **audio recordings** of police, 911 dispatch, or ambulance transmissions
  5. **Notes** of any professionals, such as doctors, ambulance crew, fire crew, etc. who was present at scene of incident
  6. records of testing, maintenance, usage, and calibration of breath device used by accused
  7. notes and reports regarding searches of accused (including strip searches)
  8. Police action reports: Use of Force Reports, Use of Pepper Spray Reports
  9. reports and materials related to police procedure on (use of force, taking statements, crowd control, parking violations, use of taser)
  10. discipline record of officers
  11. criminal records of witnesses
  12. police reports regarding witnesses
  13. records of outstanding charges of witnesses

## Vetting Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-12)]

When documents are to be released for disclosure, the police and crown are permitted to vet the materials for the purpose of removing information that may not be disclosable. Types of information that can be validly redacted from the disclosure before going out to the defence include:

  1. clearly irrelevant information
  2. information tending to identify a confidential police source
  3. police investigative techniques
  4. advice that would be covered by solicitor-client privilege (either defence counsel or crown counsel)

See further details on [Privilege](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Privilege) section.

## Disclosing to Third Parties[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-13)]

A third party request for the production of materials that are part of a proceeding must be made to the presiding judge.

Where a matter has been concluded, the superior court does not have jurisdiction to order the release or production of any documents or evidence to third party applicants.[[1]](Print_version.html#cite_note-594)

  1. [↑](Print_version.html#cite_ref-594) Canadian Broadcasting Corporation v. Canada (Attorney General), [2009 NSSC 400](http://canlii.ca/t/27gdn) (CanLII) upheld at [2010 NSCA 99](http://canlii.ca/t/2dsvw)

## Police Obligations to Collect Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-14)]

    _See also [Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence#Lack_of_notes](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence#Lack_of_notes)_

There is no violation of the disclosure obligation arising from a failure to collect information.[[1]](Print_version.html#cite_note-595)

There is no burden on the police to record evidence of all conversations with witnesses, even important ones.[[2]](Print_version.html#cite_note-596)

Where the handwritten notes of an officer are illegible, then the obligation of disclosure can require the crown to transcribe the notes or otherwise provide them in legible form.[[3]](Print_version.html#cite_note-597)

The police do not have a general obligation under collect evidence in a certain manner or create specific material disclosure and so a failure to do so would not amount to a failure to provide disclosure or impact the right to make full answer and defence.[[4]](Print_version.html#cite_note-598)

Incomplete notes do not breach the right to full answer and defence. As long as the majority of the officer's evidence is recorded in some fashion there will be no violation.[[5]](Print_version.html#cite_note-599)

The court have no authority to direct officers on how they should keep their notes.[[6]](Print_version.html#cite_note-600) They should not be micromanaging the police's handling of a case.[[7]](Print_version.html#cite_note-601)

The police have no obligation "to conduct their investigation in any particular way, to record every word spoken in an interview or to take a written statement from every potential witness who is interviewed."[[8]](Print_version.html#cite_note-602)

Police are not obliged "to preserve everything that comes into their hands on the off-chance that it will be relevant in the future."[[9]](Print_version.html#cite_note-603)

Investigative police strategies and "tactical information are presumptively not disclosable absent a particularized claim to relevance".[[10]](Print_version.html#cite_note-604)

  1. [↑](Print_version.html#cite_ref-595) R. v. Hanano, [2006 MBQB 202](http://canlii.ca/t/1pj31) (CanLII) at para. 20
  2. [↑](Print_version.html#cite_ref-596) R. v. Wicksted, 1996 CanLII 641 (ON CA), [1996] O.J. No. 1576, 29 O.R. (3d) 144 at p. 155: ("As pointed out by the trial judge, counsel were unable to provide him, nor were counsel able to provide this court with any Canadian authority wherein a stay was granted for the failure of investigating police officers to record conversations with important witnesses.")
  3. [↑](Print_version.html#cite_ref-597) R. v. Bidyk, [2003 SKPC 124](http://canlii.ca/t/560b)  
R. v. Abrey, [2007 SKQB 213](http://canlii.ca/t/1s2zz) (CanLII)
  4. [↑](Print_version.html#cite_ref-598) R. v. Korski, [2007 MBQB 185](http://canlii.ca/t/1s8h7)  
R. v. Darwish  
R. v. Barnes, [2009 ONCA 432](http://canlii.ca/t/23mm0)  

  5. [↑](Print_version.html#cite_ref-599) R. v. Bailey, 2005 ABPC 61 at para. 38, 46
  6. [↑](Print_version.html#cite_ref-600) R. v. Pickton, [2007 BCSC 2029](http://canlii.ca/t/2d7cm), [2007] B.C.J. No. 3100 (B.C. S.C.) at para. 9
  7. [↑](Print_version.html#cite_ref-601) R. v. Bailey, 2005 ABPC 61 at para. 38, 46
  8. [↑](Print_version.html#cite_ref-602) R. v. Korski, [2007 MBQB 185](http://canlii.ca/t/1s8h7) (CanLII)
  9. [↑](Print_version.html#cite_ref-603) R. v. Lees, 2011 SKPC 98, [2011] S.J. No. 507 (SKPC)
  10. [↑](Print_version.html#cite_ref-604) R. v. Pickton, 2005 BCSC 1240 at para. 44

## Lost or Destroyed Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-15)]

Not every instance of negligence that results in the loss of evidence such as a video tape result in a Charter breach.[[1]](Print_version.html#cite_note-605)

The loss of evidence will not result in the a breach of duty to disclose so long as the conduct of police was reasonable.[[2]](Print_version.html#cite_note-606)

Notifying the accused ahead of destruction of property inviting inspection may cure the prejudice cause by the loss of evidence from the destruction of property.[[3]](Print_version.html#cite_note-607)

  1. [↑](Print_version.html#cite_ref-605) R. v. Lipovetsky, 2007 ONCJ 484, [2007] O.J. No. 4135 at para. 19 ("Even where there is negligence on the part of the Crown, the loss of a videotape does not automatically violate the Charter. A Charter breach is established only where the lost evidence is shown by the applicant to be relevant to the issues at trial.")  
See also R. v. Dulude [2004] O.J. No. 3576 (C.A.) at para. 30.
  2. [↑](Print_version.html#cite_ref-606) R. v. La [1997 CanLII 309](http://canlii.ca/t/1fr18) (SCC), [1997] 2 S.C.R. 680 at para. 21
  3. [↑](Print_version.html#cite_ref-607) e.g. R v Berner, [2012 BCCA 466](http://canlii.ca/t/fttg9) \- car in collision destroyed by police prior to trial. Officer sent registered mail letter to accused prior to releasing vehicle.

## Consequences of Breaching the Obligation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-16)]

Where relevancy is in dispute, the burden rests on the accused to prove on a balance of probabilities that breach of the Charter right to disclosure has been violated.[[1]](Print_version.html#cite_note-608)

Where a breach of the right to full disclosure is found it does not necessarily follow that the right to make full answer and defence was violated.[[2]](Print_version.html#cite_note-609) Where the right to make full answer and defence is not implicated, the usual remedy is either an adjournment or order of production.[[3]](Print_version.html#cite_note-610) In fact in general, where disclosure has not been given or is given late, the usual remedy is an adjournment.[[4]](Print_version.html#cite_note-611)

  1. [↑](Print_version.html#cite_ref-608) see R. v. O’Connor, 1995 CanLII 51 (SCC), [1995] 4 S.C.R .411 (S.C.C)  
R. v. Bjelland, 2009 SCC 38 (CanLII), [2009] 2 S.C.R 651  

  2. [↑](Print_version.html#cite_ref-609) R v Dixon, at 23 and 24
  3. [↑](Print_version.html#cite_ref-610) see R. v. Dixon, para. 31 and 33
  4. [↑](Print_version.html#cite_ref-611) R. v. Demeter (1975) 10 OR 321 (CA)  
R. v. Caccamo, [1976] SCR 786  
R. v. Bjelland, [2009 SCC 38](http://www.canlii.org/en/ca/scc/doc/2009/2009scc38/2009scc38.html), [2009] S.C.J. No. 38, at para 25

### New Trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-17)]

Where late disclosure results in an unfair trial, even after the trial, an new trial may be ordered.[[1]](Print_version.html#cite_note-612) </ref> However, this may not constitute a distinct Charter breach.[[2]](Print_version.html#cite_note-613)

Late disclosure does not necessarily result in an unfair trial.[[3]](Print_version.html#cite_note-614) A number of factors should be considered.[[4]](Print_version.html#cite_note-615)

  1. [↑](Print_version.html#cite_ref-612) R. v. C(MH) 1991 1 SCR 763  
R. v. Bjelland, 2009 SCC 38 [[36]](http://www.canlii.org/en/ca/scc/doc/2009/2009scc38/2009scc38.html)  

  2. [↑](Print_version.html#cite_ref-613) R v. Douglas (1991) 5 OR 29
  3. [↑](Print_version.html#cite_ref-614) R v Rejzek, [2009 ABCA 393](http://canlii.ca/t/26shr) at para 26
  4. [↑](Print_version.html#cite_ref-615) See R v McQuaid, [1998 CanLII 805](http://canlii.ca/t/1fqvj), [1998] 1 SCR 244 at para. 31

### Exclusion of Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-18)]

Where late disclosure warrants the exclusion of evidence follow the following principles from R v Bjelland:

    (a) Remedies under s. 24(1) of the Charter are flexible and contextual. The exclusion of evidence cannot be ruled out under s. 24(1). However, such a remedy will only be available where a less intrusive remedy cannot be fashioned to safeguard the fairness of the trial process and the integrity of the justice system.
    (b) The Crown’s failure to disclose evidence does not, in and of itself, constitute a violation of s. 7. Rather, an accused must generally show “actual prejudice” to his ability to make full to answer and defence.
    (c) An accused must receive a fair trial, however, the trial must be fair from both the perspective of the accused and of society more broadly. A fair trial is one which satisfies the public interest in getting at the truth, while preserving basic procedural fairness for the accused.
    (d) A trial judge should only exclude evidence for late disclosure in “exceptional” cases: 

    (e) where late disclosure renders the trial process unfair, and the unfairness cannot be remedied through an adjournment and disclosure order, or
    (f) where exclusion in necessary to maintain the integrity of the justice system.

### Stay of Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-19)]

Within the rights under section 7 of the Canadian Charter of Rights and Freedoms include the "right to full answer and defence". This right requires the Crown to provide all relevant evidence. A failure to do so may violate this right, and a breach of that right may entitle the accused to a stay of proceedings under s. 24(1) of the Charter.

Where a section 7 Charter breach is alleged on the basis of violating the right to make full answer and defence due to failure to make disclosure, the issue will usually be left for the conclusion of trial. Not only to first determine whether there is insufficient evidence for gulit but also that the judge can properly assess whether the right to full answer and defence was violated in context of the case in its entirety.[[1]](Print_version.html#cite_note-616)

Delayed disclosure can be a factor but not a sole basis of seeking a stay.[[2]](Print_version.html#cite_note-617)

  1. [↑](Print_version.html#cite_ref-616) R. v. F.C.B. 2000 NSCA 35 (CanLII), 2000 NSCA 35 (N.S.C.A.)  
  R. v. Banford 2010 SKPC 110 (CanLII), 2010 SKPC 110 (Sask. Prov. Ct.) at paragraph 10 (overturned at 2011 SKQB 418 (Sask. Q.B.) on other grounds).  
  R. v. Salisbury, [2011] S.J. No. 259 (Sask.Q.B.)  
R v Burwell, 2011 SKPC 188
  2. [↑](Print_version.html#cite_ref-617) R. v. Dias, 2010 ABCA 382

### Costs[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-20)]

Where failure to disclose is flagrant and unjustified, the court may order costs.[[1]](Print_version.html#cite_note-618)

  1. [↑](Print_version.html#cite_ref-618) R. v. 974649 Ontario Inc., 2001 SCC 81 (CanLII), [2001] 3 S.C.R. 575

  


## Other Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-21)]

  * [Third Party Records](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records)
  * [Demand for Particulars](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure/Particulars)
  * [Production Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Warrant_Searches/Production_Orders)

## Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-22)]

### Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure&action=edit&section=T-23)]

  * R v Boutin, [2012 SKQB 291](http://canlii.ca/t/fs8n4) \-- lost video tape irrelevant to delayed detention in impaired driving case
  * R v Slater, 2012 SKPC 69 -- request for training materials for DRE examination refused-
  * R. v. Carey, [2012 CanLII 20684](http://canlii.ca/t/fr23q) (NL PC)-- detailed summary of the law on disclosure
  * R v Swanson, [2012 SKQB 156](http://canlii.ca/t/fr32p) \-- granted order disclosing performance record of sniffer dog
  * R v. Vincent Quesnelle, 2010 ONSC 175 [[54]](http://www.canlii.org/en/on/onsc/doc/2010/2010onsc175/2010onsc175.html) \-- failed to establish basis for police occurrence reports
  * R v Breau, [2011 NBQB 245](http://www.canlii.org/en/nb/nbqb/doc/2011/2011nbqb245/2011nbqb245.html) \-- judge releases medical documents from Morgentaler clinic
  * R. v. John, 2011 ONCJ 607 -- 3rd party records for police policy on driving offences -- denied
  * R v G(S) 2012 ONCJ 176 -- defence unsuccessfully tries to get disclosure from crown consisting of police training manuals

  


# Disclosure/Third Party Records[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Production at Common Law / O'Connor Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-1)]

A party may apply for an order requiring a third party, that is, a party other than the crown or its agents, to produce relevant documents for the purpose of using them in court.

The application, often referred to an as "O'Connor Application"[[1]](Print_version.html#cite_note-619), is a two-stage process. First the applicant must satisfy the judge that the record is likely relevant to the proceedings against the accused. If so, the judge may order the production solely for the court's inspection. Second, the judge must then determine, after inspection, what portions of the documents are to be produced for the defence.[[2]](Print_version.html#cite_note-620)

An O'Connor application consists of a service of a subpoena and notice to the relevant parties.

  1. [↑](Print_version.html#cite_ref-619) R. v. O’Connor, [1995] 4 S.C.R. 411
  2. [↑](Print_version.html#cite_ref-620) R. v. O’Connor, [1995 CanLII 51](http://canlii.ca/t/1frdh) (SCC), [1995] 4 S.C.R. 411  
R. v. McNeil, 2009 SCC 3, [2009] 1 S.C.R. 66 at para. 27

### Third Party Records vs Disclosure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-2)]

    _See also [Canadian Criminal Procedure and Practice/Disclosure#Control](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure#Control)_

A third party includes Crown entities other than the prosecuting authority and so would be subject to an O'Connor application.[[1]](Print_version.html#cite_note-621) This does not apply to materials that the police are under a duty to disclose to the crown as the "fruits of the investigation", in which case it would constitute a first party record.[[2]](Print_version.html#cite_note-622)

Records of police investigations of third parties and police disciplinary records, usually constitutes third-party records.[[3]](Print_version.html#cite_note-623) Unless the the misconduct relates to the investigation or could reasonably impact on the case against the accused.[[4]](Print_version.html#cite_note-624)

Records will be either in possession the Crown or a third party depending on several factors:[[5]](Print_version.html#cite_note-625)

  1. whether the information is the "fruits of the investigation";
  2. what the purpose the information was created for;
  3. whether the information was created or obtained as a result of, or in connection to, the specific investigation or prosecution of the accused;
  4. whether the information is sufficiently related to the specific investigation or prosecution
  5. whether there is an intrinsic link, i.e. by a factual and evidential link, to the investigation
  6. the nature and content of the information
  7. whether any third parties have a privacy interest in the information

  1. [↑](Print_version.html#cite_ref-621) R. v. McNeil, 2009 SCC 3 [2009] 1 S.C.R. 66 at 13
  2. [↑](Print_version.html#cite_ref-622) R v McNeil
  3. [↑](Print_version.html#cite_ref-623) R. v. McNeil, at 25
  4. [↑](Print_version.html#cite_ref-624) R. v. McNeil,
  5. [↑](Print_version.html#cite_ref-625) R. v. Coopsammy, 2008 ABQB 266

## Production in Statute[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-3)]

### Protected Personal Information for Sexual Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-4)]

Records that contain certain personal information are non-disclosable where it relates to a sex related offence. In order to allow any of these records to be disclosed it must be ordered by a judge under s.278.3 where the grounds permit.

> **Definition of “record”**  
278.1 For the purposes of sections 278.2 to 278.9, “record” means any form of record that contains personal information for which there is a reasonable expectation of privacy and includes, without limiting the generality of the foregoing, medical, psychiatric, therapeutic, counselling, education, employment, child welfare, adoption and social services records, personal journals and diaries, and records containing personal information the production or disclosure of which is protected by any other Act of Parliament or a provincial legislature, but does not include records made by persons responsible for the investigation or prosecution of the offence.
> 
> 1997, c. 30, s. 1.
> 
> **Production of record to accused**  
278.2 (1) No record relating to a complainant or a witness shall be produced to an accused in any proceedings in respect of
> 
>     (a) an offence under section 151, 152, 153, 153.1, 155, 159, 160, 170, 171, 172, 173, 210, 211, 212, 213, 271, 272 or 273,
>     (b) an offence under section 144, 145, 149, 156, 245 or 246 of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as it read immediately before January 4, 1983, or
>     (c) an offence under section 146, 151, 153, 155, 157, 166 or 167 of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as it read immediately before January 1, 1988,
> 
> or in any proceedings in respect of two or more offences that include an offence referred to in any of paragraphs (a) to (c), except in accordance with sections 278.3 to 278.91.
> 
> **Application of provisions**  
(2) Section 278.1, this section and sections 278.3 to 278.91 apply where a record is in the possession or control of any person, including the prosecutor in the proceedings, unless, in the case of a record in the possession or control of the prosecutor, the complainant or witness to whom the record relates has expressly waived the application of those sections.
> 
> **Duty of prosecutor to give notice**  
(3) In the case of a record in respect of which this section applies that is in the possession or control of the prosecutor, the prosecutor shall notify the accused that the record is in the prosecutor’s possession but, in doing so, the prosecutor shall not disclose the record’s contents.
> 
> 1997, c. 30, s. 1; 1998, c. 9, s. 3.
> 
> **Application for production**  
278.3 (1) An accused who seeks production of a record referred to in subsection 278.2(1) must make an application to the judge before whom the accused is to be, or is being, tried.
> 
> ...
> 
> **Insufficient grounds**  
(4) Any one or more of the following assertions by the accused are not sufficient on their own to establish that the record is likely relevant to an issue at trial or to the competence of a witness to testify:
> 
>     (a) that the record exists;
>     (b) that the record relates to medical or psychiatric treatment, therapy or counselling that the complainant or witness has received or is receiving;
>     (c) that the record relates to the incident that is the subject-matter of the proceedings;
>     (d) that the record may disclose a prior inconsistent statement of the complainant or witness;
>     (e) that the record may relate to the credibility of the complainant or witness;
>     (f) that the record may relate to the reliability of the testimony of the complainant or witness merely because the complainant or witness has received or is receiving psychiatric treatment, therapy or counselling;
>     (g) that the record may reveal allegations of sexual abuse of the complainant by a person other than the accused;
>     (h) that the record relates to the sexual activity of the complainant with any person, including the accused;
>     (i) that the record relates to the presence or absence of a recent complaint;
>     (j) that the record relates to the complainant’s sexual reputation; or
>     (k) that the record was made close in time to a complaint or to the activity that forms the subject-matter of the charge against the accused.
> 
> **Service of application and subpoena**  
(5) The accused shall serve the application on the prosecutor, on the person who has possession or control of the record, on the complainant or witness, as the case may be, and on any other person to whom, to the knowledge of the accused, the record relates, at least seven days before the hearing referred to in subsection 278.4(1) or any shorter interval that the judge may allow in the interests of justice. The accused shall also serve a subpoena issued under Part XXII in Form 16.1 on the person who has possession or control of the record at the same time as the application is served.
> 
> ...
> 
> 1997, c. 30, s. 1.
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec278.3)

## Disclosing Specific Materials[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-5)]

### Training Materials[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-6)]

In advancing a violation of rights by peace officers, the training manuals applicable to the investigation are of limited relevance since they are not indicative of violations.[[1]](Print_version.html#cite_note-626)

  1. [↑](Print_version.html#cite_ref-626) R. v. Ferrari, [2001 SKQB 340](http://canlii.ca/t/5h4p) at 7; R. v. Akinchets, [2011 SKPC 88](http://canlii.ca/t/fm27r) \- considered training materials on sobriety testing

### Peace Officer Misconduct ("McNeil Disclosure")[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Third_Party_Records&action=edit&section=T-7)]

Certain types of police misconduct records have been recommended as being treated as primary disclosure, including:[[1]](Print_version.html#cite_note-627)

  1. Any conviction or finding of guil[t] under the Canadian Criminal Code or under the Controlled Drugs and Substances Act [for which a pardon has not been granted].
  2. Any outstanding charges under the Canadian Criminal Code or the Controlled Drugs and Substances Act.
  3. Any conviction or finding of guilt under any other federal or provincial statute.
  4. Any finding of guilt for misconduct after a hearing under the Police Services Act or its predecessor Act.
  5. Any current charge of misconduct under the Police Services Act for which a Notice of Hearing has been issued.

The police have an obligation to notify the Crown of any relevant misconduct, as well as seek advice from the Crown on whether the misconduct record is relevant.[[2]](Print_version.html#cite_note-628)

The Crown are to exercise a gate-keeper function with respect to the disclosure of these materials to the defence.[[3]](Print_version.html#cite_note-629)

  1. [↑](Print_version.html#cite_ref-627) R. v. McNeil, [2009 SCC 3](http://canlii.ca/t/2254d) (CanLII), [2009] 1 SCR 66 at para. 57 - known as the "Ferguson Five" categories
  2. [↑](Print_version.html#cite_ref-628) R v Boyne, [2012 SKCA 124](http://canlii.ca/t/fvgx3) (CanLII) at para. 34, 35
  3. [↑](Print_version.html#cite_ref-629) Boyne at para. 35

  


# Disclosure/Particulars[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Disclosure/Particulars&action=edit&section=T-1)]

An accused can apply for an order requiring the Crown to provide particulars. Section 587(1)(f) states:

> 587(1)(f)  
...  
A court may, where it is satisfied that it is necessary for a fair trial, order the prosecutor to furnish particulars and, without restricting the generality of the foregoing, may order the prosecutor to furnish particulars  
...  

> 
>     (f) further describing the means by which an offence is alleged to have been committed;
> 
>   
...  
(2) For the purpose of determining whether or not a particular is required, the court may give consideration to any evidence that has been taken.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec587)

The applicable factors to ordering particulars are set out as follows:[[1]](Print_version.html#cite_note-630)

  1. The purpose of particulars in a criminal trial is twofold. The first is to give exact and reasonable information to the accused respecting the charge against him as will enable him to establish his defence: R. v. Canadian General Electric at p. 443. The second purpose is to facilitate the administration of justice: R. v. Adduono, [1940] 1 D.L.R. 597, 73 C.C.C. 152 (Ont. C.A.). Also see R. v. Côté, 1977 CanLII 1 (SCC), [1978] 1 S.C.R. 8 at p. 13, (1977), 73 D.L.R. (3d) 752, 2 W.W.R. 174, 33 C.C.C. (2d) 353.
  2. To facilitate the administration of justice, it is essential that the trial judge have sufficient information before him or her by means of particulars as to what the Crown intends to prove against the accused in order that the trial judge may make “proper, adequate and expeditious rulings on the admissibility or otherwise of evidence sought to be deduced”: R. v. Cominco, supra, at para. 15. In R. v. General Electric, supra, the secondary purpose of particulars was illustrated as follows at 443 (C.C.C.): ". . .When a conspiracy count involves an alleged widespread complicated conspiracy for the accomplishment of a purpose going beyond the performance of individual acts, the particulars furnished will assist the Judge in ruling on the relevancy of the evidence. To adopt a homely form of words, at trial circumscribed by particulars will not wander all over the shop and will foreclose an unreal controversy."
  3. In the event a preliminary inquiry was held, particulars and related information available from the transcript thereof are to be taken into account in applications for particulars: R. v. McGavin Bakeries supra; R. v. Cominco, supra; R. v. Leverton, [1917] 2 W.W.R. 584, 34 D.L.R. 514, 28 C.C.C. 61 (Alta. C.A.) at pp. 519-22 (D.L.R.).
  4. The defence carries the burden of satisfying the court that the particulars sought are necessary for a fair trial.
  5. An order for particulars is a discretionary power of the court and not an absolute right of the accused: R. v. Griffin, [1935] 2 D.L.R. 503, 63 C.C.C. 286 (N.B.S.C.); R. v. Hunter, (1986), 23 C.C.C. (3d) 331 (Alta. C.A.) at p. 338.
  6. Section 587 does not require the Crown to give specific details of acts and omissions relevant to the offence charged, save where the same is clearly necessary for the purposes of a fair trial: R. v. McGavin Bakeries, supra; R. v. Cominco, supra.

  1. [↑](Print_version.html#cite_ref-630) R. v. Imperial Tobacco Co. et al., [1940] 1 D.L.R. 397, 1 W.W.R. 124, 73 C.C.C. 18 (Alta. T.D.)  
R. v. Canadian General Electric Co. Ltd. et al. (1974), 17 C.C.C. (2d) 433 (Ont. H.C.J.)  
R. v. Cominco Ltd. et al., (1978), 91 D.L.R. (3d) 541, 41 C.C.C. (2d) 514, 13 A.R. 106 (Alta. T.D.)  
c.f. R. v. McGavin Bakeries et al. (1950), 99 C.C.C. 330, 1 W.W.R. (N.S.) 129, 11 C.R. 227 (Alta. T.D.)  
see also E.G. Ewaschuk in Criminal Pleadings & Practice in Canada, 2nd ed., (Toronto: Canada Law Book, 2003), at p. 9-41  


  


# _Court Proceedings_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=11)]

# I - Jurisdiction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=12)]

# Jurisdiction[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-1)]

"Jurisdiction" refers to the legal authority or power of the court over the subject matter, time and location, the persons connected to the proceeding. [[1]](Print_version.html#cite_note-631)

Jurisdiction is intimately tied with the state based on a geographic region or territory. This is known as the "principle of territoriality". From this two forms of jurisdiction arise. The was discussed in R v Hape 2007 SCC 26 at 59:

    _...The principle of territoriality extends to two related bases for jurisdiction, the objective territorial principle and the subjective territorial principle. According to the objective territorial principle, a state may claim jurisdiction over a criminal act that commences or occurs outside the state if it is completed, or if a constituent element takes place, within the state, thus connecting the event to the territory of the state through a sufficiently strong link: Brownlie, at p. 299. See also Libman, at pp. 212-13. Subjective territoriality refers to the exercise of jurisdiction over an act that occurs or has begun within a state’s territory even though it has consequences in another state._

This requirement is further modified by the principle of comity which says that where two or more states “have legal claim to a jurisdiction” then a state should only claim jurisidciton where ther is a “real and substantial” connection with the event.

The matter of jurisdiction can be broken down into several components:

  1. jurisdiction over persons
  2. jurisdiction over subject matters
  3. jurisdiction over period of time

Behind this division, is a court which itself has imposed limitations.

  


  1. [↑](Print_version.html#cite_ref-631) Reference re Judicature Act (1988), 46 CCC 203 NBCA at p. 218; R. v. Gray (1991), 68 CCC 193 (Ont.)

## Jurisdiction of Courts[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-2)]

### Superior Court[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-3)]

A Superior Court has "inherent jurisdiction" that is derived from s. 96 of the _Constitution Act, 1867_. This is also referred to as “original and plenary jurisdiction”. This means that the Superior Court has jurisdiction over all civil and criminal matters unless expressly removed by statute.[[1]](Print_version.html#cite_note-632) However, the “core powers” of the superior court cannot be removed by statute without violating s.96 of the Constitution Act 1867.[[2]](Print_version.html#cite_note-633)

Section 468 of the Criminal Code, provides authority over indictable offences unless the Province of the particular Superior Court lacks a real and substantial connection to the offence itself. This "inherent jurisdiction" also provides power to control the judicial process and to remedy unfairness.[[3]](Print_version.html#cite_note-634)

  


  1. [↑](Print_version.html#cite_ref-632) MacMillan Bloedel v. Simpson Ltd, [1995] SCR 725
  2. [↑](Print_version.html#cite_ref-633) See McMillan Bloedel v Simpson Ltd. [1995] 4 SCR 725
  3. [↑](Print_version.html#cite_ref-634) R. v. Rose, [1998] 3 SCR 262; R. v. Pilarinos (2001) 158 CCC 1 (BCSC)

### Provincial and Appellate Court[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-4)]

A Provincial or Territorial Court has jurisdiction derived by statute alone.[[1]](Print_version.html#cite_note-635) This authory generally allows judges sitting in any part of the province. However, the limit does not cover offences that have no real and substantial connection with the jurisdiction of the provincial court judge.[[2]](Print_version.html#cite_note-636)

A provincial court has “authority to control the court’s process” as well others authorities derived by necessary implication. However, the authority must be exercised “according to the rules of reason and justice”[[3]](Print_version.html#cite_note-637)

An appellate court only has jurisdiction that is provide to it by statute and so can only hear appeals permitted under statute.[[4]](Print_version.html#cite_note-638)

  


  1. [↑](Print_version.html#cite_ref-635) R. v. Doyle, [1977] 1 SCR 597; R. v. SJL (2002), 163 CCC (3d) 560 (BCCA)
  2. [↑](Print_version.html#cite_ref-636) R v Doyle [1977] 1 SCR 597<br R v JLS 2002 163 CCC (3d) 560 (BCCA) at 23
  3. [↑](Print_version.html#cite_ref-637) eg. see R v Price 2010 NBCA
  4. [↑](Print_version.html#cite_ref-638) R. v. Kevork (1985), 21 CCC (3d) 369

## Jurisdiction over persons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-5)]

### Adults[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-6)]

The Courts have jurisdiction over an accused by virtue of their presence in court.[[1]](Print_version.html#cite_note-639) The accused is required to be present for all indictable matters. It is because the accused must be a part of all matters of "vital interest". [[2]](Print_version.html#cite_note-640) The accused must be present at trial so as to hear the case against them.

For Summary matters the court may proceed without the presence of the accused except if liable for more than 6 months imprisonment.[[3]](Print_version.html#cite_note-641) This would include trial matters by way of an _ex parte_ motion.[[4]](Print_version.html#cite_note-642)

**Designations of counsel**  
As stated, the Courts have jurisdiction over an accused present in court. The accused may appoint counsel to represent them for any proceedings under the Criminal Code by filing a designation of counsel pursuant to s. 650.01(1). [[5]](Print_version.html#cite_note-643) Where a designation has been properly filed with the Court the accused does not need to be present for certain court appearances except for when oral evidence is being heard.[[6]](Print_version.html#cite_note-644) As such the Court will not lose jurisdiction over the accused due to his or her absence.[[7]](Print_version.html#cite_note-645) A valid designation must contain the name and address of the counsel, as well as set out the charge(s) and date(s) of alleged offences or any particulars identifying the matters, and it must be signed by the accused and designated counsel.[[8]](Print_version.html#cite_note-646)

  


  1. [↑](Print_version.html#cite_ref-639) s.470(a); R. v. Gordon (1980), 55 CCC (2d) 197 (BCCA)
  2. [↑](Print_version.html#cite_ref-640) R. v. Vezina; Cote [1986] 1 SCR 2
  3. [↑](Print_version.html#cite_ref-641) s. 800(2) and 802.1
  4. [↑](Print_version.html#cite_ref-642) s. 803(2)(a)
  5. [↑](Print_version.html#cite_ref-643) R. v. Golyanik (2003), 173 CCC 307 (SCJ); R. v. C(JJ) (2003), 12 AtlaLR 191; R. v. L(GY) 2009 84 WCB 341 (SCJ)
  6. [↑](Print_version.html#cite_ref-644) s. 650.01(3)(a)
  7. [↑](Print_version.html#cite_ref-645) For indictable offences, the Court will only have jurisdiction over the accused where they are present in court for an appearance. Otherwise, the charge will be a nullity and voidable
  8. [↑](Print_version.html#cite_ref-646) s. 650.01(2)  
R. v. Butler, 2010 NSSC 284 - rejected designation for no listed charges

### Specific Persons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-7)]

The Crown is generally immune from prosecutions for executive conduct unless statute otherwise directs.[[1]](Print_version.html#cite_note-647)

  


  1. [↑](Print_version.html#cite_ref-647) see s. 17 of Interpretation Act

### Youths[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-8)]

A court cannot have jurisdiction over any person under the age of 12.[[1]](Print_version.html#cite_note-648) This date is set as of the date of the offence. [[2]](Print_version.html#cite_note-649)

  


  1. [↑](Print_version.html#cite_ref-648) see s.13 of the Criminal Code
  2. [↑](Print_version.html#cite_ref-649) see s. 16 YCJA nad R v McDonald 1985 ONCA 21 CCC 330

## Jurisdiction over subject matter[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-9)]

Section 553 is procedural in nature and does not usurp the jurisdiction of superior court on matters that have properly been brought before it.[[1]](Print_version.html#cite_note-650)

  


  1. [↑](Print_version.html#cite_ref-650) R v Manitopyes, 2012 SKQB 141 at 69

## Time limitations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Jurisdiction&action=edit&section=T-10)]

# II - Election[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=13)]

# Election[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Crown Election[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Election&action=edit&section=T-1)]

The election process is a "means by which the criminal law provides the Attorney General with sufficient flexibility to take the specific circumstances of each case into account and ensure that, in each case, the interests of justice are served." [[1]](Print_version.html#cite_note-651)

The Crown has the power of election on hybrid criminal offences. A hybrid offence is an offence defined in the Criminal Code as having both summary and indictable classes of punishment. Hybrid offences are deemed to be indictable until the Crown elects to proceed summarily.[[2]](Print_version.html#cite_note-652)

No offences with maximum penalty of 14 years or life are hybrid offences.[[3]](Print_version.html#cite_note-653)

The power to elect is at the discretion of the Crown.[[4]](Print_version.html#cite_note-654)

Proceedings on summary offences must commence within six months of the incident date. ([s. 786(2)](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec786)) That is, unless the Crown and Defence agree.[[5]](Print_version.html#cite_note-655)

It is acceptable practice to elect indictable in order to allow the prosecution to proceed, such as where the 6 month time limit has expired, and then re-elect summarily with consent.[[6]](Print_version.html#cite_note-656) The judge cannot interfere by refusing to allow re-election.[[7]](Print_version.html#cite_note-657)

Hybrid offences are deemed to be indictable "unless and until the Crown elects to proceed summarily".[[8]](Print_version.html#cite_note-658)

Where a proceedings progresses to its conclusion without the Crown having made no election on a hybrid offence and the charge was within 6 months of the incident, the Crown is deemed to have elected to proceed by "summary conviction".[[9]](Print_version.html#cite_note-659)

However, where the accused elects mode of trial even though the Crown failed to make an election, the trial will be deemed indictable.[[10]](Print_version.html#cite_note-660)

Whether a matter is part of the discretionary core functions of the Attorney General is a question of law.[[11]](Print_version.html#cite_note-661)

The 6 month limitation under s. 786 does not count from the beginning of the offence where it spans several days. An offence spanning a timeframe will be valid for the entire span as long as the end date is within the 6 month limit.[[12]](Print_version.html#cite_note-662)

  1. [↑](Print_version.html#cite_ref-651) R. v. Century 21 Ramos Realty Inc. and Ramos, [1987 CanLII 171](http://canlii.ca/t/1p77d) (ON CA)
  2. [↑](Print_version.html#cite_ref-652) R. v. Marr, [2005 NSCA 73](http://canlii.ca/t/1l8fs) at para. 20; R. v. Dudley [2009 SCC 58](http://canlii.ca/t/272k3) at para. 21
  3. [↑](Print_version.html#cite_ref-653) See [List of Offences by Penalty](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Offences_by_Penalty)
  4. [↑](Print_version.html#cite_ref-654) Smythe [1971 SCR 680](http://canlii.ca/t/1twrk)
  5. [↑](Print_version.html#cite_ref-655) s. 786(2)
  6. [↑](Print_version.html#cite_ref-656) Burke (1992), 78 C.C.C. (3d) 163 (NLCA)
  7. [↑](Print_version.html#cite_ref-657) R. v. Linton (1994) 90 CCC 528
  8. [↑](Print_version.html#cite_ref-658) R. v. Dudley 2009 SCC 58 para. 21 [[37]](http://www.canlii.org/en/ca/scc/doc/2009/2009scc58/2009scc58.html); see also R. v. Paul-Marr, 2005 NSCA 3 at para 20; see also s.34 of the Interpretation Act
  9. [↑](Print_version.html#cite_ref-659) R. v. Mitchell, [1997 CanLII 6321](http://canlii.ca/t/6h2k) (ON CA)  
R. v. Marcotullio (1978), 39 C.C.C. (2d) 478 (Ont. C.A.)  
R. v. W. (W.W.) (1985), 20 C.C.C. (3d) 214 (Man. C.A.)  

  10. [↑](Print_version.html#cite_ref-660) R. v. Mitchell (1997), 121 C.C.C. (3d) 139 (Ont. C.A.)
  11. [↑](Print_version.html#cite_ref-661) R v Nixon, 2009 ABCA 289 at para. 13
  12. [↑](Print_version.html#cite_ref-662) R. v. Nadir, [2004 CanLII 59965](http://canlii.ca/t/1v6mp) (ON CA)

## Defence Election[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Election&action=edit&section=T-2)]

Unless the Code provides otherwise, where an accused is charged with an indictable offence or a hybrid offence which was elected to proceed indictably, the accused has the right of electing the mode of trial under s. 536(2).

The defence election consist of trial by the following methods:

  1. trial by a provincial court judge;
  2. trial by a superior court judge with a judge and jury, with a preliminary inquiry
  3. trial by a superior court judge with a judge alone, with a preliminary inquiry
  4. trial by a superior court judge with a judge and jury, without a preliminary inquiry
  5. trial by a superior court judge with a judge alone, without a preliminary inquiry

The Court is required to read the "election address" unless it is waived by the accused. The address is set out in s. 536:

> s.536...
> 
> **Election before justice in certain cases**  
(2) If an accused is before a justice charged with an indictable offence, other than an offence listed in section 469, and the offence is not one over which a provincial court judge has absolute jurisdiction under section 553, the justice shall, after the information has been read to the accused, put the accused to an election in the following words:
> 
>     You have the option to elect to be tried by a provincial court judge without a jury and without having had a preliminary inquiry; or you may elect to be tried by a judge without a jury; or you may elect to be tried by a court composed of a judge and jury. If you do not elect now, you are deemed to have elected to be tried by a court composed of a judge and jury. If you elect to be tried by a judge without a jury or by a court composed of a judge and jury or if you are deemed to have elected to be tried by a court composed of a judge and jury, you will have a preliminary inquiry only if you or the prosecutor requests one. How do you elect to be tried?

The right of election is not available for indictable offences that are either "absolute jurisdiction" offences or "exclusive jurisdiction offences".

Under s. 471, a person charged with an indictable offence is presumed to be be tried by a judge and jury unless they consent to otherwise.

An election to provincial court under s. 536(3) requires that the judge endorse the information showing the election and direct the matter before a provincial court judge for the purpose of taking a plea.

## Absolute and Exclusive Jurisdiction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Election&action=edit&section=T-3)]

Under [s. 553](http://www.canlii.ca/t/7vf2#sec553), the Provincial Court has jurisdiction that is "absolute and does not depend on the consent of the accused where the accused is charged in an information" with several classes of offences. These are classified as "absolute jurisdiction" offences.

Under section 469, courts of criminal jurisdiction, being provincial courts, have judisdiction over all indictable offences except for those listed in the following table.

Absolute Jurisdiction (s. 553) Exclusive Jurisdiction (s. 469)

  * [theft, other than theft of cattle (value =< $5,000)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Theft_Under_$5,000)
  * obtaining money or property by false pretences, (value =< $5,000)
  * [possess stolen property (value =< $5,000)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_Stolen_Property)
  * [Fraud (value =< $5,000)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fraud_Over_$5,000)
  * mischief under subsection 430(4) (value =< $5,000)
  * Gaming and betting-related offences (s. 201 - 210)
  * fraud in relation to fares
  * breach of recognizance
  * failure to comply with probation order
  * paragraph 4(4)(a) of the Controlled Drugs and Substances Act
  * subsection 5(4) of the Controlled Drugs and Substances Act.

  * treason (s. 47)
  * alarming Her Majesty (s. 49)
  * intimidating Parliament or a legislature (s. 51)
  * inciting to mutiny (s. 53)
  * seditious offences (s. 61)
  * piracy (s. 74) and piratical acts (s. 75)
  * attempts of any of the above listed
  * murder (s. 235) and conspiracy to commit murder
  * offences under any of sections 4 to 7 of the Crimes Against Humanity and War Crimes Act;
  * the offence of being an accessory after the fact to high treason or treason or murder;
  * bribery of a holder of a judicial office (s. 119)

## Re-election[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Election&action=edit&section=T-4)]

The relevant provisions state as follows:

> **Right to Re-elect**  
561 (2) An accused who elects to be tried by a provincial court judge or who does not request a preliminary inquiry under subsection 536(4) may, not later than 14 days before the day first appointed for the trial, re-elect as of right another mode of trial, and may do so after that time with the written consent of the prosecutor.
> 
> (4) idem — Where an accused wishes to re-elect under subsection (2), the accused shall give notice in writing that he wishes to re-elect together with the written consent of the prosecutor, where that consent is required, to the provincial court judge before whom the accused appeared and pleaded or to a clerk of the court.
> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec561)

After the initial election, the Defence may change the mode of trial by re-electing under s. 561. The Defence is permitted to elect from provincial court to Superior Court judge alone or judge and jury (s.561(2)). This will only be possible without consent of the Prosecution when it is within the 14 day time limit.

There is a discretion with the provincial court judge to allow re-election during a trial to allow the accused to re-elect without the Crown's consent.[[1]](Print_version.html#cite_note-663)

The accused may only re-elect once, after which they have no further discretion of election.[[2]](Print_version.html#cite_note-664)

See also: The Practitioner’s Criminal Precedents, Second Edition, Document 3.30.

  


  1. [↑](Print_version.html#cite_ref-663) Re Diamonti (1981), 61 CCC (2d) 483 (BCSC); R v Jonkers (1991) unreported (BCPC)
  2. [↑](Print_version.html#cite_ref-664) R v Ishmail, (1981) 6 WCB 148 (BSCS)

## See also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Election&action=edit&section=T-5)]

  * [Canadian Criminal Procedure and Practice/Re-Elections Table](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Re-Elections_Table)

# III - Informations and Indictments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=14)]

# Informations and Indictments[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Informations and Indictments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-1)]

Criminal charges are set out in written form, either through an Indictment or an Information. An Indictment is the form of a charge typically handled in superior court while an information is the form used in provincial court.

An **information** is a accusation sworn by a peace officer. (s. 507, 508, 788, 789 and Form 2) The **indictment** is an unsworn accusation.(s.566,580, 591 and Form 4)

The purpose of an information was described as;[[1]](Print_version.html#cite_note-665)

  1. to commence the proceedings until the accused is arraigned or the charges dismissed;
  2. to inform the accused of the allegations against him or her;
  3. to indicate that an allegation has been made under oath before a justice of the peace; and
  4. for a summary conviction offence, to indicate to the accused that the information was sworn within six months after the time when the subject-matter of the proceedings arose: s. 786(2) of the Criminal Code.

  1. [↑](Print_version.html#cite_ref-665) R. v. Akey, [1990] O.J. No. 2205 (Gen. Div.) at para. 6

## Laying of an Information and Issuing Process[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-2)]

Once an accused is arrested he is given an appearance notice. The peace officer will then create the charge by laying of an information. It typically involves the officer, who has formed reasonable grounds to believe that a criminal offence has occurred, draft an information that will be presented to a justice of the peace along with a sworn summary of the evidence. Under s. 507 or 508 the justice of the peace will determine whether there is sufficient grounds to go forward with laying the sworn information and have the accused attend court. If there is sufficient grounds the justice will either issue a summons or a warrant, or simply confirm the appearance notice already served on the accused. This step is known as "issuing process". Once completed the accused will be required to attend court on the first appearance date. If not satisfied, the justice may cancel the appearance notice, promise to appear or recognizance.

The format for an information is taken from [Form 2 of the Code](http://canlii.ca/t/7vf2#sec849).

### Indictable Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-3)]

The two main routes of swearing the information for an indictable offence is either under s. 504 or 507. The main difference between the two is based on whether the accused was arrested (s. 504) or not (s. 507) at the time of the laying of the information.

A police officer cannot unilaterally compel a person to attend court. At sometime either before or after the arrest, a justice of the peace must review the grounds of the police officer to believe a criminal offence has occurred.

Under s. 504, where an accused person is charged with an offence, the Information detailing the charge will be sworn by a peace officer.

> **In what cases justice may receive information**  
504\. Any one who, on reasonable grounds, believes that a person has committed an indictable offence may lay an information in writing and under oath before a justice, and the justice shall receive the information, where it is alleged
> 
>     (a) that the person has committed, anywhere, an indictable offence that may be tried in the province in which the justice resides, and that the person 
> 
>     (i) is or is believed to be, or
>     (ii) resides or is believed to reside,
> 
> within the territorial jurisdiction of the justice;
> 
>     (b) that the person, wherever he may be, has committed an indictable offence within the territorial jurisdiction of the justice;
>     (c) that the person has, anywhere, unlawfully received property that was unlawfully obtained within the territorial jurisdiction of the justice; or
>     (d) that the person has in his possession stolen property within the territorial jurisdiction of the justice.
> 
> R.S., c. C-34, s. 455; R.S., c. 2(2nd Supp.), s. 5.
> 
> ...
> 
> – [CCC](http://canlii.ca/t/7vr2#sec504)

Section 508 sets out the requirement to confirm the form of the release as well as the need to consider the allegations from the informant and, where necessary, hear evidence.

> **Justice to hear informant and witnesses**  
508\. (1) A justice who receives an information laid before him under section 505 shall
> 
>     (a) hear and consider, ex parte, 
> 
>     (i) the allegations of the informant, and
>     (ii) the evidence of witnesses, where he considers it desirable or necessary to do so;
>     (b) where he considers that a case for so doing is made out, whether the information relates to the offence alleged in the appearance notice, promise to appear or recognizance or to an included or other offence, 
> 
>     (i) confirm the appearance notice, promise to appear or recognizance, as the case may be, and endorse the information accordingly, or
>     (ii) cancel the appearance notice, promise to appear or recognizance, as the case may be, and issue, in accordance with section 507, either a summons or a warrant for the arrest of the accused to compel the accused to attend before him or some other justice for the same territorial division to answer to a charge of an offence and endorse on the summons or warrant that the appearance notice, promise to appear or recognizance, as the case may be, has been cancelled; and
>     (c) where he considers that a case is not made out for the purposes of paragraph (b), cancel the appearance notice, promise to appear or recognizance, as the case may be, and cause the accused to be notified forthwith of the cancellation.
> 
> ...
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec508)

Once Justice of the Peace has reviewed and accepted the information, the information must be endorsed either confirming the release release documents, if the accused is present, or issue a summons or arrest warrant if the accused is not present.

A failure to confirm the release document ("the process") results in the information has been found to produce a nullity.[[1]](Print_version.html#cite_note-666) However, the growing attitude has been that the failure to endorse the process does not eliminate jurisdiction over the matter, and rather can only be used to support a charge of failure to attend.[[2]](Print_version.html#cite_note-667)

This provision requires a justice of the peace who receives an information outlining an offence that was sworn by a person who has "reasonable grounds" to believe an offence has been committed. If the requirements are made out, there is no discretion on the part of the justice.

Section 507 provides for a justice of the peace to receive an unsworn information outside of those received under s. 505. If the justice receives an information where the accused has not been arrested, the justice must hear and consider evidence setting out the allegations. If satisfied there is reasonable grounds to believe an offence has been committed, the justice may issue a summons or a warrant of arrest to compel the accused to attend before the justice of the peace or a provincial court. Note that the provision does not contemplate the issuance of a appearance notice or promise to appear.

> **Justice to hear informant and witnesses — public prosecutions**  
507\. (1) Subject to subsection 523(1.1), a justice who receives an information laid under section 504 by a peace officer, a public officer, the Attorney General or the Attorney General’s agent, other than an information laid before the justice under section 505, shall, except if an accused has already been arrested with or without a warrant,
> 
>     (a) hear and consider, ex parte, 
> 
>     (i) the allegations of the informant, and
>     (ii) the evidence of witnesses, where he considers it desirable or necessary to do so; and
>     (b) where he considers that a case for so doing is made out, issue, in accordance with this section, either a summons or a warrant for the arrest of the accused to compel the accused to attend before him or some other justice for the same territorial division to answer to a charge of an offence.
> 
> ..
> 
>   

> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec507)

Implied within the phrase of s. 507, includes an exception where "detained at the time the information is laid".[[3]](Print_version.html#cite_note-668)

The justice of the peace should issue a summons unless it is in the public interest to issue a warrant.(s. 507(4))

If a warrant is issued then the peace officer may arrest the accused under s. 511. (see [Canadian Criminal Procedure and Practice/Arrest and Detention/Warrant Arrests](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Warrant_Arrests))

Under s. 508.1, an information can be laid before a justice of the peace by way of telecommunications including telephone. In this case the information provided by phone is deeded to be under oath (s. 508.1(2)).

If the justice affirms the information by signing it, then the information has been laid and the matter begins the prosecution.

Once an accused person is charge and, if released, the officer has a time limit to swear the information under s.504. Section 505 addresses the the timing in which the information should be laid before a justice. It states:

> **Time within which information to be laid in certain cases**  
505\. Where
> 
>     (a) an appearance notice has been issued to an accused under section 496, or
>     (b) an accused has been released from custody under section 497 or 498,
> 
> an information relating to the offence alleged to have been committed by the accused or relating to an included or other offence alleged to have been committed by him shall be laid before a justice as soon as practicable thereafter and in any event before the time stated in the appearance notice, promise to appear or recognizance issued to or given or entered into by the accused for his attendance in court.
> 
> R.S., c. 2(2nd Supp.), s. 5.
> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec505)

Where the peace officer fails to comply with 505 by laying an information after the first court appearance does not result in a lack of jurisdiction over the offence or invalidate the information. [[4]](Print_version.html#cite_note-669)

Where the accused is released, a justice of the peace will review the charge before ordering the accused to attend court.(s. 508) If satisfied that there is reason to compel an accused to attend court, the justice will confirm the appearance notice or cancel it and issue a summons or warrant of arrest.[[5]](Print_version.html#cite_note-670)

There is an onus on the accused to establish that the justice of the peace did not comply with the requirements of s.504-508.[[6]](Print_version.html#cite_note-671) If the requirements are not met, the courts may lose jurisdiction over the accused and the charge may become a nullity.

  1. [↑](Print_version.html#cite_ref-666) R v Gougeon, [1980] OJ No 1332 (ONCA)
  2. [↑](Print_version.html#cite_ref-667) R v Haight, 2011 ONCJ 156; R v Duran, 2011 ONSC 7346
  3. [↑](Print_version.html#cite_ref-668) R. v. Ladzinski, [2012 ONCJ 205](http://canlii.ca/t/fqzsv) at 9  
R v Drozd, [2011] OJ No 616 (OCJ)
  4. [↑](Print_version.html#cite_ref-669) R. v. Markovic, [2005 CanLII 36251](http://canlii.ca/t/1lr7q), OJ No 4286 (ON CA)
  5. [↑](Print_version.html#cite_ref-670) R v Romanchuk, [2011 SKCA 127](http://www.canlii.org/en/sk/skca/doc/2011/2011skca127/2011skca127.html) at 4
  6. [↑](Print_version.html#cite_ref-671) Romanchuk at 6

### Summary Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-4)]

The process of laying charges for summary offences is similar to that of indictable offences. The process is set out in s. 788 to 795.

> **Commencement of proceedings**  
788\. (1) Proceedings under this Part shall be commenced by laying an information in Form 2.
> 
> **One justice may act before the trial**  
(2) Notwithstanding any other law that requires an information to be laid before or to be tried by two or more justices, one justice may
> 
>     (a) receive the information;
>     (b) issue a summons or warrant with respect to the information; and
>     (c) do all other things preliminary to the trial.
> 
> R.S., c. C-34, s. 723.
> 
> **Formalities of information**  
789\. (1) In proceedings to which this Part applies, an information
> 
>     (a) shall be in writing and under oath; and
>     (b) may charge more than one offence or relate to more than one matter of complaint, but where more than one offence is charged or the information relates to more than one matter of complaint, each offence or matter of complaint, as the case may be, shall be set out in a separate count.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec788)

Under [s. 795](http://canlii.ca/t/7vf2#sec795), the provisions of Parts XVI and XVIII, XVIII.1, XX and XX.1 apply equally to summary offences.

All summary offences can only be sworn less than 6 months after the date of the allegations. ([s. 786(2)](http://canlii.ca/t/7vf2#sec786))

## Validity of the Information[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-5)]

Chief Justice Dickson, in R. v. Sault Ste. Marie (1978), 40 C.C.C.(2d), [1978 CanLII 11](http://canlii.ca/t/1mkbt) (SCC), at 353, considered the evolution of the validity of informations, where in modern times substances rules over formality.

The date "is relevant and material only when the issue of limitation periods arises"[[1]](Print_version.html#cite_note-672) Where the date is in error, it may be that the proper date can be inferred.

Where the date of the information has been amended without any indication of the circumstances creates a nullity. [[2]](Print_version.html#cite_note-673)

There is a rebuttable presumption that a justice of the peace will only operate within their authority.[[3]](Print_version.html#cite_note-674)

It is often said that an information that contains on its face contained a contradiction that was an impossibility is a nullity. [[4]](Print_version.html#cite_note-675)

  1. [↑](Print_version.html#cite_ref-672) R. v. Dean, (1985), 36 Alta. L.R. (2d) 8 (Q.B.)
  2. [↑](Print_version.html#cite_ref-673) R. v. Howell [1978 CanLII 692](http://canlii.ca/t/27p4d) (AB QB), (1978), 14 A.R. 299
  3. [↑](Print_version.html#cite_ref-674) R. v. Justice of the Peace; Ex Parte Robertson, [1971] 1 O.R. 12 (CA)
  4. [↑](Print_version.html#cite_ref-675) R. v. George, [1993 CanLII 4609](http://canlii.ca/t/1qlcm) (NS SC)

### Motion to Quash the Information[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-6)]

Where the process required by s. 504 to 508 is not complied with and it results in a loss of jurisdiction allows the accused to apply to quash the information.

## Amendments to Information[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-7)]

An information and indictment may be amended under [s. 601](http://canlii.ca/t/7vf2#sec601).[[1]](Print_version.html#cite_note-676)

Under s. 601(3)(b) and (c), the court may amend the form or substance of an information at any stage of the proceeding.[[2]](Print_version.html#cite_note-677)

Amendments prior to the defendant electing to call evidence will often be permitted.[[3]](Print_version.html#cite_note-678)

Amendments to an information is a question of law (s. 601(6)).

  1. [↑](Print_version.html#cite_ref-676) section 601 specifically deals with indictable offences, but s. 795 allows it to equally apply to summary offences
  2. [↑](Print_version.html#cite_ref-677) e.g. see R. v. McConnell, [2005 CanLII 13781](http://canlii.ca/t/1k871) (ONCA)
  3. [↑](Print_version.html#cite_ref-678) R. v. M. (E.A.D.), [2008 MBCA 78](http://canlii.ca/t/1tq2h) (MBCA)

### Conforming to the Evidence at Trial or Preliminary Inquiry[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-8)]

Where a trial or preliminary inquiry has commenced, the crown or judge may amend the information under s. 601(2) to conform to the evidence as it comes out.

See also s. 601(b)(i)

Under s.601(4.4), variations between the evidence and the time or jurisdiction set out in the information are not materials where the indictment was preferred within the limitation period or where the matter arose in the geographical jurisdiction of the court.

### Factors to Consider[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-9)]

Section 601(4) sets out factors the court should consider:

> 601.
> 
> ...
> 
> **Matters to be considered by the court**  
(4) The court shall, in considering whether or not an amendment should be made to the indictment or a count in it, consider
> 
>     (a) the matters disclosed by the evidence taken on the preliminary inquiry;
>     (b) the evidence taken on the trial, if any;
>     (c) the circumstances of the case;
>     (d) whether the accused has been misled or prejudiced in his defence by any variance, error or omission mentioned in subsection (2) or (3); and
>     (e) whether, having regard to the merits of the case, the proposed amendment can be made without injustice being done.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec601)

### Prejudice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-10)]

An amendment will not be granted where the defence is prejudiced by the amendment. To be "prejudiced", the amendment must be create an offence the accused was unaware of or alter the manner in which the defence is conducted.[[1]](Print_version.html#cite_note-679)

An amendment may not substitute completely separate charges or otherwise "fundamentally" change the case against the accused.[[2]](Print_version.html#cite_note-680)

However, a correction in the section number alone is permissible at any point prior to the conclusion of trial.[[3]](Print_version.html#cite_note-681)

  
Under s. 601(5), where an accused is prejudiced by "a variance, error or omission" the court may adjourn the proceedings.

  1. [↑](Print_version.html#cite_ref-679) R. v. Ali, [2008 ABCA 361](http://canlii.ca/t/219w9)
  2. [↑](Print_version.html#cite_ref-680) R. v. Charlton and Ostere (1976), 30 C.C.C. (2d) 372 (B.C.C.A.)
  3. [↑](Print_version.html#cite_ref-681) R. v. Hubek, [2011 ABCA 254](http://canlii.ca/t/fn3sp) at para. 14

## Preferred and Direct Indictments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-11)]

Sections 574 and 577 under Part XX of the Criminal Code address the ability to prefer indictments.

> **Prosecutor may prefer indictment**  
574\. (1) Subject to subsection (3), the prosecutor may, whether the charges were included in one information or not, prefer an indictment against any person who has been ordered to stand trial in respect of
> 
>     (a) any charge on which that person was ordered to stand trial; or
>     (b) any charge founded on the facts disclosed by the evidence taken on the preliminary inquiry, in addition to or in substitution for any charge on which that person was ordered to stand trial.
> 
> **Preferring indictment when no preliminary inquiry requested**  
(1.1) If a person has not requested a preliminary inquiry under subsection 536(4) or 536.1(3) into the charge, the prosecutor may, subject to subsection (3), prefer an indictment against a person in respect of a charge set out in an information or informations, or any included charge, at any time after the person has made an election, re-election or deemed election on the information or informations.
> 
> **Preferring single indictment**  
(1.2) If indictments may be preferred under both subsections (1) and (1.1), the prosecutor may prefer a single indictment in respect of one or more charges referred to in subsection (1) combined with one or more charges or included charges referred to in subsection (1.1).
> 
> **Consent to inclusion of other charges**  
(2) An indictment preferred under any of subsections (1) to (1.2) may, if the accused consents, include a charge that is not referred to in those subsections, and the offence charged may be dealt with, tried and determined and punished in all respects as if it were an offence in respect of which the accused had been ordered to stand trial. However, if the offence was committed wholly in a province other than that in which the accused is before the court, subsection 478(3) applies.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 574; R.S., 1985, c. 27 (1st Supp.), s. 113; 2002, c. 13, s. 45.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec574)

The preferring of an indictment occurs when it is when the indictment is "lodged" with the superior court at the opening of trial.[[1]](Print_version.html#cite_note-682)

Once an indictment has been preferred, any defect arising from the arrest, summoning, or preliminary inquiry will not invalidate the indictment.[[2]](Print_version.html#cite_note-683)

  1. [↑](Print_version.html#cite_ref-682) R. v. Chabot [1980 CanLII 54](http://canlii.ca/t/1txc3) (SCC), [1980] 2 SCR 985  
R v Tippett 2010 NLCA 49
  2. [↑](Print_version.html#cite_ref-683) R. v. Chabot [1980 CanLII 54](http://canlii.ca/t/1txc3) (SCC), [1980] 2 SCR 985  
R. v. Dowson (1983), [1983] 2 S.C.R. 144 (S.C.C.)

### Direct Indictment[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-12)]

A "direct indictment" is an indictment that has been put before a Superior Court Justice without there having been an information from which the accused would have had an option of a preliminary inquiry.

> **Direct indictments**  
577\. Despite section 574, an indictment may be preferred even if the accused has not been given the opportunity to request a preliminary inquiry, a preliminary inquiry has been commenced but not concluded or a preliminary inquiry has been held and the accused has been discharged, if
> 
>     (a) in the case of a prosecution conducted by the Attorney General or one in which the Attorney General intervenes, the personal consent in writing of the Attorney General or Deputy Attorney General is filed in court; or
>     (b) in any other case, a judge of the court so orders.
> 
> R.S., 1985, c. C-46, s. 577; R.S., 1985, c. 27 (1st Supp.), s. 115, c. 1 (4th Supp.), s. 18(F); 2002, c. 13, s. 46.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec577)

Section 577 was found to be constitutional despite its effect of removing the right to a preliminary inquiry.[[1]](Print_version.html#cite_note-684) However, where the preferring of a direct indictment is combined with inadequate disclosure on the new charge(s), then it could result in a breach of the right to full answer and defence under s. 7 of the Charter.[[2]](Print_version.html#cite_note-685)

Where a direct indictment has been preferred the accused is deemed to have waived the preliminary inquiry and has made an election of trial by judge and jury.(565)

Direct indictments can be used even where there was already an election to provincial court.[[3]](Print_version.html#cite_note-686) It can also be used where the offence is one of absolute jurisdiction under s. 553[[4]](Print_version.html#cite_note-687)

Direct Indictments are most frequently used where:[[5]](Print_version.html#cite_note-688)

  1. delays in the trial could deprive the accused of the right to be tried within a reasonable time;
  2. the physical or psychological health of witnesses, their age, their safety or that of their relatives, and the difficulties involved in having witnesses testify more than once;
  3. preservation of the integrity of the Crown’s evidence by, for example, protecting informants and ongoing police investigations;
  4. a risk that evidence could be destroyed;
  5. public safety reasons;
  6. the need to avoid multiple proceedings caused, for example, by delays in making arrests;
  7. the accused was wrongly discharged following the preliminary inquiry because of errors, or new evidence has been discovered;
  8. a preliminary inquiry would be unreasonably costly, complex or long, or would be inappropriate because of the nature of the issues or the evidence;
  9. the alleged offence is so controversial that it is in the public interest to try the case as quickly as possible; and
  10. certain guidelines set out additional, broader criteria, such as the need to maintain public confidence in the administration of justice, the public interest, or the fact that the case is notorious or of particular importance to the public, that the direct indictment is the most appropriate procedure in the circumstances, or that there is a special need to expedite proceedings.

The Attorney General does not need to give reasons for deciding to prefer a direct indictment.[[6]](Print_version.html#cite_note-689)

The power under s. 577 is a discretionary power of the Crown.[[7]](Print_version.html#cite_note-690) However, it is reviewable for violations of the Charter. [[8]](Print_version.html#cite_note-691)

The defence may be able to have the court order evidence be taken from the justice system participants involved in the decision and the documents related to the decision to direct the indictment.[[9]](Print_version.html#cite_note-692) There is a high standard to warrant such disclosure requiring evidence of _mala fides_ or "flagrant impropriety".[[10]](Print_version.html#cite_note-693) Further, the applicant must show that the documents fall under an exception to solicitor-client privilege.[[11]](Print_version.html#cite_note-694)

The exercise of power under s. 577 can be reviewed as an abuse of process.[[12]](Print_version.html#cite_note-695)

To warrant a remedy, it must be shown "that a discretion was exercise for improper or arbitrary motives".[[13]](Print_version.html#cite_note-696) There must be "clear and convincing evidence supporting the allegations before the Court."[[14]](Print_version.html#cite_note-697)

The consent of the Attorney General should generally be found on the direct indictment with a signature. However, may still be valid by attaching a letter from the Attorney-General consenting to the indictment.[[15]](Print_version.html#cite_note-698)

  1. [↑](Print_version.html#cite_ref-684) R. v. Ertel (1987) 35 CCC (3d) 398  
Re Regina and Arviv 1985 CanLII 161 (ON CA), (1985), 19 C.C.C. (3d) 395  
see also R. v. Charlie1998 CanLII 4145 (BC CA), (1998), 126 C.C.C. (3d) 513 (BCCA)
  2. [↑](Print_version.html#cite_ref-685) Arviv at para. 26
  3. [↑](Print_version.html#cite_ref-686) Sher v. The Queen, 2012 ONSC 4783 at para. 14  
R v Poloni, 2009 BCSC 629 (“[the case law] all unequivocally state that the Attorney General has jurisdiction to directly indict an accused person who previously elected trial in provincial court.”)
  4. [↑](Print_version.html#cite_ref-687) R. v. Beaudry, [1967] 1 C.C.C. 272 (BCCA)
  5. [↑](Print_version.html#cite_ref-688) R. v. S.J.L., [2009 SCC 14](http://canlii.ca/t/22wn9) (CanLII), [2009] 1 SCR 426 at para. 38
  6. [↑](Print_version.html#cite_ref-689) Sher v .The Queen, 2012 ONSC 4783 at para. 27, 29
  7. [↑](Print_version.html#cite_ref-690) R. v. Ertel (1987) 35 CCC (3d) 398
  8. [↑](Print_version.html#cite_ref-691) R. v. Dallas, Hinchcliffe & Terezakis, 2001 BCSC 77 (CanLII) at para. 21
  9. [↑](Print_version.html#cite_ref-692) R v Durette, 1992 CanLII 2779 (ON CA), (1992), 72 C.C.C. (3d) 421 - judge declined to order statements from prosecutors but ordered sealed copies of relevant documents  

  10. [↑](Print_version.html#cite_ref-693) R. v. Chan, 2003 ABQB 169 - application for disclosure denied
  11. [↑](Print_version.html#cite_ref-694) R. v. Trang, 2002 ABQB 744 (CanLII) at para. 419
  12. [↑](Print_version.html#cite_ref-695) e.g. R. v. Trang, 2002 ABQB 744 at para. 369
  13. [↑](Print_version.html#cite_ref-696) R. v. Beare 1988 CanLII 126 (SCC)
  14. [↑](Print_version.html#cite_ref-697) R. v. Dallas, Hinchcliffe & Terezakis, 2001 BCSC 77 at para. 21
  15. [↑](Print_version.html#cite_ref-698) See R. v. L'Henaff, [1999 SKQB 259](http://canlii.ca/t/1ldk5) for form of indictment

## See Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Informations_and_Indictments&action=edit&section=T-13)]

  * [Canadian Criminal Procedure and Practice/Charges](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Charges)

# IV - Pleas[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=15)]

# Pleas[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Plea of Guilty[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-1)]

  * [Canadian Criminal Sentencing/Guilty Plea](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Guilty_Plea)

## Plea of Not Guilty[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-2)]

Where an accused refuses to make a plea or otherwise does not answer the question of plea, the presumption is that a plea of not guilty will be entered into the record (s. 606(2)).

## Special Pleas[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-3)]

### Autrefois Acquit and Autrefois Convict[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-4)]

> 607(1) An accused may plead the special pleas of
> 
>     (a) autrefois acquit;
>     (b) autrefois convict; and
>     (c) pardon.
> 
>   
...  
607(5) Where an accused pleads autrefois acquit or autrefois convict, it is sufficient if he
> 
>     (a) states that he has been lawfully acquitted, convicted or discharged under subsection 730(1), as the case may be, of the offence charged in the count to which the plea relates; and
>     (b) indicates the time and place of the acquittal, conviction or discharge under subsection 730(1).
> 
>   
608 Where an issue on a plea of autrefois acquit or autrefois convict is tried, the evidence and adjudication and the notes of the judge and official stenographer on the former trial and the record transmitted to the court pursuant to section 551 on the charge that is pending before that court are admissible in evidence to prove or to disprove the identity of the charges.
> 
> 609(1) Where an issue on a plea of autrefois acquit or autrefois convict to a count is tried and it appears
> 
>     (a) that the matter on which the accused was given in charge on the former trial is the same in whole or in part as that on which it is proposed to give him in charge, and
>     (b) that on the former trial, if all proper amendments had been made that might then have been made, he might have been convicted of all the offences of which he may be convicted on the count to which the plea of autrefois acquit or autrefois convict is pleaded,
>   
the judge shall give judgment discharging the accused in respect of that count.  
610(1) Where an indictment charges substantially the same offence as that charged in an indictment on which an accused was previously convicted or acquitted, but adds a statement of intention or circumstances of aggravation tending, if proved, to increase the punishment, the previous conviction or acquittal bars the subsequent indictment. 
> 
> – [CCC](http://canlii.ca/t/7vf2#sec607)

An accused is not acquitted until all available appeals have been exhausted.[[1]](Print_version.html#cite_note-699)

An accused cannot plead to autrefoit acquit where the victim in the first trial is different from the victim in the second trial.[[2]](Print_version.html#cite_note-700)

Where the facts and offence are substantially the same, the accused can rely on autrefois acquit or autrefois convict.[[3]](Print_version.html#cite_note-701)

Where the crown abandons a prosecution after an adverse evidentiary decision, the defence cannot plead autrefois acquit at a later new trial on the same offence.[[4]](Print_version.html#cite_note-702) </ref>

  1. [↑](Print_version.html#cite_ref-699) Corp. professionelle des médecins v. Thibault, 1988 CanLII 32 (SCC), [1988] 1 S.C.R. 1033, at para. 21
  2. [↑](Print_version.html#cite_ref-700) Rex v. Sweetman, [1939] 2 D.L.R. 70, [1939] O.J. No. 455
  3. [↑](Print_version.html#cite_ref-701) R. v. Tyhy, [2008 MBQB 126](http://canlii.ca/t/1wxpr) \-- autrefois acquit accepted
  4. [↑](Print_version.html#cite_ref-702) R v Button [2010 NLCA 66](http://canlii.ca/t/2d5kx) (CanLII)

### Res Judicata[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-5)]

The defence of res judicata prevent any convictions being entered for the same factual transactions as a previous conviction.

Res Judicata is "an act which underlies an offence or an act which forms part of a series of connected acts which make up the factual basis of an offence resulting in a conviction cannot be used to constitute the factual basis of a conviction for a conviction for another offence."[[1]](Print_version.html#cite_note-703)

The principle was codified under s. 12 of the Code:

> **Offence punishable under more than one Act**  
12\. Where an act or omission is an offence under more than one Act of Parliament, whether punishable by indictment or on summary conviction, a person who does the act or makes the omission is, unless a contrary intention appears, subject to proceedings under any of those Acts, but is not liable to be punished more than once for the same offence.  
R.S., c. C-34, s. 11.
> 
>   

> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec12)

### Double Jeopardy[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-6)]

Section 11(h) of the Charter states that "Any person charged with an offence has the right ...if finally acquitted of the offence, not to be tried for it again and, if finally found guilty and punished for the offence, not to be tried or punished for it again"

The rule against double jeopardy means that a person cannot be convicted of a single criminal offence twice.[[2]](Print_version.html#cite_note-704)

For the right under s.11(h) to apply the court must determine 1) whether the matter is of a "public nature, intended to promote public order and welfare within a public sphere of activity" and 2) whether the matter involves "the imposition of true penal consequences"[[3]](Print_version.html#cite_note-705)

  1. [↑](Print_version.html#cite_ref-703) R v. Allison and Direl (1983) 38 C.R. (3d) 333 per Martin J.
  2. [↑](Print_version.html#cite_ref-704) comes from latin “nemo debet bis vexaris pro una et eadem causa”  
Cullen 1949 SCR 658 Riddle 1980 1 SCR 380
  3. [↑](Print_version.html#cite_ref-705) R v Wigglesworth [1987] _ SCR _

### Kienapple principle[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-7)]

  * See [Canadian Criminal Procedure and Practice/Judgements#Kienapple principle against multiple convictions](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Judgements#Kienapple_principle_against_multiple_convictions)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pleas&action=edit&section=T-8)]

  * [Digests on Guilty Pleas](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Guilty_Pleas)

# V - Motions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=16)]

# Pre-Trial and Trial Motions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_and_Trial_Motions&action=edit&section=T-1)]

  * [Pre-Trial Conferences](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Pre-Trial_Conferences)
  * [Applications and Motions Procedure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure)
  * [Adjournments](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments)
  * [Public and Media Restrictions](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions)
  * [Withdraw and Dismissal of Charges](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Withdraw_and_Dismissal_of_Charges)
  * [Stay of Proceedings](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings)
  * [Peace Bonds](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds)
  * [Change of Venue](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Change_of_Venue)
  * [Mandamus, Certiorari, and Prohibition](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition)
  * [Habeas Corpus](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Habeas_Corpus)
  * [Challenging Legislation](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Challenging_Legislation)
  * [Costs](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Costs)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_and_Trial_Motions&action=edit&section=T-2)]

  * [Case Digests](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appendix/Case_Law)

## Reference[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_and_Trial_Motions&action=edit&section=T-3)]

  


# Pre-Trial Matters/Pre-Trial Conferences[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Organizational Pre-Trials[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Case_Management&action=edit&section=T-1)]

Under s. 625.1(1) the Court has the power to order that a conference be held between the parties to speed up the trial processs. The section states that:

    Subject to subsection (2), on application by the prosecutor or the accused or on its own motion, the court, or a judge of the court, before which, or the judge, provincial court judge or justice before whom, any proceedings are to be held may order that a conference between the prosecutor and the accused or counsel for the accused, to be presided over by the court, judge, provincial court judge or justice, be held prior to the proceedings to consider the matters that, to promote a fair and expeditious hearing, would be better decided before the start of the proceedings, and other similar matters, and to make arrangements for decisions on those matters.

This is also addressed through section 482.1:

    (1) A court referred to in subsection 482(1) or (2) may make rules for case management, including rules 

    (a) for the determination of any matter that would assist the court in effective and efficient case management;

Pre-Trial conferences can be helpful for a number of reasons:

  1. Narrow issues for trial -- parties may be able to agree on certain facts not in dispute at trial
  2. Learn the opponent's theory and strategy
  3. Gauge potential sentences -- in certain circumstances possible sentencing proposals can be bounced off the judge to get a sense of the likely outcome in a disputed sentencing hearing.
  4. Settle the case

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Case_Management&action=edit&section=T-2)]

  


# Pre-Trial Matters/Applications and Motions Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Motions and Applications Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-1)]

All motions are to be made inter partes, with notice to all the interested parties rather than ex parte, without notice to the other parties, "unless there is a compelling need, established by evidence, for an ex parte order."[[1]](Print_version.html#cite_note-706)

  1. [↑](Print_version.html#cite_ref-706) Mercier v. Nova Scotia (Attorney General), [2012 NSCA 25](http://canlii.ca/t/fqf0d)

### Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-2)]

Notice of Application must set out sufficient particulars to be meaningful. A notice without particulars will not constitute notice at all.[[1]](Print_version.html#cite_note-707)

Objections to the admissibility of evidence must be made at or before the evidence is tendered.[[2]](Print_version.html#cite_note-708)

  1. [↑](Print_version.html#cite_ref-707) R v Kutynec (1992) 70 CCC (3d) 289 (ONCA) ("if the facts as alleged by the defence in its summary provide no basis for a finding of a Charter infringement... then the trial judge should dismiss the motion without hearing evidence.")  
R. v. Kovac, [1998] O.J. No. 2347 (Gen. Div.) (“In the adversarial trial system, the court, the accused, and the community are entitled to have two informed and prepared litigants conducting the case…The Crown is entitled to be represented in name and substance”)
  2. [↑](Print_version.html#cite_ref-708) R. v. Phillips, [2003 SKQB 330](http://canlii.ca/t/56vd) at para. 9

## Voir Dire[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-3)]

A _Voir Dire_ is in-trial hearing that is considered a separate hearing from the trial itself. It is known as a "trial within a trial" and designed to determine an issue separate from the of procedure or admissibility of evidence.

Procedurally, a voir dire for the validity of a warrant should proceed as follows:[[1]](Print_version.html#cite_note-709)

    (a) The trial judge should determine whether a voir dire is necessary and, if so, whether the calling of evidence should be permitted;
    (b) If the judge accedes to the request to hold a voir dire and the accused wishes to cross-examine the informant, then the accused must obtain leave of the judge to do so. If the judge grants leave, then he or she can limit the scope of the cross-examination;
    (c) Cross-examination should proceed to the extent permitted by the order granting leave;
    (d) Re-examination, if any, should follow the cross-examination; and
    (e) The trial judge should determine whether the record as amplified on the review could support the issuance of the warrant.

The failure of holding a voir dire to determine if potentially inadmissible evidence should be heard will not not always be fatal to the trial. Where the evidence is still tested and there is no prejudice to the accused to may still be valid. The court must consider whether the process was followed that served the same purpose as the voir dire.[[2]](Print_version.html#cite_note-710)

There seems to be some ability to make a motion for "non-suit or directed verdict" motion by the responding party to a voir dire application.[[3]](Print_version.html#cite_note-711)

  


  


  1. [↑](Print_version.html#cite_ref-709) R. v. Wilson, [2011 BCCA 252](http://www.canlii.org/en/bc/bcca/doc/2011/2011bcca252/2011bcca252.html#par69) at para 69
  2. [↑](Print_version.html#cite_ref-710) R. v. D.A.R., [2012 NSCA 31](http://canlii.ca/t/fqnc4) (CanLII)
  3. [↑](Print_version.html#cite_ref-711) R v Gartland, 1981 CarswellOnt 1845, 7 W.C.B. 110 at para. 26 (the accused person must be afforded "every essential procedural step and safeguard available to him on his trial on the merits of the substantive offence, in so far as it can be applicable...") cited also in R v T.(B.) [2012 NSPC 59](http://canlii.ca/t/frx58)

### Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-4)]

The evidence heard in a voir dire can become evidence of the trial proper where it has been found admissible in the voir dire and both parties consent.[[1]](Print_version.html#cite_note-712)

Charter applications require a factual record. They cannot be argued in a vacuum.[[2]](Print_version.html#cite_note-713)

Affidavits that are based on hearsay should be given little weight and generally should not be considered admissible as evidence on a Charter application.[[3]](Print_version.html#cite_note-714)

  1. [↑](Print_version.html#cite_ref-712) R. v. Jir, [2010 BCCA 497 at para. 10](http://www.canlii.org/en/bc/bcca/doc/2010/2010bcca497/2010bcca497.html#par10); R. v. Ballendine, [2011 BCCA 221 at para. 84](http://www.canlii.org/en/bc/bcca/doc/2011/2011bcca221/2011bcca221.html#par84)
  2. [↑](Print_version.html#cite_ref-713) See MacKay v. Manitoba, 1989 CanLII 26 (SCC), [1989] 2 S.C.R. 357  
Danson v. Ontario, 1990 CanLII 93 (SCC), [1990] 2 S.C.R. 1086  

  3. [↑](Print_version.html#cite_ref-714) R. v. Darrach, 2000 SCC 46, [2000] 2 SCR 443  
R. v. Harris, [1994 CanLII 2986](http://canlii.ca/t/6k4j) (ONCA)  
R v Herter, [2009 ONCJ 378](http://canlii.ca/t/256c7) at para. 1  


## Re-opening Motions or Applications[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-5)]

A motion, application or appeal that has not been decided on its merits can be re-opened at the discretion of the court. The applicant has a "heavy onus" to show that it is in the "interests of justice" to reopen the matter.[[1]](Print_version.html#cite_note-715)

Factors to consider include:[[2]](Print_version.html#cite_note-716)

  1. the length of delay between the dismissal and the application for reinstatement, and the adequacy of the explanation offered for that delay;[[3]](Print_version.html#cite_note-717)
  2. whether the Appellant contributed to the delay;[[4]](Print_version.html#cite_note-718)
  3. whether the Appellant had a bona fide intention to pursue the appeal throughout the proceedings;[[5]](Print_version.html#cite_note-719)
  4. whether the initial Order was made in error, or the Court was operating under some misunderstanding of the material facts;[[6]](Print_version.html#cite_note-720)
  5. the effect reinstatement would have on public confidence in the administration of justice;[[7]](Print_version.html#cite_note-721)
  6. the seriousness of the charges[[8]](Print_version.html#cite_note-722)
  7. the merit of the appeal[[9]](Print_version.html#cite_note-723)

  1. [↑](Print_version.html#cite_ref-715) R. v. Blaker 1983 CanLII 308 (BC CA), (1983), 6 C.C.C. (3d) 385 at 392, 393
  2. [↑](Print_version.html#cite_ref-716) R. v. T.L.C., 2012 BCCA 131 at 26
  3. [↑](Print_version.html#cite_ref-717) R. v. Findlay (1996), 79 B.C.A.C. 106 at para. 13
  4. [↑](Print_version.html#cite_ref-718) R. v. Blaker at p. 393
  5. [↑](Print_version.html#cite_ref-719) R. v. Clymore, 1999 BCCA 225, 134 C.C.C. (3d) 476 at para. 14
  6. [↑](Print_version.html#cite_ref-720) R. v. Henry (1997), 100 B.C.A.C. 183 at para. 18
  7. [↑](Print_version.html#cite_ref-721) R. v. Clymore at para. 16
  8. [↑](Print_version.html#cite_ref-722) R. v. Blaker at p. 392
  9. [↑](Print_version.html#cite_ref-723) R. v. Blaker at p. 392; R. v. Clymore at para. 14

## Charter Motions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-6)]

A Charter motion is a defence application alleging a breach of a provision of the Charter.

In certain circumstances, trial judges may be permitted to raise a charter issue on behalf of the accused, particularly where they are self-represented.[[1]](Print_version.html#cite_note-724) However, interference of the judge may amount to reasonable apprehension of bias.[[2]](Print_version.html#cite_note-725)

A Charter application must be heard by a "court of competent jurisdiction". This is a court that has jurisdiction over the subject matter, the person and the remedy.[[3]](Print_version.html#cite_note-726) This will generally be the trial judge.[[4]](Print_version.html#cite_note-727)

  1. [↑](Print_version.html#cite_ref-724) R v Travers 2001 NSCA 71
  2. [↑](Print_version.html#cite_ref-725) R v Youngpine 2009 ABCA 89
  3. [↑](Print_version.html#cite_ref-726) R v Hynes 2001 SCC 82
  4. [↑](Print_version.html#cite_ref-727) R v Rahey [1987] 1 SCR 588

### Burden and Standard of Proof[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-7)]

The burden of proving a violation of any constitutional right is upon the applicant.[[1]](Print_version.html#cite_note-728) The evidence must be "sufficiently clear, convincing and cogent" to establish the breach on a balance of probabilities.[[2]](Print_version.html#cite_note-729)

If the evidence is not sufficiently persuasive one way or another, the court must find there was no Charter violation.[[3]](Print_version.html#cite_note-730)

  1. [↑](Print_version.html#cite_ref-728) R. v. Collins, 1987 CanLII 84 at
  2. [↑](Print_version.html#cite_ref-729) F.H. V. McDougall, [2008 SCC 53](http://canlii.ca/t/20xm8) at 46
  3. [↑](Print_version.html#cite_ref-730) R. v. Hardenstine, 2010 BCSC 899 (CanLII), 2010 BCSC 899, paras. 27, 34, referring to R. v. Collins 1987 CanLII 84 (SCC), (1987), 33 C.C.C. (3d) 1 (S.C.C.)

### Standing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-8)]

A person must have personal Charter-protected rights to make a claim of a violation under the Charter and seek a remedy under s. 24(2) of the Charter. 

There is no rule of automatic standing in challenging a search. Only a party who can establish a personal right to privacy (i.e. a "reasonable expectation of privacy") can challenge a search.[[1]](Print_version.html#cite_note-731)

An accused is not entitled to rely on a possible violation of the Charter rights of a co-accused.[[2]](Print_version.html#cite_note-732)

For example, where the accused is a passenger of the vehicle, the accused will not have standing to bring a Charter application as there is no privacy interest as a passenger, at least so diminished as to not have any Charter protection.[[3]](Print_version.html#cite_note-733)

A child under the age of 12 cannot be charged with an offence [[4]](Print_version.html#cite_note-734)and so they do not have standing to make any claim for a breach of s.8 Charter rights.

In section 8 Charter applications, standing exists where it has been established that the accused had a [Reasonable Expectation of Privacy](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Reasonable_Expectation_of_Privacy) to the target of the search.

  1. [↑](Print_version.html#cite_ref-731) e.g. R. v. Fankhanel, [1999 CanLII 19075](http://canlii.ca/t/2bqs6) (AB QB) at para. 12 citing R. v. Edwards (1996), 104 C.C.C.(3d) 137 (S.C.C.)
  2. [↑](Print_version.html#cite_ref-732) R. v. Sandhu, (1993) 28 B.C.A.C. 203 (BCCA)
  3. [↑](Print_version.html#cite_ref-733) R. v. Ramos, [2011 SKCA 63](http://canlii.ca/t/flmzz) (CanLII), 371 Sask. R. 308
  4. [↑](Print_version.html#cite_ref-734) YCJA s.2 defines "young person" as age 12 to 18

### Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-9)]

An Accused must prove a Charter violation through conducting a _voir dire_. Notice must give notice of a Charter application or else the application can be rejected without hearing evidence.[[1]](Print_version.html#cite_note-735) Notice must outline some facts, sometimes with a supporting affidavit. [[2]](Print_version.html#cite_note-736)

There is no "absolute entitlement to an evidentiary hearing", rather there must be a "factual and legal basis" for any motion.[[3]](Print_version.html#cite_note-737)

There is a duty upon defence to raise any Charter issues before trial.[[4]](Print_version.html#cite_note-738)

Verbal notice on the day of trial can be found insufficient notice.[[5]](Print_version.html#cite_note-739)

A threshold examination must be made to determine if on a balance of probabilities that the accused may be entitled to a Charter remedy and that the right was asserted as reasonably early as possible.[[6]](Print_version.html#cite_note-740) Where there is no timely notice, the Court may refuse an application.[[7]](Print_version.html#cite_note-741)

The trial judge had discretion to refuse to hear any motions with no notice or insufficient notice. The Court must balance the efficient use of court resources with the determination of court matters. [[8]](Print_version.html#cite_note-742)

See also: R. v. Wilson [2011 BCCA 252](http://www.canlii.org/en/bc/bcca/doc/2011/2011bcca252/2011bcca252.html)  
R. v. Ahmed-Kadir and McFadyen, [2011 BCPC 250](http://www.canlii.org/en/bc/bcpc/doc/2011/2011bcpc250/2011bcpc250.html)

Failure to comply with rules of motion is not always fatal to the motion.[[9]](Print_version.html#cite_note-743)

Where the court rules have not been complied with, the court “has wide discretion in respect of procedure to facilitate a fair and expeditious determination of Charter issues”[[10]](Print_version.html#cite_note-744) Thus, even a late request for a Charter application can still be heard by the court.

The court may refuse to hear a Charter application where no notice is given.[[11]](Print_version.html#cite_note-745)

The right to make full answer and defence does not include right to trial by ambush.[[12]](Print_version.html#cite_note-746)

Since the crown may not know the whole charter evidence before the motion, they are entitled to call evidence after hearing from the defence.[[13]](Print_version.html#cite_note-747)

Where insufficient notice is given on a constitutional challenge the court may refuse to entertain the argument.[[14]](Print_version.html#cite_note-748)

Where a Charter issue is raised after the Crown's case, it cannot be based on the lack of evidence on the particular issue. By requiring the crown to present evidence supporting non-existent Charter motion is tantamount to shifting the burden on the crown to prove the absence of a breach.[[15]](Print_version.html#cite_note-749)

The defence should not generally be permitted to raise a Charter motion at any point after the close of the Crown's case.[[16]](Print_version.html#cite_note-750)

It is in the ultimate discretion of the trial judge to decide whether to permit a late Charter application.[[17]](Print_version.html#cite_note-751)

The defence cannot object to the admission of evidence on the basis of a Charter violation where it is first raised in closing.[[18]](Print_version.html#cite_note-752)

Prior to trial, the court may make inquiries into what Charter issues to be presented at trial. [[19]](Print_version.html#cite_note-753)

  1. [↑](Print_version.html#cite_ref-735) R. v. Hamill (1984) 13 CCC 338 (BCCA)  
R. v. Kutynek  
R. v. Kutynec [1992] O.J. No. 347 at 16  
R. v. Vukelich (1996), 108 CCC 193 (BCCA) [1996 CanLII 1005](http://canlii.org/en/bc/bcca/doc/1996/1996canlii1005/1996canlii1005.html)
  2. [↑](Print_version.html#cite_ref-736) R. v. Vukelich, supra, at para 17; R. v. Pires, 2005 SCC at para. 35
  3. [↑](Print_version.html#cite_ref-737) ﻿R. v. Clancey [1992] OJ 3968 (Ont CJ (Gen Div))
  4. [↑](Print_version.html#cite_ref-738) R. v. Kovac [1998] O.J. No. 2347 (Ont. C.J.) at p.9
  5. [↑](Print_version.html#cite_ref-739) e.g. R. v. Mide [1998] A.J. No. 1384 (Alta. P.C.)
  6. [↑](Print_version.html#cite_ref-740) Vukelich, supra
  7. [↑](Print_version.html#cite_ref-741) see Kutynec at para 19
  8. [↑](Print_version.html#cite_ref-742) ﻿R. v. Loveman (1992) 71 CCC (3d) 123
  9. [↑](Print_version.html#cite_ref-743) R. v. Tillotson, [2011 ONSC 3390](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc3390/2011onsc3390.html)
  10. [↑](Print_version.html#cite_ref-744) R. v. Blom 2002 CanLII 45026 (ON CA), (2002), 61 O.R. (3d) 51 (C.A.) at 21 and 22
  11. [↑](Print_version.html#cite_ref-745) R v Rambissoon [2012] OJ 2305 (SCJ)
  12. [↑](Print_version.html#cite_ref-746) R v Darrach, 2000 SCC 46 at para. 55
  13. [↑](Print_version.html#cite_ref-747) R v Deveau [2011 NSCA 85](http://canlii.ca/t/fn55t)
  14. [↑](Print_version.html#cite_ref-748) R v Purtill [2012] OJ 2769 (SCJ)
  15. [↑](Print_version.html#cite_ref-749) R v Furlong [2012 NLCA 29](http://canlii.ca/t/frldw)
  16. [↑](Print_version.html#cite_ref-750) R. v. Chamberlain (1994), 30 C.R. (4th) 275 (Ont. C.A.) - judge was correct in exercising discretion to refuse to hear application  
R. v. Dwernychuk (1992), 77 C.C.C. (3d) 385 (Alta. C.A.)  

  17. [↑](Print_version.html#cite_ref-751) R. v. Habhab [1997] A.J. No. 175 (Alta P.C.) p. 9-10  

  18. [↑](Print_version.html#cite_ref-752) R v Kovac [1998] OJ 2347 (Gen. Div.)  
R. v. Nagda [2000] O.J. No. 5694 (Ont. C.J.) - Charter raised 10 months after trial, but before closing submission
  19. [↑](Print_version.html#cite_ref-753) ﻿R v. Yorke (1992) 115 NSR (2d) (NSCA) ("﻿It is basic to any adversarial system that a litigant applying for curial relief advise the court and the opponent of the application")  
R. v. Kingsbury [1997] O.J. No. 5438 (Ont. C.J.)  


### On Appeal but Not Raised at Trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-10)]

An accused may raise a new issue on appeal only with leave of the court.[[1]](Print_version.html#cite_note-754)

Even where leave is not requested, particularly where the accused is self-represented on appeal, the court may still consider whether to grant leave.[[2]](Print_version.html#cite_note-755)

  1. [↑](Print_version.html#cite_ref-754) R. v. Aisthorpe, [2006 NLCA 40](http://canlii.ca/t/1nzlk)
  2. [↑](Print_version.html#cite_ref-755) R. v. O'Keefe (No. 2), [2012 NLCA 25](http://canlii.ca/t/frczp) at 24 to 27

### Briefs[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Applications_and_Motions_Procedure&action=edit&section=T-11)]

The crown does not need to file a brief responding to an accused's Charter motion. He may instead wait until the conclusion of the accused's evidence to decide.[[1]](Print_version.html#cite_note-756)

  


# Pre-Trial Matters/Adjournments[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-1)]

An adjournment is re-scheduling of a court proceeding, be it arraignment, plea, trial, sentencing, or otherwise.

The granting of an adjournments is at the discretion of the judge (e.g. see s.571 and 645; 669.1(2)), but in practice is a frequent occurrence.

### Types of Adjournments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-2)]

Any judge dealing with an indictable matter without a jury:

> **Adjournment of non-jury trial**  
571\. A judge or provincial court judge acting under this Part [Pt. XIX — indictable offences — trial without jury] may from time to time adjourn a trial until it is finally terminated.
> 
> R.S.C. 1985, c. 27 (1st Supp.), s. 203

Adjournments of trials on indictable matters:

> **Allowing time**  
606\. (3) An accused is not entitled as of right to have his trial postponed but the court may, if it considers that the accused should be allowed further time to plead, move to quash, or prepare for his defence or for any other reason, adjourn the trial to a later time in the session or sittings of the court, or to the next of any subsequent session or sittings of the court, on such terms as the court considers proper.
> 
>   


Any judge dealing with an indictable matter with a jury:

> **Trial continuous**  
645\. (1) The trial of an accused shall proceed continuously subject to adjournment by the court.
> 
> **Adjournment**  
(2) The judge may adjourn the trial from time to time in the same sittings.

A Preliminary Inquiry Judge may adjourn under s.537:

> 537\. (1) A justice acting under this Part may
> 
>     (a) adjourn an inquiry from time to time and change the place of hearing, where it appears to be desirable to do so by reason of the absence of a witness, the inability of a witness who is ill to attend at the place where the justice usually sits or for any other sufficient reason;
> 
>   


Any judge dealing with a summary matter:

> 803\. (1) The summary conviction court may, in its discretion, before or during the trial, adjourn the trial to a time and place to be appointed and stated in the presence of the parties or their counsel or agents.
> 
>   


General adjournments:

> **Adjournment**  
669.1 (2) Any court, judge or provincial court judge having jurisdiction to try an accused or a defendant, or any clerk or other proper officer of the court, or in the case of an offence punishable on summary conviction, any justice, may, at any time before or after the plea of the accused or defendant is taken, adjourn the proceedings.
> 
> R.S.C. 1985, c. 27 (1st Supp.), s. 137

Where the accused has been misled or prejudiced by any issues found in the indictment or information, the accused may adjourn a matter. (see s.485, 547, and 601)

Where a party wishes to call an expert witness and did not give notice, the available remedy is an adjournment under 657.3 (5).

### Discretion of the Judge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-3)]

It is a discretionary decision on whether to grant an adjournment requested. The decision is reviewable on the circumstances of the particular case, including the ability and quality of the accused.[[2]](Print_version.html#cite_note-757) This exercise of discretion is afforded considerable deference.[[3]](Print_version.html#cite_note-758)

A judge is typically not inclined to adjourn trial matters. The cost of resources to bring a matter to trial and the desire to bring a matter to a conclusion speaks to the judge's interest in having a matter proceed. This is balanced against the accused's right to a fair trial and right to be tried within a reasonable time.

Where the judge has grounds to believe that the request for an adjournment is a sham, the judge may refuse the adjournment.[[4]](Print_version.html#cite_note-759)

See a review of principles at R. v. White [2010 ABCA 66](http://www.canlii.org/en/ab/abca/doc/2010/2010abca66/2010abca66.html#par17) at para 17.

  1. [↑](Print_version.html#cite_ref-756) R. v. Deveau, [2011 NSCA 85](http://canlii.ca/t/fn55t) (CanLII)
  2. [↑](Print_version.html#cite_ref-757) R. v. White [2010 ABCA 66](http://canlii.org/en/ab/abca/doc/2010/2010abca66/2010abca66.html)
  3. [↑](Print_version.html#cite_ref-758) R. v. Toor, 2001 ABCA 88 (CanLII) at para. 15 ("[t]he granting of adjournments and the exercise of judicial discretion are generally afforded a considerable degree of deference, and the law is well established in the area.")
  4. [↑](Print_version.html#cite_ref-759) R. v. Amos, [2012 ONCA 334](http://canlii.ca/t/frdtr)

### Lack of counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-4)]

The judge has discretion to adjourn a trial on request of the accused for reason that they are not represented by counsel. The judge must consider the accused constitutional right to a fair trial. However, the accused also has the right to represent himself. Further, the right to be represented by counsel must be exercised "diligently and honestly", thus they may be refused if they have not acted honestly and diligently. The accused cannot be refused where the absence of counsel is not their fault.[[1]](Print_version.html#cite_note-760)

However, an accused who chooses not to have counsel cannot appeal a conviction on the grounds of not having effective representation.[[2]](Print_version.html#cite_note-761)

  1. [↑](Print_version.html#cite_ref-760) R. v. Halnuck, [1996 CanLII 5275 (NS C.A.)](http://www.canlii.org/en/ns/nsca/doc/1996/1996canlii5275/1996canlii5275.html)  
R. v. Beals, (1993) 126 N.S.R. (2d) 130 (C.A.)  
R. v. Marzocchi, [2006 CanLII 13096 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/2006/2006canlii13096/2006canlii13096.html)  
R. v. Bitternose, [2009 SKCA 54](http://www.canlii.org/en/sk/skca/doc/2009/2009skca54/2009skca54.html)  
R. v. Bissonette [2003 ABCA 93](http://www.canlii.org/en/ab/abca/doc/2003/2003abca93/2003abca93.html)  

  2. [↑](Print_version.html#cite_ref-761) R. v. Harris, [2009 SKCA 96 at 27](http://canlii.ca/t/25cdz#par27)

### Lack of Preparation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-5)]

It is usually expected that an adjournment will be granted where there is late arriving evidence.[[1]](Print_version.html#cite_note-762)

Where a lawyer fails to properly prepare an adjournment is not required as there is a breach of their duty to the court and client.[[2]](Print_version.html#cite_note-763)

  1. [↑](Print_version.html#cite_ref-762) R. v. Johnston, 1991 OntCA
  2. [↑](Print_version.html#cite_ref-763) R. v. E.R.S. 1994 Atla.C.A.

### Missing witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-6)]

In order to adjourn a trial matter on the grounds of missing witnesses the applicant must establish:[[1]](Print_version.html#cite_note-764)

  1. that the absent witnesses are material in the case;
  2. that the party applying has not been guilty of laches or neglect in arranging for the attendance of the witnesses; and
  3. that there is a reasonable expectation that the witnesses will attend court on the date sought by the party applying for the adjournment.

The judge may also consider other relevant circumstances.[[2]](Print_version.html#cite_note-765)

  1. [↑](Print_version.html#cite_ref-764) R. v. LeBlanc [2005 NSCA 37](http://www.canlii.org/en/ns/nsca/doc/2005/2005nsca37/2005nsca37.html) \-- no adjournment for crown in failing to subpeona witnesses  
R. v. Rose (D.A.) (1995), 140 N.S.R.(2d) 151 (SC) [1995 CanLII 4458](http://www.canlii.org/en/ns/nssc/doc/1995/1995canlii4458/1995canlii4458.html)  
R. v. A.T., [1991 CanLII 6104 (AB Q.B.)](http://www.canlii.org/en/ab/abqb/doc/1991/1991canlii6104/1991canlii6104.html) \- factors to consider R. v. Shergill [2009 BCCA 55](http://www.canlii.org/en/bc/bcca/doc/2009/2009bcca55/2009bcca55.html) \-- judge should have granted crown adjournment for missing witness  
R. v. MacDonald, [1998 CanLII 18016 (NL C.A.)](http://www.canlii.org/en/nl/nlca/doc/1998/1998canlii18016/1998canlii18016.html) \-- short adjournment for crown for missing witness
  2. [↑](Print_version.html#cite_ref-765) R. v. Dang, [2005 ABCA 441](http://www.canlii.org/en/ab/abca/doc/2005/2005abca441/2005abca441.html) \-- consequences of delay by adjournment  


## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Adjournments&action=edit&section=T-7)]

  * R. v. Kandola and Johal, [2012 BCSC 1012](http://canlii.ca/t/fs0h9) \- adjournment for pre-sentence report denied
  * R. v. Sanborn, [2012 BCPC 41](http://canlii.ca/t/fqcmp) \-- crown not opposed -- adjournment denied
  * R v. Downey, [2011 ABQB 805](http://canlii.ca/t/fpf09) \-- failure to grant an adjournment for a self-rep overturned
  * R. v. Cole, [2010 NSCA 59](http://www.canlii.org/en/ns/nsca/doc/2010/2010nsca59/2010nsca59.html) \-- crown adjournment of trial refused
  * R. v. Marshall, [2009 NSPC 6](http://www.canlii.org/en/ns/nspc/doc/2009/2009nspc6/2009nspc6.html) \-- Trial adjournment granted
  * R. v. Oliver and Morrison, [2005 CanLII 3582](http://www.canlii.org/en/on/onca/doc/2005/2005canlii3582/2005canlii3582.html) (2005) 194 CCC (3d) 92 (Ont. CA) at para. 28
  * R. v. Brundia [2007 ONCA 725](http://www.canlii.org/en/on/onca/doc/2007/2007onca725/2007onca725.html)
  * R. v. Roebuck, [2001 ABQB 111](http://www.canlii.org/en/ab/abqb/doc/2001/2001abqb111/2001abqb111.html)
  * R. v. Nichols, [2001 CanLII 5680 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/2001/2001canlii5680/2001canlii5680.html) \-- refusal of adjournment mid-trial for firing counsel
  * R. v. J.E.B. 1989, 52 CCC 224 (NSCA)
  * R. v. Smith, (1989), 52 C.C.C. (3d) 90 (Ont. C.A.)
  * R. v. Manhas, [1980] 1 S.C.R. 591 [1980 CanLII 72](http://www.canlii.org/en/ca/scc/doc/1980/1980canlii172/1980canlii172.html)
  * Barrette, [1977] 2 SCR 121 [1976 CanLII 80](http://www.canlii.org/en/ca/scc/doc/1976/1976canlii180/1976canlii180.html)
  * R. v. Spataro, [1972 CanLII 25](http://canlii.ca/t/1twvw) (SCC), [1974] SCR 253
  * R. v. Warren (1973), 14 CCC 188
  * Darville v. The Queen (1956), 25 C.R. 1

  


# Pre-Trial Matters/Public and Media Restrictions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Excluding witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-1)]

Before the commencement of trial it is normally expected that all prospective witnesses will be excluded from the courtroom. This will usually be on the motion of one of the parties or the court itself.

The reason for excluding witnesses is because a witnesses ability to hear the evidence of other witnesses before testifying can negatively affect the credibility of the witness.[[1]](Print_version.html#cite_note-766)

## Public and Media Ban[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-2)]

There are several types of publication ban permitted under the criminal code:

  * An order restricting the publication of information identifying complainants of sexual offences [ [s.486.4](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec486.4) ]
  * An order restricting publication of information identifying victims and witnesses [ [s.486.5(1)](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec486.5) ]
  * An order restricting publication of information identifying a justice system participant [ s.486.5(2) ]

Under s. 486.6, anyone who violates any of these orders (s. 486.4(1), (2) or (3) or 486.5(1) or (2)) can be liable for a summary conviction offence.

### General Publication Ban (s. 486(1),(2))[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-3)]

Section 486.5(1) provides the court with the authority to make an order "directing that any information that could identify the victim or witness shall not be published in any document or broadcast or transmitted in any way if the judge or justice is satisfied that the order is necessary for the proper administration of justice."

While section 486.5(2) provides the authority to make an order to not reveal "information that could identify the justice system participant".

This can be applied for by a prosecutor, a victim or a witness, a judge or justice. (s. 486.5(1))

Under s.486.5(4), the application must be made in writing and notice must be given to the prosecutor, accused, or any other person affected by the order that the judge specifies. The application itself as well as the contents of a hearing on the application cannot be published.(s. 486.5(6), (9))

The order shall only be made where the applicant establishes that the order is "necessary for the proper administration of justice". (s. 486(1), (2), (5))

The factors that must be considered to decide whether to proceed are set out in s. 486.5(7):

    (a) the right to a fair and public hearing;
    (b) whether there is a real and substantial risk that the victim, witness or justice system participant would suffer significant harm if their identity were disclosed;
    (c) whether the victim, witness or justice system participant needs the order for their security or to protect them from intimidation or retaliation;
    (d) society’s interest in encouraging the reporting of offences and the participation of victims, witnesses and justice system participants in the criminal justice process;
    (e) whether effective alternatives are available to protect the identity of the victim, witness or justice system participant;
    (f) the salutary and deleterious effects of the proposed order;
    (g) the impact of the proposed order on the freedom of expression of those affected by it; and
    (h) any other factor that the judge or justice considers relevant.

### Sexual Offence Publication Ban[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-4)]

Under s. 486.4 (1), the court may make an order "directing that any information that could identify the complainant or a witness" not be published, broadcast or transmitted for any sexual offences (as listed in s. 486.4(1)(a)).

Any complainant or witness under the age of 18 years old must be notified of their right to make an application for an order, and if requested by the complainant, prosecutor or witness under 18 years of age, the judge must made the order. (s. 486.4(2))

Similarly, under 486.4(3), for charges under 163.1, the court must make an order in relation to any person who comprises the subject of child pornographic materials.

  1. [↑](Print_version.html#cite_ref-766) R. v. Smuk (1971), 3 CCC (2d) 457 (BCCA)

### Jury Identification Ban[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-5)]

Under 631(6), the court or crown may order a publication ban on any information that may tend to identify jury members where it "is necessary for the proper administration of justice".

## Public Access to Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-6)]

A judge should only refuse a request from the media to access evidence from a preliminary inquiry after the conclusion of trial where:

  1. such an order is necessary to prevent a serious risk to the proper administration of justice because reasonably alternative measures will not prevent the risk; and
  2. the salutary effects of the ban outweigh the deleterious effects on the rights and interests of the parties and the public, including the effects on the right to free expression, the right of the accused to a fair and public trial, and the efficacy of the administration of justice.

The judge must rely on actual evidence and not simply judicial common sense and logic alone.[[1]](Print_version.html#cite_note-767)

See also [Canadian Criminal Procedure and Practice/Disclosure](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Disclosure)

  1. [↑](Print_version.html#cite_ref-767) CTV Television Inc. v. R. et al., [2006 MBCA 132](http://canlii.ca/t/1q0cx) (CanLII)

## Excluding Public from Court[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-7)]

Section 486 sets out the basic premise that all criminal proceedings are held in open court but persons can be excluded where it is "in the interest of public morals, the maintenance of order, the proper administration of justice" or injury to international relations or national defence/security.

> **Exclusion of public in certain cases**  
486\. (1) Any proceedings against an accused shall be held in open court, but the presiding judge or justice may order the exclusion of all or any members of the public from the court room for all or part of the proceedings if the judge or justice is of the opinion that such an order is in the interest of public morals, the maintenance of order or the proper administration of justice or is necessary to prevent injury to international relations or national defence or national security.
> 
> **Protection of witnesses under 18 and justice system participants**  
(2) For the purposes of subsection (1), the “proper administration of justice” includes ensuring that
> 
>     (a) the interests of witnesses under the age of eighteen years are safeguarded in all proceedings; and
>     (b) justice system participants who are involved in the proceedings are protected.
> 
> **Reasons to be stated**  
(3) If an accused is charged with an offence under section 151, 152, 153, 153.1, 155 or 159, subsection 160(2) or (3) or section 163.1, 170, 171, 171.1, 172, 172.1, 172.2, 173, 212, 271, 272, 273, 279.01, 279.011, 279.02 or 279.03 and the prosecutor or the accused applies for an order under subsection (1), the judge or justice shall, if no such order is made, state, by reference to the circumstances of the case, the reason for not making an order.
> 
> R.S., 1985, c. C-46, s. 486; R.S., 1985, c. 27 (1st Supp.), s. 203, c. 19 (3rd Supp.), s. 14, c. 23 (4th Supp.), s. 1; 1992, c. 1, s. 60(F), c. 21, s. 9; 1993, c. 45, s. 7; 1997, c. 16, s. 6; 1999, c. 25, s. 2(Preamble); 2001, c. 32, s. 29, c. 41, ss. 16, 34, 133; 2002, c. 13, s. 20; 2005, c. 32, s. 15, c. 43, ss. 4, 8; 2010, c. 3, s. 4; 2012, c. 1, s. 28.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec486)

These provisions can be used at any time in a proceeding, including trial and sentencing.

## Reference[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions&action=edit&section=T-8)]

  


# Pre-Trial Matters/Change of Venue[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

The venue of trial may be changed on application under s. 599. That provision states:

> **Change of Venue**  
**Reasons for change of venue**  
599\. (1) A court before which an accused is or may be indicted, at any term or sittings thereof, or a judge who may hold or sit in that court, may at any time before or after an indictment is found, on the application of the prosecutor or the accused, order the trial to be held in a territorial division in the same province other than that in which the offence would otherwise be tried if
> 
>     (a) it appears expedient to the ends of justice; or
>     (b) a competent authority has directed that a jury is not to be summoned at the time appointed in a territorial division where the trial would otherwise by law be held.
> 
> (2) [Repealed, R.S., 1985, c. 1 (4th Supp.), s. 16]
> 
> **Conditions respecting expense**  
(3) The court or judge may, in an order made on an application by the prosecutor under subsection (1), prescribe conditions that he thinks proper with respect to the payment of additional expenses caused to the accused as a result of the change of venue.
> 
> **Transmission of record**  
(4) Where an order is made under subsection (1), the officer who has custody of the indictment, if any, and the writings and exhibits relating to the prosecution, shall transmit them forthwith to the clerk of the court before which the trial is ordered to be held, and all proceedings in the case shall be held or, if previously commenced, shall be continued in that court.
> 
> **Idem**  
(5) Where the writings and exhibits referred to in subsection (4) have not been returned to the court in which the trial was to be held at the time an order is made to change the place of trial, the person who obtains the order shall serve a true copy thereof on the person in whose custody they are and that person shall thereupon transmit them to the clerk of the court before which the trial is to be held.
> 
> R.S., 1985, c. C-46, s. 599; R.S., 1985, c. 1 (4th Supp.), s. 16.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec599)

The onus is on the applicant to establish that such an order “appears expedient to the ends of justice”.

A change of venue is rare and not without very good reason.[[1]](Print_version.html#cite_note-768)

  1. [↑](Print_version.html#cite_ref-768) R v. Conroy, [1995] O.J. No. 1667 at para 9

## Cases[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Change_of_Venue&action=edit&section=T-1)]

  * R. v. Suzack, [2000 CanLII 5630](http://canlii.ca/t/1fb1j) (ON CA)
  * R. v. Chaulk, [2012 ONSC 3170](http://canlii.ca/t/frjkn)

  


# Pre-Trial Matters/Joinder and Severance of Charges[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Form and Content of a Charge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-1)]

An information must provide sufficient detail to identify the transaction which gives rise to the criminal liability so that the accused can make full answer and defence.[[1]](Print_version.html#cite_note-769)

Where the charge is particularized beyond the essential elements, the Crown is still bound to prove the transaction delineated in the charge.[[2]](Print_version.html#cite_note-770)

> **Substance of offence**  
581\. (1) Each count in an indictment shall in general apply to a single transaction and shall contain in substance a statement that the accused or defendant committed an offence therein specified.
> 
> **Form of statement**  
(2) The statement referred to in subsection (1) may be
> 
>     (a) in popular language without technical averments or allegations of matters that are not essential to be proved;
>     (b) in the words of the enactment that describes the offence or declares the matters charged to be an indictable offence; or
>     (c) in words that are sufficient to give to the accused notice of the offence with which he is charged.
> 
> **Details of circumstances**  
(3) A count shall contain sufficient detail of the circumstances of the alleged offence to give to the accused reasonable information with respect to the act or omission to be proved against him and to identify the transaction referred to, but otherwise the absence or insufficiency of details does not vitiate the count.
> 
> ...
> 
> **Reference to section**  
(5) A count may refer to any section, subsection, paragraph or subparagraph of the enactment that creates the offence charged, and for the purpose of determining whether a count is sufficient, consideration shall be given to any such reference.
> 
> ...
> 
> **Certain omissions not grounds for objection**  
583\. No count in an indictment is insufficient by reason of the absence of details where, in the opinion of the court, the count otherwise fulfils the requirements of section 581 and, without restricting the generality of the foregoing, no count in an indictment is insufficient by reason only that
> 
>     (a) it does not name the person injured or intended or attempted to be injured;
>     (b) it does not name the person who owns or has a special property or interest in property mentioned in the count;
>     (c) it charges an intent to defraud without naming or describing the person whom it was intended to defraud;
>     (d) it does not set out any writing that is the subject of the charge;
>     (e) it does not set out the words used where words that are alleged to have been used are the subject of the charge;
>     (f) it does not specify the means by which the alleged offence was committed;
>     (g) it does not name or describe with precision any person, place or thing; or
>     (h) it does not, where the consent of a person, official or authority is required before proceedings may be instituted for an offence, state that the consent has been obtained.
>     R.S., c. C-34, s. 512.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec583)

A count is the specific wording of the charge itself. It sets out the specifics of the allegation.

For a count to be valid under s. 581 it must apply to a single transaction and must contain a statement that the accused committed the offence specified.

A crown cannot join two or more offences into a single count on an information.[[3]](Print_version.html#cite_note-771)

  1. [↑](Print_version.html#cite_ref-769) R. v. Saunders, 1990 CanLII 1131 (SCC), [1990] 1 S.C.R. 1020  
R. v. Jimmy, [2004] B.C.J. No. 1555  
R. v. Gauthier 1995 B.C.J. No. 1527 (C.A.)  
R v. Katsiris 2008 BCCA 251  

  2. [↑](Print_version.html#cite_ref-770) see R. v. Rai, 2011 BCCA 341 at para. 16 referring to s. 581
  3. [↑](Print_version.html#cite_ref-771) R. v. City of Sault St. Marie (1978) 2 SCR 256  
R. v. Barnes (1975) 26 CCC (2d) 112 (NSCA)

### Duplicity and Multiplicity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-2)]

A charge should only set out one offence.[[1]](Print_version.html#cite_note-772) At common law, a charge is invalid where it violates the rule rule of duplicity, setting two offences in a single count, and rule against multiplicity, setting out more than two offences in a single count. [[2]](Print_version.html#cite_note-773) The purpose of this rule is so that the accused may know the charge against him and, once a verdict is given, that he know what his conviction is exactly for. This is particularly relevant where the accused may later wish to rely upon a plea of autrefois acquit/convict.[[3]](Print_version.html#cite_note-774)

However, the common law rules against duplicity and multiplicity has been modified to be less stringent. A "double or multifarious" count is a defect in form, but not necessarily void.[[4]](Print_version.html#cite_note-775)

Further, s. 590 sets out that:

> **Offences may be charged in the alternative**  
590\. (1) A count is not objectionable by reason only that
> 
>     (a) it charges in the alternative several different matters, acts or omissions that are stated in the alternative in an enactment that describes as an indictable offence the matters, acts or omissions charged in the count; or
>     (b) it is double or multifarious.
> 
> R.S., c. C-34, s. 519.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec590)

In such cases, both the defence (590(2)) or the judge (590(3)) have the ability to amend the count into multiple counts on the information.

The primary test applied is to ask "does the accused know the case he has to meet, or is he prejudiced in the preparation of his defence by ambiguity in the charge?"[[5]](Print_version.html#cite_note-776)

A charge is not duplicitous because the range of offence dates cover a period of time where the relevant available defence changed in law.[[6]](Print_version.html#cite_note-777)

  1. [↑](Print_version.html#cite_ref-772) e.g. see s. 789 regarding summary offences  
see also s. 581 ("Each count in an indictment shall in general apply to a single transaction and shall contain in substance a statement that the accused or defendant committed an offence therein specified.")
  2. [↑](Print_version.html#cite_ref-773) R v Archer, [1955 CanLII 2](http://canlii.ca/t/1tvld) (SCC), [1955] SCR 33
  3. [↑](Print_version.html#cite_ref-774) R. v. Sault Ste. Marie (City) [1978] 2 S.C.R. 1299
  4. [↑](Print_version.html#cite_ref-775) R. v. Neville, [1981] 2 S.C.R. 434  
R. v. Cotroni; R. v. Papalia , [1979] 2 S.C.R. 256
  5. [↑](Print_version.html#cite_ref-776) R. v. Sault Ste. Marie (City) , [1978] 2 S.C.R. 1299 at p. 1308
  6. [↑](Print_version.html#cite_ref-777) R. v. Katigbak, 2011 SCC 48

## Sufficiency of Count[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-3)]

The indictment should contain “sufficient details to give the accused reasonable information with respect to the charge and to enable the accused to identify the transaction so as to permit the adequate preparation of the defence".[[1]](Print_version.html#cite_note-778) The information necessary will vary depending on the facts of the case and the nature of the offence.

**Parties**  
The common law does not generally distinguish between the principle and an aider or abettor for the purpose of the indictment. There is however a distinction between principles and accessories.[[2]](Print_version.html#cite_note-779) Counselling can fall within either an accessory or as a aider or abettor.[[3]](Print_version.html#cite_note-780)

  1. [↑](Print_version.html#cite_ref-778) R. v. Douglas, 1991 CanLII 81 (SCC), [1991] 1 S.C.R. 301, 63 C.C.C. (3d) 29 at para. 24
  2. [↑](Print_version.html#cite_ref-779) R. v. Thatcher, [1987 CanLII 53](http://www.canlii.org/en/ca/scc/doc/1987/1987canlii53/1987canlii53.html) (SCC), [1987] 1 S.C.R. 652
  3. [↑](Print_version.html#cite_ref-780) R. v. Fitur and Maldonado, [2012 MBQB 5](http://canlii.ca/t/fprx7)

## Charge Surplusage[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-4)]

Surplusage within the charge refers to non-material or "non-essential averments". Surplusage need not be strictly proved where the accused is not misled or prejudiced.[[1]](Print_version.html#cite_note-781)

  1. [↑](Print_version.html#cite_ref-781) R. v. Vezina, 1986 CanLII 93 (SCC), [1986] 1 S.C.R. 2  
R. v. Canadian National Railway Co. 2005 M.J. No. 104 at para. 41 to 42  


## Amendments to Charges[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-5)]

Amendments to an indictment are addressed in s. 601:

> **Amending defective indictment or count**  
601\. (1) An objection to an indictment preferred under this Part or to a count in an indictment, for a defect apparent on its face, shall be taken by motion to quash the indictment or count before the accused enters a plea, and, after the accused has entered a plea, only by leave of the court before which the proceedings take place. The court before which an objection is taken under this section may, if it considers it necessary, order the indictment or count to be amended to cure the defect.
> 
> **Amendment where variance**  
(2) Subject to this section, a court may, on the trial of an indictment, amend the indictment or a count therein or a particular that is furnished under section 587, to make the indictment, count or particular conform to the evidence, where there is a variance between the evidence and
> 
>     (a) a count in the indictment as preferred; or
>     (b) a count in the indictment 
> 
>     (i) as amended, or
>     (ii) as it would have been if it had been amended in conformity with any particular that has been furnished pursuant to section 587.
> 
> **Amending indictment**  
(3) Subject to this section, a court shall, at any stage of the proceedings, amend the indictment or a count therein as may be necessary where it appears
> 
>     (a) that the indictment has been preferred under a particular Act of Parliament instead of another Act of Parliament;
>     (b) that the indictment or a count thereof 
> 
>     (i) fails to state or states defectively anything that is requisite to constitute the offence,
>     (ii) does not negative an exception that should be negatived,
>     (iii) is in any way defective in substance,
> 
> and the matters to be alleged in the proposed amendment are disclosed by the evidence taken on the preliminary inquiry or on the trial; or
> 
>     (c) that the indictment or a count thereof is in any way defective in form.
> 
> **Matters to be considered by the court**  
(4) The court shall, in considering whether or not an amendment should be made to the indictment or a count in it, consider
> 
>     (a) the matters disclosed by the evidence taken on the preliminary inquiry;
>     (b) the evidence taken on the trial, if any;
>     (c) the circumstances of the case;
>     (d) whether the accused has been misled or prejudiced in his defence by any variance, error or omission mentioned in subsection (2) or (3); and
>     (e) whether, having regard to the merits of the case, the proposed amendment can be made without injustice being done.
> 
> **Variance not material**  
(4.1) A variance between the indictment or a count therein and the evidence taken is not material with respect to
> 
>     (a) the time when the offence is alleged to have been committed, if it is proved that the indictment was preferred within the prescribed period of limitation, if any; or
>     (b) the place where the subject-matter of the proceedings is alleged to have arisen, if it is proved that it arose within the territorial jurisdiction of the court.
> 
> **Adjournment if accused prejudiced**  
(5) Where, in the opinion of the court, the accused has been misled or prejudiced in his defence by a variance, error or omission in an indictment or a count therein, the court may, if it is of the opinion that the misleading or prejudice may be removed by an adjournment, adjourn the proceedings to a specified day or sittings of the court and may make such an order with respect to the payment of costs resulting from the necessity for amendment as it considers desirable.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 601; R.S., 1985, c. 27 (1st Supp.), s. 123; 1999, c. 5, s. 23(E); 2011, c. 16, s. 6.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec601)

Mistakes to heading of indictment will not affect its validity.(s. 601(8))

## Joinder and Severance[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-6)]

### Joinder[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-7)]

Under [s. 591(1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec591), any counts can be joined onto the same indictment. A party may apply to the court join charges on separate informations where the offences relate. [[1]](Print_version.html#cite_note-782). The judge further has the power to hear evidence concurrently on a summary and indictable matter where the offences relate. [[2]](Print_version.html#cite_note-783) The consequence of this is that an otherwise summary offence matter can be tried and disposed of by a Justice of a Superior Court where the offence relates to a indictable matter that the Justice is hearing evidence on.

See also: R. v. Dardon, [2004 ABQB 14](http://canlii.org/en/ab/abqb/doc/2004/2004abqb146/2004abqb146.html)

  1. [↑](Print_version.html#cite_ref-782) See 9:13012 of E. Ewaschuk, Criminal Pleadings and Practice in Canada, 2d ed
  2. [↑](Print_version.html#cite_ref-783) See. R. v. Clunas [1992] SCR 595 [1992 CanLII 27](http://canlii.org/en/ca/scc/doc/1992/1992canlii127/1992canlii127.html)

### Severance of Charges[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Charges&action=edit&section=T-8)]

A motion to sever co-accused can be brought under s. 591(3)(b) of the Criminal Code:

> **Severance of accused and counts**  
(3) The court may, where it is satisfied that the interests of justice so require, order
> 
>     (a) that the accused or defendant be tried separately on one or more of the counts; and
>     (b) where there is more than one accused or defendant, that one or more of them be tried separately on one or more of the counts.
> 
> **Order for severance**  
(4) An order under subsection (3) may be made before or during the trial but, if the order is made during the trial, the jury shall be discharged from giving a verdict on the counts
> 
>     (a) on which the trial does not proceed; or
>     (b) in respect of the accused or defendant who has been granted a separate trial.
>   
[[55]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec591)

The "interest of justice" is determined based on the balance of “prejudice to the accused and the public interest in a single trial”. [[1]](Print_version.html#cite_note-784)This includes the interests of those of the accused, the co-accused, and the community as represented by the prosecution. The trial judge shall weigh the competing interests and will sever only if satisfied that severance is required. The applicant must overcome the presumption that co-accused who are jointly charged and are said to have acted in concert, should be tried together.[[2]](Print_version.html#cite_note-785) The crown has the option to indict the accused separately or jointly, and the discretion so exercised is entitled to great weight.[[3]](Print_version.html#cite_note-786)

The factors to consider include:[[4]](Print_version.html#cite_note-787)

  * the general prejudice to the accused;
  * the legal and factual nexus between the counts;
  * the complexity of the evidence;
  * whether the accused intends to testify on one count but not another;
  * the possibility of inconsistent verdicts;
  * the desire to avoid a multiplicity of proceedings;
  * the use of similar fact evidence at trial;
  * the length of the trial having regard to the evidence to be called;
  * the potential prejudice to the accused with respect to the right to be tried within a reasonable time;
  * and the existence of antagonistic defences as between co-accused persons
  * expense and convenience of witnesses;[[5]](Print_version.html#cite_note-788)

Severance will be granted where:[[6]](Print_version.html#cite_note-789)

  * the defendants have antagonistic defences;
  * the important evidence in favour of one of the defendants which would be admissible on a separate trial would not be allowed on a joint trial;
  * the evidence which is incompetent against one defendant is to be introduced against another, and that it would work prejudicially to the former with the jury;
  * a confession made by one of the defendants, if introduced and proved, would be calculated to prejudice the jury against the other defendants; and
  * one of the defendants could give evidence for the whole or some of the other defendants and would become a competent and compellable witness on the separate trials of such other defendants.

See also:R. v. Tymchyshyn et al., 2011 MBQB 261[[56]](http://www.canlii.org/en/mb/mbqb/doc/2011/2011mbqb261/2011mbqb261.html) (rejected)

  1. [↑](Print_version.html#cite_ref-784) R. v. E. (T.I.), 2012 MBQB 20 at 8
  2. [↑](Print_version.html#cite_ref-785) R. v. Savoury, 2005 CanLII 25884 (ON CA)[[38]](http://www.canlii.org/en/on/onca/doc/2005/2005canlii25884/2005canlii25884.html) at 22
  3. [↑](Print_version.html#cite_ref-786) R. v. Handsor, [2005] M.J. No. 79 (QL), 2005 CarswellMan 86, 193 Man.R. (2d) 8 (Q.B.) at 6
  4. [↑](Print_version.html#cite_ref-787) R. v. Last, 2009 SCC 45[[39]](http://canlii.org/en/ca/scc/doc/2009/2009scc45/2009scc45.html#par18) at 18  
R. v. E. (L.) 1994 CanLII 1785 (ON CA), (1994), 94 C.C.C. (3d) 228 (Ont. C.A.), at p. 238  
R. v. Cross 1996 CanLII 5992 (QC CA), (1996), 112 C.C.C. (3d) 410 (Que. C.A.), at p. 419  
R. v. Cuthbert 1996 CanLII 8341 (BC CA), (1996), 106 C.C.C. (3d) 28 (B.C.C.A.), at para. 9, aff'd1997 CanLII 397 (SCC), [1997] 1 S.C.R. 8  
R. v. E. (T.I.), 2012 MBQB 20 (failed)  

  5. [↑](Print_version.html#cite_ref-788) Handsor, supra
  6. [↑](Print_version.html#cite_ref-789) Handsor, supra

  


# Pre-Trial Matters/Withdraw and Dismissal of Charges[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Withdraw and Dismissal of Charges[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Withdraw_and_Dismissal_of_Charges&action=edit&section=T-1)]

The crown can withdraw a charge at any time prior to plea. Otherwise, it must be with leave of the court and will sometimes require consent of defence. There is a limited exception for abuse of process.

When an election to Superior Court court has been made, the charge can be withdrawn up until a preliminary inquiry is complete.

## Dismissal for Want of Prosecution[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Withdraw_and_Dismissal_of_Charges&action=edit&section=T-2)]

A judge may make an order dismissing charges for "want of prosecution" resulting in the cessation of the proceedings.

The order can be made at any point up until the commencement of trial.

An applicant can make a motion seeking the dismissal of the charges. Typically, this will arise where a matter cannot proceed any further such as where:

  1. the judge has refused to adjourn a matter
  2. the Crown elects to "offer no evidence"
  3. the crown has failed to attend or is otherwise incapable of moving a prosecution forward

The authority to dismiss charges is discretionary.[[1]](Print_version.html#cite_note-790)

A judge cannot make a order a dismissal for want of prosecution where the prosecutor is late in attending court.[[2]](Print_version.html#cite_note-791) And particularly where a guilty plea has already been entered.[[3]](Print_version.html#cite_note-792)

A charge that is dismissed for want of prosecution may be recommenced with the laying of a new information or direct indictment only with written consent of the Attorney General or Deputy Attorney General ([485.1](http://canlii.ca/t/7vf2#sec485.1)).

  1. [↑](Print_version.html#cite_ref-790) R. v. Fletcher and Smith 1990 CanLII 2507 (NS CA), (1990), 99 N.S.R. (2d) 258 at p. 260, para. 7
  2. [↑](Print_version.html#cite_ref-791) R. v. Moreland, 1994 CanLII 1016 (BC SC)
  3. [↑](Print_version.html#cite_ref-792) R. v. Siciliano, 2012 ONCA 168

  


# Pre-Trial Matters/Stay of Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Stay of Proceedings by Crown[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-1)]

Under s. 579 the Crown may direct that a proceedings be stayed.

> **Attorney General may direct stay**  
579\. (1) The Attorney General or counsel instructed by him for that purpose may, at any time after any proceedings in relation to an accused or a defendant are commenced and before judgment, direct the clerk or other proper officer of the court to make an entry on the record that the proceedings are stayed by his direction, and such entry shall be made forthwith thereafter, whereupon the proceedings shall be stayed accordingly and any recognizance relating to the proceedings is vacated.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec579)

This is a right of the crown on the basis that all criminal proceedings are on behalf of the queen.[[1]](Print_version.html#cite_note-793)

This form of stay is separate and apart from a judicial stay of proceedings.

  1. [↑](Print_version.html#cite_ref-793) R v Cooke, Dingman and Whitton (1948), 91 C.C.C. 310

## Judicial Stay of Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-2)]

Courts have jurisdiction to stay criminal proceedings under s. 24(1) where putting a person on trial would amount to an "abuse of process" and violate the "principles of fundamental justice" under s. 7.[[1]](Print_version.html#cite_note-794) The principle of abuse of process arises from the common law.[[2]](Print_version.html#cite_note-795) It is now superceeded by the Charter.[[3]](Print_version.html#cite_note-796)

A Stay of Proceedings is the most drastic of remedies available to a court. As the Supreme Court of Canada stated:

    Charges that are stayed may never be prosecuted; an alleged victim will never get his or her day in-Court; society will never have the matter resolved by a trier of fact. For these reasons, a stay is reserved for only those cases of abuse where a very high threshold is met: "the threshold for obtaining a stay of proceedings remains, under the Charter as under the common law doctrine of abuse of process, the 'clearest of cases'[[4]](Print_version.html#cite_note-797)

A stay of proceedings is considered the “ultimate remedy” that is abosultely final, preventing the court from ever adjudicating the matter.[[5]](Print_version.html#cite_note-798)

Consequently, there is a high threshold on a stay of proceedings. It is only permissible in the “clearest of cases”.[[6]](Print_version.html#cite_note-799)

A clearest of case is one in which the integrity of the justice system is implicated.[[7]](Print_version.html#cite_note-800)

If the Crown enters a stay of proceedings on their own is part of the Crown's royal prerogative which is not reviewable by the court.

  1. [↑](Print_version.html#cite_ref-794) R v Jewitt [1985] 2 SCR 128  
R v Kalanj [1989] 1 SCR 1594  
R v Power [1994] 1 SCR 601  

  2. [↑](Print_version.html#cite_ref-795) R v O'Connor [1995] 4 SCR 411
  3. [↑](Print_version.html#cite_ref-796) e.g. R v Regan [2002] 1 SCR 297
  4. [↑](Print_version.html#cite_ref-797) R. v. O'Connor, [1995] 4 S.C.R. 411 [[40]](http://www.canlii.org/en/ca/scc/doc/1995/1995canlii51/1995canlii51.html)  
see Carosella, 1997 CanLII 402 (SCC), [1997] 1 S.C.R. 80  
R. v. La, 1997 CanLII 309 (SCC), [1997] 2 S.C.R. 680  
R. v. Regan, 2002 SCC 12, [2002] 1 S.C.R. 297; and R. v. Taillefer  
R. v. Duguay, 2003 SCC 70, [2003] 3 S.C.R. 307  

  5. [↑](Print_version.html#cite_ref-798) Canada (Minister of Citizenship & Immigration) v. Tobiass,1997 CanLII 322 (SCC), [1997] 3 SCR 391, 118 CCC (3d) 443 at para 86.
  6. [↑](Print_version.html#cite_ref-799) R. v. Regan, 2002 SCC 12 (CanLII), 2002 SCC 12, [2002] 1 SCR 297 at para 53  

  7. [↑](Print_version.html#cite_ref-800) R. v. Antinello, (1995), 165 AR 122, 97 CCC (3d) 126 (CA)  
R. v. Curragh, 1997 CanLII 381 (SCC), [1997] 1 SCR 537, 113 CCC (3d) 481  
R. v. Spence, 2011 ONSC 2406, 85 CR (6th) 72  
R. v. Bjelland, 2009 SCC 38, [2009] 2 SCR 651  
R. v. R.P.S, 2010 ABQB 418, 503 AR 233  
R. v. Robinson, 1999 ABCA 367, 250 AR 201  
R. v. Latimer, 1997 CanLII 405 (SCC), [1997] 1 SCR 217, 112 CCC (3d) 193  
R. v. Gangl, 2011 ABCA 357  


## Abuse of Process[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-3)]

The test was set out as follows:

    "Regardless of whether the abuse causes prejudice to the accused, because of an unfair trial, or to the integrity of the justice system, a stay of proceedings will only be appropriate when two criteria are met: 

    (1) the prejudice caused by the abuse in question will be manifested, perpetuated or aggravated through the conduct of the trial, or by its outcome; and
    (2) no other remedy is reasonably capable of removing that prejudice.[[1]](Print_version.html#cite_note-801)

  1. [↑](Print_version.html#cite_ref-801) RR. v. Regan, 2002 SCC 12, [2002] 1 S.C.R. 297 [[41]](http://www.canlii.org/en/ca/scc/doc/2002/2002scc12/2002scc12.html)

### Police Misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-4)]

Police misconduct towards an accused in certain cases can lead to a stay of proceedings on the basis of abuse of process under the residual category.[[1]](Print_version.html#cite_note-802)

It has applied where police have given false evidence[[2]](Print_version.html#cite_note-803)

The police are entitled to use "lawful stratagems, even amounting to reasonable trickery, to gather evidence".[[3]](Print_version.html#cite_note-804)

It has been successfully argued that a video camera filming an accused in lockup using the toilet is a violation of s. 8 resulting in a stay of proceedings.[[4]](Print_version.html#cite_note-805)

  1. [↑](Print_version.html#cite_ref-802) R. v. Ahmed, [2011 ONSC 2551](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc2551/2011onsc2551.html): obstruction charge stayed  
R. v. Maskell, [2011 ABPC 176](http://www.canlii.org/en/ab/abpc/doc/2011/2011abpc176/2011abpc176.html): impaired charges stayed
  2. [↑](Print_version.html#cite_ref-803) R. v. Spagnoli and Shore, [2011 ONSC 4843](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc4843/2011onsc4843.html) \-- falsified anonymous source information
  3. [↑](Print_version.html#cite_ref-804) R. v Grandinetti, [2003 ABCA 307](http://canlii.ca/t/4pvr) at paras. 36-42
  4. [↑](Print_version.html#cite_ref-805) R. v. Mok, 2012 ONCJ 291

### Prosecutorial Misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-5)]

See: Nixon, [2011 SCC 34](http://www.canlii.org/en/ca/scc/doc/2011/2011scc34/2011scc34.html)

### Lost evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-6)]

Not every case loss of evidence will infringe the accused’s right to make full answer and defence. “Owing to the frailties of human nature, evidence will occasionally be lost” [[1]](Print_version.html#cite_note-806). The Crown must explain the loss and satisfy the trial judge that it was not due to unacceptable negligence or an abuse of process. If satisfactorily explained, the onus is on the accused to “establish actual prejudice to his or her right to make full answer and defence” [[2]](Print_version.html#cite_note-807). The principal consideration, in the explanation, “is whether the Crown or the police (as the case may be) took reasonable steps in the circumstances to preserve the evidence” [[3]](Print_version.html#cite_note-808)

  


  1. [↑](Print_version.html#cite_ref-806) R. v. La, [1997 CanLII 309](http://canlii.ca/t/1fr18) (SCC), [1997] 2 SCR 680, at para. 20
  2. [↑](Print_version.html#cite_ref-807) La at para. 25
  3. [↑](Print_version.html#cite_ref-808) La at para. 21  
and see R. v. Kociuk (R.J.), [2011 MBCA 85](http://www.canlii.org/en/mb/mbca/doc/2011/2011mbca85/2011mbca85.html)

### Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-7)]

  * [Canadian Criminal Procedure and Practice/Delay of Proceedings](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings)

### Arbitrary Detention[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Stay_of_Proceedings&action=edit&section=T-8)]

See [Canadian Criminal Procedure and Practice/Arrest_and_Detention/Arrest_Procedure#Terms of Custody](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Arrest_and_Detention/Arrest_Procedure#Terms_of_Custody) for details on detention procedure.

For a stay of proceedings to be made due to a breach of s.9 during detention post-arrest, there must be some connection between the charges and the breach. [[1]](Print_version.html#cite_note-809)

  1. [↑](Print_version.html#cite_ref-809) R. v. Salisbury, [2011 SKQB 153](http://canlii.ca/t/fl6mt) at 11 (" It is accepted that there was a breach of s. 9 of the Charter. However, it occurred after the commission of the offences and after the investigation had been completed. There was no connection between the breach and the charges. ")

  


# Delay of Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-1)]

Section 11 of the Canadian Charter entitles a "person charged with an offence ... the right ... to be tried within a reasonable time". Where there is a breach of this right, the available remedy to a court is a stay of proceedings.

The burden is on the applicant to prove a breach of s.11(b) of the Charter.[[1]](Print_version.html#cite_note-810) The Crown has the burden of proving any waiver of rights.[[2]](Print_version.html#cite_note-811)

The applicant must first establish that the period raises the issue of “reasonableness”. (See R. v. Morin and R. v. Reid) Once reasonableness has been raised, the delay that can be attributed to the applicant or waived by the applicant must be calculated to be subtracted from the overall calculation.

The length of permissible time to have a matter tried cannot be based on the mere passage of time. If it were it would effectively be a judicially created limitation period for criminal offences.[[3]](Print_version.html#cite_note-812)

The remaining time must be considered in light of the “interests section 11(b) seeks to protect, the explanation for the delay and the prejudice to the accused”[[4]](Print_version.html#cite_note-813)

The suggested elements to consider can be summarized as follows:[[5]](Print_version.html#cite_note-814)

> [69] From the foregoing review it is possible I think to give a brief summary of all the factors which should be taken into account in considering whether the length of the delay of a trial has been unreasonable.
> 
>     (i) The Length of the Delay. 
> 
>     The longer the delay, the more difficult it should be for a court to excuse it. Very lengthy delays may be such that they cannot be justified for any reason.
>     (ii) Explanation for the Delay.
>     (a) Delays Attributable to the Crown. 
> 
>     Delays attributable to the action of the Crown or officers of the Crown will weigh in favour of the accused. The cases of Rahey and Smith provide examples of such delays.
> 
>     
> 
>     Complex cases which require longer time for preparation, a greater expenditure of resources by Crown officers, and the longer use of institutional facilities will justify delays longer than those acceptable in simple cases.
>     (b) Systemic or Institutional Delays. 
> 
>     Delays occasioned by inadequate resources must weigh against the Crown. Institutional delays should be considered in light of the comparative test referred to earlier. The burden of justifying inadequate resources resulting in systemic delays will always fall upon the Crown. There may be a transitional period to allow for a temporary period of lenient treatment of systemic delay.
>     (c) Delays Attributable to the Accused. 
> 
>     Certain actions of the accused will justify delays. For example, a request for adjournment or delays to retain different counsel.
>     There may as well be instances where it can be demonstrated by the Crown that the actions of the accused were undertaken for the purposes of delaying the trial.
>     (iii) Waiver. 
> 
>     If the accused waives his rights by consenting to or concurring in a delay, this must be taken into account. However, for a waiver to be valid it must be informed, unequivocal and freely given. The burden of showing that a waiver should be inferred falls upon the Crown. An example of a waiver or concurrence that could be inferred is the consent by counsel for the accused to a fixed date for trial.
>     (iv) Prejudice to the Accused. 
> 
>     There is a general, and in the case of very long delays an often virtually irrebuttable presumption of prejudice to the accused resulting from the passage of time. Where the Crown can demonstrate that there was no prejudice to the accused flowing from a delay, then such proof may serve to excuse the delay. It is also open to the accused to call evidence to demonstrate actual prejudice to strengthen his position that he has been prejudiced as a result of the delay.

Section 11(b) does not apply to delays arising from an appeal from conviction.[[6]](Print_version.html#cite_note-815)

The court should take into account the societal interests in trying the case on the merits. This generally considers the nature of the allegation.[[7]](Print_version.html#cite_note-816)

  1. [↑](Print_version.html#cite_ref-810) R v Morin, [[42]](http://canlii.ca/t/1fsc6) [1992] 1 SCR 77
  2. [↑](Print_version.html#cite_ref-811) R. v. C.S. [1999 CanLII 18948](http://canlii.ca/t/27pwv) (NL CA), (1999), 172 Nfld. & P.E.I.R. 175 (N.L.C.A.), at para. 9  
R. v. Buckingham, [2007] N.J. No. 367 (S.C.), at para. 18
  3. [↑](Print_version.html#cite_ref-812) R. v. L. (W.K.), [1991] 1 S.C.R. 1091
  4. [↑](Print_version.html#cite_ref-813) C. (R.), at para 7. Also see R. v. Qureshi [2004 CanLII 40657](http://canlii.ca/t/1j6q5), (2004), 190 C.C.C. (3d) 453 (Ont. C.A.) at para 12
  5. [↑](Print_version.html#cite_ref-814) Askov [1990 CanLII 45](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii45/1990canlii45.html) at para 69;  
R. v. Morin, (1992), 71 C.C.C. (3d) 1 [1992 CanLII 89 (SCC)](http://canlii.ca/en/ca/scc/doc/1992/1992canlii89/1992canlii89.html)
  6. [↑](Print_version.html#cite_ref-815) R v Potvin, [1993 CanLII 113](http://canlii.ca/t/1fs21) (SCC), [1993] 2 SCR 880
  7. [↑](Print_version.html#cite_ref-816) R. v. Seegmiller, [2004 CanLII 46219](http://canlii.ca/t/1jdvw) (ON CA)

## Length of Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-2)]

The period that can be considered begins at the laying of the charge and extends until the end of trial.[[1]](Print_version.html#cite_note-817) Delay can also apply to the point of sentencing.[[2]](Print_version.html#cite_note-818)

Cannot usually take into account events occurring before the charges were laid.[[3]](Print_version.html#cite_note-819)

  1. [↑](Print_version.html#cite_ref-817) R. v. Kalanj, 1989 CanLII 63 (SCC), [1989] 1 S.C.R. 1594
  2. [↑](Print_version.html#cite_ref-818) R. v. MacDougall 1998 CanLII 763 (SCC), (1998), 128 C.C.C. (3d) 483 (S.C.C.)  
R. v. Gallant, 1998 CanLII 764 (SCC), [1998] 3 S.C.R. 80)
  3. [↑](Print_version.html#cite_ref-819) R. v. A.K. and A.V. (2005), 195 C.C.C. (3d) 501 (Ont. C.A.) [2005 CanLII 11389](http://www.canlii.org/en/on/onca/doc/2005/2005canlii11389/2005canlii11389.html) at 162

## Reason for Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-3)]

It is "the ultimate responsibility of moving a case forward rests with the Crown". [[1]](Print_version.html#cite_note-820) However, the Crown is not to take responsibility for defence counsel's failings to properly represent the interests of their client.

  1. [↑](Print_version.html#cite_ref-820) R. v. Stephen, [2012 ONCA 411](http://canlii.ca/t/frpw9) at 7

### Intake Period / Pre-Charge Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-4)]

The intake period refers to the period of time between the beginning of the investigation and the eventual swearing the Information and sending of disclosure to the Crown.

This period can be divided into two types of delay:[[1]](Print_version.html#cite_note-821)

  1. delay between the offence occurring and the reporting to police
  2. delay between the reporting of the offence and the police laying a charge

The intake period will vary on the type of charges investigated.

Drinking and driving cases typically have an intake period of roughly two months.[[2]](Print_version.html#cite_note-822)

As a general rule, pre-information time is not part of the analysis of s. 11(b).[[3]](Print_version.html#cite_note-823) Rather, it can only become an issue where the delay has an impact on the "principles of fundamental justice" under s. 7 of the Charter.[[4]](Print_version.html#cite_note-824) Section 7 violations are generally considered only in exceptional circumstances.[[5]](Print_version.html#cite_note-825)

It has been suggested that pre-charge delay should only be considered where it affects the right to full answer and defence or otherwise impacts trial fairness.[[6]](Print_version.html#cite_note-826)

Significant delays for swearing of the information can be justified where the matter involves complex investigations.[[7]](Print_version.html#cite_note-827)

Delays of appeals can only be considered as a s. 7 violation.[[8]](Print_version.html#cite_note-828)

For s. 11(b) analysis the clock is not running during the period of "withdrawing of a charge and the laying of a new information".[[9]](Print_version.html#cite_note-829)

Where the accused alleges missing or lost evidence arising from pre-charge delay, the accused must establish that the lost evidence (e.g. memories) caused "actual prejudice" by impeding the ability to adequately cross-examine witnesses or call defence witnesses.[[10]](Print_version.html#cite_note-830)

The accused must present "actual evidence" of "psychological trauma" from pre-trial delay.[[11]](Print_version.html#cite_note-831)

Pre-charge delay in the range of 40 years can breach the right to full answer and defence where it is estalished that there was a "material loss of opportunity to garner evidence" due to key witnesses being dead.[[12]](Print_version.html#cite_note-832)

  1. [↑](Print_version.html#cite_ref-821) R v A.(S.) 2011 NUCJ 7
  2. [↑](Print_version.html#cite_ref-822) R. v. Meisner [2003] O.J. No. 1948 (ONSC)
  3. [↑](Print_version.html#cite_ref-823) R v Kalanj, [1989 CanLII 63](http://canlii.ca/t/1ft46) (SCC), [1989] 1 SCR 1594
  4. [↑](Print_version.html#cite_ref-824) R. v. Stymiest (1993), 79 C.C.C. (3d) 408
  5. [↑](Print_version.html#cite_ref-825) R v Young (1984) 13 CCC (3d) 1 (ONCA)
  6. [↑](Print_version.html#cite_ref-826) R v Finn (1996) 106 CCC (3d) 43, [1996 CanLII 6632](http://canlii.ca/t/1npm2) (NL CA)  
e.g. R v National Steel Car Ltd. [2003 CanLII 30223](http://canlii.ca/t/1bvjt) (ON CA)
  7. [↑](Print_version.html#cite_ref-827) R. v. Kalanj [1989] S.C.J. No. 71: 8 months delay for complicated conspiracy charges
  8. [↑](Print_version.html#cite_ref-828) R. v. Potvin , [1993] 2 S.C.R. 880
  9. [↑](Print_version.html#cite_ref-829) R. v. R. (G.W.) (1996), 112 C.C.C. (3d) 179 (ONCA)
  10. [↑](Print_version.html#cite_ref-830) R. v. R. (G.W.) (1996), 112 C.C.C. (3d) 179 (ONCA)
  11. [↑](Print_version.html#cite_ref-831) R v G.(A.D.) 2001 NSCA 28
  12. [↑](Print_version.html#cite_ref-832) R. v. Grandjambe (1996), 108 C.C.C. (3d) 338

### Re-Scheduling of trial time[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-5)]

This period of time concerns delay resulting from the inability to finish the trial during the initial time booked.

It is generally expected that incomplete cases will be given priority over other matters in court. Delays due to re-schdeduling of trial time is treated as institutional delay or as part of the inherent time requirements. [[1]](Print_version.html#cite_note-833)

  1. [↑](Print_version.html#cite_ref-833) R. v. Godin, [2009] S.C.J. No. 26  
R. v. Brace (2010), 261 C.C.C. (3d) 455 at paras. 14-16 (Ont. C.A.)  
R. v. Allen, supra at pp. 347-351; R. v. Satkunanathan 2001 CanLII 24061 (ON CA), (2001), 152 C.C.C. (3d) 321 at paras 43-5 and 54-5 (Ont. C.A.)  
R. v. M. (R.) 2003 CanLII 50092 (ON CA), (2003), 180 C.C.C (3d) 49 at paras. 6-9  
R. v. W. (A.J.) (2009), 257 O.A.C. 11 at paras. 29-43 (ONCA)  


## Institutional or Systemic Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-6)]

Institutional delay "runs from the time the parties are ready for trial and continues until the system can accommodate the proceedings."[[1]](Print_version.html#cite_note-834)

The Supreme Court in Morin suggested a "guideline of between 8 and 10 months for institutional delay in Provincial Courts."

**Inherent Delays**  
By contrast "inherent delay" are those that are necessary to move a case forward. The more complicated the case the longer the preparation time will be required. In addition, counsel "cannot be expected to devote their time exclusively to one case." The inherent delays are excusable. This is determined on a case by case basis. [[2]](Print_version.html#cite_note-835)

  1. [↑](Print_version.html#cite_ref-834) R v Morin [1992 CanLII 89](http://canlii.ca/t/1fsc6) (SCC), [1992] 1 SCR 771
  2. [↑](Print_version.html#cite_ref-835) R v Richards, [2012 SKCA 120](http://canlii.ca/t/fvb3q) (CanLII) at para. 33  
R. v. Morin at pp. 791-2  


## Accused Caused Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-7)]

Where delay is largely "attributable to the accused" or defence counsel, a prima facie case of unreasonable delay cannot bemade out.[[1]](Print_version.html#cite_note-836)

Defence counsel cannot be expected to be perpetually available.[[2]](Print_version.html#cite_note-837)

The accused cannot use adjournment either requested or consented to by defence as weighing in favour of unreasonable delay.[[3]](Print_version.html#cite_note-838)

Where delay is contributed to by the defence's use of the preliminary inquiry as a lengthy discovery it cannot be used towards unreasonable delay.[[4]](Print_version.html#cite_note-839)

  1. [↑](Print_version.html#cite_ref-836) R. v. Morin , [1992] 1 S.C.R. 771  
R. v. Kwok (2002), 164 C.C.C. (3d) 182
  2. [↑](Print_version.html#cite_ref-837) R. v. Godin [2009] 2 S.C.R. 3
  3. [↑](Print_version.html#cite_ref-838) R. v. Heaslip (1983), 9 C.C.C. (3d) 480 (Ont. C.A.)  
R. v. Deloli (1985), 20 C.C.C. (3d) 153 (Man. C.A.)  

  4. [↑](Print_version.html#cite_ref-839) R. v. Bazinet (2002), 168 C.C.C. (3d) 344 (BCCA) at para. 21

## Waiver of Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-8)]

A waiver must be clear, unequivocal and with full knowledge of the right being waived.[[1]](Print_version.html#cite_note-840)

  1. [↑](Print_version.html#cite_ref-840) R. v. White 1998 CanLII 13319 (NL CA), (1998), 160 Nfld. & P.E.I.R. 309 (N.L.C.A.) at para 10 and R. v. Richard, 1996 CanLII 185 (SCC), [1996] 3 S.C.R. 525

## Prejudice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-9)]

Prejudice is the harm caused to the accused due to the delay in resolving the matter. The more time that passes, the more likely an inference of prejudice [[1]](Print_version.html#cite_note-841)

The prejudice must arise out of the delay not simply caused by the charges being laid.[[2]](Print_version.html#cite_note-842)

A factor to consider to determine if there is prejudice include whether there has been an impact on accused’s ability to make full answer and defence.

In proving prejudice beyond what can be inferred by the passage of time, it is upon the accused to prove it.In the context of proving actual prejudice beyond that which can be inferred, the burden will be on the accused it. [[3]](Print_version.html#cite_note-843)

See also R. v. Atlantic Technologist Ltd. [2008] N.J. No. 54

  1. [↑](Print_version.html#cite_ref-841) Morin, [1992 CanLII 89](http://canlii.ca/en/ca/scc/doc/1992/1992canlii89/1992canlii89.html) at para. 63
  2. [↑](Print_version.html#cite_ref-842) R. v. Kovacs-Tatar [2004 CanLII 42923](http://canlii.org/en/on/onca/doc/2004/2004canlii42923/2004canlii42923.html)
  3. [↑](Print_version.html#cite_ref-843) R. v. Sharma, [1992 CanLII 90](http://canlii.ca/t/1fsc8) (SCC), [1992] 1 S.C.R. 814

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Delay_of_Proceedings&action=edit&section=T-10)]

  * [Canadian_Criminal_Procedure_and_Practice/Appendix/Charter Delay Case Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appendix/Charter_Delay_Case_Law)

  


# Pre-Trial Matters/Peace Bonds[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-1)]

A Peace Bond is a form of recognizance that a judge can order at the request of either Crown or Defence, or on the Court's own motion. The Peace Bond lasts for up to 12 months and may include conditions such as requiring the accused to "keeping the peace"; to refrain from contact or communication with a named party; not to possess any weapons or ammunition.

The Peace Bond can be ordered at any point before or during the trial.

## Common Law[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-2)]

The peace bond traces back to the English common law as a form of "preventative justice". It "empowers justices to place a person under bond where it appears the person may be a threat to peace, regardless of the fact the person has committed no offence." [[1]](Print_version.html#cite_note-844)

The common law peace bond still exists. It is not a criminal punishment that is extinguished by s. 9 of the Criminal Code and is affirmed by section 8(2)[[2]](Print_version.html#cite_note-845)

  1. [↑](Print_version.html#cite_ref-844) Stevenson v. Saskatchewan (Minister of Justice), 61 Sask.R.91 (Q.B.)  
see also Mackenzie v. Martin, 1954 CanLII 10 (SCC), [1954] S.C.R. 361 at p.370  

  2. [↑](Print_version.html#cite_ref-845) 8.(2) The criminal law of England that was in force in a province immediately before April 1, 1955 continues in force in the province except as altered, varied, modified or affected by this Act or any other Act of the Parliament of Canada.

## Legislation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-3)]

> Sureties to Keep the Peace
> 
> Where injury or damage feared  
810\. (1) An information may be laid before a justice by or on behalf of any person who fears on reasonable grounds that another person will cause personal injury to him or her or to his or her spouse or common-law partner or child or will damage his or her property.
> 
> Duty of justice  
(2) A justice who receives an information under subsection (1) shall cause the parties to appear before him or before a summary conviction court having jurisdiction in the same territorial division.
> 
> Adjudication  
(3) The justice or the summary conviction court before which the parties appear may, if satisfied by the evidence adduced that the person on whose behalf the information was laid has reasonable grounds for his or her fears, (a) order that the defendant enter into a recognizance, with or without sureties, to keep the peace and be of good behaviour for any period that does not exceed twelve months, and comply with such other reasonable conditions prescribed in the recognizance, including the conditions set out in subsections (3.1) and (3.2), as the court considers desirable for securing the good conduct of the defendant; or (b) commit the defendant to prison for a term not exceeding twelve months if he or she fails or refuses to enter into the recognizance.
> 
> Conditions  
(3.1) Before making an order under subsection (3), the justice or the summary conviction court shall consider whether it is desirable, in the interests of the safety of the defendant or of any other person, to include as a condition of the recognizance that the defendant be prohibited from possessing any firearm, cross-bow, prohibited weapon, restricted weapon, prohibited device, ammunition, prohibited ammunition or explosive substance, or all such things, for any period specified in the recognizance and, where the justice or summary conviction court decides that it is so desirable, the justice or summary conviction court shall add such a condition to the recognizance.
> 
> Surrender, etc.  
(3.11) Where the justice or summary conviction court adds a condition described in subsection (3.1) to a recognizance order, the justice or summary conviction court shall specify in the order the manner and method by which (a) the things referred to in that subsection that are in the possession of the accused shall be surrendered, disposed of, detained, stored or dealt with; and (b) the authorizations, licences and registration certificates held by the person shall be surrendered.
> 
> Reasons  
(3.12) Where the justice or summary conviction court does not add a condition described in subsection (3.1) to a recognizance order, the justice or summary conviction court shall include in the record a statement of the reasons for not adding the condition.
> 
> Idem  
(3.2) Before making an order under subsection (3), the justice or the summary conviction court shall consider whether it is desirable, in the interests of the safety of the informant, of the person on whose behalf the information was laid or of that person’s spouse or common-law partner or child, as the case may be, to add either or both of the following conditions to the recognizance, namely, a condition
> 
>     (a) prohibiting the defendant from being at, or within a distance specified in the recognizance from, a place specified in the recognizance where the person on whose behalf the information was laid or that person’s spouse or common-law partner or child, as the case may be, is regularly found; and
>     (b) prohibiting the defendant from communicating, in whole or in part, directly or indirectly, with the person on whose behalf the information was laid or that person’s spouse or common-law partner or child, as the case may be.
> 
> Forms  
(4) A recognizance and committal to prison in default of recognizance under subsection (3) may be in Forms 32 and 23, respectively.
> 
> Modification of recognizance  
(4.1) The justice or the summary conviction court may, on application of the informant or the defendant, vary the conditions fixed in the recognizance.
> 
> Procedure  
(5) The provisions of this Part apply, with such modifications as the circumstances require, to proceedings under this section.

A provinical court judge has a common law power to impose a 810 peace bond upon an accused post-trial. However, notice must be given to allow for an opportunity to either call evidence or make submissions. Further, there must be a factual basis to conclude that there is a future risk of a breach of the peace.[[1]](Print_version.html#cite_note-846)

  1. [↑](Print_version.html#cite_ref-846) R. v. Wells, 2012 ABQB 77

## Requirements[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-4)]

## Conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-5)]

## Breaches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-6)]

A breach of a peace bond order cannot amount to a breach of undertaking under s. 145(3).[[1]](Print_version.html#cite_note-847)

  1. [↑](Print_version.html#cite_ref-847) R . v. Simancek, [1993] O.J. No. 1342 (O.C.A.)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Peace_Bonds&action=edit&section=T-7)]

  * R. v. Siemens, [2012 ABPC 116](http://canlii.ca/t/fr8d2) gives a detailed summary of the history of the peacebond

  


# Pre-Trial Matters/Mandamus[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles of Mandamus[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-1)]

An order of mandamus is a common law "prerogative writ" power of a superior court to order a lower court or government agent to perform a mandatory duty correctly. It is a discretionary remedy to compel a lower court to exercise jurisdiction where it has incorrectly refused to do so.[[1]](Print_version.html#cite_note-848)

A prerogative writ is a manner of correcting errors of jurisdiction made my inferior courts as well as correcting failures of natural justice or procedural fairness.[[2]](Print_version.html#cite_note-849)

When the duty is of a judicial nature, mandamus is not available regardless of whether the decision was incorrect. No superior court can change that decision except for exceptional circumstances such as prejudice, bias, personal interest, dishonesty, and the like.[[3]](Print_version.html#cite_note-850)

The order is only available where the body refuses to exercise its jurisdiction.[[4]](Print_version.html#cite_note-851)

Despite having jurisdiction, a superior court can refuse prerogative relief if there is an equally effective alternative remedy.[[5]](Print_version.html#cite_note-852)

  1. [↑](Print_version.html#cite_ref-848) R. v. MacDonald, [2007 NSSC 255](http://canlii.ca/t/1sxw4) at 17
  2. [↑](Print_version.html#cite_ref-849) R. v. Forsythe , [1980] 2 S.C.R. 268, 53 C.C.C. (2d) 225
  3. [↑](Print_version.html#cite_ref-850) R. v. Coughlan (1969), [1970] 3 C.C.C. 61 (Alta. T.D.) at p. 72
  4. [↑](Print_version.html#cite_ref-851) R. v. Faber, (1987), 38 C.C.C. (3d) 49 (Que. Sup. Ct.) at 54
  5. [↑](Print_version.html#cite_ref-852) Harelkin v University of Regina, [1979] 2 SCR 561 at p. 588

## General Principles of Certiorari[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-2)]

Certiorari is type of common law writ where the applicant seeks judicial review of a judge's decision by a higher court. It can only be issued when the reviewable court has exceeded its jurisdiction[[1]](Print_version.html#cite_note-853) or otherwise a breach of the rules of natural justice, fraud, or an error of law so fundamental a character that it constitutes a defect amounting to a failure or excess of jurisdiction.[[2]](Print_version.html#cite_note-854)

It is not sufficient that there be an error on a Charter issue, statutory interpretation, or admissibility/sufficient of evidence. [[3]](Print_version.html#cite_note-855)

It is for this reason that the reviewing court's job is different from that of a court on a straight appeal. [[4]](Print_version.html#cite_note-856)

A successful application of certiorari will quash the reviewed decision of the lower court.

  1. [↑](Print_version.html#cite_ref-853) Patterson v. The Queen (1970), 2 C.C.C. (2d) 227 citing Lord Sumner in R. v. Nat Bell Liquors, Ltd. (1922), 47 C.C.C. 129 (P.C.): :That the superior Court should be bound by the record is inherent in the nature of the case. Its jurisdiction is to see that the inferior Court has not exceeded its own, and for that very reason it is bound not to interfere in what has been done within that jurisdiction, for in so doing it would itself, in turn, transgress the limits within which its own jurisdiction of supervision, not of review, is confined. That supervision goes to two points: one is the area of the inferior jurisdiction and the qualifications and conditions of its exercise; the other is the observance of the law in the course of its exercise.
  2. [↑](Print_version.html#cite_ref-854) Re Madden, et al. v. The Queen (1977), 35 C.C.C. (2d) 381 (Ont. H.C.J.))
  3. [↑](Print_version.html#cite_ref-855) R. v. MacDonald, [2007 NSSC 255](http://canlii.ca/t/1sxw4)
  4. [↑](Print_version.html#cite_ref-856) R v Innocente, 2004 NSCA 18 ("The role of the reviewing judge on an application for certiorari is thus substantially different from that of a judge on appeal. It is only when the judge whose decision is being reviewed has acted in excess of his or her jurisdiction or has breached the principles of natural justice that certiorari will be granted.")

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-3)]

  * R. v. Coughlan (1969), [1970] 3 C.C.C. 61 (Alta. T.D.) - applicant sought to compel a magistrate to issue a summons or warrant who refused to do so after a hearing. The reviewing judge refused to order the writ as it was a discretionary decision of the magistrate.
  * R. v. Faber, (1987), 38 C.C.C. (3d) 49 (Que. Sup. Ct.) - applicant sought to compel the attorney general to withdraw a stay of proceedings against someone charged with murder

  


# Pre-Trial Matters/Habeas Corpus[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Habeas_Corpus&action=edit&section=T-1)]

Habeas Corpus refers to the common law prerogative writ of relief that challenges the detention of a detainee. This prerogative writ was also imported into section 10(c) of the Charter:

> 10\. Everyone has the right on arrest or detention...
> 
>     c) to have the validity of the detention determined by way of _habeas corpus_ and to be released if the detention is not lawful.

A prerogative writ is a manner of correcting errors of jurisdiction made my inferior courts as well as correcting failures of natural justice or procedural fairness.[[1]](Print_version.html#cite_note-857)

An application for habeus corpus requires: [[2]](Print_version.html#cite_note-858)

  1. a deprivation of liberty and
  2. that the deprivation be unlawful

The onus of proof to establish the deprivation rests on the applicant while the onus to estalish the lawfulness of the deprivation rests on the detaining authority.[[3]](Print_version.html#cite_note-859)

The "double bunking" of inmates is generally not considered a from of deprivation of residual liberty.[[4]](Print_version.html#cite_note-860) Similarly, housing an inmate in a double occupancy room instead of a usual single occupancy does not engage a deprivation of liberty.[[5]](Print_version.html#cite_note-861)

  1. [↑](Print_version.html#cite_ref-857) R. v. Forsythe , [1980] 2 S.C.R. 268, 53 C.C.C. (2d) 225
  2. [↑](Print_version.html#cite_ref-858) May v. Ferndale Institution 2005 SCC 82, (2005), 3 S.C.R. 809 at 74
  3. [↑](Print_version.html#cite_ref-859) May, supra
  4. [↑](Print_version.html#cite_ref-860) See: B.R.L. v. Canada, [2000] F.C.J. No. 108  
Robert Collin v. The Solicitor General of Canada, [1983] 1 F.C. 496  
Piche v. Canada (Solicitor General), [1989] F.C.J. No. 204  

  5. [↑](Print_version.html#cite_ref-861) Mennes v. Canada (Attorney General), [2008 CanLII 6424](http://canlii.ca/t/1vt3j) (ON SC)

  


# Pre-Trial Matters/Certiorari[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles of Mandamus[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-1)]

An order of mandamus is a common law "prerogative writ" power of a superior court to order a lower court or government agent to perform a mandatory duty correctly. It is a discretionary remedy to compel a lower court to exercise jurisdiction where it has incorrectly refused to do so.[[1]](Print_version.html#cite_note-862)

A prerogative writ is a manner of correcting errors of jurisdiction made my inferior courts as well as correcting failures of natural justice or procedural fairness.[[2]](Print_version.html#cite_note-863)

When the duty is of a judicial nature, mandamus is not available regardless of whether the decision was incorrect. No superior court can change that decision except for exceptional circumstances such as prejudice, bias, personal interest, dishonesty, and the like.[[3]](Print_version.html#cite_note-864)

The order is only available where the body refuses to exercise its jurisdiction.[[4]](Print_version.html#cite_note-865)

Despite having jurisdiction, a superior court can refuse prerogative relief if there is an equally effective alternative remedy.[[5]](Print_version.html#cite_note-866)

  1. [↑](Print_version.html#cite_ref-862) R. v. MacDonald, [2007 NSSC 255](http://canlii.ca/t/1sxw4) at 17
  2. [↑](Print_version.html#cite_ref-863) R. v. Forsythe , [1980] 2 S.C.R. 268, 53 C.C.C. (2d) 225
  3. [↑](Print_version.html#cite_ref-864) R. v. Coughlan (1969), [1970] 3 C.C.C. 61 (Alta. T.D.) at p. 72
  4. [↑](Print_version.html#cite_ref-865) R. v. Faber, (1987), 38 C.C.C. (3d) 49 (Que. Sup. Ct.) at 54
  5. [↑](Print_version.html#cite_ref-866) Harelkin v University of Regina, [1979] 2 SCR 561 at p. 588

## General Principles of Certiorari[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-2)]

Certiorari is type of common law writ where the applicant seeks judicial review of a judge's decision by a higher court. It can only be issued when the reviewable court has exceeded its jurisdiction[[1]](Print_version.html#cite_note-867) or otherwise a breach of the rules of natural justice, fraud, or an error of law so fundamental a character that it constitutes a defect amounting to a failure or excess of jurisdiction.[[2]](Print_version.html#cite_note-868)

It is not sufficient that there be an error on a Charter issue, statutory interpretation, or admissibility/sufficient of evidence. [[3]](Print_version.html#cite_note-869)

It is for this reason that the reviewing court's job is different from that of a court on a straight appeal. [[4]](Print_version.html#cite_note-870)

A successful application of certiorari will quash the reviewed decision of the lower court.

  1. [↑](Print_version.html#cite_ref-867) Patterson v. The Queen (1970), 2 C.C.C. (2d) 227 citing Lord Sumner in R. v. Nat Bell Liquors, Ltd. (1922), 47 C.C.C. 129 (P.C.): :That the superior Court should be bound by the record is inherent in the nature of the case. Its jurisdiction is to see that the inferior Court has not exceeded its own, and for that very reason it is bound not to interfere in what has been done within that jurisdiction, for in so doing it would itself, in turn, transgress the limits within which its own jurisdiction of supervision, not of review, is confined. That supervision goes to two points: one is the area of the inferior jurisdiction and the qualifications and conditions of its exercise; the other is the observance of the law in the course of its exercise.
  2. [↑](Print_version.html#cite_ref-868) Re Madden, et al. v. The Queen (1977), 35 C.C.C. (2d) 381 (Ont. H.C.J.))
  3. [↑](Print_version.html#cite_ref-869) R. v. MacDonald, [2007 NSSC 255](http://canlii.ca/t/1sxw4)
  4. [↑](Print_version.html#cite_ref-870) R v Innocente, 2004 NSCA 18 ("The role of the reviewing judge on an application for certiorari is thus substantially different from that of a judge on appeal. It is only when the judge whose decision is being reviewed has acted in excess of his or her jurisdiction or has breached the principles of natural justice that certiorari will be granted.")

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Mandamus,_Certiorari,_and_Prohibition&action=edit&section=T-3)]

  * R. v. Coughlan (1969), [1970] 3 C.C.C. 61 (Alta. T.D.) - applicant sought to compel a magistrate to issue a summons or warrant who refused to do so after a hearing. The reviewing judge refused to order the writ as it was a discretionary decision of the magistrate.
  * R. v. Faber, (1987), 38 C.C.C. (3d) 49 (Que. Sup. Ct.) - applicant sought to compel the attorney general to withdraw a stay of proceedings against someone charged with murder

# VI - Preliminary Inquiries[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=17)]

# Preliminary Inquiry[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-1)]

The preliminary inquiry justice derives all of its authority from Part XVIII of the Code. [[1]](Print_version.html#cite_note-871)

  


  1. [↑](Print_version.html#cite_ref-871) R. v. Hynes (2001), 159 C.C.C. (3d) 359 (S.C.C.)

### Purpose[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-2)]

The purpose of the preliminary inquiry is to determine if there is sufficient evidence to set the matter down for trial before a Justice of the Superior Court.[[1]](Print_version.html#cite_note-872) In practice the Inquiry is used to test the strength of the Crown’s case.

Its purpose is also "to protect the accused from a needless, and indeed, improper, exposure to public trial where the enforcement agency is not in possession of evidence to warrant the continuation of the process." [[2]](Print_version.html#cite_note-873)

It is an "expeditious charge-screening mechanism"[[3]](Print_version.html#cite_note-874)

Prior to the amendments in 2005, it has also been used as a venue for discovery.[[4]](Print_version.html#cite_note-875)

The inquiry judge has a general power to regulate the inquiry process under s. 537. The judge may require counsel to define the issues for which evidence will be called (see s.536.3), and may further limit the scope of the inquiry under section 536.5 and 549.

  1. [↑](Print_version.html#cite_ref-872) R. v. O’Connor (1995), 191 N.R. 1 (S.C.C.) at para. 134 ("The primary function of the preliminary inquiry...is undoubtedly to ascertain that the Crown has sufficient evidence to commit the accused to trial")  
R. v. Hynes (D.W.) (2001), 278 N.R. 299 (SCC) at para. 30-31
  2. [↑](Print_version.html#cite_ref-873) Skogman v. The Queen, [1984 CanLII 22](http://canlii.ca/t/1lpfg) (SCC), [1984] 2 SCR 93 at p. 105
  3. [↑](Print_version.html#cite_ref-874) R v. Hynes 2001 SCC 82 (CanLII), [2001] 3 S.C.R. 623
  4. [↑](Print_version.html#cite_ref-875) Skogman v. The Queen, [1984 CanLII 22](http://canlii.ca/t/1lpfg) (SCC), [1984] 2 SCR 93 at p. 105 ("the preliminary hearing has become a forum where the accused is afforded an opportunity to discover and to appreciate the case to be made against him at trial where the requisite evidence is found to be present")  
See R. v. Kasook, [2000 NWTSC 33](http://canlii.ca/t/5btq) at para. 25  


## Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-3)]

A Preliminary Inquiry can only be available for indictable offences. A hearing will be scheduled in any one of the following situations:

  * the accused elects trial by judge alone or judge and jury (s. 536(2), (4))
  * the accused is charged with an offence under s. 469 (e.g. murder, treason, etc)
  * the accused refuses to make an election (s. 565)
  * the judge exercises discretion in ordering the matter be prosecuted by indictment (s 555(1))
  * the attorney general orders a trial by judge and jury (s. 568)

On the election the judge must endorse the information to show the election and who made the election. (s. 536(4.1))

Where there are more than one accused, if one person elects to have a preliminary inquiry the remainder are deemed to have made the same election. (s. 536(4.2), 567)

The time limit is set by the rules of the Court pursuant to [s. 482 and 482.1](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec482)

### Setting of Preliminary Inquiry[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-4)]

Under s. 536, at sometime before the setting of a preliminary inquiry date, the judge must read the accused his election address:

“

You have the option to elect to be tried by a provincial court judge without a jury and without having had a preliminary inquiry; or you may elect to be tried by a judge without a jury; or you may elect to be tried by a court composed of a judge and jury. If you do not elect now, you are deemed to have elected to be tried by a court composed of a judge and jury. If you elect to be tried by a judge without a jury or by a court composed of a judge and jury, or if you are deemed to have elected to be tried by a court composed of a judge and jury, you will have a preliminary inquiry only if you or the prosecutor requests one. How do you elect to be tried?

”

  


### Statement of Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-5)]

Under s. 536.3, where an accused elects to have a preliminary inquiry, counsel must provide the court and the other party with a statement that identifies the issues that the evidence should cover and a list of the witnesses expected to provide the evidence:

> **Statement of issues and witnesses**  
536.3 If a request for a preliminary inquiry is made, the prosecutor or, if the request was made by the accused, counsel for the accused shall, within the period fixed by rules of court made under section 482 or 482.1 or, if there are no such rules, by the justice, provide the court and the other party with a statement that identifies
> 
>     (a) the issues on which the requesting party wants evidence to be given at the inquiry; and
>     (b) the witnesses that the requesting party wants to hear at the inquiry.
> 
> 2002, c. 13, s. 27; 2011, c. 16, s. 3(F).
> 
> – [CCC](http://canlii.ca/t/7vf2#sec536.3)

  


### Publication Bans[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-6)]

There are several publication bans available for preliminary inquires:

  * complainant's identity (s. 486.4(1) and (2), 486.4(3) [mandatory]; s. 486.4(1), 486.5(1))
  * accused's confessions (s. 542) [mandatory]
  * evidence of preliminary inquiry (s. 539)
  * witnesse's identity (s. 486.5(1))
  * justice system participant's identity (s. 486.2(5))

See more: [Canadian Criminal Procedure and Practice/Pre-Trial Matters/Public and Media Restrictions](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Pre-Trial_Matters/Public_and_Media_Restrictions)

### Crown Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-7)]

The Crown has unfettered discretion on whom they wish to call as witnesses. A judge has no authority to direct the Crown to call witnesses.[[1]](Print_version.html#cite_note-876)

  1. [↑](Print_version.html#cite_ref-876) R. v. Brass (1981), 64 C.C.C. (2d) 206 (Sask. Q.B.)

### Defence Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-8)]

Under s. 541(2), once the Crown has closed its case at the preliminary inquiry, the presiding judge must ask the accused whether he wishes to testify on his own behalf. The address to the accused is as follows:

“

Do you wish to say anything in answer to these charges or to any other charges which might have arisen from the evidence led by the prosecution? You are not obliged to say anything, but whatever you do say may be given in evidence against you at your trial. You should not make any confession or admission of guilt because of any promise or threat made to you but if you do make any statement it may be given in evidence against you at your trial in spite of the promise or threat.

”

Anything the accused says can be taken down and used as evidence.(s. 541(2))

The accused is entitled to call any witnesses he wishes (s. 541(4)). The judge should be sure to inquire whether the accused is calling any other witnesses.(s.541(3)

The judge must inquire into whether a self-represented accused has any witnesses to call as evidence.[[1]](Print_version.html#cite_note-877)

  


  1. [↑](Print_version.html#cite_ref-877) R. v. LeBlanc, 2009 NBCA 84, 250 C.C.C. (3d) 29

## Burden of proof[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-9)]

The test for a preliminary inquiry is the same as a motion for non-suit or directed verdict.[[1]](Print_version.html#cite_note-878)

  1. [↑](Print_version.html#cite_ref-878) R v Arcuri per McLachlin

## Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-10)]

The justice presiding the inquiry will received evidence including that evidence "that would not otherwise be admissible but that the justice considers credible or trustworthy in the circumstances of the case, including a statement that is made by a witness in writing or otherwise recorded." (s.540 (7)) Anytime evidence is put forward under s.540(7) there must be reasonable notice to the other parites of "the intention to tender it, together with a copy of the statement". (s. 540(8))

The crown may adduce evidence of an admission or confession by the accused “that by law is admissible” against him. ([s. 542(1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec542))

Under s. 548(1), the Court must decide whether any admissible evidence upon which a reasonable jury, properly instructed, could return a guilty verdict. [[1]](Print_version.html#cite_note-879)

Where direct evidence on each element of an offence is presented, the court must order the accused to stand trial on the charge. Exculpatory evidence will not result in a discharge of the charges.

Where circumstantial evidence is presented, the court engages in "limited weighing" of all the evidence, to determine whether a reasonable jury, properly instructed, could return a guilty verdict. This involves considering the reasonableness of the inferences drawn from the evidence.

The judge may not exclude evidence at the inquiry due to any constitutional violations.[[2]](Print_version.html#cite_note-880)

The judge does not have the authority to compel the Crown to provide particulars or disclosure to the defence or compel the production of Third Party Records. Further, the judge cannot order a stay proceedings for abuse of process. [[3]](Print_version.html#cite_note-881)

The judge however may exclude a statement of the accused as involuntary.[[4]](Print_version.html#cite_note-882)

  1. [↑](Print_version.html#cite_ref-879) See R. v. Arcuri, [2001] 2 S.C.R. 828 [2001 SCC 54](http://www.canlii.org/en/ca/scc/doc/2001/2001scc54/2001scc54.html)  
United States of America v. Shephard, [1977] 2 SCR 1067 [1976 CanLII 8](http://www.canlii.org/en/ca/scc/doc/1976/1976canlii8/1976canlii8.html)  
Mezzo v. R., [1986] 1 S.C.R 802 [1986 CanLII 16](http://www.canlii.org/en/ca/scc/doc/1986/1986canlii16/1986canlii16.html)  
Dubois v. The Queen, [1986] 1 SCR 366 [1986 CanLII 60](http://www.canlii.org/en/ca/scc/doc/1986/1986canlii60/1986canlii60.html)  
R. v. Charemski, [1998] 1 S.C.R. 679 [1998 CanLII 819](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii819/1998canlii819.html)  
R. v. Monteleone, [1987] 2 SCR 154 [1987 CanLII 16](http://canlii.ca/en/ca/scc/doc/1987/1987canlii16/1987canlii16.html#par154)
  2. [↑](Print_version.html#cite_ref-880) See, R. v. R. (L.), 1995 CanLII 8928 (ON CA), (1995), 28 C.R.R. (2d) 173 at p. 183, per Arbour J.A.  
also R. v. Mills 1986 CanLII 17 (SCC), (1986), 26 C.C.C. (3d) 481 (S.C.C.)  
R. v. Seaboyer 1991 CanLII 76 (SCC), (1991), 66 C.C.C. (3d) 321 (S.C.C.)  
R. v. Hynes (2001), 159 C.C.C. (3d) 359 (S.C.C.), at paras. 28, 32  

  3. [↑](Print_version.html#cite_ref-881) R. v. Hynes (2001), 159 C.C.C. (3d) 359, (S.C.C.), at paras. 33 and 38  
R. v. Chew , [1968] 2 C.C.C. 127 , [1968] 1 O.R. 97, 1967 CLB 46 (Ont. C.A.) R. v. Hynes (2001), 159 C.C.C. (3d) 359 , 206 D.L.R. (4th) 483, 51 W.C.B. (2d) 453, 2001 CLB 68 (S.C.C.), at para. 33
  4. [↑](Print_version.html#cite_ref-882) R. v. Hynes (2001), 159 C.C.C. (3d) 359 (S.C.C.), at paras. 32 and 47

### Admissions or Confessions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-11)]

Confessions, admissions or statements of the accused are admissible under the same test to be applied at trial.[[1]](Print_version.html#cite_note-883) Thus the crown must advance some evidence that the statement was made and to establish beyond a reasonable doubt that it was voluntary.[[2]](Print_version.html#cite_note-884)

  1. [↑](Print_version.html#cite_ref-883) See, R. v. Pickett (1975), 28 C.C.C. (2d) 297 (Ont. C.A.) at p. 303, per Jessup J.A.
  2. [↑](Print_version.html#cite_ref-884) For example, R. v. Mulligan (1955), 111 C.C.C. 173 (Ont. C.A.) at pp. 176-7, per MacKay J.A.  
R. v. Pickett, Pickett (1975), 28 C.C.C. (2d) 297 (Ont. C.A.) at p. 302, per Jessup J.A.

### Defence evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-12)]

Where the accused is unrepresented, under s. 541(2), the judge must warn the accused before he calls any defence evidence. The suggested warning consists of the following:

“

“Do you wish to say anything in answer to these charges or to any other charges which might have arisen from the evidence led by the prosecution? You are not obliged to say anything, but whatever you do say may be given in evidence against you at your trial. You should not make any confession or admission of guilt because of any promise or threat made to you but if you do make any statement it may be given in evidence against you at your trial in spite of the promise or threat.”

”

## Decision to Commit[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-13)]

After hearing evidence and argument the court must make a ruling on whether to commit the accused to stand trial for the charges alleged.

Where the evidence is not sufficient to commit the matter to trial the Judge may discharge the accused of the charges alleged:

> **Order to stand trial or discharge**  
548\. (1) When all the evidence has been taken by the justice, he shall
> 
>     (a) if in his opinion there is sufficient evidence to put the accused on trial for the offence charged or any other indictable offence in respect of the same transaction, order the accused to stand trial; or
>     (b) discharge the accused, if in his opinion on the whole of the evidence no sufficient case is made out to put the accused on trial for the offence charged or any other indictable offence in respect of the same transaction.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec548)

## Consent to Committal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-14)]

At any time before the conclusion of the preliminary inquiry the accused may consent to committal.

> **Order to stand trial at any stage of inquiry with consent**  
549\. (1) Notwithstanding any other provision of this Act, the justice may, at any stage of a preliminary inquiry, with the consent of the accused and the prosecutor, order the accused to stand trial in the court having criminal jurisdiction, without taking or recording any evidence or further evidence.
> 
> **Limited preliminary inquiry**  
(1.1) If the prosecutor and the accused agree under section 536.5 to limit the scope of a preliminary inquiry to specific issues, the justice, without recording evidence on any other issues, may order the accused to stand trial in the court having criminal jurisdiction.
> 
> **Procedure**  
(2) If an accused is ordered to stand trial under this section, the justice shall endorse on the information a statement of the consent of the accused and the prosecutor, and the accused shall after that be dealt with in all respects as if ordered to stand trial under section 548.
> 
> R.S., 1985, c. C-46, s. 549; R.S., 1985, c. 27 (1st Supp.), s. 101; 2002, c. 13, s. 30.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec549)

## Bail[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry&action=edit&section=T-15)]

After a judge orders a person to stand trial, he may also review any detention orders or conditions of release. (s. 523(2)(b))

# VII - Trials[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=18)]

# Trials[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials&action=edit&section=T-1)]

  * [Trial Process](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process)
  * [Representation at Trial](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial)
  * [Accused at Trial](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Accused_at_Trial)
  * [Opening and Closing Submissions](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Opening_and_Closing_Submissions)
  * [Calling of Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses)
  * [Examinations](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Examinations)
  * [Role of Trial Judge](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge)
  * [Juries](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Juries)
  * [Weighing Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence)
  * [Verdicts](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials&action=edit&section=T-2)]

  * [Canadian Criminal Procedure and Practice/Appendix/Case Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appendix/Case_Law)

  


# Trials/Overview of a Trial[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Purpose of a trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-1)]

A trial is the process by which a judge attempts to ascertain the truth in order to convict the guilty and acquit the innocent.[[1]](Print_version.html#cite_note-885) The process does not go so far as to determine "actual innocence" as the standard of proof a trial is proof beyond reasonable doubt and does not evaluate degrees of acquittal and is not the ultimate purpose of criminal law.[[2]](Print_version.html#cite_note-886)

The trial fundamentally is "about the search for the truth as well as fairness to the accused".[[3]](Print_version.html#cite_note-887) This is guided by these principles:

  1. the presumption of innocence[[4]](Print_version.html#cite_note-888)
  2. the right against self-incrimination [[5]](Print_version.html#cite_note-889)
  3. the ultimate burden on the crown to prove guilt beyond a reasonable doubt.[[6]](Print_version.html#cite_note-890)

  1. [↑](Print_version.html#cite_ref-885) R. v. Levogiannis, [1993] 4 S.C.R. 475 ("The goal of the court process is truth seeking and, to that end, the evidence of all those involved in judicial proceedings must be given in a way that is most favourable to eliciting the truth.")  
R. v. Nikolovski, [1996] 3 SCR 1197, ("The ultimate aim of any trial, criminal or civil, must be to seek and to ascertain the truth.")  
R. v. G. (B.), [1999 CanLII 690](http://canlii.ca/t/1fqlt) (SCC), [1999] 2 SCR 475 ("[T]he essential principle of every criminal trial [is] the search for truth.")
  2. [↑](Print_version.html#cite_ref-886) R. v. Mullins-Johnson, [2007 ONCA 720](http://www.canlii.org/en/on/onca/doc/2007/2007onca720/2007onca720.html)
  3. [↑](Print_version.html#cite_ref-887) R v Handy, 2002 SCC 56 ("[t]he  criminal  trial  is,  after  all,  about  the  search  for  truth  as  well fairness  to  an  accused")
  4. [↑](Print_version.html#cite_ref-888) R v Handy [2002] 2 S.C.R. 908, 2002 SCC 56 at 44
  5. [↑](Print_version.html#cite_ref-889) s. 11(d) of the Charter
  6. [↑](Print_version.html#cite_ref-890) Section 11(c) of the Charter

## Crown's Case[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-2)]

The Crown will always be the first party to call evidence. It is expected that the crown will call all available witnesses that can provide evidence to establish the elements of the offences charged beyond a reasonable doubt.

The Crown is expected to call, as part of its case, evidence that may rebut any alibi evidence and evidence of similar facts.[[1]](Print_version.html#cite_note-891)

  1. [↑](Print_version.html#cite_ref-891) R v Biddle [1995] 1 SCR 761

## Defence's Case[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-3)]

At the end of the Crown's case the Defence will be permitted to either make a motion for directed verdict, elect to call evidence, or elect not to call evidence.

If the accused elects to call evidence, an opening statement may be given to introduce the trier-of-fact to the defence's case.

The defence has discretion on the order of the calling of witnesses.

If the accused does not call evidence, there will be no need for an opening statement. The case will proceed to closing statements beginning with the Crown's submissions.

## Reply or Rebuttal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-4)]

On closing of the crown's case, the crown is expected to have presented all relevant evidence available. The judge should not allow Crown to "split" it's case and present any part of its case after the defence.[[1]](Print_version.html#cite_note-892)

The judge may permit the crown to present further evidence at the close of the defence's case.

The evidence is limited only to matters that were raised in the defence evidence.[[2]](Print_version.html#cite_note-893)

If the Crown evidence could have been reasonably anticipated as being relevant during the Crown's case then it should have been called then and should not be permitted to be called in rebuttal.[[3]](Print_version.html#cite_note-894)

  1. [↑](Print_version.html#cite_ref-892) R. v. Melnichuk, [1997 CanLII 383](http://canlii.ca/t/1fr30) (SCC), [1997] 1 SCR 602
  2. [↑](Print_version.html#cite_ref-893) R v Kuyan (1988) 43 CCC (#d) 339
  3. [↑](Print_version.html#cite_ref-894) R v Perry (1977), 36 C.C.C. (2d) 209 (Ont. C.A.)

## Re-Opening the Case[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-5)]

Once a party has closed their case, it is presumed they have finished presenting their evidence. It is the judge's discretion to allow a party, usually the crown, to re-open their case.

The factors to consider in exercising discretion to re-open a case prior to verdict are:[[1]](Print_version.html#cite_note-895)

  1. whether the evidence is relevant to a material issue in the case;
  2. the potential prejudice to the other party, if reopening is permitted; and
  3. the effect of permitting reopening on the orderly and expeditious conduct of the trial.

The main consideration is the potential prejudice to the opposing side by re-opening the case.[[2]](Print_version.html#cite_note-896)

The test to re-open the defence's case is more stringent post-conviction in order "to protect the integrity of the process, including the enhanced interest in finality".[[3]](Print_version.html#cite_note-897) In such cases the test will be the same for admitting fresh evidence on appeal.[[4]](Print_version.html#cite_note-898)

  1. [↑](Print_version.html#cite_ref-895) R v Hayward (1993) 86 CCC (3d) 193 at para. 17-19
  2. [↑](Print_version.html#cite_ref-896) R v Hayward, (1993) 86 CCC (3d) 193 (ONCA)
  3. [↑](Print_version.html#cite_ref-897) R. v. Kowall 1996 CanLII 411 (ON CA), (1996), 92 O.A.C. 82, 108 C.C.C. (3d) 481 at para. 31
  4. [↑](Print_version.html#cite_ref-898) See R. v. Palmer, 1979 CanLII 8 (SCC), [1980] 1 S.C.R. 759, cited by Kowall at para. 31

### Re-opening the Crown's Case[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Trial_Process&action=edit&section=T-6)]

The judge may consider an application by the Crown to reopen their case. The standard will depend on what stage in the trial the application is made.[[1]](Print_version.html#cite_note-899)

The judge has discretion to reopen the case "to correct some oversight or to prove a matter which it had failed to do inadvertently, provided that there was no prejudice to the accused." However, "[o]nce the defence had begun to present its case, the judge’s discretion [is] narrowly restricted" and may only be reopened "to prove a matter, ex improviso, which no human ingenuity could have foreseen." [[2]](Print_version.html#cite_note-900)

  1. [↑](Print_version.html#cite_ref-899) Robillard v. The Queen, 1978 CanLII 200 (SCC), [1978] 2 S.C.R. 728  
R. v. P. (M.B.), 1994 CanLII 125 (SCC), [1994] 1 S.C.R. 555  
R. v. G. (S.G.), 1997 CanLII 311 (SCC), [1997] 2 S.C.R. 716  
See also R. E. Salhany, Q.C., Canadian Criminal Procedure, 6th ed., looseleaf (Aurora: Thomson Reuters Canada Limited, 2010) vol. 1 at paras. 6.3975, 6.3980, 6.3990
  2. [↑](Print_version.html#cite_ref-900) Salhany

  


# Trials/Representation at Trial[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Representation by Agent[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-1)]

An agent generally may not represent an accused on a summary conviction appeal.[[1]](Print_version.html#cite_note-901) This is usually prohibited both under common law and under the provincial law society act. The primary reason is to protect the administration of justice and the right to a fair trial by ensuring competent representation.[[2]](Print_version.html#cite_note-902)Certain provinces, such as British Columbia (R. v. Dick, 2002 BCCA 27) and Alberta[[3]](Print_version.html#cite_note-903), allow limited exception to this rule on the discretion of the judge.

  


  1. [↑](Print_version.html#cite_ref-901) See R. v. Duggan, [1976] O.J. No. 418 (QL), 31 C.C.C. (2d) 167 (ONCA) at 9, 11;  
R. v. Stagg, [2011 MBQB 294](http://www.canlii.org/en/mb/mbqb/doc/2011/2011mbqb294/2011mbqb294.html)  
Aasland v. Mirecki, [2002] M.J. No. 502 (QL), 37 C.P.C. (5th) 230  

  2. [↑](Print_version.html#cite_ref-902) R. v. Romanowicz, 1999 CanLII 1315 (ON CA), (1999), 138 C.C.C. (3d) 225 at 74
  3. [↑](Print_version.html#cite_ref-903) R. v. Crooks, 2011 ABCA 239 at 8-10

## Self-Representation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-2)]

Representation by counsel is not necessary to have a fair trial.[[1]](Print_version.html#cite_note-904) An accused person may always chose to represent him or herself. However, individuals who represent themselves are not entitled to legal advice and strategy advice from the judge.[[2]](Print_version.html#cite_note-905)

The trial judge has an obligation to ensure that a self-represented individual has a fair trial. This includes assisting in the conduct of the defence to ensure that the defence is effectively brought out.[[3]](Print_version.html#cite_note-906)

The amount of assistance to provide is a matter of the court's discretion. The judge does not need to become the accused's advocate, but must provide a "minimum level of assistance" to ensure a fair trial. [[4]](Print_version.html#cite_note-907)

Conducting a fair trial with a self-represented accused requires a "significant degree of instruction and vigilance." This will generally require that the judge explain the course which the trial is to take, including:[[5]](Print_version.html#cite_note-908)

  1. the arraignment,
  2. the calling of crown witnesses,
  3. the right to cross examine witnesses,
  4. the right to object to irrelevant evidence
  5. the right to call witnesses,
  6. the right and associated risks with the decision to testify
  7. the right to make closing arguments

  1. [↑](Print_version.html#cite_ref-904) R. v. Rain [1998 ABCA 315](http://canlii.ca/t/5shs) (CanLII), (1998), 130 C.C.C. (3d) 167 at 182 ("Representation by a lawyer is not a prerequisite for a fair trial. A person is entitled to represent himself or herself and when he or she does so, there are other means which are intended to protect the right to a fair trial, the foremost being the duty of every trial judge to ensure that all persons receive a fair trial.")
  2. [↑](Print_version.html#cite_ref-905) R. v. Gendreau, [2011 ABCA 256](http://canlii.ca/t/fn4bp) at 28
  3. [↑](Print_version.html#cite_ref-906) R. v. Moghaddam, [2006 BCCA 136](http://canlii.ca/t/1mtw4) at 35
  4. [↑](Print_version.html#cite_ref-907) R. v. Tran, [2001] O.R. (3d) 161 at para. 31  
R. v. Moreno-Baches, [2002] O.J. No. 4480 per Juriansz J. at para. 6  

  5. [↑](Print_version.html#cite_ref-908) Tran, supra at 33

## Right to be Heard[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-3)]

There is a fundamental tenant that all parties affected by a decision shall be given an opportunity to be heard by the court before the court makes a ruling. This is the principle of **audi alteram partem principle**.[[1]](Print_version.html#cite_note-909)

  1. [↑](Print_version.html#cite_ref-909) R. v. Gustavson, 2005 BCCA 32 at 64

## Withdraw by Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-4)]

An accused has a right to defend himself (s. 651(2)) and so cannot be forced to retain or maintain counsel. The accused has a right to terminate representation by a lawyer at any time, including during trial. [[1]](Print_version.html#cite_note-910)

Counsel may not withdraw without leave of the court. Permission to withdraw will be granted where the interests of the lawyer and client are irreconcilable. Once the lawyer has withdrawn they are under no obligation to provide assistance to the accused by way of legal advice or counselling.

Where counsel is seeking to withdraw as counsel due to non-payment of retainer. The court has discretion to refuse the request are require counsel to complete the matter.[[2]](Print_version.html#cite_note-911)

  1. [↑](Print_version.html#cite_ref-910) R. v. Spataro (1974) SCR; R. v. Huber, 2003 BCCA 43
  2. [↑](Print_version.html#cite_ref-911) R. v. Cunningham, 2010 SCC 10

## Discharging Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-5)]

The accused has an unfettered right to his counsel at any time for any reason. The Court has not authority to interfere with this decision or force an unwilling accused to continue to be represented by the discharged counsel.[[1]](Print_version.html#cite_note-912)

  1. [↑](Print_version.html#cite_ref-912) R. v. Cunningham, [2010 SCC 10](http://canlii.ca/t/28tlt), [2010] 1 S.C.R. 331, at para. 9

## Amicus Curae[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-6)]

A superior court and provincial court dealing with criminal matters, has the authority to appoint _amicus curiae_. This power arises from their authority to "control their processes in order to function as courts of law".[[1]](Print_version.html#cite_note-913)

The court may also set the terms and conditions of the appointment related to counsel's compensation.[[2]](Print_version.html#cite_note-914)

An _amicus curiae_ is counsel appointed by the court to assist an accused in representing himself. This is a more limited role than accused's counsel and does not require the confidence or consent of the accused. The amicus will provide assistance such as

  1. objecting to perceived legal errors;
  2. assisting the appellant in drafting a statement of the defence position;
  3. assisting the appellant in subpoenaing any defence witnesses; and
  4. advising the appellant on any questions of law.[[3]](Print_version.html#cite_note-915)

The meaning of an _amicus curiae_ "implies the friendly intervention of counsel to remind the Court of some matter of law which has escaped its notice and in regard to which it is in danger of going wrong."[[4]](Print_version.html#cite_note-916)

Where the accused discharges their counsel who is subsequently appointed as amicus curiae, the accused can only appeal the appointment if there is an actual conflict of interest between the accused and his counsel.[[5]](Print_version.html#cite_note-917)

Under 486.3(1), in any proceedings involving a cross-examination of a witness under 18 years of age and the accused is self-represented, the prosecutor or witness may apply to have counsel appointed to conduct the cross-examination unless the "proper administration of justice requires".

Under 486.3(2), in any proceedings involving a cross-examination of a witness and the accused is self-represented, the prosecutor or witness may apply to have counsel appointed to conduct the cross-examination where it is necessary "in order to obtain a full and candid account".

Under 486.3(4), in any proceedings involving a cross-examination of a witness with respect to an offence of criminal harassment (264) and the accused is self-represented, the prosecutor or witness may apply to have counsel appointed to conduct the cross-examination unless the "proper administration of justice requires".

  1. [↑](Print_version.html#cite_ref-913) R. v. Russel, [2011 ONCA 303](http://canlii.ca/t/fl3xg) (CanLII)
  2. [↑](Print_version.html#cite_ref-914) Russel
  3. [↑](Print_version.html#cite_ref-915) R. v. Amos, [2012 ONCA 334](http://canlii.ca/t/frdtr)
  4. [↑](Print_version.html#cite_ref-916) Samra (1998), 129 C.C.C.(3d) 145 citing R v Grice (1957), 119 C.C.C. 18 per Ferguson J.
  5. [↑](Print_version.html#cite_ref-917) R. v. Samra, [1998 CanLII 7174](http://canlii.ca/t/440t) (ON CA), (1998) 129 C.C.C.(3d) 145 at 160 per Rosenberg JA (Ont.C.A.)  


## Competency of Counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Representation_at_Trial&action=edit&section=T-7)]

See: [Canadian Criminal Procedure and Practice/Trials/Ineffective Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Ineffective_Counsel)

  


# Trials/Accused at Trial[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Accused_at_Trial&action=edit&section=T-1)]

Under [s. 650(1)](http://canlii.ca/t/7vf2#sec650), the accused must be present for the whole of their trial.

Under s.650(1.1) and (1.2), the court may order that the accused appear by way of video link where all the parties agree. This can include parts of the trial where evidence is not being taken so long as there is a means to have defence counsel consult with their client.

The court may exclude the accused from their trial under s.650(2) for three situations: 1) where the accused "misconducts himself by interrupting the proceedings" so much so that it would be infeasible to continue; 2) where the court finds it "proper"; or 3) where the accused's presence may have an adverse effect on the accused's mental health on a hearing for fitness.

## Right to Face Accusers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Accused_at_Trial&action=edit&section=T-2)]

The "right to face one's accusers is not in this day and age to be taken in the literal sense...it is simply the right of an accused to be present in court, to hear the case against him and to make answer and defence to it."[[1]](Print_version.html#cite_note-918)

  1. [↑](Print_version.html#cite_ref-918) R. v. R.(M.E.), (1989), 49 C.C.C. (3d) 475 (N.S.C.A.)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Accused_at_Trial&action=edit&section=T-3)]

  * [Canadian Criminal Procedure and Practice/Trials/Role of Trial Judge](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge)

  


# Trials/Opening and Closing Submissions[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Opening submissions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Opening_and_Closing_Submissions&action=edit&section=T-1)]

Inflamatory remarks during opening submissions may allow for a mistrial.[[1]](Print_version.html#cite_note-919)

  


  1. [↑](Print_version.html#cite_ref-919) Stewart v. Speer (1953), [1953] O.R. 502 (Ont. C.A.)  
Landolfi v. Fargione (2006), 2006 CarswellOnt 1855 (Ont. C.A.)

## Closing submissions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Opening_and_Closing_Submissions&action=edit&section=T-2)]

Both counsel have a "fair degree of latitude" on their closings. They are each entitled to "advance his ... position forcefully and effectively", it is expected that there will be "a degree of rhetorical passion in that presentation." [[1]](Print_version.html#cite_note-920)

However, the Crown must: [[2]](Print_version.html#cite_note-921)

  * "abstain from inflammatory rhetoric",
  * abstain from "demeaning commentary and sarcasm",
  * not "misstate the law",
  * "not invite the jury to engage in speculation" [[3]](Print_version.html#cite_note-922)
  * not "express personal opinions about either the evidence or the veracity of a witness" [[4]](Print_version.html#cite_note-923)

Violations of these requirements may sometimes result in a mistrial. However, the prejudices arising from this conduct can often be remedied by additional jury instructions.[[5]](Print_version.html#cite_note-924)

A judge must allow counsel an opportunity to make closing submission in full.[[6]](Print_version.html#cite_note-925) Nevertheless, the judge can still comment on the evidence during the submissions and may attempt at focusing the argument on particular issues of concern. The judge cannot prevent counsel from making submissions on relevant issues.[[7]](Print_version.html#cite_note-926) A trial judge does not have to be silent during submissions and can voice concerns.[[8]](Print_version.html#cite_note-927) He is permitted to express a preliminary opinion on the evidence or the law during submissions.[[9]](Print_version.html#cite_note-928)

Where counsel makes false or erroneous submissions in the address to a jury, the judge must give corrections in the jury instruction.[[10]](Print_version.html#cite_note-929)

The party calling a witness does not need to assert that the trier of fact accept everything said by the witness wholesale. [[11]](Print_version.html#cite_note-930) Crown counsel is entitled to invite the trier of fact to be selective of the evidence they chose to believe from the witness that the Crown called.[[12]](Print_version.html#cite_note-931) Crown counsel can ask that the trier reject evidence of a Crown witness in preference of other evidence heard. However, counsel cannot ask for the rejection of evidence in favour of a theory not in evidence.[[13]](Print_version.html#cite_note-932) Likewise, a party is not precluded from calling evidence that may contradict other witnesses called by the same party.[[14]](Print_version.html#cite_note-933)

Once the Crown has completed their evidence, it is not allowed to change it's theory of the case because of the addition of defence evidence.[[15]](Print_version.html#cite_note-934)

Submissions by counsel on issues before the court cannot be intentionally or inadvertently denied by the court. A failure would result in a new trial.[[16]](Print_version.html#cite_note-935)

  1. [↑](Print_version.html#cite_ref-920) R. v. Daly, (1992), 57 O.A.C. 70, at p. 76  
R. v. Boudreau, [2012 ONCA 830](http://canlii.ca/t/ftxzt) (CanLII) at para. 15 onward  
see also R. v. Mallory, 2007 ONCA 46 (CanLII), 217 C.C.C. (3d) 266 , at para. 339  

  2. [↑](Print_version.html#cite_ref-921) R. v. Boudreau, [2012 ONCA 830](http://canlii.ca/t/ftxzt) (CanLII) at para. 16  
Mallory 2007 ONCA 46
  3. [↑](Print_version.html#cite_ref-922) see Mallory, at para. 340
  4. [↑](Print_version.html#cite_ref-923) see Mallory, at para. 340
  5. [↑](Print_version.html#cite_ref-924) R. v. Boudreau, [2012 ONCA 830](http://canlii.ca/t/ftxzt) (CanLII) at para. 20  

  6. [↑](Print_version.html#cite_ref-925) R. v. Al-Fartossy, [2007 ABCA 427](http://www.canlii.org/en/ab/abca/doc/2007/2007abca427/2007abca427.html), 425 A.R. 336 at para. 25
  7. [↑](Print_version.html#cite_ref-926) R. v. Hodson, [2001 ABCA 111](http://www.canlii.org/en/ab/abca/doc/2001/2001abca111/2001abca111.html) at paras. 33 and 35
  8. [↑](Print_version.html#cite_ref-927) R. v. W.F.M. (1995), 169 A.R. 222 (C.A.) at para. 10
  9. [↑](Print_version.html#cite_ref-928) R. v Baccari, 2011 ABCA 205 at para. 24  
R. v Johnson, 2010 ABCA 392 at para. 14  

  10. [↑](Print_version.html#cite_ref-929) see R. v. Romeo, [1991 CanLII 113](http://www.canlii.org/en/ca/scc/doc/1991/1991canlii113/1991canlii113.html) (SCC), [1991] 1 S.C.R. 86 at para. 95  
R. v. Rose, [1998 CanLII 768](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii768/1998canlii768.html) (SCC), [1998] 3 S.C.R. 262 at paras. 126 and 127
  11. [↑](Print_version.html#cite_ref-930) R. v. Benji, 2012 BCCA 55 at 158  
R. v. Biniaris, 1998 CanLII 14986 (BC CA) at 9  

  12. [↑](Print_version.html#cite_ref-931) R. v. Walker, [1994 CanLII 8725 (ON CA)](http://canlii.ca/t/231tg) at 156
  13. [↑](Print_version.html#cite_ref-932) Walker at 157
  14. [↑](Print_version.html#cite_ref-933) R. v. Biniaris, 1998 CanLII 14986 (BC CA) at 10 citing Cariboo Observer Ltd. v. Carson Truck Lines Ltd. and Tyrell (1961), 32 D.L.R. (2d) 36 at 39, 37 W.W.W. 209 (B.C.C.A.)
  15. [↑](Print_version.html#cite_ref-934) R. v. G.(S.G.), 1997 CanLII 311 (SCC), [1997] 2 S.C.R. 716
  16. [↑](Print_version.html#cite_ref-935) Dewey v. Dawson-Moran, 2011 ABCA 45 at 12  
R v Komarnicki, 2012 SKQB 140  


  


# Trials/Calling of Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Calling Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-1)]

The usual manner that a witness testify is by oral testimony in court (_viva voce_ evidence) while the accused is present. (CCC [s.650(1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec650))

The witnesses' testimony must be relevant, material, and admissible. To see details on the scope of these requirements see [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence).

## Choice of Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-2)]

Any party is entitled to call a witness who is competent to testify (See [Canadian_Criminal_Evidence/Testimonial_evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Testimonial_evidence) for details on competency of witnesses).

A party is also permitted call a witness that has already previously been called by the opposing party.[[1]](Print_version.html#cite_note-936)

A party cannot call a witness for the sole purpose of discrediting a witness who has made a previous inconsistent statement.[[2]](Print_version.html#cite_note-937)

The failure to call a witness can be used to make an adverse inference where there is no plausible reason not o do so and it is well within the power of the party to do so. However, where the evidence is merely cumulative or inferior en it should not be taken into account. (R. v lapensee 2009 ONCA 646)

A failure to call a witness cannot be used to make a negative inference on credibility of the accused.[[3]](Print_version.html#cite_note-938)

  1. [↑](Print_version.html#cite_ref-936) R. v. Cook, (1960), 31 W.W.R. 148 (Alta. S.C.A.D.)  
R. v. Baiton, [2001 SKQB 264](http://canlii.ca/t/5h3s)  
R. v. Sutton [2002 NBQB 49](http://www.canlii.org/en/nb/nbqb/doc/2002/2002nbqb49/2002nbqb49.html)
  2. [↑](Print_version.html#cite_ref-937) R v Soobrian [1994 CanLII 8739](http://canlii.ca/t/231tx) (ONCA)  
This relates mostly to crowns calling a witness apply under s. 9 CEA to cross examine (see [Canadian_Criminal_Procedure_and_Practice/Trials/Examinations#Cross-examining a party's own witness (Adverse or Hostile Witnesses)](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Examinations#Cross-examining_a_party.27s_own_witness_.28Adverse_or_Hostile_Witnesses.29)
  3. [↑](Print_version.html#cite_ref-938) See [Canadian_Criminal_Evidence/Credibility#Failure_to_Call_Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility#Failure_to_Call_Witnesses)

## Testimonial Aids[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-3)]

### Witness Screens[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-4)]

On application by a prosecutor or witness, the judge may order that their testimony be heard either behind a screen or from a different room so that the witness cannot see the accused.

The governing section is 486.2 which states:

> **Testimony outside court room — witnesses under 18 or who have a disability**  
486.2 (1) Despite section 650, in any proceedings against an accused, the judge or justice shall, on application of the prosecutor, of a witness who is under the age of eighteen years or of a witness who is able to communicate evidence but may have difficulty doing so by reason of a mental or physical disability, order that the witness testify outside the court room or behind a screen or other device that would allow the witness not to see the accused, unless the judge or justice is of the opinion that the order would interfere with the proper administration of justice.
> 
> **Other witnesses**  
(2) Despite section 650, in any proceedings against an accused, the judge or justice may, on application of the prosecutor or a witness, order that the witness testify outside the court room or behind a screen or other device that would allow the witness not to see the accused if the judge or justice is of the opinion that the order is necessary to obtain a full and candid account from the witness of the acts complained of.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec486.2)

### Video Testimony[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-5)]

Section 714.1 of the Criminal Code allows a court to use “means of technology” to allow a witness to testify as a “virtual presence”.

> 714.1 A court may order that a witness in Canada give evidence by means of technology that permits the witness to testify elsewhere in Canada in the virtual presence of the parties and the court, if the court is of the opinion that it would be appropriate in all the circumstances, including
> 
>     (a) the location and personal circumstances of the witness;
>     (b) the costs that would be incurred if the witness had to be physically present; and
>     (c) the nature of the witness’ anticipated evidence.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec714.1)

The purpose of s. 714.1 is to "address not only the high cost of litigation, but also the inconvenience of disruption to the lives of witnesses" where the witnesses are outside of Canada. Consequently, the higher the cost and inconvenience harder it is to resist video link as an option.[[1]](Print_version.html#cite_note-939)

There is a presumption that the "unless the circumstances warrant dispensing with the usual practice, the witness should be called to the witness stand to testify."[[2]](Print_version.html#cite_note-940) Section 714.1 "does not replace the established procedure of calling witnesses to the witness stand in criminal cases or of allowing the accused to face his or her accuser" [[3]](Print_version.html#cite_note-941)

The court can do "a sort of distance-cost, benefit-prejudice analysis" to decide. Naturally, most applicants have witnesses that are in "more remote regions of Canada."[[4]](Print_version.html#cite_note-942)

However, "cost saving to the state,...,in and of itself does not justify" the use of video conferencing.[[5]](Print_version.html#cite_note-943)

Factors to consider include:[[6]](Print_version.html#cite_note-944)

    1) will a video appearance by the witness impede or impact negatively on the ability of defence counsel to cross‑examine that witness?
    2) the nature of the evidence to be introduced from the witness and whether it is non‑controversial and not likely to attract any significant objection from defence counsel, for example various police and technical witnesses who testify to routine matters with respect to exhibits and the like and other matters that would not attract any particular objection on the part of the accused's counsel;
    3) the integrity of the examination site and the assurance that the witness will be as free from outside influences or interruptions as that person would be in a public courtroom;
    4) the distance the witness must travel to testify in person and the logistics of arranging for his or her personal appearance;
    5) the convenience of the witness and to what degree having to attend in person at a distant location may interfere with important aspects of the witness's life, such as his or her employment, personal life and the like;
    6) the ability of the witness to attend who lives in a country or area that makes it difficult to arrange for travel or travel in a reliable fashion;
    7) the cost to the state of having the witness attend in person; and
    8) a fact to consider also is that the witness is effectively beyond the control of the Court in the trial jurisdiction, and whatever powers a judge may have over such a person, they are certainly extraterritorial.

While the form of the order is at the discretion of the judge, the court should always order that witness be able to testify in a manner in which he can be seen, heard, and questioned by the parties. The court may also request the evidence only be given while the witness is in a courtroom and in the presence of a peace officer.[[7]](Print_version.html#cite_note-945)

See also:

  * R. v. Hinkley, [2011 ABQB 567](http://canlii.org/en/ab/abqb/doc/2011/2011abqb567/2011abqb567.html)
  * R. v. Denham, [2010 ABPC 82](http://canlii.org/en/ab/abpc/doc/2010/2010abpc82/2010abpc82.html)

  1. [↑](Print_version.html#cite_ref-939) R. v. Galandie, [2008] B.C.J. No. 79 (P.C.), [2008 BCPC 6](http://canlii.ca/t/1vq9f) (CanLII)
  2. [↑](Print_version.html#cite_ref-940) R v Chapple [2005 BCSC 383](http://canlii.ca/t/1k013) (CanLII)
  3. [↑](Print_version.html#cite_ref-941) Chapple
  4. [↑](Print_version.html#cite_ref-942) R v Allen [2007] OJ No 1353 (ONCJ)
  5. [↑](Print_version.html#cite_ref-943) R. v. Ross, [2007] B.C.J. No. 1753 (P.C.)
  6. [↑](Print_version.html#cite_ref-944) R. v. Young, [2000 SKQB 419](http://canlii.org/en/sk/skqb/doc/2000/2000skqb419/2000skqb419.html) at para. 8
  7. [↑](Print_version.html#cite_ref-945) e.g. R. v. Osmond, [2010 CanLII 6535](http://canlii.ca/t/283bh) (NL PC) at para. 29

### Use of Pseudonyms by Witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-6)]

The Court has discretion to allow a witness to testify under a pseudonym only where a failure to do so would interfere with the administration of justice.[[1]](Print_version.html#cite_note-946) This includes where the witness has reason to fear for their life.[[2]](Print_version.html#cite_note-947)

  1. [↑](Print_version.html#cite_ref-946) R. v. McKinnon, (1982), 39 A.R. 283 (Alta. C.A.);  
  Attorney-General v. Leveller Magazine Ltd, [1979] 1 All E.R. 745 (H.L.)  
  R. v. McArthur, (1984) 13 C.C.C. (3d) 152 (Ont. H.C.J.)  

  2. [↑](Print_version.html#cite_ref-947) R. v. Gingras (1992), 120 A.R. 300 (C.A.)  
R. v. Mousseau, 2002 ABQB 210

### Interpreters[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-7)]

Every person charged with a crime has a right to the assistance of an interpreter where they cannot understand the English or French language.[[1]](Print_version.html#cite_note-948) This right requires that the interpreter be competent as an interpreter.[[2]](Print_version.html#cite_note-949)

This does not mean that s. 14 of the Charter extends guarantee to an accredited or certified interpreter.[[3]](Print_version.html#cite_note-950) The interpreter must simply be competent and qualified court interpreter.[[4]](Print_version.html#cite_note-951)

Interpretation must be continuous, precise, impartial and contemporaneous. [[5]](Print_version.html#cite_note-952)

See: R. v. Wong [2011] O.J. No. 2325

  1. [↑](Print_version.html#cite_ref-948) Canadian Charter of Rights and Freedoms [section 14](http://canlii.org/en/ca/charter_digest/s-14.html)
  2. [↑](Print_version.html#cite_ref-949) R. v. Rybak, [2008] O.J. No. 1715, at paragraph 84  
R. v. Sidhu, [2005] O.J. No. 4881
  3. [↑](Print_version.html#cite_ref-950) See R. v. Sidhu, [2005 CanLII 42491](http://canlii.ca/t/1m14s) (ON SC), (2005) 203 C.C.C. (3d) 17 at para. 298
  4. [↑](Print_version.html#cite_ref-951) R. v. Tran, [1994 CanLII 56](http://canlii.ca/t/1frqw) (SCC), (1994) 92, C.C.C. (3d) 218 (S.C.C.)
  5. [↑](Print_version.html#cite_ref-952) R. v. Wong, 2011 ONCJ 264 at para. 20

## Witness Problems and Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-8)]

### Refusal to Testify[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-9)]

### Communicating with witnesses[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Calling_of_Witnesses&action=edit&section=T-10)]

Counsel cannot talk to a witness between cross-examination and re-examination without asking for leave of the court. [[1]](Print_version.html#cite_note-953)

  1. [↑](Print_version.html#cite_ref-953) R. v. Montgomery, [1998 CanLII 3014 (BC S.C.)](http://www.canlii.org/en/bc/bcsc/doc/1998/1998canlii3014/1998canlii3014.html)

  


# Examinations[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Questioning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-1)]

### Leading questions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-2)]

In general, counsel cannot ask leading questions on of the witness that they call.[[1]](Print_version.html#cite_note-954) Leading questions are questions that clearly seek a particular answer (eg. "you saw the accused, didn't you?") or are questions that assume a foundation not in evidence (eg. "what happened after the accused stabbed him?").[[2]](Print_version.html#cite_note-955)

The reason for not allowing leading questions include:[[3]](Print_version.html#cite_note-956)

  * bias of the witness in favour of the calling party
  * the danger that the calling party will only bring out helpful information without any balance that could come from the witnesses own version[[4]](Print_version.html#cite_note-957)
  * the possibility that the witness will merely agree with everything put to the witness by the calling party.[[5]](Print_version.html#cite_note-958)
  * a witness who is nervous, not alert, confused or otherwise easily persuaded may accept the suggestion of a leading question without reflection.[[6]](Print_version.html#cite_note-959) The leading question may "impose the questioner’s will on the witness so as to elicit inaccurate information, absent an intention to do so on the part of the counsel or witness”[[7]](Print_version.html#cite_note-960)

The importance of not leading depends on the circumstances. The rule should be flexible at the least for the sake of expediency.[[8]](Print_version.html#cite_note-961)

It is usually permissible to lead on a number of issues:

  * introductory or non-controversial matters such as name, address, position, etc.[[9]](Print_version.html#cite_note-962)
  * for the purpose of identifying persons or things[[10]](Print_version.html#cite_note-963)
  * where "necessary to direct the witness to a particular matter or field of inquiry."[[11]](Print_version.html#cite_note-964)
  * to allow one witness to contradict another regarding statements made by that other[[12]](Print_version.html#cite_note-965)
  * where the witness is declared hostile;
  * where the witness is defective based on age, education, language, mental capacity[[13]](Print_version.html#cite_note-966)
  * where it is a complicated matter, at the judge's discretion[[14]](Print_version.html#cite_note-967)

A judge has discretion to allow leading where it is in the interest of justice.[[15]](Print_version.html#cite_note-968)

The answer to a leading question is not necessaries inadmissible but will carry very little or less weight, especially on critical issues.[[16]](Print_version.html#cite_note-969)

The weight given to an answer from a leading question will depend on "how leading the question was, the subject matter and other evidence before the Court." [[17]](Print_version.html#cite_note-970) It will often be that the improperness of the question, and so the weight given to the answer, will be assessed in the light of whole circumstances of the case, after subsequent testimony of the witness.[[18]](Print_version.html#cite_note-971)

  1. [↑](Print_version.html#cite_ref-954) c.f. R. v. Bhardwaj, (2008), 456 A.R. 313 (Alta. Q.B.) per Lee J at para. 45 suggests that it only goes to weight ( "There is no rule of law that the answer to a leading question must be given no weight, or that they cannot be asked.”)
  2. [↑](Print_version.html#cite_ref-955) R v. Rose 2001 CanLII24079 ONCA at 9  
R. v. W(E.M.) (2001) 270 C.C.C. (3d) 464 (SCC) at para. 9  
Nicolls v. Kemp (1915), 171 E.R. 408 per Lord Ellenborough (“If questions are asked, to which the answer yes or no would be conclusive, they would certainly be objectionable.”)
  3. [↑](Print_version.html#cite_ref-956) R. v. Rose, [2001 CanLII 24079](http://canlii.ca/t/1fbr4), (2001) 153 CCC 3d 225 (ONCA)
  4. [↑](Print_version.html#cite_ref-957) Maves
  5. [↑](Print_version.html#cite_ref-958) Maves v Grant Truck Pacific Railway Co (1913) 6 Alta LR 396  
Connor v Brant (1914) 31 OLR 274  
Sopkina, Law of Evidence in Canada at ss.16.33  
R. v. Clancey, [1992] O.J. No. 3968 (Ont. Sup. Ct.), per Watt J. (the witness “may be too disposed to assent to the proposition of counsel, rather than upon reflection or exertion of the witness’ own and true memory”)
  6. [↑](Print_version.html#cite_ref-959) Maves
  7. [↑](Print_version.html#cite_ref-960) MacWilliams Canadian Criminal Evidence 4th Edition p. 18:10
  8. [↑](Print_version.html#cite_ref-961) R. v. Rose, [2001 CanLII 24079](http://canlii.ca/t/1fbr4) (ON CA)
  9. [↑](Print_version.html#cite_ref-962) Maves v. Grand Truck Railways (1913) 5 WWR 212 at 219 (ABCA)  
Cross on Evidence 3rd ed. (London: Butterworths 1967) p. 189  
R. v. Rose, [2001 CanLII 24079](http://canlii.ca/t/1fbr4) (ON CA) at para. 9
  10. [↑](Print_version.html#cite_ref-963) Delisle, "Evidence: Principles and Problems" (7th Ed.) at p. 414, states at common law
  11. [↑](Print_version.html#cite_ref-964) Rose at para. 9
  12. [↑](Print_version.html#cite_ref-965) Delisle, ibid.
  13. [↑](Print_version.html#cite_ref-966) Delisle, ibid.
  14. [↑](Print_version.html#cite_ref-967) Delisle, ibid.
  15. [↑](Print_version.html#cite_ref-968) Reference Re R. v. Coffin, 1956 CanLII 94 (SCC), [1956] S.C.R. 191, p. 22
  16. [↑](Print_version.html#cite_ref-969) Moor v. Moor [1954] 2 All ER 458 (CA) R. v. Williams, (1982), 66 C.C.C. (2d) 234 (Ont. C.A.) see p. 236 (“It is clear, however, that an answer elicited by a leading question is entitled to little, if any, weight.”)  
R. v. Nicholson 1998 ABCA 290 (CanLII), (1998), 129 C.C.C.(3d) 198 (Alta. C.A.)
  17. [↑](Print_version.html#cite_ref-970) R. v. Bhardwaj, (2008), 456 A.R. 313 (Alta. Q.B.) per Lee J at para. 45  
MacWilliams Canadian Criminal Evidence 4th Edition at p. 18 - 16
  18. [↑](Print_version.html#cite_ref-971) MacWilliams Canadian Criminal Evidence 4th Edition at p. 18 - 16 (“The weight ... given ... is thus best assessed in light of the circumstances of the case. ...subsequent testimony from the witness, whether in chief or cross-examination, may make clear that the leading question had no improper impact on the answer elicited.”)

### Improper questioning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-3)]

Generally, it is improper to do the following during cross examination:

  * unduly repeat cross-examination questions.[[1]](Print_version.html#cite_note-972)
  * question soley to harass or embarass the witness.[[2]](Print_version.html#cite_note-973)
  * Counsel cannot intentionally insult or abuse a witness.[[3]](Print_version.html#cite_note-974)
  * ask a question to elicit evidence that is not admissible [[4]](Print_version.html#cite_note-975)
  * ask questions that elicit privileged information[[5]](Print_version.html#cite_note-976)
  * aggressive questioning that crosses the line to abusive.[[6]](Print_version.html#cite_note-977)
  * ask the accused why the complainant would make up the accusation.[[7]](Print_version.html#cite_note-978)
  * ask a witness whether any another witness is lying[[8]](Print_version.html#cite_note-979)

Specifically for the Crown in cross-examining the accused, it is improper to do any of the following:

  * ask the accused why the complainant would make up the accusation[[9]](Print_version.html#cite_note-980)
  * ask the accused whether the complainant is lying or committing perjury[[10]](Print_version.html#cite_note-981)
  * asking accused if police officer(s) are lying[[11]](Print_version.html#cite_note-982)
  * details of the accused's criminal record[[12]](Print_version.html#cite_note-983)
  * reasons for exercising the right to silence[[13]](Print_version.html#cite_note-984)
  * question regarding the accused's access to the disclosure and suggest their version is crafted to avoid potential pitfalls[[14]](Print_version.html#cite_note-985)
  * to the accused a "barefaced liar";[[15]](Print_version.html#cite_note-986)
  * to express personal views and editorial comments into the questions;[[16]](Print_version.html#cite_note-987)
  * to make baseless and highly prejudicial suggestions to the accused[[17]](Print_version.html#cite_note-988)
  * ask the accused to explain the failure to call certain witnesses, and to explain why his own evidence was not corroborated.[[18]](Print_version.html#cite_note-989)
  * to mock and unfairly challenge the accused's adherence to his religious beliefs[[19]](Print_version.html#cite_note-990)

An appellate court should only intervene when the questioning is so improper that it "tends bring the administration of justice into disrepute"[[20]](Print_version.html#cite_note-991)

  1. [↑](Print_version.html#cite_ref-972) R. v. Bourassa (1991), 67 CCC (3d) 143 (QCCA); R. v. McLaughlin (1974), 15 CCC (2d) 562 (QCCA)
  2. [↑](Print_version.html#cite_ref-973) R. v. Logiacco (1984), 11 CCC (3d) 374 (ONCA); R. v. Bradbury (1973), 14 CCC (2d) 139 (ONCA)  
R. v. Mahonin (1957), 119 CCC 319 (BSCS)  
R. v. Prince (1945), 85 C.C.C. 97, [1946] 1 D.L.R. 659  

  3. [↑](Print_version.html#cite_ref-974) R. v. Ma, Ho and Lai (1978), 44 C.C.C. (2d) 537  
McLaughlin (1974), 15 C.C.C. (2d) 562
  4. [↑](Print_version.html#cite_ref-975) R. v. Howard 1989 CanLII 99 (SCC), (1989), 48 C.C.C. (3d) 38 at 46 (S.C.C.): ("It is not open to the examiner or cross-examiner to put as a fact, or even a hypothetical fact, which is not and will not become part of the case as admissible evidence.")
  5. [↑](Print_version.html#cite_ref-976) R. v. A. J. R., 1994 CanLII 3447 (ON CA)
  6. [↑](Print_version.html#cite_ref-977) R v R(AJ) 1994 CanLII 3447 at p.176  
R. v. Brown & Murphy reflex, (1983), 1 C.C.C. (3d) 107 (Alta.C.A.)  

  7. [↑](Print_version.html#cite_ref-978) R. v. De Francesia 1995 CanLII 1609 (ON CA), (1995), 104 C.C.C. (3d) 189 at p.193-194
  8. [↑](Print_version.html#cite_ref-979) R. v. Brown, [1982 ABCA 292 (CanLII)](http://www.canlii.org/en/ab/abca/doc/1982/1982abca292/1982abca292.html)
  9. [↑](Print_version.html#cite_ref-980) R. v. Dedier, [2012 ONSC 2889](http://canlii.ca/t/frcxz) \-- this is because asking a witness to comment on the veracity of another witness is unreliable evidence and it may mislead the trier of fact in putting the burden on the accused  
R. v. L.L., [2009] O.J. No. 2029 (C.A.) at para. 15  
R. v. Rose, 53 O.R. (3d) 417, at para. 27  
R. v. Bouhsass, [2002 CanLII 45109](http://canlii.ca/t/1cj6s) (ON CA)
  10. [↑](Print_version.html#cite_ref-981) R. v. Yakeleya, (1985), 20 C.C.C. (3d) 193 - The main reason is that it may tend to shift the burden upon the accused to answer the question  
R.v. S.W. 1994 CanLII 7208 (ON CA), (1994) 90 C.C.C. (3d) 242 (Ont. C.A.)  
R.v. Jones 1992 CanLII 2971 (QC CA), (1992) 74 C.C.C. (3d) 377 (Qué. C.A.)  

  11. [↑](Print_version.html#cite_ref-982) R. v. Brown & Murphy, (1983), 1 C.C.C. (3d) 107 (Alta.C.A.)  
Markadonis v. The King, [1935] S.C.R. 657  

  12. [↑](Print_version.html#cite_ref-983) R v Schell
  13. [↑](Print_version.html#cite_ref-984) R. v. Schell, 2000 CanLII 16917 (ON CA)
  14. [↑](Print_version.html#cite_ref-985) R v Schell at 56  
R. v. Bouhsass, [2002 CanLII 45109](http://canlii.ca/t/1cj6s) (ON CA)
  15. [↑](Print_version.html#cite_ref-986) Bouhsass
  16. [↑](Print_version.html#cite_ref-987) Bouhsass  
R. v. Schell, 2000 CanLII 16917 (ON CA) at 53
  17. [↑](Print_version.html#cite_ref-988) Bouhsass
  18. [↑](Print_version.html#cite_ref-989) R. v. Bouhsass, [2002 CanLII 45109](http://canlii.ca/t/1cj6s) (ON CA)
  19. [↑](Print_version.html#cite_ref-990) Bouhsass
  20. [↑](Print_version.html#cite_ref-991) R v R(AJ) 1994 CanLII 3447 at p.176  
R. v. Fanjoy 1985 CanLII 53 (SCC), [1985] 2 S.C.R. 233;  
R. v. Ruptash, [1982] 68 C.C.C. (2d) 182 at p.189, 36 A.R. 346 (C.A.)  


## Impeachment[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-4)]

### Cross-examining an accused on a prior statement[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-5)]

The crown may withhold a statement of the accused until the defence's case at which time it can only be used where the statement is voluntary and only for the purpose of attacking credibility.[[1]](Print_version.html#cite_note-992) If the Crown is to hold back the statement for cross-examination it is necessary for voluntariness to be proven as part of the Crown's evidence, if there is no consent, or else the crown will be foreclosed from using the statement as it would require them to split their case.

The defence may introduce parts of the statement on rebuttal not used by the crown.[[2]](Print_version.html#cite_note-993)

  1. [↑](Print_version.html#cite_ref-992) R. v. Hebert, [1955] SCR 120 (SCC)
  2. [↑](Print_version.html#cite_ref-993) R. v. Drake, (1970) 1 CCC 2d 396 (SKQB)

## Objections[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-6)]

Where trial counsel does not object to inadmissible evidence, that failure cannot make inadmissible evidence admissible.[[1]](Print_version.html#cite_note-994)

  1. [↑](Print_version.html#cite_ref-994) R. v. D. (L.E.), 1989 CanLII 74 (SCC), [1989] 2 S.C.R. 111 at 126-27 [[43]](http://www.canlii.org/en/ca/scc/doc/1989/1989canlii74/1989canlii74.html);  
R. v. D.C.B. 1994 CanLII 6412 (MB CA), (1994), 95 Man.R. (2d) 220 at para. 14 (C.A.)[[44]](http://www.canlii.org/en/mb/mbca/doc/1994/1994canlii6412/1994canlii6412.html)  


## Cross-Examination[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-7)]

The cross-examination is a "cornerstone of the adversarial trial process"[[1]](Print_version.html#cite_note-995) and is "a fundamental feature of a fair trial"[[2]](Print_version.html#cite_note-996). However, while the right to cross-examination is broad, counsel are generally bound by the rules of relevancy and materiality (R. v. Mitchell, 2008 ONCA 757 (CanLII), 2008 ONCA 757, paras. 17-19).

As such the scope of questioning can be broad. It is recognized as "being protected by ss. 7 and 11(d)" of the Charter.[[3]](Print_version.html#cite_note-997)

The right however is limited by the requirements of relevancy and materiality,[[4]](Print_version.html#cite_note-998) with relevancy being the main criteria.[[5]](Print_version.html#cite_note-999)

Suggestions can be put to the witness as long as there is a "good faith" basis for the question.[[6]](Print_version.html#cite_note-1000) This is often a function of what is known by the lawyer at the time of the examination. So for example a defence lawyer examining an eye-witness in a case who was told by the accused that he did the offence cannot suggest to the witness that they are mistaken as to whom they identified. Similarly in a case where the defence is alibi, the defence counsel cannot still attack the credibility of the witnesses establishing the offence as he does not have a basis to believe they are being untruthful.

Witnesses, except for an accused, may be cross-examined on disreputable conduct so long as it relevant.[[7]](Print_version.html#cite_note-1001)

The cross-examiner is entitled to ask questions without letting the witness know the purpose of the questions, though is subject to the court's discretion and cannot be put in a way that would mislead the witness as to what is asked.[[8]](Print_version.html#cite_note-1002)

It is permissible to use an encirclement technique wherein questions to exclude all alternative possibilities are asked and then not ask the desired possibility and allow the court to infer based on inference.[[9]](Print_version.html#cite_note-1003)

It is not permissible for either party to ask any questions about the veracity of another witness. [[10]](Print_version.html#cite_note-1004)

  1. [↑](Print_version.html#cite_ref-995) R v Hart, 1999 NSCA 45 at 8  
R v Pires; Lising [2005 SCC 66](http://canlii.ca/t/1m021) at para 3 (it is "of fundamental significance to the criminal trial process")  

  2. [↑](Print_version.html#cite_ref-996) R. v. Esau, 2009 SKCA 31 (CanLII), 324 Sask. R. 95 at para. 17
  3. [↑](Print_version.html#cite_ref-997) R v Lyttle [2004 SCC 5](http://canlii.ca/t/1gd50) at para 43
  4. [↑](Print_version.html#cite_ref-998) R. v. Mitchell, 2008 ONCA 757 (CanLII), 2008 ONCA 757, paras. 17-19  

  5. [↑](Print_version.html#cite_ref-999) Brownell v. Brownell, (1909) 42 SCR 368 [1909 CanLII 21](http://canlii.ca/t/21n3m)
  6. [↑](Print_version.html#cite_ref-1000) R. v. Lyttle, 2004 SCC 5
  7. [↑](Print_version.html#cite_ref-1001) R. v. Cullen, (1989), 52 C.C.C. (3d) 459 (Ont. C.A.)  
R. v. Titus, [1983 CanLII 49](http://canlii.ca/t/1txh7) (SCC), [1983] 1 S.C.R. 259;  
R. v. Hoilett, (1999), 4 C.R. (4th) 372 (Ont. C.A.)  

  8. [↑](Print_version.html#cite_ref-1002) R. v. Haussecker, [1998 ABPC 117](http://canlii.ca/t/5r81) at 18-20
  9. [↑](Print_version.html#cite_ref-1003) R. v. Haussecker, [1998 ABPC 117](http://canlii.ca/t/5r81) at 21-22
  10. [↑](Print_version.html#cite_ref-1004) R. v. Mian [2012 ABCA 302](http://canlii.ca/t/ft8h1) (CanLII)

### Cross-Examination by Self-Represented Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-8)]

Under 486.3(2), the Crown can seek to have the court appoint a lawyer to the accused for the purpose of conducting a cross-examination where the judge is "...of the opinion that, in order to obtain a full and candid account from the witness of the acts complained of, the accused should not personally cross-examine the witness.” [[1]](Print_version.html#cite_note-1005)

The initial onus lies on the crown to establish that the presumption in s.486.3 applies. This onus is on the balance of probabilities.[[2]](Print_version.html#cite_note-1006)If established, it is on the accused to establish that the proper administration of justice requires that the presumption should not be followed.[[3]](Print_version.html#cite_note-1007)

This section trumps the right to cross examine as the accused sees fit.[[4]](Print_version.html#cite_note-1008)

Factors to be considered include the circumstances of the case, the nature of the relationship between the accused and the witness and the nature of the alleged criminal acts.[[5]](Print_version.html#cite_note-1009) As well as the likelihood of the accused being aggressive and whether the questioning by the self-represented accused would be focussed, rational, and relevant.[[6]](Print_version.html#cite_note-1010)

  1. [↑](Print_version.html#cite_ref-1005) see also: R. v. Predie, 2009 O.J. No. 2723  
R. v. D.J. [2011 NSPC 3](http://canlii.ca/t/flk2r), NSJ No 262
  2. [↑](Print_version.html#cite_ref-1006) R. v. Tehrankari, [2008] O.J. No. 565 para 19
  3. [↑](Print_version.html#cite_ref-1007) See R. v. D.P.G., [2008] O.J. No. 767 (ONSC)
  4. [↑](Print_version.html#cite_ref-1008) R v Jones, [2011 NSJ 262
  5. [↑](Print_version.html#cite_ref-1009) R. v. Gendreau 2011 ABCA 256
  6. [↑](Print_version.html#cite_ref-1010) R. v. Predie, [2009] O.J. No. 2723

### Confrontation Rule (The Brown v. Dunn Rule)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-9)]

The confrontation rule, also known as the rule in Brown v Dunn, states that where a party is advancing a theory that contradicts the testimony of a particular witness being questioned, the counter-version must be put to the witness.[[1]](Print_version.html#cite_note-1011) More specifically, the witness should have "an opportunity to address or explain the point upon which credibility is attacked." [[2]](Print_version.html#cite_note-1012)

Courts have not stuck strictly to the requirement of presenting the counter version in each and every case involving credibility, stating that it is not a hard and fast rule.[[3]](Print_version.html#cite_note-1013)

A more flexible approach has been to focus on whether the failure created an unfairness. [[4]](Print_version.html#cite_note-1014)

It has been suggested that the rule should only apply to "matters of substance" and not "minor details".[[5]](Print_version.html#cite_note-1015)

Some courts have simply put the failure to confront the witness as a matter of weight given to the evidence.[[6]](Print_version.html#cite_note-1016)

Nevertheless, failure to put the counter story to a particular witness can result in an adverse finding on the counter-story.[[7]](Print_version.html#cite_note-1017)

Where the Defence has not confronted the relevant Crown witnesses with the counter theory of events, the Crown will generally be given the option of recalling their witnesses to address the counter-story.[[8]](Print_version.html#cite_note-1018)

Where the accused testifies and refutes the Crown's evidence, the rule may not apply such that the Crown need not to confront the accused's accused version of events. The accused would have been aware of the Crown evidence that came out in trial and would have been able to address it in their testimony.[[9]](Print_version.html#cite_note-1019) However, this tactical choice not to confront will prohibit the Crown from making a full comparison between the witnesses versions and in a jury trial would require limiting instructions notifying the jury that the accused did not have "potential benefit" his credibility being tested.[[10]](Print_version.html#cite_note-1020) </ref>

  1. [↑](Print_version.html#cite_ref-1011) R. v. Dyck, [1970] 2 C.C.C. 283 (B.C.C.A.)  
Brown v. Dunn (1893), 6 R. 67 (H.L.)
  2. [↑](Print_version.html#cite_ref-1012) R. v. I.I., [2013 ABCA 2](http://canlii.ca/t/fvhsd) (CanLII) at para. 8 citing McWilliams, Canadian Criminal Evidence, 4th ed. (Aurora: Canada Law Book, 2003) at p. 18-104
  3. [↑](Print_version.html#cite_ref-1013) R. v. Palmer [1979 CanLII 8](http://canlii.ca/t/1mjtn) (SCC), [1980] 1 S.C.R. 759 at 781
  4. [↑](Print_version.html#cite_ref-1014) R v Johnson, [2010] OJ No. 4153 at para 79: ("The rule is one of fairness, and is not absolute. ... Counsel should not necessarily be obliged to plod through a witness' evidence in-chief, putting him or her on notice of every detail that they do not accept. ... A pragmatic approach to the rule is most appropriate.")  
see also R. v. Henderson [1999 CanLII 2358](http://canlii.ca/t/1f9fj) (ON CA), (1999), 44 O.R. (3d) 628 (C.A.), at pp. 636-37  
R. v. Giroux [2006 CanLII 10736](http://canlii.ca/t/1n06n) (ON CA), (2006), 207 C.C.C. (3d) 512 (Ont. C.A.), at para. 42  
R. v. Lyttle [2004 SCC 5](http://canlii.ca/t/1gd50) at para. 65  
R. v. Palmer 1979 CanLII 8 (SCC), [1980] 1 S.C.R. 759 at 781  

  5. [↑](Print_version.html#cite_ref-1015) R. v. Giroux at para. 46 R. v. Werkman [2007 ABCA 130](http://canlii.ca/t/1r4xs) at para. 7  

  6. [↑](Print_version.html#cite_ref-1016) R. v. MacKinnon, [1992 CanLII 488 (BCCA)](http://canlii.ca/t/1d9gq)  
R. v. O.G.K., [1994 CanLII 8742 (BC CA)](http://canlii.ca/t/2325s)  

  7. [↑](Print_version.html#cite_ref-1017) R. v. Mete, (1973), 3 W.W.R. 709 (B.C.C.A.)  
R. v. Khuc, [2000 BCCA 20](http://canlii.ca/t/5391)  
R. v. McNeill (2000), 144 C.C.C. (3d) 551 (B.C.C.A.)  
[2000 CanLII 4897 (ON CA)](http://canlii.ca/t/1fb5h)  
R. v. Carter, [2005 BCCA 381](http://canlii.ca/t/1l730) at 54 to 60  
R. v. Ali, [2009 BCCA 464](http://canlii.ca/t/26bd2)  

  8. [↑](Print_version.html#cite_ref-1018) e.g. see comments in R v Sparvier, [2012 SKPC 67](http://canlii.ca/t/fr25w) at para. 31
  9. [↑](Print_version.html#cite_ref-1019) R. v. I.I., [2013 ABCA 2](http://canlii.ca/t/fvhsd) (CanLII) - Crown only cross-examined on collateral matters and not the substance of incident
  10. [↑](Print_version.html#cite_ref-1020) I.I. at para. 20, 23

### Cross-Examination of the Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-10)]

Except where the accused places his character at issue, the Crown cannot cross examine the witness on the accused of the prior criminal record. The crown can ask the accused of the date and place of conviction; the offence convicted; the sentence imposed.

The Crown may not cross-examine the accused on lies told by the accused to the police at unrelated instances.[[1]](Print_version.html#cite_note-1021)

See details at [Canadian Criminal Evidence/Credibility/Criminal Record](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Criminal_Record)

  1. [↑](Print_version.html#cite_ref-1021) R. v. Lee, [2005 CanLII 46628](http://canlii.ca/t/1m6m4) (ON CA)

### Cross Examination of Non-accused Persons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-11)]

A witness who is not the accused may be cross-examined on outstanding charges, including the underlying conduct, regardless of whether it occurred before or after the incident at issue. It may be relevant to credibility and other issues such as self-defence.[[1]](Print_version.html#cite_note-1022)

  1. [↑](Print_version.html#cite_ref-1022) R. v. Chartrand, [2002 CanLII 6331](http://canlii.ca/t/1cczf) (ON CA)

### During a Preliminary Inquiry[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-12)]

An accused at a preliminary inquiry has "a right to full, detailed and careful cross-examination". Failure to be permitted to do so "is a failure to accord the accused an important right granted him by the provisions of the Criminal Code".[[1]](Print_version.html#cite_note-1023)

See Also: [Canadian Criminal Procedure and Practice/Preliminary Inquiry](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Preliminary_Inquiry)

  1. [↑](Print_version.html#cite_ref-1023) Patterson v. The Queen (1970), 2 C.C.C. (2d) 227, [1970 CanLII 180](http://canlii.ca/t/1xd5w) (SCC), [1970] SCR 409

## Re-Examination or Re-Direct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-13)]

A party calling a witness is entitled to re-examine the witness after cross-examination. The scope of the re-examination is limited to matters that arose in cross-examination.[[1]](Print_version.html#cite_note-1024) Its purpose is to allow the witness to explain or qualify answers that were given in cross-examination. New matters may generally not be raised in questioning.

New facts may be raised in re-examination at the discretion of the judge. If the judge permits it, the opposing party must be permitted to cross-examine.[[2]](Print_version.html#cite_note-1025)

The rule against leading questions still applies in re-examination.[[3]](Print_version.html#cite_note-1026)

Re-examination may not be used to improperly bolster credibility of the witness after impeaching credibility in cross-examination.[[4]](Print_version.html#cite_note-1027)

  1. [↑](Print_version.html#cite_ref-1024) R v Moore, (1984), 15 C.C.C. (3d) 541 (Ont. C.A.) at 66 cited in R. v. Evans [1993] 2 SCR 639 at 36
  2. [↑](Print_version.html#cite_ref-1025) Moore, supra at 66
  3. [↑](Print_version.html#cite_ref-1026) Moore, supra at 66  
See Phipson on Evidence (13th Ed.). at p. 823-24; Wigmore on Evidence (3rd Ed.), vol. 6, p. 567  

  4. [↑](Print_version.html#cite_ref-1027) R. v. Moore, (1984), 15 C.C.C. (3d) 541 (Ont. C.A.)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Examinations&action=edit&section=T-14)]

  * [Canadian Criminal Evidence/Hearsay/Principled Exception](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Hearsay/Principled_Exception)
  * [Collateral Fact Rule](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Collateral_Fact_Rule)
  * [Prior Consistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Consistent_Statements)
  * [Prior Inconsistent Statements](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Prior_Inconsistent_Statements)
  * [Adverse and Hostile Witnesses](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Credibility/Adverse_and_Hostile_Witnesses)

  


# Trials/Role of Trial Judge[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Powers and Responsibilities of the Judge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-1)]

An accused person is entitled to a Constitutional right to an impartial trier-of-fact.[[1]](Print_version.html#cite_note-1028)

Once a judge begins hearing evidence and makes a ruling on it, the judge becomes seized with the matter and no other judge can take over.[[2]](Print_version.html#cite_note-1029)

  1. [↑](Print_version.html#cite_ref-1028) See s. 11(d) of the Charter which is the right "...to be presumed innocent until proven guilty according to law in a fair and public hearing by an independent and impartial tribunal;"  
See also R. v. Valente (1985), 23 C.C.C. (3d) 193 (S.C.C.)  
R.  v.  Campbell (1997), 118 C.C.C. (3d) 193 (S.C.C.)  

  2. [↑](Print_version.html#cite_ref-1029) R. v. Curtis, [1991] 66 C.C.C. (3d) 156 (Ont. Gen. Div.)

### Process[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-2)]

A Superior Court Justice has the inherent jurisdiction to eliminate any procedural unfairness that arises during a trial.[[1]](Print_version.html#cite_note-1030)

The "procedural directions contained in the Code are of necessity exhaustive". The powers of a provincial court judge are "entirely statutory."[[2]](Print_version.html#cite_note-1031) However, "the authority to control the court's process and oversee the conduct of counsel is necessarily implied in the grant of power to function as a court of law. This Court has affirmed that courts can apply a ‘doctrine of jurisdiction by necessary implication’ when determining the powers of a statutory tribunal.” [[3]](Print_version.html#cite_note-1032)

The inherent powers of a superior court judge to control the court process is said to be equally available to provincial court judges either expressly by statute or by necessary implication.[[4]](Print_version.html#cite_note-1033)

Consequently, a provincial court judge has implied jurisdiction to "vary one of its own orders in order to correct clerical mistakes or errors arising from an accidental slip or omission or in order to properly reflect the intention of the court"[[5]](Print_version.html#cite_note-1034)

Generally, a "court has a limited power to reconsider and vary its judgment disposing of the case as long as the court is not functus.”[[6]](Print_version.html#cite_note-1035)

  1. [↑](Print_version.html#cite_ref-1030) R. v. Rose, [1998] 3 S.C.R. 262 [1998 CanLII 768](http://www.canlii.org/en/ca/scc/doc/1998/1998canlii768/1998canlii768.html)
  2. [↑](Print_version.html#cite_ref-1031) R. v. Doyle [1976 CanLII 11](http://canlii.ca/t/1z6fv) (SCC), [1977] 1 S.C.R. 597
  3. [↑](Print_version.html#cite_ref-1032) R. v. Cunningham, [2010] S.C.R. 331 at para 19
  4. [↑](Print_version.html#cite_ref-1033) R vs Doyle 1976 CanLII 11 (SCC), [1977] 1 SCR 597, per Ritchie, J. ("Whatever inherent powers may be possessed by a superior court judge in controlling the process of his own Court, it is my opinion that the powers and functions of a magistrate acting under the Criminal Code are circumscribed by the provisions of that statute and must be found to have been thereby conferred either expressly or by necessary implication.")
  5. [↑](Print_version.html#cite_ref-1034) see R. v. Rhingo, [1997] O.J. No. 1110 (Ont. C.A.) and R. v. Robichaud, [2012] N.B.J. No. 175 (C.A.)
  6. [↑](Print_version.html#cite_ref-1035) R. v. Adams, 1995 CanLII 56 (SCC), [1995] 4 S.C.R. 707, at para 29

### Limiting evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-3)]

The judge is required to listen to evidence that "advances the work of the court". He or she cannot be required to listen to irrelevant or pointless evidence.[[1]](Print_version.html#cite_note-1036) The judge may even disallow the submission of non-relevant evidence.[[2]](Print_version.html#cite_note-1037)

The judge has an obligation to track the admission of evidence to ensure that the record is restricted to what is admissible, and also that it is only used for the purpose for which it was admitted.[[3]](Print_version.html#cite_note-1038)

The judge has the jurisdiction to edit the evidence, including written statements and oral testimony, as it is given. The judge may edit out portions of the evidence that is prejudicial or otherwise irrelevant or immaterial only so long as it does not distort the probative evidence.[[4]](Print_version.html#cite_note-1039)

  1. [↑](Print_version.html#cite_ref-1036) R. v. Malmo-Levin 2003 SCR
  2. [↑](Print_version.html#cite_ref-1037) R. v. Schneider, [2004 NSCA 99](http://www.canlii.org/en/ns/nsca/doc/2004/2004nsca99/2004nsca99.html)
  3. [↑](Print_version.html#cite_ref-1038) R. v. Morrisey [1995 CanLII 3498](http://www.canlii.org/en/on/onca/doc/1995/1995canlii3498/1995canlii3498.html) (ON CA), (1995), 22 O.R. (3d) 514  
R. v. Smith, [2011 ONCA 564](http://www.canlii.org/en/on/onca/doc/2011/2011onca564/2011onca564.html) at 59
  4. [↑](Print_version.html#cite_ref-1039) R. v. Dubois (1986), ___ (Ont.C.A.);R. v. Toten (1993), 14 O.R. (3d) 225 (Ont.C.A.) [1993 CanLII 3427](http://canlii.org/en/on/onca/doc/1993/1993canlii3427/1993canlii3427.html)

### Fact Finding[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-4)]

Evidence before a judge are not facts. The judge has the power to hear evidence from which factual conclusions may be made. The Judge may make inferences. These inferences must be logical conclusions drawn from the evidence before the judge at trial. They cannot be conjecture or speculation about potential evidence that has not be submitted before the court.[[1]](Print_version.html#cite_note-1040)

There are generally well known inferences, that a judge will make regularly such as the inference "that one intends the natural consequences of one’s actions [in] any ... human activity, especially in light of the lack of evidence to rebut the inference."[[2]](Print_version.html#cite_note-1041)

  1. [↑](Print_version.html#cite_ref-1040) Caswell v Powell Duffryn Associated Collieries Ltd [1939] 3 All ER 722
  2. [↑](Print_version.html#cite_ref-1041) R.v. Missions [2005 NSCA 82](http://canlii.ca/t/1knrn) at 21

### Sitting Position of Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-5)]

Sitting arrangment of the accused in the court is in the sole discretion of the trial judge.[[1]](Print_version.html#cite_note-1042)

Custom dictates that the accused is to be placed in the dock which is not said to violate the accused’s Charter rights.[[2]](Print_version.html#cite_note-1043)

The jury should be able to see the accused during the trial. This interest may prevent the accused from requesting a seat at counsel table to give instructions.[[3]](Print_version.html#cite_note-1044)

  1. [↑](Print_version.html#cite_ref-1042) R. v. Levogiannis, [1993 CanLII 47](http://canlii.ca/t/1frxq), [1993] 4 S.C.R. 475 at para. 53
  2. [↑](Print_version.html#cite_ref-1043) R. v. Gervais [2001 CanLII 28428](http://canlii.ca/t/1wd19) (ON SC) at 8
  3. [↑](Print_version.html#cite_ref-1044) R. v. McCarthy, [2012 CanLII 10661 2012 CanLII 10661] (NL SCTD) [refused request to sit at counsel table]

### Judge Following a Case[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-6)]

Once a judge hears evidence or facts on a case they are seized with the case and must follow the matter to its conclusion.

Where a judge falls ill, they remain seized with the matter unless there is unreasonable delay that results.[[1]](Print_version.html#cite_note-1045)

  1. [↑](Print_version.html#cite_ref-1045) R. v. Brown, [2012 ONSC 822](http://canlii.ca/t/fpw65)

### Doctrine of Functus Officio[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-7)]

A judge has jurisdiction over an outstanding charge up to the point where the charge has been resolved by way of a stay, withdraw, dismissal, acquittal, or sentencing. The doctrine of functus officio refers to the principle that a court no longer has jurisdiction to change any decisions once a charge has reached its ultimate conclusion.

This common law rule states that the final judgement of a court cannot be reopened. [[1]](Print_version.html#cite_note-1046) The power to review a decision is transferred by the Judicature Act to the appellate division.

This rule only applies to judgements that have been drawn up, issued and entered.[[2]](Print_version.html#cite_note-1047)

It is said that a court is functus if and only if "the duties and functions of the [court’s] original commission have been fully accomplished"[[3]](Print_version.html#cite_note-1048)

There are exceptions to this rule. The court may still interfere with a prior decision where:[[4]](Print_version.html#cite_note-1049)

  1. where there had been a slip in drawing it up, and,
  2. where there was an error in expressing the manifest intention of the court

A trial judge sitting without a jury is functus officio only after he has imposed his sentence.[[5]](Print_version.html#cite_note-1050)

An intermittent jail sentence cannot be varied by the sentencing court to a non-intermittent.[[6]](Print_version.html#cite_note-1051) There is some authority suggesting that the court may vary the entry and exit times of the intermittent sentence based on the power of the court to control its own process.[[7]](Print_version.html#cite_note-1052)

  1. [↑](Print_version.html#cite_ref-1046) originates from Re St. Nazaire Co. (1879), 12 Ch. D. 88  

  2. [↑](Print_version.html#cite_ref-1047) Chandler v. Alberta association of architects, [1989 CanLII 41](http://canlii.ca/t/1ft28) (SCC), [1989] 2 SCR 848
  3. [↑](Print_version.html#cite_ref-1048) Jacobs Catalytic Ltd. vs International Brotherhood of Electrical Workers, Local #353 2009 ONCA 749; 312 DLR (4th) 250 at para. 60
  4. [↑](Print_version.html#cite_ref-1049) Chandler v. Alberta association of architects, supra
  5. [↑](Print_version.html#cite_ref-1050) R. v. MacDonald 1991 CanLII 2424 (NS CA), (1991), 107 N.S.R. (2d) 374
  6. [↑](Print_version.html#cite_ref-1051) R v. Germaine (1980) 39 NSR (2d) 177 at para. 5 - no jurisdiction to make intermittent to non-intermittent because not in text of 732  
R v Jules [1988] BCJ 1605  

  7. [↑](Print_version.html#cite_ref-1052) R. v. E.K., [2012 BCPC 132](http://canlii.ca/t/frc2s)  
c.f. R. v. Crocker, [2012 CanLII 42379](http://canlii.ca/t/fs5sw) (NL PC)  


### Communications with Counsel Out of Court[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-8)]

_Ex parte_ communications (i.e. communications in absence of one of the parties) concerning an ongoing proceedings should be avoided. It is a rule that relates to the "public perception of fairness within the administration of justice". [[1]](Print_version.html#cite_note-1053) It also preserves "confidence of the public in the impartiality of the judiciary and thereby in the administration of justice".[[2]](Print_version.html#cite_note-1054)

Ex parte communications between judge and counsel concerning a case will "almost invariably raise a reasonable apprehension of bias".[[3]](Print_version.html#cite_note-1055)

  1. [↑](Print_version.html#cite_ref-1053) R. v. Deleary, 2007 CanLII 71720 (ON SC) at para. 22
  2. [↑](Print_version.html#cite_ref-1054) R v Jones, 1996 CanLII 8006 (ON SC), (1996), 107 C.C.C. (3d) 517 (Ont. G.D.)
  3. [↑](Print_version.html#cite_ref-1055) Jones and Deleary

## Intervention During Trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-9)]

There is a presumption that a trial judge has intervened in a trial properly. The judge may often make comments, give directions or ask questions. [[1]](Print_version.html#cite_note-1056) The key issue is whether the intervention affected trial fairness. [[2]](Print_version.html#cite_note-1057) This is from the perspective of a reasonable observer. [[3]](Print_version.html#cite_note-1058)

A judge may disrupt questioning in order to clear evidentiary ambiguities, pursue subjects left vague by the witness, and ask questions counsel should have asked.[[4]](Print_version.html#cite_note-1059)

"Interlocutory remarks" of the judge during argument are not "judicial pronouncements"[[5]](Print_version.html#cite_note-1060)

A judge is permitted to give the jury mid-trial instructions to disregard any erroneous comments made by counsel. If it is given promptly and with explanation of why it should be disregarded, this can effectively correct any concern that a jury might misuse the information. [[6]](Print_version.html#cite_note-1061)

There is a presumption that an accused not be restrained while in court. It is upon the Crown to establish grounds to order the restaint of the accused.[[7]](Print_version.html#cite_note-1062)

Unnecessary and repeated interruptions that disrupt the flow and effectiveness of cross-examination may exceed permissible limits.[[8]](Print_version.html#cite_note-1063)

  1. [↑](Print_version.html#cite_ref-1056) Chippewas of Mnjikaning First Nation v. Chiefs of Ontario, 2010 ONCA 47, at para. 231
  2. [↑](Print_version.html#cite_ref-1057) R. v. Valley 1996 (Ont. c.A.)
  3. [↑](Print_version.html#cite_ref-1058) R. v. Stucky [2009 ONCA 151](http://canlii.ca/t/22hv3)
  4. [↑](Print_version.html#cite_ref-1059) R. v. Watson, [2004 CanLII 45443](http://canlii.ca/t/1jd19) (ON CA) at para. 10
  5. [↑](Print_version.html#cite_ref-1060) R. v. Visscher, [2012 BCCA 290](http://canlii.ca/t/frt7v) (CanLII) at para. 25
  6. [↑](Print_version.html#cite_ref-1061) see R. v. Normand (D.G.), [2002 MBCA 95](http://canlii.ca/t/5kkk) at para. 20, 166 Man.R. (2d) 179)
  7. [↑](Print_version.html#cite_ref-1062) R. v. W.H.A., 2011 NSSC 166
  8. [↑](Print_version.html#cite_ref-1063) R v Watson

### Exclusion of parties[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-10)]

The trial judge can order the exclusion of the accused where his conduct makes the proceedings impractical.[[1]](Print_version.html#cite_note-1064)

The accused can likewise voluntarily be absent from the trial with the court's consent.[[2]](Print_version.html#cite_note-1065) However, depending on how the proceedings go in the absence of the accused, there may be a ground of appeal.[[3]](Print_version.html#cite_note-1066)

  1. [↑](Print_version.html#cite_ref-1064) See s.650(2)(8); R. v. Pawliw, [1985 CanLII 656](http://www.canlii.org/en/bc/bcsc/doc/1985/1985canlii656/1985canlii656.html) (BCSC)
  2. [↑](Print_version.html#cite_ref-1065) R. v. Drabinsky, [2008 CanLII 40225](http://canlii.ca/t/208km) (ON SC)
  3. [↑](Print_version.html#cite_ref-1066) R. v. Valeanu, [1995 CanLII 614](http://canlii.ca/t/6jwm) (ON CA)

### Maintaining Order[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-11)]

> **Preserving order in court**  
484\. Every judge or provincial court judge has the same power and authority to preserve order in a court over which he presides as may be exercised by the superior court of criminal jurisdiction of the province during the sittings thereof.
> 
> R.S., 1985, c. C-46, s. 484; R.S., 1985, c. 27 (1st Supp.), s. 203.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec484)

### Misc powers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge&action=edit&section=T-12)]

The judge does not have the power to order that counsel not communicate with a witness who is not in the middle of testimony. The rules of contempt of court and Professional Conduct are the only limitations on counsel's right to speak with witnesses and clients in court.[[1]](Print_version.html#cite_note-1067)

  1. [↑](Print_version.html#cite_ref-1067) R. v. Arsenault, (1956) 115 CCC 400 (NBCA)

  


# Juries[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-1)]

Jurors bring their own life experience's to their task.[[1]](Print_version.html#cite_note-1068)

A prospective juror is presumed capable of "setting aside their views and prejudices and acting impartially between the prosecution and the accused upon proper instruction by the trial judge on their duties."[[2]](Print_version.html#cite_note-1069)

Members of the jury are to come to a unanimous conclusion on the verdict. They do not have to agree on the means or path to that verdict.[[3]](Print_version.html#cite_note-1070)

  1. [↑](Print_version.html#cite_ref-1068) See R. v. Pan, [2001 SCC 42](http://canlii.ca/t/5203), [2001] 2 S.C.R. 344 at para. 61
  2. [↑](Print_version.html#cite_ref-1069) R. v. Find, [2001 SCC 32](http://canlii.ca/t/521b), [2001] 1 S.C.R. 863 at para. 26
  3. [↑](Print_version.html#cite_ref-1070) R. v. Thatcher, 1987 CanLII 53 (SCC), [1987] 1 S.C.R. 652

## Jury Selection[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-2)]

  * [Canadian Criminal Procedure and Practice/Trials/Juries/Jury Selection](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Juries/Jury_Selection)

## Jury Instructions/Charge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-3)]

  * [Canadian Criminal Procedure and Practice/Trials/Juries/Jury Instructions](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Juries/Jury_Instructions)

## Discharging a Juror[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-4)]

Section 644 (1) and (2) states that:

> (1) Where in the course of a trial the judge is satisfied that a juror should not, by reason of illness or other reasonable cause, continue to act, the judge may discharge the juror.
> 
> ...
> 
> **Trial may continue**  
(2) Where in the course of a trial a member of the jury dies or is discharged pursuant to subsection (1), the jury shall, unless the judge otherwise directs and if the number of jurors is not reduced below ten, be deemed to remain properly constituted for all purposes of the trial and the trial shall proceed and a verdict may be given accordingly.
> 
> ...

A juror can be discharged where there is well-established information that a juror's impartiality is in questioned.[[1]](Print_version.html#cite_note-1071)

The judge will make inquiries to the alleged biased juror in open court. Counsel will be able to make submissions and suggest questions to be put to the juror.[[2]](Print_version.html#cite_note-1072)

A judge has the discretion to discharge a juror under s. 644 and continue the trial or can dismiss the jury and declare a mistrial. [[3]](Print_version.html#cite_note-1073) The procedure requires the judge to:

  1. "apply the proper legal test for determining whether the information gives rise to a reasonable apprehension of bias”, and
  2. "at a minimum, conduct an inquiry into the circumstances in order to obtain the necessary information upon which to exercise his or her discretion" [[4]](Print_version.html#cite_note-1074)

Jurors can be dismissed during deliberations.[[5]](Print_version.html#cite_note-1075)

The jury can be reduced to as little as 10 members without a mistrial or a violation of s. 11(f) Charter rights.[[6]](Print_version.html#cite_note-1076)

Jury secrecy is an ancient part of the common law. [[7]](Print_version.html#cite_note-1077) The purpose is to allow juries to explore reasonings without risk of impeachment.[[8]](Print_version.html#cite_note-1078)

It exists today in section 649:

> **Disclosure of jury proceedings**  
649\. Every member of a jury, and every person providing technical, personal, interpretative or other support services to a juror with a physical disability, who, except for the purposes of
> 
>     (a) an investigation of an alleged offence under subsection 139(2) in relation to a juror, or
>     (b) giving evidence in criminal proceedings in relation to such an offence,
> 
> discloses any information relating to the proceedings of the jury when it was absent from the courtroom that was not subsequently disclosed in open court is guilty of an offence punishable on summary conviction.
> 
> R.S., 1985, c. C-46, s. 649; 1998, c. 9, s. 7.

This rule, however, does not prevent the court from taking evidence from a third party or a juror about problems that may taint the verdict.

Once the jury gives a verdict the judge is _functus_ and so cannot deal with any issues of irregularities in deliberation.[[9]](Print_version.html#cite_note-1079)

  1. [↑](Print_version.html#cite_ref-1071) R. v. Budai, 2001 BCCA 349 at 27-40  
R. v. Wolfe, 2005 BCCA 307 at para. 5 (“When a juror’s conduct raises questions of possible bias, the trial judge may discharge the juror or dismiss the jury and declare a mistrial. Whether to take such a step is a matter which falls within the discretion of the trial judge....”)  

  2. [↑](Print_version.html#cite_ref-1072) R. v. Chambers 1990 CanLII 47 (SCC), [1990] 2 S.C.R.1293
  3. [↑](Print_version.html#cite_ref-1073) Budai at 39
  4. [↑](Print_version.html#cite_ref-1074) Budai at para. 40
  5. [↑](Print_version.html#cite_ref-1075) R. v. Krieger, [2005] A.J. No. 683 (C.A.)  
R. v. Peters, 1999 BCCA 406, 137 C.C.C. (3d) 26 (B.C.C.A.)  
R. v. Kum, 2012 ONSC 1194
  6. [↑](Print_version.html#cite_ref-1076) R .v. Genest 1990 CanLII 3175 (QC CA), (1990), 61 C.C.C. (3d) 251(Que.C.A.)
  7. [↑](Print_version.html#cite_ref-1077) dating back to "Lord Mansfield's Rule" of 1785 which prohibits evidence of jury deliberation
  8. [↑](Print_version.html#cite_ref-1078) R. v. Pan, 2001 SCC 42
  9. [↑](Print_version.html#cite_ref-1079) see R. v. Lewis, 2011 ONSC 1074 (S.C.J.) and R. v. Mirza, [2004] 1 A.C. 1118

## Determined facts after a jury trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-5)]

> **Information accepted**  
724\. (1) In determining a sentence, a court may accept as proved any information disclosed at the trial or at the sentencing proceedings and any facts agreed on by the prosecutor and the offender.
> 
> **Jury**  
(2) Where the court is composed of a judge and jury, the court
> 
>     (a) shall accept as proven all facts, express or implied, that are essential to the jury’s verdict of guilty; and
>     (b) may find any other relevant fact that was disclosed by evidence at the trial to be proven, or hear evidence presented by either party with respect to that fact.
> 
> **Disputed facts**  
(3) Where there is a dispute with respect to any fact that is relevant to the determination of a sentence,
> 
>     (a) the court shall request that evidence be adduced as to the existence of the fact unless the court is satisfied that sufficient evidence was adduced at the trial;
> 
> ...
> 
> R.S., 1985, c. C-46, s. 724; 1995, c. 22, s. 6.
> 
> – [[57]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec724)

The primary principles the court must follow to determine facts subsequent to a jury trial:[[1]](Print_version.html#cite_note-1080)

  1. The sentencing judge must determine the facts necessary for sentencing from the issues before the jury and from the jury's verdict.
  2. The sentencing judge is bound by the express and implied factual implications of the jury's verdict, and must accept as proven all facts express or implied that are essential to the jury's verdict.
  3. The sentencing judge must not accept as fact any evidence consistent only with a verdict rejected by the jury.
  4. When the factual implications of the jury's verdict are ambiguous, the sentencing judge should not attempt to follow the logical processes of the jury, but should come to his or her own independent determination of the relevant facts.
  5. Aggravating facts must be established beyond a reasonable doubt. Other facts must be established on a balance of probabilities.
  6. The sentencing judge should therefore find only those facts necessary to permit the proper sentence to be imposed in the case at hand. The judge should first ask what the issues on sentencing are, and then find such facts as are necessary to deal with those issues.

  1. [↑](Print_version.html#cite_ref-1080) Based on R. v. Brisson, 2009 BCSC 1606 (CanLII), 2009 BCSC 1606 at para. 5, summarizing the principles in R. v. Ferguson, 2008 SCC 6 (CanLII), [2008] 1 S.C.R. 96 at paras. 17-18

## Guilty plea in a Jury trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-6)]

A guilty plea before the commencement of a jury trial is to be accepted by the presiding judge.[[1]](Print_version.html#cite_note-1081) A change of plea during a jury trial should be done to the judge presiding.[[2]](Print_version.html#cite_note-1082) This is despite the fact that the accused was put in charge of the jury.

The accused does not need to re-elect to another mode of trial to put in the guilty plea.[[3]](Print_version.html#cite_note-1083) By contrast, the older method would involve the jury taking the plea directly from the accused, if the guilty plea were to occur during the trial.[[4]](Print_version.html#cite_note-1084)

  1. [↑](Print_version.html#cite_ref-1081) R v Luis (1989) 20 CCC (3d) 298 (Ont HCJ)
  2. [↑](Print_version.html#cite_ref-1082) eg. R v Rowbothham, [1994] 2 SCR 463 at 36 - judge accepts a “directed verdict” of not guilty  
see also Ewaschuk, Criminal Pleadings and Practice in Canada at 14:1080
  3. [↑](Print_version.html#cite_ref-1083) R v Murray [2000 NBCA 2](http://canlii.ca/t/59f7)
  4. [↑](Print_version.html#cite_ref-1084) See R v Walker, [1939] SCR 214

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Juries&action=edit&section=T-7)]

  


# Trials/Evaluating Evidence and Finding Facts[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Findings of Fact[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-1)]

Only the trier-of-fact (the judge or jury) can make findings of fact unless there is an agreement on facts or an admission under s. 655 of the Code.

The testimony of a witness is _not_ a fact until the trier finds it as so. It is only for the trier to decide. The trier may accept all, some, or none of what a witness says.[[1]](Print_version.html#cite_note-1085) If the witness is not believed on an issue, the evidence supporting it must be rejected. [[2]](Print_version.html#cite_note-1086)

Of the evidence accepted, the trier-of-fact may associate different weights to individual parts of the evidence.[[3]](Print_version.html#cite_note-1087)

When considering testimony evidence, its value comes down to four factors:[[4]](Print_version.html#cite_note-1088)

  1. perception,
  2. memory,
  3. narration, and
  4. sincerity

The court does have a limited power to edit statements and other forms of evidence as part of its jurisdiction over the trial process. This is usually applied where the evidence is unduly prejudicial.[[5]](Print_version.html#cite_note-1089)

The trier-of-fact may only convict where there has been "acceptable credible evidence" that was found to be factually correct.[[6]](Print_version.html#cite_note-1090) If there "contradictory evidence" on an element of the charge the Defendant must be given the benefit of that doubt even if the Defence evidence is rejected.[[7]](Print_version.html#cite_note-1091)

In appropriate cases, regardless of the offence, it is reasonable to find guilt based solely on the the evidence of a single witness.[[8]](Print_version.html#cite_note-1092)

When confronted with two contradictory stories, a judge does not need to make a finding of fact as to which story is correct.[[9]](Print_version.html#cite_note-1093)

Guilt should not be based a credibility contest or choice between competing evidence. This should "erode" the presumption of innocence and standard of proof beyond a reasonable doubt.[[10]](Print_version.html#cite_note-1094) However, it is not an error to make "finding of credibility as between the complainant and the accused" as long as all the steps of further analysis are taken.[[11]](Print_version.html#cite_note-1095)

  1. [↑](Print_version.html#cite_ref-1085) R. v. D.A.I., [2012 SCC 5](http://canlii.ca/t/fq0rb) (CanLII), [2012] 1 SCR 149, at para. 72  
R. v. Francois, [1994 CanLII 52](http://canlii.ca/t/1frqm) (SCC), [1994] 2 S.C.R. 827, at p. 837  
R. v. B.C., [2011 ONCA 604](http://canlii.ca/t/fn4t7) (CanLII), at para 5 leave refused  
R. v. M.R., [2010 ONCA 285](http://canlii.ca/t/29bdk) (CanLII), at para. 6  

  2. [↑](Print_version.html#cite_ref-1086) R. v. Morin, (1987), 36 C.C.C. (3d) 50 per Cory J.A.
  3. [↑](Print_version.html#cite_ref-1087) R. v. Howe, [2005 CanLII 253](http://canlii.ca/t/1jkc6) (ON CA), (2005), 192 C.C.C. (3d) 480 (Ont. C.A.), at para. 44
  4. [↑](Print_version.html#cite_ref-1088) Kenneth S. Broun et al., 2 McCormick on Evidence, (6th ed.) (USA: Thomson/West, 2006), §245, at p. 125 and R. v. Baldree, [2012 ONCA 138](http://canlii.ca/t/fqcws) at 43
  5. [↑](Print_version.html#cite_ref-1089) R. v. Dubois, (1986), 27 C.C.C. (3d) 325
  6. [↑](Print_version.html#cite_ref-1090) R. v. Campbell, [1995 CanLII 656 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/1995/1995canlii656/1995canlii656.html)
  7. [↑](Print_version.html#cite_ref-1091) R. v. Chan, [1989 ABCA 284](http://www.canlii.org/en/ab/abca/doc/1989/1989abca284/1989abca284.html)  
R. v. C.W.H., [1991 CanLII 3956 (BC C.A.)](http://www.canlii.org/en/bc/bcca/doc/1991/1991canlii3956/1991canlii3956.html)  
R. v. Miller, [1991 CanLII 2704 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/1991/1991canlii2704/1991canlii2704.html)
  8. [↑](Print_version.html#cite_ref-1092) R. v. G.(A.), 2000 SCC 17 (CanLII), [2000] 1 S.C.R. 439, at pp. 453-4  
R v Vetrovec, 1982 CanLII 20 (SCC), [1982] 1 S.C.R. 811, at pp. 819-820  

  9. [↑](Print_version.html#cite_ref-1093) R. v. Avetysan, 2000 SCC 56 (CanLII), [2000 SCC 56](http://www.canlii.org/en/ca/scc/doc/2000/2000scc56/2000scc56.html) at p. 2
  10. [↑](Print_version.html#cite_ref-1094) W.(D.) v. The Queen 1991 CanLII 93 (SCC), [1991] 1 S.C.R. 742, at pp. 757-8  
Avetsyan v. The Queen, 2000 SCC 56 (CanLII), [2000] 2 S.C.R. 745, at paras. 18-22  

  11. [↑](Print_version.html#cite_ref-1095) R. v. Chittick, 2004 NSCA 135 (CanLII), 2004 NSCA 135, at paras. 23-25

## Evaluating Credibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-2)]

### Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-3)]

Evaluating evidence involves the assessment of a witnesses credibility and reliability. These are distinct but related concepts referring to the witness' veracity (the former) and accuracy (the latter).[[1]](Print_version.html#cite_note-1096) There can be significant overlap. "Testimonial reliability" or "reliability" can often mean or include credibility.[[2]](Print_version.html#cite_note-1097)

Evaluating credibility is not a scientific process[[3]](Print_version.html#cite_note-1098), and so there are no hard and fast rules to apply.[[4]](Print_version.html#cite_note-1099)

  1. [↑](Print_version.html#cite_ref-1096) R. v. Morrissey, 1995 CanLII 3498 (ON CA), (1995), 22 O.R. (3d) 514 at para. 33 per Doherty J.A.
  2. [↑](Print_version.html#cite_ref-1097) R. v. Woollam, [2012 ONSC 2188](http://canlii.ca/t/fscd8) (CanLII) at para. 90-111 gives detailed canvassing of use of term "reliability" also referring to see R. v. Murray 1997 CanLII 1090 (ON CA), (1997), 115 C.C.C. (3d) 225 (Ont.C.A.); R. v. Thurston, [1986] O.J. No. 2011 (Gen. Div.); R. v. K.T.D., [2001] O.J. No. 2890 (S.C.J.)
  3. [↑](Print_version.html#cite_ref-1098) R v Gagnon 2006 SCC 17
  4. [↑](Print_version.html#cite_ref-1099) R v White , [1947] SCR 268 [1947 CanLII 1](http://canlii.org/en/ca/scc/doc/1947/1947canlii1/1947canlii1.html)  
R. v. S.I.C., 2011 ABPC 261 at 19  


### Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-4)]

There are many tools for assessing the credibility and reliability of a witness' testimony:[[1]](Print_version.html#cite_note-1100)

  1. **Internal inconsistencies:** consider the inconsistencies with previous statements or testimony at trial.
  2. **External inconsistencies:** consider the _contradictory_ and _corroborative_ evidence between witnesses;
  3. **Bias and Partiality:** assess the _partiality_ of witnesses due to kinship, hostility, self-interest, or any other motive to favour or injure the accused;
  4. **Capacity:** consider the capacity of the witness to relate their testimony: 
    1. ability and opportunity to **observe**,
    2. ability to **remember** and
    3. ability to **communicate** the details of their testimony;
  5. **Justifiable error:** consider whether the witness, because of the **turmoil surrounding the event** at the time it occurred, have been easily or understandably in error as to detail, or even as to the time of the occurrence;
  6. consider the **emotional state** of the witness at the time (in a calm state or panicked state, for example);
  7. if recollection was recorded, consider the **timing at which notes** where made;
  8. consider the **demeanor** of the witness in the witness box (voice tone, body language, etc)
  9. consider the **manner of response**, being whether the witness was forthright and responsive to questions or was the witness _evasive_, _argumentative_ or _hesitant_ to answer (either at time of testimony or in prior statements);
  10. consider whether **common sense** suggests that the evidence is _impossible or highly improbable_ or whether it was reasonable and consistent with itself and with the uncontradicted facts. 
    1. considering whether a persons' words and actions are explained and whether it matches their emotional state at the time[[2]](Print_version.html#cite_note-1101)
    2. the reasonableness of a person's reaction to events
    3. evidence showing the demeanor of a complainant shortly following the offence can be useful to credibility. A person alleging a sexual assault or common assault may be quite upset when speaking to police, which may lend to credibility.[[3]](Print_version.html#cite_note-1102)
    4. whether there is any embellishment or minimizing of events. Likewise, an signs of attempts at recasting evidence to suit a partricular goal; putting himself in a good light

  


  1. [↑](Print_version.html#cite_ref-1100) e.g. see list in R. v. Jacquot, [2010 NSPC 13](http://www.canlii.org/en/ns/nspc/doc/2010/2010nspc13/2010nspc13.html) at para. 40  
R. v. Comer, [2006 NSSC 217](http://www.canlii.org/en/ns/nssc/doc/2006/2006nssc217/2006nssc217.html) at para. 96  
R. v. Snow, 2006 ABPC 92 at 70  
R. v. McKay, 2011 ABPC 82 at 14  
R. v. Abdirashid, [2012] A.J. No 131 at para 8 to 11  
R. v. D.F.M., 2008 NSSC 312 at para 11 citing R. v. Ross, 2006 NSPC 20 at para. 6  

  2. [↑](Print_version.html#cite_ref-1101) A judge is entitled to consider the emotional condition of the accused for consistency with the claimed offence:  
R. v. Murphy, 1976 CanLII 198, [1977] 2 S.C.R. 603, Spence J. for the majority at 612.  
See also R. v. Sidhu, 2004 BCCA 59, 183 C.C.C. (3d) 199 at para. 51;  
R. v. Lavallee, [1993] B.C.J. No. 669 at paras. 2, 5 and 11 (C.A.);  
R. v. Huang, [1989] B.C.J. No 1296 at 7 (C.A.) per Macdonald J.A.; and  
R. v. Dorsey, [1987] O.J. No. 349 at 4-5 (C.A.)
  3. [↑](Print_version.html#cite_ref-1102) R. v. Mete[1998] O.J. No. 16 (OCJ)

#### Minor inconsistencies[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-5)]

Inconsistencies between witnesses regarding things such as time, speed and distance, all of which are affected by subjective assessments, will usually have a limited affect on reliability unless glaringly different. Minor differences on details can in fact enhance, rather than detract, from the credibility of the witness as too much similarity will suggest collusion.

The courts should be hesitant to devalue a witnesses testimony based on minor or “perceived inconsistencies”.[[1]](Print_version.html#cite_note-1103) The benefit of the doubt should be given to the witness.[[2]](Print_version.html#cite_note-1104)

  


  1. [↑](Print_version.html#cite_ref-1103) R. v. A.F. 2010 OJ 4564, at para. 87
  2. [↑](Print_version.html#cite_ref-1104) R. v. Tran 1994 CanLII 56 (SCC) at 248

#### Major Inconsistencies[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-6)]

Where there are two equally credible witnesses there are a number of rules of thumb that can be applied:

  * the testimony must be contrasted with the undisputed facts to see which is the closer "fit".[[1]](Print_version.html#cite_note-1105)
  * The judge should consider what is reasonably recallable and not recallable by the particular witness.
  * the judge should favour the witness who is in a better position to know a particular fact.[[2]](Print_version.html#cite_note-1106)
  * where evidence is "incredible", there must be more undisputed facts to support this claim[[3]](Print_version.html#cite_note-1107)

Where there are major inconsistencies or contradictions with with key crown witnesses, or where there are otherwise conflicting evidence, the trier-of-fact would be "carefully assess" the evidence before.[[4]](Print_version.html#cite_note-1108)

  1. [↑](Print_version.html#cite_ref-1105) R. v. F.E. (1999), 126 B.C.A.C. 161  
R. v. Ross, 2002 BCSC 445 [[45]](http://www.canlii.org/en/bc/bcsc/doc/2002/2002bcsc445/2002bcsc445.html)  

  2. [↑](Print_version.html#cite_ref-1106) R. v. U.(F.J.), 1994 CanLII 1085 (ON C.A.) [[46]](http://www.canlii.org/en/on/onca/doc/1994/1994canlii1085/1994canlii1085.html)
  3. [↑](Print_version.html#cite_ref-1107) R. v. B.(G.) [1990] SCR 57
  4. [↑](Print_version.html#cite_ref-1108) R. v. S.W. 1994 CanLII 7208 (ON CA), (1994), 18 O.R. (3d) 509 (C.A.), at p. 517  
R. v. Oziel, [1997] O.J. No. 1185 (C.A.)(QL), at paras. 8, 9  
R. v. Norman 1993 CanLII 3387 (ON CA), (1993), 87 C.C.C. (3d) 153 (Ont. C.A.), at pp. 172-4  


#### Consistencies and Corroboration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-7)]

There is no rule requiring that intoxicated complainants must be corroborated to be relied upon for conviction.[[1]](Print_version.html#cite_note-1109)

Where the testimony of a witness is uncontradicted, the trier-of-fact may rely on this in their assessment of credibility and reliability, however, need not accept the testimony as fact.[[2]](Print_version.html#cite_note-1110)

  


  1. [↑](Print_version.html#cite_ref-1109) R. v. A.W., [2008 NLCA 52](http://canlii.ca/t/217c8) (CanLII)
  2. [↑](Print_version.html#cite_ref-1110) R. v. Prokofiew, [2012 SCC 49](http://canlii.ca/t/ft54b)

#### Motive and Bias[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-8)]

The judge may take into account the absence of evidence that there was a motive to fabricate the allegation.[[1]](Print_version.html#cite_note-1111)

  1. [↑](Print_version.html#cite_ref-1111) see R. v. Jackson, [1995] O.J. No. 2471 (C.A.); R. v. LeBrocq, 2011 ONCA 405 (CanLII), [2011] O.J. No. 2323, 2011 ONCA 405

#### Emotional State[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-9)]

Evidence of emotional state "may constitute circumstantial evidence confirming that the offence occurred... including the temporal nexus to the alleged offence and the existence of alternative explanations for the emotional state." [[1]](Print_version.html#cite_note-1112)

  1. [↑](Print_version.html#cite_ref-1112) R. v. Lindsay, [2005] O.J. No. 2870 (S.C.J.)

#### Demeanour[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-10)]

Credibility may be assessed from demeanour. This can include "non-verbal cues" and "body language, eyes, tone of voice, and the manner" of speaking.[[1]](Print_version.html#cite_note-1113)

However, subjective view of demeanour can be unreliable indicator of accuracy.[[2]](Print_version.html#cite_note-1114)

A judge should not decide on credibility on the strength of demeanour evidence as it would be too "dangerous".[[3]](Print_version.html#cite_note-1115)

A decision on credibility based solely on demeanour of a witness is an error.[[4]](Print_version.html#cite_note-1116)

Demeanour evidence alone is not always considered a proper manner of assessing credibility.[[5]](Print_version.html#cite_note-1117)

Demeanour by itself cannot be sufficient alone to make a conclusion on credibility or conviction, especially where there are "significant and unexplained inconsistencies in the evidence.[[6]](Print_version.html#cite_note-1118)

  1. [↑](Print_version.html#cite_ref-1113) R. v. N.S. (2010) 102 OR (3d) 161 (CA) at para. 55, 57
  2. [↑](Print_version.html#cite_ref-1114) Law Society of Upper Canada v. Neinstein (2010), 99 O.R. (3d) 1 (C.A.), at para. 66  
R. v. Smith, 2010 ONCA 229 (CanLII), at para. 11  
R. v. G.G. 1997 CanLII 1976 (ON CA), (1997), 115 C.C.C. (3d) 1 (Ont. C.A.), at pp. 6-8  
R. v. P.-P.(S.H.) 2003 NSCA 53 (CanLII), (2003), 176 C.C.C. (3d) 281 (N.S.C.A.), at paras. 28-30  
R. v. Levert 2001 CanLII 8606 (ON CA), (2001), 159 C.C.C. (3d) 71 (Ont. C.A.), at pp. 80-2  

  3. [↑](Print_version.html#cite_ref-1115) R. v. J.A.A. 2011 SCC 17 (CanLII), 2011 SCC 17, [2011] 1 S.C.R. 628 at para. 14 (“it would be dangerous for this Court to uphold the convictions and thus resolve the credibility issue in this case on the strength of demeanour evidence, or on the basis that one party’s version was less plausible than the other’s.”)
  4. [↑](Print_version.html#cite_ref-1116) e.g. R. v. J.F. [2003 CanLII 52166](http://canlii.ca/t/5vml) (ON CA), (2003), 177 C.C.C. (3d) 1 at para. 101  
R. v. Norman [1993 CanLII 3387](http://canlii.ca/t/1npp6) (ON CA), (1993), 87 C.C.C. (3d) 153 at 173  
R. v. Gostick [1999 CanLII 3125](http://canlii.ca/t/1f9l4) (ON CA), (1999), 137 C.C.C. (3d) 53 at 59-61  
R. v. A.(K.) 1999 CanLII 3756 (ON CA), (1999), 137 C.C.C. (3d) 554 (Ont. C.A.), at para. 44  

  5. [↑](Print_version.html#cite_ref-1117) e.g. R. v. Penney, [2002] N.J. No. 98 (N.L.C.A.), at para. 61  
R. v. Jennings, [2011] N.J. No. 388 (T.D.), at 21  

  6. [↑](Print_version.html#cite_ref-1118) see R. v. W.S. 1994 CanLII 7208 (ON CA), (1994), 90 C.C.C. (3d) 242 (Ont. C.A.) at p. 250  
Faryna v. Chorny, [1952] 2 D.L.R. 354 (BCCA) by O'Halloran J.A. at p. 357 ("The real test of the truth of a story of a witness in such a case must be its harmony with the preponderance of the probabilities which a practical and informed person would readily recognize as reasonable in that place in those conditions")

#### Common Sense and Plausibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-11)]

It would be dangerous to uphold a conviction "on the basis that one party's version was less plausible than the other's."[[1]](Print_version.html#cite_note-1119)

  1. [↑](Print_version.html#cite_ref-1119) R. v. J.A.A. 2011 SCC 17 (CanLII), 2011 SCC 17, [2011] 1 S.C.R. 628 at para. 14 (“it would be dangerous for this Court to uphold the convictions and thus resolve the credibility issue in this case on the strength of demeanour evidence, or on the basis that one party’s version was less plausible than the other’s.”)

## Analysis of Testimony[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-12)]

Judge's must be very careful to avoid falling into an analysis which compares the two versions without assessing "the whole evidence to establish proof of guilt beyond a reasonable doubt."[[1]](Print_version.html#cite_note-1120)

A judge in his decision evaluating the credibility of a complainant must consider the eivdence in its whole context and address any internal contradictions. He cannot ignore evidence that goes against the conclusion.[[2]](Print_version.html#cite_note-1121)

The trier of fact should not place much weight on exculpatory stories in absence of evidence supporting the theory.[[3]](Print_version.html#cite_note-1122)

  1. [↑](Print_version.html#cite_ref-1120) R. v. Ogden 2011 NSCA 89 at para 10; R. v. WH [2011 NLCA 59](http://canlii.ca/t/fn3ps)
  2. [↑](Print_version.html#cite_ref-1121) R. v. G., W., [1999 CanLII 3125](http://canlii.ca/t/1f9l4) (ON CA) at 13,14, 17-19  
R. v. D.A., [2012 ONCA 200](http://canlii.ca/t/fqrrw) (CanLII)  

  3. [↑](Print_version.html#cite_ref-1122) R. v. Jenner [2005 MBCA 44](http://canlii.ca/t/1k3pf), (2005), 195 C.C.C. (3d) at [para. 21](http://canlii.ca/t/1k3pf#par21)

### Credibility of Accused (The W.D. Test)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-13)]

The purpose of the WD test is to "ensure that the jury know how to apply the burden of proof to the issue of credibility. The jury must be cautioned that a trial is not a contest of credibility between witnesses, and that they do not have to accept the defence evidence in full in order to acquit." [[1]](Print_version.html#cite_note-1123)

**Application**  
Where the accused an a complainant give contradictory evidence, the judge must apply the test from the case of R. v. D.W.[[2]](Print_version.html#cite_note-1124)

The test in WD will primarily only apply to cases where the accused gives evidence.[[3]](Print_version.html#cite_note-1125) However, the principles of DW will apply in any case where a crucial issue turns on creditability.[[4]](Print_version.html#cite_note-1126)

The WD steps apply not only to the accused's testimony but also to other exculpatory evidence that emerges during trial.[[5]](Print_version.html#cite_note-1127)

In the context of a voir dire, the principles of D.W. do not apply.[[6]](Print_version.html#cite_note-1128) Guilt or innocences is not at issue and the standard of proof is one of reasonable doubt, thus an accused will be considered in the same manner as any other witness. Thus if the accused's version conflicts with a police officer, for example, then the court must determine who is telling the truth. If the court cannot decide who is telling the truth then the applicant must fail.

Where the accused and another witness testifies for the defence, the W(D) test is applied differently.[[7]](Print_version.html#cite_note-1129)

  
**Test**  
Where the defence calls the accused to give evidence that contradicts the crown evidence, the trier of fact must determine:

  1. whether to accept or reject the accused's evidence;
  2. whether the defence evidence causes the finder of fact to have a reasonable doubt of the guilt of the accused; or
  3. if the defence evidence is rejected, whether the finder of fact is satisfied of the guilt of the accused beyond a reasonable doubt based on the evidence that he accepts.

The order of the steps are not significant but the steps must all be applied separately.[[8]](Print_version.html#cite_note-1130)

It is wrong when considering conflicting evidence of credibility to "weigh" one story over the other.[[9]](Print_version.html#cite_note-1131) The trier of fact cannot "prefer" one story over the other or consider who is "most" credible. The “either/or” approach, preferring one over the other should be avoided.[[10]](Print_version.html#cite_note-1132) To prefer one testimony over another has the effect of reversing the onus upon the accused.[[11]](Print_version.html#cite_note-1133)

There is nothing preventing a judge from believing both the complainant and the accused even where they gave divergent or contradictory evidence[[12]](Print_version.html#cite_note-1134)

The real issue is not who is telling the truth, but instead, whether, on the entirety of the evidence, the crown has proven the case beyond a reasonable doubt.[[13]](Print_version.html#cite_note-1135)

**Looking at Evidence as a Whole**  
The first two steps in the WD test require the "weighing [of] the accused's evidence together with the conflicting Crown evidence."[[14]](Print_version.html#cite_note-1136)

It is essential that the court not look at any witnesses' evidence in a vacuum and instead look at it in relation to all the evidence presented as a whole. [[15]](Print_version.html#cite_note-1137)

**Rejection of Accused's Evidence**  
In explaining the reason to reject the accused's evidence it can be sufficient to justify it based on the reasoned acceptance beyond a reasonable doubt of a fact that conflicts with the evidence rejected. [[16]](Print_version.html#cite_note-1138)

It is crucial that the judge not discount the accused's evidence for the reason that the complainant is believed. Otherwise, the defence is completely neutered before even testifying. [[17]](Print_version.html#cite_note-1139)

**Third Step**  
The court simply rejecting the accused story is not enough. [[18]](Print_version.html#cite_note-1140) The purpose of the third part of the test is to convey that "a complete rejection of the [accused's] evidence does not mean that his guilt is established." [[19]](Print_version.html#cite_note-1141)

It is an error to "use disbelief of the accused’s evidence as positive proof of guilt by moving directly from disbelief to a finding of guilt"[[20]](Print_version.html#cite_note-1142)

**"Fourth" Step**  
The Court of Appeal in British Columbia recommends an additional element to the D.W. test after the first step directing the judge that "If after careful consideration of all of the evidence, you are unable to decide whom to believe, you must acquit".[[21]](Print_version.html#cite_note-1143)

A judge cannot take into account roadside statements in the assessment of the accused's credibility.[[22]](Print_version.html#cite_note-1144)

**Other Considerations**  
It has sometimes been suggested that the proper approach should be to consider the accused's evidence first before looking at the complainant's evidence in order to avoid creating a burden upon the accused.[[23]](Print_version.html#cite_note-1145) But this approach has had some critics.[[24]](Print_version.html#cite_note-1146)

A judge may reject the accused evidence on the sole basis that it contradicts the accepted evidence.[[25]](Print_version.html#cite_note-1147)

  1. [↑](Print_version.html#cite_ref-1123) R. v. Van [2009 SCC 22](http://canlii.ca/t/23mt8) at 23  
W(D) at p. 757  
R v JHS 2008 SCC 30 at para. 9  

  2. [↑](Print_version.html#cite_ref-1124) R. v. D.W. [1991] [1991 CanLII 93](http://www.canlii.org/en/ca/scc/doc/1991/1991canlii93/1991canlii93.html)  
R. v. Fowler, [1993 CanLII 1907 (BC C.A.)](http://www.canlii.org/en/bc/bcca/doc/1993/1993canlii1907/1993canlii1907.html)  
R. v. C.L.Y., 2008 SCC 2, [2008] 1 S.C.R. 5  
R. v. McKenzie (P.N.) [1996 CanLII 4976](http://canlii.ca/t/1mb50) (SK CA), (1996), 141 Sask. R. 221 (Sask. C.A.) at para 4  
R. v. Rose (A.) (1992), 20 B.C.A.C. 7 (B.C.C.A.)  
R. v. Currie, [2008 ABCA 374](http://canlii.ca/t/21f9l)  
R. v. B.G.S., [2010 SKCA 24](http://canlii.ca/t/28cdh)  

  3. [↑](Print_version.html#cite_ref-1125) R. v. Warren, [2011 CanLII 80607](http://canlii.ca/t/fpbz5) (NL PC) at 24
  4. [↑](Print_version.html#cite_ref-1126) R. v. F.E.E., [2011 ONCA 783](http://canlii.ca/t/fpbqd) at 104
  5. [↑](Print_version.html#cite_ref-1127) R. v. B.D., [2011 ONCA 51](http://canlii.ca/t/2fbx2) (CanLII) at paras. 113-114  
R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 50  

  6. [↑](Print_version.html#cite_ref-1128) See R v Kocovic, [2004 ABPC 190](http://canlii.ca/t/1jfkf)
  7. [↑](Print_version.html#cite_ref-1129) see R. v. Van, [2009 SCC 22](http://canlii.ca/t/23mt8), [2009] 1 S.C.R. 716 paras. 20-23
  8. [↑](Print_version.html#cite_ref-1130) R. v. J.H.S., [2007 NSCA 12](http://www.canlii.org/en/ns/nsca/doc/2007/2007nsca12/2007nsca12.html) \- on appeal to SCC
  9. [↑](Print_version.html#cite_ref-1131) R. v. B.G.S., 2010 SKCA 24 at 9
  10. [↑](Print_version.html#cite_ref-1132) R v Challice (1979) 45 CCC 2d 546 (Ont CA) R v Morin 1988 CanLII 8 (SCC), [1988] 2 SCR 345  
R v Chan (1989) 52 CCC 3d 148 (Alta CA)  
R. v Jaura, [2006] O.J. No. 4157, [2006 ONCJ 385](http://canlii.ca/t/1ps57) paras. 12, 13
  11. [↑](Print_version.html#cite_ref-1133) R. v. Abdirashid, [2012] A.J. No 131 at para 6
  12. [↑](Print_version.html#cite_ref-1134) R. v. Nadeau [1984 CanLII 28](http://canlii.ca/t/1lpfv) (SCC), [1984] 2 S.C.R. 570
  13. [↑](Print_version.html#cite_ref-1135) Canadian Criminal Evidence, Second Edition, by P.R. McWilliams, Q.C., at page 652; R. v. Nykiforuk (1946), 86 C.C.C. 151 (Sask. C.A.)
  14. [↑](Print_version.html#cite_ref-1136) R. v. Humphrey, [2011] O.J. No. 2412 (Sup. Ct.), at para. 152  
see also R. v. Newton, [2006 CanLII 7733](http://canlii.ca/t/1mt9j) (ON CA) at para. 5  
R. v. Hull, [2006 CanLII 26572](http://canlii.ca/t/1p2bf) (ON CA) at para. 5  
R. v. Snider [2006] O.J. 879, at para. 37  
R. v. Hoohing, [2007 ONCA 577](http://canlii.ca/t/1snwb) (CanLII) at para. 15  

  15. [↑](Print_version.html#cite_ref-1137) R. v. Lake (2005), N.S.J. No. 506
  16. [↑](Print_version.html#cite_ref-1138) R. v. D. (J.J.R.), 2006 CanLII 40088 (ON CA), [2006] 215 C.C.C. (3d) 252 at para. 53 (C.A.) Doherty J. ("An outright rejection of an accused’s evidence based on a considered and reasoned acceptance beyond a reasonable doubt of the truth of conflicting evidence is as much an explanation for the rejection of an accused’s evidence as is a rejection based on a problem identified with the way the accused testified or the substance of the accused’s evidence.")
  17. [↑](Print_version.html#cite_ref-1139) R. v. Lake, [2005] N.S.J. No 506 at para 21
  18. [↑](Print_version.html#cite_ref-1140) R. v. B.C.G., [2010] M.J. No. 290 (“reasonable doubt is not forgotten” simply because a trial judge rejects “the accused’s version of events.”)  
R. v. Liberatore, [2010] N.S.J. No. 556, at 15 stated WD prevents “a trier of fact from treating the standard of proof as a simple credibility contest”  

  19. [↑](Print_version.html#cite_ref-1141) R. v. Gray, [2012 ABCA 51](http://canlii.ca/t/fq3s7) at 40
  20. [↑](Print_version.html#cite_ref-1142) R. v. Dore [2004 CanLII 32078](http://canlii.ca/t/1hz5t) (ON CA), (2004), 189 C.C.C. (3d) 526 (Ont. C.A.), at p. 527  
R. v. H.(S.), [2001] O.J. No. 118 (C.A.)(QL), at paras. 4-6  

  21. [↑](Print_version.html#cite_ref-1143) R. v. H.(C.W.) [1991 CanLII 3956](http://canlii.ca/t/1q090) (BC CA), (1991), 68 CCC (3d) 146 (BCCA)
  22. [↑](Print_version.html#cite_ref-1144) R. v. Huff, [2000] O.J. No. 3487; leave to appeal to SCC denied [2000] S.C.C.A. No. 562
  23. [↑](Print_version.html#cite_ref-1145) R. v. Moose, [2004 MBCA 176](http://canlii.ca/t/1j3h8) at para. 20
  24. [↑](Print_version.html#cite_ref-1146) R. v. D.A.M., 2010 NBQB 80 at para 53 and 56  
R. v. Schauman, [2006 ONCJ 304](http://canlii.ca/t/1p6cp) at para. 6  
R. v. C.Y.L., [2008] S.C.J. No. 2  
R. v. Currie, [2008] A.J. No. 1212  

  25. [↑](Print_version.html#cite_ref-1147) R. v. D. (J.J.R.) 2006 CanLII 40088 (ON CA), (2006), 215 C.C.C. (3d) 252 (Ont. C.A.), at para. 53  
R. v. M. (R.E.), 2008 SCC 51 (CanLII), (2008) 235 C.C.C. (3d) 290 (S.C.C.), at para. 66  
R. v. Thomas, 2012 ONSC 6653, at para. 26  


### Credibility of Persons from Other Cultures[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-14)]

Assessing credibility through an interpreter requires careful consideration as it is a much more difficult endeavour.[[1]](Print_version.html#cite_note-1148)

Courts should not put too much weight on perceived inconsistencies where evidence is conveyed through a interpreter.[[2]](Print_version.html#cite_note-1149)

  1. [↑](Print_version.html#cite_ref-1148) Sopinka, Lederman & Bryant, The Law of Evidence in Canada (2nd ed.) (Toronto: Butterworths, 1999), at s. 16.25
  2. [↑](Print_version.html#cite_ref-1149) R. v. Tran, 1994 CanLII 56 (SCC), [1994] 2 S.C.R. 951, at p. 987 ("the courts have cautioned that interpreted evidence should not be examined microscopically for inconsistencies. The benefit of a doubt should be given to the witness")  
R. v. X.(J.), 2012 ABCA 69 (CanLII) at para. 13  
R. v. Zewari, [2005] O.J. No. 1953 (C.A.)(QL), at para. 4  
NAFF v. Minister of Immigration (2004), 221 C.L.R. 1 (H.C. Aust.), at para. 30  
Sopinka, Lederman & Bryant, The Law of Evidence in Canada (2nd ed.) (Toronto: Butterworths, 1999), at s. 16.25 ("It is much more difficult to assess the credibility of evidence given through an interpreter")  


### Credibility of Children[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-15)]

There is no fixed formula for dealing with child witnesses.[[1]](Print_version.html#cite_note-1150)

When assessing credibility of children, the same standards as adults apply. However, the standard of a “reasonable child” will differ from that of an adult. " Flaws, such as contradictions, in the testimony of a child may not toll so heavily against credibility and reliability as equivalent flaws in the testimony of an adult."[[2]](Print_version.html#cite_note-1151) The evidence of a child must be approached on a "common sense" basis, "taking into account the strengths and weaknesses which characterize the evidence". [[3]](Print_version.html#cite_note-1152)

Children recognize the world differently from adults, as such absence of details such as time and place are understandable and not necessarily fatal.[[4]](Print_version.html#cite_note-1153)Stereotypes of children should be avoided.[[5]](Print_version.html#cite_note-1154)

Regardless, the standard of proof for the Crown is always the same.[[6]](Print_version.html#cite_note-1155)

For details on the appropriate approach to assessing the evidence of children, see R. v. B.G. [1990] S.C.R. 30 and R. v. W. (R.) 1992 CanLII 56 (SCC), [1992] 2 S.C.R. 122

Helpful guidelines were suggested in R. v. A.F. 2007 BCPC 345:

  1. the credibility of child witnesses must be assessed carefully (in this context, “carefully” implies no bias either towards accepting or rejecting that evidence);
  2. the standard to be applied in assessing the credibility of a child witness is not necessarily the same as that applied to a reasonable adult;
  3. allowance must be made for the fact that young children may not be able to recount precise details and may not be able to communicate precisely the “when” and the “where” of an event, but their inability to do so should not lead to the conclusion that they have misperceived what has happened to them or who has done something to them;
  4. there is no assumption or presumption at law that a child’s evidence is less reliable than an adult’s;
  5. a common sense approach must be used in assessing the credibility of a child’s evidence, having regard to the age of the child, the child’s mental development and the child’s ability to communicate;
  6. inconsistencies, particularly concerning peripheral matters such as time or place, should not have the same adverse effect on the credibility of a child as it might in the case of an adult, having regard to the age and mental development of the child and other relevant factors;
  7. the burden of proof (guilt beyond a reasonable doubt) remains unchanged when the Crown case is founded upon the evidence of a child or children. Specifically, the rules pertaining to credibility as set out by the Supreme Court of Canada in R. v. D.W. do not change just because the Crown’s case is founded upon such evidence.

  1. [↑](Print_version.html#cite_ref-1150) R. v. Marquard, [1993] 4 SCR 223
  2. [↑](Print_version.html#cite_ref-1151) R. v. H.C. 2009 ONCA 56, (2009), 241 C.C.C. (3d) 45
  3. [↑](Print_version.html#cite_ref-1152) R. v. W. (R.), [1992] 2 SCR 122
  4. [↑](Print_version.html#cite_ref-1153) R. v. R.R.D., 2011 NLTD(G) 78 and R. v. B.E.M., [2010] B.C.J. No. 2787 (C.A.)
  5. [↑](Print_version.html#cite_ref-1154) supra
  6. [↑](Print_version.html#cite_ref-1155) R. v. P.B., [2011] O.J. No. 423 (S.C.J.); and R. v. T.P., [2010] N.J. No. 414 (P.C.)

### Credibility of Police Officers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-16)]

It is not proper for courts to take the evidence of a police officer over that of a civilian by virtue of their position.

#### Lack of notes[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-17)]

The absence of note taking can go to the reliability of the officer's testimony.[[1]](Print_version.html#cite_note-1156) </ref>Where an officer is experienced they should be in the practice of taking notes of all relevant observations.

An officer is expected to take notes of all significant aspects of their investigation. Proper note taking is an important part of the fact-finding, as evidence should not be left to the whim of memory.[[2]](Print_version.html#cite_note-1157)

It is not an acceptable excuse to not have notes where the officer “would remember it”.[[3]](Print_version.html#cite_note-1158) Where notes are not taken the court is allowed to conclude that observation evidence was in fact not observed but a belief created after the investgation.[[4]](Print_version.html#cite_note-1159) This is not necessarily always the case however and the judge may still accept the evidence.[[5]](Print_version.html#cite_note-1160)

Memory of a police officer for things that occurred a considerably long time in the past where no notes were taken will has diminished reliability.[[6]](Print_version.html#cite_note-1161)

See also

  * R. v. McGee, 2012 ONCJ 63

  


  1. [↑](Print_version.html#cite_ref-1156) R. v. Tang, 2011 ONCJ 525 at 53 [[47]](http://www.canlii.org/en/on/oncj/doc/2011/2011oncj525/2011oncj525.html) \-- police officer evidence entirely ignored due to poor notes  
R. v. Odgers, 2009 ONCJ 287 (CanLII)[[48]](http://canlii.org/en/on/oncj/doc/2009/2009oncj287/2009oncj287.html)  
R v Machado, 2010 ONSC 277 at 120-123
  2. [↑](Print_version.html#cite_ref-1157) R. v. Lozanovski, [2005] O.C.J. 112 at p.3
  3. [↑](Print_version.html#cite_ref-1158) R v Zack 1999 OJ No 5747 (ONCJ) at p.2  
R. v Khan 2006 OJ 2717 at 18  

  4. [↑](Print_version.html#cite_ref-1159) Zack 1999 OJ No 5747 at p2
  5. [↑](Print_version.html#cite_ref-1160) e.g. R v Thompson 2001 CanLII 24186 ONCA  
R v Bennett 2005 OJ No 4035 ONCJ)
  6. [↑](Print_version.html#cite_ref-1161) Khan (2006), O.J. 2717 at 17  
R. v. Hayes, 2005 OJ No 5057 at 9  
R v McGee, 2012 ONCJ 63 at 66

### Credibility in Sexual Assault[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-18)]

The doctrine of recent complaint in sexual assault cases does not exist in Canada. A failure to make a timely complaint in a sexual assault or abuse cannot be used to make an adverse inference of credibility.[[1]](Print_version.html#cite_note-1162)

In sexual assault cases, it has been stated that a strict analysis of the reasonableness of the complainant's actions as "reactive human behaviour is variable and unpredictable" and there is the risk of "stereotypical thinking as to how a female complainant should react in a given scenario".[[2]](Print_version.html#cite_note-1163)

However, the court may use evidence of the making of the compliant as "narrative evidence for the permissible purpose of showing the fact and timing of a complaint, which may then assist the trier of fact in the assessment of truthfulness or credibility.”[[3]](Print_version.html#cite_note-1164) These statements cannot be used in “confirming the truthfulness of the sworn allegations”.[[4]](Print_version.html#cite_note-1165)

  1. [↑](Print_version.html#cite_ref-1162) R. v. D.D., 2000 SCC 43
  2. [↑](Print_version.html#cite_ref-1163) R. v. Lally, [2012 ONCJ 397](http://canlii.ca/t/frw0l) at 105 to 113
  3. [↑](Print_version.html#cite_ref-1164) R. v. Dinardo, 2008 SCC 24 (CanLII), 2008 SCC 24, [2008] 1 S.C.R. 788 at para. 37
  4. [↑](Print_version.html#cite_ref-1165) R v Dinardo, at para. 37  
see R. v. G.C., [2006] O.J. No. 2245 (C.A.); R. v. Fair 1993 CanLII 3384 (ON CA), (1993), 16 O.R. (3d) 1 (C.A.) at 21

### Disbelief vs Fabrication[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-19)]

There is a distinction between the disbelief of a witness and a conclusion of fabrication.

A disbelieved alibi has no evidentiary value. However, an alibi found to be fabricating can be evidence on which an inference of guilt may be made.[[1]](Print_version.html#cite_note-1166)

Likewise, a disbelieved exculpatory statement has no value while a fabricated statement can be used in evidence.[[2]](Print_version.html#cite_note-1167) The judge should consider the content of the statement and its connection with the charge.[[3]](Print_version.html#cite_note-1168)

A finding of fabrication cannot be inferred simply on a finding of disbelief.[[4]](Print_version.html#cite_note-1169) Fabrication must be found "on evidence that is independent from the evidence that contradicts or discredits the accused’s version of events".[[5]](Print_version.html#cite_note-1170)

This evidence includes the circumstances where an accused made a disbelieved out-of-court statement, such that it suggests the accused's intent to mislead or deflect suspicion and shows a conscious knowledge that he committed an offence.[[6]](Print_version.html#cite_note-1171)

  1. [↑](Print_version.html#cite_ref-1166) R. v. Hibbert, 2002 SCC 39 (CanLII), [2002] 2 S.C.R. 445, at paras. 57-58  
R. v. Coutts 1998 CanLII 4212 (ON CA), (1998), 126 C.C.C. (3d) 545 (Ont. C.A.), at paras. 15-16  
R. v. O’Connor 2002 CanLII 3540 (ON CA), (2002), 62 O.R. (3d) 263 (C.A.), at para. 17  

  2. [↑](Print_version.html#cite_ref-1167) R. v. Nedelcu, 2012 SCC 59 (CanLII) at para. 23 ("rejection of an accused's testimony does not create evidence for the Crown")
  3. [↑](Print_version.html#cite_ref-1168) O'Connor at para. 18  

  4. [↑](Print_version.html#cite_ref-1169) R. v. Cyr, [2012 ONCA 919](http://canlii.ca/t/fvfcv) (CanLII) at para. 78  

  5. [↑](Print_version.html#cite_ref-1170) Cyr at para. 78  
O’Connor, at para. 21  
R. v. Coutts 1998 CanLII 4212 (ON CA), (1998), 126 C.C.C. (3d) 545 (Ont. C.A.) at paras. 15-16  

  6. [↑](Print_version.html#cite_ref-1171) Cyr at para. 79  
O'Connor at para. 24, 26  


## Related Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-20)]

  * [Verdicts](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts)
  * [Proving Facts](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence/Proving_Facts) (inferences, presumptions, etc.)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Weighing_Evidence&action=edit&section=T-21)]

  * [Cases on Credibility Findings](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Credibility)

  


# Trials/Verdicts[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-1)]

The judge's duty is to render a verdict on the charges. The verdict must be either a finding of guilt, stay of proceedings, or acquittal.

The judge has the ability, where the evidence does not make out the actual charge, to convict for included offences to the original charge under [s. 662](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec662).

## Finding of guilt[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-2)]

A finding of "guilt" is separate and distinct from a "conviction". It is only the finding of guilt which permits a judge to enter a conviction. A conviction is not however the only option of a judge, for example she may also consider a conditional stay of proceedings on the basis of the keinnapple principle. [[1]](Print_version.html#cite_note-1172)

  1. [↑](Print_version.html#cite_ref-1172) R. v. Bérubé, [2012 BCCA 345](http://canlii.ca/t/fsc5z) (CanLII) at para. 43 to 52

## Kienapple principle against multiple convictions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-3)]

The Kienapple principle prevents multiple convictions for a single criminal act.[[1]](Print_version.html#cite_note-1173)

Before the court can consider the issue of Keinapple, the court must first be satisified that the crown has proven the offender had committed all of the offences at issue.[[2]](Print_version.html#cite_note-1174)

The two part test is summarized as follows:

    “there must be both a factual and legal nexus between the charges. Multiple convictions are only precluded under the Kienapple principle if they arise from the same ‘cause’, ‘matter’, or ‘delict’, and if there is sufficient proximity between the offences charged. This requirement of sufficient proximity between offences will only be satisfied if there is no additional and distinguishing element contained in the offence for which a conviction is sought to be precluded by the Kienapple principle.”[[3]](Print_version.html#cite_note-1175)

There must be a factual connection between the offences. The proven elements of the offence must arise out of the same underlying facts.

There must be a legal connection between the offences as well. The offence elements must have sufficient correspondence with each other. That is, they must be “substantially” the same.[[4]](Print_version.html#cite_note-1176)

Keinnapple does not apply where it is contrary to the legislative intent of the offence provisions.

Where Keinapple applies, the offence which is conditionally stayed is the “lesser” of the two.[[5]](Print_version.html#cite_note-1177)

  


  1. [↑](Print_version.html#cite_ref-1173) See Kienapple v. R., [1975] 1 SCR 729 [[49]](http://canlii.ca/t/1twxz) and R. v. Prince, [1986] 2 SCR 480 [[50]](http://canlii.ca/t/1ftr3)
  2. [↑](Print_version.html#cite_ref-1174) R v Sullivan 1991 CanLII 85 (SCC), [1991] 1 SCR 489
  3. [↑](Print_version.html#cite_ref-1175) R. v. Wigman, 1985 CanLII 1 (SCC), [1987] 1 S.C.R. 246 at p. 256
  4. [↑](Print_version.html#cite_ref-1176) R v Prince 1986 CanLII 40, [1986] 2 SCR 480 at 34
  5. [↑](Print_version.html#cite_ref-1177) R v JF 2008 SCC 60, [2008] 3 SCR 215

## Conditional Stay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-4)]

A conditional stay is a post-trial verdict for a charge which, on the evidence would amount to a conviction, but due to the barred by the rule against multiple convictions.[[1]](Print_version.html#cite_note-1178) The stay is conditional until such time as the charge in which a conviction was entered is finally disposed of on appeal or the expiration of the appeal period.[[2]](Print_version.html#cite_note-1179) If the an appeal is successfully made from conviction the conditional stay is dissolved allowing the court of appeal to remit the charge for trial once more.

  


  1. [↑](Print_version.html#cite_ref-1178) R v Provo 1989 CanLII 71 (SCC) at 21
  2. [↑](Print_version.html#cite_ref-1179) Terlecki [[1985](http://canlii.ca/t/1fv00) 2 SCR 483] at p. 529  
R v Jewitt, [1985 CanLII 47](http://canlii.ca/t/1ftxr)

## Directed Verdict[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-5)]

A directed verdict is a defence motion, made at the closing of the crown's case but before the defence is to call any evidence, requesting the dismissal of the case on the basis that the essential elements of the offence are not made out. This is right of defence from the common law.[[1]](Print_version.html#cite_note-1180) Historically, a successful directed verdict motion judge would literally direct a jury to enter a verdict of not guilty.[[2]](Print_version.html#cite_note-1181) This has since been changed, and now does not involved the jury. It is simply a consider a motion for non-suit.[[3]](Print_version.html#cite_note-1182)

The test to apply has been established in three cases.[[4]](Print_version.html#cite_note-1183)

The test to be applied is from R v Monteleone, [1987] 2 S.C.R. 154, [1998 CanLII 819](http://canlii.ca/t/1fqtc) at p. 161:

> ...Where there is before the court any admissible evidence, whether direct or circumstantial, which, if believed by a properly charged jury acting reasonably, would justify a conviction, the trial judge is not justified in directing a verdict of acquittal. It is not the function of the trial judge to weigh the evidence, to test its quality or reliability once a determination of its admissibility has been made. It is not for the trial judge to draw inferences of fact from the evidence before him. These functions are for the trier of fact, the jury.

To put in more simply, the judge must determine "whether or not there is any evidence, direct or indirect, upon which a jury, properly instructed, could reasonably convict." The judge must be satisfied there is some evidence that establishes each constituent element of the offence[[5]](Print_version.html#cite_note-1184)

Thus, the test requires that the judge not 1) weigh evidence, 2) test the quality or reliability of admissible evidence 3) draw inferences of fact. However, courts are allowed to do "limited weighing" of the evidence to assess "whether it is capable of supporting the inferences the Crown asks the jury to draw."[[6]](Print_version.html#cite_note-1185)

A directed verdict will not be granted if there is any evidence upon which a reasonable jury properly instructed could return a verdict of guilty.[[7]](Print_version.html#cite_note-1186) The motion for directed verdict should not be granted if there has been adduced admissible evidence which could, if believed, result in conviction. The Crown, in order to meet the test set out in Sheppard, must adduce some evidence of culpability for every essential definitional element of the crime for which the Crown has the evidential burden.[[8]](Print_version.html#cite_note-1187)

This test is the same test that is applied at the conclusion of preliminary inquiry.[[9]](Print_version.html#cite_note-1188)

  1. [↑](Print_version.html#cite_ref-1180) R. v. Litchfield, [1993 CanLII 44](http://canlii.ca/t/1frxj) (SCC), [1993] 4 SCR 333  
R. v. Rowbotham; R. v. Roblin, 1994 CanLII 93 (SCC), [1994] 2 S.C.R. 463 at p. 467
  2. [↑](Print_version.html#cite_ref-1181) R. v. Declercq, [2012 ABPC 147](http://canlii.ca/t/frglm) at 4
  3. [↑](Print_version.html#cite_ref-1182) R v Declercq, supra and R. v. Rowbotham 1994 CanLII 93 (SCC), [1994] 2 SCR 463
  4. [↑](Print_version.html#cite_ref-1183) The United States of America v. Shephard, [1976] 30 C.C.C.(2d) 424 [1976 CanLII 8](http://canlii.ca/t/1mx51);  
R v Monteleone, [1987 CanLII 16](http://canlii.ca/t/1ftl9) (SCC), (1987), 35 C.C.C.(3d) 193 at p.161; and  
R. v. Charemski [1998 CanLII 819](http://canlii.ca/t/1fqtc) (SCC), (1998), 123 C.C.C.(3d) 225
  5. [↑](Print_version.html#cite_ref-1184) R. v. Arcuri, 2001 SCC 54 (CanLII), [2001] 2 S.C.R. 828, at para 21
  6. [↑](Print_version.html#cite_ref-1185) R. v. Arcuri, [2001 SCC 54](http://canlii.ca/t/51xv) at 1  
R. v. Beals, [2011 NSCA 42](http://canlii.ca/t/fld2s)
  7. [↑](Print_version.html#cite_ref-1186) United States of America v. Shephard, [1976 CanLII 8](http://canlii.ca/t/1mx51), [1977] 2 SCR 1067
  8. [↑](Print_version.html#cite_ref-1187) R. v. Charemski, supra
  9. [↑](Print_version.html#cite_ref-1188) see R. v. Beals, [2011 NSCA 42](http://canlii.ca/t/fld2s) at 20  
The Preliminary Hearing uses the test from United States of America v. Shephard, 1976 CanLII 8 (SCC), [1977] 2 SCR 1067 at 1080 ("Whether or not there is any evidence upon which a reasonable jury properly instructed could return a verdict of guilty.")

## Reasons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-6)]

See [Canadian Criminal Procedure and Practice/Appeals#Insufficiency Reasons](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals#Insufficiency_Reasons)

## Mistrial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts&action=edit&section=T-7)]

A declaration of a mistrial "should only be granted as a last resort, in the clearest of cases and where no remedy short of that relief will adequately redress the actual harm occasioned."[[1]](Print_version.html#cite_note-1189)

The decision to grant an application for a mistrial is discretionary.[[2]](Print_version.html#cite_note-1190)

An appellate court should only intervene where the decision "is so clearly wrong as to amount to an injustice". [[3]](Print_version.html#cite_note-1191)

Where a mistrial is declared, the rulings on pre-trial motions will generally still apply if the prosecution is re-initiated.[[4]](Print_version.html#cite_note-1192)

  1. [↑](Print_version.html#cite_ref-1189) R. v. Toutissani, 2007 ONCA 773 (CanLII) at para. 9
  2. [↑](Print_version.html#cite_ref-1190) R. v. Grant (I.M.), 2009 MBCA 9 (CanLII) at para. 69
  3. [↑](Print_version.html#cite_ref-1191) Grant at para. 69
  4. [↑](Print_version.html#cite_ref-1192) R. v. Lee, [2002 CanLII 8304](http://canlii.ca/t/1cd65) (ON CA)

  


# VIII - Appeals[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=19)]

# Appeals[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-1)]

An appeal is an application to review a matter that has been decided by a Court. The appeal is directed to the "higher" level of court above the level of the deciding court.

The venue for the appeal depends on the venue of the original proceedings.[[1]](Print_version.html#cite_note-1193) Matters that are elected indictably are appealed to the Court of Appeal while matters that are summary conviction offences are appealed to the Supreme Court of the province.[[2]](Print_version.html#cite_note-1194)

If the accused is prosecuted indictably but convicted of a lesser summary offence, the appeal is to proceed as if by indictment.[[3]](Print_version.html#cite_note-1195)

The Court of Appeal will assume that the election is summary unless indicated.[[4]](Print_version.html#cite_note-1196)

In reviewing a trial judge's decision, the decision should not be looked at in a piecemeal manner, but rather should be considered as a whole.[[5]](Print_version.html#cite_note-1197)

Trial judges are presumed to know the elementary principles of law.[[6]](Print_version.html#cite_note-1198)

  1. [↑](Print_version.html#cite_ref-1193) s. 813
  2. [↑](Print_version.html#cite_ref-1194) R. v. Edmunds, [1981 CanLII 173](http://canlii.ca/t/1z1f5) (SCC), [1981] 1 SCR 233
  3. [↑](Print_version.html#cite_ref-1195) R. v. Yaworski (1959), 31 C.R. 55 (Man. C.A.)
  4. [↑](Print_version.html#cite_ref-1196) R. v. Ashoona (1985), 19 C.C.C. (3d) 377 (N.W.T. S.C.)  
R. v. Gal (1985), 60 A.R. 333 (Alta. Q.B.)
  5. [↑](Print_version.html#cite_ref-1197) R v Nichols [2001 CanLII 5680](http://canlii.ca/t/1ffww) (ON CA), (2001), 148 OAC 344, 46 CR (5th) 294  

  6. [↑](Print_version.html#cite_ref-1198) R v Burns, [1994 CanLII 127](http://canlii.ca/t/1frvk) (SCC), [1994] 1 SCR 656, 89 CCC (3d) 193  


## Appeal by Offence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-2)]

The manner of appeal depends on what type of offence was charged, whether it is a summary conviction offence or an indictable offence:

  * [Canadian Criminal Procedure and Practice/Appeals/Indictable Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals/Indictable_Offences)
  * [Canadian Criminal Procedure and Practice/Appeals/Summary Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals/Summary_Offences)

## Standard of Review[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-3)]

  * [Canadian Criminal Procedure and Practice/Appeals/Standard of Review](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals/Standard_of_Review)

## Jury Instruction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-4)]

An appellate court should assess a jury charge functionally. It is not an idealized approach considering whether better instructions could have been given.[[1]](Print_version.html#cite_note-1199)

The reviewing judge should determine whether the accused, based on the review of the whole charge, has had a fair trial. It is not to look for minute errors. [[2]](Print_version.html#cite_note-1200)

The Court should consider whether the instructions had the ability to fulfil their purpose and not simply whether they diverted from a formula.[[3]](Print_version.html#cite_note-1201)

All defences that have an air of reality are to be put to the jury, even if not raised by counsel. [[4]](Print_version.html#cite_note-1202)

  1. [↑](Print_version.html#cite_ref-1199) R. v. Jacquard (C.O.), [1997 CanLII 374](http://canlii.ca/t/1fr4h) (SCC), [1997] 1 S.C.R. 314 at para. 32  
R. v. Cooper, [1993 CanLII 147](http://canlii.ca/t/1fs5v) (SCC), [1993] 1 S.C.R. 146 at pp. 163-164  

  2. [↑](Print_version.html#cite_ref-1200) R. v. Korski (C.T.), [2009 MBCA 37](http://canlii.ca/t/236fj), 236 Man.R. (2d) 259, at para. 102  
Cooper at p. 163  
R. v. Luciano, [2011 ONCA 89](http://canlii.ca/t/2fhtn) at para 71  
Vézeau v. The Queen, [1976 CanLII 7](http://canlii.ca/t/1mx4z), [1977] 2 S.C.R. 277 at p. 285  
R. v. Kociuk (R.J.), [2011 MBCA 85](http://canlii.ca/t/fnl3w) at para 69 to 72  
Jacquard  

  3. [↑](Print_version.html#cite_ref-1201) R. v. MacKinnon [1999 CanLII 1723](http://canlii.ca/t/1f971) (ON CA), (1999), 132 C.C.C. (3d) 545 (Ont. C.A.), at para. 27  

  4. [↑](Print_version.html#cite_ref-1202) R. v. Cinous, [2002 SCC 29](http://canlii.ca/t/51tb), [2002] 2 S.C.R. 3

## Remedial Powers of the Court of Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-5)]

Part XVIII of the Criminal Code addresses the power and procedure for appeals. Appeals of indictable offences are appealed to the provincial Court of Appeal.

The Crown can generally appeal where there is an error in law. The Crown has a limited appeal on the basis of questions of fact. This includes appeals for unreasonable verdict.[[1]](Print_version.html#cite_note-1203) However, the Crown cannot appeal on issues of credibility unless it amount to an error in law.

The Defence can appeal both issues of fact and law.([ss. 675 and 676](http://canlii.ca/t/7vf2#sec675))

  1. [↑](Print_version.html#cite_ref-1203) R. v. Kendall, [2005] O.J. No. 2457 (Ont. C.A.), at para. 46

## Grounds for Interfering with Verdicts (The Curative Proviso)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-6)]

The powers of the Court of Appeal to interfere with a verdict on a appeal are stated under s.686:

> 686\. (1) On the hearing of an appeal against a conviction or against a verdict that the appellant is unfit to stand trial or not criminally responsible on account of mental disorder, the court of appeal
> 
>     (a) may allow the appeal where it is of the opinion that 
> 
>     (i) the verdict should be set aside on the ground that it is unreasonable or cannot be supported by the evidence,
>     (ii) the judgment of the trial court should be set aside on the ground of a wrong decision on a question of law, or
>     (iii) on any ground there was a miscarriage of justice;
>     (b) may dismiss the appeal where 
> 
>     (i) the court is of the opinion that the appellant, although he was not properly convicted on a count or part of the indictment, was properly convicted on another count or part of the indictment,
>     (ii) the appeal is not decided in favour of the appellant on any ground mentioned in paragraph (a),
>     (iii) notwithstanding that the court is of the opinion that on any ground mentioned in subparagraph (a)(ii) the appeal might be decided in favour of the appellant, it is of the opinion that no substantial wrong or miscarriage of justice has occurred, or
>     (iv) notwithstanding any procedural irregularity at trial, the trial court had jurisdiction over the class of offence of which the appellant was convicted and the court of appeal is of the opinion that the appellant suffered no prejudice thereby;
>     (c) may refuse to allow the appeal where it is of the opinion that the trial court arrived at a wrong conclusion respecting the effect of a special verdict, may order the conclusion to be recorded that appears to the court to be required by the verdict and may pass a sentence that is warranted in law in substitution for the sentence passed by the trial court; or
>     (d) may set aside a conviction and find the appellant unfit to stand trial or not criminally responsible on account of mental disorder and may exercise any of the powers of the trial court conferred by or referred to in section 672.45 in any manner deemed appropriate to the court of appeal in the circumstances.  

> 
> ...  
R.S., 1985, c. C-46, s. 686; R.S., 1985, c. 27 (1st Supp.), ss. 145, 203; 1991, c. 43, s. 9; 1997, c. 18, s. 98; 1999, c. 3, s. 52, c. 5, s. 26.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec686)

Where a defence appeal is allowed the court may either order a new trial or enter a verdict of acquittal. (s.686(2))

The court has discretion to enter a verdict of acquittal where:

  * the accused has already served part or all of a fit sentence
  * where there is still sufficient evidence to support a conviction
  * where it would be unfair to the accused to have another trial

### Unreasonable Verdicts[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-7)]

Under s. 686(1)(a)(i), the defence may appeal a conviction where there was an "unreasonable or cannot be supported by the evidence".

A verdict that is unreasonable must be one where the judge "revealed he or she was not alive to an applicable legal principle, or entered a verdict inconsistent with the factual conclusions reached.[[1]](Print_version.html#cite_note-1204)

An error of the trial judge in finding an acquittal, once found, can only result in a new trial being ordered where the error had “a material bearing on the acquittal”[[2]](Print_version.html#cite_note-1205)

The appellate court may find a verdict is unreasonable where the trial judge has drawn an inference or made a finding of fact essential to the verdict that:[[3]](Print_version.html#cite_note-1206)

  1. is plainly contradicted by the evidence relied on by the trial judge in support of that inference or finding, or
  2. is shown to be incompatible with evidence that has not otherwise been contradicted or rejected by the trial judge

The applicable test for unreasonable verdict "requires the appeal court to determine what verdict a reasonable jury, properly instructed, could judicially have arrived at, and, in doing so, to review, analyze, and within the limits of appellate disadvantage, weigh the evidence."[[4]](Print_version.html#cite_note-1207) Or to put it another way: "whether on the whole of the evidence the verdict is one that a properly instructed jury, acting judicially, could reasonably have rendered"[[5]](Print_version.html#cite_note-1208)

A judge's decision should not be analysed by "dissecting them into small pieces and examining each piece in isolation". [[6]](Print_version.html#cite_note-1209)

The reasons should be read as a whole, and not held to a standard of perfection nor should it be the equivalent of jury instructions.[[7]](Print_version.html#cite_note-1210)

It is inappropriate to "simply plucking colloquial elements" from a trial judge's "thorough reasons" or to "cherry pick" infelicitous phrases.[[8]](Print_version.html#cite_note-1211)

A mere misstatement at "one point should not vitiate his ruling if the preponderance of what was said shows that the proper test was applied and if the decision can be justified on the evidence."[[9]](Print_version.html#cite_note-1212)

Courts are given great deference when considering whether findings are supported by the evidence.[[10]](Print_version.html#cite_note-1213)

R. v. Biniaris, 2000 SCC 15 outlined the principles to be applied:

  1. A court of appeal must not merely substitute its view for that of the jury but in applying the Yebes test is entitled to review, analyze and, within the limits of appellate disadvantage, weigh the evidence.
  2. The test applies equally to a jury and a judge sitting alone. In the latter case, the review may be easier because the appellate court will be able to examine the reasons provided by the judge, which may reveal a flaw in the evaluation of the evidence. Such a deficiency in analysis may appear where a judge was not alive to an applicable legal principle or entered a verdict inconsistent with the factual conclusions reached.
  3. A reviewing court must articulate the basis upon which it finds that the conclusions reached by a jury were unreasonable. A lurking doubt or vague unease based on the court’s review is not sufficient justification for a finding of unreasonableness but may trigger increased appellate scrutiny.
  4. A jury does not provide reasons for its verdict. To justify a finding of unreasonableness regarding the verdict of a properly instructed jury, the appeal court will not be able to point to express deficiencies in analysis. It must fall back upon and articulate inferences drawn from a review of the evidence to support its conclusion that the jury, in arriving at its guilty verdict, could not have been acting judicially.
  5. Jury instructions attempt to convey accumulated judicial experience to the jury. Still, in certain rare cases, the totality of the evidence and the peculiar factual circumstances will lead an experienced, legally trained, jurist to conclude that the fact-finding exercise applied at trial must have been flawed in light of the unreasonable results it produced.
  6. Acting judicially, in this context, means not only acting dispassionately in applying the law and adjudicating on the basis of the law and nothing else. It means, in addition, arriving at a conclusion that does not conflict with the bulk of judicial experience. The reviewing court’s assessment must, in other words, proceed through “the lens of judicial experience” to identify and articulate, as precisely as possible, those features of the case which suggest that the verdict was unreasonable. There may be several causes of concern, none of which, in isolation, might have required a particular warning to the jury.

A verdict may also be unreasonable if the trial judge draws an inference or makes an essential finding of fact that:[[11]](Print_version.html#cite_note-1214)

  1. is plainly contradicted by the evidence relied on by the trial judge in support of that inference or finding; or
  2. is shown to be incompatible with evidence that has not otherwise been contradicted or rejected by the trial judge.

**Misapprehension of Evidence**  
Appeal for misapprehension of evidence requires that the error "play an essential part in the reasoning process resulting in a conviction". [[12]](Print_version.html#cite_note-1215)

  
See also [Canadian Criminal Procedure and Practice/Trials/Verdicts](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts)

  1. [↑](Print_version.html#cite_ref-1204) R v Binaris, [2000 SCC 15](http://canlii.ca/t/5260), [2000] 1 S.C.R. 381 at 37
  2. [↑](Print_version.html#cite_ref-1205) R. v. Graveline, [2006 SCC 16](http://canlii.ca/t/1n3bs) at para. 14
  3. [↑](Print_version.html#cite_ref-1206) R. v. R.P., [2012 SCC 22](http://canlii.ca/t/fr8qc) at para. 12
  4. [↑](Print_version.html#cite_ref-1207) Biniaris at para. 36
  5. [↑](Print_version.html#cite_ref-1208) R. v. Yebes, [1987 CanLII 17](http://canlii.ca/t/1ftlc) (SCC), [1987] 2 S.C.R. 168  
See also R. v. R.P., 2012 SCC 22 (CanLII), 2012 SCC 22, [2012] 1 S.C.R. 746
  6. [↑](Print_version.html#cite_ref-1209) R. v. Morrissey, [1995 CanLII 3498](http://canlii.ca/t/6jtj) (ON CA), [1995] O.J. No. 639 (C.A.)at para 28 ("[I]t is wrong to analyze a trial judge's reasons by dissecting them into small pieces and examining each piece in isolation as if it described, or was intended to describe, a legal principle applied by the trial judge. Reasons for judgment must be read as a whole.")
  7. [↑](Print_version.html#cite_ref-1210) R. v. Rhyason, 2007 SCC 39 (CanLII), [2007] 3 S.C.R. 108 at para. 10  
R. v. Sheppard, 2002 SCC 26 (CanLII), [2002] 1 S.C.R. 869 at para. 55  
see also, R. v. Gagnon, 2006 SCC 17 (CanLII), [2006] 1 S.C.R. 621, at para. 19
  8. [↑](Print_version.html#cite_ref-1211) R. v. Davis, 1999 CanLII 638 (SCC), [1999] 3 S.C.R. 759 ( inappropriateness of “simply plucking colloquial elements [from a] trial judge's thorough reasons” )
  9. [↑](Print_version.html#cite_ref-1212) R. v. B. (C.R.), 1990 CanLII 142 (SCC), [1990] 1 S.C.R. 717, at p. 737
  10. [↑](Print_version.html#cite_ref-1213) R. v. W. (R.), 1992 CanLII 56 (S.C.C.), [1992] 2 S.C.R. 122, and R. v. Burke, 1996 CanLII 229 (S.C.C.), [1996] 1 S.C.R. 474)
  11. [↑](Print_version.html#cite_ref-1214) R. v. Flores, [2013 MBCA 4](http://canlii.ca/t/fvxcf) (CanLII)  
See R. v. Sinclair, 2011 SCC 40 (CanLII), [2011] 3 S.C.R. 3  
R. v. Beaudry, 2007 SCC 5 (CanLII), [2007] 1 S.C.R. 190  

  12. [↑](Print_version.html#cite_ref-1215) R v Lee, [2010 ABCA 1](http://canlii.ca/t/27scf), 23 Alta LR (5th) 76, at paras 8-9

### Insufficiency of Reasons[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-8)]

The judge is required to give reasons for his or her decision on verdict.[[1]](Print_version.html#cite_note-1216)

The goal of giving reasons is to "show why the judge reached his or her conclusion". The reasons are to be examined in a functional test.[[2]](Print_version.html#cite_note-1217) "The requirement of reasons is tied to their purpose and the purpose varies with the context"[[3]](Print_version.html#cite_note-1218) The functional and substantive manner means taking the reasons, "as a whole, in the context of the evidence, arguments, and the live issues at trial, with an appreciation of the purposes or functions for which reasons are given." There must be a logical connection between the verdict and the reasons. [[4]](Print_version.html#cite_note-1219)

There is no obligation upon judges to address every argument made by counsel. [[5]](Print_version.html#cite_note-1220) Nor must the judge articulate consideration of every part of the evidence.

The Criminal Code specifically mandates judges to give reasons on certain circumstances, such as when determining the admissibility of a complainant's prior sexual history [[6]](Print_version.html#cite_note-1221); ordering the production of prior personal information (s. 278.8(1)); and when imposing a sentence [[7]](Print_version.html#cite_note-1222).

The reason must "sufficiently intelligible" to permit appellate review.[[8]](Print_version.html#cite_note-1223)

A verdict must be based exclusively on admissible evidence heard at trial. If a trial judge has misapprehended the evidence, including resorting to material not before him or her, and the errors "play an essential part in the reasoning process resulting in a conviction then … the accused’s conviction is not based exclusively on the evidence and is not a “true” verdict". [[9]](Print_version.html#cite_note-1224)

When considering sufficiency, it is not the decision alone that should be considered but rather "what the trial judge has stated in the context of the record, the issues and the submissions of counsel at trial".[[10]](Print_version.html#cite_note-1225)

Focus on analysis on findings concerning credibility "should be directed at whether the reasons respond to the case's live issues, having regard to the evidence as a whole and the submissions of counsel"(para. 25) This however does not require "reasons to be so detailed that they allow an appeal court to retry the entire case on appeal. There is no need to prove that the trial judge was alive to and considered all of the evidence, or answer each and every argument of counsel."[[11]](Print_version.html#cite_note-1226) Credibility cases require that the court sufficiently articulate how credibility concerns have been resolved. Failure to do so may be a reversible error.[[12]](Print_version.html#cite_note-1227)

Where an oral and written decision contains inconsistent findings and reasons to key findings, a new trial may be warranted.[[13]](Print_version.html#cite_note-1228)

A trial judge's reasons should be reviewed on a "standard of adequacy".[[14]](Print_version.html#cite_note-1229) The reasons are adequate if, as a whole, accomplish three purposes:[[15]](Print_version.html#cite_note-1230)

  1. informing the parties of the basis of the verdict,
  2. providing public accountability and
  3. permitting a form of appeal.

Failure to evaluate a complainant's evidence in light of independent contradictory evidence is a reverseable error.<rfe> R. v. Hanson (K.J.), 2010 ABQB 128 (CanLII) </ref>

See also [Canadian Criminal Procedure and Practice/Trials/Verdicts](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Verdicts)

  1. [↑](Print_version.html#cite_ref-1216) R. v. Sheppard, [2002] SCJ No 30. at para 55;  
Pitts v. Ontario (1985), 51 OR (2d) 302 at 311;  
R. v. Kendall [2005] O.J. No;. 2457 (C.A.))  

  2. [↑](Print_version.html#cite_ref-1217) R v Sheppard, 2002 SCC 26
  3. [↑](Print_version.html#cite_ref-1218) Dinardo, at para. 24
  4. [↑](Print_version.html#cite_ref-1219) R. v. T.S., [2012 ONCA 289](http://canlii.ca/t/fr6gh) at 45  
R v REM 2008 SCC 51 at 16, 35, 55
  5. [↑](Print_version.html#cite_ref-1220) R. v. Dinardo, [2008 SCC 24](http://www.canlii.org/en/ca/scc/doc/2008/2008scc24/2008scc24.html), [2008] 1 SCR 788 at paragraph 30
  6. [↑](Print_version.html#cite_ref-1221) see s. 276.2(3)
  7. [↑](Print_version.html#cite_ref-1222) see s. 726.2
  8. [↑](Print_version.html#cite_ref-1223) R. v. D. (J.J.R.) 2006 CanLII 40088 (ON CA), (2006), 215 C.C.C. (3d) 252 (Ont. C.A.), at para. 35
  9. [↑](Print_version.html#cite_ref-1224) R. v. Morrissey, [1995 CanLII 3498](http://www.canlii.org/en/on/onca/doc/1995/1995canlii3498/1995canlii3498.html) (ON CA) at p. 541  
R. v. Lohrer, 2004 SCC 80 (CanLII), [2004] 3 S.C.R. 732, at paras. 2-3  

  10. [↑](Print_version.html#cite_ref-1225) REM at para. 37
  11. [↑](Print_version.html#cite_ref-1226) R. v. Dinardo at para. 30  
also referenced in R v REM 2008 SCC 51
  12. [↑](Print_version.html#cite_ref-1227) R. v. Dinardo at para. 26  
R. v. Braich, 2002 SCC 27, [2002] 1 S.C.R. 903, at para. 23  

  13. [↑](Print_version.html#cite_ref-1228) R. v. Ball [2012 ABCA 184](http://canlii.ca/t/frpvx) (CanLII)
  14. [↑](Print_version.html#cite_ref-1229) R. v. Flores, [2013 MBCA 4](http://canlii.ca/t/fvxcf) (CanLII)
  15. [↑](Print_version.html#cite_ref-1230) R. v. Flores,  
R. v. R.E.M., 2008 SCC 51  
See also R. v. Oddleifson (J.N.), 2010 MBCA 44 (CanLII)  


### Error on Question of Law[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-9)]

Under s.675(1)(a)(ii), the defence may appeal a conviction on error of law.

Where there has been an error of law, such as the improper admission evidence, and the evidence may have influenced the trier of fact in reaching its verdict, the conviction must be quashed, irrespective of whether the admissible evidence supports a conviction.[[1]](Print_version.html#cite_note-1231)

However, the Court may dismiss an appeal and deny any remedy under s. 686(1)(a)(ii), where the court "is of the opinion that no substantial wrong or miscarriage of justice has occurred"(s.686(1)(b)(iii)).

  1. [↑](Print_version.html#cite_ref-1231) R v Colpitts, [1965] S.C.R. 739

### Miscarriage of Justice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-10)]

Under s.686(1)(a)(iii), the defence may appeal a conviction based on a miscarriage of justice.

A miscarriage of justice may arise in the following circumstances:

  * a misapprehension of "significant evidence"[[1]](Print_version.html#cite_note-1232)
  * improper questioning during cross-examination[[2]](Print_version.html#cite_note-1233)
  * [guilty plea](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Guilty_Plea)[[3]](Print_version.html#cite_note-1234)

  1. [↑](Print_version.html#cite_ref-1232) R. v. Morrissey (1995), 97 C.C.C. (3d) 193, [1995 CanLII 3498](http://canlii.ca/t/6jtj) (ONCA)
  2. [↑](Print_version.html#cite_ref-1233) R. v. M.F.T., [2012 BCCA 428](http://canlii.ca/t/ftl4s) (CanLII) see para 38 to 46 - improper cross-examination found but no prejudice arose so appeal failed
  3. [↑](Print_version.html#cite_ref-1234) R. v. Wiebe, [2012 BCCA 519](http://canlii.ca/t/fvfd0) (CanLII) at para. 22

### Lack of Prejudice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-11)]

Under s. 686(1)(b)(iv), the Court may dismiss a defence appeal despite irregularities at trial where the "court of appeal is of the opinion that the appellant suffered no prejudice thereby".

In this context, "prejudice" refers to the prejudice suffered upon the accused's ability to defend himself, to receive a fair trial, and to the appearance of the administration of justice.[[1]](Print_version.html#cite_note-1235)

  1. [↑](Print_version.html#cite_ref-1235) R. v. Kakegamic [2010 ONCA 903](http://canlii.ca/t/2f4cq) (CanLII)

### Reasonable Apprehension of Bias[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-12)]

A reasonable apprehension of bias is grounds for appeal. There is a presumption to judicial integrity. Thus, there needs to be substantial grounds and cogent evidence to support an apprehension.[[1]](Print_version.html#cite_note-1236)

  1. [↑](Print_version.html#cite_ref-1236) R v Lupyrypa, 2011 ABCA 324 at para 6  
R v S (RD), 1997 CanLII 324 (SCC), [1997] 3 SCR 484 at para 142  
Wewaykum Indian Band v Canada, 2003 SCC 45 (CanLII), 2003 SCC 45, [2003] 2 SCR 259 at paras 57‑60, 76‑78  


### Incompetent or effective counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-13)]

See [Canadian Criminal Procedure and Practice/Trials/Ineffective Counsel](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Ineffective_Counsel)

### Interfering with Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-14)]

Appeal of Sentence is a separate form of appeal from an appeal of verdict.

Under s. 673, a sentence is defined as:

> “sentence” includes
> 
>     (a) a declaration made under subsection 199(3),
>     (b) an order made under subsection 109(1) or 110(1), section 161, subsection 164.2(1) or 194(1), section 259, 261 or 462.37, subsection 491.1(2), 730(1) or 737(3) or (5) or section 738, 739, 742.1, 742.3, 743.6, 745.4 or 745.5,
>     (c) a disposition made under section 731 or 732 or subsection 732.2(3) or (5), 742.4(3) or 742.6(9), and
>     (d) an order made under subsection 16(1) of the Controlled Drugs and Substances Act;
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec673)

Under s. 785(b), an appeal of sentence includes appeals against ancillary orders such as driving prohibitions, restitution, discharges, etc.

An appellate court has no authority to consider any issue of fitness of sentence on an appeal of verdict. There must be a specific application to appeal sentence before it can be considered.[[1]](Print_version.html#cite_note-1237)

Sentence can only where there is an "error in principle, failure to consider a relevant factor, or an overemphasis of relevant factors, a court of appeal should only intervene to vary a sentence imposed at trial if the sentence is demonstrably unfit."[[2]](Print_version.html#cite_note-1238)

An appeal from a sentence in a summary conviction proceeding is identical to an appeal in an indictable matter. [[3]](Print_version.html#cite_note-1239) The governing section states:

> 687(1) Where an appeal is taken against sentence, the court of appeal shall, unless the sentence is one fixed by law, consider the fitness of the sentence appealed against, and may on such evidence, if any, as it thinks fit to require or to receive,
> 
>     (a) vary the sentence within the limits prescribed by law for the offence of which the accused was convicted; or
>     (b) dismiss the appeal.
> 
>   


The decision on sentence is an act of discretion[[4]](Print_version.html#cite_note-1240) and so the standard of review is one of deference. [[5]](Print_version.html#cite_note-1241) This deference does not change whether the sentence was after conviction or guilty plea.[[6]](Print_version.html#cite_note-1242)

Generally, a Court will only interfere where it is "demonstrably unfit".[[7]](Print_version.html#cite_note-1243)

To have grounds of appeal the appellant must be able to answer at least one or more of the following questions in the affirmative: [[8]](Print_version.html#cite_note-1244)

  1. Is the sentence the result of an error of law?
  2. Did the sentencing judge err in principle in the exercise of his or her discretion?
  3. Is the sentence clearly unreasonable having regard to the fundamental purpose and objective of sentencing (s. 718) as well as the principles enunciated in section 718.1 and 718.2 of the Criminal Code?
  4. Is the sentence a substantial and marked departure from the sentence customarily imposed for similarly situated offenders committing similar crimes?

**SOIRA Order**: only if there is an error in principle, a failure to consider a relevant factor, an overemphasis on appropriate factors, or a clearly unreasonable decision[[9]](Print_version.html#cite_note-1245)

The Crown has no authority to appeal the ordering of a particular length of SOIRA as it does not fit the meaning of "sentence" in s. 673.[[10]](Print_version.html#cite_note-1246)

  1. [↑](Print_version.html#cite_ref-1237) R. v. W. (G.) , [1999] 3 S.C.R. 597 - consideration of sentence without appeal of sentence created an apprehension of bias
  2. [↑](Print_version.html#cite_ref-1238) R. v. M.(C.A.), [1996 CanLII 230](http://www.canlii.org/en/ca/scc/doc/1996/1996canlii230/1996canlii230.html) (S.C.C.), [1996] 1 S.C.R. 500 at para. 90  
R. v. Shropshire, [1995] S.C.J. No. 52 [[51]](http://www.canlii.org/en/ca/scc/doc/1995/1995canlii47/1995canlii47.html) at para. 46
  3. [↑](Print_version.html#cite_ref-1239) By operation of section 822(1) of the Criminal Code summary conviction appeal adopts the same procedure by reference to the provisions of 687(1)
  4. [↑](Print_version.html#cite_ref-1240) R. v. McCurdy, [2003] 210 NSR (2d) 33 at 36
  5. [↑](Print_version.html#cite_ref-1241) R. v. Shropshire, (1995) 102 CCC 193 at 209; R. v. CAM (1996) 105 CCC 327 at 374
  6. [↑](Print_version.html#cite_ref-1242) R. v. CAM at 374
  7. [↑](Print_version.html#cite_ref-1243) R. v. Brown, [2004] NSJ 133
  8. [↑](Print_version.html#cite_ref-1244) R. v. Long, [2001] N.B.J. No. 347 (N.B.C.A.).
  9. [↑](Print_version.html#cite_ref-1245) R. v. Redhead, 2006 ABCA 84 at para. 13, 384 A.R. 206.
  10. [↑](Print_version.html#cite_ref-1246) R v J.J.W., [2012 NSCA 96](http://canlii.ca/t/ft00k) (CanLII) at para. 53 and 54  
R. v. Chisholm, 2012 NBCA 79

## Remedies[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-15)]

> s. 686.  
...  
**Order to be made**  
(2) Where a court of appeal allows an appeal under paragraph (1)(a), it shall quash the conviction and
> 
>     (a) direct a judgment or verdict of acquittal to be entered; or
>     (b) order a new trial.  

> 
> **Substituting verdict**  
(3) Where a court of appeal dismisses an appeal under subparagraph (1)(b)(i), it may substitute the verdict that in its opinion should have been found and
> 
>     (a) affirm the sentence passed by the trial court; or
>     (b) impose a sentence that is warranted in law or remit the matter to the trial court and direct the trial court to impose a sentence that is warranted in law.  

> 
> **Appeal from acquittal**  
(4) If an appeal is from an acquittal or verdict that the appellant or respondent was unfit to stand trial or not criminally responsible on account of mental disorder, the court of appeal may
> 
>     (a) dismiss the appeal; or
>     (b) allow the appeal, set aside the verdict and 
> 
>     (i) order a new trial, or
>     (ii) except where the verdict is that of a court composed of a judge and jury, enter a verdict of guilty with respect to the offence of which, in its opinion, the accused should have been found guilty but for the error in law, and pass a sentence that is warranted in law, or remit the matter to the trial court and direct the trial court to impose a sentence that is warranted in law.  

> 
> ...  
**Where appeal allowed against verdict of unfit to stand trial**  
(6) Where a court of appeal allows an appeal against a verdict that the accused is unfit to stand trial, it shall, subject to subsection (7), order a new trial.  
**Appeal court may set aside verdict of unfit to stand trial**  
(7) Where the verdict that the accused is unfit to stand trial was returned after the close of the case for the prosecution, the court of appeal may, notwithstanding that the verdict is proper, if it is of the opinion that the accused should have been acquitted at the close of the case for the prosecution, allow the appeal, set aside the verdict and direct a judgment or verdict of acquittal to be entered.  
**Additional powers**  
(8) Where a court of appeal exercises any of the powers conferred by subsection (2), (4), (6) or (7), it may make any order, in addition, that justice requires.  
R.S., 1985, c. C-46, s. 686; R.S., 1985, c. 27 (1st Supp.), ss. 145, 203; 1991, c. 43, s. 9; 1997, c. 18, s. 98; 1999, c. 3, s. 52, c. 5, s. 26.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec686)

### Ordering a new trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-16)]

Where a new trial is ordered the provisions of s.686(5) and (5.1) apply:

> s. 686.  
...  
**New trial under Part XIX**  
(5) Subject to subsection (5.01), if an appeal is taken in respect of proceedings under Part XIX and the court of appeal orders a new trial under this Part, the following provisions apply:
> 
>     (a) if the accused, in his notice of appeal or notice of application for leave to appeal, requested that the new trial, if ordered, should be held before a court composed of a judge and jury, the new trial shall be held accordingly;
>     (b) if the accused, in his notice of appeal or notice of application for leave to appeal, did not request that the new trial, if ordered, should be held before a court composed of a judge and jury, the new trial shall, without further election by the accused, be held before a judge or provincial court judge, as the case may be, acting under Part XIX, other than a judge or provincial court judge who tried the accused in the first instance, unless the court of appeal directs that the new trial be held before the judge or provincial court judge who tried the accused in the first instance;
>     (c) if the court of appeal orders that the new trial shall be held before a court composed of a judge and jury, the new trial shall be commenced by an indictment in writing setting forth the offence in respect of which the new trial was ordered; and
>     (d) notwithstanding paragraph (a), if the conviction against which the accused appealed was for an offence mentioned in section 553 and was made by a provincial court judge, the new trial shall be held before a provincial court judge acting under Part XIX, other than the provincial court judge who tried the accused in the first instance, unless the court of appeal directs that the new trial be held before the provincial court judge who tried the accused in the first instance.  

> 
> ...  
**Election if new trial a jury trial**  
(5.1) Subject to subsection (5.2), if a new trial ordered by the court of appeal is to be held before a court composed of a judge and jury,
> 
>     (a) the accused may, with the consent of the prosecutor, elect to have the trial heard before a judge without a jury or a provincial court judge;
>     (b) the election shall be deemed to be a re-election within the meaning of subsection 561(5); and
>     (c) subsection 561(5) applies, with such modifications as the circumstances require, to the election.  

> 
> ...  

> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec686)

## Procedural Powers of the Court of Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-17)]

The Court of Appeal is a court of inherent jurisdiction and is not recognized in common law. It is a "creature of statute" where its powers to hear cases and make orders must come from statute.

Under s. 683, the Court of Appeal's main powers consist of the authority to:

  * order the production of any writing, exhibit or other thing connected with the proceedings;
  * "order any witness ... to attend and be examined before the court of appeal..."and admit the testimony as evidence.
  * order an inquiry and report to a special commissioner and to act on such a rport
  * amend an indictment

The court also has "ancillary" authority to control its own process. [[1]](Print_version.html#cite_note-1247)

  1. [↑](Print_version.html#cite_ref-1247) e.g. R. v. Zaharia (1986), 25 C.C.C. (3d) 149 (Ont. C.A.)

### Disclosure Motion[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-18)]

An accused may apply to the court of appeal for a disclosure, usually in the context of a fresh evidence application.

Third party records can be obtained through application under s. 683. These production orders apply the same law as at trial level.[[1]](Print_version.html#cite_note-1248) The applicant must show:[[2]](Print_version.html#cite_note-1249)

  1. There is a connection between the request for production and the fresh evidence he proposes to adduce in that there is a reasonable possibility that the material sought could assist on the motion to adduce fresh evidence; and
  2. There is a reasonable possibility that the evidence to which the production request is linked may be received as fresh evidence on appeal.

  1. [↑](Print_version.html#cite_ref-1248) R. v. Trotta, [2004] O.J. No. 2439 (C.A.)
  2. [↑](Print_version.html#cite_ref-1249) R v West, 2012 NSCA 112

## Procedure on Specific Issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-19)]

### Notice of Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-20)]

Provincial rules of court set out the notice requirements for each appealing party as well as the time limit.

Rules may permit substituted service on notice, but when they do, they require a high standard of proof.[[1]](Print_version.html#cite_note-1250)

  1. [↑](Print_version.html#cite_ref-1250) e.g. see R v Goodhart, [2012 ABQB 712](http://canlii.ca/t/fv6qs) \- substituted notice to accused quashed

### Voir Dire Appeals[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-21)]

A voir dire hearing can happen at any point during a proceeding before the final decision on guilt. Parties have a right to appeal the ruling of a voir dire, however, the proceeding will generally not be put on hold pending a ruling of the appeal.

A guilty plea after a voir dire will usually extinguish any right to appeal.[[1]](Print_version.html#cite_note-1251)

As best practice, to preserve the right to appeal, the accused shall admit the facts alleged by the Crown and invite the judge to convict.[[2]](Print_version.html#cite_note-1252)

### Issues of Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-22)]

It is inappropriate for the appellate court to raise any issues not raised by either Crown or Defence.[[3]](Print_version.html#cite_note-1253)

The accused may only raise a Charter issue on appeal that was not raised at trial where the following has been met: [[4]](Print_version.html#cite_note-1254)

  1. there must be a sufficient evidentiary record to resolve the issue.
  2. it must not be an instance in which the accused for tactical reasons failed to raise the issue at trial.
  3. the court must be satisfied that no miscarriage of justice will result from the refusal to raise such new issue on appeal.

  1. [↑](Print_version.html#cite_ref-1251) R. v. Chuhaniuk, [2010 BCCA 403](http://canlii.ca/t/2cl6p) at para. 45  
R. v. Carter, [2003 BCCA 632](http://canlii.ca/t/1fw4s)  
R. v. Bowman, [2008 BCCA 410](http://canlii.ca/t/21863)  
R. v. Webster, [2008 BCCA 458](http://canlii.ca/t/21ls8)  

  2. [↑](Print_version.html#cite_ref-1252) R. v. Duong, [2006 BCCA 325](http://canlii.ca/t/1nq1g) at para. 8
  3. [↑](Print_version.html#cite_ref-1253) R. v. T. (S.G.) [2010 SCC 20](http://canlii.ca/t/29vqb) at paras. 36-7
  4. [↑](Print_version.html#cite_ref-1254) R. v. Brown, [1993 CanLII 114](http://canlii.ca/t/1fs23) (SCC), [1993] 2 S.C.R. 918, [1993] S.C.J. No. 82 per L'Heureux-Dubé J. at para. 20 dissenting on other grounds

### Issues Not Raised at Trial[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-23)]

In certain cases, such as applications for privileged information, the failure to raise the issue at trial subsequent to a lost voir dire has been found to be fatal to a potential appeal.[[1]](Print_version.html#cite_note-1255)

In order to raise a Charter issue on appeal where it was no argued previously, there must be 1) sufficient evidence to deal with the issue, 2) satisifed that the failure to raise the issue previously was not merely a tactical issue, 3) there is no miscarriage of justice from raising the new issue.[[2]](Print_version.html#cite_note-1256)

  1. [↑](Print_version.html#cite_ref-1255) R. v. Blair, [2000 CanLII 16821](http://canlii.ca/t/1fb9m) (ONCA)
  2. [↑](Print_version.html#cite_ref-1256) R. v. Brown, [1993 CanLII 114](http://canlii.ca/t/1fs23) (SCC), [1993] 2 S.C.R. 918 at para. 20  
R v Black, [2010 NBCA 36](http://canlii.ca/t/29v3d) at para. 3  


### Fresh Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-24)]

The test for the admission of fresh evidence is set out as follows: [[1]](Print_version.html#cite_note-1257)

  1. The evidence should generally not be admitted if, by due diligence, it could have been adduced at trial provided that this general principle will not be applied as strictly in a criminal case as in civil cases
  2. The evidence must be relevant in the sense that it bears upon a decisive or potentially decisive issue in the trial.
  3. The evidence must be credible in the sense that it is reasonably capable of belief, and
  4. It must be such that if believed it could reasonably, when taken with the other evidence adduced at trial, be expected to have affected the result.

Where however, the application arises out of the Crown's failure to provide disclosure, then test is less onerous.[[2]](Print_version.html#cite_note-1258) The accused must show that his right to make full answer and defence was violated by showing either "that there is a reasonable possibility the non-disclosure affected the outcome at trial" or that it affected "the overall fairness of the trial process".[[3]](Print_version.html#cite_note-1259)

  1. [↑](Print_version.html#cite_ref-1257) R v Palmer, [1980] 1 S.C.R. 759 at p. 775; R. v. Levesque, [2000 SCC 47](http://canlii.ca/t/523w)
  2. [↑](Print_version.html#cite_ref-1258) R. v. McQuaid, (sub nom R. v. Dixon), [1998 CanLII 805](http://canlii.ca/t/1fqvj) (SCC), [1998] 1 S.C.R. 244 at 34  
R. v. Taillefer, [2003 SCC 70](http://canlii.ca/t/1g992), [2003] 3 S.C.R. 307  
R. v. Illes, [2008 SCC 57](http://canlii.ca/t/218ct), [2008] 3 S.C.R. 134 at para. 24  

  3. [↑](Print_version.html#cite_ref-1259) R v Dixon at para. 34

### Post-Sentence Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-25)]

The courts are reluctant to consider fresh evidence on appeal as it is outside of the appeal court's role.[[1]](Print_version.html#cite_note-1260)

There are four criteria to consider before allowing the evidence:[[2]](Print_version.html#cite_note-1261)

  1. The evidence should generally not be admitted if, by due diligence, it could have been adduced at trial provided that this general principle will not be applied as strictly in a criminal case as in civil cases.
  2. The evidence must be relevant in the sense that it bears upon a decisive or potentially decisive issue relating to the sentence.
  3. The evidence must be credible in the sense that it is reasonably capable of belief.
  4. The evidence must be such that if believed it could reasonably, when taken with the other evidence adduced at trial, be expected to have affected the result.

See also:R. v. Power, [2011 NLCA 68](http://canlii.ca/t/fndz0)

  1. [↑](Print_version.html#cite_ref-1260) R. v. Lévesque, [2000 SCC 47](http://canlii.ca/t/523w) at para 20
  2. [↑](Print_version.html#cite_ref-1261) Levesque, at 35

### Intervenors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-26)]

A party may apply to intervene in an appeal where: [[1]](Print_version.html#cite_note-1262)

  1. whether the intervention will unduly delay the proceedings;
  2. possible prejudice to the parties if intervention is granted;
  3. whether the intervention will widen the lis between the parties;
  4. the extent to which the position of the intervenor is already represented and protected by one of the parties; and
  5. whether the intervention will transform the court into a political arena.

These factors are balanced against each other and the interests of convenience, efficiency, and social purpose of moving the matter forward. The decision is ultimately a discretionary one.

  1. [↑](Print_version.html#cite_ref-1262) R. v. Ross, 2012 NSCA 8 at 12 [[52]](http://canlii.ca/t/fpq5l#par12)

### Court Appointed Counsel for Appeals[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-27)]

Section 684(1) provides:

> 684(1) A court of appeal or a judge of that court may […] assign counsel to act on behalf of an accused who is a party to an appeal or to proceedings preliminary or incidental to an appeal where, in the opinion of the court or judge, it appears desirable in the interests of justice that the accused should have legal assistance and where it appears that the accused has not sufficient means to obtain that assistance.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec684)

The “interests of justice” consists of many factors including:[[1]](Print_version.html#cite_note-1263)

  * the points to be argued on appeal (Donald, Hoskins)
  * the complexity of the case; (Donald, Hoskins, Assoun)
  * the appellant's capability to advance his appeal considering his level of education and his competency; (Donald, Hoskins, Assoun)
  * whether the assistance of counsel is necessary in order to marshal the evidence and make the argument; (Donald, Hoskins)
  * the nature and extent of the penalty imposed; (Donald, Hoskins)
  * the merits of the appeal (Donald, Hoskins)
  * the court’s role to assist (Assoun)
  * responsibility of Crown counsel to ensure that the applicant is treated fairly. (Morton)

  1. [↑](Print_version.html#cite_ref-1263) R. v. Donald, [2008 BCCA 316](http://canlii.ca/t/2016c) at 10 to15  
R. v. Hoskins, [2012 BCCA 51](http://canlii.ca/t/fpv2n)  
R. v. Assoun, [2002 NSCA 50](http://canlii.ca/t/4v1t)  
R. v. Morton, [2010 NSCA 103](http://canlii.ca/t/2dtdw)  


### Amending Indictments or Informations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Appeals&action=edit&section=T-28)]

Under s. 683(1)(g), the court of appeal may amend an information or indictment subject to the appeal. In doing so, the court should consider:

It is section 683(1)(g), not section 686(1)(b)(i), that provides an appeal court with the authority to amend an indictment or information on appeal. In deciding whether to amend, an appeal court should consider:[[1]](Print_version.html#cite_note-1264)

  1. the original indictment;
  2. the evidence at trial;
  3. the positions of the parties at trial;
  4. the instructions of the trial judge;
  5. the verdict of the jury; and
  6. the issues raised on appeal.

  1. [↑](Print_version.html#cite_ref-1264) R. v. Fraser, [2007 SKCA 113](http://canlii.ca/t/1tmd3) (CanLII) at para. 60

  


# IX - Mental Illness[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=20)]

# Mental Illness[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Mental_Illness&action=edit&section=T-1)]

An accused who may be suffering from a mental illness may raise several issues. The offender may not be fit to stand trial, may not be criminally responsible (NCR), or may eligible for referral to a mental health court.

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Mental_Illness&action=edit&section=T-2)]

  * [Canadian Criminal Procedure and Practice/Mental Illness/Fitness to Stand Trial](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Mental_Illness/Fitness_to_Stand_Trial)
  * [Canadian Criminal Procedure and Practice/Mental Illness/Not Criminally Responsible](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Mental_Illness/Not_Criminally_Responsible)

  


# _Digests_[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&section=21)]

# Cases/Warrantless Searches[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Detention and Search: Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-1)]

Case Citation s.8 s.9 s.24 Summary

R. v. Ahmed-Kadir and McFadyen
[2011 BCPC 250](http://www.canlii.org/en/bc/bcpc/doc/2011/2011bcpc250/2011bcpc250.html)
N
Y
N

R. v. Brown
[2011 ONSC 6250](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc6250/2011onsc6250.html)
-
N
N
vehicle pulled over after chase; alleged detained by police pursuit

R. v. Ryan
2010 NJ No. 173
N
Y
Y
breath test

R. v. G.C.
2010 NSPC 10 [[58]](http://www.canlii.org/en/ns/nspc/doc/2010/2010nspc10/2010nspc10.html)
N
N
N
while executing search warrant, pat-down search of accused for weapons; finds drugs

R. v. Cunsolo
[2009 CanLII 60775 (ON S.C.)](http://www.canlii.org/en/on/onsc/doc/2009/2009canlii60775/2009canlii60775.html)
N
Y
N
premature arrest of fraudster

R. v. N.O.
[2009 ABCA 75](http://www.canlii.org/en/ab/abca/doc/2009/2009abca75/2009abca75.html)
N
Y
Y
police observe hand-to-hand, search accused, find drugs

R. v. Harada
2008 BCSC 1346
N
N
N
pull over car; patdown search of driver

R. v. Nesbeth
[2008] O.J. No. 3086 (C.A.)
-
Y
Y

R. v. Peters
[2007 ABCA 181](http://www.canlii.org/en/ab/abca/doc/2007/2007abca181/2007abca181.html)
N
N
N
police see accused matching description of person with gun; searched backpack twice, found gun

R. v. Chambers
[2007 ABQB 712](http://www.canlii.org/en/ab/abqb/doc/2007/2007abqb712/2007abqb712.html)
N
N
N
after seeing signs of drug transaction, accused is strip searched, and searched vehicle

R. v. Y.(S.)
[2006 ONCJ 403](http://www.canlii.org/en/on/oncj/doc/2006/2006oncj403/2006oncj403.html)
N
N
N
person standing near car registered to person with warrant; several minor reasons for pull-over

R. v. Ngo
[2005 ONCJ 217](http://www.canlii.org/en/on/oncj/doc/2005/2005oncj217/2005oncj217.html)
arbitrary detention

R. v. B.A.D.G.
[2005 BCPC 504](http://www.canlii.org/en/bc/bcpc/doc/2005/2005bcpc504/2005bcpc504.html)
N
N
N
police get report of B&E suspects, see accused shortly after; patdown search reveals knife

R. v. Sepulveda
[2005 BCPC 236](http://www.canlii.org/en/bc/bcpc/doc/2005/2005bcpc236/2005bcpc236.html)
N
N
N
pat-down search of woman known to police; accused spit on officer

R. v. K.W.
2004 O.J. No.5327 (OCJ)
Y
police officers had no grounds to suspect that the accused was connected to any criminal activity; he “must be doing something” because of the very general surrounding circumstances.

R. v. Power
[2003 SKQB 334](http://www.canlii.org/en/sk/skqb/doc/2003/2003skqb334/2003skqb334.html)

R. v. Burke
[1997 CanLII 10867 (NL C.A.)](http://www.canlii.org/en/nl/nlca/doc/1997/1997canlii10867/1997canlii10867.html)
N
N
N
overturn s.9 breach; officer had sufficient reason to pull over accused

  * R. v. Dauda, 2011 ONCJ 799 || s.8 and 9 violation, exlcuded under 24(2); seen avoiding police, threw something away; found <4 g cocaine

## Vehicle Stops[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-2)]

  * R v Vulic, [2012 SKQB 221](http://canlii.ca/t/frn9r) \- violated s.9, drugs excluded
  * R. v. McCammon, [2012 MBQB 154](http://canlii.ca/t/frj67) \- violated s. 9, evidence excluded

## Personal Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-3)]

Case Citation s.8 s.9 s.24 Summary

R. v. Rose
[2012 ONSC 350](http://www.canlii.org/en/on/onsc/doc/2012/2012onsc350/2012onsc350.html)
 ?
Y
Y
arrested accused based on finding marijuana on co-accused.

R. v. Osolky
[2009 ONCJ 445](http://www.canlii.org/en/on/oncj/doc/2009/2009oncj445/2009oncj445.html)
Y
N
Y
patdown search; evidence excluded

R. v. F. (C.J.)
[2008 SKPC 51](http://www.canlii.org/en/sk/skpc/doc/2008/2008skpc51/2008skpc51.html)
N
N
N
officer responds to mischief complaint; sees youths; accused run away; searches him and finds weapon;

R. v. Ferdinand
2004 O.J. No. 3209 (SCJ)
Y
Y
officer’s hunch about the actions of the accused, (based on his “Spidey sense,”) was insufficient basis

## Vehicle Search[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-4)]

Case Citation s.8 s.9 s.24 Evidence at issue Summary

R v Turpin
[2012 SKCA 50](http://canlii.ca/t/fr8tt)
Y
Y
Y
drugs

R. v. Forster
[2009 ABPC 278](http://canlii.ca/t/261jz)
Y
-
Y
drugs
search of vehicle incident to arrest was improper. The officer cannot have reasonably expected to find evidence in vehicle from an offence 6 months prior.(para. 18-19). Excluded under s. 24(2), police were careless.

R. v. Anderson
[2011 ABPC 326](http://www.canlii.org/en/ab/abpc/doc/2011/2011abpc326/2011abpc326.html)
Y
N
Y
crack cocaine
drugs found in vehicle

R. v. Ruddock
[2011 ABPC 105](http://www.canlii.org/en/ab/abpc/doc/2011/2011abpc105/2011abpc105.html)
Y
N
Y
also found breach of s.10(a) and 10(b)

R v Savage
[2011 SKCA 65](http://canlii.ca/t/flmz9)
N
N
N
use of sniffer dog;

R. v. Chubak
[2009 ABCA 8](http://canlii.ca/en/ab/abca/doc/2009/2009abca8/2009abca8.html)
N
-
-
drugs
Officers respond to report of stabbing/beating—see vehicle with D inside with bear spray- D searched and find knife on him; police search car for more weapons; police find weapons, drugs, and ringing cell phone; trial judge says police can’t search for drugs; appeal court says they can; search for multiple reasons is valid as long as objectively justified (para. 18)

R. v. Arabi
[2007 ABQB 303](http://www.canlii.org/en/ab/abqb/doc/2007/2007abqb303/2007abqb303.html)
Y
Y
Y
search of person and vehicle after seeing possible drug transaction

R. v. Dykhuizen
[2007 ABQB 489](http://www.canlii.org/en/ab/abqb/doc/2007/2007abqb489/2007abqb489.html)
Y
-
 ?
mistaken ID of accused for a kidnapping suspect; found licence was expired; searched

R. v. Calder
[2006 ABCA 307](http://www.canlii.org/en/ab/abca/doc/2006/2006abca307/2006abca307.html)
Y
Y
Y
gun
sees possible drug transaction; searches backpack, finds gun

R. v. T.T.H.
[2006 ABPC 320](http://www.canlii.org/en/ab/abpc/doc/2006/2006abpc320/2006abpc320.html)
Y
-
N
search vehicle based on unsafe driving and suspicious comments from driver

R. v. Batzer
[2005 CanLII 33026](http://canlii.ca/t/1lm3g) (ON C.A.)
Y
N
Y
search of glovebox of car after detaining accused on rough description

R. v. Cox
[1999 CanLII 13119 (NB C.A.)](http://www.canlii.org/en/nb/nbca/doc/1999/1999canlii13119/1999canlii13119.html)
Y
Y
Y
plainclothes officer searched car at roadblock due to smell of "bulk" tobacco

R. v. Keshane
[1995 CanLII 4054 (SK C.A.)](http://www.canlii.org/en/sk/skca/doc/1995/1995canlii4054/1995canlii4054.html)
Y
-
N
warrantless search of a trunk of accused's car

R. v. D. (I.D.)
[1987 CanLII 206 (SK C.A.)](http://www.canlii.org/en/sk/skca/doc/1987/1987canlii206/1987canlii206.html)
Y
-
 ?
search of vehicle on spotting it stopped in ditch and detect smell of alcohol

### Smell of marijuana[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-5)]

Case s.8 s.9 s.24 Summary

R. v. Fierro, [2012 ABPC 1](http://canlii.ca/t/fpn4t)
N
N
N
detailed review of law

R. v. Grunwald, [2010 BCCA 288](http://www.canlii.org/en/bc/bcca/doc/2010/2010bcca288/2010bcca288.html)
N
N
N
traffic check set-up; stops accused's vehicle, smells marijuana, sees large bags in back of truck; no expectation of privacy

R. v. Harding, [2010 ABCA 180](http://www.canlii.org/en/ab/abca/doc/2010/2010abca180/2010abca180.html)
N
N
N
police stop car, obscured plates, rental car, two large bags in the back, smell marijuana -- search incident to arrest finds drugs -- no breach of s.10(b)

R. v. Pearson, [2009 ABQB 382](http://canlii.ca/t/245g7)
Y
-
N
breach found but evidence admitted

R. v. Hood, [2008 BCPC 217](http://www.canlii.org/en/bc/bcpc/doc/2008/2008bcpc217/2008bcpc217.html)
Y
?
Y

R. v. Rosa, [2008 ABQB 723](http://www.canlii.org/en/ab/abqb/doc/2008/2008abqb723/2008abqb723.html)

R. v. Webster, [2008 BCCA 458](http://canlii.ca/t/21ls8)
N
N
N

R. v. Favorite, [2008 CanLII 13364](http://canlii.ca/t/1wb3h)
N
N
N

R. v. Charles, [2007 CanLII 39760](http://canlii.ca/t/1t13k) (ON SC)
Y
?
Y

R. v. Huynh, [2005 ABPC 238](http://www.canlii.org/en/ab/abpc/doc/2005/2005abpc238/2005abpc238.html)
N
-
-
no s.8 breach found

R. v. Calderon, [2004 CanLII 7569](http://canlii.ca/t/1hpvs)
Y
Y
Y

R. v. Ladouceur, [2002 SKCA 73](http://canlii.ca/t/5k1p)
?
Y
Y

R. v. Sewell, [2003 SKCA 52](http://www.canlii.org/en/sk/skca/doc/2003/2003skca52/2003skca52.html)
N
-
-

R. v. Power, [2003 SKQB 334](http://canlii.ca/t/56v9)
N
N
N

R. v. Yan & Chan, [2002 BCPC 574](http://www.canlii.org/en/bc/bcpc/doc/2002/2002bcpc574/2002bcpc574.html)
Y
-
Y
pull over on basis of broad search for cat burglar; smells marijuana from car ; breach of s. 8 found -- evidence excluded

R. v. Duong, [2002 BCCA 43](http://www.canlii.org/en/bc/bcca/doc/2002/2002bcca43/2002bcca43.html)
N
no s.8 breach -- smell of marijuana coming out front door of house

R. v. Zagar, [1998 ABPC 59](http://www.canlii.org/en/ab/abpc/doc/1998/1998abpc59/1998abpc59.html)
Y
-
Y

R. v. Lawrence, [1994] O.J. No. 3272
N
N
N
smell fresh burnt marijuana; allowed search down pants of accused

R. v. Iturriaga, [1993 CanLII 2517](http://canlii.ca/t/1dblb) (BC CA)
Y
?
Y

## Informers/Tips[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-6)]

Case s.8 s.9 s.24 Summary

Hewlett v. R., [2012 CanLII 46405](http://canlii.ca/t/fsdd1) (NL SCTD)
N
-
N
search warrant

R. v. Gorman and Gorman, [2012 ONSC 4605](http://canlii.ca/t/fs99l)
N
-
N
search warrant

R v Franko, [2012 ABQB 282](http://canlii.ca/t/fr8f7)
N
-
N
confidential source reports drug dealers activities

R v Perpeluk, [2012 SKQB 189](http://canlii.ca/t/frdgx)
Y
-
Y
two confidential informers give tips

R. v. Quach, 2012 ABPC 57
N
N
N
evidence admitted, judge had no issue with motive of informer

R. v. Soto, [2011 ONCA 828](http://canlii.ca/t/fpf39)
N
N
N
informer reports dealing out of a house; police corroborate with observations of house

R. v. Bick, [2011 ONCJ 503](http://www.canlii.org/en/on/oncj/doc/2011/2011oncj503/2011oncj503.html)
N
N
N
search of house based on tip

R. v. Hillgardener, [2010 ABCA 80](http://www.canlii.org/en/ab/abca/doc/2010/2010abca80/2010abca80.html)
N
N
N
anonymous informer was reliable

R. v. Jir, [2010 BCCA 497](http://www.canlii.org/en/bc/bcca/doc/2010/2010bcca497/2010bcca497.html)
Y
N
N

R. v. Safi, [2010 ABCA 151](http://www.canlii.org/en/ab/abca/doc/2010/2010abca151/2010abca151.html)
N
N
N

R. v. Raphael, [2010] O.J. No. 5916, 2010 ONSC 5709
Y
Y
Y

Bjornson, [2009 BCSC 1779](http://www.canlii.org/en/bc/bcsc/doc/2009/2009bcsc1779/2009bcsc1779.html)
N
N
N

R. v. Tetreault, 2007 BCSC 1624
N
-
N

R. v. Wing, [2007 BCSC 1959](http://www.canlii.org/en/bc/bcsc/doc/2007/2007bcsc1959/2007bcsc1959.html)
Y
?
N

McCallum, [2006 SKQB 287](http://www.canlii.org/en/sk/skqb/doc/2006/2006skqb287/2006skqb287.html)
N
N
N

Goodine v. R., 2006 NBCA 109
N
?
N

R. v. Layton, 2006 BCPC 655
N
?
?

R. v. Murphy, [2006 CanLII 12417 (ON CA)](http://www.canlii.org/en/on/onca/doc/2006/2006canlii12417/2006canlii12417.html)
N
N
N
confidential informer gave sufficient details to form grounds of arrest

R. v. Bracchi, 2005 BCCA 461 [[59]](http://www.canlii.org/en/bc/bcca/doc/2005/2005bcca461/2005bcca461.html)
N
N
N

R. v. Campbell, 2003 MBCA 76 (CanLII) [[60]](http://www.canlii.org/en/mb/mbca/doc/2003/2003mbca76/2003mbca76.html)
Y
-
N

R. v. Myers, [2003 CanLII 36859 (ON SC)](http://www.canlii.org/en/on/onsc/doc/2003/2003canlii36859/2003canlii36859.html)
Y
N
N

R. v. Ungaro, [2003 BCPC 137](http://www.canlii.org/en/bc/bcpc/doc/2003/2003bcpc137/2003bcpc137.html)
Y
?
Y

R. v. Philpott [2002] O.J. No. 4872
search warrant

R. v. Jones, [2001 CanLII 28336 (ON SC)](http://www.canlii.org/en/on/onsc/doc/2001/2001canlii28336/2001canlii28336.html)
Y
-
Y
warrant to search apartment

R. v. Warford, [2001 NFCA 64](http://www.canlii.org/en/nl/nlca/doc/2001/2001nfca64/2001nfca64.html)
N
N
N

R. v. Lewis, [1998 CanLII 7116 (ON CA)](http://www.canlii.org/en/on/onca/doc/1998/1998canlii7116/1998canlii7116.html)
Y
-
N

R. v. Smellie, [1994 CanLII 1612 (BC CA)](http://www.canlii.org/en/bc/bcca/doc/1994/1994canlii1612/1994canlii1612.html)
N
N
N
multiple informers

R. v. Zammit, [1993 CanLII 3424 (ON CA)](http://www.canlii.org/en/on/onca/doc/1993/1993canlii3424/1993canlii3424.html)
Y
-
Y

R. v. Lamy, [1993 CanLII 3368 (MB CA)](http://www.canlii.org/en/mb/mbca/doc/1993/1993canlii3368/1993canlii3368.html)
Y
-
Y

R. v. Charlton, [1992 CanLII 367 (BC CA)](http://www.canlii.org/en/bc/bcca/doc/1992/1992canlii367/1992canlii367.html)
N
N
N

R. v. Cheecham, (1989) 51 C.C.C. (3d) 498
Y
?
Y

R. v. Pastro [1988 CanLII 214 (SK C.A.)](http://www.canlii.org/en/sk/skca/doc/1988/1988canlii214/1988canlii214.html)
Y
?
Y

## Search Incident to Arrest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-7)]

Case s.8 s.9 s.24 Summary

R v Schira, [2011 SKPC 140](http://canlii.ca/t/fncbn)
Y
N
Y
breach of s.10(b) as well; contents of blackberry messages excluded

R. v. Ward, [2010 BCCA 1](http://www.canlii.org/en/bc/bcca/doc/2010/2010bcca1/2010bcca1.html)
Y
?
N
search incident to arrest -- found crack

R. v. Tosczak, [2010 SKCA 10](http://www.canlii.org/en/sk/skca/doc/2010/2010skca10/2010skca10.html)
N
?
N
pat-down search incident to arrest for possession of marijuana

R. v. Goodwin, [2009 ABQB 710](http://www.canlii.org/en/ab/abqb/doc/2009/2009abqb710/2009abqb710.html)
Y
?
?
arrest invalid

R. v. Chubak, [2009 ABCA 8](http://www.canlii.org/en/ab/abca/doc/2009/2009abca8/2009abca8.html)
?
?
?

R. v. Lamour, [2007 CanLII 15242 (ON S.C.)](http://www.canlii.org/en/on/onsc/doc/2007/2007canlii15242/2007canlii15242.html)
Y
?
N
arrested accused from impaired driving; did inventory search that included non-plain view items

R. v. Roberts, [2007 CanLII 39895 (ON S.C.)](http://www.canlii.org/en/on/onsc/doc/2007/2007canlii39895/2007canlii39895.html)
N
N
N
search vehicle incident to arrest for firearm lawful

R. v. Kitaitchik, [2002 CanLII 45000 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/2002/2002canlii45000/2002canlii45000.html)
Y
?
N
warrantless seizure of clothing worn by accused in murder investigation

## Search of residence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-8)]

Case s.8 s.9 s.24 Summary

R. v. Latham and Ryan, 2012 BCPC 78
Y
-
Y
warrantless search of basement apartment

R v Helary, 2012 SKPC 15
Y
?
Y

R v Laliberte, [2011 SKPC 190](http://www.canlii.org/en/sk/skpc/doc/2011/2011skpc190/2011skpc190.html)
Y
-
N
source info brings police to house; they are invited into vestibule; smell marijuana; enter into reminder of house after accused runs away. No consent to enter.

R. v. Got, [2011 BCPC 328](http://www.canlii.org/en/bc/bcpc/doc/2011/2011bcpc328/2011bcpc328.html)
Y
?
?
warrantless entry into residence found in violation of s.8

R. v. Stevens, 2011 ONCJ 794
Y
-
Y
police enter home without warrant and search house

R. v. Thompson, [2010 ONSC 2862](http://www.canlii.org/en/on/onsc/doc/2010/2010onsc2862/2010onsc2862.html)
Y
-
N
search of home found drugs

R. v. Watson, 2010 ONSC 448
Y
Y
pat-down search finds drugs; followed by search of residence

## Breath sample[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-9)]

See [Canadian_Criminal_Law/Appendix/Case_Law#Impaired_Driving](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Appendix/Case_Law#Impaired_Driving)

## Cell phones[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-10)]

Case Summary

R. v. Mann, [2012 BCSC 1247](http://canlii.ca/t/fsdzc) (CanLII)

R. v. Munro & Munro, [2012 ONSC 43](http://canlii.ca/t/fphhc)
cell phone search indicent to arrest -- admitted

R. v. Groves, [2011 ONCJ 350](http://canlii.ca/t/fm7j4)

R. v. Dorey, [2011 NSPC 85](http://canlii.ca/t/fnvbd)

R. v. Hiscoe, [2011 NSPC 84](http://canlii.ca/t/fnv9d)

R. v. Manley, [2011 ONCA 128](http://canlii.ca/t/2fpgj)

R. v. Fearon, [2010 ONCJ 645](http://canlii.ca/t/2f869)

R. v. Zahrebelny, [2010 NSPC 91](http://canlii.ca/t/2ftfr)

R. v. Finnikin, [2009 CanLII 82187](http://canlii.ca/t/29jjs) (ON SC)

## Location Tracker[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrantless_Searches&action=edit&section=T-11)]

Case Summary

R. v. Bacon, [2012 BCCA 323](http://canlii.ca/t/fs5sn)
warrantless tracker violated s.8 but saved under 24(2)

  


# Cases/Warrant Searches[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches&action=edit&section=T-1)]

Case Citation s.8 s.24 Summary

R. v. Dowling
[2011 ABQB 790](http://www.canlii.org/en/ab/abqb/doc/2011/2011abqb790/2011abqb790.html)
N
N
search warrant of house with suspicious traffic

R. v. Mahmood
[2011 ONCA 693](http://www.canlii.org/en/on/onca/doc/2011/2011onca693/2011onca693.html)
N
-
warrant for cell phone number log upheld

R. v. Ngo
[2011 ONSC 6676](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc6676/2011onsc6676.html)
N
-
search warrant upheld on s. 8 challenge

R. v. Lee
[2011 ABCA 310](http://www.canlii.org/en/ab/abca/doc/2011/2011abca310/2011abca310.html)
warrant to enter home upheld

R. v. Nguyen
[2011 ONCA 465](http://canlii.ca/t/flxb7)
search warrant challenged; no violation

R. v. Pike
[2010 NLTD 97](http://www.canlii.org/en/nl/nlsctd/doc/2010/2010nltd97/2010nltd97.html)
Y
?
secured blood samples prior to warrant being issued

R. v. Nguyen
[2002 BCPC 12](http://www.canlii.org/en/bc/bcpc/doc/2002/2002bcpc12/2002bcpc12.html)
N
-
search warrant executed to search house; police also searched parked car

R. v. Puskas
[1997 CanLII 1159](http://www.canlii.org/en/on/onca/doc/1997/1997canlii1159/1997canlii1159.html)
Y
N
Search warrant to house based on anonymous tip upheld trial level acquitted; overturned on issue of s.24(2) analysis

R. v. Nguyen and Nguyen
[2010 ONSC 1520](http://www.canlii.org/en/on/onsc/doc/2010/2010onsc1520/2010onsc1520.html)
Y
Y

R. v. Parasiris
[2008 QCCS 2460](http://www.canlii.org/en/qc/qccs/doc/2008/2008qccs2460/2008qccs2460.html)
Y
?

  * R. v. Watts, [2012 ONSC 1865](http://canlii.ca/t/fqpzk) \-- no s.8 violation—ITO search warrant for hard entry into house looking for guns and drugs—warrant based on confidential informer—contained errors—upheld
  * R. v. Darby, [2012 ABCA 27](http://canlii.ca/t/fps2j) || ITO upheld anonymous informer
  * R. v. Dionisi, [2012 ABCA 20](http://canlii.ca/t/fprmp) || ITO upheld, based on anonymous informer
  * R. v. Morgan, [2012 ONCA 28](http://canlii.ca/t/fpmhg) \-- ITO found valid despite errors in affidavit

## Tele-warrants[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches&action=edit&section=T-2)]

  * R v Lendzion [2012 ABPC 59](http://canlii.ca/t/fqr7j) \-- upheld

## Wire taps[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches&action=edit&section=T-3)]

R. v Bulatci, 2012 NWTCA 6 -- wiretap of accused in prison violated s.8 but admissible

  * R. v. Martin, 2010 NBCA 41 [[61]](http://www.canlii.org/en/nb/nbca/doc/2010/2010nbca41/2010nbca41.html) || breach of s.8 found, evidence NOT excluded under s. 24(2)
  * R. v. Della Penna, [2012 BCCA 3](http://canlii.ca/t/fpl3t) || wiretap allowed on appeal

## Bodily sample[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches&action=edit&section=T-4)]

  * R. v. Ramage, [2010 ONCA 488](http://www.canlii.org/en/on/onca/doc/2010/2010onca488/2010onca488.html) \-- breach s. 8; saved under s.24(2)
  * R. v. Emshey, [2010 ABPC 237](http://www.canlii.org/en/ab/abpc/doc/2010/2010abpc237/2010abpc237.html) \-- s.8 violation; admitted under s.24(2)

## Computers[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Cases/Warrant_Searches&action=edit&section=T-5)]

  * R v Spencer, [2011 SKCA 144](http://canlii.ca/t/fp3pb) \-- search warrant for ISP information upheld
  * R v Trapp, [2011 SKCA 143](http://canlii.ca/t/fp3n3) \-- search warrant for ISP seeking account info attached to IP address upheld
  * R. v. Lo, [2011 ONSC 6532](http://canlii.ca/t/fnpzl) \-- no s.8 violation—production order by police was validly granted for login records of Facebook account
  * A search warrant authorizing a search for "records and documentation" can include materials found on a cell phone and desktop computer.(see R. v. Vu, [2011 BCCA 536](http://canlii.ca/t/fpfws))
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&oldid=2410880](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&oldid=2410880)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Category:Canadian_Criminal_Procedure_and_Practice)
  * [Criminal Case Digests](http://en.wikibooks.org/wiki/Category:Criminal_Case_Digests)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Procedure+and+Practice%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Procedure+and+Practice%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books../../../upload.wikimedia.org/wikibooks/en/b/bc/Wiki.png);" href="/wiki/Main_Page" title="Visit the main page">](/wiki/Wikibooks:Featured_books)

### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Canadian_Criminal_Procedure_and_Practice/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Canadian_Criminal_Procedure_and_Practice/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&oldid=2410880)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Canadian_Criminal_Procedure_and_Practice%2FPrint_version&id=2410880)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Canadian+Criminal+Procedure+and+Practice%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Canadian+Criminal+Procedure+and+Practice%2FPrint+version&oldid=2410880&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Procedure_and_Practice/Print_version&printable=yes)

    * This page was last modified on 24 September 2012, at 19:43.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
