# Canadian Criminal Sentencing/Print version

From Wikibooks, open books for an open world

< [Canadian Criminal Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Evidence/Print_version&action=purge&printable=yes) this page.

# Canadian Criminal Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=1)]

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Preface[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Introduction&action=edit&section=T-1)]

This text was written as a reference on the law of sentencing for criminal offences. The audience for this text will be mostly criminal law practitioners, police officers, and law students, who need a convenient way to look up principles and case law. Where possible there are links to cited cases on CanLII for ease of reference.

As of this writing this text remains a work in progress. Errors and omissions should be expected and so it is always recommended that source materials be consulted to confirm the contents of these materials. Any contributions, be they simply correcting citations, copy editing, or substantive contributions, would be greatly appreciated.

You can contact the main author at PullUpYourSocks1@gmail.com, if you have any questions or comments.

## Organization of the Book[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Introduction&action=edit&section=T-2)]

The book is organized into six sections. The book begins covering the principles and factors of sentencing that apply to just about every sentencing hearing.

The second section reviews the available sentences to a sentencing judge. There are the obvious tools of jail, probations and fines, as well as the many additional options available from ancillary sentencing orders.

The next section covers the procedural elements of sentencing, much of it focusing on the evidential rules that set out what the judge can consider when crafting an appropriate sentence.

The fourth section covers the principles and case law associated with specific offences. Certain offences include lengthy tables of prior sentences as references.

The following section cover special issues raised post-sentence by parole as well as the manner of dealing with the most dangerous offenders with Long-Term Orders and Dangerous Offender Orders. The final section deals with the particular rules around sentencing of youths.

# I - Principles and Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=2)]

# Purpose and Principles of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-1)]

The purpose and principles of sentencing provide a guidance to judges in applying the available sentences for particular offenders. The sentencing regime in the criminal code and case law sets out the goals at play in all sentencings. These goals can come in conflict with each other and so must be balance against each other in every case. The principles of sentencing guide a judge to determine how these goals are balanced and how to achieve the most appropriate disposition.

Sections 718 to 718.2 codify the objectives and principles of sentencing and are intended to “bring greater consistency and clarity” to sentencing.[[1]](Print_version.html#cite_note-1)

The system of sentencing is not simply a method of imposing penalties or costs upon an offender to prevent harmful conduct, but rather the system is to impose sentences which "positively instills the basic set of values shared by all Canadians as expressed by the Criminal Code."[[2]](Print_version.html#cite_note-2)

The courts must bring the law, including sentencing, into harmony with the prevailing social values and so must reflect changes in these values.[[3]](Print_version.html#cite_note-3)

  1. [↑](Print_version.html#cite_ref-1) R v Nasogaluak, [2010 SCC 6](http://canlii.ca/t/2848x) at 39
  2. [↑](Print_version.html#cite_ref-2) R. v. C. A. M., [1996 CanLII 230](http://canlii.ca/t/1frb9) (SCC), [1996] 1 S.C.R. 500, at para 81
  3. [↑](Print_version.html#cite_ref-3) R. v. Stone, 134 C.C.C. (5d) 353 citing R. v. C.A.M., supra

## Purpose of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-2)]

The purposes of sentencing are laid out in section 718 of the Criminal Code:

> **Purpose**  
718\. The fundamental purpose of sentencing is to contribute, along with crime prevention initiatives, to respect for the law and the maintenance of a just, peaceful and safe society by imposing just sanctions that have one or more of the following objectives:
> 
>     (a) to denounce unlawful conduct;
>     (b) to deter the offender and other persons from committing offences;
>     (c) to separate offenders from society, where necessary;
>     (d) to assist in rehabilitating offenders;
>     (e) to provide reparations for harm done to victims or to the community; and
>     (f) to promote a sense of responsibility in offenders, and acknowledgment of the harm done to victims and to the community.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec718)

As stated, the fundamental purpose is that there be "respect for the law" and the maintenance of a "just, peaceful and safe society". [[1]](Print_version.html#cite_note-4)

There is no single "sentencing objective [that] trumps the other". It is to "the sentencing judge to determine which objective or objectives merit the greatest weight, given the particulars of the case."[[2]](Print_version.html#cite_note-5)

  1. [↑](Print_version.html#cite_ref-4) R. v. Whicher, [2002 BCCA 336](http://canlii.ca/t/5kdn); R. v. Priest [1996 CanLII 1381](http://canlii.ca/t/6hxl) (ON CA)
  2. [↑](Print_version.html#cite_ref-5) R v Nasogaluak, 2010 SCC 6 at para. 43

### Denunciation - s.718(a)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-3)]

Section 718(a) sets out the objective of "denounc[ing] unlawful conduct". The principle of denunciation "mandates that a sentence should communicate society's condemnation of that particular offender's conduct. In short, a sentence with a denunciatory element represents a symbolic, collective statement that the offender's conduct should be punished for encroaching on our society's basic code of values as enshrined within our substantive criminal law."[[1]](Print_version.html#cite_note-6)

The principles of denunciation and deterrence can sometimes be satisfied without incarceration. One of these circumstances is where the publicity of the case provides for public humiliation. [[2]](Print_version.html#cite_note-7)

  1. [↑](Print_version.html#cite_ref-6) R v M(CA) 1996 CanLII 230, [1996] 1 SCR 500 at 81
  2. [↑](Print_version.html#cite_ref-7) R v Ewanchuk, [2002 ABCA 95](http://canlii.ca/t/506z) at 65; R v Ambrose, [2000 ABCA 264](http://canlii.ca/t/5rqs) at 134; R v Kneale, [1999] OJ No 4062 at para. 35

### Deterrence - 718(b)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-4)]

Section 718(b) sets out the objectives of "deter[ing] the offender and other persons from committing offences" We refer to these as the twin objectives of "general deterrence" and "specific deterrence".

The objective of general deterrence as a factor will normally result in the offender being “punished more severely, not because he or she deserves it, but because the court decides to send a message to others who may be inclined to engage in similar criminal activity.” [[1]](Print_version.html#cite_note-8)

When general deterrence is emphasized, the deterrent effect of incarceration can be somewhat speculative and so should be used with great restraint.[[2]](Print_version.html#cite_note-9) A lengthy sentence is not the only way of achieving the objective of general deterrence.[[3]](Print_version.html#cite_note-10)

  1. [↑](Print_version.html#cite_ref-8) R v BWP [2006 SCC 27](http://canlii.ca/t/1nn6n)
  2. [↑](Print_version.html#cite_ref-9) R. v. Biancofiore, [1997 CanLII 3420](http://canlii.ca/t/6hjk) (ON CA), (1997), 119 C.C.C. (3d) 344 at para. 23 (ONCA)
  3. [↑](Print_version.html#cite_ref-10) See R. v. Morrissette (1970), 1 C.C.C. (2d) 307 (Sask. C.A.) at 310

### Separation from Society - 718(c)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-5)]

Where a person with mental illness poses a risk to the public the court may need to resort to separating the offender from society, rather than focus on treatment.[[1]](Print_version.html#cite_note-11)

Treatment in the community is generally preferred over incarceration.[[2]](Print_version.html#cite_note-12) However, this is less so for serious offences.[[3]](Print_version.html#cite_note-13)

  1. [↑](Print_version.html#cite_ref-11) see R. v. Desjardins-Paquette, 2012 ONCA 674 (CanLII)  
R. v. Virani, [2012] A.J. No. 507 (C.A.), at para. 16  

  2. [↑](Print_version.html#cite_ref-12) R v Lundrigan, [2012] NJ No 231 (NLCA) at para. 20  

  3. [↑](Print_version.html#cite_ref-13) see R. v. J.M., [2008] N.J. No. 262 (P.C.)  
R. v. Taylor, [2012] N.J. No. 251 (P.C.))  


### Rehabilitation - s.718(d)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-6)]

Section 718(d) sets out the objective of "assist[ing] in rehabilitating offenders".[[1]](Print_version.html#cite_note-14) Rehabilitation can be seen to achieve the objective of protecting the public as it assists in preventing further offences.[[2]](Print_version.html#cite_note-15) In certain cases, where there is a realistic possibility of rehabilitation, the courts may opt not to impose a jail sentence where it would otherwise be appropriate.[[3]](Print_version.html#cite_note-16)

Effective rehabilitation has been seen by some courts as requiring an acceptance of responsibility, likely by way of a guilty plea, and an understanding of the harm done.[[4]](Print_version.html#cite_note-17)

An offender's "positive potential for rehabilitation" should be to the benefit of the accused on sentence.[[5]](Print_version.html#cite_note-18)

  1. [↑](Print_version.html#cite_ref-14) see also R. v. Gill (2006), [2006 BCCA 127](http://canlii.ca/t/1msxn)
  2. [↑](Print_version.html#cite_ref-15) R. v. Simmons, Allen and Bezzo (1973), 13 CCC 65 (Ont.C.A.)
  3. [↑](Print_version.html#cite_ref-16) R. v. Preston (1990), _____ (BCCA)
  4. [↑](Print_version.html#cite_ref-17) See R v Lee [2011 NSPC 81](http://canlii.ca/t/fnsvh) at 83  
R v Seguin [1997] OJ No 5439 at 18
  5. [↑](Print_version.html#cite_ref-18) R. v. Gouliaeff, 2012 ONCA 690 (CanLII) at para. 12

## Principles of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-7)]

### Fundamental Principle: Proportionality[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-8)]

No matter what the balance between objectives, the sentence must always satisfy the fundamental principle of sentencing under s. 718.1.[[1]](Print_version.html#cite_note-19)

> **Fundamental principle**  
718.1 A sentence must be proportionate to the gravity of the offence and the degree of responsibility of the offender.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec718.1)

Where the sentence is not proportionate it is not just. [[2]](Print_version.html#cite_note-20) Thus, it is central to the sentencing process. [[3]](Print_version.html#cite_note-21)

The sentence must be no greater than the offenders moral culpability. [[4]](Print_version.html#cite_note-22) However, the “severity of sanction for a crime should reflect the...seriousness of the criminal conduct.” [[5]](Print_version.html#cite_note-23) And when the sentence is not adequate to address the seriousness of the offence then it is not proportionate. [[6]](Print_version.html#cite_note-24)

From this, it is well established that sentencing is a highly discretionary endeavour. Each sentence is to be custom tailored to match the particular offender. [[7]](Print_version.html#cite_note-25)

Based on the purposes and principles set out in 718 and 718.2, sentencing is a highly individualized process that takes into account the offence, as well as the offender.[[8]](Print_version.html#cite_note-26)

There is no "one size fits all" penalties.[[9]](Print_version.html#cite_note-27)

Sentencing is “an inherently individualized process.”[[10]](Print_version.html#cite_note-28)

It is also a "profoundly subjective process."[[11]](Print_version.html#cite_note-29)

Gravity of an offence can be measured in part by the lasting emotional effects of the offence upon the victim.[[12]](Print_version.html#cite_note-30)

When crafting a sentence for multiple offences, proportionality can be achieved either "by imposing concurrent sentences" or "by applying the totality principle to consecutive sentences".[[13]](Print_version.html#cite_note-31)

  1. [↑](Print_version.html#cite_ref-19) R v Nasogaluak at 40
  2. [↑](Print_version.html#cite_ref-20) R v Arcand, [2010 ABCA 363](http://canlii.ca/t/2dnsp) at para 52 (proportionality is “the overarching principle since a disproportionate sanction can never be a just sanction.”)
  3. [↑](Print_version.html#cite_ref-21) R. v. Solowan, [2008 SCC 62](http://canlii.ca/t/21h61), [2008] 3 S.C.R. 309, at para. 12  
R. v. Gladue, [1999] 1 SCR 688, [1999 CanLII 679](http://canlii.ca/t/1fqp2) (SCC)
  4. [↑](Print_version.html#cite_ref-22) R. v. Nasogaluak, [2010 SCC 6](http://canlii.ca/t/2848x), [2010] 1 S.C.R. 206, at para. 40 to 42
  5. [↑](Print_version.html#cite_ref-23) R. v. Arcand, [2010 ABCA 363](http://canlii.ca/t/2dnsp), para. 48
  6. [↑](Print_version.html#cite_ref-24) R v Arcand, at para 54
  7. [↑](Print_version.html#cite_ref-25) R. v. Bottineau, [2011 ONCA 194](http://canlii.ca/t/fkgld)(sentencing “is a fact-sensitive process. Imposing a sentence depends very much on the facts of a particular case and the circumstances and culpability of the particular offender. That said, the sentence imposed must be similar to sentences imposed on similar offenders for similar offences committed in similar circumstances.”)
  8. [↑](Print_version.html#cite_ref-26) R. v. Angelillo [2006 SCC 55](http://canlii.ca/t/1q3xt), (2006), 274 D.L.R. (4th) 1  
R. v. Briand, [2010] N.J. No. 339 (C.A.)  
R. v. Shoker, [2006] S.C.J. No. 44, [2006 SCC 44](http://canlii.ca/t/1prjc)  
R v Hamilton, [2004] O.J. No. 3252, [2004 CanLII 5549](http://canlii.ca/t/1hmc9) (ON CA) at 87 ("Sentencing is a very human process. Most attempts to describe the proper judicial approach to sentencing are as close to the actual process as a paint-by- numbers landscape is to the real thing. The fixing of a fit sentence is the product of the combined effects of the circumstances of the specific offence and the unique attributes of the specific offender.")  
R. v Grady(1971), 5 N.S.R. (2d) 264 at p. 266:("It would be a grave mistake, it appears to me, to follow rigid rules for determining the type and length of sentence in order to secure a measure of uniformity, for almost invariably different circumstances are present in the case of each offender. ...")  

  9. [↑](Print_version.html#cite_ref-27) R. v. Lee, [2012 ABCA 17](http://canlii.ca/t/fpp44) at para. 12
  10. [↑](Print_version.html#cite_ref-28) R. v. M.(C.A.), [1996] S.C.J. No. 28, para. 92
  11. [↑](Print_version.html#cite_ref-29) R. v. Shropshire, [1995] 4 S.C.R. 227, at para. 46
  12. [↑](Print_version.html#cite_ref-30) R. v. Butler, [2008 NSCA 102](http://canlii.ca/t/21bfq) (CanLII)
  13. [↑](Print_version.html#cite_ref-31) R. v. Guha, [2012 BCCA 423](http://canlii.ca/t/ftgfz) (CanLII) at para. 39

### Aggravating and Mitigating Factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-9)]

    _See also [Canadian Criminal Sentencing/Factors of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Factors_of_Sentencing)_

Section 718.2 is a non-exhaustive list of secondary principles in sentencing.[[1]](Print_version.html#cite_note-32)

Other objectives and principles are listed at s. 718.2 of the Criminal Code:

> **Other sentencing principles**  
718.2 A court that imposes a sentence shall also take into consideration the following principles:
> 
>     (a) a sentence should be increased or reduced to account for any relevant aggravating or mitigating circumstances relating to the offence or the offender, and, without limiting the generality of the foregoing, 
> 
>     (i) evidence that the offence was motivated by bias, prejudice or hate based on race, national or ethnic origin, language, colour, religion, sex, age, mental or physical disability, sexual orientation, or any other similar factor,
>     (ii) evidence that the offender, in committing the offence, abused the offender’s spouse or common-law partner,
>     (ii.1) evidence that the offender, in committing the offence, abused a person under the age of eighteen years,
>     (iii) evidence that the offender, in committing the offence, abused a position of trust or authority in relation to the victim,
>     (iv) evidence that the offence was committed for the benefit of, at the direction of or in association with a criminal organization, or
>     (v) evidence that the offence was a terrorism offence
> 
> shall be deemed to be aggravating circumstances;
> 
> ...
> 
> – [CCC](http://canlii.ca/t/7vf2#sec718.2)

Take note that certain offences have their own additional factors to consider that are found throughout the code. For example, fraud offences under [s. 380.1](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec380.1).

### Other Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-10)]

> 718.2
> 
> ...
> 
>     (b) a sentence should be similar to sentences imposed on similar offenders for similar offences committed in similar circumstances;
>     (c) where consecutive sentences are imposed, the combined sentence should not be unduly long or harsh;
>     (d) an offender should not be deprived of liberty, if less restrictive sanctions may be appropriate in the circumstances; [[2]](Print_version.html#cite_note-33) and
>     (e) all available sanctions other than imprisonment that are reasonable in the circumstances should be considered for all offenders, with particular attention to the circumstances of aboriginal offenders.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec718.2)

Judges are not permitted to apply their own personal belief or views that are contrary to the principles of sentencing.[[3]](Print_version.html#cite_note-34)

### Totality - s.718.2(c)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-11)]

See [Canadian Criminal Sentencing/Purpose and Principles of Sentencing/Totality Principle](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing/Totality_Principle)

### Parity (s.718.2(b))[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-12)]

The parity principle means that a sentence should be "similar to sentences imposed on similar offenders for similar offences committed in similar circumstances". [[4]](Print_version.html#cite_note-35)

A judge has a responsibility to "impose sentences in line with precedent, noting always that for each offence and each offender some elements are unique." [[5]](Print_version.html#cite_note-36)

To fulfil this requirement sentencing judges must consider the range of sentences of "similar offenders for similar offences committed in similar circumstances".[[6]](Print_version.html#cite_note-37)

The principle ensures fairness between similarly situated cases.[[7]](Print_version.html#cite_note-38) It does not however override the individualized approach to sentencing. [[8]](Print_version.html#cite_note-39)

One of the goals of the provincial courts of appeal is to maintain parity in sentence and minimize the differences in sentencing approaches.[[9]](Print_version.html#cite_note-40) However, the judges must also be sensitive to the needs of local community.[[10]](Print_version.html#cite_note-41)

#### Parity to Co-Accused[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-13)]

In a situation of co-accused, the roles of the parties will be considered as well as their personal circumstances. [[11]](Print_version.html#cite_note-42)

The principle of parity does not require equal sentences for participants in the same offence. Rather, they must "only [be] understandable sentences when examined together."[[12]](Print_version.html#cite_note-43)

Where accomplices who commit the crime at the orders of a principal and agree to testify against he principal can be afforded lesser sentences than the principal.[[13]](Print_version.html#cite_note-44)

  1. [↑](Print_version.html#cite_ref-32) R v Nasogaluak at 40
  2. [↑](Print_version.html#cite_ref-33) R. v. Hamilton, 2004 ONCA __; R. v. D.L. (1990), 53 CCC 365 (BCCA)
  3. [↑](Print_version.html#cite_ref-34) R .v. Song 2009 ONCA __
  4. [↑](Print_version.html#cite_ref-35) see s. 718.2(b) Criminal Code  
Sentencing, 7th ed. (Markham: LexisNexis, 2008), at ss.2.21
  5. [↑](Print_version.html#cite_ref-36) R. v. Oake, [2010] N.J. No. 94 (NLCA)
  6. [↑](Print_version.html#cite_ref-37) R. v. Tuglavina, [2011] N.J. No. 25 (NLCA)
  7. [↑](Print_version.html#cite_ref-38) R. v. Rawn, [2012 ONCA 487](http://canlii.ca/t/frzp0) at para. 18
  8. [↑](Print_version.html#cite_ref-39) R. v. Knife (1982), 16 Sask. R. 40 (C.A.) at p. 43
  9. [↑](Print_version.html#cite_ref-40) R v Arcand [2010 ABCA 363](http://canlii.ca/t/2dnsp)  
Nasogaluak [2010 SCC 6](http://canlii.ca/t/2848x)  

  10. [↑](Print_version.html#cite_ref-41) R v Nasogaluak
  11. [↑](Print_version.html#cite_ref-42) R. v. Knife (1982), 16 Sask. R. 40 (C.A.) at p. 43
  12. [↑](Print_version.html#cite_ref-43) R. v. Issa (T.), (1992), 57 O.A.C. 253 at para. 9  
R. v. Rawn, [2012 ONCA 487](http://canlii.ca/t/frzp0) at para 30  

  13. [↑](Print_version.html#cite_ref-44) R v Ellahib, 2008 ABCA 281 -- 20 years for the principal and the 16 and 15 year sentences accomplices justified because the principal was the instigator and the accomplices entered guilty pleas and testified against him.

### Restraint - s. 718.2(d),(e)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-14)]

For first time offenders, the principle of restraint "requires that the sentencing judge consider all sanctions apart from incarceration" and where necessary ensure the term be as "short as possible and tailored to the circumstances of the accused".[[1]](Print_version.html#cite_note-45)

The principle also requires the judge to consider rehabilitation in setting the length of the sentence.

"General deterrence cannot be the sole consideration. Appropriate consideration must be given to the rehabilitation of the offender."[[2]](Print_version.html#cite_note-46)

Restraint not only means that prison should be a sanction of last resort, but also means that the court should "seek the least intrusive sentence and the least quantum which will achieve the overall purpose of being an appropriate and just sanction."[[3]](Print_version.html#cite_note-47)

Where other dispositions have been tried and failed, and jail has not previously been imposed, the imposition of a "short, sharp" sentence can be appropriate, particularly where the offence is related to property and not violence.[[4]](Print_version.html#cite_note-48)

  


  1. [↑](Print_version.html#cite_ref-45) R v Battise [2009 ONCA 114](http://canlii.ca/t/22cd6) at 32  
R v Priest [1996 CanLII 1381](http://canlii.ca/t/6hxl) (ONCA) 30 OR (3d) 538 at p. 545  

  2. [↑](Print_version.html#cite_ref-46) R. v. Blanas, [2006 CanLII 2610](http://canlii.ca/t/1mh80) (ON CA), (2006), 207 O.A.C. 226, at para 5
  3. [↑](Print_version.html#cite_ref-47) R. v. Hamilton [2004 CanLII 5549](http://canlii.ca/t/1hmc9) (ON CA) at para. 96
  4. [↑](Print_version.html#cite_ref-48) R. v. Vandale (1974), 21 C.C.C. (2d) 250, per Martin JA citing McKenna J. of the English Court of Appeal in R. v. Curran (1973), 57 Crim. App. R. 945 ("As a general rule it is undesirable that a first sentence of immediate imprisonment should be very long, disproportionate to the gravity of the offence and imposed as this sentence was for reasons of general deterrence, that is, as a warning to others.")

### Aboriginal Offenders - s. 718.2(e)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-15)]

See [Canadian Criminal Sentencing/Aboriginal Principles and Factors](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Aboriginal_Principles_and_Factors)

### Step-up Principle[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-16)]

The "step-up" principle is where an offender is convicted of a similar or identical offence to one he's been convicted and sentenced in the past for, it can be concluded that the prior sentence was not sufficiently deterrent and so the sentence for the new offence should be increased to focus on specific deterrence.

### Jump Principle[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-17)]

The "jump" principle stated that subsequent sentences passed should not be disproportionate to the prior offence (ie. a "jump" in sentence). A subsequent offence should have an incremental increase proportionate to frequency of the repeated offences.[[1]](Print_version.html#cite_note-49) In other words a dramatic increase in sentence due to a recent prior similar record would violate this rule.[[2]](Print_version.html#cite_note-50) However, this rule does not apply where the index offence is greatly more serious than the prior offences.[[3]](Print_version.html#cite_note-51)

The jump principle is of "less utility" when dealing with an accused "with a lengthy criminal record on multiple convictions".[[4]](Print_version.html#cite_note-52)

A jump would be inconsistent with rehabilitation where that is a significant factor in sentence.[[5]](Print_version.html#cite_note-53)

  1. [↑](Print_version.html#cite_ref-49) R. v. White, [2007 NLCA 44](http://www.canlii.org/en/nl/nlca/doc/2007/2007nlca44/2007nlca44.html)  
R. v. Muyser, [2009 ABCA 116](http://www.canlii.org/en/ab/abca/doc/2009/2009abca116/2009abca116.html)  
R. v. Murphy, [2011] N.J. No. 43 (C.A.)
  2. [↑](Print_version.html#cite_ref-50) R. v. Borde [2003 CanLII 4187](http://canlii.ca/t/1c062) (ON CA), (2003), 63 O.R. (3d) 417, at para. 39
  3. [↑](Print_version.html#cite_ref-51) R. v. Borde 2003 CanLII 4187 (ON CA), (2003), 63 O.R. (3d) 417, at para. 39 R. v. Courtney, [2012 ONCA 478](http://canlii.ca/t/frz4k) at 10-11
  4. [↑](Print_version.html#cite_ref-52) Frigault v. R., [2012 NBCA 8](http://canlii.ca/t/fpvch) (CanLII)
  5. [↑](Print_version.html#cite_ref-53) R. v. White, supra, at paragraphs 5 to 8

### Gap Principle[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-18)]

The "gap principle" directs courts to take into consideration the gaps of time between offences.[[1]](Print_version.html#cite_note-54) It gives credit to someone who has made an effort to avoid criminal charges. [[2]](Print_version.html#cite_note-55)

  1. [↑](Print_version.html#cite_ref-54) R. v. Smith, [2006 NSCA 95](http://canlii.ca/t/1p11l) (CanLII) at para. 36: extensive citation from Ruby on Sentencing
  2. [↑](Print_version.html#cite_ref-55) see §8.83 of Clayton Ruby, Sentencing, 7th ed. (Markham: LexisNexis Canada Inc., 2008)

### "Starting Points" on Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-19)]

A "starting point" for sentences are set as guides and are factors to consider the appropriate sentence. They are meant to achieve greater uniformity and consistency. They are "most useful in circumstances where there is a large disparity between sentences imposed". [[1]](Print_version.html#cite_note-56)

A starting point of sentence will be raised and lowered after considering the aggravating and mitigating factors on sentence.[[2]](Print_version.html#cite_note-57)

A starting point cannot be artificially lowered by examination into prior case law that shows lower sentences than the designated "starting point" and deem it to be the "correct" starting point. [[3]](Print_version.html#cite_note-58)

A judge would does not menttion starting points in sentence where one exists is not committing an error in principle.[[4]](Print_version.html#cite_note-59)

  1. [↑](Print_version.html#cite_ref-56) R. v. McDonnell [1997] S.C.J. No. 42, [1997 CanLII 389](http://canlii.ca/t/1fr3d)
  2. [↑](Print_version.html#cite_ref-57) R. v. Ostertag, 2000 ABCA 232
  3. [↑](Print_version.html#cite_ref-58) R. v Marchesi, [2009 ABCA 304](http://canlii.ca/t/25q69) at para. 7
  4. [↑](Print_version.html#cite_ref-59) R. v. Lee, [2012 ABCA 17](http://canlii.ca/t/fpp44) at 58  
R. v. Stone, [1999 CanLII 688](http://canlii.ca/t/1fqn2) (SCC), [1999] 2 S.C.R. 290  
R. v. Wells, [2000 SCC 10](http://canlii.ca/t/527n), [2000] 1 S.C.R. 207,  
L.M., [2008 SCC 31](http://canlii.ca/t/1x21j), [2008] 2 S.C.R. 163  


### Ranges on Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-20)]

A range of sentence is not all sentences between the minimum and maximum for the offence charged. Rather, it is narrowed by the specific offence and offender. The variations of punishment when weighing aggravating and mitigating factors creates the continuum of the range. [[1]](Print_version.html#cite_note-60)

Ranges "are guidelines rather than hard and fast rules".[[2]](Print_version.html#cite_note-61) A range of sentence can be deviated as long as it is "in accordance with the principles and objectives of sentencing" and are not necessarily unfit.[[3]](Print_version.html#cite_note-62) However, factors such as a “good record” and remorse do not amount to exceptional circumstances to deviate from the accepted range.[[4]](Print_version.html#cite_note-63)

  1. [↑](Print_version.html#cite_ref-60) R v Cromwell [2005 NSCA 137](http://canlii.ca/t/1m44w) at 26
  2. [↑](Print_version.html#cite_ref-61) R. v. Nasogaluak 2010 SCC 6 at para. 44
  3. [↑](Print_version.html#cite_ref-62) Nasogaluak at para. 44  
c.f. R v Doerksen, (1990) 62 Man.R. 2d 259 (CA): A set range of sentence can be deviated from in “exceptional circumstances”
  4. [↑](Print_version.html#cite_ref-63) R. v. Henderson, [2012 MBCA 9](http://canlii.ca/t/fpxrx)

### Effect of Election on Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-21)]

A sentence is not scaled based on the election made. Thus, an offence prosecuted summarily should not be scaled to less than the maximum only because it would not have been a maximum sentence by indictment.[[1]](Print_version.html#cite_note-64)

Sentences for breach of court orders is a gradual process without a sudden, substantial increase in penalty.[[2]](Print_version.html#cite_note-65)

  1. [↑](Print_version.html#cite_ref-64) R. v. Solowan, [2008 SCC 62](http://canlii.ca/t/21h61), [2008] 3 S.C.R. 309 at 15
  2. [↑](Print_version.html#cite_ref-65) R. v. Murphy, [2011] N.J. No. 43 (C.A.) at 34

## Purpose and Principles of Specific Types of Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing&action=edit&section=T-22)]

  * [Canadian Criminal Sentencing/Offences/Drug Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Offences)
  * [Canadian Criminal Sentencing/Offences/Sexual Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Offences)

  


# Factors of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-1)]

The process of determining the appropriate sentence includes the enumerating of aggravating and mitigating factors of the offence and offender. The three broad categories of factors to consider consist of personal circumstances, circumstances of the offence, and circumstances of the proceedings.

As discussed in the Chapter on [Purpose and Principles of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing), section 718.2(a) provides that "a sentence should be increased or reduced to account for any relevant aggravating or mitigating circumstances relating to the offence or the offender".

## Personal circumstances[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-2)]

### Criminal Record[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-3)]

A criminal record will be an aggravating factor.[[1]](Print_version.html#cite_note-66)

A criminal record can show that the offender is a "scofflaw" or is not rehabilitated or "learned from past mistakes".[[2]](Print_version.html#cite_note-67)

A criminal record can only be considered where the offender had one _at the time of_ the index offence (this is known as the Coke Rule).[[3]](Print_version.html#cite_note-68)

However, when a judge sentences for a convicted offence, the judge may take into consideration other criminal acts, and in a limited fashion, such as offences admitted in an agreed statement facts or pending charges.[[4]](Print_version.html#cite_note-69)

This is largely codified in s. 725:

> **Other offences**  
725\. (1) In determining the sentence, a court
> 
>     (a) shall consider, if it is possible and appropriate to do so, any other offences of which the offender was found guilty by the same court, and shall determine the sentence to be imposed for each of those offences;
>     (b) shall consider, if the Attorney General and the offender consent, any outstanding charges against the offender to which the offender consents to plead guilty and pleads guilty, if the court has jurisdiction to try those charges, and shall determine the sentence to be imposed for each charge unless the court is of the opinion that a separate prosecution for the other offence is necessary in the public interest;
>     (b.1) shall consider any outstanding charges against the offender, unless the court is of the opinion that a separate prosecution for one or more of the other offences is necessary in the public interest, subject to the following conditions: 
> 
>     (i) the Attorney General and the offender consent,
>     (ii) the court has jurisdiction to try each charge,
>     (iii) each charge has been described in open court,
>     (iv) the offender has agreed with the facts asserted in the description of each charge, and
>     (v) the offender has acknowledged having committed the offence described in each charge; and
>     (c) may consider any facts forming part of the circumstances of the offence that could constitute the basis for a separate charge.
> 
> **Attorney General’s consent**  
(1.1) For the purpose of paragraphs (1)(b) and (b.1), the Attorney General shall take the public interest into account before consenting.
> 
> **No further proceedings**  
(2) The court shall, on the information or indictment, note
> 
>     (a) any outstanding charges considered in determining the sentence under paragraph (1)(b.1), and
>     (b) any facts considered in determining the sentence under paragraph (1)(c),  

> and no further proceedings may be taken with respect to any offence described in those charges or disclosed by those facts unless the conviction for the offence of which the offender has been found guilty is set aside or quashed on appeal. R.S., 1985, c. C-46, s. 725; R.S., 1985, c. 27 (1st Supp.), s. 158, c. 1 (4th Supp.), s. 18(F); 1995, c. 22, s. 6; 1999, c. 5, s. 31. 
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec725)

An offence committed while on parole is an aggravating factor. By contrast the added consequences of parole revocation should not be mitigating.[[5]](Print_version.html#cite_note-70)

  1. [↑](Print_version.html#cite_ref-66) R. v. Squires, 2012 NLCA 20, (a criminal record "will be viewed as an aggravating factor leading to a more serious punishment rather than as a factor that tends to limit or lessen punishment.")
  2. [↑](Print_version.html#cite_ref-67) R. v. Barrett, 2012 NLCA 46, at para 35 (a “criminal record is often quite relevant on sentencing in that it may show the offender to be a scofflaw, or lead to an inference that he or she has not been rehabilitated or otherwise learned from past mistakes.”)
  3. [↑](Print_version.html#cite_ref-68) R v Andrade, [2010 NBCA 62](http://www.canlii.org/en/nb/nbca/doc/2010/2010nbca62/2010nbca62.html)  
see also R. v. Garcia and Silva, [1970] 1 O.R. 821 at 823, [1970] 3 C.C.C. 124 (C.A.).
  4. [↑](Print_version.html#cite_ref-69) R. v. Garcia and Silva, [1970] 3 C.C.C. 124 (Ont. C.A.)  
see also R. v. Edwards [2001 CanLII 24105](http://canlii.ca/t/1fbx6) (ON CA), (2001), 54 O.R. (3d) 737 (C.A.)
  5. [↑](Print_version.html#cite_ref-70) R. v. Lavallee, [2006 ABCA 324](http://canlii.ca/t/1pz1b) (CanLII)

### Age[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-4)]

Age is relevant to sentencing as a mitigating factor. A youthful person is seen as having a greater chance of reforming and maturing over time. The courts in certain cases recognize young adults as sometimes foolish, inexperienced, and immature. This diminishes their level of responsibility and moral blameworthiness.[[1]](Print_version.html#cite_note-71)

Likewise, the principle of restraint is a prominent factor for young offenders.[[2]](Print_version.html#cite_note-72)

  


  1. [↑](Print_version.html#cite_ref-71) eg see R. v. Kunzig, [2011 MBPC 81](http://canlii.ca/t/fpg46) at 54
  2. [↑](Print_version.html#cite_ref-72) See: R. v. Demeter and Whitmore (1976), 32 C.C.C. (2d) 379 (Ont. C.A.)

### Employment[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-5)]

In general, a good work history is mitigating as it indicates a prior good character.[[1]](Print_version.html#cite_note-73)

The offender's "opportunity for employment" is an important factor to determine if there is a "reasonable prospect for rehabilitation". [[2]](Print_version.html#cite_note-74)

  1. [↑](Print_version.html#cite_ref-73) R. v. Johnston, [2011 NLCA 56](http://www.canlii.org/en/nl/nlca/doc/2011/2011nlca56/2011nlca56.html) at para 21
  2. [↑](Print_version.html#cite_ref-74) R. v. Hunt, [2012 NLCA 5 at 19](http://canlii.ca/t/fpvck#par19)

### Effect on Employment and Status[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-6)]

Loss of professional or social status is not generally a mitigating factor nor is the ability to do a particular job well a mitigating factor.[[1]](Print_version.html#cite_note-75)

However, it has been said that the "ruin and humiliation" brought upon the accused and his family as well as the loss of professional status can provide denunciation and deterrence.[[2]](Print_version.html#cite_note-76)

  1. [↑](Print_version.html#cite_ref-75) R v Ambrose, [2000 ABCA 264](http://canlii.ca/t/5rqs) at para. 37
  2. [↑](Print_version.html#cite_ref-76) R. v. Bunn, [2000 SCC 9](http://canlii.ca/t/527l) (CanLII), [2000] 1 SCR 183 at para. 23

### Degree of remorse and attitude[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-7)]

Remorse is a mitigating factor.[[1]](Print_version.html#cite_note-77) Remorse is demonstrated by the acceptance of responsibility through word or action as well as demonstrated insight into the offender's actions. A lack of remorse, however, does not make for an aggravating factor, but simply does not allow for the mitigating effect of remorse.[[2]](Print_version.html#cite_note-78)

The courts should have "restraint...for persons who spontaneously acknowledge their culpability, have genuine remorse and seek voluntarily to make reparations."[[3]](Print_version.html#cite_note-79)

A lack of remorse or acceptance of responsibility generally cannot be taken as an aggravating factor, but rather can only be taken as an absence of mitigating factors.[[4]](Print_version.html#cite_note-80) </ref> Only in exceptional circumstances can the lack of remorse be taken as aggravating.[[5]](Print_version.html#cite_note-81)

  


  1. [↑](Print_version.html#cite_ref-77) R. v. Anderson [1992 CanLII 6002](http://canlii.ca/t/2327s) (BC C.A.), (1992), 74 C.C.C. (3d) 523, at p. 535-536, 16 B.C.A.C. 14
  2. [↑](Print_version.html#cite_ref-78) See LaForme J.A. in R. v. Kakekagamick, [2006 CanLII 28549](http://canlii.ca/t/1p52k) (ON C.A.), [2006] 81 O.R. (3d) 664, 211 C.C.C. (3d) 289 (C.A.), at para. 73, "[his] failure to accept responsibility for his actions weighs against affording him significant consideration by way of mitigation".
  3. [↑](Print_version.html#cite_ref-79) R. v. Arcand (2011), 499 A.R. 1 (Alta. C.A.) at para 293
  4. [↑](Print_version.html#cite_ref-80) R v Proulx, [2000 SCC 5](http://canlii.ca/t/527b), [2000] 1 SCR 61  
R v Williams, [2007] OJ No. 1604, [2007 CanLII 13949](http://canlii.ca/t/1r934) (ON SC) at para 32  
R. v. Hawkins, [2011 NSCA 7](http://canlii.ca/t/2fdkz) at para. 31 to 34 see also: R v Henry 2002 NSCA 33 at para. 21  
R v Zeek, 2004 BCCA 42  

  5. [↑](Print_version.html#cite_ref-81) R. v. Hawkins, 2011 NSCA 7 at para. 33

### Addiction and Substance Abuse[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-8)]

Substance abuse, by itself, is not ordinarily a mitigating factor.[[1]](Print_version.html#cite_note-82) Nor is a history of addiction a mitigating factor to sentence. However, it can suggest a lower level of moral culpability and otherwise good character but for the addiction. It is also helpful for the court to know about to determine whether rehabilitation is a possibility when crafting an appropriate sentence.

Gambling addiction is not generally a mitigating factor.[[2]](Print_version.html#cite_note-83)

  1. [↑](Print_version.html#cite_ref-82) R. v. Ayorech, [2012 ABCA 82](http://canlii.ca/t/fqjzl) at 10
  2. [↑](Print_version.html#cite_ref-83) R v Holmes [1999 ABCA 228](http://canlii.ca/t/5s4c)

### Mental Health[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-9)]

Mental health can be a mitigating factor to sentence even where it is not so severe to remove criminal responsibility.[[1]](Print_version.html#cite_note-84) Mental disorders, such as schizophrenia, can be a mitigating factor even when there is no a direct causal connection between the offence and the illness. [[2]](Print_version.html#cite_note-85) This is also true where the offender was not suffering from delusions at the time.[[3]](Print_version.html#cite_note-86) It is sufficient that the illness contributed in some way to the offence.[[4]](Print_version.html#cite_note-87) However, the offender's mental health condition is not a factor in sentencing where there is no connection at all between the offence and the condition.[[5]](Print_version.html#cite_note-88)

Treatment in the community is generally preferred over incarceration.[[6]](Print_version.html#cite_note-89) However, this is less so for serious offences.[[7]](Print_version.html#cite_note-90)

However, at times mental illness will be considered an aggravating factor that will increase sentence where it is necessary to protect the public from a dangerous persons who has committed a dangerous offence.[[8]](Print_version.html#cite_note-91) Mental illness reduces the importance of denunciation and deterrence and increases the importance of treatment. This includes situations where rehabilitation or cure is impossible.[[9]](Print_version.html#cite_note-92)

Mental illness is often considered a basis to order treatment and supervision over punishment.[[10]](Print_version.html#cite_note-93)

A mental illness diminishes the offender’s degree of responsibility.[[11]](Print_version.html#cite_note-94)

It will also attenuate the relative importance of deterrence and denunication.[[12]](Print_version.html#cite_note-95)

An Offenders mental illness can make a jail sentence more severe.[[13]](Print_version.html#cite_note-96)

Diminished intellectual capacity however is not a mitigating factor.[[14]](Print_version.html#cite_note-97)

The cognitive deficit from Fetal Alcohol Spectrum Disorder (FASD) result in limited restraints as well as appreciation of the immorality of their actions. This reduces the impact on deterrence and denunciation and increases the mitigation on sentence.[[15]](Print_version.html#cite_note-98)

  1. [↑](Print_version.html#cite_ref-84) R. v. Peters [2000 NFCA 55](http://canlii.ca/t/1nc5q), (2000), 194 Nfld. & P.E.I.R. 184 (NLCA), (“the mental illness of an offender will often be considered a mitigating factor in sentencing even though it is not of the sort that would establish a verdict of not criminally responsible on account of mental disorder at the time of the commission of the offence.”)
  2. [↑](Print_version.html#cite_ref-85) R. v. Ayorech, [2012] A.J. No. 236, at para. 10 (“mental disorders, particularly schizophrenia, can significantly mitigate a sentence, even if the evidence does not disclose that the mental illness was the direct cause of the offence or that it was carried out during a period of delusions, hallucinations, or such.”)
  3. [↑](Print_version.html#cite_ref-86) R v Resler, [2011 ABCA 167](http://canlii.ca/t/flrdq)  
R v Ayorech, [2012 ABCA 82](http://canlii.ca/t/fqjzl)
  4. [↑](Print_version.html#cite_ref-87) R v Belcourt, [2010 ABCA 319](http://canlii.ca/t/2d2hg)
  5. [↑](Print_version.html#cite_ref-88) R. v. Shahnawaz, [2000 CanLII 16973](http://canlii.ca/t/1fbgv), (2000), 149 CCC 97 (Ont.CA)
  6. [↑](Print_version.html#cite_ref-89) R v Lundrigan, [2012] NJ No 231 (NLCA) at para. 20  

  7. [↑](Print_version.html#cite_ref-90) see R. v. J.M., [2008] N.J. No. 262 (P.C.)  
R. v. Taylor, [2012] N.J. No. 251 (P.C.))  

  8. [↑](Print_version.html#cite_ref-91) R v Lockyer, [2000 NLCA 59](http://canlii.ca/t/1nc5p) [2000] NJ No 306 NLCA
  9. [↑](Print_version.html#cite_ref-92) R v Hiltermann, [1993] AJ No 609 (CA) at paras 4-8
  10. [↑](Print_version.html#cite_ref-93) see R. v. Valiquette 1990 CanLII 3048 (QC CA), (1990), 60 C.C.C. (3d) 325 (QCCA) at 331 (“most people understand that the mentally ill require treatment and supervision, not punishment”)
  11. [↑](Print_version.html#cite_ref-94) Ayorech [2012 ABCA 82](http://canlii.ca/t/fqjzl) at 12  
Resler [2011 ABCA 167](http://canlii.ca/t/flrdq) at 9-10, 16  
Belcourt [2010 ABCA 319](http://canlii.ca/t/2d2hg) at 7-8  
R v Muldoon, [2006 ABCA 321](http://canlii.ca/t/1pzrv) at 9-10
  12. [↑](Print_version.html#cite_ref-95) R v Tremblay, [2006 ABCA 252](http://canlii.ca/t/1p97b) at para 7  
R v Resler, [2011 ABCA 167](http://canlii.ca/t/flrdq) at para 14  

  13. [↑](Print_version.html#cite_ref-96) Ayorech at 13 (“Ayorech’s mental disorders have left him vulnerable, such that Dr. Santana opined that he ‘was ill equipped to survive in the prison system.’")
  14. [↑](Print_version.html#cite_ref-97) R v H.(M.J.), [2004 SKCA 171](http://canlii.ca/t/1jjnk)
  15. [↑](Print_version.html#cite_ref-98) R. v. Ramsay [2012 ABCA 257](http://canlii.ca/t/fsl7t) (CanLII)

### Cultural background[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-10)]

Cultural and customary differences cannot be considered mitigating where it involves offences of violence or offences of a sexual nature.[[1]](Print_version.html#cite_note-99)

  


  1. [↑](Print_version.html#cite_ref-99) R. v. Tapia (1990) (Ont.CA)  
R. v. Brown [1992 CanLII 2829](http://canlii.ca/t/1p6kf) (AB CA)  


### Sympathy and compassion[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-11)]

The court may allow for a degree of leniency for sympathetic or compassionate offenders.[[1]](Print_version.html#cite_note-100) This will occasionally be done where the accused can show that his "health is so precarious" that the offender may not survive if they are incarcerated. [[2]](Print_version.html#cite_note-101) However, simply poor health or age is not usually a reason on its own.[[3]](Print_version.html#cite_note-102)

It is not however a factor to consider the risk of harm to an individual while in custody.[[4]](Print_version.html#cite_note-103)

  


  1. [↑](Print_version.html#cite_ref-100) R. v. Voutsis (1989), 47 CCC 451 (Sask. CA)
  2. [↑](Print_version.html#cite_ref-101) R. v. Michel 1996, 133 WAC 237 (BCCA)
  3. [↑](Print_version.html#cite_ref-102) R. v. Shah, [1994 CanLII 1290](http://canlii.ca/t/1dcv9) (1994), 94 CCC 45 (BCCA)  
R. v. Maczynski (1997), 120 CCC 221, [1997 CanLII 2491](http://canlii.ca/t/1dzbw)  
R. v. FDM (1995), 29 WBC 148 (AltaCA)
  4. [↑](Print_version.html#cite_ref-103) R. v. Campbell (1978), NSCA

### Effect on Immigration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-12)]

Section 64 of the Immigration and Refugee Protection Act states:

> 64(1) **No appeal for inadmissibility**  
No appeal may be made to the Immigration Appeal Division by a foreign national or their sponsor or by a permanent resident if the foreign national or permanent resident has been found to be inadmissible on grounds of security, violating human or international rights, serious criminality or organized criminality.
> 
> 64(2) **Serious criminality**  
For the purpose of subsection (1), serious criminality must be with respect to a crime that was punished in Canada by a term of imprisonment of at least two years.
> 
> – [IRPA](http://canlii.ca/t/7vwq)

The risk of deportation can be a factor to consider sentencing. [[1]](Print_version.html#cite_note-104) It must be weighed and considered with all other factors and circumstances of the case.[[2]](Print_version.html#cite_note-105) However, it should not bring the sentence out of the appropriate range.[[3]](Print_version.html#cite_note-106)

The impact on the ability to get a VISA to places like the US may influence the court to consider an absolute discharge over a conditional discharge due to the treatment of probation to immigration.[[4]](Print_version.html#cite_note-107)

The effect of an offender's immigration status on the likelihood of day parole is not a factor in sentence.[[5]](Print_version.html#cite_note-108)

  1. [↑](Print_version.html#cite_ref-104) R v Hamilton [2004 CanLII 5549](http://canlii.ca/t/1hmc9) (ON CA), (2004), 72 OR (3d) 1 at para 156, 186 CCC (3d) 129 (CA)[para 159](http://canlii.ca/t/1hmc9#par156)  
R. v. Barkza, [2011 ABCA 273](http://www.canlii.org/en/ab/abca/doc/2011/2011abca273/2011abca273.html)  
R v Dhura , 2011 ABCA 165 [[1]](http://www.canlii.org/en/ab/abca/doc/2011/2011abca165/2011abca165.html)  
R. v. Koc, [2008 NLTD 97](http://canlii.ca/t/1x3vx) [2008] N.J. No. 161 (N.L.S.C.T.D.)  

  2. [↑](Print_version.html#cite_ref-105) R. v. B.R.C., [2010] O.J. No. 3571 (Ont. C.A.) at 6  
R. v. Melo (1975), 26 C.C.C. (2d) 510 at p. 516
  3. [↑](Print_version.html#cite_ref-106) R v Morgan, [2008 NWTCA 12](http://www.canlii.org/en/nt/ntca/doc/2008/2008nwtca12/2008nwtca12.html)  
R v Belenky, [2010 ABCA 98](http://www.canlii.org/en/ab/abca/doc/2010/2010abca98/2010abca98.html) at para. 20: ("the collateral consequence of deportation can be given at most very limited weight. It cannot by itself remove a sentence from what would otherwise be the appropriate range. At most it can serve to move the sentence a small amount, nothing more.")  

  4. [↑](Print_version.html#cite_ref-107) R. v. Dzabic, [2008 CanLII 53860](http://canlii.ca/t/218bd) (ON SC)
  5. [↑](Print_version.html#cite_ref-108) R. v. Razmara, [2012 ONCA 13](http://canlii.ca/t/fpkgt)

### Aboriginal background[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-13)]

See [Canadian Criminal Sentencing/Aboriginal Principles and Factors](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Aboriginal_Principles_and_Factors)

## Circumstances of the Offence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-14)]

### Degree of Planning[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-15)]

A greater degree of planning increases the moral culpability of the offender. Where the offence involved significant preparatory work it suggests that the offender is of bad character due to time on the commission of an offence. The court is more likely to conclude the person is a "career criminal".

Closely related to this is the degree of sophistication of the offence. An offender with a great deal of intelligence and drive is more culpable due to the ability to have insight into their conduct including the harm that would result from it.

### Duration of the Offence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-16)]

The duration of the offence is a useful measure of the offender's culpability. An offence that is ongoing for a period of time requires that the accused continuously decided to continue in a criminal endeavour. As they continue to decided to commit the offence their responsibility for the outcome increases.

Related to this, it is a factor to consider whether the offender stopped the offence by their own accord due to a decision to cease criminal activity or whether they merely stopped because they have achieved their goal or were caught in the act.

### Age of the Offence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-17)]

Most often seen in the context of historical sexual assault offences, the “antiquity of the offence is not usually a mitigating feature” [[1]](Print_version.html#cite_note-109) However, “the offender may be entitled to a somewhat reduced sentence if he has led an exemplary life during the intervening years and demonstrates genuine remorse. Such circumstances would obviate the need for individual deterrence and time for rehabilitation.”[[2]](Print_version.html#cite_note-110)

  


  1. [↑](Print_version.html#cite_ref-109) R. v. R. (A.), [1994 CanLII 4524](http://canlii.ca/t/1npk9) (MB CA), [1994] 4 W.W.R. 620 (Man. C.A.),
  2. [↑](Print_version.html#cite_ref-110) R v RA [1994 CanLII 4524](http://canlii.ca/t/1npk9) at para. 34

### Role in Offence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-18)]

The accused's role in the offence will influence the penalty. Typically the greater and more culpable a role the accused played, the greater the penalty. This is particularly the case where the party has less autonomy, control, or awareness of the circumstances.

A "look out" or "driver" may be seen as less serious than those who participated in the offence itself.

### Breach of Trust[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-19)]

Where an offender was able to commit an offence by taking advantage of their position of trust, this factor will be treated as aggravating.

Where there is a breach of the public's trust it will be treated as aggravating beyond private breach of trust.[[1]](Print_version.html#cite_note-111)

  


  1. [↑](Print_version.html#cite_ref-111) R. v. Gill, [2003 BCCA 208](http://canlii.ca/t/5bql)  
R. v. Lecourt [2005 QCCA 845](http://canlii.ca/t/1lp59)

### Harm or Risk of Harm on Victim[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-20)]

Consideration of the harm or risk of harm to a victim includes consideration of the extent of violence used.

A vulnerable victim will typically be treated as an aggravating factor. A child victim or person with physical or mental disabilities will be considered particularly aggravating.

### Victim Under 18[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-21)]

Section 718.01 requires that "[w]hen a court imposes a sentence for an offence that involved the abuse of a person under the age of eighteen years, it shall give primary consideration to the objectives of denunciation and deterrence of such conduct."

In relation to s.718.01, the Alberta Court of Appeal has stated that it "has always been the position of this court in dealing with crimes against defenseless children that a strong response was warranted".[[1]](Print_version.html#cite_note-112)

  1. [↑](Print_version.html#cite_ref-112) R. v Nickle, 2012 ABCA 158 (CanLII) at para 19

### Public abhorrence of type of crime[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-22)]

The public's abhorrence of the type of crime is a factor that enhances the penalties in sentence. Through the principle of denunciation, the courts have an obligation to express the abhorrence of the public of a particular offence such a offences of violence.[[1]](Print_version.html#cite_note-113)

### Prevalence of this type of crime in the community[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-23)]

### Degree of cooperation with Police[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-24)]

### State Misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-25)]

A sentence may “be reduced in light of state misconduct even when the incidents complained of do not rise to the level of a Charter breach.”[[2]](Print_version.html#cite_note-114)

  


  1. [↑](Print_version.html#cite_ref-113) R. v. W.H.M., [1994 CanLII 7583](http://canlii.ca/t/1x3wq) (NS SC)
  2. [↑](Print_version.html#cite_ref-114) R. v. Nasogaluak, 2010 SCC 6 [[2]](http://www.canlii.org/en/ca/scc/doc/2010/2010scc6/2010scc6.html#par53)

#### Police Misconduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-26)]

Police misconduct during an investigation can play a factor in sentencing.[[1]](Print_version.html#cite_note-115) This includes having a mitigating factor where an accused's Charter rights have been breached.[[2]](Print_version.html#cite_note-116)

However, conduct amounting to basic violation of a procedural right under the charter will not usually result in a reduction where the breach does not invoke s. 24(1) of the Charter. [[3]](Print_version.html#cite_note-117)

In exceptional cases, the charges may be stayed.[[4]](Print_version.html#cite_note-118)

**Use of Force by Peace Officers**  


> Protection of persons acting under authority  
25\. (1) Every one who is required or authorized by law to do anything in the administration or enforcement of the law
> 
>     (a) as a private person,
>     (b) as a peace officer or public officer,
>     (c) in aid of a peace officer or public officer, or
>     (d) by virtue of his office,
> 
> is, if he acts on reasonable grounds, justified in doing what he is required or authorized to do and in using as much force as is necessary for that purpose.
> 
> Idem  
(2) Where a person is required or authorized by law to execute a process or to carry out a sentence, that person or any person who assists him is, if that person acts in good faith, justified in executing the process or in carrying out the sentence notwithstanding that the process or sentence is defective or that it was issued or imposed without jurisdiction or in excess of jurisdiction.
> 
> When not protected  
(3) Subject to subsections (4) and (5), a person is not justified for the purposes of subsection (1) in using force that is intended or is likely to cause death or grievous bodily harm unless the person believes on reasonable grounds that it is necessary for the self-preservation of the person or the preservation of any one under that person’s protection from death or grievous bodily harm.
> 
> When protected  
(4) A peace officer, and every person lawfully assisting the peace officer, is justified in using force that is intended or is likely to cause death or grievous bodily harm to a person to be arrested, if
> 
>     (a) the peace officer is proceeding lawfully to arrest, with or without warrant, the person to be arrested;
>     (b) the offence for which the person is to be arrested is one for which that person may be arrested without warrant;
>     (c) the person to be arrested takes flight to avoid arrest;
>     (d) the peace officer or other person using the force believes on reasonable grounds that the force is necessary for the purpose of protecting the peace officer, the person lawfully assisting the peace officer or any other person from imminent or future death or grievous bodily harm; and
>     (e) the flight cannot be prevented by reasonable means in a less violent manner.
> 
> R.S., 1985, c. C-46, s. 25; 1994, c. 12, s. 1.
> 
> – [[53]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec25)

Where a peace officer uses force that is not covered by s.25, a possible violation of the accused’s section 7 Charter rights arises.[[5]](Print_version.html#cite_note-119)

There is a violation of the “security of the person” in the context of a criminal prosecution where there is “state interference with bodily integrity and serious state-imposed psychological stress”[[6]](Print_version.html#cite_note-120)

Peace officers are expected to use force to effect an arrest or prevent flight from custody. This power is constrained by proportionality, necessity, and reasonableness.[[7]](Print_version.html#cite_note-121)

Use of force under s.25(3) is determined on a subjective and objective basis.[[8]](Print_version.html#cite_note-122)

Police should not be judged on a standard of perfection. It should be expected that they will be reacting quickly in emergency situations.[[9]](Print_version.html#cite_note-123)

R. v. Markowska, [2004 ONCJ 332](http://canlii.ca/t/1jhvq) \-- police executed search warrant of massage parlour with weapons drawn. court found this to be egregious and unjustified.

  


  1. [↑](Print_version.html#cite_ref-115) R. v. Pigeon [1992 CanLII 869](http://canlii.ca/t/1d9hn) (BCCA)
  2. [↑](Print_version.html#cite_ref-116) R. v. Nasogaluak, [2010 SCC 6](http://canlii.ca/t/2848x)
  3. [↑](Print_version.html#cite_ref-117) eg. R. v. Charanek, [2011 ABPC 374](http://canlii.ca/t/fpcnj)
  4. [↑](Print_version.html#cite_ref-118) R. v. Tran, [2010 ONCA 471](http://www.canlii.org/en/on/onca/doc/2010/2010onca471/2010onca471.html)
  5. [↑](Print_version.html#cite_ref-119) Section 7 of the Canadian Charter of Rights and Freedoms states that “everyone has the right to life, liberty and security of the person and the right not to be deprived thereof except in accordance with the principles of fundamental justice.”
  6. [↑](Print_version.html#cite_ref-120) R v Morgentaler, [1988] 1 SCR 30, [1988 CanLII 90](http://canlii.ca/t/1ftjt)
  7. [↑](Print_version.html#cite_ref-121) R v Nasogaluak, [2010 SCC 6](http://canlii.ca/t/2848x) at 32
  8. [↑](Print_version.html#cite_ref-122) Chartier v Greave, [2001] OJ No. 634 (ONSC) at 29
  9. [↑](Print_version.html#cite_ref-123) R v Nasogaluak, [2010 SCC 6](http://canlii.ca/t/2848x) at 35

### Uncharged Criminal Conduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-27)]

Offenders are only sentenced “in respect of crimes for which they have been specifically charged and of which they have been validly convicted.”[[1]](Print_version.html#cite_note-124)

  
Prior uncharged conduct cannot be used as an aggravating factor, however, can be relevant to sentencing as it shows character and background.[[2]](Print_version.html#cite_note-125)

However, under section [725(1)(d)](http://canlii.ca/t/7vf2#sec725), "In determining the sentence, a court ... (c) may consider any facts forming part of the circumstances of the offence that could constitute the basis for a separate charge."

An offender cannot be punished for unproven acts.[[3]](Print_version.html#cite_note-126)

  


  1. [↑](Print_version.html#cite_ref-124) R. v. Larche, [2006 SCC 56](http://canlii.ca/t/1q3xv), [2006] 2 S.C.R. 762
  2. [↑](Print_version.html#cite_ref-125) R. v. B.M., [2008 ONCA 645](http://canlii.ca/t/20swc) (CanLII)
  3. [↑](Print_version.html#cite_ref-126) R. v. Gardiner, [1982] 368 SCR 2  
R. v. Lees, [1979 CanLII 43](http://canlii.ca/t/1tx81) (SCC), [1979] 2 S.C.R. 749  


## Circumstances of the Proceedings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-28)]

### Guilty Plea[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-29)]

A guilty plea is a mitigating factor in a number of respects. It is evidence of remorse [[1]](Print_version.html#cite_note-127), it saves the justice system resources, and it excuses victims from the stress of having to testify. The offender is not entitled to a sentence reduction simply for pleading guilty but rather it is within the discretion of the judge to account for a guilty plea in sentencing.

A lack of guilty plea is not an aggravating factor. However, related to a lack of a guilty plea, if the accused was convicted after trial where testimony of the accused was determined to be false, the judge may consider that as aggravating.[[2]](Print_version.html#cite_note-128)

The amount of credit given for a guilty plea it not fixed as it can mitigate in several different ways. It has been suggested however that it can often lead to a reduction of sentence by one-third.[[3]](Print_version.html#cite_note-129)

  1. [↑](Print_version.html#cite_ref-127) R. v. Cardiner (1982) 68 CCC 477 (SCC)  
Wisniewski, (1975) 29 CRNS 342 (Ont.)
  2. [↑](Print_version.html#cite_ref-128) R. v. Vickers (1998), (BCCA)
  3. [↑](Print_version.html#cite_ref-129) R. v. Conlon, 2011 ABPC 259

### Bail conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-30)]

Strict bail conditions are not treated as equivalent to pre-trial detention, and so remand credit is not applicable for strict bail conditions.[[1]](Print_version.html#cite_note-130) The court may consider the bail conditions that the offender up to the date of sentencing.[[2]](Print_version.html#cite_note-131) If the individual was under house arrest conditions for bail, this may be accounted as a reason to reduce the sentence as the house arrest may have a punitive element to it. This is a discretionary, however, and will usually needed to be justified by showing that the offender's circumstances were particularly tough beyond the average person.[[3]](Print_version.html#cite_note-132)

Restrictive bail conditions should be treated flexibly. The amount of credit, if any, is in the discretion of the trial judge to determine.[[4]](Print_version.html#cite_note-133)

In Ontario, the following guidelines were suggested in R v Downes 2006 CanLII 3957 (ONCA)[[5]](Print_version.html#cite_note-134):

    

    

  * Time spent on stringent pre-sentence bail conditions, especially house arrest, is a relevant mitigating factor.
  * As such, the trial judge must consider the time spent on bail under house arrest in determining the length of sentence.
  * The failure of the trial judge to explain why time spent on bail under house arrest has not been taken into account is an error in principle.
  * The amount of credit to be given for time spent on bail under house arrest is within the discretion of the trial judge and there is no formula that the judge is required to apply.
  * The amount of credit will depend upon a number of factors including, the length of time spent on bail under house arrest; the stringency of the conditions; the impact on the offender’s liberty; the ability of the offender to carry on normal relationships, employment and activity.
  * Where the offender asks the trial judge to take pre-sentence bail conditions into account, the offender should supply the judge with information as to the impact of the conditions. If there is a dispute as to the impact of the conditions, the onus is on the offender to establish those facts on a balance of probabilities in accordance with s. 724(3) of the Criminal Code.

  


  1. [↑](Print_version.html#cite_ref-130) R. v. Panday, [2007 ONCA 598](http://canlii.ca/t/1svfg)
  2. [↑](Print_version.html#cite_ref-131) R. v. Downes, [2006 CanLII 3957](http://www.canlii.org/en/on/onca/doc/2006/2006canlii3957/2006canlii3957.html) (ON CA) at 23
  3. [↑](Print_version.html#cite_ref-132) R. v. Knockwood [2009 NSCA 98](http://canlii.org/en/ns/nsca/doc/2009/2009nsca98/2009nsca98.html)
  4. [↑](Print_version.html#cite_ref-133) R. v. Downes, [2006] O.J. No. 555 (C.A.) at para. 36 (“a trial judge faced with an offender who has spent time on bail under house arrest should adopt a flexible approach, . . . the amount of credit and the manner in which it is to be taken into account as a mitigating factor is a matter for the trial judge.”)
  5. [↑](Print_version.html#cite_ref-134) R v Downes, [2006 CanLII 3957](http://canlii.ca/t/1mkm6) (ONCA) at para 37; R v Ijam, [2007 ONCA 597](http://canlii.ca/t/1svv8) at 63

### Delay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-31)]

Delay between the date of the offence and sentence is not reason for mitigation. If the delay is due to flight of the accused from the jurisdiction he is not entitled to any benefit from the passage of time. [[1]](Print_version.html#cite_note-135)

Dated offences, such as historical [sexual assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault), do not warrant a significant reduction on penalty simply due to the time that has passed since the offence as the magnitude of the offence and degree of culpability remains the same.[[2]](Print_version.html#cite_note-136)

On serious offences, the passage of time between the offence and sentence does not reduce the need for denunciation or deterrence.[[3]](Print_version.html#cite_note-137)

Other factors in delay to consider include:[[4]](Print_version.html#cite_note-138)

  1. the effect of delay on sentencing is a case‑specific inquiry
  2. deliberate acts to evade detection by the authorities, whether flight or contribution to delayed complaint tend to weigh against assigning mitigating impact to the fact of delay
  3. reform and rehabilitation during the intervening period tend to eliminate the prospect of recidivism and to nullify the need for specific deterrence to be reflected in the court's disposition
  4. certain very serious crimes require sentences with measures of general deterrence and denunciation regardless of the offender's lengthy crime‑free existence subsequent to the crime(s)
  5. objectively speaking, taking into account delay, the court's disposition should not be seen as a reward or benefit eliminating or depreciating the concept of proportionate punishment.

  1. [↑](Print_version.html#cite_ref-135) R. v. Jansons, [2008 YKCA 15](http://www.canlii.org/en/yk/ykca/doc/2008/2008ykca15/2008ykca15.html)
  2. [↑](Print_version.html#cite_ref-136) R. v. Archibald [2012 ABCA 202](http://canlii.ca/t/frv7l) (CanLII) at para. 13
  3. [↑](Print_version.html#cite_ref-137) R. v. Partridge, [2005 NSCA 159](http://canlii.ca/t/1m6lq) (CanLII)
  4. [↑](Print_version.html#cite_ref-138) R. v. Critton, [2002] O.J. No. 2594 (ONSC) per Hill, J at para. 76

### Pre-trial custody[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-32)]

> 719.
> 
> ...
> 
> **Determination of sentence**  

> 
>     (3) In determining the sentence to be imposed on a person convicted of an offence, a court may take into account any time spent in custody by the person as a result of the offence but the court shall limit any credit for that time to a maximum of one day for each day spent in custody.
> 
>     (3.1) Despite subsection (3), if the circumstances justify it, the maximum is one and one-half days for each day spent in custody unless the reason for detaining the person in custody was stated in the record under subsection 515(9.1) or the person was detained in custody under subsection 524(4) or (8).
> 
> **Reasons**
> 
>     (3.2) The court shall give reasons for any credit granted and shall cause those reasons to be stated in the record.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec719)

Section 719(3.1) consists of amendments from 2010 where the practice of giving 2:1 credits was significantly limited. Certain judges have given 1.5:1 credit where warranted for loss of remission.[[1]](Print_version.html#cite_note-139)

The judge cannot deny pre-trial custody credit to a sentence simply because of the nature his record.[[2]](Print_version.html#cite_note-140)

  1. [↑](Print_version.html#cite_ref-139) R. v. Johnson, [2011 ONCJ 77](http://www.canlii.org/en/on/oncj/doc/2011/2011oncj77/2011oncj77.html)  
R. v. Dann, [2011 NSPC 22](http://canlii.org/en/ns/nspc/doc/2011/2011nspc22/2011nspc22.html)
  2. [↑](Print_version.html#cite_ref-140) R. v. Crawford, [2010 ABCA 290](http://www.canlii.org/en/ab/abca/doc/2010/2010abca290/2010abca290.html)

### Civil Liability[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-33)]

Where the offender is likely to face substantial civil liability and he is not otherwise impecunious, then this should be a factor in sentence.[[1]](Print_version.html#cite_note-141)

  1. [↑](Print_version.html#cite_ref-141) R. v. Stone, [2001 BCCA 728](http://canlii.ca/t/4z2g) at 32-35  
R. v. Sadler, [2009 BCCA 386](http://canlii.ca/t/25j6c) at 23-29  


## Prohibited factors[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Factors_of_Sentencing&action=edit&section=T-34)]

It is generally considered improper to consider factors such as:

  * comments of the public or media
  * past acquittal or pardons
  * conduct of defence counsel
  * character of the victim or other parties
  * risk of harm while incarcerated

# II - Tools of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=3)]

# II.1 - Available Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=4)]

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences&action=edit&section=T-1)]

  * [Alternative Measures](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Alternative_Measures)
  * [Discharges](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Discharges)
  * [Suspended Sentences and Probation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Probation)
  * [Fines](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Fines)
  * [Restitution](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Restitution)
  * [Imprisonment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Imprisonment)
  * [Conditional Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences)
  * [Concurrent and Consecutive Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Concurrent_and_Consecutive_Sentences)
  * [Maximum and Minimum Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Maximum_and_Minimum_Sentences)
  * [Court Ordered Delayed Parole](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Parole#Court_Ordered_Delayed_Parole)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences&action=edit&section=T-2)]

# Available Sentences/Alternative Measures[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

> **When alternative measures may be used**  
717\. (1) Alternative measures may be used to deal with a person alleged to have committed an offence only if it is not inconsistent with the protection of society and the following conditions are met:
> 
>     (a) the measures are part of a program of alternative measures authorized by the Attorney General or the Attorney General’s delegate or authorized by a person, or a person within a class of persons, designated by the lieutenant governor in council of a province;
>     (b) the person who is considering whether to use the measures is satisfied that they would be appropriate, having regard to the needs of the person alleged to have committed the offence and the interests of society and of the victim;
>     (c) the person, having been informed of the alternative measures, fully and freely consents to participate therein;
>     (d) the person has, before consenting to participate in the alternative measures, been advised of the right to be represented by counsel;
>     (e) the person accepts responsibility for the act or omission that forms the basis of the offence that the person is alleged to have committed;
>     (f) there is, in the opinion of the Attorney General or the Attorney General’s agent, sufficient evidence to proceed with the prosecution of the offence; and
>     (g) the prosecution of the offence is not in any way barred at law.
> 
> **Restriction on use**  
(2) Alternative measures shall not be used to deal with a person alleged to have committed an offence if the person
> 
>     (a) denies participation or involvement in the commission of the offence; or
>     (b) expresses the wish to have any charge against the person dealt with by the court.
> 
> **Admissions not admissible in evidence**  
(3) No admission, confession or statement accepting responsibility for a given act or omission made by a person alleged to have committed an offence as a condition of the person being dealt with by alternative measures is admissible in evidence against that person in any civil or criminal proceedings.
> 
> **No bar to proceedings**  
(4) The use of alternative measures in respect of a person alleged to have committed an offence is not a bar to proceedings against the person under this Act, but, if a charge is laid against that person in respect of that offence,
> 
>     (a) where the court is satisfied on a balance of probabilities that the person has totally complied with the terms and conditions of the alternative measures, the court shall dismiss the charge; and
>     (b) where the court is satisfied on a balance of probabilities that the person has partially complied with the terms and conditions of the alternative measures, the court may dismiss the charge if, in the opinion of the court, the prosecution of the charge would be unfair, having regard to the circumstances and that person’s performance with respect to the alternative measures.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 717; 1995, c. 22, s. 6. [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec717)

The criminal code permits the provincial government to deal with certain criminal charges outside of the court system. This is usually in the form of diversionary programming available to first-time offenders of minor offences where the accused is prepared to accept responsibility.

  


# Available Sentences/Discharges[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Legislation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-1)]

The Criminal Codes describes the discharge as:

> 730\. (1) Where an accused, other than an organization, pleads guilty to or is found guilty of an offence, other than an offence for which a minimum punishment is prescribed by law or an offence punishable by imprisonment for fourteen years or for life, the court before which the accused appears may, if it considers it to be in the best interests of the accused and not contrary to the public interest, instead of convicting the accused, by order direct that the accused be discharged absolutely or on the conditions prescribed in a probation order made under subsection 731(2).
> 
> **Period for which appearance notice, etc., continues in force**  
(2) Subject to Part XVI, where an accused who has not been taken into custody or who has been released from custody under or by virtue of any provision of Part XVI pleads guilty of or is found guilty of an offence but is not convicted, the appearance notice, promise to appear, summons, undertaking or recognizance issued to or given or entered into by the accused continues in force, subject to its terms, until a disposition in respect of the accused is made under subsection (1) unless, at the time the accused pleads guilty or is found guilty, the court, judge or justice orders that the accused be taken into custody pending such a disposition.
> 
> **Effect of discharge**  
(3) Where a court directs under subsection (1) that an offender be discharged of an offence, the offender shall be deemed not to have been convicted of the offence except that
> 
>     (a) the offender may appeal from the determination of guilt as if it were a conviction in respect of the offence;
>     (b) the Attorney General and, in the case of summary conviction proceedings, the informant or the informant’s agent may appeal from the decision of the court not to convict the offender of the offence as if that decision were a judgment or verdict of acquittal of the offence or a dismissal of the information against the offender; and
>     (c) the offender may plead autrefois convict in respect of any subsequent charge relating to the offence.
> 
> **Where person bound by probation order convicted of offence**  
(4) Where an offender who is bound by the conditions of a probation order made at a time when the offender was directed to be discharged under this section is convicted of an offence, including an offence under section 733.1, the court that made the probation order may, in addition to or in lieu of exercising its authority under subsection 732.2(5), at any time when it may take action under that subsection, revoke the discharge, convict the offender of the offence to which the discharge relates and impose any sentence that could have been imposed if the offender had been convicted at the time of discharge, and no appeal lies from a conviction under this subsection where an appeal was taken from the order directing that the offender be discharged.
> 
> R.S., 1985, c. C-46, s. 730; 1995, c. 22, s. 6; 1997, c. 18, s. 141; 2003, c. 21, s. 17.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec730)

## Effect[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-2)]

The discharge is not a conviction but rather the offence is discharged absolutely or conditionally with probation. In cannot be paired with a fine or jail.[[1]](Print_version.html#cite_note-142) The end result is that there is no criminal record.[[2]](Print_version.html#cite_note-143) No record may be disclosed to any person by a federal agency, except for the purpose of verifying fingerprints, without the consent of the Solicitor General after 1 year for a absolute discharge or 3 years for a conditional discharge.[[3]](Print_version.html#cite_note-144)

  1. [↑](Print_version.html#cite_ref-142) R. v. Hayden, 2002 NSCA 7 [[3]](http://www.canlii.org/en/ns/nsca/doc/2002/2002nsca7/2002nsca7.html)
  2. [↑](Print_version.html#cite_ref-143) R. v. Burke 1996 Nfld CA; R. v. Montgrand, 2008 SKCA 50 [[4]](http://www.canlii.org/en/sk/skca/doc/2008/2008skca50/2008skca50.html); s. 730(3)
  3. [↑](Print_version.html#cite_ref-144) s. 6.1 of the Criminal Records Act

## Requirements[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-3)]

An offence punishable by _less than 14 years_ and _without minimum sentence_, the offender may apply to the court for a "conditional discharge" if it is in the "best interests of the accused" and "not contrary to the public interest".[[1]](Print_version.html#cite_note-145)

  1. [↑](Print_version.html#cite_ref-145) R. v. Gallon 2006 NBCA 31 [[5]](http://www.canlii.org/en/nb/nbca/doc/2006/2006nbca31/2006nbca31.html)  
R v. Elsharawy (1997), 119 C.C.C. (3d) 565, 1997 CanLII 14708 (Nfld. C.A.) at para. 3

### Best interests of offender[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-4)]

Generally speaking the effect of the criminal record would be disproportionate to the offence, such as where the offender cannot pursue their chosen profession[[1]](Print_version.html#cite_note-146), education would be affected[[2]](Print_version.html#cite_note-147), etc. The reason for discharge cannot be mere speculation.[[3]](Print_version.html#cite_note-148)

The first factor of a discharge presupposes that the offender is of good character and so is without a prior criminal record.[[4]](Print_version.html#cite_note-149)

It is generally preferred or sometimes necessary that the court have evidence of the consequence of a criminal record volunteer activities to support a discharge application.[[5]](Print_version.html#cite_note-150)

  1. [↑](Print_version.html#cite_ref-146) R. v. Carroll, 1995 BCCA
  2. [↑](Print_version.html#cite_ref-147) R. v. Abouabdellah 1996 QCCA
  3. [↑](Print_version.html#cite_ref-148) R. v. Roberts, 2004 SKCA 153 [[6]](http://www.canlii.org/en/sk/skca/doc/2004/2004skca153/2004skca153.html)
  4. [↑](Print_version.html#cite_ref-149) R. v. Elsharawy 1997 CanLII 14708 (NL CA), (1997), 119 C.C.C. (3d) 565 (N.L.C.A.) at 3
  5. [↑](Print_version.html#cite_ref-150) R. v. Relph [1991] B.C.J. No. 298 (BCCA) at 12

### Not contrary to public interest[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-5)]

A discharge does not have to be in the public interest, it simply must not be _contrary_ to the public interest.[[1]](Print_version.html#cite_note-151)

The second factor considers:[[2]](Print_version.html#cite_note-152)

  * the gravity of the offence;
  * the frequency/prevalence of the offence in the community
  * the public attitudes to the offence
  * amount of planning of the offence
  * value of property (if property-related offence)
  * whether there was personal gain from the offence
  * the effect on the public confidence in the law

  1. [↑](Print_version.html#cite_ref-151) R. v. D'Eon, 2011 NSSC 330 at para 18 to 25
  2. [↑](Print_version.html#cite_ref-152) See R. v. Fallofield (1973), 13 C.C.C. (2d) 450 (B.C.C.A.)  
R. v. Waters, (1990), 54 C.C.C. (3d) 40 (Sask. QB)  
R v MacFarlane, [1976 ALTASCAD 6](http://canlii.ca/t/fp1w3), (1976) 3 Alta LR (2d) 341

## Where applied[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-6)]

Cases for a variety of offences have been considered:

  * possession of a weapon for a dangerous purpose (s.88)[[1]](Print_version.html#cite_note-153)
  * break and enter[[2]](Print_version.html#cite_note-154)
  * possession of marijuana (4(1))[[3]](Print_version.html#cite_note-155)
  * theft under $5,000 [[4]](Print_version.html#cite_note-156)

Factors such as the accused's immigration status are valid considerations but are not determinative.[[5]](Print_version.html#cite_note-157)

It is not prohibited to grant a discharge where a prior discharge has already been granted. [[6]](Print_version.html#cite_note-158) Nor is it prohibited to grant a discharge where a prior record exists. [[7]](Print_version.html#cite_note-159) Nevertheless the granting of a discharge in these cases is exceptional.

  1. [↑](Print_version.html#cite_ref-153) R. v. Chalifoux, 1995 ABCA 444 [[7]](http://www.canlii.org/en/ab/abca/doc/1995/1995abca444/1995abca444.html) \- denied
  2. [↑](Print_version.html#cite_ref-154) R. v. Kadotchnikov, 2002 SKPC 112[[8]](http://www.canlii.org/en/sk/skpc/doc/2002/2002skpc112/2002skpc112.html) \- CD granted  

  3. [↑](Print_version.html#cite_ref-155) R. v. Lail, 2007 ABPC 117[[9]](http://www.canlii.org/en/ab/abpc/doc/2007/2007abpc117/2007abpc117.html) \- granted
  4. [↑](Print_version.html#cite_ref-156) R. v. Pepper, 2005 ABPC 294[[10]](http://www.canlii.org/en/ab/abpc/doc/2005/2005abpc294/2005abpc294.html) \- granted
  5. [↑](Print_version.html#cite_ref-157) R. v. Wisniewski, 2002 MBCA 93 [[11]](http://canlii.ca/en/mb/mbca/doc/2002/2002mbca93/2002mbca93.html)
  6. [↑](Print_version.html#cite_ref-158) Tan (1974), 22 C.C.C. (2d) 184 (B.C.C.A.)
  7. [↑](Print_version.html#cite_ref-159) eg: R. c. Lasania, 2010 QCCS 3446 (CanLII) [[12]](http://canlii.ca/en/qc/qccs/doc/2010/2010qccs3446/2010qccs3446.html)

### Absolute vs Conditional[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-7)]

An absolute discharge order discharges the offence without any additional requirements of probation. It is usually granted in the cases of lesser seriousness of offences or where the personal circumstances are exceptional.[[1]](Print_version.html#cite_note-160)

  1. [↑](Print_version.html#cite_ref-160) eg. R. v. Day, 2011 CanLII 8588 (NL PC) [[13]](http://canlii.ca/en/nl/nlpc/doc/2011/2011canlii8588/2011canlii8588.html)

### Offences of violence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-8)]

Without a prior record, a Court will grant a discharge for common assault. [[1]](Print_version.html#cite_note-161) However, it should only be given in extraordinary circumstances.[[2]](Print_version.html#cite_note-162) Assault causing bodily harm can be available for discharges in only limited circumstances. [[3]](Print_version.html#cite_note-163)

  1. [↑](Print_version.html#cite_ref-161) R. v. Bartlett, [2008] O.J. No. 193  
R v. Stevens, 2009 NSPC 46 [[14]](http://www.canlii.org/en/ns/nspc/doc/2009/2009nspc46/2009nspc46.html)  
R. v. Munro, [1994] N.S.J. No. 693 (S.C.)  
R v. Boyle (1990), 100 N.S.R. (2d) 39, [1990] N.S.J. No. 371 (S.C.T.D.)  
R v. Rhynold, [1993] N.S.J. No. 192 (C.A.)  
R. v. Sumyk, 2010 ABQB 217[[15]](http://www.canlii.org/en/ab/abqb/doc/2010/2010abqb217/2010abqb217.html)  
R. v. Teclesenbet, 2009 ABCA 389 [[16]](http://www.canlii.org/en/ab/abca/doc/2009/2009abca389/2009abca389.html) \- CD denied for domestic assault causing bodily harm  

  2. [↑](Print_version.html#cite_ref-162) R. v. MacFarlane (1976), 55 AR 222 (ABCA)
  3. [↑](Print_version.html#cite_ref-163) Successful:  
R. v. Sowden, 2011 ONCJ 244 [[17]](http://www.canlii.org/en/on/oncj/doc/2011/2011oncj244/2011oncj244.html) R. v. Batt, [2010] N.J. No. 137 (P.C.) -- Joint Recommendation  
R. v. Morgan, [2003] N.J. No. 341 (S.C.) -- Joint Recommendation  
unsuccessful:  
R. v. Gulpin, (1975), 36 CRNS 363 (ONCA)  
R. v. Wood, (1975), 24 CCC (2d) 79 (ONCA)  
R. v. Pynn, 2011 CanLII 6161 (NL PC) [[18]](http://www.canlii.org/en/nl/nlpc/doc/2011/2011canlii6161/2011canlii6161.html) \-- conditional sentence  
R. v. Sullivan, [2011] N.J. No. 4 (P.C.) -- probation  


## Curative Discharge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-9)]

The curative discharge is a sub-category of the discharge in relation to motor-vehicle offences.

> s. 255(5) Notwithstanding subsection 730(1), a court may, instead of convicting a person of an offence committed under section 253, after hearing medical or other evidence, if it considers that the person is in need of curative treatment in relation to his consumption of alcohol or drugs and that it would not be contrary to the public interest, by order direct that the person be discharged under section 730 on the conditions prescribed in a probation order, including a condition respecting the person’s attendance for curative treatment in relation to that consumption of alcohol or drugs.
> 
>   


This provision has not been proclaimed in BC, Ontario, Quebec, Newfoundland.

For a discharge to be granted, the following must be present:

  1. Court must hear evidence of a medical or similar nature;
  2. court must be of the opinion that the client is in need of curative treatment in relation to alcohol or drug use;
  3. court must be of an opinion that the discharge would not be contrary to the public interest.

Factors to consider on the issue of public interest include:[[1]](Print_version.html#cite_note-164)

  * good faith of the accused
  * past criminal record
  * presence of a driving prohibition at the time
  * whether there was a previous discharge given

Other factors considered:

  * the necessary program is available
  * the program is likely to be successful
  * the accused is motivated to overcome alcoholism

Curative discharges are not appropriate where the charge occurred while the offender was subject to a previous treatment discharge.[[2]](Print_version.html#cite_note-165)

  1. [↑](Print_version.html#cite_ref-164) R. v. Storr, [1995 ABCA 301](http://www.canlii.org/en/ab/abca/doc/1995/1995abca301/1995abca301.html) at para. 17
  2. [↑](Print_version.html#cite_ref-165) R. v. Conn, [2004] M.J. No. 413 (MBCA)

## Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-10)]

### Conditional Discharge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-11)]

**Principles**

  * R. v. MacFarlane, [1976] 3 Alta. L.R. (2d) 341 (Alta. C.A.)

**Sexual assault**

  * R. v. J.W. [2010 NSPC 40](http://www.canlii.org/en/ns/nspc/doc/2010/2010nspc40/2010nspc40.html)

**Theft**

  * R. v. Kelly, [2010 CanLII 44697](http://www.canlii.org/en/nl/nlpc/doc/2010/2010canlii44697/2010canlii44697.html) || granted || position of trust

### Curative Discharge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Discharges&action=edit&section=T-12)]

  * R v Anderson, [2011 SKPC 172](http://www.canlii.org/en/sk/skpc/doc/2011/2011skpc172/2011skpc172.html) \- denied
  * R. v. Pearson, [2010 NSPC 14](http://www.canlii.org/en/ns/nspc/doc/2010/2010nspc14/2010nspc14.html)
  * R v Bruce, [2011 MBPC 55](http://www.canlii.org/en/mb/mbpc/doc/2011/2011mbpc55/2011mbpc55.html) \- review of expert qualification procedure

  


# Available Sentences/Probation[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-1)]

“[P]robation is regarded as a rehabilitative sentencing tool...It is not considered punitive in nature.” [[1]](Print_version.html#cite_note-166)

  1. [↑](Print_version.html#cite_ref-166) R. v. Rawn, 2012 ONCA 487 at para 35

## Terms of Probation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-2)]

### Compulsory terms[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-3)]

**Compulsory terms** of probation are listed at s. 732.1 (2):

>   * keep the peace and be of good behaviour;
>   * appear before the court when required to do so by the court; and
>   * notify the court or the probation officer in advance of any change of name or address, and promptly notify the court or the probation officer of any change of employment or occupation.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec732.1)

### Optional terms[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-4)]

**Optional terms** of probation are listed at s. 732.1 (3):

>     (a) report to a probation officer 
> 
>     (i) within two working days, or such longer period as the court directs, after the making of the probation order, and
>     (ii) thereafter, when required by the probation officer and in the manner directed by the probation officer;
>     (b) remain within the jurisdiction of the court unless written permission to go outside that jurisdiction is obtained from the court or the probation officer;
>     (c) abstain from 
> 
>     (i) the consumption of alcohol or other intoxicating substances, or
>     (ii) the consumption of drugs except in accordance with a medical prescription;
>     (d) abstain from owning, possessing or carrying a weapon;
>     (e) provide for the support or care of dependants;
>     (f) perform up to 240 hours of community service over a period not exceeding eighteen months;
>     (g) if the offender agrees, and subject to the program director’s acceptance of the offender, participate actively in a treatment program approved by the province;
>     (g.1) where the lieutenant governor in council of the province in which the probation order is made has established a program for curative treatment in relation to the consumption of alcohol or drugs, attend at a treatment facility, designated by the lieutenant governor in council of the province, for assessment and curative treatment in relation to the consumption by the offender of alcohol or drugs that is recommended pursuant to the program;
>     (g.2) where the lieutenant governor in council of the province in which the probation order is made has established a program governing the use of an alcohol ignition interlock device by an offender and if the offender agrees to participate in the program, comply with the program; and
>     (h) comply with such other reasonable conditions as the court considers desirable, subject to any regulations made under subsection 738(2), for protecting society and for facilitating the offender’s successful reintegration into the community.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec732.1)

The primary goal of these conditions is rehabilitation and reintegration.[[1]](Print_version.html#cite_note-167) Punishment is not a dominant purpose.[[2]](Print_version.html#cite_note-168)

These goals concern the future behaviour of the offender, and are not shaped by the seriousness of the offence or degree of culpability.[[3]](Print_version.html#cite_note-169)

In order to impose optional terms, it must be established that the conditions are reasonable desirable for "protecting society and facilitating the offender's successful reintegration into the community".[[4]](Print_version.html#cite_note-170)

The conditions do not require a connection between the offence and the offender's past history.[[5]](Print_version.html#cite_note-171)

The offender's inability to comply with the condition does not make it unreasonable.[[6]](Print_version.html#cite_note-172) However, setting offenders up for future breaches should be of concern.[[7]](Print_version.html#cite_note-173)

A court cannot order the offender as part of probation to submit to "a search and seizure of bodily substances". Moreover, the court cannot "predetermine that any positive reading would constitute a breach of probation".[[8]](Print_version.html#cite_note-174)

**Community Service**  
The judge may impose a requirement to complete up to 250 hours of community service under s.732.1(3)(f) and (h). It must be completed within 1 year.

**Sexual Behaviour Assessment**  
Certain jurisdictions have services through the local hospital that include sexual behaviour assessment. This typically includes phallometric testing.[[9]](Print_version.html#cite_note-175) The assessment is intended to assist with risk assessment, determine whether there should be a s.161 order, and what treatment if any can be required.

The assessment will either be included as part of a probationary order or else as part of an order for a pre-sentence report prior to sentencing.[[10]](Print_version.html#cite_note-176)

  1. [↑](Print_version.html#cite_ref-167) R. v. Kootenay [2000 ABCA 289](http://canlii.ca/t/1mcwg), (2000), 271 A.R. 156, 2000 ABCA 289 at paras. 13-14
  2. [↑](Print_version.html#cite_ref-168) R v Taylor at p. 394
  3. [↑](Print_version.html#cite_ref-169) R. v. Kootenay, 2000 ABCA 289  
R. v. Taylor [1997 CanLII 9813](http://canlii.ca/t/1mcwg) (SK CA), (1997), 122 C.C.C. (3d) 376 at 394 (Sask. C.A.)
  4. [↑](Print_version.html#cite_ref-170) R. v. Coombs, [2004 ABQB 621](http://canlii.ca/t/1hq6d), 369 A.R. 215 at para. 35 (Q.B.)
  5. [↑](Print_version.html#cite_ref-171) Kootenay, supra, at para. 14
  6. [↑](Print_version.html#cite_ref-172) R. v. Coombs, [2004 ABQB 621](http://canlii.ca/t/1hq6d) at para. 39  
R. v. Vena, [2005 ABQB 948](http://canlii.ca/t/1m7r6) at 9  

  7. [↑](Print_version.html#cite_ref-173) R. v. Coombs, supra at para. 39  
R. v. P.A.G., [2000] O.J. No. 5837 (Ct. J.)  
R. v. Forrest (1992), 20 B.C.A.C. 293 (C.A.)  
R. v. McLeod, [1992] Y.J. No. 96 (Sup. Ct.)  
R v. Okeymow, [2012 ABQB 257](http://canlii.ca/t/fr1pg)  

  8. [↑](Print_version.html#cite_ref-174) R. v. Shoker, [2006 SCC 44](http://canlii.ca/t/1prjc) (CanLII), [2006] 2 SCR 399 upholding R. v. Shoker, [2004 BCCA 643](http://canlii.ca/t/1jg0g) (CanLII)
  9. [↑](Print_version.html#cite_ref-175) <http://en.wikipedia.org/wiki/Penile_plethysmograph>  
<http://www.csc-scc.gc.ca/text/pblct/forum/e141/141b_e.pdf>  

  10. [↑](Print_version.html#cite_ref-176) See R. v. Challes, [2008 CanLII 13360](http://www.canlii.org/en/on/onsc/doc/2008/2008canlii13360/2008canlii13360.html) (ONSC)- pre-sentence assessement  
R. v. Gibbons, [2009 NUCJ 30](http://www.canlii.org/en/nu/nucj/doc/2009/2009nucj30/2009nucj30.html)

## When Probation can be Ordered[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-5)]

A period of probation cannot be greater than three years.

Probation can be attached to any jail sentence equal or less than 2 years. The length of sentence is considered going forward from the date of sentence and not the global sentence before subtracting remand credit.[[1]](Print_version.html#cite_note-177)

Probation should not be imposed where it is impractical to make use of probation.[[2]](Print_version.html#cite_note-178)

  1. [↑](Print_version.html#cite_ref-177) R. v. Mathieu, 2008 SCC 21 [[19]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc21/2008scc21.html), R. v. Goeujon 2006 BCCA 261 [[20]](http://www.canlii.org/en/bc/bcca/doc/2006/2006bcca261/2006bcca261.html)
  2. [↑](Print_version.html#cite_ref-178) R. v. Cameron, 2011 ABCA 311 - Probation was removed from sentence on appeal where the offender was working in remote area far from any probation office

## Suspending of Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Suspended_Sentences_and_Probation&action=edit&section=T-6)]

Under s. 731(1)(a), court may order that the sentence be suspended and the offender be placed on a period of probation:

> **Making of probation order**  
731\. (1) Where a person is convicted of an offence, a court may, having regard to the age and character of the offender, the nature of the offence and the circumstances surrounding its commission,
> 
>     (a) if no minimum punishment is prescribed by law, suspend the passing of sentence and direct that the offender be released on the conditions prescribed in a probation order;...
> 
> R.S., 1985, c. C-46, s. 731; 1992, c. 1, s. 58, c. 20, s. 200; 1995, c. 22, s. 6; 1997, c. 17, s. 1.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec731)

  


# Available Sentences/Fines[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Fines&action=edit&section=T-1)]

Fines are a form of financial punishment available as a sentencing option for a judge.[[1]](Print_version.html#cite_note-179) A fine is available where the court believes that the accused is "able to pay" the fine[[2]](Print_version.html#cite_note-180) and where a pecuniary punishment is considered proportionate to the offence and offender. This focus on ability to pay, found in s. 734(2), prevents "offenders from being fined amounts that they are truly unable to pay, and to correspondingly reduce the number of offenders who are incarcerated in default of payment."[[3]](Print_version.html#cite_note-181)

The burden is upon the party seeking the fine to prove that the offender has the ability to pay on a balance of probabilities.[[4]](Print_version.html#cite_note-182) The party does not need to identify or locate the specific assets available, rather "may rely on indirect evidence" to prove an ability to pay.[[5]](Print_version.html#cite_note-183)

Absent evidence to the contrary, the court may infer an ability to pay where the offender has been in "receipt of illegally-obtained funds". This must take into account the "amount of funds acquired" and "the length of time that has passed between the acquisition of the funds and the imposition of sentence."[[6]](Print_version.html#cite_note-184)

To issue a fine a judge must order:

  1. an amount to be paid
  2. the mode of payment
  3. the time(s) that the fine should be paid

The judge may add further requirements as seen fit.

If the offender fails to pay, it is on the offender to show proof that they are unable to pay in the circumstances.[[7]](Print_version.html#cite_note-185)

  


  1. [↑](Print_version.html#cite_ref-179) s. 734; 716
  2. [↑](Print_version.html#cite_ref-180) 734(2)
  3. [↑](Print_version.html#cite_ref-181) R. v. Topp, 2011 SCC 43
  4. [↑](Print_version.html#cite_ref-182) R v Topp
  5. [↑](Print_version.html#cite_ref-183) R v Topp
  6. [↑](Print_version.html#cite_ref-184) R v Topp
  7. [↑](Print_version.html#cite_ref-185) R. v. Desjardins, 1996 NBCA; see also R. v. Wu, [2003] 3 SCR 530

## Default[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Fines&action=edit&section=T-2)]

Where an offender has a fine imposed by the court, the court may order that a period of jail time in default may be substituted for the fine:

> 734.
> 
> ...
> 
> **Meaning of default of payment**  
(3) For the purposes of this section and sections 734.1 to 737, a person is in default of payment of a fine if the fine has not been paid in full by the time set out in the order made under section 734.1.
> 
> **Imprisonment in default of payment**  
(4) Where an offender is fined under this section, a term of imprisonment, determined in accordance with subsection (5), shall be deemed to be imposed in default of payment of the fine.
> 
> **Determination of term**  
(5) The term of imprisonment referred to in subsection (4) is the lesser of
> 
>     (a) the number of days that corresponds to a fraction, rounded down to the nearest whole number, of which 
> 
>     (i) the numerator is the unpaid amount of the fine plus the costs and charges of committing and conveying the defaulter to prison, calculated in accordance with regulations made under subsection (7), and
>     (ii) the denominator is equal to eight times the provincial minimum hourly wage, at the time of default, in the province in which the fine was imposed, and
>     (b) the maximum term of imprisonment that the court could itself impose on conviction or, if the punishment for the offence does not include a term of imprisonment, five years in the case of an indictable offence or six months in the case of a summary conviction offence.
> 
> ...
> 
> **Warrant of committal**  
734.7 (1) Where time has been allowed for payment of a fine, the court shall not issue a warrant of committal in default of payment of the fine
> 
>     (a) until the expiration of the time allowed for payment of the fine in full; and
>     (b) unless the court is satisfied 
> 
>     (i) that the mechanisms provided by sections 734.5 and 734.6 are not appropriate in the circumstances, or
>     (ii) that the offender has, without reasonable excuse, refused to pay the fine or discharge it under section 736.
> 
> **Reasons for committal**  
(2) Where no time has been allowed for payment of a fine and a warrant committing the offender to prison for default of payment of the fine is issued, the court shall state in the warrant the reason for immediate committal.
> 
> **Period of imprisonment**  
(2.1) The period of imprisonment in default of payment of the fine shall be specified in a warrant of committal referred to in subsection (1) or (2).
> 
> ...
> 
> **Effect of imprisonment**  
(4) The imprisonment of an offender for default of payment of a fine terminates the operation of sections 734.5 and 734.6 in relation to that fine.
> 
> 1995, c. 22, s. 6; 1999, c. 5, s. 35.
> 
> **Definition of “penalty”**  
734.8 (1) In this section, “penalty” means the aggregate of
> 
>     (a) the fine, and
>     (b) the costs and charges of committing and conveying the defaulter to prison, calculated in accordance with regulations made under subsection 734(7).
> 
> **Reduction of imprisonment on part payment**  
(2) The term of imprisonment in default of payment of a fine shall, on payment of a part of the penalty, whether the payment was made before or after the execution of a warrant of committal, be reduced by the number of days that bears the same proportion to the number of days in the term as the part paid bears to the total penalty.
> 
> **Minimum that can be accepted**  
(3) No amount offered in part payment of a penalty shall be accepted after the execution of a warrant of committal unless it is sufficient to secure a reduction of sentence of one day, or a whole number multiple of one day, and no part payment shall be accepted until any fee that is payable in respect of the warrant or its execution has been paid.
> 
> **To whom payment made**  
(4) Payment may be made under this section to the person that the Attorney General directs or, if the offender is imprisoned, to the person who has lawful custody of the prisoner or to any other person that the Attorney General directs.
> 
> **Application of money paid**  
(5) A payment under this section shall be applied firstly to the payment in full of costs and charges, secondly to the payment in full of any victim surcharge imposed under section 737, and then to payment of any part of the fine that remains unpaid.
> 
> 1995, c. 22, s. 6; 1999, c. 5, s. 36, c. 25, s. 19(Preamble).
> 
> ...
> 
> **Punishment**  
787.
> 
> ...
> 
> **Imprisonment in default where not otherwise specified**  
(2) Where the imposition of a fine or the making of an order for the payment of money is authorized by law, but the law does not provide that imprisonment may be imposed in default of payment of the fine or compliance with the order, the court may order that in default of payment of the fine or compliance with the order, as the case may be, the defendant shall be imprisoned for a term not exceeding six months.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 787; R.S., 1985, c. 27 (1st Supp.), s. 171; 2008, c. 18, s. 44.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec787)

Default time can be imposed in situations such as:

  * default of fine instead of forfeiture under s. 462.37 (1)

## Victim Fine Surcharge[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Fines&action=edit&section=T-3)]

According to section 737, an "offender who is convicted or discharged...shall pay a victim surcharge". The amount will be either (1) 15% of the fine imposed; or (2) $50 for summary offences or $100 for indictable offences.[[1]](Print_version.html#cite_note-186) The fine is presumed payable immediately unless the court is satified that time is needed to pay.

**Exception**  
Under s. 737(5), "[w]hen the offender establishes to the satisfaction of the court that undue hardship to the offender or the dependants of the offender would result from payment of the victim surcharge, the court may, on application of the offender, make an order exempting the offender" from paying the fine. The court must give reasons for this exemption.[[2]](Print_version.html#cite_note-187) If no request is made, the fine is presumed to be imposed.[[3]](Print_version.html#cite_note-188)

  1. [↑](Print_version.html#cite_ref-186) s.737(2)
  2. [↑](Print_version.html#cite_ref-187) s.737(6)
  3. [↑](Print_version.html#cite_ref-188) R. v. Tellier, 2000 ABCA 219 [[21]](http://www.canlii.org/en/ab/abca/doc/2000/2000abca219/2000abca219.html)

  


# Available Sentences/Restitution[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Restitution&action=edit&section=T-1)]

Sections 738 to 741.2 deal with Restitution to victim of crime.

Restitution is intended to rehabilitate the offender by making him immediately responsible for the loss of the victim. It also gives the victim a speedy means of getting money back.[[1]](Print_version.html#cite_note-189)

Restitution can be ordered to require the offender to pay a sum of money to compensate a party for a proven loss. Restitution is ordered as either a term of a probation order or else as a stand alone restitution order.[[2]](Print_version.html#cite_note-190) A stand alone restitution order has no time limit for repayment and may be registered as a civil judgement[[3]](Print_version.html#cite_note-191) which in turn could be used to garnish wages and seize property.

Whether to grant restitution is considered as part of the "totality" of the punishment.[[4]](Print_version.html#cite_note-192) Typically, the offender should have some ability to pay the amount, either at sentencing or in the future.[[5]](Print_version.html#cite_note-193) The court must take into consideration the offender's ability to pay.[[6]](Print_version.html#cite_note-194) However, where the offence is particularly egregious, such as a breach of trust, a restitution order may be made even where there does not appear to be any likelihood of repayment.[[7]](Print_version.html#cite_note-195)

Objectives and factors for the discretionary ordering restitution are as follows:[[8]](Print_version.html#cite_note-196):

  1. An order for compensation should be made with restraint and caution;[[9]](Print_version.html#cite_note-197)
  2. The concept of compensation is essential to the sentencing process: 
    1. it emphasizes the sanction imposed upon the offender;
    2. it makes the accused responsible for making restitution to the victim;
    3. it prevents the accused from profiting from crime; and
    4. it provides a convenient, rapid and inexpensive means of recovery for the victim;
  3. A sentencing judge should consider; 
    1. the purpose of the aggrieved person in invoking s. 725(1);
    2. whether civil proceedings have been initiated and are being pursued; and
    3. the means of the offender.
  4. A compensation order should not be used as a substitute for civil proceedings. Parliament did not intend that compensation orders would displace the civil remedies necessary to ensure full compensation to victims.
  5. It should not be ordered when the amount is unclear.[[10]](Print_version.html#cite_note-198)
  6. A compensation order is not the appropriate mechanism to unravel involved commercial transactions;
  7. A compensation order should not be granted when it would require the criminal court to interpret written documents to determine the amount of money sought through the order. The loss should be capable of ready calculation.
  8. A compensation order should not be granted if the effect of provincial legislation would have to be considered in order to determine what order should be made;
  9. Any serious contest on legal or factual issues should signal a denial of recourse to an order;
  10. Double recovery can be prevented by the jurisdiction of the civil courts to require proper accounting of all sums recovered; and
  11. A compensation order may be appropriate where a related civil judgment has been rendered unenforceable as a result of bankruptcy.

No single factor should be determinative on whether restitution should be ordered.[[11]](Print_version.html#cite_note-199)

The purpose of the order is to be part of the sentence, not to compensate for losses.[[12]](Print_version.html#cite_note-200)

Under [section 380.3(1)](http://www.canlii.ca/t/7vf2#sec380.3), when a person is convicted of fraud, the court is specifically required to inquire into whether restitution is being sought from the victim's involved. If the judge decides not to order restitution he must under s. 380.3(5), give reasons for the decision.

  1. [↑](Print_version.html#cite_ref-189) R. v. Fitzgibbon, [1990] 1 S.C.R. 1005 [[22]](http://www.canlii.org/en/ca/scc/doc/1990/1990canlii102/1990canlii102.html)  
R. v. Yates, 2002 BCCA 583 [[23]](http://www.canlii.org/en/bc/bcca/doc/2002/2002bcca583/2002bcca583.html)
  2. [↑](Print_version.html#cite_ref-190) s. 738
  3. [↑](Print_version.html#cite_ref-191) s. 741
  4. [↑](Print_version.html#cite_ref-192) R. v. Siemens, 1999 CanLII 18651 (MB C.A.)[<http://www.canlii.org/en/mb/mbca/doc/1999/1999canlii18651/1999canlii18651.html>
  5. [↑](Print_version.html#cite_ref-193) R. v. Dashner, (1973) BCCA; R. v. Biegus, 1999 CanLII 3815 (ON C.A.) [[24]](http://www.canlii.org/en/on/onca/doc/1999/1999canlii3815/1999canlii3815.html); R. v. Brown (1999) BCCA; R. v. Fitzgibbon, supra
  6. [↑](Print_version.html#cite_ref-194) R. v. Ratt, 2005 SKCA 110; R. v. R. v. DeBay, 2001 NSCA 48 [[25]](http://www.canlii.org/en/ns/nsca/doc/2001/2001nsca48/2001nsca48.html)
  7. [↑](Print_version.html#cite_ref-195) R. v. Yates 2002 BCCA 583 at paras. 12 and 17
  8. [↑](Print_version.html#cite_ref-196) R. v. Devgan [1999 CanLII 2412 (ON C.A.)](http://www.canlii.org/en/on/onca/doc/1999/1999canlii2412/1999canlii2412.html)  
See also: R. v. Zelensky at 111-13  
R. v. Fitzgibbon at 454-55  
London Life Insurance Co. v. Zavitz at 270  
R. v. Scherer, (1984), 16 C.C.C.(3d) 30 (Ont. C.A.) at 37-38  
R. v. Salituro, (1990), 56 C.C.C.(3d) 350 (Ont. C.A.) at 372-73  
R. v. Horne 1996 CanLII 8051 (ON S.C.), (1996), 34 O.R.(3d) 142 (Gen. Div.) At 148-49  
R. v. Carter at 75 - 76.
  9. [↑](Print_version.html#cite_ref-197) R. v. Zelensky, 1978 CanLII 8 (SCC), [1978] 2 SCR 940
  10. [↑](Print_version.html#cite_ref-198) R. v. Castro, [2010] ONCA 718 at paras. 26 and 43
  11. [↑](Print_version.html#cite_ref-199) R v Castro, 2010 ONCA 718 at para. 27
  12. [↑](Print_version.html#cite_ref-200) See R. v. Castro, [2010] ONCA 718 at paras. 26 and 43

  


# Available Sentences/Imprisonment[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Imprisonment&action=edit&section=T-1)]

A judge has the power to impose a sentence of imprisonment under the authority of s. 718.3 and 787:

> **Degrees of punishment**  
718.3 (1) Where an enactment prescribes different degrees or kinds of punishment in respect of an offence, the punishment to be imposed is, subject to the limitations prescribed in the enactment, in the discretion of the court that convicts a person who commits the offence.  
**Discretion respecting punishment**  
(2) Where an enactment prescribes a punishment in respect of an offence, the punishment to be imposed is, subject to the limitations prescribed in the enactment, in the discretion of the court that convicts a person who commits the offence, but no punishment is a minimum punishment unless it is declared to be a minimum punishment.  
...  
1995, c. 22, s. 6; 1997, c. 18, s. 141; 2002, c. 1, s. 182.  
...  
**General penalty**  
787\. (1) Unless otherwise provided by law, everyone who is convicted of an offence punishable on summary conviction is liable to a fine of not more than five thousand dollars or to a term of imprisonment not exceeding six months or to both.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec718.3)

## Intermittent Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Imprisonment&action=edit&section=T-2)]

> **Intermittent sentence**  
732\. (1) Where the court imposes a sentence of imprisonment of ninety days or less on an offender convicted of an offence, whether in default of payment of a fine or otherwise, the court may, having regard to the age and character of the offender, the nature of the offence and the circumstances surrounding its commission, and the availability of appropriate accommodation to ensure compliance with the sentence, order
> 
>     (a) that the sentence be served intermittently at such times as are specified in the order; and
>     (b) that the offender comply with the conditions prescribed in a probation order when not in confinement during the period that the sentence is being served and, if the court so orders, on release from prison after completing the intermittent sentence.  

> 
> **Application to vary intermittent sentence**  
(2) An offender who is ordered to serve a sentence of imprisonment intermittently may, on giving notice to the prosecutor, apply to the court that imposed the sentence to allow it to be served on consecutive days.  

> 
> Court may vary intermittent sentence if subsequent offence  

> 
> (3) Where a court imposes a sentence of imprisonment on a person who is subject to an intermittent sentence in respect of another offence, the unexpired portion of the intermittent sentence shall be served on consecutive days unless the court otherwise orders.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec732)

Intermittent sentences cannot exceed 90 days. This includes consecutive sentences totaling more than 90 days.[[1]](Print_version.html#cite_note-201)

Intermittent sentences "strike a legislative balance between the denunciatory and deterrent functions of 'real jail time' and the rehabilitative functions of preserving the offender's employment, family relationships and responsibilities, and obligations to the community."[[2]](Print_version.html#cite_note-202)

A court has no authority to vary a sentence from an intermittent sentence to a non-intermittent sentence a once it has been ordered.[[3]](Print_version.html#cite_note-203)

There is some suggestion that the court has some jurisdiction to vary the entry and exit time of a conditional sentence.[[4]](Print_version.html#cite_note-204)

  1. [↑](Print_version.html#cite_ref-201) R. v. Balachanoff, [2003 BCCA 433](http://www.canlii.org/en/bc/bcca/doc/2003/2003bcca433/2003bcca433.html)
  2. [↑](Print_version.html#cite_ref-202) R. v. Middleton (2009), 388 N.R. 89, at para 45
  3. [↑](Print_version.html#cite_ref-203) R v Germaine (1980) 39 NSR (2d) 177 at para. 5; R v Jules [1988] BCJ No 1605
  4. [↑](Print_version.html#cite_ref-204) R. v. E.K., [2012 BCPC 132](http://canlii.ca/t/frc2s)  
See [Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge#Doctrine_of_Functus_Officio](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Trials/Role_of_Trial_Judge#Doctrine_of_Functus_Officio)

## No Contact Orders while in Prison[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Imprisonment&action=edit&section=T-3)]

Under s. 743.21, a court may order that for the duration of serving a sentence that the offender be subject to no-contact conditions.

> **Non-communication order**  
743.21 (1) The sentencing judge may issue an order prohibiting the offender from communicating, directly or indirectly, with any victim, witness or other person identified in the order during the custodial period of the sentence, except in accordance with any conditions specified in the order that the sentencing judge considers necessary.  
**Failure to comply with order**  
(2) Every person who fails, without lawful excuse, the proof of which lies on that person, to comply with the order
> 
>     (a) is guilty of an indictable offence and liable to imprisonment for a term not exceeding two years; or
>     (b) is guilty of an offence punishable on summary conviction and liable to imprisonment for a term not exceeding eighteen months.  

> 
> 2008, c. 18, s. 42.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec743.21)

  


# Available Sentences/Conditional Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-1)]

A conditional sentence is a sentence of incarceration which is permitted to be served in the community under strict conditions, typically consisting of house arrest, for up to two years less a day.

The enabling provision states:

> **Imposing of conditional sentence**  
742.1 If a person is convicted of an offence and the court imposes a sentence of imprisonment of less than two years, the court may, for the purpose of supervising the offender’s behaviour in the community, order that the offender serve the sentence in the community, subject to the conditions imposed under section 742.3, if
> 
>     (a) the court is satisfied that the service of the sentence in the community would not endanger the safety of the community and would be consistent with the fundamental purpose and principles of sentencing set out in sections 718 to 718.2;
>     (b) the offence is not an offence punishable by a minimum term of imprisonment;
>     (c) the offence is not an offence, prosecuted by way of indictment, for which the maximum term of imprisonment is 14 years or life;
>     (d) the offence is not a terrorism offence, or a criminal organization offence, prosecuted by way of indictment, for which the maximum term of imprisonment is 10 years or more;
>     (e) the offence is not an offence, prosecuted by way of indictment, for which the maximum term of imprisonment is 10 years, that 
> 
>     (i) resulted in bodily harm,
>     (ii) involved the import, export, trafficking or production of drugs, or
>     (iii) involved the use of a weapon; and
>     (f) the offence is not an offence, prosecuted by way of indictment, under any of the following provisions: 
> 
>     (i) section 144 (prison breach),
>     (ii) section 264 (criminal harassment),
>     (iii) section 271 (sexual assault),
>     (iv) section 279 (kidnapping),
>     (v) section 279.02 (trafficking in persons — material benefit),
>     (vi) section 281 (abduction of person under fourteen),
>     (vii) section 333.1 (motor vehicle theft),
>     (viii) paragraph 334(a) (theft over $5000),
>     (ix) paragraph 348(1)(e) (breaking and entering a place other than a dwelling-house),
>     (x) section 349 (being unlawfully in a dwelling-house), and
>     (xi) section 435 (arson for fraudulent purpose).
> 
> 1992, c. 11, s. 16; 1995, c. 19, s. 38, c. 22, s. 6; 1997, c. 18, s. 107.1; 2007, c. 12, s. 1; 2012, c. 1, s. 34.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec742.1)

  
A Conditional Sentence Order (CSO) is a form of incarceration.[[1]](Print_version.html#cite_note-205)

The purpose of the conditional sentence is to reduce the reliance on incarceration as a sanction and increase restorative justice objectives.[[2]](Print_version.html#cite_note-206)

A CSO is not the same as probation. The former being punitive and rehabilitative while latter being only for rehabilitation.[[3]](Print_version.html#cite_note-207)

CSOs are usually better at achieving "the restorative objectives of rehabilitation, reparations to the victim and the community, and promotion of a sense of responsibility in the offender and acknowledgment of the harm done to the victim and the community".[[4]](Print_version.html#cite_note-208)

  1. [↑](Print_version.html#cite_ref-205) R. v. L.F.W. 1997 CanLII 10868 (NL CA), (1997), 155 Nfld. & P.E.I.R. 115(Nfld. C.A.)  
R. v. Oliver (E.M.) 1997 CanLII 14631 (NL CA), (1997), 147 Nfld. & P.E.I.R. 210 (Nfld. C.A.)  
R. v. Quality (R.) 1997 CanLII 14660 (NL CA), (1998), 156 Nfld. & P.E.I.R. 320 (Nfld. C.A.)  
R. v. J.M. 1998 CanLII 18034 (NL CA), (1998), 160 Nfld. & P.E.I.R. 38 (Nfld. C.A.)  

  2. [↑](Print_version.html#cite_ref-206) R v Proulx, 2000 SCC 5 at para. 127
  3. [↑](Print_version.html#cite_ref-207) Proulx at para. 127
  4. [↑](Print_version.html#cite_ref-208) Proulx at para. 127

### Exempt Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-2)]

Offences enumerated under s. 741.2 that are entirely exempt from CSOs include:

**Mandatory Minimums**  


  * [Possession, Access, Making, Distribution, etc. of Child Pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Pornography) (742.1(b))

**Max => 14 Years**  


  * [Robbery](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Robbery) (742.1(c))
  * [Fraud Over 5,000](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fraud_Over_$5,000) (742.1(c))
  * [Break and Enter into Dwelling](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Break_and_Enter) (742.1(c))

**Max 10 Years with Add'l Factors**  


  * [Assault Causing Bodily Harm Prosecuted by Indictment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_Causing_Bodily_Harm) (742.1(e)(i))
  * [Assault with a Weapon Prosecuted by Indictment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_with_a_Weapon) (742.1(e)(i))
  * [Aggravated Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Aggravated_Assault) (742.1(e)(i))

**Enumerated**  


  * Prison Breach by Indictment (742.1(f)(i))
  * criminal harassment by indictment (742.1(f)(ii))
  * sexual assault by indictment (742.1(f)(iii))
  * Kidnapping by Indictment (742.1(f)(iv))
  * Trafficking in Persons with Material Benefit by Indictment ((742.1(f)(v))
  * Abduction Under 14 Years by Indictment (742.1(f)(vi))
  * Motor Vehicle Theft by Indictment (742.1(f)(vii))
  * [Theft Over $5,000](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Theft_Over_$5,000) (742.1(f)(viii))
  * [Break and Enter Other than Dwelling](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Break_and_Enter) (742.1(f)(ix))
  * Being Unlawfully in a Dwelling (742.1(f)(x))
  * [Arson for Fraudulent Purpose](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Arson) (742.1(f)(xi))

## Eligibility[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-3)]

The requirements for a conditional sentence are summarized as follows: (R v Proulx, [2000 SCC 5](http://canlii.ca/t/527b) at para. 46)

  1. the offence has no mandatory minimums
  2. it is not a "serious personal injury offence"
  3. the appropriate sentence is one of less than two years
  4. a sentence in the community would not endanger the safety of the community 
    1. in consideration of the risk of the offender reoffending; and,
    2. in consideration of the gravity of the damage that could follow a re-offence.
  5. the appropriate sentence consistent with the fundamental purpose and principles of sentencing

A conditional sentence, being a period of incarceration, can satisfy the principles of denunciation and deterrence. However, there is a comparative leniency in a conditional sentence when compared “to a jail term of equivalent duration.”[[1]](Print_version.html#cite_note-209)

A conditional sentence can be available to a person who is on parole.[[2]](Print_version.html#cite_note-210)

There is no presumption for or against CSOs.[[3]](Print_version.html#cite_note-211) However, it is considered "likely more appropriate" where a "combination of both punitive and restorative objectives" are to be achieved.[[4]](Print_version.html#cite_note-212)

  


  1. [↑](Print_version.html#cite_ref-209) R. v. Proulx, [2000 SCC 61](http://canlii.ca/t/527b) at para. 102
  2. [↑](Print_version.html#cite_ref-210) R. v. Harris, [2000 BCCA 599](http://canlii.ca/t/1fnff)
  3. [↑](Print_version.html#cite_ref-211) Proulx at para. 127
  4. [↑](Print_version.html#cite_ref-212) Proux at para. 127

### Mandatory Minimums[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-4)]

Mandatory minimum offences are not eligible for a conditional sentence. The offences with minimums are identifiable by the presence of the minimum within the definition of the offence.

See more: [Canadian Criminal Sentencing/Available Sentences/Maximum and Minimum Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Maximum_and_Minimum_Sentences)

### Safety of Community[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-5)]

The sentencing judge should undertake a "risk assessment" to determine if the offender is a risk to the safety to the community.[[1]](Print_version.html#cite_note-213)

Assessing risk to the community is divided into two dimensions: 1) the risk of re-offence and 2) the gravity of the danger in the event of a re-offence.[[2]](Print_version.html#cite_note-214)

Risk of re-offence should be considered in light of potential "conditions attached to the sentence". Where there is a risk to the community, the risk may be minimized by imposing "appropriate conditions in the sentence." [[3]](Print_version.html#cite_note-215) Thus, a risk is acceptable as long as it is containable within the sentence.

Previous non-compliance with court orders is a "weighty factor" against the availability of a conditional sentence. They can be evidence that the offender is unlikely to comply and the sentence will not likely have a deterrent or rehabilitative effect.[[4]](Print_version.html#cite_note-216)

  1. [↑](Print_version.html#cite_ref-213) see R. v. Soldat, [2012 MBCA 39](http://canlii.ca/t/fr8f8) at para 14; R v Eckert, [2006 MBCA 6](http://canlii.ca/t/1t44d)
  2. [↑](Print_version.html#cite_ref-214) see R. v. Knoblauch, [2000 SCC 58](http://canlii.ca/t/524n), [2000] 2 S.C.R. 780
  3. [↑](Print_version.html#cite_ref-215) R v Knoblauch [2000 SCC 58](http://canlii.ca/t/524n) at 27
  4. [↑](Print_version.html#cite_ref-216) R. v. Wright, [2011 ABCA 42](http://canlii.ca/t/2fkrn) at para. 12  
see also R. v. Wilson [2009 ABCA 257](http://canlii.ca/t/24w43) at 37  
R. v. Melvin, [2010 NSCA 5](http://canlii.ca/t/27shp) at para. 9  
R. v. Viscomi, [2012 ABCA 135](http://canlii.ca/t/fr6jr) R v. A.B., [2012 MBCA 25](http://canlii.ca/t/fqktw)

## Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-6)]

### Imposing Conditions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-7)]

> **Compulsory conditions of conditional sentence order**  
742.3 (1) The court shall prescribe, as conditions of a conditional sentence order, that the offender do all of the following:
> 
>     (a) keep the peace and be of good behaviour;
>     (b) appear before the court when required to do so by the court;
>     (c) report to a supervisor 
> 
>     (i) within two working days, or such longer period as the court directs, after the making of the conditional sentence order, and
>     (ii) thereafter, when required by the supervisor and in the manner directed by the supervisor;
>     (d) remain within the jurisdiction of the court unless written permission to go outside that jurisdiction is obtained from the court or the supervisor; and
>     (e) notify the court or the supervisor in advance of any change of name or address, and promptly notify the court or the supervisor of any change of employment or occupation.
> 
> **Optional conditions of conditional sentence order**  
(2) The court may prescribe, as additional conditions of a conditional sentence order, that the offender do one or more of the following:
> 
>     (a) abstain from 
> 
>     (i) the consumption of alcohol or other intoxicating substances, or
>     (ii) the consumption of drugs except in accordance with a medical prescription;
>     (b) abstain from owning, possessing or carrying a weapon;
>     (c) provide for the support or care of dependants;
>     (d) perform up to 240 hours of community service over a period not exceeding eighteen months;
>     (e) attend a treatment program approved by the province; and
>     (f) comply with such other reasonable conditions as the court considers desirable, subject to any regulations made under subsection 738(2), for securing the good conduct of the offender and for preventing a repetition by the offender of the same offence or the commission of other offences.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec742.1)

It is generally expected that the terms of a CSO will include a restriction on liberty such as house arrest.[[1]](Print_version.html#cite_note-217)

> 742.3 ...
> 
> **Obligations of court**  
(3) A court that makes an order under this section shall
> 
>     (a) cause a copy of the order to be given to the offender;
>     (b) explain the substance of subsection (1) and sections 742.4 and 742.6 to the offender;
>     (c) cause an explanation to be given to the offender of the procedure for applying under section 742.4 for a change to the optional conditions; and
>     (d) take reasonable measures to ensure that the offender understands the order and the explanations.
> 
> **For greater certainty**  
(4) For greater certainty, a failure to comply with subsection (3) does not affect the validity of the order.
> 
> ...
> 
> **Firearm, etc., prohibitions**  
742.2 (1) Before imposing a conditional sentence under section 742.1, the court shall consider whether section 109 or 110 is applicable.
> 
> **Application of section 109 or 110**  
(2) For greater certainty, a condition of a conditional sentence order referred to in paragraph 742.3(2)(b) does not affect the operation of section 109 or 110.
> 
> ...
> 
> – [CCC](http://canlii.ca/t/7vf2#sec742.1)

  
Additional conditions requiring the offender to undergo treatment and then return to the court for a progress report has been found to be invalid as the court is functus officio and has no jurisdiction over the matter.[[2]](Print_version.html#cite_note-218)

  1. [↑](Print_version.html#cite_ref-217) Proulx at para 127
  2. [↑](Print_version.html#cite_ref-218) R v Ermine [2010 SKCA 47](http://canlii.ca/t/29770) (CanLII)

## Conditional Sentence Breaches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-8)]

Conditional sentence breaches are governed by s. 742.6, which states:

> 742.6 (1) The provisions of Parts XVI and XVIII with respect to compelling the appearance of an accused before a justice apply, with such modifications as the circumstances require, to proceedings under subsections (3) to (9), and any reference in those Parts to committing an offence shall be read as a reference to breaching a condition of a conditional sentence order.
> 
> (2) For the purpose of the application of section 515, the release from custody of an offender who is detained on the basis of an alleged breach of a condition of a conditional sentence order shall be governed by subsection 515(6).
> 
> (3) An allegation of a breach of condition may be heard by any court having jurisdiction to hear that allegation in the place where the breach is alleged to have been committed or in the place where the accused is found, is arrested or is in custody, but where the place where the accused is found, is arrested or is in custody is outside the province in which the breach is alleged to have been committed, no proceedings in respect to that breach shall be instituted in that place without the consent of the Attorney General of that province, and any allegation of a breach shall be heard
> 
>     (a) within thirty days after the offender's arrest, where a warrant was issued; or
>     (b) where a summons was issued, within thirty days after the issue of the summons.
> 
> (4) An allegation of a breach of condition must be supported by a written report of the supervisor, which report must include, where appropriate, signed statements of witnesses.
> 
> (5) No report shall be admitted in evidence unless the party intending to produce it has, before the hearing, given the offender reasonable notice and a copy of the report.
> 
> (6) Service of any report referred to in subsection (4) may be proved by oral evidence given under oath by, or by the affidavit or solemn declaration of, the person claiming to have served it.
> 
> (7) Notwithstanding subsection (6), the court may require the person who appears to have signed an affidavit or solemn declaration referred to in that subsection to appear before it for examination or cross-examination in respect of the issue of proof of service.
> 
> (8) The offender may, with leave of the court, require the attendance, for cross-examination, of the supervisor or of any witness whose signed statement is included in the report.
> 
> (9) Where the court is satisfied, on a balance of probabilities, that the offender has without reasonable excuse, the proof of which lies on the offender, breached a condition of the conditional sentence order, the court may
> 
>     (a) take no action;
>     (b) change the optional conditions;
>     (c) suspend the conditional sentence order and direct 
> 
>     (i) that the offender serve in custody a portion of the unexpired sentence, and
>     (ii) that the conditional sentence order resume on the offender's release from custody, either with or without changes to the optional conditions; or
>     (d) terminate the conditional sentence order and direct that the offender be committed to custody until the expiration of the sentence.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec742.6)

An allegation of breach is not a charged offence within the meaning of s. 11 of the Charter. Consequently, the reverse onus does not violate s. 11(d) and does not amount to double jeopardy.[[1]](Print_version.html#cite_note-219) Nor generally speaking is it a substantive criminal offence.[[2]](Print_version.html#cite_note-220)

An allegation of a breach of a conditional sentence stops the running of the conditional sentence. [[3]](Print_version.html#cite_note-221) A breach is not necessarily an independent offence, but rather is simply a claim to reconsider the terms of the conditional sentence under s. 742.6.[[4]](Print_version.html#cite_note-222)

A breach hearing must commence within 30 days of the allegation.[[5]](Print_version.html#cite_note-223)

Once a breach allegation is made, it should only be the judge who granted the initial conditional sentence can grant bail before the hearing.[[6]](Print_version.html#cite_note-224) It breach hearing itself is also usually heard in front of the same judge.[[7]](Print_version.html#cite_note-225)

  1. [↑](Print_version.html#cite_ref-219) R v Casey (2000) 141 CCC (3d) 506
  2. [↑](Print_version.html#cite_ref-220) R. v. Bailey, 2012 ABCA 165
  3. [↑](Print_version.html#cite_ref-221) s. 742.6(10); R. v. Vromans, [2007 ABCA 36](http://www.canlii.org/en/ab/abca/doc/2007/2007abca36/2007abca36.html)
  4. [↑](Print_version.html#cite_ref-222) R. v. Proulx, at paras. 27 to 28
  5. [↑](Print_version.html#cite_ref-223) s. 742.6(3); R. v. McIvor, [2008 SCC 11](http://canlii.ca/t/1w4h7), [2008] 1 S.C.R. 285; R. v. Kabosos [2008 ONCA 711](http://www.canlii.org/en/on/onca/doc/2008/2008onca711/2008onca711.html)
  6. [↑](Print_version.html#cite_ref-224) R. v. Gessleman, [2005 ABQB 628](http://www.canlii.org/en/ab/abqb/doc/2005/2005abqb628/2005abqb628.html)
  7. [↑](Print_version.html#cite_ref-225) R. v. Tomic 2000 Alta CA

### Hearing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-9)]

To establish a breach, the crown must establish on a balance of probabilities that the offender breached the sentence.[[1]](Print_version.html#cite_note-226) Unless the accused proves on balance of probabilities that there was a reasonable excuse. (s. 742.6(9))

**Report**  
The breach must be supported by a signed report of the supervisor, and where appropriate signed statements of the witnesses. (s.742.6(4)) The report is admissible if the offender is given reasonable notice of the intention to produce the document as well as the Report itself. (s. 742.6(5))

This does not preclude the crown from calling oral evidence.[[2]](Print_version.html#cite_note-227)

The accused may seek leave of the court to cross examine the supervisor or any other witness who signed a statement in the report. (742.6(8)) However, the accused must establish that cross-examination serves a useful purpose.[[3]](Print_version.html#cite_note-228)

  1. [↑](Print_version.html#cite_ref-226) R. v. LeBorgne [2005] N.S.J. 493, [2005 NSCA 156](http://www.canlii.org/en/ns/nsca/doc/2005/2005nsca156/2005nsca156.html) C. (R.) v. McDougall, [2008] 3 S.C.R. 41 (S.C.C.)  
Held to be constitutional, see R. v. Casey (2000), 141 C.C.C. (3d) 506 (Ont. C.A.) at paras. 25 - 40.
  2. [↑](Print_version.html#cite_ref-227) R v Balaj (2010) 245 CCC (3d) 252 (SKCA)
  3. [↑](Print_version.html#cite_ref-228) R v McIvor, [2008] 1 SCR 285

### Disposition on Breach[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-10)]

If a breach is found, the presumption is for the offender to spend the remainder of the sentence in jail.[[1]](Print_version.html#cite_note-229) However, the disposition should turn on the particular circumstances.[[2]](Print_version.html#cite_note-230) It is the constant threat of encarceration that should compel compliance.[[3]](Print_version.html#cite_note-231)

A conditional sentence is suspended where the accused is ordered to serve another sentence in jail. (s. 742.7)

A judge cannot give an intermittent sentence for a breach of a conditional sentence order.[[4]](Print_version.html#cite_note-232)

  1. [↑](Print_version.html#cite_ref-229) R. v. Proulx, [2000] 1 SCR 61 at para. 39
  2. [↑](Print_version.html#cite_ref-230) R. v. Langley, [2005 BCCA 478](http://www.canlii.org/en/bc/bcca/doc/2005/2005bcca478/2005bcca478.html)
  3. [↑](Print_version.html#cite_ref-231) see R. v. Brady [1998 ABCA 7](http://canlii.ca/t/5str), (1998), 121 C.C.C. (3d) 504 (Alta. C.A.)
  4. [↑](Print_version.html#cite_ref-232) R v Langmaier, [2009 SKCA 57](http://canlii.ca/t/23kn7)  
R v Ng, [2007 ONCA 183](http://canlii.ca/t/1qv22)  
R. v. Bailey, [2012 ABCA 165](http://canlii.ca/t/frjpk)  


## Sentence Variations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-11)]

The Sentence Supervisor can recommend changes in the optional conditions of the Order where there is a change in circumstances. Notice of the proposed change must be provided to the court and counsel. It is generally understood that the changes should not be of a substantial nature that may change the purpose of the initial order. The application should not be initiated by the offender.[[1]](Print_version.html#cite_note-233)

> **Supervisor may propose changes to optional conditions**  
742.4 (1) Where an offender’s supervisor is of the opinion that a change in circumstances makes a change to the optional conditions desirable, the supervisor shall give written notification of the proposed change, and the reasons for it, to the offender, to the prosecutor and to the court.
> 
> **Hearing**  
(2) Within seven days after receiving a notification referred to in subsection (1),
> 
>     (a) the offender or the prosecutor may request the court to hold a hearing to consider the proposed change, or
>     (b) the court may, of its own initiative, order that a hearing be held to consider the proposed change,
> 
> and a hearing so requested or ordered shall be held within thirty days after the receipt by the court of the notification referred to in subsection (1).
> 
> **Decision at hearing**  
(3) At a hearing held pursuant to subsection (2), the court
> 
>     (a) shall approve or refuse to approve the proposed change; and
>     (b) may make any other change to the optional conditions that the court deems appropriate.
> 
> **Where no hearing requested or ordered**  
(4) Where no request or order for a hearing is made within the time period stipulated in subsection (2), the proposed change takes effect fourteen days after the receipt by the court of the notification referred to in subsection (1), and the supervisor shall so notify the offender and file proof of that notification with the court.
> 
> **Changes proposed by offender or prosecutor**  
(5) Subsections (1) and (3) apply, with such modifications as the circumstances require, in respect of a change proposed by the offender or the prosecutor to the optional conditions, and in all such cases a hearing must be held, and must be held within thirty days after the receipt by the court of the notification referred to in subsection (1).
> 
> **Judge may act in chambers**  
(6) All the functions of the court under this section may be exercised in chambers.
> 
> 1995, c. 22, s. 6; 1999, c. 5, s. 39.
> 
> – [CCC](http://www.canlii.ca/t/7fv2#sec742.4)

A change of address cannot be done merely be calling and leaving a voicemail message on the supervisors machine.[[2]](Print_version.html#cite_note-234)

There is no mechanism within the Code to permit a CSO to be transferred to a jurisdiction outside of Canada.[[3]](Print_version.html#cite_note-235)

  1. [↑](Print_version.html#cite_ref-233) R. v. Kobsar (2004), Alta QB
  2. [↑](Print_version.html#cite_ref-234) R. v. Sullivan [2009 CanLII 59436](http://canlii.ca/t/26dw4) (NL PC)
  3. [↑](Print_version.html#cite_ref-235) R. v. Goett, [2012 ABCA 215](http://canlii.ca/t/frz54) (CanLII)

## Prior to November 20, 2012[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-12)]

The previous version of s. 742.1 stated:

> 742.1 If a person is convicted of an offence, other than a serious personal injury offence as defined in section 752, a terrorism offence or a criminal organization offence prosecuted by way of indictment for which the maximum term of imprisonment is ten years or more or an offence punishable by a minimum term of imprisonment, and the court imposes a sentence of imprisonment of less than two years and is satisfied that the service of the sentence in the community would not endanger the safety of the community and would be consistent with the fundamental purpose and principles of sentencing set out in sections 718 to 718.2, the court may, for the purpose of supervising the offender’s behaviour in the community, order that the offender serve the sentence in the community, subject to the offender’s compliance with the conditions imposed under section 742.3.
> 
> ...
> 
> – [CCC](http://canlii.ca/t/51x1x#sec742.1)

### Serious Personal Injury Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-13)]

On December 1, 2007, the Criminal Code was amended to exempt all "serious personal injury offences", as defined in s. 752, from consideration for Conditional Sentences prior to November 20, 2012:

> 752.
> 
> ...
> 
> “serious personal injury offence” means  

> 
>     (a) an indictable offence, other than high treason, treason, first degree murder or second degree murder, involving 
> 
>     (i) the use or attempted use of violence against another person, or
>     (ii) conduct endangering or likely to endanger the life or safety of another person or inflicting or likely to inflict severe psychological damage on another person,
> 
> and for which the offender may be sentenced to imprisonment for ten years or more, or
> 
>     (b) an offence or attempt to commit an offence mentioned in section 271 (sexual assault), 272 (sexual assault with a weapon, threats to a third party or causing bodily harm) or 273 (aggravated sexual assault).
> 
> R.S., 1985, c. C-46, s. 752; 2008, c. 6, ss. 40, 61; 2010, c. 3, s. 8; 2012, c. 1, s. 35.
> 
> – [CCC](http://www.canlii.ca/t/7fv2#sec752)

This has been found to exclude most robberies.[[1]](Print_version.html#cite_note-236)

See more at [Canadian Criminal Sentencing/Long-term_and_Dangerous_Offender_Designation#Serious Personal Injury Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation#Serious_Personal_Injury_Offences)

  1. [↑](Print_version.html#cite_ref-236) R. v. Lebar, [2010] O.J. No 1133, [2010 ONCA 220](http://www.canlii.org/en/on/onca/doc/2010/2010onca220/2010onca220.html)  
c.f. R. v. Hendsbee, [2009 NSPC 50](http://www.canlii.org/en/ns/nspc/doc/2009/2009nspc50/2009nspc50.html)  
R. v. Sutherland, [2010 ONCJ 103](http://canlii.ca/t/28vkk)  


## History[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Conditional_Sentences&action=edit&section=T-14)]

On November 20, 2012, s. 742.1 was amended to eliminate a number of types of offences that are eligible for CSOs. Also, there is no longer any consideration of whether an offence is a "serious personal injury" offence. (see <<http://laws-lois.justice.gc.ca/eng/AnnualStatutes/2012_1/FullText.html>>) These amendments only apply to offences that occur after the amendments.

  


# Available Sentences/Concurrent and Consecutive Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Concurrent_and_Consecutive_Sentences&action=edit&section=T-1)]

Cumulative punishments are known as consecutive sentences. This only applies to jail sentences, all other sentences run concurrently.

All sentences are presumed to be served concurrently. The Code provides for cumulative punishments at section 718.3:

> 718.3
> 
> ...
> 
> **Cumulative punishments**  
(4) The court or youth justice court that sentences an accused may direct that the terms of imprisonment that are imposed by the court or the youth justice court or that result from the operation of subsection 734(4) or 743.5(1) or (2) shall be served consecutively, when
> 
>     (a) the accused is sentenced while under sentence for an offence, and a term of imprisonment, whether in default of payment of a fine or otherwise, is imposed;
>     (b) the accused is found guilty or convicted of an offence punishable with both a fine and imprisonment and both are imposed;
>     (c) the accused is found guilty or convicted of more than one offence, and 
> 
>     (i) more than one fine is imposed,
>     (ii) terms of imprisonment for the respective offences are imposed, or
>     (iii) a term of imprisonment is imposed in respect of one offence and a fine is imposed in respect of another offence; or
>     (d) subsection 743.5(1) or (2) applies.
> 1995, c. 22, s. 6; 1997, c. 18, s. 141; 2002, c. 1, s. 182. 
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec718.3)

Generally, sentences for offences that occur at separate occasions will be served consecutively.[[1]](Print_version.html#cite_note-237) While where the offences arise out of the same transaction, the sentences will be typically concurrent.[[2]](Print_version.html#cite_note-238) If the court does not indicate whether sentences are concurrent or consecutive it is presumed concurrent.[[3]](Print_version.html#cite_note-239)

Nevertheless, the decision of consecutive sentences is one entitled to deference.[[4]](Print_version.html#cite_note-240)

Sentences may be imposed consecutively in relation to a single transaction where the punishments protect "different societal interests" or "different legal interests".[[5]](Print_version.html#cite_note-241) A judge should consider the time frame within which the offences occurred, the similarity of the offences, whether a new intent or impulse initiated each of the offences and whether the total sentence is fit and proper under the circumstances.[[6]](Print_version.html#cite_note-242)

When deciding whether a sentence should be consecutive or concurrent, the court should consider 1) the time frame of the offences, 2) the similarity of the offences, 3) whether a new intent broached each offence, and 4) whether the total sentence is fit and proper.[[7]](Print_version.html#cite_note-243)

Certain sentences must be ordered to be served consecutively:

  1. Commission of indictable offence to advantage a terrorist group (s. 83.2 and s. 83.26)
  2. Instructing activity for terrorist group (s. 83.21(1) and s. 83.26)
  3. Instructing terrorist activity (s. 83.22(1) and s. 83.26)
  4. Instructing commission of offence for criminal organization (s. 467.13(1) and s. 467.14)

The decision on whether a sentence should be concurrent or consecutive "should be treated with the same deference owed by appellate courts to sentencing judges concerning the length of sentences ordered."[[8]](Print_version.html#cite_note-244)

  


  1. [↑](Print_version.html#cite_ref-237) R. v. Dube 2006 QCCA 699 [[26]](http://www.canlii.org/fr/qc/qcca/doc/2006/2006qcca699/2006qcca699.html); R. v. Howett (1982) BCCA
  2. [↑](Print_version.html#cite_ref-238) R. v. Mascarenhas, 2002 CanLII 41625 (ON CA) [[27]](http://www.canlii.org/en/on/onca/doc/2002/2002canlii41625/2002canlii41625.html);  
R. v. Veysey, 2006 NBCA 55 [[28]](http://www.canlii.org/en/nb/nbca/doc/2006/2006nbca55/2006nbca55.html)  
R. v. Desmarest (1986), 2 Q.A.C. 151  
R. v. Charchuk (1973), 6 N.S.R. (2d) 519
  3. [↑](Print_version.html#cite_ref-239) R. v. McCarthy 2005 NLCA __
  4. [↑](Print_version.html#cite_ref-240) R. v. M.(T.E.), [1997] 1 S.C.R. 948, at para. 46
  5. [↑](Print_version.html#cite_ref-241) R. v. Gillis, 2009 ONCA 312 [[29]](http://www.canlii.org/en/on/onca/doc/2009/2009onca312/2009onca312.html); R. v. Clarke (1994), 94 CCC 249(NSCA)
  6. [↑](Print_version.html#cite_ref-242) R. v. G.A.W., (1993), 125 N.S.R. (2d) 312 (NSCA)  
R. v. Naugle, 2011 NSCA 33
  7. [↑](Print_version.html#cite_ref-243) R. v. G.A.W., (1993), 125 N.S.R. (2d) 312 (NSCA);  
R. v. Naugle, 2011 NSCA 33 (CanLII), 2011 NSCA 33
  8. [↑](Print_version.html#cite_ref-244) R. v. McDonnell, 1997 CanLII 389 (SCC), [1997] 1 S.C.R. 948 at para. 17

  


# Available Sentences/Maximum and Minimum Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Statutory Minimum[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Maximum_and_Minimum_Sentences&action=edit&section=T-1)]

It has been agreed upon by several courts that mandatory minimums act as an "inflationary floor" and sets a new minimum punishment for the best offender. [[1]](Print_version.html#cite_note-245)

## Statutory Maximums[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Maximum_and_Minimum_Sentences&action=edit&section=T-2)]

The maximum available sentence for a given offence will be provided within the provisions defining the offence.

Given the distinction between summary offences and indictable offences, the maximum penalties for summary offences will always be less than indictable.

Where an offence is punishable by "summary conviction", [section 787(1)](http://canlii.ca/t/7vf2#sec787) states the punishment will be a fine of no more than $5,000 and/or 6 months jail unless the offence specifies otherwise. Other available summary offence maximums include 18 months jail.[[2]](Print_version.html#cite_note-246)

However, under [s. 735](http://canlii.ca/t/7vf2#sec735) where the accused is an organization, the summary conviction fine amount increases to $100,000.

The maximum for indictable offences will always be specified in the provisions. The code will specify a maximum of 2, 5, 10, 14 years jail or life.

It is generally stated that the maximum penalty is not simply reserved for the "worst of the worst" offenders.[[3]](Print_version.html#cite_note-247) All relevant factors must be considered and should only be consdered appropriate where the "offence is of sufficient gravity and the offender displays sufficient blameworthiness".[[4]](Print_version.html#cite_note-248)

On summary elections for hybrid offences, the court is bound by the maximum range set by parliament. However, the courts should not "scale up" or "scale down" the sentences due to the election.[[5]](Print_version.html#cite_note-249)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Available_Sentences/Maximum_and_Minimum_Sentences&action=edit&section=T-3)]

  1. [↑](Print_version.html#cite_ref-245) R. v. Morrisey, 2000 SCC 39 [[30]](http://www.canlii.org/en/ca/scc/doc/2000/2000scc39/2000scc39.html), discussed in minority decision  
R. v. Colville, 2005 ABCA 319 at paras. 21-26 [[31]](http://www.canlii.org/en/ab/abca/doc/2005/2005abca319/2005abca319.html)  
R. v. Ferguson, 2006 ABCA 261 at para. 85  
R. v. B.C.M., 2008 BCCA 365 [[32]](http://www.canlii.org/en/bc/bcca/doc/2008/2008bcca365/2008bcca365.html)  
R. v. Newman, 2009 NLCA 32
  2. [↑](Print_version.html#cite_ref-246) e.g. s. 253, 264.1
  3. [↑](Print_version.html#cite_ref-247) R. v. Solowan, 2008 SCC 62, [2008] 3 S.C.R. 309 [[33]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc62/2008scc62.html); R. v. L.M., 2008 SCC 31, [2008] 2 S.C.R. 163 [[34]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc31/2008scc31.html)
  4. [↑](Print_version.html#cite_ref-248) R. v. Cheddesingh,2004 SCC 16, [2004] 1 S.C.R. 433 [[35]](http://www.canlii.org/en/ca/scc/doc/2004/2004scc16/2004scc16.html)
  5. [↑](Print_version.html#cite_ref-249) R. v. Solowan, _supra_

# II.2 - Ancillary Orders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=5)]

## Ancillary Order[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders&action=edit&section=T-1)]

  * [Weapons Prohibition Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders)
  * [DNA Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders)
  * [SOIRA Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders)
  * [Section 161 Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders)
  * [Driving Prohibition Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/Driving_Prohibition_Orders)
  * [Fraud Prohibition Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/Fraud_Prohibition_Orders)
  * [Stand-alone Restitution Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences/Restitution)
  * [Forfeiture Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Forfeiture)
    * [Proceeds of Crime](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Proceeds_of_Crime)
    * [Offence-related Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offence-related_Property)
    * [Offence-related Property Under the Controlled Drugs Substances Act](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offence-related_Property_Under_the_Controlled_Drugs_Substances_Act)
    * [Detention and Forfeiture Under Section 490](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Detention_and_Forfeiture_Under_Section_490)

# Ancillary Orders/Weapons Prohibition Orders[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Legislation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-1)]

> **Mandatory prohibition order**  
109\. (1) Where a person is convicted, or discharged under section 730, of
> 
>     (a) an indictable offence in the commission of which violence against a person was used, threatened or attempted and for which the person may be sentenced to imprisonment for ten years or more,
>     (b) an offence under subsection 85(1) (using firearm in commission of offence), subsection 85(2) (using imitation firearm in commission of offence), 95(1) (possession of prohibited or restricted firearm with ammunition), 99(1) (weapons trafficking), 100(1) (possession for purpose of weapons trafficking), 102(1) (making automatic firearm), 103(1) (importing or exporting knowing it is unauthorized) or section 264 (criminal harassment),
>     (c) an offence relating to the contravention of subsection 5(1) or (2), 6(1) or (2) or 7(1) of the Controlled Drugs and Substances Act, or
>     (d) an offence that involves, or the subject-matter of which is, a firearm, a cross-bow, a prohibited weapon, a restricted weapon, a prohibited device, any ammunition, any prohibited ammunition or an explosive substance and, at the time of the offence, the person was prohibited by any order made under this Act or any other Act of Parliament from possessing any such thing,
> 
> the court that sentences the person or directs that the person be discharged, as the case may be, shall, in addition to any other punishment that may be imposed for that offence or any other condition prescribed in the order of discharge, make an order prohibiting the person from possessing any firearm, cross-bow, prohibited weapon, restricted weapon, prohibited device, ammunition, prohibited ammunition and explosive substance during the period specified in the order as determined in accordance with subsection (2) or (3), as the case may be.
> 
> **Duration of prohibition order — first offence**  
(2) An order made under subsection (1) shall, in the case of a first conviction for or discharge from the offence to which the order relates, prohibit the person from possessing
> 
>     (a) any firearm, other than a prohibited firearm or restricted firearm, and any crossbow, restricted weapon, ammunition and explosive substance during the period that 
> 
>     (i) begins on the day on which the order is made, and
>     (ii) ends not earlier than ten years after the person’s release from imprisonment after conviction for the offence or, if the person is not then imprisoned or subject to imprisonment, after the person’s conviction for or discharge from the offence; and
>     (b) any prohibited firearm, restricted firearm, prohibited weapon, prohibited device and prohibited ammunition for life.
> 
> **Duration of prohibition order — subsequent offences**  
(3) An order made under subsection (1) shall, in any case other than a case described in subsection (2), prohibit the person from possessing any firearm, cross-bow, restricted weapon, ammunition and explosive substance for life.
> 
> ...
> 
> **Discretionary prohibition order**  
110\. (1) Where a person is convicted, or discharged under section 730, of
> 
>     (a) an offence, other than an offence referred to in any of paragraphs 109(1)(a), (b) and (c), in the commission of which violence against a person was used, threatened or attempted, or
>     (b) an offence that involves, or the subject-matter of which is, a firearm, a cross-bow, a prohibited weapon, a restricted weapon, a prohibited device, ammunition, prohibited ammunition or an explosive substance and, at the time of the offence, the person was not prohibited by any order made under this Act or any other Act of Parliament from possessing any such thing,
> 
> the court that sentences the person or directs that the person be discharged, as the case may be, shall, in addition to any other punishment that may be imposed for that offence or any other condition prescribed in the order of discharge, consider whether it is desirable, in the interests of the safety of the person or of any other person, to make an order prohibiting the person from possessing any firearm, cross-bow, prohibited weapon, restricted weapon, prohibited device, ammunition, prohibited ammunition or explosive substance, or all such things, and where the court decides that it is so desirable, the court shall so order.
> 
> ...
> 
> **Duration of prohibition order**  
(2) An order made under subsection (1) against a person begins on the day on which the order is made and ends not later than ten years after the person’s release from imprisonment after conviction for the offence to which the order relates or, if the person is not then imprisoned or subject to imprisonment, after the person’s conviction for or discharge from the offence.
> 
> – [[54]](http://canlii.ca/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec109)

## Mandatory 109 Order[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-2)]

The 109 Order applies where at least one of the elements of s. 109(1)(a),(b),(c), or (d) applies.

The order is mandatory under **s. 109(1)(a)** where the offence is:

  * indictable;
  * involved violence (used, threatened or attempted) and
  * offence has maximum penalty of 10 years or more.

The order is mandatory under **s. 109(1)(b)** where the offence is:

  * criminal harassment (s.264); or
  * a weapon offence under s.85(1) or (2), 95(1), 99(1), 100(1), 102(1), 103(1)

The order is mandatory under **s. 109(1)(c)** where it involves certain drug offences under the CDSA (s.5(1) or (2), s. 6(1) or (2), s. 7(1))

The order is mandatory under **s. 109(1)(d)** where the offence:

  * involves a firearm, crossbow, prohibited weapon, restricted weapon, prohibited device, ammunition, or explosive substnace, _and_
  * the offender was prohibited from possessing such items at the time of the offence

The first time that a s.109 Order is granted for an accused there is a requirement of a _minimum_ of 10 year prohibitoin for firearms, crossbows, restricted weapons, ammo and explosives as well as a _lifetime_ prohibition for prohibited firearms, restricted firearms, prohibited weapons, prohibited devices and prohibited ammunition.

All subsequent 109 orders must be a _minimum_ prohibition of life for all items listed.

Section 109(1)(c) was found not to violate s. 12 of the Charter for Cruel and Unusual punishment for a production of cannabis conviction.[[1]](Print_version.html#cite_note-250)

  1. [↑](Print_version.html#cite_ref-250) R. v. Wiles, [2005 SCC 84](http://canlii.ca/t/1m7f5) (CanLII), [2005] 3 SCR 895

## Discretionary 110 Order[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-3)]

The order is discretionary under **s.110(1)(a)** where the offence involves violence (used, threatened or attempted).

The order is also discretionary under **s. 110(1)(b)** where:

  * the offence involves a firearm, crossbow, prohibited weapon, restricted weapon, prohibited device, ammunition, or explosive substance, _and_
  * the offender was prohibited from possessing such items at the time of the offence

To make the order under s. 110, the order must be in the interests of the safety of the accused and other members of the public. Should the judge decline a request for an order under s.110, the judge must give reasons for declining.

A order under s. 110 will impose a maximum of 10 years prohibiting the possession of firearms, crossbows, restricted weapons, ammunition, or explosives, prohibited weapons, prohibited devices, and prohibited ammunition. This does _not_ include prohibited firearms or restricted firearms.

## Variations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-4)]

Section 113 has been found to provide the court with authority to apply to modify a weapons prohibition.[[1]](Print_version.html#cite_note-251)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-5)]

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Weapons_Prohibition_Orders&action=edit&section=T-6)]

  1. [↑](Print_version.html#cite_ref-251) R. v. Conley, 2010 BCSC 1092 [[36]](http://www.canlii.org/en/bc/bcsc/doc/2010/2010bcsc1092/2010bcsc1092.html)  


  


# Ancillary Orders/DNA Orders[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## DNA Orders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-1)]

DNA Orders are court orders permitting certain law enforcement persons to take bodily substance samples for the purpose of adding a record of the offender's DNA to the national database. A DNA order can be made by a sentencing judge where the offence being sentenced is either a "primary designated offence", for which it is mandatory, or a "secondary designated offence", for which it is discretionary.

## Primary Designated Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-2)]

> **Order — primary designated offences**  
487.051 (1) The court shall make an order in Form 5.03 authorizing the taking of the number of samples of bodily substances that is reasonably required for the purpose of forensic DNA analysis from a person who is convicted, discharged under section 730 or found guilty under the Youth Criminal Justice Act or the Young Offenders Act, of an offence committed at any time, including before June 30, 2000, if that offence is a primary designated offence within the meaning of paragraph (a) of the definition “primary designated offence” in section 487.04 when the person is sentenced or discharged.
> 
> **Order — primary designated offences**  
(2) The court shall make such an order in Form 5.03 in relation to a person who is convicted, discharged under section 730 or found guilty under the Youth Criminal Justice Act or the Young Offenders Act, of an offence committed at any time, including before June 30, 2000, if that offence is a primary designated offence within the meaning of any of paragraphs (a.1) to (d) of the definition “primary designated offence” in section 487.04 when the person is sentenced or discharged. However, the court is not required to make the order if it is satisfied that the person has established that the impact of such an order on their privacy and security of the person would be grossly disproportionate to the public interest in the protection of society and the proper administration of justice, to be achieved through the early detection, arrest and conviction of offenders.
> 
> 1998, c. 37, s. 17; 2002, c. 1, s. 176; 2005, c. 25, s. 3; 2007, c. 22, ss. 9, 47.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.051)

Under s. 487.04, a "primary designated offence" is defined as:

SECTION (a) 

  * offence in relation to sexual offences against children,
  * [sexual interference](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Interference),
  * [invitation to sexual touching](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Invitation_to_Sexual_Touching),
  * [sexual exploitation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Exploitation),
  * [sexual exploitation of person with disability](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Exploitation),
  * [incest](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Incest),
  * [compelling the commission of bestiality](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Bestiality),
  * bestiality in presence of or by a child,
  * [child pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Pornography),
  * parent or guardian procuring sexual activity,
  * [luring a child by means of a computer system](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Luring),
  * exposure,
  * stupefying or overpowering for the purpose of sexual intercourse,
  * living on the avails of prostitution of a person under age of 18,
  * aggravated offence in relation to living on the avails of prostitution of a person under age of 18,
  * obtaining prostitution of person under age of 18,
  * [murder](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Homicide),
  * manslaughter,
  * [attempt to commit murder](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Attempted_Murder),
  * discharging firearm with intent,
  * causing bodily harm with intent — air gun or pistol,
  * discharging firearm — recklessness,
  * administering noxious thing with intent to endanger life or cause bodily harm,
  * overcoming resistance to commission of offence,
  * [assault with a weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_with_a_Weapon) or [causing bodily harm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_Causing_Bodily_Harm),
  * [aggravated assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Aggravated_Assault),
  * unlawfully causing bodily harm,
  * assaulting peace officer with weapon or causing bodily harm,
  * aggravated assault of peace officer,
  * [sexual assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault),
  * [sexual assault with a weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault_with_a_Weapon),
  * threats to a third party or causing bodily harm,
  * [aggravated sexual assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Aggravated_Sexual_Assault),
  * removal of a child from Canada,
  * kidnapping,
  * [robbery](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Robbery), and
  * [extortion](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Extortion)
SECTION (a.1) 

  * piratical acts,
  * hijacking,
  * endangering safety of aircraft or airport,
  * seizing control of ship or fixed platform,
  * using explosives,
  * participation in activity of terrorist group,
  * facilitating terrorist activity,
  * commission of offence for terrorist group,
  * instructing to carry out activity for terrorist group,
  * instructing to carry out terrorist activity,
  * harbouring or concealing,
  * procuring, infanticide,
  * trafficking in persons,
  * trafficking of a person under the age of eighteen years,
  * hostage taking, breaking and entering a dwelling-house,
  * intimidation of a justice system participant or journalist,
  * attack on premises, residence or transport of internationally protected person,
  * attack on premises,
  * accommodation or transport of United Nations or associated personnel,
  * explosive or other lethal device, participation in activities of criminal organization,
  * commission of offence for criminal organization, and
  * instructing commission of offence for criminal organization
SECTION (b) 

Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as they read from time to time before January 4, 1983:

  * rape, attempt to commit rape,
  * sexual intercourse with female under fourteen and between fourteen and sixteen,

sexual intercourse with feeble-minded, etc.,

  * indecent assault on female, indecent assault on male,
  * acts of gross indecency, and
  * assault with intent if the intent is to commit an offence referred to in subparagraphs (i) to (vi)

SECTION (c)

Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as they read from time to time before January 1, 1988:

  * sexual intercourse with a female under age of 14,
  * sexual intercourse with a female between ages of 14 and 16,
  * sexual intercourse with step-daughter,
  * gross indecency, parent or guardian procuring defilement, and
  * householder permitting defilement

SECTION (c.01)

Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970,  
as [amended by] chapter 125 of the Statutes of Canada, 1980-81-82-83:

  * sexual assault,
  * sexual assault with a weapon,
  * threats to a third party or causing bodily harm, and
  * aggravated sexual assault]

SECTION (c.1) Security of Information Act:

  * approaching, entering, etc., a prohibited place,
  * threats or violence,
  * harbouring or concealing

SECTION (d)

  * an attempt to commit or, other than for the purposes of subsection 487.05(1), a conspiracy to commit an offence referred to in any of paragraphs (a) to (c.01)

The sample will only be refused where "the impact of the order on the offender's privacy and security of the person [is] grossly disproportionate to the public interest in the protection of society and the proper administration of justice to be achieved through the early detection, arrest and conviction of offenders" [[1]](Print_version.html#cite_note-252)

Factors to be considered include "the nature of the offence, the nature of the intrusion and the circumstances of the individual who will be the subject of the intrusion."[[2]](Print_version.html#cite_note-253)

  1. [↑](Print_version.html#cite_ref-252) R. v. Jordan, [2002 NSCA 11](http://www.canlii.org/en/ns/nsca/doc/2002/2002nsca11/2002nsca11.html) at para. 59
  2. [↑](Print_version.html#cite_ref-253) Jordan at para. 61

## Secondary designated offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-3)]

Distinct from "primary designated offences" are the "secondary designated offences" which is defined as:

> s. 487.051
> 
> ...
> 
> **Order — persons found not criminally responsible and secondary designated offences**  
(3) The court may, on application by the prosecutor and if it is satisfied that it is in the best interests of the administration of justice to do so, make such an order in Form 5.04 in relation to
> 
>     (a) a person who is found not criminally responsible on account of mental disorder for an offence committed at any time, including before June 30, 2000, if that offence is a designated offence when the finding is made; or
>     (b) a person who is convicted, discharged under section 730 or found guilty under the Youth Criminal Justice Act or the Young Offenders Act, of an offence committed at any time, including before June 30, 2000, if that offence is a secondary designated offence when the person is sentenced or discharged.
> 
> In deciding whether to make the order, the court shall consider the person’s criminal record, whether they were previously found not criminally responsible on account of mental disorder for a designated offence, the nature of the offence, the circumstances surrounding its commission and the impact such an order would have on the person’s privacy and security of the person and shall give reasons for its decision.
> 
> – [[55]](http://canlii.ca/t/7vf2#sec487.051)

Offences that are classified as "secondary designated offences" consist of:

> (a) an offence under this Act that may be prosecuted by indictment — or, for section 487.051 to apply, is prosecuted by indictment — for which the maximum punishment is imprisonment for five years or more...
> 
> (b) an offence under any of the following provisions of the Controlled Drugs and Substances Act that may be prosecuted by indictment — or, for section 487.051 to apply, is prosecuted by indictment — for which the maximum punishment is imprisonment for five years or more:
> 
> [listing the following offences: trafficking in substance and possession for purpose of trafficking, importing and exporting, and production of substance]
> 
> (c) an offence under any of the following provisions of this Act... [listing the following offences:escape and being at large without excuse, permitting or assisting escape, rescue or permitting escape, assisting prisoner of war to escape, indecent acts, failure to stop at scene of accident, criminal harassment, uttering threats, assault, assaulting a peace officer, breaking and entering a place other than a dwelling-house, being unlawfully in dwelling-house, and intimidation]...
> 
> (d) an offence under any of the following provisions of the Criminal Code, as they read from time to time before July 1, 1990: [listing arson, setting fire to other substance]
> 
> (e) an attempt to commit or, other than for the purposes of subsection 487.05(1), a conspiracy to commit
> 
>     (i) an offence referred to in paragraph (a) or (b) — which, for section 487.051 to apply, is prosecuted by indictment, or
>     (ii) an offence referred to in paragraph (c) or (d);
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.04)

Under s. 487.051(3)(b), DNA orders can only be granted for secondary offences where the prosecution applies and where the court is “satisfied that it is in the best interests of the administration of justice to do so, make [a DNA order] … in relation to…(b) a person who is convicted…of an offence…if that offence is a secondary designated offence when the person is sentenced or discharged.”

Due to the wording of the provision, the court has no authority to seek a DNA order for a secondary offence where the crown is not seeking one.[[1]](Print_version.html#cite_note-254)

  1. [↑](Print_version.html#cite_ref-254) similar provision was interpreted in such a fashion in R v R(BE) 2005 BCCA 420 at 20 to 22

### List of Secondary Designated Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-4)]

  * Possession of a Forged Passport (57)
  * Taking Explosives or Weapons on Board a Plane (78)
  * Breach of Duty of Care Regarding Explosives Causing Bodily Harm or Death (80)
  * Possession of a Weapon for a Dangerous Purpose (88)
  * Carrying a Concealed Weapon (90)
  * Unauthorized Possession of a Firearm (91)
  * Possession of a Firearm Knowing Possession is Unauthorized (92)
  * Possession of a Restricted or Prohibited Firearm with Ammo (95)
  * Weapons Trafficking (99)
  * Possession of a Weapon for Purpose of Trafficking (100)
  * Perjury (131)
  * Contradictory Evidence with Intent to Mislead (136)
  * Fabricating Evidence (137)
  * Obstructing Justice (139(2))
  * Public Mischief (140)
  * Prison Breach (144)
  * Bestiality (160)
  * Impaired Driving and Driving While Over 80 (253)
  * Refusal to Provide a Breath or Blood Sample (254)

NB: This list is not complete

## Taking of Samples[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-5)]

> 487.056
> 
> ...
> 
> **Collection of samples**  
(5) A peace officer who is authorized under section 487.051, 487.055 or 487.091 to take samples of bodily substances may cause the samples to be taken in any place in Canada in which the person who is subject to the order or authorization is located.
> 
> **Who collects samples**  
(6) The samples shall be taken by a peace officer who has jurisdiction over the person or in the place in which the samples are taken — or a person acting under their direction — who is able, by virtue of training or experience, to take them.
> 
> 1998, c. 37, s. 17; 2000, c. 10, s. 16; 2002, c. 1, s. 179(E); 2005, c. 25, s. 6; 2007, c. 22, s. 13.
> 
> **Report of peace officer**  
487.057 (1) A peace officer who takes samples of bodily substances from a person or who causes a person who is not a peace officer to take samples under their direction shall, as soon as feasible after the samples are taken, make a written report in Form 5.07 and cause the report to be filed with
> 
>     (a) the provincial court judge who issued the warrant under section 487.05 or granted the authorization under section 487.055 or 487.091 or another judge of that provincial court; or
>     (b) the court that made the order under section 487.051.
> 
> **Contents of report**  
(2) The report shall include
> 
>     (a) a statement of the time and date the samples were taken; and
>     (b) a description of the bodily substances that were taken.
> 
> **Copy of report**  
(3) A peace officer who takes the samples or causes the samples to be taken under their direction at the request of another peace officer shall send a copy of the report to the other peace officer unless that other peace officer had jurisdiction to take the samples.
> 
> 1998, c. 37, s. 17; 2000, c. 10, s. 17; 2007, c. 22, s. 14.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec487.056)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders&action=edit&section=T-6)]

  


# Ancillary Orders/SOIRA Orders[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## SOIRA Orders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-1)]

Section 490.012 grants judges the power to order an offender to comply with the SOIRA:

> **Order**  
490.012 (1) When a court imposes a sentence on a person for an offence referred to in paragraph (a), (c), (c.1), (d) or (e) of the definition “designated offence” in subsection 490.011(1) or renders a verdict of not criminally responsible on account of mental disorder for such an offence, it shall make an order in Form 52 requiring the person to comply with the Sex Offender Information Registration Act for the applicable period specified in section 490.013.
> 
> **Order — if intent established**
> 
>     (2) When a court imposes a sentence on a person for an offence referred to in paragraph (b) or (f) of the definition “designated offence” in subsection 490.011(1), it shall, on application of the prosecutor, make an order in Form 52 requiring the person to comply with the Sex Offender Information Registration Act for the applicable period specified in section 490.013 if the prosecutor establishes beyond a reasonable doubt that the person committed the offence with the intent to commit an offence referred to in paragraph (a), (c), (c.1), (d) or (e) of that definition.
> 
> **Order — if previous offence established**
> 
>     (3) When a court imposes a sentence on a person for a designated offence in connection with which an order may be made under subsection (1) or (2) or renders a verdict of not criminally responsible on account of mental disorder for such an offence, it shall, on application of the prosecutor, make an order in Form 52 requiring the person to comply with the Sex Offender Information Registration Act for the applicable period specified in section 490.013 if the prosecutor establishes that 
> 
>     (a) the person was, before or after the coming into force of this paragraph, previously convicted of, or found not criminally responsible on account of mental disorder for, an offence referred to in paragraph (a), (c), (c.1), (d) or (e) of the definition “designated offence” in subsection 490.011(1) or in paragraph (a) or (c) of the definition “designated offence” in section 227 of the National Defence Act;
>     (b) the person was not served with a notice under section 490.021 or 490.02903 or under section 227.08 of the National Defence Act in connection with that offence; and
>     (c) no order was made under subsection (1) or under subsection 227.01(1) of the National Defence Act in connection with that offence.
> 
> **Failure to make order**
> 
>     (4) If the court does not consider the matter under subsection (1) or (3) at that time, the court 
> 
>     (a) shall, within 90 days after the day on which it imposes the sentence or renders the verdict, set a date for a hearing to do so;
>     (b) retains jurisdiction over the matter; and
>     (c) may require the person to appear by closed-circuit television or any other means that allows the court and the person to engage in simultaneous visual and oral communication, as long as the person is given the opportunity to communicate privately with counsel if they are represented by counsel.
> 
> 2004, c. 10, s. 20; 2007, c. 5, s. 13; 2010, c. 17, s. 5.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec490.012)

## Designated offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-2)]

The Order is generally to be granted for "designated offences" listed under section 490.011 (1), including:

SECTION (a) 

  * subsection 7(4.1) (offence in relation to sexual offences against children),
  * section 151 ([sexual interference](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Interference)),
  * section 152 ([invitation to sexual touching](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Invitation_to_Sexual_Touching)),
  * section 153 ([sexual exploitation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Exploitation)),
  * section 153.1 (sexual exploitation of person with disability),
  * section 155 ([incest](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Incest)),
  * subsection 160(3) ([bestiality in presence of or by a child](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Bestiality)),
  * section 163.1 ([child pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Pornography)),
  * section 170 (parent or guardian procuring sexual activity),
  * section 171.1 (making sexually explicit material available to child),
  * section 172.1 ([luring a child](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Luring)),
  * section 172.2 (agreement or arrangement — sexual offence against child),
  * subsection 173(2) (exposure),
  * paragraph 212(1)(i) (stupefying or overpowering for the purpose of sexual intercourse),
  * subsection 212(2) (living on the avails of prostitution of a person under age of eighteen),
  * subsection 212(2.1) (aggravated offence — living on the avails of prostitution of a person under age of eighteen),
  * subsection 212(4) (obtaining prostitution of person under age of eighteen),
  * section 271 ([sexual assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault)),
  * section 272 (sexual assault with a weapon, threats to a third party or causing bodily harm),
  * paragraph 273(2)(a) (aggravated sexual assault — use of a restricted firearm or prohibited firearm or any firearm in connection with criminal organization),
  * paragraph 273(2)(a.1) (aggravated sexual assault — use of a firearm),
  * paragraph 273(2)(b) (aggravated sexual assault), and
  * subsection 273.3(2) (removal of a child from Canada);
SECTION (b) 

  * subsection 173(1) (indecent acts),
  * section 177 (trespassing at night),
  * section 230 ([murder in commission of offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Homicide)),
  * section 234 (manslaughter),
  * paragraph 246(b) (overcoming resistance to commission of offence),
  * section 264 ([criminal harassment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Criminal_Harassment)),
  * section 279 (kidnapping),
  * section 279.01 (trafficking in persons),
  * section 280 (abduction of a person under age of sixteen),
  * section 281 (abduction of a person under age of fourteen),
  * paragraph 348(1)(d) ([breaking and entering](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Break_and_Enter) a dwelling house with intent to commit an indictable offence),
  * paragraph 348(1)(d) (breaking and entering a dwelling house and committing an indictable offence),
  * paragraph 348(1)(e) (breaking and entering a place other than a dwelling house with intent to commit an indictable offence), and
  * paragraph 348(1)(e) (breaking and entering a place other than a dwelling house and committing an indictable offence);

The offences in the left column are designated offences under s.490.011(1)(a) that are eligible for a SOIRA Order under s. 490.012(1). The offences in the right column are designated offences under s.490.011(1)(b) that are eligible for a SOIRA Order under s. 490.012(2), _if_ the crown can prove beyond a reasonable doubt that the offence was committed for the intent to commit an offence under s.490.011(1)(a).

_Sex Offender Registration Act_ establishes a database accessible to police that contains addresses, descriptions, and other information regarding sex offenders. The offender is obligated to keep the information on file up to date for the period ordered. This will either be 10 years, 20 years, or life. Failure to comply with the order is a criminal offence.

## Prior to April 15, 2011 Amendments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-3)]

In April 15, 2011, the phrasing of s.490.012 was amended to make SOIRA mandatory for all section (a), (c), (c.1), (d) or (e) designated offences. Prior to this amendment these designated offences presumptively required a SOIRA order unless outweighed by other interests. As such, there is no longer the weighing of proportional interests.

The previous scheme allowed the following:

The court may exempt an offender from registration under the SOIRA if the court is satisfied that the impact of the obligations would be "grossly disproportionate to the public interest in protecting society though the effective investigation of crimes of a sexual nature".[[1]](Print_version.html#cite_note-255)The Court must give reasons for the decision to grant or deny the order under the SOIRA.[[2]](Print_version.html#cite_note-256)

The requirements can be summarized as follows:[[3]](Print_version.html#cite_note-257)

  1. What is the impact on the individual offender,
  2. What is the public interest served by registration, and
  3. Is the impact upon the defendant grossly disproportionate to the public interest having regard to: 
    1. the nature of the offence,
    2. the nature of the intrusion, and
    3. the circumstances of the individual offender.

From "a public interest point of view it is desirable that the registry not be so inclusive as to include so many low risk or no risk offenders as to dilute the resources and attention of the police from those that pose a genuine risk."[[4]](Print_version.html#cite_note-258)

  1. [↑](Print_version.html#cite_ref-255) s. 490.012(4)

The court is not required to make an order under this section if it is satisfied that the person has established that, if the order were made, the impact on them, including on their privacy or liberty, would be grossly disproportionate to the public interest in protecting society through the effective investigation of crimes of a sexual nature, to be achieved by the registration of information relating to sex offenders under the Sex Offender Information Registration Act.

  2. [↑](Print_version.html#cite_ref-256) s. 490.012(5) The court shall give reasons for its decision."
  3. [↑](Print_version.html#cite_ref-257) R. v. Epp, 2005 SKPC 71 at 26 referring to R.E.M. [2005] B.C.J. No. 1191 (B.C.S.C.)
  4. [↑](Print_version.html#cite_ref-258) R. v. Have [2005] O.J. No. 388 at para. 17  


## Duration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-4)]

Under Section 490.13, the length of the SOIRA order is based on the election and maximum penalty.

> 490.013 (1) An order made under section 490.012 begins on the day on which it is made.
> 
> **Duration of order**  
(2) An order made under subsection 490.012(1) or (2)
> 
>     (a) ends 10 years after it was made if the offence in connection with which it was made was prosecuted summarily or if the maximum term of imprisonment for the offence is two or five years;
>     (b) ends 20 years after it was made if the maximum term of imprisonment for the offence is 10 or 14 years; and
>     (c) applies for life if the maximum term of imprisonment for the offence is life.
> 
> ...
> 
> 2004, c. 10, s. 20; 2007, c. 5, s. 14; 2010, c. 17, s. 6.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec490.013)

An order must be made for a minimum of life where:

  * the offender was convicted or found NCR for more than one designated offence (490.013 (2.1))
  * the offender was/is subject to an obligation under s. 490.019 or 490.02901 of the Code, or 227.06 of the National Defence Act or 36.1 of the International Transfer of Offenders Act (490.013 (3))
  * the offender was previously given a SOIRA order in the past (490.013 (4))

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-5)]

  * [Canadian Criminal Sentencing/Ancillary Orders/DNA Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/SOIRA_Orders&action=edit&section=T-6)]

  


# Ancillary Orders/Section 161 Orders[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Generally[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-1)]

When an offender is convicted on an enumerated offence concerning persons under the age 16, section 161 of the Criminal Code permits the court to make an order prohibiting the offender’s from certain activities that may have them in contact with persons under the age of 16.

> **Order of prohibition**  
161. (1) When an offender is convicted, or is discharged on the conditions prescribed in a probation order under section 730, of an offence referred to in subsection (1.1) in respect of a person who is under the age of 16 years, the court that sentences the offender or directs that the accused be discharged, as the case may be, in addition to any other punishment that may be imposed for that offence or any other condition prescribed in the order of discharge, shall consider making and may make, subject to the conditions or exemptions that the court directs, an order prohibiting the offender from
> 
>     (a) attending a public park or public swimming area where persons under the age of 16 years are present or can reasonably be expected to be present, or a daycare centre, schoolground, playground or community centre;
>     (b) seeking, obtaining or continuing any employment, whether or not the employment is remunerated, or becoming or being a volunteer in a capacity, that involves being in a position of trust or authority towards persons under the age of 16 years;
>     (c) having any contact — including communicating by any means — with a person who is under the age of 16 years, unless the offender does so under the supervision of a person whom the court considers appropriate; or
>     (d) using the Internet or other digital network, unless the offender does so in accordance with conditions set by the court.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 161; R.S., 1985, c. 19 (3rd Supp.), s. 4; 1993, c. 45, s. 1; 1995, c. 22, s. 18; 1997, c. 18, s. 4; 1999, c. 31, s. 67; 2002, c. 13, s. 4; 2005, c. 32, s. 5; 2008, c. 6, s. 54; 2012, c. 1, s. 16.
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec161)

The purpose of s.161 orders is to protect vulnerable children from dangerous convicted paeodphiles. They are preventative in nature.[[1]](Print_version.html#cite_note-259)

The restrictions on swimming areas will also include pools found in apartment buildings and other complexes.[[2]](Print_version.html#cite_note-260)

## Applicable Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-2)]

The applicable offences are listed in s. 161(1.1):

> **Offences**  
(1.1) The offences for the purpose of subsection (1) are
> 
>     (a) an offence under section 151, 152, 155 or 159, subsection 160(2) or (3), section 163.1, 170, 171, 171.1, 172.1 or 172.2, subsection 173(2) or 212(1), (2), (2.1) or (4) or section 271, 272, 273, 280 or 281;
>     (b) an offence under section 144 (rape), 145 (attempt to commit rape), 149 (indecent assault on female), 156 (indecent assault on male) or 245 (common assault) or subsection 246(1) (assault with intent) of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as it read immediately before January 4, 1983; or
>     (c) an offence under subsection 146(1) (sexual intercourse with a female under 14) or section 153 (sexual intercourse with step-daughter), 155 (buggery or bestiality), 157 (gross indecency), 166 (parent or guardian procuring defilement) or 167 (householder permitting defilement) of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as it read immediately before January 1, 1988.
> 
> R.S., 1985, c. C-46, s. 161; R.S., 1985, c. 19 (3rd Supp.), s. 4; 1993, c. 45, s. 1; 1995, c. 22, s. 18; 1997, c. 18, s. 4; 1999, c. 31, s. 67; 2002, c. 13, s. 4; 2005, c. 32, s. 5; 2008, c. 6, s. 54; 2012, c. 1, s. 16.
> 
> ...
> 
> – [CCC](http://canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec161)

Section 161(1.1)(b) and (c) list applicable offences as they existed pre-1988.

Offences listed include:

  * [Sexual Interference](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Sexual_Interference) (151)
  * [Invitation to Sexual Touching](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Invitation_to_Sexual_Touching) (152)
  * [Bestiality](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Bestiality) (160)
  * [Child Pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Child_Pornography) (163.1)
  * [Making Sexual Explicit Materials Available to Child](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Making_Sexual_Explicit_Materials_Available_to_Child) (171.1)
  * [Child Luring](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Child_Luring) (172.1)
  * [Agree or Arrange a Sexual Offence Against Child](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Agree_or_Arrange_a_Sexual_Offence_Against_Child) (172.2)
  * [Procuring and Living on the Avails of Prostitution](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Procuring_and_Living_on_the_Avails_of_Prostitution) (212)
  * [Sexual Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Sexual_Assault) (271)
  * [Sexual Assault with a Weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Sexual_Assault_with_a_Weapon) (272)
  * [Sexual Assault Causing Bodily Harm](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Sexual_Assault_Causing_Bodily_Harm) (272)
  * [Aggravated Sexual Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Aggravated_Sexual_Assault) (273)

  
Certain sexual offences such as sexual exploitation (153), sexual exploitation of a disabled person (153.1), and [voyeurism](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Voyeurism) (162) are amongst those **not listed**.

  1. [↑](Print_version.html#cite_ref-259) R. v. S.B., 2008 ONCJ 383
  2. [↑](Print_version.html#cite_ref-260) R. v. D’Angelo (2002) 166 OAC 92 (ONCA)

## Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-3)]

Simply because the CP consisted of drawings rather than images of child abuse will not be suffient reason to refrain from ordering a s.161 order.[[1]](Print_version.html#cite_note-261)

In practice, the judges will usually impose a 161 order for a period of 10 years or life for the most serious sexual predator offences.

  1. [↑](Print_version.html#cite_ref-261) M.K. v. R., 2010 NBCA 71 at 26 to 28

## Duration[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-4)]

The prohibition can be of any length of time up to life.[[1]](Print_version.html#cite_note-262) The starting point of the order would either be at the time of sentence or at the time of release from custody.[[2]](Print_version.html#cite_note-263)

  1. [↑](Print_version.html#cite_ref-262) 161(2)
  2. [↑](Print_version.html#cite_ref-263) s. 161(2)(a) and (b)

## Variations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-5)]

The condition can be varied by the same court.[[1]](Print_version.html#cite_note-264)

  1. [↑](Print_version.html#cite_ref-264) s. 161(3)

## Breaches[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-6)]

Violations of the Order is a hybrid offence, either on summary conviction or a maxiumum of 2 years on indictable election.[[1]](Print_version.html#cite_note-265)

  1. [↑](Print_version.html#cite_ref-265) s. 161(4)

## History[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Section_161_Orders&action=edit&section=T-7)]

On August 9, 2012, section 161 was amended to add s. 161(1)(c) and (d) and to add other enumerated offences found in s. 161(1.1).[[1]](Print_version.html#cite_note-266)

  1. [↑](Print_version.html#cite_ref-266) see [the full text here](http://laws-lois.justice.gc.ca/eng/AnnualStatutes/2012_1/FullText.html)

  


# Ancillary Orders/Driving Prohibition Orders[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Legislation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Driving_Prohibition_Orders&action=edit&section=T-1)]

> **Mandatory order of prohibition**  
259\. (1) When an offender is convicted of an offence committed under section 253 or 254 or this section or discharged under section 730 of an offence committed under section 253 and, at the time the offence was committed or, in the case of an offence committed under section 254, within the three hours preceding that time, was operating or had the care or control of a motor vehicle, vessel or aircraft or of railway equipment or was assisting in the operation of an aircraft or of railway equipment, the court that sentences the offender shall, in addition to any other punishment that may be imposed for that offence, make an order prohibiting the offender from operating a motor vehicle on any street, road, highway or other public place, or from operating a vessel or an aircraft or railway equipment, as the case may be,
> 
>     (a) for a first offence, during a period of not more than three years plus any period to which the offender is sentenced to imprisonment, and not less than one year;
>     (b) for a second offence, during a period of not more than five years plus any period to which the offender is sentenced to imprisonment, and not less than two years; and
>     (c) for each subsequent offence, during a period of not less than three years plus any period to which the offender is sentenced to imprisonment.
> 
> **Alcohol ignition interlock device program**  
(1.1) If the offender is registered in an alcohol ignition interlock device program established under the law of the province in which the offender resides and complies with the conditions of the program, the offender may, subject to subsection (1.2), operate a motor vehicle equipped with an alcohol ignition interlock device during the prohibition period, unless the court orders otherwise.
> 
> **Minimum absolute prohibition period**  
(1.2) An offender who is registered in a program referred to in subsection (1.1) may not operate a motor vehicle equipped with an alcohol ignition interlock device until
> 
>     (a) the expiry of a period of 
> 
>     (i) for a first offence, 3 months after the day on which sentence is imposed,
>     (ii) for a second offence, 6 months after the day on which sentence is imposed, and
>     (iii) for each subsequent offence, 12 months after the day on which sentence is imposed; or
>     (b) the expiry of any period that may be fixed by order of the court that is greater than a period referred to
> in paragraph (a). 
> 
> – [[56]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec259)

## Driving Prohibition[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Driving_Prohibition_Orders&action=edit&section=T-2)]

Section 259 requires a **mandatory Order of prohibition** from driving for offences under s.253 or 254. The length is as follows:

  * First offence: 1 to 3 years (s.259(1)(a))
  * Second offence: 2 to 5 years (s. 259(1)(b))
  * All subsequent offences: 3 years or more (s. 259(1)(c))

**Interlock program** is available after:

  * First offence: 3 months from sentence (s.259(1.2)(a)(i))
  * Second offence: 6 months from sentence (s.259(1.2)(a)(ii))
  * All subsequent offences: 12 months from sentence (s.259(1.2)(a)(iii))
  * Or any later time as set by the judge (s.259(1.2)(b))

Section 259(2) allows a **discretionary order of prohibition** from driving for offences under s. 220, 221, 236, 249, 249.1, 250, 251 or 252 or 255(2) to (3.2). The length is as follows:

  * Offences with max of life sentence or actual life sentence: any duration (s. 259(2)(a), (a1))
  * Offences with max of 10 years: up to 5 years (s.259(2)(b))
  * Any other offences: up to 3 years (s. 259(2)(c))

**Street racing mandatory prohibitions** in addition to other mandatory orders:

  * First offence: 1 to 3 years (s. 259(3.1)(a))
  * Second offence: 2 to 5 years (s. 259(3.1)(b))
  * Any subsequent offences: 3 years or more (s. 259(3.1)(c))

**Bodily harm offences** under s. 249.3 or 249.4(3), the **mandatory orders** are as follows:

  * First Offence: 1 to 10 years
  * Second Offence: 2 to 10 years
  * Any subsequent offences: 3 years or more

**Death offences** under s. 249.2 or 249.4(4), the **mandatory orders** are as follows:

  * s.249.2 Offences: 1 year or more
  * s. 249.4(4) offences: 1 to 10 years
  * Any second conviction is life (s. 259(3.4))

A driving prohibition cannot be ordered to be consecutive to another driving prohibition that is already in force. The prohibition must begin at the day the order is made.[[1]](Print_version.html#cite_note-267)

  1. [↑](Print_version.html#cite_ref-267) R. v. Neuberger (1997), 118 CCC 348

  


# Forfeiture[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-1)]

There are a number of scheme dealing with the detention and forfeiture of property in criminal law. There is a significant amount of overlap between many of them and so provide for several methods of forfeiting property.

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-2)]

  * [Canadian Criminal Sentencing/Proceeds of Crime](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Proceeds_of_Crime)
  * [Canadian Criminal Sentencing/Offence-related Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offence-related_Property)
  * [Canadian Criminal Sentencing/Offence-related Property Under the Controlled Drugs Substances Act](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offence-related_Property_Under_the_Controlled_Drugs_Substances_Act)
  * [Canadian Criminal Sentencing/Detention and Forfeiture Under Section 490](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Detention_and_Forfeiture_Under_Section_490)

## Forfeiture of Firearms[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-3)]

### "Interests of the Safety"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-4)]

> ...
> 
> **Application for disposition**  
117.05 (1) Where any thing or document has been seized under subsection 117.04(1) or (2), the justice who issued the warrant authorizing the seizure or, if no warrant was issued, a justice who might otherwise have issued a warrant, shall, on application for an order for the disposition of the thing or document so seized made by a peace officer within thirty days after the date of execution of the warrant or of the seizure without a warrant, as the case may be, fix a date for the hearing of the application and direct that notice of the hearing be given to such persons or in such manner as the justice may specify.
> 
> **Ex parte hearing**  
(2) A justice may proceed ex parte to hear and determine an application made under subsection (1) in the absence of the person from whom the thing or document was seized in the same circumstances as those in which a summary conviction court may, under Part XXVII, proceed with a trial in the absence of the defendant.
> 
> **Hearing of application**  
(3) At the hearing of an application made under subsection (1), the justice shall hear all relevant evidence, including evidence respecting the value of the thing in respect of which the application was made.
> 
> **Forfeiture and prohibition order on finding**  
(4) Where, following the hearing of an application made under subsection (1), the justice finds that it is not desirable in the interests of the safety of the person from whom the thing was seized or of any other person that the person should possess any weapon, prohibited device, ammunition, prohibited ammunition and explosive substance, or any such thing, the justice shall
> 
>     (a) order that any thing seized be forfeited to Her Majesty or be otherwise disposed of; and
>     (b) where the justice is satisfied that the circumstances warrant such an action, order that the possession by that person of any weapon, prohibited device, ammunition, prohibited ammunition and explosive substance, or of any such thing, be prohibited during any period, not exceeding five years, that is specified in the order, beginning on the making of the order.
> 
> **Reasons**  
(5) Where a justice does not make an order under subsection (4), or where a justice does make such an order but does not prohibit the possession of all of the things referred to in that subsection, the justice shall include in the record a statement of the justice’s reasons.
> 
> **Application of ss. 113 to 117**  
(6) Sections 113 to 117 apply in respect of every order made under subsection (4).
> 
> Appeal by person**  
** (7) Where a justice makes an order under subsection (4) in respect of a person, or in respect of any thing that was seized from a person, the person may appeal to the superior court against the order.
> 
> **Appeal by Attorney General**  
(8) Where a justice does not make a finding as described in subsection (4) following the hearing of an application under subsection (1), or makes the finding but does not make an order to the effect described in paragraph (4)(b), the Attorney General may appeal to the superior court against the failure to make the finding or to make an order to the effect so described.
> 
> **Application of Part XXVII to appeals**  
(9) The provisions of Part XXVII, except sections 785 to 812, 816 to 819 and 829 to 838, apply in respect of an appeal made under subsection (7) or (8) with such modifications as the circumstances require and as if each reference in that Part to the appeal court were a reference to the superior court.
> 
> 1995, c. 39, s. 139.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec117.05)

In order to succeed in an application for a forfeiture order, the applicant must prove:[[1]](Print_version.html#cite_note-268)

  1. the respondent is the owner of the item to be forfeited
  2. the respondent did not have reasonable grounds to believe that the item forfeited would or might be used in the commission of the offence.

## Forfeiture of Property on Computer-related Convictions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-5)]

Section 164.2 allows for the Crown to seek forfeiture of computer equipment on conviction for [child pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Pornography) (s.162.1) or [child luring](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Luring) (172.1).

> **Forfeiture after conviction**  
164.2 (1) On application of the Attorney General, a court that convicts a person of an offence under section 163.1, 172.1 or 172.2, in addition to any other punishment that it may impose, may order that anything — other than real property — be forfeited to Her Majesty and disposed of as the Attorney General directs if it is satisfied, on a balance of probabilities, that the thing
> 
>     (a) was used in the commission of the offence; and
>     (b) is the property of 
> 
>     (i) the convicted person or another person who was a party to the offence, or
>     (ii) a person who acquired the thing from a person referred to in subparagraph (i) under circumstances that give rise to a reasonable inference that it was transferred for the purpose of avoiding forfeiture.
> 
> **Third party rights**  
(2) Before making an order under subsection (1), the court shall cause notice to be given to, and may hear, any person whom it considers to have an interest in the thing, and may declare the nature and extent of the person’s interest in it.
> 
> **Right of appeal — third party**  
(3) A person who was heard in response to a notice given under subsection (2) may appeal to the court of appeal against an order made under subsection (1).
> 
> **Right of appeal — Attorney General**  
(4) The Attorney General may appeal to the court of appeal against the refusal of a court to make an order under subsection (1).
> 
> **Application of Part XXI**  
(5) Part XXI applies, with any modifications that the circumstances require, with respect to the procedure for an appeal under subsections (3) and (4).
> 
> 2002, c. 13, s. 7; 2008, c. 18, s. 4; 2012, c. 1, s. 18.
> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec164.2)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-6)]

  * [Canadian Criminal Procedure and Practice/Search and Seizure/Seizure of Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Search_and_Seizure/Seizure_of_Property)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Ancillary_Orders/Forfeiture&action=edit&section=T-7)]

  1. [↑](Print_version.html#cite_ref-245) R. v. Morrisey, 2000 SCC 39 [[30]](http://www.canlii.org/en/ca/scc/doc/2000/2000scc39/2000scc39.html), discussed in minority decision  
R. v. Colville, 2005 ABCA 319 at paras. 21-26 [[31]](http://www.canlii.org/en/ab/abca/doc/2005/2005abca319/2005abca319.html)  
R. v. Ferguson, 2006 ABCA 261 at para. 85  
R. v. B.C.M., 2008 BCCA 365 [[32]](http://www.canlii.org/en/bc/bcca/doc/2008/2008bcca365/2008bcca365.html)  
R. v. Newman, 2009 NLCA 32
  2. [↑](Print_version.html#cite_ref-246) e.g. s. 253, 264.1
  3. [↑](Print_version.html#cite_ref-247) R. v. Solowan, 2008 SCC 62, [2008] 3 S.C.R. 309 [[33]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc62/2008scc62.html); R. v. L.M., 2008 SCC 31, [2008] 2 S.C.R. 163 [[34]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc31/2008scc31.html)
  4. [↑](Print_version.html#cite_ref-248) R. v. Cheddesingh,2004 SCC 16, [2004] 1 S.C.R. 433 [[35]](http://www.canlii.org/en/ca/scc/doc/2004/2004scc16/2004scc16.html)
  5. [↑](Print_version.html#cite_ref-249) R. v. Solowan, _supra_

  


# III - Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=6)]

## Topics[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure&action=edit&section=T-1)]

  * [Overview of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Overview_of_Sentencing)
  * [Guilty Plea](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Guilty_Plea)
  * [Notice of Increased Penalty](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Notice_of_Increased_Penalty)
  * [Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Evidence)
  * [Pre-Sentence Report](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Pre-Sentence_Report)
  * [Victim Impact Statement](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement)
  * [Plea Bargain](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Plea_Bargain)
  * [Remand Credit](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Remand_Credit)
  * [Charter Issues](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Charter_Issues)
  * [Sentencing Circles](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure/Sentencing_Circles)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure&action=edit&section=T-2)]

  * [Canadian_Criminal_Procedure_and_Practice/Appeals](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure&action=edit&section=T-3)]

  1. [↑](Print_version.html#cite_ref-268) R. v. Robinson, [2011 CanLII 3758](http://canlii.ca/t/2fk2r) (NL PC) at para 7  


[v](http://en.wikibooks.org/wiki/Template:Canadian_Criminal_Sentencing) • [d](http://en.wikibooks.org/w/index.php?title=Template_talk:Canadian_Criminal_Sentencing&action=edit&redlink=1) • [e](http://en.wikibooks.org/w/index.php?title=Template:Canadian_Criminal_Sentencing&action=edit)

 

Canadian Criminal Sentencing

I - [Purpose and Principles of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing) II - [Factors of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Factors_of_Sentencing) III - [Available Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences) IV - [Ancillary Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders) V - [Procedure](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure) VI - [Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences) VII - [Serving Sentences and Afterwards](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing#Serving_Sentences_and_Afterwards) VIII - [Young Offenders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Young_Offenders) IX - [Appendix](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing#Appendix)

Books: **[Canadian Criminal Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Law) \- [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence) \- [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice) \- [Canadian Criminal Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing)**

# Procedure/Overview of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Guilty plea or Conviction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Overview_of_Sentencing&action=edit&section=T-1)]

A sentencing hearing is to be commenced "as soon as practicable" after the point where a conviction has been entered.[[1]](Print_version.html#cite_note-269)

  1. [↑](Print_version.html#cite_ref-269) Section 720(1)

## Submissions of counsel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Overview_of_Sentencing&action=edit&section=T-2)]

Both the Crown and Defence are permitted to make submissions to facts for consideration.[[1]](Print_version.html#cite_note-270) However, submissions themselves do not constitute evidence.[[2]](Print_version.html#cite_note-271)

  1. [↑](Print_version.html#cite_ref-270) s. 723(1); R. v. Digiacomo, 2002 BCCA 444
  2. [↑](Print_version.html#cite_ref-271) R. v. Jackman, [1996] N.J. No. 107 (NLCA) “cannot be over-emphasized that, in making submissions to Court, counsel are not giving evidence but rather making argument in support of their respective submissions.”

## Accused addressing the Court[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Overview_of_Sentencing&action=edit&section=T-3)]

At the end of the submissions by counsel, the accused is entitled to make comments to the court.[[1]](Print_version.html#cite_note-272) Failure to allow the accused to speak will not invalidate the sentence if it is an inadvertent slip or error.[[2]](Print_version.html#cite_note-273)

  1. [↑](Print_version.html#cite_ref-272) s. 726
  2. [↑](Print_version.html#cite_ref-273) R. v. Senek (1998), 130 C.C.C. (3d) 473 (Man. C.A.)[[37]](http://www.canlii.org/en/mb/mbca/doc/1998/1998canlii17680/1998canlii17680.html)  
R. v. Holub and Kufrin, [2002] O.J. No. 579 (Q.L.).  
R. v. Haug 2002 SKCA 49

## Judgement on Sentence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Overview_of_Sentencing&action=edit&section=T-4)]

A judge, in deciding on a sentence, after hearing the recommendations from both Crown and Defence, may go above the range recommended by Crown counsel, but must do so after giving reasons for the sentence given.[[1]](Print_version.html#cite_note-274)

It is also recommended that the judge give counsel an opportunity to make further submissions.[[2]](Print_version.html#cite_note-275)

Upon deciding on a particular sentence the judge shall comply with s.570 and 806 requiring him to make a minute or memorandum of conviction and upon request, make a conviction order under Form 35 or 36. Further a warrant of committal, if applicable, will be made under Form 21 or 22.

  1. [↑](Print_version.html#cite_ref-274) R. v. Jones, [2012 ONCA 609](http://canlii.ca/t/fsqtm) (CanLII) at para. 10
  2. [↑](Print_version.html#cite_ref-275) see R v Hood, 2011 ABCA 169 (CanLII) at para 15  
R v Keough, 2012 ABCA 14 (CanLII) at paras 19 to 20 and 51 to 57  


  


# Guilty Plea[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## When a Guilty Plea Can be Offered[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-1)]

A guilty plea should not be entered where the accused denies guilt.[[1]](Print_version.html#cite_note-276)

If the accused does not remember or recall the incident, the judge may still accept the guilty plea so long as the accused is capable to accept the allegation as correct.[[2]](Print_version.html#cite_note-277)

A judge may accept a plea to an included offence only where there is consent of the crown.[[3]](Print_version.html#cite_note-278)

  


  1. [↑](Print_version.html#cite_ref-276) R v Denis [2005 QCCA 1089 at 38](http://canlii.ca/t/1m02j#par38)
  2. [↑](Print_version.html#cite_ref-277) R. v. Jawbone, [1998 CanLII 6104 (MB CA)](http://canlii.ca/t/1flh4)
  3. [↑](Print_version.html#cite_ref-278) s. [606(4)](http://www.canlii.ca/t/7vf2#sec606)

## Acceptance of a guilty plea[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-2)]

A conviction or finding of guilt is not entered until such time as the court accepts the plea. A plea by itself is not enough.[[1]](Print_version.html#cite_note-279)

A plea of guilty can only be accepted by the Court if the requirements of s. 606(1.1) are satisfied. The provision states:

>     606(1.1) A court may accept a plea of guilty only if it is satisfied that the accused 
> 
>     (a) is making the plea voluntarily; and
>     (b) understands 
> 
>     (i)that the plea is an admission of the essential elements of the offence,
>     (ii)the nature and consequences of the plea, and
>     (iii)that the court is not bound by any agreement made between the accused and the prosecutor.
> 
> – [[57]](http://canlii.ca/t/7vf2#sec606)

A plea must be taken in the presence of an accused “unless the court orders otherwise”.[[2]](Print_version.html#cite_note-280) This would potentially include acceptance of pleas through the use of video links.[[3]](Print_version.html#cite_note-281)

For a guilty plea to be valid it must possess the following attributes:[[4]](Print_version.html#cite_note-282)

  * voluntary,
  * unequivocal,
  * informed of the nature of the allegations,
  * informed of the consequences of a plea

  


  1. [↑](Print_version.html#cite_ref-279) R v Senior [1996 ABCA 71](http://canlii.ca/t/2ddb8), 1996 116 CCC 3d 152 (ABCA)  
R v Shrupka [2000 MBCA 112](http://canlii.ca/t/1fl9s), 2000 149 CCC 3d 410 (MBCA) at 24
  2. [↑](Print_version.html#cite_ref-280) see s.650.01(3)(c)
  3. [↑](Print_version.html#cite_ref-281) see 606(1.2); 650(1.1); 650(1.2)
  4. [↑](Print_version.html#cite_ref-282) R. v. Hector [2000 CanLII 5725](http://canlii.ca/t/1fb50)  
see also: R v Lyons [1987] [2 SCR 309](http://canlii.ca/t/1ftlw) at p 371  
R v Claveau [2003 NBCA 52 at 7](http://canlii.ca/t/57c0#par7) R. v. Pottie, [1996 CanLII 5604](http://canlii.ca/t/1mpvm), (1996) NSR 2d 56 (NSCA)  


## Inquiry into guilty plea[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-3)]

The judge has discretion to inquire into whether the accused meets these criteria. [[1]](Print_version.html#cite_note-283)

A judge need not “fully inquire” into whether 606(1.1) is met before accepting a guilty plea.[[2]](Print_version.html#cite_note-284)

Where the plea is entered in open court it is presumed valid.

When entered with counsel it is presumed that the accused was "fully familiar with the circumstances surrounding the offence and to have been aware of the consequences of entering a guilty plea.[[3]](Print_version.html#cite_note-285) The presumption is stronger where it is done after consulting with experienced counsel.[[4]](Print_version.html#cite_note-286)

  


  1. [↑](Print_version.html#cite_ref-283) See Brosseau v. The Queen, [1969] S.C.R. 181, [1969] 3 C.C.C. 129 [[38]](http://canlii.ca/t/1xcgb)  
Thibodeau v. The Queen, [1955] S.C.R. 646;[[39]](http://www.canlii.org/en/ca/scc/doc/1955/1955canlii57/1955canlii57.html)  
Adgey v. The Queen, [1975] 2 S.C.R. 426, 13 C.C.C. (2d) 177 [[40]](http://canlii.ca/t/1twzm)  
See: R. v. Lamoureux, (1984), 13 C.C.C. (3d) 101 (Que. C.A.)  
R. v. Antoine (1984) 40 C.R. (3d) 375 (Que. C.A.)  

  2. [↑](Print_version.html#cite_ref-284) see 606(1.2)  
Eizenga [2011 ONCA 113 at 47](http://canlii.ca/t/2fmpr#par47)  
Messervey [2010 NSCA 55](http://canlii.ca/t/2b612)  
R. v. Walsh [2006 CanLII 7393](http://canlii.ca/t/1mssx) (ON CA), (2006), 206 C.C.C. (3d) 543 at 28  
R. v. G.T.(J.), [2003 BCCA 1 at 19](http://canlii.ca/t/5fhs#par19)  

  3. [↑](Print_version.html#cite_ref-285) R. v. Paiero, (1986), 71 N.S.R. (2d) 268 (C.A.)
  4. [↑](Print_version.html#cite_ref-286) R v Swanson [2000 BCCA 177 at 24](http://canlii.ca/t/53zp#par24)

## Procedural Effect of a Guilty Plea[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-4)]

Once a plea has been made it is considered formal proof of the offence committed. There is no burden on the Crown to prove the charge beyond a reasonable doubt.[[1]](Print_version.html#cite_note-287) However, a plea is not formal proof of the underlying facts. [[2]](Print_version.html#cite_note-288)

A guilty plea is considered the end of the challenge to the criminal charge against the accused. [[3]](Print_version.html#cite_note-289) This also means that the guilty plea will extinguish any procedural rights, rights of appeal or ability to challenge the ruling of guilt.[[4]](Print_version.html#cite_note-290) There can only be a re-opening of the issue of admissibility of the evidence if the accused was not aware of the effect of the guilty plea.[[5]](Print_version.html#cite_note-291)

Where a Charter application fails and there remains no further defence, the proper procedure to preserve the right of appeal is to admit the facts allegecd and invite the judge to convict.[[6]](Print_version.html#cite_note-292)

  1. [↑](Print_version.html#cite_ref-287) R. v. C.(W.B.) 2000, 142 CCC 3d 490 (Ont.C.A.)
  2. [↑](Print_version.html#cite_ref-288) R. v. Berry (1957) 118 CCC 55 (Ont.CA)
  3. [↑](Print_version.html#cite_ref-289) R. v. Bowman, [2008 BCCA 410](http://canlii.ca/t/21863)  
R. v. Duong, [2006 BCCA 325](http://canlii.ca/t/1nq1g)  

  4. [↑](Print_version.html#cite_ref-290) Korponay v Canada (Attorney General), [1982 CanLII 12](http://canlii.ca/t/1lpbj) (SCC), [1982] 1 SCR 41 at p. 49  
Brady v US, 397 US 742 (1970) at p. 748  

  5. [↑](Print_version.html#cite_ref-291) See R. v. Duong, [2006 BCCA 325](http://canlii.ca/t/1nq1g)
  6. [↑](Print_version.html#cite_ref-292) See R v Duong [2006 BCCA 325 at para.8](http://canlii.ca/t/1nq1g#par8)  
Carter, [2003 BCCA 632](http://canlii.ca/t/1fw4s) at para. 6  
Webster, [2008 BCCA 458](http://canlii.ca/t/21ls8) at paras. 19-22

## Validity and Withdraw of Guilty Plea[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-5)]

A guilty plea can be withdrawn any time before sentencing at the discretion of the trial judge. Where a withdraw is requested the trial judge is to inquire into the validity of the guilty plea. He may withdraw the plea at their discretion.[[1]](Print_version.html#cite_note-293) However, the discretion is reviewable by an appellate court.

Where the accused has already been sentenced and wishes to withdraw the guilty plea, the trial judge is _functus_ and has no jurisdiction to consider an application. An appellate court may only interfere with a guilty plea where the plea resulted in a "miscarriage of justice" under s. 686(1)(a)(iii).

If the plea is valid it generally cannot be withdrawn.[[2]](Print_version.html#cite_note-294)

A plea in open court by an accused represented by counsel is presumptively valid.[[3]](Print_version.html#cite_note-295) Where the accused is represented by counsel there is a stronger presumption of validity.

The burden is upon the accused to establish the guilty plea as invalid. [[4]](Print_version.html#cite_note-296)

An _appellate court_ has the ability to remove a guilty plea and quash a conviction where there are "valid grounds" to do so. What constitutes valid grounds is open-ended and can include a variety of situations.[[5]](Print_version.html#cite_note-297)

  
"Valid grounds" to withdraw a guilty plea can be in situations where the plea was not validly. [[6]](Print_version.html#cite_note-298) This includes where there is:

  * a misunderstanding by the accused of the nature of the charge
  * a misunderstanding by the accused of the effect of his plea, such as where 
    * the accused never intended to admit guilt [[7]](Print_version.html#cite_note-299)
    * there was a serious question as to the accused's mental state at the time of entering the plea
  * improper inducements or threats by the police, defence counsel, or the trial judge[[8]](Print_version.html#cite_note-300)
  * the accused did not fully appreciate the nature of the charge or the effect of the plea.[[9]](Print_version.html#cite_note-301)

A further situation where the plea can be withdrawn is where there is a miscarriage of justice.[[10]](Print_version.html#cite_note-302) This includes where:

  * the accused has been given wrong legal advice[[11]](Print_version.html#cite_note-303)
  * if on the admitted facts, he could not be convicted of the offence[[12]](Print_version.html#cite_note-304)

Factors to consider include [[13]](Print_version.html#cite_note-305)

  1. whether the accused was represented by (experienced) counsel[[14]](Print_version.html#cite_note-306)
  2. whether the accused was apprised of his position[[15]](Print_version.html#cite_note-307)
  3. did the accused have a valid defence[[16]](Print_version.html#cite_note-308)
  4. was the plea given while under pressure and did he have enough time to contemplate the decision[[17]](Print_version.html#cite_note-309)
  5. whether the accused had experience in the criminal justice system (usually shown by a criminal record)[[18]](Print_version.html#cite_note-310)

If a judge performs the inquiry under s. 606(1.1) then it is unlikely that a judge should set aside the guilty plea.[[19]](Print_version.html#cite_note-311)

A change of plea is rarely granted, first, because of the mischief it could cause and the lack of certainly in plea deals, second, need to ensure fairness to the victims, complainants and witnesses involved. [[20]](Print_version.html#cite_note-312)

Representation by counsel is a significant factor.[[21]](Print_version.html#cite_note-313)

A co-accused who is acquitted does not change the validity of the guilty plea.[[22]](Print_version.html#cite_note-314)

Guilty plea are more likely be struck where there are english language problems.[[23]](Print_version.html#cite_note-315)

Where there was no meeting between the lawyer and the accused there will be a tendancy to lean towards revoking the guilty plea.[[24]](Print_version.html#cite_note-316)

  1. [↑](Print_version.html#cite_ref-293) R. v. Atlay [1992 CanLII 1081 (BCCA)](http://canlii.ca/t/1d9lc), (1992), 70 C.C.C. (3d) 553 (BCCA)  

  2. [↑](Print_version.html#cite_ref-294) R. v. Arcand, [2000 SKCA 60](http://canlii.ca/t/1l719)  
R. v. T.(R) [1992 CanLII 2834](http://canlii.ca/t/1p793) (ON CA), (1992), 17 C.R. (4th) 247 (Ont. C.A.)  
R. v. Hector [2000 CanLII 5725](http://canlii.ca/t/1fb50)
  3. [↑](Print_version.html#cite_ref-295) R. v. Eide, [2011 SKCA 81](http://canlii.ca/t/fm5rg)  
R. v. Swanson, [2000 BCCA 177](http://canlii.ca/t/53zp)  

  4. [↑](Print_version.html#cite_ref-296) R v Eizenga [2011 ONCA 113](http://canlii.ca/t/2fmpr#par45), (2011) 270 CCC (3d) 168 (ONCA) at para 45-46  
R. v. Djekic [2000 CanLII 16822 (ON CA)](http://canlii.ca/t/1fb9n), (2000), 147 C.C.C. (3d) 572 (Ont C.A.)  
R. v. Rajaeefard [1996 CanLII 404 (ON CA)](http://canlii.ca/t/6j70), (1996), 104 C.C.C. (3d) 225 (Ont. C.A.)  
R. v. Rubenstein [1987 CanLII 2834 (ON CA)](http://canlii.ca/t/22kn1), (1988), 41 C.C.C. (3d) 91 (Ont. C.A.)  
R v Morris 1994 BCCA  
R v Cloutier [2006 QCCA 277](http://canlii.ca/t/1mq2j)  
R v R.T. (1992) 10 OR (3d) 514 at p. 519  

  5. [↑](Print_version.html#cite_ref-297) R. v. Taillefer, Duguay, [2003 SCC 70](http://canlii.ca/t/1g992) (CanLII), [2003] S.C.J. No. 75 at 431  
R. v . Adgey, [1973 CanLII 37](http://canlii.ca/t/1twzm) (SCC), [1975] 2 S.C.R. 426 (S.C.C.)  
Queen v. Bamsey [1960 CanLII 35 (SCC)](http://canlii.ca/t/21vc2), (1960), S.C.R. 294 at p. 298[[41]](http://canlii.ca/t/21vc2)  
R. v. Porter [1994] [N.S.J. No.304 at para 25](http://canlii.ca/t/1mqmv#par25)  

  6. [↑](Print_version.html#cite_ref-298) see R. v. Hoang, [2003 ABCA 251 at 30](http://canlii.ca/t/1g4b9#par30) \- "the appellant did not appreciate the nature of the charge, or the appellant did not intend to admit that he was guilty of it; or where upon the admitted facts, the appellant could not in law have been convicted of the offence charged"  

  7. [↑](Print_version.html#cite_ref-299) e.g. R. v. S.K., [1995 CanLII 8926 (ONCA)](http://canlii.ca/t/231v4)
  8. [↑](Print_version.html#cite_ref-300) see R. v. Nevin, [2006 NSCA 72](http://canlii.ca/t/1nx31)  
R. v. Lamoureux, (1984), 13 C.C.C. (3d) 101 (Que.C.A.)  
R. v. Laperrière [1995 CanLII 4706 (QC CA)](http://canlii.ca/t/1nk99), (1995), 101 C.C.C. (3d) 462, [1996] 2 S.C.R. 284  
R. v. Djekic [2000 CanLII 16822 (ON CA)](http://canlii.ca/t/1fb9n), (2000), 147 C.C.C. (3d) 572 (Ont.C.A.)  
R. v. Rajaeefard [1996 CanLII 404 (ON CA)](http://canlii.ca/t/6j70), (1996), 104 C.C.C. (3d) 225 (Ont.C.A.)  

  9. [↑](Print_version.html#cite_ref-301) see R. v. Melanson (1983), 59 N.S.R. (2d) 54 (C.A.)
  10. [↑](Print_version.html#cite_ref-302) R. v. Gates, 2010 BCCA 378, 293 B.C.A.C. 243 at para. 2
  11. [↑](Print_version.html#cite_ref-303) R v Armstrong, [1997 CanLII 1487](http://canlii.ca/t/6hqg) (ON CA), (1997) 33 WCB 2d 254 (ONCA) - lawyer gave advice that D was able to get discharge when it was not available
  12. [↑](Print_version.html#cite_ref-304) R. v. Melanson (1983), 59 N.S.R. (2d) 54 (C.A.) at para. 6  

  13. [↑](Print_version.html#cite_ref-305) R. v. Joseph, [2000] B.C.J. No. 2850 (Q.L.)(B.C.S.C.) at 48  
R. v. Stockley, [2009 NLCA 38](http://canlii.ca/t/2467r) at para. 7
  14. [↑](Print_version.html#cite_ref-306) Joseph at 48
  15. [↑](Print_version.html#cite_ref-307) Joseph at 48
  16. [↑](Print_version.html#cite_ref-308) Joseph at 48
  17. [↑](Print_version.html#cite_ref-309) Joseph at 48
  18. [↑](Print_version.html#cite_ref-310) Joseph at 48
  19. [↑](Print_version.html#cite_ref-311) R v Brun [2006 NBCA 17](http://canlii.ca/t/1mlbx)
  20. [↑](Print_version.html#cite_ref-312) R v Hallam, [2003 BCPC 333](http://canlii.ca/t/1fw7p), [2003] BCJ No 2176  
R. v. Murphy, [1995 CanLII 4329](http://canlii.ca/t/1mqdm), [1995] N.S.J. No.41 at 10
  21. [↑](Print_version.html#cite_ref-313) R v McCollum 2008 NSCA 36 at 10
  22. [↑](Print_version.html#cite_ref-314) R v Hicks [1991] 3 SCR 383
  23. [↑](Print_version.html#cite_ref-315) R v Meers [1991 CanLII 311](http://canlii.ca/t/1d96w) (BC CA)  
R v Golubev [2009 ONCA 333](http://canlii.ca/t/23826)  

  24. [↑](Print_version.html#cite_ref-316) R v Golubev [2009 ONCA 333](http://canlii.ca/t/23826)

### Voluntariness[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-6)]

An accused who feels under pressure to plead guilty is not generally enough to vitiate voluntariness. It is expected that a persons facing serious charges will feel pressure at the time of plea.[[1]](Print_version.html#cite_note-317)

Death threats is sufficient to vitiate voluntariness on a guilty plea.[[2]](Print_version.html#cite_note-318)

Guilty plea motivated by a desire to avoid tougher sentence will not be grounds of striking the plea.[[3]](Print_version.html#cite_note-319) Similarly, it is permissible for crown to suggest that if a guilty plea is entered, bail will not be opposed prior to sentence. [[4]](Print_version.html#cite_note-320)

  


  1. [↑](Print_version.html#cite_ref-317) R. v. Carty, [2010 ONCA 237](http://canlii.ca/t/290vf) \-- Accused states "I think it is the best way."
  2. [↑](Print_version.html#cite_ref-318) R v Easterbrook [2005 CanLII 12676 (ON CA)](http://canlii.ca/t/1k6vk)
  3. [↑](Print_version.html#cite_ref-319) R v Burden [1996 CanLII 558 (ON CA)](http://canlii.ca/t/6jcz) \- accused plead guilty on suggestion of a dangerous offender application post trial
  4. [↑](Print_version.html#cite_ref-320) R v Temple 1995 B.C.J. No. 331

### Equivocation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-7)]

Any conditional guilty plea, such as admission of guilt only where a particular outcome be granted, is not a guilty plea at all.[[1]](Print_version.html#cite_note-321)

A guilty plea is considered conditional where the plea was done on advice of the lawyer who was mistaken to believe that an appeal of conviction and ruling would be possible after the plea was entered.[[2]](Print_version.html#cite_note-322) It is also conditional where the crown offers to allow a withdraw of a guilty plea if the judge does not adopt the joint recommendation.[[3]](Print_version.html#cite_note-323)

A withdraw could be supported where the accused asserts a potential valid defence.[[4]](Print_version.html#cite_note-324)

A guilty plea made merely to gain some sort of perceived advantage is not enough to invalidate the plea.[[5]](Print_version.html#cite_note-325)

  1. [↑](Print_version.html#cite_ref-321) R. v. Lucas, (1983), 9 C.C.C. (3d) 71 at 75: "A conditional plea of guilty is unknown to our law".
  2. [↑](Print_version.html#cite_ref-322) R. v. Fegan (1993) 80 CCC 3d 356
  3. [↑](Print_version.html#cite_ref-323) R. v. Kleinsteuber, [1997 CanLII 3567](http://canlii.ca/t/1dzrd#par4) (BC CA) at 4-6
  4. [↑](Print_version.html#cite_ref-324) R. v. Hunt [2004 ABCA 88 at 15](http://canlii.ca/t/1glq3#par15)
  5. [↑](Print_version.html#cite_ref-325) R. v. Hughes, (1987), 76 A.R. 294 (C.A.)  
R. v. Burden [1996 CanLII 558 (ON CA)](http://canlii.ca/t/6jcz), (1996), 90 O.A.C. 169 (Ont.C.A.)  


### Understands Admissions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-8)]

The accused must have suffient information regarding the nature of the charges against him.[[1]](Print_version.html#cite_note-326)

The accused need only be aware of the “essential facts” to make out the charge and not the full extent of the details to plea guilty.[[2]](Print_version.html#cite_note-327) This follows the principle that guilty plea is only a bare admission and not acceptance of all surrounding circumstances.[[3]](Print_version.html#cite_note-328)

Where the accused was not aware of what he was pleading guilty to, then it will struck.[[4]](Print_version.html#cite_note-329)

  


  1. [↑](Print_version.html#cite_ref-326) R v Henry [2011 ONCA 289](http://canlii.ca/t/fl10b) \- accused not able to listen to recordings making up allegations before plea, guilty plea invalidated
  2. [↑](Print_version.html#cite_ref-327) R v Raymond, [2009 QCCA 808 at 100 and 114](http://canlii.ca/t/2dvfs#par100)
  3. [↑](Print_version.html#cite_ref-328) See s. 655 which states "Where an accused is on trial for an indictable offence, he or his counsel may admit any fact alleged against him for the purpose of dispensing with proof thereof."
  4. [↑](Print_version.html#cite_ref-329) R v .Halvorsen [1994 CanLII 1748 (BC CA)](http://canlii.ca/t/1dcqw)

### Understand Consequences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-9)]

The accused has a right to know the immediate consequence of the gulity plea. This includes the nature of the potential penalties.[[1]](Print_version.html#cite_note-330)This does not include all possible consequences.[[2]](Print_version.html#cite_note-331)

Lack of knowledge of the consequences of pleading guilty is not necessarily determinative.[[3]](Print_version.html#cite_note-332)Instead, more seems to rely upon the impact on the decision, if the accused had been informed.[[4]](Print_version.html#cite_note-333)

“Consequences” of the plea does not include knowledge of the long-term or external consequences to a guilty plea[[5]](Print_version.html#cite_note-334), including the impact on their immigration status.[[6]](Print_version.html#cite_note-335)

The courts can take into account the overall impact of the gulity plea when deciding whether they understood the consequence.[[7]](Print_version.html#cite_note-336)

  


  1. [↑](Print_version.html#cite_ref-330) R. v. T. (R.), [1992 CanLII 2834 (ON CA)](http://canlii.ca/t/1p793)
  2. [↑](Print_version.html#cite_ref-331) R v Hoang 2003 ABCA at 36  
R v Raymond, [2009 QCCA 808 at 114](http://canlii.ca/t/2dvfs#par114)
  3. [↑](Print_version.html#cite_ref-332) see R. v. Slobodan, [1993] A.J. No. 11 (C.A.) R. v. Tyler, 2007 BCCA 142  
R. v. Hunt, 2004 ABCA 88  
R. v. Hoang, 2003 ABCA 251  
R. v. Fegan, (1993), 80 C.C.C. (3d) 356 (Ont.C.A.)  
R. v. Claveau, 2003 NBCA 52  

  4. [↑](Print_version.html#cite_ref-333) R v Riley 2010 NSCA at 45
  5. [↑](Print_version.html#cite_ref-334) R v Hunt 2004 ABCA 88 at 15, 16
  6. [↑](Print_version.html#cite_ref-335) R v Tyler [2007 BCCA 142](http://canlii.ca/t/1qrd4)  
R v Nersysyan [2005 QCCA 606](http://canlii.ca/t/1l0bh)  

  7. [↑](Print_version.html#cite_ref-336) R. v. Riley, [2011 NSCA 52 at 45](http://canlii.ca/t/flqv9#par45)

### Miscarriage of Justice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-10)]

Valid grounds include where there is an appearance of unfairness.[[1]](Print_version.html#cite_note-337)

Unfairness would include where the accused was pressured or extorted into pleading guilty.[[2]](Print_version.html#cite_note-338)

  1. [↑](Print_version.html#cite_ref-337) R v Stork (1975) 24 CCC 210 and R v Adgey 1975 at p 431
  2. [↑](Print_version.html#cite_ref-338) R v Lamoureux, (1984) 13 CCC (3d) 101 (QCCA)  
R v Temple [1995] BCJ No 331 (BCCA)  


### Procedure for Appeal[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-11)]

Proving the invalidity of a guilty plea may be established by the record. However, if it is not apparent from the record, the court must have the appellant file his "own affidavit and any other affidavit that might be relevant to the issue".[[1]](Print_version.html#cite_note-339)

If the grounds includes an allegation of misconduct or incompetence of previous defence counsel, the Crown may get a affidavit from the previous defence counsel to respond to the allegations.[[2]](Print_version.html#cite_note-340) The previous defence counsel is still bound by solicitor-client privilege unless waived.

Under [s. 683](http://canlii.ca/t/7vf2#sec683), either side may apply to cross-examine the affiant.[[3]](Print_version.html#cite_note-341)

  1. [↑](Print_version.html#cite_ref-339) R. v. Wiebe, [2012 BCCA 519](http://canlii.ca/t/fvfd0) (CanLII) at para. 22  

  2. [↑](Print_version.html#cite_ref-340) Wiebe at para. 22
  3. [↑](Print_version.html#cite_ref-341) e.g. Wiebe at para. 22  
R. v. Hannon, 1999 BCCA 56 (CanLII)

## Plea to Lesser Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-12)]

A judge can accept a guilty plea to an offence listed in the charge _or_ any other charge arising from the same transaction where the Crown consents. Under s. 606(4), a guilty plea to a lesser included offence in permissible as stated:

> s. 606...
> 
> **Included or other offence**  
(4) Notwithstanding any other provision of this Act, where an accused or defendant pleads not guilty of the offence charged but guilty of any other offence arising out of the same transaction, whether or not it is an included offence, the court may, with the consent of the prosecutor, accept that plea of guilty and, if the plea is accepted, the court shall find the accused or defendant not guilty of the offence charged and find him guilty of the offence in respect of which the plea of guilty was accepted and enter those findings in the record of the court.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 606; R.S., 1985, c. 27 (1st Supp.), s. 125; 2002, c. 13, s. 49.
> 
> – [[58]](http://canlii.ca/t/7vf2#sec606)

Even where the crown consents to accepting a guilty plea for a lesser offence, the judge has discretion to reject it.[[1]](Print_version.html#cite_note-342)

  


  1. [↑](Print_version.html#cite_ref-342) R v Naraindeen (1990), 75 O.R. (2d) 120 (Ont. C.A.)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Guilty_Plea&action=edit&section=T-13)]

  * [Canadian Criminal Procedure and Practice/Cases/Guilty Pleas](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Cases/Guilty_Pleas)

  


# Procedure/Notice of Increased Penalty[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Notice_of_Increased_Penalty&action=edit&section=T-1)]

Certain offences mandate higher penalties where there is a prior conviction for the offence. The higher penalty can only be sought where the Crown has given notice of their intention to seek greater punishment.

Offences for which this applies include:

  * [use firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Use_of_Firearm_in_Commission_of_an_Offence) (s. 85)
  * [careless storage of a firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Unsafe_Storage_of_a_Firearm) (86)
  * [possession firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Possession_of_Unauthorized_Firearm) (92)
  * betting, pool-selling, bookmaking (202)
  * placing bets on other’s behalf (203)
  * [impaired driving and over 80](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Impaired_Driving_and_Over_80) (253)
  * [refusal](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences/Refusal) (254)

By failing to give proper notice the Crown cannot rely upon the legislated mandatory minimums. However, a judge may still consider the prior record when sentencing and can impose the mandatory minimum as long as it is in the range of sentence.[[1]](Print_version.html#cite_note-343)

  1. [↑](Print_version.html#cite_ref-343) R v Norris, (1988) 41 C.C.C. (3d) 441 (N.W.T.C.A.)

## Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Notice_of_Increased_Penalty&action=edit&section=T-2)]

Notice of increased penalty is governed by s. 727(1):

> 727\. (1) Subject to subsections (3) and (4), where an accused or a defendant is convicted of an offence for which a greater punishment may be imposed by reason of previous convictions, no greater punishment shall be imposed on him by reason thereof unless the prosecutor satisfies the court that the accused or defendant, before making his plea, was notified that a greater punishment would be sought by reason thereof.
> 
>   

> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec727)

Section 727(1) does not specifically require written notice, thus, both written or verbal notice is sufficient.[[1]](Print_version.html#cite_note-344)

There is divided cases on whether the accused must be served personally or whether service on the agent or counsel is sufficient.[[2]](Print_version.html#cite_note-345) The dominant opinion however has been that service of notice upon counsel is sufficient to satisfy the requirements of s.727(1) and that personal service is not necessary.[[3]](Print_version.html#cite_note-346) In select jurisdictions, such as Saskatchewan, it has been determined that service upon an agent, including a relative, is also sufficient.[[4]](Print_version.html#cite_note-347)

It is not sufficient to notify the accused that the Crown “may” be seeking a greater punishment.[[5]](Print_version.html#cite_note-348)

It is not necessary to notify the accused of the nature and character of the penalty sought, including the length of the possible jail sentence.[[6]](Print_version.html#cite_note-349)

There is no need for “reasonable notice”. So notice can be given on the day of trial.[[7]](Print_version.html#cite_note-350)

Notice must be given to the accused of the Crown's intention to seek a greater penalty for past offences.[[8]](Print_version.html#cite_note-351)

  
Although it is generally practiced, it is not necessary to specify the previous convictions being relied upon when giving notice.[[9]](Print_version.html#cite_note-352)

There are two lines of cases on the issue of whether the notice is discretionary on the judge to accept. This turns on whether the notice is part of the core prosecutorial duties which are not reviewable by a court absent evidence of abuse of process or bad faith.[[10]](Print_version.html#cite_note-353)

Cases is support of the crown discretion view suggests that to do otherwise would create too much second guessing and erode the boundary between the separatoin of powers.[[11]](Print_version.html#cite_note-354)

Where the crown does not serve proper notice under s. 727, then the accused cannot be said to have been convicted "of an offence that is punishable by a minimum term of imprisonment" under s.742.1, and so would not disqualify the offender from being subject to a conditional sentence.[[12]](Print_version.html#cite_note-355)

  1. [↑](Print_version.html#cite_ref-344) R v Collini (1979) 3 MVR 218 (Ont HCJ)
  2. [↑](Print_version.html#cite_ref-345) R. v. Beaulieu; R. v. Lepine (1979), 50 C.C.C. (2d) 189 (Que. S.C.)  

  3. [↑](Print_version.html#cite_ref-346) R. v. Fowler, (1982), 2 C.C.C. (3d) 227 (NSCA)  
R. v. Simms, (1986), 31 C.C.C. (3d) 350 (NLCA)  
R. v. Godon, (1984), 12 C.C.C. (3d) 446, (SKCA)  
R. v. Van Boeyen, 1996 CanLII 8372 (BC CA)  

  4. [↑](Print_version.html#cite_ref-347) R. v. Godon, (1984), 12 C.C.C. (3d) 446, (SKCA)
  5. [↑](Print_version.html#cite_ref-348) R . v. Riley (1982), 69 C.C.C. (2d) 245 (Ont. High Ct.)
  6. [↑](Print_version.html#cite_ref-349) R v Bear (1979), 47 C.C.C. (2d) 462 (Sask C.A.)
  7. [↑](Print_version.html#cite_ref-350) R v Bufford (1988) 46 CCC (3d) 116 (Ont.DC)
  8. [↑](Print_version.html#cite_ref-351) R. v. Zaccaria, 2005 ABCA 130 [[42]](http://www.canlii.org/en/ab/abca/doc/2005/2005abca130/2005abca130.html); R. v. Veinot (1983), NSCA__
  9. [↑](Print_version.html#cite_ref-352) R v Pidlubny (1973) 10 CCC (2d) 178 (ONCA)
  10. [↑](Print_version.html#cite_ref-353) R. v. Haneveld 2008 ABPC 382 - not reviewable by court  
R. v. Gill, [2011 ONSC 1145](http://www.canlii.org/en/on/onsc/doc/2011/2011onsc1145/2011onsc1145.html) \- reviewable by court  

  11. [↑](Print_version.html#cite_ref-354) R v Mohla [2012] OJ No. 388 at 164
  12. [↑](Print_version.html#cite_ref-355) R. v. Demchuk, [2003 CanLII 15723](http://canlii.ca/t/l0l) (ON CA)

  


# Procedure/Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-1)]

The admissibility of evidence is significantly different in a sentencing hearings than in trials. The interests at stake differ in a sentencing as opposed to a trial as the presumption of innocence is gone and there is no longer a concern for a wrongful conviction.[[1]](Print_version.html#cite_note-356)

In sentencing, courts should be open to a broad range of information in order to achieve the objectives under the Code.[[2]](Print_version.html#cite_note-357)

However, the evidence must still meet the standard of accuracy, credibility and reliability.[[3]](Print_version.html#cite_note-358)

The prejudicial effect of the evidence should not outweigh the probative value.[[4]](Print_version.html#cite_note-359)

Exclusionary rules of evidence are not applied strictly in sentencing.[[5]](Print_version.html#cite_note-360)

Admissibility voir dires, such as for voluntariness, may be held but are not necessary.[[6]](Print_version.html#cite_note-361)

  
In 1996, Part XXIII was amended to create a statutory framework for sentencing hearings.[[7]](Print_version.html#cite_note-362)

The law of evidence at sentencing equally applies to dangerous and long term offenders.[[8]](Print_version.html#cite_note-363)

**Character Evidence**  
Character evidence is admissible and relevant to sentencing.[[9]](Print_version.html#cite_note-364) Character evidence may be excluded where fairness would outweigh the probative value.[[10]](Print_version.html#cite_note-365)

  1. [↑](Print_version.html#cite_ref-356) R. v. Angelillo, [2006 SCC 55](http://canlii.ca/t/1q3xt) (CanLII), [2006] 2 SCR 728 such as at para. 30
  2. [↑](Print_version.html#cite_ref-357) R. v. Jones, [1994 CanLII 85](http://canlii.ca/t/1frtc) (SCC), [1994] 2 SCR 229 at p.396 ("...both the public interest in safety and the general sentencing interest of developing the most appropriate penalty for the particular offender dictate the greatest possible range of information on which to make an accurate evaluation of the ganger posed by the offender.") and at p. 398 ("sentencing judge is to obtain the accurate assessment of the offender that is necessary to develop an appropriate sentence, he will have to have at his disposal the broadest possible range of information."(  

  3. [↑](Print_version.html#cite_ref-358) McWilliams' Canadian Criminal Evidence, Fourth Edition at 34:10  
R. v. Lévesque, [2000 SCC 47](http://canlii.ca/t/523w) (CanLII), [2000] 2 SCR 487 at para. 30  
R. v. Campbell, [2003 CanLII 49352](http://canlii.ca/t/f6k) (ON SC) at para. 31  
Angelillo at para. 20
  4. [↑](Print_version.html#cite_ref-359) Angelillo at para. 32  
R. v. Edwards, [2001 CanLII 24105](http://canlii.ca/t/1fbx6) (ON CA) at para. 63 Campbell  

  5. [↑](Print_version.html#cite_ref-360) Campbell at para. 29, 31, 32  
R. v. Boyd, [1983 CanLII 240](http://canlii.ca/t/23m12) (BC CA)  

  6. [↑](Print_version.html#cite_ref-361) Campbell at para. 9
  7. [↑](Print_version.html#cite_ref-362) Angelillo, such as at para. 21
  8. [↑](Print_version.html#cite_ref-363) R. v. Johnson, [2003 SCC 46](http://canlii.ca/t/51pl) (CanLII), [2003] 2 SCR 357 at para. 23
  9. [↑](Print_version.html#cite_ref-364) Edwards at para.39-42  
Angelillo at para. 28, 29
  10. [↑](Print_version.html#cite_ref-365) Angelillo at para. 32  
Ewards at para. 63

### Factual findings[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-2)]

Section 723 codifies the common law rules on submission of evidence on sentencing.

> **Submissions on facts**  
723\. (1) Before determining the sentence, a court shall give the prosecutor and the offender an opportunity to make submissions with respect to any facts relevant to the sentence to be imposed.
> 
> **Submission of evidence**  
(2) The court shall hear any relevant evidence presented by the prosecutor or the offender.
> 
> **Production of evidence**  
(3) The court may, on its own motion, after hearing argument from the prosecutor and the offender, require the production of evidence that would assist it in determining the appropriate sentence.
> 
> **Compel appearance**  
(4) Where it is necessary in the interests of justice, the court may, after consulting the parties, compel the appearance of any person who is a compellable witness to assist the court in determining the appropriate sentence.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 723; 1995, c. 22, s. 6.
> 
> ...
> 
> **Information accepted**  
724\. (1) In determining a sentence, a court may accept as proved any information disclosed at the trial or at the sentencing proceedings and any facts agreed on by the prosecutor and the offender.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec723)

On a guilty plea, a judge may rely on facts that are agreed upon by the parties. The Crown will read the facts alleged as well as submit allegations of prior criminal convictions.[[1]](Print_version.html#cite_note-366) The Defence must have an opportunity to deny or consent to the allegations.[[2]](Print_version.html#cite_note-367)

In practice, at a minimum the crown should read-in enough facts to make out the essential elements of the offence. Preferably there should also be all admitted facts going to aggravating and mitigating factors.

The judge may rely upon any information placed before him. This includes submissions by Crown and Defence counsel as well as admissible evidence.[[3]](Print_version.html#cite_note-368)

A guilty plea is only an admission of the essential elements of the offence.[[4]](Print_version.html#cite_note-369)

On sentencing, where facts are not in dispute, the judge may makes inferences from proven or undisputed evidence.[[5]](Print_version.html#cite_note-370)

  1. [↑](Print_version.html#cite_ref-366) e.g. R v Bartlett, [2005 NLCA 75](http://canlii.ca/t/1m697) (CanLII)
  2. [↑](Print_version.html#cite_ref-367) R. v. Cataract (1994), 93 CCC 486 (SaskCA)
  3. [↑](Print_version.html#cite_ref-368) R v Bartlett [2005 NLCA 75](http://canlii.ca/t/1m697) (CanLII)
  4. [↑](Print_version.html#cite_ref-369) R. v. Gardiner, [1982] 368 S.C.R. 2 [1982 CanLII 30](http://www.canlii.org/en/ca/scc/doc/1982/1982canlii30/1982canlii30.html) at 330 and 331
  5. [↑](Print_version.html#cite_ref-370) R. v. Ducharme, [2012 MBCA 35](http://canlii.ca/t/fr0w3) at para 5

### Disputed of facts[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-3)]

> 724.
> 
> ...
> 
> **Disputed facts**  
(3) Where there is a dispute with respect to any fact that is relevant to the determination of a sentence,
> 
>     (a) the court shall request that evidence be adduced as to the existence of the fact unless the court is satisfied that sufficient evidence was adduced at the trial;
>     (b) the party wishing to rely on a relevant fact, including a fact contained in a presentence report, has the burden of proving it;
>     (c) either party may cross-examine any witness called by the other party;
>     (d) subject to paragraph (e), the court must be satisfied on a balance of probabilities of the existence of the disputed fact before relying on it in determining the sentence; and
>     (e) the prosecutor must establish, by proof beyond a reasonable doubt, the existence of any aggravating fact or any previous conviction by the offender.
> 
> – R.S., 1985, c. C-46, s. 724; 1995, c. 22, s. 6., _[CCC](http://canlii.ca/t/7vf2#sec724)_

Where there is a dispute on facts, the court cannot rely upon the crown's version without supported facts.[[1]](Print_version.html#cite_note-371) To settle the conflict the judge must hear evidence to settle the evidence or chose to accept the accused's version "so far as possible".[[2]](Print_version.html#cite_note-372) If the difference amounts to a dispute between characterizations, the Defence must call evidence.[[3]](Print_version.html#cite_note-373)

Aggravating facts must be proved beyond a reasonable doubt by the crown.[[4]](Print_version.html#cite_note-374)

A "Gardiner Hearing" refers to the hearing of oral evidence that is conducted at sentencing where there is a dispute between the parties as to the facts on a guilty plea.[[5]](Print_version.html#cite_note-375)

This hearing is conducted according to s. 724(3). It will concern the “extrinsic evidence” that must be proven by the crown.[[6]](Print_version.html#cite_note-376)

The Crown does not have to prove voluntariness of statements made by the accused.[[7]](Print_version.html#cite_note-377)

  1. [↑](Print_version.html#cite_ref-371) R. v. Choice Atlantic Seafoods Inc., 2001 NSSC 161 at para. 7
  2. [↑](Print_version.html#cite_ref-372) s. 724(3)(e)  
R. v. Choice Atlantic Seafoods Inc., 2001 NSSC 161 at para. 7 citing R. v. Poorman 1991 CanLII 2759 (SK C.A.), (1991), 6 C.R. (4th) 364 (Sask. C.A.)
  3. [↑](Print_version.html#cite_ref-373) R. v. Poulin, [1995 CanLII 2368](http://www.canlii.org/en/bc/bcca/doc/1995/1995canlii2368/1995canlii2368.html) (BCCA)
  4. [↑](Print_version.html#cite_ref-374) R. v. Larche, [2006 SCC 56](http://canlii.ca/t/1q3xv#par43), [2006] 2 S.C.R. 762 at para. 43-44 R. v. Tomdio-Yiuiti, [2010 SKCA 81](http://www.canlii.org/en/sk/skca/doc/2010/2010skca81/2010skca81.html)  
R. v. Malinowski, [2007 SKCA 33](http://canlii.ca/t/1r2qg) at para. 6  
R. v. Lewis, 2012 NLCA 11, ("an aggravating factor that is disputed is, like an essential element of the offence, required to be proven beyond a reasonable doubt.") R. v. Gardiner, [1982 CanLII 30](http://canlii.ca/t/1lpcq) (S.C.C.), [1982] 2 S.C.R. 368 at p. 414-5  
R. v. Angelillo [2006 SCC 55](http://canlii.ca/t/1q3xt) (CanLII), (2006), 214 C.C.C. (3d) 309 (S.C.C.), ("the extrinsic evidence is contested, the prosecution must prove it. Since the facts in question will doubtless be aggravating facts, they must be proved beyond a reasonable doubt (s. 724(3)(e)). The court can sentence the offender only for the offence of which he or she has been convicted, and the sentence must be proportionate to the gravity of that offence...")  

  5. [↑](Print_version.html#cite_ref-375) see R. v. Gardiner, 1982 CanLII 30 (SCC), [1982] 2 S.C.R. 368 (the "issue should be resolved by ordinary legal principles governing criminal proceedings")
  6. [↑](Print_version.html#cite_ref-376) R. v. Angelillo 2006 SCC 55 (CanLII), (2006), 214 C.C.C. (3d) 309 (S.C.C.),
  7. [↑](Print_version.html#cite_ref-377) R v Lees, [1979] 2 SCR 749

  


### Hearsay[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-4)]

Hearsay is admissible in sentencing under s. 723.

> s. 723.
> 
> ...
> 
> **Hearsay evidence**  
(5) Hearsay evidence is admissible at sentencing proceedings, but the court may, if the court considers it to be in the interests of justice, compel a person to testify where the person
> 
>     (a) has personal knowledge of the matter;
>     (b) is reasonably available; and
>     (c) is a compellable witness.
> 
> R.S., 1985, c. C-46, s. 723; 1995, c. 22, s. 6.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec723)

As with all evidence at sentencing, it must be credible and reliable.[[1]](Print_version.html#cite_note-378)

Documentary evidence, such as reports, records, and assessments, may be admitted for the truth of its contents.[[2]](Print_version.html#cite_note-379)

The flexible standard may not apply where the Crown wishes to prove aggravating factors which requires proof beyond a reasonable doubt.[[3]](Print_version.html#cite_note-380)

  1. [↑](Print_version.html#cite_ref-378) R v Francis (2005) CCC (3d) 147 at para. 24, 27  
R v JPL 2006 ABPC 313 at para. 5  
R. v. Janes Family Foods Ltd., [2008 ONCJ 13](http://canlii.ca/t/1vfxq) (CanLII)
  2. [↑](Print_version.html#cite_ref-379) R. v. McKay, [2004 MBQB 146](http://canlii.ca/t/1hf8d) at para. 4-9  
R. v. Ellard, [2005 BCSC 1087](http://canlii.ca/t/1n161) (CanLII) at para. 22  

  3. [↑](Print_version.html#cite_ref-380) R. v. Piche, [2006 ABCA 220](http://canlii.ca/t/1nxq3) (CanLII) at para. 14-16  
Levesque at para. 30  
Angelillo at para. 20, 21  


### Evidence of Untried Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-5)]

Evidence of untried offences is generally a form of character evidence and may be admissible.[[1]](Print_version.html#cite_note-381)

Factors to consider whether untried conduct is admissible to establish character includes the following:[[2]](Print_version.html#cite_note-382)

  1. the nexus between the evidence and the offence for which the offender was convicted—the closer the connection the more likely the evidence will shed light on the circumstances of the charged offence;
  2. the similarity between the evidence and the offence for which the offender was convicted;
  3. the difficulty the offender may encounter in properly defending against the allegations in the proposed evidence;
  4. the danger that the sentence hearing will be unduly prolonged;
  5. the danger that the focus of the sentence hearing will appear to be diverted from the true purpose of imposing a fit sentence for the charged offence that is proportionate to the gravity of the offence and the degree of responsibility of the offender in accordance with s. 718.1;
  6. whether, as in Lees, the offender has adduced evidence of good character; and
  7. the cogency of the proposed evidence.

  


  1. [↑](Print_version.html#cite_ref-381) R. v. McCauley, [2007] O.J. No. 1593 (S.C.)  
R. v. Fouquet, [2005 ABQB 673](http://canlii.ca/t/1lkj3) (CanLII)  

  2. [↑](Print_version.html#cite_ref-382) R. v. Edwards, [2001 CanLII 24105](http://canlii.ca/t/1fbx6) (ON CA)

### Post-Sentence evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Evidence&action=edit&section=T-6)]

See: [Canadian_Criminal_Procedure_and_Practice/Appeals](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice/Appeals)

  


# Procedure/Pre-Sentence Report[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Pre-Sentence_Report&action=edit&section=T-1)]

A Pre-sentence Report is a report that is generated by a probation officer on order of the court after interviewing the accused and collateral sources that is for the benefit of the judge in determining sentence.

The enabling provision that allows the ordering of a report is section 721, which states:

> **Report by probation officer**  
721\. (1) Subject to regulations made under subsection (2), where an accused, other than an organization, pleads guilty to or is found guilty of an offence, a probation officer shall, if required to do so by a court, prepare and file with the court a report in writing relating to the accused for the purpose of assisting the court in imposing a sentence or in determining whether the accused should be discharged under section 730.  
**Provincial regulations**  
(2) The lieutenant governor in council of a province may make regulations respecting the types of offences for which a court may require a report, and respecting the content and form of the report.  
**Content of report**  
(3) Unless otherwise specified by the court, the report must, wherever possible, contain information on the following matters:
> 
>     (a) the offender’s age, maturity, character, behaviour, attitude and willingness to make amends;
>     (b) subject to subsection 119(2) of the Youth Criminal Justice Act, the history of previous dispositions under the Young Offenders Act, chapter Y-1 of the Revised Statutes of Canada, 1985, the history of previous sentences under the Youth Criminal Justice Act, and of previous findings of guilt under this Act and any other Act of Parliament;
>     (c) the history of any alternative measures used to deal with the offender, and the offender’s response to those measures; and
>     (d) any matter required, by any regulation made under subsection (2), to be included in the report.  

> 
> **Idem**  
(4) The report must also contain information on any other matter required by the court, after hearing argument from the prosecutor and the offender, to be included in the report, subject to any contrary regulation made under subsection (2).  
**Copy of report**  
(5) The clerk of the court shall provide a copy of the report, as soon as practicable after filing, to the offender or counsel for the offender, as directed by the court, and to the prosecutor.  
R.S., 1985, c. C-46, s. 721; R.S., 1985, c. 27 (1st Supp.), s. 203; 1995, c. 22, s. 6; 1999, c. 25, s. 16(Preamble); 2002, c. 1, s. 183; 2003, c. 21, s. 15.
> 
>   

> 
> – [CCC](http://www.canlii.ca/t/7vf2#sec721)

Under section 724(3)(b), where there is a dispute on factual claims within the report, the party relying upon it must prove the fact.

The purpose of a pre-sentence report is to provide a “picture of the accused as a person in society - his background, family, education, employment record, his physical and mental health, his associates and social activities, and his potentialities and motivations.”[[1]](Print_version.html#cite_note-383)

The function is not to provide evidence of an offence, give details of a criminal record, or tell the court what sentence to give.[[2]](Print_version.html#cite_note-384)

The judge may use the information in the report to assess the character of the accused in order to relate the offence to the accused.[[3]](Print_version.html#cite_note-385)

Where a judge lacks full information on the background of the accused, particularly where the jeopardy of the accused is significant a judge should order a pre-sentence report.[[4]](Print_version.html#cite_note-386)

Generally, a pre-sentence report should be considered when sentencing a first-time offender.[[5]](Print_version.html#cite_note-387)

However, given the general limitations on resources, the judge may want to decline to order a report where there is no specific purpose in ordering one.[[6]](Print_version.html#cite_note-388)

  1. [↑](Print_version.html#cite_ref-383) R. v. Riley, [1996 CanLII 5615](http://canlii.ca/t/1mpw0) (NS CA)
  2. [↑](Print_version.html#cite_ref-384) R. v. Bartkow (1978), 24 N.S.R. (2d) 518, at para. 10
  3. [↑](Print_version.html#cite_ref-385) R. v. Brown, (1985), 31 Man.R. (2d) 268 per Monnin, C.J., at 274
  4. [↑](Print_version.html#cite_ref-386) R. v. Pritchett; R. v. Graham (1969), 9 C.R.N.S. 262 (Ont. C.A.)  
R. v. Samaras (1971), 16 C.R.N.S. 1 (Ont. C.A.)  

  5. [↑](Print_version.html#cite_ref-387) R. v. Bates (1977), 32 C.C.C. (2d) 493, 1 W.C.B. 116, 1977 CLB 408 (Ont. C.A.) at p. 494
  6. [↑](Print_version.html#cite_ref-388) R. v. Shapley, [1998] S.J. No. 790 (Q.B.), 174 Sask.R. 92, at para. 19

  


# Procedure/Victim Impact Statement[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Legislation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-1)]

> **Victim impact statement**  
722\. (1) For the purpose of determining the sentence to be imposed on an offender or whether the offender should be discharged pursuant to section 730 in respect of any offence, the court shall consider any statement that may have been prepared in accordance with subsection (2) of a victim of the offence describing the harm done to, or loss suffered by, the victim arising from the commission of the offence.
> 
> **Procedure for victim impact statement**  
(2) A statement referred to in subsection (1) must be
> 
>     (a) prepared in writing in the form and in accordance with the procedures established by a program designated for that purpose by the lieutenant governor in council of the province in which the court is exercising its jurisdiction; and
>     (b) filed with the court.
> 
> **Presentation of statement**  
(2.1) The court shall, on the request of a victim, permit the victim to read a statement prepared and filed in accordance with subsection (2), or to present the statement in any other manner that the court considers appropriate.
> 
> **Evidence concerning victim admissible**  
(3) Whether or not a statement has been prepared and filed in accordance with subsection (2), the court may consider any other evidence concerning any victim of the offence for the purpose of determining the sentence to be imposed on the offender or whether the offender should be discharged under section 730.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 722; 1995, c. 22, s. 6; 1999, c. 25, s. 17(Preamble); 2000, c. 12, s. 95.
> 
> **Copy of statement**  
722.1 The clerk of the court shall provide a copy of a statement referred to in subsection 722(1), as soon as practicable after a finding of guilt, to the offender or counsel for the offender, and to the prosecutor.
> 
> 1995, c. 22, s. 6; 1999, c. 25, s. 18(Preamble).
> 
> – [CCC](http://canlii.ca/t/7vf2#sec722)

  
Under [s. 722(2)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec722), the Court must consider victim impact statements that are submitted to the court. After a finding of guilt, the court is required under [s. 722.2(1)](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec722.2), to inquire whether the victim has been advised of the opportunity to prepare a victim impact statement.

## Persons Who can File a VIS[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-2)]

Only a victim may file a VIS. Section 722(4) defines a victim as:

> **Definition of “victim”**  
(4) For the purposes of this section and section 722.2, “victim”, in relation to an offence,
> 
>     (a) means a person to whom harm was done or who suffered physical or emotional loss as a result of the commission of the offence; and
>     (b) where the person described in paragraph (a) is dead, ill or otherwise incapable of making a statement referred to in subsection (1), includes the spouse or common-law partner or any relative of that person, anyone who has in law or fact the custody of that person or is responsible for the care or support of that person or any dependant of that person.
> 
> R.S., 1985, c. C-46, s. 722; 1995, c. 22, s. 6; 1999, c. 25, s. 17(Preamble); 2000, c. 12, s. 95.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec722)

The victim must also be capable of "describing the harm done to, or loss suffered by, the victim arising from the commission of the offence."(s. 722(1))

It has been recommended that VIS not be permitted in by persons who are "unidentified in their connection to the [victim] or too remote in connection".[[1]](Print_version.html#cite_note-389)

  


## Form of Statement[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-3)]

It has been suggested that in order for a VIS to be admissible it should contain the following: [[2]](Print_version.html#cite_note-390)

  * the statement is to be prepared in writing,
  * the statement is to be in the form and in accordance with procedures established by a program designated for that purpose by the province,
  * the statement is to be authored by a person meeting the definition of "victim" (s. 722(4) of the Code),
  * the statement is to describe the harm done to, or loss suffered by, the victim arising from the commission of the offence,
  * the statement is to be filed with the Court,
  * the clerk of the Court is to provide a copy of the statement to the prosecution and the defence (s. 722.1 of the Code)

It is important that when considering the VIS that the court maintain its “independent neutrality" by not "react[ing] to public opinion as to the severity of sentences."[[3]](Print_version.html#cite_note-391)

  1. [↑](Print_version.html#cite_ref-389) Gabriel at para.48
  2. [↑](Print_version.html#cite_ref-390) R. v. Gabriel (1999), 137 C.C.C. (3d) 1 (Ont. Sup. Ct.) at para. 16
  3. [↑](Print_version.html#cite_ref-391) Gabriel at para. 33

## Admissible Content[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-4)]

Impact statements should describe "the harm done to, or loss suffered by, the victim arising from the commission of the offence". (s. 722(1))

  


## Inappropriate Content for a VIS[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-5)]

The Statement should describe the harm arising out of the offence. It is not an opportunity for the victim to criticize the offender, including his character, assert facts or recommend sentence. Such comments are inadmissible.[[1]](Print_version.html#cite_note-392) Nor should there be reference to offences not charged.[[2]](Print_version.html#cite_note-393)

There is limited cases where sentence recommendation may be admissible, such as during a sentencing circle.[[3]](Print_version.html#cite_note-394)

It has been suggested the follow sort of statements not be permitted:[[4]](Print_version.html#cite_note-395)

  1. statements by persons with unidentified connections to the victim or to remote a connection
  2. references to facts that are not accurate
  3. statements speaking of the offender including character[[5]](Print_version.html#cite_note-396)
  4. suggesting penalties
  5. seeks personal revenge [[6]](Print_version.html#cite_note-397)
  6. promoting an "eye for an eye"
  7. statements that are inflammatory and jeopardize the desired restraint in sentencing[[7]](Print_version.html#cite_note-398)
  8. makes diagnoses of the offender[[8]](Print_version.html#cite_note-399)
  9. mischaracterizations of the offence or the law

  1. [↑](Print_version.html#cite_ref-392) R. v. Gabriel, 1999 CanLII 15050 (ON S.C.) 137 C.C.C. (3d) 1 at para. 16  
R. v. Bremner, 2000 BCCA 345 at 27
  2. [↑](Print_version.html#cite_ref-393) R. v. Noor, 2011 BCSC 1629 at 21
  3. [↑](Print_version.html#cite_ref-394) Gabriel at para. 29 to 33
  4. [↑](Print_version.html#cite_ref-395) Gabriel at para. 48 to 53
  5. [↑](Print_version.html#cite_ref-396) e.g.R. v. Walchuk, [2001] S.J. No. 148 (Sask.C.A.)
  6. [↑](Print_version.html#cite_ref-397) R. v. Bremner [2000] B.C.J. No. 1096 (B.C.C.A), R. v. Sangha, [2001] A.J. No. 545 (Alta. Q.B.), R. v. D.M.L.G. [2001], S.J. No. 581 (Sask. Prov. Ct.), R. v. Hawley [1999] O.J. No. 5393
  7. [↑](Print_version.html#cite_ref-398) R. v. Bremner [2000] B.C.J. No. 1096 (B.C.C.A) calls offender a pedophile
  8. [↑](Print_version.html#cite_ref-399) R. v. Bremner [2000] B.C.J. No. 1096 (B.C.C.A) calls him a pedophile

## Offence Specific Impact Statement[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-6)]

> **Community impact statement**  
380.4 (1) For greater certainty, for the purpose of determining the sentence to be imposed on an offender, or whether the offender should be discharged under section 730, in respect of an offence referred to in subsection 380(1), the court may consider a statement made by a person on a community’s behalf describing the harm done to, or losses suffered by, the community arising from the commission of the offence.
> 
> **Procedure**  
(2) The statement must
> 
>     (a) be prepared in writing and filed with the court;
>     (b) identify the community on whose behalf the statement is made; and
>     (c) explain how the statement reflects the community’s views.
> 
> **Copy of statement**  
(3) The clerk of the court shall provide a copy of the statement, as soon as practicable after a finding of guilt, to the offender or counsel for the offender, and to the prosecutor.
> 
> 2011, c. 6, s. 4.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec380.4)

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Victim_Impact_Statement&action=edit&section=T-7)]

  1. [↑](Print_version.html#cite_ref-245) R. v. Morrisey, 2000 SCC 39 [[30]](http://www.canlii.org/en/ca/scc/doc/2000/2000scc39/2000scc39.html), discussed in minority decision  
R. v. Colville, 2005 ABCA 319 at paras. 21-26 [[31]](http://www.canlii.org/en/ab/abca/doc/2005/2005abca319/2005abca319.html)  
R. v. Ferguson, 2006 ABCA 261 at para. 85  
R. v. B.C.M., 2008 BCCA 365 [[32]](http://www.canlii.org/en/bc/bcca/doc/2008/2008bcca365/2008bcca365.html)  
R. v. Newman, 2009 NLCA 32
  2. [↑](Print_version.html#cite_ref-246) e.g. s. 253, 264.1
  3. [↑](Print_version.html#cite_ref-247) R. v. Solowan, 2008 SCC 62, [2008] 3 S.C.R. 309 [[33]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc62/2008scc62.html); R. v. L.M., 2008 SCC 31, [2008] 2 S.C.R. 163 [[34]](http://www.canlii.org/en/ca/scc/doc/2008/2008scc31/2008scc31.html)
  4. [↑](Print_version.html#cite_ref-248) R. v. Cheddesingh,2004 SCC 16, [2004] 1 S.C.R. 433 [[35]](http://www.canlii.org/en/ca/scc/doc/2004/2004scc16/2004scc16.html)
  5. [↑](Print_version.html#cite_ref-249) R. v. Solowan, _supra_

  


# Procedure/Plea Bargain[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Plea_Bargain&action=edit&section=T-1)]

A plea bargain is an agreement between the Crown and defence whereby the Defence agrees to plead guilty to particular offences in exchange for a particular proposal on sentence. If the defence accepts the offer on sentence, the agreement is put the judge as a jointly recommended sentence.

## Joint Recommendations[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Plea_Bargain&action=edit&section=T-2)]

A joint recommendation is an agreement on penalty between the Crown and Defence to present a single penalty recommendation that the judge is asked to adopt.

A joint recommendation does not need to encompass all aspects of the sentence. There can be a joint recommendation on part of a sentence, such as the form of penalty, while still keeping aspects of the penalty in dispute, such as the length of the penalty, conditions associated with the penalty, or ancillary orders.[[1]](Print_version.html#cite_note-400)

A joint submission often indicates a lower range of sentence.[[2]](Print_version.html#cite_note-401) The motivation for an agreement is often due to a weak aspect in the Crown's case or the risk of the judge giving a higher penalty than what would sought by defence without an agreement.

A joint recommendation may even be accepted where it is more lenient than the lower end of the normal range.[[3]](Print_version.html#cite_note-402)

Sentences arising from a joint recommendation "have little or no precedential value."[[4]](Print_version.html#cite_note-403)

**Deference**  
A joint recommended sentence is a sentence for which the courts do not readily overturn. [[5]](Print_version.html#cite_note-404) The court may only do so where the sentence in not within a reasonably appropriate range for the circumstances.[[6]](Print_version.html#cite_note-405) The judge must give reasons for not adopting a joint recommendation.

A judge should give serious consideration to a joint sentencing proposal.[[7]](Print_version.html#cite_note-406)

There is less weight given to "joint recommendations" that do not involve a "quid pro quo" (i.e. some reduced recommendation on sentence).[[8]](Print_version.html#cite_note-407) Likewise, where the accused was without counsel less deference is given.[[9]](Print_version.html#cite_note-408)

**When Not Followed**  
If a judge has reservations to adopt a joint recommendations it should allow counsel an opportunity to respond.[[10]](Print_version.html#cite_note-409) Likewise, where a judge is looking to go beyond the range set by counsel, the judge should equally provide notice to the parties before going above or below the range.[[11]](Print_version.html#cite_note-410) Similarly, where a judge wishes to impose a condition that was not contemplated by either party nor could it have been easily foreseen, then the judge should also provide notice before doing so.[[12]](Print_version.html#cite_note-411)

**Other Issues**  
Where the accused misapprehended the joint recommendation, it can be grounds for a successful appeal of a sentence.[[13]](Print_version.html#cite_note-412) Where an offender is unaware of a significant consequence of a particular sentence agreed upon, such as deportation without appeal, the court may reopen the consideration of sentence.[[14]](Print_version.html#cite_note-413)

  1. [↑](Print_version.html#cite_ref-400) e.g. R. v. Parsons, [2012 CanLII 81320](http://canlii.ca/t/fvf3f) (NL SCTD) - length of CSO and ancillary orders in dispute alone
  2. [↑](Print_version.html#cite_ref-401) R v Kane [2012 NLCA 53](http://canlii.ca/t/fs972)
  3. [↑](Print_version.html#cite_ref-402) R v Oake [2010 NLCA 19](http://canlii.ca/t/28pd1) at 64
  4. [↑](Print_version.html#cite_ref-403) R. v. Johnston, [2011 NLCA 56](http://canlii.ca/t/fmqxj)  
R. v. Johnson, [2010 ABQB 546](http://canlii.ca/t/2ct1p)  
R. v. Benlolo [2006 CanLII 19284](http://canlii.ca/t/1nj8l) (ON CA), (2006), 81 O.R. (3d) 440 (C.A.)  

  5. [↑](Print_version.html#cite_ref-404) R. v. J.W.I.B., [2003 MBCA 92](http://canlii.ca/t/58s1)  
R. v. Pashe (S.J.) [1995 CanLII 6256](http://canlii.ca/t/1pfkc) (MB C.A.)
  6. [↑](Print_version.html#cite_ref-405) R. v. Smith, [2004 BCCA 657](http://canlii.ca/t/1jj1t)  
R. v. Gartner, [2010 BCCA 600](http://canlii.ca/t/2fptk)  
R. v. Wickstrom, [2011 BCSC 745](http://canlii.ca/t/flrqw)  
R. v. Cerasuolo [2001 CanLII 24172](http://canlii.ca/t/1fbn2) (ON CA)  
R. v. DeSousa, [2012 ONCA 254](http://canlii.ca/t/fr17k)  

  7. [↑](Print_version.html#cite_ref-406) R v GWC, [2000 ABCA 333](http://canlii.ca/t/5rmx) at para 17
  8. [↑](Print_version.html#cite_ref-407) R. v. Wolonciej, [2011 MBCA 91](http://www.canlii.org/en/mb/mbca/doc/2011/2011mbca91/2011mbca91.html) at 10
  9. [↑](Print_version.html#cite_ref-408) R. v. Bambrick, [2011 NLCA 79](http://www.canlii.org/en/nl/nlca/doc/2011/2011nlca79/2011nlca79.html) at para. 14
  10. [↑](Print_version.html#cite_ref-409) R v GWC, 2000 ABCA 333 (CanLII), 2000 ABCA 333 at 26
  11. [↑](Print_version.html#cite_ref-410) R v Hood, [2011 ABCA 169](http://canlii.ca/t/flqvp) at 14  
R v Abel, [2011 NWTCA 4](http://canlii.ca/t/fm1mv) at 23  
R. v. Burback, [2012 ABCA 30](http://canlii.ca/t/fq14b)  

  12. [↑](Print_version.html#cite_ref-411) R v Beal, [2011 ABCA 35](http://canlii.ca/t/2fk7g)
  13. [↑](Print_version.html#cite_ref-412) e.g. R v Kinney, [2011 SKCA 122](http://www.canlii.org/en/sk/skca/doc/2011/2011skca122/2011skca122.html)
  14. [↑](Print_version.html#cite_ref-413) R. v. Jamieson, [2011 NSCA 122](http://canlii.ca/t/fpf0n)

## Repudiating a Plea Bargain[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Plea_Bargain&action=edit&section=T-3)]

If the Crown renegs on a plea deal on sentence, the Defence may make application to withdraw the guilty plea.[[1]](Print_version.html#cite_note-414)

  1. [↑](Print_version.html#cite_ref-414) R. v. M. (R.N.-Z.) 2006 CanLII 32999 (ON S.C.)[[43]](http://www.canlii.org/en/on/onsc/doc/2006/2006canlii32999/2006canlii32999.html)  
R. v. Chen, 2009 ONCJ 453[[44]](http://www.canlii.org/en/on/oncj/doc/2009/2009oncj453/2009oncj453.html)  
see also: R. v. Tallon, 2003 CanLII 27268 (ON C.A.) [[45]](http://www.canlii.org/en/on/onca/doc/2003/2003canlii27268/2003canlii27268.html)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Plea_Bargain&action=edit&section=T-4)]

  * [Plea Bargains](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Cases/Joint_Recommendations)

  


# Procedure/Remand Credit[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Remand_Credit&action=edit&section=T-1)]

It generally preferred that when calculating a global sentence for multiple offences that the sentence be determined before taking into account pre-trial custody. Instead, the ordered sentence should be declared to be reduced for pre-trial custody credit. [[1]](Print_version.html#cite_note-415)

A failure to take into account remand time is an error of principle.[[2]](Print_version.html#cite_note-416) The method of taking into account remand time is to first calculate the total sentence and then deduct an amount of credit based on the amount of time served.[[3]](Print_version.html#cite_note-417)

On February, 2010, the _Truth in Sentencing Act_ came into force limiting to circumstances where offenders on remand can get 2 for 1 credit. All offences occurring before that date will still be subject to the old rules of remand credit.

Prior to 2010, courts had discretion to grant 2:1 remand credit for time spent in custody. In practice, this was granted in most cases. The addition of s. 719(3.1) required a credit of 1:1 unless justified and with a maximum of 1:1.5 credit for remand time.

> s. 719
> 
> ...
> 
> **Determination of sentence**  
(3) In determining the sentence to be imposed on a person convicted of an offence, a court may take into account any time spent in custody by the person as a result of the offence but the court shall limit any credit for that time to a maximum of one day for each day spent in custody.
> 
> **Exception**  
(3.1) Despite subsection (3), if the circumstances justify it, the maximum is one and one-half days for each day spent in custody unless the reason for detaining the person in custody was stated in the record under subsection 515(9.1) or the person was detained in custody under subsection 524(4) or (8).
> 
> **Reasons**  
(3.2) The court shall give reasons for any credit granted and shall cause those reasons to be stated in the record.
> 
> **Record of proceedings**  
(3.3) The court shall cause to be stated in the record and on the warrant of committal the offence, the amount of time spent in custody, the term of imprisonment that would have been imposed before any credit was granted, the amount of time credited, if any, and the sentence imposed.
> 
> ...
> 
> R.S., 1985, c. C-46, s. 719; R.S., 1985, c. 27 (1st Supp.), s. 157; 1995, c. 22, s. 6; 2009, c. 29, s. 3.
> 
> – [CCC](http://canlii.ca/t/7vf2#sec719)

Where the offence is one with a mandatory minimum, the court may give remand credit that has the effect of reducing the sentence below the mandatory jail sentence.[[4]](Print_version.html#cite_note-418)

Circumstances in which enhanced credit have been given include:[[5]](Print_version.html#cite_note-419)

  1. Conditions of the remand facilities: 
    1. lack of available programming and counselling[[6]](Print_version.html#cite_note-420)
    2. frequency of lockdowns during remand[[7]](Print_version.html#cite_note-421)
    3. duration of time in solitary confinement[[8]](Print_version.html#cite_note-422)
    4. other harsh circumstances in the facility such as double bunking, sleeping on floor, violence, etc.[[9]](Print_version.html#cite_note-423)
  2. delay post-trial not attributed to the accused: 
    1. delay due to court scheduling[[10]](Print_version.html#cite_note-424)
    2. request by Court or Crown for a pre-sentence report or Gladue report[[11]](Print_version.html#cite_note-425)
    3. multiple court appearances for the purposes of sentencing[[12]](Print_version.html#cite_note-426)
  3. delay due to Crown[[13]](Print_version.html#cite_note-427)

Enhanced credit will be _denied_ in circumstances such as:

  1. delay caused by the offender, including where the proceedings are drawn out deliberately.[[14]](Print_version.html#cite_note-428)

  


  1. [↑](Print_version.html#cite_ref-415) R. v. Schira, [2004 ABCA 369](http://www.canlii.org/en/ab/abca/doc/2004/2004abca369/2004abca369.html) R. v. Letta, [2004 MBCA 179](http://www.canlii.org/en/mb/mbca/doc/2004/2004mbca179/2004mbca179.html)
  2. [↑](Print_version.html#cite_ref-416) R v Aubin [2009 BCCA 418 at 2](http://canlii.ca/t/2607r#par2)
  3. [↑](Print_version.html#cite_ref-417) R v Orr [2008 BCCA 76](http://canlii.ca/t/1vsdv) at para. 22
  4. [↑](Print_version.html#cite_ref-418) R v Wust 2000 18  
R. v. Arthurs, 2000 SCC 19 at 1  

  5. [↑](Print_version.html#cite_ref-419) R. v. Stonefish, 2012 MBCA 116 (CanLII) - summary of circumstances of enhanced credit
  6. [↑](Print_version.html#cite_ref-420) e.g., R. v. Haly, 2012 ONSC 2302 (CanLII) -- 1.2:1 time was given  
R. v. Mullins (P.E.), 2011 SKQB 478 (CanLII)  
R. c. Auger, 2012 QCCQ 568 (CanLII)  

  7. [↑](Print_version.html#cite_ref-421) e.g. Mullins  
R. v. Oates, 2012 ONCJ 461 (CanLII)  
c.f. R. v. Sayed, 2012 ONSC 843 (CanLII)
  8. [↑](Print_version.html#cite_ref-422) e.g., R. v. Seymour, 2011 BCSC 1682 (CanLII) solitary for his own protection  
R. c. Guo, 2011 QCCQ 10469 (CanLII)  

  9. [↑](Print_version.html#cite_ref-423) e.g., R. v. J.B., 2011 BCPC 158 (CanLII) - double-bunking and exposure to violence  
R. v. Clayton, 2012 ABQB 333 (CanLII) - overcrowding, slept on the floor  
Auger - no visitors while on remand  

  10. [↑](Print_version.html#cite_ref-424) e.g., R. v. Dingwell (D.A.), 2012 PESC 13 (CanLII)  
R. v. B.R.S., 2011 ONCJ 484 (CanLII)  
R. v. Sabatine, 2012 ONCJ 310 (CanLII) - judge requested further submissions and time spent drafting reasons  

  11. [↑](Print_version.html#cite_ref-425) e.g,. R. v. House (Z.C.) (2012), 319 Nfld. & P.E.I.R. 197 (NL Prov. Ct.)  
R. v. Sharkey, 2011 BCSC 1541 (CanLII)  
R. v. Mozumdar, 2012 ONCJ 151 (CanLII)  

  12. [↑](Print_version.html#cite_ref-426) e.g., R. v. Przybyla, 2012 ABPC 183 (CanLII)  

  13. [↑](Print_version.html#cite_ref-427) e.g., R. c. Lefrançois, 2012 QCCQ 5655 (CanLII)  

  14. [↑](Print_version.html#cite_ref-428) See R. v. Leggo (R.) (2012), 317 Nfld. & P.E.I.R. 252 (NL Prov. Ct.)  
R. v. Morris, 2011 ONSC 5206 (CanLII) R v Johnson, 2011 ONCJ 77  
J.B.  
Sabatine  


## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Remand_Credit&action=edit&section=T-2)]

  * R. v. Sabatine, [2012 ONCJ 310](http://canlii.ca/t/frfph) \- partial enhanced remand credit given

  


# Procedure/Charter Issues[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Retrospective punishments[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Charter_Issues&action=edit&section=T-1)]

Section 11(i) of the Canadian Charter of Rights and Freedom states:

> 11\. Any person charged with an offence has the right ...
> 
>     (i) if found guilty of the offence and if the punishment for the offence has been varied between the time of commission and the time of sentencing, to the benefit of the lesser punishment.

_Ex post facto_ treatment of the offender is not viewed as punishment under s. 11(i). That includes deportation following conviction[[1]](Print_version.html#cite_note-429) and license suspension under provincial law which is considered a "civil disability"[[2]](Print_version.html#cite_note-430).

### SOIRA Orders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Charter_Issues&action=edit&section=T-2)]

SOIRA legislation is not considered a "punishment" within the meaning of s. 11(i) of the Canadian Charter of Rights and Freedoms except where the impact of the order amounts to "harsh treatment".[[3]](Print_version.html#cite_note-431) As such, the dominant line of cases suggests that the provisions of SOIRA are retrospective.[[4]](Print_version.html#cite_note-432)

## Cruel and Unusual Punishment[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Charter_Issues&action=edit&section=T-3)]

Section 12 of the Charter states: "Everyone has the right not to be subjected to any cruel and unusual treatment or punishment."

## References[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Charter_Issues&action=edit&section=T-4)]

  1. [↑](Print_version.html#cite_ref-429) see Re Gittens and the Queen [1983] 1 FC 152, 68 CCC 2d 438 (FCTD); Hurd v. Canada (MEI) [1989] 2 FC 594 (FCA);  

  2. [↑](Print_version.html#cite_ref-430) see Johnston v. Superintendent of Motor Vehicles [1987] BCJ No44 (BCSC)
  3. [↑](Print_version.html#cite_ref-431) R. v. Cross 2006 NSCA 30 [[46]](http://canlii.ca/en/ns/nsca/doc/2006/2006nsca30/2006nsca30.html) at 85
  4. [↑](Print_version.html#cite_ref-432) R. v. Cross, supra  
R .v. Aberdeen, [2005] AJ No. 1062 [[47]](http://canlii.org/en/ab/abpc/doc/2005/2005abpc203/2005abpc203.html)  
R. v. Rouschop

  


# Procedure/Sentencing Circles[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## General Principles[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Sentencing_Circles&action=edit&section=T-1)]

A sentencing circle is an added step available in sentencing hearing process that are availble to aboriginal offenders. At a point before the sentencing hearing a ceremony is held where the offender meets with the victims of the offences, community representatives, including elders, and members of the justice system, including the crown and defence counsel, sometimes the judge. The offender will be required to listen to each member's views on the offender and offence. The members of the circle will then collectively come to a conclusion as to a fit and proper sentence that will ultimately be considered by the judge sitting in court at a sentencing hearing.

Sentencing circles are given no mention in the Criminal Code. The authority to order a sentencing comes from the judge's power of the sentencing hearing. [[1]](Print_version.html#cite_note-433)

The power over sentencing however stays with the judge at all time and can chose to not follow the recommendation of the circle.

  1. [↑](Print_version.html#cite_ref-433) R. v. Munson, 2003 SKCA 28 (CanLII), 2003 SKCA 28, 172 C.C.C. (3d) 515, at para. 70  
R. v. Morin, [1995 CanLII 3999](http://canlii.ca/t/1mdmx) (SK CA)

## Criteria for Permitting a Circle[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Sentencing_Circles&action=edit&section=T-2)]

A judge has discretion in ordering a sentencing circle. The expected criteria for ordering a circle requires:[[1]](Print_version.html#cite_note-434)

  1. The accused must agree to be referred to the sentencing circle.
  2. The accused must have deep roots in the community in which the circle is held and from which the participants are drawn.
  3. That there are elders or respected non-political community leaders willing to participate.
  4. The victim is willing to participate and has been subjected to no coercion or pressure in so agreeing.
  5. The court should try to determine beforehand, as best it can, if the victim is subject to battered spouse syndrome. If she is, then she should have counselling made available to her and be accompanied by a support team in the circle.
  6. Disputed facts have been resolved in advance.
  7. The case is one in which a court would be willing to take a calculated risk and depart from the usual range of sentencing.

On the second criteria, the judge will consider the evidence before him and must be satisfied that there is a community with the following characteristics:[[2]](Print_version.html#cite_note-435)

  1. the community is reasonably well defined by reason of the racial origin of its members, their religion or their culture or by geography or some other feature which distinguishes the community from other communities;
  2. the community recognizes the accused not only as a member but as one who has the kind of relationship with the community that ought to make him or her feel accountable to it for any criminal wrongdoing;
  3. the community supports the accused in his or her difficulty with the law and is prepared to accept the accused as a person who has the capacity, inclination, need and the sincerity to be restored (healed) in his or her relationship with the community and in his or her relationship with the victims of the wrongdoing;
  4. the community has sufficient healing or restorative resources to help the accused (and where necessary the other persons affected by the wrongdoing) in the restoration or healing.

  


  1. [↑](Print_version.html#cite_ref-434) R. v. Morin, [1995 CanLII 3999](http://canlii.ca/t/1mdmx) (SK CA)
  2. [↑](Print_version.html#cite_ref-435) R. v. Morin, [1995 CanLII 3999](http://canlii.ca/t/1mdmx) (SK CA) at 87 (in dissent on another issue)

## Case Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Sentencing_Circles&action=edit&section=T-3)]

  * R v McDonald, [2012 SKQB 158](http://canlii.ca/t/fr32m) \- request denied due to a lack of appropriately defined "community"

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Procedure/Sentencing_Circles&action=edit&section=T-4)]

  * [Canadian Criminal Sentencing/Aboriginal Principles and Factors](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Aboriginal_Principles_and_Factors)

# IV - Serving Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=7)]

# Parole[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-1)]

Parole is the program whereby offenders are permitted to be released from the correctional facility or penitentiary before the expiration of sentence. Parole is a form of supervised release where their release is conditional on terms set by the Parole Board.

The parole ineligibility runs from the date of arrest.[[1]](Print_version.html#cite_note-436)

  1. [↑](Print_version.html#cite_ref-436) s. 746; R v Toor [2005] BCJ 1382 (BCCA) at para. 13

## Early Release[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-2)]

Under s. 120 of the _Corrections and Conditional Release Act_, [SC 1992 c 20](http://canlii.ca/t/7vr2#sec120), the offender are ineligible for release anytime before the one third mark of their sentence or 7 years, whichever is less.

## Statutory Release[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-3)]

"Statutory release" refers to the eligibility for release of an offender at the two-thirds mark of their total sentence pursuant to the Parole Act. The premise is that an offender was credited with "remission" that gave extra credit for time served in custody.

Under the [Corrections and Conditional Release Act](http://www.canlii.org/en/ca/laws/stat/sc-1992-c-20/latest/sc-1992-c-20.html), an offender will be releasable after two-thirds of the sentence can be revocable by the Parole Board for those who are serving sentences for offences listed in Schedules I and II of the Act.

## Accelerated Parole[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-4)]

Under [s. 125 to 126.1](http://canlii.ca/t/j0cx) of the Corrections and Conditional Release Act, permitted first time, non-violent offenders to apply for day parole at the one-sixth mark of their sentence and full parole at one-third of their sentence. The Parole Board must be satisfied there are no reasonable grounds to believe that the offender is likely to commit an offence involving violence before the expiration of their sentence.

On March 24th, 2011, the Abolition of Early Parole Act [Bill C-59](http://laws.justice.gc.ca/eng/AnnualStatutes/2011_11/page-1.html), was assented, repealing s. 125 to 126.1 of the Corrections and Conditional Release Act.

The removal of accelerated parole cannot be retrospective or it will violate s. 11(h) of the Charter.[[1]](Print_version.html#cite_note-437)

  1. [↑](Print_version.html#cite_ref-437) Whaling v. Canada (Attorney General), [2012 BCCA 435](http://canlii.ca/t/ftl4t) (CanLII)

## Faint Hope Applications[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-5)]

Section 745.6 [[59]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec745.6) permits a person convicted of first degree murder to request to apply for parole before the mandatory 15 year mark.

Each province has enacted rules for the procedure to make such an application.[[1]](Print_version.html#cite_note-438)

See also: R v Morrison, [2012 ABQB 619](http://canlii.ca/t/ftd0k) (CanLII)

  1. [↑](Print_version.html#cite_ref-438) NTW[[48]](http://www.canlii.org/en/ca/laws/regu/sor-98-392/latest/sor-98-392.html); SASK[[49]](http://www.canlii.org/en/ca/laws/regu/sor-2005-99/latest/sor-2005-99.html); ONT[[50]](http://www.canlii.org/en/ca/laws/regu/sor-92-270/latest/sor-92-270.html); BC[[51]](http://www.canlii.org/en/ca/laws/regu/sor-97-569/latest/sor-97-569.html); NS[[52]](http://www.canlii.org/en/ca/laws/regu/sor-2005-10/latest/sor-2005-10.html)

## Court Ordered Delayed Parole[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Parole&action=edit&section=T-6)]

The court has the power under s. 743.6 [[60]](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec743.6) to delay the eligibility of parole to either one half of the global sentence or 10 years, whichever is less.

The test for delayed release is whether the court is "satisfied, having regard to the circumstances of the commission of the offence and the character and circumstances of the offender, that the expression of society’s denunciation of the offence or the objective of specific or general deterrence so requires, order that the portion of the sentence that must be served before the offender may be released on full parole is one half of the sentence or ten years, whichever is less."[[1]](Print_version.html#cite_note-439)

Any consideration of applying this section must conform with procedural fairness and permit the defence an opportunity to respond to the application. Where possible notice should be given to defence in advance.[[2]](Print_version.html#cite_note-440)

A failure of a jury to make a recommendation on parole ineligibility does not restrict a judge from making a decision on parole ineligibility who always has the final say on sentence. [[3]](Print_version.html#cite_note-441)

  1. [↑](Print_version.html#cite_ref-439) [s. 743.6](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec743.6)
  2. [↑](Print_version.html#cite_ref-440) R. v. Zinck [2003] S.C.J. No. 5, [2003 SCC 6](http://canlii.ca/t/1g2hr)
  3. [↑](Print_version.html#cite_ref-441) R. v. Cerra, [2004 BCCA 594](http://canlii.ca/t/1jb0m) (CanLII)

  


# Long-term and Dangerous Offender Designation[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-1)]

Part XXIV of the Code, between s. 752 and 761, creates a regime to designate certain offenders as either "long-term offenders" (LTO) or "dangerous offenders" (DO). These offenders will be subject to either a long-term offender supervision order, in the case of an LTO, or a order of indeterminate detention, in the case of the DO.

A judge of a provincial court or a superior court judge may issue a LTO or DO order.[[1]](Print_version.html#cite_note-442)

  1. [↑](Print_version.html#cite_ref-442) See s. 752 defining "court" as a "court by which an offender in relation to whom an application under this Part is made was convicted, or a superior court of criminal jurisdiction;"

## Assessment for LTO/DO[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-2)]

The starting point for determining if an offender can be designated an LTO or DO is to have the offender psychologically assessed.

  


### Notice[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-3)]

> **Prosecutor’s duty to advise court**  
752.01 If the prosecutor is of the opinion that an offence for which an offender is convicted is a serious personal injury offence that is a designated offence and that the offender was convicted previously at least twice of a designated offence and was sentenced to at least two years of imprisonment for each of those convictions, the prosecutor shall advise the court, as soon as feasible after the finding of guilt and in any event before sentence is imposed, whether the prosecutor intends to make an application under subsection 752.1(1).  
2008, c. 6, s. 41.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec752.01)

  


### Application[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-4)]

> **Application for remand for assessment**  
752.1 (1) On application by the prosecutor, if the court is of the opinion that there are reasonable grounds to believe that an offender who is convicted of a serious personal injury offence or an offence referred to in paragraph 753.1(2)(a) might be found to be a dangerous offender under section 753 or a long-term offender under section 753.1, the court shall, by order in writing, before sentence is imposed, remand the offender, for a period not exceeding 60 days, to the custody of a person designated by the court who can perform an assessment or have an assessment performed by experts for use as evidence in an application under section 753 or 753.1.  
**Report**  
(2) The person to whom the offender is remanded shall file a report of the assessment with the court not later than 30 days after the end of the assessment period and make copies of it available to the prosecutor and counsel for the offender.  
**Extension of time**  
(3) On application by the prosecutor, the court may extend the period within which the report must be filed by a maximum of 30 days if the court is satisfied that there are reasonable grounds to do so.  
1997, c. 17, s. 4; 2008, c. 6, s. 41.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec752.1)

## Long Term Offender (LTO)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-5)]

A long term offender order subjects an offender to supervision by Corrections Canada for a period of up to 10 years.

The purpose of the long term offender order is to “protect society from the threat that the offender currently poses -- and to do so without resort to the blunt instrument of indeterminate detention”.[[1]](Print_version.html#cite_note-443) It further intends to reintegrate the accused into the community.[[2]](Print_version.html#cite_note-444)

It is incorrect to conclude that the sentencing factors for a breach of an LTO is "protection of the public". It is not necessary that "significant sentences must be imposed even for the slightest breaches" of LTO.[[3]](Print_version.html#cite_note-445)

Severity of an LTO breach depends on factors including:[[4]](Print_version.html#cite_note-446)

  1. the circumstances of the breach;
  2. the nature of the condition breached; and
  3. the relationship between the condition breached and the management of offender’s risk of re-offence.

  1. [↑](Print_version.html#cite_ref-443) R v Johnson, 2003 SCC 26 at 32  

  2. [↑](Print_version.html#cite_ref-444) R. v. Matte, [2012 ONCA 504](http://canlii.ca/t/fs2rh) at para 35: ("i. protecting the public from the risk of re-offence; and ii. rehabilitating the LTO and reintegrating him or her into the community.")  
Ipeelee, 2012 SCC 13, 280 C.C.C. (3d) 265 at para. 48  

  3. [↑](Print_version.html#cite_ref-445) R v Ipeelee, 2012 SCC 13 at paras. 48 to 49  

  4. [↑](Print_version.html#cite_ref-446) R v Matte, 2012 ONCA 504 at para. 37  
Ipeelee, 2012 SCC 13 at paras. 52 and 55

### Requirements of a LTO[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-6)]

> **Application for finding that an offender is a long-term offender**  
753.1 (1) Application for finding that an offender is a long-term offender \- The court may, on application made under this Part following the filing of an assessment report under subsection 752.1(2), find an offender to be a long-term offender if it is satisfied that
> 
>     (a) it would be appropriate to impose a sentence of imprisonment of two years or more for the offence for which the offender has been convicted;
>     (b) there is a substantial risk that the offender will reoffend; and
>     (c) there is a reasonable possibility of eventual control of the risk in the community.
> 
> **Substantial risk**  
(2) The court shall be satisfied that there is a substantial risk that the offender will reoffend if
> 
>     (a) the offender has been convicted of an offence under section 151 (sexual interference), 152 (invitation to sexual touching) or 153 (sexual exploitation), subsection 163.1(2) (making child pornography), 163.1(3) (distribution, etc., of child pornography), 163.1(4) (possession of child pornography) or 163.1(4.1) (accessing child pornography), section 170 (parent or guardian procuring sexual activity), 171 (householder permitting sexual activity), 171.1 (making sexually explicit material available to child), 172.1 (luring a child) or 172.2 (agreement or arrangement — sexual offence against child), subsection 173(2) (exposure), 212(2) (living on the avails of prostitution of person under eighteen), 212(2.1) (aggravated offence in relation to living on the avails of prostitution of a person under the age of eighteen years) or 212(4) (offence — prostitution of person under eighteen) or section 271 (sexual assault), 272 (sexual assault with a weapon) or 273 (aggravated sexual assault), or has engaged in serious conduct of a sexual nature in the commission of another offence of which the offender has been convicted; and
>     (b) the offender 
> 
>     (i) has shown a pattern of repetitive behaviour, of which the offence for which he or she has been convicted forms a part, that shows a likelihood of the offender’s causing death or injury to other persons or inflicting severe psychological damage on other persons, or
>     (ii) by conduct in any sexual matter including that involved in the commission of the offence for which the offender has been convicted, has shown a likelihood of causing injury, pain or other evil to other persons in the future through similar offences.
> 
> **Sentence for long-term offender**  
(3)  If offender found to be long-term offender \- Subject to subsection 3.1, (4) and (5), if the court finds an offender to be a long-term offender, it shall
> 
>     (a) impose a sentence for the offence for which the offender has been convicted, which sentence must be a minimum punishment of imprisonment for a term of two years; and
>     (b) order the offender to be supervised in the community, for a period not exceeding 10 years, in accordance with section 753.2 and the Corrections and Conditional Release Act.
> 
>   
...  
(6)  If offender not found to be long-term offender \- If the court does not find an offender to be a long-term offender, the court shall impose sentence for the offence for which the offender has been convicted.  
1997, c. 17, s. 4; 2002, c. 13, s. 76; 2008, c. 6, s. 44; 2012, c. 1, s. 36.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec753.1)

### Consequence of LTO Finding[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-7)]

s. 753.1 states that :

> **Sentence for long-term offender**  
(3) If the court finds an offender to be a long-term offender, it shall
> 
>     (a) impose a sentence for the offence for which the offender has been convicted, which must be a minimum punishment of imprisonment for a term of two years; and
>     (b) order that the offender be subject to long-term supervision for a period that does not exceed 10 years.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec753.1)

Under s. 752, insteances of the phrase "long-term supervision" refers to "long-term supervision ordered under subsection 753(4), 753.01(5) or (6) or 753.1(3) or subparagraph 759(3)(a)(i)"

  


## Dangerous Offender (DO)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-8)]

Under s. 753, the Court may make an order declaring an accused a "Dangerous Offender" requiring the accused to serve an indeterminate sentence as opposed to a determinitae sentence to an index offence.

The purpose of the dangerous offender order is to protect the public. It was designed “to carefully define a very small group of offenders whose personal characteristics and particular circumstances militate strenuously in favour of preventative incarceration”[[1]](Print_version.html#cite_note-447)

  1. [↑](Print_version.html#cite_ref-447) R v Johnson 2003 SCC 46 at 19

### Requirements of a DO[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-9)]

> **Application for finding that an offender is a dangerous offender**  
753\. (1) On application made under this Part after an assessment report is filed under subsection 752.1(2), the court shall find the offender to be a dangerous offender if it is satisfied
> 
>     (a) that the offence for which the offender has been convicted is a serious personal injury offence described in paragraph (a) of the definition of that expression in section 752 and the offender constitutes a threat to the life, safety or physical or mental well-being of other persons on the basis of evidence establishing 
> 
>     (i) a pattern of repetitive behaviour by the offender, of which the offence for which he or she has been convicted forms a part, showing a failure to restrain his or her behaviour and a likelihood of causing death or injury to other persons, or inflicting severe psychological damage on other persons, through failure in the future to restrain his or her behaviour,
>     (ii) a pattern of persistent aggressive behaviour by the offender, of which the offence for which he or she has been convicted forms a part, showing a substantial degree of indifference on the part of the offender respecting the reasonably foreseeable consequences to other persons of his or her behaviour, or
>     (iii) any behaviour by the offender, associated with the offence for which he or she has been convicted, that is of such a brutal nature as to compel the conclusion that the offender’s behaviour in the future is unlikely to be inhibited by normal standards of behavioural restraint; or
>     (b) that the offence for which the offender has been convicted is a serious personal injury offence described in paragraph (b) of the definition of that expression in section 752 and the offender, by his or her conduct in any sexual matter including that involved in the commission of the offence for which he or she has been convicted, has shown a failure to control his or her sexual impulses and a likelihood of causing injury, pain or other evil to other persons through failure in the future to control his or her sexual impulses.
> 
>   
**Presumption**  
(1.1) If the court is satisfied that the offence for which the offender is convicted is a primary designated offence for which it would be appropriate to impose a sentence of imprisonment of two years or more and that the offender was convicted previously at least twice of a primary designated offence and was sentenced to at least two years of imprisonment for each of those convictions, the conditions in paragraph (1)(a) or (b), as the case may be, are presumed to have been met unless the contrary is proved on a balance of probabilities.  
...  
R.S., 1985, c. C-46, s. 753; 1997, c. 17, s. 4; 2008, c. 6, s. 42.
> 
>   

> 
> – [CCC](http://www.canlii.org/en/ca/laws/stat/rsc-1985-c-c-46/latest/rsc-1985-c-c-46.html#sec753)

There are two ways to establish a the criteria. The difference depends on which type of serious personal injury (SPI) offence has been established by the index offence. The first is of a more general nature of unlawfulness while the second targets sexual behaviour.

An SPI offence under s. 752(a) requires either some form of violence or risk of harm (see Serious Personal Injury Offences below for details). This type of SPI offence engages s. 753(1)(a), which requires that the "offender [constitute] a threat to the life, safety or physical or mental well-being of other persons" by reason of a "repetitive", "persistent", or "brutal" behaviour.

An SPI offence under s. 752(b) requires the index offence be a type of sexual assault, sexual assault with a weapon, threats to a third party or causing bodily harm, or aggravated sexual assault. (see Serious Personal Injury Offences below for details). This type of SPI offence engages s. 753(1)(b), which requires that the offender "has shown a failure to control his or her sexual impulses and a likelihood of causing injury, pain or other evil to other persons through failure in the future to control his or her sexual impulses".

The burden is upon the crown to establish the necessary elements under s. 753(1)(a)(i) and (ii) or 753(1)(b) of a DO designation beyond a reasonable doubt. The burden must be proven beyond a reasonable doubt that the accused. The burden never switches to the accused.[[1]](Print_version.html#cite_note-448)

  
Before considering whether the offender is a Dangerous Offender, the Court must consider whether the accused is a Long Term Offfender (LTO).[[2]](Print_version.html#cite_note-449)

It is only where an LTO is not an appropriate disposition, in light of sentencing principles of s. 718, that the court may consider a DO.

  1. [↑](Print_version.html#cite_ref-448) R. v. Carlton, [1981] 69 CCC 2d 1 (ABCA)
  2. [↑](Print_version.html#cite_ref-449) see R. v. Johnson, 2003 SCC 46 (CanLII), 2003 SCC 46, [2003] 2 S.C.R. 357

### Intractable condition[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-10)]

The Crown must prove that the offender's condition is substantially or pathologically intractable.[[1]](Print_version.html#cite_note-450)

In determining intractability, the courts have considered the following:[[2]](Print_version.html#cite_note-451)

  1. deeply ingrained personality disorders that are resistant to change;
  2. a lack of available and appropriate treatment facilities;
  3. a poor outlook for improvement, even where facilities exist;
  4. an inability to estimate or predict a timeframe for improvement;
  5. some, but very little hope for treatment some time in the future; and
  6. treatment that will be long and difficult because an offender has more than one disorder and a limited capacity to learn.

The court must be satisfied that the treatment can be accomplished within a certain time-frame within an LTO order for one to be available.[[3]](Print_version.html#cite_note-452)

  1. [↑](Print_version.html#cite_ref-450) R. v. PBA 2005 BCCA 121
  2. [↑](Print_version.html#cite_ref-451) R. v. Ominayak, 2007 ABQB 442
  3. [↑](Print_version.html#cite_ref-452) R. v. Higginbottom, 2001 CanLII 3989 (ONCA)

### Reasonable possibility of controlling risk in the community[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-11)]

There is no need for the Crown to show uncontrollability of the offender [[1]](Print_version.html#cite_note-453)

A "reasonable possibility" of controlling the risk must have an air of reality to it and cannot simply be a mere hope.[[2]](Print_version.html#cite_note-454)

The crown does not need to refute the possibility that there is a reasonable possibility that the risk to the community will eventually be controlled. [[3]](Print_version.html#cite_note-455)

In considering the risk to the community, the court may consider past failed attempts at rehabilitation.[[4]](Print_version.html#cite_note-456)

  
If the level of supervision is so great as to amount to custody the offender is not likely a candidate for a LTO.[[5]](Print_version.html#cite_note-457)

  1. [↑](Print_version.html#cite_ref-453) R. v. Kopas,[2012 ONCA 16](http://www.canlii.org/en/on/onca/doc/2012/2012onca16/2012onca16.html)
  2. [↑](Print_version.html#cite_ref-454) R. v. P(DWA), 2006 BCSC 1288
  3. [↑](Print_version.html#cite_ref-455) R. v. Moosomin, 2008 SKCA 169 at 40
  4. [↑](Print_version.html#cite_ref-456) R. v. Otto, 2006 SKCA 52 at para. 22
  5. [↑](Print_version.html#cite_ref-457) R. v.LG 2007 ONCA 548 at 62

### "Pattern of Persistent Behaviour"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-12)]

Persistent can have the same meaning as "enduring" or "constantly repeated".[[1]](Print_version.html#cite_note-458)

To determine if there is a pattern of repetitive behaviour, the court should consider the nature of the similarity of the predicate office. This includes considering "similarities in terms of the kind of offences" and where the offences are not "similar in kind", but "in results" upon the victims (ie. degree of violence).[[2]](Print_version.html#cite_note-459)

Where the offender commits a variety of crimes with no patterns, they can still be a "pattern of persistent behaviour". There "is no requirement that the past criminal actions all be of the same or similar form, order or arrangement; though if this has occurred, it may well suffice."[[3]](Print_version.html#cite_note-460)

  1. [↑](Print_version.html#cite_ref-458) R. v. Yanoshewski 1996 CanLII 4916 (SK CA), (1996), 104 C.C.C. (3d) 512, 141 Sask. R. 132 (C.A.), at p. 522 (C.C.C.) ("The judge made no error in finding that the behaviour of the appellant was persistent in view of the fact that the period of time during which he committed the offences of which he was convicted extended from 1964 to 1992 without any significant periods during that time when no offences were being committed.")
  2. [↑](Print_version.html#cite_ref-459) R. v. Neve, 1999 ABCA 206 (CanLII), 1999 ABCA 206 at para. 111
  3. [↑](Print_version.html#cite_ref-460) Neve at para. 111

### "Substantial Degree of Indifference"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-13)]

When considering the criteria of "substantial degree of indifference" ,the court may look at the offender's actions in the offence as well as other offences.[[1]](Print_version.html#cite_note-461) The consideration should be upon whether "the offender has a conscious but uncaring awareness of causing harm to others and this has occurred over a period of long duration involving frequent acts and with significant consequences, this is sufficient to establish a substantial degree of indifference."[[2]](Print_version.html#cite_note-462)

  1. [↑](Print_version.html#cite_ref-461) R. v. George 1998 CanLII 5691 (BC CA), (1998), 126 C.C.C. (3d) 384, [1998] B.C.J. No. 1505 at 394-95
  2. [↑](Print_version.html#cite_ref-462) R v G.N.B., [2012 SKQB 397](http://canlii.ca/t/ft6ps) (CanLII) at para. 19

## Serious Personal Injury Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-14)]

> s. 752  
...  
“serious personal injury offence” means
> 
>     (a) an indictable offence, other than high treason, treason, first degree murder or second degree murder, involving 
> 
>     (i) the use or attempted use of violence against another person, or
>     (ii) conduct endangering or likely to endanger the life or safety of another person or inflicting or likely to inflict severe psychological damage on another person,  

>     and for which the offender may be sentenced to imprisonment for ten years or more, or
>     (b) an offence or attempt to commit an offence mentioned in section 271 (sexual assault), 272 (sexual assault with a weapon, threats to a third party or causing bodily harm) or 273 (aggravated sexual assault).
> 
>   
R.S., 1985, c. C-46, s. 752; 2008, c. 6, ss. 40, 61; 2010, c. 3, s. 8; 2012, c. 1, s. 35.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec752)

In determining whether an offence is a SPIO, the court does not need to be "limited to considering only those contextual factors that relate to the conduct" of the accused.[[1]](Print_version.html#cite_note-463) The judge can look at the surrounding circumstances to determine if there has been an endangerment of another person under s. 752.[[2]](Print_version.html#cite_note-464)

Robberies have frequently been found to a serious personal injury offence.

Not every threat made while brandishing a weapon involves violence, particularly where there is no immediate apparent danger.[[3]](Print_version.html#cite_note-465)

Where there is a threat of any sort the question of it amounting to violence is a question of fact.[[4]](Print_version.html#cite_note-466) Robberies involving utterances or brandishing of objects have been a mixed result.[[5]](Print_version.html#cite_note-467)

  1. [↑](Print_version.html#cite_ref-463) R. v. Goulet 2011 ABCA 230 at 14
  2. [↑](Print_version.html#cite_ref-464) R. v. Ali, 2010 ABPC 393 (CanLII), 2010 ABPC 393 at paras. 13-17
  3. [↑](Print_version.html#cite_ref-465) Ponticorvo, 2009 ABCA 117
  4. [↑](Print_version.html#cite_ref-466) R v Lebar 2010 ONCA 220 at 50
  5. [↑](Print_version.html#cite_ref-467) R. v. Przybyla, [2012 ABPC 183](http://canlii.ca/t/fs4dd) \- no violence upon saying "give me money or I'll stab [a non-existent person]" R. v. Pearson, [2012 ABQB 240](http://canlii.ca/t/fr1pc) \- no violence by holding out a pocketknife and asking for money and then leaving when none was provided

### "use or attempted use of violence"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-15)]

The use or attempted use of violence does not necessarily require overt violence. Several cases have stated that a robbery wherein a weapon such as a knife is displayed amounts to an act of violence.[[1]](Print_version.html#cite_note-468)

The meaning of "violence" in this context covers a "very expansive range of dangerous behaviour".[[2]](Print_version.html#cite_note-469)

  1. [↑](Print_version.html#cite_ref-468) R. v. Lebar 2010 ONCA 220  
R. v. Griffin 2011 NSCA 103  
c.f. R v Simpson, 2012 SKPC 18  

  2. [↑](Print_version.html#cite_ref-469) R. v. Griffin, 2010 ONCA 220 at 49

### "conduct endangering...life or safety"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-16)]

This can cover the offence of leaving the scene of an accident under s. 252(3.1)[[1]](Print_version.html#cite_note-470)

  1. [↑](Print_version.html#cite_ref-470) R. v. Goulet 2011 ABCA 230  
R. v. Ali 2010 ABPC 393  
c.f. R. v. Bruce, 2012 ABPC 8  


### "inflict severe psychological damage"[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-17)]

SPI offences do not have to be offences against persons. They may also be lesser offences that involve conduct that inflicts or likely inflicts severe psychological damage. This can include offences involving sending threatening letters to victim to dissuade them from giving evidence. [[1]](Print_version.html#cite_note-471)

A party to an offence of violence, such as someone who counsels robbery with violence, can be found to have committed a serious personal injury offence.[[2]](Print_version.html#cite_note-472)

It is not necessary to adduce expert evidence about the risk of severe psychological damage. The judge may determine it on an objective consideration of the evidence.[[3]](Print_version.html#cite_note-473)

  1. [↑](Print_version.html#cite_ref-471) R. v. Morgan 2005 CanLII 7254 (ON CA), (2005), 195 C.C.C. (3d) 408 (Ont. C.A.)leave to appeal refused - obstructing justice charge by sending a letter, found as SPIO  
R. v. S.M., [2005] O.J. No. 1041 threatening letter was SPIO  

  2. [↑](Print_version.html#cite_ref-472) R. v. Keepness 2010 SKQB 118
  3. [↑](Print_version.html#cite_ref-473) R. v. Walker, [2000] O.J. No. 4091 at para. 7  
R. v. McGraw, 1991 CanLII 29 (SCC), [1991] 3 S.C.R. 72  


## Designated Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-18)]

> 752  
...  
“designated offence” means
> 
>     (a) a primary designated offence,
>     (b) an offence under any of the following provisions: 
> 
>     (i) paragraph 81(1)(a) (using explosives),
>     (ii) paragraph 81(1)(b) (using explosives),
>     (iii) section 85 (using firearm or imitation firearm in commission of offence),
>     (iv) section 87 (pointing firearm),
>     (iv.1) section 98 (breaking and entering to steal firearm),
>     (iv.2) section 98.1 (robbery to steal firearm),
>     (v) section 153.1 (sexual exploitation of person with disability),
>     (vi) section 163.1 (child pornography),
>     (vii) section 170 (parent or guardian procuring sexual activity),
>     (viii) section 171 (householder permitting sexual activity by or in presence of child),
>     (ix) section 172.1 (luring child),
>     (ix.1) section 172.2 (agreement or arrangement — sexual offence against child),
>     (x) subsection 212(1) (procuring),
>     (x.1) subsection 212(2) (living on avails of prostitution of person under eighteen),
>     (xi) subsection 212(2.1) (aggravated offence in relation to living on avails of prostitution of person under 18),
>     (xii) subsection 212(4) (prostitution of person under 18),
>     (xiii) section 245 (administering noxious thing),
>     (xiv) section 266 (assault),
>     (xv) section 269 (unlawfully causing bodily harm),
>     (xvi) section 269.1 (torture),
>     (xvii) paragraph 270(1)(a) (assaulting peace officer),
>     (xviii) section 273.3 (removal of child from Canada),
>     (xix) subsection 279(2) (forcible confinement),
>     (xx) section 279.01 (trafficking in persons),
>     (xx.1) section 279.011 (trafficking of a person under the age of eighteen years),
>     (xxi) section 279.1 (hostage taking),
>     (xxii) section 280 (abduction of person under age of 16),
>     (xxiii) section 281 (abduction of person under age of 14),
>     (xxiv) section 344 (robbery), and
>     (xxv) section 348 (breaking and entering with intent, committing offence or breaking out),
>     (c) an offence under any of the following provisions of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as they read from time to time before January 1, 1988: 
> 
>     (i) subsection 146(2) (sexual intercourse with female between ages of 14 and 16),
>     (ii) section 148 (sexual intercourse with feeble-minded),
>     (iii) section 166 (parent or guardian procuring defilement), and
>     (iv) section 167 (householder permitting defilement), or
>     (d) an attempt or conspiracy to commit an offence referred to in paragraph (b) or (c);
> 
>   
...  
R.S., 1985, c. C-46, s. 752; 2008, c. 6, ss. 40, 61; 2010, c. 3, s. 8; 2012, c. 1, s. 35.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec752)

Later in s. 752:

> “primary designated offence” means
> 
>     (a) an offence under any of the following provisions: 
> 
>     (i) section 151 (sexual interference),
>     (ii) section 152 (invitation to sexual touching),
>     (iii) section 153 (sexual exploitation),
>     (iv) section 155 (incest),
>     (v) section 239 (attempt to commit murder),
>     (vi) section 244 (discharging firearm with intent),
>     (vii) section 267 (assault with weapon or causing bodily harm),
>     (viii) section 268 (aggravated assault),
>     (ix) section 271 (sexual assault),
>     (x) section 272 (sexual assault with weapon, threats to third party or causing bodily harm),
>     (xi) section 273 (aggravated sexual assault), and
>     (xii) subsection 279(1) (kidnapping),
>     (b) an offence under any of the following provisions of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as they read from time to time before January 4, 1983: 
> 
>     (i) section 144 (rape),
>     (ii) section 145 (attempt to commit rape),
>     (iii) section 149 (indecent assault on female),
>     (iv) section 156 (indecent assault on male),
>     (v) subsection 245(2) (assault causing bodily harm), and
>     (vi) subsection 246(1) (assault with intent) if the intent is to commit an offence referred to in any of subparagraphs (i) to (v) of this paragraph,
>     (c) an offence under any of the following provisions of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as enacted by section 19 of An Act to amend the Criminal Code in relation to sexual offences and other offences against the person and to amend certain other Acts in relation thereto or in consequence thereof, chapter 125 of the Statutes of Canada, 1980-81-82-83: 
> 
>     (i) section 246.1 (sexual assault),
>     (ii) section 246.2 (sexual assault with weapon, threats to third party or causing bodily harm), and
>     (iii) section 246.3 (aggravated sexual assault),
>     (d) an offence under any of the following provisions of the Criminal Code, chapter C-34 of the Revised Statutes of Canada, 1970, as they read from time to time before January 1, 1988: 
> 
>     (i) subsection 146(1) (sexual intercourse with female under age of 14), and
>     (ii) paragraph 153(1)(a) (sexual intercourse with step-daughter), or
>     (e) an attempt or conspiracy to commit an offence referred to in any of paragraphs (a) to (d);
> 
>   
...  
R.S., 1985, c. C-46, s. 752; 2008, c. 6, ss. 40, 61; 2010, c. 3, s. 8; 2012, c. 1, s. 35.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec752)

This is similar but different from [DNA primary designated offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders/DNA_Orders#Primary_designated_offences)

## Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Long-term_and_Dangerous_Offender_Designation&action=edit&section=T-19)]

  * [Canadian Criminal Sentencing/Cases/LTO and DO Applications](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Cases/LTO_and_DO_Applications)

  


# V - Young Offenders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=8)]

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-1)]

Part IV of the YCJA (s.41 to 82) addresses sentencing of young offenders.

The relationship of the YCJA and the Criminal Code is addressed in ss. 140 to 142. The Criminal Code applies equally "except to the extent that it is inconsistent with or excluded by this Act" (s. 140).

The consequence of this is that the sentencing options are significantly different from the adult options of sentence as the YCJA explicitly outlines the available sentences for all young offenders.[[1]](Print_version.html#cite_note-474)

## Protection of Identity[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-2)]

Under s. 110 and 129 of the YCJA, any information that would identify an offender cannot be published or released to the public at any time. Likewise, under s. 111 and 129, any information that would identify a victim or witness who is a young person cannot be published or released to the public at any time.

If either s. 110 or 111 is violated, the offending person may be liable under s. 138 either on summary conviction or for an indictable offence with a maximum penalty of two years in prison.

## Principles and Purpose of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-3)]

> **Purpose**  
38\. (1) The purpose of sentencing under section 42 (youth sentences) is to hold a young person accountable for an offence through the imposition of just sanctions that have meaningful consequences for the young person and that promote his or her rehabilitation and reintegration into society, thereby contributing to the long-term protection of the public.  
**Sentencing principles**  
(2) A youth justice court that imposes a youth sentence on a young person shall determine the sentence in accordance with the principles set out in section 3 and the following principles:  

> 
>     (a) the sentence must not result in a punishment that is greater than the punishment that would be appropriate for an adult who has been convicted of the same offence committed in similar circumstances;
>     (b) the sentence must be similar to the sentences imposed in the region on similar young persons found guilty of the same offence committed in similar circumstances;
>     (c) the sentence must be proportionate to the seriousness of the offence and the degree of responsibility of the young person for that offence;
>     (d) all available sanctions other than custody that are reasonable in the circumstances should be considered for all young persons, with particular attention to the circumstances of aboriginal young persons; and
>     (e) subject to paragraph (c), the sentence must 
> 
>     (i) be the least restrictive sentence that is capable of achieving the purpose set out in subsection (1),
>     (ii) be the one that is most likely to rehabilitate the young person and reintegrate him or her into society, and
>     (iii) promote a sense of responsibility in the young person, and an acknowledgement of the harm done to victims and the community.
> 
>   

> 
> – [YCJA](http://canlii.ca/t/7vx2#sec38)

Sentencing under the YCJA focuses on "the individual young person and how best to achieve the stated objectives of the [YCJA] in the particular circumstances."[[2]](Print_version.html#cite_note-475)

Parliament's intention with the YCJA is to "reduce over-reliance on custodial sentences for young offenders."[[3]](Print_version.html#cite_note-476) It further intends to "prevent youth crime by addressing the underlying circumstances leading to the offending behaviour of a youth" and "promote rehabilitation of youthful offenders, while ensuring meaningful consequences for the offending behaviour."[[4]](Print_version.html#cite_note-477)

The objectives of the YCJA have the effect of favouring "rehabilitation, reintegration and the principle of a fair and proportionate accountability that is consistent with the young person’s reduced level of maturity."[[5]](Print_version.html#cite_note-478)

  
Denunciation plays no role in sentencing of young persons.[[6]](Print_version.html#cite_note-479) Nor do general and specific deterrence.[[7]](Print_version.html#cite_note-480)

Consequently, a judge may not conclude that a sentence would fail to hold the offender accountable due to the sentence's failure to meet the objectives of denunciation and deterrence. [[8]](Print_version.html#cite_note-481)

  


  1. [↑](Print_version.html#cite_ref-474) see s. 42(2)
  2. [↑](Print_version.html#cite_ref-475) R. v. D.W., [2011 NLCA 21](http://canlii.ca/t/2g0m5) (CanLII)  
see also R. v. A.H., [2011 NLCA 25](http://canlii.ca/t/fl445) (CanLII)  
R. v. K.S., [2009 NLCA 46](http://canlii.ca/t/257gc) (CanLII)  
R. v. E.W.A., [2009 NLCA 47](http://canlii.ca/t/257gb) (CanLII)  

  3. [↑](Print_version.html#cite_ref-476) R. v. C.D., 2005 SCC 78 (CanLII), (2005), 203 C.C.C. (3d) 449
  4. [↑](Print_version.html#cite_ref-477) R. v. K.O., [2012] N.J. No. 291  

  5. [↑](Print_version.html#cite_ref-478) R. v. S.J.L., 2009 SCC 14 (CanLII), [2009] 1 S.C.R. 426
  6. [↑](Print_version.html#cite_ref-479) R. v. C.T. (2005), 205 C.C.C. (3d) 203 (Man. C.A.)  
see also R. v. J.S.R., [2012 ONCA 568](http://canlii.ca/t/fsjqj) (CanLII), [2012] O.J. No. 4063 (C.A.))  

  7. [↑](Print_version.html#cite_ref-480) R. v. B.W.P.; R. v. B.V.N., [2006 SCC 27](http://canlii.ca/t/1nn6n) (CanLII), [2006] 1 S.C.R. 941  

  8. [↑](Print_version.html#cite_ref-481) R. v. J.S.R., [2009] O.J. No. 1662 (S.C.J.), at para. 40, citing A.O. at para. 48

### Accountability[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-4)]

The principle of accountability drives "drives the entire YCJA sentencing regime." [[1]](Print_version.html#cite_note-482)

Accountability is achieved by imposing "meaningful consequences for the offender and sanctions that promote his or her rehabilitation and reintegration into society"[[2]](Print_version.html#cite_note-483)

  1. [↑](Print_version.html#cite_ref-482) R v .A.O., [2007 ONCA 144](http://canlii.ca/t/1qrdj) (CanLII), [2007] O.J. No. 800 (C.A.) at para. 59
  2. [↑](Print_version.html#cite_ref-483) A.O. at para. 42

## Factors of Sentencing[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-5)]

> **Factors to be considered**  
(3) In determining a youth sentence, the youth justice court shall take into account
> 
>     (a) the degree of participation by the young person in the commission of the offence;
>     (b) the harm done to victims and whether it was intentional or reasonably foreseeable;
>     (c) any reparation made by the young person to the victim or the community;
>     (d) the time spent in detention by the young person as a result of the offence;
>     (e) the previous findings of guilt of the young person; and
>     (f) any other aggravating and mitigating circumstances related to the young person or the offence that are relevant to the purpose and principles set out in this section.
> 
>   

> 
> – [YCJA](http://canlii.ca/t/7vx2#sec38)

## Available Dispositions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-6)]

Section 42(2) sets out all youth sentences available to a sentencing judge:

  1. reprimand
  2. absolute discharge
  3. conditional discharge
  4. fine
  5. damages
  6. restitution
  7. other compensation such as personal service
  8. community service
  9. prohibition, seizure or forfeiture orders,
  10. probation of two years or less
  11. intensive support or supervision program
  12. non-residential programs of no more than 6 months
  13. custody and supervision order
  14. deferred custody and supervision order
  15. intensive rehabilitative custody and supervision order
  16. any other reasonable and ancillary conditions

### Probation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-7)]

An order of probation can be imposed for a period of no more than two years.[[1]](Print_version.html#cite_note-484)

Under s. 55, the mandatory conditions consist of:

  * keep the peace and be of good behaviour; and
  * appear before the youth justice court when required by the court to do so.

Optional conditions include:[[2]](Print_version.html#cite_note-485)

  * report to and be supervised by the provincial director or a person designated by the youth justice court;
  * notify the clerk of the youth justice court, the provincial director or the youth worker assigned to the case of any change of address or any change in the young person’s place of employment, education or training;
  * remain within the territorial jurisdiction of one or more courts named in the order;
  * make reasonable efforts to obtain and maintain suitable employment;
  * attend school or any other place of learning, training or recreation that is appropriate, if the youth justice court is satisfied that a suitable program for the young person is available there;
  * reside with a parent, or any other adult that the youth justice court considers appropriate, who is willing to provide for the care and maintenance of the young person;
  * reside at a place that the provincial director may specify;
  * comply with any other conditions set out in the order that the youth justice court considers appropriate, including conditions for securing the young person’s good conduct and for preventing the young person from repeating the offence or committing other offences; and
  * not own, possess or have the control of any weapon, ammunition, prohibited ammunition, prohibited device or explosive substance, except as authorized by the order.

  1. [↑](Print_version.html#cite_ref-484) s. 42(2)(k)
  2. [↑](Print_version.html#cite_ref-485) s. 55(2)

## Adult Sentences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-8)]

Under s. 64(1) of the YCJA the Crown may apply to the court to have the accused sentenced as an adult:

> 64(1) The Attorney General may, following an application under subsection 42(9) (judicial determination of serious violent offence), if any is made, and before evidence is called as to sentence or, where no evidence is called, before submissions are made as to sentence, make an application for an order that a young person is liable to an adult sentence if the young person is or has been found guilty of an offence, other than a presumptive offence, for which an adult is liable to imprisonment for a term of more than two years, that was committed after the young person attained the age of fourteen years.
> 
>   

> 
> – [YCJA](http://canlii.ca/t/7vx2#64)

Under s. 72 of the YCJA, the court determines whether the grant the request for an adult sentence:

> 72(1) In making its decision on an application heard in accordance with section 71, the youth justice court shall consider the seriousness and circumstances of the offence, and the age, maturity, character, background and previous record of the young person and any other factors that the court considers relevant, and
> 
>     (a) if it is of the opinion that a youth sentence imposed in accordance with the purpose and principles set out in subparagraph 3(1)(b)(ii) and section 38 would have sufficient length to hold the young person accountable for his or her offending behaviour, it shall order that the young person is not liable to an adult sentence and that a youth sentence must be imposed; and
>     (b) if it is of the opinion that a youth sentence imposed in accordance with the purpose and principles set out in subparagraph 3(1)(b)(ii) and section 38 would not have sufficient length to hold the young person accountable for his or her offending behaviour, it shall order that an adult sentence be imposed.  

> 
> (2) The onus of satisfying the youth justice court as to the matters referred to in subsection (1) is with the applicant.  
(3) In making its decision, the youth justice court shall consider a pre-sentence report.  
(4) When the youth justice court makes an order under this section, it shall state the reasons for its decision.  
(5) For the purposes of an appeal in accordance with section 37, an order under subsection (1) is part of the sentence.
> 
>   

> 
> – [YCJA](http://canlii.ca/t/7vx2#72)

In order for the offender to be sentenced as an adult, the judge must be satisfied that the youth sentence will not be long enough to achieve the goals of accountability.[[1]](Print_version.html#cite_note-486)

There is a presumption of "diminished moral culpability in young persons".[[2]](Print_version.html#cite_note-487)

The burden in on the Crown to establish that a adult sentence is necessary. This includes rebutting the presumption of diminished culpability. [[3]](Print_version.html#cite_note-488)

This burden is overcome if "the seriousness of the offence and the circumstances of the offender justify it notwithstanding his or her age."[[4]](Print_version.html#cite_note-489)

There is not a "very heavy onus" on the Crown and does not require proof beyond a reasonable doubt.[[5]](Print_version.html#cite_note-490) The underlying facts, however, must always be proven beyond a reasonable doubt.[[6]](Print_version.html#cite_note-491)

The court must "weigh and balance the enumerated factors and then to decide whether a youth sentence is sufficiently long to hold a young person accountable for his or her offending behaviour".[[7]](Print_version.html#cite_note-492)

  


  1. [↑](Print_version.html#cite_ref-486) R. v. Ferriman, [2006 CanLII 33472](http://canlii.ca/t/1pp40) (ON SC) at para. 38, upheld at [2007 ONCA 710](http://canlii.ca/t/1t8p6) (CanLII)
  2. [↑](Print_version.html#cite_ref-487) R. v. D.B., [2008 SCC 25](http://canlii.ca/t/1wxc8) (CanLII), [2008] 2 SCR 3 at para. 69
  3. [↑](Print_version.html#cite_ref-488) R. v. D.B. at para. 93
  4. [↑](Print_version.html#cite_ref-489) D.B., at para. 77, 93
  5. [↑](Print_version.html#cite_ref-490) R. v. A.O., [2007 ONCA 144](http://canlii.ca/t/1qrdj) (CanLII) at para. 30
  6. [↑](Print_version.html#cite_ref-491) A.O. at para. 36
  7. [↑](Print_version.html#cite_ref-492) A.O. at para. 34

## Ancillary Orders[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-9)]

It is worth noting that the language of the provisions relating to SOIRA indicates that it does not apply to young offenders. DNA orders however do apply in the same way that it does to adults.

## Specific Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-10)]

### Homicide[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-11)]

> **Persons under eighteen**  
745.1 The sentence to be pronounced against a person who was under the age of eighteen at the time of the commission of the offence for which the person was convicted of first degree murder or second degree murder and who is to be sentenced to imprisonment for life shall be that the person be sentenced to imprisonment for life without eligibility for parole until the person has served
> 
>     (a) such period between five and seven years of the sentence as is specified by the judge presiding at the trial, or if no period is specified by the judge presiding at the trial, five years, in the case of a person who was under the age of sixteen at the time of the commission of the offence;
>     (b) ten years, in the case of a person convicted of first degree murder who was sixteen or seventeen years of age at the time of the commission of the offence; and
>     (c) seven years, in the case of a person convicted of second degree murder who was sixteen or seventeen years of age at the time of the commission of the offence.  

> 
> 1995, c. 22, ss. 6, 21.
> 
>   

> 
> – [CCC](http://canlii.ca/t/7vf2#sec745.1)

## Sentencing Digests[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Young_Offenders&action=edit&section=T-12)]

  * [Canadian Criminal Sentencing/Cases/Young Offenders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Cases/Young_Offenders)

# VI - Appendix[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit&section=9)]

# Appendix/Checklist[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

This checklist consists of issues that are often considered in preparation for sentencing. The list is based on the one found at the Law Society of British Columbia website [[61]](http://www.lawsociety.bc.ca/practice_support/checklists/docs/C-3.pdf).

## Crown Preparation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-1)]

  * prepare and review summary of facts
  * prepare copy of accused's record
  * consider PSR (s. 721)
  * obtain victim impact statements (s. 722(4))
  * consider restitution, may need to call evidence if not in agreement (s. 738)
  * prepare and review cases on sentence
  * prepare list of conditions appropriate for sentence (on CSO or probation)

## Defence Preparation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-2)]

  * obtain letters of reference and support

### Client's background[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-3)]

  * Age
  * History of places of residence
  * Family relations ( siblings, spouses, children )

**Education**  


  * Level of Education
  * Post-secondary education
  * Certificates earned / licences

**Employment**  


  * Employment history
  * employment prospects

### Offence Circumstances[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-4)]

  * accused mental state at time (intoxication/personal difficulties)
  * degree of contact with victim (e.g. physical contact/proximity)
  * degree of harm to victim
  * degree of violence (intended/actual/threatened/potential)
  * attempts to minimize violence
  * use of a weapon
  * degree of provocation
  * whether accused was in a position of trust
  * whether offence was isolated or part of enterprise
  * role of accused (prinicpal; follower; instigator; intended outcome)
  * Motive
  * Impact on the offender (lost licence/job/relationship)
  * Whether accused co-operated with police

### Risk to the Public[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-5)]

  * whether record has numerous offences and suggests removal from public necessary
  * whether record has serious offences and suggests removal from public necessary
  * whether accused is a dangerous, mentally unstable person and needs to be removed from public
  * extent to which there are similar offences in the community
  * whether the accused's income comes from illegal activity and makes it a livelihood

### Rehabilitation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-6)]

  * whether there is a persistent pattern of criminal activity (note periods of time in community without criminal activity)
  * consider motive for offence (e.g. lead-up) and whether it could happen again
  * whether the client is remorseful and willing to report such to the court
  * consider physical/mental disabilities that are treatable/controllable
  * consider addiction history (treatment programs, dates, and outcomes)

### Supporting evidence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-7)]

**Sources**  


  * obtain consent to release documentation (medical, school, etc.)
  * get contact info for collateral sources as character references
  * get name of probation officer and get permission to contact them (contact probation officer and get input)

**Documents**  


  * Pre-sentence report
  * get letters of reference (employer or character reference)
  * letter from probation officer or corrections officer on progress
  * restitution amount
  * apology letter to victim
  * medical/psychiatric reports

## Sentence issues[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-8)]

**Dispositions**  


  * ability to pay fines (if so, time needed to pay)
  * ability to complete community service (if not, why?)
  * ability to comply with boundary conditions (stay away from areas or people)
  * Possibility of a request for a DNA Order (consider reasons why not)
  * Possibility of a request for a weapons prohibition (consider reasons why not)

**Procedure**  


  * review recommendations of parties
  * remind of opportunity to address judge
  * notify of victim fine surcharge

## Dispositions[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-9)]

  1. Withdraw
  2. Diversion
  3. Peace Bond
  4. Absolute Discharge
  5. Conditional Discharge
  6. Suspended Sentence
  7. Fine
  8. Conditional Sentence
  9. Intermittent Jail
  10. Provincial Jail
  11. Federal Prison
  12. Driving Prohibition
  13. Restitution
  14. DNA Order
  15. SOIRA ORder
  16. Weapons Prohibition Order

### Probation[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-10)]

  * _keep the peace and be of good behaviour;_
  * _appear before the court when required to do so by the court; and_
  * _notify the court or the probation officer in advance of any change of name or address, and promptly notify the court or the probation officer of any change of employment or occupation._
  * report to a probation officer 
    * within 2 working days, or as the court directs, and
    * thereafter, when required by the probation officer;
  * remain within the jurisdiction of the court unless written permission to go outside that jurisdiction;
  * abstain from 
    * the consumption of alcohol or other intoxicating substances, or
    * the consumption of drugs except in accordance with a medical prescription;
  * abstain from owning, possessing or carrying a weapon;
  * provide for the support or care of dependents;
  * perform up to 240 hours of community service over <= 18 months;
  * if the offender agrees, participate actively in a treatment program approved by the province;
  * attend at a treatment facility for assessment and curative treatment in relation to the consumption by the offender of alcohol or drugs that is recommended pursuant to the program;
  * where [there is] a program governing the use of an alcohol ignition interlock device by an offender and if the offender agrees to participate in the program, comply with the program; and
  * comply with such other reasonable conditions as the court considers desirable, subject to any regulations made under subsection 738(2), for protecting society and for facilitating the offender’s successful reintegration into the community.

## Sentencing Procedure[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Appendix/Checklist&action=edit&section=T-11)]

Crown submissions:

  1. crown states position on sentence
  2. crown establishes facts to be relied upon 
    1. read summary of facts
    2. call witnesses if disputed facts (s. 724(3)(a)) or call witnesses anyway (s. 732(2)) [hearsay is admissible (723(5))]
    3. facts are on record already from trial
  3. submit criminal record
  4. submit notice to seek increased penalty
  5. submit / read victim impact statement
  6. review and comment on pre-sentence report
  7. review and comment on relevant cases
  8. make recommendation on conditions in probation or CSO
  9. request ancillary orders

Defence submissions:

  1. offender's background including employment, family, health, and financial circumstances
  2. submit letters of recommendation and character witnesses
  3. review and comment on relevant cases
  4. make recommendation on sentence
  5. comment on ability to pay the victim fine surcharge / time needed to pay any fines
  6. comment on any ancillary orders being requested
  7. comment on conditions in probation or CSO (particularly with curfew and house arrest exceptions)

  


# Offences/Offences by Penalty[[edit](http://en.wikibooks.org/w/index.php?title=Template:Print_entry&action=edit&section=T-1)]

## Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-1)]

### Terrorism Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-2)]

  * [Financing Terrorist Activity](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Financing_Terrorist_Activity) (83.02, 83.03)
  * [Participating in Terrorist Activity](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Participating_in_Terrorist_Activity) (83.18-23)
  * [Hoax Regarding Terrorist Activity](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Hoax_Regarding_Terrorist_Activity) (83.231)

### [Weapons Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Weapons_Offences)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-3)]

  * [Use of Firearm in Commission of an Offence](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Use_of_Firearm_in_Commission_of_an_Offence) (85)
  * [Unsafe Storage of a Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Unsafe_Storage_of_a_Firearm) (86)
  * [Pointing a Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Pointing_a_Firearm) (87)
  * [Possession of a Weapon for a Dangerous Purpose](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_a_Weapon_for_a_Dangerous_Purpose) (88)
  * [Carrying a Concealed Weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Carrying_a_Concealed_Weapon) (90)
  * [Unauthorized Possession of a Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Unauthorized_Possession_of_a_Firearm) (91)
  * [Possession of Unauthorized Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_Unauthorized_Firearm) (92)
  * [Possession of a Restricted or Prohibited Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_a_Restricted_or_Prohibited_Firearm) (95)
  * [Weapons Trafficking](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Weapons_Trafficking) (99, 100)
  * [Possession of a Weapon Contrary to an Order](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_a_Weapon_Contrary_to_an_Order) (117.01)
  * [Discharging a Firearm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Discharging_a_Firearm) (244, 244.1)

### [Sexual Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Offences)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-4)]

  * [Sexual Interference](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Interference) (151)
  * [Invitation to Sexual Touching](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Invitation_to_Sexual_Touching) (152)
  * [Sexual Exploitation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Exploitation) (153)
  * [Incest](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Incest) (155)
  * [Bestiality](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Bestiality) (160)
  * [Voyeurism](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Voyeurism) (162)
  * [Obscenity](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Obscenity) (163)
  * [Child Pornography](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Pornography) (163.1)
  * [Making Sexual Explicit Materials Available to Child](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Making_Sexually_Explicit_Materials_Available_to_Child) (171.1)
  * [Child Luring](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Child_Luring) (172.1)
  * [Agree or Arrange a Sexual Offence Against Child](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Agree_or_Arrange_a_Sexual_Offence_Against_Child) (172.2)
  * [Keeping Common Bawdy-house](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Keeping_Common_Bawdy-house) (210)
  * [Procuring and Living on the Avails of Prostitution](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Procuring_and_Living_on_the_Avails_of_Prostitution) (212)
  * [Solicitation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Solicitation) (213)
  * [Sexual Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault) (271)
  * [Sexual Assault with a Weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault_with_a_Weapon) (272)
  * [Sexual Assault Causing Bodily Harm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Sexual_Assault_Causing_Bodily_Harm) (272)
  * [Aggravated Sexual Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Aggravated_Sexual_Assault) (273)

### Disorderly Conduct[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-5)]

  * [Unlawful Assembly and Rioting](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Unlawful_Assembly_and_Rioting) (63, 64)
  * [Indecent Act](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Indecent_Act) (173)
  * [Causing a Disturbance](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Causing_a_Disturbance) (175)
  * [Trespassing at Night](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Trespassing_at_Night) (177)

### Offences of Violence[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-6)]

  * [Failing to Provide the Necessities of Life](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Failing_to_Provide_the_Necessities_of_Life) (215)
  * [Criminal Negligence](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Criminal_Negligence) (220)
  * [Administering a Noxious Substance](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Administering_a_Noxious_Substance) (245)
  * [Overcoming Resistance](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Overcoming_Resistance) (246)
  * [Criminal Harassment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Criminal_Harassment) (264)
  * [Uttering Threats](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Uttering_Threats) (264.1)
  * [Common Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Common_Assault) (266)
  * [Assault with a Weapon](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_with_a_Weapon) (267)
  * [Assault Causing Bodily Harm](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_Causing_Bodily_Harm) (267)
  * [Aggravated Assault](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Aggravated_Assault) (268)
  * [Assault Peace Officer](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Assault_Peace_Officer) (270)
  * [Kidnapping and Unlawful Confinement](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Kidnapping_and_Unlawful_Confinement) (279)
  * [Trafficking in Persons](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Trafficking_in_Persons) (279.01-04)
  * [Hostage Taking](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Hostage_Taking) (279.1)
  * [Abduction of a Young Person](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Abduction_of_a_Young_Person) (280-286)
  * [Extortion](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Extortion) (346)
  * [Intimidation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Intimidation) (423)
  * [Animal Cruelty](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Animal_Cruelty) (445, 445.1)

### Homicide[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-7)]

  * [Murder and Manslaughter](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Homicide) (234, 235, 236)
  * [Attempted Murder](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Attempted_Murder) (239)

### Gaming and Lottery Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-8)]

  * [Gambling Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Gambling_Offences)
  * [Lottery Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Lottery_Offences)

### Hate Speech and Libel[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-9)]

  * [Defamatory Libel](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Defamatory_Libel) (299, 300)
  * [Public Incitement of Hatred](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Public_Incitement_of_Hatred) (319)

### Administration of Justice Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-10)]

  * [Breach of Public Trust](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Breach_of_Public_Trust) (122)
  * [Disobeying a Court Order](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Disobeying_a_Court_Order) (127)
  * [Breach of Undertaking, Recognizance, or Probation](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Breach_of_Undertaking,_Recognizance,_or_Probation) (145, 733)
  * [Failure to Attend Court or Appear](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Failure_to_Attend_Court_or_Appear) (145)
  * [Obstruction of a Peace Officer](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Obstruction_of_a_Peace_Officer) (129)
  * [Disarming a Peace Officer](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Disarming_a_Peace_Officer) (270.1)
  * [Obstructing Justice](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Obstructing_Justice) (139)
  * [Escape from Lawful Custody](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Escape_from_Lawful_Custody) (145(1), 146, 147)
  * [Prison Breach](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Prison_Breach) (144)
  * [Perjury](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Perjury) (131)
  * [Fabricating Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fabricating_Evidence) (137)
  * [Giving a False Sworn Statement](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Giving_a_False_Sworn_Statement) (134)
  * [Public Mischief](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Public_Mischief) (140)
  * [Intimidation of a Justice System Participant](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Intimidation_of_a_Justice_System_Participant) (423.1)
  * [Contempt of Court](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Contempt_of_Court) (708)

### Motor Vehicle Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-11)]

  * [Dangerous Operation of a Motor Vehicle](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Dangerous_Operation_of_a_Motor_Vehicle) (249)
  * [Flight from Peace Officer](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Flight_from_a_Peace_Officer) (249.1)
  * [Failure to Stop at Scene of Accident](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Failure_to_Stop_at_Scene_of_Accident) (252)
  * [Impaired Driving and Over 80](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Impaired_Driving,_Over_80_and_Refusal) (253)
  * [Refusal](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Impaired_Driving,_Over_80_and_Refusal) (254)
  * [Driving while Disqualified](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Driving_While_Disqualified) (259)

### [Property Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Property_Offences)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-12)]

  * [Robbery](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Robbery) (344)
  * [Break and Enter](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Break_and_Enter) (348)
  * [Unlawfully in a Dwelling](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Unlawfully_in_a_Dwelling) (349)
  * [Possession of Break-in Instruments](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_Break-in_Instruments) (351)
  * [Forceable Entry](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Forceable_Entry) (74)
  * [Motor Vehicle Theft](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Motor_Vehicle_Theft) (333.1)
  * [Theft](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Theft) (334)
  * [Possession of Stolen Property](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Possession_of_Stolen_Property) (355)
  * [Fraud](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fraud) (380)
  * [Fraudulent Concealment](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fraudulent_Concealment) (341)
  * [Breach of Trust](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Breach_of_Trust) (336)
  * [Forgery](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Forgery) (366, 367, 368)
  * [Mischief](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Mischief) (430)
  * [Arson](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Arson) (433, 434)
  * [Obtaining Property by False Pretences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Obtaining_Property_by_False_Pretences)
  * [Theft and Forgery of a Credit Card](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Theft_and_Forgery_of_a_Credit_Card)
  * [Counterfeiting](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Counterfeiting) (449, 450, 452)
  * [Fraudulently Obtaining Food](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Fraudulently_Obtaining_Food) (364)
  * [Unauthorized Use of Computer](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Unauthorized_Use_of_Computer) (342.1)
  * [Identity Theft](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Identity_Theft)

### Corruption Offences[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-13)]

  * [Bribery](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Bribery) (119, 120)
  * [Frauds on the Government](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Frauds_on_the_Government) (121)

### [Drug Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Offences)[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-14)]

  * [Drug Trafficking (Schedule I)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Trafficking_\(Schedule_I\)) (5 CDSA)
  * [Drug Trafficking (Schedule II)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Trafficking_\(Schedule_II\)) (5 CDSA)
  * [Drug Trafficking (Schedule III)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Trafficking_\(Schedule_III\)) (5 CDSA)
  * [Drug Trafficking (Schedule IV)](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Trafficking_\(Schedule_IV\)) (5 CDSA)
  * [Drug Possession](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Possession) (4 CDSA)
  * [Drug Production](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Drug_Production) (7 CDSA)
  * [Importing and Exporting Drugs](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Importing_and_Exporting_Drugs) (6 CDSA)

## See Also[[edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Offences&action=edit&section=T-15)]

  * [Canadian Criminal Law/Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Law/Offences)
  * [Canadian Criminal Sentencing/Cases](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Cases)
  * [Canadian Criminal Sentencing/Offences/Offences by Penalty](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences/Offences_by_Penalty)

[v](http://en.wikibooks.org/wiki/Template:Canadian_Criminal_Sentencing) • [d](http://en.wikibooks.org/w/index.php?title=Template_talk:Canadian_Criminal_Sentencing&action=edit&redlink=1) • [e](http://en.wikibooks.org/w/index.php?title=Template:Canadian_Criminal_Sentencing&action=edit)

 

Canadian Criminal Sentencing

I - [Purpose and Principles of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Purpose_and_Principles_of_Sentencing) II - [Factors of Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Factors_of_Sentencing) III - [Available Sentences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Available_Sentences) IV - [Ancillary Orders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Ancillary_Orders) V - [Procedure](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Procedure) VI - [Offences](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Offences) VII - [Serving Sentences and Afterwards](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing#Serving_Sentences_and_Afterwards) VIII - [Young Offenders](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Young_Offenders) IX - [Appendix](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing#Appendix)

Books: **[Canadian Criminal Law](http://en.wikibooks.org/wiki/Canadian_Criminal_Law) \- [Canadian Criminal Evidence](http://en.wikibooks.org/wiki/Canadian_Criminal_Evidence) \- [Canadian Criminal Procedure and Practice](http://en.wikibooks.org/wiki/Canadian_Criminal_Procedure_and_Practice) \- [Canadian Criminal Sentencing](http://en.wikibooks.org/wiki/Canadian_Criminal_Sentencing)**
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&oldid=2395614](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&oldid=2395614)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Canadian Criminal Sentencing](http://en.wikibooks.org/wiki/Category:Canadian_Criminal_Sentencing)
  * [Canadian Criminal Offences](http://en.wikibooks.org/wiki/Category:Canadian_Criminal_Offences)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Sentencing%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Canadian+Criminal+Sentencing%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Canadian_Criminal_Sentencing/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Canadian_Criminal_Sentencing/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Canadian_Criminal_Sentencing/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&oldid=2395614)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Canadian_Criminal_Sentencing%2FPrint_version&id=2395614)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Canadian+Criminal+Sentencing%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Canadian+Criminal+Sentencing%2FPrint+version&oldid=2395614&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Canadian_Criminal_Sentencing/Print_version&printable=yes)

    * This page was last modified on 18 August 2012, at 17:31.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Canadian_Criminal_Sentencing/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
