# Communication Systems/Print Version

From Wikibooks, open books for an open world

< [Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Communication_Systems/Print_Version) on _26 January 2014_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&oldid=2604079&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_Version.html#mw-navigation), [search](Print_Version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=purge&printable=yes) this page.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Current Status: ![25% developed](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/25_percent.svg/9px-25_percent.svg.png)

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=1)]

This book will eventually cover a large number of topics in the field of electrical communications. The reader will also require a knowledge of Time and Frequency Domain representations, which is covered in-depth in the [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) book. This book will, by necessity, touch on a number of different areas of study, and as such is more than just a text for aspiring Electrical Engineers. This book will discuss topics of analog communication schemes, computer programming, network architectures, information infrastructures, communications circuit analysis, and many other topics. It is a large book, and varied, but it should be useful to any person interested in learning about an existing communication scheme, or in building their own. Where previous Electrical Engineering books were grounded in theory (notably the [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) book), this book will contain a lot of information on current standards, and actual implementations. It will discuss how current networks and current transmission schemes work, and may even include information for the intrepid engineer to create their own versions of each.

_This book is still in an early stage of development. Many topics do not yet have pages, and many of the current pages are stubs. Any help would be greatly appreciated._

## Table of Contents[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=2)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-1)]

People are prone to take for granted the fact that modern technology allows us to transmit data at nearly the speed of light to locations that are very far away. 200 years ago, it would be deemed preposterous to think that we could transmit webpages from China to Mexico in less than a second. It would seem equally preposterous to think that people with cellphones could be talking to each other, clear as day, from miles away. Today, these things are so common, that we accept them without even asking how these miracles are possible.

### What is Communications?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-2)]

Communications is the field of study concerned with the transmission of information through various means. It can also be defined as technology employed in transmitting messages. It can also be defined as the inter-transmitting the content of data (speech, signals, pulses etc.) from one node to another.

## Who is This Book For?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-3)]

This book is for people who have read the [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) wikibook, or an equivalent source of the information. Topics considered in this book will rely heavily on knowledge of Fourier Domain representation and the Fourier Transform. This book can be used to accompany a number of different classes spanning the 3rd and fourth years in a study of electrical engineering. Knowledge of integral and differential calculus is assumed. The reader may benefit from knowledge of such topics as semiconductors, electromagnetic wave propagation, etc., although these topics are not necessary to read and understand the information in this book.

## What this Book will Cover[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-4)]

This book is going to take a look at nearly all facets of electrical communications, from the shape of the electrical signals, to the issues behind massive networks. It makes little sense to be discussing these subjects outside the realm of current examples. We have the Internet, so in discussing issues concerning digital networks, it makes good sense to reference these issues to the Internet. Likewise, this book will attempt to touch on, at least briefly, every major electrical communications network that people deal with on a daily basis. From AM radio to the Internet, from DSL to cable TV, this book will attempt to show how the concepts discussed apply to the real world.

This book also acknowledges a simple point: It is easier to discuss the signals _and_ the networks simultaneously. For this kind of task to be undertaken in a paper book would require hundreds, if not thousands of printed pages, but through the miracle of Wikimedia, all this information can be brought together in a single, convenient location.

This book would like to actively solicit help from anybody who has experience with any of these concepts: Computer Engineers, Communications Engineers, Computer Programmers, Network Administrators, IT Professionals. Also, this book may cover all these topics, but the reader doesn't need to have prior knowledge of all these disciplines to advance. Information will be developed as completely as possible in the text, and links to other information sources will be provided as needed.

## Where to Go From Here[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-5)]

Since this book is designed for a junior and senior year of study, there aren't necessarily many topics that will logically follow this book. After reading and understanding this material, the next logical step for the interested engineer is either industry or graduate school. Once in graduate school, there are a number of different areas to concentrate study in. In industry, the number is even higher.

## Division of Material[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-6)]

Admittedly, this is a very large topic, one that can span not only multiple printed books, but also multiple bookshelves. It could then be asked "Why don't we split this book into 2 or more smaller books?" This seems like a good idea on the surface, but you have to consider exactly where the division would take place. Some would say that we could easily divide the information between "Analog and Digital" lines, or we could divide up into "Signals and Systems" books, or we could even split up into "Transmissions and Networks" Books. But in all these possible divisions, we are settling for having related information in more than 1 place.

### Analog and Digital[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-7)]

It seems most logical that we divide this material along the lines of analog information and digital information. After all, this is a "digital world", and aspiring communications engineers should be able to weed out the old information quickly and easily. However, what many people don't realize is that digital methods are simply a subset of analog methods with more stringent requirements. Digital transmissions are done using techniques perfected in analog radio and TV broadcasts. Digital computer modems are sending information over the old analog phone networks. Digital transmissions are analyzed using analog mathematical concepts such as modulation, SNR (signal to noise ratio), Bandwidth, Frequency Domain, etc... For these reasons, we can simplify both discussions by keeping them in the same book.

### Signals and Systems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-8)]

Perhaps we should divide the book in terms of the signals that are being sent, and the systems that are physically doing the sending. This makes some sense, except that it is impossible to design an appropriate signal without understanding the restrictions of the underlying network that it will be sent on. Also, once we develop a signal, we need to develop transmitters and receivers to send them, and those are physical systems as well.

  


### _Systems_ Approach[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-9)]

It is a bit confusing to be writing a book about _Communication System_s and also considering the **pedagogical** _Systems Approach_. Although using the same word, they are not quite the same thing.

This approach is almost identical to the description above (Signals & Systems) except that it is not limited to the consideration of signals (common in many university texts), but can include other technological drivers (codecs, lasers, and other components).

In this case we give a brief overview of different communication systems (voice, data, cellular, satellite etc.) so that students will have a context in which to place the more detailed (and often generic) information. Then we can then zoom in on the mathematical and technological details to see how these systems do their magic. This lends itself quite well to technical subjects since the basic systems (or mathematics) change relatively slowly, but the underlying technology can offen change rapidly and take unexpected terns.

I would like to suggest that the table of contents in this book be rearranged to reflect this pedagogical approach: Systems examples first, followed by the details.

  


### Why would anyone want to study (tele)communications?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-10)]

Telecommunications is an alluring industry with a provocative history filled with eccentric personalities: Bell, Heavyside, Kelvin, Brunel and many others. It is fraught with adventure and danger: adventure spanning space and time; danger ranging from the remote depths of the ocean floor to deep space, from the boardrooms of AT&T to the Hong Kong stock exchange.

Telecommunications has been heralded as a modern Messiah and cursed as a pathetic sham. It has created and destroyed empires and institutions. It has proclaimed the global village while sponsoring destructive nationalism. It has come to ordinary people, but has remained largely in the control of the ‘media’ and even 'big brother'. Experts will soon have us all traveling down a techno-information highway, destination — unknown.

Telecommunications has become the lifeblood of modern civilization. Besides all that, there’s big bucks in it

## About This Book[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_Introduction&action=edit&section=T-11)]

There are a few points about this book that are worth mentioning:

  1. ![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Real-world examples will appear in these boxes

  1. The programming parts of this book will not use any particular language, although we may consider particular languages in dedicated chapters.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page will attempt to show some of the basic history of electrical communication systems.

## Chronology[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_History&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[History_of_telecommunication**_](http://en.wikipedia.org/wiki/History_of_telecommunication)

1831 Samuel Morse invents the first repeater and the telegraph is born

1837 Charles Wheatstone patents "electric telegraph"

1849 England to France telegraph cable goes into service -- and fails after 8 days.

1850 Morse patents "clicking" telegraph.

1851 England-France commercial telegraph service begins. This one uses gutta-percha, and survives.

1858 August 18 - First transatlantic telegraph messages sent by the Atlantic Telegraph Co. The cable deteriorated quickly, and failed after 3 weeks.

1861 The first transcontinental telegraph line is completed

1865 The first trans-Atlantic cable goes in service

1868 First commercially successful transatlantic telegraph cable completed between UK and Canada, with land extension to USA. The message rate is 2 words per minute.

1870 The trans-Atlantic message rate is increased to 20 words per minute.

1874 Baudot invents a practical Time Division Multiplexing scheme for telegraph. Uses 5-bit codes & 6 time slots -- 90 bps max. rate. Both Western Union and Murray would use this as the basis of multiplex telegraph systems.

1875 Typewriter invented.

1876 Alexander Graham Bell and Elisa Grey independently invent the telephone (although it may have been invented by Antonio Meucci as early as 1857)

1877 Bell attempts to use telephone over the Atlantic telegraph cable. The attempt fails.

1880 Oliver Heaviside's analysis shows that a uniform addition of inductance into a cable would produce distortionless transmission.

1883 Test calls placed over five miles of under-water cable.

1884 - San Francisco-Oakland gutta-percha cable begins telephone service.

1885 Alexander Graham Bell incorporated AT&T

1885 James Clerk Maxwell predicts the existence of radio waves

1887 Heinrich Hertz verifies the existence of radio waves

1889 Almon Brown Strowger invents the first automated telephone switch

1895 Gugliemo Marconi invents the first radio transmitter/receiver

1901 Gugliemo Marconi transmits the first radio signal across the Atlantic 1901 Donald Murray links typewriter to high-speed multiplex system, later used by Western Union

1905 The first audio broadcast is made

1910 Cheasapeake Bay cable is first to use loading coils underwater

1911 The first broadcast license is issued in the US

1912 Hundreds on the Titanic were saved due to wireless

1915 USA transcontinental telephone service begins (NY-San Francisco).

1924 The first video signal is broadcast

1927 First commercial transatlantic radiotelephone service begins

1929 The CRT display tube is invented

1935 Edwin Armstrong invents FM

1939 The blitzkrieg and WW II are made possible by wireless

1946 The first mobile radio system goes into service in St. Louis

1948 The transistor is invented

1950 Repeatered submarine cable used on Key West-Havana route.

1956 The first trans-Atlantic telephone cable, TAT-1, goes into operation. It uses 1608 vacuum tubes.

1957 The first artificial satellite, Sputnik goes into orbit

1968 The Carterphone decision allows private devices to be attached to the telephone

1984 The MFJ (Modification of Final Judgement) takes effect and the Bell system is broken up

1986 The first transAtlantic fiber optic cable goes into service

## Claude Shannon[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_History&action=edit&section=T-2)]

## Harry Nyquist[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communications_History&action=edit&section=T-3)]

# Communications Basics[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=3)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

It is important to know the difference between a baseband signal, and a broad band signal. In the Fourier Domain, a baseband signal is a signal that occupies the frequency range from 0Hz up to a certain cutoff. It is called the baseband because it occupies the **base**, or the lowest range of the spectrum.

In contrast, a broadband signal is a signal which does not occupy the lowest range, but instead a higher range, 1MHz to 3MHz, for example. A wire may have only one baseband signal, but it may hold any number of broadband signals, because they can occur anywhere in the spectrum.

  


![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Baseband**_](http://en.wikipedia.org/wiki/Baseband)

## Wideband vs Narrowband[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Baseband_and_Broadband_Signals&action=edit&section=T-1)]

in form of frequency modulation. wideband fm has been defined as that in which the modulation index normally exceeds unity.

## Frequency Spectrum[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Baseband_and_Broadband_Signals&action=edit&section=T-2)]

A graphical representation of the various frequency components on a given transmission medium is called a frequency spectrum.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Consider a situation where there are multiple signals which would all like to use the same wire (or medium). For instance, a telephone company wants multiple signals on the same wire at the same time. It certainly would save a great deal of space and money by doing this, not to mention time by not having to install new wires. How would they be able to do this? One simple answer is known as **Time-Division Multiplexing**.

  


## Time Division Multiplexing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Time-division_multiplexing**_](http://en.wikipedia.org/wiki/Time-division_multiplexing)

**Time-Division Multiplexing** (TDM) is a convenient method for combining various digital signals onto a single transmission media such as wires, fiber optics or even radio. These signals may be interleaved at the bit, byte, or some other level. The resulting pattern may be transmitted directly, as in digital carrier systems, or passed through a modem to allow the data to pass over an analog network. Digital data is generally organized into frames for transmission and individual users assigned a time slot, during which frames may be sent. If a user requires a higher data rate than that provided by a single channel, multiple time slots can be assigned.

Digital transmission schemes in North America and Europe have developed along two slightly different paths, leading to considerable incompatibility between the networks found on the two continents.

BRA (basic rate access) is a single digitized voice channel, the basic unit of digital multiplexing.

  


    

    

    ![BRA comparison.gif](../../../upload.wikimedia.org/wikibooks/en/8/80/BRA_comparison.gif)

  


    

    

    ![Digital transmission systems.gif](../../../upload.wikimedia.org/wikibooks/en/9/9b/Digital_transmission_systems.gif)

  


### North American TDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-2)]

The various transmission rates are not integral numbers of the basic rate. This is because additional framing and synchronization bits are required at every multiplexing level.

  


    

    

    ![North american TDM.gif](../../../upload.wikimedia.org/wikibooks/en/0/09/North_american_TDM.gif)

  
In North America, the basic digital channel format is known as DS-0. These are grouped into frames of 24 channels each. A concatenation of 24 channels and a start bit is called a frame. Groups of 12 frames are called multiframes or superframes. These vary the start bit to aid in synchronizing the link and add signaling bits to pass control messages.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Digital_Signal_1**_](http://en.wikipedia.org/wiki/Digital_Signal_1)

  


    

    

    ![DS framing.gif](../../../upload.wikimedia.org/wikibooks/en/1/10/DS_framing.gif)

  


#### S Bit Synchronization[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-3)]

The S bit is used to identify the start of a DS-1 frame. There are 8 thousand S bits per second. They have an encoded pattern, to aid in locating channel position within the frame.

  


    

    

    ![S bits.gif](../../../upload.wikimedia.org/wikibooks/en/c/cb/S_bits.gif)

  
This forms a regular pattern of 1 0 1 0 1 0 for the odd frames and 0 0 1 1 1 0 for the even frames. Additional synchronization information is encoded in the DS-1 frame when it is used for digital data applications, so lock is more readily acquired and maintained.

For data customers, channel 24 is reserved as a special sync byte, and bit 8 of the other channels is used to indicate if the remaining 7 bits are user data or system control information. Under such conditions, the customer has an effective channel capacity of 56 Kbps.

To meet the needs of low speed customers, an additional bit is robbed to support sub-rate multiplexer synchronization, leaving 6 x 8 Kbps = 48 Kbps available. Each DS-0 can be utilized as:

    

    • 5 x 9.6 Kbps channels or
    • 10 x 4.8 Kbps channels or
    • 20 x 2.48 Kbps channels.

In the DS-2 format, 4 DS-1 links are interleaved, 12 bits at a time. An additional 136 Kbps is added for framing and control functions resulting in a total bit rate of 6.312 Mbps.

  


#### Signaling[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-4)]

Signaling provides control and routing information. Two bits, called the A and B bits, are taken from each channel in frames 6 and 12 in the multiframe. The A bit is the least significant bit in each channel in frame 6, and the B bit is the least significant bit in each channel in frame 12. This provides a signaling rate of 666 2/3 bps per channel.

The quality of voice transmission is not noticeably affected when 2% of the signal is robbed for signaling. For data, it may be a different story. If the data is encoded in an analog format such as FSK or PSK, then robbing bits is of no consequence, but if the data is already in digital form, then robbing bits results in unacceptable error rates. It is for this reason that in North America, a 64 Kbps clear channel cannot readily be switched through the PSTN. This means that data customers are limited to 56 Kbps clear channels. This simple condition has a profound effect on the development of new services such as ISDN. In most facilities, the A and B bits represent the status of the telephone hook switch, and correspond to the M lead on the E&M interface of the calling party.

  


#### ESF[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-5)]

CCITT has modified the North American digital hierarchy for the deployment of ISDN, by means of recommendation G.704. ESF consists of 24 DS-0 channels in a frame, but groups them into a 24-frame multiframe instead of the usual 12-frame multiframe.

The S bit is renamed the F bit, but only 1/4 of them are used for synchronization. This is possible because of improvements in frame search techniques and allows more signaling states to be defined.

Bit robbing is still used for signaling over an ESF link, but with the advent of ISDN, it will not be permitted. Instead, channel 24 is used to support a D channel.

  


    

    

    ![ESF.gif](../../../upload.wikimedia.org/wikibooks/en/0/06/ESF.gif)

  


#### Typical T1 CPE Application[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-6)]

The large telecom carriers are not the only ones who deploy high-speed TDM facilities. In many cases, heavy users of voice or data services can reduce their transmission costs by concentrating their numerous low speed lines on to a high speed facility.

There are many types of T1 multiplexers available today. Some are relatively simple devices, while others allow for channel concatenation, thus supporting a wide range of data rates. The ability to support multiple DS-0s allows for easy facilitation of such protocols as the video teleconferencing standard, Px64.

  


    

    ![T1 mux.gif](../../../upload.wikimedia.org/wikibooks/en/b/b8/T1_mux.gif)

  


#### Multiplexers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-7)]

Multiplexing units are often designated by the generic term M_ab_ where _a_ is input DS level and _b_ is the output DS level. Thus, an M13 multiplexer combines 28 DS–1s into a single DS–3 and an M23 multiplexer combines 7 DS–2s into a single DS–3.

  


    

    ![M13 mux.gif](../../../upload.wikimedia.org/wikibooks/en/5/50/M13_mux.gif)

  


#### ZBTSI[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-8)]

ZBTSI (zero byte time slot interchange) is used on DS–4 links. Four DS-1 frames are loaded into a register, and renumbered 1–96. If there are any empty slots [all zeros], the first framing bit is inverted and all blank slots are relocated to the front of the frame. Channel 1 is then loaded with a 7-bit number corresponding to the original position of the first empty slot. Bit 8 used to indicate whether the following channel contains user information or another address for an empty slot.

If there is a second vacancy, bit 8 in the previous channel is set, and the empty slot address is placed in channel 2. This process continues until all empty positions are filled.

The decoding process at the receiver is done in reverse. Borrowing 1 in 4 framing bits for this system is not enough to cause loss of synchronization and provides a 64 Kbps clear channel to the end-user.

  


### European TDM Carriers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-9)]

European systems were developed along slightly different principles. The 64 Kbps channel is still the basic unit, but signaling is not included in each channel. Instead, common channel signaling is used. In a level 1 carrier, channels 0 and 16 are reserved for signaling and control. This subtle difference means that European systems did not experience the toll fraud and 56 k bottlenecks common to North American systems, and they experience a much larger penetration of ISDN services.

    

    ![European TDM.gif](../../../upload.wikimedia.org/wikibooks/en/0/0a/European_TDM.gif)

    

    ![E1 frame.gif](../../../upload.wikimedia.org/wikibooks/en/d/d6/E1_frame.gif)

## Zero Substitutions[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-10)]

In order to prevent transmission systems from loosing lock on the data stream, it is necessary to avoid long strings of zeros. One of the most effective ways of doing this is to replace the zeros with a predetermined code. This substitution must be done in such a way that the receiver can identify it and strip it off before passing the data stream to the client.

AMI provides a simple means of detecting substitutions. In the normal course of events, alternate marks are inverted. Therefor, deliberately inducing a bipolarvariation at the transmitter can alert the receiver of a substitution. However, a single violation is indistinguishable from a transmission error. Consequently, some additional condition must also occur.

There are two common methods to create a second condition:

    · Create a second bipolar violation in the opposite direction, within a specified time. This has the effect of keeping the average signal level at zero.
    · Count the number of marks from the last substitution to predict the next type of violation

  


### B6ZS[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-11)]

B6ZS (binary six zero substitution) is used on T2 AMI transmission links.

Synchronization can be maintained by replacing strings of zeros with bipolar violations. Since alternate marks have alternate polarity, two consecutive pulses of the same polarity constitute a violation. Therefore, violations can be substituted for strings of zeros, and the receiver can determine where substitutions were made.

Since the last mark may have been either positive (+) or negative (-), there are two types of substitutions:

  


    

    ![B6ZS substitutions.gif](../../../upload.wikimedia.org/wikibooks/en/8/8c/B6ZS_substitutions.gif)

  
These substitutions force two consecutive violations. A single bit error does not create this condition.

  


    

    ![B6ZS example.gif](../../../upload.wikimedia.org/wikibooks/en/5/5e/B6ZS_example.gif)

### B8ZS[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-12)]

This scheme uses the same substitution as B6ZS.

  


    

    ![B8ZS substitutions.gif](../../../upload.wikimedia.org/wikibooks/en/8/8b/B8ZS_substitutions.gif)

### B3ZS[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-13)]

B3ZS is more involved than B6ZS, and is used on DS–3 carrier systems. The substitution is not only dependent on the polarity of the last mark, but also on the number of marks since the last substitution.

  


    

    ![B3ZS substitutions.gif](../../../upload.wikimedia.org/wikibooks/en/b/bd/B3ZS_substitutions.gif)

    

    ![B3ZS example.gif](../../../upload.wikimedia.org/wikibooks/en/7/76/B3ZS_example.gif)

  


### HDB3[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-14)]

HDB3 (high density binary 3) introduces bipolar violations when four consecutive zeros occur. It can therefore also be called B4ZS. The second and thirds zeros are left unchanged, but the fourth zero is given the same polarity as the last mark. The first zero may be modified to a one to make sure that successive violations are of alternate polarity.

    

    ![HDB3 substitutions.gif](../../../upload.wikimedia.org/wikibooks/en/a/a7/HDB3_substitutions.gif)

  
HDB3 is used in Europe. Violation, or V pulses are injected after three consecutive zeros. The fourth zero is given the same polarity as the last mark. In the event of long strings of zeros occurring, a succession of single polarity pulses would occur, and a dc offset would build-up.

To prevent this, the first zero in a group of 4, may be modified to a 1. This B or balancing pulse assures that successive violations are of alternate polarity.

    

    ![HDB3 waveform.gif](../../../upload.wikimedia.org/wikibooks/en/9/9c/HDB3_waveform.gif)

  


### Block Code Substitution[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-15)]

These schemes operate on bytes rather than a bit at a time. Some transmit the signal as binary levels, but most use multi-level pulses. Some authors categorize these as line codes.

A binary block code has the designation _n_B_m_B, where _n_ input bits are encoded into _m_ output bits. The most common of these is the 3B4B code.

  


    

    ![3B4B coding.gif](../../../upload.wikimedia.org/wikibooks/en/b/b4/3B4B_coding.gif)

  
In Europe 4B3T, which encodes 4 binary bits into 3 ternary levels, has been selected as the BRA for ISDN. In North America, 2B1Q which encodes 2 binary bits into 1 quaternary level has been selected for BRA.

  


    

    ![2B1Q coding.gif](../../../upload.wikimedia.org/wikibooks/en/4/4d/2B1Q_coding.gif)

  
Some block codes do not generate multilevel pulses. For example, 24B1P or 24B25B simply adds a P or parity bit to a 24 bit block.

## Benefits of TDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-16)]

TDM is all about cost: fewer wires and simpler receivers are used to transmit data from multiple sources to multiple destinations. TDM also uses less bandwidth than Frequency-Division Multiplexing (FDM) signals, unless the bitrate is increased, which will subsequently increase the necessary bandwidth of the transmission.

## Synchronous TDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-17)]

Synchronous TDM is a system where the transmitter and the receiver both know exactly which signal is being sent. Consider the following diagram:
    
    
    Signal A ---> |---| |A|B|C|A|B|C|   |------| ---> Signal A
    Signal B ---> |TDM| --------------> |De-TDM| ---> Signal B
    Signal C ---> |---|                 |------| ---> Signal C
    

In this system, starting at time-slice 0, every third time-slice is reserved for Signal A; starting at time-slice 1, every third time-slice is reserved for Signal B; and starting at time-slice 2, every third time-slice is reserved for Signal C. In this situation, the receiver (De-TDM) needs only to switch after the signal on each time-slice is received.

* * *

The data flow of each input connection is divided into units where each input occupies one input time slot. Each input connection has a time slot alloted in the output irrespective of the fact whether it is sending data or not.
    
    
          A -----|A3|A2|A1|---> |---| .............|C3|B3|A3|C2|B2|A2|C1|B1|A1|   |------| --->  A
                 |  |  |  |                        |        |        |
          B -----|B3|B2|B1|---> |MUX| -------------|--------|--------|----------> |De-MUX| --->  B
                 |  |  |  |                        |        |        |
          C -----|C3|C2|C1|---> |---|              |        |        |            |------| --->  C
                       <-->                                 <-------->
                      Bit Interval                       Frame (x seconds)
    

Sync TDM is inefficient when one or more input lines have no data to send. Thus, it is used with lines with high data traffic.

* * *

Sampling rate is same for all signals. Maximum sampling rate = twice the maximum frequency all the signals.

## Statistical TDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-18)]

Synchronous TDM is beneficial because the receiver and transmitter can both cost very little. However, consider the most well-known network: the Internet. In the Internet, a given computer might have a data rate of 1kbps when hardly anything is happening, but might have a data rate of 100kbps when downloading a large file from a fast server. How are the time-slices divided in this instance? If every time slice is made big enough to hold 100Kbps, when the computer isn't downloading any data, all of that time and electricity will be wasted. If every time-slice is only big enough for the minimum case, the time required to download bigger files will be greatly increased.

The solution to this problem is called **Statistical TDM**, and is the solution that the Internet currently uses. In Statistical TDM, each data item, known as the payload (we used time-slices to describe these earlier), is appended with a certain amount of information about who sent it, and who is supposed to receive it (the header). The combination of a payload and a header is called a **packet**. Packets are like envelopes in the traditional "snail mail" system: Each packet contains a destination address and a return address as well as some enclosed data. Because of this, we know where each packet was sent from and where it is going.

The downside to statistical TDM is that the sender needs to be smart enough to write a header, and the receiver needs to be smart enough to read the header and (if the packet is to be forwarded,) send the packet toward its destination.

  


### Link Utilization[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-19)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Queuing_theory**_](http://en.wikipedia.org/wiki/Queuing_theory)

Statistical multiplexing attempts to maximize the use of a communication path. The study of this is often called _queuing theory_. A queue is simply a line of customers or packets waiting to be served. Under most circumstances, the arrival rate is unpredictable and therefor follows a random or Poisson distribution pattern, whereas the service time is constant.

The utilization or fraction of time actually used by a packet multiplexing system to process packets is given by:

  


    

    ![Utilization.gif](../../../upload.wikimedia.org/wikibooks/en/2/27/Utilization.gif)

  
The queue length or average number of items waiting to be served is given by:

    

    ![q = \\frac{{\\rho ^2 }}{{2\\left\( {1 - \\rho } \\right\)}} + \\rho ](../../../upload.wikimedia.org/math/6/7/c/67c4c3e390861ec6d650db5108cedd52.png)

  


    

    ![Queue length.gif](../../../upload.wikimedia.org/wikibooks/en/6/6c/Queue_length.gif)

  


    

    **Example**

    

    A T1 link has been divided into a number of 9.6 Kbps channels and has a combined user data rate of 1.152 Mbps. Access to this channel is offered to 100 customers, each requiring 9.6 Kbps data 20% of the time. If the user arrival time is strictly random find the T1 link utilization.

    

    **Solution**

    

    The utilization or fraction of time used by the system to process packets is given by:

  


    

    

    

    ![\\rho  = \\frac{{\\alpha NR}}{M} = \\frac{{0.2 \\times 100 \\times 9.6 \\times 10^3 }}{{1.152 \\times 10^6 }} = 0.167](../../../upload.wikimedia.org/math/9/3/3/9333161e6551ded52d5e7e720fb1debb.png)

  


    

    A 24 channel system dedicated to DATA, can place five 9.6 Kbps customers in each of 23 channels, for a total of 115 customers. In the above statistical link, 100 customers created an _average_ utilization of 0.167 and were easily fitted, with room to spare if they transmit on the average 20% of the time. If however, the customer usage were not randomly distributed, then the above analysis would have to be modified.

  
This example shows the potential for statistical multiplexing. If channels were assigned on a demand basis (only when the customer had something to send), a single T1 may be able to support hundreds of low volume users.

A utilization above 0.8 is undesirable in a statistical system, since the slightest variation in customer requests for service would lead to buffer overflow. Service providers carefully monitor delay and utilization and assign customers to maximize utilization and minimize cost.

## Packets[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-20)]

Packets will be discussed in greater detail once we start talking about digital networks (specifically the Internet). Packet headers not only contain address information, but may also include a number of different fields that will display information about the packet. Many headers contain error-checking information (checksum, Cyclic Redundancy Check) that enables the receiver to check if the packet has had any errors due to interference, such as electrical noise.

## Duty Cycles[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Time-Division_Multiplexing&action=edit&section=T-21)]

Duty cycle is defined as " the time that is effectively used to send or receive the data, expressed as a percentage of total period of time." The more the duty cycle , the more effective transmission or reception.

We can define the pulse width, τ, as being the time that a bit occupies from within its total alloted bit-time _Tb_. If we have a duty cycle of _D_, we can define the pulse width as:

    ![\\tau = DT_b](../../../upload.wikimedia.org/math/7/3/d/73d17a89c7b509b0b1701255babb1529.png)

Where:

    ![0 < \\tau \\le T_b](../../../upload.wikimedia.org/math/a/2/e/a2ee6f6113a8b788e2b0c9af16a52c71.png)

The pulse width is equal to the bit time if we are using a 100% duty cycle.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-1)]

It turns out that many wires have a much higher bandwidth than is needed for the signals that they are currently carrying. Analog Telephone transmissions, for instance, require only 3 000 Hz of bandwidth to transmit human voice signals. Over short distances, however, twisted-pair telephone wire has an available bandwidth of nearly 100000 Hz!

There are several terrestrial radio based communications systems deployed today. They include:

  * Cellular radio
  * Mobile radio
  * Digital microwave radio

Mobile radio service was first introduced in the St. Louis in 1946. This system was essentially a radio dispatching system with an operator who was able to patch the caller to the PSTN via a switchboard. Later, an improved mobile telephone system, IMTS, allowed customers to dial their own calls without the need for an operator. This in turn developed into the cellular radio networks we see today.

The long haul PSTNs and packet data networks use a wide variety of transmission media including

  * Terrestrial microwave
  * Satellite microwave
  * Fiber optics
  * Coaxial cable

In this section, we will be concerned with terrestrial microwave systems. Originally, microwave links used FDM exclusively as the access technique, but recent developments are changing analog systems to digital where TDM is more appropriate.

  


### Fixed Access Assignment[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-2)]

Three basic methods can be used to combine customers on to fixed channel radio links:

  * FDMA - (frequency division multiple access) analog or digital
  * TDMA - (time division multiple access) three conversation paths are time division multiplexed in 6.7 mSec time slots on a single carrier.
  * CDMA - (code division multiple access) this uses spread spectrum techniques to increase the subscriber density. The transmitter hops through a pseudo-random sequence of frequencies. The receiver is given the sequence list and is able to follow the transmitter. As more customers are added to the system, the signal to noise will gradually degrade. This is in contrast to AMPS where customers are denied access once all of the frequencies are assigned code division multiple access [digital only]

  


    

    

    

    ![Fixed assgnment access.gif](../../../upload.wikimedia.org/wikibooks/en/6/67/Fixed_assgnment_access.gif)

## What is FDM?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-3)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Frequency-division_multiplexing**_](http://en.wikipedia.org/wiki/Frequency-division_multiplexing)

**Frequency Division Multiplexing** (FDM) allows engineers to utilize the extra space in each wire to carry more than one signal. By frequency-shifting some signals by a certain amount, engineers can shift the spectrum of that signal up into the unused band on that wire. In this way, multiple signals can be carried on the same wire, without having to divy up time-slices as in Time-Division Multiplexing schemes.In analog transmission, signals are commonly multiplexed using frequency-division multiplexing (FDM), in which the carrier bandwidth is divided into subchannels of different frequency widths, each carrying a signal at the same time in parallel

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Broadcast radio and television **channels** are separated in the frequency spectrum using FDM. Each individual channel occupies a finite frequency range, typically some multiple of a given base frequency.

Traditional terrestrial microwave and satellite links employ FDM. Although FDM in telecommunications is being reduced, several systems will continue to use this technique, namely: broadcast & cable TV, and commercial & cellular radio.

  


### Analog Carrier Systems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-4)]

The standard telephony voice band [300 – 3400 Hz] is heterodyned and stacked on high frequency carriers by single sideband amplitude modulation. This is the most bandwidth efficient scheme possible.

    

    

    

    ![Single voice channel.gif](../../../upload.wikimedia.org/wikibooks/en/d/dc/Single_voice_channel.gif)

The analog voice channels are pre-grouped into threes and heterodyned on carriers at 12, 16, and 20 kHz. The resulting upper sidebands of four such pregroups are then heterodyned on carriers at 84, 96, 108, and 120 kHz to form a 12-channel group.

Since the lower sideband is selected in the second mixing stage, the channel sequence is reversed and a frequency inversion occurs within each channel.

    

    

    

    ![12 channel group.gif](../../../upload.wikimedia.org/wikibooks/en/1/1e/12_channel_group.gif)

  
This process can continue until the available bandwidth on the coaxial cable or microwave link is exhausted.

    

    ![Analog carrier systems.gif](../../../upload.wikimedia.org/wikibooks/en/3/31/Analog_carrier_systems.gif)

  
In the North American system, there are:

  * 12 channels per group
  * 5 groups per supergroup
  * 10 super groups per mastergroup
  * 6 master groups per jumbogroup

In the European CCITT system, there are:

  * 12 channels per group
  * 5 groups per supergroup
  * 5 super groups per mastergroup
  * 3 master groups per supermastergroup

There are other FDM schemes including:

  * L600 - 600 voice channels 60–2788 kHz
  * U600 - 600 voice channels 564–3084 kHz
  * L3 - 1860 voice channels 312–8284 kHz, comprised of 3 mastergroups and a supergroup
  * L4 - 3600 voice channels, comprised of six U600s

## Benefits of FDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-5)]

FDM allows engineers to transmit multiple data streams simultaneously over the same channel, at the expense of bandwidth. To that extent, FDM provides a trade-off: faster data for less bandwidth. Also, to demultiplex an FDM signal requires a series of bandpass filters to isolate each individual signal. Bandpass filters are relatively complicated and expensive, therefore the receivers in an FDM system are generally expensive.

## Examples of FDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-6)]

As an example of an FDM system, Commercial broadcast radio (AM and FM radio) simultaneously transmits multiple signals or "stations" over the airwaves. These stations each get their own frequency band to use, and a radio can be tuned to receive each different station. Another good example is cable television, which simultaneously transmits every channel, and the TV "tunes in" to which channel it wants to watch.

## Orthogonal FDM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency-Division_Multiplexing&action=edit&section=T-7)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Orthogonal_frequency-division_multiplexing**_](http://en.wikipedia.org/wiki/Orthogonal_frequency-division_multiplexing)

Orthogonal Frequency Division Multiplexing (OFDM) is a more modern variant of FDM that uses orthogonal sub-carriers to transmit data that does not overlap in the frequency spectrum and is able to be separated out using frequency methods. OFDM has a similar data rate to traditional FDM systems, but has a higher resilience to disruptive channel conditions such as noise and channel fading.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Voltage Controlled Oscillators (VCO)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Voltage-Controlled_Oscillators&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Voltage-controlled_oscillator**_](http://en.wikipedia.org/wiki/Voltage-controlled_oscillator)

A **voltage-controlled oscillator** (VCO) is a device that outputs a sinusoid of a frequency that is a function of the input voltage. VCOs are _not_ time-invariant, linear components. A complete study of how a VCO works will have to be relegated to a more detailed section based on feedback and oscillators. This page will, however, attempt to answer some of the basic questions about VCOs.

A basic VCO has input/output characteristics as such:
    
    
    v(t) ----|VCO|----> sin(a[f + v(t)]t + O)
    

VCOs are often implemented using a special type of diode called a "Varactor". Varactors, when reverse-biased, produce a small amount of capacitance that varies with the input voltage.

## Phase-Locked Loops[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Voltage-Controlled_Oscillators&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Phase-locked_loop**_](http://en.wikipedia.org/wiki/Phase-locked_loop)

If you are talking on your cellphone, and you are walking (or driving), the phase angle of your signal is going to change, as a function of your motion, at the receiver. This is a fact of nature, and is unavoidable. The solution to this then, is to create a device which can "find" a signal of a particular frequency, negate any phase changes in the signal, and output the clean wave, phase-change free. This device is called a Phase-Locked Loop (PLL), and can be implemented using a VCO.

## Purpose of VCO and PLL[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Voltage-Controlled_Oscillators&action=edit&section=T-3)]

VCO and PLL circuits are highly useful in modulating and demodulating systems. We will discuss the specifics of how VCO and PLL circuits are used in this manner in future chapters.

## Varactors[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Voltage-Controlled_Oscillators&action=edit&section=T-4)]

As a matter of purely professional interest, we will discuss varactors here.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Voltage-Controlled_Oscillators&action=edit&section=T-5)]

  * [Clock and data recovery](http://en.wikibooks.org/wiki/Clock_and_data_recovery) has detailed information about designing and analyzing PLLs. (VCO)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## What is an Envelope Filter?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Envelope_Filters&action=edit&section=T-1)]

If anybody has some images that they can upload, it would be much better then these ASCII art things.

The envelope detector is a simple analog circuit that can be used to find the peaks in a quickly-changing waveform. Envelope detectors are used in a variety of devices, specifically because passing a sinusoid through an envelope detector will suppress the sinusoid.

## Circuit Diagram[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Envelope_Filters&action=edit&section=T-2)]

In essence, an envelope filter has the following diagram:
    
    
    o------+------+------o
    +      |      |      +
           \     (c)
    vin    /R     |     vout
           \      |
    -      |      |      -
    o------+------+------o
    

Where (c) represents a capacitor, and R is a resistor. Under zero input voltage (vin = 0), the capacitor carries no charge, and the resistor carries no current. When vin is increased, the capacitor stores charge until it reaches capacity, and then the capacitor becomes an open circuit. At this point, all current in the circuit is flowing through the resistor, R. As voltage decreases, the capacitor begins to discharge it's stored energy, slowing down the state change in the circuit from high voltage to low voltage.

## Positive Voltages[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Envelope_Filters&action=edit&section=T-3)]

By inserting a diode at the beginning of this circuit, we can negate the effect of a sinusoid, dipping into negative voltage, and forcing the capacitor to discharge faster:
    
    
      diode
    o-->|--+------+------o
    +      |      |      +
           \     (c)
    vin    /R     |     vout
           \      |
    -      |      |      -
    o------+------+------o
    

## Purpose of Envelope Filters[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Envelope_Filters&action=edit&section=T-4)]

Envelope filters help to find the outer bound of a signal that is changing in amplitude.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Envelope Filters are generally used with AM demodulation, discussed later.

(Envelope Detectors)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Modulation is a term that is going to be used very frequently in this book. So much in fact, that we could almost have renamed this book "Principals of Modulation", without having to delete too many chapters. So, the logical question arises: What exactly is modulation?

## Definition[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-1)]

**Modulation** is a process of mixing a signal with a sinusoid to produce a new signal. This new signal, conceivably, will have certain benefits over an un-modulated signal, especially during transmission. If we look at a general function for a sinusoid:

    ![f\(t\) = A \\sin\(\\omega t + \\phi\)](../../../upload.wikimedia.org/math/d/c/9/dc9c3efc9be800374c29f3149ccec1d8.png)

we can see that this sinusoid has 3 parameters that can be altered, to affect the shape of the graph. The first term, A, is called the magnitude, or amplitude of the sinusoid. The next term, ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png) is known as the frequency, and the last term, ![\\phi](../../../upload.wikimedia.org/math/7/f/2/7f20aa0b3691b496aec21cf356f63e04.png) is known as the phase angle. All 3 parameters can be altered to transmit data.

The sinusoidal signal that is used in the modulation is known as the **carrier signal**, or simply "the carrier". The signal that is used in modulating the carrier signal(or sinusoidal signal) is known as the "data signal" or the "message signal". It is important to notice that a simple sinusoidal carrier contains no information of its own.

In other words we can say that modulation is used because the some data signals are not always suitable for direct transmission, but the modulated signal may be more suitable.

## Types of Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-2)]

There are 3 basic types of modulation: Amplitude modulation, Frequency modulation, and Phase modulation.

amplitude modulation
    a type of modulation where the amplitude of the carrier signal is modulated (changed) in proportion to the message signal while the frequency and phase are kept constant.
frequency modulation
    a type of modulation where the frequency of the carrier signal is modulated (changed) in proportion to the message signal while the amplitude and phase are kept constant.
phase modulation
    a type of modulation where the phase of the carrier signal is varied accordance to the low frequency of the message signal is known as phase modulation.

## Why Use Modulation?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-3)]

Clearly the concept of modulation can be a little tricky, especially for the people who don't like trigonometry. Why then do we bother to use modulation at all? To answer this question, let's consider a channel that essentially acts like a bandpass filter: both the lowest frequency components and the highest frequency components are attenuated or unusable in some way, with transmission only being practical over some intermediate frequency range. If we can't send low-frequency signals, then we need to shift our signal up the frequency ladder. Modulation allows us to send a signal over a bandpass frequency range. If every signal gets its own frequency range, then we can transmit multiple signals _simultaneously_ over a single channel, all using different frequency ranges.

Another reason to modulate a signal is to allow the use of a smaller antenna. A baseband (low frequency) signal would need a huge antenna because in order to be efficient, the antenna needs to be about 1/10th the length of the wavelength. Modulation shifts the baseband signal up to a much higher frequency, which has much smaller wavelengths and allows the use of a much smaller antenna.

## Examples[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-4)]

Think about your car radio. There are more than a dozen (or so) channels on the radio at any time, each with a given frequency: 100.1MHz, 102.5MHz etc... Each channel gets a certain range (usually about 0.22MHz), and the entire station gets transmitted over that range. Modulation makes it all possible, because it allows us to send voice and music (which are essential baseband signals) over a bandpass (or "Broadband") channel.

## non-sinusoidal modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-5)]

A sine wave at one frequency can be separated from a sine wave at another frequency (or a cosine wave at the same frequency) because the two signals are "orthogonal".

There are other sets of signals, such that every signal in the set is orthogonal to every other signal in the set.

A simple orthogonal set is time multiplexed division (TDM) -- only one transmitter is active at any one time.

Other more complicated sets of orthogonal waveforms -- Walsh codes and various pseudo-noise codes such as Gold codes and maximum length sequences -- are also used in some communication systems.

The process of combining these waveforms with data signals is sometimes called "modulation", because it is so very similar to the way modulation combines sine waves are with data signals.

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/What_is_Modulation%3F&action=edit&section=T-6)]

  * [Data Coding Theory/Spectrum Spreading](http://en.wikibooks.org/wiki/Data_Coding_Theory/Spectrum_Spreading)
  * [Wikipedia:Walsh code](http://en.wikipedia.org/wiki/Walsh_code)
  * [Wikipedia:Gold code](http://en.wikipedia.org/wiki/Gold_code)
  * [Wikipedia:pseudonoise code](http://en.wikipedia.org/wiki/pseudonoise_code)
  * [Wikipedia:maximum length sequence](http://en.wikipedia.org/wiki/maximum_length_sequence)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

There is lots of talk nowadays about buzzwords such as "Analog" and "Digital". Certainly, engineers who are interested in creating a new communication system should understand the difference. Which is better, analog or digital? What is the difference? What are the pros and cons of each? This chapter will look at the answers to some of these questions.

## What are They?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_vs._Digital&action=edit&section=T-1)]

What exactly is an analog signal, and what is a digital signal?

Analog 
    Analog signals are signals with continuous values. Analog signals are continuous in both time and value. Analog signals are used in many systems, although the use of analog signals has declined with the advent of cheap digital signals. All natural signals are Analog in nature.

Digital 
    Digital signals are discrete in time and value. Digital signals are signals that are represented by binary numbers, "1" or "0". The 1 and 0 values can correspond to different discrete voltage values, and any signal that _doesn't quite fit_ into the scheme just gets rounded off.

Digital signals are sampled, quantized & encoded version of continuous time signals which they represent. In addition, some techniques also make the signal undergo encryption to make the system more tolerent to the channel.

## What are the Pros and Cons?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_vs._Digital&action=edit&section=T-2)]

Each paradigm has its own benefits and problems.

Analog 
    Analog systems are less tolerant to noise, make good use of bandwidth, and are easy to manipulate mathematically. However, analog signals require hardware receivers and transmitters that are designed to perfectly fit the particular transmission. If you are working on a new system, and you decide to change your analog signal, you need to completely change your transmitters and receivers.

Digital 
    Digital signals are more tolerant to noise, but digital signals can be completely corrupted in the presence of excess noise. In digital signals, noise could cause a 1 to be interpreted as a 0 and vice versa, which makes the received data different than the original data. Imagine if the army transmitted a position coordinate to a missile digitally, and a single bit was received in error? This single bit error could cause a missile to miss its target by miles. Luckily, there are systems in place to prevent this sort of scenario, such as checksums and CRCs, which tell the receiver when a bit has been corrupted and ask the transmitter to resend the data. The primary benefit of digital signals is that they can be handled by simple, standardized receivers and transmitters, and the signal can be then dealt with in software (which is comparatively cheap to change).

Discrete Digital and Analogue

Discrete data has a fixed set of possible values.  
Digital data is a type of Discrete data where the fixed value can either be 1 or 0.  
Analogue data can take on any real value.  


## Sampling and Reconstruction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_vs._Digital&action=edit&section=T-3)]

The process of converting from analog data to digital data is called "sampling". The process of recreating an analog signal from a digital one is called "reconstruction". This book will not talk about either of these subjects in much depth beyond this, although other books on the topic of EE might, such as [A-level Physics (Advancing Physics)/Digitisation](http://en.wikibooks.org/wiki/A-level_Physics_\(Advancing_Physics\)/Digitisation).

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_vs._Digital&action=edit&section=T-4)]

  * [Electronics/Digital to Analog & Analog to Digital Converters](http://en.wikibooks.org/wiki/Electronics/Digital_to_Analog_%26_Analog_to_Digital_Converters)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Signals need a channel to follow, so that they can move from place to place. These **Communication Mediums**, or "channels" are things like wires and antennae that transmit the signal from one location to another. Some of the most common channels are listed below:

## Twisted Pair Wire[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Twisted Pair**_](http://en.wikipedia.org/wiki/Twisted_Pair)

**Twisted Pair** is a transmission medium that uses two conductors that are twisted together to form a pair. The concept for the twist of the conductors is to prevent interference. Ideally, each conductor of the pair basically receives the same amount of interference, positive and negative, effectively cancelling the effect of the interference. Typically, most inside cabling has four pairs with each pair having a different twist rate. The different twist rates help to further reduce the chance of crosstalk by making the pairs appear electrically different in reference to each other. If the pairs all had the same twist rate, they would be electrically identical in reference to each other causing crosstalk, which is also referred to as capacitive coupling. Twisted pair wire is commonly used in telephone and data cables with variations of categories and twist rates.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Shielded Twisted Pair**_](http://en.wikipedia.org/wiki/Shielded_Twisted_Pair)

Other variants of Twisted Pair are the **Shielded Twisted Pair** cables. The shielded types operate very similar to the non-shielded variety, except that Shielded Twisted Pair also has a layer of metal foil or mesh shielding around all the pairs or each individual pair to further shield the pairs from electromagnetic interference. Shielded twisted pair is typically deployed in situations where the cabling is subjected to higher than normal levels of interference.

## Coaxial Cable[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Coaxial Cable**_](http://en.wikipedia.org/wiki/Coaxial_Cable)

Another common type of wire is **Coaxial Cable**. Coaxial cable (or simply, "coax") is a type of cable with a single data line, surrounded by various layers of padding and shielding. The most common coax cable, common television cable, has a layer of wire mesh surrounding the padded core, that absorbs a large amount of EM interference, and helps to ensure a relatively clean signal is transmitted and received. Coax cable has a much higher bandwidth than a twisted pair, but coax is also significantly more expensive than an equal length of twisted pair wire. Coax cable frequently has an available bandwidth in excess of hundreds of megahertz (in comparison with the hundreds of kilohertz available on twisted pair wires).

Originally, Coax cable was used as the backbone of the telephone network because a single coaxial cable could hold hundreds of simultaneous phone calls by a method known as "Frequency Division Multiplexing" (discussed in a later chapter). Recently however, Fiber Optic cables have replaced Coaxial Cable as the backbone of the telephone network because Fiber Optic channels can hold many more simultaneous phone conversations (thousands at a time), and are less susceptible to interference, crosstalk, and noise then Coaxial Cable.

## Fiber Optics[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-3)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Glass Fibers**_](http://en.wikipedia.org/wiki/Glass_Fibers)

**Fiber Optic** cables are thin strands of glass that carry pulses of light (frequently infrared light) across long distances. Fiber Optic channels are usually immune to common RF interference, and can transmit incredibly high amounts of data very quickly. There are 2 general types of fiber optic cable: single frequency cable, and multi-frequency cable. single frequency cable carries only a single frequency of laser light, and because of this there is no self-interference on the line. Single-frequency fiber optic cables can attain incredible bandwidths of many gigahertz. Multi-Frequency fiber optics cables allow a Frequency-Division Multiplexed series of signals to each inhabit a given frequency range. However, interference between the different signals can decrease the range over which reliable data can be transmitted.

## Wireless Transmission[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-4)]

In **wireless transmission systems**, signals are propagated as Electro-Magnetic waves through free space. Wireless signals are transmitted by a transmitter, and received by a receiver. Wireless systems are inexpensive because no wires need to be installed to transmit the signal, but wireless transmissions are susceptible not only to EM interference, but also to physical interference. A large building in a city, for instance can interfere with cell-phone reception, and a large mountain could block AM radio transmissions. Also, WiFi internet users may have noticed that their wireless internet signals don't travel through walls very well.

There are 2 types of antennas that are used in wireless communications, **isotropic**, and **directional**.

### Isotropic[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-5)]

People should be familiar with isotropic antennas because they are everywhere: in your car, on your radio, etc... Isotropic antennas are omni-directional in the sense that they transmit data out equally (or nearly equally) in all directions. These antennas are excellent for systems (such as FM radio transmission) that need to transmit data to multiple receivers in multiple directions. Also, Isotropic antennas are good for systems in which the direction of the receiver, relative to the transmitter is not known (such as cellular phone systems).

### Directional[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Communication_Mediums&action=edit&section=T-6)]

Directional antennas focus their transmission power in a single narrow direction range. Some examples of directional antennas are satellite dishes, and wave-guides. The downfall of the directional antennas is that they need to be pointed directly at the receiver all the time to maintain transmission power. This is useful when the receiver and the transmitter are not moving (such as in communicating with a geo-synchronous satellite).

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Receiver Design[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-1)]

It turns out that if we know what kind of signal to expect, we can better receive those signals. This should be intuitive, because it is hard to find something if we don't know what precisely we are looking for. How is a receiver supposed to know what is data and what is noise, if it doesnt know what data looks like?

Coherent transmissions are transmissions where the receiver knows what type of data is being sent. Coherency implies a strict timing mechanism, because even a data signal may look like noise if you look at the wrong part of it. In contrast, noncoherent receivers don't know exactly what they are looking for, and therefore noncoherent communication systems need to be far more complex (both in terms of hardware and mathematical models) to operate properly.

This section will talk about coherent receivers, first discussing the "Simple Receiver" case, and then going into theory about what the optimal case is. Once we know mathematically what an optimal receiver should be, we then discuss two actual implementations of the optimal receiver.

It should be noted that the remainder of this book will discuss optimal receivers. After all, why would a communication's engineer use anything that is less than the best?

## The Simple Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-2)]

A simple receiver is just that: simple. A general simple receiver will consist of a low-pass filter (to remove excess high-frequency noise), and then a sampler, that will select values at certain points in the wave, and interpolate those values to form a smooth output curve. In place of a sampler (for purely analog systems), a general envelope filter can also be used, especially in AM systems. In other systems, different tricks can be used to demodulate an input signal, and acquire the data. However simple receivers, while cheap, are not the best choice for a receiver. Occcasionally they are employed because of their price, but where performance is an issue, a better alternative receiver should be used.

## The Optimal Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-3)]

Mathematically, Engineers were able to predict the structure of the optimal receiver. Read that sentence again: Engineers are able to design, analyze, and build the best possible receiver, for any given signal. This is an important development for several reasons. First, it means that no more research should go into finding a better receiver. The best receiver has already been found, after all. Second, it means any communications system will not be hampered (much) by the receiver.

### Derivation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-4)]

here we will attempt to show how the coherent receiver is derived.

### Matched Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-5)]

The matched receiver is the logical conclusion of the optimal receiver calculation. The matched receiver convolves the signal with itself, and then tests the output. Here is a diagram:

  

    
    
    s(t)----->(Convolve with r(t))----->
    

This looks simple enough, except that convolution modules are often expensive. An alternative to this approach is to use a correlation receiver.

### Correlation Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-6)]

The correlation receiver is similar to the matched receiver, instead with a simple switch: The multiplication happens first, and the integration happens second.

Here is a general diagram:
    
    
               r(t)
                |
                v
    s(t) ----->(X)----->(Integrator)--->
    

In a digital system, the integrator would then be followed by a threshold detector, while in an analog receiver, it might be followed by another detector, like an envelope detector.

## Conclusion[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-7)]

To do the best job of receiving a signal, we need to know the form of the signal that we are sending. This should seem obvious, we can't design a receiver until after we've decided how the signal will be sent. This method poses some problems however, in that the receiver must be able to line up the received signal with the given reference signal to work the magic: If the received signal and the reference signal are out of sync with each other, either as a function of an error in phase or an error in frequency, then the optimal receiver will not work.

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Coherent_Receivers&action=edit&section=T-8)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[demodulation**_](http://en.wikipedia.org/wiki/Demodulation)

# Analog Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=4)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Analog Modulation Overview[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_Modulation_Introduction&action=edit&section=T-1)]

Let's take a look at a generalized sinewave:

    ![
x\\left\( t \\right\) = A\\sin \\left\( {\\omega t + \\theta } \\right\)
](../../../upload.wikimedia.org/math/a/e/4/ae4a70a4810b19a6a9e0c0641f487b6a.png)

It consists of three components namely; amplitude, frequency and phase. Each of which can be decomposed to provide finer detail:

    ![x\(t\) = A s\(t\) \\sin \( 2 \\pi \[f_c + kf_m\(t\)\] t + \\alpha \\phi\(t\) \)](../../../upload.wikimedia.org/math/c/8/d/c8d1abc1aa6345e96ff78ddb2ed7d8ac.png)

## Types of Analog Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_Modulation_Introduction&action=edit&section=T-2)]

We can see 3 parameters that can be changed in this sine wave to send information:

  * ![A s\(t\)](../../../upload.wikimedia.org/math/6/8/a/68a6951cc55c0ea4387fdf9562fe08af.png). This term is called the "Amplitude", and changing it is called "Amplitude Modulation" (AM)
  * ![kf_m\(t\)](../../../upload.wikimedia.org/math/7/3/9/739d925151fb49c85baa4034641d3015.png) This term is called the "Frequency Shift", and changing it is called "Frequency Modulation"
  * ![\\alpha \\phi \(t\)](../../../upload.wikimedia.org/math/a/b/8/ab8bf3a8a90c9c3a64d3d1f7957aaa51.png). this term is called the "Phase angle", and changing it is called "Phase Modulation".
  * The terms frequency and phase modulation are often combined into a more general group called "Angle Modulation".

## The Breakdown[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_Modulation_Introduction&action=edit&section=T-3)]

Each term consists of a coefficient (called a "scaling factor"), and a function of time that corresponds to the information that we want to send. The scaling factor out front, A, is also used as the transmission power coefficient. When a radio station wants their signal to be stronger (regardless of whether it is AM, FM, or PM), they "crank-up" the power of A, and send more power out onto the airwaves.

## How we Will Cover the Material[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Analog_Modulation_Introduction&action=edit&section=T-4)]

We are going to go into separate chapters for each different type of modulation. This book will attempt to discuss some of the mathematical models and techniques used with different modulation techniques. It will also discuss some practical information about how to construct a transmitter/receiver, and how to use each modulation technique effectively.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Amplitude modulation is one of the earliest radio modulation techniques. The receivers used to listen to AM-DSB-C are perhaps the simplest receivers of any radio modulation technique; which may be why that version of amplitude modulation is still widely used today. By the end of this module, you will know the most popular versions of amplitude modulation, some popular AM modulation circuits, and some popular AM demodulation circuits.

## Amplitude Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Amplitude_modulation**_](http://en.wikipedia.org/wiki/Amplitude_modulation)

Amplitude modulation (AM) occurs when the amplitude of a carrier wave is modulated, to correspond to a source signal. In AM, we have an equation that looks like this:

    

    

    

    ![A_{signal}\(t\) = A\(t\) \\sin \(\\omega t\)](../../../upload.wikimedia.org/math/f/5/2/f52e690f19008130b95ab79df6c6545f.png)

We can also see that the phase of this wave is irrelevant, and does not change (so we don't even include it in the equation).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

AM Radio uses AM modulation

AM Double-Sideband (AM-DSB for short) can be broken into two different, distinct types: Carrier, and Suppressed Carrier varieties (AM-DSB-C and AM-DSB-SC, for short, respectively). This page will talk about both varieties, and will discuss the similarities and differences of each.

    

    

![Amfm2.gif](../../../upload.wikimedia.org/wikipedia/commons/9/94/Amfm2.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

### Characteristics[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-2)]

#### Modulation Index[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-3)]

Amplitude modulation requires a high frequency constant carrier and a low frequency modulation signal.

    A sine wave carrier is of the form ![e_c  = E_c \\sin \\left\( {\\omega _c t} \\right\)](../../../upload.wikimedia.org/math/4/c/2/4c2c58db2c479d86c3134a6e61934b7d.png)

    A sine wave modulation signal is of the form ![ e_m  = E_m \\sin \\left\( {\\omega _m t} \\right\)](../../../upload.wikimedia.org/math/f/7/8/f78207bcc5c473dccdb93c3a6fffb072.png)

Notice that the amplitude of the high frequency carrier takes on the shape of the lower frequency modulation signal, forming what is called a modulation envelope.

    

    

![Am envelope.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/cb/Am_envelope.jpg/220px-Am_envelope.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The modulation index is defined as the ratio of the modulation signal amplitude to the carrier amplitude.

    

    

    

    ![ m_{am}  = \\frac{{E_m }}{{E_c }}](../../../upload.wikimedia.org/math/2/9/6/2962ca5db8933a1ccddf3bb33a84bcfe.png) where ![ 0 \\le m_{am}  \\le 1](../../../upload.wikimedia.org/math/b/0/2/b02692c806e298cbe8ad1b5bb5744da5.png)

  
The overall signal can be described by:

    

    

    

    ![ e_{am}  = \\left\( {E_c  + E_m \\sin \\left\( {\\omega _m t} \\right\)} \\right\)\\sin \\left\( {\\omega _c t} \\right\)](../../../upload.wikimedia.org/math/c/2/2/c2270fef23460fb213e4507c79092b86.png)

  
More commonly, the carrier amplitude is normalized to one and the am equation is written as:

    

    

    

    ![ e_{am}  = \\left\( {1 + m_{am} \\sin \\left\( {\\omega _m t} \\right\)} \\right\)\\sin \\left\( {\\omega _c t} \\right\)](../../../upload.wikimedia.org/math/8/c/6/8c61d17f71c288c143046e02fdf4a971.png)

  


    In most literature this expression is simply written as:

    

    

    

    ![ e = \\left\( {1 + m\\sin \\omega _m t} \\right\)\\sin \\omega _c t](../../../upload.wikimedia.org/math/c/a/9/ca9cb0e10e87872986fa36664298e995.png)

  


    If the modulation index is zero (![ m_{am}  = 0](../../../upload.wikimedia.org/math/3/e/f/3efe3caeb341bc351041c42588119e22.png)) the signal is simply a constant amplitude carrier.

    If the modulation index is 1 (![ m_{am}  = 1](../../../upload.wikimedia.org/math/f/f/a/ffa5c7ea4f317aebe550038dd3d036b3.png)), the resultant waveform has maximum or 100% amplitude modulation.

    

    

![AM signals.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/60/AM_signals.svg/220px-AM_signals.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

#### Sidebands[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-4)]

Expanding the normalized AM equation:

    

    

    

    ![ e = \\left\( {1 + m\\sin \\omega _m t} \\right\)\\sin \\omega _c t](../../../upload.wikimedia.org/math/c/a/9/ca9cb0e10e87872986fa36664298e995.png)

we obtain:

    

    

    

    ![ e = \\sin \\omega _c t + \\frac{m}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{m}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/9/f/4/9f419a06b46522cc72945db7fecccad1.png)

where:

    

    

    ![\\sin \\omega _c t](../../../upload.wikimedia.org/math/2/0/4/204b5ba79b338e13c033310d7f941be2.png) represents the carrier

    

    

    ![\\frac{m}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/d/0/d/d0dc0ccde8d93cab650b62cfe43f2467.png) represents the lower sideband

    

    

    ![\\frac{m}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/0/d/a/0da6558415bb7db8f2796bd72a32d8ad.png) represents the upper sideband

  
The sidebands are centered on the carrier frequency. They are the sum and difference frequencies of the carrier and modulation signals. In the above example, they are just single frequencies, but normally the baseband modulation signal is a range of frequencies and hence two bands are formed.

### AM Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-5)]

The standard amplitude modulation equation is:

    

    

    

    ![e_{am}  = \\left\( {1 + m\\sin \\omega _m t} \\right\)\\sin \\omega _c t](../../../upload.wikimedia.org/math/d/e/c/dece8d0f5b069aa455415ba8d85416ee.png)

  
From this we notice that AM involves a multiplication process. There are several ways to perform this function electronically. The simplest method uses a switch.

  


#### Switching Modulators[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-6)]

Switching modulators can be placed into two categories: unipolar and bipolar.

  


##### Bipolar Switching Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-7)]

The bipolar switch is the easiest to visualize. Note that an AM waveform appears to consist of a low frequency dc signal whose polarity is reversing at a carrier rate.

    

    

![Bipolar modulator waveform.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/9/97/Bipolar_modulator_waveform.gif/220px-Bipolar_modulator_waveform.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The AM signal can be created by multiplying a dc modulation signal by ±1.

    

    

![Bipolar waveform.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/4/49/Bipolar_waveform.gif/220px-Bipolar_waveform.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

However, since the square wave contains lots of harmonics, the resulting multiplication will contain lots of extraneous frequencies. Mathematically, the spectrum of the square wave signal (given by the Fourier Transform) is of the form:

    

    

    

    ![F\\left\\{ {f\\left\( t \\right\)} \\right\\} = \\sum\\limits_{n = 1}^\\infty  {\\frac{4}{{n\\pi }}} \\sin \\left\( {\\frac{{n\\pi }}{2}} \\right\)\\cos \\left\( {\\frac{{n2\\pi t}}{T}} \\right\)](../../../upload.wikimedia.org/math/f/4/7/f47759bf7b1d343348d7aad1f00bc790.png)

  


    This seems complicated but, if the square wave switching function has a 50% duty cycle, this simplifies to:

    

    

    

    ![F\\left\\{ {f\\left\( t \\right\)} \\right\\} = \\frac{4}{\\pi }\\sum\\limits_{n = 1,3,5...}^\\infty  {\\frac{1}{n}} \\cos \\left\( {\\frac{{n2\\pi t}}{T}} \\right\)](../../../upload.wikimedia.org/math/e/7/5/e750adacc0e51be366de769651fe11f4.png)

  


    This tells us that the square wave is actually composed of a series of cosines (phase shifted sines) at odd multiples of the fundamental switching frequency. Therefore, using this signal to multiply the baseband signal results in AM signals being generated at each of the odd harmonics of the switching (carrier) frequencies. Since the amplitude of the harmonics decreases rapidly, this technique is practical for only the first few harmonics, and produces an enormous amount of unwanted signals (noise).

    

    

![Switching mod spectrum.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/1/1e/Switching_mod_spectrum.gif/220px-Switching_mod_spectrum.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  


    A band pass filter can be used to select any one of the AM signals. The number of different output frequencies can be significantly reduced if the multiplier accepts sinewaves at the carrier input.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[Double-sideband suppressed-carrier transmission](http://en.wikipedia.org/wiki/Double-sideband_suppressed-carrier_transmission)**_

    Removing the DC component from the input eliminates the carrier signal and creates DSBSC modulation.

Physically this is done by reversing the signal leads:

    

    

![Switching modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/d/d3/Switching_modulator.gif/220px-Switching_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
The process of reversing the polarity of a signal is easily accomplished by placing two switch pairs in the output of a differential amplifier. The [Mc1496 Balanced Modulator](http://www.onsemi.com/pub_link/Collateral/MC1496-D.PDF) is an example of such a device.

    

    

![Transistor switching modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/3/38/Transistor_switching_modulator.gif/220px-Transistor_switching_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

##### Unipolar Switching Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-8)]

As previously mentioned, an AM signal can be created by multiplying a dc modulation signal by 0 & 1.

    

    

![Pulse.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/6/6e/Pulse.gif/220px-Pulse.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  


    The spectrum of this signal is defined by:

    

    

    

    ![F\\left\\{ {f\\left\( t \\right\)} \\right\\} = \\frac{1}{2} + \\sum\\limits_{n = 1}^\\infty  {\\frac{2}{{n\\pi }}\\sin \\left\( {\\frac{{n\\pi }}{2}} \\right\)} \\cos \\left\( {\\frac{{n2\\pi t}}{T}} \\right\)](../../../upload.wikimedia.org/math/9/6/4/9642975bf6ba2440e02ddfbf308fc374.png)

  
Physically this is done by turning the modulation signal on and off at the carrier rate:

    

    

![Gated carrier.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/f/fa/Gated_carrier.gif/220px-Gated_carrier.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
A high amplitude carrier can be used to turn a diode on and off. A dc bias is placed on the modulation signal to make certain that only the carrier (not the modulation signal) can reverse bias the diode.

    

    

![Gated carrier circuit.gif](../../../upload.wikimedia.org/wikibooks/en/b/b8/Gated_carrier_circuit.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

    

![Unipolar mod waveform.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/2/22/Unipolar_mod_waveform.gif/220px-Unipolar_mod_waveform.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
It may not seem obvious, but the output of this circuit contains a series of AM signals. A bandpass filter is needed to extract the desired one. Normally it is the 1st or 3rd harmonic of the fundamental. (The 1st harmonic is the fundamental.)

  


##### Collector Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-9)]

The diode switching modulator is incapable of producing high power signals since it is a passive device. A transistor can be used to overcome this limitation. A collector modulator is used for high level modulation.

    

    

![Collector modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/0/06/Collector_modulator.gif/220px-Collector_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

##### Square Law Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-10)]

The voltage-current relationship of a diode is nonlinear near the knee and is of the form:

    

    

    

    ![i\\left\( t \\right\) = av\\left\( t \\right\) + bv^2 \\left\( t \\right\)](../../../upload.wikimedia.org/math/b/d/f/bdf3406d5394f23fba94654e66fbece2.png)

    The coefficient _a_ and _b_ are constants associated with the particular diode.

  


    

    

![Diode curve.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b5/Diode_curve.gif/220px-Diode_curve.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
Amplitude modulation occurs if the diode is kept in the square law region when signals combine.

    

    

![Square law modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a3/Square_law_modulator.gif/220px-Square_law_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  


    Let the injected signals be of the form:

    

    

    

    ![k = {\\rm{ dc}}\\;{\\rm{bias}}](../../../upload.wikimedia.org/math/d/8/6/d866eaa8d2e545a3e81392169a2d083f.png)

    

    

    

    ![e_m  = E_m \\sin \\omega _m t = {\\rm{modulation}}\\;{\\rm{signal}}](../../../upload.wikimedia.org/math/2/c/d/2cd3d8d8429a3dbbed2f26bc5a08f553.png)

    

    

    

    ![e_c  = E_c \\sin \\omega _c t = {\\rm{carrier}}\\;{\\rm{signal}}](../../../upload.wikimedia.org/math/1/3/e/13e60e202bae052ef3044ca9e10d0b46.png)

  


    The voltage applied across the diode and resistor is given by:

  


    

    

    

    ![v\\left\( t \\right\) = k + e_m  + e_c ](../../../upload.wikimedia.org/math/c/9/2/c924880c29d9f1c4908c753a933725f2.png)

  


    The current in the diode and hence in the resistor is given by:

    

    

    

    ![i\\left\( t \\right\) = a\\left\( {k + e_m  + e_c } \\right\) + b\\left\( {k + e_m  + e_c } \\right\)^2 ](../../../upload.wikimedia.org/math/e/4/8/e4880a6de8fa848209b8d35633ee9651.png)

  


    Which expands to:

    

    

    

    ![i\\left\( t \\right\) = \\underbrace {k\\left\( {a\\_bk} \\right\)}_{{\\rm{dc}}} + \\underbrace {\\left\( {a + 2bk} \\right\)e_m }_{{\\rm{original}}\\;{\\rm{modulating}}\\;{\\rm{signal}}} + \\underbrace {\\left\( {a + 2bk} \\right\)e_c }_{{\\rm{carrier}}} + \\underbrace {2be_m e_c }_{{\\rm{2}}\\;{\\rm{sidebands}}} + \\underbrace {be_m^2 }_{{\\rm{2}}\\;{\\rm{x}}\\;{\\rm{modulating}}\\;{\\rm{frequency}}} + \\underbrace {be_c^2 }_{{\\rm{2}}\\;{\\rm{x}}\\;{\\rm{carrier}}\\;{\\rm{frequency}}}](../../../upload.wikimedia.org/math/b/e/f/befc946c4d09ac154f8df75c968e9639.png)

#### Modulation Index Measurement[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-11)]

It is sometimes difficult to determine the modulation index, particularly for complex signals. However, it is relatively easy to determine it by critical observation. There are two practical methods to derive the modulation index. 1)By representing a AM wave as it is in time domain.(using maxima - minima terms.) 2)By Trapezoidal method.

    

    

![Am modulation setup.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/5/58/Am_modulation_setup.gif/220px-Am_modulation_setup.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
The trapezoidal oscilloscope display can be used to determine the modulation index.

    

    

![Trapazoidal display.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/9/96/Trapazoidal_display.gif/220px-Trapazoidal_display.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

    

    AM modulation index: ![m = \\frac{{E_{\\max }  - E_{\\min } }}{{E_{\\max }  + E_{\\min } }}](../../../upload.wikimedia.org/math/8/7/6/87632eb84199c08ea34dd21aba52eecd.png)

The trapezoidal display makes it possible to quickly recognize certain types of problems, which would reduce the AM signal quality.

    

    

![Trapezoidal displays.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7a/Trapezoidal_displays.gif/220px-Trapezoidal_displays.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
The highest authorized carrier power for AM broadcast in the US is 50 kilowatts, although directional stations are permitted 52.65 kilowatts to compensate for losses in the phasing system. The ERP can be much higher

#### C-QUAM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-12)]

The basic idea behind the C-Quam modulator is actually quite simple. The output stage is an ordinary AM modulator however; the carrier signal has been replaced by an amplitude limited vector modulator. Therefore, the limiter output is really a phase-modulated signal.

    

    

![C-QUAM modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7c/C-QUAM_modulator.gif/220px-C-QUAM_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A standard AM receiver will detect the amplitude variations as L+R. A stereo receiver will also detect the phase variations and to extract L-R. It will then process these signals to separate the left and right channels.

To enable the stereo decoder, a 25 Hz pilot tone is added to the L-R channel.

  


### AM Receivers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-13)]

The most common receivers in use today are the super heterodyne type. They consist of:

    

    

  * Antenna
  * RF amplifier
  * Local Oscillator and Mixer
  * IF Section
  * Detector and Amplifier

The need for these subsystems can be seen when one considers the much simpler and inadequate TRF or tuned radio frequency amplifier.

#### TRF Amplifier[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-14)]

It is possible to design an RF amplifier to accept only a narrow range of frequencies, such as one radio station on the AM band.

  


    

    

![TRF amplifier.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/0/0e/TRF_amplifier.gif/220px-TRF_amplifier.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

By adjusting the center frequency of the tuned circuit, all other input signals can be excluded.

    

    

![Channel selection.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/7/77/Channel_selection.gif/220px-Channel_selection.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The AM band ranges from about 500 kHz to 1600 kHz. Each station requires 10 kHz of this spectrum, although the baseband signal is only 5 kHz.

Recall that for a tuned circuit: ![Q = \\frac{{f_c }}{B}](../../../upload.wikimedia.org/math/b/3/5/b35c02bbbf4d4b478cec0a3ca8e1e2dd.png). The center or resonant frequency in an RLC network is most often adjusted by varying the capacitor value. However, the Q remains approximately constant as the center frequency is adjusted. This suggests that as the bandwidth varies as the circuit is tuned.

    For example, the Q required at the lower end of the AM band to select only one radio station would be approximately:

    

    

    

    ![Q = \\frac{{f_c }}{B} = \\frac{{500\\;kHz}}{{10\\;kHz}} = 50](../../../upload.wikimedia.org/math/f/f/7/ff7f89888357b322a66aaaed848d65b4.png)

  


    As the tuned circuit is adjusted to the higher end of the AM band, the resulting bandwidth is:

    

    

    

    ![B = \\frac{{f_c }}{Q} = \\frac{{1600\\;kHz}}{{50}} = 30\\;kHz](../../../upload.wikimedia.org/math/3/b/5/3b5129cf54d74f726b36a07d22456e63.png)

  
A bandwidth this high could conceivably pass three adjacent stations, thus making meaningful reception impossible.

To prevent this, the incoming RF signal is heterodyned to a fixed IF or intermediate frequency and passed through a constant bandwidth circuit.

  


#### Superheterodyne Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-15)]

    

    

![Heterodyne.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/9/99/Heterodyne.gif/220px-Heterodyne.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The RF amplifier boosts the RF signal into the mixer. It has broad tuning and amplifies not just one RF station, but many of them simultaneously. It also amplifies any input noise and even contributes some of its own.

The other mixer input is a high frequency sine wave created by a local oscillator. In AM receivers, it is always 455 kHz above the desired station carrier frequency. An ideal mixer will combine the incoming carrier with the local oscillator to create sum and difference frequencies. .

A real mixer combines two signals and creates a host of new frequencies:

    

    • A dc level
    • The original two frequencies
    • The sum and difference of the two input frequencies
    • Harmonics of the two input frequencies
    • Sums and differences of all of the harmonics

Since the RF amplifier passes several radio stations at once, the mixer output can be very complex. However, the only signal of real interest is the difference between the desired station carrier frequency and the local oscillator frequency. This difference frequency, also called the IF (intermediate frequency) will alway be 455 kHz. By passing this through a 10 kHz BPF (band pass filter) centered at 455 kHz, the bulk of the unwanted signals can be eliminated.

  


##### Local Oscillator Frequency[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-16)]

Since the mixer generates sum and difference frequencies, it is possible to generate the 455 kHz IF signal if the local oscillator is either above or below the IF. The inevitable question is which is preferable.

  


    

    **Case I The local Oscillator is above the IF.** This would require that the oscillator tune from (500 + 455) kHz to (1600 + 455) kHz or approximately 1 to 2 MHz. It is normally the capacitor in a tuned RLC circuit, which is varied to adjust the center frequency while the inductor is left fixed.

    

    Since ![f_c  = \\frac{1}{{2\\pi \\sqrt {LC} }}](../../../upload.wikimedia.org/math/c/f/e/cfea56644f30c55ee3df091b56a6f53d.png)

  


    

    solving for _C_ we obtain ![C = \\frac{1}{{L\\left\( {2\\pi f_c } \\right\)^2 }}](../../../upload.wikimedia.org/math/6/5/d/65d743573df0e25a599bcb33721efb3a.png)

  


    

    When the tuning frequency is a maximum, the tuning capacitor is a minimum and vice versa. Since we know the range of frequencies to be created, we can deduce the range of capacitance required.

    

    

    

    ![\\frac{{C_{\\max } }}{{C_{\\min } }} = \\frac{{L\\left\( {2\\pi f_{\\max } } \\right\)^2 }}{{L\\left\( {2\\pi f_{\\min } } \\right\)^2 }} = \\left\( {\\frac{{2\\;MHz}}{{1\\;MHz}}} \\right\)^2  = 4](../../../upload.wikimedia.org/math/b/0/6/b06b74fd3e4864ccf3797cc57cc1eef6.png)

  
Making a capacitor with a 4:1 value change is well within the realm of possibility.

  


    

    **Case II The local Oscillator is below the IF**. This would require that the oscillator tune from (500 - 455) kHz to (1600 - 455) kHz or approximately 45 kHz to 1145 kHz, in which case:

    

    

    

    ![\\frac{{C_{\\max } }}{{C_{\\min } }} = \\left\( {\\frac{{1145\\;kHz}}{{45\\;kHz}}} \\right\)^2  \\approx 648](../../../upload.wikimedia.org/math/9/4/f/94fdd2abdfe83193a45cc86dc8a5d81f.png)

  
It is not practical to make a tunable capacitor with this type of range. Therefore the local oscillator in a standard AM receiver is above the radio band.

##### Image Frequency[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-17)]

Just as there are two oscillator frequencies, which can create the same IF, two different station frequencies can create the IF. The undesired station frequency is known as the image frequency.

    

    

![Image frequency.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/3/33/Image_frequency.gif/220px-Image_frequency.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

If any circuit in the radio front end exhibits non-linearities, there is a possibility that other combinations may create the intermediate frequency. Once the image frequency is in the mixer, there is no way to remove it since it is now heterodyned into the same IF band as the desired station.

## AM Demodulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-18)]

#### AM Detection[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-19)]

There are two basic types of AM detection, coherent and non-coherent. Of these two, the non-coherent is the simpler method.

    

    

  * Non-coherent detection does not rely on regenerating the carrier signal. The information or modulation envelope can be removed or detected by a diode followed by an audio filter.
  * Coherent detection relies on regenerating the carrier and mixing it with the AM signal. This creates sum and difference frequencies. The difference frequency corresponds to the original modulation signal.

Both of these detection techniques have certain drawbacks. Consequently, most radio receivers use a combination of both.

  


##### Envelope Detector[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-20)]

    

    

![Envelope detector.gif](../../../upload.wikimedia.org/wikibooks/en/9/9a/Envelope_detector.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

When trying to demodulate an AM signal, it seems like good sense that only the amplitude of the signal needs to be examined. By only examining the amplitude of the signal at any given time, we can remove the carrier signal from our considerations, and we can examine the original signal. Luckily, we have a tool in our toolbox that we can use to examine the amplitude of a signal: The Envelope Detector.

  
An envelope detector is simply a half wave rectifier followed by a low pass filter. In the case of commercial AM radio receivers, the detector is placed after the IF section. The carrier at this point is 455 kHz while the maximum envelope frequency is only 5 kHz. Since the ripple component is nearly 100 times the frequency of the highest baseband signal and does not pass through any subsequent audio amplifiers.

    An AM signal where the carrier frequency is only 10 times the envelope frequency would have considerable ripple:

    

    

![Exagerated am ripple.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/6/66/Exagerated_am_ripple.gif/220px-Exagerated_am_ripple.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

##### Synchronous Detector[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-21)]

In a synchronous or coherent detector, the incoming AM signal is mixed with the original carrier frequency.

    

    

![Synchronous detector.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4c/Synchronous_detector.gif/220px-Synchronous_detector.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

If you think this looks suspiciously like a mixer, you are absolutely right! A synchronous detector is one where the difference frequency between the two inputs is zero Hz. Of in other words, the two input frequencies are the same. Let's check the math.

Recall that the AM input is mathematically defined by:

    

    

    

    ![e_{am}  = \\underbrace {\\sin \\omega _c t}_{{\\rm{Carrier}}} + \\underbrace {\\frac{m}{2}\\sin \\left\( {\\omega _c  - \\omega _m } \\right\)t}_{{\\rm{Lower}}\\;{\\rm{Sideband}}} - \\underbrace {\\frac{m}{2}\\sin \\left\( {\\omega _c  + \\omega _m } \\right\)t}_{{\\rm{Upper}}\\;{\\rm{Sideband}}}](../../../upload.wikimedia.org/math/b/e/1/be139124b46e4e2efdb0b488fa797395.png)

  


    At the multiplier output, we obtain:

    

    

    

    ![{\\rm{mixer}}\\;{\\rm{out  =  }}e_{am}  \\times \\sin \\omega _c t = \\underbrace { - \\frac{m}{2}\\sin \\omega _m t}_{{\\rm{Original}}\\;{\\rm{Modulation}}\\;{\\rm{Signal}}}\\underbrace { - \\frac{1}{2}\\sin 2\\omega _c t - \\frac{m}{4}\\sin \\left\( {2\\omega _c  - \\omega _m } \\right\)t + \\frac{m}{4}\\sin \\left\( {2\\omega _c  + \\omega _m } \\right\)t}_{{\\rm{AM}}\\;{\\rm{signal}}\\;{\\rm{centered}}\\;{\\rm{at}}\\;{\\rm{2}}\\;{\\rm{times}}\\;{\\rm{the}}\\;{\\rm{carrier}}\\;{\\rm{frequency}}}](../../../upload.wikimedia.org/math/0/2/1/021e319c5e4590a373c9ee456822cfbe.png)

  
The high frequency component can be filtered off leaving only the original modulation signal.

This technique has one serious drawback. The problem is how to create the exact carrier frequency. If the frequency is not exact, the entire baseband signal will be shifted by the difference. A shift of only 50 Hz will make the human voice unrecognizable. It is possible to use a PLL (phase locked loop), but making one tunable for the entire AM band is not trivial.

As a result, most radio receivers use an oscillator to create a fixed intermediate frequency. This is then followed by an envelope detector or a fixed frequency PLL.

##### Squaring Detector[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-22)]

The squaring detector is also a synchronous or coherent detector. It avoids the problem of having to recreate the carrier by simply squaring the input signal. It essentially uses the AM signal itself as a sort of wideband carrier.

    

    

![Squaring detector.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/8/86/Squaring_detector.gif/220px-Squaring_detector.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

    The output of the multiplier is the square of the input AM signal:

    

    

    

    ![\\left\( {e_{am} } \\right\)^2  = \\left\( {\\sin \\omega _c t + \\frac{m}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{m}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t} \\right\)^2 ](../../../upload.wikimedia.org/math/9/8/c/98c2ff39928ff21075545466b4020261.png)

  
Since the input is being multiplied by the ![{\\sin \\omega _c t}](../../../upload.wikimedia.org/math/e/6/e/e6e6aa18a40b77de0fac0c33bf088977.png) component, one of the resulting difference terms is the original modulation signal. The principle difficulty with this approach is trying to create a linear, high frequency multiplier.

## AM-DSBSC[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-23)]

AM-DSB-SC is characterized by the following transmission equation:

    

    

    

    ![v\(t\) = A s\(t\) \\cos\(2 \\pi f_c t\)](../../../upload.wikimedia.org/math/4/2/0/420726be2c34dfa5b500b755613219f8.png)

It is important to notice that s(t) can contain a negative value. AM-DSB-SC requires a coherent receiver, because the modulation data can go negative, and therefore the receiver needs to know that the signal is negative (and not just phase shifted). AM-DSB-SC systems are very susceptible to frequency shifting and phase shifting on the receiving end. In this equation, A is the transmission amplitude.

Double side band suppressed carrier modulation is simply AM without the broadcast carrier. Recall that the AM signal is defined by:

    

    

    

    ![e_{am}  = \\left\( {1 + m\\sin \\omega _m t} \\right\)\\sin \\omega _c t = \\sin \\omega _c t + \\frac{{m_2 }}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{{m_2 }}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/d/d/2/dd29de605e751106656bd7b4e4d31b37.png)

  


    The carrier term in the spectrum can be eliminated by removing the dc offset from the modulating signal:

    

    

    

    ![e_{DSBSC}  = m\\sin \\omega _m t\\sin \\omega _c t = \\frac{{m_2 }}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{{m_2 }}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/3/e/8/3e8a7a184b6b8541bfa6e37b43785832.png)

  


### Double Balanced Ring Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-24)]

One of the circuits which is capable of creating DSBSC is the double balance ring modulator.

    

    

![Ring modulator.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/b/bc/Ring_modulator.gif/220px-Ring_modulator.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
If the carrier is large enough to cause the diodes to switch states, then the circuit acts like a diode switching modulator:

    

    

![Ring modulator 2.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/3/38/Ring_modulator_2.gif/220px-Ring_modulator_2.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The modulation signal is inverted at the carrier rate. This is essentially multiplication by ±1. Since the transformers cannot pass dc, there is no term which when multiplied can create an output carrier. Since the diodes will switch equally well on either cycle, the modulation signal is effectively being multiplied by a 50% duty cycle square wave creating numerous DSBSC signals, each centered at an odd multiple of the carrier frequency. Bandpass filters are used to extract the frequency of interest.

Some IC balanced modulators use this technique, but use transistors instead of diodes to perform the switching.

  


### Push Pull Square Law Balanced Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-25)]

    

    

![Push pull mod.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/7/73/Push_pull_mod.gif/220px-Push_pull_mod.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
This circuit uses the same principles as the diode square law modulator. Since dc cannot pass through the transformer, it would be expected that there would be no output signal at the carrier frequency.

The drain current vs. gate-source voltage is of the form:

    

    

    

    ![i_d  = i_0  + av_{gs}  + v_{gs}^2 ](../../../upload.wikimedia.org/math/8/7/c/87c09a7d9882daf870ca36d04906fb48.png)

  


    The net drain current in the output transformer is given by:

    

    

    

    ![i_{net}  = i_{d1}  - i_{d2}  = i_0  + av_{gs1}  + bv_{gs1}^2  - \\left\( {i_0  + av_{gs2}  + bv_{gs2}^2 } \\right\)](../../../upload.wikimedia.org/math/8/3/a/83aaec099fb3f59fab98926746cb94bc.png)

    

    

    

    ![i_{net}  = a\\left\( {v_{gs1}  - v_{gs2} } \\right\) + b\\left\( {v_{gs1}  + v_{gs2} } \\right\)\\left\( {v_{gs1}  - v_{gs2} } \\right\)](../../../upload.wikimedia.org/math/9/e/1/9e1329d7496890a071e1f70cba85a834.png)

  


    By applying KVL around the gate loops we obtain:

    

    

    

    ![v_{gs1}  = \\frac{{e_m }}{2} + e_c \\quad \\quad \\quad \\quad v_{gs2}  =  - \\frac{{e_m }}{2} + e_c ](../../../upload.wikimedia.org/math/6/a/c/6acbb08b1409a8fa0d12bf5d2c8b0d8e.png)

  


    Putting it all together we obtain:

    

    

    

    ![i_{net}  = a\\left\( {\\frac{{e_m }}{2} + e_c  + \\frac{{e_m }}{2} - e_c } \\right\) + b\\left\( {\\frac{{e_m }}{2} + e_c  - \\frac{{e_m }}{2} + e_c } \\right\)\\left\( {\\frac{{e_m }}{2} + e_c  + \\frac{{e_m }}{2} - e_c } \\right\)](../../../upload.wikimedia.org/math/a/e/b/aeb85a17c091824e52bfaae3439d1f3d.png)

    

    

    

    ![i_{net}  = ae_m  + 2be_c e_m ](../../../upload.wikimedia.org/math/f/d/b/fdbbca138cc1ed13a9d5e845ada02800.png)

  


    From this we note that the first term is the originating modulation signal and can easily be filtered off by a high pass filter. The second term is of the form:

    

    

    

    ![\\sin \\omega _m t\\sin \\omega _c t = \\frac{1}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{1}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/f/8/4/f843e7d681a190cb9fe4bc0ab78530b1.png)

  


    which is AM DSBSC.

## AM-DSB-C[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-26)]

In contrast to AM-DSB-SC is AM-DSB-C, which is categorized by the following equation:

    

    

    

    ![v\(t\) = A \[s\(t\) + c\] \\cos \(2 \\pi f_c t\)](../../../upload.wikimedia.org/math/d/b/5/db532f7b06e733caa896b76719d505e8.png)

Where c is a positive term representing the carrier. If the term ![\[s\(t\) + c\]](../../../upload.wikimedia.org/math/7/d/2/7d2bc9939db5095f424440ae7c1c8b54.png) is always non-negative, we can receive the AM-DSB-C signal non-coherently, using a simple envelope detector to remove the cosine term. The +c term is simply a constant DC signal and can be removed by using a blocking capacitor.

It is important to note that in AM-DSB-C systems, a large amount of power is wasted in the transmission sending a "boosted" carrier frequency. since the carrier contains no information, it is considered to be wasted energy. The advantage to this method is that it greatly simplifies the receiver design, since there is no need to generate a coherent carrier signal at the receiver. For this reason, this is the transmission method used in conventional AM radio.

AM-DSB-SC and AM-DSB-C both suffer in terms of bandwidth from the fact that they both send two identical (but reversed) frequency "lobes", or bands. These bands (the upper band and the lower band) are exactly mirror images of each other, and therefore contain identical information. Why can't we just cut one of them out, and save some bandwidth? The answer is that we can cut out one of the bands, but it isn't always a good idea. The technique of cutting out one of the sidebands is called **Amplitude Modulation Single-Side-Band** (AM-SSB). AM-SSB has a number of problems, but also some good aspects. A compromise between AM-SSB and the two AM-DSB methods is called **Amplitude Modulation Vestigial-Side-Band** (AM-VSB), which uses less bandwidth then the AM-DSB methods, but more than the AM-SSB.

### Transmitter[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-27)]

A typical AM-DSB-C transmitter looks like this:
    
    
                 c    cos(...)
                 |       |
    Signal ---->(+)---->(X)----> AM-DSB-C
    

which is a little more complicated than an AM-DSB-SC transmitter.

### Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-28)]

An AM-DSB-C receiver is very simple:
    
    
    AM-DSB-C ---->|Envelope Filter|---->|Capacitor|----> Signal
    

The capacitor blocks the DC component, and effectively removes the +c term.

## AM-SSB[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-29)]

To send an AM-SSB signal, we need to remove one of the sidebands from an AM-DSB signal. This means that we need to pass the AM-DSB signal through a filter, to remove one of the sidebands. The filter, however, needs to be a very high order filter, because we need to have a very aggressive roll-off. One sideband needs to pass the filter almost completely unchanged, and the other sideband needs to be stopped completely at the filter.

To demodulate an AM-SSB signal, we need to perform the following steps:

  1. Low-pass filter, to remove noise
  2. Modulate the signal _again_ by the carrier frequency
  3. Pass through another filter, to remove high-frequency components
  4. Amplify the signal, because the previous steps have attenuated it significantly.

AM-SSB is most efficient in terms of bandwidth, but there is a significant added cost involved in terms of more complicated hardware to send and receive this signal. For this reason, AM-SSB is rarely seen as being cost effective.

  
Single sideband is a form of AM with the carrier and one sideband removed. In normal AM broadcast, the transmitter is rated in terms of the carrier power. SSB transmitters attempt to eliminate the carrier and one of the sidebands. Therefore, transmitters are rated in PEP (peak envelope power).

    

    

    

    ![PEP = \\frac{{\\left\( {{\\rm{peak}}\\;{\\rm{envelope}}\\;{\\rm{voltage}}} \\right\)^2 }}{{2R_L }}](../../../upload.wikimedia.org/math/8/1/8/818083ea640385b4caa40a38895ce417.png)

    

    With normal voice signals, an SSB transmitter outputs 1/4 to 1/3 PEP.

There are numerous variations of SSB:

    

    

  * SSB - Single sideband - amateur radio
  * SSSC - Single sideband suppressed carrier - a small pilot carrier is transmitted
  * ISB - Independent sideband - two separate sidebands with a suppressed carrier. Used in radio telephony.
  * VSB - Vestigial sideband - a partial sideband. Used in broadcast TV.
  * ACSSB - Amplitude companded SSB

There are several advantages of using SSB:

    

    • More efficient spectrum utilization
    • Less subject to selective fading
    • More power can be placed in the intelligence signal
    • 10 to 12 dB noise reduction due to bandwidth limiting

  


### Filter Method[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-30)]

The simplest way to create SSB is to generate DSBSC and then use a bandpass filter to extract one of the sidebands.

    

    

![Filter sideband.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/f/fe/Filter_sideband.gif/220px-Filter_sideband.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
This technique can be used at relatively low carrier frequencies. At high frequencies, the _Q_ of the filter becomes unacceptably high. The required _Q_ necessary to filter off one of the sidebands can be approximated by:

  


    

    

    

    ![Q \\approx \\frac{{f_c \\sqrt S }}{{4\\Delta f}}](../../../upload.wikimedia.org/math/6/f/0/6f0db593441d41758628652157909524.png)

    where:

    

    

    

    ![f_c  = {\\rm{ carrier}}\\;{\\rm{frequency}}](../../../upload.wikimedia.org/math/3/6/b/36b71967a047cd72eef55cdb5fc98e48.png)
    ![\\Delta f = {\\rm{ sideband}}\\;{\\rm{separation}}](../../../upload.wikimedia.org/math/3/1/f/31fccea9ce02b6c5a97785148a8c6a6b.png)
    ![S = {\\rm{ sideband}}\\;{\\rm{suppression}}\\;{\\rm{\(not}}\\;{\\rm{in}}\\;{\\rm{dB\)}}](../../../upload.wikimedia.org/math/9/d/1/9d1b3c52b56c0e72f7f1267467bca6ea.png)

  
Several types of filters are used to suppress unwanted sidebands:

    

    

  * LC - Maximum Q = 200
  * Ceramic - Maximum Q = 2000
  * Mechanical - Maximum Q = 10,000
  * Crystal - Maximum Q = 50,000

In order to reduce the demands placed upon the filter, a double heterodyne technique can be used.

    

    

![SSB double heterodyne.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/2/2c/SSB_double_heterodyne.gif/220px-SSB_double_heterodyne.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
The first local oscillator has a relatively low frequency thus enabling the removal of one of the sidebands produced by the first mixer. The signal is then heterodyned a second time, creating another pair of sidebands. However, this time they are separated by a sufficiently large gap that one can be removed by the band limited power amplifier or antenna matching network.

  


    

    **Example**

    

    Observe the spectral distribution under the following conditions:

    

    

    • Audio baseband = 100 HZ to 5 KHz
    • LO1 = 100 kHz
    • LO2 = 50 MHz

    The spectral output of the first mixer is:

    

    ![First mixer.gif](../../../upload.wikimedia.org/wikibooks/en/e/e9/First_mixer.gif)

    

    If the desired sideband suppression is 80 dB, the _Q_ required to filter off one of the sidebands is approximately:

    

    

    

    ![S = \\log ^{ - 1} \\left\( {\\frac{{80}}{{20}}} \\right\) = 10^4](../../../upload.wikimedia.org/math/3/d/3/3d3e6a4c01f0cfb600a103891ff0909e.png)

    

    

    

    ![Q \\approx \\frac{{f_c \\sqrt S }}{{4\\Delta f}} = \\frac{{100 \\times 10^3 \\sqrt {10^4 } }}{{4 \\times 200}} = 12500](../../../upload.wikimedia.org/math/b/c/c/bccbfa58e65e06b307c086733becb044.png)

  


    It is evident that a crystal filter would be needed to remove the unwanted sideband.

    After the filter, only one sideband is left. In this example, we’ll retain the USB. The spectrum after the second mixer is:

    

    ![SSB modulator second mixer output.gif](../../../upload.wikimedia.org/wikipedia/commons/2/25/SSB_modulator_second_mixer_output.gif)

    The _Q_ required to suppress one of the side bands by 80 dB is approximately:

    

    

    

    ![Q \\approx \\frac{{f_c \\sqrt S }}{{4\\Delta f}} = \\frac{{50 \\times 10^6 \\sqrt {10^4 } }}{{4 \\times 200.2 \\times 10^3 }} = 6244](../../../upload.wikimedia.org/math/e/2/9/e29c0d09ec7e7d699b7b30cd58309ab4.png)

    Thus, we note that the required Q drops in half.

This SSB filter technique is used in radiotelephone applications.

  


### Phase Shift Method[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-31)]

    

    

![SSB phase shift.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7e/SSB_phase_shift.gif/220px-SSB_phase_shift.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
The output from the top mixer is given by:

    

    

    

    ![\\sin \\omega _m t\\sin \\omega _c t = \\frac{1}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t - \\frac{1}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/f/8/4/f843e7d681a190cb9fe4bc0ab78530b1.png)

  


    The output from the bottom mixer is given by:

    

    

    

    ![\\cos \\omega _m t\\cos \\omega _c t = \\frac{1}{2}\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t + \\frac{1}{2}\\cos \\left\( {\\omega _c  + \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/9/1/a/91a28de3c8d9513f90370ff0c925fe1c.png)

  


    The output of the sumer is:

    

    

    

    ![\\cos \\left\( {\\omega _c  - \\omega _m } \\right\)t](../../../upload.wikimedia.org/math/e/b/9/eb980b86ba0868f1c017f1686e442383.png)

    which corresponds to the lower sideband.

The major difficulty with this technique is the need to provide a constant 90o phase shift over the entire input audio band. To overcome this obstacle, the Weaver or third method uses an audio sub carrier, which is phase shifted.

  


### Weaver Method[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-32)]

The Weaver or ‘third’ method places the baseband signal on a low frequency quadrature carrier.

    

    

![SSB Weaver.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/f/f1/SSB_Weaver.gif/220px-SSB_Weaver.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
This has the advantage of not requiring a broadband phase shifter however; the use of four mixers makes it awkward and seldom used.

    

    

![AM waveforms.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/2/28/AM_waveforms.gif/220px-AM_waveforms.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

### SSB Transmitter[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-33)]

AM-SSB transmitters are a little more complicated:
    
    
              cos(...)
                 |
    Signal ---->(X)---->|Low-Pass Filter|----> AM-SSB
    

The filter must be a very high order, for reasons explained in that chapter.

### SSB Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-34)]

An AM-SSB receiver is a little bit complicated as well:
    
    
              cos(...)
                 |
    AM-SSB ---->(X)---->|Low-Pass Filter|---->|Amplifier|----> Signal
    

This filter doesnt need to be a very high order, like the transmitter has.

These receivers require extremely stable oscillators, good adjacent channel selectivity, and typically use a double conversion technique. Envelope detectors cannot be used since the envelope varies at twice the frequency of the AM envelope.

Stable oscillators are needed since the detected signal is proportional to the difference between the untransmitted carrier and the instantaneous side band. A small shift of 50 Hz makes the received signal unusable.

SSB receivers typically use fixed frequency tuning rather than continuous tuning as found on most radios. Crystal oscillators are often used to select the fixed frequency channels.

## AM-VSB[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-35)]

As a compromise between AM-SSB and AM-DSB is AM-VSB. To make an AM-VSB signal, we pass an AM-DSB signal through a lowpass filter. Now, the trick is that we pass it through a low-order filter, so that some of the filtered sideband still exists. This filtered part of the sideband is called the "Vestige" of the sideband, hence the name "Vestigial Side Band".

AM-VSB signals then can get demodulated in a similar manner to AM-SSB. We can see when we remodulate the input signal, the two vestiges (the positive and negative mirrors of each other) over-lap each other, and add up to the original, unfiltered value!

AM-VSB is less expensive to implement then AM-SSB because we can use lower-order filters.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Broadcast television in North America uses AM-VSB

### Transmitter[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-36)]

here we will talk about an AM-VSB transmitter circuit.

### Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Amplitude_Modulation&action=edit&section=T-37)]

here we will talk about an AM-VSB receiver circuit. (AM)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Frequency Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Frequency modulation**_](http://en.wikipedia.org/wiki/Frequency_modulation)

If we make the frequency of our carrier wave a function of time, we can get a generalized function that looks like this:

    ![s_{FM} = A\\cos \(2 \\pi \[f_c + ks\(t\)\]t + \\phi\)](../../../upload.wikimedia.org/math/7/3/4/734e29825e1319efee5bd4c66a3e9bab.png)

We still have a carrier wave, but now we have the value ks(t) that we add to that carrier wave, to send our data.

As an important result, ks(t) must be less than the carrier frequency always, to avoid ambiguity and distortion.

    

    

    

    ![Amfm2.gif](../../../upload.wikimedia.org/wikipedia/commons/9/94/Amfm2.gif)

### Deriving the FM Equation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-2)]

Recall that a general sinusoid is of the form:

    

    

    

    ![ e_c  = \\sin \\left\( {\\omega _c t + \\theta } \\right\)](../../../upload.wikimedia.org/math/5/c/9/5c9a6fc2da446f8b137db508ecdc28e0.png)

Frequency modulation involves deviating a carrier frequency by some amount. If a sine wave is used to deviate the carrier, the expression for the frequency at any instant would be:

    

    

    

    ![\\omega _i  = \\omega _c  + \\Delta \\omega \\sin \\left\( {\\omega _m t} \\right\)](../../../upload.wikimedia.org/math/0/a/5/0a5f4edd335247c552d9e8d96ed2c4d0.png)

    

    where:

    

    

    

    ![\\omega _i  = ](../../../upload.wikimedia.org/math/4/e/0/4e0a48865a41d3bee13db1c2906e52b7.png)instantaneous frequency
    ![\\omega _c  = ](../../../upload.wikimedia.org/math/1/3/1/13121ddbf09b7b1c6c5295cb6b8b307f.png)carrier frequency
    ![ \\Delta \\omega  = ](../../../upload.wikimedia.org/math/5/b/3/5b36839ae6c0433ab72d8c48d75e10bf.png)carrier deviation
    ![\\omega _m  =](../../../upload.wikimedia.org/math/f/e/b/febbf0dc9613de078f9dff77a6c28534.png) modulation frequency

This expression describes a signal varying sinusoidally about some average frequency. However, we cannot simply substitute this expression into the general equation for a sinusoid to get the FM equation. This is because the sine operator acts on angles, not frequency. Therefore, we must define the instantaneous frequency in terms of angles.

It should be noted that the modulation signal amplitude governs the _amount of carrier deviation_ while the modulation signal frequency governs the _rate of carrier deviation_.

  
The term ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png) is an _angular velocity_ (radians per second) and is related to frequency and angle by the following relationship:

    

    

    

    ![\\omega {\\rm{ = 2}}\\pi {\\rm{f = }}\\frac{{d\\theta }}{{dt}}](../../../upload.wikimedia.org/math/3/a/1/3a1bfcf51176c0c4fafa71bea420769d.png)

  


    To find the angle, we must integrate ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png) with respect to time:

    

    

    

    ![\\int {\\omega dt = \\theta } ](../../../upload.wikimedia.org/math/c/7/6/c76bc32d81d07beacba51d1ff56c9782.png)

  


    We can now find the instantaneous angle associated with the instantaneous frequency:

    

    

    

    ![\\begin{array}{l}
 \\theta  = \\int {\\omega _i dt = \\int {\\left\( {\\omega _c  + \\Delta \\omega \\sin \\left\( {\\omega _m t} \\right\)} \\right\)} } dt = \\omega _c t - \\frac{{\\Delta \\omega }}{{\\omega _m }}\\cos \\left\( {\\omega _m t} \\right\) = \\omega _c t - \\frac{{\\Delta f}}{{f_m }}\\cos \\left\( {\\omega _m t} \\right\) \\\\ 
 \\end{array}](../../../upload.wikimedia.org/math/8/8/d/88d3a972b29934306f1985b619e86443.png)

  


    This angle can now be substituted into the general carrier signal to define FM:

    

    

    

    ![ e_{fm}  = \\sin \\left\( {\\omega _c t - \\frac{{\\Delta f}}{{f_m }}\\cos \\left\( {\\omega _m t} \\right\)} \\right\)](../../../upload.wikimedia.org/math/d/7/6/d76d1410b4107b8cefb8023a5281d765.png)

  


    The _FM modulation index_ is defined as the ratio of the carrier deviation to modulation frequency:

    

    

    

    ![ m_{fm}  = \\frac{{\\Delta f}}{{f_m }}](../../../upload.wikimedia.org/math/0/5/f/05f2f96813aa847bfcc4e5d5d59e24f6.png)

  


    Consequently, the FM equation is often written as:

    

    

    

    ![ e_{fm}  = \\sin \\left\( {\\omega _c t - m_{fm} \\cos \\left\( {\\omega _m t} \\right\)} \\right\)](../../../upload.wikimedia.org/math/a/4/2/a42019642b4b73459daece5bd7d28ac8.png)

### Bessel's Functions[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-3)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Bessel function**_](http://en.wikipedia.org/wiki/Bessel_function)

This is a very complex expression and it is not readily apparent what the sidebands of this signal are like. The solution to this problem requires a knowledge of _Bessel's function_s of the first kind and order _p_. In open form, it resembles:

    

    

    

    ![ J_p \\left\( x \\right\) = \\sum\\limits_{k = 0}^\\infty  {\\frac{{\\left\( { - 1} \\right\)^k \\left\( {\\frac{x}{2}} \\right\)^{2k + p} }}{{k!\\left\( {k + p} \\right\)!}}} ](../../../upload.wikimedia.org/math/b/b/4/bb4b8fb9eef6919118e54413967b12d6.png)

    

    where:

    

    

    

    ![ J_p \\left\( x \\right\) = ](../../../upload.wikimedia.org/math/3/f/c/3fc889a5a2a472db153ae82c0ab2d374.png) Magnitude of the frequency component
    ![ p = ](../../../upload.wikimedia.org/math/8/a/3/8a3692ef966ec7d03a02c73291943a0b.png) Side frequency number (not to be confused with sidebands)
    ![ x = ](../../../upload.wikimedia.org/math/5/2/a/52a07ce46212cbc2298415c5fca6e075.png) Modulation index

  


    As a point of interest, Bessel's functions are a solution to the following equation:

    

    

    

    ![x^2\\frac{{d^2 y}}{{dx^2 }} + x\\frac{{dy}}{{dx}} + \\left\( {x^2  - p^2 } \\right\) = 0](../../../upload.wikimedia.org/math/c/9/7/c970ca029f30b479d9a3a1a859aedd67.png)

  
Bessel's functions occur in the theory of cylindrical and spherical waves, much like sine waves occur in the theory of plane waves.

It turns out that FM generates an infinite number of side frequencies (in both the upper and lower sidebands). Each side frequency is an integer multiple of the modulation signal frequency. The amplitude of higher order side frequencies decreases rapidly and can generally be ignored.

The amplitude of the carrier signal is also a function of the modulation index and under some conditions, its amplitude can actually go to zero. This does not mean that the signal disappears, but rather that all of the broadcast energy is redistributed to the side frequencies.

A plot of the carrier and first five side frequency amplitudes as a function of modulation index resembles:

    

    

![Bessel Functions 1st kind.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/c/c5/Bessel_Functions_1st_kind.gif/220px-Bessel_Functions_1st_kind.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Bessel coefficients have several interesting properties including:

    

    

    

    ![ J_0^2  + 2\\left\( {J_1^2  + J_2^2  + J_3^2  +  \\cdots } \\right\) = 1](../../../upload.wikimedia.org/math/3/c/3/3c3fcc973106d82cadbc1b0d569357ce.png)

  
One very useful interpretation of this is: ![ J_0 ](../../../upload.wikimedia.org/math/a/f/1/af105717ba6f73bec8076e6e3709b015.png) represents the voltage amplitude of the carrier, ![J_1](../../../upload.wikimedia.org/math/c/5/0/c50a4b54a614b99974ffcfefc5c00c04.png) represents the amplitude of the 1st side frequency, ![J_2](../../../upload.wikimedia.org/math/8/f/6/8f6e807d4cd2e237c5eb39e309fc631f.png) the 2nd side frequency etc. Note that the sum of the squares (power) remains constant.

### FM Bandwidth[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-4)]

FM generates upper and lower sidebands, each of which contain an infinite number of side frequencies. However, the FM bandwidth is not infinite because the amplitude of the higher order side frequencies decreases rapidly. _Carson's Rule_ is often used to calculate the bandwidth, since it contains more than 90% of the FM signal.

    

    **Carson's Rule**

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Carson's rule**_](http://en.wikipedia.org/wiki/Carson%27s_rule)

    

    

    

    ![ B_{fm}  \\approx 2\\left\( {m_{fm}  + 1} \\right\)f_m  = 2\\left\( {\\Delta f + f_m } \\right\)\)](../../../upload.wikimedia.org/math/1/0/0/100b3671b28eae509ff53364cdf2f1a0.png)

  
In commercial broadcast applications, the maximum modulation index (![m_{fm}](../../../upload.wikimedia.org/math/1/6/8/168745697fdec2ebb152b5c1abd1844a.png)) = 5, the maximum, carrier deviation (![\\Delta f](../../../upload.wikimedia.org/math/d/f/c/dfcf79e3d5443ac2ec1e8739062d54e2.png)) = 75 kHz, and maximum modulation frequency (![f_m](../../../upload.wikimedia.org/math/a/4/1/a41866f1214f0df353382b3557b507c2.png)) = 15 kHz. The total broadcast spectrum according to Carson's rule is 180 kHz, but an additional 20 kHz guard band is used to separate adjacent radio stations. Therefore, each FM radio station is allocated 200 kHz.

  


### Noise[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-5)]

In AM systems, noise easily distorts the transmitted signal however, in FM systems any added noise must create a frequency deviation in order to be perceptible.

    

    ![Fm noise.gif](../../../upload.wikimedia.org/wikibooks/en/1/13/Fm_noise.gif)

The maximum frequency deviation due to random noise occurs when the noise is at right angles to the resultant signal. In the worst case the signal frequency has been deviated by:

    

    

    

    ![\\delta  = \\theta f_m ](../../../upload.wikimedia.org/math/3/5/7/357dd8729c3d74be150c7c8111994b82.png)

  
This shows that the deviation due to noise increases as the modulation frequency increases. Since noise power is the square of the noise voltage, the signal to noise ratio can significantly degrade.

    

    ![Noise voltage.gif](../../../upload.wikimedia.org/wikibooks/en/2/21/Noise_voltage.gif)

  
To prevent this, the amplitude of the modulation signal is increased to keep the S/N ratio constant over the entire broadcast band. This is called pre-emphasis.

### Pre & De-emphasis[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-6)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Preemphasis**_](http://en.wikipedia.org/wiki/Preemphasis)

Increasing the amplitude of high frequency baseband signals in the FM modulator (transmitter) must be compensated for in the FM demodulator (receiver) otherwise the signal would sound quite tinny (too much treble).

The standard curves resemble:

    

    

![Pre emphasis.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/9/9c/Pre_emphasis.gif/220px-Pre_emphasis.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

  
In commercial FM broadcast, the emphasis circuits consist of a simple RC network with a time constant of 75 ![\\mu](../../../upload.wikimedia.org/math/b/7/2/b72bb92668acc30b4474caff40274044.png)Sec and a corner frequency of 2125 Hz.

    

    ![Emphasis circuit.gif](../../../upload.wikimedia.org/wikibooks/en/e/e6/Emphasis_circuit.gif)

  
The magnitude of the pre-emphasis response is defined by:

    

    ![Pre emphasis equation.gif](../../../upload.wikimedia.org/wikibooks/en/4/4b/Pre_emphasis_equation.gif)

## FM Transmission Power[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-7)]

The equation for the transmitted power in a sinusoid is a fundamental equation. Remember it.

Since the value of the amplitude of the sine wave in FM does not change, the transmitted power is a constant. As a general rule, for a sinusoid with a constant amplitude, the transmitted power can be found as follows:

    

    

    

    ![P\(t\) = \\frac{A^2}{2R_L}](../../../upload.wikimedia.org/math/6/c/7/6c7be25d56b39e8280a28f401bf97299.png)

Where A is the amplitude of the sine wave, and RL is the resistance of the load. In a normalized system, we set RL to 1.

  
The Bessel coefficients can be used to determine the power in the carrier and any side frequency:

    

    

    

    ![  P_C  = P_T \\left\( {J_0^2  + 2\\left\( {J_1^2  + J_2^2  + J_3^2  +  \\cdots } \\right\)} \\right\)](../../../upload.wikimedia.org/math/6/5/d/65dbfa989dcaa9eaea8908d1392ad657.png)
    ![P_C](../../../upload.wikimedia.org/math/9/3/9/93921146e9f1a05dd5dd5828a8c2e81f.png) is the power in the unmodulated carrier.
    ![P_T](../../../upload.wikimedia.org/math/c/1/d/c1dd9d95eefbee29ab71a79e261b3b87.png) is the total power and is by definition equal to the unmodulated carrier power.

As the modulation index varies, the individual Bessel coefficients change and power is redistributed from the carrier to the side frequencies.

## FM Transmitters[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-8)]

FM Transmitters can be easily implemented using a VCO (see why we discussed Voltage Controlled Oscillators, in the first section?), because a VCO converts an input voltage (our input signal) to a frequency (our modulated output).
    
    
    Signal ----->|VCO|-----> FM Signal
    

## FM Receivers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Frequency_Modulation&action=edit&section=T-9)]

Any angle modulation receiver needs to have several components:

  1. A limiter, to remove abnormal amplitude values
  2. bandpass filter, to separate the out-of-band noise.
  3. A Discriminator, to change a frequency back to a voltage
  4. A lowpass filter, to remove noise added by the discriminator.

A discriminator is essentially a differentiator in line with an envelope detector:
    
    
    FM ---->|Differentiator|---->|Envelope Filter|----> Signal
    

Also, you can add in a blocking capacitor to remove any DC components of the signal, if needed. (FM)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

  


## Phase Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-1)]

Phase modulation is most commonly used to convey digital signals. All high performance modems today use phase modulation.

Similar to FM (frequency modulation), is Phase modulation. (We will show how they are the same in the next chapter.) If we alter the value of the phase according to a particular function, we will get the following generalized PM function:

![s_{PM} = A\\cos \(2 \\pi f_c t + \\alpha s\(t\)\)](../../../upload.wikimedia.org/math/c/4/3/c43f55332bcf6caa311659e03000a706.png)

It is important to note that the fact that ![-\\pi < \\alpha s\(t\) \\le \\pi](../../../upload.wikimedia.org/math/c/a/3/ca313d3049f962f2638c299f33028a7d.png) for all values of t. If this relationship is not satisfied, then the phase angle is said to be _wrapped_.

  


### BPSK Modulator[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-2)]

The binary phase shift keyed modulator is the simplest of app PSK modulators since it has only two output phase states. It is generally a multiplier which can either be an IC (integrated circuit) or ring modulator.

    

    

    ![BPSK modulator.gif](../../../upload.wikimedia.org/wikibooks/en/7/74/BPSK_modulator.gif)

  
The output has two phase states:

    

    

    ![BPSK output.gif](../../../upload.wikimedia.org/wikibooks/en/5/52/BPSK_output.gif)

  
In the above illustration, the duration of each of the phase states corresponds to one signaling element or baud. The baud rate is therefor equal to the bit rate.

The spectrum of the BPSK signal will depend upon the data being transmitted, but it is very easy to sketch it for the highest data rate input.

    

    

    ![Sq wave spectrum.gif](../../../upload.wikimedia.org/wikibooks/en/3/3d/Sq_wave_spectrum.gif)

  
The resultant BPSK spectrum is:

    

    

    ![BPSK spectrum.gif](../../../upload.wikimedia.org/wikibooks/en/d/df/BPSK_spectrum.gif)

  


### QPSK Modulators (4-PSK)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-3)]

Quadrature modulation uses two data channels denoted I (in phase) and Q (quadrature phase) displaced by 90o with respect to each other. It may seem somewhat paradoxical, that although these two channels are combined prior to transmission, they do not interfere with each other.

    

    

    ![Quadrature modulator.gif](../../../upload.wikimedia.org/wikibooks/en/8/81/Quadrature_modulator.gif)

  
The receiver is quite capable of separating them because of their quadrature or orthogonal nature.

    

    

    ![Quadrature demodulator.gif](../../../upload.wikimedia.org/wikibooks/en/9/93/Quadrature_demodulator.gif)

  
In the most basic configuration, there are 4 possible output phases. This suggests that each output symbol correspond to 2 bits of binary information. Since several bits can be encoded into a baud, the bit rate exceeds the baud rate.

    

    

    ![QPSK.gif](../../../upload.wikimedia.org/wikibooks/en/e/ec/QPSK.gif)

  
The first thing that happens in this circuit is that the incoming bits are organized into groups of 2 called dibits. They are separated into 2 data streams and kept constant over the dibit period.

    

    

    ![Dibit.gif](../../../upload.wikimedia.org/wikibooks/en/e/e2/Dibit.gif)

  
Each data stream is fed to a BPSK modulator. However, orthogonal carriers feed the two modulators. The output of the I channel modulator resembles:

    

    

    ![I mod out.gif](../../../upload.wikimedia.org/wikibooks/en/0/03/I_mod_out.gif)

  
The output of the Q channel modulator resembles

    

    

    ![Q mod out.gif](../../../upload.wikimedia.org/wikibooks/en/9/9c/Q_mod_out.gif)

  
Combining the I and Q channels has the effect of rotating the output state by 45o.

    

    

    ![QPSK output phase states.gif](../../../upload.wikimedia.org/wikibooks/en/5/5a/QPSK_output_phase_states.gif)

  
Rotating the output reference to 45o for the sake of clarity, the transmitted output for this particular data sequence is therefor:

    

    

    ![QPSK output.gif](../../../upload.wikimedia.org/wikibooks/en/e/e0/QPSK_output.gif)

  


### 8-PSK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-4)]

This process of encoding more bits into each output baud or phase state can be continued. Organizing binary bits into 3 bytes corresponds to 8 different conditions.

The output constellation diagram for the 8 different phase states is:

    

    

    

    ![Constellation 8.gif](../../../upload.wikimedia.org/wikibooks/en/f/f4/Constellation_8.gif)

  
From this diagram it is readily apparent that two different amplitudes are needed on the I and Q channels. If the A bit is used to control the polarity of the I channel and the B bit the polarity of the Q channel, then the C bit can be used to define the two different amplitudes. In order to evenly space the phase states; the amplitudes must be ± 0.38 and ± 0.92. The magnitude of the I and Q channel signals must always be different. An inverter can be used to assure this condition.

The input bit stream is organized into 3 bit bytes. Each bit is sent to a different location to control a certain aspect of the modulator. The inputs to the 2 - 4 level converter are 0’s or 1’s but the output is ± 0.38 or ± 0.92, depending on the C bit.

    

    

    

    ![8 PSK.gif](../../../upload.wikimedia.org/wikibooks/en/4/48/8_PSK.gif)

## Wrapped/Unwrapped Phase[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-5)]

The phase angle is a circular quantity, with the restriction ![0 = 2\\pi](../../../upload.wikimedia.org/math/b/6/3/b63f254cba1d374938116321627e2c4c.png). Therefore, if we wrap the phase a complete 360 degrees around, the receiver will not know the difference, and the transmission will fail. When the phase exceeds 360 degrees, the phase value is said to be **wrapped**. It is highly difficult to construct a communication system that can detect and decode a wrapped phase value.

## PM Transmitter[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-6)]

PM signals can be transmitted using a technique very similar to FM transmitters. The only difference is that we need to add a differentiator to it:
    
    
    Signal ---->|Differentiator|---->|VCO|----> PM Signal
    

## PM Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Phase_Modulation&action=edit&section=T-7)]

PM receivers have all the same parts as an FM receiver, except for the 3rd step:

  1. A limiter, to remove abnormal amplitude values
  2. bandpass filter, to separate the out-of-band noise.
  3. A Phase detector, to convert a phase back into a voltage
  4. A lowpass filter, to remove noise added by the discriminator.

Phase detectors can be created using a Phase-Locked-Loop (again, see why we discussed them first?). (PM)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

![Warning icon WikiBooks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Warning_icon_WikiBooks.svg/35px-Warning_icon_WikiBooks.svg.png)

This book contains mathematical formulae that look better **[rendered as PNG](http://en.wikibooks.org/wiki/Wikibooks:Render_as_PNG)**.

  


## Concept[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-1)]

We can see from our initial overviews that FM and PM modulation schemes have a lot in common. Both of them are altering the angle of the carrier sinusoid according to some function. It turns out that we can go so far as to generalize the two together into a single modulation scheme known as **angle modulation**. Note that we will never abbreviate "angle modulation" with the letters "AM", because Amplitude modulation is completely different from angle modulation.

## Instantaneous Phase[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-2)]

Let us now look at some things that FM and PM have of common:

    ![s_{FM} = A\\cos \(2 \\pi \[f_c + ks\(t\)\]t + \\phi\)](../../../upload.wikimedia.org/math/7/3/4/734e29825e1319efee5bd4c66a3e9bab.png)

    ![s_{PM} = A\\cos \(2 \\pi f_c t + \\alpha s\(t\)\)](../../../upload.wikimedia.org/math/c/4/3/c43f55332bcf6caa311659e03000a706.png)

What we want to analyze is the _argument of the sinusoid_, and we will call it Psi. Let us show the Psi for the bare carrier, the FM case, and the PM case:

    ![\\Psi_{carrier}\(t\) = 2 \\pi f_c t + \\phi](../../../upload.wikimedia.org/math/6/a/a/6aa35b76c1b95f87ae6b4be5a5fa83cc.png)

    ![\\Psi_{FM}\(t\) = 2 \\pi\[f_c + ks\(t\)\] t + \\phi](../../../upload.wikimedia.org/math/7/e/f/7ef8a14e416a4f6c60c233bdf9e62cbb.png)

    ![\\Psi_{PM}\(t\) = 2 \\pi f_c t + \\alpha s\(t\)](../../../upload.wikimedia.org/math/e/6/0/e60de70911807220656d58cbfd2a8723.png)

    ![s\(t\) = A\\cos\(\\Psi\(t\)\)](../../../upload.wikimedia.org/math/f/2/d/f2ddb939b84dcf0b31ae7134d1b298dc.png)

This Psi value is called the _Instantaneous phase_ of the sinusoid.

## Instantaneous Frequency[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-3)]

Using the Instantaneous phase value, we can find the _Instantaneous frequency_ of the wave with the following formula:

    ![f\(t\) = \\frac{d\\Psi\(t\)}{dt}](../../../upload.wikimedia.org/math/1/7/0/1702eb3c3013651b9e27eb512ab31692.png)

We can also express the instantaneous phase in terms of the instantaneous frequency:

    ![\\Psi\(t\) = \\int_{-\\infty}^t f\(\\lambda\)d\\lambda](../../../upload.wikimedia.org/math/7/4/c/74c28d81e4d72081f24d7f9862fea760.png)

Where the Greek letter "lambda" is simply a dummy variable used for integration. Using these relationships, we can begin to study FM and PM signals further.

## Determining FM or PM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-4)]

If we are given the equation for the instantaneous phase of a particular angle modulated transmission, is it possible to determine if the transmission is using FM or PM? it turns out that it is possible to determine which is which, by following 2 simple rules:

  1. In PM, instantaneous phase is a linear function.
  2. In FM, instantaneous frequency minus carrier frequency is a linear function.

For a refresher course on Linearity, there is a chapter on the subject in the [Signals and Systems book](http://en.wikibooks.org/w/index.php?title=Signals_and_Systems/Time_Domain_Analysis/LTI_systems&action=edit&redlink=1) worth re-reading.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

FM radio uses generalized "Angle Modulation"

## Bandwidth[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-5)]

In a PM system, we know that the value ![\\alpha s\(t\)](../../../upload.wikimedia.org/math/d/6/d/d6d5c0c732d02193ab06ae1e1383bd96.png) can never go outside the bounds of ![\(-\\pi, \\pi\]](../../../upload.wikimedia.org/math/f/c/f/fcfe3f8f790d9246dce2f4e70705730f.png). Since sinusoidal functions oscillate between [-1, 1], we can use them as a general PM generating function. Now, we can combine FM and PM signals into a general equation, called _angle modulation_:  


    ![v\(t\) = A \\sin \( 2 \\pi f_c t + \\beta \\sin \(2 \\pi f_m t\)\)](../../../upload.wikimedia.org/math/2/1/8/218dde570b4d4a40c3608a1fd91fa5eb.png)

If we want to analyze the spectral components of this equation, we will need to take the Fourier transform of this. But, we can't integrate a sinusoid of a sinusoid, much less find the transform of it. So, what do we do?

It turns out (and the derivation will be omitted here, for now) that we can express this equation as an infinite sum, as such:  


    ![v\(t\) = A \\sum_{n = -\\infty}^{\\infty}J_n\(\\beta\) \\sin \[2 \\pi\(nf_m + f_c\)t\] ](../../../upload.wikimedia.org/math/2/1/1/2116556c9a54308ccd730e242adede26.png)  


But, what is the term ![J_n\(\\beta\)](../../../upload.wikimedia.org/math/8/4/0/8401a366943f33743c3b3e6607b6199b.png)? J is the _Bessel function_, which is a function that exists only as an open integral (it is impossible to write it in closed form). Fortunately for us, there are extensive tables tabulating Bessle function values.

## The Bessel Function[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-6)]

The definition of the Bessel function is the following equation:

    ![J_n\(\\beta\) = \\frac{1}{2\\pi} \\int_{-\\pi}^\\pi e^{j\[\\beta sin\\theta - n\\theta\]} d\\theta](../../../upload.wikimedia.org/math/4/9/2/4925ac353cef364e80460d16a1251713.png)  


The bessel function is a function of 2 variables, N and ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png).

Bessel Functions have the following properties:

  * If n is even:  


    ![J_{-n}\(\\beta\) = J_n\(\\beta\)](../../../upload.wikimedia.org/math/f/0/c/f0c65c8e65a86311b38efc7ff89d3837.png)

  * If n is odd:  


    ![J_{-n}\(\\beta\) = -J_n\(\\beta\)](../../../upload.wikimedia.org/math/8/e/9/8e9d489b581c235c7a0e571c23289699.png)

  * ![J_{n-1} + J_{n+1} = \\frac{2n}{\\beta}J_n\(\\beta\)](../../../upload.wikimedia.org/math/5/6/4/564c1b130b98777f69b3ccc3ce595e9e.png).

The bessel function is a relatively advanced mathematical tool, and we will not analyze it further in this book.

## Carson's Rule[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-7)]

If we have our generalized function:

    ![v\(t\) = A\\sin \( 2 \\pi f_c t + \\beta \\sin \(2 \\pi f_m t\)\)](../../../upload.wikimedia.org/math/2/1/8/218dde570b4d4a40c3608a1fd91fa5eb.png)

We can find the bandwidth BW of the signal using the following formula:

    ![BW=2\(\\beta + 1\)f_m = 2\(\\Delta f + f_m\)](../../../upload.wikimedia.org/math/6/8/b/68b885d2c206500be20134ba76e9af57.png)

where ![\\Delta f](../../../upload.wikimedia.org/math/d/f/c/dfcf79e3d5443ac2ec1e8739062d54e2.png) is the maximum frequency deviation, of the transmitted signal, from the carrier frequency. It is important to note that Carson's rule is only an approximation (albeit one that is used in industry frequently).

## Demodulation: First Step[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-8)]

Now, it is important to note that FM and PM signals both do the same first 2 steps during demodulation:

  1. Pass the signal through a **limiter**, to remove amplitude peaks
  2. Pass the signal through a bandpass filter to remove low and high frequency noise (as much as possible, without filtering out the signal).

Once we perform these two steps, we no longer have white noise, because we've passed the noise through a filter. Now, we say the noise is **colored**.

here is a basic diagram of our demodulator, so far:
    
    
          channel
    s(t) ---------> r(t) --->|Limiter|--->|Bandpass Filter|---->z(t)
    

Where z(t) is the output of the bandpass filter.

## Filtered Noise[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-9)]

To denote the new, filtered noise, and new filtered signal, we have the following equation:

    ![z\(t\) = \\gamma A \\cos \(\\Psi\(t\)\) + n_0\(t\)](../../../upload.wikimedia.org/math/9/0/8/908aff8666d9a86ddca4b0d354c4112e.png)

Where we call the additive noise ![n_0\(t\)](../../../upload.wikimedia.org/math/c/6/3/c630201e5091be2c13828e7a870756a5.png) because it has been filtered, and is not white noise anymore. ![n_0\(t\)](../../../upload.wikimedia.org/math/c/6/3/c630201e5091be2c13828e7a870756a5.png) is known as **narrow band noise**, and can be denoted as such:

    ![n_0\(t\) = \\mathbf{W}\(t\) \\cos\(2 \\pi f_c t\) + \\mathbf{Z}\(t\) \\sin\(2 \\pi f_c t\)](../../../upload.wikimedia.org/math/b/8/7/b874e160fe46498cfd8ee811fc1f3c20.png)

Now, once we have it in this form, we can use a trigonometric identity to make this equation more simple:

    ![n_0\(t\) = \\mathbf{R}\(t\) \\cos\(2 \\pi f_c t + \\mathbf{\\Theta}\(t\)\)](../../../upload.wikimedia.org/math/8/d/9/8d9b0f7742b44bcce78801f1310a00b2.png)

Where

    ![\\mathbf{R}\(t\) = \\sqrt{\\mathbf{W}\(t\)^2 + \\mathbf{Z}\(t\)^2}](../../../upload.wikimedia.org/math/2/d/8/2d8622fe03e5f746c57a2593239e9fbf.png)

    ![\\mathbf{\\Theta}\(t\) = tan^{-1} \(\\mathbf{Z}\(t\)/\\mathbf{W\(t\)}\)](../../../upload.wikimedia.org/math/a/0/d/a0da6d7a62861df90da5fdd2eef8a411.png)

Here, the new noise parameter R(t) is a **rayleigh** random variable, and is discussed in the next chapter.

## Noise Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/FM_and_PM_Generalization&action=edit&section=T-10)]

R(t) is a noise function that affects the amplitude of our received signal. However, our receiver passes the signal through a limiter, which will remove amplitude fluctuations from our signal. For this reason, R(t) doesnt affect our signal, and can be safely ignored for now. This means that the only random variable that is affecting our signal is the variable ![\\mathbf{\\Theta}\(t\)](../../../upload.wikimedia.org/math/f/9/c/f9c2ed5738a4e524944e8655fc4feedc.png), "Theta". Theta is a uniform random variable, with values between pi and -pi. Values outside this range "Wrap around" because phase is circular.

# Transmission[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=5)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page will discuss some of the fundamental basics of EM wave propagation.

  


## Electromagnetic Spectrum[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electromagnetic_wave**_](http://en.wikipedia.org/wiki/Electromagnetic_wave)

    

    ![Cont emspec2.jpg](../../../upload.wikimedia.org/wikipedia/commons/0/04/Cont_emspec2.jpg)

  


## Radio Waves[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Radio_waves**_](http://en.wikipedia.org/wiki/Radio_waves)

  
Maxwell first predicted the existence of electromagnetic waves in the 19th century. He came to this conclusion by careful examination of the equations describing electric and magnetic phenomenon. It was left up to Hertz to create these waves, and Marconi to exploit them.

In spite of one hundred years of study, exactly what radio waves are and why they exist, remain somewhat of a mystery.

Electromagnetic waves in free space, or TEM waves, consist of electric and magnetic fields, each at right angles to each other and the direction of propagation.

    

    

    

    ![Tem wave.gif](../../../upload.wikimedia.org/wikipedia/commons/5/53/Tem_wave.gif)

  
The relationship between wavelength and frequency is give by:

    

    

    

    ![c = \\lambda f](../../../upload.wikimedia.org/math/0/e/f/0ef5602ad67cd5ef919e2ead1a173040.png)

    

    where c is the speed of light (approximately 300,000,000 m/s in vacuum), f is the frequency of the wave, and λ is the wavelength of the wave.

Radio waves can be reflected and refracted in a manner similar to light. They are affected by the ground terrain, atmosphere and other objects.

Maxwell’s equations state that a time varying magnetic field produces an electric field and a time varying electric field produces a magnetic field. This is kind of a chicken and egg situation.

Radio waves propagate outward from an antenna, at the speed of light. The exact nature of these waves is determined by the transmission medium. In free space, they travel in straight lines, whereas in the atmosphere, they generally travel in a curved path. In a confined or guided medium, radio waves do not propagate in the TEM mode, but rather in a TE or TM mode.

Radio waves interact with objects in three principle ways:

    

    Reflection – A radio wave bounces off an object larger than its wavelength.
    Diffraction – Waves bend around objects.
    Scattering – A radiowave bounces off an object smaller than its wavelength.

Because of these complex interactions, radio wave propagation is often examined in three distinct regions in order to simplify the analysis:

    

    Surface (or ground) waves are located very near the earth’s surface.
    Space waves occur in the lower atmosphere (troposphere).
    Sky waves occur in the upper atmosphere (ionosphere).

The boundaries between these regions are somewhat fuzzy. In many cases, it is not possible to examine surface waves without considering space waves.

    

    ![Electron density altitude.gif](../../../upload.wikimedia.org/wikibooks/en/6/67/Electron_density_altitude.gif)

  


### Common RF Band Designations[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-3)]

Frequency band name Frequency Wavelength

ELF - Extremely Low Frequency
3 – 30 Hz
100000 – 10000 km

SLF - Super Low Frequency
30 – 300 Hz
10000 – 1000 km

ULF - Ultra Low Frequency
300 – 3000 Hz
1000 – 100 km

VLF - Very Low Frequency
3 – 30 kHz
100 – 10 km

LF - Low Frequency
30 – 300 kHz
10 – 1 km

MF - Medium Frequency
300 – 3000 kHz
1000 – 100 m

HF - High Frequency
3 – 30 MHz
100 – 10 m

VHF - Very High Frequency
30 – 300 MHz
10 – 1 m

UHF - Ultra High Frequency
300 – 3000 MHz
1000 – 100 mm

SHF - Super High Frequency
3 – 30 GHz
100 – 10 mm

EHF - Extremely High Frequency
30 – 300 GHz
10 – 1 mm

### Surface Waves[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-4)]

These are the principle waves used in AM, FM and TV broadcast. Objects such as buildings, hills, ground conductivity, etc. have a significant impact on their strength. Surface waves are usually vertically polarized with the electric field lines in contact with the earth.

    

    ![Surface wave.gif](../../../upload.wikimedia.org/wikibooks/en/b/b7/Surface_wave.gif)

  


#### Refraction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-5)]

Because of refraction, the radio horizon is larger than the optical horizon by about 4/3. The typical maximum direct wave transmission distance (in km) is dependent on the height of the transmitting and receiving antennas (in meters):

    

    

    ![ d_{\\max }  \\approx \\sqrt {17h_t }  + \\sqrt {17h_r } \\quad {\\rm{km}}](../../../upload.wikimedia.org/math/c/a/d/cadefae3f33c8af4ffa98898d608f545.png)

  
However, the atmospheric conditions can have a dramatic effect on the amount of refraction.

    

    

    ![Refraction distance.gif](../../../upload.wikimedia.org/wikibooks/en/c/c5/Refraction_distance.gif)

  


##### Super Refraction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-6)]

In super refraction, the rays bend more than normal thus shortening the radio horizon. This phenomenon occurs when temperature increases but moisture decreases with height. Paradoxically, in some cases, the radio wave can travel over enormous distances. It can be reflected by the earth, rebroadcast and super refracted again.

  


##### Sub refraction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-7)]

In sub refraction, the rays bend less than normal. This phenomenon occurs when temperature decreases but moisture increases with height. In extreme cases, the radio signal may be refracted out into space.

  


### Space Waves[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-8)]

These waves occur within the lower 20 km of the atmosphere, and are comprised of a direct and reflected wave. The radio waves having high frequencies are basically called as space waves. These waves have the ability to propagate through atmosphere, from transmitter antenna to receiver antenna. These waves can travel directly or can travel after reflecting from earth’s surface to the troposphere surface of earth. So, it is also called as Tropospherical Propagation. In the diagram of medium wave propagation, c shows the space wave propagation. Basically the technique of space wave propagation is used in bands having very high frequencies. E.g. V.H.F. band, U.H.F band etc. At such higher frequencies the other wave propagation techniques like sky wave propagation, ground wave propagation can’t work. Only space wave propagation is left which can handle frequency waves of higher frequencies. The other name of space wave propagation is line of sight propagation. There are some limitations of space wave propagation.

  1. These waves are limited to the curvature of the earth.
  2. These waves have line of sight propagation, means their propagation is along the line of sight distance.

The line of sight distance is that exact distance at which both the sender and receiver antenna are in sight of each other. So, from the above line it is clear that if we want to increase the transmission distance then this can be done by simply extending the heights of both the sender as well as the receiver antenna. This type of propagation is used basically in radar and television communication.

The frequency range for television signals is nearly 80 to 200MHz. These waves are not reflected by the ionosphere of the earth. The property of following the earth’s curvature is also missing in these waves. So, for the propagation of television signal, geostationary satellites are used. The satellites complete the task of reflecting television signals towards earth. If we need greater transmission then we have to build extremely tall antennas.

#### Direct Wave[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-9)]

This is generally a line of sight transmission, however, because of atmospheric refraction the range extends slightly beyond the horizon.

  


#### Ground Reflected Wave[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-10)]

Radio waves may strike the earth, and bounce off. The strength of the reflection depends on local conditions. The received radio signal can cancel out if the direct and reflected waves arrive with the same relative strength and 180o out of phase with each other.

Horizontally polarized waves are reflected with almost the same intensity but with a 180o phase reversal.

Vertically polarized waves generally reflect less than half of the incident energy. If the angle of incidence is greater than 10o there is very little change in phase angle.

### Sky Waves[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-11)]

These waves head out to space but are reflected or refracted back by the ionosphere. The height of the ionosphere ranges from 50 to 600 km.

Radio waves are refracted by the ionized gas created by solar radiation. The amount of ionization depends on the time of day, season and the position in the 11-year sun spot cycle. The specific radio frequency refracted is a function of electron density and launch angle.

A communication channel thousands of kilometers long can be established by successive reflections at the earth’s surface and in the upper atmosphere. This ionospheric propagation takes place mainly in the HF band.

The ionosphere is composed of several layers, which vary according to the time of day. Each layer has different propagation characteristics:

    

    D layer – This layer occurs only during the day at altitudes of 60 to 90 km. High absorption takes place at frequencies up to 7 MHz.
    E layer – This layer occurs at altitudes of 100 to 125 km. In the summer, dense ionization clouds can form for short periods. These clouds called _sporadic E_ can refract radio signals in the VHF spectrum. This phenomenon allows amateur radio operators to communicate over enormous distances.
    F layer - This single nighttime layer splits into two layers (F1 and F2) during the day. The F1 layer forms at about 200 km and F2 at about 400 km. The F2 layer propagates most HF short-wave transmissions.

Because radio signals can take many paths to the receiver, multipath fading can occur. If the signals arrive in phase, the result is a stronger signal. If they arrive out of phase with each other, they tend to cancel.

Deep fading, lasting from minutes to hours over a wide frequency range, can occur when solar flares increase the ionization in the D layer.

The useful transmission band ranges between the LUF (lowest usable frequency) and MUF (maximum usable frequency). Frequencies above the MUF are refracted into space. Below the LUF, radio frequencies suffer severe absorption. If a signal is near either of these two extremes, it may be subject to fading.

Meteors create ionization trails that reflect radio waves. Although these trails exist for only a few seconds, they have been successfully used in communications systems spanning 1500 km.

The Aurora Borealis or Northern Lights cause random reflection in the 3 - 5 MHz region. Aurora causes signal flutter at 100 Hz to 2000 Hz thus making voice transmission impossible.

## Fading and Interference[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-12)]

Radio signals may vary in intensity for many reasons.

### Flat Earth Reflections (Horizontal Polarization)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-13)]

There are at least two possible paths for radio waves to travel when the antennas are near the earth: direct path and reflected path. These two signals interact in a very complex manner. However, ignoring polarization and assuming a flat earth can produce some interesting mathematical descriptions.

    

    

    ![Direct relected wave.gif](../../../upload.wikimedia.org/wikibooks/en/b/be/Direct_relected_wave.gif)

    

    

    _p1_ = direct wave path length

    

    

    _p2_ = reflected wave path length

    

    

    ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_p_ = _p2 \- p1_ difference in path lengths

    

    

    _d_ = distance

From the geometry we can observe:

    

    

    ![p_1^2  = \\left\( {h_r  - h_t } \\right\)^2  + d^2](../../../upload.wikimedia.org/math/c/1/b/c1bd51e8eb7669c08dc920eb61e1ed80.png)

    

    

    ![p_2^2  = \\left\( {h_r  + h_t } \\right\)^2  + d^2](../../../upload.wikimedia.org/math/b/b/7/bb79f15aee82a052d9d8d7322b5beac0.png)

    

    

    ![p_2^2  - p_1^2  = \\left\( {h_r  - h_t } \\right\)^2  + d^2  - \\left\( {h_r  + h_t } \\right\)^2  - d^2  = 4h_r h_t ](../../../upload.wikimedia.org/math/8/8/b/88bb0c24993635233c0b2bedae320b71.png)

    

    

    ![\\left\( {p_2  - p_1 } \\right\)\\left\( {p_2  + p_1 } \\right\) = 4h_r h_t ](../../../upload.wikimedia.org/math/c/0/9/c090016eac3cbca0df59368726b921dc.png)

But![\\Delta p = \\left\( {p_2  - p_1 } \\right\)](../../../upload.wikimedia.org/math/c/c/d/ccd683b8ed6ac83b9a4f48093c9f3510.png) and ![d \\approx p_1  \\approx p_2 ](../../../upload.wikimedia.org/math/0/9/9/0994de94424bc94daf44cd12751c1cc2.png)

    

    

    ![\\Delta p2d \\approx 4h_r h_t ](../../../upload.wikimedia.org/math/e/6/5/e65f6c466e39ea6936573fdfe55209b3.png) therefore ![\\Delta p \\approx \\frac{{2h_r h_t }}{d}](../../../upload.wikimedia.org/math/d/f/b/dfb313c32d41587726a134fa4255c5f3.png)

If the difference in the two paths ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_p_, is 1/2 ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png) long, the two signals tend to cancel. If ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_p_ is equal to ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png), the two signals tend to reinforce. The path difference ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_p_ therefore corresponds to a phase angle change of:

    

    

    ![\\varphi _p  = \\frac{{2\\pi }}{\\lambda }\\Delta p = \\frac{{4\\pi h_r h_t }}{{\\lambda d}}](../../../upload.wikimedia.org/math/d/5/0/d50b433041cb998182a56342286c23fd.png)

The resultant received signal is the sum of the two components. The situation is unfortunately made more complex by the fact that the phase integrity of the reflected wave is not maintained at the point of reflection.

If we limit the examination of reflected waves to the horizontally polarized situation, we obtain the following geometry:

    

    

    ![Vector sum.gif](../../../upload.wikimedia.org/wikibooks/en/8/83/Vector_sum.gif)

Applying the cosine rule to this diagram, we obtain a resultant signal of:

    

    

    ![E_r  = E_1 \\sqrt {2\\left\( {1 - \\cos \\varphi _p } \\right\)}  = 2E_1 \\sin \\left\( {\\frac{{\\varphi _p }}{2}} \\right\)](../../../upload.wikimedia.org/math/c/2/d/c2d6c53b75a226ba7cafade698f928c3.png)

The signal strength of the direct wave is the unit distance value divided by the distance: ![E_r  = \\frac{{E_0 }}{d}](../../../upload.wikimedia.org/math/0/a/7/0a77484d2538dd059d322532c7b9c462.png) Therefore, the received signal can be written as:

    

    

    ![E_r  = \\frac{{2E_0 }}{d}\\sin \\left\( {\\frac{{2\\pi h_r h_t }}{{\\lambda d}}} \\right\)](../../../upload.wikimedia.org/math/5/a/2/5a2992d4c146a3f90023008fa1cf4d18.png)

For small angles this can be approximated by:

    

    

    ![E_r  \\approx \\frac{{2E_0 }}{d}\\frac{{2\\pi h_r h_t }}{{\\lambda d}} = E_0 \\frac{{4\\pi h_r h_t }}{{\\lambda d^2 }}](../../../upload.wikimedia.org/math/e/e/1/ee14162a59a85a7b3f80f5668e89cf8a.png)

### Multipath Fading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-14)]

The received signal is generally a combination of many signals, each coming over a different path. The phase and amplitude of each component are related to the nature of the path. These signals combine in a very complex manner. Some multipath fading effects are characterized by delay spread, Rayleigh and Ricean fading, doppler shifting, etc. Fading is the most significant phenomenon causing signal degradation. There are several different categories of fading:

    

    

  * Flat fading: the entire pass band of interest is affected equally (also known as narrow or amplitude varying channels).
  * Frequency selective fading: certain frequency components are affected more than others (also known as wideband channels). This phenomenon tends to introduce inter-symbol interference.
  * Slow fading: the channel characteristics vary at less than the baud rate.
  * Fast fading: the channel characteristics vary faster than the baud rate.

#### Time Dispersion[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-15)]

Time dispersion occurs when signals arrive at different times. Signals traveling at the speed of light move about 1 foot in 1 nanosecond. This spreading tends to limit the bit rate over RF links.

#### Rayleigh Fading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-16)]

The Rayleigh distribution can be used to describe the statistical variations of a flat fading channel. Generally, the strength of the received signal falls off as the inverse square of the distance between the transmitter and receiver. However, in cellular systems, the antennas are pointed slightly down and the signal falls of more quickly.

    

    

    ![Rayleigh fading doppler 10Hz.gif](../../../upload.wikimedia.org/wikibooks/en/thumb/f/fd/Rayleigh_fading_doppler_10Hz.gif/300px-Rayleigh_fading_doppler_10Hz.gif)

#### Ricean Fading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-17)]

The Ricean distribution is used to describe the statistical variations of signals with a strong direct or line-of-sight component and numerous weaker reflected ones. This can happen in any multipath environment such as inside buildings or in an urban center.

A received signal is generally comprised of several signals, each taking a slightly different path. Since some may add constructively in-phase and others out of phase, the overall signal strength may vary by 40 dB or more if the receiver is moved even a very short distance.

#### Doppler Shift[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-18)]

A frequency shift is caused by the relative motion of the transmitter and receiver, or any object that reflects/refracts signal. This movement creates random frequency modulation. Doppler frequency shift is either positive or negative depending on whether the transmitter is moving towards or away from the receiver.

This Doppler frequency shift is given by:

    

    

    

    ![f_d  = \\frac{{v_m }}{c}f_c ](../../../upload.wikimedia.org/math/3/4/7/347486ba451a5dec6180fb2e5ebb7b8f.png)

_vm_ is the relative motion of the transmitter with respect to the receiver, _c_ is the speed of light and _fc_ is the transmitted frequency. In the multipath environment, the relative movement of each path is generally different. Thus, the signal is spread over a band of frequencies. This is known as the Doppler spread.

  


### Atmospheric Diffraction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-19)]

Radio waves cannot penetrate very far into most objects. Consequently, there is often a shadow zone behind objects such as buildings, hills, etc.

The radio shadow zone does not have a very sharp cutoff due to spherical spreading, also called Huygens’ principle. Each point on a wavefront acts as it were a point source radiating along the propagation path. The overall wavefront is the vector sum of all the point sources or wavelets. The wavelet magnitude is proportional to ![1 + \\cos \\theta ](../../../upload.wikimedia.org/math/9/2/5/9251fb85279ae04b818b56de1bd12021.png) where ![\\theta](../../../upload.wikimedia.org/math/5/0/d/50d91f80cbb8feda1d10e167107ad1ff.png) is measured from the direction of propagation. The amplitude is a maximum in the direction of propagation and zero in the reverse direction.

## Reflection[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-20)]

Reflection normally occurs due to the surface of earth or building & hills which have large dimension relative to the wavelength of the propagation waves. The reflected wave changes the incident angle.

There is similarity b/w the reflection of light by a conducting medium. In both cases, angle of reflection is equal to angle of incidence. The equality of the angles of reflection & incidence follows the second law of reflection for light.

## Diffraction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-21)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This section is a stub.**  
You can help Wikibooks by [expanding it](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit).

## Path Loss[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-22)]

## Rayleigh Fading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-23)]

## Rician Fading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-24)]

## Doppler Shift[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wave_Propagation&action=edit&section=T-25)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page is going to talk about the effect of noise on transmission systems.

## Types of Noise[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electronic_noise**_](http://en.wikipedia.org/wiki/Electronic_noise)

Most man made electro-magnetic noise occurs at frequencies below 500 MHz. The most significant of these include:

    

    • Hydro lines
    • Ignition systems
    • Fluorescent lights
    • Electric motors

Therefore deep space networks are placed out in the desert, far from these sources of interference.

There are also a wide range of natural noise sources which cannot be so easily avoided, namely:

    

    •_Atmospheric noise_ \- lighting < 20 MHz
    •_Solar noise_ \- sun - 11 year sunspot cycle
    •_Cosmic noise_ \- 8 MHz to 1.5 GHz
    •_Thermal or Johnson noise_. Due to free electrons striking vibrating ions.
    •_White noise_ \- white noise has a constant spectral density over a specified range of frequencies. Johnson noise is an example of white noise.
    •_Gaussian noise_ \- Gaussian noise is completely random in nature however, the probability of any particular amplitude value follows the normal distribution curve. Johnson noise is Gaussian in nature.
    •_Shot noise_ \- bipolar transistors 

    

    ![i_n  = \\sqrt {2qI_{dc} \\Delta f} ](../../../upload.wikimedia.org/math/a/b/2/ab24de42f85fe8e4a8d5d82f5e17562a.png)
    where _q_ = electron charge 1.6 x 10-19 coulombs
    •_Excess noise, flicker, 1/f, and pink noise_ < 1 KHz are Inversely proportional to frequency and directly proportional to temperature and dc current
    •_Transit time noise_ \- occurs when the electron transit time across a junction is the same period as the signal.

Of these, only Johnson noise can be readily analysed and compensated for. The noise power is given by:

    

    

    

    ![P_n  = kTB](../../../upload.wikimedia.org/math/5/4/f/54f8324eb796c859bc2b1f90360338c4.png)

Where:

    

    _k_ = Boltzman's constant (1.38 x 10-23 J/K)
    T = temperature in degrees Kelvin
    B = bandwidth in Hz

This equation applies to copper wire wound resistors, but is close enough to be used for all resistors. Maximum power transfer occurs when the source and load impedance are equal.

### Combining Noise Voltages[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-2)]

The instantaneous value of two noise voltages is simply the sum of their individual values at the same instant.

    

    ![v_{total\\;inst}  = v_{1\\;inst}  + v_{2\\;inst} ](../../../upload.wikimedia.org/math/3/d/2/3d248ed380d80401fa7a5ca81969be21.png)

This result is readily observable on an oscilloscope. However, it is not particularly helpful, since it does not result in a single stable numerical value such as one measured by a voltmeter.

If the two voltages are coherent [K = 1], then the total rms voltage value is the sum of the individual rms voltage values.

    

    ![v_{total\\;rms}  = v_{1\\;rms}  + v_{2\\;rms} ](../../../upload.wikimedia.org/math/c/6/1/c61d10424cdb0cfc48d1e64ac959b231.png)

If the two signals are completely random with respect to each other [K = 0], such as Johnson noise sources, the total power is the sum of all of the individual powers:

    

    ![P_{total\\;random\\;noise}  = P_{n1\\;random}  + P_{n2\\;random} ](../../../upload.wikimedia.org/math/0/4/4/044c2b3fa628b0501222b1d9d83e7368.png)

A Johnson noise of power _P = kTB_, can be thought of as a noise voltage applied through a resistor, Thevenin equivalent.

    

    

    

    ![Noise source.gif](../../../upload.wikimedia.org/wikibooks/en/b/b5/Noise_source.gif)

An example of such a noise source may be a cable or transmission line. The amount of noise power transferred from the source to a load, such as an amplifier input, is a function of the source and load impedances.

    

    ![Noise circuit.gif](../../../upload.wikimedia.org/wikibooks/en/4/45/Noise_circuit.gif)

If the load impedance is 0 ![\\Omega](../../../upload.wikimedia.org/math/b/9/d/b9d99db8626de63193c7fe96273a6cae.png), no power is transferred to it since the voltage is zero. If the load has infinite input impedance, again no power is transferred to it since there is no current. Maximum power transfer occurs when the source and load impedances are equal.

    

    ![P_{L\\;\\max }  = \\frac{{e_s^2 }}{{4R_s }}](../../../upload.wikimedia.org/math/3/b/c/3bc157bb336a9c55a9149adbd9fd74cc.png)

The rms noise voltage at maximum power transfer is:

    

    ![e_n  = \\sqrt {4RP}  = \\sqrt {4RkTB} ](../../../upload.wikimedia.org/math/7/4/8/7480e47e21fdc363f4100a62837c9eff.png)

    

    ![Matched thermal noise.gif](../../../upload.wikimedia.org/wikibooks/en/6/6c/Matched_thermal_noise.gif)

Observe what happens if the noise resistance is resolved into two components:

    

    ![e_n^2  = 4RkTB = 4\\left\( {R_1  + R_2 } \\right\)kTB = e_{n1}^2  + e_{n2}^2 ](../../../upload.wikimedia.org/math/c/1/7/c17bb09b7a5fe422c96e5c643d5adf8b.png)

From this we observe that random noise resistance can be added directly, but random noise voltages add vectorially:

    

    ![Vector addition.gif](../../../upload.wikimedia.org/wikibooks/en/f/fa/Vector_addition.gif)

If the noise sources are not quite random, and there is some correlation between them [0 < K < 1], the combined result is not so easy to calculate:

    

    ![P_{Total\\;\\left\( {{\\rm{not }}\\;{\\rm{quite}}\\;{\\rm{ random}}} \\right\)}  = \\frac{{E_1^2  + E_2^2  + 2KE_1 E_2 }}{{R_0 }} = P_1  + P_2  = 2K\\sqrt {P_1  + P_2 } ](../../../upload.wikimedia.org/math/5/8/8/588e23486a903e46692c36cf498ff2bc.png)

    

    where

    

    _K_ = correlation [0 _<_ _K_ _<_ 1]
    _R0_ = reference impedance

## Noise Temperature[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-3)]

The amount of noise in a given transmission medium can be equated to thermal noise. Thermal noise is well-studied, so it makes good sense to reuse the same equations when possible. To this end, we can say that any amount of radiated noise can be approximated by thermal noise with a given **effective temperature**. Effective temperature is measured in Kelvin. Effective temperature is frequently compared to the **standard temperature**, ![T_o](../../../upload.wikimedia.org/math/f/f/5/ff5bcbae94bb02f998ecbd0d200d3ba8.png), which is 290 Kelvin.

In microwave applications, it is difficult to speak in terms of currents and voltages since the signals are more aptly described by field equations. Therefore, temperature is used to characterize noise. The total noise temperature is equal to the sum of all the individual noise temperatures.

## Noise Figure[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-4)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Noise_figure**_](http://en.wikipedia.org/wiki/Noise_figure)

The terms used to quantify noise can be somewhat confusing but the key definitions are:

    

    **Signal to noise ratio**: It is either unitless or specified in dB. The S/N ratio may be specified anywhere within a system.

    

    

    

    ![\\frac{S}{N} = \\frac{{{\\rm{signal}}\\;{\\rm{power}}}}{{{\\rm{noise}}\\;{\\rm{power}}}} = \\frac{{P_s }}{{P_n }}](../../../upload.wikimedia.org/math/5/1/e/51effafea4177daa1d672495d61addf8.png)

    

    

    

    ![\\left\( {\\frac{S}{N}} \\right\)_{dB}  = 10\\log \\frac{{P_s }}{{P_n }}](../../../upload.wikimedia.org/math/e/b/1/eb188931097f5015f596e00d6f28e5fe.png)

    

    **Noise Factor (or Noise Ratio)**: ![F = \\frac{{\\left\( {\\frac{S}{N}} \\right\)_{in} }}{{\\left\( {\\frac{S}{N}} \\right\)_{out} }}](../../../upload.wikimedia.org/math/8/6/4/864bef1015402619b0bc18d098dad60c.png) (unit less)

    

    **Noise Figure**: ![NF = 10\\log F = SNR_{in}  - SNR_{out} ](../../../upload.wikimedia.org/math/1/a/0/1a0a3c16748670548635efbd1d660fa6.png) dB

This parameter is specified in all high performance amplifiers and is measure of how much noise the amplifier itself contributes to the total noise. In a perfect amplifier or system, _NF_ = 0 dB. This discussion does not take into account any noise reduction techniques such as filtering or dynamic emphasis.

    

    

    

    ![G.gif](../../../upload.wikimedia.org/wikibooks/en/7/75/G.gif)

### Friiss' Formula & Amplifier Cascades[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-5)]

It is interesting to examine an amplifier cascade to see how noise builds up in a large communication system.

    

    ![F = \\frac{{\\left\( {\\frac{S}{N}} \\right\)_{in} }}{{\\left\( {\\frac{S}{N}} \\right\)_{out} }} = \\frac{{S_{in} }}{{N_{in} }} \\times \\frac{{N_{out} }}{{S_{out} }}](../../../upload.wikimedia.org/math/2/3/9/23905713fd460918de681f63bc15234f.png)

  
Amplifier gain can be defined as: ![G = \\frac{{S_{out} }}{{S_{in} }}](../../../upload.wikimedia.org/math/4/4/0/4405f78d04d2a0709caa856c459d6aae.png)

    

    

    

    ![G2.gif](../../../upload.wikimedia.org/wikibooks/en/4/4d/G2.gif)

  


    

    Therefore the output signal power is: ![S_{out}  = GS_{in}](../../../upload.wikimedia.org/math/e/b/c/ebc668e259615d4d5de79a767f87300d.png)

    

    and the noise factor (ratio) can be rewritten as: ![F = \\frac{{S_{in} }}{{N_{in} }} \\times \\frac{{N_{out} }}{{GS_{in} }} = \\frac{{N_{out} }}{{GN_{in} }}](../../../upload.wikimedia.org/math/f/7/3/f73d5584ea0c3be22acfd09f297270f6.png)

  


    

    The output noise power can now be written: ![N_{out}  = FGN_{in} ](../../../upload.wikimedia.org/math/3/8/a/38a0946c5f8e6da5b2dbe455d5956193.png)

  
From this we observe that the input noise is increased by the noise ratio and amplifier gain as it passes through the amplifier. A noiseless amplifier would have a noise ratio (factor) of 1 or noise figure of 0 dB. In this case, the input noise would only be amplified by the gain since the amplifier would not contribute noise.

  


    

    The minimum noise that can enter any system is the Johnson Noise:

    

    

    

    ![N_{in\\left\( {{\\rm{minimum}}} \\right\)}  = kTB](../../../upload.wikimedia.org/math/7/3/0/730fe31e2832bf6d3132924a14e581b6.png)

  


    

    Therefore the minimum noise that can appear at the output of any amplifier is:

    

    

    

    ![N_{out\\left\( {{\\rm{minimum}}} \\right\)}  = FGkTB](../../../upload.wikimedia.org/math/0/f/a/0fafebebc676c66ec6d078b84fa762f3.png)

  


    

    The output noise of a perfect amplifier would be (_F_ = 1):

    

    

    

    ![N_{out\\left\( {{\\rm{perfect}}} \\right\)}  = GkTB](../../../upload.wikimedia.org/math/d/b/9/db981eca799f905fb7558390b7125d6d.png)

  


    

    The difference between these two values is the noised created (added) by the amplifier itself:

    

    

    

    ![N_{out\\left\( {{\\rm{added}}} \\right\)}  = N_{out\\left\( {{\\rm{minimum}}} \\right\)}  - N_{out\\left\( {{\\rm{perfect}}} \\right\)}  = FGkTB - GkTB = \\left\( {F - 1} \\right\)GkTB](../../../upload.wikimedia.org/math/e/7/c/e7ca831c93b7f9a03edfcc3228fe7976.png)

    

    This is the additional (created) noise, appearing at the output.

  
**The total noise out of the amplifier is then given by:**

    

    

    

    ![N_{total}  = N_{out\\left\( {{\\rm{perfect}}} \\right\)}  + N_{out\\left\( {{\\rm{added}}} \\right\)}  = GkTB + \\left\( {F - 1} \\right\)GkTB](../../../upload.wikimedia.org/math/5/f/e/5feb8413ac0b213caf28f137ab471798.png)

  
If a second amplifier were added in series, the total output noise would consist the first stage noise amplified by the second stage gain, plus the additional noise of the second amplifier:

    

    

    

    ![N_{total}  = G_1 G_2 kTB + \\left\( {F_1  - 1} \\right\)G_1 G_2 kTB + \\left\( {F_2  - 1} \\right\)G_2 kTB](../../../upload.wikimedia.org/math/e/2/0/e2028f751dff96ef832d1cfc8b413a64.png)

  


    

    If we divide both sides of this expression by the common term: ![G_1 G_2 kTB](../../../upload.wikimedia.org/math/8/c/5/8c5553f627c2696f542adc97f33c2f02.png)

    

    we obtain:

    

    

    

    ![\\frac{{N_{total} }}{{G_1 G_2 kTB}} = \\frac{{G_1 G_2 kTB + \\left\( {F_1  - 1} \\right\)G_1 G_2 kTB + \\left\( {F_2  - 1} \\right\)G_2 kTB}}{{G_1 G_2 kTB}}](../../../upload.wikimedia.org/math/c/d/8/cd89b5557b5d247e8ea0f64a288e8988.png)

    

    Recall: ![F = \\frac{{N_{out} }}{{GN_{in} }} = \\frac{{N_{total} }}{{G_1 G_2 kTB}}](../../../upload.wikimedia.org/math/2/3/0/2309852e215fc034fc597db69e5a5185.png)

    

    Then: ![F_{overall}  = F_1  + \\frac{{F_2  - 1}}{{G_1 }}](../../../upload.wikimedia.org/math/3/6/7/3670f84d2162b0c1729d0172800ef64d.png)

  
This process can be extended to include more amplifiers in cascade to arrive at:

    **Friiss' Formula**

    

    

    

    ![F = F_1  + \\frac{{F_2  - 1}}{{G_1 }} + \\frac{{F_3  - 1}}{{G_1 G_2 }} +   ](../../../upload.wikimedia.org/math/2/9/6/296389401bf86a6677709853f29f59e3.png)

  
This equation shows that the overall system noise figure is largely determined by the noise figure of the first stage in a cascade since the noise contribution of any stage is divided by the gains of the preceding stages. This is why the 1st stage in any communication system should be an LNA (low noise amplifier).

## Receiver Sensitivity[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-6)]

In a given bandwidth, W, we can show that the noise power N equals:

    ![N = F\(kT_0\)W](../../../upload.wikimedia.org/math/d/c/7/dc70878f3335f411bae9469d38030035.png)

From N, we can show that the sensitivity of the receiver is equal to

    ![SNR \\times N](../../../upload.wikimedia.org/math/5/7/1/5711c507f205b4e5efb599f828190b13.png)

## Cascaded Systems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Noise_Figure&action=edit&section=T-7)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page will discuss the topic of signal propagation through physical mediums, such as wires.

  


## Transmission Line Equation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Transmission_line**_](http://en.wikipedia.org/wiki/Transmission_line)

Many kinds of communication systems require signals at some point to be conveyed over copper wires.

The following analysis requires two assumptions:

    

    • A transmission line can be decomposed into small, distributed passive electrical elements
    • These elements are independent of frequency (i.e. although _reactance_ is a function of frequency, resistance, capacitance and inductance are not)

These two assumptions limit the following analysis to frequencies up to the low MHz region. The second assumption is particularly difficult to defend since it is well known that the resistance of a wire increases with frequency because the conduction cross-section decreases. This phenomenon is known as the skin effect and is not easy to evaluate.

    

    ![Transmission line.gif](../../../upload.wikimedia.org/wikibooks/en/3/39/Transmission_line.gif)

  
The purpose behind the following mathematical manipulation is to obtain an expression that defines the voltage (or current) at any time (_t_) along any portion (_x_) of the transmission line. Later, this analysis will be extended to include the frequency domain.

Recall the characteristic equations for inductors and capacitors:

    

    

    ![ v = L\\frac{{\\partial i}}{{\\partial t}}](../../../upload.wikimedia.org/math/9/c/0/9c0f798bbe14cdbdb53d3baa82858c35.png) and ![ i = C\\frac{{\\partial v}}{{\\partial t}}](../../../upload.wikimedia.org/math/5/3/d/53d5dcde864c2ed965af4fbfaf2b023c.png)

  


### Kirchoff's Voltage Law[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-2)]

Kirchoff's voltage law (KVL) simply states that the sum of all voltage potentials around a closed loop equal zero. Or in other words, if you walked up a hill and back down, the net altitude change would be zero.

    

    Applying KVL in the above circuit, we obtain:

    

    

    

    ![ v\\left\( {x,t} \\right\) = R\\Delta xi\\left\( {x,t} \\right\) + L\\Delta x\\frac{{\\partial i}}{{\\partial t}}\\left\( {x,t} \\right\) + v\\left\( {x + \\Delta x,t} \\right\)](../../../upload.wikimedia.org/math/e/e/6/ee6461dd640ad9cf369aedb90c941dca.png)

  


    

    Rearranging:

    

    

    ![ v\\left\( {x,t} \\right\) - v\\left\( {x + \\Delta x,t} \\right\) = R\\Delta xi\\left\( {x,t} \\right\) + L\\Delta x\\frac{{\\partial i}}{{\\partial t}}\\left\( {x,t} \\right\)](../../../upload.wikimedia.org/math/c/d/c/cdc01911c73bebcb8b31a95fec663f96.png)

  


    

    But the LHS (left hand side) of the above equation, represents the voltage drop across the cable element ![\\Delta v](../../../upload.wikimedia.org/math/5/a/e/5aef16cbecb887c48ad84c1fd89002a8.png), therefor:

    

    

    ![\\Delta v = R\\Delta xi\\left\( {x,t} \\right\) + L\\Delta x\\frac{{\\partial i}}{{\\partial t}}\\left\( {x,t} \\right\)](../../../upload.wikimedia.org/math/7/b/a/7baefd599bf0394bf9a086aac0aa5bee.png)

  


    

    Dividing through by ![\\Delta x](../../../upload.wikimedia.org/math/b/5/6/b56546a86ab832a9b2a5b15f96519319.png), we obtain:

    

    

    ![\\frac{{\\Delta v}}{{\\Delta x}} = Ri\\left\( {x,t} \\right\) + L\\frac{{\\partial i}}{{\\partial t}}\\left\( {x,t} \\right\)](../../../upload.wikimedia.org/math/8/c/6/8c61c5a45b87243669389422a3bf89ab.png)

  


    

    The LHS is easily recognized as a derivative. Simplifying the notation:

    

    

    ![\\frac{{\\partial v}}{{\\partial x}} = Ri + L\\frac{{\\partial i}}{{\\partial t}}](../../../upload.wikimedia.org/math/9/4/5/945758c7910114de9aa78706f129b5ba.png)

  
This expression has both current and voltage in it. It would be convenient to write the equation in terms of current or voltage as a function of distance or time.

  


### Simplifying the Equation (trust me)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-3)]

The first step in separating voltage and current is to take the derivative with respect to the position _x_ (**Equation 1**):

    

    

    

    ![\\frac{{\\partial ^2 v}}{{\\partial x^2 }} = R\\frac{{\\partial i}}{{\\partial x}} + L\\frac{{\\partial ^2 i}}{{\\partial x\\partial t}}](../../../upload.wikimedia.org/math/e/9/8/e9898599051efa7937ce8b71e2be0c9e.png)

  


    

    The next step is to eliminate the current terms, leaving an expression with voltage only. The change in current along the line is equal to the current being shunted across the line through the capacitance _C_ and conductance _G_. By applying KCL in the circuit, we obtain the necessary information (**Equation 2**):

    

    

    

    ![\\frac{{\\partial i}}{{\\partial x}} = Gv + C\\frac{{\\partial v}}{{\\partial t}}](../../../upload.wikimedia.org/math/c/d/4/cd41c7c52e0579053e0a8282133aeacd.png)

  


    

    Taking the derivative with respect to time, we obtain (**Equation 3**):

    

    

    

    ![\\frac{{\\partial ^2 i}}{{\\partial x\\partial t}} = G\\frac{{\\partial v}}{{\\partial t}} + C\\frac{{\\partial ^2 v}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/0/1/f/01fe640a5a94af6c8cff4ca8d0e92b1f.png)

  


    

    Substituting (**Equation 2**) and (**Equation 3**) into (**Equation 1**), we obtain the desired simplification:

    

    

    

    ![\\frac{{\\partial ^2 v}}{{\\partial x^2 }} = R\\left\[ {Gv + C\\frac{{\\partial v}}{{\\partial t}}} \\right\] + L\\left\[ {G\\frac{{\\partial v}}{{\\partial t}} + C\\frac{{\\partial ^2 v}}{{\\partial t^2 }}} \\right\]](../../../upload.wikimedia.org/math/0/d/8/0d8e77c3bd591bfecc26625a4055e19e.png)

  


    

    Collecting the terms, we obtain:

    

    **The Transmission Line Equation for Voltage**

    

    

    

    ![\\frac{{\\partial ^2 v}}{{\\partial x^2 }} = RGv + \\left\( {RC + LG} \\right\)\\frac{{\\partial v}}{{\\partial t}} + LC\\frac{{\\partial ^2 v}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/1/5/9/159a7a011405d4120a12d8320168b71d.png)

  
This equation is known as the transmission line equation. Note that it has voltage at any particular location _x_ as a function of time _t_.

    

    Similarly for current, we obtain:

    

    **The Transmission Line Equation for Current**

    

    

    

    ![\\frac{{\\partial ^2 i}}{{\\partial x^2 }} = RGi + \\left\( {RC + LG} \\right\)\\frac{{\\partial i}}{{\\partial t}} + LC\\frac{{\\partial ^2 i}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/2/f/4/2f45422657711d0c615e6a8e5a87f32d.png)

  
But we're not quite done yet.

### Solving the Transmission Line Equation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-4)]

Historically, a mathematician would solve the transmission line equation for _v_ by assuming a solution for _v_, substituting it into the equation, and observing whether the result made any sense. An engineer would follow a similar procedure by making an “educated guess” based on some laboratory experiments, as to what the solution might be. Today there are more sophisticated techniques used to find solutions. In this respect, the engineer may lag behind the mathematician by several centuries in finding applications for mathematical tools.

To solve the transmission line equation, we shall guess that the solution for the voltage function is of the form:

    

    

    ![ v\\left\( t \\right\) = e^{j\\omega t} e^{ - \\gamma x} ](../../../upload.wikimedia.org/math/d/e/8/de8956d9eb59adabed1a551233d353d6.png)

  
The first term represents a unity vector rotating at an angular velocity of ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png) radians per second, in other words, a sine wave of some frequency. The second term denotes the sinusoid being modified by the transmission line, namely its amplitude decaying exponentially with distance. If we let ![\\gamma](../../../upload.wikimedia.org/math/3/3/4/334de1ea38b615839e4ee6b65ee1b103.png) be a complex quantity, we can also include any phase changes which occur as the signal travels down the line.

    The sine wave is used as a signal source because it is easy to generate, and manipulate mathematically. Euler’s Identity shows the relationship between exponential notation and trigonometric functions:

    

    **Euler's Identity**

    

    

    

    ![ e^{j\\omega t}  = \\cos \\left\( {\\omega t} \\right\) + j\\sin \\left\( {\\omega t} \\right\)](../../../upload.wikimedia.org/math/d/b/a/dba0ef3c697de480a022c936fcdc0718.png)

  


    

    Going back to our educated guess, we will let ![\\gamma  = \\alpha  + j\\beta](../../../upload.wikimedia.org/math/f/e/5/fe56c077f78e466dd3dd274173101e36.png), therefore:

  


    

    

    

    ![ v\\left\( t \\right\) = e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x}  = e^{ - \\alpha x} e^{\\left\( {\\omega t - \\beta x} \\right\)j} ](../../../upload.wikimedia.org/math/8/5/1/85124d1907a2364cbb1e6c56c621529d.png)

    

    The term ![ e^{ - \\alpha x} ](../../../upload.wikimedia.org/math/4/1/c/41c928c757963449230aa7b0c63b0e5d.png) represents the exponential amplitude decay as this signal travels down the line. ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png) is known as the attenuation coefficient and is expressed in Nepers per meter.

    

    The term ![ e^{\\left\( {\\omega t - \\beta x} \\right\)j} ](../../../upload.wikimedia.org/math/c/c/a/ccafcc1a9677398d2bf5970255fd11db.png) represents the frequency of the signal at any point along the line. ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png) component is known as the phase shift coefficient, and is expressed in radians per meter.

    

    Substituting our _educated guess_

    

    

    

    ![ v\\left\( t \\right\) = e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x}  ](../../../upload.wikimedia.org/math/d/5/9/d598ac14970abefc5a46811bcaaa1225.png)

  


    

    into the transmission line equation for voltage, we obtain:

    

    

    

    ![\\frac{{\\partial ^2 }}{{\\partial x^2 }}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] = RG\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] + \\left\( {RC + LG} \\right\)\\frac{\\partial }{{\\partial t}}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] + LC\\frac{{\\partial ^2 }}{{\\partial t^2 }}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\]](../../../upload.wikimedia.org/math/f/2/b/f2b712b1fdc2611b202b2edaaf8f8b33.png)

  
This looks pretty intimidating, but if you can do basic differentials and algebra, you can do this!

  


#### Simplifying the Equation (trust me)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-5)]

The idea now is to work through the math to see if we come up with a reasonable solution. If we arrive at a contradiction or an unreasonable result, it means that our educated guess was wrong and we have to do more experimenting and come up with a better guess as to how voltage and current travel down a transmission line.

Let's look at this equation one term at a time:

    

    

    

    LHS = RHS Term 1 + RHS Term 2 + RHS Term 3

  


    

    Starting with the left hand side (LHS) we get the following simplification:

    

    

    

    ![\\frac{{\\partial ^2 }}{{\\partial x^2 }}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] = \\frac{\\partial }{{\\partial x}}\\left\[ { - \\left\( {\\alpha  + j\\beta } \\right\)e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] = \\left\( {\\alpha  + j\\beta } \\right\)^2 e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} ](../../../upload.wikimedia.org/math/d/0/b/d0bf7859c0d19b83390a1b4e7c7d4e1c.png)

  


    

    Believe it or not, the RHS Term 1 does not need simplifying.

    

    Simplifying the RHS Term 2, we obtain:

    

    

    

    ![\\left\( {RC + LG} \\right\)\\frac{\\partial }{{\\partial t}}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] = \\left\( {RC + LG} \\right\)j\\omega \\left\( {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\)](../../../upload.wikimedia.org/math/5/6/e/56e481a35c0f86c3565edb6fb71def8e.png)

  


    

    Simplifying the RHS Term 3, we obtain:

    

    

    

    ![ LC\\frac{{\\partial ^2 }}{{\\partial t^2 }}\\left\[ {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] = LC\\frac{\\partial }{{\\partial t}}\\left\[ {j\\omega e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\] =  - LC\\omega ^2 e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} ](../../../upload.wikimedia.org/math/8/3/7/837b12b85e6ec364d43a1b855cbbd502.png)

  


    

    Let's put it all back together:

    

    

    

    ![\\left\( {\\alpha  + j\\beta } \\right\)^2 e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x}  = RG\\left\( {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\) + \\left\( {RC + LG} \\right\)j\\omega \\left\( {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\) - LC\\omega ^2 \\left\( {e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} } \\right\)](../../../upload.wikimedia.org/math/b/f/1/bf1af81a47759ef946046c5e030103b2.png)

  


    

    Note that each of the four terms contain the expression ![ e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x} ](../../../upload.wikimedia.org/math/2/7/e/27ec7ae80b4837eca502570a55d391f3.png).

    

    Therefore we end up with:

    

    

    

    ![\\left\( {\\alpha  + j\\beta } \\right\)^2  = RG + \\left\( {RC + LG} \\right\)j\\omega  - LC\\omega ^2 ](../../../upload.wikimedia.org/math/5/1/b/51b2dbafa54f87352b039e64efe1284c.png)

  


    

    And this can be further simplified to:

    

    **Attenuation and Phase Shift Coefficients**

    

    

    

    ![\\alpha  + j\\beta  = \\gamma  = \\sqrt {\\left\( {R + j\\omega L} \\right\)\\left\( {G + j\\omega C} \\right\)} ](../../../upload.wikimedia.org/math/4/b/3/4b3c2c8843edb2ce5f0d5195b0d46d0b.png)

  
This result is not self contradictory or unreasonable. Therefore we conclude that our educated guess was right and we have successfully found an expression for attenuation and phase shift on a transmission line as a function of its distributed electrical components and frequency.

  


### Lossless Transmission Line[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-6)]

Signal loss occurs by two basic mechanisms: signal power can be dissipated in a resistor [or conductance] or signal currents may be shunted to an AC ground via a reactance. In transmission line theory, a lossless transmission line does not dissipate power. Signals, will still gradually diminish however, as shunt reactances return the current to the source via the ground path. For the power loss to equal zero, R = G = 0. This condition occurs when the transmission line is very short. An oscilloscope probe is an example of a very short transmission line. The transmission line equation reduces to the voltage equation:

    

    

    

    ![\\frac{{\\partial ^2 v}}{{\\partial x^2 }} = LC\\frac{{\\partial ^2 v}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/c/c/b/ccbc1372eaf07cbfe80bfa52b98124e7.png)

  


    

    and the current equation:

    

    

    

    ![\\frac{{\\partial ^2 i}}{{\\partial x^2 }} = LC\\frac{{\\partial ^2 i}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/9/b/3/9b3e1deb57e43418cdd1d275023226ee.png)

  
To determine how sinusoidal signals are affected by this type of line, we simply substitute a sinusoidal voltage or current into the above expressions and solve as before, or we could take a much simpler approach. We could start with the solution for the general case:

    

    

    

    ![\\alpha  + j\\beta  = \\gamma  = \\sqrt {\\left\( {R + j\\omega L} \\right\)\\left\( {G + j\\omega C} \\right\)} ](../../../upload.wikimedia.org/math/4/b/3/4b3c2c8843edb2ce5f0d5195b0d46d0b.png)

  


    

    Let _R_ = _G_ = 0, and simplify:

    

    

    

    ![\\alpha  + j\\beta  = \\sqrt {\\left\( {j\\omega L} \\right\)\\left\( {j\\omega C} \\right\)}  = \\omega \\left\( {LC} \\right\)^2 j](../../../upload.wikimedia.org/math/3/0/8/308ff21ffe8ca10221f4473388d310d1.png)

  


    

    Equating the real and imaginary parts:

    

    

    

    ![\\alpha  = 0](../../../upload.wikimedia.org/math/7/e/6/7e6cc6f61e0229c859f19cbdf4ae2a74.png)
    ![\\beta  = \\omega \\sqrt {LC} ](../../../upload.wikimedia.org/math/4/9/b/49bac7bcfeb0611e552f1e8f74c1922b.png)

  
This expression tells us that **a signal travelling down a lossless transmission line, experiences a phase shift directly proportional to its frequency.**

  


#### Phase Velocity[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-7)]

A new parameter, known as phase velocity, can be extracted from these variables:

    

    

    

    ![ V_p  = \\frac{1}{{\\sqrt {LC} }} = \\frac{\\omega }{\\beta }](../../../upload.wikimedia.org/math/9/6/f/96f78a97c764ad09fde257f749b31723.png) meters per second

  
Phase velocity is the speed at which a fixed point on a wavefront, appears to move. In the case of wire transmission lines, it is also the velocity of propagation., typically: 0.24c < Vp < 0.9c .

The distance between two identical points on a wavefront is its wavelength (![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)) and since one cycle is defined as 2![\\pi](../../../upload.wikimedia.org/math/5/2/2/522359592d78569a9eac16498aa7a087.png) radians:

  


    

    

    

    ![\\lambda  = \\frac{{2\\pi }}{\\beta }](../../../upload.wikimedia.org/math/2/3/e/23ee0c7c4f38fa010a0e1e0dc8bb4140.png) and ![ \\omega  = 2\\pi f](../../../upload.wikimedia.org/math/e/e/f/eefe9093ec365c277ea859d088715133.png)

  


    

    therefore:

    

    

    

    ![ V_p  = \\lambda f](../../../upload.wikimedia.org/math/b/0/2/b02a715e5d8ab7028cbbb01c7b10a0d7.png)

  
In free space, the phase velocity is 3 x 108 meters/sec, the speed of light. In a cable, the phase velocity is somewhat lower because the signal is carried by electrons. In a waveguide transmission line, the phase velocity exceeds the speed of light.

  


### Distortionless Transmission Line[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-8)]

A distortionless line does not distort the signal phase, but does introduce a signal loss. Since common transmission lines are not super conductors, the signal will decrease in amplitude but retain the same shape as the input. This characteristic is essential for long cable systems.

Phase distortion does not occur if the phase velocity _Vp_ is constant at all frequencies.

By definition, a phase shift of 2![\\pi](../../../upload.wikimedia.org/math/5/2/2/522359592d78569a9eac16498aa7a087.png) radians occurs over one wavelength ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png).

    

    Since

    

    

    

    ![V_p  = \\lambda f\\quad \\quad \\lambda  = \\frac{{2\\pi }}{\\beta }\\quad \\quad f = \\frac{\\omega }{{2\\pi }}](../../../upload.wikimedia.org/math/4/0/6/4066d670389b6f90c805ce02528d2c49.png)

  


    

    Then:

    

    

    

    ![V_p  = \\frac{{2\\pi }}{\\beta } \\times \\frac{\\omega }{{2\\pi }} = \\frac{\\omega }{\\beta }](../../../upload.wikimedia.org/math/1/5/3/1536f6aabb2ae07ad83a2726adfd0e16.png)

  
This tells us that in order for phase velocity _Vp_ to be constant, the phase shift coefficient ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png), must vary directly with frequency ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png).

    

    Recall

    

    

    

    ![\\gamma  = \\sqrt {\\left\( {R + j\\omega L} \\right\)\\left\( {G + j\\omega C} \\right\)}  = \\alpha  + j\\beta ](../../../upload.wikimedia.org/math/4/6/2/4622ca20631f95f68c23b7e208c4dd6a.png)

  
The problem now is to find ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png). This can be done as follows:

    

    

    

    ![\\gamma  = \\sqrt {\\left\( {\\frac{{R + j\\omega L}}{{j\\omega L}}} \\right\)\\left\( {j\\omega L} \\right\)\\left\( {\\frac{{G + j\\omega C}}{{j\\omega C}}} \\right\)\\left\( {j\\omega C} \\right\)}  = j\\omega \\sqrt {LC} \\sqrt {1 + \\frac{R}{{j\\omega L}}} \\sqrt {1 + \\frac{G}{{j\\omega C}}} ](../../../upload.wikimedia.org/math/4/3/5/435239113a360ab785249ad641154e9a.png)

  
It may seem that we have lost ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png), but do not give up. The 2nd and 3rd roots can be expanded by means of the Binomial Expansion.

    

    Recall:

    

    

    

    ![\\left\( {1 + x} \\right\)^n  = 1 + nx + \\frac{{n\\left\( {n - 1} \\right\)}}{{2!}}x^2  + \\frac{{n\\left\( {n - 1} \\right\)\\left\( {n - 2} \\right\)}}{{3!}}x^3  +  \\cdots ](../../../upload.wikimedia.org/math/7/b/1/7b17724ee415fe80a5ecc7f7b357cb87.png)

  


    

    In this instance _n_ = 1/2. Since the contribution of successive terms diminishes rapidly, ![\\gamma](../../../upload.wikimedia.org/math/3/3/4/334de1ea38b615839e4ee6b65ee1b103.png) is expanded to only 3 terms:

    

    

    

    ![\\gamma  \\approx j\\omega \\sqrt {LC} \\left\( {1 + \\frac{1}{2}\\frac{R}{{j\\omega L}} - \\frac{1}{8}\\left\( {\\frac{R}{{j\\omega L}}} \\right\)^2 } \\right\)\\left\( {1 + \\frac{1}{2}\\frac{G}{{j\\omega C}} - \\frac{1}{8}\\left\( {\\frac{G}{{j\\omega C}}} \\right\)^2 } \\right\)](../../../upload.wikimedia.org/math/e/3/9/e392b392084eae60e521f1214ea14af4.png)

  
This may seem complex, but remember it is only algebra and it will reduce down to simple elegance. Expanding the terms we obtain:

    

    

    

    ![\\gamma  \\approx j\\omega \\sqrt {LC} \\left\\{ \\begin{array}{l}
 1 + \\frac{1}{2}\\frac{G}{{j\\omega C}} - \\frac{1}{8}\\left\( {\\frac{G}{{j\\omega C}}} \\right\)^2  + \\frac{1}{2}\\frac{R}{{j\\omega L}} - \\frac{1}{4}\\frac{{RG}}{{\\omega ^2 LC}} \\\\ 
  - \\frac{1}{{16}}\\frac{R}{{j\\omega L}}\\left\( {\\frac{G}{{j\\omega C}}} \\right\)^2  - \\frac{1}{8}\\left\( {\\frac{R}{{j\\omega L}}} \\right\)^2  \\\\ 
  - \\frac{1}{{16}}\\left\( {\\frac{R}{{j\\omega L}}} \\right\)^2 \\frac{G}{{j\\omega C}} + \\frac{1}{{64}}\\left\( {\\frac{R}{{j\\omega L}}} \\right\)^2 \\left\( {\\frac{G}{{j\\omega C}}} \\right\)^2  \\\\ 
 \\end{array} \\right\\}](../../../upload.wikimedia.org/math/5/2/e/52e836d9bd81d68ceb63fbb1034af3a8.png)

  


    

    Since ![\\gamma  = \\alpha  + j\\beta ](../../../upload.wikimedia.org/math/f/e/5/fe56c077f78e466dd3dd274173101e36.png), we merely have to equate the real and imaginary terms to find ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png).

    

    

    

    ![\\beta  \\approx \\omega \\sqrt {LC} \\left\\{ {1 + \\underbrace {\\frac{1}{8}\\left\( {\\frac{G}{{\\omega C}}} \\right\)^2  - \\frac{1}{4}\\frac{{RG}}{{\\omega ^2 LC}} + \\frac{1}{8}\\left\( {\\frac{R}{{\\omega L}}} \\right\)^2 }_{{\\rm{Difference}}\\;{\\rm{of}}\\;{\\rm{squares}}} + \\underbrace {\\frac{1}{{64}}\\left\( {\\frac{R}{{\\omega L}}} \\right\)^2 \\left\( {\\frac{G}{{\\omega C}}} \\right\)^2 }_{{\\rm{Very}}\\;{\\rm{small}}}} \\right\\}](../../../upload.wikimedia.org/math/7/a/c/7ac25ab0cd133aad523dd474ed8fc13e.png)

  


    

    Or

    

    

    

    ![\\beta  \\approx \\omega \\sqrt {LC} \\left\\{ {1 + \\frac{1}{8}\\left\( {\\frac{R}{{\\omega L}} - \\frac{G}{{\\omega C}}} \\right\)^2 } \\right\\}](../../../upload.wikimedia.org/math/8/6/c/86cc3de0f4d96f6e38d6887b62a48643.png)

  


    

    Note that if ![\\frac{R}{{\\omega L}} = \\frac{G}{{\\omega C}}](../../../upload.wikimedia.org/math/8/6/a/86ab1771032738d48809e091911dbcf2.png) then ![\\beta  \\approx \\omega \\sqrt {LC} ](../../../upload.wikimedia.org/math/6/4/c/64cd50ddedc6c9e0332652844ab14767.png)

From this we observe that ![\\beta](../../../upload.wikimedia.org/math/0/7/1/071997f13634882f823041b057f90923.png) is directly proportional to ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png).

  


    

    Therefore the **requirement for distortionless transmission is:**

    

    

    

    _RC = LG_

  


![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Heaviside_condition**_](http://en.wikipedia.org/wiki/Heaviside_condition)

    

    This is one of the essential design characteristics for a broadband coax cable network.

If we equate the real terms, we obtain:

    

    

    

    ![\\alpha  \\approx \\sqrt {RG} ](../../../upload.wikimedia.org/math/b/5/c/b5cec6e8c1ff48ee38fdd5ceec1791cf.png)

  
So there is a reason to study algebra after all!

  


## The Frequency Domain[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-9)]

Signal analysis is often performed in the frequency domain. This tells us how the transmission line affects the spectral content of the signals they are carrying.

To determine this, it is necessary to find the Fourier Transform of the transmission line equation. Recall:

    

    

    

    ![\\frac{{\\partial ^2 v}}{{\\partial x^2 }} = RGv + \\left\( {RC + LG} \\right\)\\frac{{\\partial v}}{{\\partial t}} + LC\\frac{{\\partial ^2 v}}{{\\partial t^2 }}](../../../upload.wikimedia.org/math/1/5/9/159a7a011405d4120a12d8320168b71d.png)

  
and recall (hopefully) the Fourier Transform (which converts the time domain to the frequency domain):

    

    

    

    ![\\mathbb{F}\\left\\{ {f\\left\( t \\right\)} \\right\\} = F\\left\( \\omega  \\right\) = \\int\\limits_{ - \\infty }^\\infty  {e^{ - j\\omega t} f\\left\( t \\right\)dt}](../../../upload.wikimedia.org/math/7/4/b/74b3b6f78a01fef0dc51df17f9d2dce5.png)

  
To prevent this analysis from ‘blowing up’, we must put a stipulation on the voltage function namely, that it vanishes to zero at an infinite distance down the line. This comprises a basic boundary condition.

    

    

    

    ![{\\text{let}}\\quad v \\to 0\\quad {\\text{as}}\\quad x \\to \\infty](../../../upload.wikimedia.org/math/1/a/2/1a2677bf2b8e21646e99c10a7f2dbb63.png)

  
This stipulation is in agreement with actual laboratory experiments. It is well known that the signal magnitude diminishes as the path lengthens.

Likewise, a time boundary condition, that the signal was zero at some time in the distant past and will be zero at some time in the distant future, must be imposed.

    

    

    

    ![{\\text{let}}\\quad v \\to 0\\quad {\\text{as}}\\quad t \\to \\infty ](../../../upload.wikimedia.org/math/9/2/7/9273a561415a6c5cf3253873533ff930.png)

  
Although engineers have no difficulty imposing these restrictions, mathematical purists, are somewhat offended. For this and other reasons, other less restrictive transforms have been developed. The most notable in this context, is the Laplace transform, which does not have the same boundary conditions.

Having made the necessary concessions in order to continue our analysis, we must find the Fourier Transform corresponding to the following terms:

  


    

    

    

    ![\\mathbb{F}\\left\\{ v \\right\\}\\quad \\quad \\quad \\mathbb{F}\\left\\{ {\\frac{{\\partial v}}
{{\\partial t}}} \\right\\}\\quad \\quad \\quad \\mathbb{F}\\left\\{ {\\frac{{\\partial ^2 v}}
{{\\partial t^2 }}} \\right\\}](../../../upload.wikimedia.org/math/0/b/e/0becb485a68272cb07963d7a41058ff4.png)

  


    

    

    

    ![{\\text{Let:}}\\quad \\quad \\quad \\mathbb{F}\\left\\{ v \\right\\} = V](../../../upload.wikimedia.org/math/8/8/6/8864c69367487441410bf7528bd74747.png)

  


    

    Then applying the transform on the derivative, we obtain:

    

    

    

    ![\\mathbb{F}\\left\\{ {\\frac{{\\partial v}}
{{\\partial t}}} \\right\\} = \\int\\limits_{ - \\infty }^\\infty  {e^{ - j\\omega t} \\frac{{\\partial v}}
{{\\partial t}}dt} ](../../../upload.wikimedia.org/math/0/4/3/043546865c9de4640497c23448aee365.png)

  
This equation can be solved by using integration by parts:

    

    

    

    ![\\int {u\\,dv}  = uv - \\int {v\\,du} ](../../../upload.wikimedia.org/math/9/7/0/970273dc0fdfa35a753b43db98f26466.png)

  


    

    

    

    ![{\\text{let}}\\quad u = e^{ - j\\omega t} \\quad \\quad \\quad \\therefore du =  - j\\omega e^{ - j\\omega t} ](../../../upload.wikimedia.org/math/1/1/0/1103b943c3b40d923370816a7e3c8e33.png)

    

    

    

    ![{\\text{and}}\\quad dv = \\frac{{\\partial v}}{{\\partial t}}\\quad \\quad \\quad \\therefore v = v](../../../upload.wikimedia.org/math/6/d/e/6deed7123b1aaba68bfd5c6567290620.png)

    

    

    

    ![\\therefore \\mathbb{F}\\left\\{ {\\frac{{\\partial v}}
{{\\partial t}}} \\right\\} = e^{ - j\\omega t} \\left. v \\right|_{ - \\infty }^\\infty   - \\int\\limits_{ - \\infty }^\\infty  {v\\left\( { - j\\omega e^{ - j\\omega t} } \\right\)dt} ](../../../upload.wikimedia.org/math/7/f/1/7f1289d5f013e5bc282e2840802a7af3.png)

  
Applying the boundary conditions when t goes to infinity makes the 1st term disappear.

    

    

    

    ![\\therefore \\mathbb{F}\\left\\{ {\\frac{{\\partial v}}
{{\\partial t}}} \\right\\} = j\\omega \\int\\limits_{ - \\infty }^\\infty  {e^{ - j\\omega t} v\\,dt} ](../../../upload.wikimedia.org/math/3/b/0/3b0c2d71c6c9da5a4bed187290a5037e.png)

  
Note that the resulting integral is simply the Fourier Transform. In other words:

    

    

    

    ![\\mathbb{F}\\left\\{ {\\frac{{\\partial v}}
{{\\partial t}}} \\right\\} = j\\omega \\mathbb{F}\\left\\{ v \\right\\} = j\\omega V](../../../upload.wikimedia.org/math/c/5/3/c539dc4dc759b42caebdb147011eafea.png)

    

    similarly:

    

    

    

    ![\\mathbb{F}\\left\\{ {\\frac{{\\partial ^2 v}}
{{\\partial t^2 }}} \\right\\} = \\left\( {j\\omega } \\right\)^2 \\mathbb{F}\\left\\{ v \\right\\} = \\left\( {j\\omega } \\right\)^2 V](../../../upload.wikimedia.org/math/4/6/e/46e001f63610bd307afe56a2cf540035.png)

  
We can now write the transmission line equation in the frequency domain:

    

    

    

    ![\\frac{{\\partial ^2 V}}
{{\\partial x^2 }} = RGV + \\left\( {RC + LG} \\right\)j\\omega V + LC\\left\( {j\\omega } \\right\)^2 V](../../../upload.wikimedia.org/math/0/a/f/0afff522e3150d3be419d957af6f0690.png)

    

    where:

    

    

    

    ![V = V\\left\( \\omega  \\right\) = \\mathbb{F}\\left\\{ {v\\left\( t \\right\)} \\right\\}](../../../upload.wikimedia.org/math/e/4/b/e4b858678708930b9515dfd95922a108.png)

  


    

    Rearranging the terms, we obtain:

    

    

    

    ![\\frac{{\\partial ^2 V}}
{{\\partial x^2 }} = \\left\[ {RG + \\left\( {RC + LG} \\right\)j\\omega  + \\left\( {j\\omega L} \\right\)\\left\( {j\\omega C} \\right\)} \\right\]V](../../../upload.wikimedia.org/math/b/6/3/b632cd96671e7e85048457335d85dabc.png)

    

    or

    

    

    

    ![\\frac{{\\partial ^2 V}}
{{\\partial x^2 }} = \\left\[ {\\left\( {R + j\\omega L} \\right\)\\left\( {G + j\\omega C} \\right\)} \\right\]V](../../../upload.wikimedia.org/math/e/8/2/e82a76b1fe6439bedb79009db8a905e6.png)

    

    since:

    

    

    

    ![\\sqrt {\\left\( {R + j\\omega L} \\right\)\\left\( {G + j\\omega C} \\right\)}  = \\alpha  + j\\beta  = \\gamma ](../../../upload.wikimedia.org/math/a/7/6/a76f19cab0711eedc165b5db9aa6c87b.png)

    

    then

    

    

    

    ![\\frac{{\\partial ^2 V}}{{\\partial x^2 }} = \\gamma ^2 V](../../../upload.wikimedia.org/math/e/f/d/efd8cd5ab02df3ead4b970a72647ef91.png)

    

    or

    

    

    

    ![\\frac{{\\partial ^2 V}}{{\\partial x^2 }} - \\gamma ^2 V = 0](../../../upload.wikimedia.org/math/b/5/4/b541c8ad3c2e1f5d4d8336c257fffb66.png)

  
This represents the most general form of the transmission line equation in the frequency domain. This equation must now be solved for V to observe how voltage (or current) varies with distance and frequency. This can be done by assuming a solution of the form:

    

    

    

    ![V = \\underbrace {Ae^{ - \\gamma x} }_{{\\text{forward}}\\;{\\text{wave}}} + \\underbrace {Be^{\\gamma x} }_{{\\text{reverse}}\\;{\\text{wave}}}](../../../upload.wikimedia.org/math/3/5/4/35459b08b2872355226ef6be3ed0ba7e.png)

  
These terms represent an exponential decay as the signal travels down the transmission line. If we ignore any reflections, assuming that the cable is infinitely long or properly terminated, this simplifies to:

    

    

    

    ![V = V_0 e^{ - \\gamma x} ](../../../upload.wikimedia.org/math/6/8/4/6846196bcb00a7bb7e0a1dac30ece3ca.png)

  
To verify whether this assumption is correct, substitute it into the equation, and see if a contradiction occurs. If there is no contradiction, then our assumption constitutes a valid solution.

    

    

    

    ![\\frac{{\\partial ^2 }}{{\\partial x^2 }}V_0 e^{ - \\gamma x}  - \\gamma ^2 V_0 e^{ - \\gamma x}  = 0](../../../upload.wikimedia.org/math/8/b/f/8bfa3a18c9a4de6f555b68db80aad910.png)

    

    

    

    ![\\frac{\\partial }{{\\partial x}}\\left\( { - \\gamma ^2 V_0 e^{ - \\gamma x} } \\right\) - \\gamma ^2 V_0 e^{ - \\gamma x}  = 0](../../../upload.wikimedia.org/math/f/4/b/f4b1da0cfdc58a4a9642c1aa0b8dc962.png)

    

    

    

    ![\\gamma ^2 V_0 e^{ - \\gamma x}  - \\gamma ^2 V_0 e^{ - \\gamma x}  = 0](../../../upload.wikimedia.org/math/7/4/a/74a593a4d958fb3c55e4cf6b4bcb97ea.png)

    

    

    

    ![0 = 0](../../../upload.wikimedia.org/math/7/b/b/7bb9d941d22396f1ddf635a5cc656c77.png)

  
Thus we validate the assumed solution. This tells us that in the frequency domain, the voltage or current on a transmission line decays exponentially:

    

    

    

    ![V = V_0 e^{ - \\gamma x} ](../../../upload.wikimedia.org/math/6/8/4/6846196bcb00a7bb7e0a1dac30ece3ca.png)

    

    where:

    

    

    

    ![\\gamma  = \\sqrt {\\left\( {R + j\\omega } \\right\)\\left\( {G + j\\omega } \\right\)}  = \\left| \\gamma  \\right|\\angle \\varphi  = \\alpha  + j\\beta ](../../../upload.wikimedia.org/math/4/f/b/4fb0466690b7fb571ed01f0362e879a1.png)

    

    

    

    ![\\gamma  = {\\text{ propagation}}\\;{\\text{constant}}](../../../upload.wikimedia.org/math/3/f/a/3fa7cdaad096df59d3f33f268d0b5b50.png)

    

    

    

    ![\\alpha  = {\\text{ attenuation}}\\;{\\text{coeficient}}](../../../upload.wikimedia.org/math/7/a/8/7a8ad4ffde0027137fabe66987490390.png)

    

    

    

    ![\\beta  = {\\text{phase}}\\;{\\text{coefficient}}](../../../upload.wikimedia.org/math/4/9/6/496a4dcecb6a11b4c300cb1cd2488995.png)

  
In exponential notation, a sinusoid may be represented by a rotating unity vector, of some frequency:

    

    

    

    ![e^{j\\omega t}  = \\cos \\omega t + j\\sin \\omega t](../../../upload.wikimedia.org/math/c/0/5/c05c7e3a8b85de76e5f107f37e5dd48d.png)

  
Note that the magnitude of this function is 1, but the phase angle is changing as a function of _t_.

    

    If we let: ![V_0  = e^{j\\omega t} ](../../../upload.wikimedia.org/math/b/5/7/b576c2cff6a228120ce1e24c02589cb1.png)

    

    Then: ![V_0  = e^{j\\omega t} e^{ - \\gamma x}  = e^{j\\omega t} e^{ - \\left\( {\\alpha  + j\\beta } \\right\)x}  = \\underbrace {e^{ - \\alpha x} }_{{\\text{attenuation}}\\;vs.\\;x}\\overbrace {e^{j\\left\( {\\omega t - \\beta x} \\right\)} }^{{\\text{phase}}\\;vs{\\text{.}}\\;t\\;{\\text{and}}\\;x}](../../../upload.wikimedia.org/math/5/0/8/5083fe7fffd68ec35d2088749d9403b0.png)

  
This result is quite interesting because it is the same solution for the transmission line equation in the time domain. The term ![{e^{ - \\alpha x} }](../../../upload.wikimedia.org/math/4/d/a/4da9110813e9b89d6121ac838b97b879.png) represents an exponential decay. The signal is attenuated as length _x_ increases. The amount of attenuation is defined as:

    

    Attenuation in Nepers: ![N = \\left| {\\ln e^{ - \\alpha x} } \\right| = \\alpha x](../../../upload.wikimedia.org/math/8/0/9/80913b4fc5d7c9e1c46a3798d80472e3.png)

    

    Attenuation in dB: ![ = 20\\log e^{ - \\alpha x}  \\approx 8.68589\\alpha x](../../../upload.wikimedia.org/math/9/d/3/9d3b418f97eef0ae81352d7bfb6c4099.png)

  
This allows us to determine the attenuation at any frequency at any point in a transmission line, if we are given the basic line parameters of _R, L, G, & C_.

The term ![{e^{j\\left\( {\\omega t - \\beta x} \\right\)} }](../../../upload.wikimedia.org/math/9/e/d/9ed8778fefc3e04c8901489b8037cd91.png) represents a rotating unity vector since:

    

    

    

    ![e^{j\\left\( {\\omega t - \\beta x} \\right\)}  = \\cos \\left\( {\\omega t - \\beta x} \\right\) + j\\sin \\left\( {\\omega t - \\beta x} \\right\)](../../../upload.wikimedia.org/math/1/9/c/19cc701761057bb7ec4398b53f4dc6fa.png)

  
The phase angle of this vector is ![{\\beta x}](../../../upload.wikimedia.org/math/d/0/6/d06f63a0ababe2d7746d046f1de3f124.png) radians.

## Characteristic Impedance[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wired_Transmission&action=edit&section=T-10)]

The characteristic impedance of a transmission line is also known as its surge impedance, and should not be confused with its resistance. If a line is infinitely long, electrical signals will still propagate down it, even though the resistance approaches infinity. The characteristic impedance is determined from its AC attributes, not its DC ones.

Recall from our earlier analysis:

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page will discuss Wireless EM wave propagation, and some basics about antennas.

## Isotropic Antennas[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-1)]

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In communication we talk about 'antennas'; insects have 'antennae'

An isotropic antenna radiates it's transmitted power equally in all directions. This is an ideal model; all real antennas have at least some directionality associated with them. However, it is mathematically convenient, and good enough for most purposes.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

A radio antenna is an example of an isotropic antenna

### Power Flux Density[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-2)]

If the transmitted power is spread evenly across a sphere of radius R from the antenna, we can find the power per unit area of that sphere, called the **Power Flux Density** using the Greek letter Φ (capital phi) and the following formula:

    ![\\Phi = \\frac{P_T}{4 \\pi R^2}](../../../upload.wikimedia.org/math/9/4/0/940856150851d961766534a9b8f2dd2b.png)

Where ![P_T](../../../upload.wikimedia.org/math/c/1/d/c1dd9d95eefbee29ab71a79e261b3b87.png) is the total transmitted power of the signal.

### Effective Area[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-3)]

The **effective area** of an antenna is the equivalent amount of area of transmission power, from a non-ideal isotropic antenna that appears to be the area from an ideal antenna. For instance, if our antenna is non-ideal, and 1 meter squared of area can effectively be modeled as .5 meters squared from an ideal antenna, then we can use the ideal number in our antenna. We can relate the actual area and the effective area of our antenna using the _antenna efficiency_ number, as follows:

    ![\\eta = \\frac{A_e}{A}](../../../upload.wikimedia.org/math/b/c/9/bc9464c742a9fdc3d66bd1678257b923.png)

The area of an ideal isotropic antenna can be calculated using the wavelength of the transmitted signal as follows:

    ![A = \\frac{\\lambda^2}{4 \\pi}](../../../upload.wikimedia.org/math/0/7/d/07d82dbb091fb8861481df934f681148.png)

### Received Power[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-4)]

The amount of power that is actually received by a receiver placed at distance R from the isotropic antenna is denoted ![P_R](../../../upload.wikimedia.org/math/3/e/d/3ed71c3f8980500c04c8cf8e3de1483f.png), and can be found with the following equation:

    ![P_R = \\Phi_R A_e ](../../../upload.wikimedia.org/math/f/0/e/f0ef5e7d7a20e52056bd2e33fb30b5dd.png)

Where ![\\Phi_R](../../../upload.wikimedia.org/math/b/0/4/b047ffc3d8a646d91d3c2cb0968da69f.png) is the power flux density at the distance R. If we plug in the formula for the effective area of an ideal isotropic antenna into this equation, we get the following result:

    ![P_R = \\frac{P_T}{\(4 \\pi R / \\lambda\)^2} = \\frac{P_T}{L_P}](../../../upload.wikimedia.org/math/6/2/9/62970cd02698bef540143ce8c745da1c.png)

Where ![L_P](../../../upload.wikimedia.org/math/7/7/8/778caef8580945c8cf2670bfeae1c35f.png) is the path-loss, and is defined as:

    ![L_P = \\left\( \\frac{4 \\pi R}{\\lambda} \\right\)^2](../../../upload.wikimedia.org/math/5/4/6/5462f7cbab0a402f71bc987d0d049e86.png)

The amount of power lost across freespace between two isotropic antenna (a transmitter and a receiver) depends on the wavelength of the transmitted signal.

## Directional Antennas[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-5)]

A directional antenna, such as a parabolic antenna, attempts to radiate most of its power in the direction of a known receiver.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

A "satellite dish" is an example of a parabolic antenna

Here are some definitions that we need to know before we proceed:

Azimuth Angle
    The Azimuth angle, often denoted with a θ (Greek lower-case Theta), is the angle that the direct transmission makes with respect to a given reference angle (often the angle of the target receiver) when looking down on the antenna from above.
Elevation Angle
    The elevation angle is the angle that the transmission direction makes with the ground. Elevation angle is denoted with a φ (Greek lower-case phi)

### Directivity[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-6)]

Given the above definitions, we can define the transmission gain of a directional antenna as a function of θ and φ, assuming the same transmission power:

    ![G_T\(\\theta, \\phi\) = \\frac{\\Phi_{\\theta,\\ \\phi}}{\\Phi_{isotropic}}](../../../upload.wikimedia.org/math/3/b/6/3b6dd39966667f85278b7bd2feea4d17.png)

### Effective Area[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-7)]

The effective area of a parabolic antenna is given as such:

    ![A_e = \\eta \\frac{\\pi D^2}{4}](../../../upload.wikimedia.org/math/0/b/0/0b00c843f495dbe9632ddf3d4696f249.png)

### Transmit Gain[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-8)]

    ![G_{max} = \\frac{4 \\pi A_e}{\\lambda^2}](../../../upload.wikimedia.org/math/6/2/c/62c582ecf582298b019acd33bdca69c8.png)

If we are at the transmit antenna, and looking at the receiver, the angle that the transmission differs from the direction that we are looking is known as Ψ (Greek upper-case Psi), and we can find the transmission gain as a function of this angle as follows:

    ![G\(\\Psi\) = \\left\( \\frac{2J_1\(\(\\pi D / \\lambda\) sin\(\\Psi\)\)}{sin\(\\Psi\)} \\right\)^2 \\left\( \\frac{\\lambda}{\\pi D} \\right\)^2](../../../upload.wikimedia.org/math/6/4/3/643badea24bd9d65957f2d1e03d3f87e.png)

Where ![J_1\(\\ \)](../../../upload.wikimedia.org/math/f/e/0/fe0344534ceba27bf156d2c285844d57.png) denotes the first-order bessel function.

### Friis Equation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-9)]

The **Friis Equation** is used to relate several values together when using directional antennas:

    ![P_R = \\frac{P_T G_T G_R}{L_P}](../../../upload.wikimedia.org/math/3/9/1/3915beda9ffb0c484faa96d2e8cc240d.png)

The Friis Equation is the fundamental basis for **link-budget analysis**.

## Link-Budget Analysis[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-10)]

If we express all quantities from the Friis Equation in decibels, and divide both sides by the noise-density of the transmission medium, N0, we get the following equation:

    ![C/N_0 = EIRP - L_P + \(G_R/T_e\) - k](../../../upload.wikimedia.org/math/b/5/e/b5e3e186806ca08fe429ce9148a675cf.png)

Where C/N0 is the received carrier-to-noise ratio, and we can decompose N0 as follows:

    ![N_0 = kTe](../../../upload.wikimedia.org/math/5/5/8/5585c12d85a07cf46ba9667be75370f8.png)

k is Boltzmann's constant, (-228.6dBW) and Te is the effective temperature of the noise signal (in degrees Kelvin). EIRP is the "Equivalent Isotropic Radiated Power", and is defined as:

    ![EIRP = G_T P_T](../../../upload.wikimedia.org/math/9/5/5/95556c615d8bb65ca154dce343682bbb.png)

To perform a link-budget analysis, we add all the transmission gain terms from the transmitter, we add the receive gain divided by the effective temperature, and we subtract boltzman's constant and all the path losses of the transmission.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Wireless_Transmission&action=edit&section=T-11)]

  * Jean-Claude Wippler. ["What if you’re out of wireless range?"](http://jeelabs.org/2013/06/05/what-if-youre-out-of-wireless-range/). 2013.

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page is all about **Space-Division Multiplexing** (SDM).

  * What is SDM: When we want to transmit multiple messages, the goal is maximum reuse of the given resources: time and frequency. Time-Division Multiplexing (TDM), operates by dividing the time up into time slices, so that the available time can be reused. Frequency-Division Multiplexing (FDM), operates by dividing up the frequency into transmission bands, so that the frequency spectrum can be reused. However, if we remember our work with directional antennas, we can actually reuse both time and frequency, by transmitting our information along parallel channels. This is known as **Space-Division Multiplexing**.

## Technical categorisations[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-1)]

### Spatial Coding[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-2)]

## Multipathing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-3)]

## Application systems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-4)]

### MIMO Systems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-5)]

### Smart antenna[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Space-Division_Multiplexing&action=edit&section=T-6)]

# Digital Modulation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=6)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Definition[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-1)]

What is PAM? Pulse-Amplitude Modulation is "pulse shaping". Essentially, communications engineers realize that the shape of the pulse in the time domain can positively or negatively affect the characteristics of that pulse in the frequency domain. There is no one way to shape a pulse, there are all sorts of different pulse shapes that can be used, but in practice, there are only a few pulse shapes that are worth the effort. These chapters will discuss some of the common pulses, and will develop equations for working with any generic pulse.

## Square Wave[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-2)]

The most logical way to transmit a digital signal is through a stream of pulses. One distinct pulse for a digital "1", and another distinct pulse for a digital "0". Intuitively, a square pulse will transmit this data, and there are a number of different ways to transmit the data using

The square wave is a basic choice for transmitting digital data because it is easy to transmit, and is generally easy to receive. If we take the fourier transform of a square wave, we get a sinc function. A sinc function is a never-ending function, which means that a square wave in the time domain has a very wide bandwidth. When using a square wave, there will always be a trade-off, because high-frequency components of the square wave will be attenuated by the channel, and the resultant waveform will be more prone to error on the other end.

### Unipolar Square Wave[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-3)]

A unipolar square wave is a wave where a logical 1 is transmitted using a square pulse of height A. Then a logical 0 is transmitted with a 0 voltage.

### Bipolar Square Wave[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-4)]

A bipolar square wave is a square wave where a 1 is transmitted with a pulse of height A/2, and a 0 is transmitted with a pulse of -A/2.

## Other pulses[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-5)]

It turns out that simply by changing the shape of the pulse (changing it away from a square wave), we can create a signal with better properties: lower bandwidth, lower error rate, etc... This section will talk about a few different pulses.

## Sinc[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-6)]

By the property of duality, however, we can see that if we have a sinc wave in the time domain, we will have a square-shape in the frequency domain. This is an interesting result, because it means that we can transmit a sinc shape with definite bandwidth bounds, and it can travel through a channel in its entirety without being attenuated, or losing any harmonics!

## Comparison[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-7)]

Here we will show a basic comparison between square pulses and sinc pulses:

**Metric**
**Square Pulse**
**Sinc Pulse**

Bandwidth
Large bandwidth
Small bandwidth

Jitter
Not susceptible to Jitter
Very susceptible to Jitter

Noise
Very susceptible to Noise
Susceptible to Noise

ISS
Not affected by ISS
Affected heavily by ISS

## slew-rate-limited pulses[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-8)]

Most systems that use RS232, RS485, or high speed clocks use slew-rate-limited drivers. Some use driver chips with integrated slew-rate limiting; other systems use digital driver chips that put sharp square pulses on their output pins, then an external slew-rate-limiting resistor[[1]](Print_Version.html#cite_note-1) between that output pin and the rest of the system.

## Raised-Cosine Rolloff[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-9)]

Sinc pulses use less bandwidth, but they are very susceptible to jitter. Conversely, Square pulses have a large bandwidth, but are very resistant to jitter. The decision seems hopeless, but the intrepid communications engineer will try to find a 3rd option. The 3rd option is called the "Raised-Cosine Rolloff" pulse, and has the best characteristics of each wave. Raised Cosine Rolloff (RCR) pulses are resistant to jitter, and at the same time have reasonably good bandwidth. Granted the bandwidth of an RCR pulse is wider than a sinc pulse, and the jitter resistance isn't as good as with a square wave, but this is a compromise, after all.

Pulse
Bandwidth
Jitter Resistance

Rectangular
rb/2
Excellent

Sinc
Bad

RCR
Good

## Binary symmetric pulses[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-10)]

A system uses binary symmetric pulses if it transmits only 2 kinds of pulse, s1 and s0, and _s1(t) = -s0(t)_. In a symmetric case, our comparator circuits are very easy: If the correlator outputs a positive value, it's a binary 1. If it outputs a negative value, it's a binary 0.

## Asymmetric Pulses[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-11)]

Asymmetric pulses are more difficult for many reasons:

  1. The threshold where the comparator should test the value may not be zero
  2. The correlation receiver needs to correlate _two different signals_.
  3. The different pulses may have different power, and they may be different susceptible to noise.

## Asymmetric Correlation Receiver[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-12)]

When asymmetric pulses are used, the receiver system must actually employ 2 coherent optimal receivers, each one tuned to receive one of the pulses. When two coherent optimal receivers are used, the receiver that is outputting the highest voltage value at the end of time T has received it's pulse.

_... why not employ only 1 coherent optimal receiver, tuned to receiver neither s0 nor s1, but instead tuned to receive the difference (s1 - s0) ? ..._

_Some PAM systems, such as Ethernet 100BASE-T2, use PAM-5 ..._

## References[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Pulse_Amplitude_Modulation&action=edit&section=T-13)]

  1. [↑](Print_Version.html#cite_ref-1) [slew-rate-limiting resistor](http://massmind.org/techref/electips.htm#series_resistor)

(PAM)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

![Warning icon WikiBooks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Warning_icon_WikiBooks.svg/35px-Warning_icon_WikiBooks.svg.png)

This book contains mathematical formulae that look better **[rendered as PNG](http://en.wikibooks.org/wiki/Wikibooks:Render_as_PNG)**.

  
This page discusses the binary modulation schemes and "keying".

## What is "Keying?"[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-1)]

Square waves, sinc waves, and raised-cosine rolloff waves are all well and good, but all of them have drawbacks. If we use an optimal, matched filter, we can eliminate the effect of jitter, so frankly, why would we consider square waves at all? Without jitter as a concern, it makes no sense to correct for jitter, or even take it into consideration. However, since the matched filter needs to look at individual symbols, the transmitted signal can't suffer from any intersymbol interference either. Therefore, we aren't using the sinc pulse.

Since the raised-cosine roll-off wave suffers from both these problems (in smaller amounts, however), we don't want to use that pulse either.

So the question is, what other types of pulses can we send?

It turns out that if we use some of the techniques we have developed using analog signal modulation, and implement a sinusoidal carrier wave, we can create a signal with no inter-symbol interference, very low bandwidth, and no worries about jitter. Just like analog modulation, there are 3 aspects of the carrier wave that we can change: the amplitude, the frequency, and the phase angle. Instead of "modulation", we call these techniques **keying** techniques, because they are operating on a binary-number basis.

There is one important point to note before continuing with this discussion: Binary signals **are not** periodic signals. Therefore, we cannot expect that a binary signal is going to have a discrete spectra like a periodic squarewave will have. For this reason, the spectral components of binary data are continuous spectra.

  


## Amplitude Shift Keying[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-2)]

In an ASK system, we are changing the amplitude of the sine wave to transmit digitial data. We have the following cases:

  * Binary 1: ![A_1 \\sin\(f_c t\)](../../../upload.wikimedia.org/math/d/c/9/dc9f88b5e8da173c0d9db43dfd449a31.png)
  * Binary 0: ![A_0 \\sin\(f_c t\)](../../../upload.wikimedia.org/math/e/7/8/e785c200025e5ef1876812047d1cfd71.png)

The simplest modulation scheme sets A0 = 0V (turning the transmitter off), and setting A1 = +5V (any random non-zero number turns the transmitter on). This special case of ASK is called OOK (On-Off keying). Morse code uses OOK.

Another common special case of ASK sets A1 to some positive number, and A0 to the corresponding negative number A0 = -A1. We will mention this case again later.

In ASK, we have the following equation:

    ![a\(t\) \\sin\(\\omega t\)](../../../upload.wikimedia.org/math/c/a/5/ca5ce47d9a2b4e18533f215e5bb97e9f.png)

by the principal of duality, multiplication in the time domain becomes convolution in the frequency domain, and vice-versa. Therefore, our frequency spectrum will have the following equation:

    ![A\(j\\omega\) * \\delta\(t - \\omega\)](../../../upload.wikimedia.org/math/3/5/b/35b30dea3c4a24a582055200f09dc9c5.png)

where the impulse function is the fourier-transform of the sinusoid, centered at the frequency of the wave. the value for A is going to be a sinc wave, with a width dependant on the bitrate. We remember from the [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) book that convolution of a signal with an impulse is that signal centered where the impulse was centered. Therefore, we know now that the frequency domain shape of this curve is a sinc wave centered at the carrier frequency.

## Frequency Shift Keying[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-3)]

In **Frequency Shift Keying** (FSK), we can logically assume that the parameter that we will be changing is the frequency of the sine wave. FSK is unique among the different keying methods in that data is never transmitted _at_ the carrier frequency, but is instead transmitted at a certain offset from the carrier frequency. If we have a carrier frequency of ![f_c](../../../upload.wikimedia.org/math/e/8/b/e8bb47f19d155ab9dd7fcd948f365e60.png), and a frequency offset of ![\\Delta f](../../../upload.wikimedia.org/math/d/f/c/dfcf79e3d5443ac2ec1e8739062d54e2.png), we can transmit binary values as such:

  * Binary 1: ![A \\sin \(\(f_c + \\Delta f\)t\)](../../../upload.wikimedia.org/math/6/1/9/619a9d21b07c5020aa90035b1f6a8ed9.png)
  * Binary 0: ![A \\sin \(\(f_c - \\Delta f\)t\)](../../../upload.wikimedia.org/math/3/9/a/39af99bbf2deb6a7524daf90d8556644.png)

Similar to ASK, we have FSK, which uses 2 different frequencies to transmit data. For now we will call them ![\\omega1, \\omega2](../../../upload.wikimedia.org/math/b/9/f/b9f5446c3709bbd80836a2447c404341.png). Using the same logic that we used above, the fourier representations of these waves will be (respectively):

    ![A_1\(j\\omega\) * \\delta\(t - \\omega1\)](../../../upload.wikimedia.org/math/f/f/3/ff353bf45ab4fde40bca9ab6a3e5ac3c.png)
    ![A_0\(j\\omega\) * \\delta\(t - \\omega2\)](../../../upload.wikimedia.org/math/8/b/9/8b9bdd69fe5bec1f038c88f6e8480f39.png)

With one sinc wave centered at the first frequency, and one sinc wave centered at the second frequency. Notice that A1 and A0 are the half-square waves associated with the 1s and the 0s, respectively. These will be described later.

  


### Error Rate[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-4)]

The BER of coherent QPSK in the presence of gaussian and Rayleigh noise is as follows:

    

Gaussian Noise
Rayleigh Fading

![\\frac{1}{2}\\operatorname{erfc} \\left\( \\sqrt{\\frac{E_b}{N_0}} \\right\)](../../../upload.wikimedia.org/math/b/1/1/b11960f4fabe8da28c95ba1f4872565d.png)
![\\frac{1}{2}\\left\( 1 - \\sqrt{\\frac{\\gamma_0}{2 + \\gamma_0}} \\right\)](../../../upload.wikimedia.org/math/9/2/8/92889b9ad250f30655991e75dabe0fa5.png)

## Phase Shift Keying[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-5)]

PSK systems are slightly different then ASK and FSK systems, and because of this difference, we can exploit an interesting little trick of trigonometry. PSK is when we vary the phase angle of the wave to transmit different bits. For instance:

  * Binary 1: ![A \\sin\(f_c t + \\phi_1\)](../../../upload.wikimedia.org/math/0/c/a/0ca00a53b837d8fe449c7046d95c82ac.png)
  * Binary 0: ![A \\sin\(f_c t + \\phi_0\)](../../../upload.wikimedia.org/math/5/c/7/5c7dd22da3d95494f61069e6d94f7da2.png)

If we evenly space them out around the unit-circle, we can give ourselves the following nice values:

  * Binary 1: ![A \\sin\(f_c t + 0\)](../../../upload.wikimedia.org/math/b/2/a/b2a91b9a6f32792e947b901e7c30b006.png)
  * Binary 0: ![A \\sin\(f_c t + \\pi\)](../../../upload.wikimedia.org/math/7/b/e/7bea41f44c30ef61721abe2e280d34ef.png)

Now, according to trigonometry, we have the following identity:

![\\sin\(f_c t + \\pi\) = -\\sin\(f_c t\)](../../../upload.wikimedia.org/math/c/d/5/cd52ca859a0da68e5c86e113efebbde3.png)

So in general, our equations for each signal (s) is given by:

  * ![s_1\(t\) = A\\sin\(f_c t\)](../../../upload.wikimedia.org/math/5/4/1/541ffcdb4f89b67d3c492ed669136b73.png)
  * ![s_0\(t\) = -A\\sin\(f_c t\)](../../../upload.wikimedia.org/math/3/7/5/375aa13e812c1d7fb41ed58506f2a65a.png)

Which looks awfully like an ASK signal. Therefore, we can show that the spectrum of a PSK signal is the same as the spectrum of an ASK signal.

There are two commonally used forms of Phase Shift keying Modulation:

Binary Phase Shift Keying (BPSK)

Quadrature Phase Shift Keying (QPSK)

Binary Phase Shift keying is set out above.

### QPSK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-6)]

Quadrature Phase Shift Keying utilises the fact that a cosine wave is in quadrature to a sine wave, allowing 2 bits to be simultaneously represented.

  * Binary 11: ![A \\sin\(f_c t + 0\) + \\cos\(f_c+\\pi/2\)](../../../upload.wikimedia.org/math/1/e/e/1ee0e52d6492c9702bf814b320cbb484.png)
  * Binary 10: ![A \\sin\(f_c t + 0\) + \\cos\(f_c -\\pi/2\)](../../../upload.wikimedia.org/math/2/c/e/2ce4f548ec231eb6ecb763b7b352a303.png)
  * Binary 01: ![A \\sin\(f_c t + \\pi\) + + \\cos\(f_c+\\pi/2\)](../../../upload.wikimedia.org/math/f/5/1/f513cd33ddfdf0b19014495526937dfd.png)
  * Binary 00: ![A \\sin\(f_c t + \\pi\) + + \\cos\(f_c - \\pi/2\)](../../../upload.wikimedia.org/math/d/3/a/d3a00ff921ee33f6cf24a93aa63cca60.png)

QPSK has the advantage over BPSK of requiring half the transmission band width for the same data rate, and error probability.

### Error Rate[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-7)]

The BER of coherent BPSK in the presence of gaussian and Rayleigh noise is as follows:

    

Gaussian Noise
Rayleigh Fading

![\\frac{1}{2}\\operatorname{erfc} \\left\( \\sqrt{\\frac{E_b}{N_0}} \\right\)](../../../upload.wikimedia.org/math/b/1/1/b11960f4fabe8da28c95ba1f4872565d.png)
![\\frac{1}{2}\\left\( 1 - \\sqrt{\\frac{\\gamma_0}{1 + \\gamma_0}} \\right\)](../../../upload.wikimedia.org/math/f/a/1/fa132de0a483894c86950c5e7a93c93b.png)

## Binary Transmitters[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-8)]

## Binary Receivers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Binary_Modulation_Schemes&action=edit&section=T-9)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

Now what if try to cram more information into a single bittime? If we take 2 bits at a time, and arrange them together, we can assign each set of 2 bits to a different symbol, and then we can transmit the different symbols.

## Pronunciation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-1)]

First off, "M-ary" is not pronounced like the female name "mary". If you say "mary" to a boardroom filled with engineers, they will laugh at you, and your boss will politely tell you later to start cleaning up your desk. "M-ary" is pronounced like "em airy".

## Example: 4-ASK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-2)]

Let us use the following scheme:

  * "00" = +5V
  * "01" = +1.66V
  * "10" = -1.66V
  * "11" = -5V

we can see now that we can transmit data _twice as fast_ using this scheme, although we need to have a more complicated receiver, that can decide between 4 different pulses (instead of 2 different pulses, like we have been using).

## Bits Per Symbol[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-3)]

All popular communication systems transmit an integer number of bits per symbol. We can relate the number of bits ("k") and the number of different symbols ("m") with the following equation:

    ![m = 2^k](../../../upload.wikimedia.org/math/4/d/4/4d45a549453de032bc67bb55e8e0f475.png)

This causes the number of symbols to be a power of two.

With M-ary modulation techniques, the "symbols per second" rate can be much slower than the "bits per second" data rate.

## QPSK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-4)]

Quadrature phase shift keying (aka 4-PSK) is PSK modulation that has four points in the constellation.

## CPFSK (MSK)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-5)]

[MSK]minimum shift keying

## DPSK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-6)]

## For further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/M-ary_Modulation_Schemes&action=edit&section=T-7)]

  * [Wikipedia:Constellation_diagram](http://en.wikipedia.org/wiki/Constellation_diagram)
  * [Wikipedia:Quadrature amplitude modulation](http://en.wikipedia.org/wiki/Quadrature_amplitude_modulation)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

The **quadrature amplitude modulation** (QAM) system of modulation is the most popular [M-ary scheme](http://en.wikibooks.org/wiki/Communication_Systems/M-ary_Modulation_Schemes).

  


## Definition[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-1)]

Consider the case of a system with two carrier waves instead of a single carrier wave as we have considered with modulation schemes so far. One is a sine wave, and the other is a cosine wave of the same frequency. Since these two waves are orthogonal we can use them simultaneously in a single channel without losing the information of either. If both waves have the same frequency _f_ we can write out the equation for a generic symbol, _s_:

    ![s\(t\) = A_k \\sin\(f t\) + B_k \\cos\(f t\)](../../../upload.wikimedia.org/math/a/e/d/aed64a81542b4693b1521ee5440a669a.png)

In this way, we can create multiple symbols by simply changing the values of _A_ and _B_. This equation can be broken up into two parts:

  * ![A_k \\sin\(f t\)](../../../upload.wikimedia.org/math/4/2/c/42c2ad09863156e6f29bbb6f9e36898b.png) Which is called the "in-phase" component of the equation.
  * ![B_k \\cos\(f t\)](../../../upload.wikimedia.org/math/5/6/4/56420a97942494df8a6bae2b20f449b6.png) Which is called the "quadrature" component of the equation.

An equation which is written as a sum of a sine plus a cosine is said to be in "quadrature form". If we combine the two components into a single waveform as such:

    ![s\(t\) = \\sqrt{A_k^2 + B_k^2} \\cos \(f t + \\tan^{-1} \(B_k/A_k\)\)](../../../upload.wikimedia.org/math/8/4/2/8425195769214e26a31f77214bdfd321.png)

This form is called the "Polar Form" of the equation.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

56K modems and Digital TV use QAM

## Constellation Plots[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-2)]

If we make a graph with the X axis being the values for _A_, and the Y axis being the values for _B_, we get what is called a **Constellation Plot**. These plots are called constellation plots due to the similiarity in shape and layout with astronomical star charts. The _A_ and _B_ values for each symbol are plotted (the "stars") and various measurements between them are used to determine information from the system. On a constellation plot, we can see a number of rules:

  1. The further apart the points are on the constellation plot, the less likely they are to be mistaken for each other in the presence of noise.
  2. The closer the points are to the origin, the less power it takes to send.
  3. The more points there are, the faster the data rate (bit rate) at a fixed symbol rate (more symbols)
  4. The fewer points there are, the simpler and cheaper the hardware necessary to distinguish between them (fewer symbols, fewer thresholds in the receiver).

For these reasons there is no single "best" constellation plot, but it is up to the engineer to pick the points that are best for the system. In other words, trade offs need to be made between speed, performance, and cost of hardware. These tradeoffs can be made by placing the constellation points at different locations on the constellation plot.

## Benefits of QAM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-3)]

Increase the efficiency of transmission by utilising both amplitude and phase variations.

Reducing or eliminating intermodulation interference caused by a continuous carrier near the modulation sidebands.

## For further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-4)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[quadrature amplitude modulation](http://en.wikipedia.org/wiki/quadrature_amplitude_modulation)**_

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[constellation diagram](http://en.wikipedia.org/wiki/constellation_diagram)**_

  


  


**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

The **quadrature amplitude modulation** (QAM) system of modulation is the most popular M-ary scheme.

  


## Definition[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-5)]

Let us say that we have 2 carrier waves. One is a sine wave, and the other is a cosine wave. Since these two waves are orthogonal, we can use them simultaneously, without losing the information of either. If both waves have the same frequency, f, we can write out the equation for a generic symbol, s:

    ![s\(t\) = A_k \\sin\(f t\) + B_k \\cos\(f t\)](../../../upload.wikimedia.org/math/a/e/d/aed64a81542b4693b1521ee5440a669a.png)

In this way, we can create multiple symbols by simply changing the values of A and B. This equation can be broken up into two parts:

  * ![A_k \\sin\(f t\)](../../../upload.wikimedia.org/math/4/2/c/42c2ad09863156e6f29bbb6f9e36898b.png) Which is called the "in-phase" component of the equation.
  * ![B_k \\cos\(f t\)](../../../upload.wikimedia.org/math/5/6/4/56420a97942494df8a6bae2b20f449b6.png) Which is called the "quadrature" component of the equation.

An equation which is written as a sum of a sine plus a cosine is said to be in "quadrature form". If we combine the two components into a single waveform as such:

    ![s\(t\) = \\sqrt{A_k^2 + B_k^2} \\cos \(f t + \\tan^{-1} \(B_k/A_k\)\)](../../../upload.wikimedia.org/math/8/4/2/8425195769214e26a31f77214bdfd321.png)

This form is called the "Polar Form" of the equation.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

56K modems and Digital TV use QAM

## Constellation Plots[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-6)]

If we make a graph with the X axis being the values for A, and the Y axis being the values for B, we get what is called a "Constellation Plot". If A and B have discrete values, then the constellation plot will show dots at points that correspond to values for A and B coordinates. It is called a constellation plot because the layout of the different points can look very similar to the layout of stars in the sky.

On a constellation plot, we can see a number of points:

  1. The further apart the points are, the less likely they are to be mixed up
  2. The closer the points are to the origin, the less power it takes to send.
  1. The more points there are, the faster the data rate (bit rate) at a fixed symbol rate.
  2. The fewer points there are, the simpler and cheaper the hardware necessary to distinguish between them.

For these two reasons, there is no single "best" constellation plot, but it is up to the engineer to pick the points that are best for the system. By placing the points manually, the engineer is able to make trade-offs between the power of the system, and the number of bits per symbol (and therefore the bitrate).

## Benefits of QAM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-7)]

## For further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Quadrature_Amplitude_Modulation&action=edit&section=T-8)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[quadrature amplitude modulation](http://en.wikipedia.org/wiki/quadrature_amplitude_modulation)**_

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[constellation diagram](http://en.wikipedia.org/wiki/constellation_diagram)**_

(QAM)

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

This page will discuss the mathematical basis, and the design of noncoherent receivers.

_This section of the [Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems) book is a stub. You can help by expanding this section._

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

## Line Codes[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[line code**_](http://en.wikipedia.org/wiki/Line_code)

In addition to pulse shaping, there are a number of useful **line codes** that we can use to help reduce our errors or to have other positive effects on our signal.

Line coding consists of representing the digital signal to be transported, by an amplitude- and time-discrete signal, that is optimally tuned for the specific properties of the physical channel (and of the receiving equipment). The waveform pattern of voltage or current used to represent the 1s and 0s of a digital signal on a transmission link is called line encoding. The common types of line encoding are unipolar, polar, bipolar and Manchester encoding.

Line codes are used commonly in computer communication networks over short distances.

There are numerous ways digital information can be coded onto a transmission medium. Some of the more common include:

    

    ![Line code table.gif](../../../upload.wikimedia.org/wikibooks/en/a/a4/Line_code_table.gif)

  


    

    ![Line code drawing.gif](../../../upload.wikimedia.org/wikibooks/en/5/5f/Line_code_drawing.gif)

Each of the various line formats has a particular advantage and disadvantage. It is not possible to select one, which will meet all needs. The format may be selected to meet one or more of the following criteria:

    

    • Minimize transmission hardware
    • Facilitate synchronization
    • Ease error detection and correction
    • Minimize spectral content
    • Eliminate a dc component

The Manchester code is quite popular. It is known as a self-clocking code because there is always a transition during the bit interval. Consequently, long strings of zeros or ones do not cause clocking problems.

## Non-Return to Zero Codes (NRZ)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[non-return-to-zero**_](http://en.wikipedia.org/wiki/Non-return-to-zero)

**Non-Return to Zero** (NRZ) codes are a bit awkwardly named, especially considering that the unipolar NRZ code does return to a zero value. In essence, an NRZ code is just a simple square wave, assigning one value to a binary 1, and another amplitude to a binary 0.

NRZ codes are more bandwidth efficient than bipolar ones. However, their spectral components go all the way down to 0 Hz. This prevents them from being used on transmission lines which are transformer coupled, or for some other reason cannot carry DC.

    

    ![NRZ spectrum.gif](../../../upload.wikimedia.org/wikibooks/en/a/a1/NRZ_spectrum.gif)

### Unipolar NRZ[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-3)]

Unipolar NRZ is simply a square wave with +AV being a binary 1, and 0V being a binary 0. NRZ is convenient because computer circuits use unipolar NRZ internally, and it requires little effort to expand this system outside the computer. Unipolar NRZ has a DC term, but a relatively narrow bandwidth.

### Bipolar NRZ[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-4)]

Bipolar NRZ operates using a bipolar voltage supply rail. Marks typically are represented using _negative_ voltages (e.g., -9V), while spaces with _positive_ voltages (e.g., +9V). For example, RS-232C/EIA-232 signaling relies on bipolar NRZ.
    
    
    -5V +5V -5V +5V -5V -5V +5V -5V -5V
     1  0   1   0   1   1   0   1   1
    

Bipolar NRZ has similar bandwidth and DC balance issues as unipolar NRZ.

### AMI[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-5)]

AMI (alternate mark inversion) is another example of a bipolar line code. Each successive mark is inverted and the average or DC level of the line is therefor zero.

    

    ![AMI.gif](../../../upload.wikimedia.org/wikibooks/en/c/c0/AMI.gif)

AMI is usually implemented as RZ pulses, but NRZ and NRZ-I variants exist as well.

One of the weaknesses of this approach is that long strings of zeros cause the receivers to lose lock. It is therefor necessary to impose other rules on the signal to prevent this. For example, combining NRZ-M with AMI yields MLT-3, the line coding system used with 100-base-T Ethernet.

### CDI[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-6)]

The CDI(Conditioned Diphase Interface) bipolar line code is actually a slightly different form of the original FM line coding used in single-density disk drives and audio cassette tapes. Marks are encoded as alternate polarity full period pulses. Spaces are encoded by half a period at the negative voltage and half period at the positive voltage. This coding scheme has the advantage that it requires less logic to implement than HDB3.

    

    ![CMI.gif](../../../upload.wikimedia.org/wikibooks/en/1/11/CMI.gif)

## Manchester[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-7)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Manchester code**_](http://en.wikipedia.org/wiki/Manchester_code)

**Manchester** codes were an invention that allows for timing information to be sent along with the data. In an NRZ code, if there is a long stream of ones or zeros, the receiver could conceivably suffer so much compound jitter that it would either lose or gain an entire bit time, and then be out of sync with the transmitter. This is because a long stream of 1s or 0s would not "change state" at all, but instead would simply stay at a single value. Manchester codes say that every single bittime will have a transition in the middle of the bit time, so that a receiver could find that transition, and "lock on" to the signal again, if it started to stray away from center. Because there are more transitions, however, manchester codes also require the highest bandwidth of all the line codes.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ethernet LAN uses manchester codes

## Differential Codes[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-8)]

Some communication channels (such as phase-modulated sine waves and differential twisted pairs) have the characteristic that transitions between the 2 symbols used can be easily distinguished, but when first starting to receive it is difficult to tell which of the 2 states it is in. For example, full-speed USB uses a twisted pair and transmits +3.3 V on one line and 0 V on the other line for "1", but 0 V on the one line and +3.3 V on the other line for "0". Because some cables have an extra half-twist in them, it is impossible for a device that was just plugged in to tell whether the symbol it is currently receiving is a "1" or a "0".

Differential codes still work, not even noticing when the 2 wires get switched.

  
Differential codes, in general, look exactly the same on a oscilloscope or spectrum analyzer as the non-differential code they are based on, and so use exactly the same bandwidth and have exactly the same bitrate.

Differential codes that work when the 2 wires get switched include:

  * Differential Manchester encoding -- based on Manchester encoding
  * Non-Return-to-Zero Inverted (NRZI) -- based on non-return-to-zero (NRZ)

(A few non-differential codes also work even when the 2 wires get switched -- such as bipolar encoding, and MLT-3 encoding).

  


### Differential NRZ[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-9)]

### Differential Manchester[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-10)]

Differential Manchester encoding, also called biphase mark code (BMC) or FM1, is a line code in which data and clock signals are combined to form a single 2-level self-synchronizing data stream. It is a differential encoding, using the presence or absence of transitions to indicate logical value. It has the following advantages over some other line codes: • A transition is guaranteed at least once every bit, allowing the receiving device to perform clock recovery. • Detecting transitions is often less error-prone than comparing against a threshold in a noisy environment. • Unlike with Manchester encoding, only the presence of a transition is important, not the polarity. Differential coding schemes will work exactly the same if the signal is inverted (wires swapped). (Other line codes with this property include NRZI, bipolar encoding, coded mark inversion, and MLT-3 encoding). • If the high and low signal levels have the same voltage with opposite polarity, coded signals have zero average DC voltage, thus reducing the necessary transmitting power and minimizing the amount of electromagnetic noise produced by the transmission line.

## Comparison[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-11)]

Code
Bandwidth
Timing
DC value

Unipolar NRZ
Low bandwidth
No timing information
High DC component

Bipolar NRZ
Lower bandwidth
No timing information
No DC component

Differential NRZ
Lower bandwidth
No timing information
Little or no DC component

Manchester
High bandwidth
Good clock recovery
No DC component

Differential Manchester
Moderate bandwidth
Good clock recovery
No DC Component

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Line_Codes&action=edit&section=T-12)]

  * [Wikipedia:differential coding](http://en.wikipedia.org/wiki/differential_coding)

# Analog Networks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=7)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

Old folks may very well remember the first incarnation of the telephone networks, where an operator sitting at a desk would physically connect different wires to transmit a phone call from one house to another house. The days however when an operator at a desk could handle all the volume and all the possibilities of the telephone network are over. Now, automated systems connect wires together to transmit calls from one side of the country to another almost instantly.

## What is Circuit-Switching?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-1)]

Circuit switching is a mechanism of assigning a predefined path from source node to destination node during the entire period of connection. Plain old telephone system (POTS) is a well known example of analogue circuit switching..

## Strowger Switch[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-2)]

Strowger Switch is the first automatic switch used in circuit switching. Prior to that all switching was done manually by operators working at various exchanges. It is named after its inventor [Almon Brown Strowger](http://en.wikipedia.org/wiki/Almon_Brown_Strowger).

## Cross-Bar Switch[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-3)]

## Telephony[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-4)]

This is a telephone thing

### Telephone Network[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-5)]

### Rotary vs Touch-Tone[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-6)]

### Cellular Network Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-7)]

## further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Circuit_Switching_Networks&action=edit&section=T-8)]

  * We will go into more details of the telephone network in a later chapter, [Communication Networks/Analog and Digital Telephony](http://en.wikibooks.org/wiki/Communication_Networks/Analog_and_Digital_Telephony).

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

The cable television network is something that is very near and dear to the hearts of many people, but few people understand how cable TV works. The chapters in this section will attempt to explain how cable TV works, and later chapters on advanced television networks will discuss topics such as cable internet, and HDTV.

coax cable has a bandwidth in the hundreds of megahertz, which is more than enough to transmit multiple streams of video and audio _simultaneously_. Some people mistakenly think that the television (or the cable box) sends a signal to the TV station to tell what channel it wants, and then the TV station sends only that channel back to your home. This is not the case. The cable wire transmits every single channel, simultaneously. It does this by using frequency division multiplexing.

## TV Channels[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Cable_Television_Network&action=edit&section=T-1)]

Each TV channel consists of a frequency range of 6MHz. Of this, most of it is video data, some of it is audio data, some of it is control data, and the rest of it is unused buffer space, that helps to prevent cross-talk between adjacent channels.

Scrambled channels, or "locked channels" are channels that are still sent to your house on the cable wire, but without the control signal that helps to sync up the video signal. If you watch a scrambled channel, you can still often make out some images, but they just don't seem to line up correctly. When you call up to order pay-per-view, or when you buy another channel, the cable company reinserts the control signal into the line, and you can see the descrambled channel.

A **descrambler**, or "cable black box" is a machine that artificially recreates the synchronization signal, and realigns the image on the TV. descrambler boxes are illegal in most places.

## NTSC[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Cable_Television_Network&action=edit&section=T-2)]

NTSC, named for the National Television System Committee, is the analog television system used in most of North America, most countries in South America, Burma, South Korea, Taiwan, Japan, Philippines, and some Pacific island nations and territories (see map). NTSC is also the name of the U.S. standardization body that developed the broadcast standard.[1] The first NTSC standard was developed in 1941 and had no provision for color TV.

In 1953 a second modified version of the NTSC standard was adopted, which allowed color broadcasting compatible with the existing stock of black-and-white receivers. NTSC was the first widely adopted broadcast color system. After over a half-century of use, the vast majority of over-the-air NTSC transmissions in the United States were replaced with ATSC on June 12, 2009, and will be, by August 31, 2011, in Canada.

## PAL[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Cable_Television_Network&action=edit&section=T-3)]

## SECAM[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Cable_Television_Network&action=edit&section=T-4)]

## HDTV[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Cable_Television_Network&action=edit&section=T-5)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

Everybody has a radio. Either it is in your house, or it is in your car. The pages in this chapter will discuss some of the specifics of radio transmission, will discuss the differences between AM and FM radio.

## AM Radio[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Radio_Communications&action=edit&section=T-1)]

## FM Radio[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Radio_Communications&action=edit&section=T-2)]

## Amateur Radio[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Radio_Communications&action=edit&section=T-3)]

## Other Modulated Audio[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Radio_Communications&action=edit&section=T-4)]

# Digital Networks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=8)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

In a digital communications system, there are 2 methods for data transfer: **parallel** and **serial**. Parallel connections have multiple wires running parallel to each other (hence the name), and can transmit data on all the wires simultaneously. Serial, on the other hand, uses a single wire to transfer the data bits one at a time.

## Parallel Data[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Parallel_vs_Serial&action=edit&section=T-1)]

The parallel port on modern computer systems is an example of a parallel communications connection. The parallel port has 8 data wires, and a large series of ground wires and control wires. IDE harddisk connectors and PCI expansion ports are another good example of parallel connections in a computer system.

## Serial Data[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Parallel_vs_Serial&action=edit&section=T-2)]

The serial port on modern computers is a good example of serial communications. Serial ports have either a single data wire, or a single differential pair, and the remainder of the wires are either ground or control signals. USB, FireWire, SATA and PCI Express are good examples of other serial communications standards in modern computers.

## Which is Better?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Parallel_vs_Serial&action=edit&section=T-3)]

It is a natural question to ask which one of the two transmission methods is better. At first glance, it would seem that parallel ports should be able to send data much faster than serial ports. Let's say we have a parallel connection with 8 data wires, and a serial connection with a single data wire. Simple arithmetic seems to show that the parallel system can transmit 8 times as fast as the serial system.

However, parallel ports suffer extremely from **inter-symbol interference** (ISI) and noise, and therefore the data can be corrupted over long distances. Also, because the wires in a parallel system have small amounts of capacitance and mutual inductance, the bandwidth of parallel wires is much lower than the bandwidth of serial wires. We all know by now that an increased bandwidth leads to a better bit rate. We also know that less noise in the channel means we can successfully transmit data reliably with a lower Signal-to-Noise Ratio, SNR.

If, however, we bump up the power in a serial connection by using a differential signal with 2 wires (one with a positive voltage, and one with a negative voltage), we can use the same amount of power, have twice the SNR, and reach an even higher bitrate without suffering the effects of noise. USB cables, for instance, use shielded, differential serial communications, and the USB 2.0 standard is capable of data transmission rates of 480Mbits/sec!

In addition, because of the increased potential for noise and interference, parallel wires need to be far shorter than serial wires. Consider the standard parallel port wire to connect the PC to a printer: those wires are between 3 and 4 feet long, and the longest commercially available is typically 25 feet. Now consider ethernet wires (which are serial, and typically unshielded twisted pair): they can be bought in lengths of 100 feet, and a 300 foot run is not uncommon!

## UART, USART[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Parallel_vs_Serial&action=edit&section=T-4)]

UART is always better than USART

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**A Wikibookian has nominated this page for cleanup.**  
You can [help make it better](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit). Please review any [relevant discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Systems/Print_Version&action=edit&redlink=1).

This page will discuss the OSI Reference Model

## OSI Model[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-1)]

Layer What It Does

Application Layer
The application layer is what the user of the computer will see and interact with. This layer is the "Application" that the programmer develops.

Presentation Layer
The Presentation Layer is involved in formatting the data into a human-readable format, and translating different languages, etc...

Session Layer
The Session Layer will maintain different connections, in case a single application wants to connect to multiple remote sites (or form multiple connections with a single remote site).

Transport Layer
The Transport Layer will handle data transmissions, and will differentiate between Connection-Oriented transmissions (TCP) and connectionless transmissions (UDP)

Network Layer
The Network Layer allows different machines to address each other logically, and allows for reliable data transmission between computers (IP)

Data-Link Layer
The Data-Link Layer is the layer that determines how data is sent through the physical channel. Examples of Data-Link protocols are "Ethernet" and "PPP".

Physical Layer
The Physical Layer consists of the physical wires, or the antennas that comprise the physical hardware of the transmission system. Physical layer entities include WiFi transmissions, and 100BaseT cables.

## What It Does[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-2)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[OSI model**_](http://en.wikipedia.org/wiki/OSI_model)

The OSI model allows for different developers to make products and software to interface with other products, without having to worry about how the layers below are implemented. Each layer has a specified interface with layers above and below it, so everybody can work on different areas without worrying about compatibility.

## Packets[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-3)]

Higher level layers handle the data first, so higher level protocols will touch packets in a descending order. Let's say we have a terminal system that uses TCP protocol in the transport layer, IP in the network layer, and Ethernet in the Data Link layer. This is how the packet would get created:

1\. Our application creates a data packet

    |Data|

2\. TCP creates a TCP Packet:

    |TCP Header|Data|

3\. IP creates an IP packet:

    |IP Header|TCP Header|Data|CRC|

4\. Ethernet Creates an Ethernet Frame:

    |Ethernet Header|IP Header|TCP Header|Data|CRC|

On the receiving end, the layers receive the data in the reverse order:

1\. Ethernet Layer reads and removes Ethernet Header:

    |IP Header|TCP Header|Data|CRC|

2\. IP layer reads the IP header and checks the CRC for errors

    |TCP Header|Data|

3\. TCP Layer reads TCP header

    |Data|

4\. Application reads data.

It is important to note that multiple TCP packets can be squeezed into a single IP packet, and multiple IP packets can be put together into an Ethernet Frame.

## Network layer[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-4)]

### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-5)]

Network Layer is responsible for transmitting messages hop by hop. The major internet layer protocols exist in this layer. Internet Protocol (IP) plays as a major component among all others, but we will also discuss other protocols, such as Address Resolution Protocol (ARP), Dynamic Host Configuration Protocol (DHCP), Network Address Translation (NAT), and Internet Control Message Protocol (ICMP). Network layer does not guarantee the reliable communication and delivery of data.

### Network Layer Functionality[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-6)]

Network Layer is responsible for transmitting datagrams hop by hop, which sends from station to station until the messages reach their destination. Each computer should have a unique IP address assigned as an interface to identify itself from the network. When a message arrives from Transport Layer, IP looks for the message addresses, performs encapsulation and add a header end to become a datagram, and passes to the Data Link Layer. As for the same at the receive side, IP performs decapsulation and remove network layer header, and then sends to the Transport Layer. The network model illustrates below:

[File:Network Layer.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Network_Layer.jpg)

_Figure 1 Network Layer in OSI Model_

When a datagram sends from the source to the destination, here are simple steps on how IP works with a datagram travels:

  1. Upper-layer application sends a packet to the Network Layer.
  2. Data calculation by checksum.
  3. IP header and datagram constructs.
  4. Routing through gateways.
  5. Each gateways IP layer performs checksum. If checksum does not match, the datagram will be dropped and an error message will send back to the sending machine. Along the way, if TTL decrements to 0, the same result will occur. And, the destination address routing path will be determined on every stop as the datagram passes along the internetwork.
  6. Datagram gets to the Network Layer of destination.
  7. Checksum calculation performs.
  8. IP header takes out.
  9. Message passes to upper-layer application.

[File:IP Characteristic.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Characteristic.jpg)

_Figure 2 IP Characteristic in Network Layer_

In Network Layer, there exist other protocols, such as Address Resolution Protocol (ARP) and Internet Control Message Protocol (ICMP), but, however, IP holds a big part among all.

[File:IP Network.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Network.jpg)

_Figure3 Internet Protocol in Network Layer_

In addition, IP is a connectionless protocol, which means each packet acts as individual and passes through the Internet independently. There is sequence, but no sequence tracking on packets on the traveling, which no guarantee, in result of unreliable transmission.

## Common Alterations[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-7)]

## Other Reference Models[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/OSI_Reference_Model&action=edit&section=T-8)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

## Channels[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-1)]

A **channel** is a communication medium, the path that data takes from source to destination. A channel can be comprised of so many different things: wires, free space, and entire networks. Signals can be routed from one type of network to another network with completely different characteristics. In the Internet, a packet may be sent over a wireless WiFi network to an ethernet lan, to a DSL modem, to a fiber-optic backbone, et cetera. The many unique physical characteristics of different channels determine the three characteristics of interest in communication: the latency, the data rate, and the reliability of the channel.

## Bandwidth and Bitrate[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-2)]

Bandwidth is the difference between the upper and lower cutoff frequencies of, for example, a filter, a communication channel, or a signal spectrum. Bandwidth, like frequency, is measured in hertz (Hz). The bandwidth can be physically measured using a spectrum analyzer.

Bandwidth, given by the variables _Bw_ or _W_ is closely related to the amount of digital bits that can be reliably sent over a given channel:

    ![r_b = 2W](../../../upload.wikimedia.org/math/9/e/f/9efebb259b91f09e52aa6153da6ac563.png)

where _rb_ is the bitrate. If we have an M-ary signaling scheme with _m_ levels, we can expand the previous equation to find the maximum bit rate for the given bandwidth.

    ![r_b = 2Wm](../../../upload.wikimedia.org/math/0/0/5/0051c5fa6ea3baeebf492e1b520f46e0.png)

### Example: Bandwidth and Bitrate[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-3)]

Let's say that we have a channel with 1KHz bandwidth, and we would like to transmit data at 5000 bits/second. We would like to know how many levels of transmission we would need to attain this data rate. Plugging into the second equation, we get the following result:

    ![m = \\frac{r_b}{2W} = \\frac{5000}{2000} = 2.5](../../../upload.wikimedia.org/math/8/1/d/81dcb154f400519f6727400e9dd92e3c.png)

However, we know that in M-ary transmission schemes, _m_ must be an integer. Rounding up to the nearest integer, we find that _m =_ 3.

## Channel Capacity[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-4)]

The "capacity" of a channel is the theoretical upper-limit to the bit rate over a given channel that will result in negligible errors. Channel capacity is measured in bits/s.

Shannon's channel capacity is an equation that determines the information capacity of a channel from a few physical characteristics of the channel. A communication systems can attempt to exceed the Shannon's capacity of a given channel, but there will be many errors in transmission, and the expense is generally not worth the effort. Shannon's capacity, therefore, is the theoretical maximum bit rate below which information can be transmitted with negligible errors.

The Shannon channel capacity, _C_, is measured in units of bits/sec and is given by the equation:

    ![C = W \\log_2 \(1 + SNR\)](../../../upload.wikimedia.org/math/e/e/0/ee0c1ac2d5f257c3bb252ca8e0a35ae9.png)

_C_ is the maximum capacity of the channel, _W_ is the available bandwidth in the channel, and SNR is the signal to noise ratio, **not in DB**.

Because channel capacity is proportional to analog bandwidth, some people call it "digital bandwidth".

### Channel Capacity Example[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-5)]

The telephone network has an effective bandwidth less then 3000Hz (but we will round up), and transmitted signals have an average SNR less than 40dB (10,000 times larger). Plugging those numbers into Shannon's equation, we get the following result:

    ![C = 3000 \\log_2 \(1 + 10000\) = 39863.569...](../../../upload.wikimedia.org/math/5/7/7/577f4903fb822afe45fad93ae0b9b1fe.png)

we can see that the theoretical maximum channel capacity of the telephone network (if we generously round up all our numbers) is approximately 40Kb/sec!. How then can some modems transmit at a rate of 56kb/sec? it turns out that 56k modems use a trick, that we will talk about [in a later chapter](http://en.wikibooks.org/wiki/Communication_Networks/Analog_and_Digital_Telephony).

## Acknowledgement[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-6)]

Digital information packets have a number of overhead bits known as a **header**. This is because most digital systems use statistical TDM (as discussed in the Time-Division Multiplexing chapter). The total amount of bits sent in a transmission must be at least the sum of the data bits and the header bits. The total number of bits transmitted per second (the "throughput") is always less than the theoretical capacity. Because some of this throughput is used for these header bits, the number of data bits transmitted per second (the "goodput") is always less than the throughput.

In addition, since we all want our information to be transmitted reliably, it makes good sense for an intelligent transmitter and an intelligent receiver to check the message for errors.

An essential part of reliable communication is **error detection**, a subject that we will talk about more in depth later. Error detection is the process of embedding some sort of checksum (called a CRC sum in IP communications) into the packet header. The receiver uses this checksum to detect most errors in the transmission.

## forward error correction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-7)]

Some systems use **forward error correction** (FEC), a subject that we will talk about more in depth later. In such a system, the transmitter builds a packet and adds error correction codes to the packet. Under normal conditions -- with very few bit errors -- that gives the receiver enough information to not only determine that there was some sort of error, but also pinpoint exactly which bits are in error, and fix those errors.

### ARQ: ACK and NAK[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-8)]

In addition, since we all want our information to be transmitted reliably, it makes good sense for an intelligent transmitter and an intelligent receiver to communicate directly to each other, to ensure reliable transmission. This is called **acknowledgement**, and the process is called **hand-shaking**.

In an **acknowledgement request** (ARQ) scheme, the transmitter sends out data packets, and the receiver will then send back an acknowledgement. A positive acknowledgement (called "ACK") means that the packet was received without any detectable errors. A negative acknowledgement (called "NAK") means that the packet was received in error. Generally, when a NAK is received by the transmitter, the transmitter will send the packet again.

If the transmitter fails to receive a ACK in a reasonable amount of time, the transmitter will send the packet again.

### Streaming Packets[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-9)]

In some streaming protocols, such as RTP, the transmitter is sending time-sensitive data, and it can therefore not afford to wait for acknowledgement packets. In these types of systems, the receiver will attempt to detect errors in the received packets, and if an error is found, and it cannot be immediately corrected with FEC, the bad packet is simply deleted.

  


## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Channels&action=edit&section=T-10)]

  * [Data Coding Theory/Forward Error Correction](http://en.wikibooks.org/wiki/Data_Coding_Theory/Forward_Error_Correction)
  * [Serial Programming/Error Correction Methods](http://en.wikibooks.org/wiki/Serial_Programming/Error_Correction_Methods)
  * [Wikipedia: forward error correction](http://en.wikipedia.org/wiki/forward_error_correction)

## The Internet[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-1)]

The Internet has become, arguably, the most important and pervasive example of a network on the planet. The Internet connects people from across a street, and from around the globe at nearly the speed of light. The sections in this chapter will discuss some fundamentals about the internet, and some more advanced chapters on the subject will be discussed later in the book.

## Client-Server[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-2)]

The exact relationship between a client and a server in the traditional **Client-Server** relationship can be complicated, and in today's world, the distinctions are more hazy still. This page will attempt to define what a client and a server are, how they are related, and how they communicate.

Client 
    A client is a communications entity that requests information
Server 
    A server is a communications entity that supplies information, or responds to a request.

## Packet-Switching Networks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-3)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Packet Switching**_](http://en.wikipedia.org/wiki/Packet_Switching)

In the page on Time-Division Multiplexing (TDM), we talked about how we can use a method of breaking information up into chunks, and prefixing that data with address information to send multiple streams of data over a single channel. These chunks of data with their headers are called **packets**, and are the basis for communication in the Internet.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[LAN**_](http://en.wikipedia.org/wiki/LAN)

In **local area networks** (LAN), packets are sent over baseband channels for very short distances. These networks use Statistical TDM (packets) to control access to the channel, and to control the process of moving information from its source to its address. This process of gettings things where they need to go is called **routing**. Devices that route packets are called (surprise!) **routers**.

Over larger networks such as **Wide Area Networks** (WAN), high-capacity broadband channels such as fiber optic cables connect different local LANs. Over a WAN network, packets are then Frequency Division Multiplexed (FDM) to flow simultaneously over these broad channels. At the other end, these packets are moved back down to a baseband system, and routed using TDM techniques again.

When talking about the different components in a computer network, a lot of different words fly around: Routers, Hubs, Switches, and Gateways, are some example. This page will talk about some of the different pieces of hardware that make the Internet possible. This page will only offer brief explanations of each component, opting instead to save complex discussions on the workings of each for later chapters (or even later books!).

## Hubs[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-4)]

An Ethernet hub, normally just called a hub, is a networking device used to connect multiple Ethernet segments in order to create a primitive LAN. They are primarily connected using unshielded twisted pairs/shielded twisted pairs (UTP/STP) or Fiber Optic wires, and require no special administration to function. Hubs operate on the physical layer (Layer 1) of the OSI model, and indiscriminately forward frames to every other user in the domain.

Hubs perform a variety of tasks, including:

  * Acting as a multi-port repeater,
  * Forwarding frames to all users,
  * Allowing for connectivity to networks using 10base2 or 10base5 media,
  * Partitioning ports when excessive collisions occur, which isolates the affected segments,
  * And broadcasting a "jam" signal when collisions take place on Ethernet media.

Hubs also extend but do not control collision domains, absorbing bandwidth and allowing excessive collisions to occur and hinder performance, when switches or bridges can effectively break up a network.

Despite the increase of switches as the connection medium for workgroups, hubs can still operate in a number of situations:

  * Small computer clusters,
  * Careless users/saboteurs cannot interfere with a hub's function,
  * Connecting outdated networks to newer methods of data transmission,
  * And when budget is a priority over functionality.

## Switches and Routers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-5)]

  * [Wikipedia:Routers](http://en.wikipedia.org/wiki/Routers)
  * [Wikipedia:Network Switch](http://en.wikipedia.org/wiki/Network_Switch)

## Gateways[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-6)]

## Repeaters[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-7)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Repeater**_](http://en.wikipedia.org/wiki/Repeater)

## Proxys[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Internet&action=edit&section=T-8)]

## Ethernet[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Ethernet**_](http://en.wikipedia.org/wiki/Ethernet)

Ethernet was invented in 1973 at Xerox Corporation's Palo Alto Research Center(PARC) by a researcher named Bob Metcalfe. Bob Metcalfe was asked to build a networking system for the computers at PARC. Xerox wanted such a network because they were designing the world's first laser printer and wanted all of the computers there to be able to print using it. There were two challenges he faced, he had to make it fast enough for the laser printer as well as be able to connect hundreds of computers in the same building together.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ethernet is U.S. Patent #4,063,220

ETHERNET is a frame based technology used in the Local Area Networking(LAN).The LAN market has seen several technologies,but the most dominant today is ETHERNET.The original Ethernet was created in the 1976 at xerox's Palo Alto Research Center(Parc).A computer connected via a LAN to the Internet needs all five layers of the Internet model.The Three uper layers(Network,Transpot and Application) are common to all LANS.The Data Link layer is divided into Logic Link Control(LLC) sublayer and the Medium Access Control(MAC) sublayer.The LLC is desined for all LANs.While the MAC sublayer is slightly different for each Ethernet version.

### 802.3 MAC Frame[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-2)]

The 802.3 Ethernet frame consists of seven fields: Preamble, SFD, DA, SA, Length/type of protocol data unit, upper layer data and CRC.

  1. **Preamble:** Consists of 7 bytes of alternating 0s and 1s that alerts the receiver about the coming frame and enables synchronization of receiver data clock.
  2. **Start Frame Delimiter(SFD):** Consists of 1 byte (10101011), signals end of synchronization bits, and the start of frame data.
  3. **Destination Address(DA):** Consists of 6 bytes. This is the physical address of the destination.
  4. **Source Address(SA):** Consists of 6 bytes. This is the physical address of the sender of the frame.
  5. **Length/type field:** Consists of 2 bytes. as of 802.3-1997 this field contains the etherType OR length (see [EtherType](http://en.wikipedia.org/wiki/Ethertype))
  6. **Data & Padding:** Its minimum length is 46 bytes and maximum is 1500 bytes.
  7. **Cyclic Redundancy Check (CRC):** The last field contains the error detection information,in this case its size is 4 bytes.

### Manchester Encoding[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-3)]

![Encode.jpg](../../../upload.wikimedia.org/wikibooks/en/c/cd/Encode.jpg)

Encoding is mean transform the information in to the signals.You can send your data by converting them in to the signals.If you are sending a binary bit pattern 10000000,then there may be chance at the receiver side ,it will consider as 00001000 or 00100000.So we have to find out some exact method by which receiver will determine the start,end or middle of whicheach bit withoutrefernce to an external clock.Two methods are there(1)Manchester Encoding (2)Differential Manchester Encoding.

**Manchester Encoding**

With this method each bit block is divided in to two equal intervals. A binary 1 bit is sent by having the voltage set high during the first interval and low in the second interval, a binary 0 is just the reverse: first low and then high.By using these type of pattern every bit period has a transition in the middle, so it would become very easy for the receiver to synchronize with sender. A drawback of this method is that it requires twice as much bandwidth as straight binary encoding because the pulse is half the width.

  
**Differential Manchester Encoding**

It is a variation of Manchester encoding method.In this,a 1 bit is indicated by the absence of a transition and 0 is indicated by the presence of the transition at the start of the interval.By doing this we can overcome by the drawback of this previous method.

  
But all Ethernet systems use Manchester Encoding method due to its simplicity,Ethernet does not use differential Manchester encoding due to its complexity.

  


### Access Method[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-4)]

**CSMA/CD**

Most of the Ethernet uses 1-persistent Carrier Sense Multiple Access (CSMA)/Collision Detection (CD) method, basically an algorithm for arbitration. CSMA/CD logic helps prevent collisions and also defines how to act when a collision does occur. The CSMA/CD algorithm works like this:

a. A device with a frame to send listens until Ethernet is not busy.

b. When the Ethernet is not busy, the sender begins sending the frame.

c. The sender listens to make sure that no collision occurred.

d. Once the sender hears the collision, they each send a jamming signal, to ensure that all stations recognize the collision.

e. After the jamming is complete, each sender randomizes a timer and waits that long.

f. When each timer expires, the process starts over with Step 1.

So, all devices on the Ethernet need to use CSMA/CD to avoid collisions and to recover when inadvertent collisions occur.

The minimum length restriction is required for the correct operation of CSMA/CD.If there is a collision before the physical layer sends a frame out of a station,it must be heard by all the station.An Ethernet frame must therefore have a minimum length of 64 bytes .

**Addressing**

Each Station on an Ethernet network has its own network interface card. The NIC fits inside the station and provides the station with a 6-byte physical address. The Ethernet address is a 6 byte, normally written in Hexadecimal notation using a hyphen to separate bytes from each other as shown below
    
    
                     Example -   06-A3-56-2C-4B-01
    

Unicast,Multicast and Broadcast Addresses:-A source address is always a unicastaddress-the frame comes from only one station,the destination address,however,can be unicast,multicast or broadcast.The below example shows that how to distinguish a unicast address from the multicast address.

Source: always0 Destination: Unicast 0, Multicast 1

  


Byte 1 Byte 2 ……………………………………………..Byte 6

  
A Unicast address defines only one recipient,the relationship between the sender and receiver is one to one.A Multicast addresses defines a group of addresses, the relationship is one to many.The Broadcast address is a special case of the multicast address;the recipients are all the stations on the networks.A destination broadcast address is 48 1s.

  
**Types OF Ethernet**

There are 3 types of Ethernet available in the market right now.

  
1\. Traditional Ethernet – 10 Mbps

2\. Fast Ethernet – 100 Mbps

3\. Gigabit Ethernet – 1000Mbps

  
![MAC4.jpg](../../../upload.wikimedia.org/wikibooks/en/f/f3/MAC4.jpg)

  
**Common Structure of the Ethernet**

  
![MAC1.jpg](../../../upload.wikimedia.org/wikibooks/en/c/ce/MAC1.jpg)

  
**Function of all the layers in the Ethernet**

  
**Tradiditional Ethernet-10Mbps**

  
**1 Physical Layer**

This layer encodes and decodes data.Traditional Ethernet uses Manchester encoding with rate of 10 Mbps.

**2 Transceiver**

It is a transmitter and receiver.It transmits signals over the medium;it receive signals over the medium,and also detects collision.It can be internal or external.If it is external then we need to connect attachment unit interface between the station.

  
**Fast Ethernet-100Mbps**

  
The purpose of the evaluation of Ethernet from 10Mbps to 100Mbps is to keep the MAC Sublayer untouched.The access method is the same for the 100 Mbps .But there are 3 techniques by which we can change 10Mbps to 100Mbps.

  
(1) Auto negotiation:- It allows incompatible device to connect to one another, as a example a device designed for 10Mbps can communicate with a device desined for 100Mbps.It also allows a station to check a hub’s capabilities.

  
(2) Reconciliation Sublayer:- In fast Ethernet ,this layer replaces the Physical layer of the 10Mbps,because encoding in fast ethernet is medium dependant.And encoding decoding moves to the transceiver leyer.

  
(3) Medium Independent interface:- It provides acompatible path for both 10mbps and 100 mbps,it also provides the link between Physical Layer and Reconciliation Layer.

  
**Gigabyte Ethernet-1000Mbps**

  
![MAC3.jpg](../../../upload.wikimedia.org/wikibooks/en/9/97/MAC3.jpg)

When we move from 100 mbps to 1000mbps,our idea was to leave Mac layer untouched which is not satisfied eventually.

  
**Access Method**

  
Gigabyte Eathernet have two approaches, one being half-duplex using CSMA/CD or full duplex with no need for CSMA/CD. The former one being interesting but complicated and not practical. while in full duplex we don’t need CSMA/CD. Generally full duplex approach is preferred over half-duplex.

  
**Gigabyte medium independent interface**

  
It is the specification defining reconciliation is to be connected to PHY transceiver. In this there is a chip which can work on 10mbps and 100mbps. Management function are included and there is no cable or connector.

  
**Bridged Ethernet**

  
It has two effects mostly, raising the bandwidth and separating the collision domains.

**1 Raise the Bandwidth**

Stations shares the total bandwidth they are provided with.when we have more than one station they share the provided bandwidth hence we can put the bridge we can spilt the stations so that they can share the same bandwidth but the number of stations are less as it’s divided between stations.For example, We have 10 stations sharing 10 mbps now if we bridge them over 5-5 stations ,we will have 5 stations sharing the same 10mbps bandwidth, hence bridged connection can increase the bandwidth by above mentioned method.

  
**2 Separating collision domain**

Separation of the collision domain is another advantage of bridged network.By bridging the collision domain becomes much smaller and te probability of collision is reduced by doing so.

  
**Full duplex Ethernet**

  
In full duplex each station has separate channel for transmitting the signal and also has receiving channel, hence collision is reduced.

## Link Switching[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-5)]

Interconnecting LAN Segment:

  
LAN segmentation simply means breaking one LAN into parts, with each part called a segment. With a single hub, or multiple hubs you have a single segment. With the use of bridge, switch, or router we can split one large LAN into small LAN segments.

  
First, many university and corporate departments have their own LANs. There is a need for interaction for different kind of LANs, so bridges are needed.

  
Second, the organization may be geographically spread over several buildings separated by considerable distances. It is cheaper to have separate LANs in each building and connect them with bridges or switches.

  
Third, it may be necessary to split what is logically a single LAN into separate LANs to accommodate the load. Like many universities uses different servers for file server and web sever. Multiple LANs connected by bridges are used. Each LAN contains a cluster of workstation with its own file server so that most traffic is restricted to a single LAN and does not add load to the backbone.

  
Fourth, in some situations, a single LAN would be adequate in terms of the load, but the physical distance between the most distant machines is too great. The only solution is to partition the LAN and install bridges between the segments. Using this technique the total physical distance covered can be increased.

  
Fifth, a bridge can be programmed to exercise some discretion about what is forwards and what it does not forward. This can enhance reliability by splitting the network.

  
Sixth, by inserting bridges at various places and being careful not to forward sensitive traffic, a system administrator can isolate parts of the network so that its traffic cannot escape and fall into the wrong hands.

  
Bridge Issues

  
1)For connecting different 802 architecture communication bridge change the frame and reformat it that takes CPU time, requires a new checksum calculation, and introduces the possibility of undetected errors due to bad bits in the bridge’s memory.

  
2)Interconnected LANs do not necessarily run at the same data rate.

  
3)Different 802 LANs have different maximum frame lengths. When a long frame must be forwarded onto a LAN that cannot accept it. Splitting the frame into pieces is out of the question in this layer. Basically, there is no solution for frames that are too large. They must be discarded.

  
4)Both 802.11 and 802.16 support encryption in the data link layer. Ethernet does not. So some encryption which used by wireless is lost when traffic passes over an Ethernet.

  
5)Both 802.11 and 802.16 provide QoS provide it in various forms, the former using PCF mode and the letter using constant bit rate connection. Ethernet has no concept of quality of service, so traffic from either of the others will lose its quality of service when passing over an Ethernet.

  
Format Conversation And Reformatting

  
Sender A resides on wireless network and receiver B resides on Ethernet. The packet descends into the LLC sub layer and acquires an LLC header (shown in black in the figure). Then it passes into the MAC sub layer and an 802.11 header is prepended to it. This unit goes out over the air and picked up by the base station. Which sees that it needs to go to the fixed Ethernet. When it hits the bridge connecting the 802.11 network to the 802.3 network; it starts in the physical layer and works its way upwards. In the MAC sublayer in the bridge, the 802.11 header is stripped off. The bare packet is then handed off to the LLC sublayer in the bridge. In this example, the packet is destined for an 802.3 LAN, so it works its way down the 802.3 side of the bridge and off it goes on the Ethernet.

  
Note: A bridge connecting k different LANs will have k different MAC sublayers and k different physical layers, one for each type.

  
Traffic Isolation Bridges come in two main forms. One type of bridge is what is known as a transparent or learning bridge. This type of bridge is transparent to the device sending the packet. At the same time this bridge will learn over time what devices exist on each side of it. This is done by the bridge’s ability to read the Data-Link information on each packet going across the network. By analyzing these packets, and seeing the source MAC address of each device, the bridge is able to build a table of which exist on what side of it. There usually is a mechanism for a person to go in and also program the bridge with address information as well; learning bridge references an internal table of address. This table is either learned by the bridge, from previous packet deliveries on the network, or manually programmed into the bridge.

  
Another type of bridge is a source routing bridge. This type of bridge is employed on a token-ring network. A source routing bridge is a bridge that reads information in the packet will state the route to the destination segment on the network. A source routing bridge will analyze this information to determine whether or not this stream of data should or should not be passed along.

  
Bridges, however, cannot join LANs that are utilizing different network addresses, this is because bridges operate at the layer 2 of the OSI model and depends on the physical address of devices and not at the Network Layer which relies on logical network addresses.

  
Forwarding Table & Backward Learning:

  
Bridges build the bridge table by listening to incoming frames and examining the source MAC address in the frame. If a frame enters the bridge and the source MAC address is not in the bridge table, the bridge creates an entry in the table. The MAC address is placed into the table, along with the interface in which the frame arrived. This is known as self address learning method.

  
For filtering the packets between LAN Segments Bridge uses a bridge table. When a frame is receive and destination address is not in the bridge table it broadcast or multicast, forward on all ports except the port in which the frame was received. If the destination address is in the bridge table, and if the associated interface is not the interface in which the frame arrived, forward the frame out the one correct port. Else filter the frame not forward the frame.

  
STP’s working

  
The spanning tree algorithm places each bridge or switch port into either a forwarding state or a blocking state. All the ports in the forwarding state are considered to be in the current spanning tree.

  
First Root Bridge is selected. It is selected by lowest serial number. All ports of root bridge are designated port. Each non-root bridge receives the hello packet from root bridge. After that each bridge compares path cost to the root bridge with each port. The port which has lowest path cost is declared as a root port for the non-root bridge. That is known as root port. The root port of each bridge is placed into a forwarding state.

  
Finally each Lan segment has an STP designated bridge on that segment. Many bridges can attach to the same Ethernet segment. The bridge with the lowest cost from itself to the root bridge port, as compared to the other bridges attached to the same segment, is the designated bridge for that segment. The interface that the bridge uses to connect to that segment is called the designated port for that segment, the port is placed into a forwarding state. STP places all other ports into a blocking state.

  
In the intelligent bridges and switches STP runs automatically and no need for manual configuration. The STP algorithm continues to run during normal operation.

  
**VLAN**

  
A group of device on one or more LANs that are configured(using management software) so that they can communicate as if they were attached to the same wire, when in fact, they are located on a number of different LAN segments. Because VLANs are based on logical instead of physical connections, they are extremely flexible.

  
Each switch has two VLANs. On the first switch, the send of VLAN A and VLAN B occurs through a single port, which is trunked. These VLANs go to both the router and, through another port, to the second switch. VLAN C and VLAN D are trunked from the second switch to the first switch and, through that switch, to the router. This trunk can carry traffic from all four VLANs. The trunk link from the first switch to the router can also carry all four VLANs. In fact, this one connection to the router actually allows the router to appear on all four VLANs. The appearance is that the router has four different physical ports with connection to the switch.

  
The VLANs can communicate with each other via the trunking connection between the two switches. This communication occurs with use of the router. For example, data from a computer on VLAN A that need to get to a computer on VLAN B must travel from the switch to the router and back again to the switch. Because of the transparent bridging algorithm and trunking, both PCs and the router think that they are on the same physical segment. LAN switches can make a big difference in the speed and quality of your network. VLAN 1 is the default VLAN; it can never be deleted. All untagged traffic falls into this VLAN by default.

  
There are the following types of Virtual LANs:

  
1.Port-Based VLAN: each physical switch port is configured with an access list specifying membership in a set of VLANs.

  
2.MAC-based VLAN: a switch is configured with an access list mapping individual MAC addresses to VLAN membership.

  
3.Protocol-based VLAN: a switch is configured with a list of mapping layer 3 protocol types to VLAN membership - thereby filtering IP traffic from nearby end-stations using a particular protocol such as IPX.

  
4.ATM VLAN - using LAN Emulation (LANE) protocol to map Ethernet packets into ATM cells and deliver them to their destination by converting an Ethernet MAC address into an ATM address.

  
Advantages of VLAN

  
•Reduces the broadcast domain, which in turn reduces network traffic and increases network security (both of which are hampered in case of single large broadcast domain)

  
•Reduces management effort to create sub networks

  
•Reduces hardware requirement, as networks can be logically instead of physically separated

  
•Increases control over multiple traffic types

  
**802.1Q**

  
The IEEE’s 802.1Q standard was developed to address the problem of how to break large networks into smaller parts so broadcast and multicast traffic wouldn’t grab more bandwidth than necessary. The standard also helps provide a higher level of security between segments of internal networks.

  
Frame Format

  
The 802.1q frame format is same as 802.3. the only change is the addition of 4 bytes fields. The first two bytes are the VLAN protocol ID. It always has the value of 0X8100. The second 2-bytes field contains three subfields.

  
1)VLAN identifier

  
2)CFI

  
3)PRI

  
•VID- VLAN ID is the identification of the VLAN, which is basically used by the standard 802.1Q. It has 12 bits and allow the identification of 4096 (2^12) VLANs. Of the 4096 possible VIDs, a VID of 0 is used to identify priority frames and value 4095 (FFF) is reserved, so the maximum possible VLAN configurations are 4,094.

  
•User Priority- Defines user priority, giving eight (2^3) priority levels. IEEE 802.1P defines the operation for these 3 user priority bits.

  
•CFI- Canonical Format Indicator is always set to zero for Ethernet switches. CFI is used for compatibility reason between Ethernet type network and Token Ring type network. If a frame received at an Ethernet port has a CFI set to 1, then that frame should not be forwarded as it is to an untagged port • User Priority- Defines user priority, giving eight (2^3) priority levels. IEEE 802.1P defines the operation for these 3 user priority bits.

  
Because inserting this header changes the frame, 802.1Q encapsulation forces a recalculation of the original FCS field in the Ethernet trailer.

## Problems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Ethernet&action=edit&section=T-6)]

1\. Sketch the Manchester Encoding for the bit stream: 0001110101

  
2\. Sketch the differential Manchester Encoding for the bit stream of the previous problem. Assume the line is initially in the low state. (IEEE 802.3)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**A Wikibookian has nominated this page for cleanup.**  
You can [help make it better](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit). Please review any [relevant discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Systems/Print_Version&action=edit&redlink=1).

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-1)]

## Contents

  * [1 Introduction](Print_Version.html#Introduction)
  * [2 Table of Contents](Print_Version.html#Table_of_Contents)
  * [3 Introduction](Print_Version.html#Introduction_2)
    * [3.1 What is Communications?](Print_Version.html#What_is_Communications.3F)
  * [4 Who is This Book For?](Print_Version.html#Who_is_This_Book_For.3F)
  * [5 What this Book will Cover](Print_Version.html#What_this_Book_will_Cover)
  * [6 Where to Go From Here](Print_Version.html#Where_to_Go_From_Here)
  * [7 Division of Material](Print_Version.html#Division_of_Material)
    * [7.1 Analog and Digital](Print_Version.html#Analog_and_Digital)
    * [7.2 Signals and Systems](Print_Version.html#Signals_and_Systems)
    * [7.3 _Systems_ Approach](Print_Version.html#Systems_Approach)
    * [7.4 Why would anyone want to study (tele)communications?](Print_Version.html#Why_would_anyone_want_to_study_.28tele.29communications.3F)
  * [8 About This Book](Print_Version.html#About_This_Book)
  * [9 Chronology](Print_Version.html#Chronology)
  * [10 Claude Shannon](Print_Version.html#Claude_Shannon)
  * [11 Harry Nyquist](Print_Version.html#Harry_Nyquist)
  * [12 Communications Basics](Print_Version.html#Communications_Basics)
    * [12.1 Wideband vs Narrowband](Print_Version.html#Wideband_vs_Narrowband)
    * [12.2 Frequency Spectrum](Print_Version.html#Frequency_Spectrum)
    * [12.3 Time Division Multiplexing](Print_Version.html#Time_Division_Multiplexing)
      * [12.3.1 North American TDM](Print_Version.html#North_American_TDM)
        * [12.3.1.1 S Bit Synchronization](Print_Version.html#S_Bit_Synchronization)
        * [12.3.1.2 Signaling](Print_Version.html#Signaling)
        * [12.3.1.3 ESF](Print_Version.html#ESF)
        * [12.3.1.4 Typical T1 CPE Application](Print_Version.html#Typical_T1_CPE_Application)
        * [12.3.1.5 Multiplexers](Print_Version.html#Multiplexers)
        * [12.3.1.6 ZBTSI](Print_Version.html#ZBTSI)
      * [12.3.2 European TDM Carriers](Print_Version.html#European_TDM_Carriers)
    * [12.4 Zero Substitutions](Print_Version.html#Zero_Substitutions)
      * [12.4.1 B6ZS](Print_Version.html#B6ZS)
      * [12.4.2 B8ZS](Print_Version.html#B8ZS)
      * [12.4.3 B3ZS](Print_Version.html#B3ZS)
      * [12.4.4 HDB3](Print_Version.html#HDB3)
      * [12.4.5 Block Code Substitution](Print_Version.html#Block_Code_Substitution)
    * [12.5 Benefits of TDM](Print_Version.html#Benefits_of_TDM)
    * [12.6 Synchronous TDM](Print_Version.html#Synchronous_TDM)
    * [12.7 Statistical TDM](Print_Version.html#Statistical_TDM)
      * [12.7.1 Link Utilization](Print_Version.html#Link_Utilization)
    * [12.8 Packets](Print_Version.html#Packets)
    * [12.9 Duty Cycles](Print_Version.html#Duty_Cycles)
    * [12.10 Introduction](Print_Version.html#Introduction_3)
      * [12.10.1 Fixed Access Assignment](Print_Version.html#Fixed_Access_Assignment)
    * [12.11 What is FDM?](Print_Version.html#What_is_FDM.3F)
      * [12.11.1 Analog Carrier Systems](Print_Version.html#Analog_Carrier_Systems)
    * [12.12 Benefits of FDM](Print_Version.html#Benefits_of_FDM)
    * [12.13 Examples of FDM](Print_Version.html#Examples_of_FDM)
    * [12.14 Orthogonal FDM](Print_Version.html#Orthogonal_FDM)
    * [12.15 Voltage Controlled Oscillators (VCO)](Print_Version.html#Voltage_Controlled_Oscillators_.28VCO.29)
    * [12.16 Phase-Locked Loops](Print_Version.html#Phase-Locked_Loops)
    * [12.17 Purpose of VCO and PLL](Print_Version.html#Purpose_of_VCO_and_PLL)
    * [12.18 Varactors](Print_Version.html#Varactors)
    * [12.19 Further reading](Print_Version.html#Further_reading)
    * [12.20 What is an Envelope Filter?](Print_Version.html#What_is_an_Envelope_Filter.3F)
    * [12.21 Circuit Diagram](Print_Version.html#Circuit_Diagram)
    * [12.22 Positive Voltages](Print_Version.html#Positive_Voltages)
    * [12.23 Purpose of Envelope Filters](Print_Version.html#Purpose_of_Envelope_Filters)
    * [12.24 Definition](Print_Version.html#Definition)
    * [12.25 Types of Modulation](Print_Version.html#Types_of_Modulation)
    * [12.26 Why Use Modulation?](Print_Version.html#Why_Use_Modulation.3F)
    * [12.27 Examples](Print_Version.html#Examples)
    * [12.28 non-sinusoidal modulation](Print_Version.html#non-sinusoidal_modulation)
    * [12.29 further reading](Print_Version.html#further_reading_2)
    * [12.30 What are They?](Print_Version.html#What_are_They.3F)
    * [12.31 What are the Pros and Cons?](Print_Version.html#What_are_the_Pros_and_Cons.3F)
    * [12.32 Sampling and Reconstruction](Print_Version.html#Sampling_and_Reconstruction)
    * [12.33 further reading](Print_Version.html#further_reading_3)
    * [12.34 Twisted Pair Wire](Print_Version.html#Twisted_Pair_Wire)
    * [12.35 Coaxial Cable](Print_Version.html#Coaxial_Cable)
    * [12.36 Fiber Optics](Print_Version.html#Fiber_Optics)
    * [12.37 Wireless Transmission](Print_Version.html#Wireless_Transmission)
      * [12.37.1 Isotropic](Print_Version.html#Isotropic)
      * [12.37.2 Directional](Print_Version.html#Directional)
    * [12.38 Receiver Design](Print_Version.html#Receiver_Design)
    * [12.39 The Simple Receiver](Print_Version.html#The_Simple_Receiver)
    * [12.40 The Optimal Receiver](Print_Version.html#The_Optimal_Receiver)
      * [12.40.1 Derivation](Print_Version.html#Derivation)
      * [12.40.2 Matched Receiver](Print_Version.html#Matched_Receiver)
      * [12.40.3 Correlation Receiver](Print_Version.html#Correlation_Receiver)
    * [12.41 Conclusion](Print_Version.html#Conclusion)
    * [12.42 further reading](Print_Version.html#further_reading_4)
  * [13 Analog Modulation](Print_Version.html#Analog_Modulation)
    * [13.1 Analog Modulation Overview](Print_Version.html#Analog_Modulation_Overview)
    * [13.2 Types of Analog Modulation](Print_Version.html#Types_of_Analog_Modulation)
    * [13.3 The Breakdown](Print_Version.html#The_Breakdown)
    * [13.4 How we Will Cover the Material](Print_Version.html#How_we_Will_Cover_the_Material)
    * [13.5 Amplitude Modulation](Print_Version.html#Amplitude_Modulation)
      * [13.5.1 Characteristics](Print_Version.html#Characteristics)
        * [13.5.1.1 Modulation Index](Print_Version.html#Modulation_Index)
        * [13.5.1.2 Sidebands](Print_Version.html#Sidebands)
      * [13.5.2 AM Modulator](Print_Version.html#AM_Modulator)
        * [13.5.2.1 Switching Modulators](Print_Version.html#Switching_Modulators)
          * [13.5.2.1.1 Bipolar Switching Modulator](Print_Version.html#Bipolar_Switching_Modulator)
          * [13.5.2.1.2 Unipolar Switching Modulator](Print_Version.html#Unipolar_Switching_Modulator)
          * [13.5.2.1.3 Collector Modulator](Print_Version.html#Collector_Modulator)
          * [13.5.2.1.4 Square Law Modulator](Print_Version.html#Square_Law_Modulator)
        * [13.5.2.2 Modulation Index Measurement](Print_Version.html#Modulation_Index_Measurement)
        * [13.5.2.3 C-QUAM](Print_Version.html#C-QUAM)
      * [13.5.3 AM Receivers](Print_Version.html#AM_Receivers)
        * [13.5.3.1 TRF Amplifier](Print_Version.html#TRF_Amplifier)
        * [13.5.3.2 Superheterodyne Receiver](Print_Version.html#Superheterodyne_Receiver)
          * [13.5.3.2.1 Local Oscillator Frequency](Print_Version.html#Local_Oscillator_Frequency)
          * [13.5.3.2.2 Image Frequency](Print_Version.html#Image_Frequency)
    * [13.6 AM Demodulation](Print_Version.html#AM_Demodulation)
      * [13.6.1 AM Detection](Print_Version.html#AM_Detection)
        * [13.6.1.1 Envelope Detector](Print_Version.html#Envelope_Detector)
        * [13.6.1.2 Synchronous Detector](Print_Version.html#Synchronous_Detector)
        * [13.6.1.3 Squaring Detector](Print_Version.html#Squaring_Detector)
    * [13.7 AM-DSBSC](Print_Version.html#AM-DSBSC)
      * [13.7.1 Double Balanced Ring Modulator](Print_Version.html#Double_Balanced_Ring_Modulator)
      * [13.7.2 Push Pull Square Law Balanced Modulator](Print_Version.html#Push_Pull_Square_Law_Balanced_Modulator)
    * [13.8 AM-DSB-C](Print_Version.html#AM-DSB-C)
      * [13.8.1 Transmitter](Print_Version.html#Transmitter)
      * [13.8.2 Receiver](Print_Version.html#Receiver)
    * [13.9 AM-SSB](Print_Version.html#AM-SSB)
      * [13.9.1 Filter Method](Print_Version.html#Filter_Method)
      * [13.9.2 Phase Shift Method](Print_Version.html#Phase_Shift_Method)
      * [13.9.3 Weaver Method](Print_Version.html#Weaver_Method)
      * [13.9.4 SSB Transmitter](Print_Version.html#SSB_Transmitter)
      * [13.9.5 SSB Receiver](Print_Version.html#SSB_Receiver)
    * [13.10 AM-VSB](Print_Version.html#AM-VSB)
      * [13.10.1 Transmitter](Print_Version.html#Transmitter_2)
      * [13.10.2 Receiver](Print_Version.html#Receiver_2)
    * [13.11 Frequency Modulation](Print_Version.html#Frequency_Modulation)
      * [13.11.1 Deriving the FM Equation](Print_Version.html#Deriving_the_FM_Equation)
      * [13.11.2 Bessel's Functions](Print_Version.html#Bessel.27s_Functions)
      * [13.11.3 FM Bandwidth](Print_Version.html#FM_Bandwidth)
      * [13.11.4 Noise](Print_Version.html#Noise)
      * [13.11.5 Pre & De-emphasis](Print_Version.html#Pre_.26_De-emphasis)
    * [13.12 FM Transmission Power](Print_Version.html#FM_Transmission_Power)
    * [13.13 FM Transmitters](Print_Version.html#FM_Transmitters)
    * [13.14 FM Receivers](Print_Version.html#FM_Receivers)
    * [13.15 Phase Modulation](Print_Version.html#Phase_Modulation)
      * [13.15.1 BPSK Modulator](Print_Version.html#BPSK_Modulator)
      * [13.15.2 QPSK Modulators (4-PSK)](Print_Version.html#QPSK_Modulators_.284-PSK.29)
      * [13.15.3 8-PSK](Print_Version.html#8-PSK)
    * [13.16 Wrapped/Unwrapped Phase](Print_Version.html#Wrapped.2FUnwrapped_Phase)
    * [13.17 PM Transmitter](Print_Version.html#PM_Transmitter)
    * [13.18 PM Receiver](Print_Version.html#PM_Receiver)
    * [13.19 Concept](Print_Version.html#Concept)
    * [13.20 Instantaneous Phase](Print_Version.html#Instantaneous_Phase)
    * [13.21 Instantaneous Frequency](Print_Version.html#Instantaneous_Frequency)
    * [13.22 Determining FM or PM](Print_Version.html#Determining_FM_or_PM)
    * [13.23 Bandwidth](Print_Version.html#Bandwidth)
    * [13.24 The Bessel Function](Print_Version.html#The_Bessel_Function)
    * [13.25 Carson's Rule](Print_Version.html#Carson.27s_Rule)
    * [13.26 Demodulation: First Step](Print_Version.html#Demodulation:_First_Step)
    * [13.27 Filtered Noise](Print_Version.html#Filtered_Noise)
    * [13.28 Noise Analysis](Print_Version.html#Noise_Analysis)
  * [14 Transmission](Print_Version.html#Transmission)
    * [14.1 Electromagnetic Spectrum](Print_Version.html#Electromagnetic_Spectrum)
    * [14.2 Radio Waves](Print_Version.html#Radio_Waves)
      * [14.2.1 Common RF Band Designations](Print_Version.html#Common_RF_Band_Designations)
      * [14.2.2 Surface Waves](Print_Version.html#Surface_Waves)
        * [14.2.2.1 Refraction](Print_Version.html#Refraction)
          * [14.2.2.1.1 Super Refraction](Print_Version.html#Super_Refraction)
          * [14.2.2.1.2 Sub refraction](Print_Version.html#Sub_refraction)
      * [14.2.3 Space Waves](Print_Version.html#Space_Waves)
        * [14.2.3.1 Direct Wave](Print_Version.html#Direct_Wave)
        * [14.2.3.2 Ground Reflected Wave](Print_Version.html#Ground_Reflected_Wave)
      * [14.2.4 Sky Waves](Print_Version.html#Sky_Waves)
    * [14.3 Fading and Interference](Print_Version.html#Fading_and_Interference)
      * [14.3.1 Flat Earth Reflections (Horizontal Polarization)](Print_Version.html#Flat_Earth_Reflections_.28Horizontal_Polarization.29)
      * [14.3.2 Multipath Fading](Print_Version.html#Multipath_Fading)
        * [14.3.2.1 Time Dispersion](Print_Version.html#Time_Dispersion)
        * [14.3.2.2 Rayleigh Fading](Print_Version.html#Rayleigh_Fading)
        * [14.3.2.3 Ricean Fading](Print_Version.html#Ricean_Fading)
        * [14.3.2.4 Doppler Shift](Print_Version.html#Doppler_Shift)
      * [14.3.3 Atmospheric Diffraction](Print_Version.html#Atmospheric_Diffraction)
    * [14.4 Reflection](Print_Version.html#Reflection)
    * [14.5 Diffraction](Print_Version.html#Diffraction)
    * [14.6 Path Loss](Print_Version.html#Path_Loss)
    * [14.7 Rayleigh Fading](Print_Version.html#Rayleigh_Fading_2)
    * [14.8 Rician Fading](Print_Version.html#Rician_Fading)
    * [14.9 Doppler Shift](Print_Version.html#Doppler_Shift_2)
    * [14.10 Types of Noise](Print_Version.html#Types_of_Noise)
      * [14.10.1 Combining Noise Voltages](Print_Version.html#Combining_Noise_Voltages)
    * [14.11 Noise Temperature](Print_Version.html#Noise_Temperature)
    * [14.12 Noise Figure](Print_Version.html#Noise_Figure)
      * [14.12.1 Friiss' Formula & Amplifier Cascades](Print_Version.html#Friiss.27_Formula_.26_Amplifier_Cascades)
    * [14.13 Receiver Sensitivity](Print_Version.html#Receiver_Sensitivity)
    * [14.14 Cascaded Systems](Print_Version.html#Cascaded_Systems)
    * [14.15 Transmission Line Equation](Print_Version.html#Transmission_Line_Equation)
      * [14.15.1 Kirchoff's Voltage Law](Print_Version.html#Kirchoff.27s_Voltage_Law)
      * [14.15.2 Simplifying the Equation (trust me)](Print_Version.html#Simplifying_the_Equation_.28trust_me.29)
      * [14.15.3 Solving the Transmission Line Equation](Print_Version.html#Solving_the_Transmission_Line_Equation)
        * [14.15.3.1 Simplifying the Equation (trust me)](Print_Version.html#Simplifying_the_Equation_.28trust_me.29_2)
      * [14.15.4 Lossless Transmission Line](Print_Version.html#Lossless_Transmission_Line)
        * [14.15.4.1 Phase Velocity](Print_Version.html#Phase_Velocity)
      * [14.15.5 Distortionless Transmission Line](Print_Version.html#Distortionless_Transmission_Line)
    * [14.16 The Frequency Domain](Print_Version.html#The_Frequency_Domain)
    * [14.17 Characteristic Impedance](Print_Version.html#Characteristic_Impedance)
    * [14.18 Isotropic Antennas](Print_Version.html#Isotropic_Antennas)
      * [14.18.1 Power Flux Density](Print_Version.html#Power_Flux_Density)
      * [14.18.2 Effective Area](Print_Version.html#Effective_Area)
      * [14.18.3 Received Power](Print_Version.html#Received_Power)
    * [14.19 Directional Antennas](Print_Version.html#Directional_Antennas)
      * [14.19.1 Directivity](Print_Version.html#Directivity)
      * [14.19.2 Effective Area](Print_Version.html#Effective_Area_2)
      * [14.19.3 Transmit Gain](Print_Version.html#Transmit_Gain)
      * [14.19.4 Friis Equation](Print_Version.html#Friis_Equation)
    * [14.20 Link-Budget Analysis](Print_Version.html#Link-Budget_Analysis)
    * [14.21 Further reading](Print_Version.html#Further_reading_5)
    * [14.22 Technical categorisations](Print_Version.html#Technical_categorisations)
      * [14.22.1 Spatial Coding](Print_Version.html#Spatial_Coding)
    * [14.23 Multipathing](Print_Version.html#Multipathing)
    * [14.24 Application systems](Print_Version.html#Application_systems)
      * [14.24.1 MIMO Systems](Print_Version.html#MIMO_Systems)
      * [14.24.2 Smart antenna](Print_Version.html#Smart_antenna)
  * [15 Digital Modulation](Print_Version.html#Digital_Modulation)
    * [15.1 Definition](Print_Version.html#Definition_2)
    * [15.2 Square Wave](Print_Version.html#Square_Wave)
      * [15.2.1 Unipolar Square Wave](Print_Version.html#Unipolar_Square_Wave)
      * [15.2.2 Bipolar Square Wave](Print_Version.html#Bipolar_Square_Wave)
    * [15.3 Other pulses](Print_Version.html#Other_pulses)
    * [15.4 Sinc](Print_Version.html#Sinc)
    * [15.5 Comparison](Print_Version.html#Comparison)
    * [15.6 slew-rate-limited pulses](Print_Version.html#slew-rate-limited_pulses)
    * [15.7 Raised-Cosine Rolloff](Print_Version.html#Raised-Cosine_Rolloff)
    * [15.8 Binary symmetric pulses](Print_Version.html#Binary_symmetric_pulses)
    * [15.9 Asymmetric Pulses](Print_Version.html#Asymmetric_Pulses)
    * [15.10 Asymmetric Correlation Receiver](Print_Version.html#Asymmetric_Correlation_Receiver)
    * [15.11 References](Print_Version.html#References)
    * [15.12 What is "Keying?"](Print_Version.html#What_is_.22Keying.3F.22)
    * [15.13 Amplitude Shift Keying](Print_Version.html#Amplitude_Shift_Keying)
    * [15.14 Frequency Shift Keying](Print_Version.html#Frequency_Shift_Keying)
      * [15.14.1 Error Rate](Print_Version.html#Error_Rate)
    * [15.15 Phase Shift Keying](Print_Version.html#Phase_Shift_Keying)
      * [15.15.1 QPSK](Print_Version.html#QPSK)
      * [15.15.2 Error Rate](Print_Version.html#Error_Rate_2)
    * [15.16 Binary Transmitters](Print_Version.html#Binary_Transmitters)
    * [15.17 Binary Receivers](Print_Version.html#Binary_Receivers)
    * [15.18 Pronunciation](Print_Version.html#Pronunciation)
    * [15.19 Example: 4-ASK](Print_Version.html#Example:_4-ASK)
    * [15.20 Bits Per Symbol](Print_Version.html#Bits_Per_Symbol)
    * [15.21 QPSK](Print_Version.html#QPSK_2)
    * [15.22 CPFSK (MSK)](Print_Version.html#CPFSK_.28MSK.29)
    * [15.23 DPSK](Print_Version.html#DPSK)
    * [15.24 For further reading](Print_Version.html#For_further_reading)
    * [15.25 Definition](Print_Version.html#Definition_3)
    * [15.26 Constellation Plots](Print_Version.html#Constellation_Plots)
    * [15.27 Benefits of QAM](Print_Version.html#Benefits_of_QAM)
    * [15.28 For further reading](Print_Version.html#For_further_reading_2)
    * [15.29 Definition](Print_Version.html#Definition_4)
    * [15.30 Constellation Plots](Print_Version.html#Constellation_Plots_2)
    * [15.31 Benefits of QAM](Print_Version.html#Benefits_of_QAM_2)
    * [15.32 For further reading](Print_Version.html#For_further_reading_3)
    * [15.33 Line Codes](Print_Version.html#Line_Codes)
    * [15.34 Non-Return to Zero Codes (NRZ)](Print_Version.html#Non-Return_to_Zero_Codes_.28NRZ.29)
      * [15.34.1 Unipolar NRZ](Print_Version.html#Unipolar_NRZ)
      * [15.34.2 Bipolar NRZ](Print_Version.html#Bipolar_NRZ)
      * [15.34.3 AMI](Print_Version.html#AMI)
      * [15.34.4 CDI](Print_Version.html#CDI)
    * [15.35 Manchester](Print_Version.html#Manchester)
    * [15.36 Differential Codes](Print_Version.html#Differential_Codes)
      * [15.36.1 Differential NRZ](Print_Version.html#Differential_NRZ)
      * [15.36.2 Differential Manchester](Print_Version.html#Differential_Manchester)
    * [15.37 Comparison](Print_Version.html#Comparison_2)
    * [15.38 further reading](Print_Version.html#further_reading_6)
  * [16 Analog Networks](Print_Version.html#Analog_Networks)
    * [16.1 What is Circuit-Switching?](Print_Version.html#What_is_Circuit-Switching.3F)
    * [16.2 Strowger Switch](Print_Version.html#Strowger_Switch)
    * [16.3 Cross-Bar Switch](Print_Version.html#Cross-Bar_Switch)
    * [16.4 Telephony](Print_Version.html#Telephony)
      * [16.4.1 Telephone Network](Print_Version.html#Telephone_Network)
      * [16.4.2 Rotary vs Touch-Tone](Print_Version.html#Rotary_vs_Touch-Tone)
      * [16.4.3 Cellular Network Introduction](Print_Version.html#Cellular_Network_Introduction)
    * [16.5 further reading](Print_Version.html#further_reading_7)
    * [16.6 TV Channels](Print_Version.html#TV_Channels)
    * [16.7 NTSC](Print_Version.html#NTSC)
    * [16.8 PAL](Print_Version.html#PAL)
    * [16.9 SECAM](Print_Version.html#SECAM)
    * [16.10 HDTV](Print_Version.html#HDTV)
    * [16.11 AM Radio](Print_Version.html#AM_Radio)
    * [16.12 FM Radio](Print_Version.html#FM_Radio)
    * [16.13 Amateur Radio](Print_Version.html#Amateur_Radio)
    * [16.14 Other Modulated Audio](Print_Version.html#Other_Modulated_Audio)
  * [17 Digital Networks](Print_Version.html#Digital_Networks)
    * [17.1 Parallel Data](Print_Version.html#Parallel_Data)
    * [17.2 Serial Data](Print_Version.html#Serial_Data)
    * [17.3 Which is Better?](Print_Version.html#Which_is_Better.3F)
    * [17.4 UART, USART](Print_Version.html#UART.2C_USART)
    * [17.5 OSI Model](Print_Version.html#OSI_Model)
    * [17.6 What It Does](Print_Version.html#What_It_Does)
    * [17.7 Packets](Print_Version.html#Packets_2)
    * [17.8 Network layer](Print_Version.html#Network_layer)
      * [17.8.1 Introduction](Print_Version.html#Introduction_4)
      * [17.8.2 Network Layer Functionality](Print_Version.html#Network_Layer_Functionality)
    * [17.9 Common Alterations](Print_Version.html#Common_Alterations)
    * [17.10 Other Reference Models](Print_Version.html#Other_Reference_Models)
    * [17.11 Channels](Print_Version.html#Channels)
    * [17.12 Bandwidth and Bitrate](Print_Version.html#Bandwidth_and_Bitrate)
      * [17.12.1 Example: Bandwidth and Bitrate](Print_Version.html#Example:_Bandwidth_and_Bitrate)
    * [17.13 Channel Capacity](Print_Version.html#Channel_Capacity)
      * [17.13.1 Channel Capacity Example](Print_Version.html#Channel_Capacity_Example)
    * [17.14 Acknowledgement](Print_Version.html#Acknowledgement)
    * [17.15 forward error correction](Print_Version.html#forward_error_correction)
      * [17.15.1 ARQ: ACK and NAK](Print_Version.html#ARQ:_ACK_and_NAK)
      * [17.15.2 Streaming Packets](Print_Version.html#Streaming_Packets)
    * [17.16 Further reading](Print_Version.html#Further_reading_8)
    * [17.17 The Internet](Print_Version.html#The_Internet)
    * [17.18 Client-Server](Print_Version.html#Client-Server)
    * [17.19 Packet-Switching Networks](Print_Version.html#Packet-Switching_Networks)
    * [17.20 Hubs](Print_Version.html#Hubs)
    * [17.21 Switches and Routers](Print_Version.html#Switches_and_Routers)
    * [17.22 Gateways](Print_Version.html#Gateways)
    * [17.23 Repeaters](Print_Version.html#Repeaters)
    * [17.24 Proxys](Print_Version.html#Proxys)
    * [17.25 Ethernet](Print_Version.html#Ethernet)
      * [17.25.1 802.3 MAC Frame](Print_Version.html#802.3_MAC_Frame)
      * [17.25.2 Manchester Encoding](Print_Version.html#Manchester_Encoding)
      * [17.25.3 Access Method](Print_Version.html#Access_Method)
    * [17.26 Link Switching](Print_Version.html#Link_Switching)
    * [17.27 Problems](Print_Version.html#Problems)
    * [17.28 Introduction](Print_Version.html#Introduction_5)
    * [17.29 Basics in Wireless WiFi](Print_Version.html#Basics_in_Wireless_WiFi)
      * [17.29.1 The Electromagnetic Spectrum](Print_Version.html#The_Electromagnetic_Spectrum)
    * [17.30 IEEE 802.11 Standards / WiFi](Print_Version.html#IEEE_802.11_Standards_.2F_WiFi)
    * [17.31 IEEE 802.11 Architecture](Print_Version.html#IEEE_802.11_Architecture)
      * [17.31.1 802.11a](Print_Version.html#802.11a)
      * [17.31.2 802.11b](Print_Version.html#802.11b)
      * [17.31.3 802.11g](Print_Version.html#802.11g)
      * [17.31.4 802.11n](Print_Version.html#802.11n)
    * [17.32 Wireless LANs Issues (CSMA/CA)](Print_Version.html#Wireless_LANs_Issues_.28CSMA.2FCA.29)
      * [17.32.1 Multiple Access with Collision Avoidance](Print_Version.html#Multiple_Access_with_Collision_Avoidance)
      * [17.32.2 Medium Access Control](Print_Version.html#Medium_Access_Control)
    * [17.33 IEEE 802.11 AP Services](Print_Version.html#IEEE_802.11_AP_Services)
    * [17.34 IEEE 802.11 Security](Print_Version.html#IEEE_802.11_Security)
    * [17.35 IEEE 802.16 / WiMax](Print_Version.html#IEEE_802.16_.2F_WiMax)
    * [17.36 IEEE 802.22](Print_Version.html#IEEE_802.22)
    * [17.37 Summary](Print_Version.html#Summary)
    * [17.38 Questions](Print_Version.html#Questions)
    * [17.39 Further reading](Print_Version.html#Further_reading_9)
  * [18 Hybrid Networks](Print_Version.html#Hybrid_Networks)
    * [18.1 Coaxial Cable](Print_Version.html#Coaxial_Cable_2)
    * [18.2 Bi-Directional Cable](Print_Version.html#Bi-Directional_Cable)
    * [18.3 HDTV](Print_Version.html#HDTV_2)
    * [18.4 Channels](Print_Version.html#Channels_2)
    * [18.5 Bandwidth](Print_Version.html#Bandwidth_2)
    * [18.6 Problems](Print_Version.html#Problems_2)
    * [18.7 Satellite TV](Print_Version.html#Satellite_TV)
    * [18.8 Modems Introduction](Print_Version.html#Modems_Introduction)
    * [18.9 Modems](Print_Version.html#Modems)
    * [18.10 56k Modems](Print_Version.html#56k_Modems)
    * [18.11 DSL](Print_Version.html#DSL)
    * [18.12 VoIP](Print_Version.html#VoIP)
    * [18.13 Further Reading](Print_Version.html#Further_Reading_10)
  * [19 Advanced Internet](Print_Version.html#Advanced_Internet)
    * [19.1 C and Unix](Print_Version.html#C_and_Unix)
    * [19.2 C and Windows (Winsock)](Print_Version.html#C_and_Windows_.28Winsock.29)
    * [19.3 Other Socket Implementations](Print_Version.html#Other_Socket_Implementations)
    * [19.4 Further Reading](Print_Version.html#Further_Reading_11)
    * [19.5 Internet Protocol](Print_Version.html#Internet_Protocol)
    * [19.6 What is IP?](Print_Version.html#What_is_IP.3F)
    * [19.7 IP Address](Print_Version.html#IP_Address)
    * [19.8 IP Packet Format](Print_Version.html#IP_Packet_Format)
      * [19.8.1 IP Header](Print_Version.html#IP_Header)
      * [19.8.2 CRC Checksum](Print_Version.html#CRC_Checksum)
        * [19.8.2.1 Modulo-2 Arithmetic](Print_Version.html#Modulo-2_Arithmetic)
        * [19.8.2.2 Calculating the CRC](Print_Version.html#Calculating_the_CRC)
        * [19.8.2.3 Using the CRC to Find Errors](Print_Version.html#Using_the_CRC_to_Find_Errors)
    * [19.9 IPv4 and IPv6](Print_Version.html#IPv4_and_IPv6)
    * [19.10 Internet Control Message Protocol (ICMP)](Print_Version.html#Internet_Control_Message_Protocol_.28ICMP.29)
    * [19.11 Classful Address Scheme](Print_Version.html#Classful_Address_Scheme)
    * [19.12 Subnetwork](Print_Version.html#Subnetwork)
      * [19.12.1 Subnet Masks](Print_Version.html#Subnet_Masks)
    * [19.13 Classless Interdomain Routing (CIDR)](Print_Version.html#Classless_Interdomain_Routing_.28CIDR.29)
    * [19.14 Summary](Print_Version.html#Summary_2)
    * [19.15 Exercises](Print_Version.html#Exercises)
    * [19.16 Further reading](Print_Version.html#Further_reading_12)
    * [19.17 TCP and UDP](Print_Version.html#TCP_and_UDP)
    * [19.18 Connection-Oriented vs Connectionless](Print_Version.html#Connection-Oriented_vs_Connectionless)
    * [19.19 TCP](Print_Version.html#TCP)
      * [19.19.1 Introduction](Print_Version.html#Introduction_6)
      * [19.19.2 TCP Header structure](Print_Version.html#TCP_Header_structure)
      * [19.19.3 Communication in TCP](Print_Version.html#Communication_in_TCP)
      * [19.19.4 Explained Example: Connection Establishment and Termination](Print_Version.html#Explained_Example:_Connection_Establishment_and_Termination)
      * [19.19.5 TCP Retransmission and Timeout](Print_Version.html#TCP_Retransmission_and_Timeout)
      * [19.19.6 Comparison: TCP and UDP](Print_Version.html#Comparison:_TCP_and_UDP)
      * [19.19.7 Exercise Questions](Print_Version.html#Exercise_Questions)
    * [19.20 UDP](Print_Version.html#UDP)
      * [19.20.1 Introduction](Print_Version.html#Introduction_7)
      * [19.20.2 What is UDP?](Print_Version.html#What_is_UDP.3F)
      * [19.20.3 Use of ports in Communication](Print_Version.html#Use_of_ports_in_Communication)
      * [19.20.4 UDP Header structure](Print_Version.html#UDP_Header_structure)
      * [19.20.5 Communication in UDP](Print_Version.html#Communication_in_UDP)
      * [19.20.6 UDP Checksum and Pseudo-Header](Print_Version.html#UDP_Checksum_and_Pseudo-Header)
      * [19.20.7 Checksum Calculation](Print_Version.html#Checksum_Calculation)
      * [19.20.8 Summary](Print_Version.html#Summary_3)
      * [19.20.9 Exercise Questions](Print_Version.html#Exercise_Questions_2)
    * [19.21 Congestion](Print_Version.html#Congestion)
    * [19.22 Hypertext Transport Protocol (HTTP)](Print_Version.html#Hypertext_Transport_Protocol_.28HTTP.29)
    * [19.23 **The Web**](Print_Version.html#The_Web)
    * [19.24 **HTTP Connections**](Print_Version.html#HTTP_Connections)
    * [19.25 **Response Time (Modeling)**](Print_Version.html#Response_Time_.28Modeling.29)
    * [19.26 **HTTP Message Format :**](Print_Version.html#HTTP_Message_Format_:)
    * [19.27 **User Server Identification**](Print_Version.html#User_Server_Identification)
    * [19.28 **Web Caching (Proxy Server)**](Print_Version.html#Web_Caching_.28Proxy_Server.29)
    * [19.29 **HTTPS**](Print_Version.html#HTTPS)
    * [19.30 **SUMMARY**](Print_Version.html#SUMMARY_4)
    * [19.31 Purpose](Print_Version.html#Purpose)
    * [19.32 Connection methods](Print_Version.html#Connection_methods)
    * [19.33 Data format](Print_Version.html#Data_format)
    * [19.34 FTP return codes](Print_Version.html#FTP_return_codes)
    * [19.35 Anonymous FTP](Print_Version.html#Anonymous_FTP)
    * [19.36 Commands](Print_Version.html#Commands)
    * [19.37 Routing](Print_Version.html#Routing)
      * [19.37.1 Introduction](Print_Version.html#Introduction_8)
      * [19.37.2 Routing Algorithms](Print_Version.html#Routing_Algorithms)
        * [19.37.2.1 Routing Algorithms within Routing Protocols](Print_Version.html#Routing_Algorithms_within_Routing_Protocols)
        * [19.37.2.2 Distance Vector Algorithms](Print_Version.html#Distance_Vector_Algorithms)
        * [19.37.2.3 Link-State Algorithms](Print_Version.html#Link-State_Algorithms)
          * [19.37.2.3.1 Dijkstra algorithm](Print_Version.html#Dijkstra_algorithm)
        * [19.37.2.4 Interior Routing](Print_Version.html#Interior_Routing)
          * [19.37.2.4.1 Routing Information Protocol (RIP)](Print_Version.html#Routing_Information_Protocol_.28RIP.29)
          * [19.37.2.4.2 Open Shortest Path First Protocol (OSPF)](Print_Version.html#Open_Shortest_Path_First_Protocol_.28OSPF.29)
          * [19.37.2.4.3 Intermediate System to Intermediate System Routing Protocol(IS-IS)](Print_Version.html#Intermediate_System_to_Intermediate_System_Routing_Protocol.28IS-IS.29)
        * [19.37.2.5 Exterior Routing](Print_Version.html#Exterior_Routing)
          * [19.37.2.5.1 Border Gateway Protocol (BGP)](Print_Version.html#Border_Gateway_Protocol_.28BGP.29)
        * [19.37.2.6 Hierarchical Routing](Print_Version.html#Hierarchical_Routing)
      * [19.37.3 Summary](Print_Version.html#Summary_5)
      * [19.37.4 Exercises](Print_Version.html#Exercises_2)
        * [19.37.4.1 Answers](Print_Version.html#Answers)
      * [19.37.5 References](Print_Version.html#References_2)
  * [20 Coding and Security](Print_Version.html#Coding_and_Security)
    * [20.1 Basic Coding](Print_Version.html#Basic_Coding)
    * [20.2 Gray Codes](Print_Version.html#Gray_Codes)
      * [20.2.1 Using Gray Codes](Print_Version.html#Using_Gray_Codes)
    * [20.3 For further reading](Print_Version.html#For_further_reading_4)
    * [20.4 Spread Spectrum](Print_Version.html#Spread_Spectrum)
    * [20.5 Why CDM?](Print_Version.html#Why_CDM.3F)
    * [20.6 Direct CDM](Print_Version.html#Direct_CDM)
    * [20.7 Benefits of CDM](Print_Version.html#Benefits_of_CDM)
      * [20.7.1 Spreading Code](Print_Version.html#Spreading_Code)
      * [20.7.2 Increased Bitrate](Print_Version.html#Increased_Bitrate)
      * [20.7.3 Security](Print_Version.html#Security)
      * [20.7.4 Multiplexing](Print_Version.html#Multiplexing)
    * [20.8 direct CDM (DSS)](Print_Version.html#direct_CDM_.28DSS.29)
    * [20.9 Examples of Direct CDM](Print_Version.html#Examples_of_Direct_CDM)
    * [20.10 Frequency Hopping CDM (FHSS)](Print_Version.html#Frequency_Hopping_CDM_.28FHSS.29)
    * [20.11 Fast and Slow Hops](Print_Version.html#Fast_and_Slow_Hops)
    * [20.12 COFDM](Print_Version.html#COFDM)
    * [20.13 Data Compression](Print_Version.html#Data_Compression)
    * [20.14 Lossy Algorithms](Print_Version.html#Lossy_Algorithms)
    * [20.15 Lossless Algorithms](Print_Version.html#Lossless_Algorithms)
    * [20.16 Run-Length Encoding](Print_Version.html#Run-Length_Encoding)
    * [20.17 Huffman Coding](Print_Version.html#Huffman_Coding)
    * [20.18 Variable-Length Encoding](Print_Version.html#Variable-Length_Encoding)
    * [20.19 Notes](Print_Version.html#Notes)
    * [20.20 Further reading](Print_Version.html#Further_reading_13)
    * [20.21 Introduction](Print_Version.html#Introduction_9)
    * [20.22 Hamming Code](Print_Version.html#Hamming_Code)
      * [20.22.1 Exercise](Print_Version.html#Exercise)
    * [20.23 Basics](Print_Version.html#Basics)
      * [20.23.1 Some Definitions](Print_Version.html#Some_Definitions)
      * [20.23.2 The significance of minimum distance](Print_Version.html#The_significance_of_minimum_distance)
      * [20.23.3 Nearest Neighbour decoding](Print_Version.html#Nearest_Neighbour_decoding)
        * [20.23.3.1 Exercises](Print_Version.html#Exercises_3)
    * [20.24 Linear Codes](Print_Version.html#Linear_Codes)
      * [20.24.1 Decoding](Print_Version.html#Decoding)
      * [20.24.2 Exercises](Print_Version.html#Exercises_4)
    * [20.25 Why Hamming code works](Print_Version.html#Why_Hamming_code_works)
  * [21 Appendices](Print_Version.html#Appendices)
  * [22 Further reading](Print_Version.html#Further_reading_14)
    * [22.1 Wikibooks](Print_Version.html#Wikibooks)
    * [22.2 Wikipedia Articles](Print_Version.html#Wikipedia_Articles)
    * [22.3 Books](Print_Version.html#Books)

The ability to communicate with the rest of the world instantaneously has been the ultimate goal for the design of network communication system. For such a large coverage, it seems only realistic and achievable through wireless networks. This becomes the driving force of all the wireless network research done all over the world.

After the huge success of Internet, IEEE came up with the protocols for Wireless Networks. In this chapter, we will study the IEEE 802.11 standards, and the different types of wireless networks.

There are 2 different protocols that are prominent in the field of wireless internet: WiFi and WiMAX.

## Basics in Wireless WiFi[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-2)]

A wireless LAN (WLAN) is a set of network components connected by electromagnetic (radio) waves instead of wires. WLANs are used in combination with or as a substitute to wired computer networks, adding flexibility and freedom of movement within the workplace. Wireless LAN clients enjoy great mobility and can access information on the company network or even the Internet from the store, boardroom or throughout the campus without relying on the availability of wired cables and connections.

The proposed standard 802.11 works in two modes:

1\. In the presence of base station.

2\. In the absence of base station

In first case all communication goes through the base station known as the access point in 802.11 terminologies .This is known as infrastructure mode. In latter case, the computers just communicate with each other directly this mode is called as ad hoc networking.

IEEE 802.11 denotes set of wireless LAN/WLAN standards developed by IEEE standards working committee (IEEE 802). Some of the many challenges that had to be met where :finding a suitable frequency band that was available, preferably worldwide; dealing with the fact that radio signals have a finite range; ensuring users privacy and security; worrying about human safety; and finally, building a system with enough bandwidth to be economically feasible.

At the time of standardization process it was decided that 802.11 be made compatible with Ethernet above data link layer. But several inherent differences exist and had to be dealt with by the standard.

First, a computer on Ethernet always listens to the ether before transmitting .In case of wireless LANs this is not possible. It may happen that the range of a station may not be able to detect the transmission taking place between other two stations resulting in collision.

The second problem that had to be solved is that radio signals can be reflected off the solid objects, so it may be received multiple times. This interference results in Multipath fading.

The third problem is that if a notebook computer is moved away from base station to another there must be some way of handing it off.

After some work the committee came up with a standard that addressed these and other concerns. The most popular amendments are 802.11a, 802.11b and 802.11g to original standard. The security was also enhanced by amendment 802.11i.The other specifications from (c-f, h, j) are service enhancements and extensions

### The Electromagnetic Spectrum[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-3)]

The industrial, scientific and medical (ISM) radio bands were originally reserved internationally for non-commercial use of RF electromagnetic fields for industrial, scientific and medical purposes

[File:Final spectrum.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_spectrum.png)

_Figure 3.1 The Electromagnetic Spectrum_

As the figure shows the ISM band is shared by license free communication application such as wireless LANs and Bluetooth. IEEE 802.11 b/g wireless Ethernet operates on 2.4 GHz band. Although these devices share ISM band they are not part of ISM devices. Due to the ISM Band which includes Bluetooth, microwave oven and cordless telephones the 802.11b and 802.11g equipment have to sustain interference. This is not the case with 802.11a since it uses 5 GHz band

Comparison between three unlicensed bands:

[File:Final comp.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_comp.png)

## IEEE 802.11 Standards / WiFi[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-4)]

Wifi simply stands for Wireless Fidelity.

The services and protocols of 802.11 maps to lower two layers of OSI reference model. The protocols used by all 802 variants have a certain commonality of structure. The partial view of protocol stack is shown in figure 3.2.The data link layer is split into two sub layers. The MAC (Medium access control) sub layer is responsible for allocation of channels and also determines who transmits next. The function of Logic Link Layer is to hide the differences between different 802 variants.

[File:Protocol Stack.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Protocol_Stack.png)

_Figure 3.2 Protocol Stack 802.11_

The 802.11 standard initially specified three transmission techniques. The infrared method which uses the same technology as television remote controls do .The other two methods use short radio and are called as FHSS and DSSS. Both of these don’t require licensing. In 1999 two new techniques were introduced to achieve higher bandwidth. These are called as OFDM and HR-DSSS. They operate at up to 54 Mbit/s and 11 Mbit/s respectively.

Each of the five permitted transmission techniques makes it possible to send a MAC frame from one station to another. They differ in technology used and speed achievable. Let’s have a look at them one by one:

Infrared option used diffused transmission at .85 or .95 microns. Two speeds are permitted: 1 Mbit/s and 2 Mbit/s. A technique called as Gray encoding is used for 1 Mbit/s. In this scheme a group of 4 bits is encoded as a 16 bit codeword containing 15 zeros and single 1. At 2 Mbit/s the encoding takes 2 bits and produces 4 bit codeword. Infrared cannot penetrate from walls hence two cells are well isolated from each other. Nevertheless due to low bandwidth this is not the popular option.

FHSS (Frequency Hopping Spread Spectrum) uses 79 channels each 1 MHz wide starting at the low end of 2.4-GHz ISM band. A pseudorandom number generator is used to produce sequence of frequencies hopped to. The only condition is the seed to random number must be known by both and synchronization must be maintained. The amount of time spend at each frequency is known as Dwell Time and must be less than 400 ms.The two main advantages of FHSS are Security offered due to hopping sequence and resistance to Multipath fading. The main disadvantage is low bandwidth.

[File:Final frequency.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_frequency.png)

_Figure 3.3 Frequency Hopping Spread Spectrum_

Direct Sequence Spread Spectrum (DSSS) is also restricted to 2 Mbit/s. In this method a bit is transmitted as 11 chips using Barker sequence. It uses Phase shift Modulation at 1 Mbaud transmitting 1 bit per baud when transmitting at 1 Mbit/s and 2 Mbaud when transmitting at 2 Mbit/s.

Orthogonal Frequency Division Multiplexing (ODFM), used by 802.11a, is the first of the sequence of high speed wireless LANs. It delivers the speed of up to 54 Mbit/s operating at 5 GHz ISM. As the term suggests different frequencies are used, in all 52, 48 for data and 4 for synchronization. Phase shift modulation is used for speed up to 18 Mbit/s and QAM is used after that.

High Rate Direct Sequence Spread Spectrum (HR-DSSS), 802.11b, is another spread spectrum technique, which used 11 million chips per second to achieve 11 Mbit/s in the 1.4 GHz Band. The data rates supported by 802.11 are 1, 2, 5.5, and 11 Mbit/s. The two slow rates run at 1 Mbaud, with 1 and 2 bits per Baud, respectively using Phase shift modulation. The two faster rates run at 1.375 Mbaud, with 4 and 8 bits per Baud respectively, using Walsh/Hadamard codes. In practice operating speed of 802.11b is nearly always 11 Mbit/s. Although 802.11b is slower than 802.11a the range is about 7 times that of 802.11a, which is considered more significant in many situations.

An enhanced version of 802.11b, 802.11g, uses OFDM modulation method of 802.11a but operates in the narrow 2.4 GHz ISM band along with 802.11b.It operates up to speed of 54 Mbit/s. To conclude the 802.11 committee has produced three different high speed wireless LANs (802.11a, 802.11b, 802.11g) and three low speed wireless LANs

**802.11 Data Frame Structure** The 802.11 standard define three different standards of frames on wire: data, control and management. Each of these has a header with variety of fields within MAC sub layer. The format of data frame is shown in figure. Following is the brief description of each:

[File:Frame structure.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Frame_structure.png)

_Figure 3.4 802.11 Frame Structure_

First is the Control field which has 11 subfields. The first of these is protocol version, which allows two versions of protocols to operate at the same time. Then comes the type field, which can be data, control or management. The subtype contains RTS or CTS. The To DS and From DS fields indicate whether the frame is going to or coming from intercell distribution. MF indicates more fragments follow. Retry means retransmission of frame sent earlier. Power management bit is used by base station to save power by putting the receiver to sleep or taking out of sleep state. More bit indicate that sender has more frames for receiver. W bit specifies that the frame body has been encrypted using WEP (Wired Equivalent Privacy) algorithm O bit indicates the sequence of bits needs to be processes in strict order. The Duration field indicates how long the channel will be occupied by the frame. This field is also contained in control frames. The frame header contains four addresses all in standard IEEE 802 format. First two addresses are for the source and destination other two are for source and destination of base station

[File:Address Description.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Address_Description.png)

Address 1: All stations filter on this address. Address 2: Transmitter Address (TA), Identifies transmitter to address the ACK frame to. Address 3: Dependent on To and From DS bits. Address4: Only needed to identify the original source of WDS (Wireless Distribution System) frames.

Sequence field allows fragments to be numbered. 12 bits identify the frame and 4 identify the fragment. The Data field can contain payload of up to 2312 bytes, followed by Checksum. Management frames have a format similar to data frames. The only difference is they don’t have the base station address, because management frames are restricted to single address. Control frames are shorter having at the most two addresses with no data or sequence field.

## IEEE 802.11 Architecture[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-5)]

The emergence of wireless networks as a communication channel allows seamless connectivity between different electronic devices. Based on the network structure, wireless networks can be divided into two classes: infrastructure-based and ad hoc. The infrastructure-based network is a pre-configured network that aims to provide wireless services to users in a fixed network area. On the other hand, the ad hoc network has no fixed infrastructure so that a network can be established anywhere to offer services to users.

**Infrastructure Mode**

The current existing wireless networks are mostly infrastructure-based, such as cellular networks and IEEE 802.11 wireless LANs. In a cellular network, whole service areas are divided into several small regions called cells. There is at least one base station to provide services to devices (i.e. cellular phone) in each cell. Each device connects to the network by establishing a wireless connection to the base station in order to transmit and receive packets. The base stations are connected through high bandwidth wired connections to exchange packets, making it possible for senders and receivers within different service areas to communicate. Note that all network traffic is constrained to either uplink (device to base station) or downlink (base station to device). Emphasis in this research area focuses on providing quality of service (QoS) guarantees, such as soft handoff to ensure a low probability of dropped call or no significant packet delay due to mobility of user from one cell to a neighboring cell. The drawback of this kind of network is its requirement for a fixed infrastructure, which is infeasible in certain situations. The ad hoc network is proposed to address this problem to allow network with infrastructureless architecture.

[File:Book infra.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Book_infra.png)

_Figure 4.1 A Small-scaled Model of a Wireless Infrastructure Network_

**Ad-Hoc Mode**

Unlike the conventional infrastructure-based wireless network, ad hoc network, as a distributed wireless network, is set of mobile wireless terminals communicating with each other without any pre-existing fixed infrastructure. The mobile ad hoc network has several unique features that challenge the network operation, such as the routing algorithm, Quality of Service (QoS), resource utilization, etc. The following figure depicts a small-scaled model of a wireless ad hoc network. All the terminals, also referred to as mobile nodes, exchange information among one another in a fully distributed manner through wireless connections within the ad hoc network. And due to the mobility of these nodes, the network topology is under constant changes without any centralized control in the system. These are several main concerns that needs to be considered when designing a specific application-layer protocol based on wireless ad hoc networks.

[File:Final adhoc.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_adhoc.png)

_Figure 4.2 A Small-scaled Model of a Wireless Ad Hoc Network_

### 802.11a[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-6)]

**What is 802.11a and history of 802.11a?**

It is a Wireless LAN standard from the IEEE(Institute of Electronics and Electrical Engineers). It was released on October 11 in 1999.

**Speed:**

It can achieve a maximum speed of 54Mbit/s. Although the typical data rate transfer is at 22Mbit/s. If there is a need the data rate will be reduced to 48, 36, 24, 18, 12, 9 then 6Mbit/s respectively. This usually occurs as the distance between the access point or the wireless router and the computer gets further and further away.

**Frequency:**

It operates under the 5Ghz frequency band. The advantage of this is that it has lesser interference compared to the 802.11b and 802.11g standards, which operate at 2.4Ghz. It means that quite a number of electronic equipment use this frequency band such as microwaves, cordless phones, bluetooth devices etc. Therefore, the more electronic equipment that use the same frequency band, the more interferences it will cause among the equipment that are using that frequency band.

**Interoperability:**

802.11a will not operate readily with 802.11b or 802.11g due to the different frequency bands unless the equipment implements the both standards. E.g. Equipment that use both 802.11a and 802.11g standards.

**Number of Channels**

It has 12 non-overlapping channels. 8 are for indoor(within the area) and the other 4 are for point to point.

### 802.11b[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-7)]

**What is 802.11b and its history**

It is also something like 802.11a. It is of course a wireless standard made by IEEE and guess what it was implemented on the same month and year as 802.11a which was in 0ctober 1999.

**Speed**

802.11b has the lowest speed after 802.11 legacy. It can reach a maximum speed of only 11 Mbit/s.

**Frequency**

### 802.11g[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-8)]

### 802.11n[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-9)]

## Wireless LANs Issues (CSMA/CA)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-10)]

At the MAC sublayer, IEEE 802.11 uses the carrier sense multiple access with collision avoidance (CSMA/CA) media access control (MAC) protocol, which works in the following way:

• A wireless station with a frame to transmit first listens on the wireless channel to determine if another station is currently transmitting (carrier sense). If the medium is being used, the wireless station calculates a random backoff delay. Only after the random backoff delay can the wireless station again listen for a transmitting station. By instituting a random backoff delay, multiple stations that are waiting to transmit do not end up trying to transmit at the same time (collision avoidance).

The CSMA/CA scheme does not ensure that a collision never takes place and it is difficult for a transmitting node to detect that a collision is occurring. Additionally, depending on the placement of the wireless access point (AP) and the wireless clients, a radio frequency (RF) barrier can prevent a wireless client from sensing that another wireless node is transmitting. This is known as the hidden station problem, as illustrated in Figure 5.1(a).

[File:My csma.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=My_csma.png)

_Figure 5.1 (a)Hidden Station Problem (b)Exposed Station Problem_

**Hidden Station Problem**: Wireless stations have transmission ranges and not all stations are within radio range of each other.Simple CSMA will not work! A transmits to B. If C “senses” the channel, it will not hear A’s transmission and falsely conclude that C can begin a transmission to B.

**Exposed Station Problem**: This is the inverse problem. C wants to send to D and listens to the channel. When C hears B’s transmission to A, C falsely assumes that it cannot send to D. This reduces network efficiency.

### Multiple Access with Collision Avoidance[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-11)]

To provide better detection of collisions and a solution to the hidden station problem, IEEE 802.11 also defines the use of an acknowledgment (ACK) frame to indicate that a wireless frame was successfully received and the use of Request to Send (RTS) and Clear to Send (CTS) messages. When a station wants to transmit a frame, it sends an RTS message indicating the amount of time it needs to send the frame. The wireless AP sends a CTS message to all stations, granting permission to the requesting station and informing all other stations that they are not allowed to transmit for the time reserved by the RTS message. The exchange of RTS and CTS messages eliminates collisions due to hidden stations.

For example, the idea is to have a short frame transmitted from both sender and receiver before the actual transfer. As shown in Figure 5.2, A sending a short RTS (30 bytes) to B with length of L. B responding with a CTS to A. And whoever hears CTS shall remain silent for the duration of L. Then A can safely send data (length L) to B.

[File:Final maca.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_maca.png)

_Figure 5.2 An illustration of Multiple Access with Collision Avoidance_

### Medium Access Control[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-12)]

**Distributed Coordination Function (DCF)** is the fundamental MAC technique of the IEEE 802.11 wireless LAN standard. DCF employs a distributed CSMA/CA distributed algorithm and an optional virtual carrier sense using RTS and CTS control frames.

DCF mandates a station wishing to transmit to listen for the channel status for a DIFS interval. If the channel is found busy during the DIFS interval, the station defers its transmission or proceeds otherwise. In a network that a number of stations contend for the multi-access channel, if multiple stations sense the channel busy and defer their access, they will also find that the channel is released virtually simultansously and then try to seize the channel. As a result, collisions may occur. In order to avoid such collisions, DCF also specifies random backoff, which is to force a station to defer its access to the channel for an extra period. The length of the backoff period is determined by the following equation:

![Backoff Time = random\(\) \\times aSlotTime](../../../upload.wikimedia.org/math/8/2/c/82c7bbf8f298431af267a38378c547c1.png)

DCF also has an optional virtual carrier sense mechanism that exchanges short Request-to-send (RTS) and Clear-to-send (CTS) frames between the source and destination stations between the data frame is transmitted. This is illustrated in Figure 5.3 below. C (in range of A) receives the RTS and based on information in RTS creates a virtual channel busy NAV(Network Allocation Vector). And D (in range of B) receives the CTS and creates a shorter NAV.

[File:Final dcf.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Final_dcf.png)

_Figure 5.3 The use of virtual carrier sensing using CSMA/CA_

DCF also includes a positive acknowledge scheme, which means that if a frame is successfully received by the destination it is addressed to, the destination needs to send an ACK frame to notify the source of the successful reception. DCF is defined in subclause 9.2 of the IEEE 802.11 standard and is de-facto default setting for WiFi hardware.

**Fragmentation** is a technique to improve network throughput. Due to unreliable ISM band causing high wireless error rates, long packets have less probability of being successfully transmitted. So the solution is to implement MAC layer fragmentation with stop-and-wait protocol on the fragments, as shown in figure below.

[File:Fragmentation.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fragmentation.png)

_Figure 5.4 Fragmentation in 802.11 for better throughput_

IEEE 802.11 standard also has an optional access method using a Point Coordination Function (PCF). PCF allows the Access Point (PC) acting as the network coordinator to manage channel access.

**Point Coordination Function (PCF)** is a Media Access Control (MAC) technique use in wireless networks which relies on a central station, often an Access Point (AP), to communicate with a node listening, to see if the airwaves are free (i.e., all other stations are not communicating). PCF simply uses the AP as a control system in wireless MAC. PCF seems to be implemented only in very few hardware devices as it is not part of the Wi-Fi Alliance's interoperability standard.

Since most APs have logical bus topologies using shared circuits, only one message can be processed at one time because it is a contention based system. Therefore, a media access control technique is required.

The problem with wireless is the hidden station problem, where some regular stations (which communicate only with the AP) cannot see other stations on the extreme edge of the geographical radius of the network (because the wireless signal attenuates before it can reach that far). Thus having an AP in the middle allows the distance to be halved, allowing all station to see the AP and consequentially have the maxiumum distance between two stations on the extreme edges of a circle-star topology (in a circled-star physical topology).

**Co-Existence between distributed DCF and centralized PCF** is possible using InterFrame Spacing as illustrated in Figure 5.5 below.

• SIFS (Short IFS) :: is the time waited between packets in an ongoing dialog (RTS,CTS,data, ACK, next frame)

• PIFS (PCF IFS) :: when no SIFS response, base station can issue beacon or poll.

• DIFS (DCF IFS) :: when no PIFS, any station can attempt to acquire the channel.

• EIFS (Extended IFS) :: lowest priority interval used to report bad or unknown frame.

[File:Pcf.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Pcf.png)

_Figure 5.5 Interframe Spacing in 802.11_

## IEEE 802.11 AP Services[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-13)]

The 802.11 AP service include two types of services:

**1\. Distribution services**: The distribution services include many functionalities such as association - which is related to a particular station that reports identity, data rate,and power; disassociation, reassociation which is like a handover of controls, distribution using the routing protocols, and integration.

**2\. Intracell services**: The intracell services include different functions such as authentication, deauthentication, privacy, and data deliver. Authentication is a process to authenticate the user once the association takes place. It is always conducted after association with an AP. The privacy is a wired equivalent privacy. More information on wireless security will be discussed later.

Lets take a look in detail how each of this process works.

**Association Process**: The association with an AP takes place in the following way -

When a Client comes on line, it will broadcast a Probe Request. An AP that hears this will respond with details. The client makes a decision who to associate with based on the information returned from the AP. Next the Client will send an authentication request to the desired AP. The AP authenticates the client, and sends an acknowledge back. Next the client sends up an association request to that AP. The AP then puts the client into the table, and sends back an association response. From that point forward, the network acts like the client is located at the AP. The AP acts like an Ethernet hub.

[File:StepsAssociation.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=StepsAssociation.JPG)

![Association.JPG](../../../upload.wikimedia.org/wikipedia/commons/5/5d/Association.JPG)

**Re-association Process**: When the client wants to associate back with the AP which was involved in the prior communication, re-association takes place. The process takes place in the following way - As the client is moving out of range of his associated AP, the signal strength will start to drop off. At the same time, the strength of anther AP will begin to increase. At some point in time, BEFORE communication is lost, the client will notify AP A that he is going to move to AP B. B and A will also communicate to assure any information buffered in A get to B over the backbone. This eliminates retransmitting packets over the air, and over the backbone. The same handoff can occur if the load on A become large, and the client can communicate with someone other than A.

[File:Stepsreassociation.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Stepsreassociation.JPG)

[File:Reassociation.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Reassociation.JPG)

**Cellular and 802.11b**

There are quite a few differentiating functionalites in both of these services. Lets see how these two communication protocols differ.

[File:Cellular.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Cellular.JPG)

**Bluetooth**

Bluetooth is a radio standard; a technology by which phones, computers, and personal digital assistants(PDAs), can be easily interconnected using a short-range wireless connection. Following are some of the features of Bluetooth technology:

[File:Bluetooth.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Bluetooth.JPG)

## IEEE 802.11 Security[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-14)]

This is a new section that is introduced in this chapter. The contents are based on my understanding and prior work experience in embedded wireless technology field.

**Wireless Security**

After the emergence of 802.11 it was certain that the internet technology was no longer going to be the same. Many new protocols and communication deveices were introduced. To communicate using these devices, and to be secure over the internet, it was going to be a new challenge. The wireless security was developed in such a way that both the tasks were accomplished - hence no interference and secured wireless connection. There are different types of wireless security involved which will be discussed in brief. Let us see the different wireless security features available currently.

**1\. WPA and WPA2:**

Wi-Fi Protected Access (WPA and WPA2) is a class of systems to secure wireless Wifi, computer networks. It was created in response to several serious weaknesses researchers had found in the previous system, Wired Equivalent Privacy (WEP). WPA2 implements the full standard, but will not work with some older network cards. Both provide good security, with two significant issues:

• either WPA or WPA2 must be enabled and chosen in preference to WEP. WEP is usually presented as the first security choice in most installation instructions.

• in the "Personal" mode, the most likely choice for homes and small offices, a passphrase is required, for full security, it must be longer than the typical 6 to 8 character passwords users are taught to employ.

**2\. WEP:**

Wired-Equivalent Privacy (WEP) protocol. A security protocol, specified in the IEEE 802.11 standard, that attempts to provide a wireless LAN (WLAN) with a minimal level of security and privacy comparable to a typical wired LAN. WEP encrypts data transmitted over the WLAN to protect the vulnerable wireless connection between users (clients) and access points (APs). WEP is weak and fundamentally flawed.

**EAP in Wireless Technology** In addition to these standards, wireless security also involves additional authentication protocol known as Extensible Authentication Protocol (EAP).

Extensible Authentication Protocol, or EAP, is a universal authentication framework frequently used in wireless networks and Point-to-Point connections. It is defined by [RFC 3748](http://tools.ietf.org/html/rfc3748). Although the EAP protocol is not limited to wireless LAN networks and can be used for wired LAN authentication, it is most often used in wireless LAN networks. Commonly used modern methods capable of operating in wireless networks include EAP-TLS, EAP-SIM, EAP-AKA, PEAP, LEAP and EAP-TTLS.

## IEEE 802.16 / WiMax[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-15)]

## IEEE 802.22[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-16)]

With the continuous move to the digital, it becomes not only possible to compress signals but to take full advantage of a channel's capability. Tests of the IEEE 802.22 as a solution to make use of spare radio spectrum that become available with the move to Digital Terrestrial TV (DTV), including the so called White Space that exists between each DTV data channel, that is left free due to the possibility of interference have been going on for some time in the EU the move to digital TV is expected to be concluded by 2012. The possibility to utilize this unused spectrum would permit to deploy Internet coverage in even remote locations at very attractive prices.

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Mine or transwiki [wikipedia:IEEE 802.22](http://en.wikipedia.org/wiki/IEEE_802.22)

## Summary[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-17)]

802.11 dominates the field of Wireless LANs. The IEEE 802.11 committee came up with various standards which use different technology and achieve variable speeds. Its physical layer allows five different transmission modes which include infrared, spread spectrum and multi channel FDM system.

Wireless LANs have their own problem and solution. The biggest one is caused by hidden stations. To deal with this problem 802.11 supports two model of operation, the first one is called as DSF (Distributed Coordination Function) and the other PCF (Point Coordination Function). When DSF is employed 802.11 uses CSMA/CA. Distributed DCF and centralized PCF can also co–exist using InterFrame Spacing.

The 802.11 AP service include two types of services distribution services which include association, disassociation and reassociation and Intracell services which include different functions such as authentication, deauthentication, privacy, and data deliver.

Wireless Security plays an important role in current wireless technology. One should not overlook the features involved in wireless networks. The standards such as WPA, WEP, EAP, TKIP are the fundamentals of wireless security now.

## Questions[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-18)]

Q: What are IEEE 802.11a, 802.11b and 802.11g?

A: IEEE 802.11a, 802.11b and 802.11g are industry standard specifications issued by the Institute of Electrical and Electronic Engineers (IEEE). These specifications define the proper operation of Wireless Local Area Networks (WLANs). 802.11a—an extension to 802.11 that applies to wireless LANs and provides up to 54 Mbit/s in the 5 GHz band. 802.11a uses an orthogonal frequency division multiplexing encoding scheme rather than FHSS or DSSS. 802.11b—an extension to 802.11 that applies to wireless LANS and provides 11 Mbit/s transmission (with a fallback to 5.5, 2 and 1 Mbit/s) in the 2.4 GHz band. 802.11b uses only DSSS. 802.11b was a 1999 ratification to the original 802.11 standard, allowing wireless functionality comparable to Ethernet. 802.11g—applies to wireless LANs and provides 20+ Mbps in the 2.4 GHz band.

Q: When do we need an Access Point?

A: Access points are required for operating in infrastructure mode, but not for ad-hoc connections. A wireless network only requires an access point when connecting notebook or desktop computers to a wired network. If you are not connecting to a wired network, there are still some important advantages to using an access point to connect wireless clients. First, a single access point can nearly double the range of your wireless LAN compared to a simple ad hoc network. Second, the wireless access point acts as a traffic controller, directing all data on the network, allowing wireless clients to run at maximum speed.

Q: How many simultaneous users can a single access point support?

A: There are two limiting factors to how many simultaneous users a single access point can support. First, some access point manufacturers place a limit on the number of users that can simultaneously connect to their products. Second, the amount of data traffic encountered (heavy downloads and uploads vs. light) can be a practical limit on how many simultaneous users can successfully utilize a single access point. Installing multiple access points can overcome both of these limitations.

Q: Why do 802.11a WLANS operate in the 5 GHz frequency range?

A: This frequency is called the UNII (Unlicensed National Information Infrastructure) band. Like the 2.4 GHz ISM band used by 802.11b and 802.11g products, this range has been set aside by regulatory agencies for unlicensed use by a variety of products. A major difference between the 2.4 GHz and 5 GHz bands is that fewer consumer products operate in the 5 GHz band. This reduces the chances of problems due to RF interference.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Wireless_Internet&action=edit&section=T-19)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[hidden node problem](http://en.wikipedia.org/wiki/hidden_node_problem)**_

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[wireless mesh network](http://en.wikipedia.org/wiki/wireless_mesh_network)**_

# Hybrid Networks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=9)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

## Coaxial Cable[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-1)]

Coaxial cable has an incredibly high bandwidth (compared to twisted pair), and it distorts very little over long distances. For this reason, coax is able to carry a large number of analog television channels to a very large audience.

## Bi-Directional Cable[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-2)]

The original implementation of the television network only needed to move data in one direction: from the station to the homes. For this reason, a number of amplifiers were installed in the network that take the signal from the base station, and amplify that signal towards the homes. However, a problem arises when cable internet users want to transmit data back to the base station (upload).

The original cable TV network had a very large amount of available bandwidth, but it wasn't designed to transmit data from the user back to the network. Instead, the entire network was set up with directional amplifiers, that would amplify data going to the user, but wouldnt affect data coming back from the user.

## HDTV[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-3)]

HDTV is the next generation of television, and actually allows better resolution, larger frame size, and _lower bandwidth_ then the traditional analog signals. Also, digital signals are less prone to cross-talk between channels, so channels don't need to be spaced as far apart in the frequency domain as analog signals are.

This chapter will discuss the next generations of the cable TV network.

## Channels[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-4)]

The TV channels in an analog TV scheme carry channels spaced every 6MHz from about 150MHz to 500MHz. Below 150MHz was considered originally to be too susceptible to noise, and there was simply no need to expand above 500MHz. However, with the advent of cable internet, the system needed to be revamped.

## Bandwidth[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-5)]

A new band was set aside, from 55MHz to 75MHz, to allow traffic to be uploaded from the user. Also, another band was set aside, from 550 to 750MHz to allow for cable internet downloads. A cable modem would be able to demodulate these two bands of data, without interfering with the TV signal.

## Problems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-6)]

200MHz of download bandwidth seems like a lot, but every household on a given line (and there could be 100 or more) all need to share this bandwidth, which can slow down the system, especially in heavily populated areas.

## Satellite TV[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_TV&action=edit&section=T-7)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

## Modems Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-1)]

**The telephone network was originally designed to carry voice data. The human ear can only really hear sounds up to the 15kHz range, and most of that is just high-frequency fluff noise that isn't needed to transmit human voice signals. Therefore, the decision was made to limit the telephone network to a maximum transmission frequency of 3400Hz, and a minimum frequency of 400Hz (to limit the passage of DC signals, which could damage the circuit). This gives the telephone network an effective bandwidth of 3000Hz, which is perfect for transmitting voice, but which isn't that good for transmitting anything else.**

Original telephone modems would use the existing telephone network to carry internet signals to a remote ISP. However, new DSP modems use a much larger frequency band, and this information is separated from the phone network almost as soon as it leaves your house. New voice technologies, such as VoIP completely bypass the old telephone infrastructure, and instead transmit voice signals over the internet.

The chapters in this section will talk about the analog and digital hybrid nature of the telephone network.

## Modems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-2)]

Modems were the original widespread method for home users to connect to the internet. Modems modulated digital data according to different schemes (that changed as time passed), and transmitted that data through the telephone network.

The telephone network was originally designed to only transmit voice data, so most of the network installed a series of low-pass filters on the different lines, to prevent high-frequency data or noise from damaging the circuits. Because of this, the entire telephone network can be seen as having a hard bandwidth of 3000Hz. In reality, the lines used have a much higher bandwidth, but the telephone network cuts out all the high-frequency signals. DSL modems make use of that "lost bandwidth", but the original modems had to work within the 3000Hz limit.

If we take the shannon channel capacity of a telephone line (assuming a signal SNR of 40db, which is nearly impossible), we can get the following result:

![C = 3000 \\log_2 \(1 + 10000\) \\approx 40Kbps](../../../upload.wikimedia.org/math/8/6/b/86ba6729d322aa761a2cb6d6074640c3.png)

If we then plug this result into Nyquist's equation, we can find how many levels of transmission we need to use to get this bitrate:

![r_b = 2W log_2\(m\)](../../../upload.wikimedia.org/math/4/5/2/4528505cd73ce3db7b151717a3549751.png)

which gives

![m = 2^{\\frac{r_b}{2W}} = 2^{\\frac{40000}{6000}} = 2^6.67 < 2^7 = 128](../../../upload.wikimedia.org/math/e/5/3/e537b315beba5eff680f4365248d3a23.png)

Therefore, using a 128-level transmission scheme, we can achieve a theoretical maximum bitrate of 40Kb/sec through a modem.

## 56k Modems[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-3)]

If the theoretical Shannon capacity of the telephone network is 40Kbps, how can modern modems achieve a speed of 56Kb/sec? The V.42 modem standard (which is what a 56k modem is) utilizes a standard implementation of the Lemple-Ziv compression algorithm, to shrink the size of transmitted data, and therefore apparently increase the transmission speed. The telephone companies aren't magically breaking the Shannon bound, they are just finding an interesting path around it.

## DSL[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-4)]

A single strand of twisted-pair telephone wire has a bandwidth of nearly 100kHz, especially over short distances. Over longer distances, noise will play a much bigger role in the received signal, and the wire itself will attenuate the signal more with greater distance. This is why DSL is only offered in locations that are close to the telephone office, and not in remote areas.

DSL signals require the addition of 2 new pieces of hardware: The DSL modem, and the DSL splitter, which is located at the telephone company, and splits the DSL signal (high frequencies) from the voice signal (low frequencies). Also, some houses may require the installation of additional filters, to prevent cross-talk between DSL and voice signals.

## VoIP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-5)]

With the advent of modems and DSL technology, telephone companies have become an integral part of the internet. It's no surprise then, when phone calls start getting digitized, and sent through the internet, instead of the old telephone network. Voice over IP (VoIP) is the logical conclusion to this train of thought.

## Further Reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Analog_and_Digital_Telephony&action=edit&section=T-6)]

  * [Voice over IP](http://en.wikibooks.org/wiki/Voice_over_IP)

# Advanced Internet[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=10)]

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

It will be mentioned here, but also probably in every sub-chapter of this section that the intention of these chapters, much less of the entire book, that the purpose of this is **not to teach network programming**. What these chapters do aim to do is provide a fast and dirty listing of available functions, and demonstrate how they coincide with our previous discussions on networking. For further information on the subject, the reader is encouraged to check out networking concepts on the programming bookshelf.

This page is not designed to be an in-depth discussion of C socket programming. Instead, this page would like to be a quick-and-dirty overview of C, in the interests of reinforcing some of the networking concepts discussed earlier.

## C and Unix[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Berkeley_Socket_API&action=edit&section=T-1)]

This section will (briefly) discuss how to program socket applications using the C programming language in a UNIX environment. The next section will then discuss the differences between socket programming under Windows, and will explain how to port socket code from UNIX to Windows platforms.

## C and Windows (Winsock)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Berkeley_Socket_API&action=edit&section=T-2)]

Programming sockets in Windows is nearly identical to programming sockets in UNIX, except that windows requires a few different additions:

  1. Use <Winsock.h>
  2. Link to ws2_32.dll
  3. Initialize Winsock with WSAStartup( )

The first 2 points are self-explanatory, and are actually dependant on your compiler, which we will not go into here. However, the 3rd point needs a little explaining. We need to initialize winsock before we can use any of the socket functions (or else they will all return errors). To initialize, we must create a new data object, and pass it to the initialization routine:
    
    
    WSADATA wd;
    

And we must pass a pointer to this structure, along with the requested version number for winsock to the function:
    
    
    WSAStartup(MAKEWORD(2, 0), &wd);
    

The MAKEWORD macro takes two numbers, a major version number (the 2, above), and a minor version number (the 0, above). For instance, to use Winsock2.0, we use MAKEWORD(2, 0). To use Winsock1.1, we use MAKEWORD(1, 1).

Also, it is important to note that Windows does not allow sockets to be read and written using the generic unix **read( )** and **write( )** functions. In windows, you should instead use the **recv( )** and **send( )** functions. Also, people who are familiar with windows should know that windows treats sockets as an I/O handle, so they can also be accessed with the Windows generic read/write functions **ReadFile( )** and **WriteFile( )**.

Winsock, and windows in general also have a number of other functions available in winsock.dll, but also in other dlls (like wininet.dll) that will facilitate higher-level internet operations.

## Other Socket Implementations[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Berkeley_Socket_API&action=edit&section=T-3)]

## Further Reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Berkeley_Socket_API&action=edit&section=T-4)]

For a comprehensive examination of the Berkeley Socket API in C, see [UNIX networking](http://en.wikibooks.org/wiki/C_Programming/Networking_in_UNIX) chapter of [C Programming](http://en.wikibooks.org/wiki/C_Programming).

  * [www.collegetojob.com](http://www.collegetojob.com/c_contents.html) \- Useful website tutorials on C, Unix & Socket Programming.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**A Wikibookian has nominated this page for cleanup.**  
You can [help make it better](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit). Please review any [relevant discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Systems/Print_Version&action=edit&redlink=1).

## Internet Protocol[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-1)]

Internet Protocol (IP) is the Internet layer protocol that contains address information for routing packets in Network Layer of OSI model.

We've talked so far about TDM (Time-Division Multiplexing) techniques, and we've also talked about how different packets in a given network can contain address information, that will help the routers along the way move the data to its destination. This page will talk about one of the most important parts of the internet: the IP Protocol.

IP, as an integral part of TCP/IP, is for addressing and routing packets. It provides the mechanism to transport datagram across a large network. In more detail, the main purpose of IP is to handle all the functions related to routing and to provide a network interface to the upper-layer protocols, such as TCP from Transport Layer. Applications use this single protocol in the layer for anything that requires networking access.

## What is IP?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-2)]

The **Internet Protocol** is essentially what makes the Internet different from other digital networks (ARPANET, for instance). IP protocol assigns a unique address, called the "IP Address" to each computer in a network, and these IP addresses are used to route packets of information from a source to a destination. IP protocol calls for each device in the network to make the best effort possible to transmit the data, but IP doesn't guarantee that the data will arrive. If you are looking for a guarantee, you will have to implement a higher-level protocol (such as TCP).

From the OSI model, the IP Protocol is a Network-Layer Protocol.

The IP address is a different number from the "MAC Address" that is also found inside a computer. The IP address is a 32bit value that is unique among computers in a given local network. A MAC address is a larger number that is unique in the entire world. However, it is very difficult to route packets according to the MAC address.

IP also specifies the header that packets must have when traveling across the Internet. This header is called the IP header, and will be discussed in the next chapter.

The IP Protocol also specifies that each IP packet must have an error-checking code attached to the end of the packet. This error-checking code, called the "Cyclic Redundency Check" or **CRC Checksum** is capable of helping the receiving computer determine if the packet has had any bit errors during transmission. The CRC code is much more powerful at detecting errors than a single parity bit is, but CRC can be time consuming to calculate.

## IP Address[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-3)]

IP address is a set of numbers identify any packet sends from sender to receiver on IP network in the Internet. It is a software address associated with interfaces, 32-bit information as a hierarchical address structures to handle a large number of addresses, assigns to each machine as interface that designs to communicate between hosts in different network. Dotted-decimal notation usually use as for easy understanding purpose.

An IP address consists of two parts, Network Address and Host Address. Network Address for identify each network, and Host Address for identify individual machine.

Example:

[File:IP Address.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Address.jpg)

One would wonder what the IP address information of the current machine that connecting to the network, we could use ipconfig command to find out:

[File:IPconfig.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IPconfig.jpg)

_Figure 6 ipconfig Command for Address Information_

The current machine turns out to have the IP address of 192.168.1.4. The next figure will show a physical interface representation corresponds to the IP address, and notice the first 16 bits are representing the network address, which will stay the same within its own network:

[File:IP Connection.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Connection.jpg)

_Figure 7 Network Connection_

There are different classes of networks, based on the network size, as shown in the following:

[File:IP Address Class.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Address_Class.jpg)

_Figure 8 IP Address Class Identification_

Notice that bits in the beginning of each class set are defines by address schemes, which will not be used. So, the network address ranges for each class are as follows:

[File:Network Address Range.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Network_Address_Range.jpg)

However, because of the address demanding and shortage, there IP addresses exist that reserved for special purposes and sets for private network.

[File:Reserved IP.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Reserved_IP.jpg)

[File:Private IP.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Private_IP.jpg)

## IP Packet Format[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-4)]

### IP Header[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-5)]

The IP header is a large field of information that is appended to the beginning of the packet. The IP header includes a large amount of information about the packet, including the source IP address, and the destination IP address. Also, the IP header (IPv6 and up) includes information about the local area networks for both the source and the destination terminals.

Each IP header contains information relates to data sends from upper layers for identifying the destination, and is shown as follows:

[File:IP Packet.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Packet.jpg)

_Figure 4: IP Packet_

[File:IP Packet Field.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Packet_Field.jpg)

Here is a snapshot of an IP packet capture on Ethereal:

[File:IP Packet Ethereal.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=IP_Packet_Ethereal.jpg)

_Figure 5: IP packet captured from Ethereal_

Notice in the protocol field that captured above, it indicates TCP. Since the header does not have any protocol information for the next layer, it simply directs IP to pass the segment to TCP at the Transport Layer. All other fields correspond to the description above.

### CRC Checksum[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-6)]

The CRC checksum is a 16bit data item appended to the end of an internet IP packet. The CRC contains a number that the receiver runs through a particular algorithm, and can then determine if the packet is correct, or if there is an error.

#### Modulo-2 Arithmetic[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-7)]

This section will be a short primer on Modulo-2 Arithmetic

#### Calculating the CRC[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-8)]

#### Using the CRC to Find Errors[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-9)]

## IPv4 and IPv6[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-10)]

## Internet Control Message Protocol (ICMP)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-11)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[ICMP**_](http://en.wikipedia.org/wiki/ICMP)

Internet Control Message Protocol is used to pass information related to network operation between hosts, routers and gateways in network level.

There are four major functions as follows:

  * Announce network errors when the network being unreachable.
  * Announce network congestion when a router over-buffer due to too many packets transmitting.
  * Assist Troubleshooting when packets send over a network to compute the loss percentages and round-trip times.
  * Announce Timeouts when TTL of an IP packet drops to zero, where a packet being discards.

Please note that ICMP packets are crafted at the IP layer and thus does not guarantee delivery.

ICMP, the **Internet Control Message Protocol** is a counter-part to the IP Protocol that allows for control messages to be sent across the network.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The **Ping** command in Unix and Windows uses ICMP

## Classful Address Scheme[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-12)]

## Subnetwork[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-13)]

Subnetwork (Subnet) is used to group computers in the same network that has IP address with the same network address. Subnet is one of the solutions for resolving the shortage of addresses and to help utilizing the address assignment in the network. Subnet mask is introduced to have the network breaks into subnetworks in order to provide a hierarchical routing architecture.

Example:

Subnet: 180.28.30.1-128

Subnet mask: 255.255.255.128

Slash notation is introduced to identify the number of bits turn on. When the Internet Service Provider (ISP) allocates addresses to the users, these addresses will be in a slash notation form:

Example:

[File:Subnet.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Subnet.jpg)

In addition to the advantage of grouping computer, there are some benefits from subnetwork:

  * Reduced network traffic
  * Increase network performance
  * Simplified management

Classless Interdomain Routing (CIDR), also known as supernetting, is another solution for shortage of addresses. The basic idea is the same as subnet. The only different is that host address is occupying bits from the network address, which help for address wasteful avoidant purpose.

Example:

[File:Supernet.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Supernet.jpg)

### Subnet Masks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-14)]

## Classless Interdomain Routing (CIDR)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-15)]

## Summary[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-16)]

Internet Protocol (IP) is responsible for addressing and routing packets in the Network Layer (layer 3) of the 7 layer OSI model. Messages are transmitted hop by hop in this layer, and each node's interface has a unique IP address for identification in the network. It allows datagram to transport across a large network.

Internet Control Message Protocol (ICMP) is a way to send error messages or perform network diagnostics across a network. Two of the most common tools utilizing ICMP are Traceroute and Ping.

## Exercises[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-17)]

Question:

  1. What is the Class C private IP address space?
  2. What is the subnetwork number of a host with an IP address of 172.16.170.0/22?
  3. What is the subnetwork number of a host with an IP address of 192.168.111.88/26?
  4. The network address of 192.16.0.0/19 provides how many subnets and hosts?
  5. You have a Class B network ID and need about 450 IP addresses per subnet. What is the best mask for this network?
  6. You router has the following IP address on Ethernet: 172.16.112.1/20. How many hosts can be accommodated on the Ethernet segment?
  7. If a company calls for technical support regarding to its malfunction network, what are the four basic steps to perform a IP addressing troubleshooting?
  8. If an Ethernet port on a router were assigned an IP address of 172.16.112.1/25, what would be the valid subnet address of this host?
  9. (T/F) ICMP messages are encapsulated in IP datagrams.
  10. (T/F) Ping program uses “TTL” field to detect if a destination host is alive.

Answer:

  1. 192.168.0.0 – 192.168.255.255
  2. 172.16.168.0
  3. 192.168.111.64
  4. 8 subnets, 8190 hosts each
  5. 255.255.254.0
  6. 4094
  7. (a) Ping 127.0.0.1. (b) Ping local host IP address. (c) Ping default gateway. (d) Ping the remote server.
  8. 172.16.112.0
  9. True
  10. False - Ping waits for an "echo response" packet from the target.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/IP_Protocol_and_ICMP&action=edit&section=T-18)]

  * [Wikipedia:Internet Protocol Suite](http://en.wikipedia.org/wiki/Internet_Protocol_Suite)
  * [Wikipedia:IPv4](http://en.wikipedia.org/wiki/IPv4)
  * [Wikipedia:IPv6](http://en.wikipedia.org/wiki/IPv6)
  * [IPv6 Info & resources](http://www.telecomspace.com/nextgen-ipv6.html)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**A Wikibookian has nominated this page for cleanup.**  
You can [help make it better](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit). Please review any [relevant discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Systems/Print_Version&action=edit&redlink=1).

## TCP and UDP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols&action=edit&section=T-1)]

The TCP and UDP protocols are 2 different protocols that handle data communications between terminals in an IP network (the Internet). This page will talk about what TCP and UDP are, and what the differences are between them.

In the OSI model, TCP and UDP are "Transport Layer" Protocols.

## Connection-Oriented vs Connectionless[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols&action=edit&section=T-2)]

## TCP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-1)]

### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-2)]

After going through the various layers of the Model, it’s time to have a look at the TCP protocol and to study it’s functionality. This section will help the reader to get to know about the concepts of the TCP, characteristics of the TCP and then would gradually take him into the details of TCP like connection establishment/closing, communication in TCP and why the TCP protocol is called as reliable as well as an adaptive protocol. This section will end with a comparison between UDP and TCP followed by a nice exercise which would encourage readers to solve more and more problems.

Before writing this section, the information has been studied from varied sources like TCP guide, RFC's, tanenbaum book and the class notes.

**What is TCP ?**

In theory, a transport layer protocol could be a very simple software routine, but TCP protocol cannot be called simple. Why use a transport layer which is as complex as TCP? The most important reason depends on IP's unreliability. In fact all the layers below TCP are unreliable and deliver the datagram hop-by-hop. IP layer delivers the datagram hop-by-hop and does not guarantee delivery of a datagram; it is a connectionless system. IP simply handles the routing of datagrams; and if problems occur, IP discards the packet without a second thought generating an error message back to the sender in the process. The task of ascertaining the status of the datagrams sent over a network and handling the resending of information if parts have been discarded falls to TCP.
    
    
    Most users think of TCP and IP as a tightly knit pair, but TCP can (and frequently is) used with other transport protocols. 
    

For example, TCP or parts of it are used in the File Transfer Protocol (FTP) and the Simple Mail Transfer Protocol (SMTP), both of which do not use IP.

The Transmission Control Protocol provides a considerable number of services to the IP layer and the upper layers. Most importantly, it provides a connection-oriented protocol to the upper layers that enable an application to be sure that a datagram sent out over the network was received in its entirety. In this role, TCP acts as a message-validation protocol providing reliable communications. If a datagram is corrupted or lost, it is usually TCP (not the applications in the higher layers) that handles the retransmission.
    
    
    TCP is not a piece of software. It is a communications protocol.
    

TCP manages the flow of datagrams from the higher layers, as well as incoming datagrams from the IP layer. It has to ensure that priorities and security are respected. TCP must be capable of handling the termination of an application above it that was expecting incoming datagrams, as well as failures in the lower layers. TCP also must maintain a state table of all data streams in and out of the TCP layer. The isolation of these services in a separate layer enables applications to be designed without regard to flow control or message reliability. Without the TCP layer, each application would have to implement the services themselves, which is a waste of resources.

TCP resides in the transport layer, positioned above IP but below the upper layers and their applications, as shown in Figure below. TCP resides only on devices that actually process datagrams, ensuring that the datagram has gone from the source to target machines. It does not reside on a device that simply routes datagrams, so there is no TCP layer in a gateway. This makes sense, because on a gateway the datagram has no need to go higher in the layered model than the IP layer.

  

    
    
    ![Fig1 net tcp.jpg](../../../upload.wikimedia.org/wikibooks/en/4/40/Fig1_net_tcp.jpg)
    

_Figure 1:TCP providing reliable End-to-End communication_

  
Because TCP is a connection-oriented protocol responsible for ensuring the transfer of a datagram from the source to destination machine (end-to-end communications), TCP must receive communications messages from the destination machine to acknowledge receipt of the datagram. The term virtual circuit is usually used to refer to the handshaking that goes on between the two end machines, most of which are simple acknowledgment messages (either confirmation of receipt or a failure code) and datagram sequence numbers. It is analogous to a telephone conversation; someone initiates it by ringing a number which is answered, a two-way conversation takes place, and finally someone ends the conversation. socket pair identifies both ends of a connection, i.e. the virtual circuit. It may be recalled that the socket consists of the IP address and the port number to identify the location. The Servers use well-known port numbers (< 1K) for standardized services (Listen). Numbers over 1024 are available for users to use freely.Port numbers for some of the standard services are given below in a table.

  
![Portvalue table.jpg](../../../upload.wikimedia.org/wikibooks/en/6/6c/Portvalue_table.jpg)

_Figure 1 Port number of some standard services_

  


  
**Byte stream or Message Stream?**

Well, the message boundaries are not preserved end to end in the TCP. For example, if the sending process does four 512-byte writes to a TCP stream, these data may be delivered to the receiving process as four 512-byte chunks, two 1024-byte chunks, one 2048-byte chunk), or some other way. There is no way for the receiver to detect the unit(s) in which the data were written. A TCP entity accepts user data streams from local processes, breaks them up into pieces not exceeding 64 KB (in practice, often 1460 data bytes in order to fit in a single Ethernet frame with the IP and TCP headers), and sends each piece as a separate IP datagram. When datagrams containing TCP data arrive at a machine, they are given to the TCP entity, which reconstructs the original byte streams. For simplicity, we will sometimes use just _TCP_ to mean the TCP transport entity (a piece of software) or the TCP protocol (a set of rules). From the context it will be clear which is meant. For example, in _The user gives TCP the data,_ the TCP transport entity is clearly intended. The IP layer gives no guarantee that datagrams will be delivered properly, so it is up to TCP to time out and retransmit them as need be. Datagrams that do arrive may well do so in the wrong order; it is also up to TCP to reassemble them into messages in the proper sequence. In short, TCP must furnish the reliability that most users want and that IP does not provide.

  


**Characteristics of TCP**

TCP provides a communication channel between processes on each host system. The channel is reliable, full-duplex, and streaming. To achieve this functionality, the TCP drivers break up the session data stream into discrete segments, and attach a TCP header to each segment. An IP header is attached to this TCP packet, and the composite packet is then passed to the network for delivery. This TCP header has numerous fields that are used to support the intended TCP functionality. TCP has the following functional characteristics:

_Unicast protocol :_ TCP is based on a unicast network model, and supports data exchange between precisely two parties. It does not support broadcast or multicast network models.

_Connection state :_ Rather than impose a state within the network to support the connection, TCP uses synchronized state between the two endpoints. This synchronized state is set up as part of an initial connection process, so TCP can be regarded as a connection-oriented protocol. Much of the protocol design is intended to ensure that each local state transition is communicated to, and acknowledged by, the remote party.

  
_Reliable :_ Reliability implies that the stream of octets passed to the TCP driver at one end of the connection will be transmitted across the network so that the stream is presented to the remote process as the same sequence of octets, in the same order as that generated by the sender. This implies that the protocol detects when segments of the data stream have been discarded by the network, reordered, duplicated, or corrupted. Where necessary, the sender will retransmit damaged segments so as to allow the receiver to reconstruct the original data stream. This implies that a TCP sender must maintain a local copy of all transmitted data until it receives an indication that the receiver has completed an accurate transfer of the data.

  
_Full duplex :_ TCP is a full-duplex protocol; it allows both parties to send and receive data within the context of the single TCP connection.

  
_Streaming :_ Although TCP uses a packet structure for network transmission, TCP is a true streaming protocol, and application-level network operations are not transparent. Some protocols explicitly encapsulate each application transaction; for every write , there must be a matching read . In this manner, the application-derived segmentation of the data stream into a logical record structure is preserved across the network. TCP does not preserve such an implicit structure imposed on the data stream, so that there is no pairing between write and read operations within the network protocol. For example, a TCP application may write three data blocks in sequence into the network connection, which may be collected by the remote reader in a single read operation. The size of the data blocks (segments) used in a TCP session is negotiated at the start of the session. The sender attempts to use the largest segment size it can for the data transfer, within the constraints of the maximum segment size of the receiver, the maximum segment size of the configured sender, and the maxi-mum supportable non-fragmented packet size of the network path (path Maximum Transmission Unit [MTU]). The path MTU is refreshed periodically to adjust to any changes that may occur within the network while the TCP connection is active.

  
_Rate adaptation :_ TCP is also a rate-adaptive protocol, in that the rate of data transfer is intended to adapt to the prevailing load conditions within the network and adapt to the processing capacity of the receiver. There is no predetermined TCP data-transfer rate; if the network and the receiver both have additional available capacity, a TCP sender will attempt to inject more data into the network to take up this available space. Conversely, if there is congestion, a TCP sender will reduce its sending rate to allow the network to recover. This adaptation function attempts to achieve the highest possible data-transfer rate without triggering consistent data loss.

### TCP Header structure[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-3)]

TCP segments are sent as Internet datagrams. The Internet Protocol header carries several information fields, including the source and destination host addresses. A TCP header follows the Internet header, supplying information specific to the TCP protocol. This division allows for the existence of host level protocols other than TCP.
    
    
     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |          Source Port          |       Destination Port        |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |                        Sequence Number                        |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |                    Acknowledgment Number                      |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |  Data |           |U|A|P|R|S|F|                               |
    | Offset| Reserved  |R|C|S|S|Y|I|            Window             |
    |       |           |G|K|H|T|N|N|                               |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |           Checksum            |         Urgent Pointer        |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |                    Options                    |    Padding    |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |                             data                              |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    
                             TCP Header Format
    
           Note that one tick mark represents one bit position.
    

Source Port: 16 bits The source port number.

Destination Port: 16 bits The destination port number.

Sequence Number: 32 bit The sequence number of the first data octet in this segment (except when SYN is present). If SYN is present the sequence number is the initial sequence number (ISN) and the first data octet is ISN+1.

Acknowledgment Number: 32 bits If the ACK control bit is set this field contains the value of the next sequence number the sender of the segment is expecting to receive. Once a connection is established this is always sent.

  
Data Offset: 4 bits The number of 32 bit words in the TCP Header. This indicates where the data begins. The TCP header (even one including options) is an integral number of 32 bits long.

  
Reserved: 6 bits Reserved for future use. Must be zero.

  
Control Bits: 6 bits (from left to right):

URG: Urgent Pointer field significant

ACK: Acknowledgment field significant

PSH: Push Function

RST: Reset the connection

SYN: Synchronize sequence numbers

FIN: No more data from sender

  
Window: 16 bits The number of data octets beginning with the one indicated in the acknowledgment field which the sender of this segment is willing to accept.

  
Checksum: 16 bits The checksum field is the 16 bit one's complement of the one's complement sum of all 16 bit words in the header and text. If a segment contains an odd number of header and text octets to be checksummed, the last octet is padded on the right with zeros to form a 16 bit word for checksum purposes. The pad is not transmitted as part of the segment. While computing the checksum, the checksum field itself is replaced with zeros.

The checksum also covers a 96 bit pseudo header conceptually prefixed to the TCP header. This pseudo header contains the Source Address, the Destination Address, the Protocol, and TCP length. This gives the TCP protection against misrouted segments. This information is carried in the Internet Protocol and is transferred across the TCP/Network interface in the arguments or results of calls by the TCP on the IP.

The TCP Length is the TCP header length plus the data length in octets (this is not an explicitly transmitted quantity, but is computed), and it does not count the 12 octets of the pseudo header.

  
Urgent Pointer: 16 bits This field communicates the current value of the urgent pointer as a positive offset from the sequence number in this segment. The urgent pointer points to the sequence number of the octet following the urgent data. This field is only be interpreted in segments with the URG control bit set.

  
Options: variable Options may occupy space at the end of the TCP header and are a multiple of 8 bits in length. All options are included in the checksum. An option may begin on any octet boundary. There are two cases for the format of an option:

Case 1: A single octet of option-kind.

Case 2: An octet of option-kind, an octet of option-length, and the actual option-data octets. The option-length counts the two octets of option-kind and option-length as well as the option-data octets. Note that the list of options may be shorter than the data offset field might imply. The content of the header beyond the End-of-Option option must be header padding (i.e., zero).

  
A TCP must implement all options

  
**Ethereal Capture**

The TCP packet can be viewed using Ethereal capture. One such TCP packet is captured and shown below. See that the ACK-flag and PUSH-flag are set to '1' in it. ![Tcp example eth.JPG](../../../upload.wikimedia.org/wikibooks/en/7/72/Tcp_example_eth.JPG)

### Communication in TCP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-4)]

Before TCP can be employed for any actually useful purpose—that is, sending data—a connection must be set up between the two devices that wish to communicate. This process, usually called connection establishment, involves an exchange of messages that transitions both devices from their initial connection state (CLOSED) to the normal operating state (ESTABLISHED).

  
**Connection Establishment Functions**

  
The connection establishment process actually accomplishes several things as it creates a connection suitable for data exchange:

_Contact and Communication:_ The client and server make contact with each other and establish communication by sending each other messages. The server usually doesn’t even know what client it will be talking to before this point, so it discovers this during connection establishment.

_Sequence Number Synchronization:_ Each device lets the other know what initial sequence number it wants to use for its first transmission.

_Parameter Exchange:_ Certain parameters that control the operation of the TCP connection are exchanged by the two devices.

**Control Messages Used for Connection Establishment: SYN and ACK**

TCP uses control messages to manage the process of contact and communication. There aren't, however, any special TCP control message types; all TCP messages use the same segment format. A set of control flags in the TCP header indicates whether a segment is being used for control purposes or just to carry data. Following flags are altered while using control messages.

_SYN:_ This bit indicates that the segment is being used to initialize a connection. SYN stands for synchronize, in reference to the sequence number synchronization I mentioned above.

_ACK:' This bit indicates that the device sending the segment is conveying an acknowledgment for a message it has received (such as a SYN)._

  
**Normal Connection Establishment: The "Three Way Handshake"**

  
To establish a connection, each device must send a SYN and receive an ACK for it from the other device. Thus, conceptually, four control messages need to be passed between the devices. However, it's inefficient to send a SYN and an ACK in separate messages when one could communicate both simultaneously. Thus, in the normal sequence of events in connection establishment, one of the SYNs and one of the ACKs is sent together by setting both of the relevant bits (a message sometimes called a SYN+ACK). This makes a total of three messages, and for this reason the connection procedure is called a three-way handshake.
    
    
    Key Concept:  The normal process of establishing a connection between a TCP client and server involves three steps: 
    

the client sends a SYN message; the server sends message that combines an ACK for the client’s SYN and contains the server’s SYN; and then the client sends an ACK for the server’s SYN. This is called the TCP three-way handshake.

![New tcp action1.JPG](../../../upload.wikimedia.org/wikibooks/en/4/46/New_tcp_action1.JPG)

A connection progresses through a series of states during its lifetime.

The states are: LISTEN, SYN-SENT, SYN-RECEIVED,ESTABLISHED, FIN-WAIT-1, FIN-WAIT-2, CLOSE-WAIT, CLOSING, LAST-ACK, TIME-WAIT, and the fictional state CLOSED. CLOSED is fictional because it represents the state when there is no TCB, and therefore, no connection. Briefly the meanings of the states are:

LISTEN - represents waiting for a connection request from any remote TCP and port.

SYN-SENT - represents waiting for a matching connection request after having sent a connection request.

SYN-RECEIVED - represents waiting for a confirming connection request acknowledgment after having both received and sent a connection request.

ESTABLISHED - represents an open connection, data received can be delivered to the user. The normal state for the data transfer phase of the connection.

FIN-WAIT-1 - represents waiting for a connection termination request from the remote TCP, or an acknowledgment of the connection termination request previously sent.

FIN-WAIT-2 - represents waiting for a connection termination request from the remote TCP.

CLOSE-WAIT - represents waiting for a connection termination request from the local user.

CLOSING - represents waiting for a connection termination request acknowledgment from the remote TCP.

LAST-ACK - represents waiting for an acknowledgment of the connection termination request previously sent to the remote TCP (which includes an acknowledgment of its connection termination request).

TIME-WAIT - represents waiting for enough time to pass to be sure the remote TCP received the acknowledgment of its connection termination request.

CLOSED - represents no connection state at all.

A TCP connection progresses from one state to another in response to events. The events are the user calls, OPEN, SEND, RECEIVE, CLOSE, ABORT, and STATUS; the incoming segments, particularly those containing the SYN, ACK, RST and FIN flags; and timeouts.

The state diagram in figure 6 illustrates only state changes, together with the causing events and resulting actions, but addresses neither error conditions nor actions which are not connected with state changes. In a later section, more detail is offered with respect to the reaction of the TCP to events.

  

    
    
    Key Concept: If one device setting up a TCP connection sends a SYN and then receives a SYN from the other one before its SYN is acknowledged, the two devices perform a simultaneous open, which consists of the exchange of two independent SYN and ACK message sets. The end result is the same as the conventional three-way handshake, but the process of getting to the ESTABLISHED state is different. The possibility of collision normally occurs in Peer-2-Peer connection.
    

**Buffer management** When the Sender(assume client in our case) has a connection to establish, the packet comes to the Transmission Buffer. The packet should have some sequence number attached to it. This sender chooses the sequence number to minimize the risk of using the already used sequence number. The client sends the packet with that sequence number and data along with the packet length field. The server on receiving the packet sends ACK of the next expected sequence number. It also sends the SYN with it’s own sequence number.

![Ntwk buffer mng.JPG](../../../upload.wikimedia.org/wikibooks/en/9/93/Ntwk_buffer_mng.JPG)

The client on receiving both the messages ( SYN as well as ACK), sends ACK to the receiver with the next expected sequence number from the Receiver. Thus, the sequence number are established between the Client and Server. Now, they are ready for the data transfer. Even while sending the data, same concept of the sequence number is followed.

  
**TCP transmission Policy**

The window management in TCP is not directly tied to acknowledgements as it is in most data link protocols. For example, suppose the receiver has a 4096-byte buffer, as shown in Figure below. If the sender transmits a 2048-byte segment that is correctly received, the receiver will acknowledge the segment. However, since it now has only 2048 bytes of buffer space (until the application removes some data from the buffer), it will advertise a window of 2048 starting at the next byte expected.

Now the sender transmits another 2048 bytes, which are acknowledged, but the advertised window is 0. The sender must stop until the application process on the receiving host has removed some data from the buffer, at which time TCP can advertise a larger window.

When the window is 0, the sender may not normally send segments, with two exceptions. First, urgent data may be sent, for example, to allow the user to kill the process running on the remote machine. Second, the sender may send a 1-byte segment to make the receiver reannounce the next byte expected and window size. The TCP standard explicitly provides this option to prevent deadlock if a window announcement ever gets lost.

Senders are not required to transmit data as soon as they come in from the application. Neither are receivers required to send acknowledgements as soon as possible. When the first 2 KB of data came in, TCP, knowing that it had a 4-KB window available, would have been completely correct in just buffering the data until another 2 KB came in, to be able to transmit a segment with a 4-KB payload. This freedom can be exploited to improve performance.

Consider a telnet connection to an interactive editor that reacts on every keystroke. In the worst case, when a character arrives at the sending TCP entity, TCP creates a 21-byte TCP segment, which it gives to IP to send as a 41-byte IP datagram. At the receiving side, TCP immediately sends a 40-byte acknowledgment (20 bytes of TCP header and 20 bytes of IP header). Later, when the editor has read the byte, TCP sends a window update, moving the window 1 byte to the right. This packet is also 40 bytes. Finally, when the editor has processed the character, it echoes the character as a 41-byte packet. In all, 162 bytes of bandwidth are used and four segments are sent for each character typed. When bandwidth is scarce, this method of doing business is not desirable.

One approach that many TCP implementations use to optimize this situation is to delay acknowledgments and window updates for 500 msec in the hope of acquiring some data on which to hitch a free ride. Assuming the editor echoes within 500 msec, only one 41-byte packet now need be sent back to the remote user, cutting the packet count and bandwidth usage in half. Although this rule reduces the load placed on the network by the receiver, the sender is still operating inefficiently by sending 41-byte packets containing 1 byte of data. A way to reduce this usage is known as Nagle's algorithm (Nagle, 1984). What Nagle suggested is simple: when data come into the sender one byte at a time, just send the first byte and buffer all the rest until the outstanding byte is acknowledged. Then send all the buffered characters in one TCP segment and start buffering again until they are all acknowledged. If the user is typing quickly and the network is slow, a substantial number of characters may go in each segment, greatly reducing the bandwidth used. The algorithm additionally allows a new packet to be sent if enough data have trickled in to fill half the window or a maximum segment.

Nagle's algorithm is widely used by TCP implementations, but there are times when it is better to disable it. In particular, when an X Windows application is being run over the Internet, mouse movements have to be sent to the remote computer. (The X Window system is the windowing system used on most UNIX systems.) Gathering them up to send in bursts makes the mouse cursor move erratically, which makes for unhappy users.

Another problem that can degrade TCP performance is the silly window syndrome. This problem occurs when data are passed to the sending TCP entity in large blocks, but an interactive application on the receiving side reads data 1 byte at a time. To see the problem, look at the figure below. Initially, the TCP buffer on the receiving side is full and the sender knows this (i.e., has a window of size 0). Then the interactive application reads one character from the TCP stream. This action makes the receiving TCP happy, so it sends a window update to the sender saying that it is all right to send 1 byte. The sender obliges and sends 1 byte. The buffer is now full, so the receiver acknowledges the 1-byte segment but sets the window to 0. This behavior can go on forever.

Clark's solution is to prevent the receiver from sending a window update for 1 byte. Instead it is forced to wait until it has a decent amount of space available and advertise that instead. Specifically, the receiver should not send a window update until it can handle the maximum segment size it advertised when the connection was established or until its buffer is half empty, whichever is smaller.

Furthermore, the sender can also help by not sending tiny segments. Instead, it should try to wait until it has accumulated enough space in the window to send a full segment or at least one containing half of the receiver's buffer size (which it must estimate from the pattern of window updates it has received in the past).

Nagle's algorithm and Clark's solution to the silly window syndrome are complementary. Nagle was trying to solve the problem caused by the sending application delivering data to TCP a byte at a time. Clark was trying to solve the problem of the receiving application sucking the data up from TCP a byte at a time. Both solutions are valid and can work together. The goal is for the sender not to send small segments and the receiver not to ask for them.

The receiving TCP can go further in improving performance than just doing window updates in large units. Like the sending TCP, it can also buffer data, so it can block a READ request from the application until it has a large chunk of data to provide. Doing this reduces the number of calls to TCP, and hence the overhead. Of course, it also increases the response time, but for noninteractive applications like file transfer, efficiency may be more important than response time to individual requests. Another receiver issue is what to do with out-of-order segments. They can be kept or discarded, at the receiver's discretion. Of course, acknowledgments can be sent only when all the data up to the byte acknowledged have been received. If the receiver gets segments 0, 1, 2, 4, 5, 6, and 7, it can acknowledge everything up to and including the last byte in segment 2. When the sender times out, it then retransmits segment 3. If the receiver has buffered segments 4 through 7, upon receipt of segment 3 it can acknowledge all bytes up to the end of segment 7.

### Explained Example: Connection Establishment and Termination[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-5)]

**Establishing a Connection**

A connection can be established between two machines only if a connection between the two sockets does not exist, both machines agree to the connection, and both machines have adequate TCP resources to service the connection. If any of these conditions are not met, the connection cannot be made. The acceptance of connections can be triggered by an application or a system administration routine.

When a connection is established, it is given certain properties that are valid until the connection is closed. Typically, these will be a precedence value and a security value. These settings are agreed upon by the two applications when the connection is in the process of being established.

In most cases, a connection is expected by two applications, so they issue either active or passive open requests. Figure below shows a flow diagram for a TCP open. The process begins with Machine A's TCP receiving a request for a connection from its ULP, to which it sends an active open primitive to Machine B. The segment that is constructed will have the SYN flag set on (set to 1) and will have a sequence number assigned. The diagram shows this with the notation SYN SEQ 50 indicating that the SYN flag is on and the sequence number (Initial Send Sequence number or ISS) is 50. (Any number could have been chosen.) ![Ntwk conn est.JPG](../../../upload.wikimedia.org/wikibooks/en/7/74/Ntwk_conn_est.JPG)

The application on Machine B will have issued a passive open instruction to its TCP. When the SYN SEQ 50 segment is received, Machine B's TCP will send an acknowledgment back to Machine A with the sequence number of 51. Machine B will also set an Initial Send Sequence number of its own. The diagram shows this message as ACK 51; SYN 200 indicating that the message is an acknowledgment with sequence number 51, it has the SYN flag set, and has an ISS of 200.

Upon receipt, Machine A sends back its own acknowledgment message with the sequence number set to 201. This is ACK 201 in the diagram. Then, having opened and acknowledged the connection, Machine A and Machine B both send connection open messages through the ULP to the requesting applications.

It is not necessary for the remote machine to have a passive open instruction, as mentioned earlier. In this case, the sending machine provides both the sending and receiving socket numbers, as well as precedence, security, and timeout values. It is common for two applications to request an active open at the same time. This is resolved quite easily, although it does involve a little more network traffic.

**Data Transfer**

Transferring information is straightforward, as shown in Figure below. For each block of data received by Machine A's TCP from the ULP, TCP encapsulates it and sends it to Machine B with an increasing sequence number. After Machine B receives the message, it acknowledges it with a segment acknowledgment that increments the next sequence number (and hence indicates that it received everything up to that sequence number). Figure shows the transfer of only one segment of information - one each way. ![Ntwk data trans.JPG](../../../upload.wikimedia.org/wikibooks/en/d/d7/Ntwk_data_trans.JPG)

The TCP data transport service actually embodies six different subservices:

Full duplex: Enables both ends of a connection to transmit at any time, even simultaneously.

Timeliness: The use of timers ensures that data is transmitted within a reasonable amount of time.

Ordered: Data sent from one application will be received in the same order at the other end. This occurs despite the fact that the datagrams may be received out of order through IP, as TCP reassembles the message in the correct order before passing it up to the higher layers.

Labeled: All connections have an agreed-upon precedence and security value.

Controlled flow: TCP can regulate the flow of information through the use of buffers and window limits.

Error correction: Checksums ensure that data is free of errors (within the checksum algorithm's limits).

**Closing Connections**

To close a connection, one of the TCPs receives a close primitive from the ULP and issues a message with the FIN flag set on. This is shown in Figure 8. In the figure, Machine A's TCP sends the request to close the connection to Machine B with the next sequence number. Machine B will then send back an acknowledgment of the request and its next sequence number. Following this, Machine B sends the close message through its ULP to the application and waits for the application to acknowledge the closure. This step is not strictly necessary; TCP can close the connection without the application's approval, but a well-behaved system would inform the application of the change in state.

After receiving approval to close the connection from the application (or after the request has timed out), Machine B's TCP sends a segment back to Machine A with the FIN flag set. Finally, Machine A acknowledges the closure and the connection is terminated.

An abrupt termination of a connection can happen when one side shuts down the socket. This can be done without any notice to the other machine and without regard to any information in transit between the two. Aside from sudden shutdowns caused by malfunctions or power outages, abrupt termination can be initiated by a user, an application, or a system monitoring routine that judges the connection worthy of termination. The other end of the connection may not realise an abrupt termination has occurred until it attempts to send a message and the timer expires.

![Ntwk conn close.JPG](../../../upload.wikimedia.org/wikibooks/en/c/c4/Ntwk_conn_close.JPG)

To keep track of all the connections, TCP uses a connection table. Each existing connection has an entry in the table that shows information about the end-to-end connection. The layout of the TCP connection table is shown below-

![Ntwk conn table.JPG](../../../upload.wikimedia.org/wikibooks/en/5/5a/Ntwk_conn_table.JPG)

The meaning of each column is as follows:

_State:_ The state of the connection (closed, closing, listening, waiting, and so on).

_Local address:_ The IP address for the connection. When in a listening state, this will set to 0.0.0.0.

_Local port:_ The local port number.

_Remote address:_ The remote's IP address.

_Remote port:_ The port number of the remote connection.

### TCP Retransmission and Timeout[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-6)]

We know that the TCP does provide reliable data transfer. But, how does it know when to retransmit the packet already transmitted. It is true that the receiver does acknowledges the received packets with the next expected sequence number. But what if sender does not receive any ACK.

Consider the following two scenarios:

ACK not received: In this case the receiver does transmit the cumulative ACK, but this frame gets lost somewhere in the middle. Sender normally waits for this cumulative ACK before flushing the sent packets from its buffer. But for that it has to develop some mechanism by which the sender can take some action if the ACK is not received for too long time. The mechanism used for this purpose here is the timer. The TCP sets a timer as soon as it transfers the packet. If before the time-out the ACK comes, then the TCP flushes those packets from it’s buffer to create a space. If the ACK does not arrive before the time-out, then in this case the TCP retransmits the packet again. But from where this time-out interval is chosen. Well we will be seeing the procedure to find out this shortly.

Duplicate ACK received: In this case the receiver sends the ACK more than one time to the sender for the same packet received. But, ever guessed how can this happen. Well, such things may happen due to network problem sometimes, but if receiver does receive ACK more than 2-3 times there is some sort of meaning attached to this problem. All this problem starts from the receiver side. Receiver keeps on sending ACK to the received frames. This ACK is of the cumulative nature. It means that the receiver is having a buffer with it. The algorithm used for sending cumulative ACK can depend on amount of buffer area filled or left or it may depend upon the timer. Normally, timer is set so that after specific interval of time, receiver sends the cumulative ACK. But what if the sender rate is very high. In this case the receiver buffer becomes full & after that it looses capacity to store any more packets from the sender side. In this case receiver keeps on sending the duplicate ACK, meaning that the buffer is full and no more packets after that have been accepted. This message helps the sender to control the flow rate.

This whole process makes TCP a adaptive flow control protocol. Means that in case of congestion TCP adapts it’s flow rate. More on this will be presented in the Congestion control topic. Also there is no thing like the negative ACK in the TCP. Above two scenario’s convey the proper message to the sender about the state of the receiver. Let’s now concentrate on how the TCP chooses the time-out-interval.

Choosing the Time out interval:

The timer is chosen based on the time a packet takes to complete a round-trip from a sender to the receiver. This round trip time is called as the RTT. But the conditions i.e. the RTT cannot remain same always. In fact RTT greatly varies with the time. So some average quantity is to be included into the calculation of the time-out interval. The following process is followed.

1\. Average RTT is calculated based on the previous results.(Running average)

2\. For that particular time RTT is measured and this value depends on the conditions & the congestion in a network at that time.(Measured)

3\. To calculate a time out interval:
    
    
                    0.8*(Running avg. )  + (1- 0.8)*(Measured)
    

The value 0.8 may be changed as required but it has to be less than 1.

4\. To arrive at more accurate result this procedure may be repeated many times.

Thus, we have now arrived at the average value a packet takes to make a round trip. In order to choose a time-out interval, this value needs to be multiplied by some factor so as to create some leeway.

5\. Thus,

Time-out interval = 2*(value arrived in 4th step)

If we go on plotting a graph for the running average and a measured value at that particular time we see that the running average value remains almost constant and the measured value fluctuates more. Below is the graph drawn for both the values. This explains why a running average is multiplied by a value greater than value used for multiplying a measured time.

### Comparison: TCP and UDP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-7)]

The User Datagram Protocol (UDP) and Transmission Control Protocol (TCP) are the “siblings” of the transport layer in the TCP/IP protocol suite. They perform the same role, providing an interface between applications and the data-moving capabilities of the Internet Protocol (IP), but they do it in very different ways. The two protocols thus provide choice to higher-layer protocols, allowing each to select the appropriate one depending on its needs.

Below is the table which helps illustrate the most important basic attributes of both protocols and how they contrast with each other:

![Tcp&udp.jpg](../../../upload.wikimedia.org/wikibooks/en/5/55/Tcp&udp.jpg)

### Exercise Questions[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/TCP&action=edit&section=T-8)]

The exercise questions here include the assignment questions along with the solutions. This will help students to grab the concept of TCP and would encourage them to go for more exercise questions from the Kurose and the Tanenbaum book.

1) UDP and TCP use 1’s complement for their checksums. Suppose you have the following three 8-bit bytes: 01010101, 01110000, 01001100. What is the 1’s complement of the sum of these 8-bit bytes? (Note that although UDP and TCP use 16-bit words in computing the checksum, for this problem you are being asked to consider 8-bit summands.) Show all work. Why is it that UDP takes the 1’s complement of the sum; that is, why not just use the sum? With the 1’s complement scheme, how does the receiver detect errors? Is it possible that a 1-bit error will go undetected? How about a 2-bit error?

_Solution:_ _01010101 + 01110000 + 11000101 = 110001010_

_One's complement of 10001010 = Checksum = 01110101._

_At the receiver end, the 3 messages and checksum are added together to detect an error. Sum should always contain only binary 1. If the sum contains 0 term, receiver knows that there is an error. Receiver will detect 1-bit error. But this may not always be the case with 2-bit error as two different bits may change but the sum may still be same._

  
2) Answer true or false to the following questions and briefly justify your answer:

a) With the SR protocol, it is possible for the sender to receive an ACK for a packet that falls outside of its current window.

_True. Consider a scenario where a first packet sent by sender doesn't receive ACK as the timer goes down. So it will send the packet again. In that time the ACK of first packet is received. so the sender empties it's buffer and fills buffer with new packect. In the meantime, the ACK of second frame may be received. So ACK can be received even if the packet falls outside the current window._

  
b) With GBN, it is possible for the sender to receive an ACK for a packet that falls outside of its current window.

_True. Same argument provided for (a) holds here._

  
c) The alternating bit protocol is the same as the SR protocol with a sender and receiver window size of 1.

_True. Alternating bit protocol deals with the 0 & 1 as an alternating ACK. Here, the accumulative ACK is not possible as ACK needs to be sent after each packet is received. So SR protocol starts behaving as Alternating bit protocol._

  
d) The alternating bit protocol is the same as the GBN protocol with a sender and receiver window size of 1.

_True. Same argument holds here._

  
3)Consider the TCP positions for estimating RTT. Suppose that a=0.1 Let sample RTT1 be the most recent sample RTT, Let sample RTT2 be the next most recent sample RTT, and so on.

a) For a given TCP connection, suppose four acknowledgments have been returned with corresponding sample RTTs Sample RTT4, SampleRTT3, SampleRTT2, SampleRTT1. Express EstimatedRTT in terms of four sample RTTs.

b) Generalize your formula for n sample RTTs.

c) For the formula in part (b) let n approach infinity. Comment on why this averaging procedure is called an exponential moving average.

_Solution:_

_a)_

_EstimatedRTT1 = SampleRTT1_

_EstimatedRTT2 = (1-a)EstimatedRTT1 + aSampleRTT2 = (1-a)SampleRTT1 + aSampleRTT2_

_EstimatedRTT3 = (1-a)EstimatedRTT2 + aSampleRTT3 = (1-a)2SampleRTT1 + (1-a)aSampleRTT2 + aSampleRTT3''_

_EstimatedRTT4 = (1-a)EstimatedRTT3 + aSampleRTT4 = (1-a)3SampleRTT1 + (1-a)2aSampleRTT2 + (1-a)aSampleRTT3 + aSampleRTT4_

b)

_EstimatedRTTn = (1-a)(n-1)SampleRTT1 + (1-a)(n-2)aSampleRTT2 + (1-a)(n-3)aSampleRTT3 + . . . (1-a)aSampleRTTn-1 + aSampleRTTn_

  


4) We have seen from text that TCP waits until it has received three duplicate ACKs before performing a fast retransmit. Why do you think that TCP designers chose not to perform a fast retransmit after the first duplicate ACK for a segment is received?

_Solution: Suppose a sender sends 3 consecutive packets 1,2 & 3\. As soon as a receiver receives 1, it sends ACK for it. Suppose if instead of 2 receiver receives 3 due to reordering. As receiver hasn't received 2, it again sends ACK for 1. So the sender has received 2nd ACK for 1. Still it continues waiting. Now when the receiver receives 2, it sends ACK 2 & then 3. So it is always safe to wait for more than 2 ACK's before re-transmitting packet._

  
5) Why do you think TCP avoids measuring the SampleRTT for retransmitted segments?

_Solution: Let's look at what could wrong if TCP measures SampleRTT for a retransmitted segment. Suppose the source sends packet P1, the timer for P1 expires, and the source then sends P2, a new copy of the same packet. Further suppose the source measures SampleRTT for P2 (the retransmitted packet). Finally suppose that shortly after transmitting P2 an acknowledgment for P1 arrives. The source will mistakenly take this acknowledgment as an acknowledgment for P2 and calculate an incorrect value of SampleRTT._

## UDP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-1)]

Unlike TCP, UDP doesn't establish a connection before sending data, it just sends. Because of this, UDP is called "Connectionless". UDP packets are often called "Datagrams". An example of UDP in action is the DNS service. DNS servers send and receive DNS requests using UDP.

### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-2)]

In this section we have to look at User Datagram protocol. It’s a transport layer protocol. This section will cover the UDP protocol, its header structure & the way with which it establishes the network connection.

As shown in Figure 1,the User Datagram Protocol (UDP) is a transport layer protocol that supports Network Application. It layered on just below the ‘Session’ and sits above the IP(Internet Protocol) in open system interconnection model (OSI). This protocol is similar to TCP (transmission control protocol) that is used in client/ server programs like video conference systems expect UDP is connection less.

![Fig1 osilayer.jpg](../../../upload.wikimedia.org/wikibooks/en/6/6f/Fig1_osilayer.jpg)

**Figure 1:UDP in OSI Layer Model**

### What is UDP?[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-3)]

![Fig2 UDPwork.jpg](../../../upload.wikimedia.org/wikibooks/en/0/0f/Fig2_UDPwork.jpg)

'_Figure 2:UDP_

  
UDP is a connectionless and unreliable transport protocol.The two ports serve to identify the end points within the source and destination machines. User Datagram Protocol is used, in place of TCP, when a reliable delivery is not required.However, UDP is never used to send important data such as web-pages, database information, etc. Streaming media such as video,audio and others use UDP because it offers speed.

**Why UDP is faster than TCP?**

The reason UDP is faster than TCP is because there is no form of flow control. No error checking,error correction, or acknowledgment is done by UDP.UDP is only concerned with speed. So when, the data sent over the Internet is affected by collisions, and errors will be present.

  


UDP packet's called as user datagrams with 8 bytes header. A format of user datagrams is shown in figur 3. In the user datagrams first 8 bytes contains header information and the remaining bytes contains data.

![Fig3 udp userdatagrams.jpg](../../../upload.wikimedia.org/wikibooks/en/6/65/Fig3_udp_userdatagrams.jpg)

**Figure 3:UDP datagrams**

_Source port number_: This is a port number used by source host,who is transferring data. It is 16 bit longs. So port numbers range between 0 to 65,535.

_Destination port number_: This is a port number used by Destination host, who is getting data. It is also 16 bits long and also same number of port range like source host.

_length_: Length field is a 16 bits field. It contains the total length of the user datagram, header and data.

_Checksum_: The UDP checksum is optional. It is used to detect error fro the data. If the field is zero then checksum is not calculated. And true calculated then field contains 1.

**Characteristics of UDP**

The characteristics of UDP are given below.

• End-to-end. UDP can identify a specific process running on a computer.

• Unreliable, connectionless delivery (e.g. USPS)::

UDP uses a connectionless communication setup. In this UDP does not need to establish a connection before sending data. Communication consists only of the data segments themselves

• Same best effort semantics as IP

• No ack, no sequence, no flow control

• Subject to loss, duplication, delay, out-of-order, or loss of connection

• Fast, low overhead

1.Suit for reliable, local network

2.RTP(Real-Time Transport Protocol)

### Use of ports in Communication[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-4)]

After receiving the data,computer must have some mechanism what to do with it.Consider that user has three application open say a web browser,a telnet session and FTP session.All three application are moving data over the network. So, there should be some mechanism for determining what piece of traffic is bound for which application by operating system.To handle this situation , network ports are used.Available port's range is 0 to 65535.In them 0 to 1023 are well-known ports, 1023 to 49151 are registered ports and 49152 to 65535 are dynamic ports.

  
![Port.jpg](../../../upload.wikimedia.org/wikibooks/en/d/d0/Port.jpg)

**Figure 4: Port**

List of well-known ports used by UDP:

![Fig5 udpport.jpg](../../../upload.wikimedia.org/wikibooks/en/7/7b/Fig5_udpport.jpg)

**Figure 5:List of ports used by UDP**

### UDP Header structure[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-5)]

It contains four section. Source port, Destination port, Length and Checksum.

![Header of UDP.jpg](../../../upload.wikimedia.org/wikibooks/en/d/d9/Header_of_UDP.jpg)

**Figure 6: UDP Header**

**Source port**

Source port is an optional field. When used, it indicates the port of the sending process and may be assumed to be the port to which a reply should be addressed in the absence of any other information. If not used, a value of zero is inserted.

**Destination port**

It is the port number on which the data is being sent.

**Length**

It include the length of UDP Header and Data.

The length in octets of this user datagram, including this header and the data. The minimum value of the length is eight.

**Checksum**

The main purpose of checksum is error detection.It guarantees that message arrived at correct destination.To verify checksum,the receiver must extract this fields from IP Header .12-byte psuedo header is used to compute checksum.

**Data**

It is the application data.or Actual message.

  
**Ethereal Capture**

The UDP packet can be viewed using Ethereal capture. One such UDP packet is captured and shown below.

![Header of ethereal.jpg](../../../upload.wikimedia.org/wikibooks/en/0/07/Header_of_ethereal.jpg)

**Figure 7: ethereal capture**

### Communication in UDP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-6)]

In UDP connection,Client set unique source port number based on the program they started connection. UDP is not limited to 1-to-1 interaction. A 1-to-many interaction can be provided using broadcast or multi-cast addressing . A many-to-1 interaction can be provided by many clients communicating with a single server. A many-to-many interaction is just an extension of these techniques.

### UDP Checksum and Pseudo-Header[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-7)]

The main purpose of UDP checksum is to detect errors in transmitted segment.

UDP Checksum is optional but it should always be turned on.

To calculate UDP checksum a "pseudo header" is added to the UDP header. The field in the pseudo header are all taken from IP Header. They are used on receiving system to make sure that IP datagram is being received by proper computer. Generally , the pseudo-header includes:

![Psuedo Header1.jpg](../../../upload.wikimedia.org/wikibooks/en/c/c1/Psuedo_Header1.jpg)

Figure 8 : UDP Psuedo Header

IP Source Address 4 bytes

IP Destination Address 4 bytes

Protocol 2 bytes

UDP Length 2 bytes

### Checksum Calculation[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-8)]

**Sender side :**

1\. It treats segment contents as sequence of 16-bit integers.

2\. All segments are added. Let's call it sum.

3\. Checksum : 1's complement of sum.(In 1's complement all 0s are converted into 1s and all 1s are converted into 0s).

4\. Sender puts this checksum value in UDP checksum field.

**Receiver side :**

1\. Calculate checksum

2\. All segments are added and than sum is added with sender's checksum.

3\. Check that any 0 bit is presented in checksum. If receiver side checksum contains any 0 than, error is detected. So,the packet is discarded by receiver.

  


Here we have explained simple checksum calculation. As an example, suppose that we have the bitstream 0110011001100110 0110011001100110 0000111100001111:

This bit stream is divided into segments of 16-bits integers.

So, it looks like this:

0110011001100110 (16 bits integer segment)

0101010101010101

0000111100001111

The sum of first of these 16-bits words is:

0110011001100110

0101010101010101

* * *

1011101110111011

Adding the third word to the above sum gives

1011101110111011

0000111100001111

* * *

1100101011001010 (sum of all segments)

Now to calculate checksum 1's complement of sum is taken. As I mentioned earlier , 1's complement is achieved by converting all 1s into 0s and all 0s into 1s. So,the checksum at sender side is : 0011010100110101.

Now at the receiver side, again all segments are added . and sum is added with sender's checksum.

If no error than check of receiver would be : 1111111111111111.

If any 0 bit is presented in the header than there is an error in checksum.So,the packet is discarded.

You may wonder why UDP provides a checksum in the first place, as many link-layer protocols (including the popular Ethernet protocol) also provide error checking? The reason is that there is no guarantee that all the links between source and destination provide error checking -- one of the links may use a protocol that does not provide error checking. Because IP is supposed to run over just about any layer-2 protocol, it is useful for the transport layer to provide error checking as a safety measure. Although UDP provides error checking, it does not do anything to recover from an error. Some implementations of UDP simply discard the damaged segment; others pass the damaged segment to the application with a warning.

### Summary[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-9)]

UDP is a transport layer protocol. UDP is a connectionless and unreliable protocol. UDP does not do flow control, error control or retransmission of a bad segment. UDP is faster then TCP. UDP is commonly used for streaming audio and video . UDP never used for important documents like web-page, database information, etc. UDP transmits segments consisting of an 8-byte header. Its contains Source port, Destination port, UDP length and Checksum. UDP checksum used for detect “errors” in transmitted segment.

### Exercise Questions[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/UDP&action=edit&section=T-10)]

1\. Calculate UDP checksum of the following sequence: 11100110011001101101010101010101.

Answer : To calculate checksum follow the following steps:
    
    
           1. first of all divide the bit stream on to two parts of 16-bit each.
              So,the two bit stream will be  1110011001100110 and  1101010101010101.
          
           2. Add this two bit stream.So ,the addition will be 
      
                  1 1 1 0 0 1 1 0 0 1 1 0 0 1 1 0
                  1 1 0 1 0 1 0 1 0 1 0 1 0 1 0 1
                 ----------------------------------
                **1** 1 0 1 1 1 0 1 1 1 0 1 1 1 0 1 1  
                  1 0 1 1 1 0 1 1 1 0 1 1 1 1 0 0   
                             
           3. Now apply one's complement to this bit stream.one's complement is achieved by converting all 1s into 0s and all 0s into 1s.
              So, the checksum will be : **0100010001000011**.
    

  
2\. What is the advantage of keeping checksum field turned off and when it is appropriate to keep checksum field turned off?

Answer  :
    
    
               By keeping checksum field turned off,this might save computational load and speed up data transfer.
               When we are transmitting data over wide area network(WAN) , it is not a good idea to keep checksum off.
               We can keep checksum turned off when we are transmitting data over a Local Area Network(LAN),because switching infrastructure   
               would catch transmission error in the Ethernet protocol's checksum
    

## Congestion[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/TCP_and_UDP_Protocols/Congestion_Control&action=edit&section=T-1)]

**Introduction**

Congestion occurs when the source sends more packets than the destination can handle. When this congestion occurs performance will degrade. Congestion occurs when these buffers gets filled on the destination side. The packets are normally temporarily stored in the buffers of the source and the destination before forwarding it to their upper layers.

**What is Congestion?**

Let us assume we are watching the destination. If the source sends more number of packets than the destination buffer can handle, then this congestion occurs. When congestion occurs, the destination has only two options with the arriving packets, to drop it or keep it. If the destination drops the new arriving packets and keeps the old packets then this mechanism is called `Y’ model. If the destination drops the old packets and fills them with new packet, then this mechanism is called Milk model. In both the cases packets are dropped. Two common ways to detect congestion are timeout and duplicate acknowledgement.

**Congestion control**

Congestion control can be used to calculate the amount of data the sender can send to the destination on the network. Determining the amount of data is not easy, as the bandwidth changes from time to time, the connections get connected and disconnected. Based on these factors the sender should be able to adjust the traffic. TCP congestion control algorithms are used to detect and control congestion. The following are the congestion algorithms we will be discussing.

  * Additive Increase/ Multiplicative Decrease.
  * Slow Start
  * Congestion Avoidance
  * Fast Retransmit
  * Fast recovery

**Additive Increase / Multiplicative Decrease**

This algorithm is used on the sender side of the network. The congestion window SSIZE is the amount of data the sender can send into the network before receiving the ACK. Advertised window RSIZE is the amount of data the receiver side can receive on the network. The TCP source set the congestion window based on the level of congestion on the network. This is done by decreasing the congestion window when the congestion increases and increases the congestion window if the congestion decreases. This mechanism is commonly called as Additive Increase/ Multiplicative Decrease.

The source determines the congestion based on packet loss. The packet loss is determined when the timeout happens. The source waits until the timeout time for the acknowledge to arrive. In normal cases packets are not lost, so the source assumes congestion has occurred when timeout happens. Whenever the timeout happens the source sets the SSIZE to half of the previous value. This mechanism is called Multiplicative Decrease. If timeout happens continuously, the window size is decreased until the size becomes 1. This is because the minimum value for congestion window is 1. When the sender determines that congestion has not happened, it increases the congestion window by one. This increase happens after every successful ACK received by the sender as shown below.
    
    
    [File:Congestion1.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Congestion1.jpg)
    

  
**Slow start**

The main disadvantage in the Additive Increase/ Multiplicative Decrease method is the sender decreases the congestion by half when it detects congestion and increase only by one for each successful ACK received. If the window size is large and/or the congestion window size is increased from 1, then we waste many congestion windows. The slow start algorithm is used to solve this problem of increment by one. The SSIZE is the amount of data the sender can send into the network before receiving the ACK. RSIZE is the amount of data the receiver side can receive on the network. The SSTHOLD is the slow start threshold used to control the amount of data flow on the network. The slow start algorithm is used when the SSIZE is less than the threshold SSTHOLD. In the beginning the sender does not know how much data to send. It has to find how much data to send. Initially the SSIZE much be less than or equal to 2*SMSS bytes and must not be more than 2 segments. As the packets are sent the SSIZE is increased exponentially until SSIZE become greater than SSTHOLD or when congestion is detected. ![Congestion2.jpg](../../../upload.wikimedia.org/wikipedia/commons/d/d8/Congestion2.jpg)

  
When the sender detects congestion, then it decreases the congestion window by half of the previous value. Again, the slow start algorithm is used for increasing the congestion window.

**Congestion avoidance**

The SIZE is the amount of data the sender can send into the network before receiving the ACK. RSIZE is the amount of data the receiver side can receive on the network. The SSTHOLD is the slow start threshold used to control the amount of data flow on the network. The congestion avoidance algorithm is used when the SSIZE is greater than the threshold SSTHOLD. As the packets are sent the SSIZE is increased by one full size segment per roundtrip rime. This continues until congestion is detected.

**Fast retransmission**

Both the above three algorithms use timeout for detecting the congestion. The disadvantage here is the sender need to wait for the timeout to happen. To improve the congestion detection the sender uses duplicate ACK. Every time a packet arrives at the receiving side, the receiver sends an ACK to the sender. When a packet arrives out of order at the receiving side, TCP cannot yet acknowledge the data the packet contains because the earlier packet has not yet arrived. The receiver sends the same ACK which it sent last time resulting in duplicate ACK. This is illustrated below.

[File:Congestion3.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Congestion3.jpg)

From the senders point of view Duplicate ACKs can arise from number of network problems. The sender cannot assume the packet sent was lost, the Duplicate ACKs may be triggered by reorder the segments, Replication of the ACK or segment. So the sender waits for 3 duplicate ACKs to determine the packet loss. TCP performs a retransmission of what appears to be the missing segment, without waiting for the retransmission timer to expire.

**Fast recovery**

Fast recovery algorithm governs the transmission of new data until a non-duplicate ACK arrives. The reason for not performing slow start is that the receipt of the duplicate ACKs not only indicates that a segment has been lost, but also that segments are most likely leaving the network The fast retransmit and fast recovery algorithms are usually implemented together as follows. 1. When the third duplicate ACK is received, set STHOLD no more than STHOLD = max (FlightSize / 2, 2*SMSS), where FlightSize is the amount of outstanding data in the network 2. Retransmit the lost segment and set SSIZE to STHOLD plus 3*SMSS. This artificially "inflates" the congestion window by the number of segments (three) that have left the network and which the receiver has buffered. 3. For each additional duplicate ACK received, increment SSIZE by SMSS. This artificially inflates the congestion window in order to reflect the additional segment that has left the network. 4. Transmit a segment, if allowed by the new value of SSIZE and the receiver's advertised window. 5. When the next ACK arrives that acknowledges new data, set SSIZE to STHOLD (the value set in step 1). This is termed "deflating" the window. This ACK should be the acknowledgment elicited by the retransmission from step 1, one RTT after the retransmission (though it may arrive sooner in the presence of significant out-of-order delivery of data segments at the receiver).Additionally, this ACK should acknowledge all the intermediate segments sent between the lost segment and the receipt of the third duplicate ACK, if none of these were lost.

**FAQ**

What causes this congestion? Congestion occurs when the source sends more packets than the destination can handle. When this congestion occurs performance will degrade. Congestion occurs when these buffers gets filled on the destination side. The packets are normally temporarily stored in the buffers of the source and the destination before forwarding it to their upper layers. Let us assume we are watching the destination. If the source sends more number of packets than the destination buffer can handle, then this congestion occurs.

What happens when congestion occurs? When congestion occurs, the destination has only two options with the arriving packets, to drop it or keep it. If the destination drops the new arriving packets and keeps the old packets then this mechanism is called `Y’ model. If the destination drops the old packets and fills them with new packet, then this mechanism is called Milk model. In both the cases packets are dropped

How do you detect congestion? Two common ways to detect congestion are timeout and duplicate acknowledgement.

## Hypertext Transport Protocol (HTTP)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-1)]

The **Hypertext Transport Protocol (HTTP)** is an application layer protocol that is used transmits virtually all files and other data on the World Wide Web, whether they're HTML files, image files, query results, or anything else. Usually, HTTP takes place through TCP/IP sockets.

A browser is an HTTP client because it sends requests to an HTTP server (Web server), which then sends responses back to the client. The standard (and default) port for HTTP servers to listen on is 80, though they can use any port.

HTTP is based on the TCP/IP protocols, and is used commonly on the Internet for transmitting web-pages from servers to browsers.

Network Application:

_Client Server Paradigm_

The client and server are the end systems also known as Hosts. The Client initiates contact with the server to request for a service. Such as for Web, the client is implemented in the web browser and for e-mail, it is mail reader. And in similar fashion, the Server provides the requested service to client by providing with the web page requested and mail server delivers e-mail.

_Peer to Peer Paradigm_

In the network, a peer can come anytime and leave the network anytime. So a peer can be a Client or Server. So the Scalability is the advantage in this peer to peer network. Along with Client Server and Peer to Peer Paradigm, it also supports hybrid Peer to Peer and Client Server in real world.

The HTTP protocol also supports one or more application protocols which we use in our day to day life. For e-mails, we use the SMTP protocol, or when we talk to other person on telephone via the web world (Voip). So these applications are through the web world. They define the type of message and the syntax used. Also it gives information on the results or actions taken.

_Identifying Applications_

When the process of communication has to be performed, there are two main things which are important to know, they are: 1. IP Address: This IP address is of the host running the process. It is an 32 bit address which is unique ID. From this IP address, the host is recognized and used to communicate to the web world. 2. Port Number: The combination of IP address and Port number is called as Socket. Hence , Socket = ( IP address, Port number)

So whenever the client or web user application communicates with the web server, it needs four important components also called as TCP Connection tuple. This tuple consists of: 1. Client IP address 2. Client Port number 3. Source IP address 4. Source Port number

HTTP protocol uses TCP protocol to create an established, reliable connection between the client (the web browser) and the server (wikibooks.org). All HTTP commands are in plain text, and almost all HTTP requests are sent using TCP port 80, of course any port can be used. HTTP protocol asks that each request be in IP address form, not DNS format. So if we want to load www.wikibooks.org, we need to first resolve the wikibooks.org IP address from a DNS server, and then send out that request. Let's say (and this is impossible) that the IP address for wikibooks.org is 192.168.1.1. Then, to load this very page, we would create a TCP packet with the following text:
    
    
    GET 192.168.1.1/wiki/Communication_Systems/HTTP_Protocol HTTP/1.1
    

The first part of the request, the word "GET", is our HTTP command. The middle part of the request is the URL (Universal Resource Locator) of the page we want to load, and the last part of the request ("HTTP/1.1") tells the server which version of HTTP the request is going to use.

When the server gets the request, it will reply with a status code, that is defined in the HTTP standard. For instance:
    
    
    HTTP/1.1 200 OK
    

or the infamous
    
    
    HTTP/1.1 404 Not Found
    

The first part of the reply is the version of HTTP being used, the second part of the reply is the error code number, and the last part of the reply is the message in plain, human-readable text.

## **The Web**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-2)]

The web world consist of numerous web pages which consists of objects which are addressed by URL. The web pages mostly consist of HTML pages with a few referenced objects. The URL known as Uniform Resource Locator consists of host name and path name.

The host name is www.sjsu.edu/student/tower.gif

  
The Web User sends request to the Web Server through agent such as Internet Explorer or Firefox. This User agent handles all the HTTP request to Web server. The same applies to Web Server when it send information to Web User through servers known as Apache server or MS Internet Information Server.

The HTTP is the Web’s application layer protocol works on the Client-Server technology. The client request for the HTML pages towards server and the server responses with HTML pages. In this, the client requests pages and objects through its agent and Server responses them with the requested objects by displaying.

  

    
    
    ![Prj1.jpeg](../../../upload.wikimedia.org/wikibooks/en/7/78/Prj1.jpeg)
    

  
How this works??

The HTTP:TCP transport service uses sockets to transfer the data. The client initiates the TCP connection by using sockets on port 80 to the server. Then the server accepts the connection from the client. The client requests with the HTML pages and the objects which are then exchanged between the client browser and web server. After completing the request, the TCP connection is closed.

As HTTP is a stateless protocol. It does not keep user information about the previous client requests. So, this protocol is simple but if you have to maintain the past client records then it is complex. Since the server will maintain all the client requests and when the server crashes, it is very difficult to get the information back and makes the system very complex.

## **HTTP Connections**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-3)]

The web page consists of objects and URL’s. As there can be one or many objects or URL’s, the type of HTTP connection determines the order in which the objects are requested.

Since the HTTP is constantly evolving to improve its performance, there are two types of connections: • Non-Persistent (HTTP/1.0) • Persistent (HTTP/1.1)

The major difference between non-persistent and persistent connection is the number of TCP connection(s) required for transmitting the objects.

Non-Persistent HTTP – This connection requires that each object be delivered by an individually established TCP connection. Usually there is one round trip time delay for the initial TCP connection. Suppose user requests the page that contains text as well as 5 images. The number of TCP connections will be as follows:

  

    
    
    ![Prj2.jpeg](../../../upload.wikimedia.org/wikibooks/en/1/11/Prj2.jpeg)
    ![Prj3.jpeg](../../../upload.wikimedia.org/wikibooks/en/f/fe/Prj3.jpeg)
    

  
Persistent HTTP - This connection is also called as HTTP keep-alive, or HTTP Reuse. The idea is to use the same TCP connection to send and receive multiple HTTP requests/responses using the same connection. Using persistent connection is important to improve performance.

Persistent HTTP without Pipelining – In this connection, each client has to wait for the previously requested object received before issuing a new request for another object. Thus, not counting the initial TCP establishment (one RTT time), each object needs at least one RTT plus the transmission time of the object by the server.

Persistent HTTP with Pipelining – Can allow client to send out all (multiple) requests, so servers can receive all requests at once, and then sending responses (objects) one after another. The Pipelining method in HTTP/1.1 is default. The shortest time in pipelining is one initial RTT, RTT for request and response and the transmission time of all the objects by the server.

Thus, we can say that the number of RTT’s required in all the above types considering for some text and three objects would be:

1\. Non-persistent HTTP:

2\. Persistent HTTP:

a) Without Pipelining:

b) With Pipelining:

## **Response Time (Modeling)**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-4)]

Round Trip Time (RTT): The time taken to send a packet to remote host and receive a response: used to measure delay on the network at a given time.

Response time:

The response time denotes the time required to initiate the TCP connection and the next response and requests to receive back along with the file transmission time.

The following example denotes the response time -
    
    
     ![Prj4.jpeg](../../../upload.wikimedia.org/wikibooks/en/4/46/Prj4.jpeg)      
    

From the above fig. we can state that the round trip time is :

2 RTT + File transmit time.

## **HTTP Message Format :**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-5)]

There are two types of messages that HTTP uses – 1. Request message 2. Response message

1\. Request Message:

The request line has three parts, separated by spaces: a method name, the local path of the requested resource and version of HTTP being used. The message format is in ASCII so that it can be read by the humans.

For e.g.:

GET /path/to/the/file.html HTTP/1.0

The GET method is the most commonly used. It states that “give me this resource”. The part of the URL is also called as Request URL. The HTTP is to be in uppercase and the next part denotes the version of HTTP.

HTTP Request Message: General Format

The HTTP Request message format is shown below:
    
    
    ![Prj5.jpeg](../../../upload.wikimedia.org/wikibooks/en/5/5b/Prj5.jpeg)
    

The method is the type of method used to request the URL. Like GET, POST or HEAD. The URL block contains the requested URL. Version denotes the HTTP version. Either HTTP/1.0 or HTTP/1.1. The header lines include the browser type, host , number of objects and file name and the type of language in the requested page. For e.g.:
    
    
    ![Prj6.jpeg](../../../upload.wikimedia.org/wikibooks/en/1/1d/Prj6.jpeg)
            
    

The entity body is used by the POST method. When user enters information on to the page, the entity body contains that information.

The HTTP 1.0 has GET, POST and HEAD methods. While the HTTP 1.1 has along with GET, POST and HEAD, PUT and DELETE.

Uploading the information in Web pages

**The POST method**

The Web pages which ask for input from user uses the POST method. The information filled by the web user is uploaded in server’s entity body.

The typical form submission in POST method. The content type is usually the application/x-www-form-urlencoded and the content-type is the length of the URL encoded form data.

**The URL method**

The URL method uses the GET method to get user input from the user. It appends the user information to be uploaded to server to the URL field.

2\. Response Message:

The HTTP message response line also has three parts separated by spaces: the HTTP version, a response status code giving result of the request and English phrase of the status code. This first line is also called as Status line.

The HTTP Response message format is shown below:
    
    
    ![Prj5-responseHeader.png](../../../upload.wikimedia.org/wikipedia/commons/2/28/Prj5-responseHeader.png)
    

E.g.:
    
    
    ![Prj8.jpeg](../../../upload.wikimedia.org/wikibooks/en/a/a9/Prj8.jpeg)          
                                     
    

  
Below are the some HTTP response status codes:

200 OK The request succeeded, and the resulting resource (e.g. file or script output) is returned in the message body.

404 Not Found The requested resource doesn't exist.

301 Moved Permanently

302 Moved Temporarily

303 See Other (HTTP 1.1 only)

The resource has moved to another URL (given by the Location: response header), and should be automatically retrieved by the client. This is often used by a CGI script to redirect the browser to an existing file.

500 Server Error

An unexpected server error. The most common cause is a server-side script that has bad syntax, fails, or otherwise can't run correctly.

## **User Server Identification**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-6)]

The HTTP Protocol is a stateless protocol. So there should be an mechanism to identify the user using the web server. There are various techniques used:

1\. Authentication 2. Cookies

1\. Authentication:

The Client whenever request for the web page from the web server, the server authenticates the user. So each time whenever the web user or client requests any object, it has to provide a name and password to be identified by server. The need arises for the authentication so that the server has control over the documents. And, Since the HTTP protocol is stateless, it has to provide information each time it requests for web page. The authorization is done at the header line of the request. Generally, the cache is used to store the name and password of the web user. So that, each time it doesn’t have to provide the same information.

  
2\. Cookies

Cookies are used by web servers to identify the web user. They are small piece of data stored into the web users disk. It is used in all major websites. As they have relatively much more importance in the web world. As said earlier, cookie is a small piece of data and not a code. This piece of small information is stored into web users machine whenever the browser visits the server site’s.

So how do the Cookie function exactly?

When the web users browser requests a file from web server, it send the file along with a cookie. So the next time whenever the web browser requests the same server a file, it sends the previous cookie to the web server so that it identifies that the browser had previously requested for a file. And so the web server coordinates your access to different pages from its website.

A typical example can be when you do online shopping., where cookie is used to traced your shopping basket .

The major four component of Cookie are:

1\. Cookie header line in the HTTP response message. 2. Cookie header line in the HTTP request message. 3. Cookie file stored in User’s host and managed by User’s browser. 4. Back end database at the web site. So we can say that Cookies are used to keep the State of the web browser. Since HTTP is a stateless, so there should be some means for server to remember the state of the client’s request.

Cookies are in two flavors, one is persistent and the other is non-persistent. Persistent Cookies remain in the web browser’s machine memory for the specified time when it was first created. While non-persistent cookies are the ones which are deleted as soon as the web user’s browser is closed.

Cookies bring a number of useful applications in today’s Internet world. With the help of cookie, you can have: • User accounts • Online Shopping • Web Portals • Advertising

But with these cookies, you can secretly track down the web user’s habits. As whenever a web browser sends a request to web server, it includes its IP address, the type of browser you use and your operating system. So this information is also logged into the server’s file.

The Advertising is the main issue in cookies. Since, it is less admirable because of its use as a tracking of individual’s browsing and buying habits. As the server’s log file has all your information, so it becomes easier to track you. The advertisement firm has many clients which includes another several advertising firms. So it has contracts with many other agencies. They place an image file on their web site. Once you click on them, you are not clicking on the image but a link to another advertising firm’s site. So it sends a cookie to you when you request for that page. And thus, your IP address is tracked down. Whenever you request to their site’s page, they can track your number of visits to their site, which page you have visited and how often. Therefore, they come to know about your interests. So this important piece of information is valuable to them to track your preferences and target you based on your inferences.

## **Web Caching (Proxy Server)** [[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-7)]

The proxy server’s main goal is to satisfy client’s request without involving the original web server. It is a server acting like as a buffer between the Client’s web browser and the Web server. It accepts the requests from the user and responses to them if it contains the requested page. If it doesn’t have the requested page, then it requests to Original Web Server and responses to the client. It uses cache to store the pages. If the requested web page is in cache, it fulfills the request speedily.

  
Working of Proxy Server
    
    
    ![Prj9.jpeg](../../../upload.wikimedia.org/wikibooks/en/9/9a/Prj9.jpeg)
    

The two main purpose of proxy server are:

1\. Improve Performance –

As it saves the result for a particular period of time. If the same result is requested again and if it is present in the cache of proxy server then the request can be fulfilled in less time. So it drastically improves the performance. The major online searches do have an array of proxy servers to serve for a large number of web users.

2\. Filter Requests -

Proxy server’s can also be used to filter requests. Suppose an company wants to restrict the user from accessing a specific set of sites, it can be done with the help of proxy servers.

  
Conditional GET

The conditional GET is the same as GET method. It only differs by including the If-modified-since, If-unmodified-since, If-match, If-None-Match or If-Range header field. The conditional GET method requests can be satisfied under the given conditions. This is method is used to reduce the network usage so that cache entities can be utilized to fulfill requests if they are not modified and avoids unnecessary transferring of data.

Working of Conditional GET:
    
    
    ![Prj10.jpeg](../../../upload.wikimedia.org/wikibooks/en/2/2d/Prj10.jpeg)
    
    

Whenever the client request to the server for html page, the proxy server checks the requested page in its cache. It checks the last-modified date entry in the header
    
    
    ![Prj11.jpeg](../../../upload.wikimedia.org/wikibooks/en/2/2e/Prj11.jpeg)
    
    

If the requested page is modified in the cache entry, the proxy server requests the updated page to main server. And then, the main server responds to that requests and sends updates page to proxy server which is then forwarded to the client. In mean while, the proxy server stores the modified page into its cache.

  


## **HTTPS**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-8)]

The HTTPS is a secure version of HTTP. It indicates the port 443 should be used instead of port 80. It is widely used in security concern areas such as online payment transaction. The protocol identifier HTTPS tells the server that client is connecting to a secure connection.

The HTTPS follows a procedure to follow secure connection in the network. The secure connection is done automatically. The steps are: 1. The client authenticates the server using the server’s digital certificate. 2. The client and server negotiate with the cipher suite ( a set of security protocols) they will use for the connection. 3. The client and server generate session keys for encrypting and decrypting data. 4. The Client and server establish a secure encrypted connection.

The HTTPS ends its session whenever the client or server cannot negotiate with the cipher suite. The cipher suite can be based on any of the following: 1. Digest Based –

• Message Digest 5 (MD5) • Secure Hash Algorithm 1 (SHA-1)

2\. Public Key-Based –

• Rivest-Shamir-Adelman (RSA ) encryption/decryption. • Digital Signature Algorithm (DSA) • Diffie-Hellman Key-exchange/Key-generation.

3\. X.509 digital certificates.

## **SUMMARY**[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/HTTP_Protocol&action=edit&section=T-9)]

This chapter includes HTTP how the Web World is all about. The various methods used in TCP connection to transfer the data in the web world. It has detail information on requests and response methods. Also it contains the User Identification methods like Authentication and Cookies. The cookies part is explained in detail. Also the various connections in HTTP, like non-persistent and persistent connections. We have also mentioned about the proxy server and how does it works. And lastly, the secure version of HTTP.i.e. HTTPS.

**[Communication Networks](http://en.wikibooks.org/wiki/Communication_Networks)**

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[File Transfer Protocol**_](http://en.wikipedia.org/wiki/File_Transfer_Protocol)

**File Transfer Protocol** (**FTP**) is a standard network protocol used to exchange and manipulate files over a TCP/IP based network, such as the [Internet](http://en.wikibooks.org/wiki/Internet). FTP is built on a client-server architecture and utilizes separate control and data connections between the client and server applications. FTP is also often used as an application component to automatically transfer files for program internal functions. FTP can be used with user-based password authentication or with anonymous user access.

## Purpose[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-1)]

Objectives of FTP, as outlined by its RFC, are:

  * To promote sharing of files (computer programs and/or data).
  * To encourage indirect or implicit use of remote computers.
  * To shield a user from variations in file storage systems among different hosts.
  * To transfer data reliably, and efficiently.
  * To gain readability to the end user.

## Connection methods[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-2)]

FTP runs over the Transmission Control Protocol (TCP). Usually FTP servers listen on the well-known port number 21 (IANA-reserved) for incoming connections from clients. A connection to this port from the FTP client forms the control stream on which commands are passed to the FTP server and responses are collected. FTP uses out-of-band control; it opens dedicated data connections on other port numbers. The parameters for the data streams depend on the specifically requested transport mode. Data connections usually use port number 20.

In _active mode_, the FTP client opens a dynamic port, sends the FTP server the dynamic port number on which it is listening over the control stream and waits for a connection from the FTP server. When the FTP server initiates the data connection to the FTP client it binds the source port to port 20 on the FTP server.

In order to use active mode, the client sends a PORT command, with the IP and port as argument. The format for the IP and port is "h1,h2,h3,h4,p1,p2". Each field is a decimal representation of 8 bits of the host IP, followed by the chosen data port. For example, a client with an IP of 192.168.0.1, listening on port 49154 for the data connection will send the command "PORT 192,168,0,1,192,2". The port fields should be interpreted as p1×256 + p2 = port, or, in this example, 192×256 + 2 = 49154.

In _passive mode_, the FTP server opens a dynamic port, sends the FTP client the server's IP address to connect to and the port on which it is listening (a 16-bit value broken into a high and low byte, as explained above) over the control stream and waits for a connection from the FTP client. In this case, the FTP client binds the source port of the connection to a dynamic port.

To use passive mode, the client sends the _PASV_ command to which the server would reply with something similar to "227 Entering Passive Mode (127,0,0,1,192,52)". The syntax of the IP address and port are the same as for the argument to the PORT command.

In _extended passive mode_, the FTP server operates exactly the same as passive mode, however it only transmits the port number (not broken into high and low bytes) and the client is to assume that it connects to the same IP address that was originally connected to.

While data is being transferred via the data stream, the control stream sits idle. This can cause problems with large data transfers through firewalls which time out sessions after lengthy periods of idleness. While the file may well be successfully transferred, the control session can be disconnected by the firewall, causing an error to be generated.

The FTP protocol supports resuming of interrupted downloads using the REST command. The client passes the number of bytes it has already received as argument to the REST command and restarts the transfer. In some commandline clients for example, there is an often-ignored but valuable command, "reget" (meaning "get again"), that will cause an interrupted "get" command to be continued, hopefully to completion, after a communications interruption.

Resuming uploads is not as easy. Although the FTP protocol supports the APPE command to append data to a file on the server, the client does not know the exact position at which a transfer got interrupted. It has to obtain the size of the file some other way, for example over a directory listing or using the SIZE command.

In ASCII mode (see below), resuming transfers can be troublesome if client and server use different _end of line_ characters.

## Data format[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-3)]

While transferring data over the network, several data representations can be used. The two most common transfer modes are:

  * ASCII mode
  * Binary mode: In "Binary mode", the sending machine sends each file byte for byte and as such the recipient stores the bytestream as it receives it. (The FTP standard calls this "IMAGE" or "I" mode)

In ASCII mode, any form of data that is not plain text will be corrupted. When a file is sent using an ASCII-type transfer, the individual letters, numbers, and characters are sent using their ASCII character codes. The receiving machine saves these in a text file in the appropriate format (for example, a Unix machine saves it in a Unix format, a Windows machine saves it in a Windows format). Hence if an ASCII transfer is used it can be assumed plain text is sent, which is stored by the receiving computer in its own format. Translating between text formats might entail substituting the _end of line_ and _end of file_ characters used on the source platform with those on the destination platform, e.g. a Windows machine receiving a file from a Unix machine will replace the line feeds with carriage return-line feed pairs. It might also involve translating characters; for example, when transferring from an IBM mainframe to a system using ASCII, EBCDIC characters used on the mainframe will be translated to their ASCII equivalents, and when transferring from the system using ASCII to the mainframe, ASCII characters will be translated to their EBCDIC equivalents.

By default, most FTP clients use ASCII mode. Some clients try to determine the required transfer-mode by inspecting the file's name or contents, or by determining whether the server is running an operating system with the same text file format.

The FTP specifications also list the following transfer modes:

  * EBCDIC mode - this transfers bytes, except they are encoded in EBCDIC rather than ASCII. Thus, for example, the ASCII mode server
  * Local mode - this is designed for use with systems that are word-oriented rather than byte-oriented. For example mode "L 36" can be used to transfer binary data between two 36-bit machines. In L mode, the words are packed into bytes rather than being padded. Some FTP servers accept "L 8" as being equivalent to "I".

In practice, these additional transfer modes are rarely used. They are however still used by some legacy mainframe systems.

The text (ASCII/EBCDIC) modes can also be qualified with the type of carriage control used (e.g. TELNET NVT carriage control, ASA carriage control), although that is rarely used nowadays.

Note that the terminology "mode" is technically incorrect, although commonly used by FTP clients. "MODE" in [RFC 959](http://tools.ietf.org/html/rfc959) refers to the format of the protocol data stream (STREAM, BLOCK or COMPRESSED), as opposed to the format of the underlying file. What is commonly called "mode" is actually the "TYPE", which specifies the format of the file rather than the data stream. FTP also supports specification of the file structure ("STRU"), which can be either FILE (stream-oriented files), RECORD (record-oriented files) or PAGE (special type designed for use with TENEX). PAGE STRU is not really useful for non-TENEX systems, and [RFC 1123](http://tools.ietf.org/html/rfc1123) section 4.1.2.3 recommends that it not be implemented.

## FTP return codes[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-4)]

FTP server return codes indicate their status by the digits within them. A brief explanation of various digits' meanings are given below:

  * 1xx: Positive Preliminary reply. The action requested is being initiated but there will be another reply before it begins.
  * 2xx: Positive Completion reply. The action requested has been completed. The client may now issue a new command.
  * 3xx: Positive Intermediate reply. The command was successful, but a further command is required before the server can act upon the request.
  * 4xx: Transient Negative Completion reply. The command was not successful, but the client is free to try the command again as the failure is only temporary.
  * 5xx: Permanent Negative Completion reply. The command was not successful and the client should not attempt to repeat it again.
  * x0x: The failure was due to a syntax error.
  * x1x: This response is a reply to a request for information.
  * x2x: This response is a reply relating to connection information.
  * x3x: This response is a reply relating to accounting and authorization.
  * x4x: Unspecified as yet
  * x5x: These responses indicate the status of the Server file system vis-a-vis the requested transfer or other file system action.

## Anonymous FTP[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-5)]

A host that provides an FTP service may additionally provide anonymous FTP access. Users typically login to the service with an 'anonymous' account when prompted for user name. Although users are commonly asked to send their email address in lieu of a password, little to no verification is actually performed on the supplied data.

As modern FTP clients typically hide the anonymous login process from the user, the ftp client will supply dummy data as the password (since the user's email address may not be known to the application). For example, the following ftp user agents specify the listed passwords for anonymous logins:

  * [Mozilla Firefox](http://en.wikibooks.org/wiki/Mozilla_Firefox) (3.0.7) — `mozilla@example.com`
  * [KDE](http://en.wikibooks.org/wiki/KDE) Konqueror (3.5) — `anonymous@`
  * wget (1.10.2) — `-wget@`
  * lftp (3.4.4) — `lftp@`

## Commands[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/File_Transfer_Protocol&action=edit&section=T-6)]

Enter **ftp /?** in Windows, or **ftp --help** in Unix, to get the command parameters.

Once connected to a server, type **help** to display the different possible commands.

To manipulate the files with the mouth, download a good FTP client which will do the interface (for example [this Filezilla doesn't need any installation](http://portableapps.com/apps/internet/filezilla_portable)).

## Routing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-1)]

Routing is the process of getting information packets where they need to go. Routing is a surprisingly complicated task, and there are a number of different algorithms used to find the shortest route between two points.

### Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-2)]

IP addressing is based on the concept of hosts and networks. A host is essentially anything on the network that is capable of receiving and transmitting IP packets on the network, such as a workstation or a router. Routing is a process of moving data from one host computer to another. The difference between routing and bridging is that bridging occurs at Layer 2 (the link layer) of the OSI reference model, whereas routing occurs at Layer 3 (the network layer). Routing determines the optimal routing paths through a network.

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Introduce Routing Tables

### Routing Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-3)]

The routing algorithm is stored in the router's memory. The routing algorithm is a major factor in the performance of your routing environment. The purpose of the routing algorithm is to make decisions for the router concerning the best paths for data. The router uses the routing algorithm to compute the path that would best serve to transport the data from the source to the destination. Note that you do not directly choose the algorithm that your router uses. Rather, the routing protocol you choose for your network determines which algorithm you will use. For example, whereas the routing protocol Routing Information Protocol (RIP) may use one type of routing algorithm to help the router move data, the routing protocol Open Shortest Path First (OSPF) uses another. The routing algorithm cannot be changed. The only way to change it is to change routing protocols. The overall performance of your network depends mainly on the routing algorithm, so you should research the algorithms each protocol uses before deciding which to implement on your network. There are two major categories of routing algorithms - distance vector or link-state. Every routing protocol named "distance vector" uses the distance vector algorithm, and every link-state protocol uses the link-state algorithm.

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
See if Bellman-Ford Algorithm gets mentioned

#### Routing Algorithms within Routing Protocols[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-4)]

One of the jobs of the routing protocol is to provide the information needed by the routing algorithm to compute its decisions. This is the point where many protocols differ. The information provided to the algorithm can be different from protocol to protocol.

The routing protocol gathers information about networks and routers from the surrounding environment and stores the information within a routing table in the router's memory. The routing algorithm is run using the information within this table to calculate the best path from one network to another. Calculating the new values within the formula then generates a sum. The result of this calculation is used then to determine where to send information. For example, the table below illustrates a sample routing table for a fictitious routing environment. The information that is passed to the routing algorithm within the routing table is gathered by the routing protocol through a process known as a routing update. Through a series of updates, each router will tell the other what information it has. Eventually, an entire routing table will be built.

  


Router Link Metric

Router **A** to Router **B**
2

Router **B** to Router **C**
3

Router **A** to Router **C**
6

Router **C** to Router **D**
5

  
The sample routing algorithm states that the best path to any destination is the one that has the lowest metric value. A metric is a number that is used as a standard of measurement for the links of a network. Each link is assigned a metric to represent anything from monetary cost to use the line, to the amount of available bandwidth. When Router A is presented with a packet bound from Router C, the routing table shows two possible paths to choose from. The first choice is to send the packet from Router A directly over the link to Router C. The second option is to send the packet from Router A to Router B and then on to Router C. The routing algorithm is used to determine which option is best.

Some routing protocols might only provide one metric to the routing algorithm, whereas others might provide up to ten. On the other hand, whereas two protocols might both send only one metric to the algorithm, the origin of that metric might differ from protocol to protocol. One routing protocol might give an algorithm the single metric of cost, but that cost could represent something different than another protocol using the same metric.

The algorithm in our example states that the best path is the one with the lowest metric value. Therefore, by adding the metric numbers associated with each possible link, we see that the route from Router A to Router B to Router C has a metric value of 5, while the direct link to Router C has a value of 6. The algorithm selects the A-B-C path and sends the information along.

![Clipboard](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Clipboard.svg/45px-Clipboard.svg.png)

**To do:**  
Cover Hop-by-Hop Routing

#### Distance Vector Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-5)]

![DVA.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7a/DVA.svg/660px-DVA.svg.png)

  
A distance vector algorithm uses metrics known as costs in order to help determine the best path to a destination. The path with the lowest total cost is chosen as the best path.

When a router utilizes a distance vector algorithm, different costs are gathered by each router. These costs can be completely arbitrary numbers. Costs can also be dynamically gathered values, such as the amount of delay experienced by routers when sending packets over one link as opposed to another. All the costs are compiled and placed within the router's routing table and then they are used by the algorithm to calculate a best path for any given network scenario.

Although there are many resources that will offer complex mathematical representations of what distance vector algorithms are and how they compute their decisions, the core concept remains the same - by adding the metrics for every optional path on a network, you will come up with at least one best path. The formula for this is as follows:

  
M(i,k) = min [M(i,t) + M(t,k)]

  
This formula states that the best path between two networks (M(i,k)) can be found by finding the lowest (min) value of paths between all network points. Let's look again at the routing information in the table above. Plugging this information into the formula, we see that the route from A to B to C is still the best path:

  
5(A,C) = min[2(A,B) + 3(B,C)]

  
Whereas the formula for the direct route A to C looks like this:

  
6(A,C) = min[6(A,C)]

  
This example shows how distance vector algorithms use the information passed to them to make informed routing decisions. The algorithms used by routers and routing protocols are not configurable, nor can they be modified.

Another major difference between distance vector algorithms and link state protocols is that when distance vector routing protocols update each other, all or part of the routing table (depending on the type of update) is sent from one router to another. By this process, each router is exposed to the information contained within the other router's tables, thus giving each router a more complete view of the networking environment and enabling them to make better routing decisions. Examples of distance vector algorithms include RIP and BGP, two of the more popular protocols in use today. Other popular protocols such as OSPF are examples of protocols which use the link state routing algorithm.

Distance vector algorithms are also known as Bellman-Ford routing algorithms and Ford-Fulkerson routing algorithms. In these algorithms, each router has a routing table which shows it the best route for any destination. A typical graph and routing table for router J is shown below.

![Pic5.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b2/Pic5.svg/470px-Pic5.svg.png)

Destination Weight Line

A
8
A

B
20
A

C
20
I

D
20
H

E
17
I

F
30
I

G
18
H

H
12
H

I
10
I

J
0
N/A

K
6
K

L
15
K

  
The table shows that if router J wants to get packets to router D, it should send them to router H first. When the packets arrive at router H, the current router checks its own table and makes a decision how to send the packets to D. In distance vector algorithms, each router has to follow the following steps:

1\. It counts the weight of the links directly connected to it and saves the information to its table.

2\. In a particular period of time, the router sends its table to its neighbor routers (not to all routers) and receives the routing table of each of its neighbors.

3\. Based on the information the router receives from its neighbors' routing tables, it updates its own.

Let's consider one more example (the figure represented below).

  
![Pic DV 1.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/9/99/Pic_DV_1.svg/570px-Pic_DV_1.svg.png)

The cost of each link is set to 1. Thus, the least cost path is simply the path with the fewer hops. The table below represents each node knowledge about the distance to all other nodes:

  


Information  
stored at node Distance to reach node

A B C D E F G

A 0 1 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 1 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

B 1 0 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

C 1 1 0 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

D ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 1 0 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 1

E 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 0 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

F 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 0 1

G ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 1 ![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png) 1 0

  
Initially, each node sets a cost of 1 to its directly connected neighbors and infinity to all the other nodes. Below is shown the initial routing table at node A:

Destination Cost Next Hop

B
1
B

C
1
C

D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
-

E
1
E

F
1
F

G
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
-

During the next step, every node sends a message to its directly connected neighbors. That message contains the node's personal list of distances. Node F, for example, tells node A that it can reach node G at cost of 1; node A also knows that it can reach F at a cost of 1, so it adds these costs to get the cost of reaching G by means of F. Because 2 is less than the current cost of infinity, node A records that it can reach G at a cost of 2 by going trough F. Node A learns from C that node B can be reached from C at a cost of 1, so it concludes that the cost of reaching B via C is 2. Because this is worse than the current cost of reaching B, which is 1, the new information is ignored. The final routing table at node A is shown below:

Destination Cost Next Hop

B
1
B

C
1
C

D
2
C

E
1
E

F
1
F

G
2
F

The process of getting consistent routing information to all the nodes is called **convergence**. The final set of costs from each node to all other nodes is shown in the table below:

Information  
stored at node Distance to reach node

A B C D E F G

A 0 1 1 2 1 1 2

B 1 0 1 2 2 2 3

C 1 1 0 1 2 2 2

D 2 2 1 0 3 2 1

E 1 2 2 3 0 2 3

F 1 2 2 2 2 0 1

G 2 3 2 1 3 1 0

The cost of each link is set to 1. Thus, the least cost path is simply the path with the fewer hops.

One of the problems with distance vector algorithms is called "count to infinity." Let's examine the following problem with an example:

Consider a network with a graph as shown below. There is only one link between D and the other parts of the network.

  
![Pic13.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/9/95/Pic13.svg/635px-Pic13.svg.png)

with vectors

d [A][A] = 0 d [A][B] = 1 d [A][C] = 2 d [A][D] = 3

  


A B C D

A
0
1
2
3

B
1
0
1
2

C
2
1
0
1

D
3
2
1
0

  
Now the C to D link crashes So cost [C][D] = ∞ C used to forward any packets with address D directly on the CD link, but now link is down, so C has to recompute its distance vector (and make a new choice of how to forward packets to D) - similarly D has to update its vector. After updating their vectors at C and D, we have

  


A B C D

A
0
1
2
3

B
1
0
1
2

C
2
1
0
3

D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0

  
C views B as the best route to D, with cost 1 + 2, so C sends new vector to B. B learns that its former choice for sending to D via C now has higher cost, so B should recompute its vector.

  


A B C D

A
0
1
2
3

B
1
0
1
4

C
2
1
0
3

D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0

  
View of B is that routing to D can either go via A or C with equal cost - B sends updated vector. Both A and C get updated vector from B and learn that their preferred route to D now has higher cost, so they recompute their own vectors.

  


A B C D

A
0
1
2
5

B
1
0
1
4

C
2
1
0
5

D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0

  
Then A and C send their vectors, B has to update its vector again, sending another round to A and C, obtaining.

  


A B C D

A
0
1
2
7

B
1
0
1
6

C
2
1
0
7

D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0

  
Notice that the routing table is very slowly converging to the fact that

d [x][D] = ∞ for x = A or x = B or x = C

This process loops until all nodes find out that the weight of link to D is infinity. In this way, experts say that distance vector algorithms have a slow convergence rate. In conclusion, distance vector algorithm is not robust. One way to solve this problem is for routers to send information only to the neighbors that are not exclusive links to the destination. For example, in this case, B should not send any information to C about D, because C is the only way to D.

#### Link-State Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-6)]

![LSA.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/7/79/LSA.svg/660px-LSA.svg.png)

  
Distance vector algorithms and link-state algorithms both favor the path with the lowest cost. However, link-state protocols work in more localized manner. Whereas a router running a distance vector algorithm will compute the end-to-end path for any given packet, a link-state protocol will compute that path as it relates to the most immediate link. That is, where a distance vector algorithm will compute the lowest metric between Network A and Network C, a link-state protocol will compute it as two distinct paths, A to B and B to C. This process is very efficient for larger environments. Link-state algorithms enable routers to focus on their own links and interfaces. Any one router on a network will only have direct knowledge of the routers and networks that are directly connected to it (or, the state of its own links). In larger environments, this means that the router will use less processing power to compute complicated paths. The router simply needs to know which one of its direct interfaces will get the information where it needs to go the quickest. The next router in line will repeat the process until the information reaches its destination. Another advantage to such localized routing processes is that protocols can maintain smaller routing tables. Because a link-state protocol only maintains routing information for its direct interfaces, the routing table contains much less information than that of a distance vector protocol that might have information for multiple routers. Like distance vector protocols, link-state protocols require updates to share information with each other. These routing updates, known as Link State Advertisements (LSAs), occur when the state of a router's links changes. When a particular link becomes unavailable (changes state), the router sends an update through the environment alerting all the routers with which it is directly linked.

  


_**In Link-State Algorithms, every router has to follow these steps:**_

  
1\. Identify the routers that are physically connected to them and get their IP addresses When a router starts working, it first sends a "HELLO" packet over network. Each router that receives this packet replies with a message that contains its IP address.

2\. Routers measure the delay time (or any other important parameters of the network, such as average traffic) for neighbor routers. In order to do that, routers send echo packets over the network. Every router that receives these packets replies with an echo reply packet. By dividing round trip time by 2, routers can count the delay time. The delay time includes both transmission and processing times - the time it takes the packets to reach the destination and the time it takes the receiver to process it and reply.

3\. Broadcast its information over the network for other routers and receive the other routers' information. In this step, all routers share their knowledge and broadcast their information to each other. In this way, every router can know the structure and status of the network.

4\. Routers use an appropriate algorithm to identify the best route between two nodes of the network. In this step, routers choose the best route to every node. They do this using an algorithm, such as the Dijkstra shortest path algorithm. In this algorithm, a router, based on information that has been collected from other routers, builds a graph of the network. This graph shows the location of routers in the network and their links to each other. Every link is labeled with a number called the weight or cost. This number is a function of delay time, average traffic, and sometimes simply the number of hops between nodes. For example, if there are two links between a node and a destination, the router chooses the link with the lowest weight.

  


##### Dijkstra algorithm[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-7)]

_**The Dijkstra algorithm goes through the following steps:**_

  1. The router builds a graph of the network. Then it identifies source and destination nodes, for example R1 and R2. The router builds then a matrix, called the "adjacency matrix." In the adjacent matrix, a coordinate indicates weight. [i, j], for example, is the weight of a link between nodes Ri and Rj. If there is no direct link between Ri and Rj, this weight is identified as "infinity."
  2. The router then builds a status record for each node on the network. The record contains the following fields fields: 
    * Predecessor field - shows the previous node.
    * Length field - shows the sum of the weights from the source to that node.
    * Label field - shows the status of node; each node have one status mode: "permanent" or "tentative."
  3. In the next step, the router initializes the parameters of the status record (for all nodes) and sets their label to "tentative" and their length to "infinity".
  4. During this step, the router sets a T-node. If R1 is to be the source T-node, for example, the router changes R1's label to "permanent." Once a label is changed to "permanent," it never changes again.
  5. The router updates the status record for all tentative nodes that are directly linked to the source T-node.
  6. The router goes over all of the tentative nodes and chooses the one whose weight to R1 is lowest. That node is then the destination T-node.
  7. If the new T-node is not R2 (the intended destination), the router goes back to step 5.
  8. If this node is R2, the router extracts its previous node from the status record and does this until it arrives at R1. This list of nodes shows the best route from R1 to R2.

![Pic19.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/4/48/Pic19.svg/370px-Pic19.svg.png)

_**Dijkstra algorithm example:**_

  
Let’s find the best route between routers A and E. There are six possible routes between them (ABE, ACE, ABDE, ACDE, ABDCE, ACDBE), and it's obvious that ABDE is the best route because its weight is the lowest. But life is not always so easy, and there are some complicated cases in which we have to use algorithms to find the best route.

1\. The source node (A) has been chosen as T-node, and so its label is permanent (permanent nodes are showed with filled circles and T-nodes with the -> symbol).

  
![Pic 1.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b2/Pic_1.svg/750px-Pic_1.svg.png)

2\. In this step, the status record of tentative nodes directly linked to T-node (B, C) has been changed. Also, because B has less weight, it has been chosen as T-node and its label has changed to permanent.

  
![Pic 2.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/bd/Pic_2.svg/750px-Pic_2.svg.png)

3\. Like in step 2, the status records of tentative nodes that have a direct link to T-node (D, E), have been changed. Because router D has less weight, it has been chosen as T-node and its label has changed to permanent.

  
![Pic 3.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/1/1c/Pic_3.svg/750px-Pic_3.svg.png)

4\. Because we do not have any tentative nodes, we just identify the next T-node. Because node E has the least weight, it has been chosen as T-node.

Now we have to identify the route. The previous node of E is node D, and the previous node of D is node B, and B's previous node is node A. So, we determine that the best route is ABDE. In this case, the total weigh is 4 (1+2+1). This algorithm works well, but it is so complicated that it may take a long time for routers to process it. That would cause the efficiency of the network to fail. Another note we should make here is that if a router gives the wrong information to other routers, all routing decisions will be ineffective.

The next example shows how to find the best routes among all the nodes in a network. The example uses the **Shortest Path Dijkstra algorithm**. Consider the network shown below:

![Dj 1.png](../../../upload.wikimedia.org/wikibooks/en/9/99/Dj_1.png)

  
Let's use the Dijkstra's algorithm to find the routes that A will use to transmit to any of the notes on the network. The Dijkstra's routing algorithm is represented in the following table:

  


B C D E F G H I

Step 1
A
2-A
3-A
5-A
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

Step 2
AB
3-A
5-A
7-B
9-B
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

Step 3
ABC
4-C
4-C
9-B
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

Step 4
ABCD
4-C
9-B
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
11-D
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

Step 5
ABCDE
8-E
12-E
7-E
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

Step 6
ABCDEH
8-E
12-E
11-H

Step 7
ABCDEHF
10-F
11-H

Step 8
ABCDEHFG
11-H

Step 9
ABCDEHFGI

This is how the network looks after all the updates, showing the shortest route among the nodes:

  
![Dj 3.png](../../../upload.wikimedia.org/wikibooks/en/b/bd/Dj_3.png)

#### Interior Routing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-8)]

Packet routing in the Internet is divided into two general groups: interior and exterior routing. Interior routing happens inside or interior to an independent network system. In TCP/IP terminology, these independent network systems are called autonomous systems. Within an autonomous system (AS), routing information is exchanged using an interior routing protocol chosen by the autonomous system's administration. The exterior routing protocols, on the other hand are used between the autonomous systems. Interior routing protocols determine the "best" route to each destination, and they distribute routing information among the systems on a network. There are several interior protocols:

\- The Routing Information Protocol (RIP) is the interior protocol most commonly used on UNIX systems. RIP uses distance vector algorithm that selects the route with the lowest "hop count" (metric) as the best route. The RIP hop count represents the number of gateways through which data must pass to reach its destination. RIP assumes that the best route is the one that uses the fewest gateways.

\- Hello is a protocol that uses delay as the deciding factor when choosing the best route. Delay is the length of time it takes a datagram to make the round trip between its source and destination.

\- Intermediate System to Intermediate System (IS-IS) is an interior routing protocol from the OSI protocol suite. It is a link-state protocol. It was the interior routing protocol used on the T1 NSFNET backbone.

\- Open Shortest Path First (OSPF) is another link-state protocol developed for TCP/IP. It is suitable for very large networks and provides several advantages over RIP.

##### Routing Information Protocol (RIP)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-9)]

RIP (Routing Information Protocol) is a standard for exchange of routing information among gateways and hosts. It is a distance-vector protocol. RIP is most useful as an "interior gateway protocol". The network is organized as a collection of "autonomous systems". Each autonomous system has its own routing technology, which may well be different for different autonomous systems. The routing protocol used within an autonomous system is referred to as an interior gateway protocol, or "IGP". Routing Information Protocol (RIP) is designed to work with moderate-size networks using reasonably homogeneous technology. Thus, it is suitable as an Interior Gateway Protocol (IGP) for many campuses and for regional networks using serial lines whose speeds do not vary widely. It is not intended for use in more complex environments. RIP2 derives from RIP, which is an extension of the Routing Information Protocol (RIP) intended to expand the amount of useful information carried in the RIP messages and to add a measure of security. RIP2 is an UDP-based protocol.

What makes RIP work is a routing database that stores information on the fastest route from computer to computer, an update process that enables each router to tell other routers which route is the fastest from its point of view, and an update algorithm that enables each router to update its database with the fastest route communicated from neighboring routers:

**Database** \- Each RIP router on a given network keeps a database that stores the following information for every computer in that network:

_IP Address_ \- The Internet Protocol address of the computer.

_Gateway_ \- The best gateway to send a message addressed to that IP address.

_Distance_ \- The number of routers between this router and the router that can send the message directly to that IP address.

_Route change flag_ \- A flag that indicates that this information has changed, used by other routers to update their own databases.

_Timers_ \- Various timers.

**Algorithm** \- The RIP algorithm works like this:

_Update_ \- At regular intervals each router sends an update message describing its routing database to all the other routers that it is directly connected to. Some routers will send this message as often as every 30 seconds, so that the network will always have up-to-date information to quickly adapt to changes as computers and routers come on and off the network. The Protocol Structure for RIP & and RIP2 is shown in the figure below:

The Protocol Structure for RIP & and RIP2 is shown in the figure below:

8 bits 16 bits 32 bits

Command
Version
Unused

Address Family Identifier
Route Tag (only for RIP2; 0 for RIP)

IP Address

Subnet Mask (only for RIP2; 0 for RIP)

Next Hop (only for RIP2; 0 for RIP)

Metric

**Command** \- The command field is used to specify the purpose of the datagram. There are five commands: Request, Response, Traceon (obsolete), Traceoff (obsolete) and Reserved.

**Version** \- The RIP version number. The current version is 2.

**Address family identifier** \- Indicates what type of address is specified in this particular entry. This is used because RIP2 may carry routing information for several different protocols. The address family identifier for IP is 2.

**Route tag** \- Attribute assigned to a route which must be preserved and readvertised with a route. The route tag provides a method of separating internal RIP routes (routes for networks within the RIP routing domain) from external RIP routes, which may have been imported from an EGP or another IGP.

**IP address** \- The destination IP address.

Subnet mask - Value applied to the IP address to yield the non-host portion of the address. If zero, then no subnet mask has been included for this entry.

**Next hop** \- Immediate next hop IP address to which packets to the destination specified by this route entry should be forwarded.

**Metric** \- Represents the total cost of getting a datagram from the host to that destination. This metric is the sum of the costs associated with the networks that would be traversed in getting to the destination.

##### Open Shortest Path First Protocol (OSPF)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-10)]

OSPF is an interior gateway protocol used for between routers that belong to a single Autonomous System. OSPF uses link-state technology in which routers send each other information about the direct connections and links which they have to other routers. Each OSPF router maintains an identical database describing the Autonomous System’s topology. From this database, a routing table is calculated by constructing a shortest- path tree. OSPF recalculates routes quickly in the face of topological changes, utilizing a minimum of routing protocol traffic. An area routing capability is provided, enabling an additional level of routing protection and a reduction in routing protocol traffic. In addition, all OSPF routing protocol exchanges are authenticated. OSPF routes IP packets based solely on the destination IP address found in the IP packet header. IP packets are routed "as is" - they are not encapsulated in any further protocol headers as they transit the Autonomous System. OSPF allows sets of networks to be grouped together. Such a grouping is called an area. The topology of an area is hidden from the rest of the Autonomous System. This information hiding enables a significant reduction in routing traffic. Also, routing within the area is determined only by the area’s own topology, lending the area protection from bad routing data.

The OSPF algorithm works as described below:

_Startup_ \- When a router is turned on it sends Hello packets to all of its neighbors, receives their Hello packets in return, and establishes routing connections by synchronizing databases with adjacent routers that agree to synchronize.

_Update_ \- At regular intervals each router sends an update message called its "link state" describing its routing database to all the other routers, so that all routers have the same description of the topology of the local network.

_Shortest path tree_ \- Each router then calculates a mathematical data structure called a "shortest path tree" that describes the shortest path to each destination address and therefore indicates the closest router to send to for each communication; in other words - "open shortest path first".

The Protocol Structure of OSPF (Open Shortest Path First version 2) is shown below:

8 bits 16 bits 24 bits

Version No.
Packet Type
Packet Length

Router ID

Area ID

Checksum
AuType

Authentication

  
**Version number** \- Protocol version number (currently 2).

Packet type - Valid types are as follows: 1 Hello 2 Database Description 3 Link State Request 4 Link State Update 5 Link State Acknowledgment.

**Packet length** \- The length of the protocol packet in bytes. This length includes the standard OSPF header.

**Router ID** \- The router ID of the packet’s source. In OSPF, the source and destination of a routing protocol packet are the two ends of an (potential) adjacency.

**Area ID** \- identifying the area that this packet belongs to. All OSPF packets are associated with a single area. Most travel a single hop only.

**Checksum** \- The standard IP checksum of the entire contents of the packet, starting with the OSPF packet header but excluding the 64-bit authentication field.

**AuType** \- Identifies the authentication scheme to be used for the packet.

**Authentication** \- A 64-bit field for use by the authentication scheme.

##### Intermediate System to Intermediate System Routing Protocol(IS-IS)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-11)]

Intermediate System-to-Intermediate System (IS-IS) is a link-state protocol where IS (routers) exchange routing information based on a single metric to determine network topology. It behaves similar to Open Shortest Path First (OSPF) in the TCP/IP network. In an IS-IS network, there are End Systems, Intermediate Systems, Areas and Domains. End systems are user devices. Intermediate systems are routers. Routers are organized into local groups called "areas", and several areas are grouped together into a "domain". IS-IS is designed primarily providing intra-domain routing or routing within an area. IS-IS, working in conjunction with CLNP, ES-IS, and IDRP, provides complete routing over the entire network. IS-IS routing makes use of two-level hierarchical routing. Level 1 - routers know the topology in their area, including all routers and hosts, but they do not know the identity of routers or destinations outside of their area. Level 1 routers forward all traffic for destinations outside of their area to a level 2 router within their area which knows the level 2 topology. Level 2 routers do not need to know the topology within any level 1 area, except to the extent that a level 2 router may also be a level 1 router within a single area. IS-IS has been adapted to carry IP network information, which is called Integrated IS-IS. Integrated IS-IS has the most important characteristic necessary in a modern routing protocol: It supports VLSM and converges rapidly. It is also scalable to support very large networks. There are two types of IS-IS addresses: Network Service Access Point (NSAP) - NSAP addresses identify network layer services, one for each service running. Network Entity Title (NET) - NET addresses identify network layer entities or processes instead of services. Devices may have more than one of each of the two types of addresses. However NET’s should be unique and the System ID portion of the NSAP must be unique for each system. The Protocol Structure of IS-IS (Intermediate System to Intermediate System Routing Protocol) is shown below:

  


8 bits 16 bits

Intradomain routing protocol discriminator
Length Indicator

Version/Protocol ID Extension
ID Length

R
R
R
PDU Type
Version

Reserved
Maximum Area Address

**Intra-domain routing protocol discriminator** \- Network layer protocol identifier assigned to this protocol

**Length indicator** \- Length of the fixed header in octets.

**Version/protocol ID extension** \- Equal to 1.

**ID length** \- Length of the ID field of NSAP addresses and NETs used in this routing domain.

**R** \- Reserved bits.

**PDU** type - Type of PDU. Bits 6, 7 and 8 are reserved.

**Version** \- Equal to 1.

**Maximum area addresses** \- Number of area addresses permitted for this intermediate systems area.

The format of NSAP for IS-IS is shown below:

<-IDP-> <-DSP->

<-HO-DSP->

AFI
IDI
Contents assigned by authority identified in IDI field

<-Area Address->
<-ID->
<-SEL->

**IDP** \- Initial Domain Part

**AFI** \- Authority and Format Identifier (1-byte); Provides information about the structure and content of the IDI and DSP fields.

**IDI** \- Initial Domain Identifier (variable length)

**DSP** \- Domain Specific Part

**HO-DSP** \- High Order Domain Specific Part

**Area Address** (variable)

**ID** \- System ID 1- 8 bytes

**SEL** \- n-selector (1-byte value that serves a function similar to the port number in Internet Protocol).

#### Exterior Routing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-12)]

Exterior routing occurs between autonomous systems, and is of concern to service providers and other large or complex networks. The basic routable element is the Autonomous System.While there may be many different interior routing scheme, a single exterior routing system manages the global Internet, based primarily on the BGP-4 exterior routing protocol.

##### Border Gateway Protocol (BGP)[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-13)]

The Border Gateway Protocol (BGP) ensures that packets get to their destination network regardless of current network conditions. BGP is essentially a distance-vector algorithm, but with several added twists. First, BGP router establishes connections with the other BGP routers with which it directly communicates. The first thing it does is download the entire routing table of each neighboring router. After that it only exchanges much shorter update messages with other routers. BGP routers send and receive update messages to indicate a change in the preferred path to reach a computer with a given IP address. If the router decides to update its own routing tables because this new path is better, then it will subsequently propagate this information to all of the other neighboring BGP routers to which it is connected, and they will in turn decide whether to update their own tables and propagate the information further.

BGP uses the TCP/IP protocol on port 179 to establish connections. It has strong security features, including the incorporation of a digital signature in all communications between BGP routers. Each BGP router contains a Routing Information Base (RIB) that contains the routing information maintained by that router. The RIB contains three types of information:

  * Adj-RIBs-In - The unedited routing information sent by neighboring routers.
  * Loc-RIB - The actual routing information the router uses, developed from Adj-RIBs-In.
  * Adj-RIBs-Out - The information the router chooses to send to neighboring routers.

BGP routers exchange information using four types of messages:

  * Open - Used to open an initial connection with a neighboring router.
  * Update - These messages do most of the work, exchanging routing information between neighboring routers, and contain one of the following pieces of information: 
    * Withdrawn routes - The IP addresses of computers that the router no longer can route messages to.
    * Paths - A new preferred route for an IP address. This path consists of two pieces of information - the IP address, and the address of the next router in the path that is used to route messages destined for that address.
  * Notification - Used to indicate errors, such as an incorrect or unreadable message received, and are followed by an immediate close of the connection with the neighboring router.
  * Keepalive - Each BGP router sends a 19 byte Keepalive message to each neighboring router to let them know that it is still operational about every 30 seconds, and no more often than every three seconds. If any router does not receive a Keepalive message from a neighboring router within a set amount of time, it closes its connection with that router, and removes it from its Routing Information Base, repairing what it perceives as damage to the network.

Routing messages are the highest precedence traffic on the Internet, and each BGP router gives them first priority over all other traffic. This makes sense - if routing information can't make it through, then nothing else will.

The BGP algorithm is run after a BGP router receives an update message from a neighboring router, and consists of the following three steps performed for each IP address sent from the neighbor:

  * Update - If the path information for an IP address in the update message is different from the information previously received from that router, then the Adj-RIBs-In database is updated with the newest information.
  * Decision - If it was new information, then a decision process is run that determines which BGP router, of all those presently recorded in the Adj-RIBs-In database, has the best routing path for the IP address in the update message. The algorithm is not mandated, and BGP administrators can set local policy criteria for the decision process such as how long it takes to communicate with each neighboring router, and how long each neighboring router takes to communicate with the next router in the path. If the best path chosen as a result of this decision process is different from the one currently recorded in the Loc-RIB database, then the database is updated.
  * Propagation - If the decision process found a better path, then the Adj-RIBs-Out database is updated as well, and the router sends out update messages to all of its neighboring BGP routers to tell them about the better path. Each neighboring router then runs their own BGP algorithm in turn, decides whether or not to update their routing databases, and then propagates any new and improved paths to neighboring routers in turn.

One of the other important functions performed by the BGP algorithm is to eliminate loops from routing information. For example, a routing loop would occur when router A thinks that router B has the best path to send messages for some computer and B thinks the best path is through C, but C thinks the best path is back through A. If these sort of routing loops were allowed to happen, then any message to that computer that passed through routers A, B, or C would circulate among them forever, failing to deliver the message and using up increasing amounts of network resources. The BGP algorithm traps and stops any such loops.

#### Hierarchical Routing[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-14)]

In both Link-State and Distance Vector algorithms, every router has to save some information about other routers. When the network size grows, the number of routers in the network increases. As a result, the size of routing tables increases, as well, and routers can not handle network traffic as efficiently. Hierarchical routing are used to overcome this problem. Let us examine an example:

Distance Vector algorithms algorithms are used to find best routes between nodes. In the situation depicted below, every node of the network has to save a routing table with 17 records.

  
![Pic21.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/8/8f/Pic21.svg/707px-Pic21.svg.png)

Here is a typical graph and routing table for A:

  


Destination Line Weight

A
N/A
N/A

B
B
1

C
C
1

D
B
2

E
B
3

F
B
3

G
B
4

H
B
5

I
C
5

J
C
6

K
C
5

L
C
4

M
C
4

N
C
3

O
C
4

P
C
2

Q
C
3

  
In hierarchical routing, routers are classified in groups known as regions. Each router has only the information about the routers in its own region and has no information about routers in other regions. That way, routers just save one record in their table for every other region. In this example, we have classified our network into five regions (see below).

  
![Pic23.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/a/af/Pic23.svg/707px-Pic23.svg.png)

  


Destination Line Weight

A
N/A
N/A

B
B
1

C
C
1

Region 2
B
2

Region 3
C
4

Region 4
C
3

Region 5
C
2

  
If A wants to send packets to any router in region 2 (D, E, F or G), it sends them to B, and so on. As you can see, in this type of routing, the tables can be summarized, so network efficiency improves. The above example shows two-level hierarchical routing. We can also use three-level or four-level hierarchical routing. In three-level hierarchical routing, the network is classified into a number of clusters. Each cluster is made up of a number of regions, and each region contains a number or routers. Hierarchical routing is widely used in Internet routing and makes use of several routing protocols.

### Summary[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-15)]

In Distance Vector Algorithms send everything you know to your neighbors, since Link-State Algorithms send info about your neighbors to everyone.

The Message size is small with Link-State Algorithms, and it is potentially large with Distance Vector Algorithms

The message exchange is large in Link-State Algorithms, while in Distance Vector Algorithms, the exchangement is only to neighbors

Convergence speed:

– Link-State Algorithms: fast

– Distance Vector Algorithms: fast with triggered updates

Space requirements:

– Link-State Algorithms maintains entire topology

– Distance Vector Algorithms maintains only neighbor state

Robustness:

• Link-State Algorithms can broadcast incorrect/corrupted LSP – localized problem

• Distance Vector Algorithms can advertise incorrect paths to all destinations – incorrect calculation can spread to entire network

  


### Exercises[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-16)]

1\. For the network given below, give global distance-vector tables when

a) each node knows only the distances to its immediate neighbors

b) each node has reported the information it had in the preceding step to its immediate neighbors

c) step b) happens a second time

  


![Pic 27.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/2/27/Pic_27.svg/460px-Pic_27.svg.png)

  
2\. For the network in exercise 1, show how the link-state algorithm builds the routing vector table for node D.

  
3\. For the network given in the figure below, give global distance-vector tables when

a) each node knows only the distances to its immediate neighbors

b) each node has reported the information it had in the preceding step to its immediate neighbors

c) step b) happens a second time

  
![Pic29.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/e/e5/Pic29.svg/485px-Pic29.svg.png)

  
4\. Suppose we have the forwarding tables shown below for nodes A and F, in a network where all links have cost 1. Give a diagram of the smallest network consistent with these tables.

For node A we have:

Node Cost Next Hop

B
1
B

C
1
C

D
2
B

E
3
C

F
2
C

For node F we have:

Node Cost Next Hop

A
2
C

B
3
C

C
1
C

D
2
C

E
1
E

  
5\. For the network below, find the least cost routes from node A as a source using the Shortest Path Dijkstra's algorithm.

  
![Ex Dij 1.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/bd/Ex_Dij_1.svg/538px-Ex_Dij_1.svg.png)

#### Answers[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-17)]

1.

a)

  


Information  
stored at node Distance to reach node

A
B
C
D
E
F

A
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
3
8
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

B
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
2
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

C
3
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
1
6

D
8
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0
2
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

E
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
2
1
2
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

F
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
6
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0

b)

c)

  


Information  
stored at node Distance to reach node

A
B
C
D
E
F

A
0
6
3
6
4
9

B
6
0
3
4
2
9

C
3
3
0
3
1
6

D
6
4
3
0
2
9

E
4
2
1
2
0
7

F
9
9
6
9
7
0

  
2.

D Confirmed Tentative

1.
(D,0,-)

2.
(D,0,-)
(A,8,A)  
(E,2,E)

3.
(D,0,-)  
(E,2,E)  
(C,3,E)
(A,8,A)  
(B,4,E)

4.
(D,0,-)  
(E,2,E)  
(C,3,E)
(A,6,E)  
(B,4,E)  
(F,9,E)

5.
(D,0,-)  
(E,2,E)  
(C,3,E)  
(B,4,E)
(A,6,E)  
(F,9,E)

6.
previous + (A,6,E)

7.
previous + (F,9,E)

3.

a)

Information  
stored at node Distance to reach node

A
B
C
D
E
F

A
0
2
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
5
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

B
2
0
2
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
1
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

C
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
2
0
2
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
3

D
5
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
2
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

E
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
1
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0
3

F
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
3
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
3
0

b)

Information  
stored at node Distance to reach node

A
B
C
D
E
F

A
0
2
4
5
3
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)

B
2
0
2
4
1
4

C
4
2
0
2
3
3

D
5
4
2
0
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
5

E
3
1
3
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
0
3

F
![\\infty](../../../upload.wikimedia.org/math/d/2/4/d245777abca64ece2d5d7ca0d19fddb6.png)
4
3
5
3
0

c)

Information  
stored at node Distance to reach node

A
B
C
D
E
F

A
0
2
4
5
3
6

B
2
0
2
4
1
4

C
4
2
0
2
3
3

D
5
4
2
0
5
5

E
3
1
3
5
0
3

F
6
4
3
5
3
0

  
4.

![Pic35.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b5/Pic35.svg/400px-Pic35.svg.png)

  
5.

Step 1:

![Ex Dij 2.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/0/09/Ex_Dij_2.svg/538px-Ex_Dij_2.svg.png)

Step 2:

![Ex Dij 3.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/0/03/Ex_Dij_3.svg/538px-Ex_Dij_3.svg.png)

Step 3:

![Ex Dij 4.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/3d/Ex_Dij_4.svg/538px-Ex_Dij_4.svg.png)

Step 4:

![Ex Dij 5.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/a/aa/Ex_Dij_5.svg/538px-Ex_Dij_5.svg.png)

Step 5:

![Ex Dij 6.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/e/ef/Ex_Dij_6.svg/623px-Ex_Dij_6.svg.png)

### References[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Networks/Routing&action=edit&section=T-18)]

  * <http://e-books.amagrammer.net/>
  * Computer Networks, 3rd Ed., 2003, Peterson and Davie
  * <http://www.eng.ucy.ac.cy/christos/Courses/ECE360/Lectures.htm>

# Coding and Security[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=11)]

**[Data Coding Theory](http://en.wikibooks.org/wiki/Data_Coding_Theory)**

## Basic Coding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Transmission_Codes&action=edit&section=T-1)]

It turns out that we can actually improve the performance of our system simply by changing the bits in our system. We can change the order of bits, or we can change the number of bits that we send, to help decrease error rates. This chapter will talk about transmission codes that can help increase system performance.

## Gray Codes[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Transmission_Codes&action=edit&section=T-2)]

Let us look at a basic QASK system:

  1. "00" = +5V
  2. "01" = +1.66V
  3. "10" = -1.66V
  4. "11" = -5V

We will call these "symbol 1" (for 00), "symbol 2" (for 01), "symbol 3" (for 10) and "symbol 4" (for 11).

Now, let us make a basic assumption that the only errors we get will be errors between adjacent symbols. For instance, Symbol 1 can be mistaken for symbol 2, but symbol 1 can never be mistaken for symbol 3. In reality, there is always a very small chance that this could happen, but we will simply ignore it for our purposes.

Now, we have 6 error conditions:

  1. Symbol 1 looks like Symbol 2
  2. Symbol 2 looks like Symbol 1
  3. Symbol 2 looks like Symbol 3
  4. Symbol 3 looks like Symbol 2
  5. Symbol 3 looks like Symbol 4
  6. Symbol 4 looks like Symbol 3

We can also see that in error conditions 1, 2, 5, and 6, a symbol error only produces 1 bit error. The other bit is actually not transmitted in error. The only time where we see 2 bits transmitted in error is when there is a mixup between symbols 2 and 3. We can calculate our probability of bit error as such:

![P_\\mbox{bit error} = \\frac{4}{6}\(1\) P_\\mbox{one bit error} + \\frac{2}{6}\(2\)P_\\mbox{two bits error}](../../../upload.wikimedia.org/math/9/2/9/9299c98e3d5d60f7db5789e3cbd946b0.png)

Pone bit error is the probability that 1 bit from the symbol will be in error. Ptwo bits error is the probability that both symbols will be received in error.

To alleviate this problem, we can reorder our symbols, and map them the following way:

  1. "00" = +5V
  2. "01" = +1.66V
  3. "11" = -1.66V
  4. "10" = -5V

Now, when any symbol is received in error, there is only one bit error. This small trick is called "Gray Coding", and is a useful (but simple) method to improve system performance in terms of net bit errors.

### Using Gray Codes[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Transmission_Codes&action=edit&section=T-3)]

Gray codes are a simple example of how using an encoding/decoding mechanism in a communications system can have an effect on the error rate of the system. In future chapters we will discuss error correction codes (ECC) that can be used to find and fix single-bit errors in a signal. If we use Gray codes to ensure that the majority of errors are single-bit errors, we can then use more advanced ECC codes to resolve these errors.

Gray codes are typically not used on their own, but are combined with more robust coding methods, like described above.

## For further reading[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Transmission_Codes&action=edit&section=T-4)]

  * [Wikipedia:Manchester codes](http://en.wikipedia.org/wiki/Manchester_code)
  * [Wikipedia:MLT-3 Encoding](http://en.wikipedia.org/wiki/MLT-3_Encoding)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[line code](http://en.wikipedia.org/wiki/line_code)**_

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[error correction and detection](http://en.wikipedia.org/wiki/error_correction_and_detection)**_

**[Data Coding Theory](http://en.wikibooks.org/wiki/Data_Coding_Theory)**

## Spread Spectrum[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-1)]

There are multiple ways in which multiple clients can share a single transmission medium. Time-Division Multiplexing (TDM) is the system where different clients get "time slices", periods of time where one client gets to transmit and other clients cannot. Since nobody else is transmitting, each client gets to use the entire spectrum, which means high bandwidth and a fast data rate. There is also Frequency-Division Multiplexing (FDM), where each client transmits at the same time, but on different frequencies. In FDM there is less available bandwidth, but each client gets to transmit for more time.

There is one more type that we need to discuss: **Code-Division Multiplexing** (CDM). CDM is also known as **Spread-Spectrum** multiplexing. In CDM, all clients can transmit at all times on all frequencies.

Other benefits to CDM, that we will discuss later, is it's use in encryption and the inability for another client to jam or interfere with a transmission.

## Why CDM?[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-2)]

CDM, and the related CDMA, are technologies that were originally designed for use in the military. Many of the techniques described earlier in this book are designed to make optimal use of a transmission medium, in terms of higher bitrate while simultaneously minimizing the necessary bandwidth. CDM, however, takes the opposite approach of _maximizing bandwidth_ in order to pursue other valuable qualities. CDM techniques specifically widen and flatten the transmitted signal, in some instances the signal becomes so wide and so short that it actually falls below the noise floor, and is impossible to discern. In addition, CDM signals rely on a special type of code called a PN code to decipher. These two qualities together mean that CDM transmissions are virtually immune to eavesdropping or interception.

Another benefit to CDM is that since the bandwidth being used is spread out, it is nearly impossible for another person to jam the transmission with interference. Also, since the transmission energy is spread out across a wide frequency range, the data signal can be indistinguishable from the background noise, which can prevent eavesdropping.

A third benefit, as if we need a third, is that CDM transmissions have the nearly magical property that we can simultaneously transmit multiple transmissions in the same time slice, and in the same frequency band, without ISI problems. This is how modern cellphone networks operate: multiple cell phones can talk at the same time in the same frequency band.

## Direct CDM[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-3)]

Let's start out with an exercise. Let's say that we want to send some digital data, for instance 1011. What we will do is combine this data with another code, called the **spreading code** that is 3 times as long, and travelling 3 times as fast.

But wait a minute, if the spreading code is moving 3 times as fast (3 times the bit rate), then it will require 3 times the bandwidth to transmit! Well, this is correct. CDM requires more bandwidth to transmit a single signal then either TDM or FDM, but we will see in a minute why this doesn't matter to us.

Let's say that our spreading code is as follows: 101100111000. Now, we will combine our information signal (1011) with the spreading code as follows: We will logically XOR each digit of the information signal with 3 consecutive digits of the spreading code (because the spreading code is moving 3 times as fast. We will use the "X" symbol to denote the XOR operation:
    
    
      1     0     1     1
    X 101 X 100 X 111 X 000
    ----- ----- ----- -----
      010   100   000   111
    

And now our resulting code is the value 010100000111. This will be called our **transmission code**. Now, we can pick one of our binary transmission methods(ASK, M-ary PSK, Saucy McFoodlefist, QAM, etc...) to transmit this resultant digital signal over the channel to the receiver.

To demultiplex a CDM signal, we make use of the following mathematical rule:
    
    
    a X b X b = a
    

Remember, the "X" symbol here is the XOR operation. It would seem that if we XOR the transmission code with the spreading code, we will get back our original information signal! The only problem is that we need to have the same exact spreading code on the receiving end, to demultiplex the signal.

## Benefits of CDM[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-4)]

So what exactly is the benefit of CDM? First, let's take a look at the spreading code:

### Spreading Code[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-5)]

The spreading code is selected to have a number of different properties, but the most important is that the spreading code must be a **pseudo-random number** (PN). PN numbers _look_ random, but since we must be able to generate the same signal on the receiving end, the spreading code can't be completely random. Because of this property, it can be very difficult for an eavesdropper to intercept our data, because other people do not necessarily know our spreading code. Even if other people did know our spreading code, they would not necessarily know what point in the code we were at. Some spreading codes can be very long.

### Increased Bitrate[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-6)]

Our spreading code is being generated at a much higher bitrate then our data code is. According to Shannon's channel capacity, for the same SNR and a larger bit rate, our signal will be spread out over a much larger bandwidth.

### Security[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-7)]

Now, since we know that the Spreading code looks like noise, it is safe to assume that when we XOR in our information signal, the result will look like noise as well. In fact, the transmitted signal looks so much like noise, that unless the receiver has a perfectly synchronized spreading code to use in demultiplexing, the signal is impossible to recover. This makes CDM relatively secure.

### Multiplexing[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-8)]

Using CDM, we can transmit multiple signals simultaneously over exactly the same frequency band. This is important because TDM allows us to use the same frequency band but it separates out time slices. FDM doesn't need time slices, but it separates out signals into different frequency bands. CDM allows us to transmit signals at exactly the same time, in exactly the same frequency band.

Now, when we receive the multiplexed signals simultaneously, each receiver can XOR with the spreading code, to get back the original signal. Remember, each transmission signal looks like noise, so the receivers will simply ignore the signals that don't correlate with the spreading code. --[Mangosrgr8](http://en.wikibooks.org/w/index.php?title=User:Mangosrgr8&action=edit&redlink=1) ([discuss](http://en.wikibooks.org/w/index.php?title=User_talk:Mangosrgr8&action=edit&redlink=1) • [contribs](http://en.wikibooks.org/wiki/Special:Contributions/Mangosrgr8)) 15:33, 4 December 2013 (UTC)I think this needs expanding; how does this (non)correlation occour? Why don't other signals (including 'real' noise) affect the transmission?

## direct CDM (DSS)[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-9)]

Direct CDM, also called direct spread spectrum (DSS), multiplexes data using a trick with the digital XOR operation.

## Examples of Direct CDM[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-10)]

Direct CDM techniques are used in Cellular phone transmissions in North America. This is because there are far too many cellphones to give each phone its own frequency range, or its own time slice. Using CDM, all the phones can simultaneously talk over the same frequency band at the same time.

## Frequency Hopping CDM (FHSS)[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-11)]

Frequency Hopping CDM, also called frequency hopping spread spectrum (FHSS), transmits on only one narrow frequency band for a very short amount of time, then "hops" to some other frequency.

Let's say we have our PN generator, which is creating a spreading code in real time. We take a certain number of bits from that PN generator at a time, and use them to pick a frequency range. We then transmit a short burst of data on that range, and then _hop_ to the next frequency range for the next burst of data.

If we have the same PN generator on the receiving end, we can then use that spreading code to pick which frequency bands to listen to at any given time. Using frequency hopping, our signal will take more bandwidth then normal (because we are using multiple bands to send information on. Frequency Hopping has several advantages including the fact that it allows us to make better use of more bandwidth simultaneously, and--if we hop fast enough--it provides some protection against reflections ("fading") and noise sources obliterating a few of the narrow bands.

Frequency hopping has the disadvantage the receiver cannot use PSK, QPSK, or M-ary PSK techniques, because it is just too hard to synchronize the different phase angles at different times on different frequency bands. However M-ary FSK is frequently used, with great success.

## Fast and Slow Hops[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-12)]

A system is called a "Slow Hopping System" if the hop rate is slower than the symbol rate (an integer number of symbols transmitted per hop). A system is called a "Fast Hopping System" if the symbol rate is slower then the hop rate (an integer number of hops per each symbol). Fast hop systems are more complicated to implement, but are more immune to channel distortion.

## COFDM[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Spectrum_Spreading&action=edit&section=T-13)]

An orthogonal frequency division multiplexing (OFDM) system is similar to a frequency hopping system in that part of the information is transmitted at one narrowband frequency, and other information is transmitted at a different narrowband frequency. However, rather than transmitting at only one narrowband frequency at a time, an OFDM system transmits at all of its frequencies all the time. Because any one narrow band it transmitted constantly, it's fairly easy to synchronize phase angles and use the best modulation technique for that band (QPSK). Because all the frequencies are generated by one transmitter, it is possible to pack them far more tightly together without interference than a system that dedicated each frequency to a different transmitter.

Reflections ("fading") and noise sources often obliterate a few of the narrow bands. To overcome this, the bits are "coded" (COFDM). A forward error correction ([Data Coding Theory/Forward Error Correction](http://en.wikibooks.org/wiki/Data_Coding_Theory/Forward_Error_Correction)) code is spread across every channel, such that even if 2 channels are completely obliterated, only 2 bits of the code word are lost. Then the receiver uses the FEC to reconstruct the obliterated data.

In practice, practically all OFDM systems are coded orthogonal frequency division multiplexing (COFDM) systems.

**[Data Coding Theory](http://en.wikibooks.org/wiki/Data_Coding_Theory)**

## Data Compression[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-1)]

When transmitting digital data, we find that frequently we can't send our information as quickly as we would like. Specific limits, such as Shannon's Channel Capacity, restrict the amount of digital information that can be transmitted over a given channel. Therefore, if we want to transmit more data, we need to find a way to make our data _smaller_.

To make data smaller, we implement one of a number of techniques known as data compression. There are a number of different compression algorithms, but they can all be broken down into two categories: Lossless algorithms, and lossy algorithms.

The fundamental function of a compression is to remove redundancy, where redundancy is all that could be removed or expressed in a different way, whilst not removing it's meaning.

## Lossy Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-2)]

Lossy algorithms are techniques that can be used to transmit a "pretty good" version of the data. With a lossy algorithm, there is always going to be a certain amount of data lost in the conversion. Lossy algorithms provide much higher compression rates then lossless algorithms, but the downfall is that information must be lost to attain those high rates. An example of a lossy compression algorithm is JPEG image files, or MP3 music files. If the lossy algorithm is good enough, the loss might not be noticeable by the recipient.

## Lossless Algorithms[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-3)]

Lossless algorithms decrease the size of a given signal, while at the same time not losing any information from the original. For this reason, Lossless compression algorithms are preferable to lossy algorithms, especially when the data needs to arrive at the recipient intact. Examples of lossless compression algorithms are ZIP files, and GIF images.

## Run-Length Encoding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-4)]

Run-length encoding (RLE) is probably one of the best known compression techniques. Here is how it works:

Let's assume we have some input data: 'aaaabbbc' Now RLE compresses this by expressing the amount of times each symbol occurs, if it occurs more than 2 times.

This 'compresses' to '4a3bc' which means as much as 4 x a, 3 x b, 1 x c.

We don't express a data item explicitly if it occurs twice or just once. We would just lose space.

## Huffman Coding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-5)]

Huffman coding is a very powerful compression technique that can be used as an optimal lossless encoding technique.

Huffman at wikipedia: [w:Huffman coding](http://en.wikipedia.org/wiki/Huffman_coding)

## Variable-Length Encoding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-6)]

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-7)]

Data compression, while a related field to coding theory, is not strictly in the scope of this book, and so we will not cover it any further here.

## Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Data_Compression&action=edit&section=T-8)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has more about this subject:

_**[lossless data compression](http://en.wikipedia.org/wiki/lossless_data_compression)**_

  * [Data Compression](http://en.wikibooks.org/wiki/Data_Compression)
  * The hydrogenaudio wiki has a [comparison of popular lossless audio compression codecs](http://wiki.hydrogenaudio.org/index.php?title=Lossless_comparison).
  * [a data compression wiki](http://datacompression.dogma.net/)
  * [a data compression wiki](http://compression.wikidot.com/)

**[Data Coding Theory](http://en.wikibooks.org/wiki/Data_Coding_Theory)**

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-1)]

Transfer of information from one place to another faces many difficulties. Principal among them is _noise_. For example suppose 01010101 is sent from one end. Due to noise, it may be received as 11010101, with the first digit changed by noise. Clearly if what is sent is not what is received, communication can be problematic. Error correcting codes have been developed to solve this type of problem.

In practical applications it makes sense to send messages in _blocks_, i.e. a series of digits one after another, e.g. 11111100. It is well known that electronic data are represented using 0's and 1's. Each digit (0 or 1) is called a bit. A byte is made up of 8 bits. A byte allows us to represent ![2^8 = 256](../../../upload.wikimedia.org/math/8/4/5/845db3d672e9c961fbffd5be66694921.png) symbols. Let's suppose for the moment that data is sent a byte at time. As before, due to noise that is sent may not always be what is received.

Computer scientists came up with a simple error detection method called _parity check_. With this method, we represent data using only the first 7 bits. The last bit is always chosen so that together with the other seven there are an even number of 1's in the byte. When the data arrives at the other end, the receiver counts the number of 1's in the byte. If it's odd, then the byte must have been contaminated by noise so the receiver may ask for retransmission.

This method only _detects_ errors but it can not correct them other than ask for retransmission. If retransmission is expensive (e.g. satellite), parity check is not ideal. Also its error detection ability is very low. If two bits were changed by noise, then the receiver will assume the message is correct. More sophisticated error correction codes address these problems.

## Hamming Code[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-2)]

Hamming code is an _improvement_ on the parity check method. It can _correct_ 1 error but at a price. In the parity check scheme, the first 7 bits in a byte are actual information so ![2^7 = 128 ](../../../upload.wikimedia.org/math/f/5/5/f55097980aaf92e79f1d554fefc3b8ee.png) different symbols may be represented using a byte. But for Hamming code each block of data contains 7 bits (not 8) and only 4 bits in a block are used to represent data, so only ![2^4 = 16](../../../upload.wikimedia.org/math/c/d/e/cde9ff18842ce66808bf816f589757f5.png) symbols may be represented in a block. Therefore, to send the same amount of info in Hamming code, we will need to send a lot more bits. Anyhow let's see how Hamming Code works.

In this section we will see that Hamming code has some amazing properties, although we will not discuss why it works just yet. In fact, if only one error is introduced in transmission, i.e. only one bit got changed, then the decoding method employed by the receiver will definitely be able to correct it. It is easy to appreciate then, that if 2 or more errors are made, correction and even detection may not be possible.

For now, we will describe how Hamming code works, but only later do we develop the mathematics behind it. Therefore, this section can be skipped if one wishes.

We let each of _a_, _b_, _c_ and _d_ take the value 0 or 1, and these are called information bits. A Hamming code is a block of 7 bits in the form of

    (a + b + d, a + c + d, a, b + c + d, b, c, d) (mod 2)

_..give matrix repn_ as can be seen, the digits _a_, _b_, _c_ and _d_ appear on their own in component 3, 5, 6, and 7. All other components are a combination of _a_, _b_, _c_ and _d_. So we call the 3rd, 5th, 6th and 7th component the information component, all other components are _check_ components, and these components carry extra information that allows us to detect and correct single errors. We will explain the funny notation above in turn. The (mod 2) notation means that we take each of the values in the bracket, separated by commas, and look at its value modular 2 (we will see an example later).

We have represented the block of 7 bits in vector form, where each component corresponds to a bit. E.g. let _a_ = _b_= _c_ = _d_ = _1_, then we have

    (1 + 1 + 1, 1 + 1 + 1, 1 , 1 + 1 + 1, 1, 1, 1) (mod 2)

which is

    (1, 1, 1, 1, 1, 1, 1)

therefore 1111111 is the block of bits we are sending.

To detect single errors, it's also very simple. Suppose the codeword received is ![a_1a_2...a_7](../../../upload.wikimedia.org/math/c/8/d/c8d36aa9877312872b3695a3635e3048.png), we compute 3 values

    ![b_0 = a_1 + a_3 + a_5 + a_7 \\pmod2](../../../upload.wikimedia.org/math/6/7/d/67d602a823dec8c315b52374fafa3084.png)
    ![b_1 = a_2 + a_3 + a_7 + a_8 \\pmod2](../../../upload.wikimedia.org/math/6/6/1/6617c32d9b89bc014fbfd7f03953696b.png)
    ![b_2 = a_5 + a_6 + a_7 + a_8 \\pmod2](../../../upload.wikimedia.org/math/9/2/3/923c1058d1ffcbc16cd1aae23c5db5a4.png)

then we declare the error is at the ![2^2{b_2} + 2{b_1} + b_0](../../../upload.wikimedia.org/math/e/2/b/e2bb0c7a5e8ad4db528a88cf1044adc4.png)th position.

Suppose 1111111 is sent but 1111011 is received. The receiver computes

    ![b_0 = 1 + 1 + 0 + 1 = 1\\pmod2](../../../upload.wikimedia.org/math/9/d/0/9d0bac89eb1bedbf610d26a4447b848c.png)
    ![b_1 = 1 + 1 + 1 + 1 = 0\\pmod2](../../../upload.wikimedia.org/math/1/7/6/176a194ac3f1e1e654bcbd84a3c9700f.png)
    ![b_2 = 0 + 1 + 1 + 1 = 1\\pmod2](../../../upload.wikimedia.org/math/d/1/5/d152f10101fbfde5d1bfb2bd1ce4c93a.png)

so the error is at the ![2^2{b_2} + 2{b_1} + b_0 = 4 + 1 = 5](../../../upload.wikimedia.org/math/0/2/9/029bca8af076fc38d9d34c217bbd5391.png)th position as predicted!

If no error is made in transmission, then ![2^2{b_2} + 2{b_1} + b_0 = 0](../../../upload.wikimedia.org/math/1/e/7/1e72cbce69de66caeba556b6e84adfb3.png).

**Summary**  
If one wishes to send a block of information consisting of 4 bits. Let these 4 bits be _abcd_, say.

  * **To send:** _abcd_

    

  * we compute and send (a + b + d, a + c + d, a, b + c + d, b, c, d) (mod 2)

  * **To decode:**

    

  * ![b_0 = a_1 + a_3 + a_5 + a_7 \\pmod2](../../../upload.wikimedia.org/math/6/7/d/67d602a823dec8c315b52374fafa3084.png)
  * ![b_1 = a_2 + a_3 + a_7 + a_8 \\pmod2](../../../upload.wikimedia.org/math/6/6/1/6617c32d9b89bc014fbfd7f03953696b.png)
  * ![b_2 = a_5 + a_6 + a_7 + a_8 \\pmod2](../../../upload.wikimedia.org/math/9/2/3/923c1058d1ffcbc16cd1aae23c5db5a4.png)
  * ![e = 2^2{b_2} + 2{b_1} + b_0](../../../upload.wikimedia.org/math/4/5/8/45869631160fe12c8ad48fc16cc2eeea.png)
    if _e_ = 0 then assume no error, otherwise declare a single error occurred at the _e_th position.

### Exercise[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-3)]

_...compute some codewords and decode them_

## Basics[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-4)]

The mathematical theory of error correcting codes applies the notion of a _finite field_, called also _Galois field_ (after the famous French mathematician, Evariste Galois, 1811-1832). In particular, the 2-element set {0,1} supports the structure of a finite field of size 2. In general, a finite field may have _q_ elements, where _q_ is a prime power (no other number of elements is possible in a finite field; any two finite fields with the same number of elements are _essentially_ alike, i.e. _isomorphic_). E.g. a 7-element field may consist of elements 0,1,2,3,4,5,6, and its arithmetic operations + - * are performed modulo 7.

We denote the finite field of size _q_ as ![\\mathbb{F}_q](../../../upload.wikimedia.org/math/d/1/8/d18c04e4ac0474de734fbbd2700ed8ea.png) or GF(q). GF stands for Galois Field.

### Some Definitions[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-5)]

**Code & Codeword**

    Let _A_ be a finite set, called _alphabet_; it should have at least two different elements. Let _n_ be a natural number. A code of length _n_ over alphabet _A_ is any set _C_ of n-long sequences of elements from _A_; the sequences from _C_ are called _codewords_ of _C_.

If alphabet _A_ = {0,1} then codes over _A_ are called binary.

For example, let _C_ be a code over alphabet _A_ := GF(5) := {0,1,2,3,4}. Let _C_ := {000,111,222,333,444}. It has codewords 000, 111, 222, 333 and 444.

Now we should discuss some properties of a code. Firstly, we can have the notion of _distance_ between two codewords.

**Hamming Distance**

    Let _C_ be a code, and _**x**_ and _**y**_ (**bold** to signify that each codeword is like a vector) are codewords of _C_. The Hamming distance of _**x**_ and _**y**_ denoted 

    d(_**x**_,_**y**_)
    is the number places in which _**x**_ and _**y**_ differ.

E.g. d(000,111) = 3.

Hamming distance enjoys the following three fundamental metric properties:

  1. d(_**x**_,_**y**_) = 0 <==> '**x'** = '**y'**
  2. d(_**x**_,_**y**_) = d(_**y**_,_**x**_)
  3. d(_**x**_,_**y**_) ≤ d(_**x**_,_**z**_) + d(_**z**_,_**y**_); triangle inequality

**Minimum distance**

    The minimum distance of a code _C_ denoted d(_C_) is the minimum distance possible between two different codewords of _C_

E.g. Let _C_ = {000,111,110,001}, then d(C) = d(000,001) = 1, as the distance between any other codewords are greater than or equal to 1.

### The significance of minimum distance[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-6)]

The minimum distance of a code _C_ is closely related to its ability to correct errors. Let's illustrate why, using a hypothetical code _C_. Let say this code has minimum distance 5, i.e. d(_C_) = 5. If a codeword, **x** is sent and only up to 2 errors were introduced in transmission, then it can be _corrected_.

Suppose **x** is sent but **x** \+ **e** is received, where **e** corresponds to some vector with up to 2 non-zero components. We see that **x** \+ **e** is closer to **x** than any other codeword! This is due to the fact that d(_C_) = 5.

E.g. let _C_ = {00000,11111,22222} and 00000 is sent but 00012 is received. It is easy to see that 00000 is the closet codeword to 00012. So we decode 00012 as 00000, we have in effect corrected 2 errors. But if 3 or more errors are made and we decode using the closest codeword, then we might be in trouble. E.g. if 11111 is sent but 11222 is received. We decode 11222 as 22222, but this is wrong!

No error correcting code is _perfect_ (although we call some _perfect codes_). No code can correct every possible error vector. But it is also reasonable to assume that only a small number of errors are made each transmission and so we only need codes that can correct a small number of errors.

### Nearest Neighbour decoding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-7)]

If _m_ > _n_, then it is reasonable to assume that it is more likely that _n_ errors were made than _m_ errors. In any communication channel, it is reasonable to assume that _the more errors, the less likely_. Therefore it is very reasonable to decode a received block using nearest neighbour decoding, i.e. if **y** is received, we look for a codeword **x** (of _C_) so that d(_x_,_y_) is minimum.

Using the above scheme, it is easy to see that if a code _C_ has minimum distance d(_C_) = 2_t_ \+ 1, then up to _t_ errors can be corrected.

#### Exercises[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-8)]

If a code _C_ has minimum distance d(_C_) = 2_t_ \+ 2. How many errors can it correct using nearest neighbour decoding?

## Linear Codes[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-9)]

_Basic linear algebra assumed from here on._  
**Notation**

    Let ![\\mathbb{F}_q^n](../../../upload.wikimedia.org/math/0/5/d/05dd91cedb5655431760a627cab1fc15.png) and ![\\mbox{GF}\(q\)^n](../../../upload.wikimedia.org/math/e/d/d/eddb62a4c48ba45ab0b9930a46bab7bc.png) both denote the _n_-dimensional vector space with components coming from {1,2,..,_q_ \- 1} with arithmetic performed modulo _q_

A linear code _C_ is a _q_-ary [_n_,_k_,_d_] code, if

  1. _C_ is a set of vectors of length _n_,
  2. each component (of a codeword) takes a value from GF(_q_),
  3. all the codewords of _C_ are spanned by _k_ linearly indepedent vectors, and
  4. d(_C_) = _d_

Note that if _x_ and _y_ are codewords then so is _x_ \+ _y_. In other words, we can think of _C_ as a vector-subspace of ![\\mathbb{F}_q^n = GF\(q\)^n](../../../upload.wikimedia.org/math/e/a/c/eaca221d023ae2abf4e70effc4906977.png), of dimension _k_. So _C_ can be completely determined by providing a basis of _k_ vectors that span the codewords. Let {![v_i](../../../upload.wikimedia.org/math/f/0/e/f0e66f55342ef85ba8be3415dd92d8e2.png) | _i_ = 1, 2, ..., k} be a basis for _C_, we call the matrix

    ![G= \\begin{pmatrix}v_1\\\\ v_2\\\\ ...\\\\ v_k\\end{pmatrix}](../../../upload.wikimedia.org/math/9/9/4/99446f9b918f494e6297549847c6660e.png)

the generator matrix of _C_.

E.g. let _C_ be a _5_-ary [5,3,3] code spanned by {10034,01013,00111} then the generator matrix is

    ![G= \\begin{pmatrix}1&0&0&3&4\\\\ 0&1&0&1&3\\\\ 0&0&1&1&1\\end{pmatrix}](../../../upload.wikimedia.org/math/1/6/a/16a1ac9f5d0dd32cfdddc8d995bb42ea.png)

**Information rate**  
A _q_-ary [_n_,_k_,_d_] code can have ![q^k](../../../upload.wikimedia.org/math/f/0/d/f0d67d848468c1e5da5111bd1238ca60.png) different codewords as each codeword _c_ is of the form

    ![c = a_1v_1 + a_2v_2 + .. + a_kv_k](../../../upload.wikimedia.org/math/7/b/a/7ba4421147566d835b5fc2d8b7737521.png)

where ![a_i](../../../upload.wikimedia.org/math/d/8/d/d8dd7d0f3eb7145ca41c711457b7eb8f.png) may take values 0, 1, .., _q_ \- 1 (as arithmetic is performed modulo _q_). So this code can represent ![q^k](../../../upload.wikimedia.org/math/f/0/d/f0d67d848468c1e5da5111bd1238ca60.png) symobols.

We see that the row span of _G_ are all the codewords, so suppose one wants to send ![c_1c_2..c_k](../../../upload.wikimedia.org/math/4/f/2/4f29d025d78afe819f32bd3ecb0917e6.png), we can compute the corresponding codeword _c_ by

    ![c = \\begin{pmatrix}c_1&c_2&..&c_k\\end{pmatrix}G](../../../upload.wikimedia.org/math/2/a/2/2a209321ffd66563db90bfa82ee27a20.png)

E.g. let _C_ and _G_ be as above and we wish to send 012 to the receiver, we compute the codeword

    ![\\begin{pmatrix}0&1&2\\end{pmatrix}\\begin{pmatrix}1&0&0&3&4\\\\ 0&1&0&1&3\\\\ 0&0&1&1&1\\end{pmatrix}=\\begin{pmatrix}0&1&2&3&0\\end{pmatrix}](../../../upload.wikimedia.org/math/a/b/2/ab256c169618d27b2b87c7d1b7551a9d.png)

Notice how the first 3 digits of the codeword is actually the message we want to send, so the last 2 digits are not needed if we don't want any error-correction ability in the code.

A linear code is in _standard form_ if it's generator matrix is of the form (_I_|_N_) (has an identiy matrix at the left end of the generator matrix). The matrix _G_ above is in standard form. It turns out that if _G_ is in standard then it's easy for the receiver to read the intended message. It has another advantage which will be discussed in the next section.

#### Decoding[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-10)]

One advantage of using linear code is that _detection_ of errors is easy. Actually, we can find a matrix _H_ such that ![H\\underline{x}^T=\\underline0](../../../upload.wikimedia.org/math/9/d/b/9dbd425fc22e5c94671b3888123b2889.png) _if and only if_ **x** is a codeword. So if **y** is received and ![H\\underline{y}^T \\ne \\underline{0}](../../../upload.wikimedia.org/math/1/3/8/13812d4a2149e574eacb3e2d626f2316.png) then we can confidently say that **y** has been contaminated by noise.

To find such a _H_, let's suppose _C_ is a _q_-ary [_n_,_k_,_d_] code and _C_ is spanned by ![v_i](../../../upload.wikimedia.org/math/f/0/e/f0e66f55342ef85ba8be3415dd92d8e2.png) _i_ = 1, 2, .., _k_.

**Definition -- Inner Product & Orthongonality**  
Define the _inner product_ of any two vectors to be

    ![<\(x_1,x_2,..,x_n\),\(w_1,w_2,..,w_n\)> = x_1w_1 + x_2w_2 + .. + x_kw_k \\ \\pmod{q}](../../../upload.wikimedia.org/math/0/9/8/098e96811acaaca073ba988b4b1402ff.png)

we say two vectors **v** and **w** are orthogonal if <**v**,**w**> = 0.

E.g. let _C_ be a 7-ary [7,4,3] code, then

    <(0,1,2,4,5,6,3), (1,4,5,0,3,2,0)> = 4 + 10 + 15 + 12 = 41 ≡ 6 (mod 7)

Firstly note that _H_ must be a _n_ by _j_ matrix for some _j_. Think of _H_ as a linear transformation in ![GF\(q\)^n](../../../upload.wikimedia.org/math/8/a/6/8a681e6b2f07db3d3b8e6ff5f83ac68e.png). By definition ker_H_ = C, and by the rank-nullity theorom

    ![n = dim\(imH\) + k](../../../upload.wikimedia.org/math/2/c/6/2c6d0e900781d6387284289a385967cb.png)

so _H_ has rank _n_ \- _k_. In fact, the row span of _H_ is the span of _n_ \- _k_ linearly independent vectors, ![w_i](../../../upload.wikimedia.org/math/d/f/c/dfc96001568235d60dc12dca4b32d260.png) _i_ = 1,2,..,_n_ \- _k_ where ![w_i](../../../upload.wikimedia.org/math/d/f/c/dfc96001568235d60dc12dca4b32d260.png) are orthogonal to each codeword in _C_.

Notice that _C_ = im_H_ and ker_H_ are vectors subspaces (exercise). In fact we denote

    ![kerH = C^\\bot](../../../upload.wikimedia.org/math/0/2/4/024c2b56ac8d992a0774e5fccda79bbd.png)

where ![C^\\bot](../../../upload.wikimedia.org/math/d/e/b/deb2c05beb49c23625bde5aa258bf3b1.png) means the vector subspace where any vector is orthogonal to every vector in _C_.

So we need to find a basis for ![C^\\bot](../../../upload.wikimedia.org/math/d/e/b/deb2c05beb49c23625bde5aa258bf3b1.png) and let _H_ be the matrix whose rows the the basis vectors! If the generator matrix _G_ of _C_ is in standard form, then _H_ is very easy to compute. Indeed if

    ![G = \(I_k | N\) \\!](../../../upload.wikimedia.org/math/5/8/2/58279824cbdf8f80a04c9959d4160fc3.png)

then

    ![H = \(-N^T | I_{n-k}\) \\!](../../../upload.wikimedia.org/math/e/4/1/e416ebb3d52412c0c9adf8aacb515f98.png)

For example, let _G_ be as above i.e.

    ![G = \\begin{pmatrix}1&0&0&3&4\\\\ 0&1&0&1&3\\\\ 0&0&1&1&1\\end{pmatrix}](../../../upload.wikimedia.org/math/1/6/a/16a1ac9f5d0dd32cfdddc8d995bb42ea.png)

then we can conclude

    ![H =
\\begin{pmatrix}
-3&-1&-1&1&0\\\\
-4&-3&-1&0&1\\end{pmatrix}](../../../upload.wikimedia.org/math/b/b/4/bb40873690b1f31a0154b5563e73aec1.png)

look at the values modulo 5 (recall that _G_ generates a 5-ary code), we get

    ![H =
\\begin{pmatrix}
2&4&4&1&0\\\\
1&2&4&0&1\\end{pmatrix}](../../../upload.wikimedia.org/math/d/1/c/d1c80f1f80382b17673436f8e66eff0d.png)

We call _H_ the parity check matrix as _H_ can tell us whether a code has been contamniated with.

To see that each codeword ![Hx^T = 0](../../../upload.wikimedia.org/math/f/7/3/f7334030fa8017b7a3927f99fc756966.png), all we need to do if multiply _H_ by each row of _G_ (transposed) since the rows of _G_ span _C_ (exercise).

#### Exercises[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-11)]

1\. Let _H_ be the parity check matrix of a code _C_, i.e. _H_**x**T = **0** for all codewords **x** of _C_. Think of _H_ as a linear transformation. Prove that _C_ = im_H_ and ker_H_ are vectors subspaces.

2\. If _G_ (the generator matrix) is in standard form, prove that _H_ as constructed above is spanned by all the vectors orthogonal to the row span of _G_.

## Why Hamming code works[[edit](http://en.wikibooks.org/w/index.php?title=Data_Coding_Theory/Hamming_Codes&action=edit&section=T-12)]

The binary Hamming code is a [7,4,3] code. Since the minimum distance is 3, so it can correct 1 error. The Hamming code is special as it tells the receiver where the error is. To construct a Hamming code, it is easier to construct the parity check matrix first

    ![H =
\\begin{pmatrix}
0&0&0&1&1&1&1\\\\
0&1&1&0&0&1&1\\\\
1&0&1&0&1&0&1\\\\
\\end{pmatrix}](../../../upload.wikimedia.org/math/0/8/a/08a604735e3adfb6bac50c5f7ecd391c.png)

We will not discuss how to find _G_, it is left as an exercise. Notice the _columns_ of _H_ are just the binary representation of the number 1,2,.., and 7 in increasing order. This is how Hamming code can tell us where the error is.

Let **x** be a codeword of the Hamming Code, and suppose **x** \+ **ej** is received, where **ej** is the vector where only the _j_th position is 1. In other words, one error is made in the _j_th position.

Now notice that

    ![H\(\\underline x + \\underline e_j\)^T = H\\underline x^T + H\\underline e_j^T = \\underline 0 + H\\underline e_j^T = H\\underline e_j^T](../../../upload.wikimedia.org/math/4/3/c/43ca6138354faa941b1b3c562e6cb112.png)

but ![H\\underline e_j^T](../../../upload.wikimedia.org/math/a/d/5/ad514da14b82dadc144df109d0cd88be.png) is just the _j_ column of _H_ which is the binary representation of _j_.

# Appendices[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=12)]

**[Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)**

The 802 portion of the IEEE is responsible for publishing standards on a number of different protocols. Any chapter with a note such as (IEEE 802.3) is referring to the group below that has published the currently accepted standard for that topic.

Working Group
Task
Status

802.1
Higher Layer LAN Protocols Working Group
Active

802.2
Logical Link Control Working Group
Inactive

802.3
Ethernet Working Group
Active

802.4
Token Bus Working Group
Disbanded

802.5
Token Ring Working Group
Inactive

802.6
Metropolitan Area Network Working Group
Disbanded

802.7
Broadband TAG
Disbanded

802.8
Fiber Optic TAG
Disbanded

802.9
Isochronous LAN Working Group
Disbanded

802.10
Security Working Group
Disbanded

802.11
Wireless LAN Working Group
Active

802.12
Demand Priority Working Group
Inactive

802.14
Cable Modem Working Group
Disbanded

802.15
Wireless Personal Area Network (WPAN) Working Group
Active

802.16
Broadband Wireless Access Working Group
Active

802.17
Resilient Packet Ring Working Group
Active

802.18
Radio Regulatory TAG
Active

802.19
Coexistence TAG
Active

802.20
Mobile Broadband Wireless Access (MBWA) Working Group
Active

802.21
Media Independent Handoff Working Group
Active

802.22
Wireless Regional Area Networks
Active

# Further reading[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=13)]

## Wikibooks[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=14)]

  * [Communication Theory](http://en.wikibooks.org/wiki/Communication_Theory)
  * [Voice over IP](http://en.wikibooks.org/wiki/Voice_over_IP)
  * [Internet Technologies](http://en.wikibooks.org/wiki/Internet_Technologies)
  * [Networking:Ports and Protocols](http://en.wikibooks.org/w/index.php?title=Networking:Ports_and_Protocols&action=edit&redlink=1)
  * [Internet Engineering](http://en.wikibooks.org/wiki/Internet_Engineering)
  * [Serial Communications Bookshelf](http://en.wikibooks.org/wiki/Wikibooks:Information_technology_bookshelf#Serial_Communications)
  * [Analog and Digital Conversion](http://en.wikibooks.org/wiki/Analog_and_Digital_Conversion)
  * [Wireless Mesh Networks](http://en.wikibooks.org/wiki/Wireless_Mesh_Networks)

## Wikipedia Articles[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=15)]

  * [Wikipedia:History Of Internet](http://en.wikipedia.org/wiki/History_Of_Internet)

## Books[[edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit&section=16)]

  * Garcia and Widjaja, "Communication Networks: Fundamental Concepts and Key Architectures", Second Edition, McGraw Hill, 2004. [ISBN 007246352X](http://en.wikibooks.org/wiki/Special:BookSources/007246352X)
  * Stern and Mahmoud, "Communication Systems: Analysis and Design", Prentice Hall, 2004. [ISBN 0130402680](http://en.wikibooks.org/wiki/Special:BookSources/0130402680)
  * Silage, Dennis, "Digital Communication Systems Using SystemVue", DaVinci Engineering Press, 2006. [ISBN 1584508507](http://en.wikibooks.org/wiki/Special:BookSources/1584508507)
  * Haykin and Moher, "Modern Wireless Communications", Prentice Hall, 2005. [ISBN 0130224723](http://en.wikibooks.org/wiki/Special:BookSources/0130224723)
  * Gibson, Jerry D. "Principles of Digital and Analog Communications, Second Edition", Macmillan Publishing Company, 1989. [ISBN 0023418605](http://en.wikibooks.org/wiki/Special:BookSources/0023418605)
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&oldid=2604079](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&oldid=2604079)" 

[Categories](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Communication Systems](http://en.wikibooks.org/wiki/Category:Communication_Systems)
  * [Section stubs](http://en.wikibooks.org/wiki/Category:Section_stubs)
  * [Communication Systems/Stubs](http://en.wikibooks.org/wiki/Category:Communication_Systems/Stubs)
  * [Communication Networks](http://en.wikibooks.org/wiki/Category:Communication_Networks)
  * [Data Coding Theory](http://en.wikibooks.org/wiki/Category:Data_Coding_Theory)

Hidden categories: 

  * [Pages needing attention](http://en.wikibooks.org/wiki/Category:Pages_needing_attention)
  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Communication+Systems%2FPrint+Version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Communication+Systems%2FPrint+Version)

### Namespaces

  * [Book](Print_Version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Systems/Print_Version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Communication_Systems/Print_Version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Communication_Systems/Print_Version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&oldid=2604079)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Communication_Systems%2FPrint_Version&id=2604079)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Communication+Systems%2FPrint+Version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Communication+Systems%2FPrint+Version&oldid=2604079&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Communication_Systems/Print_Version&printable=yes)

    * This page was last modified on 26 January 2014, at 13:39.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Communication_Systems/Print_Version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
