# Communication Theory/Print version

From Wikibooks, open books for an open world

< [Communication Theory](http://en.wikibooks.org/wiki/Communication_Theory)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Communication_Theory/Print_version) on _22 March 2013_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&oldid=2504397&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Communication Theory](http://en.wikibooks.org/wiki/Communication_Theory)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&action=purge&printable=yes) this page.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

# Contents

If you have saved this file to your computer, click on a link in the contents to go to that section.

  * [What is Communication?](Print_version.html#What_is_Communication.3F)

Perspectives on Theory

  * [Introduction](Print_version.html#Introduction): An overview of theory in communication study

Theorists and Approaches to Communication

  * [Uncertainty Reduction](Print_version.html#Uncertainty_Reduction): Charles Berger, Richard Calabrese
  * [Propaganda and the Public](Print_version.html#Propaganda_and_the_Public): Walter Lippmann, Harold D. Lasswell, Edward Bernays, and Jacques Ellul
  * [Uses and Gratifications](Print_version.html#Uses_and_Gratifications): Hetzog, Katz, and friends
  * [The Frankfurt School](Print_version.html#The_Frankfurt_School): Max Horkheimer and Theodor Adorno
  * [Semiotics and Myth](Print_version.html#Semiotics_and_Myth): Roland Barthes
  * [Orality and Literacy](Print_version.html#Orality_and_Literacy): Walter Ong
  * [Diffusion of Innovations](Print_version.html#Diffusion_of_Innovations): Gabriel Tarde, Everett Rogers
  * [Sociological Systems](Print_version.html#Sociological_Systems): Niklas Luhmann
  * [Network Society](Print_version.html#Network_Society): Manuel Castells

License

  * [GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)

# What is Communication?

![Featured book en.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Featured_book_en.svg/50px-Featured_book_en.svg.png)

_Communication Theory_ is a [featured book](http://en.wikibooks.org/wiki/Wikibooks:Featured_books) on Wikibooks because it contains substantial content, it is well-formatted, and the Wikibooks community has decided to feature it on the [main page](http://en.wikibooks.org/wiki/Main_Page) or in other places. Please continue to improve it and thanks for the great work so far! A {{[Goodbook](http://en.wikibooks.org/wiki/Template:Goodbook)}} template should be created to [advertise it](http://en.wikibooks.org/w/index.php?title=Template:Goodbook/Communication_Theory/Print_version&action=edit&preload=Template:Goodbook/Blank&editintro=Template:Goodbook/Editintro).

This book is an introduction to communication theory — the theory of how humans share, encode, and decode what they know, what they need, and what they expect from each other.

  


# Introduction

'_**Communication** is deeply rooted in human behaviors and societies. It is difficult to think of social or behavioral events from which communication is absent. Indeed, communication applies to shared behaviors and properties of any collection of things, whether they are human or not._

We may turn to [etymology](http://en.wikipedia.org/wiki/en:etymology) for clues: "communication" (from the Latin "communicare") literally means "to put in common", "to share". The term originally meant sharing of tangible things; food, land, goods, and property. Today, it is often applied to [knowledge](http://en.wikipedia.org/wiki/en:knowledge) and [information](http://en.wikipedia.org/wiki/en:information) processed by living things or computers.

We might say that communication consists of transmitting information. In fact, many scholars of communication take this as a working definition, and use [Lasswell's](http://en.wikipedia.org/wiki/en:Harold_Lasswell) maxim ("who says what to whom") as a means of circumscribing the field of communication. Others stress the importance of clearly characterizing the historical, economic and social context. The field of [communication theory](http://en.wikipedia.org/wiki/en:communication_theory) can benefit from a conceptualization of communication that is widely shared.

[Communication Theory](http://en.wikipedia.org/wiki/en:communication_theory) attempts to document types of communication, and to optimize communications for the benefit of all.

Indeed, a theory is some form of explanation of a class of observed phenomena. [Karl Popper](http://en.wikipedia.org/wiki/en:Karl_Popper) colorfully described theory as "the net which we throw out in order to catch the world--to rationalize, explain, and dominate it." The idea of a theory lies at the heart of any scholarly process, and while those in the social sciences tend to adopt the tests of a good theory from the [natural sciences](http://en.wikipedia.org/wiki/en:natural_science), many who study communication adhere to an idea of communication theory that is akin to that found in other [academic fields](http://en.wikipedia.org/wiki/en:academic_fields).

This book approaches communication theory from a biographical perspective, in an attempt to show theory development within a social context. Many of these theorists would not actually consider themselves "communication" researchers. The field of communication study is remarkably inclusionary, and integrates theoretical perspectives originally developed in a range of other disciplines.

## Theories and Models

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Communication_sender-message-reciever.png/250px-Communication_sender-message-reciever.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A simple communication model with a [sender](http://en.wikipedia.org/wiki/en:sender) which transfers a [message](http://en.wikipedia.org/wiki/en:message) containing [information](http://en.wikipedia.org/wiki/en:information) to a [receiver](http://en.wikipedia.org/wiki/en:receiver).

Many suggest that there is no such thing as a successful body of communication theory, but that we have been relatively more successful in generating models of communication. A [model](http://en.wikipedia.org/wiki/en:model_\(abstract\)), according to a seminal 1952 article by [Karl Deutsch](http://en.wikipedia.org/wiki/en:Karl_Deutsch) ("On Communication Models in the Social Sciences"), is "a structure of symbols and operating rules which is supposed to match a set of relevant points in an existing structure or process." In other words, it is a simplified representation or template of a process that can be used to help understand the nature of communication in a social setting. Such models are necessarily not one-to-one maps of the real world, but they are successful only insofar as they accurately represent the most important elements of the real world, and the dynamics of their relationship to one another.

Deutsch suggests that a model should provide four functions. It should organize a complex system (while being as general as possible), and should provide an heuristic function. Both these functions are similar to those listed above for theories. He goes on to suggest that models should be as original as possible, that they should not be obvious enough that they fail to shed light on the existing system. They should also provide some form of measurement of the system that will work analogously within the model and within the actual system being observed.

Models are tools of inquiry in a way that theories may not be. By representing the system being observed, they provide a way of working through the problems of a "real world" system in a more abstract way. As such, they lend themselves to the eventual construction of theory, though it may be that theory of the sort found in the natural sciences is something that cannot be achieved in the social sciences. Unfortunately, while models provide the "what" and the "how," they are not as suited to explaining "why," and therefore are rarely as satisfying as strong theory

# Uncertainty Reduction

## Advances in Interpersonal Communication: Charles Berger, Richard Calabrese and Key Uncertainty Theorists

Since the mid-twentieth century, the concept of information has been a strong foundation for communication research and the development of communication theory. Information exchange is a basic human function in which individuals request, provide, and exchange information with the goal of reducing uncertainty. Uncertainty Reduction theory (URT), accredited to Charles R. Berger and Richard J. Calabrese (1975), recognized that reducing uncertainty was a central motive of communication. Through the development of URT, these scholars pioneered the field of interpersonal communication by examining this significant relationship in uncertainty research.

Heath and Bryant (2000) state: “One of the motivations underpinning interpersonal communication is the acquisition of information with which to reduce uncertainty” (p. 153). The study of information is basic to all fields of communication, but its relation to the study of uncertainty in particular advanced theoretical research in the field of interpersonal communication. URT places the role of communication into the central focus which was a key step in the development of the field of interpersonal communication. Berger and Calabrese (1975) note: “When communication researchers have conducted empirical research on the interpersonal communication process, they have tended to employ social psychological theories as starting points” (p. 99). The research underlying the theory and efforts made by other contemporaries marked the emergence of interpersonal communication research; with the development of URT, communication researchers began to look to communication for theories of greater understanding rather than theoretical approaches founded in other social sciences.

## The History of Interpersonal Communication Research: A Brief Overview

Traditionally, communication has been viewed as an interdisciplinary field. Interpersonal communication is most often linked to studies into language, social cognition, and social psychology. Prior to the 1960s, only a modest amount of research was completed under the label of interpersonal communication. Heath and Bryant (2000) marked this time as the origin of the field of interpersonal communication: “Particularly since 1960, scholars adopted communication as the central term because they wanted to study it as a significant and unique aspect of human behavior” (p. 59).

The 1960s produced research that impacted the development of an interpersonal field. Research in psychiatry examined personality and the influence of relationships, finding that psychiatric problems were not only a result of self problems, but a result of relational problems as well. Research trends in humanistic psychology and existentialism inspired the idea that relationships could be improved through effective communication (Heath & Bryant, 2000).

Research conducted under the title of interpersonal communication initially focused on persuasion, social influence, and small group processes. Theories explored the role of learning, dissonance, balance, social judgment, and reactance (Berger, 2005). Kurt Lewin, a forefather of social psychology, played a considerable role in influencing interpersonal research pioneers such as Festinger, Heider, Kelley, and Hovland.

By the 1970s, research interests began to shift into the realm of social interaction, relational development, and relational control. This was influenced by the research of such scholars as Knapp, Mehrabian, Altman, Taylor, Duck, Kelley, and Thibaut. During the later part of the decade and into the 1980s, the cognitive approaches of Hewes, Planalp, Roloff, and Berger became popular along with research into behavioral and communicative adaptation by Giles, Burgoon, and Patterson. Berger (2005) states: “these early theoretical forays helped shape the interpersonal comm research agenda during the past two decades” (p. 416).

Today, interpersonal communication tends to focus on dyadic communication, communication involving face-to-face interaction, or communication as a function of developing relationships. Research into interpersonal communication theory typically focuses on the development, maintenance, and dissolution of relationships. It has been recognized that interpersonal communication is motivated by uncertainty reduction (Berger & Calabrese, 1975). Since its introduction in the 1970s, uncertainty has been recognized as a major field of study that has contributed to the development of the field of communication as a whole. This chapter strives to focus on those theorists who pioneered the research of uncertainty reduction in communication. Their work is crucial to the development of the field of interpersonal communication, and is central in our understanding of interpersonal processes.

## Defining Uncertainty

Since uncertainty has been identified as an important construct, necessary to the study of communication, it would be beneficial to know when the concept originated, and how it has been defined and studied. One way to consider uncertainty is through the theoretical framework of information theory. Shannon and Weaver (1949) proposed that uncertainty existed in a given situation when there was a high amount of possible alternatives and the probability of their event was relatively equal. Shannon and Weaver related this view of uncertainty to the transmission of messages, but their work also contributed to the development of URT.

Berger and Calabrese (1975) adopted concepts from the information theorists as well as Heider's (1958) research in attribution. Berger and Calabrese (1975) expanded the concept of uncertainty to fit interpersonal communication by defining uncertainty as the “number of alternative ways in which each interactant might behave” (p. 100). The greater the level of uncertainty that exists in a situation, the smaller the chance individuals will be able to predict behaviors and occurrences.

During interactions individuals are not only faced with problems of predicting present and past behaviors, but also explaining why partners behave or believe in the way that they do. Berger and Bradac’s (1982) definition of uncertainty highlighted the complexity of this process when they stated: “Uncertainty, then, can stem from the large number of alternative things that a stranger can believe or potentially say”

Uncertainty plays a significant role when examining relationships. High levels of uncertainty can severely inhibit relational development. Uncertainty can cause stress and anxiety which can lead to low levels of communicator competence (West & Turner, 2000). Incompetent communicators may not be able to develop relationships or may be too anxious to engage in initial interactions. West and Turner (2000) note that lower levels of uncertainty caused increased verbal and nonverbal behavior, increased levels of intimacy, and increased liking. In interactions individuals are expected to increase predictability with the goal that this will lead to the ability to predict and explain what will occur in future interactions. When high uncertainty exists it is often difficult to reach this goal.

Although individuals seek to reduce uncertainty, high levels of certainty and predictability can also inhibit a relationship. Heath and Bryant (2000) state: “Too much certainty and predictability can deaden a relationship; too much uncertainty raises its costs to an unacceptable level. Relationship building is a dialectic of stability and change, certainty and uncertainty” (p. 271). Therefore uncertainty is a concept that plays a significant role in interpersonal communication. The following theorists explore how communication can be a vehicle individuals utilize to reduce uncertainly.

## Early Influences

The following theorists significantly contributed to the examination of uncertainty in communication. The influence of their work can be seen reflected in the assumptions of Berger and Calabrese (1975).

### Leon Festinger (1919-1989)

Leon Festinger studied psychology at the University of Iowa under the direction of Kurt Lewin. Lewin, one of the founders of social psychology and a pioneer in the research of group dynamics, had a substantial influence on the development of interpersonal communication. After graduation, [Festinger](http://en.wikibooks.org/w/index.php?title=Festinger&action=edit&redlink=1) initially worked at the University of Rochester, but in 1945 he followed Lewin to Massachusetts Institute of Technology and the Research Center for Group Dynamics. After Lewin's death, Festinger worked at the University of Michigan, Stanford University, and the New School for Social Research (Samelson, 2000).

Much of Festinger’s research followed his mentor Lewin and further developed Lewin’s theories. Several of Festinger's theories were highly influential on the emerging field of interpersonal communication and on the development of URT. Festinger is best known for the theories of Cognitive Dissonance and Social Comparison. Cognitive Dissonance theory (CDT) attempted to explain how an imbalance among cognitions might affect an individual. Lewin foreshadowed CDT in his observations regarding attitude change in small groups (Festinger, 1982). CDT allows for three relationships to occur among cognitions: a consonant relationship, in which cognitions are in equilibrium with each other; a dissonant relationship, in which cognitions are in competition with each other; and an irrelevant relationship, in which the cognitions in question have no effect on one another (West & Turner, 2000). Cognitive Dissonance, like uncertainty, has an element of arousal and discomfort that individuals seek to reduce.

Social Comparison theory postulates that individuals look to feedback from others to evaluate their performance and abilities. To evaluate the self, the individual usually seeks the opinions of others who are similar to the self. This need for social comparison can result in conformity pressures (Trenholm & Jensen, 2004). Berger and Calabrese (1975) related social comparison to URT by stating that “Festinger has suggested that persons seek out similar others who are proximate when they experience a high level of uncertainty regarding the appropriateness of their behavior and/or opinions in a particular situation” (p. 107).

Festinger received the Distinguished Scientist award of the American Psychological Association and the Distinguished Senior Scientist Award from the Society of Experimental Social Psychology. Festinger’s legacy is significant, and his theoretical influence can still be recognized in contemporary social science research. Aronson (in Festinger, 1980) stated, “It was in this era that Leon Festinger invented and developed his theory of cognitive dissonance, and in my opinion, social psychology has not been the same since” (p. 3).

### Fritz Heider (1896-1988)

Fritz Heider earned his doctorate in philosophy from the University of Graz. During his time in Europe, Heider worked with many renowned psychologists such as Wolfgang Köhler, Max Wertheimer, and Kurt Lewin. Heider, like Festinger, recognized Lewin as a substantial impact on his life: “I want to pay tribute to [Lewin's] stimulating influence, which has affected much of my thinking and which is still strong even in this book, although it does not derive directly from his work” (Heider, 1958, p. vii). In 1929, Heider moved to the United States to work at Smith College and later the University of Kansas where he worked for the remainder of his life (Ash, 2000).

Heider’s 1958 publication, _The Psychology of Interpersonal Relations_, signified a major breakthrough in the study of interpersonal communication (Heath & Bryant, 2000). At this point, social psychologists like Heider expanded their research to focus on interpersonal relations as an important field of study. Though many social psychologists focused on behavior in interpersonal relations, their research served as a gateway for research examining communication in interpersonal relationships. Heider’s text provided one of the first forums for discussing relational phenomena.

Heider’s work reflected Lewin’s cognitive approach to behavior. Heider (1958) focused on theories in cognitive consistency, emphasizing that individuals prefer when their cognitions are in agreement with each other. Heider examined how individuals perceive and evaluate the actions and behaviors of others, a focus reexamined in Berger and Calabrese’s development of URT. Heider stated: “persons actively seek to predict and explain the actions of others” (Berger & Bradac, 1982, p. 29). Heider’s theory of “naïve psychology” suggested that individuals act as observers and analyzers of human behavior in everyday life. Individuals gather information that helps them to predict and explain human behavior. “The naïve factor analysis of action permits man to give meaning to action, to influence the actions of others as well as of himself, and to predict future actions” (Heider, 1958, p. 123).

When examining motivations in interpersonal relations, Heider (1958) found that affective significance is greatly determined by causal attribution. Heider states: “Thus, our reactions will be different according to whether we think a person failed primarily because he lacked adequate ability or primarily because he did not want to carry out the actions” (1958, p. 123). The condition of motivation becomes the focus and is relied on for making judgments and also interpreting the action.

Heider was awarded a Guggenheim Fellowship, a Distinguished Scientific Contribution Award from the American Psychological Association, and was a fellow of the American Academy of Arts and Sciences. His influence continues to grow after his death in 1988.

### Claude E. Shannon (1916-2001) and Warren Weaver (1894-1978)

Claude E. Shannon received his B.S. from the University of Michigan, Ann Arbor and his Ph.D. from Massachusetts Institute of Technology (MIT). Shannon worked for the National Research Council, the National Defense Research Committee, and Bell Telephone Laboratories, where he developed the mathematical theory of communication, now known as information theory, with Warren Weaver. Shannon went on to teach at MIT until his death in 2001. During his lifetime Shannon was awarded the Leibmann Prize, Ballantine Medal, Who's Who Life Achievement Prize, and the Kyoto Prize (“Claude Elwood Shannon”, 2002).

Warren Weaver received his B.S. and Ph.D. from the University of Wisconsin. Weaver worked as faculty at Throop College, California Institute of Technology, University of Wisconsin, and served in World War One. Weaver was also an active member of the Rockefeller Foundation, Sloan-Kettering Institute for Cancer Research, Alfred P. Sloan Foundation, and Salk Institute for Biological Studies, serving in many leadership roles. He was awarded UNESCO's Kalinga Prize before his death in 1978 (Reingold, 2000).

Shannon and Weaver significantly contributed to the systematic approach to the study of communication. Both theorists were engineers who sought to explain information exchange through cybernetic processes. They were the first to effectively model information, as they sought to explain how to attain precise and efficient signal transmissions in the realm of telecommunications. In their theory of information, Shannon and Weaver (1949) showed that the need to reduce uncertainty motivates individual’s communication behavior. This concept was later extended by Berger and Calabrese (1975) in the development of URT.

Information theory provided the connections from information to uncertainty and uncertainty to communication that facilitated the development of URT. “Shannon & Weaver’s (1949) approach stressed the conclusion that information is the number of messages needed to totally reduce uncertainty” (Heath & Bryant, 2000, p. 145). Individuals have a desire to reduce uncertainty and they are able to fulfill this need by increasing information. Individuals increase information through communication (Shannon & Weaver, 1949). These concepts are further explored in the examination of information-seeking strategies in URT.

## Uncertainty in the Modern Era

### Charles R. Berger: Biography

Charles R. Berger received his B.S. from Pennsylvania State University and his M.A. and Ph.D. from Michigan State University. After graduation, Berger worked at Illinois State University at Normal, Northwestern University, and the University of California at Davis, where he continues to work today as the chair of the Department of Communication. Berger has been involved with the International Communication Association since the 1970s, is an active member of the National Communication Association, and belongs to such professional groups as the American Psychological Society, the Society for Experimental Social Psychology, the Society for Personality and Social Psychology, and the Iowa Network for Personal Relationships (“Charles R. Berger”, 2001).

Berger has published on a variety of topics in interpersonal communication including: uncertainty reduction, strategic interaction, information-seeking, attribution, interpersonal attraction, social cognition, and apprehension. In the past thirty-five years, Berger has published approximately forty articles appearing in the _Communication Education, Communication Monographs, Communication Research, Communication Theory, Communication Quarterly, Communication Yearbook, Educational and Psychological Measurement, Human Communication Research, Journal of Communication, Journal of Consulting and Clinical Psychology Journal of Social Issues, Journal of Personality, Personal Relationship Issues, Speech Monographs, Western Journal of Communication,_ and the _Western Journal of Speech Communication_. Berger has coauthored five books and contributed to over thirty other texts. In 1982, Berger received the Golden Anniversary Book Award, presented by the Speech Communication Association, for his text: _Language and Social Knowledge_.

### Richard J. Calabrese: Biography

Richard J. Calabrese received his B.A. from Loyola University, two M.A. degrees from Bradley University, and his Ph.D. from Northwestern University. Calabrese has taught at Bradley University, the University of Illinois at Urban, and Bowling Green University. Calabrese became a professor in communication at Dominican University in River Forest, Illinois, in 1967, where he continues to work today. Currently, Calabrese is the director of the Master of Science in Organization Management Program at Dominican University and also a consultant for organizational communication (“Richard Joseph Calabrese”, 2001).

Calabrese is a member of the International Association of Business Communicators, the Speech Communication Association, and is involved with the National Communication Association. Calabrese is the coauthor of _Communication and Education Skills for Dietetics Professionals_.

### A Theory of Uncertainty Reduction: “Some explorations in initial interaction and beyond: Toward a developmental theory of interpersonal communication” (1975).

In 1971, Berger became an assistant professor of communication at Northwestern University. During this time, Calabrese studied under Berger, receiving his Ph.D. in 1973. In 1975, Berger and Calabrese published “Some explorations in initial interaction and beyond: Toward a developmental theory of interpersonal communication,” which serves as the foundation of URT. This article inspired a wave of new research examining the role of uncertainty in communication. Berger and Calabrese (1975) formed URT, also known as initial interaction theory, to explain the role of communication in reducing uncertainty in initial interactions and the development of interpersonal relationships.

The theory was developed, like other interpersonal theories before it (Heider, 1958), with the goal of allowing the communicator the ability to predict and explain initial interactions. Though Berger and Calabrese did not explore the realm of subsequent interaction, they did strongly recommend that future research should investigate the application of the framework of URT to developed relationships. Especially in initial encounters, there exists a high degree of uncertainty given that a number of possible alternatives exist in the situation (Shannon & Weaver, 1949). But individuals can use communication to reduce this uncertainty. Berger and Calabrese (1975) maintained that “communication behavior is one vehicle through which such predictions and explanations are themselves formulated” (p.101). Individuals have the ability to decrease uncertainty by establishing predictable patterns of interaction. Because of this, reducing uncertainty can help foster the development of relationships.

Berger and Calabrese (1975) found that uncertainty was related to seven other communication and relational-focused concepts: verbal output, nonverbal warmth, information seeking, self-disclosure, reciprocity, similarity, and liking. From those concepts, the researchers introduced a collection of axioms, or propositions, supported by past uncertainty research. Each axiom states a relationship between a communication concept and uncertainty. From this basis of axioms, the theorists were able to use deductive logic to infer twenty-one theorems that comprise the theory of uncertainty reduction (West & Turner, 2000). The procedure used to develop the axioms and theorems was adopted from Blalock (1969). A complete list of the axioms and theorems of URT is available in Appendix A.

Central to URT is the supposition that in initial interactions, an individual’s primary concern is to decrease uncertainty and increase predictability regarding the behaviors of the self and the communicative partner. This idea is based on Heider's (1958) notion that individuals seek to make sense out of the events he perceives (Berger & Calabrese, 1975). Individuals must be able to engage in proactive and retroactive strategies to learn how to predict what will happen and also explain what has already happened.

Heath and Bryant (2000) stated: “Uncertainty-reduction theory is a powerful explanation for communication because it operates in all contexts to help explain why people communicate as they do” (p. 271). The impact of Berger and Calabrese (1975) on the field of interpersonal communication was and continues to be prolific. In the past thirty years, this article has generated a plethora of research, changing the way that relationships are explored and analyzed.

### Expansions on Uncertainty Reduction

Although URT was primarily formed to explain behavior in initial interactions, its application has since been expanded to incorporate all levels of interpersonal relationships. “Uncertainties are ongoing in relationships, and thus the process of uncertainty reduction is relevant in developed relationships as well as in initial interactions” (West & Turner, 2000, p. 141). The following section will examine uncertainty reduction research since its introduction in 1975.

#### A. Charles Berger

Since its conception, Berger has produced a plethora of research expanding URT to better fit the dynamic nature of interpersonal relations. Berger (1979) established that three predeceasing conditions must exist for an individual to reduce uncertainty. These motivations to reduce uncertainty include: a potential for costs or rewards, deviations from expected behavior, and the possibility of future interaction.

In 1982, Berger teamed up with James J. Bradac, formerly of University of California at Santa Barbara (1980-2004), to publish a book devoted to uncertainty reduction research. Their text, titled _Language and Social Knowledge: Uncertainty in Interpersonal Relations_, was also edited by Howard Giles, originator of Communication Accommodation Theory and also faculty of UCSB. In this text, the authors focused on the function of communication, and specifically language, as a proponent for reducing uncertainty.

Berger and Bradac (1982) proposed six axioms that built on URT’s original seven axioms to extend the relationship between uncertainty reduction and language. Through the use of these axioms the authors specifically examined the role of language as an uncertainty reducing agent. The authors further arranged uncertainty into two categories: cognitive uncertainty and behavioural uncertainty (Berger & Bradac, 1982). Cognitive uncertainty refers to uncertainty associated with beliefs and attitudes. Behavioural uncertainty refers to uncertainty regarding the possible behaviors in a situation. This categorization helped researchers identify the origins of uncertainty, which resulted in an increased ability to address the discomfort produced by uncertainty.

Berger and Bradac were cognitive that URT would be more useful if its influence was extended to include developed relationships as well as initial interaction. Berger and Bradac (1982) alleviated this by stating that uncertainty reduction was critical to relational development, maintenance, and dissolution as well. Berger again related his research to Heider (1958) by stating that individuals make casual attributions regarding communicative behavior. As relationships further develop, individuals make retroactive and proactive attributions regarding a partner’s communication and behavior (Berger & Bradac, 1982).

Berger (1987) highlighted the role of costs and rewards in relationships by stating that “uncertainty reduction is a necessary condition for the definition of the currency of social exchange, and it is through communicative activity that uncertainty is reduced” (Berger, 1987, p. 57). Berger (1987) also expanded URT by claiming that three types of information-seeking strategies are used to reduce uncertainty: passive, active, or interactive strategies. This is related to the concepts of information theory (Shannon & Weaver, 1949), emphasizing that increased information results in decreased uncertainty.

#### B. Developments from Other Researchers

The latter improvements made by Berger expanded the scope and value of URT. Other researchers also made contributions to further developments of URT. Since its introduction in 1975, URT has been expanded from a theory of relational development to one also important in established relationships. The following sections examine the contributions made by current interpersonal researchers to URT.

William Douglas
    William Douglas was a student at Northwestern University while Berger was on faculty. The two scholars collaborated in their study of uncertainty in 1982, and Douglas continued in the same vein of research after graduation. Douglas’ research has appeared in major communication journals including: _Communication Monographs, Communication Research, Human Communication Research, Journal of Broadcasting and Electronic Media_, and the _Journal of Personal and Social Relationships_. Douglas’ research in uncertainty accounts for individual differences when examining initial interactions. Much of his research expanded previous work in initial interaction, examined global uncertainty, self-monitoring, and the relationship of verbal communication to uncertainty reduction.
    Douglas (1987) examined one of the motivations to reduce uncertainty originally posited in Berger (1979): the anticipation of future interaction. In this study, question-asking in situations of varying levels of anticipated future interaction was analyzed. Douglas found that high levels of mutual question-asking occurred when the level of anticipated future interaction was moderate. This finding suggested that individuals seem to avoid negative consequences (Douglas, 1987). Douglas (1990) expanded this verbal communication to uncertainty relationship by discovering that question-asking resulted in uncertainty reduction which in turn resulted in increased levels of disclosure.
    Douglas (1991) defines global uncertainty as “uncertainty about acquaintanceship in general” (p. 356). In this article, Douglas found that individuals with high global uncertainty are less likely to engage in question-asking, self-disclosure, and are evaluated as less competent communicators than individuals with low global uncertainty. Findings also suggested that high global uncertainty positively correlates to communication apprehension. This has a negative effect on relational development and can result in low levels of relational satisfaction.

Uncertainty-Increasing Events 
    Sally Planalp and James Honeycutt (1985) also made substantial contributions to uncertainty reduction research. Planalp and Honeycutt recognized that communication does not always function as an uncertainty reducing agent, but can also serve to increase uncertainty when information conflicts with past knowledge. The authors researched what specific events lead to increased uncertainty in interpersonal relationships and their effects on both the individual and the relationship. The results found that uncertainty-increasing events were very likely to result in relational dissolution or decreased closeness of the relational partners. This research was very beneficial because it led to better explanations regarding the role of communication in uncertainty reduction.

Romantic Relationships 
    Malcolm Parks and Mara Adelman (1983) sought to expand the breadth of URT to apply to romantic relationships. Data was collected from individuals in premarital romantic relationships through questionnaires and telephone interviews. Individuals who communicated more often with their romantic partner and their partner’s network (family and friends) perceived greater similarity to their partner. They also received greater support from their own network (family and friends), and experienced a lower degree of uncertainty (Parks & Adelman, 1983). These findings support URT’s axioms that greater verbal communication and similarity serve to decrease uncertainty (Berger & Calabrese, 1975), and also extends the scope of URT to romantic relationships.

Relational Maintenance 
    In recent years, studies have begun to link uncertainty reduction to relational maintenance processes. Dainton and Aylor (2001) connected relational uncertainty positively to jealousy and negatively to relational maintenance behaviors. These results suggested that individuals are less likely to engage in relational maintenance when high uncertainty exists in the relationship.

Cultural Studies 
    Research conducted by William Gudykunst and Tsukasa Nishida (1984) expanded URT’s scope to intercultural contexts. Specifically the researchers examined the effects of attitude similarity, cultural similarity, culture, and self-monitoring on attraction, intent to interrogate, intent to self-disclose, attributional confidence, and intent to display nonverbal affiliative behaviors (Gudykunst & Nishida, 1984). Research conducted on individuals of the Japanese and American cultures found a positive correlation between each of the variables indicating that uncertainty varies across cultures.

#### C. Criticisms of URT

Berger (1987) recognized that URT “contains some propositions of dubious validity” (p. 40). Like many other successful theoretical approaches, Berger and Calabrese’s (1975) theory of uncertainty reduction has inspired subsequent research that served both as supporting evidence and in an oppositional role to the theory. These criticisms help to clarify the underlying principles of the theory and suggest ways for improvement for future research.

Michael Sunnafrank (1986) argued that a motivation to reduce uncertainty is not a primary concern in initial interactions. His belief was that a “maximization of relational outcomes” (p. 9) was of more significant concern in initial encounters. Sunnafrank argued that the predicted outcome value (POV) of the interaction had a greater effect on uncertainty. Berger (1986) combated Sunnafrank’s arguments by acknowledging that outcomes cannot be predicted if there is no previous history of interaction regarding the behavior of the individuals. Berger claims that Sunnafrank’s arguments simply expanded URT: that by predicting outcomes (using POV) individuals are actually reducing their uncertainty (Berger, 1986).

Kathy Kellermann and Rodney Reynolds (1990) also tested the validity of URT. Their primary concern was axiom three, which related high uncertainty to high information seeking (see appendix A). Their study of over a thousand students found that a want for knowledge was a greater indicator than a lack of knowledge for promotion of information-seeking (Kellermann & Reynolds, 1990). These researchers emphasized that high uncertainty does not create enough motivation to result in information-seeking; rather a want for information must also exist.

Canary and Dainton (2003) explored uncertainty reduction in terms of relational maintenance across cultural contexts and found that the applicability of URT may not hold to multiple cultures. Canary and Dainton (2003) focused on the concept of uncertainty avoidance in cultures stating: “individuals from cultures with a high tolerance for uncertainty are unlikely to find the experience of uncertainty as a primary motivator for performing relational maintenance” (p. 314). This leads to a general questioning of validity of URT other cultures.

## Legacy and Influence

Research has found that communication plays a critical role in initial interactions and relational development. Berger and Calabrese (1975) were the first to investigate the role of communication in initial interactions with the development of a theory of uncertainty reduction. Its widespread influence led to its adoption in other relational and communicative contexts such as small group, mass communication, and computer-mediated communication.

The influence of URT is well noted by others in the field: “Postulates by Berger and Calabrese prompted more than two decades of research to prove, clarify, and critique uncertainty reduction’s explanation of how people communicate interpersonally” (Heath & Bryant, 2000, p. 275). Berger and Calabrese (1975) generated additional studies on uncertainty reduction accomplished by such scholars as Hewes, Planalp, Parks, Adelman, Gudykunst, Yang, Nishida, Douglas, Kellerman, Hammer, Rutherford, Honeycutt, Sunnafrank, Capella, Werner, and Baxter. URT has withstood the test of time, proving itself as a heuristic theory with utility that increases with subsequent research.

## Appendix A: Axioms and Theorems of Uncertainty Reduction Theory

### Axioms of Uncertainty Reduction Theory

  1. Given the high level of uncertainty present at the onset of the entry phase, as the amount of verbal communication between strangers increases, the level of uncertainty for each interactant in the relationship will decrease. As uncertainty is further reduced, the amount of verbal communication will increase.
  2. As nonverbal affiliative expressiveness increases, uncertainty levels will decrease in an initial interaction situation. In addition, decreases in uncertainty level will cause increases in nonverbal affiliative expressiveness.
  3. High levels of uncertainty cause increases in information seeking behavior. As uncertainty levels decline, information seeking behavior decreases.
  4. High levels of uncertainty in a relationship cause decreases in the intimacy level of communication content. Low levels of uncertainty produce high levels of intimacy.
  5. High levels of uncertainty produce high rates of reciprocity. Low levels of uncertainty produce low reciprocity rates.
  6. Similarities between persons reduce uncertainty, while dissimilarities produce increases in uncertainty.
  7. Increases in uncertainty level produce decreases in liking; decreases in uncertainty level produce increases in liking.

### Theorems of Uncertainty Reduction Theory

  1. Amount of verbal communication and nonverbal affiliative expressiveness are positively related.
  2. Amount of communication and intimacy level of communication are positively related.
  3. Amount of communication and information seeking behavior are inversely related.
  4. Amount of communication and reciprocity rate are inversely related.
  5. Amount of communication and liking are positively related.
  6. Amount of communication and similarity are positively related.
  7. Nonverbal affiliative expressiveness and intimacy level of communication content are positively related.
  8. Nonverbal affiliative expressiveness and information seeking are inversely related.
  9. Nonverbal affiliative expressiveness and reciprocity rate are inversely related.
  10. Nonverbal affiliative expressiveness and liking are positively related.
  11. Nonverbal affiliative expressiveness and similarity are positively related.
  12. Intimacy level of communication content and information seeking are inversely related.
  13. Intimacy level of communication content and reciprocity rate are inversely related.
  14. Intimacy level of communication content and liking are positively related.
  15. Intimacy level of communication content and similarity are positively related.
  16. Information seeking and reciprocity rate are positively related.
  17. Information seeking and liking are negatively related.
  18. Information seeking and similarity are negatively related.
  19. Reciprocity rate and liking are negatively related.
  20. Reciprocity rate and similarity are negatively related.
  21. Similarity and liking are positively related.

## References

Ash, M.G. (2000). Heider, Fritz. _American National Biography Online_. Retrieved October 10, 2005 from <http://www.anb.org/articles/14/14-00910.html>

Berger, C.R. (1979). Beyond initial interaction: Uncertainty, understanding, and the development of interpersonal relationships. In H. Giles & R. St. Clair (eds.), _Language and social psychology_ (pp. 122-144). Oxford: Blackwell.

Berger, C.R. (1986). Uncertain outcome values in predicted relationships: Uncertainty reduction theory then and now. _Human Communication Research_, 13, 34-38.

Berger, C. R. (1987). Communicating under uncertainty. In M. E. Roloff & G. R. Miller (Eds.), _Interpersonal processes: New directions in communication research_ (p. 39-62). Newbury Park, C.A.: Sage.

Berger, C.R. (2005). Interpersonal communication: Theoretical perspectives, future prospects. _Journal of Communication_, 55, 415-447.

Berger, C.R., & Bradac, J.J. (1982). _Language and social knowledge_. London: Edward Arnold Publishers Ltd.

Berger, C.R., & Calabrese, R.J. (1975). Some explorations in initial interaction and beyond: Toward a developmental theory of interpersonal communication. _Human Communication Research_, 1, 99-112.

Blalock, H.M. (1969). _Theory construction: From verbal to mathematical formulations_. Englewood Cliffs, N.J.: Prentice-Hall.

Canary, D., & Dainton, M. (Eds.). (2003). _Maintaining relationships through communication_. Mahwah, N.J.: Lawrence Erlbaum Associates.

Charles R. Berger. _Contemporary Authors Online_. The Gale Group, 2001. Retrieved October 5, 2005

Claude Elwood Shannon. _Contemporary Authors Online_. The Gale Group, 2002. Retrieved October 15, 2005

Dainton, M. & Aylor, B. (2001). A relational uncertainty analysis of jealousy, trust, and maintenance in long-distance versus geographically close relationships. _Communication Quarterly_, 49, 172-189.

Douglas, William. (1987). Question-asking in same- and opposite-sex initial interactions: The effects of anticipated future interaction. _Human Communication Research_, 14, 230-245.

Douglas, W. (1990). Uncertainty, information-seeking, and liking during initial interaction. _Western Journal of Speech Communication_, 54, 66-81.

Douglas, W. (1991). Expectations about initial interaction: An examination of the effects of global uncertainty. _Human Communication Research_, 17, 355-384.

Festinger, L. (Ed.). (1980). _Retrospections on Social Psychology_. New York: Oxford University Press.

Gudykunst, William B., and Nishida, Tsukasa. (1984). Individual and cultural influences on uncertainty reduction. _Communication Monographs_, 51 23-36.

Heider, F. (1958). _The Psychology of Interpersonal Relations_. New York: John Wiley & Sons, Inc.

Heath, R.L., & Bryant, J. (2000). _Human communication theory and research_. Hillsdale, N.J.: Lawrence Erlbaum Associates.

Kellerman, K., & Reynolds, R. (1990). When ignorance is bliss: The role of motivation to reduce uncertainty in uncertainty reduction theory. _Human Communication Research_, 17, 5-35.

Parks, Malcolm R., and Adelman, Mara B. (1983). Communication networks and the development of romantic relationships. _Human Communication Research_, 10, 55-79.

Planalp, Sally, and Honeycutt, James M. (1985). Events that increase uncertainty in personal relationships. _Human Communication Research_, 11, 593-604.

Reingold, N. (2000). Weaver, Warren. _American National Biography Online_. Retrieved October 10, 2005 from <http://www.anb.org/articles/14/14-01999.html>

Richard Joseph Calabrese. _Contemporary Authors Online_. The Gale Group, 2001. Retrieved October 5, 2005

Samelson, F. (2000). Festinger, Leon. _American National Biography Online_. Retrieved October 10, 2005 from <http://www.anb.org/articles/14/14-00887.html>

Shannon, C.E. & Weaver, W. (1949). _The mathematical theory of communication_. Urbana, I.L.: University of Illinois press.

Sunnafrank, M. (1986). Predicted outcome value during initial interactions: A reformation of uncertainty reduction theory. _Human Communication Research_, 13, 191-210.

Trenholm, S., & Jensen, A. (2004). _Interpersonal communication_. New York: Oxford University Press.

West, R., & Turner, L. (2000). _Introducing communication theory_. Mountain View, C.A.: Mayfield Publishing Company.

_Who’s Who in the Midwest 1992-1993_. (1993). Wilmette, I.L.: Marquis Who’s Who.

  


# Propaganda and the Public

Around the time of World War One and Two, Communication research largely focused on the influence of [propaganda](http://en.wikipedia.org/wiki/Propaganda). One question that researchers sought to answer was: how can communication be utilized to create behavioral changes? Governments felt that if they were to function efficiently, they could only do so with the coordinated cooperation of their citizens. Through the use of propaganda, governments could ensure that a nation functioned to meet its goals, but could also lead to crushing individuals' ability to shape their own lives and their own consciousness. Research into this area greatly expanded mass communication research in the twentieth century.

This chapter approaches the question of propaganda, from the perspective of someone that many have called one of the "fathers of communication," [Walter Lippmann](http://en.wikipedia.org/wiki/Walter_Lippmann).

## Early Experiences of Walter Lippmann (1889-1974)

Walter Lippmann was born in 1889 and spent much of his youth exploring arts such as painting and music, travelling to Europe, and acquiring a particular interest in reading, all due to his family’s secure economic status (Weingast, 1949). By the time he entered Harvard in the fall of 1906, Lippmann had been exposed to a wide array of ideas and had been well prepared for the challenging work that lay ahead of him at school. It was at Harvard that the first influences on Lippmann’s work and theoretical approach first appeared.

Lippmann was influenced by the social thinkers of the time such as George Santayana, William James, and Graham Wallas. It is impossible to understand Lippmann's own thought without some grounding in the perspectives popular at Harvard and elsewhere. He was influenced by the move toward an [American pragmatic approach](http://en.wikipedia.org/wiki/Pragmatism), as well as socialist thinkers of the time.

## Predecessors of Walter Lippmann

### William James (1842-1910)

Many consider William James to be one of the most prominent influences on Lippmann while at Harvard (Weingast, 1949; Steel, 1999). The two scholars first met when Lippmann published an article in the _Illustrated_, a Harvard campus magazine. Lippmann's article, written as a response to a book of Barrett Wendell's, was a commentary on social justice and the plight of the common man. James was intrigued by Lippmann's article and surprised Lippmann by approaching him. The two became friends, and Lippmann's regular conversations with James profoundly influenced his future work.

William James is perhaps best known for his theories of pragmatism. James (1907) defines the pragmatic method as, "The attitude of looking away from first things, principles, 'categories,' supposed necessities; and of looking toward last things, fruits, consequences, fact" (p. 29). He showed how pragmatism is related to truth, and truth is that which can be verified. "True ideas are those that we can assimilate, validate, corroborate, and verify" (James, 1907, p. 88). In this way, James (1907) suggested that the understanding of the world is based on enduring, significant perceptions of the effects of the objects that surround individuals. Although Lippmann strayed from the practice of pragmatism in his own work, there were ideas that he took from James' theories and applied to his own life. Steel (1999) claims that one of these ideas was that of meliorism, or the idea that "things could be improved, but never perfected" (p. 18). Another is practicality, or the idea that "men had to make decisions without worrying about whether they were perfect" (Steel, 1999, p. 18).

The themes of meliorism and practicality are indeed evident in Lippmann’s thought and writing. Throughout many years of writing, Lippmann's opinions on the issues of the public and their relationship to government tended to waver. For example, according to Weingast (1949), Lippmann initially supported the idea that government intervention in the economy was necessary, specifically through the provision of public projects to support employment during times of economic hardship. However, when Franklin D. Roosevelt presented his [New Deal](http://en.wikipedia.org/wiki/New_Deal), which included more government intervention in the public arena, Lippmann did not support the program (Weingast, 1949). Lippmann (1936) wavered in his views on socialism as well.

It is doubtful that his constant changes of opinion were purposeful; rather they served as evidence of James' influence on Lippmann's work. By accepting the ideas of meliorism and practicality, it could potentially mean that one is always striving to find the next best solution; that when one theory fails, another can be developed to take its place. By questioning himself and his beliefs, Lippmann was advancing his own theories and finding new ways of understanding his surroundings.

### George Santayana (1863-1952)

Santayana was a philosopher at Harvard who also influenced the work of Lippmann. Santayana’s theories revolved around the idea of the essence of objects, which Munson (1962) defined as the "datum of intuition" (p. 8). Santayana was interested in uncovering the various essences that made up human life: those values which could be uncovered and then tied to human experience (Steel, 1999). This outlook is a sharp contrast to the theories of James, which Lippmann had already been exposed to. Steel (1999) explained that while James focused on the idea of [moral relativism](http://en.wikipedia.org/wiki/Moral_relativism), or the ability to create truth from observation, Santayana was focusing on the "search for absolute moral values that could be reconciled with human experience" (p. 21).

Santayana’s influence on Lippmann is evident in his later work. Tied to Santayana’s ideas of the "essence" of humanity and life, were his ideas that democracy could result in a tyranny of the majority (Steel, 1999, p. 21). This idea is easily related to Lippmann's later writings in _Phantom Public_ (1925). _Phantom Public_ examines the American public within a democratic system. Lippmann (1925) expresses his ideas that the majority of the American public is uneducated in public issues, easily manipulated into siding with the majority, and therefore, plays a very limited role in the democratic process. In relation to democracy, Lippmann states, "Thus the voter identified himself with the officials. He tried to think that their thoughts were his thoughts, that their deeds were his deeds, and even in some mysterious way they were a part of him….It prevented democracy from arriving at a clear idea of its own limits and attainable ends" (p. 148). Lippmann (1925) shows that within a democratic system the majority is actually suppressed by the minority opinion. It is this overwhelming suppression of the public opinion within a democratic system that seems to represent Santayana’s influence on Lippmann. If Santanyana argued that democracy would result in a tyranny of the majority, Lippmann (1925) supported this idea by showing that public opinion caused little influence on a democratic system that was actually controlled by the educated elite.

### Graham Wallas (1858-1952)

Graham Wallas, a founder of the [Fabian Society](http://en.wikipedia.org/wiki/Fabian_Society), was another predecessor to Lippmann’s work (Steel, 1999). Wallas is perhaps best known for his work _Human Nature in Politics_ (1981). The political views expressed in this book helped to shape Lippmann’s later thoughts about the relationship between the public and its environment.

Wallas (1981) expresses his thoughts on the public’s understanding of their surroundings. He states that the universe presents the public with, "an unending stream of sensations and memories, every one of which is different from every other, and before which, unless we can select and recognize and simplify, we must stand helpless and unable to either act or think. Man has therefore to create entities that shall be the material of his reasoning" (p. 134). In this way, Wallas was showing that the public is incapable of understanding their environment; the stimuli that they are presented with are too numerous to gain a well-versed understanding. Steel (1999) claims that this idea was one of Wallas’ greatest influences on the future work of Lippmann, particularly in Public Opinion (1922). In this work, Lippmann (1922) expanded upon Wallas’ original ideas about the relationship between the public and their environment, and was able to show that the public was not able to take in all of the knowledge from their environment that would truly be needed to affect their governance.

Aside from inspiring Lippmann to examine the relationship between the public and the environment, Wallas can also be credited with influencing Lippmann to break his ties with the Socialist school of thought (Steel, 1999). Until his interactions with Wallas, Lippmann had held strong socialist beliefs, based not only upon his experiences at school, but also upon the writings of Karl Marx.

### Karl Marx (1818-1883)

Karl Marx was particularly concerned with explaining the class struggles that existed in society (Rogers, 1994). His most well-known works were _Das Kapital_ (Capital) and _The Communist Manifesto_. Through these works, Marx explained his theories about the struggle of the working class, their alienation from their work, and their need to rebel against the elite in order to take ownership for their actions and gain power (Rogers, 1994). [Marxism](http://en.wikipedia.org/wiki/Marxism) explained the way that economic forces create changes in society, and the need for the creation of a communist system to restore equality to that system (Rogers, 1994).

While at Harvard, Lippmann read Marx’s ideas on communism, and chose to support the ideology of [socialism](http://en.wikipedia.org/wiki/Socialism) (Steel, 1999). Lippmann also joined the Fabians while at school. They were a group which urged for the empowering of the middle-classes, rather than the over-throwing of the elite, in order to create social equality (Steel, 1999). Unlike Marxists, however, the Fabians still believed in the presence of an intellectual elite (Steel, 1970). This theme is present in Lippmann’s _Phantom Public_ (1925). In this piece of literature, Lippmann (1925) explains that society is truly dominated by an intellectual elite, even when they might think that they are following a system of majority rule. "…it is hard to say whether a man is acting executively on his opinions or merely acting to influence the opinion of someone else, who is acting executively" ( Lippmann, 1925, p. 110).

Marx also claimed that mass media is used as a tool by the elite social classes to control society (Rogers, 1994). This theme is evident in Lippmann’s _Public Opinion_ (1922), which explained that it was the mass media who determined what information the public could access, and how the limitation of such access could in turn, shape public opinion.

The remnants of Marxism are present in Lippmann’s later works, such as _Public Opinion_ and _Phantom Public_. By 1914, Lippmann was no longer a supporter of the implementation of socialism on a large scale (Steel, 1999). With his publication of _Drift and Mastery_ (1914), Lippmann denounced the use of socialism (Steel, 1999). Furthermore, his publication of _Good Society_ (1936) was essentially a criticism of the very theories of socialism that he had once supported. By this point, Lippmann (1936) recognized the error in the socialist theories; the fact that even by putting an end to private ownership and developing collective property, people still may not know how to properly distribute resources without exploitation. Lippman (1936) claims "This is the crucial point in the socialist argument: the whole hope that exploitation, acquisitiveness, social antagonism, will disappear rests upon confidence in the miraculous effect of the transfer of titles" (p. 72). Lippmann’s wavering views on socialism are important. They clearly affect how Lippmann sees the relation between man, his environment, and his government. These themes will be prevalent in Lippmann’s theories, as he explains how and why the public is subject to manipulation.

### Sigmund Freud (1856-1939)

Aside from his reading of Karl Marx, Lippmann was also influenced by the readings of other academics. Of particular importance to the work of the propaganda/mass communication theorists in general was the work of Sigmund Freud. Freud’s influence can be seen not only in the work of Lippmann, but also in the work of Lippmann’s contemporaries.

Sigmund Freud was initially trained as a medical doctor and later founded [psychoanalytic theory](http://en.wikipedia.org/wiki/Psychoanalytic_theory) (Rogers, 1994). Of particular importance to psychoanalytic theory was the understanding of an individual’s mind. According to Rogers (1994), Freud was able to divide the human consciousness into three states; the conscious, preconscious, and unconscious. The conscious consists of those things which we know about ourselves, the preconscious consists of those things which we could pay conscious attention to if we so desired, and the unconscious consists of those things which we do not understand or know about ourselves (Rogers, 1994). From these three levels of individual analysis, Freud attempted to understand human behavior. Both Freud’s general theories of psychoanalysis, as well as one of Freud’s writings in particular, _The Interpretation of Dreams_, came to be of particular importance to the propaganda theorists.

_The Interpretation of Dreams_ dealt with the idea that dreams are a form of wish fulfillment; they represent a desire of the unconscious that can be achieved during sleep through the creation of a dream to fulfill a need (Levin, 1929). Lippmann applied this idea to his work in _Public Opinion_ (1922). In _Public Opinion_, Lippmann (1922) stressed the idea of “The World Outside and the Pictures in Our Heads” (p. 3). This concept involves the idea that a person’s perceptions of an event or situation may not match what is actually happening in their environment (Lippman, 1922). This idea was influenced by _The Interpretation of Dreams_, in that Lippmann used this book to develop his idea of a “pseudo-environment” that existed in the minds of individuals (Rogers, 1994, p. 234).

Bernays' (1928) understanding of human motives was also based on the study of Freud’s work. Bernays was Freud's nephew, and at various times in his life the American travelled to Vienna to visit with his uncle. Bernays had a special interest in adopting psychoanalytic theory into his public relations work, and this influenced his thinking in relation to public opinion. In _Propaganda_, Bernays (1928) claims it is the Freudian school of thought that recognized "man's thoughts and actions are compensatory substitutes for desires which he has been obliged to suppress" (p. 52). Bernays (1928) goes on to show that propagandists cannot merely accept the reasons that men give for their behavior. If they are truly hiding their real motives, as Freud suggests, then "the successful propagandist must understand the true motives and not be content to accept the reasons which men give for what they do" (Bernays, 1928, p. 52). By getting to the root of a man’s wants and needs, Bernays suggests that propaganda can become more effective and influential.

Overall, Freud’s theories were a strong guiding framework for understanding individuals. By helping theorists such as Lasswell, Lippmann, Bernays, and Ellul to understand individuals, Freud was also helping them to understand the public that they aimed to manipulate.

## The Theories of Walter Lippmann

While at Harvard, Lippmann had first-hand exposure to the theories of William James, George Santayana, and Graham Wallas. He had also read the works of Sigmund Freud and Karl Marx. While some applications of Lippmann’s predecessors’ ideas to his research have already been discussed, it is important to examine the overall theories of Walter Lippmann.

Following his time at Harvard, Lippmann decided to pursue a career in journalism. He had focused on the study of Philosophy at Harvard. By 1910 he had dropped out of their graduate program and was ready to pursue a career (Steel, 1999). Lippmann started his career by working for Lincoln Steffens, writing primarily about socialism and issues on Wall Street (Rogers, 1994). Following his time with Steffens, Lippmann began work on an elite intellectual magazine known as the _New Republic_ (Rogers, 1994). Lippmann worked on _New Republic_ for nine years, and as his time there came to an end, he began to publish his most prominent pieces of literature (Rogers, 1994).

## Public Opinion

_Public Opinion_ (1922) is perhaps Lippmann’s most well-known work. It was in this piece that Lippmann first began to develop and explain his theories on the formation of public opinion. Lippmann (1922) begins this book by describing a situation in 1914, where a number of Germans, Frenchmen, and Englishmen were trapped on an island. They have no access to media of any kind, except for once every sixty days when the mail comes, alerting them to situations in the real world. Lippmann explains that these people lived in peace on the island, treating each other as friends, when in actuality the war had broken out and they were enemies (Lippmann, 1922).

The purpose of the above anecdote is to develop the idea of "The World Outside and the Pictures in Our Heads" (Lippmann, 1922, p. 3). Throughout _Public Opinion_, Lippmann (1922) explains the way that our individual opinions can differ from those that are expressed in the outside world. He develops the idea of propaganda, claiming that "In order to conduct propaganda, there must be some barrier between the public and the event" (Lippmann, 1922, p. 28). With this separation, there is the ability of the media to manipulate events or present limited information to the public. This information may not match the public’s perception of the event. In this way, Lippmann was essentially presenting some of the first views on the mass communication concepts of gatekeeping and agenda-setting, by showing the media’s power to limit public access to information.

Lippmann (1922) showed how individuals use tools such as stereotypes to form their opinions. “In putting together our public opinions, not only do we have to picture more space than we can see with our eyes, and more time than we can feel, but we have to describe and judge more people, more actions, more things than we can ever count, or vividly imagine…We have to pick our samples, and treat them as typical” (Lippmann, 1922, p. 95). Lippmann shows that the public is left with these stereotypical judgments until the media presents limited information to change their perception of an event. Rogers (1994) claims that in this way, Lippmann was showing us that "...the pseudo-environment that is conveyed to us by the media is the result of a high degree of gatekeeping in the news process" (p. 237). Lippmann recognized that the media was altering the flow of information, by limiting the media content that was presented to the public. Furthermore, Lippmann presents the idea of agenda-setting, as he recognizes that the mass media is the link between individual perceptions of a world, and the world that actually exists (Rogers, 1994).

## Phantom Public

_Phantom Public_ (1925) focused on describing the characteristics of the public itself. Lippmann (1925) used this book to show the public’s inability to have vast knowledge about their environment, and therefore, to show their failure to truly support a position. Lippmann (1925) gives a harsh view of the general public, stating, "The individual man does not have opinions on public affairs... I cannot imagine how he could know, and there is not the least reason for thinking, as mystical democrats have thought, that the compounding of individual ignorances in masses of people can produce a continuous directing force in public affairs" (p. 39). This book seemed to show that democracy was not truly run by the public, but rather, was being controlled by an educated elite. The public could not be truly well informed, so they were easily convinced to side with an educated minority, while convincing themselves that they were actually in a system of majority rule. Lippmann (1925) claims that the book aimed to "...bring the theory of democracy into somewhat truer alignment with the nature of public opinion... It has seemed to me that the public had a function and must have methods of its own in controversies, qualitatively different from those of the executive men" (p. 197).

## Other Writings

Lippmann also published a number of other books that dealt primarily with his political thoughts regarding the public. These included _A Preface to Politics_ (1913) and _Good Society_ (1936). While these works are important toward understanding Lippmann’s thoughts on the relation of the public to their government, _Public Opinion_ and _Phantom Public_ held most of Lippmann’s theories that were relevant to mass communication research.

## Future Career Path

Aside from his major works of literature, Lippmann was perhaps best known for his "Today and Tomorrow" column, which he began publishing in 1931 in the _New York Herald Tribune_ (Weingast, 1949). This column gave Lippmann complete freedom of expression, and the ability to write about such topics as history, government, economics, and philosophy (Weingast, 1949). Although the column tended to appeal to a limited American audience, it dealt with a wide variety of important issues. Weingast (1949) estimates that only 40% of American adults could understand Lippmann’s column, and only 24% could be considered regular readers of the column (p. 30). However, it is this column that still must be recognized for helping Lippmann’s ideas to gain popularity.

Lippmann’s various works led him to a great many opportunities to work with important figures in history. In 1918, he was given the ability to assist President Woodrow Wilson in writing the Fourteen Points, which helped to restore peace after World War One (Rogers, 1994). Of more importance to communication studies, Lippmann was also given the opportunity to publish and present propaganda in Europe to support the acceptance of the Fourteen Points on an international scale (Steel, 1999). It is through this work that some of Lippmann’s ties to Harold Lasswell can be observed.

## Other Propaganda Theorists

### Harold Lasswell (1902-1978)

As Lippmann was writing propaganda, Harold Lasswell was undertaking empirical analyses of propaganda. In fact, much of the propaganda that Lasswell was examining was actually being written by Lippmann himself (Rogers, 1994).

Harold Lasswell (1902-1978) was a prominent scholar in the area of propaganda research. He focused on conducting both quantitative and qualitative analyses of propaganda, understanding the content of propaganda, and discovering the effect of propaganda on the mass audience (Rogers, 1994). Lasswell is credited with creating the mass communication procedure of content analysis (Rogers, 1994). Generally, content analysis can be defined as, "...the investigation of communication messages by categorizing message content into classifications in order to measure certain variables" (Rogers, 1994). In an essay entitled "Contents of Communication," Lasswell (1946) explains that a content analysis should take into account the frequency with which certain symbols appear in a message, the direction in which the symbols try to persuade the audience’s opinion, and the intensity of the symbols used. By understanding the content of the message, Lasswell (1946) aims to achieve the goal of understanding the "stream of influence that runs from control to content and from content to audience" (p. 74).

This method of content analysis is tied strongly to Lasswell's (1953) early definition of communication which stated, "Who says what in which channel to whom and with what effects" (p. 84). Content analysis was essentially the 'says what' part of this definition, and Lasswell went on to do a lot of work within this area during the remainder of his career.

Lasswell's most well-known content analyses were an examination of the propaganda content during World War One and Two. In _Propaganda Technique in the World War_, Lasswell (1938) examined propaganda techniques through a content analysis, and came to some striking conclusions. Lasswell (1938) was similar to Ellul, in that he showed that the content of war propaganda had to be pervasive in all aspects of the citizen’s life in order to be effective. Furthermore, Lasswell (1938) showed that as more people were reached by this propaganda, the war effort would become more effective. "...[T]he active propagandist is certain to have willing help from everybody, with an axe to grind in transforming the War into a march toward whatever sort of promised land happens to appeal to the group concerned. The more of these sub-groups he can fire for the War, the more powerful will be the united devotion of the people to the cause of the country, and to the humiliation of the enemy" (Lasswell, 1938, p. 76).

Aside from understanding the content of propaganda, Lasswell was also interested in how propaganda could shape public opinion. This dealt primarily with understanding the effects of the media. Lasswell was particularly interested in examining the effects of the media in creating public opinion within a democratic system. In _Democracy Through Public Opinion_, Lasswell (1941) examines the effects of propaganda on public opinion, and the effects of public opinion on democracy. Lasswell (1941) claims, “Democratic government acts upon public opinion and public opinion acts openly upon government” (p. 15). Affecting this relationship is the existence of propaganda. Due to this propaganda, “General suspiciousness is directed against all sources of information. Citizens may convince themselves that it is hopeless to get the truth about public affairs” (Lasswell, 1941, p. 40). In this way, Lasswell has created a cycle, whereby the public is limited in the information that is presented to them, and also apprehensive to accept it. However, it is still that information that is affecting their decisions within the democratic system, and is being presented to them by the government. This is an interesting way of viewing the power of the media that is somewhat similar to Lippmann’s theories.

### Edward Bernays (1891-1995)

At approximately the same time that Lippmann and Lasswell were examining public opinion and propaganda, Edward Bernays (1891-1995) was examining public relations, propaganda, and public opinion. Bernays (1928) defines propaganda as, "a consistent, enduring effort to create or shape events to influence the relations of a public to an enterprise, idea, or group" (p. 25). Contrary to other propaganda theorists, Bernays recognizes that propaganda can be either beneficial or harmful to the public. It can help individuals decide what to think about or alter the opinions of individuals, but this may actually be beneficial to society’s functioning as a whole. Bernays states, “We are governed, our minds are molded, our tastes formed, our ideas suggested, largely by men we have never heard of... Vast numbers of human beings must cooperate in this manner if they are to live together as a smoothly functioning society" (p. 9).

Based on these ideas that the public opinion can be modified, and that such shaping is a necessary part of society, Bernays pursued his work in the field of public relations. "Public relations is the attempt, by information, persuasion, and adjustment, to engineer public support for an activity, cause, movement, or institution" (Bernays, 1955, p. 3). In The Engineering of Consent, Bernays (1955) lays out the framework for understanding the public and developing a public relations campaign. Bernays (1955) claims that the key to a successful public relations campaign is adjustment of the campaign to the attitudes of various groups in society, gathering information to effectively express an idea, and finally, utilizing persuasion to influence the public opinion in the intended direction.

Bernays’ theories represent a step forward for mass communication theory. They move away from more typical presentations of “hit-or-miss propaganda,” and move toward a deeper understanding of the public, and the necessity of attention-generating propaganda in influencing public opinion (Bernays, 1955, p.22). Bernays (1955) himself made a statement regarding his phrase, “the engineering of consent.” He said, “Engineering implies planning. And it is careful planning more than anything else that distinguishes modern public relations from old-time hit or miss publicity and propaganda” (Bernays, 1955, p.22). Furthermore, Bernays’ theories also represent a different view of the formation of public opinion. In opposition to Lippmann, who views the public as being easily manipulated, Bernays cautions against this. He claims, “The public is not an amorphous mass which can be molded at will or dictated to” (Bernays, 1928, p. 66). Instead, Bernays (1928) offers the idea that in attempting to influence the public, a business must “…study what terms the partnership can be made amicable and mutually beneficial. It must explain itself, its aims, its objectives, to the public in terms which the public can understand and is willing to accept” (p. 66).

Bernays elaborates on these ideas in Public Relations (1952). Rather than merely attempting to manipulate the public through propaganda, Bernays presents public relations as a tool that can be used to combine the ideas of the public and the persuader. “The objective-minded public relations man helps his client adjust to the contemporary situation, or helps the public adjust to it” (Bernays, 1952, p. 9). Bernays view of the public is softer than that of Lippmann, as he recognizes the power of society, but still also claims that manipulation of the public is possible. Bernays (1952) writes of the benefits of public relations, “To citizens in general, public relations is important because it helps them to understand the society of which we are all a part, to know and evaluate the viewpoint of others, to exert leadership in modifying conditions that affects us, to evaluate efforts being made by others, and to persuade or suggest courses of action” (p. 10). Under this framework, while manipulation of the public is still possible, it is not in such blatant ignorance of the public opinion. Theorists such as Lippmann and Ellul tended to disagree with this point.

### Jacques Ellul (1912 – 1994)

Jacques Ellul’s (1912-1994) theories on propaganda took a different view of the formation of public opinion. Ellul (1965) shows that propaganda is actually a specific technique, which is both needed by the public, and by those who create the propaganda in the first place. In _Propaganda: The Formation of_ Men’s Attitudes_, Ellul (1965) defines propaganda as,_ "a set of methods employed by an organized group that wants to bring about the active or passive participation in its actions of a mass of individuals, psychologically unified through psychological manipulations and incorporated into a system" (p. 61). In contrast to the other theorists examined in this chapter, Ellul tends to view propaganda as a necessary, but all-encompassing, activity. It is not something to be presented to the public in a single instance, but rather, must become a consistent part of every aspect of the public's life.

In _The Technological Society_, Ellul (1964) categorizes propaganda as a form of human technique. In general, he considers the term "technique," to be referring to the methods that people use to obtain their desired results (Ellul, 1964). Specifically, he claims that human technique examines those techniques in which "man himself becomes the object of the technique" (Ellul, 1964, p. 22). In this scenario, man is the "object," as he is constantly being exposed to, and pressured by, various presentations of propaganda. Ellul (1964) goes on to say, "Techniques have taught the organizers how to force him into the game... The intensive use of propaganda destroys the citizen's faculty of discernment" (p. 276).

While _The Technological Society_ focuses on the methods used to create a technique, such as propaganda, _Propaganda: The Formation of Men's Attitudes_ (1965) focuses on the specific relationship between propaganda and the manipulation of public opinion. As with Lippmann, Ellul understands the lack of knowledge that the general public holds for use in forming public opinion. Ellul (1965) comments on the use of stereotypes and symbols in propaganda, as did Lippmann in Public Opinion (1922). Ellul (1965) states, "The more stereotypes in a culture, the easier it is to form public opinion, and the more an individual participates in that culture, the more susceptible he becomes to the manipulation of these symbols" (p. 111).

Both Ellul and Lippmann recognize the inability of the public to form educated opinions as a whole. However, while Lippmann chose to focus on the idea that we should accept the fact that it is truly an educated elite that is controlling our opinions, Ellul chose to focus on the fact that the public actually has a need for propaganda. Ellul contests the idea that the public is merely a victim of propaganda. Rather, he states that, "The propagandee is by no means just an innocent victim. He provokes the psychological action of propaganda, and not merely lends himself to it, but even derives satisfaction from it. Without this previous, implicit consent, without this need for propaganda experienced by practically every citizen of the technological age, propaganda could not spread" (Ellul, 1965, p. 121).

Through his theories in _The Technological Society_ and _Propaganda: The Formation of Men's Attitudes_, Ellul tends to give the media and society’s elite (the creators of propaganda) a lot of power in shaping public opinion. While Bernays recognized the importance of making propaganda appeal to the needs of the public, Ellul claims that the public's need is simply for propaganda in the first place.

## Recent Mass Communication Theorists

Based on the traditional theories of Lippmann, Lasswell, Bernays, and Ellul, more recent studies have been able to be conducted on the use of propaganda in creating public opinion. Lippmann (1922) was essentially the first theorist to develop the idea of the agenda-setting function of the media. By 1972, McCombs and Shaw had set out to study this phenomenon in their work “The Agenda-Setting Function of Mass Media.” This study examined the 1968 presidential campaign, by asking undecided voters to identify the key issues of the presidential campaign, and then comparing those ideas to the issues that were being presented by the mass media at the time (McCombs & Shaw, 1972). McCombs and Shaw (1972) found that there was a +0.967 correlation between voter judgment of important issues, and media presentation of those issues. McCombs and Shaw used this information to further Lippmann’s ideas that the mass media did indeed set the agenda for what the public should think about.

Iyengar and Kinder (1982) expanded on Lippmann’s theories as well, by putting the idea of agenda-setting and priming to the test. They created experimental situations, in which subjects were exposed to news broadcasts that emphasized particular events. The results of this study both supported and expanded upon Lippmann’s initial theories. "Our experiments decisively sustain Lippmann’s suspicion that media provide compelling descriptions of a public world that people cannot directly experience" (Iyengar & Kinder, 1982, p. 855). Iyengar and Kinder (1982) found that those news items that received the most attention, were the news items that people found to be the most significant. Furthermore, Iyengar and Kinder (1982) also found evidence of a priming effect, in that those events that received the most attention by a news broadcast, also weighed the most heavily on evaluations of the president at a later time.

Lippmann’s (1922) theories in Public Opinion also touched on the idea of a gatekeeper in the media process. By 1951, Kurt Lewin had expanded on this idea, by showing that people can manipulate and control the flow of information that reaches others (Rogers, 1994). Based on the ideas of both Lewin and Lippmann, White (1950) undertook an examination of the role of a gatekeeper in the realm of mass media. In The “Gatekeeper”: A Case Study In the Selection of News, White (1950) examined the role of a wire editor in a newspaper. He found strong evidence that there was a gatekeeping role at work within the mass media, as this editor rejected nine-tenths of the articles that he received, based primarily on whether he considered the event to be “newsworthy,” and whether he had another article on the same topic that he liked better. His results were important, as they showed the subjective judgments that an individual can exert in releasing limited information to the public.

## Conclusion: The Importance of These Theories

The theories developed by Lippmann, Lasswell, Ellul, and Bernays are important for a number of reasons. Based on the ideas of his predecessors, Lippmann was able to bring attention to the fact that the public is able to be influenced by the media. The work of Lippmann and his colleagues has led to more recent research that is meant to help understand the influence of the media on the public. Through the work Iyengar and Kinder, White, Lewin, and McCombs and Shaw, a more comprehensive understanding of the media has been developed. The public has now been made aware various media functions such as agenda-setting, gatekeeping, and priming, and the potential effects that these techniques can have on their audiences.

The theories presented in this paper have tied heavily to both the direct effects and limited effects media models. Theorists such as Ellul tended to side heavily with the direct effects model, whereby propaganda could directly influence the thought of the masses. Meanwhile, theorists such as Lippmann also noted that the media might not be influencing only thought, but may also be influencing what people thought about. It was this line of thinking that resulted in a starting point for future research in the area of the limited effects of the media. Such limited effects were shown through the work of Iyengar and Kinder, as well as McCombs and Shaw.

Overall, the research of the scholars discussed in this paper has been very important to the understanding of the media, the manipulation of the public, and the formation of public opinion. While the theories of Lippmann, Lasswell, Bernays, and Ellul were formed years ago, they continue to help us understand the society that surrounds us today.

## References

Bernays, E.L. (1928). _Propaganda_. New York: Horace Liveright, Inc.

Bernays, E.L. (1952). _Public relations_. Norman, Oklahoma: University of Oklahoma Press.

Bernays, E.L. (1955). _The engineering of consent_. Norman, Oklahoma: University of Oklahoma.

Ellul, J. (1964). _The technological society_. New York: Vintage Books.

Ellul, J. (1965). _Propaganda: the formation of men's attitudes_. New York: Alfred A. Knopf, Inc.

Iyengar, S., Peters, M.D., & Kinder, D.R. (1982). Experimental demonstrations of the "not-so-minimal" consequences of television news programs. _The American Political Science Review, 76_(4), 848-858.

James, W. (1907). Pragmatism. In G. Gunn (Ed.), _Pragmatism and other writings (pp. 1 - 132). New_ York: Penguin Books.

Jowett, G.S., & O’Donnell, V. (1992). _Propaganda and persuasion_ (2nd Edition). Newbury Park, California: Sage Publications.

Lasswell, H.D. (1938). _Propaganda technique in the world war_. New York: Peter Smith.

Lasswell, H.D. (1941). _Democracy through public opinion_. USA: George Banta Publishing Company.

Lasswell, H.D. (1946). Describing the contents of communication. In B.L. Smith, H.D. Lasswell, and R.D. Casey (Eds.), _Propaganda, communication, and public opinion_ (pp. 74 – 94). Princeton, New Jersey: Princeton University Press.

Lasswell, H. D. (1953). The structure and function of communication in society. In L. Bryson (Ed.), _The_ communication of ideas_. New York: Harper & Co._

Levin, G. (1975). _Sigmund Freud_. Boston, Massachusetts: Twayne Publishers.

Lippmann, W. (1922). _Public opinion_. New York: The Free Press.

Lippmann, W. (1925). _The phantom public_. New York: Harcourt, Brace and Company, Inc.

Lippmann, W. (1936). _The good society_. New York: Grosset & Dunlap.

Lippmann, W. (1914). _A preface to politics_. USA: The University of Michigan Press.

McCombs, M., & Shaw, D. L. (1972). The agenda-setting function of mass media. _Public Opinion Quarterly, 36_, 176-187.

Munson, T. (1962). _The essential wisdom of George Santayana_. New York: Columbia University Press.

Rogers, E.M. (1994). _A history of communication study: a biographical approach_. New York: The Free Press.

Steel, R. (1999). _Walter Lippmann and the American century_. New Brunswick, New Jersey: Transaction Publishers.

Wallas, G. (1981). _Human nature in politics_ (Transaction Edition). New Brunswick, New Jersey: Transaction Books.

Weingast, D.E. (1949). _Walter Lippmann: a study in personal journalism_. New Brunswick, New Jersey: Rutgers University Press.

White, D.M. (1950). The "gatekeeper": a case study in the selection of news. _Journalism Quarterly, 27_ , 383-390.

## Online Resources

# Uses and Gratifications

## Introduction

Uses and gratifications approach is an influential tradition in media research. The original conception of the approach was based on the research for explaining the great appeal of certain media contents. The core question of such research is: Why do people use media and what do they use them for? (McQuail, 1983). There exists a basic idea in this approach: audience members know media content, and which media they can use to meet their needs.

In the mass communication process, uses and gratifications approach puts the function of linking need gratifications and media choice clearly on the side of audience members. It suggests that people’s needs influence what media they would choose, how they use certain media and what gratifications the media give them. This approach differs from other theoretical perspectives in that it regards audiences as active media users as opposed to passive receivers of information. In contrast to traditional media effects theories which focus on “what media do to people” and assume audiences are homogeneous, uses and gratifications approach is more concerned with “what people do with media” (Katz, 1959). It allows audiences personal needs to use media and responds to the media, which determined by their social and psychological background.

Uses and gratifications approach also postulates that the media compete with other information sources for audience’s need satisfaction (Katz et al., 1974a). As traditional mass media and new media continue to provide people with a wide range of media platforms and content, it is considered one of the most appropriate perspectives for investigating why audiences choose to be exposed to different media channels (LaRose et al., 2001).

The approach emphasizes audiences’ choice by assessing their reasons for using a certain media to the disregard of others, as well as the various gratifications obtained from the media, based on individual social and psychological requirements (Severin & Tankard, 1997). As a broader perspective among communication researches, it provides a framework for understanding the processes by which media participants seek information or content selectively, commensurate with their needs and interests (Katz et al., 1974a). Audience members then incorporate the content to fulfill their needs or to satisfy their interests (Lowery & Nabila, 1983).

## Origin and History

It is well accepted that communication theories have developed through the realms of psychology and sociology over the past 100 years. With illumed by valuable ideas as well as exploring more untilled fields in these two disciplines, researchers elicit a series of higher conceptions of understanding media. As a sub-tradition of media effects research, uses and gratifications approach is suggested to be originally stemmed from a functionalist paradigm in the social sciences (Blumler & Katz, 1974).

To some extent, however, functional theory on communication agrees with media’s effects towards people. For example, a model often used in the theory, the Hypodermic Syringe model, discusses that “the mass media have a direct, immediate and influential effect upon audiences by ‘injecting’ information into the consciousness of the masses” (Watson & Hill 1997, p. 105). Functional theory influenced studies on communication from the 1920s to the 1940s. After that, a shift which rediscovered the relationship between media and people occurred and led to establishment of uses and gratifications approach.

The exploration of gratifications that motivate people to be attracted to certain media is almost as old as empirical mass communication research itself (McQuail, 1983). Dating back to the 1940s, researchers became interested in the reasons for viewing different radio programmes, such as soap operas and quizzes, as well as daily newspaper (Lazrsfeld & Stanton, 1944, 1949; Herzog, 1944; Warner & Henry, 1948; etc.). In these studies, researchers discovered a list of functions served either by some specific content or by the medium itself (Katz et al., 1974b). For instance, radio soap operas were found to satisfy their listeners with advice, support, or occasions for emotional release (Herzog, 1944; Warner and Henry, 1948); rather than just offering information, newspaper was also discovered to be important to give readers a sense of security, shared topics of conversation and a structure to the daily routine (Berelson, 1949). For these diverse dimensions of usage satisfaction, psychologist Herzog (1944) marked them with the term “gratifications.”

Uses and gratifications approach became prevailing in the late 1950s till 1970s when television has grown up. Some basic assumptions of the approach were proposed when it was rediscovered during that era. Among the group of scholars who focus on uses and gratifications research, Elihu Katz is one of the most well-known and contributed greatly to establishing the structure of the approach.

Elihu Katz is served both as a sociologist and as a communication researcher. He received his Ph.D. in Sociology in 1956 from Columbia University and began teaching at the University of Chicago until 1963. During the next thirty years, he taught in the Department of Sociology and Communication at the Hebrew University of Jerusalem. In the late 1960, invited by the Government of Israel, Katz headed the task force charged with the introduction of television broadcasting. This experience led to his subsequent academic work about broadcasting and television in leisure, culture and communication from the 1970s to1990s (UPENN, 2001). In 1992, he joined the faculty of the Annenberg School at the University of Pennsylvania, and also directed its experimental Scholars program for post-doctoral study.

Katz’s mentor in Columbia University is Paul Lazarsfeld, who is one of the pioneers of gratifications research. Their cooperating work produced important outgrowths that connect the concept of gratifications with the functional theory model. Later, Katz introduced uses and gratification approach when he came up with the notion that people use the media to their benefit. In a study by Katz, Gurevitch and Haas (1973), a subject which is known as the uses and gratifications research were explored. They viewed the mass media as a means by which individuals connect or disconnect themselves with others and found that people bend the media to their needs more readily than the media overpower them (Katz, Gurevitch and Haas, 1973).

Along with colleague Jay G. Blumler, Katz published a collection of essays on gratifications in 1974 which were entitled The Uses of Mass Communication. They took a more humanistic approach to looking at media use. They suggest that media users seek out a medium source that best fulfills the needs of the user and they have alternate choices to satisfy their need. (Blumler & Katz, 1974). They also discovered that media served the functions of surveillance, correlation, entertainment and cultural transmission for both society and individuals (Blumler and Katz, 1974).

Five basic assumptions were stated in a study of Katz, Blumler, and Gurevitch in 1974 as follows. They provide a framework for understanding the correlation between media and audiences:

>   1. The audience is conceived as active, i.e., an important part of of mass media use is assumed to be goal oriented … patterns of media use are shaped by more or less definite expectations of what certain kinds of content have to offer the audience member.
>   2. In the mass communication process much initiative in linking need gratification and media choice lies with the audience member. This places a strong limitation on theorizing about any form of straight-line effect of media content on attitudes and behavior.
>   3. The media compete with other sources of need satisfaction. The needs served by mass communication constitute but a segment of the wider range of human needs, and the degree to which they can be adequately met through mass media consumption certainly varies.
>   4. Methodologically speaking, many of the goals of mass media use can be derived from data supplied by individual audience members themselves- i.e., people are sufficiently self-aware to be able to report their interests and motives in particular cases, or at least to recognize them when confronted with them in an intelligible and familiar verbal formulation.
>   5. Value judgments about the cultural significance of mass communication should be suspended while audience orientations are explored on their own terms. (p. 15-17).

In addition, Katz, Blumler, and Gurevitch also commented that, although previous researches on gratifications detected diverse gratifications that attract people on the media, they did not address the connections between these gratifications (Katz et al., 1974a). They suggested that uses and gratifications research concern with following aspects: “(1) the social and the psychological origins of (2) needs which generate (3) expectations of (4) the mass media or other sources which lead to (5) differential exposure (or engaging in other activities), resulting in (6) need gratification and (7) other consequences, perhaps mostly unintended ones” (Katz et al., 1974b, p. 20).

The studies of Katz and his colleagues laid a theoretical foundation of building the uses and gratifications approach. Since then, the research on this subject has been strengthened and extended. The current status of uses and gratifications is still based on Katz’s first analysis, particularly as new media forms have emerged in such an electronic information age when people have more options of media use.

## Needs and Gratifications

Uses and gratifications approach emphasizes motives and the self-perceived needs of audience members. Blumler and Katz (1974) concluded that different people can use the same communication message for very different purposes. The same media content may gratify different needs for different individuals. There is not only one way that people uses media. Contrarily, there are as many reasons for using the media as there are media users (Blumler & Katz, 1974).

Basic needs, social situation, and the individual’s background, such as experience, interests, and education, affect people’s ideas about what they want from media and which media best meet their needs. That is, audience members are aware of and can state their own motives and gratifications for using different media. McQuail, Blumler, and Brown (1972) proposed a model of “media-person interactions” to classify four important media gratifications: (1) Diversion: escape from routine or problems; emotional release; (2) Personal relationships: companionship; social utility; (3) Personal identity: self reference; reality exploration; value reinforces; and (4) Surveillance (forms of information seeking).

Another subdivided version of the audience’s motivation was suggested by McGuire (1974), based on a general theory of human needs. He distinguished between two types of needs: cognitive and affective. Then he added three dimensions: “active” versus “passive” initiation, “external” versus “internal” goal orientation, and emotion stability of “growth” and “preservation.” When charted, these factors yield 16 different types of motivations which apply to media use (Figure 1).

Figure 1. A structuring of 16 general paradigms of human motivation (McGuire, 1974).

Katz, Gurevitch and Haas (1973) developed 35 needs taken from the social and psychological functions of the mass media and put them into five categories:

  1. Cognitive needs, including acquiring information, knowledge and understanding;
  2. Affective needs, including emotion, pleasure, feelings;
  3. Personal integrative needs, including credibility, stability, status;
  4. Social integrative needs, including interacting with family and friends; and
  5. Tension release needs, including escape and diversion.

Congruously, McQuail’s (1983) classification of the following common reasons for media use:

**Information**

  * finding out about relevant events and conditions in immediate surroundings, society and the world
  * seeking advice on practical matters or opinion and decision choices
  * satisfying curiosity and general interest
  * learning; self-education
  * gaining a sense of security through knowledge

**Personal Identity**

  * finding reinforcement for personal values
  * finding models of behavior
  * identifying with valued others (in the media)
  * gaining insight into oneself

**Integration and Social Interaction**

  * gaining insight into the circumstances of others; social empathy
  * identifying with others and gaining a sense of belonging
  * finding a basis for conversation and social interaction
  * having a substitute for real-life companionship
  * helping to carry out social roles
  * enabling one to connect with family, friends and society

**Entertainment**

  * escaping, or being diverted, from problems
  * relaxing
  * getting intrinsic cultural or aesthetic enjoyment
  * filling time
  * emotional release
  * sexual arousal (p. 73)

These dimensions of uses and gratifications assume an active audience making motivated choices.

McQuail (1994) added another dimension to this definition. He states:

> Personal social circumstances and psychological dispositions together influence both … general habits of media use and also … beliefs and expectations about the benefits offered by the media, which shape ... specific acts of media choice and consumption, followed by ... assessments of the value of the experience (with consequences for further media use) and, possibly ... applications of benefits acquired in other areas of experience and social activity (p. 235).

This expanded explanation accounts for a variety of individual needs, and helps to explain variations in media sought for different gratifications.

## Gratifications sought (GS) and gratifications obtained (GO)

The personal motivations for media use also suggest that the media offer gratifications which are expected by audiences. These gratifications can be thought of as experienced psychological effects which are valued by individuals. Palmgreen and Rayburn (1985) thus proposed a model of the gratifications sought (GS) and gratifications obtained (GO) process shown in Figure 2.

Figure 2. An expectance-value model of media gratifications sought and obtained (Palmgreen and Rayburn, 1985).

The model distinguishes between GS and GO. Thus, where GO is noticeably higher than GS, we are likely to be dealing with situations of high audience satisfaction and high ratings of appreciation and attention (McQuail, 1983).

To investigate the relationship between GS and GO, Palmgreen et al. (1980) conducted a study of gratifications sought and obtained from the most popular television news programs. The results indicated that, on the one hand, each GS correlated either moderately or strongly with its corresponding GO; on the other hand, the researchers found that the gratifications audiences reportedly seek are not always the same as the gratifications they obtain (Palmgreen _et al._, 1980). A later study conducted by Wenner (1982) further showed that audiences may obtain different levels of gratifications from what they seek when they are exposed to evening news programs.

## Media Dependency Theory

Media dependency theory, also known as media system dependency theory, has been explored as an extension of or an addition to the uses and gratifications approach, though there is a subtle difference between the two theories. That is, media dependency looks at audience goals as the origin of the dependency while the uses and gratifications approach emphasizes audience needs (Grant et al., 1998). Both, however, are in agreement that media use can lead to media dependency. Moreover, some uses and gratifications studies have discussed media use as being goal directed (Palmgreen, Wenner & Rosengren. 1985; Rubin, 1993; Parker & Plank, 2000).

Media dependency theory states that the more dependent an individual is on the media for having his or her needs fulfilled, the more important the media will be to that person. DeFleur and Ball-Rokeach (1976) described dependency as the correlating relationship between media content, the nature of society, and the behavior of audiences. It examines both macro and micro factors influencing motives, information-seeking strategies, media and functional alternative use, and dependency on certain media (Rubin and Windahl, 1982).

As DeFleur and Ball-Rokeach (1989) suggested, active selectors’ use of the media to achieve their goals will result in being dependent on the media. Littlejohn (2002) also explained that people will become more dependent on media that meet a number of their needs than on media that provide only a few ones. “If a person finds a medium that provides them with several functions that are central to their desires, they will be more inclined to continue to use that particular medium in the future” (Rossi, 2002).

The intensity of media dependency depends on how much people perceive that the media they choose are meeting their goals. These goals were categorized by DeFleur and Ball-Rokeach (1989) into three dimensions which cover a wide range of individual objectives: (1) social and self understanding (e.g., learning about oneself, knowing about the world); (2) interaction and action orientation (e.g., deciding what to buy, getting hints on how to handle news or difficult situation, etc.); (3) social and solitary play (e.g., relaxing when alone, going to a movie with family or friends). DeFleur and Ball-Rokeach (1989) also suggested that more than one kind of goal can be activated (and satisfied) by the same medium.

Dependency on a specific medium is influenced by the number of media sources available to an individual. Individuals should become more dependent on available media if their access to media alternatives is limited. The more alternatives there are for an individual, the lesser is the dependency on and influence of a specific medium (Sun et al., 1999).

## Uses and Gratifications Research in a New Era

The uses and gratifications has always provided a cutting-edge theoretical approach in the initial stages of each new mass medium, such as newspapers, radio and television, and now the Internet, which receives the significance via this approach (Ruggiero, 2000).

The uses and gratifications theory has been widely used, and also is better suited, for studies of Internet use. In the Internet environment, users are even more actively engaged communication participants, compared to other traditional media (Ruggiero, 2000). The theory also suggests that people consciously choose the medium that could satisfy their needs and that audiences are able to recognize their reasons for making media choices (Katz et al., 1974). Some surveys have shown that users have little trouble verbalizing their needs when using the Internet (Eighmey & McCord, 1997; Lillie, 1997; Nortey, 1998; Piirto, 1993; Ryan, 1995). Katz et al. (1974) argued that available media choice compete to satisfy individual needs. Thus, there exists competition not only between the Internet and other traditional media, but among each options in the Internet itself as well.

Despite the robustness of this list, history has shown that new media often create new gratifications and new motivations among various audience groups (Angleman, 2000). These new dimensions of users’ motivations and gratifications need to be identified and satisfied. Although motivations for Internet use may vary among individuals, situations, and media vehicles, most uses and gratifications studies explore them based on some or all of the following dimensions: relaxation, companionship, habit, passing time, entertainment, social interaction, information/surveillance, arousal, and escape (Lin, 1999).

Examining how and why students use a university computer bulletin board, Rafeali (1986) found that users seldom skip the factual or informative messages, which indicates their strong interest in messages of this type. Maddox (1998) also suggested that the most important reason why people use the Internet is to gather various kinds of information. Lin (2001) found similar results when she examined online services adoption. She found that online services are perceived primarily as information-laden media, and that audiences who need to create more outlets for information reception are the ones most likely to adopt online services (Lin, 2001).

Internet use is also linked to a series of instrumental as well as entertainment-oriented gratifications (Lin, 1996). Some scholars ranked diversion/entertainment as more important than exchanging information in triggering media use (Schlinger, 1979; Yankelovich Partners, 1995). Rafeali (1986) found that the primary motivation of bulletin board users are recreation, entertainment, and diversion, followed by learning what others think about controversial issues by communicating with people who matter in a community. Entertainment content appears to satisfy users’ needs for escapism, hedonistic pleasure, aesthetic enjoyment, or emotional release (McQuail, 1994). Providing entertainment, therefore, can motivate audiences to use the media more often (Luo, 2002).

Examining the Internet as a source of political information, Johnson and Kaye (1998) found that people use the web primarily for surveillance and voter guidance and secondarily for entertainment, social utility and excitement. In a study of the web as an alternative to television viewing, Ferguson and Perse (2000) found four main motivations for Internet use: entertainment, passing time, relaxation/escape and social information.

The Internet combines elements of both mass and interpersonal communication. The distinct characteristics of the Internet lead to additional dimensions in terms of the uses and gratifications approach. For example, “learning” and “socialization” are suggested as important motivations for Internet use (James et al., 1995). “Personal involvement” and “continuing relationships” were also identified as new motivation aspects by Eighmey and McCord (1998) when they investigated audience reactions to websites. The potential for personal control and power is also embedded in Internet use. Pavlik (1996) noted that online, people are empowered to act, communicate, or participate in the broader society and political process. This type of use may lead to increased self-esteem, self-efficacy, and political awareness (Lillie, 1997).

Heightened interactions were also suggested as motivations for using the Internet. Kuehn (1994) called attention to this interactive capability of the Internet through discussion groups, e-mail, direct ordering, and links to more information (Schumann & Thorson, 1999; Ko, 2002). As such, Lin (2001) suggested that online services should be fashioned to satisfy people’s need for useful information as well as social interaction opportunities.

Group support is another important reason for using the Internet. The Internet can provide a relatively safe venue to exchange information, give support, and serve as a meeting place without fear of persecution (Tossberg, 2000). It provides an accessible environment where individuals can easily find others who share similar interests and goals. As part of a group, they are able to voice opinions and concerns in a supportive environment (Korenman & Wyatt, 1996).

Other studies identified anonymity as one of the reasons why people go online. According to McKenna et al. (2000), people use the security of online anonymity to develop healthy friendships and gratify their need to socialize. Those who play massively multiplayer online role-playing games (MMORPGs) report that anonymity reduces their self-awareness and motivates their behaviors in game playing (Foo & Koivisto, 2004). Another survey done by Choi and Haque (2002) also found anonymity as a new motivation factor for Internet use. Some also suggested that the Internet offer democratic communication to anonymous participants in virtual communities such as chat rooms. Ryan (1995) indicated that anonymity motivates users to speak more freely on the Internet than they would in real life. With small fear of social punishment and recrimination, minority groups can equally participate in the communication process provided the technology is universally available (Braina, 2001).

## Criticisms of Uses and Gratifications Research

Although uses and gratifications approach holds a significant status in communication research, the research of the approach receives criticisms both on its theory and methodology represented.

McQuail (1994) commented that the approach has not provided much successful prediction or casual explanation of media choice and use. Since it is indeed that much media use is circumstantial and weakly motivated, the approach seems to work best in examining specific types of media where motivation might be presented (McQuail, 1994).

The researcher Ien Ang also criticized uses and gratifications approach in such three aspects:

  1. It is highly individualistic, taking into account only the individual psychological gratification derived from individual media use. The social context of the media use tends to be ignored. This overlooks the fact that some media use may have nothing to do with the pursuit of gratification - it may be forced upon us for example.
  2. There is relatively little attention paid to media content, researchers attending to why people use the media, but less to what meanings they actually get out of their media use.
  3. The approach starts from the view that the media are always functional to people and may thus implicitly offer a justification for the way the media are currently organized (cited by CCMS-Infobase, 2003).

Since it is hard to keep track of exposure patterns through observation, uses and gratifications research focus on the fact relied heavily on self-reports (Katz, 1987). Self-reports, however, are based on personal memory which can be problematic (Nagel et al., 2004). As such, the respondents might inaccurately recall how they behave in media use and thus distortion might occur in the study.

## References

Angleman, S. (2000, December). Uses and gratifications and Internet profiles: A factor analysis. Is Internet use and travel to cyberspace reinforced by unrealized gratifications? Paper presented to the _Western Science Social Association_ 2001 Conference, Reno, NV. Retrieved June 4, 2005, from <http://www.jrily.com/LiteraryIllusions/InternetGratificationStudyIndex.html>.

Berelson, B. (1949). What missing the newspaper means. In P.F. Lazarsfeld, & F.M. Stanton (Eds.), _Communication Research_ 1948-9 (pp. 111-129). NY: Duell, Sloan and Pearce.

Braina, M. (2001, August). The uses and gratifications of the Internet among African American college students. Paper presented to the Minorities and Communication Division, _Association for Education in Journalism and Mass Communication_, Washington, DC.

CCMS-Infobase. (2003). Mass media: effects research - uses and gratifications. Retrieved October 10, 2005, from <http://www.cultsock.ndirect.co.uk/MUHome/cshtml/media/>

Choi, Y., & Haque, M. (2002). Internet use patterns and motivations of Koreans. _Asian Media Information and Communication, 12_(1), 126-140.

DeFleur, M. L. & Ball-Rokeach, S. J. (1989). _Theories of mass communication_ (5th ed.). New York: Longman.

Blumler, J., & Katz, E. (1974). _The Uses of Mass Communications_. Beverly Hills, CA: Sage Publications.

DeFleur, M. L., & Ball-Rokeach, S. J. (1976). A dependency model of mass media effects. _Communication Research, 3_, 3-21.

Eighmey, J., & McCord L. (1998). Adding value in the information age: Uses and gratifications of sites on the World Wide Web. _Journal of Business Research, 41_(3), 187-194.

Ferguson, D. & Perse, E. (2000). The World Wide Web as a functional alternative to television. _Journal of Broadcasting & Electronic Media, 44_ (2), 155-174.

Foo, C., & Koivisto, E. (2004, December 7). Live from OP: Grief player motivations. Paper presented to the _Other Players_ Conference, Copenhagen, Denmark.

Grant, A. E., Zhu, Y., Van Tuyll, D., Teeter, J., Molleda, J. C., Mohammad, Y., & Bollinger, L. (1998, April). Dependency and control. Paper presented to the _Annual Convention of the Association of Educators in Journalism and Mass Communications_, Baltimore, Maryland.

Herzog, H. (1944). What do we really know about daytime serial listeners? In P.F. Lazarsfeld (ed.), _Radio Research_ 1942-3 (pp. 2-23). London: Sage.

James, M. L., Wotring, C. E., & Forrest, E. J. (1995). An exploratory study of the perceived benefits of electronic bulletin board use and their impact on other communication activities. _Journal of Broadcasting & Electronic Media, 39_(1), 30-50.

Johnson, T. J., & Kaye, B. K. (1998). The Internet: Vehicle for engagement or a haven for the disaffected? In T. J. Johnson, C. E. Hays & S. P. Hays (Eds.), _Engaging the public: how government and the media can reinvigorate American democracy_. Lanham, MD: Rowman & Littlefield.

Katz, E. (1959). Mass communication research and the study of culture. _Studies in Public Communication, 2_, 1-6.

Katz, E., Blumler, J. G., & Gurevitch, M. (1974). Ulilization of mass communication by the individual. In J. G. Blumler, & E. Katz (Eds.), _The uses of mass communications: Current perspectives on gratifications research_ (pp. 19-32). Beverly Hills: Sage.

Katz, E., Blumler, J., & Gurevitch, M. (1974a). Utilization of mass communication by the individual. In J. G. Blumler, & E. Katz (Eds.), _The Uses of Mass Communications: Current Perspectives on Gratifications Research_. Beverly Hills & London: Sage Publications.

Katz, E., Blumler, J., & Gurevitch, M. (1974b). Uses of mass communication by the individual. In W.P. Davison, & F.T.C. Yu (Eds.), _Mass communication research: Major issues and future directions_ (pp. 11-35). New York: Praeger.

Katz, E., Gurevitch, M., & Haas, H. (1973). On the use of the mass media for important things. _American Sociological Review, 38_, 164-181.

Katz, E. (1987). Communication research since Lazarsfeld. _Public Opinion Quarterly, 51_, 525–545.

Ko, H. (2002, August). A structural equation model of the uses and gratifications theory: Ritualized and instrumental Internet usage. Paper presented to the Communication Theory and Methodology Division, _Association for Education in Journalism and Mass Communication_, Miami, FL.

Korenman, J., & Wyatt, N. (1996). Group dynamics in an e-mail forum. In S. C. Herring (Ed.), _Computer-Mediated Communication: Linguistic, Social and Cross-Cultural Perspectives_ (pp. 225-242). Amesterdam & Philadelphia: John Benjamins Publishing Company.

Kuehn, S. A. (1993). Communication innovation on a BBS: A content analysis. _Interpersonal Computing and Technology: An Electronic Journal for the 21st Century, 1_(2). Retrieved June 1st, 2005 from <http://www.helsinki.fi/science/optek/1993/n2/kuehn.txt>.

LaRose, R., Mastro, D., & Eastin, M. S. (2001). Understanding Internet usage: A social-cognitive approach to uses and gratifications. _Social Science Computer Review, 19_(4), 395-413.

Lazarsfeld, P.F., & Stanton, F. (1944). _Radio Research 1942-3_. NY: Duell, Sloan and Pearce.

Lazarsfeld, P.F., & Stanton, F. (1949). _Communication Research 1948-9_. NY: Harper and Row.

Lillie, J. (1997). Empowerment potential of Internet use. Retrieved November 20, 2004 from <http://www.unc.edu/~jlillie/340.html>.

Lin, C. A. (1996, August). Personal computer adoption and Internet use. Paper presented to the annual convention of the _Association for Education in Journalism and Mass Communication_, Anaheim, CA.

Lin, C. A. (1999). Online service adoption likelihood. _Journal of Advertising Research, 39_(2), 79-89.

Lin, C. A. (2001). Audience attributes, media supplementation, and likely online service adoption. _Mass Communication and Society, 4_(1), 19-38.

Littlejohn, S. (2002). _Theories of Human Communication_ (7th ed.). Albuquerque, NM: Wadsworth.

Lowery, S. A., & DeFleur, M. L. (1983). _Milestones in Mass Communication Research_. New York: Longman.

Luo, X. (2002). Uses and gratifications theory and e-consumer behaviors: A structural equation modeling study. _Journal of Interactive Advertising, 2_(2).

Maddox, K. (1998, October 26). E-commerce becomes reality. _Advertising Age_, pS1(1).

McGuire, W. J. (1974). Psychological motives and communication gratification. In J. G. Blumler & E. Katz (Eds.), _The Uses of Mass Communications_. Beverly Hills, CA: Sage Publications.

McKenna, A., & Bargh, A. (2000). Plan 9 from cyberspace: The implications of the Internet for personality and social psychology. Personality and _Social Psychology Review, 4_(1): 57-75.

McQuail, D., Blumler, J. G., & Browmn, J. (1972). The television audience: A revised perspective. In D. McQuail (Ed.), _Sociology of Mass Communication_ (pp. 135-65). Middlesex, England: Penguin.

McQuail, D. (1983). _Mass Communication Theory_ (1st ed.). London: Sage.

McQuail, D. (1987). _Mass Communication Theory_ (2nd ed.). London: Sage.

McQuail, D. (1994). _Mass Communication: An Introduction_ (3rd ed.,). London, Thousand Oaks, New Delhi: Sage Publications.

Nagel, K. S., Hudson, J. M., & Abowd, G. D. (2004, November 6-10). Predictors of availability in home life context-mediated communication. Paper presented to the 2004 ACM conference on _Computer supported cooperative work_, Chicago, IL.

Nortey, G. (1998). _Benefits of on-line resources for sufferers of chronic illnesses_. Master’s thesis, Iowa State University, Ames, Iowa.

Palmgreen, P., Wenner, L. A., & Rayburn II, J. D. (1980). Relations between gratifications sought and obtained: A study of television news. _Communication Research, 7_(2), 161-192.

Palmgreen, P., & Rayburn, J. D. (1985). An expectancy-value approach to media gratifications. In K. E. Rosengren, P. Palmgreen & L. A. Wenner (Eds.), _Media Gratification Research: Current Perspectives_ (pp. 61-72). Beverly Hills, CA: Sage.

Parker, B. J., & Plank, R. E. (2000). A uses and gratifications perspective on the Internet as a new information source. _American Business Review, 18_(June), 43-49.

Pavlik, J. V., & Everette, E. D. (1996). _New Media Technology and the Information Superhighway_. Boston: Allyn & Bacon.

Piirto, R. A. (1993). _Electronic communities: Sex, law and politics online_. Master’s thesis, Cornell University, Ithaca, NY.

Rafaeli, S. (1986). The electronic bulletin board: A computer-driven mass medium. _Computers and the Social Sciences, 2_(3), 123-136 .

Rossi, E. (2002). Uses & gratifications/dependency theory. Retrieved April 1, 2005, from <http://zimmer.csufresno.edu/~johnca/spch100/7-4-uses.htm>.

Rubin, A. M., & Windahl, S. (1982). Mass media uses and dependency: A social systems approach to uses and gratifications. Paper presented to the meeting of the International Communication Association, Boston, MA.

Ruggiero, T. (2000). Uses and gratifications theory in the 21st century. _Mass Communication & Society, 3_(1), 3-37.

Ryan, J. (1995). _A uses and gratifications study of the Internet social interaction site LambdaMOO: Talking with “Dinos.”_ Master’s thesis, Ball State University, Muncie, IN.

Schlinger, M. J. (1979). A profile of responses to commercials. _Journal of Advertising Research, 19_(2), 37–46.

Schumann, D. W., & Thorson, E. (Eds.) (1999). _Advertising and the World Wide Web._ Mahwah, NJ: Lawrence Erlbaum Associates.

Severin W. J., & Tankard, J. W. (1997). Uses of Mass Media. In W. J. Severin, & J. W. Tankard (Eds.) _Communication Theories: Origins, Methods, and Uses in the Mass Media_ (4th ed.). New York: Longman.

Sun, T., Chang, T., & Yu, G. (1999, August). Social structure, media system and audiences in China: Testing the uses and dependency model. Paper presented to the annual convention of the _Association for Education in Journalism and Mass Communication_, New Orleans, LA.

Tossberg, A. (2000). _Swingers, singers and born-again Christians: An investigation of the uses and gratifications of Internet-relay chat_. Master’s thesis, Iowa State University, Ames, Iowa.

UPENN.EDU. (2001). Notable Teachers, World-Class Reputations. Retrieved October 10, 2005, from <http://www.asc.upenn.edu/asc/Application/Faculty/Bios.asp>

Waner, W.L., & Henry, W.E. (1948). The radio day-time serial: A symbolic analysis. In _Psychological Monographs, 37_(1), 7-13, 55-64.

Watson, J. & Hill, A. (1997). _A dictionary of communications studies_. NY: Arnold Publishing.

Wenner, L. A. (1982). Gratifications sought and obtained in program dependency: A study of network evening news programs and 60 Minutes. _Communication Research, 9_, 539-560.

Yankelovich Partners. (1995, October 10). Cybercitizen: A profile of online users. The Yankelovich Cybercitizen Report, Birmingham, AL.

## More Information

# The Frankfurt School

## The Frankfurt School and Communication Theory

“I thought Adorno, on our first meeting, the most arrogant, self-indulgent (intellectually and culturally) man I have ever met. Some 20 years later, I can think of additional claimants for that position, but I doubt if they are serious rivals” (Donald MacRae, cited in Morrison, 1978, pp. 331-332).

The [Frankfurt School](http://en.wikipedia.org/wiki/Frankfurt_School) was a group of critical theorists associated with the Institut für Sozialforschung (Institute of Social Research) which was located first at the [University of Frankfurt](http://en.wikipedia.org/wiki/Johann_Wolfgang_Goethe_University_of_Frankfurt_am_Main) (1923-1933), then in Geneva, Switzerland (1933-35), [Columbia University](http://en.wikipedia.org/wiki/Columbia_University) in New York (1935-1949), and finally back at the University of Frankfurt, from 1949 to present. Some of the theorists associated with what became known as the Frankfurt School included Max Horkheimer, Theodor Adorno (née Wiesengrund), [w:Herbert Marcuse], Walter Benjamin, Erich Fromm, Leo Lowenthal, and Friedrich Pollock.

Felix Weil began the Institute of Social Research in 1923. The theoretical basis of the Institute was Marxist, to no small degree because of Carl Grünberg, who served as director from 1923-1930. Max Horkheimer succeeded Grünberg as director and served in that capacity until 1960, when Theodor Adorno became director, until his death in 1969. These theorists were all associated with the Institute in the 1920s, except for Marcuse, who began working with the Institute in 1932. From the late 1950s Jürgen Habermas would be involved with the Institute, but for a number of reasons his work is often considered separate from that of the Frankfurt School. The Institute for Social Research continues to operate at the University of Frankfurt, but what is known as the Frankfurt School did not extend beyond the theorists associated with it.

The interests of the Frankfurt School theorists in the 1920s and 1930s lay predominantly in a Marxist analysis of social and economic processes, and the role of the individual and the group in relation to these processes. Their particular relevance to communication theory lies primarily in Adorno's idea of the culture industry, and Marcuse's concept of the "one dimensional" man.

## The Culture Industry

In 1947 [Max Horkheimer](http://en.wikipedia.org/wiki/Horkheimer) and Theodor Adorno published _Dialektik der Aufklärung: Philosophische Fragmente_, whose title was translated into English (in 1972) as _Dialectic of Enlightenment: Philosophical Fragments_. One of the sections of this book was concerned with what Horkheimer and Adorno called the culture industry. It was their contention that the culture industry was the result of an historical process that with an increase in technology (including mass communication technology) there was an increase in the ability to produce commodities, which enabled increased consumption of goods. The consumption of mechanically reproduced cultural products—predominantly radio and film—led to formulas of producing them for entertainment purposes, and it did not occur to consumers to question the idea that the entertainment presented to them had an ideological purpose or purposes. Consumers adapted their needs around these cultural products, and in doing so no longer knew of anything else that they might desire, or that there might be anything else they could desire. The entertainment that they enjoyed did not reflect their real social, political, or economic interests, but instead blinded them from questioning the prevailing system. Entertainment also had the function of allowing the dominant system to replicate itself, which allowed for further expansion in production and consumption. Thus, for Adorno and Horkheimer the culture industry worked in such a way that those who were under its influence would not even notice that they were being manipulated.

Subsequent to the book’s publication in 1947, theorists of the Frankfurt School knew of Adorno's concept of the culture industry, but the impact of his analysis of the culture industry was limited well into the sixties. _Dialectic of Enlightenment_ did not receive a wider distribution until 1969, and although Herbert Marcuse continued the general idea of the culture industry in his _One-Dimensional Man_ of 1964, he did not refer to it as such. In spite of Marcuse’s incisive criticism of dominant ideological structures, there is not a cultural component in his thought that can be separated out from ideology as a whole, as appears in the work of Adorno and Horkheimer. Thus, as a concept relating to communication theory in the United States, the culture industry can more properly be said to have come to existence due to the English translation of Adorno and Horkheimer’s book in 1972.

## Genesis of “The Culture Industry”

In order to understand the creation of the idea of the culture industry as well as its reception the concept can be examined chronologically, from its pre-conditions, through its generation, to its subsequent impact. The idea of the culture industry grows out of a concern with culture, is developed through insights into the mechanical reproduction of culture, and is ultimately generated in opposition not only to popular music, but also to Hollywood movies. That this is so grows out of a number of historical contingencies.

Theordor Wiesengrund enrolled at the University of Frankfurt in 1921 not only to study philosophy, but music. Wiesengrund published in the 1920s and early 1930s under the name Theodor Wiesengrund-Adorno, and later took the name Adorno, which had been his mother’s maiden name. According to Thomas Mann, Adorno refused to choose between music and philosophy throughout his entire life, believing that he was pursuing the same objective in two disparate fields (Jäger, 2004, p. 31). Although he wrote his doctoral thesis on Husserl, and a postdoctoral thesis on Kierkegaard, Adorno moved to Vienna to study music composition with Alban Berg. Most of Adorno's music was written between 1925 and 1930, though he continued to compose music for the rest of his life. In addition to composing, Adorno was a music critic and editor of _Musikblatter des Anbruch_ from 1928 to 1932. As a composer and music critic Adorno was aware of conditions relating to the production and dissemination of music in the 1920s and 1930s. This aspect of Adorno’s career is important in understanding his subsequent approach to culture. Because he had a profound knowledge of art, which is great part of culture, his belief what the real art should be like influenced on his criticism against culture industry. To Adorno, the gist of real art is autonomy. Both of the production and the consumption of cultural product should be originated by autonomy which arouses uniqueness of real art. According to Adorno, culture industry which products and consumes the mass cultural product is not based on autonomy but passivity so that it never seeks for uniqueness of real art or culture.

Adorno was introduced to [Walter Benjamin](http://en.wikipedia.org/wiki/Walter_Benjamin) in 1923, and the two theorists became friends. Since Benjamin never received a degree that would allow him to teach at a university, according to Hannah Arendt, Adorno became in effect Benjamin's only pupil. After Benjamin’s death “it was Adorno who then introduced a rationalized version of his ideas into academic philosophy.” (Jäger, 2004, p. 65-6). The relationship with Benjamin had an impact on the development of Adorno's thought during this period.

Returning to Frankfurt, Adorno began teaching at the Institute, and published articles in the _Zeitschrift fur Socialforschung_ (Journal for Social Research) that had been set up by the Institute in 1932. Adorno lost his right to teach in September 1933 due to the rise to power of the Nazi party. Horkheimer had already set up a branch of the Institute in Geneva, Switzerland, and the Institute began operating there. The Nazis' rise to power not only meant that Adorno lost his job and would eventually force his departure from Germany, but also affected his philosophical thought. As Jürgen Habermas would later note, the fact that labor movements were co-opted in the development of fascist regimes was one of the historical experiences influencing the development of critical theory, the others being Stalinist repression and the production of mass culture in the United States (Morris, 2001, p. 48).

Adorno was at Oxford from 1934 to 1938, where he worked on a manuscript on Husserl. He was considered an outsider, never integrating into the British academic mainstream, and he looked forward to joining his Frankfurt School colleagues, many of whom had in the meantime moved to the United States.

Already in the late 1930s Adorno evidenced little hope for mass culture. As propaganda and entertainment increased during the 1930s, Benjamin and Adorno debated mass culture, since film and radio became the two most popular means to disseminate propaganda under the fascist and Stalinist dictatorships. The essay translated as “On the Fetish Character in Music and the Regression in Listening” is in effect a pessimistic reply to Walter Benjamin’s more optimistic essay, “The Work of Art in the Age of Mechanical Reproduction” (Brunkhorst, 1999, p. 62). A primary problem for Adorno lay in the fact that instead of being enjoyed in a concert hall, symphonic works could now be heard over the radio, and could be reproduced on phonograph records. The result was inferior to the original, and Adorno was emphatic in his condemnation of the mechanical reproduction of music: “Together with sport and film, mass music and the new listening help to make escape from the whole infantile milieu impossible” (Adorno, 2001b, p. 47). While Benjamin regarded the destruction of aura by photograph or film as the emancipation from hierarchical tastes tied to class, to Adorno, the aura of the original artwork was the essential of the artistic authenticity. To Benjamin, the mechanical reproduction was the challenge against the authority of Platonic order from the top-the original or Idea- to down of layers of imitations; to Adorno, mass production was nothing but the destruction of the authenticity. The general attitude of the Frankfurt school was that of Adorno.

In 1938 Max Horkheimer, who had succeeding in establishing a relationship for the Institute of Social Research with Columbia University that enabled the Institute to continue working in New York, obtained a position for Adorno at the Princeton Radio Research Project, run by Paul Lazarsfeld. Adorno, anxious to leave Britain in the hopes of being with other members of the Institute, accepted the position, although he later claimed that he did not know what a “radio project” was. For his part, Lazarsfeld looked forward to working with Adorno, whom he knew to be an expert on music. Adorno wrote for the Project’s journal _Radio Research_ in 1941, reiterating his position that radio was only an image of a live performance. In addition, he questioned the claim by the radio industry that the medium was bringing serious music to the masses (Wiggershaus, 1994, p. 243). While working at the Princeton Radio Research Project Adorno became shocked at the degree to which culture had become commercialized in the United States. Commercialization of culture in the United States had gone far beyond anything he had seen in Europe. Further, the prevalence of advertising in the United States was something with no correlative in Europe. The closest thing in Adorno’s experience to the advertising industry in the United States was fascist propaganda (Jäger, 2004, p. 122).

Adorno was later to allude to his experience with the Princeton Radio Research Project in the essay on the culture industry by noting the statistical division of consumers, and stating that he saw this research as being “indistinguishable from political propaganda” (Horkheimer and Adorno, 2002, p. 97). It became obvious that Lazarsfeld and Adorno did not agree on the value of empirical studies, and Adorno left the project. Adorno’s dissatisfaction with the work of the Princeton Radio Research Project would eventually motivate him to further develop the idea of the culture industry.

Because of the relationship between the Institute for Social Research and Columbia University, Horkheimer, who had already moved to California, could not bring Adorno to the West Coast until November 1941. When Adorno was finally able to relocate, he joined an expatriate community that included Fritz Lang, Arnold Schoenberg, Hans Eisler, Thomas and Heinrich Mann, Alfred Döblin, and Bertolt Brecht, several of which found work in the Hollywood movie industry. The fact that Adorno was part of this intellectual community whose members were involved in the production of Hollywood movies must have had some influence in developing his thoughts on culture, since the Hollywood system inhibited the creative freedom that many of the expatriates had enjoyed in Weimar Germany.

According to Douglas Kellner, Max Horkheimer wanted to write a “great book on dialectics,” and Herbert Marcuse, who had been admitted to the Institute in 1932, was eager to work on the project. While Horkheimer (and later Adorno) moved to California, Marcuse went to work for the Office of Strategic Services (the precursor to the Central Intelligence Agency), and later the State Department. Thus it was Adorno and not Marcuse who became Horkheimer’s co-author on the project on dialectics (Kellner, 1991, p. xviii). The work that resulted was _The Dialectic of Enlightenment_, with its section titled “The Culture Industry: Enlightenment as Mass Deception” drafted by Adorno.

These preconditions—Adorno’s interest in music, his friendship with Benjamin, and his work on the Princeton Radio Project, as well as involvement with the expatriate community in California and the relationship of several of these to the Hollywood film industry—are all important to an understanding of his concern for the idea of the culture industry.

## “The Culture Industry: Enlightenment as Mass Deception”

For Adorno, popular culture on film and radio did not bother to present itself as art. They were instead a business, and this in turn became an ideology “to legitimize the trash they intentionally produce” (Horkheimer and Adorno, 2002, p. 95). This business was based on what Adorno referred to as “Fordist capitalism,” in which mass production based on the techniques used by Henry Ford were implemented in the cultural sphere, insofar as these tendencies were based on centralization and hierarchy (Hohendahl, 1995, p. 142). Examples of this—not specified by Adorno—were the Hollywood production system, or the CBS radio network that had been associated with the Princeton Radio Research Project. Movies and hit songs were based on formulas, and “the formula supplants the work” (Horkheimer and Adorno, 2002, p. 99). Mechanical reproduction ensured that there would not be any real change to the system, and that nothing truly adversarial to the system would emerge (Horkheimer and Adorno, 2002, p. 106-7). Paradoxically, any innovation would only reaffirm the system, and Adorno cited Orson Welles as an example of someone who was allowed to break the rules. The elasticity in the system would allow it to assume the stance of any opposition and make it its own, ultimately rendering it ineffectual (Friedman, 1981, p. 165). Like religion and other institutions, the culture industry was an instrument of social control (Horkheimer and Adorno, 2002, p. 120), but freedom to choose in a system of economic coercion ultimately meant the “freedom to be the same” (Horkheimer and Adorno, 2002, p. 136).

Since Adorno had been, in his essays on music and radio, an apparent defender of high art, “The Culture Industry” has been criticized as being a defense of high art, as opposed to popular culture. Adorno specifically defines avant-garde art as the adversary of the culture industry (Horkheimer and Adorno, 2002, p. 101). It was not high art that Adorno was presenting as an alternative to the culture industry, but modernism. Although he provides the idea of an opposing force to the culture industry, Adorno provides no overt Marxist analysis. Instead, he notes in passing that the dominant system utilized capacities for mass consumption for entertainment or amusement, but refused to do so when it was a question of abolishing hunger (Horkheimer and Adorno, 2002, p. 111).

_Dialectic of Enlightenment_ was issued in mimeograph form in 1944, in German, and thus would have limited impact outside of the expatriate community. In the meantime Adorno began working, along with Else Frenkel-Brunswik, Daniel Levinson, and R. Nevitt Sanford, on an empirical investigation into prejudice titled _The Authoritarian Personality_. He wrote _Minima Moralia: Reflections on Damaged Life_ in 1945, and this work, upon its publication in Germany in 1951, would mark the beginning of his impact in Germany (Jäger, 2004, p. 167). Adorno would also co-author _Composing for the Films_ with Hans Eisler, and in this text Adorno made it clear that the culture industry is not identical with high or low art (Hohendahl, 1995, p. 134). This is perhaps the first of several of Adorno’s attempts at redefining the culture industry to an audience that in all probability had no exposure to the concept as it was detailed in the original essay.

## Return to Germany

_Dialectic of Enlightenment_ was published in Amsterdam in German in 1947 with a number of variants, excluding words and phrases in the published edition that could be construed as being Marxist (Morris, 2001, p. 48). Their apparent intent was to not attract the attention of the American occupation authorities in Germany. One of the main reasons for this is that Horkheimer wanted to return the Institute for Social Research to Germany, not only because of the desire to return to Frankfurt but also because a committee at Columbia University had evaluated the work of the Institute and recommended that the Institute become a department of Paul Lazarsfeld’s Bureau of Applied Social Research at Columbia (Jäger, 2004, p. 149). Marcuse, who had been producing propaganda for the OSS during the war based on his expert knowledge of Germany, published revolutionary theses in a journal in 1947, and these theses could not be reconciled with the direction of the Institute due to an apparent change in Horkheimer’s attitude towards Marxism. Thus, when excerpts from _Dialectic of Enlightenment_ were published without their permission in 1949, Horkheimer and Adorno protested, distancing themselves from their own work, in order not to jeopardize their return to Germany. In the late 1940s the Institute relocated to Frankfurt, and opened in its new premises in 1951. Horkheimer became the Vice-Chancellor of the University of Frankfurt.

In 1954 Adorno published an essay entitled “How to Look at Television” that was the result of a study that had been done for the Hacker Foundation, with the involvement of George Gerbner and others. In this essay Adorno warned, “rigid institutionalization transforms modern mass culture into a medium of undreamed of psychological control” (Adorno, 2001a, p. 160). It was one of the few occasions in the 1950s that Adorno would discuss the implications of mass culture. At least one observer found it strange that “the leading cultural theorist of his day” did not take part in cultural developments of the fifties (Jäger, 2004, p. 191). Adorno would nonetheless on occasion attempt to reshape his thought on the culture industry. For example, in 1959 he wrote of a “universal pseudo-culture” in the United States (Adorno, 1993, p. 21), and gave a radio talk in Germany in 1963 on “The Culture Industry Reconsidered.” In 1966, when writing the essay “Transparencies on Film,” Adorno conceded that film-making might be an acceptable cultural practice in opposition to the culture industry, within the context of modernism (Hohendahl, 1995, p. 131).

## One-Dimensional Man, and Suppression of “The Culture Industry”

Adorno took over running the Institute in 1960, and his primary philosophical concern in the 1960s was his critical engagement with Martin Heidegger, especially Heidegger’s language, as detailed in the book _The Jargon of Authenticity_. In the meantime, Marcuse had developed a critique of Stalinism, and was developing a critique of social conditions in Western democracies, in part based on his familiarity with Adorno's work. He was, for example, connecting “the analysis and critique of false needs to a critical theory of mass media and popular culture” (Agger, 1995, p. 34). Marcuse did not oppose popular culture as completely as Adorno, however, recognizing “fissures in the edifice of mainstream mass culture which could be pried open still further” (Agger, 1995, p. 34). In _One-Dimensional Man_ Marcuse put an analysis “of late capitalist society into a systematic context,” as opposed to other writers in the Frankfurt School (Wiggershaus, 1994, p. 609). Instead of culture serving ideological ends, for Marcuse “social control mechanisms in advanced industrial society ensure the wholesale integration of the individual into mass society” (Reitz, 2000, p. 144). Capitalist production and the tremendous wealth that resulted from it formed a “system of repressive affluence” that kept elements of society satisfied and quiescent (Alway, 1995, p. 83). The entirety of society had become organized around an ideology whose main objectives were to maintain social control and continue to perpetuate the ideology that maintained that control.

Echoing Adorno, Marcuse wondered whether the information and entertainment aspects of mass media could be differentiated from their manipulation and indoctrination functions (Marcuse, 1991, p. 8). However, it is difficult in Marcuse's argument to separate culture or mass media from society as a whole because Marcuse did not distinguish culture or mass media as entities separate from the totality of dominant ideology in the same way that Adorno had done. In the end Marcuse’s analysis of society allowed for no opposition to the dominant ideology. Marcuse wrote, "how can the administered individuals—who have made their mutilation into their own liberties and satisfactions, and thus reproduce it on an enlarged scale—liberate themselves from themselves as well as from their masters? How is it even thinkable that the vicious circle be broken?” (Marcuse, 1991, p. 251). Given the pessimistic tone of the book, it is somewhat ironic that largely because of it he would be perceived as an icon for leftist movements of the 1960s in the U.S. and Germany that developed an oppositional stance. In spite of this, Marcuse maintained that he was a philosopher, and not an activist. Like others associated with the Frankfurt School, he was wary of the idea that theory could be translated into practice (Chambers, 2004, p. 226).

While Marcuse was writing a work that would become essential to student movements in the 1960s, in 1961 Adorno and Horkheimer resisted the reissue of _Dialectic of Enlightenment_ that had been proposed to them by the publishing house of Fischer. The publisher felt that the book could be read as a description of prevailing conditions in Germany. Marcuse enthusiastically supported the reissue of the book in 1962, but Adorno and Horkheimer withheld their consent (Jäger, 2004, p. 194). The reasons that Horkheimer and Adorno tried to keep _Dialectic of Enlightenment_ from reaching a wider audience are not entirely clear. In reviewing the text in 1961, Friedrich Pollack reported to Adorno and Horkheimer that the work required too much revision to receive mass dissemination. The two authors continued to negotiate with the Fischer publishing house until 1969, and may have only agreed to republish the work since pirate copies had already been disseminated by individuals in the German student movement. Students also began posting snippets of the text as handbills.

While student movements in the United States and Germany looked to Herbert Marcuse as their idol, the situation in Frankfurt degenerated to the point at which Adorno could no longer effectively conduct classes. He complained to the dean about the radical students in his classes who were making teaching impossible. In the winter term of 1968-69 students occupied a number of buildings at the University at Frankfurt, including the Institute for Social Research. After the strike ended, Adorno returned to teaching, but his lectures continued to be disrupted, including one “tasteless demonstration” in which three females bared their breasts. Adorno died a few months later (Jäger, 2004, p. 201-08).

## Critical Response to “The Culture Industry”

The 1972 English-language translation marked the first real appearance of the idea of the culture industry outside of a German context. In the years since there have been numerous criticisms of the text, not least since Adorno made sweeping generalizations about “the commodified and fetishized character of all cultural goods” (Cook, 1996, p. 113). For the generally sympathetic Deborah Cook, Adorno erred in not discussing the processes of cultural production, and failed to examine the culture industry’s economic dependence on other business sectors, including marketing and advertising (Cook, 1996, p. 48).

For Terry Eagleton, both Adorno and Marcuse overestimated the dominant ideology, believing that “capitalist society languishes in the grip of an all-pervasive reification” (Eagleton, 1991, p. 46). Still, Eagleton conceded that “the diffusion of dominant values and beliefs among oppressed peoples in society has some part to play in the reproduction of the system as a whole” (Eagleton, 1991, p. 36). Fredric Jameson pointed out that Adorno’s idea of a culture industry was historically limited, since the society that developed in the 1960s and 1970s with new media went beyond the cultural possibilities available during the 1940s. While the idea of the culture industry can be defended as a useful theory for industrial societies between 1920 and 1970, trying to use it today weakens its effectiveness (Hohendahl, 1995, p. 146-48). Thus, for a some critics, the value of the idea of the culture industry would appear to be merely historical, if they in fact conceded that it had any value at all.

According to Hohendahl, for many postmodern critics the essay on the culture industry is problematic because they confuse the defense of modernist art with a defense of high culture, against popular culture. In the context of _Dialectic of Enlightenment_ it is the destruction of traditional culture that is in question, along with its replacement with new forms depending on commodity exchange (Hohendahl, 1995, p. 137). In relation to this Deborah Cook cites such artists as Schoenberg, Beckett, and Kafka as cultural producers who are not entirely subject to commodification, and notes that Jameson is in agreement that modernism is the “dialectical opposite of mass culture” (Cook, 1996, p. 107). Thus for some critics modernist works would be counteracting forces against the dominant ideology. As noted in the example of Orson Welles, however, it may be the case that the dominant ideology can co-opt modernist works for its own ends.

The idea of the culture industry has had an importance in critical theory since its appearance in the 1940s, in that it has led to thought about the role of mass communications in relation to ideology, and hence, society. Since Adorno made sweeping generalizations about the impact of the culture industry, and since he did not systematically explore how the culture industry operated, it has been generally easy for some to dismiss the idea of a culture industry. It is nonetheless the case that motion pictures are still made by large companies and that their movies largely rely on formulaic plots. It is also the case that radio is increasingly controlled by a small number of companies, which tend to impose restrictions on how stations operate. As a broadcast medium, television is very much related to both radio and film, and shares with them qualities that situation it in the culture industry. While there is a democratizing aspect to the Internet (in that anyone can create a web site), it happens that the commercial companies operating on the Internet continue to maintain an ideological function. For example, one seldom sees new stories on MSNBC or Yahoo that would question the prerogatives of corporate America. A reexamination of the idea of the culture industry may be necessary in order to theorize on how mass communication media propagate dominant ideologies.

## References

Adorno, T. W. (1993). Theory of pseudo-culture. _Telos_, 95, 15-27.

Adorno, T. W. (2001a). How to look at television. In J. M. Bernstein (Ed.), _The culture industry_ (pp. 158-177). New York: Routledge.

Adorno, T. W. (2001b). On the fetish character in music and the regression of listening. In J. M. Bernstein (Ed.), _The culture industry_ (pp. 29-60). New York: Routledge.

Agger, B. (1995). Marcuse in postmodernity. In J. Bokina & T. J. Lukes (Eds.), _Marcuse: From the new left to the next left_ (pp. 27-40). Lawrence, KS: University of Kansas Press.

Alway, J. (1995). _Critical theory and political possibilities: Conceptions of emancipatory politics in the works of Horkheimer, Adorno, Marcuse, and Habermas_. Westport, CT: Greenwood Press.

Brunkhorst, H. (1999). _Adorno and critical theory_. Cardiff: University of Wales Press.

Chambers, S. (2004). Politics of critical theory. In F. L. Rush (Ed.), _Cambridge companion to critical theory_. New York: Cambridge University Press.

Cook, D. (1996). _The culture industry revisited: Theodor W. Adorno on mass culture_. Lanham, MD: Rowman & Littlefield Publishers.

Eagleton, T. (1991). _Ideology: An introduction_. London: Verso.

Friedman, G. (1981). _The political philosophy of the Frankfurt School_. Ithaca, NY: Cornell University Press.

Hohendahl, P. U. (1995). _Prismatic thought: Theodor W. Adorno_. Lincoln: University of Nebraska Press.

Horkheimer, M., Adorno, T. W., & Schmid Noerr, G. (2002). _Dialectic of enlightenment: Philosophical fragments_. Stanford, CA: Stanford University Press.

Jäger, L. (2004). _Adorno: A political biography_. New Haven, CT: London.

Kellner, D. (1991). Introduction. In H. Marcuse(Ed.), _One-dimensional man: Studies in the ideology of advanced industrial society_. Boston, MA: Beacon Press.

Marcuse, H. (1991). One-dimensional man: Studies in the ideology of advanced industrial society. Boston, MA: Beacon Press.

Morris, M. (2001). _Rethinking the communicative turn: Adorno, Habermas, and the problem of communicative freedom_. Albany, NY: State University of New York Press.

Morrison, D. E. (1978). Kultur and culture: The case of Theodor W. Adorno and Paul F. Lazarsfeld. _Social Research_ (44), 331-355.

Reitz, C. (2000). _Art, alienation, and the humanities: A critical engagement with Herbert Marcuse_. Albany, NY: State University of New York Press.

Wiggershaus, R. (1994). _The Frankfurt School: Its history, theories, and political significance_. Cambridge, MA: MIT Press.

## More Information

# Semiotics and Myth

## Between Intelligence and Creativity

### Barthes's Life

"Who does not feel how natural it is, in France, to be Catholic, married, and well qualified academically?"[[1]](Print_version.html#cite_note-Thody77-1) This sentence--found in the book _Roland Barthes par Roland Barthes_, a collection of Roland Barthes's autobiographical essays--encapsulates his general cynicism about "the natural." This semi-ironic question might have originated from his own unique life; he was a Protestant in a predominantly Catholic nation, an unmarried homosexual, and a professor without a doctoral degree.

In 1948 he returned to the academic field. He held positions at the Institute Francais in Bucharest in 1948 and at the University of Alexandria in Egypt in 1949. There, he learned about structural linguistics from A.J. Gremas, a specialist in semantics, and had his "linguistic initiation"[[2]](Print_version.html#cite_note-Wasserman1-2)

### _Writing Degree Zero_

As Todorov[[3]](Print_version.html#cite_note-Torodov-3) writes "It was very difficult to categorize Barthes's texts as belonging to one of the principal types of discourse with which we are familiar, and which our society takes as given," (in D. Knight, p. 124). It is difficult to define the category or categories in which he would fit. First of all, he is frequently seen as a literary critic. Much of his early academic achievement is composed of works of literary criticism written with a semiotic approach. His later work would reflect his reading of Kristeva, Derrida, and others, and reflect more of a post-structural position. The post-structural critiques find his most representative theme, an argument regarding "the death of author".[[4]](Print_version.html#cite_note-Barthes77-4) His books _On Racine_, _Critical Essays_, and _Sade, Fourier, Loyola_ are works that advance his thought on literature.

To some degree his literary criticism was influenced by Jean-Paul Sartre. The first book that Barthes wrote, translated into English as _Writing Degree Zero_, is in part a response to Sartre's _What is Literature?_ This is important insofar as it would largely define Barthes's approach not only to literature, but to other media, as well as culture in general.

In brief, in _What is Literature_ Sartre called upon the writer's and reader's commitment to not only their own, but also the human freedom but of others. In _Writing Degree Zero_ Barthes explored this idea of commitment through a concern with form. Barthes's "notion of writing concerns that which is communicated outside or beyond any message or content". [[5]](Print_version.html#cite_note-Allen1-5) For Barthes, writing in its extreme form is "anticommunication."

Barthes was also a cultural theorist. His thoughts are affected by existentialism, Marxism, structuralism and psychoanalysis. He developed these philosophical ideas and theories, and in turn had influence on later theorists. He was impressed in particular by Saussure, Levi-Strauss, Marx, and Jacques Lacan.

As Moriarty (1991) says, the label "theorist" as applied to Barthes is still reductive. With journalistic passion, his activity as a theorist of semiology moves into popular culture. His style as an essayist adopted other forms. He evolved a writing style that adopted both novelistic styles and critical or political discourse. Even if his writings do not resemble a typical novel, they offer everything the reader might desire from a novel. (Moriarty, 1991, p.5)

Barthes did not establish any specific theory, but he can be considered as an important thinker positioned between structuralism and post-structuralism. It is not only because of his multilateral intellectual activities but also his continuous reflexive and critical consciousness about "right here" where he belonged; as a "New Leftist" he said that he was both "Sartrian and Marxist," which means "existential Marxist".[[6]](Print_version.html#cite_note-Wasserman2-6) He was critical about the platitudinous and depthless criticism against bourgeois literature; as a poststructuralist, he tried to overcome the limitations in structuralism.

## Influenced by Saussure and Lévi-Strauss

### Saussure and Barthes

Like many other structuralist scholars, Barthes was influenced by Saussure's structural linguistics. To Saussure, the linguistic mechanism operates on two levels, the systematic system and the variation by speaking actors. The former is called langue and the latter parole. "Langue is the systematized set of conventions necessary to communication, indifferent to the material of the signal which compose it; as opposed to it, speech (parole) is covers the purely individual part of language" (Barthes, 1967, p.13). Barthes interprets Saussure's linguistic system within the social dimension. The structure level, langue, is the social convention or value shared through a society which is stabilized and standardized. On the contrary, parole is flexible because it is the actual expression at the individual level. However, it is considered 'relatively' flexible due to the fact that speech by an individual cannot be free from the shared convention, the structure.

> A language is therefore, ­a social institution and a system of values. It is the social part of language, it is essentially a collective contract which one must accept in its entirety if one wishes to communicate. It is because a language is a system of contractual values that it resists the modifications coming from a single individual and is consequently a social institution. In contrast to language, which is both institution and system, speech is essentially an individual act of selection and actualization. The speaking subject can use the code of the language with a view to expressing his personal thought. It is because speech is essentially a combinative activity that it corresponds to and individual act and not to a pure creation. (Barthes, 1967, pp. 14-15)

Focusing on the systematic level, Sausurre distinguishes the language system into two parts, the signified and the signifier. The signified is a concept or meaning which is expressed through the form. The form is called the signifier, which is the external part of language. For example, both the word 'dog' in English or 'gae' in Korean are the external forms expressing the actual animal dog. Here, the actual animal, the concept in question, becomes the signified. "I propose to retain the word sign (signe) to designate the whole and to replace concept and sound-image respectively by signified (signifié) and signifier (significant); the last two terms have the advantage of indicating the opposition that separates them from each other and from the whole of which they are parts" (Saussure, 1959, in R. Innis (ed.), p. 37).

The correspondence of the concept/meaning to the external form is not in the destined relation, but rather, in the arbitrary relation. It is not the inevitable internal relation but the difference between the signs that operates the signifying system. Saussure (1960) argues that "language does not reflect a pre-existent and external reality of independent objects, but constructs meaning from within itself through a series of conceptual and phonic differences".[[7]](Print_version.html#cite_note-Barker67-7)

According to Saussure, "meaning is produced through a process of selection and combination of signs along two axes, the syntagmatic (e.g. a sentence) and the paradigmatic (e.g., synonyms), organized into a signifying system" (Barker, 2002, p. 29). As a grammatical set of signs or the underlying systematic order, the syntagmatic comprises a sentence, and the paradigmatic means a field of possible signs that can be replaced with one another. Despite various possibilities in selecting the signs within the same paradigmatic, the selection is also regulated by the consensus of linguistic community members. For an example of the syntagmatic and the paradigmatic, let's consider the following sentence: "I went to a theater with my girlfriend." This sentence is established through the linear combination of signs. The signs within the example, such as I theater, my, and girlfriend can be substituted for by other signs in the paradigmatic, such as "She went to a restaurant with her mother." Through the syntagmatic and the paradigmatic, Saussure tells us that signs are operated only when they are related to each other. "Crucially, signs do not make sense by virtue of reference to entities in an independent object world; rather, they generate meaning by reference to each other. Thus, meaning is understood as a social convention organized through the relations between signs" (Barker, C., 2002, p. 29).

"It is central to Saussure's argument that red is meaningful in relation to the difference between red, green, amber, etc. These signs are then organized into a sequence which generates meaning through the cultural conventions of their usage within a particular context. Thus, traffic lights deploy 'red' to signify 'stop,' and 'green' to signify 'go.' This is the cultural code of traffic systems which temporally fixes the relationship between colours and meanings. Signs become naturalized codes. The apparent transparency of meaning (we know when to stop or go) is an outcome of cultural habituation, the effect of which is to conceal the practices of cultural coding".[[8]](Print_version.html#cite_note-Barker68-8) As Barker explains, even though there might be infinite possibilities to change the relation between the signified and the signifier due to its arbitrariness, this relationship is limited and stabilized through consensus within the particular social and historical contexts. Even though Saussure's study itself is limited to linguistics, it suggests the possibility of the study of culture as signs. Barthes is one of the most popular scholars who expanded Saussure's concepts to interpreting cultural phenomenon as "codes."

### Lévi-Strauss

Lévi-Strauss is another structuralist who influenced Barthes. Lévi-Strauss was an anthropologist who applied Saussure's theory to anthropological areas of study, such as kinship. "Although they belong to another order of reality, kinship phenomena are of the same type as linguistic phenomena" (Lévi-Struass, 1963, in R. Innis, p.113). Lévi-Strauss accepted Saussure's idea that "Language (langue), on the contrary to speech (language), is a self-contained whole and a principle of classification. As soon as we give language first place among the facts of speech, we introduce a natural order into a mass that lends itself to no other classification the norm of all other manifestations of speech" (Saussure, 1959, in R. Innis (ed.), p.29). He went further, however, by conceptualizing language itself as the production of its society.

Like Saussure, Lévi-Strauss focused on the structure of language, and sought to find the hidden structures that he believed to exist in archetypes. Based on the laws of language underlying speech, he specifically tried to uncover the underlying substructure of various cultural phenomena such as customs, rites, habits, and gestures - "phenomena which themselves said to be intrinsic to the creation of language" (Kurzweil, 1982, p. 64). He also examined the underlying structure of the myth. "Its substance does not lie in its style, its original music, or its syntax, but in the story which it tells. Myth is language, functioning on an especially high level where meaning succeeds practically at 'taking off' from the linguistic ground on which it keeps on rolling" (Lévi-Strauss, 1955, in H. Adams & L. Searle (Eds.), p. 811).

Kurzweil (1982) indicates that Barthes questioned why the dimensions of time often become irrelevant for creative writers. This question is very similar to that of Lévi-Strauss, who wrote, "With myth, everything becomes possible. But on the other hand, this apparent arbitrariness is belied by the astounding similarity between myths collected in widely different regions." Lévi-Strauss (1955) explains this problem, "Therefore the problem: If the content of a myth is contingent, how are we going to explain the fact that myths throughout the world are so similar?" (p. 810). It seems natural that Barthes was attracted to Lévi-Strauss's findings of the similarities between tribal myths in discrete cultures, as well as between structural elements in the lives and tales of diverse tribes.

Through his work, Lévi-Strauss believed that there would be one universal system connecting all myths and all societies. Barthes, despite not being a Marxist, but working as a scholar who wanted to reveal the false notions in petite-bourgeois ideology, adopted Levi-Strauss's systemic approach (Kurzweil, E., 1982, p. 64-69). He expected to analyze all past and future creative acts and works through the language their authors used, and argued that these authors were no more than expressions of their times and societies (Kurzweil, E., 1982, pp. 64-69).

### Barthes goes further

Barthes was able to expand upon the work of these scholars. His classified concepts, such as Language and Speech, Signified and Signifier, Syntagm and System, Denotation and Connotation (Barthes, 1968, trans. Cape, J., p. 12) expanded on Saussure's work. For example, he added the concept of "the motivated" as the middle concept between "the icon" as only one functional meaning and "the arbitrary" as infinite possible meanings. "The motivated is carefully defined by accepted conventions; national flags or uniforms are begin to merge into the motivated when they give rise to the wearing of civilian clothes that have a complex but nevertheless very clear set of associations in the particular society in which they have grown up." [[9]](Print_version.html#cite_note-Thody97-9)

Also, while Lévi-Strauss sought for the universality throughout all different kinds of myths, Barthes emphasized on the potential of difference as a role of language, especially in his later thought. Barthes thus becomes a link between structuralism and post-structuralism.

## Barthes and mass communication

In Communication Studies, the reason Roland Barthes can be considered an important scholar is that he applied linguistic rules to general cultural codes, from a magazine "text" to an "image" in advertisements. His approach to cultural products becomes a good example in today's Cultural Studies, Critical Communication and various semiotic analyses of media programs or in Visual Communication field.

Books most related to media culture among Barthes's writings are Elements of Semiology (1964), the Fashion System (1967) and Mythologies (1957). These are perhaps the most "structuralistic" of his works.

### Elements of Semiology

_Elements of Semiology_ does not analyze popular culture directly. Rather, Barthes shows his critical interest in mass culture, writing about the value of semiological analyses of mass cultural products in an era of mass communication. "The development of mass communications confers particular relevance today upon the vast field of signifying media, just when the success of disciplines such as linguistics, information theory, formal logic and structural anthropology provide semantic analysis with new instruments" (Barthes, 1964, p. 9).

With _Elements of Semiology_, Barthes introduced four classifications of the elements that create the process of semiological analysis. These classifications are borrowed from structural linguistics, and consist of the categories of language and speech, signified and signifier, syntagm and system, and denotation and connotation (Barthes, 1964).

Language and Speech 
    Barthes (1964) applied the concepts of language, or the part of the semiological system which is agreed upon by society, and speech, or the individual selection of symbols, to semiological systems. The application of these concepts can be applied to the semiological study of the food system. According to Barthes (1964), a person is free to create their own menu, using personal variations in food combinations, and this will become their speech or message. This is done with the overall national, regional, and social structures of the language of food in mind (Barthes, 1964). Barthes (1964) then expanded on Saussure’s terms, by explaining that language is not really socially determined by the masses, but is sometimes determined by a small group of individuals, somewhat changing the relationship of language and speech. Barthes (1964) claims that a semiological system can essentially exist in which there is language, but little or no speech. In this case, Barthes (1964) believes that a third element called matter, which would provide signification, would need to be added to the language/speech system.

Signifier and Signified 
    For Saussure (1959), the signified was a representation of a concept, while the signifier was used to represent the sound-image of that concept. Barthes (1964) points out that the importance of both the signified and the signifier is the relationship between them; it is within this relationship that meaning is created. “…that the words in the field derive their meaning only from their opposition to one another (usually in pairs), and that if these oppositions are preserved, the meaning is unambiguous” (Barthes, 1964, p. 38). Out of this relationship, the sign is created. Saussure (1959) considered the sign to be arbitrary in nature, based primarily on the relationship between the signified and the signifier. Barthes (1964) explained that the sign can no longer be arbitrary when semiological systems are considered. Instead, Barthes shows that once a sign takes on a function or use, it will gain its own meaning in the process. “…as soon as there is a society, every usage is converted into a sign of itself” (Barthes, 1964, p. 41). The sign can actually lose its arbitrary nature and become motivated (Barthes, 1964).

Syntagm and System 
    Barthes (1964) defines the syntagm as a linear combination of signs. Within semantic analyses, this would be something like a sentence, where each term is related to the other terms within the phrase (Barthes, 1964). The syntagm is compared to the system, which explains associations on the same level, such as how certain words relate to the meaning of other words within our minds, as in the case of the relations between “education” and “training” (Barthes, 1964, p. 58). Barthes expands upon these ideas by applying them semiologically to various systems, including food. With food, the systematic level becomes the various dishes within a particular category (i.e. types of desserts), whereas the syntagmatic level becomes the menu choices selected for a full meal (Barthes, 1964).

Denotation and Connotation 
    The terms denotation and connotation were used by Barthes for examining the relationships between systems. Each semiological system can be thought of as consisting of an expression, a plane of content, and a relation between the two (Barthes, 1964). A connotation then examines how one system can act as a signifier of this first relation, specifically how it represents the expression within the first system (Barthes, 1964). These elements were particularly useful for examining relations between systems of symbols, rather than just relations between elements.

Despite the theoretical discussion, _Elements of Semiology_ offers Barthes's own interpretation about the political or existential conditions. He recommends a "total ideological description" (Barthes, 1964, p. 46) of the culture to "rediscover the articulations which men impose on reality" (Barthes, 1964, p.57). "Semiology will describe how reality is divided up, given meaning and then 'naturalized' (Barthes, pp. 63-4), as if culture were nature itself." (Rylance, 1994, p. 38)

### The Fashion System

Barthes most bitterly denounces consumerism in the Fashion System. "In the Fashion System, he asked how the fashion model projects what clothes are to be worn (and bought); what effect (of luxury and availability to all) the expensive production of the magazines themselves produces on readers; how color, texture, belts, or hats, depending upon their combination, transmit messages in relation to morning or evening activities; and how we thereby learn that there are rules of dress for every occasion-rules that parallel the transformations and oppositions we know in language. Barthes expected to reconstruct all the social implications, codes, and messages hidden in the literature on fashion" (Kurzweil, E., 1982, p. 72).

Although this work is worthwhile in that the fashion magazine of mass culture can be analyzed with the same method as the so-called high culture is, Barthes failed to distinguish the commercial and the popular. Kurzweil (1982) indicates that Barthes also failed to distinguish between what is just sold and what people actually do with it, i.e., what people do with consumer goods, apart from buying them.(p.75) This negative attitude toward mass culture and consumerism was a common tendency of leftist intellectuals in Europe at that time. It also helps explain why intellectuals at that time called cultural products mass culture, and not popular culture.

### Mythologies

_Mythologies_ is a compilation of a series of articles, which were originally published in the magazine _Les Lettre Nouvelles_ between 1953 and 1956. Even if it is not a theoretical work, it is perhaps the most influential of all Barthes's writings, particularly in relation to Communication Studies. Barthes's biographer even suggests that in France, _Mythologies_ influenced not just journalists and critics, but novelists and the film-makers of the "New Wave," especially Godard (Rylance, R., 1994, p.43).

In _Mythologies_, inconsistent subjects, such as wrestling, photographs, film or wine are all treated as myth. These diverse subjects can be bound together, as Barthes did not intend to talk about the subjects themselves, but to show how their underlying messages can be circulated and naturalized. The subjects treated in _Mythologies_ share a similar circulation process within mass culture.

For example, professional wrestling carries two messages, "wrestling as sport" and "wrestling as spectacle".[[9]](Print_version.html#cite_note-Thody97-9) Barthes compares professional wrestling with Greek theater to demonstrate that audiences are not so much interested in athletic contests as they are in a cathartic, Manichean performance. These double messages are shared by the audience as well. Audiences are not only accustomed to the conventions of wrestling but also take pleasure out of the double nature of wrestling. Barthes reflects that a wrestling match is not merely an aesthetic act but has ideological significance as well, just as is the case with the realistic art enjoyed by the petit-bourgeois.

In the case of wine, he argues that the wine is signified as of Frenchness or of virility in French culture but in fact, the image of wine is a mystification. Knowledge about types of wine obscures the fact that wine is not so different from other commodities produced under capitalism, and lands in North Africa and Muslim laborers, neither of which are of Frenchness, are exploited in its production.

Barthes (1972) also examplified the advertisement of soap in order to show such mystification The advertisement compares two brands with each other and sheds light on the issue of selection between two brands as a matter of importance. It blurs the fact that both brands are actually produced by the same multinational company. Through these examples in mass culture, he suggests the consistent argument that "a message is read into some substance, custom or attitude that seemed to carry its own justification in terms purely of practical use. The message thus revealed turns out to be concealing the operation of socio-economic structures that require to be denounced, both because they are concealing their identity and because that identity is inherently exploitative" (Mortiary, 1991, p. 21).

### "Myth Today" in _Mythologies_

As the concluding chapter in _Mythologies_, "Myth Today" combines the various cases into a unified theoretical idea. Here, Barthes conceptualizes myth as "a system of communication, that it is a message cannot be possibly be an object, a concept, or an idea; it is a mode of signification, a form" (Barthes, 1972, p. 109) Also, he analyzes the process of myth concretely, presenting specific examples.

Based on Saussure's definitions, Barthes argues that signification can be separated into denotation and connotation. "Denotation is the descriptive and literal level of meaning shared by most of members within a culture; connotation, on the other hand, is the meaning generated by connecting signifiers to the wider cultural concerns, such as the beliefs, attitudes, frameworks and ideologies of a social formation."[[10]](Print_version.html#cite_note-Barker69-10)

Myth is the signification in connotative level. "Where connotation has become naturalized as hegemonic, that is, accepted as normal and natural, is acts as conceptual maps of meaning by which to make sense of the world. These are myth." [[10]](Print_version.html#cite_note-Barker69-10) If a certain sign is adopted repetitiously in the syntagmatical dimension, this particular adoption is seen as more suitable than applications of other alternatives in the paradigmatic. Then, the connotation of the sign becomes naturalized and normalized. Naturalization of myth is nothing but a cultural construct.

Myth is "a second-order semiological system. That which is a sign in the first system (namely the associative total of a concept and an image) becomes a mere signifier in the second" (Barthes, 1972, p. 114) Barthes defines the sign in the first-order system, or language, as the language-object, and the myth as metalanguage.

In order to advance his argument, he uses two examples, that of a sentence in Latin grammar textbook and a photograph of a black soldier. The signified of the sentence and the photograph in the first-order system disappears when the sign becomes the form for the concept in the second-order system. The sentence loses its own story and becomes just a grammatical example. The factual discourse about the young black soldier is also obscured by the lack of context concerning French imperialism. According to Barthes's table (Barthes, 1972, trans. A. Leavers, p. 115), the examples can be drawn like below.

table 1. Barthes's model

Language
1.signifier
2.signified

3\. sign

MYTH
SIGNIFIER (FORM)
SIGNIFIED(CONCEPT)

SIGN (SIGNIFICATION)

  


table 2. example 1: Latin grammar "quia ego nominor leo"

Language
1\. signified
2\. signified

(quia ego nominor leo)
(because my name is lion)

3\. sign

MYTH
SIGNIFIER (FORM)
SIGNIFIED (CONCEPT)

(because my name is lion)
(I am a grammatical example)

SIGN (SIGNIFICATION)

  


table 3. example: photograph

Language
1\. signifier
2\. signified

(photograph of black  
soldier saluting)
(A black soldier is  
giving the French salute)

3\. sign

MYTH
SIGNIFIER (FORM)
SIGNIFIED (CONCEPT)

(A black soldier is  
giving the French salute)
(Great French empire,  
all her sons equal, etc.)

SIGN (SIGNIFICATION)

The signification of myth deletes the history or narrative of the sign and fills up the empty space with the intentioned new meaning. "Myth is thus not just a message, but a message that is political by depoliticizing. It turns history into essence, culture into Nature, and obscures the role of human beings in producing the structures they inhabit and thus their capacity to change them" (Moriarty, 1991, p. 28)

### Rhetoric of the Image

As Barthes says in Mythologies, "We must here recall that the materials of mythical speech (the language itself, photography, painting, posters, rituals, objects, etc.), however different at the start, are reduced to a pure signifying function as soon as they are caught by myth" (Barthes, 1972, p. 114). He applies his semiological analysis into other visual materials. For instance, in the Panzani advertisement analyzed in "Rhetoric of the Image," he analyzes three kinds of message: a linguistic message, a coded iconic message, and a non-coded iconic message (the cultural message). He also reflects about the relationship between linguistic message and image. He devised the concepts of "anchorage" which is the faculty for the linguistic message to control the meaning of the image, and "relay," the supportive relationship of text and image. Anchorage and relay are useful conceptual tools in analyzing media products such as news, advertisements, or soap operas.

## "Lived in the plural"

### Shift to post-structuralism

According to many commentators, by the end of the 1960s, Barthes's work shifted from structuralism to post-structuralism. Although it can be valued in that it turns theoretical reorientation from the value of the individual unit towards system, function and structure, structuralism has been criticized due to its methodological limitations. Two of the main problems of structuralism were that the overemphasis on how to function results in the negligence of reflection on history or value-judgment, and also that it ignores the individual agency-parole, pragmatic etc., focusing too much on structure or system-langue, syntagmatic. As a result, the post-structuralism school began to challenge the "objectivity" which was assumed in language as "a reliable yardstick for the measurement of other signifying system," even though they agreed with the argument of structuralism that "analysis of language is central to any modern intellectual project" (Rylance, 1994, p. 66)

As Rylance (1994) says, "Barthes's structuralism, as well as resuming earlier themes, contains a number of his later anti-structuralist positions."(p.32) For example, "despite his agreement with Saussure's concepts, 'langue' and 'parole' in _Elements of Semiology_ (1964), Barthes casts doubt on their limitation; he realizes that it also downgrades individual language use and the model is undeviatingly controlling which langue controls parole, asking 'if everything in langue is so rigid, how does change or new work come about?'" (Rylance, 1991, p. 40). Barthes was consistently aware of problems of structuralism and eventually gave up parts of it in his later works.

"Instead of having one stable denotive meaning, signs are said by the later Barthes to be polysemic, that is, they carry many potential meanings."[[11]](Print_version.html#cite_note-Barker71-11) In his later days, Barthes difinitely emphasized in the difference rather than focusing on repetition. He focuses more on the text, aware of the cleavage between writer and writing.

His shift can be understood as a rethinking of the biased preposition of the language systems. "Despite his anti-idealist view of the subject as a product of cultural forces rather than an origin, his hedonistic idea of the body in Pleasure of the Text (1975) re-centers the self as a transhistorical source of meaning." (Haney, 1989, in Semiotica, p. 313) This admits the relative autonomy of the parole from the langue. At the same time, it opens the plurality of meaning. This is revealed in his discussion about writing and reading.

### Writing and Reading

Barthes argues that writing lies in between the historical and the personal. The text is thus the interplay between the writer's freedom and society. "A language and a style are data prior to all problematic of language; but the formal identity of the writer is truly established only outside of permanence of grammatical norms and stylistic constraints. It thus commits the writer to manifest and communicate a state of happiness or malaise, and links the form of his utterance, which is at once normal and singular, to the vast History of the Others" (Barthes, 1968, p.14; Haney, W. 1989, p. 319)

His thought about reading further expands the potential of meaning. He separates reading into two categories, the "writerly/scriptable" and the "readerly/legible." The writerly reading means that a reader participates actively in producing meanings as if he/she re-writes the text. "The text which makes this activity possible resists being appropriated by paraphrase or critical commentary because it escapes conventional categories of genre, and hence cannot be read as a representation, cannot even be reduced to a structure." (Moriarty, 1991, p. 118) A reader finds pleasure from reading the writerly text. The readerly text is opposite to the writerly, which makes the reader passive in interpreting the text.

### Camera Lucida

The pleasure of interpretation by the interplay between langue and parole or the history and the individual creation is also applied to his speculation about photography. _Camera Lucida_ a meditation on the photographic, was to be his last work. In this Barthes examined two elements that for him comprised the meaning of image, the studium and the punctum. The studium of a photograph presents meanings which are culturally coded, and corresponds to the photograph's symbolic meaning. The punctum, on the other hand, disturbs the obvious meaning in photographs. It "puntuates" the meaning of the photograph. For example, in a Lewis Hine photo, Barthes points to a girl's bandaged finger, and a boy's collar. The problem, as Barthes was aware, is that when Barthes points out these details, they move from the status of punctum to that of studium.[[12]](Print_version.html#cite_note-Allen2-12)

As the writerly reading touches the creative participation of readers in interpreting the text, the image also can be the writerly text which arouses the pleasure of interpretation of appreciator thanks to puctum. According to Barthes, studium is always coded, while punctum is not.

Even though they retain their heterogeneity to each other, they are not opposed to each other. The "subtle beyond" of the punctum, the uncoded beyond, exists with the "always coded" of the stadium. (Derrida, 1981, in Knight, 2000, pp. 130-131)

## Conclusion

Roland Barthes had lived with his mother for much of his life. After her death in 1977 he reflected, "From now on I could do no more than await my total, undialectical death" (cited in Allen, 2003, 134). In March of 1980 he was struck by a laundry truck, and died after a month in hospital.

Barthes's thought is inter-related with the arguments of other post-structuralists. Later in his career Barthes sought to define langue and parole as discrete but intermingled entities. The interplay of the contradictory elements happens between writer and history, text and audience, or the structured and the abrupt widens the horizon of meaning.

Barthes is enigmatic in that both the focus of his work and writing style are hard to concretely define. He "lived in the plural" (Derrida, 1981, in D. Knight, (ed.), p. 132) As Todorov (1981) commented, "No one would ever again think of Barthes as a semiologist, a sociologist, a linguist, even though he might have lent his voice to each of those figures in succession; nor would they think of him as philosopher or a 'theorist'" (in D. Knight (ed.) p. 125). Barthes nonetheless was a semiologist, sociologist, linguist and a theorist.

Barthes is important to the field of Critical Communication in that he applied a semiological approach to media culture. His thought can also be regarded as a foundation for empirical research about the relationship between messages and audiences, in that he argued for the plurality of the message meaning produced through the interwork of structure and agency.

## References

  1. [↑](Print_version.html#cite_ref-Thody77_1-0) Thody, P. (1977). _Roland Barthes: A conservative estimate._. London: Trowbridge & Esher.. pp. 5. 
  2. [↑](Print_version.html#cite_ref-Wasserman1_2-0) Wasserman, G.R. (1981). _Roland Barthes_. New York: G. K. Hall & Co.. pp. 16. 
  3. [↑](Print_version.html#cite_ref-Torodov_3-0) Todorov, T. (1981). "Late Barthes". in in D. Knight (ed.). _Critical Essays on Roland Barthes_. New York: G. K. Hall & Co.. pp. 123-128. 
  4. [↑](Print_version.html#cite_ref-Barthes77_4-0) Barthes, R. (1977) [1964]. S. Health (trans.). ed. _Rhetoric of the Image, in Image, Music, Text,_. New York: Noonday Press.. pp. 32-51. 
  5. [↑](Print_version.html#cite_ref-Allen1_5-0) Allen, G. (2003). _Roland Barthes_. New York: Routledge. pp. 16. 
  6. [↑](Print_version.html#cite_ref-Wasserman2_6-0) Wasserman, G.R. (1981). _Roland Barthes_. New York: G. K. Hall & Co.. pp. 17. 
  7. [↑](Print_version.html#cite_ref-Barker67_7-0) Barker, C. (2000). _Cultural studies: Theory and practice_. London: Sage. pp. 67. 
  8. [↑](Print_version.html#cite_ref-Barker68_8-0) Barker, C. (2000). _Cultural studies: Theory and practice_. London: Sage. pp. 68. 
  9. ↑ _**[a**_](Print_version.html#cite_ref-Thody97_9-0) _**[b**_](Print_version.html#cite_ref-Thody97_9-1) Thody, P. (1997). _Introducing Barthes_. New York: Totem Books. pp. 37. 
  10. ↑ _**[a**_](Print_version.html#cite_ref-Barker69_10-0) _**[b**_](Print_version.html#cite_ref-Barker69_10-1) Barker, C. (2000). _Cultural studies: Theory and practice_. London: Sage. pp. 69. 
  11. [↑](Print_version.html#cite_ref-Barker71_11-0) Barker, C. (2000). _Cultural studies: Theory and practice_. London: Sage. pp. 71. 
  12. [↑](Print_version.html#cite_ref-Allen2_12-0) Allen, G. (2003). _Roland Barthes_. New York: Routledge. pp. 126-127. 

Barker, C. (2002). Making sense of cultural studies. London: Sage

Barthes, R. (1972). Mythologies, pp. 109-37, A. Lavers (trans.), New York: Hill and Wang. (Orig. 1957).

Barthes, R. (1967), Elements of Semiology, pp. 9-34, J. Cape (trans.), New York: Hill and Wang. (Orig. 1964).

Champagne, R. A. (1995). Resurrecting RB: Roland Barthes, literature, and the stakes of literary semiotics. Semiotica, 107, 339-348.

Champagne, R. A. (1997). French Structuralism, in Twayne's World Authors on CD-ROM, New York: G. K. Hall & Co. (previously published in 1990).

Derrida, J. (1981). From "The Death of Roland Barthes" in D. Knight (ed.), Critical Essays on Roland Barthes, pp. 129-137, New York: G. K. Hall & Co.

Edar, A., & Sedgwick, P. (2002). Cultural theory: The key thinker. New York: Routledge.

Foucault, M. (1981). Roland Barthes (12 November 1915-26 March 1980), in D. Knight (ed.), Critical Essays on Roland Barthes, pp. 121-122, New York: G. K. Hall & Co.(Org. 1980).

Haney, W.S. (1989). Roland Barthes: Modernity within history. Semiotica, 74, 313-328.

Kurzweil, E. (1982). Structuralism: Roland Barthes. Studies in Communications, 2, 61-89.

Levi-Strauss, C. (1986). The Structural Study of Myth, in H.Adams & L. Searle (eds.), Critical theory since 1965 (pp. 808-822) (Orig. 1955).

Levi-Strauss, C. (1963). Structural Analysis in Linguistics and in Anthropology, in R. E. Innis (ed.), Semiotics-An Introductory Anthology, pp. 110-128.

Mortiary, M. (1991). Roland Barthes. Cambridge, UK: Polity Press.

Rose, G. (2001). Semiology: Visual methodologies. Thousand Oaks, C.A.: Sage.

Rylance, R. (1994). Roland Barthes. London: Simon & Schuster

Saussure, F. (1959). The object of linguistics. Nature of the linguistic sign, A Course in General Linguistics, in R. E. Innis (ed.), Semiotics-An Introductory Anthology, pp. 28-40.

## More Information

# Orality and Literacy

This paper serves as an analysis of the contribution of Walter J. Ong, S. J. It serves as an overview of his work as it relates to the discipline of Communication. The chapter draws heavily from the work of Soukup (2004) and Farrell (2000) as their contribution to the scholar is impressive and thorough. Specifically, the chapter draws from the framework of contribution from Soukup’s (2004) article, which identifies Ong’s contribution in five specific ways throughout a 60 year academic career. In addition to Ong’s contribution to the discipline, the paper also serves to examine the influence wielded by Ong over his career on other scholars. It also serves to examine the influence peers on Ong’s career.

## An Historical Review of Ong

The discipline of Communication is filled with scholars who have made a significant contribution to advancing the field. Walter J. Ong, S. J. would certainly have to be mentioned as being one in such a category of scholars. In order to develop an appreciation for him as a scholar it is important to know where he came from. There are few who have such a unique background. He was a scholar who not only pursued the academic end of education, but also pursued a formal spiritual education. His background is impressive to read academically: B. A. in Classics (Rockhurst College, 1933); B. A. in Philosophy (St. Louis University, 1941); Theology degree (St. Louis University, 1948); M. A. in English (St. Louis University, 1941); Ph. D. in English (Harvard, 1954) (Soukup, 2004). The resume of degrees is worth mentioning because it provides a backdrop of the diversity of formal education that Ong had achieved throughout his lifetime. According to Wikipedia, Reverend Ong was, “a world-class thinker known today as an honorary guru among technophiles, was a Jesuit priest, professor of English literature, cultural and religions historian, linguist, and philosopher” (Retrieved September 30, 2005, from <http://en.wikipedia.org/wiki/Walter_Ong>). White (as cited in Farrell, 2000) further identified that Ong’s contribution to scholarship touched on five specific areas: literary studies, communication, theology and religious studies, psychology, intellectual history, and linguistics. The broad spectrum of knowledge produced by such a unique individual is what further promotes conversation about his influence and his legacy over time.

## Framing the Chapter

Ong’s many contributions to the discipline over his 60-year career cannot be easily condensed into a brief chapter. Soukup (2004) identified five specific parameters of his contribution that this chapter will adopt for framing purposes: historical studies of rhetoric; visual images and habits of thought; the word; stages of communication media; and finally, digital media and hermeneutics. These contributions tie into the study of communication. In addition to the work of Soukup, the chapter will also draw from the insight of Farrell (2000). Both scholars provide excellent commentary on Ong and his influence on communication and related disciplines. Interwoven within the chapter will be the mention of other scholars who were seen to be influences, peers, and understudies of Ong. The reality of Ong’s legacy is a strong testament to a solid career in scholarship.

## Ong and His Historical Studies of Rhetoric

In an interview with Soukup (personal communication, September 16, 2005) it is clear that the framed parameters of Ong’s contribution to the discipline are connected to the development of his academic career. It is important to note at this point that mapping Ong’s career academically through an historic paradigm would serve the reader best. One can get a better feel for the development of his thought processes over time as well as an understanding of those who influenced (or were influenced by him) along the way. A starting point would bring us to Ong’s examination of rhetoric through historical frames. Ong’s Harvard dissertation focused on scholar Peter Ramus (1515-1572), a 16th century Parisian professor and educational reformer (Soukup, 2004). While at Harvard, Ong focused on Ramus’ interest in the development of the printing press and his focus on the question of if we should be re-thinking the way in which rhetoric was taught. Soukup summarized Ong's focus on Ramus and his studies of rhetoric:

> The study of Ramus plays a central role in Ong’s thinking about communication, one that extends far beyond the history of rhetoric. From classical times through the Renaissance, rhetoric defined not only how people spoke, but how people analyzed and solved problems. In many ways, because rhetoric more or less defined education, it defined, through education, the dominant ways of thinking. Several changes occurred shortly before or during Ramus’s lifetime. Ong noticed two key changes in western thought, manifest in Ramus’s writing: a shift away from rhetoric (with its emphasis on probable knowledge) to logic (with its emphasis on proofs and truth); a shift from hearing spoken argumentation to see a written demonstration. And Ong noticed how printing changed the school environment. It was here that Ong first made the connection between communication form (hearing, seeing), communication media, and thought processes. (2004, p. 4)

Ramus was a part of something that Ong found interesting. Western thought was making a transition away from rhetoric that could be seen in terms of logical probability in discussion, to logic that was grounded more in seeking concrete truth and proof for reasoning. A good resource concerning the history of rhetoric and Western thinking comes from the work of the editors Golden, Berquist, Coleman & Sproule (2004). The text maps the development of rhetoric within a western context of thinking, providing a great overview of the history of rhetoric in the west. Further, the idea of written demonstration as opposed to spoken argumentation was in some ways a shift of preference. A review of Ramist Rhetoric from Ong (1958a) demonstrated a sort of mapped explanation of the transition of rhetoric (specifically, Ramist Rhetoric is Chapter Twelve). Soukup (2004) mentioned it extensively. The transitional development of rhetoric in comparison to logic was anything but a source of absolute clarity. Farrell (2000) further noted that such an analysis from Ong was focused on the contrast of expression that dealt with both sound and sight. It would be foolish to consider the transition smooth and marked. The shift in cultural learning is one that mapped over time. It was more a process than a marked chasm or divide. Ong (1971a) stated that, “there is no total theoretical statement of the nature of either rhetoric or logic, much less their interrelation. Conceivably such a statement might finally be achieved at the end of history, when rhetoric and logic would be outmoded” (p. 7). Ong’s comment seemed more in line with the idea that hindsight and retrospect will have the final say when either of the approaches to knowledge and learning would seem obsolete.

Historically, Ramus derived a good deal of thought strongly relative to the transitional shift from that of logic to proof. In some respects, Ong saw Ramus as a product of the times in which he lived. Soukup (2004) commented:

> Ramus was above all a teacher and that shaped his approach to developing both his dialectic and his rhetoric in an age when printing changed the school environment. He lived at a time when science also changed the learning environment. (p.6)

Ong (1958a, 1958b) noted the transition of Ramus away from knowledge through the traditional form of instructional teaching to that of objects and diagrams. The thought of knowledge derived through diagrams and objects is the direction that Ramus seemed headed toward. Inclusive within this shift is the awareness of how we arrive at knowledge. The pedagogical shift here is important. In the transition, knowledge can be derived from the visual perspective as well as that of the oral perspective. Seeing diagrams, objects, and symbols in print to arrive at knowledge is what ultimately what Ong focused in on. Much of this can be attributed to the development an invention that rocked society in its ability to learn, distribute, and store knowledge in Ramus’s lifetime—the printing press.

Printing was changing how people learned, and it was happening in Ramus’s lifetime. In terms of why Ong focused in on this particular aspect, something from his cultural/spiritual background began to emerge. Ong had a background in biblical studies (he was a Roman Catholic priest). He was interested with the difference in learning attributed to Hebrew culture and to Greek and Latin culture (P. Soukup, personal communication, September 16, 2005). Soukup commented on the idea that Hebrew culture was much more focused on sound and the spoken word. He further mentioned that the Greek and Latin culture of learning was more visual, focused on image. Ong focused in on how Ramus analyzed the transition away from oral as a primary form of comprehension to literate and the incorporation of visual images. Ramus became entrenched with the aspect of printing and was widely seen as a publishing and pedagogical guru (Soukup, 2004). This focus of transformation of knowledge became a continued theme that he would work closely with and develop further throughout his career. A brief quote from Ong (1968) made this apparent:

> We have reached a period today when the accumulation of knowledge has made possible insights of new clarity and depth into the history of knowledge itself. Growth of knowledge soon produces growth in knowledge about knowledge, its constitution, and its history, for knowledge is of itself reflective. Given time, it will try to explain not only the world but itself more and more. (p. 8)

Ong's assessment of Ramus is exhaustive. It is strongly encouraged that if the reader finds a greater interest in this particular area of commentary, they should seek out Soukup’s (2004) article as well as a copy of Ong’s dissertation and additional commentary. His contribution to the examination of rhetoric is amazing. Ong was impressive in his analysis of Ramus and the contribution he made to the development of knowledge, primarily through a transition from orality to literacy via the significant development of the printing press. So powerful and striking was Ong’s analysis of Ramus that McLuhan (1962) cited him extensively in his influential book, _The Gutenberg Galaxy: The Making of Typographic Man_. McLuhan is a central figure in the discipline, and was instrumental in guiding Ong in the move to Harvard where he pursued his Ph.D. in English. Refer to the work McLuhan (1962, 1964) and Neil (1993) regarding McLuhan, as he is widely instrumental in advancing the field.

The influence of Ong’s thoughts relative to the history of rhetoric can be felt even today. The work of Poster (2000), Moss (2004), Youngkin (1995), Kaufer & Butler (1996) serve as examples of many scholars who have followed and contributed further to Ong’s assessment of rhetoric. There is much more that could be said regarding this section of Ong’s influence and scholarship. However, there is more that must be said in different areas regarding Ong’s influence in 60 years of work.

## Visual Images and Habits of Thought

Ong went on from his dissertation to leave a rather large impression on the discipline. As touched upon briefly in the commentary of his analysis of Ramus, Ong began to focus on the shift from oral to visual in learning. As Soukup (2004) notes, rhetoric shaped the thought process of society through its use in education. As a pedagogical tool, it helped people create and transmit knowledge. Over time however, the process of learning and obtaining knowledge and information began to look different. This section will focus on the transformation of learning and knowledge throughout time.

Over time, the way we learn has changed. Ong (1962a) was very interested in this, particularly when it came to analyzing a transformation of knowledge from that of spoken word to that of text:

> In many ways, the greatest shift in the way of conceiving knowledge between the ancient and the modern world takes place in the movement from a pole where knowledge is conceived of in terms of discourse and hearing and persons to one where it is conceived of in terms of observation and sight and objects. This shift dominates all others in Western intellectual history, and as compared to it, the supposed shift from a deductive to an inductive method pales into insignificance. For, in terms of this shift, the coming into prominence of deduction, which must be thought of in terms of visual, not auditory, analogies—the ‘drawing’ of conclusions, and so on, not the ‘hearing’ of a master—is already a shift toward the visual and a preparatory step for induction, from which deduction was never entirely separated anyhow. Stress on induction follows the stress on deduction as manifesting a still further visualization in the approach to knowledge, with tactics based on ‘observation,’ and approach preferably through sight. (pp. 70-71)

Learning in the Western tradition shifted from being centered on discourse to observation and sight, bringing rhetoric and logic together. Rhetorical pedogogy relied on discourse and apprenticeship with a master teacher. The shift to observational approaches allowed for collective growth of knowledge, rather than reliance on a group of earlier "masters." As the process of learning develops, the ability for those to not simply learn from a master, but to learn from observation and drawing conclusions promotes logic rather than discourse. Likewise, there evolves a shift in focus from the guiding teacher to the autonomous learner. This analysis was only one of a number of reformist critiques of education; such reforms are common throughout history. As Ong (1962b) pointed out:

> Everybody today, it seems, wants to reform education. It would be interesting if this ambition were a mark of our times. But it is not, for an ambition to reform education is found in most of the ages known to civilization. (p. 149)

When Ong analyzed Ramus in terms of the transition of knowledge from that of rhetoric to logic, there is a sense of understanding that knowledge framed in rhetoric must cause the learning culture to remember words. In other words, when cultures are primarily learning through words, the importance of holding to words is imperative. Havelock (1963), a contemporary of Ong, commented on repetition as of extreme importance in oral culture. Ong would agree with Havelock’s assessment (Soukup, 2004). When cultures emphasize rhetoric as the primary form of learning, it is of absolute importance that the words of importance be seized upon and remembered, for that is where learning takes place. An analysis of where Ong draws this transition of learning seems most prominent in the Renaissance (That this is a commentary on Western learning. The writer acknowledges a variety of other types of learning, but Ong’s commentary on the Renaissance focuses on Western learning). The main transition of learning that takes place here is one from the emphasis of recall to the ability to refer to text (Soukup, 2004). The emphasis on text as opposed to oral recall could serve to expand the base of knowledge in an exponential way. The process of communicating and retaining information was not about what one might be able to store within the individual mind, but the idea of referring to text as a source of information and knowledge truly served to change a culture making such a transition. This was the case of the Renaissance. Learning took on new forms of visual recognition and recall which Ong (1977a) elaborated on further and termed as being a sort of visual retrieval.

As the ability to obtain knowledge and to learn changed in such a way as mentioned above the base rate at which knowledge was obtained changed. The approach to obtaining information was different. No longer did pressure reside within individual recall, but the ability to recall text became more of a focus. In essence, the Renaissance made a significant change in the approach to learning and the dissemination of knowledge. In a rather interesting sort of commentary, Ong (1977b) wrote about how our expression of words has changed to indicate that we are more of a visual culture. Soukup (2004) stated:

> Ong summarizes the effects of visualism on thinking, going so far as to show its history in the vocabularies we use. As with rhetoric, the way we talk reveals, in some ways the way we think. His list of visual words ‘used in thinking of intellect and its work’ includes ‘insight, intuition, theory, idea, evidence, species, speculation, suspicion, clear, make out, observe, represent, show, explicate, analyze, discern, distinct, form, outline, plan, field of knowledge, object’ and many others. (p. 8)

The use of such words reflects the visual and logical frame of learning in Western society. The words are marked with visual representation of obtaining knowledge. They reflect a sort of mapping out that takes place in providing a framework of learning and comprehension. Realizing the thought process that goes into mapping this sort of differentiation in learning and fostering knowledge causes one to appreciate the mind that Ong possessed in coming to such a conclusion.

Faigley (1998) mentioned Ong and the works of others mapped to the development of visual thought and the dichotomy of oral versus visual. Within the article, Faigley cited the works of other scholars linked to Ong and this particular subject matter worth noting. The work of Goody (1977), Goody & Watt (1963), Innis (1951), and Havelock (1982) are worth noting. When it comes to idea of the communication and learning (particularly the development of the visual), Goody, Innis, and Havelock come up as well and could be seen as peers working in and around the same time as one another in these particular areas. The work attributed to the scholars above syncs well with the development of culture from oral (learning through sound) to literate (learning through sight and print), which is at the heart of Ong’s (1982) text.

## The Word

While much of the focus in the first couple of sections of this chapter focuses in on a sort of transformation from oral to visual, Ong maintained a steadfast appreciation for the importance of the word and what surrounds it. The sound associated with our use of words is still a focal point of scholarship. Ong was quite particular in focusing on words, their sound, and what they in fact seemed to reveal about the interior condition of the individual (Soukup, 2004). Ong (1962c) stated:

> There is, indeed, no way for a cry to completely exteriorize itself. A mark made by our hand will remain when we are gone. But when the interior—even the physical, corporeal interior, as well as the spiritual interior of consciousness—from which a cry is emitted ceases to function as an interior, the cry itself has perished. To apprehend what a person has produced in space—a bit of writing, a picture—is not at all to be sure that he is alive. To hear his voice (provided it is not reproduced from a frozen spatial design on a phonograph disc or tape) is to be sure. (p. 28)

Soukup (2004) pointed out the significance of the interior as it related to Ong. Essentially, the interior refers to what is happening within the individual. A glimpse of the interior can be revealed to us as a society through the words and sounds coming up from out of the individual. It may not completely reflect the condition within the individual, but it serves to give us insight. Ong’s commentary of the word is occurred during a period of time when other scholars were touching on similar ideas. Lord (1960) and Havelock (1963) were mentioned in Farrell’s (2000) commentary of Ong, seeing him as a sort of cultural relativist. Lord (1960) visited the issue of performance relative to storytelling in an oral tradition. Havelock’s (1963) work dealt with issues very similar to Ong and the word, but more applied to the area of poetics. Heavily entrenched in the work is an emphasis on the oral, which relates to Ong’s commentary about the word. Soukup (2004) mentioned that Ong (1962a) produced striking commentary on the human voice as being one of an invasion into the atmosphere. The thought of the voice and word through this line of thinking is one that is rather self-revealing. Essentially, the voice coming from out of the interior of the individual reveals something of that person. It is through such revealing that individuals connect with one another. This is an important aspect that Ong would not have us miss. This commentary of interiority and sound of the word probes the issue of authenticity. How something comes out is telling of the feeling or mood associated with the word. When considering prior Ong commentary relative to Ramus and the development of learning from sound to visual, it is interesting to see that Ong went back to the perspective of language and sound and stressed the importance of investigating sound associated with the word. This is a good reminder of the idea that sound is still a relevant and important point of study. While stressing that such focus is not semantics or wordplay, Ong acknowledged that while one can draw out a lot from the process and experience of communication through investigating sound, voice, word, and interiority, the fact that there could be more going on than what he could conclude is something that he sensed (Soukup, 2004). This area of focus for Ong revealed his linguistic side of scholarship. Given discipline cross-over in communication, it still serves as a relevant piece of discussion and contribution.

Further advancing the concept of word and sound, Ong began to draw from a couple of scholars (some already mentioned above) who would prove to be peers. The work of Havelock (1963) and Lord (1960) was mentioned earlier, but it is also worth noting Ong’s draw from McLuhan (1962) and Parry (1928). Soukup (2004) identified the contribution of such scholars to Ong’s work. Havelock (1963) reinforced Ong’s assessment of the development of learning in his analysis of Ramus. The idea that the transition of learning went from that of oral to written is something that Havelock noticed. From that, he commented on how that essentially changed the pattern of thought process. This idea ties back into Ong’s (1958a) assessment of the transitional development of rhetoric to logic. While the shift seemed to be a gradual one without an absolute mark of distinction, it still impacted the process of thought. Parry (1928) and Lord (1960) studied the process of thought and recall in poetics, the way in which Ong studied rhetoric (Soukup, 2004). Finally, as a testament to Ong earning the respect of fellow scholars, McLuhan (1964) drew heavily from Ong’s (1958a) work on Ramus. Mentioned briefly earlier in the chapter, McLuhan is widely seen as an influential scholar in the discipline of Communication. McLuhan, in some respects, was an influential factor in pushing Ong forward in his research endeavors. In tracing the scholarship of Ong, his input on the work of McLuhan (Ong, 1952) was substantial. McLuhan saw a good deal of potential in the work of Ong. He supervised Ong’s thesis and at the beginning of Ong’s (1958b) close follow-up to his dissertation, he pays tribute to McLuhan by writing, “For Herbert Marshall McLuhan who started all this” (dedication). While they were similar in age, McLuhan was seen as an influential factor in encouraging Ong in the direction that he did (P. Soukup, personal communication, September 16, 2005).

Ong continued further in his commentary on the word. As he probed the word and investigated further, Soukup (2004) pointed out that he introduced the concept of “the sensorium.” Essentially, this dealt with using human senses and experience to communicate. This was introduced by Ong (1967a) in what was known as his Terry Lectures at Yale University. The lectures (oral) were bound and put into print. In some respects, that statement is a humorous sort of irony. The focus of Ong (1967b) was to set apart the oral when considering human senses and communication. Ong further exercised a commentary about cultural awareness. He acknowledged the idea that when it comes to expression, specifically with the oral, it looks different within other cultures:

> Cultures vary greatly in their exploitation of the various senses and in the way in which they relate to their conceptual apparatus to the various senses. It has been a commonplace that the ancient Hebrews and the ancient Greeks differed in the value they set on the auditory. The Hebrews tended to think of understanding as a kind of hearing, whereas the Greeks thought of it more as a kind of seeing, although far less exclusively as seeing than post-Cartesian Western man generally has tended to do. (pp. 3-4)

While this was the case for Ong in assessing Western culture, he clearly pointed out that not all cultures adhere to an oral standard of such importance.

Continuing with the word, there are two other aspects to touch on relative to Ong—the use of words and stages of communication consciousness. Ong’s focus on the use of words for debate and argumentation are worth noting. In some respects, an investigation of Ong and pedagogy reveals the setup of the education system with regard to debate and argumentation as being structured more for men than for women. Such an analysis makes sense when one considers the history of the system of Western education. As touched upon in Soukup (2004), Ong’s (1967a) work on the word revealed that people within oral cultures use words as a potential alternative to calling up arms against one another. In essence, words insert themselves into a sort of combat. One could draw from this the study of argumentation and debate. In many respects, this could be seen as and advantage to developing as an oral culture. For more commentary relative to this particular area, see Soukup (2004).

Communication and consciousness is the last area to touch upon in dealing with Ong and the word. In many respects, this is where one of Ong’s most famous works, Orality and Literacy: The Technologizing of the Word (1982) is considered. Ong noted the development of consciousness through stages within culture. Inclusive within this consciousness is the idea of knowledge and learning. How cultures develop in the area of consciousness is what Ong sought to provide commentary on in the text. Ultimately, Ong sees communication gradually developing from an oral stage into a stage of print. In his thought on Western society, Ong noted the development of a third stage of communication consciousness known as electronic communication (Soukup, 2004). Ong’s (1982) book is certainly popular, but does not provide an accurate picture of the vast amount of work covered over his career. Farrell (2000) noted that it does not serve to provide a general overview of the scholar. There is much more to his line of thought than simply this one text. While there are many to applaud the commentary of Ong in this particular text, there are also those who see it as lacking. Montenyohl (1995) took Ong to task, citing a sort of generalization about orality that was not comfortable to him as a scholar. Farrell (2000) defended Ong from Montenyohl’s criticism, citing that he was not sure that Montenyohl had done enough background research on Ong to provide just criticism of his work. With such a successful text as Ong’s (1982) was, it is hard for many not to simply read the text and see it as a fair representation of all of Ong’s work. To back Farrell, simply reading Ong (1982) does an injustice to the vast amount of work that he had contributed over a long career. While it is an excellent book and provides substantial commentary for discussion, Ong did much more as a scholar years before penning that text in the later part of his academic career.

An examination of the word relative to Ong deserves even further investigation. However, the goal of the chapter is to consider the impact of a particular scholar in communication, in terms of both scholarship and in influencing scholars. If the interest in Ong is peaked at this point, it is strongly encouraged that the reader investigates the work of Farrell (2000), Soukup (2004) for commentary.

## Stages of Communication Media, Consciousness, Digital Media and Hermeneutics

While mentioning the development of communication in stages in the prior section, there is further commentary that Ong produced. He became interested in the aspect of technology and its application to the idea of its particular stage in communication. There had been the development in Western culture from oral to literate, but what came next? Ong (1971, 1982) directed his focus to the concept of secondary orality. Soukup (2004) and Farrell (2000) touched upon this. The focus was directed toward mediums of communication in literate cultures like that of radio, television, and telephones in particular. Basically, one begins to examine the mediums of communication that are oral, but set within a literate culture. New forms of communication build on old forms. What is the effect? Ong was interested in such a question.

There are many scholars who have followed Ong in asking this question, specifically as it relates to secondary orality. Gronbeck (1991) examined the aspect of consciousness within a culture. He also examined rhetoric gets applied over different mediums, specifically focused on the idea of a one-to-many type of communication. Farrell (1991) examined the issue of secondary orality and consciousness. Silverstone (1991) developed a slightly different article relative to media studies in examining television, rhetoric, and the unconscious as it related to secondary oraltiy. Media Studies is an area of study that has taken a good look at Ong and secondary orality. In keeping with Media Studies, Sreberny-Mohammadi (1991) provided a unique perspective when examining the integration of media into Iran. Not only was the issue of media integration focused on, consciousness was part of the examination as well.

Consciousness is an area of focus as well, that ties into Ong. A number of scholars study consciousness and have, in some ways, been influenced by Ong. Swearingen (1991) looked at Ong’s contribution to Feminist Studies. Payne (1991) examined the consciousness of media and rhetoric while examining characterology. Finally, El Saffar (1991) examined the issue of consciousness as it related to language and identity.

The stages at which cultures developed were of particular interest to Ong. Regardless of the transition from one stage to another, Ong keyed in on questions of transformation, medium incorporation (specifically as it related to secondary orality), and consciousness.

As we conclude the areas of influence attributed to Ong, we close with one quite relative to the advent and exponential growth of new technology. Digital or computer-based communication was an area that caught Ong’s eye, particularly at the latter stages of his academic career. Soukup (2004) commented:

> Modern, electronic communications help us in yet another way to understand what is going on with texts. The sense of immediacy of electronics gives readers a sense of proximity to events reported. That too, occurs with texts. With a text that works well, readers enter into the text, ‘into the immediacy of the writer’s experience’ (p.499). But electronic communication also reveals that this immediacy is highly mediated and thus somewhat artificial. (pp. 18-19)

Soukup (2004) further noted that understanding code and speed of transmission helps us to understand how communication works in a digital realm. Many shy away from understanding transmission, which, ironically touches on the issue of consciousness (or lack of). Welch (1999) wrote about electronic rhetoric and new literacy as it specifically to computers and their implementation into society and looked at understanding their impact.

Most important within this final section is the issue of interpretation and comprehension. As we continue to emerge in an age of digital transmission of information, the word hermeneutics comes up continuously within Ong’s work. We have technologies growing at rather quick rates that transmit data digitally. While we understand much of what we see on the front end of a technology, the ability to understand how we arrive at transmitting such information is of importance for Ong. It is a challenge, but the process of encoding and decoding information is something to be interpreted and understood. Capurro (2000) focused on the subject of hermeneutics and the process of storage and retrieval of information. While understanding that a technological structure emerges in the subject of digital communication, Ong also noted that there is still a need to deal with social structure as well (Soukup, 2004). Essentially, understand the technology and understand social structure. The requirement to do so is interpretation. Soukup (2004) noted that the process of interpretation summarized much of Ong’s thoughts about communication. This has to do with everything, particularly in dealing with orality, literacy, secondary orality, and digital communication.

## Conclusion

The impact of Walter Ong is significant. Not only did he produce excellent scholarship in the areas mentioned above, he made a significant impact on scholars. From his early research of the history of rhetoric to his analysis of digital hermeneutics, his thoughts provoked further scholarship from those mentioned above. It is worth noting that many others have been influenced by the contribution of Ong. For the purpose of this chapter, the selection of scholars touched by his scholarship had to be limited. Refer to the references list below for further inquiry into the above concepts. With all that had been accomplished in his career, it is clear that Ong was clearly an influential scholar in the twentieth century. Further research continues in many areas relative to the trail paved by scholars like Ong.

## References

Capurro, R. (2000). Hermeneutics and the phenomenon of information. _Research in Philosophy and Technology, 19,_ 79-85.

El Saffar, R. (1991). The body’s place: Language, identity, consciousness. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong's thought_ (pp. 182-193). Newbury Park, CA: Sage.

Faigley, L. (1998). Visual rhetoric: Literacy by design. Keynote speech presented at the Center for Interdisciplinary Studies of Writing 1998 conference, _Technology and literacy in a wired academy_, Minneapolis, MN.

Farrell, T. J. (1991). Secondary orality and consciousness today. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong's thought_ (pp. 194-209). Newbury Park, CA: Sage.

Farrell, T. J. (2000). _Walter Ong's contributions to cultural studies: The phenomenology of the word and I-thou communication_. Cresskill, NJ: Hampton Press.

Golden, J. L., Berquist, G. F., Coleman, W. E., & Sproule, J. M. (Eds.). (2004). _The rhetoric of western thought: From the Mediterranean world to the global setting_ (8th ed.). Dubuque, IA: Kendall/Hunt Publishing Company.

Goody, J. (1977). _The domestication of the savage mind_. Cambridge: Cambridge University Press.

Goody, J., & Watt, I. P. (1963). The consequences of literacy. _Comparitive Studies in Society and History, 5,_ 304-345.

Gronbeck, B. E. (1991). The rhetorical studies tradition and Walter J. Ong: Oral-literacy theories of mediation, culture, and consciousness. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong’s thought_ (pp. 5-24). Newbury Park, CA: Sage.

Havelock, E. A. (1963). _Preface to Plato_. Cambridge, MA: Bellknap Press of Harvard University Press.

Havelock, E. A. (1982). _The Literate Revolution in Greece and its cultural consequences_. Princeton, NJ: Princeton University Press.

Innis, H. A. (1951). _The bias of communication_. Toronto: The University of Toronto Press.

Kaufer, D. S., & Butler, B. S. (1996). _Rhetoric and the arts of design_. Mahwah, NJ: Lawrence Erlbaum Associates Publishers.

Lord, A. B. (1960). _The singer of tales_. Cambridge, MA: Harvard University Press.

McLuhan, M. (1962). _The Gutenberg galaxy: The making of typographic man_. Toronto: University of Toronto Press.

McLuhan, M. (1964). _Understanding media: The extensions of man_. New York: McGraw Hill.

Montenyohl, E. L. (1995). Oralities (and literacies): Comments on the relationship of contemporary folklorists and literary studies. In C. L. Preston (Ed.), _Folklore, literature, and cultural studies: Collected essays_ (pp. 240-256). New York: Garland Publishing.

Moss, J. D. (2004). Rhetoric, the measure of all things. _MLN, 119,_ 556-565.

Neil, S. D. (1993). _Clarifying McLuhan: An assessment of process and product_. Westport, CT: Greenwood Press.

Ong, W. J. (1952). The Mechanical Bride: Christen folklore of industrial man. Review article of The Mechanical Bride: Folklore of Industrial Man. By Herbert Marshall McLuhan. _Social Order 2_ (Feb.), 79-85.

Ong, W. J. (1958a). _Ramus, method, and the decay of dialogue: From the art of discourse to the art of reason_. Cambridge, MA: Harvard University Press.

Ong, W. J. (1958b). Ramus and Talon inventory: A short-title inventory of the published works of Peter Ramus (1515-1572), and of Omer Talon (ca. 1510-1562) in their original and in their variously altered forms. With related material: 1. The Ramist controversies: A descriptive catalogue. 2. Agricola check list: A short-title inventory of some printed editions and printed compendia of Rudolph Agricola’s Dialectical inventory (De inventione dialectica). Cambridge, MA: Harvard University Press.

Ong, W. J. (1962a). Five: System, space, and intellect in renaissance symbolism. In W. J. Ong, _The barbarian within: And other fugitive essays and studies_ (pp. 68-87). New York and London: The Macmillan Company.

Ong, W. J. (1962b). Eight: Educationists and the tradition of learning. In W. J. Ong, _The barbarian within: And other fugitive essays and studies_ (pp. 149-163). New York and London: The Macmillan Company.

Ong, W. J. (1962c). Two: A dialectic of aural and objective correlatives. In W. J. Ong, _The barbarian within: And other fugitive essays and studies_ (pp. 26-40). New York and London: The Macmillan Company.

Ong, W. J. (1967a). _The presence of the word: Some prolegomena for cultural and religious history_. New Haven and London: Yale University Press.

Ong, W. J. (1967b). The word and the sensorium. In W. J. Ong, _The presence of the word: Some prolegomena for cultural and religious history_. New Haven and London: Yale University Press.

Ong, W. J. (1968). Knowledge in time. In W. J. Ong, _Knowledge and the future of man: An international symposium_ (pp. 3-38). New York, Chicago, and San Francisco: Holt, Rinehart & Winston, Inc.

Ong, W. J. (1971). Rhetoric and the origins of consciousness. In W. J. Ong, _Rhetoric, romance, and technology_ (pp. 1-22). Ithaca and London: Cornell University Press.

Ong, W. J. (1977a). Typographic rhapsody: Ravisius Textor, Zwinger, and Shakespeare. In W. J. Ong, _Interfaces of the word: Studies in the evolution of consciousness and culture_ (pp. 146-188). Ithaca and London: Cornell University Press.

Ong, W. J. (1977b). "I see what you say": sense analogues for intellect. In W. J. Ong, _Interfaces of the word: Studies in the evolution of consciousness and culture_ (pp. 121-144). Ithaca and London: Cornell University Press.

Ong, W. J. (1982). _Orality and literacy: The technologizing of the word_. London and New York: Methuen.

Parry, M. (1928). _L’Ephithete traditionelle dans Homere_. Paris: Societe Editrice Les Belles Lettres.

Payne, D. (1991). Characterology, media, and rhetoric. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong’s thought_ (pp. 223-236). Newbury Park, CA: Sage.

Poster, C. (2001). Being, time, and definition: Toward a semiotics of figural rhetoric. _Philosophy & Rhetoric, 33,_ 116-136.

Silverstone, R. (1991). Television, rhetoric, and the return of the unconscious in secondary oral culture. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong's thought_ (pp. 147-159). Newbury Park, CA: Sage.

Soukup, P. A. (2004). Walter J. Ong, S. J.: A retrospective. _Communication Research Trends, 23,_ 3-23.

Sreberny-Mohammadi, A. (1991) Media integration in the Third World: An Ongian look at Iran. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong’s thought_ (pp. 133-146). Newbury Park, CA: Sage.

Swearingen, C. J. (1991). Discourse, difference, and gender: Walter J. Ong’s contributions to feminist language studies. In B. E. Gronbeck, T. J. Farrell, & P. A. Soukup (Eds.), _Media, consciousness, and culture: Explorations of Walter Ong’s thought_ (pp. 210-222). Newbury Park, CA: Sage.

Walter J. Ong (2005, September 30). _Wikipedia: The Free Encyclopedia._ Retrieved September 30, 2005, from <http://en.wikipedia.org/wiki/Walter_Ong>.

Welch, K. E. (1999). _Electric rhetoric: Classical rhetoric, oralism, and a new literacy_. Massachusetts Institute of Technology Press.

Youngkin, B. R. (1995). _The contribution of Walter J. Ong to the study of rhetoric: History and metaphor_. Lewiston, NY: Mellen University Press.

## More Information

# Diffusion of Innovations

## **Origins of the diffusion paradigm**

According to Rogers (1995), the study of the diffusion of innovations (DOI) can be traced back to the investigations of French sociologist Gabriel Tarde (p. 52). Tarde attempted to explain why some innovations are adopted and spread throughout a society, while others are ignored. At the beginning of the twentieth century, Tarde was witness to the development of many new inventions, many of which led to social and cultural change. In his book _The Laws of Imitation_ (1903), Tarde introduced the S-shaped curve and opinion leadership, focusing on the role of socioeconomic status (for example, a cosmopolitan individual is more likely to adopt new products). Even though he did not specify and clarify key diffusion concepts, his insights affected the development of many social scientific disciplines such as geography, economics, and anthropology. Sociologist F. Stuart Chapin, for example, studied longitudinal growth patterns in various social institutions, and found that S-shaped curves best described the adoption of phenomena such as the commission form of city government (Lowery & Defleur, 1995, p. 118).

## The basic research paradigm for the diffusion of innovations

The fundamental research paradigm for the diffusion of innovations can be traced to the Iowa study of hybrid seed corn. Bryce Ryan and Neal C. Gross (1943) investigated the diffusion of hybrid seed corn among Iowa farmers. According to Lowery and DeFleur (1995), the background of rural sociology should first be understood before one can discuss how and why the hybrid seed corn study was conducted. The [Morrill Act](http://en.wikipedia.org/wiki/Morrill_Act) helped “the states establish educational institutions that would be of special benefit to rural youth” (p. 120). Federal funds and other financial supports were given to these land-grant institutions in order to increase the development of the nation’s agricultural industry (p. 120). After World War II, rural sociologists changed their research focus on human problems among farmers because new agricultural technology such as new pesticides, new farm machine, and hybrid seed corn appeared. But in spite of these developments, some farmers ignored or resisted these new innovations. Rural sociologists at land-grant universities in the Midwestern United States such as Iowa State, Michigan State, and Ohio State Universities, performed many diffusion studies to find out the causes of adoption of innovations. One of these efforts was the hybrid seed corn study conducted by Ryan and Gross (1943). These researchers attempted to explain why some farmers adopted the hybrid seed corn, while others did not.

## Bryce Ryan and Neal C. Gross

Bryce Ryan earned a Ph. D in sociology at [Harvard University](http://en.wikipedia.org/wiki/Harvard). During his doctoral studies, Ryan was required to take interdisciplinary courses in economics, anthropology, and social psychology. This intellectual background helped him conduct the diffusion studies. In 1938, Ryan became a professor at [Iowa State University](http://en.wikipedia.org/wiki/Iowa_State) which is known for its agricultural focus. At that time, Iowa State administrators were worried about the slow rate at which the hybrid seed corn was being adopted. Despite the fact that the use of this new innovation could lead to an increase in quality and production, an advantageous adoption by Iowa Farmers was slow. Ryan proposed the study of the diffusion of the hybrid seed corn and received funding from Iowa Agricultural Experiment Station, Iowa State University’s research and development organization. Contrary to previous research, which employed anthropological style approaches using qualitative methods, Ryan employed a quantitative survey method in his study. According to Rogers (1996), Ryan was encouraged to use this quantitative method by “professors in the Department of Statistics, such as Paul G. Homemeyer, Ray J. Jessen, and Snedecor” (p. 415).

When Ryan arrived at Iowa State University, Neal C. Gross was a graduate student who was soon assigned as Ryan’s research assistant. Ryan asked him to conduct interviews with Iowa farmers through survey research. Gross gathered the data from the Iowa communities of Jefferson and Grand Junction. Rogers (1996) mentioned that “by coincidence, these communities were located within 30 miles of where he grew up on a farm” (p. 415). It is also interesting to note that Rogers earned a Ph. D. in sociology and statistics at Iowa State University in 1957.

## The Iowa Study of Hybrid Seed Corn: The Adoption of Innovation

As noted above, the hybrid seed corn had many advantages compared to traditional seed, such as the hybrid seed's vigor and resistance to drought and disease. However, there were some barriers to prevent Iowa farmers from adopting the hybrid seed corn. One problem was that the hybrid seed corn could not reproduce (p. 122). This meant that the hybrid seed was relatively expensive for Iowa farmers, especially at the time of the Depression. Therefore, it is reasonable to assume that, despite the economic profit that the hybrid seed corn brought, its high price made a adoption among Iowa farmers remain slow.

According to Lowery and DeFleur (1995), Ryan and Gross sought to explain how the hybrid seed corn came to attention and which of two channels (i.e., mass communication and interpersonal communication with peers) led farmers to adopt the new innovation. They found that each channel has different functions. Mass communication functioned as the source of initial information, while interpersonal networks functioned as the influence over the farmers’ decisions to adopt (p. 125). One of the most important findings in this study is that “the adoption of innovation depends on some combination of well-established interpersonal ties and habitual exposure to mass communication” (p. 127). Ryan and Gross also found that the rate of adoption of hybrid seed corn followed an S-shaped curve, and that there were four different types of adopters. According to Rogers (1995), Ryan and Gross also made a contribution by identifying the five major stages in the adoption process, which were awareness, interest, evaluation, trial, and adoption. After Ryan and Gross’s hybrid corn study, about 5,000 papers about diffusion were published in 1994 (Rogers, 1995).

## Medical innovation: Diffusion of a medical drug among doctors

According to Rogers (1996), diffusion theory became more widely accepted after James S. Coleman, Elihu Katz, and Herbert Menzel conducted a study on the diffusion of tetracycline, a new medical drug, in 1966. The Pfizer drug company invented this successful new drug and wanted to investigate the effectiveness of their tetracycline advertisements, which were placed in medical journals. The company asked three professors at Columbia University to find out how physicians adopted the new innovation and how mass communication influenced this adoption process. They conducted a survey to gather accurate and reliable data. Different with previous diffusion research that relied on respondents’ recall of how they adopted new technology, this study gathered data both from physicians' responses and pharmacies' prescription. In addition to this, Coleman et al. (1966) asked their respondents to list their interpersonal connections in order to investigate the effect of interpersonal network links with the new drug adoption. The result shows that the percentage of adoption of the new drug followed an S-shaped curve, but that the rate of tetracycline adoption was faster than the rate of other innovations adoption. The researchers also found that doctors who are cosmopolite were likely to adopt the new drug. One of the most important findings was that doctors who had more interpersonal networks adopted the new medical drug more quickly than those that did not. This meant that interpersonal communication channels with peers had a strong influence on the adoption process. Rogers (1996) noted that this Columbia University study is “one of the most influential diffusion studies in showing that the diffusion of an innovation is essentially a social process that occurs through interpersonal networks” (p. 419). In fact, Rogers (1996) mentioned that even though the study of Ryan and Gross became a milestone in diffusion paradigm, they did not measure the interpersonal network links among farmers. In this case, the Columbia University Drug Study made a contribution to identify the importance of social networks in the diffusion process.

## Everett M. Rogers

Rogers was born in Carroll, Iowa in 1931. He earned his B.A., M.A., and Ph.D. degrees from Iowa State University. For two years during the Korean War, he served in the U.S. Air Force. Interestingly, in 1966, he worked on some family planning communication projects in Korea.

One interesting thing worthy mentioning is that Rogers’ father was a farmer who resisted adopting the hybrid seed corn (Singhal, 2005, p.287). Due to the drought in Iowa in 1936, the Rogers’ farm withered, which made Rogers personally involved in the diffusion research. In the 1950's, Iowa State University was a perfect place for studying the diffusion of innovations, as the school's program focused on a rural sociology, agriculture, and statistics. The experience there led Rogers to dive into the research about why some innovations are adopted while others are ignored. Employed by Michigan State University in 1962, Rogers obtained opportunity to study diffusion in developing countries of Asia, Latin America, and Africa. Meanwhile, he published the book, _Diffusion of Innovations_, which earned him his academic reputation. Rogers’ comprehensive insights in the book helped to expand diffusion theory. The book has become the standard textbook on diffusion theory and it creats applications of diffusion theory in such fields as geography, economics, psychology, political science, and, as previously mentioned, communication. Rogers retired from University of New Mexico in 2004 because he was suffering from kidney disease. He died on October 21, 2005.

## Overview of the diffusion of innovations

According to Rogers (1996), diffusion refers to “the process by which an innovation is communicated through certain channels over time among the members of a social system. An Innovation is an idea, practice or object perceived as new by an individual or other unit of adoption. The diffusion of innovations involves both mass media and interpersonal communication channels” (p. 409). That is, by sharing communication channels such as interpersonal communication or mass communication people can get information of an innovation and perceive its innovation as useful. Lasswell (1948) presented a well-known model of communication that is analyzed as five parts, S-M-C-R-E (e.g., sender-message-channel-receiver-effect). Rogers (1995) mentioned, “this S-M-C-R-E communication model corresponds closely to the elements of diffusion” (p. 19). Specifically, (1) sender can be inventors or opinion leaders, (2) message can be a new idea or product, (3) channels can be interpersonal or mass communication, (4) receivers can be members of a social system, and finally (5) the effects can be individual’s adoption or social change. In the diffusion theory, ‘Time’ variable is a very important factor. According to Rogers (1995), time variable is involved in diffusion in (1) the innovation-decision process; (2) innovativeness; (3) an innovation’s rate of adoption.

Most innovations have an S-shaped rate of adoption. Diffusion research has attempted to explain the variables that influence how and why users and audience adopt a new information medium, such as the Internet. According to evolution of media technology, interpersonal influences are important even though in the past the individual is usually the unit of analysis. Also, critical mass becomes an important factor in adopting new media because new media are interactive tools and thus are required by many users to gain efficiency. That is, the more people use, the more people get benefits. In this sense, diffusion theory not only can apply to practical things, but also can be related to digital divide.

There are five different types of adopters in the diffusion process, according to Innovativeness: “(1) Innovators (venturesome), (2) Early Adopters (respectable), (3) Early Majority (Deliberate), (4) Late Majority (skeptical), and (5) Laggards (traditional)” (Rogers, 1995, pp. 183-185). Rogers defined this term as “the degree to which an individual is relatively earlier in adopting new ideas than other members of his social system” (Rogers, 1995, p. 40). Figure 1 shows the relationships between types of adopters divided by innovativeness and their place on the adoption curve. Also, these categories follow a standard deviation curve which is bell-shaped.

Source by www2.gsu.edu/~wwwitr/docs/diffusion/

Figure 2 shows that an innovation would spread through society over various periods of time in a S-shaped curve. However, as noted above, different types of innovations (e.g., the rate of tetracycline adoption is faster than that of the hybrid seed corn) can have their own different rates in diffusion.

Figure 2. Shapes of curves of diffusions for innovations

Source by: www.mitsue.co.jp/english/case/concept/02.html

When it comes to the process of innovation-decisions, Rogers (1995) mentioned that there are five stages.

  1. Knowledge + or – (selective exposure or awareness of news)
  2. Attitudes + or – (people have positive or negative attitude toward innovations)
  3. Adoption (Decision): people decide to adopt the innovation
  4. Implementation (regular or standard practice)
  5. Confirmation (comparing and evaluating)

Rogers introduced perceived characteristics of innovations that consist of (1) relative advantage (2) compatibility (3) complexity (4) triability (5) observability. Based on these five criteria, individuals perceive an innovation as new or useful and decide to adopt it. For example, Rogers (1995) defined relative advantage as “the degree to which an innovation is perceived as better than the idea it supersedes” (p.15).” New media such as the mp3 will displace conventional media such as CDs or tapes when people perceive new media as advantageous (e.g., low cost or means to be cool). When an individual decides to adopt new media or switch old media with new media, the perceived characteristics of innovations play an important role in reducing some uncertainty about the innovations.

## Unit of analysis on diffusion theory

Diffusion of innovation theory attempts to explain how an innovation is spread and why it is adopted at both the micro and macro levels of analysis. Rogers (1996) mentioned, “the individual is usually the unit of analysis, although in recent years a number of studies have been conducted in which an individual organization is the unit of analysis (Wildemuth, 1992; Zaltman, Duncan, & Holbek, 1973)” (p. 418). This characteristic of unit of analysis is due to research methods, such as utilizing a survey to study diffusion. Many studies have focused on individual decisions or adoption. In contrast, diffusion theory considers analysis at both the micro-individual and macro-social levels. This is because studies of diffusion include both an innovation at the micro level, as well as its influence, such as social change, at the macro level.

Rogers (1995) suggested that the four main elements in the diffusion of innovation process were innovation, communication channels, time, and social system. Individuals’ innovativeness, or psychological factors such as communication needs, are analyzed as micro-independent variables. At the macro-social level, this theory assumes that social systems, such as norms, can affect an individual’s adoption or use of an innovation. In terms of communication channels, diffusion of an innovation involves both interpersonal channels (micro) and mass communication channels (macro). By utilizing both mass and interpersonal communication channels, people can get information about an innovation and perceive its usefulness. Therefore, diffusion theory requires both micro-individual and macro-social analysis.

## Several diffusion research streams

According to Rice & Webster (2002), ["research and models of the adoption, diffusion, and use of new communication media in organizational settings have arisen from several research streams -- diffusion of innovations, media choice, and implementation of information systems." According to the previous writer of this Wikibook,] we can classify diffusion research and models into three categories: (1) diffusion of innovations (e.g., Rogers, 1995), (2) media choice (e.g., Daft & Lengel, 1986), and (3) implementation of information systems (e.g., Saga & Zmud, 1994). [Unfortunately, one cannot generalize all diffusion research and models with an explanation of diffusion of new communication media.] Table 1 shows that each dependent variable, according to three primary streams of diffusion studies.

Table 1 (Needs to be cleaned up using piping!) The diffusion Of innovation The Media choice The Information system Dependent variable Media adoption Usage Choice Evaluation Acceptance User satisfaction Source by: Rice, R., & Webster, J. (2002). Adoption, diffusion and use of new media. In C. Lin and D. Atkin (Eds.), Communication Technology and Society.

That is, the ‘diffusion of innovations’ studies emphasize characteristics of an innovation and the role of communication channels in adopting the innovation, the ‘media choice’ studies focus on the interaction between individual characteristics and social influences in choosing some innovations, and the ‘implementation’ studies assume that the variables such as technology design or ease of use will affect media use (Rice & Webster, 2002, p.192).

The diffusion tradition has classified people, in terms of demographics, in explaining the variables that influence the adoption of an innovation. For that reason, some scholars often criticize that this theory may not provide a causal explanation of why and how people adopt certain technologies. Nevertheless, when it comes to the use and choice of old and new media, diffusion theory will be suited for explaining why some people prefer to use the old media or new media, because this theory provides some conceptual guidance for understanding the adoption of some technologies or innovations. According to evolution of media technology, interpersonal influences or channels are important even though in the past the individual is usually the unit of analysis. Also, critical mass becomes an important factor in adopting new media because new media are interactive tools and thus are required to many users for getting efficiency. That is, the more people use, the more people get benefits. Markus (1987) proposed that the value of an interactive communication medium is associated with the number of other users. For example, in the case of the mp3, a social influence such as peer pressure that interacts with young generation needs to be cool or to gain status drives young people to adopt the mp3 as an innovation. Besides, when it comes to the emergence of interactive communication such as the new communication technologies, Rogers (1996) mentioned, “a critical mass occurs when the diffusion process becomes self-sustaining. After the critical mass point, individuals in a system perceive that “everybody else” has adopted the interactive innovation. With each successive adopter of an interactive innovation, the new idea becomes more valuable not only for each future adopter, but also for each previous adopter” (p. 418-419). When it comes to the future of diffusion theory, we expect that the popularity of diffusion research will increase because as in recent years, new communication technologies have increased and proliferated.

## Diffusion study and Two-Step Flow study

According to Lowery and Defleur (1995), since diffusion study emphasizes the role of interpersonal communications, the diffusion study by Ryan and Gross “parallels what was independently found by Lazarsfeld and his associates in the discovery of the two-step flow process in the very different setting of The People’s Choice” (p. 132). "The People’s Choice” showed that audiences are not powerless and passive. The study showed that interpersonal channels, such as opinion leaders, are more important than the mass media. Unlike magic bullet theory, both of these studies emphasized the role of the opinion leaders and interpersonal communication, such as face-to-face interactions influencing decision-making.

## References

_Alexander, P. J. (1994). Entry barriers, release behavior, and multiproduct firms in the music recording industry._ Review of Industrial Organization_, 9, 85-98._

Allen, D. (1983). New telecommunication services: Network externalities and critical mass. _Telecommunications Policy_, 12, 57-271.

Crane, D. (1972). _Invisible colleges_. Chicago, IL: University of Chicago Press.

Coleman, J. S., Katz, E., & Mentzel, H. (1966). _Medical innovation: Diffusion of a medical drug among doctors_. Indianapolis, MN: Bobbs-Merrill.

Daft, R. L., & Lengel, R. H. (1986). A proposed integration among organizational information requirements, media richness, and structural design. _Management Science_, 32, 554-571.

Deutschmann, P. J., & Fals Borda, O. (1962). _Communication and adoption patterns in an Andean villege_. San Jose, Costa Rice: Programa Intermericano de Information Popular.

Chapin, F.S. (1928). _Cultural change_. New York: Century Company.

Lasswell, H. D. (1948). The structure and function of communication in society. In L. Bryson (Ed.), _The communication of ideas_. New York: Harper & Co, 33-51.

Lowery, S.A., & DeFleur, M.L. (1995). _Milestones in Mass Communication research_. White Plains, NY: Longman Publishers USA.

Markus, M.L. (1987). Toward a “critical mass” theory of interactive media: Universal access, interdependence and diffusion. _Communication Research_, 14, 491-511.

Rogers, E.M. (1976). New product adoption and diffusion. _Journal of Consumer Research_, 2, 290–301.

Rogers, E.M. (1994). _A history of communication study: A biographical approach_. New York: Free Press.

Rogers, E.M. (1995). _Diffusion of Innovations_ (4th ed.). New York: Free Press.

Rogers, E., & Singhal, A. (1996). _Diffusion of innovations_. In Salwen and Stacks, op. cit., (pp. 409-420).

Ryan & Gross (1943), “The Diffusion of Hybrid Seed Corn in Two Iowa Communities, ” _Rural Sociology 8_ (March): 15.

Saga, V. L., & Zmud, R. W. (1994). The nature and determinants of IT acceptance, routinization, and infusion. In L. Levine (Ed.), _Diffusion, transfer and implementation of information technology_ (pp. 67-86). Amsterdam: North-Holland.

Singhal, A. (2005). Forum: the life and work of Everett Rogers- some personal reflections. _Journal of Health Communication_, 10, 4.

Tarde, G. (1903). _The laws of imitiation_, (E. C. Parsons, Trans.). New York: Holt.

Wildemuth, B. M. (1992). An empirically grounded model of the adoption of intellectual technologies. _Journal of the American Society for Information Sciences_, 43, 210-224.

Zaltman, G., Duncan, R., & Holbek, J. (1973). _Innovations and organizations_. New York: Wiley.

## More Information

# Sociological Systems

Communication Theory has one universal law, written by S. F. Scudder in the early 1900s, and later published in 1980. The Universal Communication Law states that, "All living entities, beings and creatures communicate." In a an unpublished interview, Scudder clarified the concept - "All of "The Living" communicate through movements, sounds, reactions, physical changes, gestures, languages, breath, color transformations, etc. Communication is a means of survival, existence and being and does not need another to acknowledge its presence. Examples - the cry of a child (communication that it is hungry, hurt, cold, etc.); the browning of a leaf (communication that it is dehydrated, thirsty per se, dying); the cry of an animal (communicating that it is injured, hungry, angry, etc.). Henceforth, Everything living communicates."

## Social Systems

When the second World War ended in Europe, seventeen-year-old Niklas Luhmann had been serving as an anti-aircraft auxiliary in the German army. He was briefly detained by the Americans. When asked in 1987 to describe this experience, he replied:

> Before 1945, the hope was that after the defeat of the compulsory apparatus everything would be right by itself. Yet the first thing I experienced in American captivity was that my watch was taken off my arm and that I was beaten up. So it was not at all as I had thought it would be. Soon you could see that one could not compare political regimes according to a scheme of `good' versus `bad', but that you had to judge the figures according to a bounded reality. Of course I don't want to say that the time of the Nazi-regime and the time after 1945 are to be judged on equal terms. Yet I was simply disappointed in 1945. Yet is that really important? In any case the experience of the Nazi-regime for me has not been a moral one, but an experience of the arbitrary, of power, of the tactics to avoid the regime used by the man of the people. (Luhmann qtd. in Baecker, 2005)

The realization that human realities were subjective appears to have influenced the famous sociologist throughout the rest of his life. This chapter will introduce Luhmann and a few remarkable aspects of his theory.

### Introduction

> The type of communication theory I am trying to advise therefore starts from the premise that communication is improbable, despite the fact that we experience and practice it every day of our lives and would not exist without it. This improbability of which we have become unaware must first be understood, and to do so requires what might be described as a contra-phenomenological effort, viewing communication not as a phenomenon but as a problem; thus, instead of looking for the most appropriate concept to cover the facts, we must first ask how communication is possible at all. (Luhmann 1990, p. 87)

The body of work produced by German sociologist Niklas Luhmann probably represents history’s most comprehensive attempt by one man to explain the whole of social existence. The above quotation hints at the essential nature of Luhmann’s thought – no “accepted wisdom” of the social science tradition could be left unexamined. Through more than 50 books and 400 articles, Luhmann applied his sociological systems theory to areas including law, science, religion, economics, politics, love, and art. Sociological systems have become one of the most popular theoretical models in contemporary German sociology, and are also widely applied in fields such as psychology, management science, and literary studies. A primary distinction of Luhmann’s social systems theory is that its focus of analysis is not individuals, groups, behaviors, or institutions, but the communication that occurs within systems. Dirk Baecker, a student of Luhmann’s explains that the systems theory “does away with the notion of system in all its traditional wording” and can carefully examine “every possible assumption of organism, mechanism, and information” – even, recursively, its own structure (Baecker 2001, p. 72). This realignment towards communication represents a significant break with social science tradition. Although Luhmann’s theory (or for that matter, most systems theories) do not lend themselves well to reduction, this chapter will attempt to present an overview of the subject.

### Life in Brief

Niklas Luhmann was born in 1927. Following his teenage stint in the army, he went on to study law at the Universität Freiburg from 1946-1949 (Müller 2005). He trained as a lawyer, but found the intellectual constraints of practicing law not to his liking. He decided to go into public administration, as it promised him more freedom to pursue his own ideas (Hornung 1998). Luhmann became a civil servant for the town of Lüneburg in 1954. Although he enjoyed his work, he accepted the opportunity to take a sabbatical leave to study administrative science at Harvard University in 1960. Here Luhmann became a student of systems theorist Talcott Parsons, a thinker who would have a great impact on the development of Luhmann’s theories. After returning to Germany in 1961, Luhmann transferred to a research institute at the Hochschule für Verwaltungswissenschaften (School of Public Administration) in Speyer. Here he was afforded the freedom to pursue his scientific interests, and began his research of social structure.

In 1965, Luhmann studied Sociology for a single semester at the Universität Münster. He was awarded a PhD and Habilitation (a postdoctoral qualification enabling one to teach at the university level) for two books previously published. After briefly occupying [Theodor Adorno](http://en.wikibooks.org/wiki/Communication_Theory/The_Frankfurt_School)’s former chair at the Universität Frankfurt, (where he taught a poorly-attended seminar on the sociology of love), he accepted a position at the newly-founded Reformuniversität Bielefeld (Baecker, 2005).

In 1973 he engaged in a debate with theorist [Jürgen Habermas](http://en.wikipedia.org/wiki/Habermas) about the role of social theory. This debate was later published as a series of essays in _Theorie der Gesellschaft oder Sozialtechnologie: Was leistet die Systemforschung?_ (_Theory of Society or Social Technology: What can Systems Research Accomplish?_) (1973). The debate with Habermas (whose theory receives a much wider acceptance outside of Germany) served as the Anglophonic world’s major introduction to Luhmann’s thought.

Luhmann published profusely throughout his career, with each book and essay building a foundation for his final theory of society. He retired from this position in 1993, but continued to publish. His magnum opus, _Die Gesellschaft der Gesellschaft_ (_The Society of the Society_) was published a year before his death in 1997.

### Early Influences

By the end of the 19th century, industrialization had profoundly changed the Western world. Sociology had come into its own as a science: Karl Marx published profusely throughout the mid-1800s. [Ferdinand Tönnies](http://en.wikipedia.org/wiki/Ferdinand_Tonnies) (1887) described social flows from Gemeinschaft (community, relationship oriented association) toward Gesellschaft (self interest oriented society) in 1887. Emile Durkheim (1893) explored the division of labor a few years later, and opened the first European sociology department in 1896. [Max Weber](http://en.wikipedia.org/wiki/Max_Weber) developed new methodological approaches and also founded a sociology department by 1920. While these fathers of the discipline differed greatly in their research and philosophy of society, they all recognized that the function and dysfunction of society is linked to the function and dysfunction of different social components such as classes, institutions, technologies, or individuals.

#### Durkheim’s Functionalism

Durkheim’s theory of functionalism, in particular, had a lasting impact upon the social sciences. Durkheim argued that “social facts” existed independent of individuals and institutions, and that these facts were the most productive subject for empirical sociological research. Social facts (such as suicide rates (Durkheim 1951), policies, or church attendance) can be measured, interpreted, and tested. Social theories derived from these analyses can then be used to explain social functioning.

> The determination of function is . . . necessary for the complete explanation of the phenomena. . . .To explain a social fact it is not enough to show the cause on which it depends; we must also, at least in most cases, show its function in the establishment of social order. (1950, p. 97)

Durkheim’s functionalism measured social effects within the context of a larger social environment. Durkheim’s 1893 book The Division of Labor in Society focused on labor division in an attempt to describe and explain social order. He elaborated on the manner in which increasing labor division affects the evolution of societies.

#### Parsonian Social Systems

Talcott Parsons, who would become America’s preeminent social theorist throughout the mid-20th century, drew on Durkheim’s functionalism in the development of his theory of social action. He was also able to integrate concepts from the burgeoning fields of general systems theory (von Bertalanffy, 1950; 1976), information theory (Shannon & Weaver, 1949), and social cybernetics (Wiener, 1948; 1950). Whereas Durkheim was content to develop sociology as a discipline alongside the other social sciences, Parsons became the advocate of a “grand theory” that could subsume the other social sciences. Drawing heavily from Weber’s writings on action (which Parsons translated himself), Parsons’ functionalism was developed as a theory of action. Individuals were understood as acting of their own volition, influenced in their behavior by external forces. As a component of this larger theory, Parsons developed the theory of the social system. His “social system” is generally synonymous with the term “society” and emerges from the interaction of individuals (Parsons, 1951). For the purposes of this chapter only a few features of Parson’s theory can be discussed. These will include his conceptions of the functional imperatives of action and the notion of equilibrium.

##### Equilibrium

Parsons’ social equilibrium is the orderly, smoothly functioning society. It is the result of individuals' acting according to the norms and values that have been provided in their social environment (Parsons, 1951). Parsonian social systems tended towards equilibrium, because “the actions of the members of a society are to a significant degree oriented to a single integrated system of ultimate ends common to these members” (Parsons qtd. in Heyl, 1968). The understanding of equilibrium within different societies was the primary goal of social systems theory, and (as Parsons would have it) sociology as a whole.

##### Functional imperatives of action

Parsons’ functional imperatives of action were developed as a way to classify the goals that “action systems” (be it individuals, institutions, or groups) would pursue to reach equilibrium. His AGIL model (adaptation, goal-attainment, integration, latent pattern maintenance) remains one of his most famous formulations.

    **A** \- The function of adaptation addresses the fact that resources in the environment are scarce, and the system must secure and distribute these resources. For social systems, social institutions are employed to meet these needs. The economy is generally identified as the primary institution that meets this need.
    **G** \- The function of goal-attainment deals with the system’s desire to use resources to achieve specific situational ends. Political institutions generally fulfill this role for social systems.
    **I** – Integration is the most complex and problematic of the functional imperatives. It addresses the need for a system to coordinate and regulate the various subunits within a system. Integration of social systems is often associated with laws and norms, and judicial institutions.
    **L** – Finally, the function of pattern maintenance refers to a system’s ability to maintain its own stability, and consists of two distinct components. For social systems, the first component deals with the ability of the system to motivate normative behavior of actors. The second component is involved with the transmission of social values. This imperative might be institutionally satisfied by education and religion (Wallace & Wolf, 1991).

The actions of an individual, for example, could then be compared to the actions of an institution within this framework. The social system, also subject to these imperatives, is in equilibrium because all of its constituent actors are morally impelled to perform socially-expected functions. As might be expected, Parsons’ early work was frequently criticized for failing to account for social change, the opposite of social equilibrium. Parsons eventually developed an evolutionary model of social change that described incremental adjustments occurring through slight disruptions of the social system’s equilibrium.

### Luhmann and Social Systems

> Sociology is stuck in a theory crisis. (Luhmann, 1995, p. xlv)

Luhmann criticized the sociology of his time as being irredeemably subjective and unable to usefully describe reality. “Action theory is reconstructed as structural theory, structural theory as linguistic theory, linguistic theory as textual theory, and textual theory as action theory” (Luhmann, 1995, p. xlvi). The acquisition of new knowledge, Luhmann argued, was derived from some recombination of the work of classical theorists. Social theory spiraled into higher and higher levels of complexity, each refocusing and realignment of classical theory laying the foundation for ever more complex theoretical iterations. Luhmann set his personal task as no less than the complete theoretical reconceptualization of the discipline within a wholly consistent framework.

Luhmann’s sociological systems theory makes only two fundamental assumptions: that reality exists, and that systems exist (Luhmann, 1995, p. 12). The theory contains a constructivist epistemology, as it claims that knowledge can only exist as a construction of human consciousness. Luhmann does not claim that there is no external reality, but that our knowledge of it will always be subject to the symbolic system we use to represent it.

From these simple assumptions, Luhmann attempts to build a universal social theory:

> Theory… claims neither to reflect the complete reality of its object, nor to exhaust all the possibilities of knowing its object. Therefore it does not demand exclusivity for its truth claims in relation to other, competing endeavors. But it does claim universality for its grasp of its object in the sense that it deals with everything social and not just sections. (Luhmann, 1995, p. xlv)

The theory is universal because it seeks to describe and explain itself, along with all other social phenomena. The theory is self-referential.

Luhmann proceeds to clarify three fundamental differences between his theory and previous social theories. First, his theory is universal and can be applied to all social phenomena. Second, his theory is self-referential, and capable of examining itself in its own terms. Third, his theory is both complex and abstract enough to accomplish the previous two goals (Luhmann, 1995, xlviii).

There is no default entry point to Luhmann’s sociological systems theory. The structure of the theory is systemic. This means that the integration of its components is not linear and additive, but circular. The components of the theory do not build upon each other but produce each other. This introduction will attempt to show some of Luhmann’s most innovative developments, including his break from previous social systems theory.

#### A theory of communication

Luhmann found Parsons’ systems approach inspiring, but noticed several inconsistencies and problems. Stichweh (2000), a student of Luhmann’s, explains that there are two major strands of reasoning that led Luhmann to base his theory on communication rather than action. The first issue was that the actions of psychic systems (minds) and of social systems is difficult to distinguish using action theory. The interaction of the actor and his environment can only be described when the actor and environment are placed on the same analytic level. In Luhmann’s theory, the social system emerges from the communication between psychic systems (minds), and cannot be understood as a separate system “acting” on the individual. The second issue is that action theory cannot differentiate between action and experience. Selection (one of the components of Luhmann’s definition of communication, to be outlined below) can be viewed as either an action on the part of the selecting system, or as information about the state of the selecting system’s environment. The classification of information, Luhmann reasons, is not causally related to actors, and should be classified as experience, not action.

#### Individuals and the social system

One aspect of Luhmann’s theory that is significantly different from most social theories is that the human individual is not seen as focal to understanding society. In fact, Luhmann’s theory states unequivocally that the individual is not a constituent part of society. This counterintuitive claim begins to make sense if one recalls that Luhmann’s basic social element is communication. An individual is only relevant to society to the extent that they communicate. Whatever does not communicate within the society – such as biological and psychic systems – is not a part of the society. Psychic systems, or individual minds, can think but cannot communicate. In the social systems view, individuals are only loci for social communication.

#### Autopoietic systems

We will return to the issue of the individual within the social system after further discussion of Luhmann’s notion of “system”. A system is emergent, in that it comes into existence as soon as a border can be drawn between a set of communications and the context of the communication, or the systems environment. A system is always less complex than its environment – if a system does not reduce the complexity in its environment, then it cannot perform any function. A system effectively defines itself by creating and maintaining a border between itself and the environment. In the case of biological systems, this concept of systemic self-generation was first identified and examined by Maturana and Varela (1980). They termed the self-generation of biological systems “autopoietic”. Luhmann believed that autopoiesis could be usefully applied to social systems as well. Luhmann’s autopoietic systems do more than just define their own borders. They also produce their own components and organizational structures. The major benefit of the autopoietic perspective on social systems is that it presents them without ambiguity, and not as something that can be reduced to anything other than itself, such as “consciousness” or a sum of actions (Anderson, 2003). Returning to the issue of the individual, it is again possible to see why individuals cannot be components of social systems – social systems are comprised of communications and therefore produce communications, not people (“Niklas Luhmann,” 2005).

#### Communication as selection

Another Luhmannian conception that might seem counterintuitive is his subjectless, actionless definition of communication. “Communication is coordinated selectivity. It comes about only if ego fixes his own state on the basis of uttered information” (Luhmann, 1995, p. 154). Luhmann criticizes the “transmission” metaphor of communication because “it implies too much ontology” and that “the entire metaphor or possessing, having, giving, and receiving” is unsuitable (1995, p. 139). For Luhmann, communication is not an “action” performed by an “actor” but a selection performed by a system. This "selection" that results in communication is more similar to Darwin’s “natural selection” than to the everyday usage of the term. A social system generates communication much as a natural environment generates biological traits.

The selection process that Luhmann terms communication is actually a synthesis of three separate selections: the selection of information, the selection of a form, and the selection of an understanding (Anderson, 2003). Following Shannon and Weaver’s (1949) theory of information, Luhmann identifies information as a selection from a “repertoire of possibilities” (1995, p.140). The form of a communication is how the message is communicated. The selection of understanding refers to what should be understood about the message. A critical note here is that understanding does not refer to the message’s reception by a psychic system, but rather the linkage of the message to subsequent communications (Anderson, 2003). The result of this selection process is the creation of meaning, which is the medium of communication in social systems (Luhmann, 1995, p. 140).

Social (and psychic) systems construct and sustain themselves in this way through communication. Communications can only exist as a product of social (and psychic) systems. Society is then a self-descriptive system that contains its own description. Luhmann recognizes that this definition is recursive and antithetical to classical scientific theory (“Soziologische Systemtheorie”, 2005).

### Contemporary research

A variety of scholars today employ sociological systems analysis in fields ranging from law to literary theory. The theory is one of the most popular in German sociology, and has a significant following in continental Europe, Japan, and elsewhere (“Soziologische Systemtheorie,” 2005). Many of Luhmann’s former students and colleagues, such as Dirk Baecker, Peter Fuchs, Armin Nassehi, and Rudolf Stichweh, continue to develop the theory.

### Conclusion

The preceding can only serve as the briefest of introductions to an enormous body of original thought. A lifetime’s work of thousands of pages of published text cannot be condensed into a few thousand words. This chapter has attempted to trace some of the major theoretical threads which led to the development of Luhmann’s universal theory of sociological systems. It presents some of Luhmann’s most engaging and innovative conceptual formulations. Because Luhmann’s theory represents a major break from the classical social sciences in structure and content, its comprehension requires a significant investment of intellectual effort. This effort is worthwhile, as Luhmann’s meticulous theoretical paradigm provides a useful alternative to other social science traditions.

### References

  * Anderson, N. A. (2003). _Discursive analytical strategies: understanding Foucault, Koselleck, Laclau, Luhmann_. Bristol: Policy Press.
  * Baecker, D. (2001). Why systems?. _Theory, Culture & Society_. 18(1), 59-74.
  * Baecker, D. (2005, 3 April). Niklas Luhmann. _International Society for the Systems Sciences: Project ISSS_. Retrieved 27 October 2005, from <http://projects.isss.org/Main/NiklasLuhmannByDirkBaecker>.
  * Bardmann, T.M. & Baecker, D. (Eds.). (1999). _‘Gibt es eigentlich den Berliner Zoo noch?’ Erinnerungen an Niklas Luhmann_. Konstaz: UVK Universitätsverlag.
  * Durkheim, E. (1950). _The rules of sociological method_ (S. A. Solovay & J. H. Mueller, Trans.). New York: The Free Press. (Original work published 1895)
  * Durkheim, E. (1951). _Suicide: A study in sociology_. (J. A. Spaulding & G. Simpson, Trans.). New York: The Free Press. (Original work published 1897)
  * Habermas, J. & Luhmann, N. (1971). _Theorie der Gesellschaft oder Sozialtechnologie: Was leistet die Systemforschung?_. Frankfurt a.M.: Suhrkamp.
  * Hagen, W. (Ed.). (2004). _Warum haben Sie keinen Fernseher, Herr Luhmann?_ Berlin: Kulturverlag Kadmos.
  * Heyl, B. (1968). The Harvard “Pareto Circle”. _Journal of The History of the Behavioral Sciences_, 4(4), 316-34. Retrieved 27 October 2005, from <http://human-nature.com/science-as-culture/circle.html>.
  * Hornung, B.R. (1998). Niklas Luhmann 1927-1998 [Obituary written for the ISA]. Retrieved 27 October 2005, from <http://mgterp.freeyellow.com/academic/luh-obit_rc51.html>.
  * Leydesdorff, L. (2002). The communication turn in the theory of social systems. _Systems Research and Behavioral Science_, 19, 129-136.
  * Luhmann, N. (1982). _Differentiation of society_ (S. Holmes & C. Larmore, Trans.). New York: Columbia University Press.
  * Luhmann, N. (1990). _Essays on self-reference_. New York: Columbia University Press.
  * Luhmann, N. (1995). _Social Systems_ (J. Bednarz, Jr. with D. Baecker, Trans.). Stanford: Stanford University Press. (Original work published 1984)
  * Luhmann, N. (1997). _Die Gesellschaft der Gesellschaft_. Frankfurt: Suhrkamp.
  * Maturana, H. & Varela, F. (1980). _Autopoiesis and cognition: The realization of the living_. Dordecht: D. Reidel Publishing Co.
  * Müller, M. (2005). Biographie Niklas Luhmann. _50 Klassiker der Soziologie_. Retrieved 27 October 2005, from <http://www.kfunigraz.ac.at/sozwww/agsoe/lexikon/klassiker/luhmann/26bio.htm>.
  * Niklas Luhmann. (2005, 26 October). _Wikipedia: Die freie Enzyklopädie_. Retrieved 27 October 2005, from <http://de.wikipedia.org/wiki/Niklas_Luhmann>.
  * Parsons, T. (1951). _The social system_. Glencoe, Ill.: Free Press.
  * Shannon, C.E. & Weaver, W. (1949). _The mathematical theory of communication_. Urbana, I.L.: University of Illinois Press.
  * Soziologische Systemtheorie. (2005, 15 October). _Wikipedia: Die freie Enzyklopädie_. Retrieved 27 October 2005, from <http://de.wikipedia.org/wiki/Soziologische_Systemtheorie>.
  * Stichweh, R. (2000). Systems theory as an alternative to action theory? The rise of 'communication' as a theoretical option. Acta Sociologica, 43(1), 5-14.
  * Trevino, A. J. (Ed.). _Talcott Parsons today_. Lanham, Md.: Rowman & Littlefield.
  * von Bertalanffy, L. (1950). An outline of general systems theory. _British Journal for the Philosophy of Science_ 1, 139-164.
  * von Bertalanffy, L. (1976). _General system theory: Foundations, development, applications_. New York: Braziller.
  * Wallace, R. A. & Wolf, A, (1999). Contemporary sociological theory: Expanding the classical tradition, fifth edition, Upper Saddle River, N. J.: Prentice-Hall.

### More Information

  * [Radio Bremen](http://www.radiobremen.de/online/luhmann/):Radio programs related to Luhmann, including an interview (in German).

  


# Network Society

## Introduction to the Network Society

Information has been a central theme in 21st century research, just as capital was in the 20th century. It is frequently said that society is now living in an [information age](http://en.wikipedia.org/wiki/Information_age), which has provided various information technologies (i.e. the Internet and cellular phones). However the "information age" has not been clearly defined. Although many define the current economy as an information economy, there is still no universally accepted definition to refer to the current society. Currently, over thirty different labels for referring to contemporary society are used in academic fields and casual conversation (Alvarez & Kilbourn, 2002). Some of these labels include: information society, global village, digital society, wired society, post-industrial society, and network society. Some of the terms describe the same phenomena, while others do not.

Among the numerous scholars trying to define this new society, Manuel Castells is the most foremost and unique, in terms of at least two aspects: Firstly, he is an incredibly prolific and energetic theorist on the subject of the information age. He has written over twenty books, published over one hundred academic journal articles, and co-authored over fifteen books. He is currently a professor of Sociology and City and Regional Planning at the University of California, Berkeley. He has also served on many national and international organizations such as: the Advisory Council to the United Nations Task Force on Information and Communication Technology, the International Advisory Council to the President of South Africa on Information Technology and Development, the United Nations Secretary General's High Level Panel on Global Civil Society and the United Nations, and UNESCO. Secondly, his critical viewpoint toward networks and the information economy has made him more unique than other information economists and sociologists. Castells is distinguishable from “the Utopians who have taken over the information society camp” (Duff, 1998, p. 375), since he believes that the dark side of a new economy is embedded in the intrinsic characteristics of new technologies. Thus, Castells maintains a deterministic view of technology, whereas the Utopians regard information technologies as instruments for human evolution.

Castells has become one of the most influential theorists over the past thirty years since his wide array of works has provided a unique and critical framework for examining contemporary society. Castells has been called the first great philosopher of cyberspace for his work on the information economy (Gerstner, 1999). His trilogy published between 1996 and 1998 is recognized as a compendium of his theory about the information age. In the trilogy, consisting of _The Network Society_, _The Power of Identity_, and _End of Millennium_, Castells' analysis of the new economy colligates several strands of the new society: new technological paradigms, globalization, social movements, and the demise of the sovereign nation-state. _The Network Society_ deals with the "new techno-economic system" (Castells, 2001, p. 4). _The Power of Identity_ discusses social movements and politics resisting or adapting to the network society. _End of Millennium_, the last work of the trilogy, describes the results of the previous two factors in the world. This chapter thus explores what a Castellian network society is, through exploration of his trilogy and other articles.

## New Economy

### New forms of time and space

The concept of an information economy or network economy is undoubtedly related to new information technologies. According to economists, the definition of an information economy can mean not only an abundant use of information technologies, but also a new something that affects the way individuals work, produce, and consume. Human processes are changed by these technologies. Thus, to understand the information economy, one should first understand the characteristics of new information technologies, and then study the paradigm shift into the network society.

Castells (1996, 1997a, 2000) defined the network society as a social structure which is characterized by networked communications technologies and information processing. This includes such social phenomena as economic interdependence among nations as well as globalization and social movements related to individual identity. Based on this definition, Castells (2000) hypothesized that the network society is organized around two new forms of time and space: timeless time and the space of flows.

In terms of timeless time, new technologies, such as biotechnologies and communication networks, are breaking down the biological sense of time as well as logical sequences of time. Castells’ (1997b) example of new biological reproductive technologies blur life cycle patterns in conditions of parenting by either slowing down or speeding up the life cycle.

Space of flow infers that physical distances are closer among organizations in the society, and information can be easily transmitted from one point to another point by new communication technologies. This means the annihilation of logical concept of space. For example, the hyperlink on webpage collapses succession of things in time and space span, because it brings one from one location to another location in an instant. Castells (2000) stated: “Space and Time, the material foundations of human experience, have been transformed, as the space of flows dominates the space of places, and timeless time supersedes clock time of the industrial era” (p. 1).

### New Techno-Economy Paradigm

Castells stated that the new network society is dominated by “a new techno-economic paradigm based on information networks-informationalism” (Cabot, 2003, p.1148). Castells (2004) definition of informationalism is “a technological paradigm based on the augmentation of the human capacity of information processing and communication made possible by the revolutions in microelectronics, software, and genetic engineering” (p. 11). Information processing and communication, like newspapers, radios, and televisions, existed in history too. However, information technologies were not fundamental materials for development in the past industrial economy. The informational economy depends on the capacity of networks. Thus, without the capacity provided by these new technologies, the new economy would not be able to operate, as the industrial society could not fully expand without electricity (Castells, 2004).

Whereas the industrial economy was based on a value chain from manufacturers to retailers, the information economy created various positions related to information technologies and the networks in the value chain such as designers, operators, and integrators. The information economy requires a greater number of highly intelligent laborers that can manage and control the technologies than in an industrial economy. Moreover, there are comparatively more opportunities to create a profit in the network industry or information industry than in other industries. Due to the importance of the networks and communication technologies in the new economy, networks, as a new material for new economy, began to formulate social power, and the members exploiting the ability of networks began to acquire social power (Gerstner, 1999). For example, the network enterprise is the prevailing form of business organization in information economy, since it follows “a complete transformation of relationships of production and management” (Castells, 2000b, p.607).

### Global Economy

Since the modern digital networks that the new paradigm emphasizes have no geographical limitation, the information economy is largely characteristic of global economy. The global economy can be defined as “a network of financial transactions, production sites, markets, and labor pools on a planetary scale” (Castells, 2000b, p.695). This definition places emphasis on the “linkages between economic agents,” which are essentially horizontal and flexible relationships in which the operating economic agents, as nodes in networks, enact a project (Fields, 2002, p.56). Thus, these linkages are not really firms, but instead can be seen as networking nodes.

The nature of technologies and networks generally affects the structure of the economy. The flexibility of modern business organizations reflects the flexible nature of new networks, so that the linkages are occasionally transformed and reconstructed for its profitability. Since current networks have few physical limitations and open systems, they can “increase their value exponentially as they add nodes” (Castells, 2000c, p.698) and can create infinite linkages among other agents for their goals. Thus, the structure of information economy is not constrained by geographical restrictions. At the definition of the global economy, the planetary scale does not require highly internationalized organizations or wide geographical ranges. Rather, in terms of the space of flows made of bits and pieces of places, global economy exists in the reconstructed time and space. Gupta (2003) uses the example of NASDAQ, an electronically wired stock market, for the case of global economy. The global economy is a concept that values the speed with which knowledge, goods, and people are transacted. Spatial distance is no longer significant.

On the contrary, rails and telegraph have also influenced the structure of the past industrial economy. Richard R. Jone (2000) estimated that new digital revolution in the past half century is comparable to the role of railroads and telegraphy in the 19th century, in terms of “information infrastructure” (pp. 68-86). In the case of the 19th century, the railroad and telegraph, as new networks, contributed to compress geographical distance, which accelerated industrial development. However, since the networks were less flexible under their physical limitations, the industrial structure, based on the networks, was less flexible than today. In the 19th century, the structure of business was generally vertically integrated, relying on mass-production systems, and mass-distribution networks. In sum, new technology alters the structure of society and industry by its inherent nature, so that the structure in the new economy is flexible and horizontal with production and consumption relying on the new global and digital networks.

## Main Features of New Economy

### Individualization of Work

In the new global economy, a cleavage or gap seems to increase between "'generic labour' (casual substitutable labour) and 'self-reprogrammable labour' (those with the ability to adapt their skills throughout their lives)" (Kaldor, 1998, p. 899). Generic labour refers to a person who is unskilled or possesses lower skills or has a low level of education. These individuals usually work for low-wage labor, and according to Castells (2004) can be, "disposable, except if they assert their right to exist as humans and citizens through their collective action" (p. 40). On the contrary, self-reprogrammable labour refers to highly educated people who manage and control information with high creativity. Castells (2004) states:

    "The more our information systems are complex, and interactively connected to data bases and information sources, the more what is required from labor is to be able of this searching and recombining capacity. This demands the appropriate training, not in terms of skills, but in terms of creative capacity, and ability to evolve with organizations and with the addition of knowledge in society" (p. 40).

Since the matter of labour in the global economy is related to capacity and creativity, Castells (2001) suggests that education is a more important solution today.

Another problem in the cleavage between both types of labours is that labor organizations cannot function properly, and rather divide the self-reprogrammable labour from the generic labour. Another example of the cleavage is that within the industrial system, the employment of "flexible woman" increased, but that of "organized man" decreased, over the last couple of decades. The more valuable segments in the value chain of global economy can survive.

Since the global economy allows flexible and arbitrary linkage between nodes, a business organization can easily redeploy their labour sources from one market to the other market in a planetary scope. Thus, globalization of the economic activities enables the situation that one labour market is supplied for abundant works, but, at the same time, one market experiences a serious unemployment. The other problem of labour in global economy is that new technologies increase the productivity of blue-collar worker, so that the network enterprises downsize its own system. This is reminiscent of the mass layoffs in the 19th century.

Castells (1997b) views these trends as "the reversal trend of socialization of labour that characterized the industrial age" (p. 9). He warns of the alienation of workers in the network society by using Carnoy's terms of "individualization of work".

    "Networking and individualization of work leaves workers to themselves. Which is all right when they are strong, but becomes a dramatic condition when they do not have proper skills, or they fall into some of the traps of the system (illness, additions, psychological problems, lack of housing, or of health insurance)" (Castells, 1999).

### Inequality in the Global Economy

The central point of Castells' information economy is that the inherent logic of the system is exclusionary, and the gap is increasing (Gerstner, 1999). Castells (2000a) defines the global economy as “still-capitalism”, since the purpose of production in the new economy is still for profit and the economy system is still based on property rights (p. 373). Castells (2004) states: "Capitalism has not disappeared, but it is not, against the ideologically suggested perception, the only source of value in the global town" (p. 39).

Castells suggests that Africa, as the fourth world, is “dropping further and further behind the global economy with each leap forward by the techno-elite” (Gerstner, 1999). This is not because of political purposes, but because of the inherent nature of technology. Why does the inequality increase if tremendous technological advancements are supplied to society? New networks and communication technologies enable people or nodes to build relations with others. However, the decision of making relations is up to the comparative value of each node. Thus, Africa, which has no legacy from an industrial era, is composed of less valuable segments, which remain isolated or utilized for cheap wage labor in the new economy. Poor children in Africa and Latin America are still exploited at work by global business organizations.

The inequality occurs in information consumption. Alvin Toffler and Nicolas Negroponte believed that the new information technologies would lead a radical, positive change in the economy. Castells foresees that technical changes are not equally beneficial to everyone in the global economy. His attention is focused on the digital divide, which refers inequitable distribution or access to information. Wireless communication, Broadband cable, and other new technologies made it possible to hyperlink instantly among multiple spots. However, the majority of the populations remain unwired. According to Castells, information, like the capitals in industrial economy, is always insufficient to all the people.

Since Castells considers the new techno-economic paradigm in network society a "socially embedded process, not as an exogenous factor affecting society," he can be categorized as a technology determinist. However, he has never blamed the technology itself, even if he thinks that the nature of modern technology increases the inequity of global societies. Castells states: "This is not an opinion. It's an empirical observation. However, this is not the fault of technology, it is the way we use it.... Unequal, undemocratic, exclusionary societies, on the contrary, will see the power of technology dramatically increases social exclusion" (Gerstner, 1999).

### The demise of the Sovereign Nation-State

Another main trend of the new economy is the “demise of the sovereign nation-state" (Castells, 2000c, p. 694). Since both global networks and communication technologies have increased the strength and frequency of transforming information, capitals, and labour among other nodes in the networks, all nations and states have become more interdependent. The increased relations stimulate the necessity of transnational institutions such as the EU, NATO, ASEAN, and UN. Castells (2001) argues that the degree of freedom of nation states has shrunk to an extraordinary degree in the last ten years, because of the European Union. Member nations in the European Union have decentralized markets in order to strengthen their bargaining power and socio-economic control. Consequently, each member state in the Union has experienced diminishing social power over their national issues and more complex relations with each other. Nodes in information economies or network economies do not necessarily exist in the form of an organization, but occasionally exist as a individuals, such as Alan Greenspan, the Chairman of Federal Reserve Board (Castells, 2001).

However, the demise of sovereignty for Castells does not mean that the current nations or states will disappear through global networks, but that their social power should be shared or restricted by other institutions, nations, or states.

## Skepticism

Castells’ theory revisits Marxist skepticism regarding industrialism. The theory of the network society uses many concepts and viewpoints traditionally held by Marxists. Castells replaces the position of capital in industrialism by the concept of information. In his analysis, Castells recognizes that the rise of informationalism and the nature of networks has led global societies toward inequality and social exclusion, widening the cleavage between "generic labour" and "self-reprogrammable labour," global city and local city, information-rich and information-poor. Thus, Tony Giddens, Alain Touraine, Peter Hall, and Chris Freeman compare Castells to such sociologists of importance as Marx and Weber (Cabot, 2003). During the 1970s, Castells exhibited a Marxist intellectual trajectory, and he confessed that he felt the need of Marxism for probing political change in information age.

## Legacy

Castell's most important contribution was that he attempted to build a grand theory of the information age in macro-perspective. Even though his work is still progressing, his wide ranging analysis has provided an in-depth, yet macro understanding about the information society. The majority of his approach has been empirical in an attempt to diagnose the contemporary problems in the information society. Castells states his high dissatisfaction with the apparent superficiality of the prophecies that futurists such as Toffler and Gilder had announced for the "new" society. Although there are some criticisms that Castells overemphasized the negative effects of the information economy, his analysis for each case, such as the collapse of Soviet Union, was empirical and very accurate.

In addition, Castells analysis is globalized, even if he warns of the dark side of globalization. As most information infrastructures are centralized on U.S. or Western European nations, most of the academic analysis on information economy concerns those countries. However, Castells’ empirical studies range from the fourth-world countries to the European Union.

## References

Alvarez, I., & Kilbourn, B. (2002). Mapping the information society literature: topics, perspectives, and root metaphors. _First Monday, 7_. Retrieved from <http://www.firstmonday.org/issues/issue7_1/alvarez/index.html>

Arunachalam, S. (1999). Information and knowledge in the age of electronic communication: A developing country perspective. _Journal of Information Science_, 25, 465-177.

Cabot, J.E. (2003). The information age; Manuel Castells; the rise of the network society. _Research Policy_, 32, 1141.

Carnoy, M. (1999). _Sustaining flexibility: work, family, and community in the Information Age_. New York: Russell Sage.

Castells, M. (1996). _The rise of the network society_. New York: Blackwell.

Castells, M. (1997a). _The Power of Identity_. Oxford: Blackwell.

Castells, M. (1997b). An introduction to the information age. _City_, 7, p. 6-16.

Castells, M. (1999). The Social Implications of Information & Communication Technologies. _UNESCO's World Social Science Report_. Retrieved November 8. 2005 from <http://www.chet.org.za/oldsite/castells/socialicts.html>

Castells, M. (2000a). _End of Millennium_. Oxford: Blackwell.

Castells, M. (2000b). Materials for an exploratory theory of the network society. _The British Journal of Sociology_, 51, 5-24.

Castells, M.(2000c). Toward a sociology of the network society. _Contemporary Sociology_, 29, 693-699.

Castells, M.(2001, May 9). Conversation with History[Webcast], UCTV. Retrieved November 8, 2005 from <http://webcast.ucsd.edu:8080/ramgen/UCSD_TV/7234.rm>

Castells, M.(2004). _Informationalism, Networks, and the Network Society: a Theoretical Blueprinting, The network society: a Cross-Cultural Perspective_. Northampton, MA: Edward Elgar.

Duff, A. F. (1998). Daniel Bell's theory of the information society. _Journal of Information Science_, 24, 373-393.

Fields, G. (2002). From Communications and Innovation, to Business Organization and Territory: The Production Networks of Swift Meat Packing and Dell Computer, BRIE. Retrieved November 8, 2005 from <http://brie.berkeley.edu/~briewww/publications/149ch2.pdf>

Gerstner, J. (1999). The Other Side of Cyberspace: An Interview with Manuel Castells, Cyber-Scientist, IABC's Communication World Magazine, March 1999. Retrieved November 8, 2005 from <http://www.interanetsider.com/interviews/cyberspace/index.html>

Gupta, D. (2003). Meeting “Felt Aspirations”: Globalization and Equity from an Anthropological Perspective, presented in the 4th Annual Global Development Conferences, Global Development Conference, January 2003, Cairo, Egypt.

Hutchins, B. (2004). Castells, regional news media and the information age. _Continuum: Journal of Media & Cultural Studies_, 18, 577–590.

Jone, R. R. (2000). Recasting the Information Infrastructure for the Industrial Age. _A National Transformed by Information_, Chandler, A. D. & Cortada, J. W(ED.).

Kaldor, M. (1998). End of millennium: The information age: Economy, society, and culture. _Regional Studies_, 32, 899-900.

Lucas, H. (1999). "Information technology and the productivity paradox". New York: Oxford University Press.

Winkel, O. (2001). The democratic potentials of interactive information technologies under discussion. _International Journal of Communications Law and Policy_.

  


# GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&oldid=2504397](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&oldid=2504397)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Communication Theory](http://en.wikibooks.org/wiki/Category:Communication_Theory)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Communication+Theory%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Communication+Theory%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Communication_Theory/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Communication_Theory/Print_version)
  * [Related changes](/wiki/Special:RecentChangesLinked/Communication_Theory/Print_version)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Communication_Theory/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Communication_Theory/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&oldid=2504397)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Communication_Theory%2FPrint_version&id=2504397)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Communication+Theory%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Communication+Theory%2FPrint+version&oldid=2504397&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Communication_Theory/Print_version&printable=yes)

    * This page was last modified on 22 March 2013, at 08:29.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Communication_Theory/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
