# Control Systems/Print version

From Wikibooks, open books for an open world

< [Control Systems](http://en.wikibooks.org/wiki/Control_Systems)

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Control Systems](http://en.wikibooks.org/wiki/Control_Systems)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&action=purge&printable=yes) this page.

  


![RLocus 3poles 2zeros.JPG](../../../upload.wikimedia.org/wikibooks/en/0/02/RLocus_3poles_2zeros.JPG)

  
  
  
  
  
  


* * *

The Wikibook of automatic

**Control Systems**

And Control Systems Engineering  
With  
Classical and Modern Techniques  
And  
Advanced Concepts

* * *

  


# Preface

This book will discuss the topic of Control Systems, which is an interdisciplinary engineering topic. Methods considered here will consist of both "Classical" control methods, and "Modern" control methods. Also, discretely sampled systems (digital/computer systems) will be considered in parallel with the more common analog methods. This book will not focus on any single engineering discipline (electrical, mechanical, chemical, etc.), although readers should have a solid foundation in the fundamentals of at least one discipline.

This book will require prior knowledge of linear algebra, integral and differential calculus, and at least some exposure to ordinary differential equations. In addition, a prior knowledge of integral transforms, specifically the Laplace and Z transforms will be very beneficial. Also, prior knowledge of the Fourier Transform will shed more light on certain subjects. Wikibooks with information on calculus topics or transformation topics required for this book will be listed below:

  * [Calculus](http://en.wikibooks.org/wiki/Calculus)
  * [Linear Algebra](http://en.wikibooks.org/wiki/Linear_Algebra)
  * [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems)
  * [Digital Signal Processing](http://en.wikibooks.org/wiki/Digital_Signal_Processing)

  
  


# Table of Contents

  


## Table of Contents

### Special Pages

![Warning icon WikiBooks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Warning_icon_WikiBooks.svg/35px-Warning_icon_WikiBooks.svg.png)

This book contains mathematical formulae that look better **[rendered as PNG](http://en.wikibooks.org/wiki/Wikibooks:Render_as_PNG)**.

![Dialog-information on.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Dialog-information_on.svg/40px-Dialog-information_on.svg.png)

Readers may wish to reference the **[Engineering Tables](http://en.wikibooks.org/wiki/Engineering_Tables)**.

**Print Version**:
**Full Print version**  
([it](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&action=edit))
**Warning:** Print version is over _230 pages long_ as of 10 Feb, 2014.

**PDF Version**:
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)
**Warning:** PDF version is over 5.4Mb, as of 21 Jan, 2014.

**Cover Page**:
[Cover Page](http://en.wikibooks.org/wiki/Control_Systems/Cover)
[Cover Image](http://en.wikibooks.org/wiki/File:Control_Systems_Cover.svg)

**All Pages**:
[Page Listing](http://en.wikibooks.org/wiki/Control_Systems/All_pages)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)

**Book Policy**:
[Policy](http://en.wikibooks.org/wiki/Control_Systems/Policy)
[Local Manual of Style](http://en.wikibooks.org/wiki/Control_Systems/Manual_of_Style)

**Search This Book**:

[Search this book (google)](http://www.google.com/custom?sa=Google+Search&domains=en.wikibooks.org/wiki/Control_Systems&sitesearch=en.wikibooks.org/wiki/Control_Systems)

(links to an external site)

  * [Preface](http://en.wikibooks.org/wiki/Control_Systems/Preface)

### Controls Introduction

  * [Introduction](http://en.wikibooks.org/wiki/Control_Systems/Introduction)
  * [System Identification](http://en.wikibooks.org/wiki/Control_Systems/System_Identification)
  * [Digital and Analog](http://en.wikibooks.org/wiki/Control_Systems/Digital_and_Analog)
  * [System Metrics](http://en.wikibooks.org/wiki/Control_Systems/System_Metrics)
  * [System Modeling](http://en.wikibooks.org/wiki/Control_Systems/System_Modeling)

### Classical Control Methods

  * [Transforms](http://en.wikibooks.org/wiki/Control_Systems/Transforms)
  * [Transfer Functions](http://en.wikibooks.org/wiki/Control_Systems/Transfer_Functions)
  * [Poles and Zeros](http://en.wikibooks.org/wiki/Control_Systems/Poles_and_Zeros)

### Modern Control Methods

  * [State-Space Equations](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Equations)
  * [Linear System Solutions](http://en.wikibooks.org/wiki/Control_Systems/Linear_System_Solutions)
  * [Time-Variant System Solutions](http://en.wikibooks.org/wiki/Control_Systems/Time_Variant_System_Solutions)
  * [Digital State-Space](http://en.wikibooks.org/wiki/Control_Systems/Digital_State_Space)
  * [Eigenvalues and Eigenvectors](http://en.wikibooks.org/wiki/Control_Systems/Eigenvalues_and_Eigenvectors)
  * [Standard Forms](http://en.wikibooks.org/wiki/Control_Systems/Standard_Forms)
  * [MIMO Systems](http://en.wikibooks.org/wiki/Control_Systems/MIMO_Systems)
  * [Realizations](http://en.wikibooks.org/wiki/Control_Systems/Realizations)

### System Representation

  * [Gain](http://en.wikibooks.org/wiki/Control_Systems/Gain)
  * [Block Diagrams](http://en.wikibooks.org/wiki/Control_Systems/Block_Diagrams)
  * [Feedback Loops](http://en.wikibooks.org/wiki/Control_Systems/Feedback_Loops)
  * [Signal Flow Diagrams](http://en.wikibooks.org/wiki/Control_Systems/Signal_Flow_Diagrams)
  * [Bode Plots](http://en.wikibooks.org/wiki/Control_Systems/Bode_Plots)
  * [Nichols Charts](http://en.wikibooks.org/wiki/Control_Systems/Nichols_Charts)

### Stability

  * [Stability](http://en.wikibooks.org/wiki/Control_Systems/Stability)
  * [State-Space Stability](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Stability)
  * [Discrete-Time Stability](http://en.wikibooks.org/wiki/Control_Systems/Discrete_Time_Stability)
  * [Routh-Hurwitz Criterion](http://en.wikibooks.org/wiki/Control_Systems/Routh-Hurwitz_Criterion)
  * [Jury's Test](http://en.wikibooks.org/wiki/Control_Systems/Jurys_Test)
  * [Root Locus](http://en.wikibooks.org/wiki/Control_Systems/Root_Locus)
  * [Nyquist Stability Criterion](http://en.wikibooks.org/wiki/Control_Systems/Nyquist_Stability_Criteria)

### Controllers and Compensators

  * [Controllability and Observability](http://en.wikibooks.org/wiki/Control_Systems/Controllability_and_Observability)
  * [System Specifications](http://en.wikibooks.org/wiki/Control_Systems/System_Specifications)
  * [State Feedback](http://en.wikibooks.org/wiki/Control_Systems/State_Feedback)
  * [Estimators and Observers](http://en.wikibooks.org/wiki/Control_Systems/Estimators_and_Observers)
  * [Controllers and Compensators](http://en.wikibooks.org/wiki/Control_Systems/Controllers_and_Compensators)
  * [Polynomial Design](http://en.wikibooks.org/wiki/Control_Systems/Polynomial_Design)

### Adaptive Control

  * [Adaptive Control](http://en.wikibooks.org/wiki/Control_Systems/Adaptive_Control)

### Nonlinear Systems

  * [State Machines](http://en.wikibooks.org/wiki/Control_Systems/State_Machines)
  * [Nonlinear Systems](http://en.wikibooks.org/wiki/Control_Systems/Nonlinear_Systems)
  * [Common Nonlinearities](http://en.wikibooks.org/wiki/Control_Systems/Common_Nonlinearities)

### Noisy Systems

  * [Noise Driven Systems](http://en.wikibooks.org/wiki/Control_Systems/Noise_Driven_Systems)

### Introduction to Digital Controls

  * [Digital Control Systems](http://en.wikibooks.org/wiki/Control_Systems/Digital_Control_Systems)
  * [Discrete-Time Stability](http://en.wikibooks.org/wiki/Control_Systems/Discrete-Time_Stability)
  * [System Delays](http://en.wikibooks.org/wiki/Control_Systems/System_Delays)
  * [Sampled Data Systems](http://en.wikibooks.org/wiki/Control_Systems/Sampled_Data_Systems)
  * [Z Transform Mappings](http://en.wikibooks.org/wiki/Control_Systems/Z_Transform_Mappings)

### Examples

  * [Examples](http://en.wikibooks.org/wiki/Control_Systems/Examples)

## Appendices

  * [Physical Models](http://en.wikibooks.org/wiki/Control_Systems/Physical_Models)
  * [Transforms](http://en.wikibooks.org/wiki/Control_Systems/Transforms_Appendix)
  * [System Representations](http://en.wikibooks.org/wiki/Control_Systems/System_Representations)
  * [Matrix Operations](http://en.wikibooks.org/wiki/Control_Systems/Matrix_Operations)
  * [Using MATLAB ®](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)

## Resources, Glossary, and License

  * [Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)
  * [List of Equations](http://en.wikibooks.org/wiki/Control_Systems/List_of_Equations)
  * [Resources](http://en.wikibooks.org/wiki/Control_Systems/Resources)
  * [Licensing](http://en.wikibooks.org/wiki/Control_Systems/Licensing)

  


  


  


Introduction to Control Systems

What are control systems? Why do we study them? How do we identify them? The chapters in this section should answer these questions and more.

  


# Introduction

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[System Identification →](http://en.wikibooks.org/wiki/Control_Systems/System_Identification)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## This Wikibook

This book was written at **Wikibooks**, a free online community where people write open-content textbooks. Any person with internet access is welcome to participate in the creation and improvement of this book. Because this book is continuously evolving, there are no finite "versions" or "editions" of this book. Permanent links to known good versions of the pages may be provided.

## What are Control Systems?

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Control system**_](http://en.wikipedia.org/wiki/Control_system)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Control engineering**_](http://en.wikipedia.org/wiki/Control_engineering)

The study and design of automatic **Control Systems**, a field known as **control engineering,** has become important in modern technical society. From devices as simple as a toaster or a toilet, to complex machines like space shuttles and power steering, control engineering is a part of our everyday life. This book introduces the field of control engineering and explores some of the more advanced topics in the field. Note, however, that control engineering is a very large field, and this book serves as a foundation of control engineering and introduction to selected advanced topics in the field. Topics in this book are added at the discretion of the authors, and represent the available expertise of our contributors.

Control systems are components that are added to other components, to increase functionality, or to meet a set of design criteria. For example:

We have a particular electric motor that is supposed to turn at a rate of 40 RPM. To achieve this speed, we must supply 10 Volts to the motor terminals. However, with 10 volts supplied to the motor at rest, it takes 30 seconds for our motor to get up to speed. This is valuable time lost.

This simple example, however can be complex to both users and designers of the motor system. It may seem obvious that the motor should start at a higher voltage, so that it accelerates faster. Then we can reduce the supply back down to 10 volts once it reaches ideal speed.

This is clearly a simplistic example, but it illustrates an important point: we can add special "Controller units" to preexisting systems, to improve performance and meet new system specifications.

Here are some formal definitions of terms used throughout this book:

Control System
    A Control System is a device, or a collection of devices that manage the behavior of other devices. Some devices are not controllable. A control system is an interconnection of components connected or related in such a manner as to command, direct, or regulate itself or another system.

Controller
    A controller is a control system that manages the behavior of another device or system.

Compensator
    A Compensator is a control system that regulates another system, usually by conditioning the input or the output to that system. Compensators are typically employed to correct a single design flaw, with the intention of affecting other aspects of the design in a minimal manner.

There are essentially two methods to approach the problem of designing a new control system: the **Classical Approach**, and the **Modern Approach**.

## Classical and Modern

**Classical** and **Modern** control methodologies are named in a misleading way, because the group of techniques called "Classical" were actually developed later than the techniques labeled "Modern". However, in terms of developing control systems, Modern methods have been used to great effect more recently, while the Classical methods have been gradually falling out of favor. Most recently, it has been shown that Classical and Modern methods can be combined to highlight their respective strengths and weaknesses.

Classical Methods, which this book will consider first, are methods involving the **Laplace Transform domain**. Physical systems are modeled in the so-called "time domain", where the response of a given system is a function of the various inputs, the previous system values, and time. As time progresses, the state of the system and its response change. However, time-domain models for systems are frequently modeled using high-order differential equations which can become impossibly difficult for humans to solve and some of which can even become impossible for modern computer systems to solve efficiently. To counteract this problem, integral transforms, such as the **Laplace Transform** and the **Fourier Transform**, can be employed to change an Ordinary Differential Equation (ODE) in the time domain into a regular algebraic polynomial in the transform domain. Once a given system has been converted into the transform domain it can be manipulated with greater ease and analyzed quickly by humans and computers alike.

Modern Control Methods, instead of changing domains to avoid the complexities of time-domain ODE mathematics, converts the differential equations into a system of lower-order time domain equations called **State Equations**, which can then be manipulated using techniques from linear algebra. This book will consider Modern Methods second.

A third distinction that is frequently made in the realm of control systems is to divide analog methods (classical and modern, described above) from digital methods. Digital Control Methods were designed to try and incorporate the emerging power of computer systems into previous control methodologies. A special transform, known as the **Z-Transform**, was developed that can adequately describe digital systems, but at the same time can be converted (with some effort) into the Laplace domain. Once in the Laplace domain, the digital system can be manipulated and analyzed in a very similar manner to Classical analog systems. For this reason, this book will not make a hard and fast distinction between Analog and Digital systems, and instead will attempt to study both paradigms in parallel.

## Who is This Book For?

This book is intended to accompany a course of study in under-graduate and graduate engineering. As has been mentioned previously, this book is not focused on any particular discipline within engineering, however any person who wants to make use of this material should have some basic background in the Laplace transform (if not other transforms), calculus, etc. The material in this book may be used to accompany several semesters of study, depending on the program of your particular college or university. The study of control systems is generally a topic that is reserved for students in their 3rd or 4th year of a 4 year undergraduate program, because it requires so much previous information. Some of the more advanced topics may not be covered until later in a graduate program.

Many colleges and universities only offer one or two classes specifically about control systems at the undergraduate level. Some universities, however, do offer more than that, depending on how the material is broken up, and how much depth that is to be covered. Also, many institutions will offer a handful of graduate-level courses on the subject. This book will attempt to cover the topic of control systems from both a graduate and undergraduate level, with the advanced topics built on the basic topics in a way that is intuitive. As such, students should be able to begin reading this book in any place that seems an appropriate starting point, and should be able to finish reading where further information is no longer needed.

## What are the Prerequisites?

Understanding of the material in this book will require a solid mathematical foundation. This book does not currently explain, nor will it ever try to fully explain most of the necessary mathematical tools used in this text. For that reason, the reader is expected to have read the following wikibooks, or have background knowledge comparable to them:

[Algebra](http://en.wikibooks.org/wiki/Algebra)
[Calculus](http://en.wikibooks.org/wiki/Calculus)
    The reader should have a good understanding of differentiation and integration. Partial differentiation, multiple integration, and functions of multiple variables will be used occasionally, but the students are not necessarily required to know those subjects well. These advanced calculus topics could better be treated as a co-requisite instead of a pre-requisite.
[Linear Algebra](http://en.wikibooks.org/wiki/Linear_Algebra)
    State-space system representation draws heavily on linear algebra techniques. Students should know how to operate on matrices. Students should understand basic matrix operations (addition, multiplication, determinant, inverse, transpose). Students would also benefit from a prior understanding of Eigenvalues and Eigenvectors, but those subjects are covered in this text.
[Ordinary Differential Equations](http://en.wikibooks.org/wiki/Ordinary_Differential_Equations)
    All linear systems can be described by a linear ordinary differential equation. It is beneficial, therefore, for students to understand these equations. Much of this book describes methods to analyze these equations. Students should know what a differential equation is, and they should also know how to find the general solutions of first and second order ODEs.
[Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)
    This book reinforces many of the advanced mathematical concepts used in the [Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis) book, and we will refer to the relevant sections in the aforementioned text for further information on some subjects. This is essentially a math book, but with a focus on various engineering applications. It relies on a previous knowledge of the other math books in this list.
[Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems)
    The [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) book will provide a basis in the field of **systems theory**, of which control systems is a subset. Readers who have not read the [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems) book will be at a severe disadvantage when reading this book.

## How is this Book Organized?

This book will be organized following a particular progression. First this book will discuss the basics of system theory, and it will offer a brief refresher on integral transforms. Section 2 will contain a brief primer on digital information, for students who are not necessarily familiar with them. This is done so that digital and analog signals can be considered in parallel throughout the rest of the book. Next, this book will introduce the state-space method of system description and control. After section 3, topics in the book will use state-space and transform methods interchangeably (and occasionally simultaneously). It is important, therefore, that these three chapters be well read and understood before venturing into the later parts of the book.

After the "basic" sections of the book, we will delve into specific methods of analyzing and designing control systems. First we will discuss Laplace-domain stability analysis techniques (Routh-Hurwitz, root-locus), and then frequency methods (Nyquist Criteria, Bode Plots). After the classical methods are discussed, this book will then discuss Modern methods of stability analysis. Finally, a number of advanced topics will be touched upon, depending on the knowledge level of the various contributors.

As the subject matter of this book expands, so too will the prerequisites. For instance, when this book is expanded to cover **nonlinear systems**, a basic background knowledge of nonlinear mathematics will be required.

### Versions

This wikibook has been expanded to include [multiple versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions) of its text, differentiated by the material covered, and the order in which the material is presented. Each different version is composed of the chapters of this book, included in a different order. This book covers a wide range of information, so if you don't need all the information that this book has to offer, perhaps one of the other versions would be right for you and your educational needs.

Each separate version has a table of contents outlining the different chapters that are included in that version. Also, each separate version comes complete with a printable version, and some even come with PDF versions as well.

Take a look at the **[All Versions Listing Page](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)** to find the version of the book that is right for you and your needs.

## Differential Equations Review

Implicit in the study of control systems is the underlying use of differential equations. Even if they aren't visible on the surface, all of the continuous-time systems that we will be looking at are described in the time domain by ordinary differential equations (ODE), some of which are relatively high-order.

Let's review some differential equation basics. Consider the topic of interest from a bank. The amount of interest accrued on a given principal balance (the amount of money you put into the bank) P, is given by:

    ![\\frac{dP}{dt} = rP](../../../upload.wikimedia.org/math/9/c/d/9cde9aee93263b24fe77fb16ee57ddca.png)

Where ![\\frac{dP}{dt}](../../../upload.wikimedia.org/math/d/0/c/d0c4e325c30d50f4214eaba3162b2b99.png) is the interest (rate of change of the principal), and r is the interest rate. Notice in this case that P is a function of time (t), and can be rewritten to reflect that:

    ![\\frac{dP\(t\)}{dt} = rP\(t\)](../../../upload.wikimedia.org/math/9/1/a/91a94ca970eb50620e1a09b7adb59330.png)

To solve this basic, first-order equation, we can use a technique called "separation of variables", where we move all instances of the letter P to one side, and all instances of t to the other:

    ![\\frac{dP\(t\)}{P\(t\)} = r\\ dt](../../../upload.wikimedia.org/math/b/3/5/b35e6cab7347cace1be17c3e98ad8558.png)

And integrating both sides gives us:

    ![\\ln|P\(t\)| = rt + C](../../../upload.wikimedia.org/math/0/8/f/08f5009cc4846db66dded292810a09a5.png)

This is all fine and good, but generally, we like to get rid of the logarithm, by raising both sides to a power of e:

    ![P\(t\) = e^{rt + C}](../../../upload.wikimedia.org/math/2/d/b/2dbfea6c9bfbdba913444c0e5b571244.png)

Where we can separate out the constant as such:

    ![D = e^C](../../../upload.wikimedia.org/math/e/5/1/e511ce709617bff23bd4aca2d71aa7ed.png)
    ![P\(t\) = De^{rt}](../../../upload.wikimedia.org/math/2/5/4/254e8dedf86c5bb80dea28a4dec356c3.png)

D is a constant that represents the **initial conditions** of the system, in this case the starting principal.

Differential equations are particularly difficult to manipulate, especially once we get to higher-orders of equations. Luckily, several methods of abstraction have been created that allow us to work with ODEs, but at the same time, not have to worry about the complexities of them. The classical method, as described above, uses the Laplace, Fourier, and Z Transforms to convert ODEs in the time domain into polynomials in a complex domain. These complex polynomials are significantly easier to solve than the ODE counterparts. The Modern method instead breaks differential equations into systems of low-order equations, and expresses this system in terms of matrices. It is a common precept in ODE theory that an ODE of order N can be broken down into N equations of order 1.

Readers who are unfamiliar with differential equations might be able to read and understand the material in this book reasonably well. However, all readers are encouraged to read the related sections in **[Calculus](http://en.wikibooks.org/wiki/Calculus)**.

## History

The field of control systems started essentially in the ancient world. Early civilizations, notably the Greeks and the Arabs were heavily preoccupied with the accurate measurement of time, the result of which were several "water clocks" that were designed and implemented.

However, there was very little in the way of actual progress made in the field of engineering until the beginning of the renaissance in Europe. Leonhard Euler (for whom **Euler's Formula** is named) discovered a powerful integral transform, but Pierre-Simon Laplace used the transform (later called the **Laplace Transform**) to solve complex problems in probability theory.

Joseph Fourier was a court mathematician in France under Napoleon I. He created a special function decomposition called the **Fourier Series**, that was later generalized into an integral transform, and named in his honor (the **Fourier Transform**).  


![Pierre-Simon-Laplace \(1749-1827\).jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Pierre-Simon-Laplace_\(1749-1827\).jpg/150px-Pierre-Simon-Laplace_\(1749-1827\).jpg)
![Joseph Fourier.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Joseph_Fourier.jpg/150px-Joseph_Fourier.jpg)

Pierre-Simon Laplace  


1749-1827

Joseph Fourier  


1768-1840

  
The "golden age" of control engineering occurred between 1910-1945, where mass communication methods were being created and two world wars were being fought. During this period, some of the most famous names in controls engineering were doing their work: Nyquist and Bode.

**Hendrik Wade Bode** and **Harry Nyquist**, especially in the 1930's while working with Bell Laboratories, created the bulk of what we now call "Classical Control Methods". These methods were based off the results of the Laplace and Fourier Transforms, which had been previously known, but were made popular by **Oliver Heaviside** around the turn of the century. Previous to Heaviside, the transforms were not widely used, nor respected mathematical tools.

Bode is credited with the "discovery" of the closed-loop feedback system, and the logarithmic plotting technique that still bears his name (**bode plots**). Harry Nyquist did extensive research in the field of system stability and information theory. He created a powerful stability criteria that has been named for him (**The Nyquist Criteria**).

Modern control methods were introduced in the early 1950's, as a way to bypass some of the shortcomings of the classical methods. **Rudolf Kalman** is famous for his work in modern control theory, and an adaptive controller called the **Kalman Filter** was named in his honor. Modern control methods became increasingly popular after 1957 with the invention of the computer, and the start of the space program. Computers created the need for digital control methodologies, and the space program required the creation of some "advanced" control techniques, such as "optimal control", "robust control", and "nonlinear control". These last subjects, and several more, are still active areas of study among research engineers.  


## Branches of Control Engineering

Here we are going to give a brief listing of the various different methodologies within the sphere of control engineering. Oftentimes, the lines between these methodologies are blurred, or even erased completely.

Classical Controls
    Control methodologies where the ODEs that describe a system are transformed using the Laplace, Fourier, or Z Transforms, and manipulated in the transform domain.
Modern Controls
    Methods where high-order differential equations are broken into a system of first-order equations. The input, output, and internal states of the system are described by vectors called "state variables".
Robust Control
    Control methodologies where arbitrary outside noise/disturbances are accounted for, as well as internal inaccuracies caused by the heat of the system itself, and the environment.
Optimal Control
    In a system, performance metrics are identified, and arranged into a "cost function". The cost function is minimized to create an operational system with the lowest cost.
Adaptive Control
    In adaptive control, the control changes its response characteristics over time to better control the system.
Nonlinear Control
    The youngest branch of control engineering, nonlinear control encompasses systems that cannot be described by linear equations or ODEs, and for which there is often very little supporting theory available.
Game Theory
    Game Theory is a close relative of control theory, and especially robust control and optimal control theories. In game theory, the external disturbances are not considered to be random noise processes, but instead are considered to be "opponents". Each player has a cost function that they attempt to minimize, and that their opponents attempt to maximize.

This book will definitely cover the first two branches, and will hopefully be expanded to cover some of the later branches, if time allows.

## MATLAB

Information about using MATLAB for control systems can be found in  
**[the Appendix](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

**MATLAB** ® is a programming tool that is commonly used in the field of control engineering. We will discuss MATLAB in specific sections of this book devoted to that purpose. MATLAB will not appear in discussions outside these specific sections, although MATLAB may be used in some example problems. An overview of the use of MATLAB in control engineering can be found in the **appendix** at: [Control Systems/MATLAB](http://en.wikibooks.org/wiki/Control_Systems/MATLAB).

For more information on MATLAB in general, see: [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming).

For more information about properly referencing MATLAB, see:  
[Resources](http://en.wikibooks.org/wiki/Control_Systems/Resources)

Nearly all textbooks on the subject of control systems, linear systems, and system analysis will use MATLAB as an integral part of the text. Students who are learning this subject at an accredited university will certainly have seen this material in their textbooks, and are likely to have had MATLAB work as part of their classes. It is from this perspective that the MATLAB appendix is written.

In the future, this book may be expanded to include information on **Simulink** ®, as well as MATLAB.

There are a number of other software tools that are useful in the analysis and design of control systems. Additional information can be added in the appendix of this book, depending on the experience and prior knowledge of contributors.

## About Formatting

This book will use some simple conventions throughout.

### Mathematical Conventions

Mathematical equations will be labeled with the {{[eqn](http://en.wikibooks.org/wiki/Template:Eqn)}} template, to give them names. Equations that are labeled in such a manner are important, and should be taken special note of. For instance, notice the label to the right of this equation:  


[Inverse Laplace Transform]

    ![f\(t\) 
        = \\mathcal{L}^{-1} \\left\\{F\(s\)\\right\\}
        = {1 \\over {2\\pi i}}\\int_{c-i\\infty}^{c+i\\infty} e^{st} F\(s\)\\,ds](../../../upload.wikimedia.org/math/4/0/c/40ccaed3f8eec4aad12166d32c09fc69.png)

Equations that are named in this manner will also be copied into the [List of Equations Glossary](http://en.wikibooks.org/wiki/Control_Systems/List_of_Equations) in the end of the book, for an easy reference.

Italics will be used for English variables, functions, and equations that appear in the main text. For example _e_, _j_, _f(t)_ and _X(s)_ are all italicized. Wikibooks contains a LaTeX mathematics formatting engine, although an attempt will be made not to employ formatted mathematical equations inline with other text because of the difference in size and font. Greek letters, and other non-English characters will not be italicized in the text unless they appear in the midst of multiple variables which are italicized (as a convenience to the editor).

Scalar time-domain functions and variables will be denoted with lower-case letters, along with a _t_ in parenthesis, such as: _x(t)_, _y(t)_, and _h(t)_. Discrete-time functions will be written in a similar manner, except with an _[n]_ instead of a _(t)_.

Fourier, Laplace, Z, and Star transformed functions will be denoted with capital letters followed by the appropriate variable in parenthesis. For example: _F(s)_, _X(jω)_, _Y(z)_, and _F*(s)_.

Matrices will be denoted with capital letters. Matrices which are functions of time will be denoted with a capital letter followed by a _t_ in parenthesis. For example: _A(t)_ is a matrix, _a(t)_ is a scalar function of time.

Transforms of time-variant matrices will be displayed in uppercase bold letters, such as **H**_(s)_.

Math equations rendered using LaTeX will appear on separate lines, and will be indented from the rest of the text.

### Text Conventions

Information which is tangent or auxiliary to the main text will be placed in these "sidebox" templates.

Examples will appear in TextBox templates, which show up as large grey boxes filled with text and equations.

Important Definitions
    Will appear in TextBox templates as well, except we will use this formatting to show that it is a definition.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Notes of interest will appear in "infobox" templates. These notes will often be used to explain some nuances of a mathematical derivation or proof.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Warnings will appear in these "warning" boxes. These boxes will point out common mistakes, or other items to be careful of.

  


  


# System Identification

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Introduction](http://en.wikibooks.org/wiki/Control_Systems/Introduction)
[Digital and Analog →](http://en.wikibooks.org/wiki/Control_Systems/Digital_and_Analog)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Systems

Systems, in one sense, are devices that take input and produce an output. A system can be thought to **operate** on the input to produce the output. The output is related to the input by a certain relationship known as the **system response**. The system response usually can be modeled with a mathematical relationship between the system input and the system output.

## System Properties

Physical systems can be divided up into a number of different categories, depending on particular properties that the system exhibits. Some of these system classifications are very easy to work with and have a large theory base for analysis. Some system classifications are very complex and have still not been investigated with any degree of success. By properly identifying the properties of a system, certain analysis and design tools can be selected for use with the system.

The early sections of this book will focus primarily on **linear time-invariant** (LTI) systems. LTI systems are the easiest class of system to work with, and have a number of properties that make them ideal to study. This chapter discusses some properties of systems.

Later chapters in this book will look at time variant systems and nonlinear systems. Both time variant and nonlinear systems are very complex areas of current research, and both can be difficult to analyze properly. Unfortunately, most physical real-world systems are time-variant, nonlinear, or both.

An introduction to system identification and least squares techniques can be found [here](http://wikis.controltheorypro.com/index.php?title=Introduction_to_System_Identification). An introduction to parameter identification techniques can be found [here](http://wikis.controltheorypro.com/index.php?title=Introduction_to_Parameter_Identification).

## Initial Time

The **initial time** of a system is the time before which there is no input. Typically, the initial time of a system is defined to be zero, which will simplify the analysis significantly. Some techniques, such as the **Laplace Transform** require that the initial time of the system be zero. The initial time of a system is typically denoted by t0.

The value of any variable at the initial time t0 will be denoted with a 0 subscript. For instance, the value of variable x at time t0 is given by:

    ![x\(t_0\) = x_0](../../../upload.wikimedia.org/math/4/7/b/47b712770ce96601b4297e8a551554e5.png)

Likewise, any time t with a positive subscript are points in time _after t0_, in ascending order:

    ![t_0 \\le t_1 \\le t_2 \\le \\cdots \\le t_n](../../../upload.wikimedia.org/math/0/2/3/023c4f6ef726469a2492b7d6b0db1627.png)

So t1 occurs after t0, and t2 occurs after both points. In a similar fashion above, a variable with a positive subscript (unless specifying an index into a vector) also occurs at that point in time:

    ![x\(t_1\) = x_1](../../../upload.wikimedia.org/math/8/6/0/8603106c1c8c311015643e921d2589b0.png)
    ![x\(t_2\) = x_2](../../../upload.wikimedia.org/math/9/8/d/98d8550652b0cb57201fee4bfcc1e74b.png)

This is valid for all points in time t.

## Additivity

A system satisfies the property of **additivity**, if a sum of inputs results in a sum of outputs. By definition: an input of ![x_3\(t\) = x_1\(t\) + x_2\(t\)](../../../upload.wikimedia.org/math/4/6/6/4664dd969b782668f7a6ed911b618e91.png) results in an output of ![y_3\(t\) = y_1\(t\) + y_2\(t\)](../../../upload.wikimedia.org/math/2/1/2/21224043d657ced23f4ba85fb88553e4.png). To determine whether a system is additive, use the following test:

Given a system f that takes an input x and outputs a value y, assume two inputs (x1 and x2) produce two outputs:

    ![y_1 = f\(x_1\)](../../../upload.wikimedia.org/math/d/6/0/d60393f026b4149939fbc2fe4fb778b8.png)
    ![y_2 = f\(x_2\)](../../../upload.wikimedia.org/math/2/b/d/2bd73e4e1ecb847dd46a005fe3d2967c.png)

Now, create a composite input that is the sum of the previous inputs:

    ![x_3 = x_1 + x_2](../../../upload.wikimedia.org/math/d/3/7/d37469cd0d38901035731c412df7f2b8.png)

Then the system is additive if the following equation is true:

    ![y_3 = f\(x_3\) = f\(x_1 + x_2\) = f\(x_1\) + f\(x_2\) = y_1 + y_2](../../../upload.wikimedia.org/math/f/9/5/f9515b0c037f78f88b28353c5a4380c3.png)

Systems that satisfy this property are called **additive**. Additive systems are useful because a sum of simple inputs can be used to analyze the system response to a more complex input.

### Example: Sinusoids

Given the following equation:

    ![y\(t\) = \\sin\(3x\(t\)\)](../../../upload.wikimedia.org/math/e/d/0/ed0c039670e6056fa6432b2bd86bd599.png)

Create a sum of inputs as:

    ![x\(t\) = x_1\(t\) + x_2\(t\)](../../../upload.wikimedia.org/math/5/f/9/5f95550dc5777a918da3f7ec8fe743a4.png)

and construct the expected sum of outputs:

    ![y\(t\) = y_1\(t\) + y_2\(t\)](../../../upload.wikimedia.org/math/b/a/c/bace91eb576b000c635d939309a80583.png)

Now, substituting these values into our equation, test for equality:

    ![y_1\(t\) + y_2\(t\) = \\sin\(3\[x_1\(t\) + x_2\(t\)\]\)](../../../upload.wikimedia.org/math/8/1/5/8154aecaa8074b8efa23a4ed01f0eba3.png)

The equality is not satisfied, and therefore the sine operation is not additive.

## Homogeneity

A system satisfies the condition of **homogeneity** if an input scaled by a certain factor produces an output scaled by that same factor. By definition: an input of ![ax_1](../../../upload.wikimedia.org/math/7/6/e/76edc6be4a9cd5093eead1f3b423e95b.png) results in an output of ![ay_1](../../../upload.wikimedia.org/math/8/5/4/8541d392e564542539717bbb99ea1ffb.png). In other words, to see if function _f()_ is **homogeneous**, perform the following test:

Stimulate the system _f_ with an arbitrary input _x_ to produce an output _y_:

    ![y = f\(x\)](../../../upload.wikimedia.org/math/7/c/1/7c1c9491ba7c6e8d6d2cfa82e39b22ca.png)

Now, create a second input _x1_, scale it by a multiplicative factor _C_ (_C_ is an arbitrary constant value), and produce a corresponding output _y1_:

    ![y_1 = f\(Cx_1\)](../../../upload.wikimedia.org/math/4/f/0/4f0f9568c5a4ad2ac232741f0b0e354f.png)

Now, assign x to be equal to _x1_:

    ![x_1 = x](../../../upload.wikimedia.org/math/e/a/a/eaa5cab5475bf4d2278ebf6572f0a671.png)

Then, for the system to be homogeneous, the following equation must be true:

    ![y_1 = f\(Cx\) = Cf\(x\) = Cy](../../../upload.wikimedia.org/math/b/0/d/b0d2c82d1a06be03578569f3f4577acd.png)

Systems that are homogeneous are useful in many applications, especially applications with gain or amplification.

### Example: Straight-Line

Given the equation for a straight line:

    ![y = f\(x\) = 2x + 3](../../../upload.wikimedia.org/math/c/4/7/c475de67747c55cd5c5c80294091ef8b.png)

    ![y_1 = f\(Cx_1\) = 2\(Cx_1\) + 3 = C2x_1 + 3](../../../upload.wikimedia.org/math/7/0/a/70a6ab37cf784281a22730e4373f73c3.png)

    ![x_1 = x](../../../upload.wikimedia.org/math/e/a/a/eaa5cab5475bf4d2278ebf6572f0a671.png)

Comparing the two results, it is easy to see they are not equal:

    ![y_1 = C2x + 3 \\ne Cy = C\(2x + 3\) = C2x + C3](../../../upload.wikimedia.org/math/c/8/e/c8ed6f0b19a0b42577e374e21e74c38a.png)

Therefore, the equation is not homogeneous.

## Linearity

A system is considered **linear** if it satisfies the conditions of Additivity and Homogeneity. In short, a system is linear if the following is true:

Take two arbitrary inputs, and produce two arbitrary outputs:

    ![y_1 = f\(x_1\)](../../../upload.wikimedia.org/math/d/6/0/d60393f026b4149939fbc2fe4fb778b8.png)
    ![y_2 = f\(x_2\)](../../../upload.wikimedia.org/math/2/b/d/2bd73e4e1ecb847dd46a005fe3d2967c.png)

Now, a linear combination of the inputs should produce a linear combination of the outputs:

    ![f\(Ax + By\) = f\(Ax\) + f\(By\) = Af\(x\) + Bf\(y\)](../../../upload.wikimedia.org/math/5/1/d/51dfb17ad26c11dafd0e69de801c2715.png)

This condition of additivity and homogeneity is called **superposition**. A system is linear if it satisfies the condition of superposition.

### Example: Linear Differential Equations

Is the following equation linear:

    ![\\frac{dy\(t\)}{dt} + y\(t\) = x\(t\)](../../../upload.wikimedia.org/math/f/f/4/ff47a55643548cebcb1b75e0773049bd.png)

To determine whether this system is linear, construct a new composite input:

    ![x\(t\) = Ax_1\(t\) + Bx_2\(t\)](../../../upload.wikimedia.org/math/3/0/7/30733f365d2a924e0c740c9c08a4ab0c.png)

Now, create the expected composite output:

    ![y\(t\) = Ay_1\(t\) + By_2\(t\)](../../../upload.wikimedia.org/math/7/1/d/71dbaa8021391d9fa604f085928f4de1.png)

Substituting the two into our original equation:

    ![\\frac{d\[Ay_1\(t\) + By_2\(t\)\]}{dt} + \[Ay_1\(t\) + By_2\(t\)\] = Ax_1\(t\) + Bx_2\(t\)](../../../upload.wikimedia.org/math/1/a/b/1ab6e0f394912a5f859bcc95f3f778f1.png)

Factor out the derivative operator, as such:

    ![\\frac{d}{dt}\[Ay_1\(t\) + By_2\(t\)\] + \[Ay_1\(t\) + By_2\(t\)\] = Ax_1\(t\) + Bx_2\(t\)](../../../upload.wikimedia.org/math/6/1/e/61ebcf9c1e50358c28edc622300b0944.png)

Finally, convert the various composite terms into the respective variables, to prove that this system is linear:

    ![\\frac{dy\(t\)}{dt} + y\(t\) = x\(t\)](../../../upload.wikimedia.org/math/f/f/4/ff47a55643548cebcb1b75e0773049bd.png)

For the record, derivatives and integrals are linear operators, and ordinary differential equations typically are linear equations.

## Memory

A system is said to have **memory** if the output from the system is dependent on past inputs (or future inputs!) to the system. A system is called **memoryless** if the output is only dependent on the current input. Memoryless systems are easier to work with, but systems with memory are more common in digital signal processing applications.

Systems that have memory are called **dynamic** systems, and systems that do not have memory are **static** systems.

## Causality

Causality is a property that is very similar to memory. A system is called **causal** if it is only dependent on past and/or current inputs. A system is called **anti-causal** if the output of the system is dependent only on future inputs. A system is called **non-causal** if the output depends on past and/or current and future inputs.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

A system design that is not causal cannot be physically implemented. If the system can't be built, the design is generally worthless.

## Time-Invariance

A system is called **time-invariant** if the system relationship between the input and output signals is not dependent on the passage of time. If the input signal ![x\(t\)](../../../upload.wikimedia.org/math/f/d/5/fd5f9e2ee180a439aaec015692916a1c.png) produces an output ![y\(t\)](../../../upload.wikimedia.org/math/0/7/0/0707669836d19443cf6c5cc89ca963e6.png) then any time shifted input, ![x\(t + \\delta\)](../../../upload.wikimedia.org/math/e/8/6/e8693c7d5a6cc7fc1bf3dbd4d21f8166.png), results in a time-shifted output ![y\(t + \\delta\)](../../../upload.wikimedia.org/math/1/7/9/179e07ab4f945c5d5aa46b6c85cd75ae.png) This property can be satisfied if the transfer function of the system is not a function of time except expressed by the input and output. If a system is time-invariant then the system block is commutative with an arbitrary delay. This facet of time-invariant systems will be discussed later.

To determine if a system f is time-invariant, perform the following test:

Apply an arbitrary input x to a system and produce an arbitrary output y:

    ![y\(t\) = f\(x\(t\)\)](../../../upload.wikimedia.org/math/1/6/3/1635b9b702eb57833b992fbc0e321b97.png)

Apply a second input x1 to the system, and produce a second output:

    ![y_1\(t\) = f\(x_1\(t\)\)](../../../upload.wikimedia.org/math/2/0/2/202ad94c2ea5b0aabe453b1e279f729c.png)

Now, assign x1 to be equal to the first input x, time-shifted by a given constant value δ:

    ![x_1\(t\) = x\(t - \\delta\)](../../../upload.wikimedia.org/math/2/f/2/2f2239fe6b772d407f44c278c80e3813.png)

Finally, a system is time-invariant if y1 is equal to y shifted by the same value δ:

    ![y_1\(t\) = y\(t - \\delta\)](../../../upload.wikimedia.org/math/4/6/d/46d080b83d714c1e8882fc5f79a70c4d.png)

## LTI Systems

A system is considered to be a **Linear Time-Invariant** (LTI) system if it satisfies the requirements of time-invariance and linearity. LTI systems are one of the most important types of systems, and they will be considered almost exclusively in the beginning chapters of this book.

Systems which are not LTI are more common in practice, but are much more difficult to analyze.

## Lumpedness

A system is said to be **lumped** if one of the two following conditions are satisfied:

  1. There are a finite number of states that the system can be in.
  2. There are a finite number of state variables.

The concept of "states" and "state variables" are relatively advanced, and they will be discussed in more detail in the discussion about **modern controls**.

Systems which are not lumped are called **distributed**. A simple example of a distributed system is a system with delay, that is, ![A\(s\)y\(t\)=B\(s\)u\(t-\\tau\)](../../../upload.wikimedia.org/math/0/4/3/0435560d0e057445bcc9cfeb95f97ccc.png), which has an infinite number of state variables (Here we use ![s](../../../upload.wikimedia.org/math/0/3/c/03c7c0ace395d80182db07ae2c30f034.png) to denote the Laplace variable). However, although distributed systems are quite common, they are very difficult to analyze in practice, and there are few tools available to work with such systems. Fortunately, in most cases, a delay can be sufficiently modeled with the Pade approximation. This book will not discuss distributed systems much.

## Relaxed

A system is said to be **relaxed** if the system is causal, and at the initial time t0 the output of the system is zero, i.e., there is no stored energy in the system.

    ![y\(t_0\) = f\(x\(t_0\)\) = 0](../../../upload.wikimedia.org/math/5/9/0/590ad4becd9b56a0582bd70eb50e43eb.png)

In terms of differential equations, a relaxed system is said to have "zero initial state". Systems without an initial state are easier to work with, but systems that are not relaxed can frequently be modified to approximate relaxed systems.

## Stability

Control Systems engineers will frequently say that an unstable system has "exploded". Some physical systems actually can rupture or explode when they go unstable.

**Stability** is a very important concept in systems, but it is also one of the hardest function properties to prove. There are several different criteria for system stability, but the most common requirement is that the system must produce a finite output when subjected to a finite input. For instance, if 5 volts is applied to the input terminals of a given circuit, it would be best if the circuit output didn't approach infinity, and the circuit itself didn't melt or explode. This type of stability is often known as "**Bounded Input, Bounded Output**" stability, or **BIBO**.

There are a number of other types of stability, most of which are based off the concept of BIBO stability. Because stability is such an important and complicated topic, an entire section of this text is devoted to its study.

## Inputs and Outputs

Systems can also be categorized by the number of inputs and the number of outputs the system has. Consider a television as a system, for instance. The system has two inputs: the power wire and the signal cable. It has one output: the video display. A system with one input and one output is called **single-input, single output**, or SISO. a system with multiple inputs and multiple outputs is called **multi-input, multi-output**, or MIMO.

These systems will be discussed in more detail later.

**Exercise:**

Based on the definitions of SISO and MIMO, above, determine what the acronyms SIMO and MISO mean.

  


  


# Digital and Analog

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← System Identification](http://en.wikibooks.org/wiki/Control_Systems/System_Identification)
[System Metrics →](http://en.wikibooks.org/wiki/Control_Systems/System_Metrics)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Digital and Analog

There is a significant distinction between an **analog system** and a **digital system**, in the same way that there is a significant difference between analog and digital data. This book is going to consider both analog and digital topics, so it is worth taking some time to discuss the differences, and to display the different notations that will be used with each.

### Continuous Time

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[isct](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

A signal is called **continuous-time** if it is defined at every time t.

A system is a continuous-time system if it takes a continuous-time input signal, and outputs a continuous-time output signal. Here is an example of an analog waveform:

  


![Analog Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/cb/Analog_Waveform.svg/400px-Analog_Waveform.svg.png)

### Discrete Time

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[isdt](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

A signal is called **discrete-time** if it is only defined for particular points in time. A discrete-time system takes discrete-time input signals, and produces discrete-time output signals. The following image shows the difference between an analog waveform and the sampled discrete time equivalent:  


![Sampled Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/c9/Sampled_Waveform.svg/400px-Sampled_Waveform.svg.png)

### Quantized

A signal is called **Quantized** if it can only be certain values, and cannot be other values. This concept is best illustrated with examples:

  1. Students with a strong background in physics will recognize this concept as being the root word in "Quantum Mechanics". In quantum mechanics, it is known that energy comes only in discrete packets. An electron bound to an atom, for example, may occupy one of several discrete energy levels, but not intermediate levels.
  2. Another common example is population statistics. For instance, a common statistic is that a household in a particular country may have an average of "3.5 children", or some other fractional number. Actual households may have 3 children, or they may have 4 children, but no household has 3.5 children.
  3. People with a computer science background will recognize that integer variables are quantized because they can only hold certain integer values, not fractions or decimal points.

The last example concerning computers is the most relevant, because quantized systems are frequently computer-based. Systems that are implemented with computer software and hardware will typically be quantized.

Here is an example waveform of a quantized signal. Notice how the magnitude of the wave can only take certain values, and that creates a step-like appearance. This image is discrete in magnitude, but is continuous in time:

![Quantized Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4a/Quantized_Waveform.svg/400px-Quantized_Waveform.svg.png)

## Analog

By definition:

Analog
    A signal is considered analog if it is defined for all points in time and if it can take any real magnitude value within its range.

An analog system is a system that represents data using a direct conversion from one form to another. In other words, an analog system is a system that is continuous in both time and magnitude.

### Example: Motor

If we have a given motor, we can show that the output of the motor (rotation in units of radians per second, for instance) is a function of the voltage that is input to the motor. We can show the relationship as such:

    ![\\Theta\(v\) = f\(v\)](../../../upload.wikimedia.org/math/9/3/1/931b0499954ecc81055fda5211f9b9ef.png)

Where ![\\Theta](../../../upload.wikimedia.org/math/7/8/f/78fb652a2e06bbad99d4b54531029c40.png) is the output in terms of Rad/sec, and f(v) is the motor's conversion function between the input voltage (**v**) and the output. For any value of **v** we can calculate out specifically what the rotational speed of the motor should be.

### Example: Analog Clock

Consider a standard analog clock, which represents the passage of time though the angular position of the clock hands. We can denote the angular position of the hands of the clock with the system of equations:

    ![\\phi_h = f_h\(t\)](../../../upload.wikimedia.org/math/8/f/9/8f952a214613a93148100a9eb329c82e.png)
    ![\\phi_m = f_m\(t\)](../../../upload.wikimedia.org/math/4/3/5/435b34c44497d96837310413cd9ad92b.png)
    ![\\phi_s = f_s\(t\)](../../../upload.wikimedia.org/math/3/9/a/39a09ebe636fc1a27ea5c02d5646180e.png)

Where φh is the angular position of the hour hand, φm is the angular position of the minute hand, and φs is the angular position of the second hand. The positions of all the different hands of the clock are dependent on functions of time.

Different positions on a clock face correspond directly to different times of the day.

## Digital

Digital data is represented by discrete number values. By definition:

Digital
    A signal or system is considered digital if it is both discrete-time and quantized.

Digital data always have a certain granularity, and therefore there will almost always be an error associated with using such data, especially if we want to account for all real numbers. The tradeoff, of course, to using a digital system is that our powerful computers with our powerful, Moore's law microprocessor units, can be instructed to operate on digital data only. This benefit more than makes up for the shortcomings of a digital representation system.

Discrete systems will be denoted inside square brackets, as is a common notation in texts that deal with discrete values. For instance, we can denote a discrete data set of ascending numbers, starting at 1, with the following notation:

    x[n] = [1 2 3 4 5 6 ...]

**n**, or other letters from the central area of the alphabet (m, i, j, k, l, for instance) are commonly used to denote discrete time values. Analog, or "non-discrete" values are denoted in regular expression syntax, using parenthesis. Here is an example of an analog waveform and the digital equivalent. Notice that the digital waveform is discrete in both time and magnitude:

![Analog Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/cb/Analog_Waveform.svg/400px-Analog_Waveform.svg.png)

![Digital Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/c2/Digital_Waveform.svg/400px-Digital_Waveform.svg.png)

**Analog Waveform**
**Digital Waveform**

### Example: Digital Clock

As a common example, let's consider a digital clock: The digital clock represents time with binary electrical data signals of 1 and 0. The 1's are usually represented by a positive voltage, and a 0 is generally represented by zero voltage. Counting in binary, we can show that any given time can be represented by a base-2 numbering system:

    

Minute Binary Representation

1
1

10
1010

30
11110

59
111011

But what happens if we want to display a fraction of a minute, or a fraction of a second? A typical digital clock has a certain amount of **precision**, and it cannot express fractional values smaller than that precision.

## Hybrid Systems

**Hybrid Systems** are systems that have both analog and digital components. Devices called **samplers** are used to convert analog signals into digital signals, and Devices called **reconstructors** are used to convert digital signals into analog signals. Because of the use of samplers, hybrid systems are frequently called **sampled-data systems**.

### Example: Automobile Computer

Most modern automobiles today have integrated computer systems that monitor certain aspects of the car, and actually help to control the performance of the car. The speed of the car, and the rotational speed of the transmission are analog values, but a sampler converts them into digital values so the car computer can monitor them. The digital computer will then output control signals to other parts of the car, to alter analog systems such as the engine timing, the suspension, the brakes, and other parts. Because the car has both digital and analog components, it is a **hybrid system**.

## Continuous and Discrete

**Note:**  
We are not using the word "continuous" here in the sense of _continuously differentiable_, as is common in math texts.

A system is considered **continuous-time** if the signal exists for all time. Frequently, the terms "analog" and "continuous" will be used interchangeably, although they are not strictly the same.

Discrete systems can come in three flavors:

  1. Discrete time (sampled)
  2. Discrete magnitude (quantized)
  3. Discrete time and magnitude (digital)

**Discrete magnitude** systems are systems where the signal value can only have certain values. **Discrete time** systems are systems where signals are only available (or valid) at particular times. Computer systems are discrete in the sense of (3), in that data is only read at specific discrete time intervals, and the data can have only a limited number of discrete values.

A discrete-time system has a **sampling time** value associated with it, such that each discrete value occurs at multiples of the given sampling time. We will denote the sampling time of a system as T. We can equate the square-brackets notation of a system with the continuous definition of the system as follows:

    ![x\[n\] = x\(nT\)](../../../upload.wikimedia.org/math/0/8/e/08ed891b4702fc02476afed0b9fef9bd.png)

Notice that the two notations show the same thing, but the first one is typically easier to write, _and_ it shows that the system in question is a discrete system. This book will use the square brackets to denote discrete systems by the sample number n, and parenthesis to denote continuous time functions.

## Sampling and Reconstruction

The process of converting analog information into digital data is called "Sampling". The process of converting digital data into an analog signal is called "Reconstruction". We will talk about both processes in a later chapter. For more information on the topic than is available in this book, see the [Analog and Digital Conversion](http://en.wikibooks.org/wiki/Analog_and_Digital_Conversion) wikibook. Here is an example of a reconstructed waveform. Notice that the reconstructed waveform here is quantized because it is constructed from a digital signal:

![Reconstructed Waveform.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/bb/Reconstructed_Waveform.svg/400px-Reconstructed_Waveform.svg.png)

  


  


# System Metrics

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Digital and Analog](http://en.wikibooks.org/wiki/Control_Systems/Digital_and_Analog)
[System Modeling →](http://en.wikibooks.org/wiki/Control_Systems/System_Modeling)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## System Metrics

When a system is being designed and analyzed, it doesn't make any sense to test the system with all manner of strange input functions, or to measure all sorts of arbitrary performance metrics. Instead, it is in everybody's best interest to test the system with a set of standard, simple reference functions. Once the system is tested with the reference functions, there are a number of different metrics that we can use to determine the system performance.

It is worth noting that the metrics presented in this chapter represent only a small number of possible metrics that can be used to evaluate a given system. This wikibook will present other useful metrics along the way, as their need becomes apparent.

## Standard Inputs

**Note**:  
All of the standard inputs are zero before time zero. All the standard inputs are **causal**.

There are a number of standard inputs that are considered simple enough and universal enough that they are considered when designing a system. These inputs are known as a **unit step**, a **ramp**, and a **parabolic** input.

Unit Step
    A unit step function is defined piecewise as such:

  


[Unit Step Function]

    

    ![u\(t\) = \\left\\{
\\begin{matrix} 
  0, & t < 0
\\\\ 
  1, & t \\ge 0
\\end{matrix}\\right.
](../../../upload.wikimedia.org/math/2/9/8/2980b9619d2d05796a4d4642d4c99e72.png)

    The unit step function is a highly important function, not only in control systems engineering, but also in signal processing, systems analysis, and all branches of engineering. If the unit step function is input to a system, the output of the system is known as the **step response**. The step response of a system is an important tool, and we will study step responses in detail in later chapters.

![Unit Step.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/cd/Unit_Step.svg/400px-Unit_Step.svg.png)

Ramp
    A unit ramp is defined in terms of the unit step function, as such:

  


[Unit Ramp Function]

    

    ![r\(t\) = t u\(t\)](../../../upload.wikimedia.org/math/5/a/8/5a819fa111bcfa8a3521a865680f2d71.png)

    It is important to note that the unit step function is simply the differential of the unit ramp function:

    

    ![r\(t\) = \\int u\(t\)dt = tu\(t\)](../../../upload.wikimedia.org/math/5/6/1/5613253b9e3be3876914db7eebf24895.png)

    This definition will come in handy when we learn about the **Laplace Transform**.

![Unit Ramp.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/0/09/Unit_Ramp.svg/400px-Unit_Ramp.svg.png)

Parabolic
    A unit parabolic input is similar to a ramp input:

  


[Unit Parabolic Function]

    

    ![p\(t\) = \\frac{1}{2}t^2 u\(t\)](../../../upload.wikimedia.org/math/c/f/d/cfd76dc9595d2ecbebe27cc875f44329.png)

    Notice also that the unit parabolic input is equal to the integral of the ramp function:

    

    ![p\(t\) = \\int r\(t\)dt = \\int t u\(t\)dt = \\frac{1}{2}t^2u\(t\) = \\frac{1}{2}t r\(t\)](../../../upload.wikimedia.org/math/8/1/6/816bbbf365cebaace2d8f369285d2e49.png)

    Again, this result will become important when we learn about the Laplace Transform.

![Unit Parabola.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/d/dd/Unit_Parabola.svg/400px-Unit_Parabola.svg.png)

Also, sinusoidal and exponential functions are considered basic, but they are too difficult to use in initial analysis of a system.

## Steady State

**Note**:  
To be more precise, we should have taken the limit as _t_ approaches infinity. However, as a shorthand notation, we will typically say "_t_ equals infinity", and assume the reader understands the shortcut that is being used.

When a unit-step function is input to a system, the **steady-state** value of that system is the output value at time ![t = \\infty](../../../upload.wikimedia.org/math/0/5/8/0589003fde8f41297b398de1c37499cf.png). Since it is impractical (if not completely impossible) to wait till infinity to observe the system, approximations and mathematical calculations are used to determine the steady-state value of the system. Most system responses are **asymptotic**, that is that the response approaches a particular value. Systems that are asymptotic are typically obvious from viewing the graph of that response.

### Step Response

The step response of a system is most frequently used to analyze systems, and there is a large amount of terminology involved with step responses. When exposed to the step input, the system will initially have an undesirable output period known as the **transient response**. The transient response occurs because a system is approaching its final output value. The steady-state response of the system is the response after the transient response has ended.

The amount of time it takes for the system output to reach the desired value (before the transient response has ended, typically) is known as the **rise time**. The amount of time it takes for the transient response to end and the steady-state response to begin is known as the **settling time**.

It is common for a systems engineer to try and improve the step response of a system. In general, it is desired for the transient response to be reduced, the rise and settling times to be shorter, and the steady-state to approach a particular desired "reference" output.

![Step Function.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/0/0e/Step_Function.svg/400px-Step_Function.svg.png)

![Step Response.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a0/Step_Response.svg/400px-Step_Response.svg.png)

An arbitrary step function with ![x\(t\) = Mu\(t\)](../../../upload.wikimedia.org/math/a/a/6/aa6113dc7ef4c15a796cca5cd4bcea91.png) A step response graph of input _x(t)_ to a made-up system

  


## Target Value

The target output value is the value that our system attempts to obtain for a given input. This is not the same as the steady-state value, which is the actual value that the target does obtain. The target value is frequently referred to as the **reference value**, or the "reference function" of the system. In essence, this is the value that we want the system to produce. When we input a "5" into an elevator, we want the output (the final position of the elevator) to be the fifth floor. Pressing the "5" button is the reference input, and is the expected value that we want to obtain. If we press the "5" button, and the elevator goes to the third floor, then our elevator is poorly designed.

## Rise Time

**Rise time** is the amount of time that it takes for the system response to reach the target value from an initial state of zero. Many texts on the subject define the rise time as being the time it takes to rise between the initial position and 80% of the target value. This is because some systems never rise to 100% of the expected, target value, and therefore they would have an infinite rise-time. This book will specify which convention to use for each individual problem. Rise time is typically denoted _tr_, or _trise_.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Rise time is not the amount of time it takes to achieve steady-state, only the amount of time it takes to reach the desired target value for the first time.

## Percent Overshoot

Underdamped systems frequently overshoot their target value initially. This initial surge is known as the "overshoot value". The ratio of the amount of overshoot to the target steady-state value of the system is known as the **percent overshoot**. Percent overshoot represents an overcompensation of the system, and can output dangerously large output signals that can damage a system. Percent overshoot is typically denoted with the term _PO_.

**Example: Refrigerator**

Consider an ordinary household refrigerator. The refrigerator has cycles where it is on and when it is off. When the refrigerator is on, the coolant pump is running, and the temperature inside the refrigerator decreases. The temperature decreases to a much lower level than is required, and then the pump turns off.

When the pump is off, the temperature slowly increases again as heat is absorbed into the refrigerator. When the temperature gets high enough, the pump turns back on. Because the pump cools down the refrigerator more than it needs to initially, we can say that it "overshoots" the target value by a certain specified amount.

**Example: Refrigerator**

Another example concerning a refrigerator concerns the electrical demand of the heat pump when it first turns on. The pump is an inductive mechanical motor, and when the motor first activates, a special counter-acting force known as "back EMF" resists the motion of the motor, and causes the pump to draw more electricity until the motor reaches its final speed. During the startup time for the pump, lights on the same electrical circuit as the refrigerator may dim slightly, as electricity is drawn away from the lamps, and into the pump. This initial draw of electricity is a good example of overshoot.

## Steady-State Error

Usually, the letter _e_ or _E_ will be used to denote error values.

Sometimes a system might never achieve the desired steady-state value, but instead will settle on an output value that is not desired. The difference between the steady-state output value to the reference input value at steady state is called the **steady-state error** of the system. We will use the variable _ess_ to denote the steady-state error of the system.

## Settling Time

After the initial rise time of the system, some systems will oscillate and vibrate for an amount of time before the system output settles on the final value. The amount of time it takes to reach steady state after the initial rise time is known as the **settling time**. Notice that damped oscillating systems may never settle completely, so we will define settling time as being the amount of time for the system to reach, and stay in, a certain acceptable range. The acceptable range for settling time is typically determined on a per-problem basis, although common values are 20%, 10%, or 5% of the target value. The settling time will be denoted as _ts_.

## System Order

The **order** of the system is defined by the number of independent energy storage elements in the system, and intuitively by the highest degree of the linear differential equation that describes the system. In a transfer function representation, the order is the highest exponent in the transfer function. In a **proper system**, the system order is defined as the degree of the denominator polynomial. In a state-space equation, the system order is the number of state-variables used in the system. The order of a system will frequently be denoted with an _n_ or _N_, although these variables are also used for other purposes. This book will make clear distinction on the use of these variables.

### Proper Systems

A **proper system** is a system where the degree of the denominator is larger than or equal to the degree of the numerator polynomial. A **strictly proper system** is a system where the degree of the denominator polynomial is larger than (but never equal to) the degree of the numerator polynomial. A **biproper system** is a system where the degree of the denominator polynomial equals the degree of the numerator polynomial.

It is important to note that only proper systems can be physically realized. In other words, a system that is not proper cannot be built. It makes no sense to spend a lot of time designing and analyzing imaginary systems.

### Example: System Order

Find the order of this system:

    ![G\(s\) = \\frac{1 + s}{1 + s + s^2}](../../../upload.wikimedia.org/math/f/6/2/f6241e78c9cf15dd6f89febe6c94f6bc.png)

The highest exponent in the denominator is s2, so the system is order 2. Also, since the denominator is a higher degree than the numerator, this system is proper.

in the above example, G(s) is a second-order transfer function because in the denominator one of the s variables has an exponent of 2. Second-order functions are the easiest to work with.

## System Type

Let's say that we have a transfer function that is in the following generalized form (known as **pole-zero form**):

  


[Pole-Zero Form]

    ![G\(s\) = \\frac {K \\prod_i \(s - s_i\)}{s^M \\prod_j \(s - s_j\)}](../../../upload.wikimedia.org/math/a/2/3/a232f466edf315ac4c596ef24a7157ba.png)

Poles at the origin are called **integrators**, because they have the effect of performing integration on the input signal.

we call the parameter _M_ the **system type**. Note that increased system type number correspond to larger numbers of poles at s = 0. More poles at the origin generally have a beneficial effect on the system, but they increase the order of the system, and make it increasingly difficult to implement physically. System type will generally be denoted with a letter like _N_, _M_, or _m_. Because these variables are typically reused for other purposes, this book will make clear distinction when they are employed.

Now, we will define a few terms that are commonly used when discussing system type. These new terms are **Position Error**, **Velocity Error**, and **Acceleration Error**. These names are throwbacks to physics terms where acceleration is the derivative of velocity, and velocity is the derivative of position. Note that none of these terms are meant to deal with movement, however.

Position Error
    The position error, denoted by the **position error constant** _![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png)_. This is the amount of steady-state error of the system when stimulated by a unit step input. We define the position error constant as follows:

  


[Position Error Constant]

    

    ![K_p = \\lim_{s \\to 0} G\(s\)](../../../upload.wikimedia.org/math/a/8/e/a8e4b02b90fccc23e072091462fc8932.png)

    Where G(s) is the transfer function of our system.

Velocity Error
    The velocity error is the amount of steady-state error when the system is stimulated with a ramp input. We define the **velocity error constant** as such:

  


[Velocity Error Constant]

    

    ![K_v = \\lim_{s \\to 0} s G\(s\)](../../../upload.wikimedia.org/math/6/a/3/6a39accfeb2bd23f868e82123f034051.png)

Acceleration Error
    The acceleration error is the amount of steady-state error when the system is stimulated with a parabolic input. We define the **acceleration error constant** to be:

  


[Acceleration Error Constant]

    

    ![K_a = \\lim_{s \\to 0} s^2 G\(s\)](../../../upload.wikimedia.org/math/2/f/2/2f2d63579560504ff79dc02b8ff303c4.png)

Now, this table will show briefly the relationship between the system type, the kind of input (step, ramp, parabolic), and the steady-state error of the system:

    

Unit System Input

Type, _M_ _Au(t)_ _Ar(t)_ _Ap(t)_

0
![e_{ss} = \\frac{A}{1 + K_p}](../../../upload.wikimedia.org/math/a/8/b/a8bfdf01e0da42939c2775d484954e20.png)
![e_{ss} = \\infty](../../../upload.wikimedia.org/math/a/5/1/a51a54d52926b2951d18f853b6a94c11.png)
![e_{ss} = \\infty](../../../upload.wikimedia.org/math/a/5/1/a51a54d52926b2951d18f853b6a94c11.png)

1
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)
![e_{ss} = \\frac{A}{K_v}](../../../upload.wikimedia.org/math/4/8/7/4877e36fb4bbf9f5987f23bd8fee83f5.png)
![e_{ss} = \\infty](../../../upload.wikimedia.org/math/a/5/1/a51a54d52926b2951d18f853b6a94c11.png)

2
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)
![e_{ss} = \\frac{A}{K_a}](../../../upload.wikimedia.org/math/7/7/4/774f8eb54776b589f08c88c221f76e4f.png)

> 2
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)
![e_{ss} = 0](../../../upload.wikimedia.org/math/b/b/2/bb24ed2138001a9de2c5295d61ef722e.png)

### Z-Domain Type

Likewise, we can show that the system order can be found from the following generalized transfer function in the _Z_ domain:

    ![G\(z\) = \\frac {K \\prod_i \(z - z_i\)}{\(z - 1\)^M \\prod_j \(z - z_j\)}](../../../upload.wikimedia.org/math/1/6/5/165710849c0e90ec51bfab63bc7dd69c.png)

Where the constant _M_ is the order of the digital system. Now, we will show how to find the various error constants in the Z-Domain:

  


[Z-Domain Error Constants]

    

Error Constant Equation

Kp
![K_p = \\lim_{z \\to 1} G\(z\)](../../../upload.wikimedia.org/math/3/4/1/34110b27402bd7d831b80e78f88a9956.png)

Kv
![K_v = \\lim_{z \\to 1} \(z - 1\) G\(z\)](../../../upload.wikimedia.org/math/e/8/e/e8e89e977170d992da4a10b68132feda.png)

Ka
![K_a = \\lim_{z \\to 1} \(z - 1\)^2 G\(z\)](../../../upload.wikimedia.org/math/b/b/6/bb68ddf0c36cae9c857bddc60b747fc7.png)

## Visually

Here is an image of the various system metrics, acting on a system in response to a step input:

![System Metrics Diagram.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7e/System_Metrics_Diagram.svg/500px-System_Metrics_Diagram.svg.png)

The target value is the value of the input step response. The rise time is the time at which the waveform first reaches the target value. The overshoot is the amount by which the waveform exceeds the target value. The settling time is the time it takes for the system to settle into a particular bounded region. This bounded region is denoted with two short dotted lines above and below the target value.

  


  


# System Modeling

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← System Metrics](http://en.wikibooks.org/wiki/Control_Systems/System_Metrics)
[Transforms →](http://en.wikibooks.org/wiki/Control_Systems/Transforms)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## The Control Process

It is the job of a control engineer to analyze existing systems, and to design new systems to meet specific needs. Sometimes new systems need to be designed, but more frequently a controller unit needs to be designed to improve the performance of existing systems. When designing a system, or implementing a controller to augment an existing system, we need to follow some basic steps:

  1. Model the system mathematically
  2. Analyze the mathematical model
  3. Design system/controller
  4. Implement system/controller and test

The vast majority of this book is going to be focused on (2), the analysis of the mathematical systems. This chapter alone will be devoted to a discussion of the mathematical modeling of the systems.

## External Description

An **external description** of a system relates the system input to the system output without explicitly taking into account the internal workings of the system. The external description of a system is sometimes also referred to as the **Input-Output Description** of the system, because it only deals with the inputs and the outputs to the system.

![Time-Domain Transfer Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Time-Domain_Transfer_Block.svg/240px-Time-Domain_Transfer_Block.svg.png)

If the system can be represented by a mathematical function _h(t, r)_, where _t_ is the time that the output is observed, and _r_ is the time that the input is applied. We can relate the system function _h(t, r)_ to the input _x_ and the output _y_ through the use of an integral:

  


[General System Description]

    ![y\(t\) = \\int_{-\\infty}^\\infty h\(t, r\)x\(r\)dr](../../../upload.wikimedia.org/math/9/a/5/9a5da32fa7b9a8be50b98275b891b363.png)

This integral form holds for all linear systems, and every linear system can be described by such an equation.

If a system is causal, then there is no output of the system before time _r_, and we can change the limits of the integration:

    ![y\(t\) = \\int_0^t h\(t, r\)x\(r\)dr](../../../upload.wikimedia.org/math/0/1/b/01b7f5ddb45254e8b17d8133737f6c2f.png)

### Time-Invariant Systems

If a system is time-invariant (and causal), we can rewrite the system description equation as follows:

    ![y\(t\) = \\int_0^t h\(t - r\)x\(r\)dr](../../../upload.wikimedia.org/math/d/3/9/d3945a4fd64a58d4b449a070d5c469b3.png)

This equation is known as the **convolution integral**, and we will discuss it more in the next chapter.

Every Linear Time-Invariant (LTI) system can be used with the **Laplace Transform**, a powerful tool that allows us to convert an equation from the time domain into the **S-Domain**, where many calculations are easier. Time-variant systems cannot be used with the Laplace Transform.

## Internal Description

If a system is linear and lumped, it can also be described using a system of equations known as **state-space equations**. In state space equations, we use the variable _x_ to represent the internal state of the system. We then use _u_ as the system input, and we continue to use _y_ as the system output. We can write the state space equations as such:

    ![x'\(t\) = A\(t\)x\(t\) + B\(t\)u\(t\)](../../../upload.wikimedia.org/math/b/2/7/b2755605ebf1de230f7be1dffb750e6c.png)
    ![y\(t\) = C\(t\)x\(t\) + D\(t\)u\(t\)](../../../upload.wikimedia.org/math/e/b/a/eba58f160f83ccab481a21634f6096a9.png)

We will discuss the state space equations more when we get to the section on **modern controls**.

## Complex Descriptions

Systems which are LTI and Lumped can also be described using a combination of the state-space equations, and the Laplace Transform. If we take the Laplace Transform of the state equations that we listed above, we can get a set of functions known as the **Transfer Matrix Functions**. We will discuss these functions in a later chapter.

## Representations

To recap, we will prepare a table with the various system properties, and the available methods for describing the system:

    

Properties State-Space  
Equations Laplace  
Transform Transfer  
Matrix

Linear, Time-Variant, Distributed
no
no
no

Linear, Time-Variant, Lumped
yes
no
no

Linear, Time-Invariant, Distributed
no
yes
no

Linear, Time-Invariant, Lumped
yes
yes
yes

We will discuss all these different types of system representation later in the book.

## Analysis

Once a system is modeled using one of the representations listed above, the system needs to be analyzed. We can determine the system metrics and then we can compare those metrics to our specification. If our system meets the specifications we are finished with the design process. However if the system does not meet the specifications (as is typically the case), then suitable controllers and compensators need to be designed and added to the system.

Once the controllers and compensators have been designed, the job isn't finished: we need to analyze the new composite system to ensure that the controllers work properly. Also, we need to ensure that the systems are stable: unstable systems can be dangerous.

### Frequency Domain

For proposals, early stage designs, and quick turn around analyses a frequency domain model is often superior to a time domain model. Frequency domain models take disturbance PSDs (Power Spectral Densities) directly, use transfer functions directly, and produce output or residual PSDs directly. The answer is a steady-state response. Oftentimes the controller is shooting for 0 so the steady-state response is also the residual error that will be the analysis output or metric for report.

**Table 1: Frequency Domain Model Inputs and Outputs**

Input Model Output

PSD
Transfer Function
PSD

#### Brief Overview of the Math

Frequency domain modeling is a matter of determining the impulse response of a system to a random process.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/45/FreqDomainBlocks.png/500px-FreqDomainBlocks.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Figure 1: Frequency Domain System

    ![S_{YY}\\left\(\\omega\\right\)=G^*\\left\(\\omega\\right\)G\\left\(\\omega\\right\)S_{XX}= \\left | G\\left\(\\omega\\right\)\\right \\vert S_{XX}](../../../upload.wikimedia.org/math/7/5/2/752343a2dca3855da850ce93abac4e3e.png)[[1]](Print_version.html#cite_note-1)

where

    

    ![S_{XX}\\left\(\\omega\\right\)](../../../upload.wikimedia.org/math/5/e/e/5ee05516b1acd5ef3e1ad4f894973ef5.png) is the one-sided input PSD in ![\\frac{magnitude^2}{Hz}](../../../upload.wikimedia.org/math/d/8/2/d820654b2e6b42d9fe7236aa6c2f6444.png)
    ![G\\left\(\\omega\\right\)](../../../upload.wikimedia.org/math/9/c/a/9cab9c4b9ff37b8e9b37d5f3ef92187a.png) is the frequency response function of the system and
    ![S_{YY}\\left\(\\omega\\right\)](../../../upload.wikimedia.org/math/a/9/1/a917c465f6c221959c792d623a8a73df.png) is the one-sided output PSD or auto power spectral density function.

The frequency response function, ![G\\left\(\\omega\\right\)](../../../upload.wikimedia.org/math/9/c/a/9cab9c4b9ff37b8e9b37d5f3ef92187a.png), is related to the impulse response function (transfer function) by

    ![g\\left\(\\tau\\right\)=\\frac{1}{2 \\pi} \\int_{-\\infty}^{\\infty}e^{i\\omega t}H\\left\(\\omega\\right\)\\,d\\omega](../../../upload.wikimedia.org/math/3/e/9/3e93c93cc5e05d123ec06dfea5a95bd6.png)

Note some texts will state that this is only valid for random processes which are stationary. Other texts suggest stationary and ergodic while still others state weakly stationary processes. Some texts do not distinguish between strictly stationary and weakly stationary. From practice, the rule thumb is if the PSD of the input process is the same from hour to hour and day to day then the input PSD can be used and the above equation is valid.

#### Notes

  1. [↑](Print_version.html#cite_ref-1) Sun, Jian-Qiao (2006). _Stochastic Dynamics and Control, Volume 4_. Amsterdam: Elsevier Science. [ISBN 0444522301](http://en.wikibooks.org/wiki/Special:BookSources/0444522301).

[See a full explanation with example at ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Frequency_Domain_Modeling)

## Modeling Examples

Modeling in Control Systems is oftentimes a matter of judgement. This judgement is developed by creating models and learning from other people's models. ControlTheoryPro.com is a site with a lot of examples. Here are links to a few of them

  * [Hovering Helicopter Example](http://wikis.controltheorypro.com/index.php?title=Helicopter_Hover_Example)
  * [Reaction Torque Cancellation Example](http://wikis.controltheorypro.com/index.php?title=Reaction_Cancellation_Example)
  * [List of all examples at ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Category:Examples)

## Manufacture

Once the system has been properly designed we can prototype our system and test it. Assuming our analysis was correct and our design is good, the prototype should work as expected. Now we can move on to manufacture and distribute our completed systems.

  


  
  


Classical Controls

The classical method of controls involves analysis and manipulation of systems in the complex frequency domain. This domain, entered into by applying the Laplace or Fourier Transforms, is useful in examining the characteristics of the system, and determining the system response.

  


# Transforms

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← System Modeling](http://en.wikibooks.org/wiki/Control_Systems/System_Modeling)
[Transfer Functions →](http://en.wikibooks.org/wiki/Control_Systems/Transfer_Functions)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Transforms

There are a number of transforms that we will be discussing throughout this book, and the reader is assumed to have at least a small prior knowledge of them. It is not the intention of this book to teach the topic of transforms to an audience that has had no previous exposure to them. However, we will include a brief refresher here to refamiliarize people who maybe cannot remember the topic perfectly. If you do not know what the **Laplace Transform** or the **Fourier Transform** are yet, it is highly recommended that you use this page as a simple guide, and look the information up on other sources. Specifically, [Wikipedia](http://en.wikipedia.org/wiki/) has lots of information on these subjects.

### Transform Basics

A **transform** is a mathematical tool that converts an equation from one variable (or one set of variables) into a new variable (or a new set of variables). To do this, the transform must remove all instances of the first variable, the "Domain Variable", and add a new "Range Variable". Integrals are excellent choices for transforms, because the limits of the definite integral will be substituted into the domain variable, and all instances of that variable will be removed from the equation. An integral transform that converts from a domain variable _a_ to a range variable _b_ will typically be formatted as such:

    ![\\mathcal{T}\[f\(a\)\] = F\(b\) = \\int_C f\(a\)g\(a,b\)da](../../../upload.wikimedia.org/math/9/3/4/9349a0bc3d1ebe1beaaa7f7cce5cbc7b.png)

Where the function _f(a)_ is the function being transformed, and _g(a,b)_ is known as the **kernel** of the transform. Typically, the only difference between the various integral transforms is the kernel.

## Laplace Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Laplace transform**_](http://en.wikipedia.org/wiki/Laplace_transform)

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[laplace](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

The **Laplace Transform** converts an equation from the time-domain into the so-called "S-domain", or the **Laplace domain**, or even the "Complex domain". These are all different names for the same mathematical space and they all may be used interchangeably in this book and in other texts on the subject. The Transform can only be applied under the following conditions:

  1. The system or signal in question is analog.
  2. The system or signal in question is Linear.
  3. The system or signal in question is Time-Invariant.
  4. The system or signal in question is causal.

The transform is defined as such:

  


[Laplace Transform]

    ![\\begin{matrix}F\(s\) = \\mathcal{L}\[f\(t\)\] = \\int_0^\\infty f\(t\) e^{-st}dt\\end{matrix}](../../../upload.wikimedia.org/math/e/e/f/eef1a8765619c772c0ac1226862aad6f.png)

Laplace transform results have been tabulated extensively. More information on the Laplace transform, including a transform table can be found in **[the Appendix**](http://en.wikibooks.org/wiki/Control_Systems/Transforms_Appendix).

If we have a linear differential equation in the time domain:

    ![\\begin{matrix}y\(t\) = ax\(t\) + bx'\(t\) + cx''\(t\)\\end{matrix}](../../../upload.wikimedia.org/math/0/e/1/0e1e24f18c1d07812b448f2a40352db9.png)

With zero initial conditions, we can take the Laplace transform of the equation as such:

    ![\\begin{matrix}Y\(s\) = aX\(s\) + bsX\(s\) + cs^2X\(s\)\\end{matrix}](../../../upload.wikimedia.org/math/6/6/1/66130f38fff714a1117c1f6c16909116.png)

And separating, we get:

    ![\\begin{matrix}Y\(s\) = X\(s\)\[a + bs + cs^2\]\\end{matrix}](../../../upload.wikimedia.org/math/3/4/9/349d0f05749268baa2faf1ad7ecfa0f5.png)

### Inverse Laplace Transform

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[ilaplace](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

The **inverse Laplace Transform** is defined as such:  
  


[Inverse Laplace Transform]

    ![\\begin{matrix}f\(t\) 
        = \\mathcal{L}^{-1} \\left\\{F\(s\)\\right\\}
        = {1 \\over {2\\pi i}}\\int_{c-i\\infty}^{c+i\\infty} e^{st} F\(s\)\\,ds\\end{matrix}](../../../upload.wikimedia.org/math/8/8/b/88bd41ecdf95386dbd04ac88d141c10f.png)

The inverse transform converts a function from the Laplace domain back into the time domain.

### Matrices and Vectors

The Laplace Transform can be used on systems of linear equations in an intuitive way. Let's say that we have a system of linear equations:

    ![\\begin{matrix}y_1\(t\) = a_1x_1\(t\)\\end{matrix}](../../../upload.wikimedia.org/math/e/b/8/eb8fb2987e217cc224f4dc855b18170f.png)
    ![\\begin{matrix}y_2\(t\) = a_2x_2\(t\)\\end{matrix}](../../../upload.wikimedia.org/math/4/2/6/4264b4c48ae5288cdea9752d85c2fbeb.png)

We can arrange these equations into matrix form, as shown:

    ![\\begin{bmatrix}y_1\(t\) \\\\ y_2\(t\)\\end{bmatrix} = \\begin{bmatrix}a_1 & 0 \\\\ 0 & a_2\\end{bmatrix}\\begin{bmatrix}x_1\(t\) \\\\x_2\(t\)\\end{bmatrix}](../../../upload.wikimedia.org/math/5/b/d/5bd0610e9eb03735ea00f76d5e2610ac.png)

And write this symbolically as:

    ![\\bold{y}\(t\) = A\\bold{x}\(t\)](../../../upload.wikimedia.org/math/8/7/c/87c17d140e67d807aac9cab49cb58b10.png)

We can take the Laplace transform of both sides:

    ![\\mathcal{L}\[\\bold{y}\(t\)\] = \\bold{Y}\(s\) = \\mathcal{L}\[A\\bold{x}\(t\)\] = A\\mathcal{L}\[\\bold{x}\(t\)\] = A\\bold{X}\(s\)](../../../upload.wikimedia.org/math/7/8/4/7846f9b86751933a0cb798a1bca2d360.png)

Which is the same as taking the transform of each individual equation in the system of equations.

### Example: RL Circuit

For more information about electric circuits, see:  
**[Circuit Theory](http://en.wikibooks.org/wiki/Circuit_Theory)**

Here, we are going to show a common example of a first-order system, an **RL Circuit**. In an inductor, the relationship between the current (i), and the voltage (v) in the time domain is expressed as a derivative:

    ![v\(t\) = L\\frac{di\(t\)}{dt}](../../../upload.wikimedia.org/math/f/c/1/fc19a7ce96062fa21fb5df3841456089.png)

Where L is a special quantity called the "Inductance" that is a property of inductors.

![](../../../upload.wikimedia.org/wikipedia/commons/8/8b/Series-RL.png)

Circuit diagram for the RL circuit example problem. VL is the voltage over the inductor, and is the quantity we are trying to find.

Let's say that we have a 1st order RL series electric circuit. The resistor has resistance R, the inductor has inductance L, and the voltage source has input voltage Vin. The system output of our circuit is the voltage over the inductor, Vout. In the time domain, we have the following first-order differential equations to describe the circuit:

    ![V_{out}\(t\) = V_{L}\(t\) = L\\frac{di\(t\)}{dt}](../../../upload.wikimedia.org/math/a/c/b/acb81aca5632815755844094fdfa39f2.png)
    ![V_{in}\(t\) = Ri\(t\) + L\\frac{di\(t\)}{dt}](../../../upload.wikimedia.org/math/6/4/e/64e3b81dc74a1ebe52d2dd11335f8013.png)

However, since the circuit is essentially acting as a voltage divider, we can put the output in terms of the input as follows:

    ![V_{out}\(t\) = \\frac{L\\frac{di\(t\)}{dt}}{Ri\(t\) + L \\frac{di\(t\)}{dt}}V_{in}\(t\)](../../../upload.wikimedia.org/math/b/0/f/b0f085d04d813b80fd8dadbfa7e3d080.png)

This is a very complicated equation, and will be difficult to solve unless we employ the Laplace transform:

    ![V_{out}\(s\) = \\frac{Ls}{R + Ls}V_{in}\(s\)](../../../upload.wikimedia.org/math/6/f/d/6fd6f17df4757d879727ad3d6cd97f42.png)

We can divide top and bottom by L, and move Vin to the other side:

    ![\\frac{V_{out}}{V_{in}} = \\frac{s}{\\frac{R}{L} + s}](../../../upload.wikimedia.org/math/2/0/3/203b55350ba31bfb7c0f744203b49d5c.png)

And using a simple table look-up, we can solve this for the time-domain relationship between the circuit input and the circuit output:

    ![\\frac{v_{out}}{v_{in}} = \\frac{d}{dt}e^{\\left\(\\frac{-Rt}{L}\\right\)}u\(t\)](../../../upload.wikimedia.org/math/d/2/f/d2fe827aa3c2be17e25084860691a839.png)

### Partial Fraction Expansion

For more information about Partial Fraction Expansion, see:  
**[Calculus](http://en.wikibooks.org/wiki/Calculus)**

Laplace transform pairs are extensively tabulated, but frequently we have transfer functions and other equations that do not have a tabulated inverse transform. If our equation is a fraction, we can often utilize **Partial Fraction Expansion** (PFE) to create a set of simpler terms that will have readily available inverse transforms. This section is going to give a brief reminder about PFE, for those who have already learned the topic. This refresher will be in the form of several examples of the process, as it relates to the Laplace Transform. People who are unfamiliar with PFE are encouraged to read more about it in **[Calculus](http://en.wikibooks.org/wiki/Calculus)**.

### Example: Second-Order System

If we have a given equation in the S-domain:

    ![F\(s\) = \\frac{2s + 1}{s^2 + 3s + 2}](../../../upload.wikimedia.org/math/7/3/b/73ba3f36adbff87cd3c02252bba056d0.png)

We can expand it into several smaller fractions as such:

    ![F\(s\) = \\frac{2s + 1}{\(s + 1\)\(s + 2\)} = \\frac{A}{\(s + 1\)} + \\frac{B}{\(s + 2\)} = \\frac{A\(s+2\)+B\(s+1\)}{\(s + 1\)\(s + 2\)}](../../../upload.wikimedia.org/math/f/5/c/f5cad7b68e90edb86d801a19f2377e61.png)

This looks impossible, because we have a single equation with 3 unknowns (_s_, _A_, _B_), but in reality _s_ can take any arbitrary value, and we can "plug in" values for _s_ to solve for _A_ and _B_, without needing other equations. For instance, in the above equation, we can multiply through by the denominator, and cancel terms:

    ![\\frac{}{}\(2s + 1\) = A\(s + 2\) + B\(s + 1\)](../../../upload.wikimedia.org/math/6/7/d/67d584ddb13cc5ddfc50e2793b9b9d2f.png)

Now, when we set _s → -2_, the _A_ term disappears, and we are left with _B → 3_. When we set _s → -1_, we can solve for _A → -1_. Putting these values back into our original equation, we have:

    ![F\(s\) = \\frac{-1}{\(s + 1\)} + \\frac{3}{\(s + 2\)}](../../../upload.wikimedia.org/math/0/5/a/05a9f85d9e70a50e80d4f6c392e42f25.png)

Remember, since the Laplace transform is a linear operator, the following relationship holds true:

    ![\\mathcal{L}\[F\(s\)\] = \\mathcal{L}\\left\[\\frac{-1}{\(s + 1\)} + \\frac{3}{\(s + 2\)}\\right\] = \\mathcal{L}\\left\[\\frac{-1}{s + 1}\\right\] + \\mathcal{L}\\left\[ \\frac{3}{\(s + 2\)}\\right\]](../../../upload.wikimedia.org/math/3/6/8/36895fb0926a536247591ee20931cd5a.png)

Finding the inverse transform of these smaller terms should be an easier process then finding the inverse transform of the whole function. Partial fraction expansion is a useful, and oftentimes necessary tool for finding the inverse of an S-domain equation.

### Example: Fourth-Order System

If we have a given equation in the S-domain:

    ![F\(s\)=\\frac{79s^2+916s+1000}{s\(s+10\)^3}](../../../upload.wikimedia.org/math/5/4/5/545cdd997834af921c30b702e2e2b86f.png)

We can expand it into several smaller fractions as such:

    ![F\(s\)=\\frac{A}{s}+\\frac{B}{\(s+10\)^3}+\\frac{C}{\(s+10\)^2}+\\frac{D}{s+10}](../../../upload.wikimedia.org/math/c/5/2/c5203420d06ea72e430daf47a6411a6a.png)

    ![F\(s\)=\\frac{A\(s+10\)^3+Bs+Cs\(s+10\)+Ds\(s+10\)^2}{s\(s+10\)^3}](../../../upload.wikimedia.org/math/5/f/6/5f64a704536c5460bf605b9a9d7ed371.png)

    ![\\frac{}{}A\(s+10\)^3+Bs+Cs\(s+10\)+Ds\(s+10\)^2=79s^2+916s+1000](../../../upload.wikimedia.org/math/7/5/2/752d54ffb6bbbd8a507bf9654c48c460.png)

Canceling terms wouldn't be enough here, we will open the brackets (separated onto multiple lines):

    ![As^3+30As^2+300As+1000A+Bs+](../../../upload.wikimedia.org/math/4/7/4/474b2f2be6e98be234726152560df50c.png)
    ![Cs^2+10Cs+Ds^3+20Ds^2+100Ds](../../../upload.wikimedia.org/math/0/5/4/054ba2c1a51735a453647c41abaacf64.png)
    ![=79s^2+916s+1000](../../../upload.wikimedia.org/math/5/5/c/55c92f77a35e9b61703a6a7ccd0a3d93.png)

Let's compare coefficients:

    _A + D = 0_
    _30A + C + 20D = 79_
    _300A + B + 10C + 100D = 916_
    _1000A = 1000_

And solving gives us:

    _A = 1_
    _B = 26_
    _C = 69_
    _D = -1_

We know from the Laplace Transform table that the following relation holds:

    ![\\frac{1}{\(s+\\alpha\)^{n+1}} \\to \\frac{t^{n}}{n!}e^{-\\alpha t} \\cdot u\(t\) ](../../../upload.wikimedia.org/math/1/f/a/1faa09993d9f8e60fcc135eeba9856e3.png)

We can plug in our values for _A_, _B_, _C_, and _D_ into our expansion, and try to convert it into the form above.

    ![F\(s\)=\\frac{A}{s}+\\frac{B}{\(s+10\)^3}+\\frac{C}{\(s+10\)^2}+\\frac{D}{s+10}](../../../upload.wikimedia.org/math/c/5/2/c5203420d06ea72e430daf47a6411a6a.png)

    ![F\(s\)=A\\frac{1}{s}+B\\frac{1}{\(s+10\)^3}+C\\frac{1}{\(s+10\)^2}+D\\frac{1}{s+10}](../../../upload.wikimedia.org/math/e/0/1/e014be89e56ef7a7878e253b367c301f.png)

    ![F\(s\)=1\\frac{1}{s}+26\\frac{1}{\(s+10\)^3}+69\\frac{1}{\(s+10\)^2}-1\\frac{1}{s+10}](../../../upload.wikimedia.org/math/b/c/b/bcb3076930c1a23bbd76b18afd5482e2.png)

    ![f\(t\)=u\(t\)+13t^2e^{-10t}+69te^{-10t}-e^{-10t}](../../../upload.wikimedia.org/math/8/2/f/82f55b88de099427589c03de77452eb5.png)

### Example: Complex Roots

Given the following transfer function:

    ![F\(s\)=\\frac{7s+26}{s^2-80s+1681}=\\frac{As+B}{s^2-80s+1681}](../../../upload.wikimedia.org/math/2/6/b/26b61e540653bfca1c4f3c30374b0588.png)

When the solution of the denominator is a complex number, we use a complex representation _A + iB_, like _3+i4_ as opposed to the use of a single letter (e.g. _D_) - which is for real numbers:

    _As + B = 7s + 26_
    _A = 7_
    _B = 26_

We will need to reform it into two fractions that look like this (without changing its value):

    ![e^{-\\alpha t}  \\sin\(\\omega t\) \\cdot u\(t\) \\ ](../../../upload.wikimedia.org/math/5/2/0/5206af7452b66757d193150a34550c3e.png)→![ { \\omega \\over \(s+\\alpha \)^2 + \\omega^2  } ](../../../upload.wikimedia.org/math/a/e/c/aec60733f9248f3314935e649e117441.png)

    ![e^{-\\alpha t}  \\cos\(\\omega t\) \\cdot u\(t\) \\ ](../../../upload.wikimedia.org/math/7/1/c/71ce8129258b5d8b301092578c36bd37.png)→![ { s+\\alpha \\over \(s+\\alpha \)^2 + \\omega^2  } ](../../../upload.wikimedia.org/math/7/6/f/76ff02c32e9c46bfb0d5c93b68e47ddf.png)

Let's start with the denominator (for both fractions):

The roots of _s2 \- 80s + 1681_ are _40 + j9_ and _40 - j9_.

    ![\(s+a\)^2+\\omega^2=\(s-40\)^2+9^2](../../../upload.wikimedia.org/math/e/9/a/e9a5740d48f601dc09670a6ce66eb557.png)→![\\frac{As+B}{\(s-40\)^2+9^2}](../../../upload.wikimedia.org/math/5/2/8/52826fd60fac64c730296dcb28d4ff0a.png)

And now the numerators:

    ![\\frac{As+40A-40A+B}{\(s-40\)^2+9^2}](../../../upload.wikimedia.org/math/f/a/a/faad481007485b567e21ffd8637ce8a6.png)

    ![\\frac{As-40A}{\(s-40\)^2+9^2}+\\frac{B+40A}{\(s-40\)^2+9^2}](../../../upload.wikimedia.org/math/5/b/e/5be2857cce6b4f20f96e7ce188f3d03e.png)

    ![A\\frac{\(s-40\)}{\(s-40\)^2+9^2}+\\frac{B+40A}{9}\\frac{9}{\(s-40\)^2+9^2}](../../../upload.wikimedia.org/math/4/1/8/4185e2cc0a48b50e60bf03b11431e22a.png)

Inverse Laplace Transform:

    ![f\(t\)=7e^{40t}cos\(9t\)+34e^{40t}sin\(9t\)](../../../upload.wikimedia.org/math/6/a/f/6afc7eecc6a9ad39fa5ad41aaf323395.png)

### Example: Sixth-Order System

Given the following transfer function:

    ![F\(s\)=\\frac{90s^2-1110}{s\(s-3\)\(s^2-12s+37\)}=\\frac{A}{s}+\\frac{B}{s-3}+\\frac{Cs+D}{s^2-12s+37}](../../../upload.wikimedia.org/math/5/6/7/5678d8786ab63c9ce23056f505a97f0e.png)

We multiply through by the denominators to make the equation rational:

    ![A\(s-3\)\(s^2-12s+37\)+Bs\(s^2-12s+37\)+\(Cs+D\)s\(s-3\)](../../../upload.wikimedia.org/math/c/b/d/cbd4f42bdd1b743d901539aba7a48938.png)
    ![=90s^2-1110](../../../upload.wikimedia.org/math/f/2/c/f2c7aead8d118d0fb04334bed95d23cb.png)

And then we combine terms:

    ![As^3-15As^2+73As-111A+Bs^3-12Bs^2+37Bs+Cs^3-3Cs^2+Ds^2-3Ds](../../../upload.wikimedia.org/math/1/d/9/1d93c2ba89fb885cfdcc36665dcead07.png)
    ![=90s^2-1110](../../../upload.wikimedia.org/math/f/2/c/f2c7aead8d118d0fb04334bed95d23cb.png)

Comparing coefficients:

    _A + B + C = 0_
    _-15A - 12B - 3C + D = 90_
    _73A + 37B - 3D = 0_
    _-111A = -1110_

Now, we can solve for _A_, _B_, _C_ and _D_:

    _A = 10_
    _B = -10_
    _C = 0_
    _D = 120_

And now for the "fitting":

The roots of _s2 \- 12s + 37_ are _6 + j_ and _6 - j_

    ![A\\frac{1}{s}+B\\frac{1}{s-3}+C\\frac{s}{\(s-6\)^2+1^2}+D\\frac{1}{\(s-6\)^2+1^2}](../../../upload.wikimedia.org/math/8/8/1/88135633742671c96d91df30cf519548.png)

No need to fit the fraction of _D_, because it is complete; no need to bother fitting the fraction of _C_, because _C_ is equal to zero.

    ![10\\frac{1}{s}-10\\frac{1}{s-3}+0\\frac{s}{\(s-6\)^2+1^2}+120\\frac{1}{\(s-6\)^2+1^2}](../../../upload.wikimedia.org/math/7/5/1/7518edeb7a7860805c122d5e712ce164.png)

    ![\\frac{}{}f\(t\)=10u\(t\)-10e^{3t}+120e^{6t}sin\(t\)](../../../upload.wikimedia.org/math/4/3/8/43878f70e4437bf8b0041500492cb911.png)

### Final Value Theorem

The **Final Value Theorem** allows us to determine the value of the time domain equation, as the time approaches infinity, from the S domain equation. In Control Engineering, the Final Value Theorem is used most frequently to determine the steady-state value of a system. The real part of the poles of the function must be <0.

  


[Final Value Theorem (Laplace)]

    ![\\lim_{t \\to \\infty}x\(t\) = \\lim_{s \\to 0} s X\(s\)](../../../upload.wikimedia.org/math/a/5/7/a57dad0e13793148dd1f59ec8922363b.png)

From our chapter on system metrics, you may recognize the value of the system at time infinity as the steady-state time of the system. The difference between the steady state value and the expected output value we remember as being the steady-state error of the system. Using the Final Value Theorem, we can find the steady-state value and the steady-state error of the system in the Complex S domain.

### Example: Final Value Theorem

Find the final value of the following polynomial:

    ![T\(s\) = \\frac{1 + s}{1 + 2s + s^2}](../../../upload.wikimedia.org/math/f/8/f/f8f7024ea1d54208c4677dbcf36c3898.png)

We can apply the **Final Value Theorem**:

    ![\\lim_{s \\to \\ 0} s \\frac{1 + s}{1 + 2s + s^2} ](../../../upload.wikimedia.org/math/5/c/7/5c782da683421a46669e20a60f53ef30.png)

We obtain the value:

    ![\\lim_{s \\to \\ 0} s \\frac{1 + s}{1 + 2s + s^2} = 0 \\cdot \\frac{1+0}{1+2\\cdot 0+0^2}=0 \\cdot 1 = 0 ](../../../upload.wikimedia.org/math/1/5/1/151ff018abf4eb13131e131224840497.png)

### Initial Value Theorem

Akin to the final value theorem, the **Initial Value Theorem** allows us to determine the initial value of the system (the value at time zero) from the S-Domain Equation. The initial value theorem is used most frequently to determine the starting conditions, or the "initial conditions" of a system.

  


[Initial Value Theorem (Laplace)]

    ![x\(0\) = \\lim_{s \\to \\infty} s X\(s\)](../../../upload.wikimedia.org/math/7/d/7/7d7e2b0fe851305a45f0635107576388.png)

### Common Transforms

We will now show you the transforms of the three functions we have already learned about: The unit step, the unit ramp, and the unit parabola. The transform of the unit step function is given by:

    ![\\mathcal{L}\[u\(t\)\] = \\frac{1}{s}](../../../upload.wikimedia.org/math/7/6/f/76fee474c9f15a14935b50da0dc38c1c.png)

And since the unit ramp is the integral of the unit step, we can multiply the above result times _1/s_ to get the transform of the unit ramp:

    ![\\mathcal{L}\[r\(t\)\] = \\frac{1}{s^2}](../../../upload.wikimedia.org/math/1/4/d/14d978ed698cec82f192ac630cdc4e1d.png)

Again, we can multiply by _1/s_ to get the transform of the unit parabola:

    ![\\mathcal{L}\[p\(t\)\] = \\frac{1}{s^3}](../../../upload.wikimedia.org/math/b/a/e/baed980a4e275d4d54520af36e58205f.png)

## Fourier Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Fourier Transform**_](http://en.wikipedia.org/wiki/Fourier_Transform)

The **Fourier Transform** is very similar to the Laplace transform. The fourier transform uses the assumption that any finite time-domain signal can be broken into an infinite sum of sinusoidal (sine and cosine waves) signals. Under this assumption, the Fourier Transform converts a time-domain signal into its frequency-domain representation, as a function of the radial frequency, ω, The Fourier Transform is defined as such:

  


[Fourier Transform]

    ![F\(j\\omega\) = \\mathcal{F}\[f\(t\)\] = \\int_0^\\infty f\(t\) e^{-j\\omega t} dt](../../../upload.wikimedia.org/math/8/7/a/87a3a8156cd95f05565518d2b02239df.png)

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[fourier](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

We can now show that the Fourier Transform is equivalent to the Laplace transform, when the following condition is true:

    ![\\begin{matrix}s = j\\omega\\end{matrix}](../../../upload.wikimedia.org/math/7/e/a/7eae8cdecac54d3146b268db0aa06f18.png)

Because the Laplace and Fourier Transforms are so closely related, it does not make much sense to use both transforms for all problems. This book, therefore, will concentrate on the Laplace transform for nearly all subjects, except those problems that deal directly with frequency values. For frequency problems, it makes life much easier to use the Fourier Transform representation.

Like the Laplace Transform, the Fourier Transform has been extensively tabulated. Properties of the Fourier transform, in addition to a table of common transforms is available in **[the Appendix**](http://en.wikibooks.org/wiki/Control_Systems/Transforms_Appendix).

### Inverse Fourier Transform

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[ifourier](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

The **inverse Fourier Transform** is defined as follows:  
  


[Inverse Fourier Transform]

    ![f\(t\) 
        = \\mathcal{F}^{-1}\\left\\{F\(j\\omega\)\\right\\}     
        = \\frac{1}{2\\pi}\\int_{-\\infty}^\\infty F\(j\\omega\) e^{j\\omega t} d\\omega](../../../upload.wikimedia.org/math/c/f/2/cf232ea30535595a29c211557d066545.png)

This transform is nearly identical to the Fourier Transform.

## Complex Plane

![S Plane.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/2/2a/S_Plane.svg/200px-S_Plane.svg.png)

Using the above equivalence, we can show that the Laplace transform is always equal to the Fourier Transform, if the variable _s_ is an imaginary number. However, the Laplace transform is different if _s_ is a real or a complex variable. As such, we generally define _s_ to have both a real part and an imaginary part, as such:

    ![\\begin{matrix}s = \\sigma + j\\omega\\end{matrix}](../../../upload.wikimedia.org/math/9/9/e/99ec6671bb19e2edde00dba38ca51120.png)

And we can show that _s = j_ω if σ _= 0_.

Since the variable _s_ can be broken down into 2 independent values, it is frequently of some value to graph the variable _s_ on its own special "S-plane". The S-plane graphs the variable σ on the horizontal axis, and the value of _j_ω on the vertical axis. This axis arrangement is shown at right.

  


## Euler's Formula

There is an important result from calculus that is known as **Euler's Formula**, or "Euler's Relation". This important formula relates the important values of _e_, _j_, π, 1 and 0:

    ![\\begin{matrix}e^{j\\pi} + 1 = 0\\end{matrix}](../../../upload.wikimedia.org/math/c/e/5/ce521c509dc1609fb1aa996a6c6f12bd.png)

However, this result is derived from the following equation, setting ω to π:

  


[Euler's Formula]

    ![\\begin{matrix}e^{j\\omega} = \\cos\(\\omega\) + j\\sin\(\\omega\)\\end{matrix}](../../../upload.wikimedia.org/math/c/3/e/c3e6e3024a0d8359ac11bfb8e1c2ab84.png)

This formula will be used extensively in some of the chapters of this book, so it is important to become familiar with it now.

## MATLAB

The MATLAB symbolic toolbox contains functions to compute the Laplace and Fourier transforms automatically. The function **laplace**, and the function **fourier** can be used to calculate the Laplace and Fourier transforms of the input functions, respectively. For instance, the code:
    
    
    t = sym('t');
    fx = 30*t^2 + 20*t;
    laplace(fx)
    

produces the output:
    
    
    ans =
    
    60/s^3+20/s^2
    

We will discuss these functions more in [The Appendix](http://en.wikibooks.org/wiki/Control_Systems/MATLAB).

## Further Reading

  * [Digital Signal Processing/Continuous-Time Fourier Transform](http://en.wikibooks.org/wiki/Digital_Signal_Processing/Continuous-Time_Fourier_Transform)
  * [Signals and Systems/Aperiodic Signals](http://en.wikibooks.org/wiki/Signals_and_Systems/Aperiodic_Signals)
  * [Circuit Theory/Laplace Transform](http://en.wikibooks.org/wiki/Circuit_Theory/Laplace_Transform)

  


  


# Transfer Functions

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Transforms](http://en.wikibooks.org/wiki/Control_Systems/Transforms)
[Sampled Data Systems →](http://en.wikibooks.org/wiki/Control_Systems/Sampled_Data_Systems)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Transfer Functions

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[tf](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

A **Transfer Function** is the ratio of the output of a system to the input of a system, in the Laplace domain considering its initial conditions and equilibrium point to be zero. If we have an input function of _X(s)_, and an output function _Y(s)_, we define the transfer function _H(s)_ to be:

  


[Transfer Function]

    ![H\(s\) = {Y\(s\) \\over X\(s\)}](../../../upload.wikimedia.org/math/3/9/2/392675f7d4a39f6ac2f9267d0ef08ab0.png)

Readers who have read the [Circuit Theory](http://en.wikibooks.org/wiki/Circuit_Theory) book will recognize the transfer function as being the impedance, admittance, impedance ratio of a voltage divider or the admittance ratio of a current divider.

![Laplace Block.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/4/47/Laplace_Block.svg/400px-Laplace_Block.svg.png)

## Impulse Response

**Note:**:  
Time domain variables are generally written with lower-case letters. Laplace-Domain, and other transform domain variables are generally written using upper-case letters.

For comparison, we will consider the time-domain equivalent to the above input/output relationship. In the time domain, we generally denote the input to a system as _x(t)_, and the output of the system as _y(t)_. The relationship between the input and the output is denoted as the **impulse response**, _h(t)_.

We define the impulse response as being the relationship between the system output to its input. We can use the following equation to define the impulse response:

    ![h\(t\) = \\frac{y\(t\)}{x\(t\)}](../../../upload.wikimedia.org/math/5/3/e/53e769b24657f28c1207caf090e6f86e.png)

### Impulse Function

It would be handy at this point to define precisely what an "impulse" is. The **Impulse Function**, denoted with δ_(t)_ is a special function defined piece-wise as follows:

  


[Impulse Function]

    ![\\delta\(t\) = \\left\\{
\\begin{matrix} 
  0, & t < 0
\\\\
  \\mbox{undefined}, & t = 0
\\\\
  0, & t > 0
\\end{matrix}\\right.
](../../../upload.wikimedia.org/math/3/2/f/32fd0759dce36780094d90ae1cbc69a9.png)

The impulse function is also known as the **delta function** because it's denoted with the Greek lower-case letter δ. The delta function is typically graphed as an arrow towards infinity, as shown below:

![Delta Function.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b4/Delta_Function.svg/351px-Delta_Function.svg.png)

It is drawn as an arrow because it is difficult to show a single point at infinity in any other graphing method. Notice how the arrow only exists at location 0, and does not exist for any other time _t_. The delta function works with regular time shifts just like any other function. For instance, we can graph the function δ_(t - N)_ by shifting the function δ_(t)_ to the right, as such:

![DeltaN Function.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/0/09/DeltaN_Function.svg/351px-DeltaN_Function.svg.png)

An examination of the impulse function will show that it is related to the unit-step function as follows:

    ![\\delta\(t\) = \\frac{du\(t\)}{dt}](../../../upload.wikimedia.org/math/3/3/6/3369e7a1a0ff331cdaa75c304dd6dbab.png)

and

    ![u\(t\) = \\int \\delta\(t\) dt](../../../upload.wikimedia.org/math/2/4/2/242eedaa52079661351365b019aa285e.png)

The impulse function is not defined at point _t = 0_, but the impulse response must always satisfy the following condition, or else it is not a true impulse function:

    ![\\int_{-\\infty}^\\infty \\delta\(t\)dt = 1](../../../upload.wikimedia.org/math/2/4/6/2462eaa93ac7268f9a311f36db8a57ea.png)

The response of a system to an impulse input is called the **impulse response**. Now, to get the Laplace Transform of the impulse function, we take the derivative of the unit step function, which means we multiply the transform of the unit step function by s:

    ![\\mathcal{L}\[u\(t\)\] = U\(s\) = \\frac{1}{s}](../../../upload.wikimedia.org/math/b/1/c/b1ceb8f78ec73d9193f50fd7540bc07d.png)

    ![\\mathcal{L}\[\\delta\(t\)\] = sU\(s\) = \\frac{s}{s} = 1](../../../upload.wikimedia.org/math/2/9/4/2948dfa9dd850c150dbb119b536397d5.png)

This result can be verified in the transform tables in **[The Appendix](http://en.wikibooks.org/wiki/Control_Systems/Transforms_Appendix#Table_of_Laplace_Transforms)**.

### Step Response

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[step](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

Similar to the impulse response, the **step response** of a system is the output of the system when a unit step function is used as the input. The step response is a common analysis tool used to determine certain metrics about a system. Typically, when a new system is designed, the step response of the system is the first characteristic of the system to be analyzed.

## Convolution

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[conv](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

However, the impulse response cannot be used to find the system output from the system input in the same manner as the transfer function. If we have the system input and the impulse response of the system, we can calculate the system output using the **convolution operation** as such:

    ![y\(t\) = h\(t\) * x\(t\)](../../../upload.wikimedia.org/math/c/a/4/ca45ed01415f949551821bd19ba569d9.png)

Remember: an asterisk means **convolution**, not **multiplication**!

Where " * " (asterisk) denotes the convolution operation. Convolution is a complicated combination of multiplication, integration and time-shifting. We can define the convolution between two functions, _a(t)_ and _b(t)_ as the following:

  


[Convolution]

    ![\(a*b\)\(t\) = \(b*a\)\(t\) = \\int_{-\\infty}^\\infty a\(\\tau\)b\(t - \\tau\)d\\tau](../../../upload.wikimedia.org/math/0/5/b/05b21f13d5cf8625eab28cb3cef5d8fe.png)

(The variable τ (Greek tau) is a dummy variable for integration). This operation can be difficult to perform. Therefore, many people prefer to use the Laplace Transform (or another transform) to convert the convolution operation into a multiplication operation, through the **Convolution Theorem**.

### Time-Invariant System Response

If the system in question is time-invariant, then the general description of the system can be replaced by a convolution integral of the system's impulse response and the system input. We can call this the **convolution description** of a system, and define it below:

  


[Convolution Description]

    ![y\(t\) = x\(t\) * h\(t\) = \\int_{-\\infty}^\\infty x\(\\tau\)h\(t - \\tau\)d\\tau](../../../upload.wikimedia.org/math/4/d/8/4d8e291d4e3124532d36392e00d4b434.png)

## Convolution Theorem

This method of solving for the output of a system is quite tedious, and in fact it can waste a large amount of time if you want to solve a system for a variety of input signals. Luckily, the Laplace transform has a special property, called the **Convolution Theorem**, that makes the operation of convolution easier:

Convolution Theorem
    Convolution in the time domain becomes multiplication in the complex Laplace domain. Multiplication in the time domain becomes convolution in the complex Laplace domain.

The Convolution Theorem can be expressed using the following equations:

  


[Convolution Theorem]

    ![\\mathcal{L}\[f\(t\) * g\(t\)\] = F\(s\)G\(s\)](../../../upload.wikimedia.org/math/7/2/4/724268727e97430a1c9e6a8afff25440.png)
    ![\\mathcal{L}\[f\(t\)g\(t\)\] = F\(s\) * G\(s\)](../../../upload.wikimedia.org/math/c/5/1/c513ae717b1797af6f298a364dd07f92.png)

This also serves as a good example of the property of **Duality**.

## Using the Transfer Function

The Transfer Function fully describes a control system. The Order, Type and Frequency response can all be taken from this specific function. Nyquist and Bode plots can be drawn from the open loop Transfer Function. These plots show the stability of the system when the loop is closed. Using the denominator of the transfer function, called the characteristic equation, roots of the system can be derived.

For all these reasons and more, the Transfer function is an important aspect of classical control systems. Let's start out with the definition:

Transfer Function
    The Transfer function of a system is the relationship of the system's output to its input, represented in the complex Laplace domain.

If the complex Laplace variable is _s_, then we generally denote the transfer function of a system as either _G(s)_ or _H(s)_. If the system input is _X(s)_, and the system output is _Y(s)_, then the transfer function can be defined as such:

    ![H\(s\) = \\frac{Y\(s\)}{X\(s\)}](../../../upload.wikimedia.org/math/1/2/a/12a4dbad64576cc24327f6da5187ad06.png)

If we know the input to a given system, and we have the transfer function of the system, we can solve for the system output by multiplying:

  


[Transfer Function Description]

    ![Y\(s\) = H\(s\)X\(s\)](../../../upload.wikimedia.org/math/b/0/3/b038557f6b66391c5799046c2c951720.png)

### Example: Impulse Response

From a Laplace transform table, we know that the Laplace transform of the impulse function, δ_(t)_ is:

    ![\\mathcal{L}\[\\delta \(t\) \] = 1](../../../upload.wikimedia.org/math/8/e/6/8e6ed3f275745a6c483e9d0358d18322.png)

So, when we plug this result into our relationship between the input, output, and transfer function, we get:

    ![Y\(s\) = X\(s\)H\(s\)](../../../upload.wikimedia.org/math/e/9/b/e9b598b8a0687e5a86b167455e9a0747.png)
    ![Y\(s\) = \(1\) H\(s\)](../../../upload.wikimedia.org/math/b/6/5/b6544b05905cc9e4ff3e2a8ebf1ddd0d.png)
    ![Y\(s\) = H\(s\)](../../../upload.wikimedia.org/math/3/2/4/3248517a586fdc5b2198b2d0d9b30b1e.png)

In other words, the "impulse response" is the output of the system when we input an impulse function.

### Example: Step Response

From the Laplace Transform table, we can also see that the transform of the unit step function, _u(t)_ is given by:

    ![\\mathcal{L}\[u\(t\)\] = \\frac{1}{s}](../../../upload.wikimedia.org/math/7/6/f/76fee474c9f15a14935b50da0dc38c1c.png)

Plugging that result into our relation for the transfer function gives us:

    ![Y\(s\) = X\(s\)H\(s\)](../../../upload.wikimedia.org/math/e/9/b/e9b598b8a0687e5a86b167455e9a0747.png)
    ![Y\(s\) = \\frac{1}{s}H\(s\)](../../../upload.wikimedia.org/math/2/b/d/2bdbe159dca71c287d8c539451a40f80.png)
    ![Y\(s\) = \\frac{H\(s\)}{s}](../../../upload.wikimedia.org/math/2/0/e/20e70398639e1de7b45d958750e400e5.png)

And we can see that the step response is simply the impulse response divided by _s_.

### Example: MATLAB Step Response

Use MATLAB to find the step response of the following transfer function:

    ![F\(s\)=\\frac{79s^2+916s+1000}{s\(s+10\)^3}](../../../upload.wikimedia.org/math/5/4/5/545cdd997834af921c30b702e2e2b86f.png)

We can separate out our numerator and denominator polynomials as such:
    
    
    num = [79 916 1000];
    den = [1 30 300 1000 0];
    sys = tf(num, den);
    

Now, we can get our step response from the **step** function, and plot it for time from 1 to 10 seconds:
    
    
    T = 1:0.001:10;
    step(sys, T);
    

## Frequency Response

The **Frequency Response** is similar to the Transfer function, except that it is the relationship between the system output and input in the complex Fourier Domain, not the Laplace domain. We can obtain the frequency response from the transfer function, by using the following change of variables:

    ![s = j\\omega](../../../upload.wikimedia.org/math/a/8/5/a85b8a883b07d53a9bf9d8c408de5c5c.png)

Frequency Response
    The frequency response of a system is the relationship of the system's output to its input, represented in the Fourier Domain.

![Fourier Block.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/e/ec/Fourier_Block.svg/400px-Fourier_Block.svg.png)

Because the frequency response and the transfer function are so closely related, typically only one is ever calculated, and the other is gained by simple variable substitution. However, despite the close relationship between the two representations, they are both useful individually, and are each used for different purposes.

  


  


# Sampled Data Systems

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Transfer Functions](http://en.wikibooks.org/wiki/Control_Systems/Transfer_Functions)
[System Delays →](http://en.wikibooks.org/wiki/Control_Systems/System_Delays)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Ideal Sampler

In this chapter, we are going to introduce the ideal sampler and the **Star Transform**. First, we need to introduce (or review) the **Geometric Series** infinite sum. The results of this sum will be very useful in calculating the Star Transform, later.

Consider a sampler device that operates as follows: every _T_ seconds, the sampler reads the current value of the input signal at that exact moment. The sampler then holds that value on the output for _T_ seconds, before taking the next sample. We have a generic input to this system, _f(t)_, and our sampled output will be denoted _f*(t)_. We can then show the following relationship between the two signals:

    ![f^{\\,*}\(t\)=f\(0\)\\big\(\\mathrm{u}\(t\\,-\\,0\)\\,-\\,\\mathrm{u}\(t\\,-\\,T\)\\big\)\\,+\\,f\(T\)\\big\(\\mathrm{u}\(t\\,-\\,T\)\\,-\\,\\mathrm{u}\(t\\,-\\,2T\)\\big\)\\,+\\;\\cdots\\;+\\,f\(nT\)\\big\(\\mathrm{u}\(t\\,-\\,nT\)\\,-\\,\\mathrm{u}\(t\\,-\\,\(n\\,+\\,1\)T\)\\big\)\\,+\\;\\cdots](../../../upload.wikimedia.org/math/a/6/5/a650db26920ad00d6f8f5179d958df72.png)

Note that the value of _f *_ at time _t_ = 1.5 _T_ is the same as at time _t = T_. This relationship works for any fractional value.

Taking the Laplace Transform of this infinite sequence will yield us with a special result called the **Star Transform**. The Star Transform is also occasionally called the "Starred Transform" in some texts.

## Geometric Series

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Geometric progression**_](http://en.wikipedia.org/wiki/Geometric_progression)

Before we talk about the Star Transform or even the Z-Transform, it is useful for us to review the mathematical background behind solving infinite series. Specifically, because of the nature of these transforms, we are going to look at methods to solve for the sum of a **geometric series**.

A geometic series is a sum of values with increasing exponents, as such:

    ![\\sum_{k=0}^{n} ar^k = ar^0+ar^1+ar^2+ar^3+\\cdots+ar^n \\,](../../../upload.wikimedia.org/math/5/f/2/5f2d7a02c1a7bdd55ccd32dc6e9a8d26.png)

In the equation above, notice that each term in the series has a coefficient value, a. We can optionally factor out this coefficient, if the resulting equation is easier to work with:

    ![a \\sum_{k=0}^{n} r^k = a \\left\(r^0+r^1+r^2+r^3+\\cdots+r^n \\,\\right\)](../../../upload.wikimedia.org/math/e/d/2/ed2ae8e58c8af87710dd03a6976fdcad.png)

Once we have an infinite series in either of these formats, we can conveniently solve for the total sum of this series using the following equation:

    ![a \\sum_{k=0}^{n} r^k = a\\frac{1-r^{n+1}}{1-r}](../../../upload.wikimedia.org/math/d/0/f/d0f08d24176229db4bd1e4341d93c42a.png)

Let's say that we start our series off at a number that isn't zero. Let's say for instance that we start our series off at _n = 1_ or _n = 100_. Let's see:

    ![\\sum_{k=m}^{n} ar^k = ar^m+ar^{m+1}1+ar^{m+2}+ar^{m+3}+\\cdots+ar^n \\,](../../../upload.wikimedia.org/math/2/7/4/2740b18aca2d382ed176f74a3234a444.png)

We can generalize the sum to this series as follows:

  


[Geometric Series]

    ![\\sum_{k=m}^n ar^k=\\frac{a\(r^m-r^{n+1}\)}{1-r}](../../../upload.wikimedia.org/math/3/1/4/314cbf6390683378512ab474a13148df.png)

With that result out of the way, now we need to worry about making this series converge. In the above sum, we know that n is approaching infinity (because this is an _infinite sum_). Therefore, any term that contains the variable n is a matter of worry when we are trying to make this series converge. If we examine the above equation, we see that there is one term in the entire result with an _n_ in it, and from that, we can set a fundamental inequality to govern the geometric series.

    ![r^{n+1} < \\infty](../../../upload.wikimedia.org/math/f/5/4/f54b01d19709bbd36452e0eec7d53d96.png)

To satisfy this equation, we must satisfy the following condition:

  


[Geometric convergence condition]

    ![r \\le 1](../../../upload.wikimedia.org/math/9/d/b/9db637b2e08cea8e37b3d68649e6d685.png)

  
Therefore, we come to the final result: **The geometric series converges if and only if the value of _r_ is less than one.**

## The Star Transform

The **Star Transform** is defined as such:

  


[Star Transform]

    ![F^*\(s\) = \\mathcal{L}^*\[f\(t\)\] = \\sum_{k = 0}^\\infty f\(kT\)e^{-skT}](../../../upload.wikimedia.org/math/d/9/e/d9e81bd9f0cbb2d3e82858746a81a749.png)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Star transform**_](http://en.wikipedia.org/wiki/Star_transform)

The Star Transform depends on the sampling time _T_ and is different for a single signal depending on the frequency at which the signal is sampled. Since the Star Transform is defined as an infinite series, it is important to note that some inputs to the Star Transform will not converge, and therefore some functions do not have a valid Star Transform. Also, it is important to note that the Star Transform may only be valid under a particular **region of convergence**. We will cover this topic more when we discuss the Z-transform.

### Star ↔ Laplace

For more information about residues, see:  
**[Complex Analysis/Residue Theory](http://en.wikibooks.org/wiki/Complex_Analysis/Residue_Theory)**

The Laplace Transform and the Star Transform are clearly related, because we obtained the Star Transform by using the Laplace Transform on a time-domain signal. However, the method to convert between the two results can be a slightly difficult one. To find the Star Transform of a Laplace function, we must take the residues of the Laplace equation, as such:

    ![X^*\(s\) = \\sum \\bigg\[ residues\\ of\\ X\(\\lambda\)\\frac{1}{1-e^{-T\(s-\\lambda\)}}\\bigg\]_{at\\ poles\\ of\\ E\(\\lambda\)}](../../../upload.wikimedia.org/math/9/2/0/920710fa7030ad876e0d414c77511543.png)

This math is advanced for most readers, so we can also use an alternate method, as follows:

    ![X^*\(s\)=\\frac{1}{T}\\sum_{n=-\\infty}^\\infty X\(s+jm\\omega_s\)+\\frac{x\(0\)}{2}](../../../upload.wikimedia.org/math/1/b/a/1ba9bd8e08c7a9c8ab34329ad85ab314.png)

Neither one of these methods are particularly easy, however, and therefore we will not discuss the relationship between the Laplace transform and the Star Transform any more than is absolutely necessary in this book. Suffice it to say, however, that the Laplace transform and the Star Transform _are related_ mathematically.

### Star + Laplace

In some systems, we may have components that are both continuous and discrete in nature. For instance, if our feedback loop consists of an Analog-To-Digital converter, followed by a computer (for processing), and then a Digital-To-Analog converter. In this case, the computer is acting on a digital signal, but the rest of the system is acting on continuous signals. Star transforms can interact with Laplace transforms in some of the following ways:

Given:

    ![Y\(s\) = X^*\(s\)H\(s\)](../../../upload.wikimedia.org/math/1/2/4/1240a32257b9065f691a5d7c914a05d1.png)

Then:

    ![Y^*\(s\) = X^*\(s\)H^*\(s\)](../../../upload.wikimedia.org/math/a/8/6/a868c6f97cfc3c6feab4cdd8941dd854.png)

Given:

    ![Y\(s\) = X\(s\)H\(s\)](../../../upload.wikimedia.org/math/e/9/b/e9b598b8a0687e5a86b167455e9a0747.png)

Then:

    ![Y^*\(s\) = \\overline{XH}^*\(s\)](../../../upload.wikimedia.org/math/f/2/d/f2d370d13af93a466ed324858bdcbaec.png)
    ![Y^*\(s\) \\ne X^*\(s\)H^*\(s\)](../../../upload.wikimedia.org/math/5/e/a/5eafd57f57961463d85db14137317ca9.png)

Where ![\\overline{XH}^*\(s\)](../../../upload.wikimedia.org/math/c/f/f/cffdebba11a49cc78074728b0031da9b.png) is the Star Transform of the product of _X(s)H(s)_.

### Convergence of the Star Transform

The Star Transform is defined as being an infinite series, so it is critically important that the series converge (not reach infinity), or else the result will be nonsensical. Since the Star Transform is a geometic series (for many input signals), we can use geometric series analysis to show whether the series converges, and even under what particular conditions the series converges. The restrictions on the star transform that allow it to converge are known as the **region of convergence** (ROC) of the transform. Typically a transform must be accompanied by the explicit mention of the ROC.

## The Z-Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Z-transform**_](http://en.wikipedia.org/wiki/Z-transform)

Let us say now that we have a discrete data set that is sampled at regular intervals. We can call this set _x[n]_:
    
    
    x[n] = [ x[0] x[1] x[2] x[3] x[4] ... ]
    

This is also known as the **Bilateral Z-Transform**. We will only discuss this version of the transform in this book

we can utilize a special transform, called the Z-transform, to make dealing with this set more easy:

  


[Z Transform]

    ![X\(z\) = \\mathcal{Z}\\left\\{x\[n\]\\right\\} = \\sum_{n = -\\infty}^\\infty x\[n\] z^{-n}](../../../upload.wikimedia.org/math/0/5/1/0512ad4d81c5dcf57086f3e706b1f793.png)

Z-Transform properties, and a table of common transforms can be found in:  
**[the Appendix](http://en.wikibooks.org/wiki/Control_Systems/Transforms_Appendix)**.

Like the Star Transform the Z Transform is defined as an infinite series and therefore we need to worry about convergence. In fact, there are a number of instances that have identical Z-Transforms, but different regions of convergence (ROC). Therefore, when talking about the Z transform, you must include the ROC, or you are missing valuable information.

  


### Z Transfer Functions

Like the Laplace Transform, in the Z-domain we can use the input-output relationship of the system to define a **transfer function**.

![Z Block.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/ce/Z_Block.svg/400px-Z_Block.svg.png)

The transfer function in the Z domain operates exactly the same as the transfer function in the S Domain:

    ![H\(z\) = \\frac{Y\(z\)}{X\(z\)}](../../../upload.wikimedia.org/math/2/a/3/2a3d1c4510d62ca8dd52ab789bca07f4.png)

    ![\\mathcal{Z}\\{h\[n\]\\} = H\(z\)](../../../upload.wikimedia.org/math/a/d/7/ad7c167ef6596ef4f4ddbb961fc7e3c4.png)

Similarly, the value _h[n]_ which represents the response of the digital system is known as the **impulse response** of the system. It is important to note, however, that the definition of an "impulse" is different in the analog and digital domains.

### Inverse Z Transform

The **inverse Z Transform** is defined by the following path integral:

  


[Inverse Z Transform]

    ![ x\[n\] = Z^{-1} \\{X\(z\) \\}= \\frac{1}{2 \\pi j} \\oint_{C} X\(z\) z^{n-1} dz \\ ](../../../upload.wikimedia.org/math/8/e/6/8e6f80ddde123f0037465d09592cd940.png)

Where _C_ is a counterclockwise closed path encircling the origin and entirely in the region of convergence (ROC). The contour or path, _C_, must encircle all of the poles of _X(z)_.

There is more information about complex integrals in the book [Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis).

This math is relatively advanced compared to some other material in this book, and therefore little or no further attention will be paid to solving the inverse Z-Transform in this manner. Z transform pairs are heavily tabulated in reference texts, so many readers can consider that to be the primary method of solving for inverse Z transforms. There are a number of Z-transform pairs available in table form in **[The Appendix](http://en.wikibooks.org/wiki/Control_Systems/Transforms)**.

### Final Value Theorem

Like the Laplace Transform, the Z Transform also has an associated final value theorem:

  


[Final Value Theorem (Z)]

    ![\\lim_{ n\\to \\infty} x\[n\] = \\lim_{z \\to 1} \(z - 1\) X\(z\)](../../../upload.wikimedia.org/math/f/8/3/f831eb291ae8fe11f04fac3718a0719d.png)

This equation can be used to find the steady-state response of a system, and also to calculate the steady-state error of the system.

## Star ↔ Z

The Z transform is related to the Star transform though the following change of variables:

    ![z = e^{sT}](../../../upload.wikimedia.org/math/2/8/e/28ef47ed74b7d48415e76b779acc6fed.png)

Notice that in the Z domain, we don't maintain any information on the sampling period, so converting to the Z domain from a Star Transformed signal loses that information. When converting back to the star domain however, the value for _T_ can be re-insterted into the equation, if it is still available.

Also of some importance is the fact that the Z transform is bilinear, while the Star Transform is unilinear. This means that we can only convert between the two transforms if the sampled signal is zero for all values of _n < 0_.

Because the two transforms are so closely related, it can be said that the Z transform is simply a notational convenience for the Star Transform. With that said, this book could easily use the Star Transform for all problems, and ignore the added burden of Z transform notation entirely. A common example of this is Richard Hamming's book "Numerical Methods for Scientists and Engineers" which uses the Fourier Transform for all problems, considering the Laplace, Star, and Z-Transforms to be merely notational conveniences. However, the Control Systems wikibook is under the impression that the correct utilization of different transforms can make problems more easy to solve, and we will therefore use a multi-transform approach.

### Z plane

**Note:**  
The lower-case _z_ is the name of the variable, and the upper-case _Z_ is the name of the Transform and the plane.

_z_ is a complex variable with a real part and an imaginary part. In other words, we can define _z_ as such:

    ![z = \\operatorname{Re}\(z\) + j\\operatorname{Im}\(z\)](../../../upload.wikimedia.org/math/c/7/2/c72abad62e07a01c45f96f52ba8251a7.png)

Since _z_ can be broken down into two independent components, it often makes sense to graph the variable _z_ on the **Z-plane**. In the Z-plane, the horizontal axis represents the real part of _z_, and the vertical axis represents the magnitude of the imaginary part of _z_.

Notice also that if we define _z_ in terms of the star-transform relation:

    ![z = e^{sT}](../../../upload.wikimedia.org/math/2/8/e/28ef47ed74b7d48415e76b779acc6fed.png)

we can separate out _s_ into real and imaginary parts:

    ![s = \\sigma + j\\omega](../../../upload.wikimedia.org/math/7/a/d/7addd3c9d3736265ecd7dbea420b1190.png)

We can plug this into our equation for _z_:

    ![z = e^{\(\\sigma + j\\omega\)T} = e^{\\sigma T} e^{j\\omega T}](../../../upload.wikimedia.org/math/0/0/c/00cc59f6b7ecac94e6d761652bb58d7e.png)

Through **Euler's formula**, we can separate out the complex exponential as such:

    ![z = e^{\\sigma T} \(\\cos\(\\omega T\) + j\\sin\(\\omega T\)\)](../../../upload.wikimedia.org/math/9/f/6/9f6d96297fb5c10f7ce8f9ba41f41d04.png)

If we define two new variables, _M_ and φ:

    ![M = e^{\\sigma T}](../../../upload.wikimedia.org/math/2/c/9/2c98b294fb8e479b820ba8abcfb72ee6.png)

    ![\\phi = \\omega T](../../../upload.wikimedia.org/math/e/e/1/ee1734ad78f4b713a2a8d4c67b5b064f.png)

We can write _z_ in terms of _M_ and φ. Notice that it is Euler's equation:

    ![z = M\\cos\(\\phi\) + jM\\sin\(\\phi\)](../../../upload.wikimedia.org/math/b/1/a/b1abab30fe680847d34d4c225aec8c36.png)

Which is clearly a polar representation of _z_, with the magnitude of the polar function (_M_) based on the real-part of _s_, and the angle of the polar function (φ) is based on the imaginary part of _s_.

### Region of Convergence

To best teach the region of convergance (ROC) for the Z-transform, we will do a quick example.

We have the following discrete series or a decaying exponential:

    ![x\[n\] = e^{-2n}u\[n\]](../../../upload.wikimedia.org/math/5/6/6/566e8a69e09c9e0276bb2eaff043b843.png)

Now, we can plug this function into the Z transform equation:

    ![X\(z\) = \\mathcal{Z}\[x\[n\]\] = \\sum_{n = -\\infty}^\\infty e^{-2n}u\[n\] z^{-n}](../../../upload.wikimedia.org/math/d/6/d/d6defc35213cc3db712574c7519d4105.png)

Note that we can remove the unit step function, and change the limits of the sum:

    ![X\(z\) = \\sum_{n = 0}^\\infty e^{-2n} z^{-n}](../../../upload.wikimedia.org/math/d/c/c/dcc34fc422e5b691e9f45483539146e5.png)

This is because the series is 0 for all time less than n → 0. If we try to combine the n terms, we get the following result:

    ![X\(z\) = \\sum_{n = 0}^\\infty  \(e^2z\)^{-n}](../../../upload.wikimedia.org/math/5/2/b/52bc5dee3c60d594d71f022f73f97bd4.png)

Once we have our series in this term, we can break this down to look like our geometric series:

    ![a = 1](../../../upload.wikimedia.org/math/3/8/7/3872c9ae3f427af0be0ead09d07ae2cf.png)

    ![r = \(e^2z\)^{-1}](../../../upload.wikimedia.org/math/6/f/9/6f9594413972bf13e1d14fd7551079db.png)

And finally, we can find our final value, using the geometric series formula:

    ![a \\sum_{k=0}^{n} r^k 
        = a\\frac{1-r^{n+1}}{1-r} 
        = 1 \\frac{1 - \(\(e^2z\)^{-1}\)^{n+1}}{1 - \(e^2z\)^{-1}}](../../../upload.wikimedia.org/math/6/8/1/68115b5088510e96750f4425eaab6a04.png)

Again, we know that to make this series converge, we need to make the r value less than 1:

    ![|\(e^2z\)^{-1}| = \\left|\\frac{1}{e^2z}\\right| \\le 1](../../../upload.wikimedia.org/math/1/6/c/16c2ea8df5824790ad96ba20abc82821.png)

    ![|e^2z| \\ge 1](../../../upload.wikimedia.org/math/b/a/f/baf5913f025e841d00c672d3357ee2a0.png)

And finally we obtain the region of convergance for this Z-transform:

    ![|z| \\ge \\frac{1}{e^2}](../../../upload.wikimedia.org/math/e/0/4/e04c40eeefd006e1201e8f03738937dd.png)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

_z_ and _s_ are complex variables, and therefore we need to take the magnitude in our ROC calculations. The "Absolute Value symbols" are actually the "magnitude calculation", and is defined as such: 

    ![x = A + jB](../../../upload.wikimedia.org/math/c/b/5/cb5d017120d8870a0cb26052e731baf2.png)
    ![|x| = \\sqrt{A^2 + B^2}](../../../upload.wikimedia.org/math/8/4/d/84dae8ee700f8d31c36d484e4ba06b7c.png)

### Laplace ↔ Z

There are no easy, direct ways to convert between the Laplace transform and the Z transform directly. Nearly all methods of conversions reproduce some aspects of the original equation faithfully, and incorrectly reproduce other aspects. For some of the main mapping techniques between the two, see the [Z Transform Mappings Appendix](http://en.wikibooks.org/wiki/Control_Systems/Z_Transform_Mappings).

However, there are some topics that we need to discuss. First and foremost, conversions between the Laplace domain and the Z domain _are not linear_, this leads to some of the following problems:

  1. ![\\mathcal{L}\[G\(z\)H\(z\)\] \\ne G\(s\)H\(s\)](../../../upload.wikimedia.org/math/b/7/5/b7582691750571d3b9f3b8a1dbbc2b32.png)
  2. ![\\mathcal{Z}\[G\(s\)H\(s\)\] \\ne G\(z\)H\(z\)](../../../upload.wikimedia.org/math/e/3/d/e3d5efe4ae061beea5dc433b26b29e0b.png)

This means that when we combine two functions in one domain multiplicatively, we must find a combined transform in the other domain. Here is how we denote this combined transform:

    ![\\mathcal{Z}\[G\(s\)H\(s\)\] = \\overline{GH}\(z\)](../../../upload.wikimedia.org/math/8/5/e/85e528c330efc029ae45ea149484b806.png)

Notice that we use a horizontal bar over top of the multiplied functions, to denote that we took the transform of the product, not of the individual pieces. However, if we have a system that incorporates a sampler, we can show a simple result. If we have the following format:

    ![Y\(s\) = X^*\(s\)H\(s\)](../../../upload.wikimedia.org/math/1/2/4/1240a32257b9065f691a5d7c914a05d1.png)

Then we can put everything in terms of the Star Transform:

    ![Y^*\(s\) = X^*\(s\)H^*\(s\)](../../../upload.wikimedia.org/math/a/8/6/a868c6f97cfc3c6feab4cdd8941dd854.png)

and once we are in the star domain, we can do a direct change of variables to reach the Z domain:

    ![Y^*\(s\) = X^*\(s\)H^*\(s\) \\to Y\(z\) = X\(z\)H\(z\)](../../../upload.wikimedia.org/math/9/b/a/9ba8e925be72bddc10f2cb0fa68ddb02.png)

Note that we can only make this equivalence relationship if the system incorporates an ideal sampler, and therefore one of the multiplicative terms is in the star domain.

### Example

Let's say that we have the following equation in the Laplace domain:

    ![Y\(s\) = A^*\(s\)B\(s\) + C\(s\)D\(s\)](../../../upload.wikimedia.org/math/b/4/8/b4867af1c384469d310b2e47fb729d19.png)

And because we have a discrete sampler in the system, we want to analyze it in the Z domain. We can break up this equation into two separate terms, and transform each:

    ![\\mathcal{Z}\[A^*\(s\)B\(s\)\] \\to \\mathcal{Z}\[A^*\(s\)B^*\(s\)\] = A\(z\)B\(z\)](../../../upload.wikimedia.org/math/a/d/6/ad68b95c0cfb2d3bfd9024e60585f17c.png)

And

    ![\\mathcal{Z}\[C\(s\)D\(s\)\] = \\overline{CD}\(z\)](../../../upload.wikimedia.org/math/7/4/3/743f9631bd359ee5befbf01a79a0c3b4.png)

And when we add them together, we get our result:

    ![Y\(z\) = A\(z\)B\(z\) + \\overline{CD}\(z\)](../../../upload.wikimedia.org/math/7/8/1/781390eb42208da049e62e4d46df31bf.png)

## Z ↔ Fourier

By substituting variables, we can relate the Star transform to the Fourier Transform as well:

    ![e^{sT} = e^{j \\omega}](../../../upload.wikimedia.org/math/9/7/b/97b1e3d0d71aebc2039cd6a9a11c2c2c.png)
    ![e^{\(\\sigma + j \\omega\)T} = e^{j \\omega}](../../../upload.wikimedia.org/math/f/5/b/f5b98fafec09a38112c4f2635d617736.png)

If we assume that _T = 1_, we can relate the two equations together by setting the real part of _s_ to zero. Notice that the relationship between the Laplace and Fourier transforms is mirrored here, where the Fourier transform is the Laplace transform with no real-part to the transform variable.

There are a number of discrete-time variants to the Fourier transform as well, which are not discussed in this book. For more information about these variants, see [Digital Signal Processing](http://en.wikibooks.org/wiki/Digital_Signal_Processing).

## Reconstruction

Some of the easiest reconstruction circuits are called "Holding circuits". Once a signal has been transformed using the Star Transform (passed through an ideal sampler), the signal must be "reconstructed" using one of these hold systems (or an equivalent) before it can be analyzed in a Laplace-domain system.

If we have a sampled signal denoted by the Star Transform ![X^*\(s\)](../../../upload.wikimedia.org/math/8/7/c/87cd6b8019a36d92e29af9a3307dc3ae.png), we want to **reconstruct** that signal into a continuous-time waveform, so that we can manipulate it using Laplace-transform techniques.

Let's say that we have the sampled input signal, a reconstruction circuit denoted _G(s)_, and an output denoted with the Laplace-transform variable _Y(s)_. We can show the relationship as follows:

    ![Y\(s\) = X^*\(s\)G\(s\)](../../../upload.wikimedia.org/math/2/9/9/29932e7981e76fdb345d41ad8ec21f28.png)

Reconstruction circuits then, are physical devices that we can use to convert a digital, sampled signal into a continuous-time domain, so that we can take the Laplace transform of the output signal.

### Zero order Hold

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Zeroorderhold.impulseresponse.svg/220px-Zeroorderhold.impulseresponse.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Zero-Order Hold impulse response

A **zero-order hold** circuit is a circuit that essentially inverts the sampling process: The value of the sampled signal at time _t_ is held on the output for _T_ time. The output waveform of a zero-order hold circuit therefore looks like a staircase approximation to the original waveform.

The transfer function for a zero-order hold circuit, in the Laplace domain, is written as such:

  


[Zero Order Hold]

    ![G_{h0} = \\frac{1 - e^{-Ts}}{s}](../../../upload.wikimedia.org/math/b/8/e/b8e6ad03f2152b0f3611b48625b98d38.png)

The Zero-order hold is the simplest reconstruction circuit, and (like the rest of the circuits on this page) assumes zero processing delay in converting between digital to analog.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Zeroorderhold.signal.svg/585px-Zeroorderhold.signal.svg.png)

A continuous input signal (gray) and the sampled signal with a zero-order hold (red)

### First Order Hold

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/90/Predictivefirstorderhold.impulseresponse.svg/220px-Predictivefirstorderhold.impulseresponse.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Impulse response of a first-order hold.

The zero-order hold creates a step output waveform, but this isn't always the best way to reconstruct the circuit. Instead, the **First-Order Hold** circuit takes the derivative of the waveform at the time _t_, and uses that derivative to make a guess as to where the output waveform is going to be at time _(t + T)_. The first-order hold circuit then "draws a line" from the current position to the expected future position, as the output of the waveform.

  


[First Order Hold]

    ![G_{h1} = \\frac{1 + Ts}{T} \\left\[ \\frac{1 - e^{-Ts}}{s}\\right\]^2](../../../upload.wikimedia.org/math/e/1/a/e1abc7e26d075de9e85b5f2b6e01ee64.png)

Keep in mind, however, that the next value of the signal will probably not be the same as the expected value of the next data point, and therefore the first-order hold may have a number of discontinuities.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Predictivefirstorderhold.signal.svg/567px-Predictivefirstorderhold.signal.svg.png)

An input signal (grey) and the first-order hold circuit output (red)

### Fractional Order Hold

The Zero-Order hold outputs the current value onto the output, and keeps it level throughout the entire bit time. The first-order hold uses the function derivative to predict the next value, and produces a series of ramp outputs to produce a fluctuating waveform. Sometimes however, neither of these solutions are desired, and therefore we have a compromise: **Fractional-Order Hold**. Fractional order hold acts like a mixture of the other two holding circuits, and takes a fractional number _k_ as an argument. Notice that _k_ must be between 0 and 1 for this circuit to work correctly.

  


[Fractional Order Hold]

    ![G_{hk} = \(1 - ke^{-Ts}\) \\frac{1 - e^{-Ts}}{s} + \\frac {k}{Ts^2} \(1 - e^{-Ts}\)^2](../../../upload.wikimedia.org/math/d/2/a/d2a4ffe07753e8882e74ce505e80c4dc.png)

This circuit is more complicated than either of the other hold circuits, but sometimes added complexity is worth it if we get better performance from our reconstruction circuit.

### Other Reconstruction Circuits

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Firstorderhold.impulseresponse.svg/220px-Firstorderhold.impulseresponse.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Impulse response to a linear-approximation circuit.

Another type of circuit that can be used is a **linear approximation** circuit.

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5e/Firstorderhold.signal.svg/567px-Firstorderhold.signal.svg.png)

An input signal (grey) and the output signal through a linear approximation circuit

## Further Reading

  * Hamming, Richard. "Numerical Methods for Scientists and Engineers" [ISBN 0486652416](http://en.wikibooks.org/wiki/Special:BookSources/0486652416)
  * [Digital Signal Processing/Z Transform](http://en.wikibooks.org/wiki/Digital_Signal_Processing/Z_Transform)
  * [Complex Analysis/Residue Theory](http://en.wikibooks.org/wiki/Complex_Analysis/Residue_Theory)
  * [Analog and Digital Conversion](http://en.wikibooks.org/wiki/Analog_and_Digital_Conversion)

  


  


# System Delays

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Sampled Data Systems](http://en.wikibooks.org/wiki/Control_Systems/Sampled_Data_Systems)
[Poles and Zeros →](http://en.wikibooks.org/wiki/Control_Systems/Poles_and_Zeros)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Delays

A system can be built with an inherent **delay**. Delays are units that cause a time-shift in the input signal, but that don't affect the signal characteristics. An **ideal delay** is a delay system that doesn't affect the signal characteristics at all, and that delays the signal for an exact amount of time. Some delays, like processing delays or transmission delays, are unintentional. Other delays however, such as synchronization delays, are an integral part of a system. This chapter will talk about how delays are utilized and represented in the Laplace Domain. Once we represent a delay in the Laplace domain, it is an easy matter, through change of variables, to express delays in other domains.

### Ideal Delays

An ideal delay causes the input function to be shifted forward in time by a certain specified amount of time. Systems with an ideal delay cause the system output to be delayed by a finite, predetermined amount of time.

![Ideal Delay.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/6/60/Ideal_Delay.svg/400px-Ideal_Delay.svg.png)

## Time Shifts

Let's say that we have a function in time that is time-shifted by a certain constant time period _T_. For convenience, we will denote this function as _x(t - T)_. Now, we can show that the Laplace transform of _x(t - T)_ is the following:

    ![\\mathcal{L}\\{x\(t - T\)\\} \\Leftrightarrow e^{-sT}X\(s\)](../../../upload.wikimedia.org/math/e/0/4/e044366f5fcbd0a03f76d89ebb4f592c.png)

What this demonstrates is that time-shifts in the time-domain become exponentials in the complex Laplace domain.

### Shifts in the Z-Domain

Since we know the following general relationship between the Z Transform and the Star Transform:

    ![z \\Leftrightarrow e^{sT}](../../../upload.wikimedia.org/math/4/e/b/4ebe713e6100b1874a188c6bddf7ea15.png)

We can show what a time shift in a discrete time domain becomes in the Z domain:

    ![x\(\(n-n_s\)\\cdot T\)\\equiv x\[n - n_s\] \\Leftrightarrow z^{-n_s}X\(z\)](../../../upload.wikimedia.org/math/e/2/e/e2ea9d53d111405bfd6fed029c08b495.png)

## Delays and Stability

A time-shift in the time domain becomes an exponential increase in the Laplace domain. This would seem to show that a time shift can have an effect on the stability of a system, and occasionally can cause a system to become unstable. We define a new parameter called the **time margin** as the amount of time that we can shift an input function before the system becomes unstable. If the system can survive any arbitrary time shift without going unstable, we say that the time margin of the system is infinite.

## Delay Margin

When speaking of sinusoidal signals, it doesn't make sense to talk about "time shifts", so instead we talk about "phase shifts". Therefore, it is also common to refer to the time margin as the **phase margin** of the system. The phase margin denotes the amount of phase shift that we can apply to the system input before the system goes unstable.

We denote the phase margin for a system with a lowercase Greek letter φ (phi). Phase margin is defined as such for a second-order system:

  


[Delay Margin]

    ![\\phi_m = \\tan^{-1} \\left\[ \\frac{2 \\zeta}{\(\\sqrt{4 \\zeta^4 + 1} - 2\\zeta^2\)^{1/2}}\\right\]](../../../upload.wikimedia.org/math/1/d/e/1dee1b4f16f596487a39c1e4b0b86c0e.png)

Oftentimes, the phase margin is approximated by the following relationship:

  


[Delay Margin (approx)]

    ![\\phi_m \\approx 100\\zeta](../../../upload.wikimedia.org/math/9/4/8/948b0a201e05807fce1e1abb78a2fd02.png)

The Greek letter zeta (ζ) is a quantity called the **damping ratio**, and we discuss this quantity in more detail in the next chapter.

## Transform-Domain Delays

The ordinary Z-Transform does not account for a system which experiences an arbitrary time delay, or a processing delay. The Z-Transform can, however, be modified to account for an arbitrary delay. This new version of the Z-transform is frequently called the **Modified Z-Transform**, although in some literature (notably in Wikipedia), it is known as the **Advanced Z-Transform**.

### Delayed Star Transform

To demonstrate the concept of an ideal delay, we will show how the star transform responds to a time-shifted input with a specified delay of time _T_. The function :![X^*\(s, \\Delta\)](../../../upload.wikimedia.org/math/b/e/9/be9fd4d525a99715819f3b920bca32ce.png) is the delayed star transform with a delay parameter Δ. The delayed star transform is defined in terms of the star transform as such:

  


[Delayed Star Transform]

    ![X^*\(s, \\Delta\)
        = \\mathcal{L}^* \\left\\{ x\(t - \\Delta\) \\right\\}
        = X\(s\)e^{-\\Delta T s}](../../../upload.wikimedia.org/math/a/f/f/affbc3490ae8a7c9a25273c2acf8aa61.png)

As we can see, in the star transform, a time-delayed signal is multiplied by a decaying exponential value in the transform domain.

### Delayed Z-Transform

Since we know that the Star Transform is related to the Z Transform through the following change of variables:

    ![z = e^{-sT}](../../../upload.wikimedia.org/math/6/5/a/65a206bf8c4fc96449e92aca6b4790e6.png)

We can interpret the above result to show how the Z Transform responds to a delay:

    ![\\mathcal{Z}\(x\[t - T\]\) = X\(z\)z^{-T}](../../../upload.wikimedia.org/math/a/6/c/a6cd430fda16fb6a566734706b87df0a.png)

This result is expected.

Now that we know how the Z transform responds to time shifts, it is often useful to generalize this behavior into a form known as the **Delayed Z-Transform**. The Delayed Z-Transform is a function of two variables, _z_ and Δ, and is defined as such:

    ![X\(z, \\Delta\)
        = \\mathcal{Z} \\left\\{ x\(t - \\Delta\) \\right\\}
        = \\mathcal{Z} \\left\\{ X\(s\)e^{-\\Delta T s} \\right\\}](../../../upload.wikimedia.org/math/d/c/1/dc1869e4a5c5ceeaf430a222af1e4849.png)

And finally:

  


[Delayed Z Transform]

    ![\\mathcal{Z}\(x\[n\], \\Delta\) = X\(z, \\Delta\) = \\sum_{n=-\\infty}^\\infty x\[n - \\Delta\]z^{-n}](../../../upload.wikimedia.org/math/2/a/f/2af999bdaf5bdb6de285c018b2373db1.png)

## Modified Z-Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Advanced Z-transform**_](http://en.wikipedia.org/wiki/Advanced_Z-transform)

The Delayed Z-Transform has some uses, but mathematicians and engineers have decided that a more useful version of the transform was needed. The new version of the Z-Transform, which is similar to the Delayed Z-transform with a change of variables, is known as the **Modified Z-Transform**. The Modified Z-Transform is defined in terms of the delayed Z transform as follows:

    ![X\(z, m\) 
        = X\(z, \\Delta\)\\big|_{\\Delta \\to 1 - m} 
        = \\mathcal{Z} \\left\\{ X\(s\)e^{-\\Delta T s} \\right\\}\\big|_{\\Delta \\to 1 - m} ](../../../upload.wikimedia.org/math/a/1/8/a1886169d59ca104704e98c45247fb98.png)

And it is defined explicitly:

  


[Modified Z Transform]

    ![X\(z, m\) = \\mathcal{Z}\(x\[n\], m\) = \\sum_{n = -\\infty}^{\\infty} x\[n + m - 1\]z^{-n}](../../../upload.wikimedia.org/math/1/d/1/1d139cc18845096a8efb6dc22d77b259.png)

  


  


# Poles and Zeros

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← System Delays](http://en.wikibooks.org/wiki/Control_Systems/System_Delays)
[State-Space Equations →](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Equations)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Poles and Zeros

**Poles** and **Zeros** of a transfer function are the frequencies for which the value of the denominator and numerator of transfer function becomes zero respectively. The values of the poles and the zeros of a system determine whether the system is stable, and how well the system performs. Control systems, in the most simple sense, can be designed simply by assigning specific values to the poles and zeros of the system.

Physically realizable control systems must have a number of poles greater than or equal to the number of zeros. Systems that satisfy this relationship are called **proper**. We will elaborate on this below.

## Time-Domain Relationships

Let's say that we have a transfer function with 3 poles:

    ![H\(s\) = \\frac{a}{\(s + l\)\(s + m\)\(s + n\)}](../../../upload.wikimedia.org/math/b/8/e/b8edc2552dc02b16e93bb6f0b2a0c7cd.png)

The poles are located at s = -**l**, -**m**, -**n**. Now, we can use partial fraction expansion to separate out the transfer function:

    ![H\(s\) = \\frac{a}{\(s + l\)\(s + m\)\(s + n\)} = \\frac{A}{s+l} + \\frac{B}{s+m} + \\frac{C}{s+n}](../../../upload.wikimedia.org/math/2/0/9/2094e6ed908b8ca85b6399b4a6b49bda.png)

Using the inverse transform on each of these component fractions (looking up the transforms in our table), we get the following:

    ![h\(t\) = Ae^{-lt}u\(t\) + Be^{-mt}u\(t\) + Ce^{-nt}u\(t\)](../../../upload.wikimedia.org/math/3/3/4/33430ac30371c67d83d7555f1044571e.png)

But, since s is a complex variable, **l** **m** and **n** can all potentially be complex numbers, with a real part (σ) and an imaginary part (jω). If we just look at the first term:

    ![Ae^{-lt}u\(t\) = Ae^{-\(\\sigma_l + j\\omega_l\)t}u\(t\) = Ae^{-\\sigma_l t}e^{-j\\omega_l t}u\(t\)](../../../upload.wikimedia.org/math/5/3/2/532f45fd3b3feb0df5f883c7ac8a9ca7.png)

Using **[Euler's Equation](http://en.wikipedia.org/wiki/Euler%27s_identity)** on the imaginary exponent, we get:

    ![Ae^{-\\sigma_l t}\[cos\(\\omega_l t\) - j\\sin\(\\omega_l t\)\]u\(t\)](../../../upload.wikimedia.org/math/1/1/f/11f812bb547c11f8386157f24f2421fe.png)

And taking the real part of this equation, we are left with our final result:

    ![Ae^{-\\sigma_l t}cos\(\\omega_l t\)u\(t\)](../../../upload.wikimedia.org/math/2/6/d/26d350602ab7337c429e1db477015803.png)

We can see from this equation that every pole will have an exponential part, and a sinusoidal part to its response. We can also go about constructing some rules:

  1. if σl = 0, the response of the pole is a perfect sinusoid (an oscillator)
  2. if ωl = 0, the response of the pole is a perfect exponential.
  3. if σl > 0, the exponential part of the response will decay towards zero.
  4. if σl < 0, the exponential part of the response will rise towards infinity.

From the last two rules, we can see that all poles of the system must have negative real parts, and therefore they must all have the form (s + l) for the system to be stable. We will discuss stability in later chapters.

## What are Poles and Zeros

Let's say we have a transfer function defined as a ratio of two polynomials:

    ![H\(s\) = {N\(s\) \\over D\(s\)}](../../../upload.wikimedia.org/math/f/b/5/fb5ecaaa986f8cc677fb32ca8f9ad4e3.png)

Where _N(s)_ and _D(s)_ are simple polynomials. **Zeros** are the roots of _N(s)_ (the numerator of the transfer function) obtained by setting _N(s) = 0_ and solving for _s_.

The **polynomial order** of a function is the value of the highest exponent in the polynomial.

**Poles** are the roots of _D(s)_ (the denominator of the transfer function), obtained by setting _D(s) = 0_ and solving for _s_. Because of our restriction above, that a transfer function must not have more zeros than poles, we can state that the polynomial order of _D(s)_ must be greater than or equal to the polynomial order of _N(s)_.

  


### Example

Consider the transfer function:

    ![H\(s\) = {s + 2 \\over s^2 + 0.25}](../../../upload.wikimedia.org/math/c/6/3/c63c794dac64215e2541e1b6bc2df6c8.png)

We define _N(s)_ and _D(s)_ to be the numerator and denominator polynomials, as such:

    ![N\(s\) = s + 2](../../../upload.wikimedia.org/math/3/f/c/3fc91619193ed767ad1944a76623fdaf.png)

    ![D\(s\) = s^2 + 0.25](../../../upload.wikimedia.org/math/c/f/7/cf77d6119c675940afd5230a441e0f8e.png)

We set _N(s)_ to zero, and solve for _s_:

    ![N\(s\) = s + 2 = 0 \\to s = -2](../../../upload.wikimedia.org/math/9/9/2/99228a3c919882b02a97f89e83807887.png)

So we have a zero at _s → -2_. Now, we set _D(s)_ to zero, and solve for _s_ to obtain the poles of the equation:

    ![D\(s\) = s^2 + 0.25 = 0 \\to s = + i\\sqrt{0.25}, - i\\sqrt{0.25}](../../../upload.wikimedia.org/math/9/0/b/90b9652c48f224f9976d5c3c082c94b2.png)

And simplifying this gives us poles at: _-i/2_ , _+i/2_. Remember, _s_ is a complex variable, and it can therefore take imaginary and real values.

## Effects of Poles and Zeros

As _s_ approaches a zero, the numerator of the transfer function (and therefore the transfer function itself) approaches the value 0. When _s_ approaches a pole, the denominator of the transfer function approaches zero, and the value of the transfer function approaches infinity. An output value of infinity should raise an alarm bell for people who are familiar with BIBO stability. We will discuss this later.

As we have seen above, the locations of the poles, and the values of the real and imaginary parts of the pole determine the response of the system. Real parts correspond to exponentials, and imaginary parts correspond to sinusoidal values.

## Second-Order Systems

The canonical form for a second order system is as follows:

  


[Second-order transfer function]

    ![H\(s\) = \\frac{K\\omega^2}{s^2 + 2\\zeta\\omega s + \\omega^2}](../../../upload.wikimedia.org/math/c/3/5/c3552b69b60e549dcf83eeb7e43819be.png)

Where K is the **system gain**, ζ is called the **damping ratio** of the function, and ω is called the **natural frequency** of the system. ζ and ω, if exactly known for a second order system, the time responses can be easily plotted and stability can easily be checked. More information on second order systems can be found [here](http://wikis.controltheorypro.com/index.php?title=Second_Order_Systems).

### Damping Ratio

The **damping ratio** of a second-order system, denoted with the Greek letter zeta (ζ), is a real number that defines the damping properties of the system. More damping has the effect of less percent overshoot, and slower settling time. Damping is the inherent ability of the system to oppose the oscillatory nature of the system's transient response. Larger values of damping coefficient or damping factor produces transient responses with lesser oscillatory nature.

### Natural Frequency

The natural frequency is occasionally written with a subscript:

    ![\\omega \\to \\omega_n](../../../upload.wikimedia.org/math/f/4/1/f412ff2a50d59a6686613d8d39a8ddce.png)

We will omit the subscript when it is clear that we are talking about the natural frequency, but we will include the subscript when we are using other values for the variable ω. Also, ![\\omega~=~\\omega_n](../../../upload.wikimedia.org/math/8/c/9/8c99887e0a5906f7407384d49c13b744.png) when ![\\zeta~=0](../../../upload.wikimedia.org/math/d/0/0/d00775c6993b86369fff4d42299c3674.png).

## Higher-Order Systems

  


Modern Controls

The modern method of controls uses systems of special state-space equations to model and manipulate systems. The state variable model is broad enough to be useful in describing a wide range of systems, including systems that cannot be adequately described using the Laplace Transform. These chapters will require the reader to have a solid background in linear algebra, and multi-variable calculus.

  


# State-Space Equations

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Poles and Zeros](http://en.wikibooks.org/wiki/Control_Systems/Poles_and_Zeros)
[Linear System Solutions →](http://en.wikibooks.org/wiki/Control_Systems/Linear_System_Solutions)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Time-Domain Approach

The "Classical" method of controls (what we have been studying so far) has been based mostly in the transform domain. When we want to control the system in general we use the Laplace transform (Z-Transform for digital systems) to represent the system, and when we want to examine the frequency characteristics of a system, we use the Fourier Transform. The question arises, why do we do this?

Let's look at a basic second-order Laplace Transform transfer function:

    ![\\frac{Y\(s\)}{X\(s\)} = G\(s\) = \\frac{1 + s}{1 + 2s + 5s^2}](../../../upload.wikimedia.org/math/5/a/a/5aa2f0f9c9d4ea045beedbabc897e37c.png)

And we can decompose this equation in terms of the system inputs and outputs:

    ![\(1 + 2s + 5 s^2\)Y\(s\) = \(1 + s\)X\(s\)](../../../upload.wikimedia.org/math/c/e/d/ced8e2f0277744826fdbeaf0b1fca729.png)

Now, when we take the inverse Laplace transform of our equation, we can see that:

    ![y\(t\) + 2\\frac{d y\(t\)}{dt} + 5\\frac{d^2y\(t\)}{dt^2} = x\(t\) + \\frac{dx\(t\)}{dt}](../../../upload.wikimedia.org/math/4/3/5/435817ad5679c68568f8c53b4cb8075b.png)

The Laplace transform is transforming the fact that we are dealing with second-order differential equations. The Laplace transform moves a system out of the time-domain into the complex frequency domain, to study and manipulate our systems as algebraic polynomials instead of linear ODEs. Given the complexity of differential equations, why would we ever want to work in the time domain?

It turns out that to decompose our higher-order differential equations into multiple first-order equations, one can find a new method for easily manipulating the system _without having to use integral transforms_. The solution to this problem is **state variables** . By taking our multiple first-order differential equations, and analyzing them in vector form, we can not only do the same things we were doing in the time domain using simple matrix algebra, but now we can easily account for systems with multiple inputs and multiple outputs, without adding much unnecessary complexity. This demonstrates why the "modern" state-space approach to controls has become popular.

## State-Space

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[State space (controls)**_](http://en.wikipedia.org/wiki/State_space_\(controls\))

In a state space system, the internal state of the system is explicitly accounted for by an equation known as the **state equation**. The system output is given in terms of a combination of the current system state, and the current system input, through the **output equation**. These two equations form a system of equations known collectively as **state-space equations**. The state-space is the vector space that consists of all the possible internal states of the system. Because the state-space must be finite, a system can only be described by state-space equations if the system is lumped.

For a system to be modeled using the state-space method, the system must meet this requirement:

  1. **The system must be lumped**

This text mostly considers linear state space systems, where the state and output equations satisfy the superposition principle and the state space is linear. However, the state-space approach is equally valid for nonlinear systems although some specific methods are not applicable to nonlinear systems.

#### State

Central to the state-space notation is the idea of a **state**. A state of a system is the current value of internal elements of the system, that change separately (but not completely unrelated) to the output of the system. In essence, the state of a system is an explicit account of the values of the internal system components. Here are some examples:

Consider an electric circuit with both an input and an output terminal. This circuit may contain any number of inductors and capacitors. The state variables may represent the magnetic and electric fields of the inductors and capacitors, respectively.

Consider a spring-mass-dashpot system. The state variables may represent the compression of the spring, or the acceleration at the dashpot.

Consider a chemical reaction where certain reagents are poured into a mixing container, and the output is the amount of the chemical product produced over time. The state variables may represent the amounts of un-reacted chemicals in the container, or other properties such as the quantity of thermal energy in the container (that can serve to facilitate the reaction).

## State Variables

When modeling a system using a state-space equation, we first need to define three vectors:

Input variables
    A SISO (Single Input Single Output) system will only have a single input value, but a MIMO system may have multiple inputs. We need to define all the inputs to the system, and we need to arrange them into a vector.
Output variables
    This is the system output value, and in the case of MIMO systems, we may have several. Output variables should be independent of one another, and only dependent on a linear combination of the input vector and the state vector.
State Variables
    The state variables represent values from inside the system, that can change over time. In an electric circuit, for instance, the node voltages or the mesh currents can be state variables. In a mechanical system, the forces applied by springs, gravity, and dashpots can be state variables.

We denote the input variables with _u_, the output variables with _y_, and the state variables with _x_. In essence, we have the following relationship:

    ![y = f\(x, u\)](../../../upload.wikimedia.org/math/a/7/2/a72c37f44b07cda997b7febc1ccc9c6e.png)

Where _f(x, u)_ is our system. Also, the state variables can change with respect to the current state and the system input:

    ![x' = g\(x, u\)](../../../upload.wikimedia.org/math/7/2/e/72eb107e83505ec36cb147ba21b8093e.png)

Where _x'_ is the rate of change of the state variables. We will define _f(u, x)_ and _g(u, x)_ in the next chapter.

## Multi-Input, Multi-Output

In the Laplace domain, if we want to account for systems with multiple inputs and multiple outputs, we are going to need to rely on the principle of superposition to create a system of simultaneous Laplace equations for each output and each input. For such systems, the classical approach not only doesn't simplify the situation, but because the systems of equations need to be transformed into the frequency domain first, manipulated, and then transformed back into the time domain, they can actually be more difficult to work with. However, the Laplace domain technique can be combined with the State-Space techniques discussed in the next few chapters to bring out the best features of both techniques. We will discuss MIMO systems in the [MIMO Systems Chapter](http://en.wikibooks.org/wiki/Control_Systems/MIMO_Systems).

## State-Space Equations

In a state-space system representation, we have a system of two equations: an equation for determining the state of the system, and another equation for determining the output of the system. We will use the variable _y(t)_ as the output of the system, _x(t)_ as the state of the system, and _u(t)_ as the input of the system. We use the notation _x'(t)_ (note the prime) for the first derivative of the state vector of the system, as dependent on the current state of the system and the current input. Symbolically, we say that there are transforms **g** and **h**, that display this relationship:

    ![x'\(t\) = g\[t_0, t, x\(t\), x\(0\), u\(t\)\]](../../../upload.wikimedia.org/math/2/8/2/28240b310f5d8fa38d5e133669e0e6af.png)
    ![y\(t\) = h\[t, x\(t\), u\(t\)\]](../../../upload.wikimedia.org/math/4/6/4/4648b16557fdd5b7a37401180f22de82.png)

**Note**:  
If **x'(t)** and **y(t)** are not linear combinations of _x(t)_ and _u(t)_, the system is said to be **nonlinear**. We will attempt to discuss non-linear systems in a later chapter.

The first equation shows that the system state change is dependent on the previous system state, the initial state of the system, the time, and the system inputs. The second equation shows that the system output is dependent on the current system state, the system input, and the current time.

If the system state change _x'(t)_ and the system output _y(t)_ are linear combinations of the system state and input vectors, then we can say the systems are linear systems, and we can rewrite them in matrix form:

  


[State Equation]

    ![x' = A\(t\)x\(t\) + B\(t\)u\(t\)](../../../upload.wikimedia.org/math/0/e/6/0e6c53721b42fafad99e279e104670e6.png)

  


[Output Equation]

    ![y\(t\) = C\(t\)x\(t\) + D\(t\)u\(t\)](../../../upload.wikimedia.org/math/e/b/a/eba58f160f83ccab481a21634f6096a9.png)

If the systems themselves are time-invariant, we can re-write this as follows:

    ![x' = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/d/5/f/d5f902380cc98862e7ddf6a310ffc17e.png)
    ![y\(t\) = Cx\(t\) + Du\(t\)](../../../upload.wikimedia.org/math/0/2/b/02ba1ad4e19b31ac7b9882651b1c826d.png)

The **State Equation** shows the relationship between the system's current state and its input, and the future state of the system. The **Output Equation** shows the relationship between the system state and its input, and the output. These equations show that in a given system, the current output is dependent on the current input and the current state. The future state is also dependent on the current state and the current input.

It is important to note at this point that the state space equations of a particular system are not unique, and there are an infinite number of ways to represent these equations by manipulating the _A_, _B_, _C_ and _D_ matrices using row operations. There are a number of "standard forms" for these matrices, however, that make certain computations easier. Converting between these forms will require knowledge of linear algebra.

State-Space Basis Theorem
    Any system that can be described by a finite number of nth order differential equations or nth order difference equations, or any system that can be approximated by them, can be described using state-space equations. The general solutions to the state-space equations, therefore, are solutions to all such sets of equations.

### Matrices: A B C D

Our system has the form:

    ![\\bold{x}'\(t\) = \\bold{g}\[t_0, t, \\bold{x}\(t\), x\(0\), \\bold{u}\(t\)\]](../../../upload.wikimedia.org/math/7/f/6/7f631b4a0bbd53188072f2be4f6a459b.png)
    ![\\bold{y}\(t\) = \\bold{h}\[t, \\bold{x}\(t\), \\bold{u}\(t\)\]](../../../upload.wikimedia.org/math/7/a/8/7a88b02de79134c80685d670c145f30b.png)

We've bolded several quantities to try and reinforce the fact that they can be vectors, not just scalar quantities. If these systems are time-invariant, we can simplify them by removing the time variables:

    ![\\bold{x}'\(t\) = \\bold{g}\[\\bold{x}\(t\), x\(0\), \\bold{u}\(t\)\]](../../../upload.wikimedia.org/math/c/d/7/cd78b30b1624167c7108f6375fd82373.png)
    ![\\bold{y}\(t\) = \\bold{h}\[\\bold{x}\(t\), \\bold{u}\(t\)\]](../../../upload.wikimedia.org/math/2/4/4/244c8ff77ba9b79bb7ea4533ab6c584f.png)

Now, if we take the partial derivatives of these functions with respect to the input and the state vector at time _t0_, we get our system matrices:

    ![A = \\bold{g}_x\[x\(0\), x\(0\), u\(0\)\]](../../../upload.wikimedia.org/math/c/b/d/cbd880993d60c920d268969ce90274ef.png)
    ![B = \\bold{g}_u\[x\(0\), x\(0\), u\(0\)\]](../../../upload.wikimedia.org/math/3/2/5/32516ad784bad32f7b190407bf460284.png)
    ![C = \\bold{h}_x\[x\(0\), u\(0\)\]](../../../upload.wikimedia.org/math/5/a/a/5aae826884a079d393a8822416e06e2a.png)
    ![D = \\bold{h}_u\[x\(0\), u\(0\)\]](../../../upload.wikimedia.org/math/7/0/b/70b481f2bf87a251cf6788f13b8f4dba.png)

In our time-invariant state space equations, we write these matrices and their relationships as:

    ![x'\(t\) = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)
    ![y\(t\)  = Cx\(t\) + Du\(t\)](../../../upload.wikimedia.org/math/0/2/b/02ba1ad4e19b31ac7b9882651b1c826d.png)

We have four constant matrices: _A_, _B_, _C_, and _D_. We will explain these matrices below:

Matrix A
    Matrix _A_ is the **system matrix**, and relates how the current state affects the state change _x'_ . If the state change is not dependent on the current state, _A_ will be the zero matrix. The exponential of the state matrix, _eAt_ is called the **state transition matrix**, and is an important function that we will describe below.
Matrix B
    Matrix _B_ is the **control matrix**, and determines how the system input affects the state change. If the state change is not dependent on the system input, then _B_ will be the zero matrix.
Matrix C
    Matrix _C_ is the **output matrix**, and determines the relationship between the system state and the system output.
Matrix D
    Matrix _D_ is the **feed-forward matrix**, and allows for the system input to affect the system output directly. A basic feedback system like those we have previously considered do not have a feed-forward element, and therefore for most of the systems we have already considered, the _D_ matrix is the zero matrix.

### Matrix Dimensions

Because we are adding and multiplying multiple matrices and vectors together, we need to be absolutely certain that the matrices have compatible dimensions, or else the equations will be undefined. For integer values _p_, _q_, and _r_, the dimensions of the system matrices and vectors are defined as follows:

    

Vectors Matrices

  * ![x: p \\times 1](../../../upload.wikimedia.org/math/b/7/b/b7bb942a7f669f5d8251c3c9616ef545.png)
  * ![x': p\\times 1](../../../upload.wikimedia.org/math/a/8/5/a85bd89c99b0b9f8f6983f4255417e1b.png)
  * ![u: q \\times 1](../../../upload.wikimedia.org/math/4/a/6/4a61a8361c5af0ada99495c54ac6bf8a.png)
  * ![y: r \\times 1](../../../upload.wikimedia.org/math/2/d/5/2d536a40b132c59e43f5d5eb60af36d0.png)

  * ![A: p \\times p](../../../upload.wikimedia.org/math/d/2/d/d2d300ddc1d8d21c5dc79159fe7fd7d2.png)
  * ![B: p \\times q](../../../upload.wikimedia.org/math/f/2/1/f217278b90274142529457d8a0ed2fee.png)
  * ![C: r \\times p](../../../upload.wikimedia.org/math/d/e/3/de36548e95e11033af9e03fd1e3e9665.png)
  * ![D: r \\times q](../../../upload.wikimedia.org/math/9/7/9/979dae51ddce7f80c2206976477dac88.png)

**Matrix Dimensions:**  
A: _p_ × _p_  
B: _p_ × _q_  
C: _r_ × _p_  
D: _r_ × _q_  


If the matrix and vector dimensions do not agree with one another, the equations are invalid and the results will be meaningless. Matrices and vectors must have compatible dimensions or they cannot be combined using matrix operations.

For the rest of the book, we will be using the small template on the right as a reminder about the matrix dimensions, so that we can keep a constant notation throughout the book.

### Notational Shorthand

The state equations and the output equations of systems can be expressed in terms of matrices _A_, _B_, _C_, and _D_. Because the form of these equations is always the same, we can use an ordered quadruplet to denote a system. We can use the shorthand _(A, B, C, D)_ to denote a complete state-space representation. Also, because the state equation is very important for our later analyis, we can write an ordered pair _(A, B)_ to refer to the state equation:

    ![\(A, B\) \\to x' = Ax + Bu](../../../upload.wikimedia.org/math/8/e/6/8e69b50b15bc6f00eaa53fd36c3718e4.png)
    ![\(A, B, C, D\) \\to \\left\\{\\begin{matrix}x' = Ax + Bu \\\\ y = Cx + Du \\end{matrix}\\right.](../../../upload.wikimedia.org/math/0/0/d/00dcac1a2fa51c896578b8e57a7764e5.png)

## Obtaining the State-Space Equations

The beauty of state equations, is that they can be used to transparently describe systems that are both continuous and discrete in nature. Some texts will differentiate notation between discrete and continuous cases, but this text will not make such a distinction. Instead we will opt to use the generic coefficient matrices _A_, _B_, _C_ and _D_ for both continuous and discrete systems. Occasionally this book may employ the subscript _C_ to denote a continuous-time version of the matrix, and the subscript _D_ to denote the discrete-time version of the same matrix. Other texts may use the letters _F_, _H_, and _G_ for continuous systems and _Γ_, and _Θ_ for use in discrete systems. However, if we keep track of our time-domain system, we don't need to worry about such notations.

### From Differential Equations

Let's say that we have a general 3rd order differential equation in terms of input _u(t)_ and output _y(t)_:

    ![ \\frac{d^3y\(t\)}{dt^3} + a_2\\frac{d^2y\(t\)}{dt^2} + a_1\\frac{dy\(t\)}{dt} + a_0y\(t\) = u\(t\)](../../../upload.wikimedia.org/math/0/9/e/09e95321d1822129eac5b9a3e408a549.png)

We can create the state variable vector _x_ in the following manner:

    ![x_1 = y\(t\)](../../../upload.wikimedia.org/math/7/8/a/78ab99d6528d8934a900ad89aa4de7cc.png)
    ![x_2 = \\frac{dy\(t\)}{dt}](../../../upload.wikimedia.org/math/0/6/1/061422804e22443a0a31a46e3d5a002b.png)
    ![x_3 = \\frac{d^2y\(t\)}{dt^2}](../../../upload.wikimedia.org/math/7/1/3/713c9b6b1136ba3df1b9d00303b30033.png)

Which now leaves us with the following 3 first-order equations:

    ![x_1' = x_2](../../../upload.wikimedia.org/math/4/4/5/445e208481731cfd39622121e11bc6e9.png)
    ![x_2' = x_3](../../../upload.wikimedia.org/math/d/0/d/d0d3de77ea32b467c0222d2213008aa7.png)
    ![x_3' = \\frac{d^3y\(t\)}{dt^3}](../../../upload.wikimedia.org/math/d/0/9/d0983e5ea67977297adbae6b81b98517.png)

Now, we can define the state vector _x_ in terms of the individual _x_ components, and we can create the future state vector as well:

    ![x = \\begin{bmatrix}x_1 \\\\ x_2 \\\\ x_3 \\end{bmatrix}](../../../upload.wikimedia.org/math/e/5/2/e525a5a1a1961211d56686b8d0c59857.png), ![x' = \\begin{bmatrix}x_1' \\\\ x_2' \\\\ x_3'\\end{bmatrix}](../../../upload.wikimedia.org/math/9/b/7/9b7bbcd95e4e9c9c1f9f23f3e860ec40.png)

And with that, we can assemble the state-space equations for the system:

    ![x' = \\begin{bmatrix}
               0 & 1 & 0 \\\\
               0 & 0 & 1 \\\\
               -a_0 & -a_1 & -a_2               
            \\end{bmatrix} x\(t\) + 
            \\begin{bmatrix} 
               0 \\\\ 
               0 \\\\ 
               1 
            \\end{bmatrix} u\(t\)](../../../upload.wikimedia.org/math/5/d/f/5df5c36f378dfc39f452217cb80064b4.png)

    ![y\(t\) = \\begin{bmatrix}
                1 & 0 & 0
              \\end{bmatrix} x\(t\)](../../../upload.wikimedia.org/math/5/2/0/5208e0f094c2ab7ba0b47af07c1a83e3.png)

Granted, this is only a simple example, but the method should become apparent to most readers.

### From Transfer Functions

The method of obtaining the state-space equations from the Laplace domain transfer functions are very similar to the method of obtaining them from the time-domain differential equations. We call the process of converting a system description from the Laplace domain to the state-space domain **realization**. We will discuss realization in more detail in a later chapter. In general, let's say that we have a transfer function of the form:

    ![T\(s\) = \\frac{s^m+a_{m-1}s^{m-1} +\\cdots+a_0}{s^n+b_{n-1}s^{n-1}+\\cdots+b_0}](../../../upload.wikimedia.org/math/2/1/0/2102f0a9ce45d3ed2db126e0effe0553.png)

We can write our _A_, _B_, _C_, and _D_ matrices as follows:

    

![A = \\begin{bmatrix}0 & 1 & 0 & \\cdots & 0 \\\\
                          0 & 0 & 1 & \\cdots & 0 \\\\
                          \\vdots &\\vdots &\\vdots & \\ddots & \\vdots \\\\
                          0 & 0 & 0 & \\cdots & 1 \\\\
                          -b_0 & -b_1 & -b_2 & \\cdots & -b_{n-1}
           \\end{bmatrix}](../../../upload.wikimedia.org/math/6/e/7/6e7857d0a17eeb3acf634cf208697081.png)

![B = \\begin{bmatrix}0 \\\\ 0 \\\\ \\vdots \\\\1\\end{bmatrix}](../../../upload.wikimedia.org/math/6/b/f/6bf053ae231689c0940ded4aa3b2122a.png)

![C = \\begin{bmatrix}a_0 & a_1 & \\cdots & a_{m-1}\\end{bmatrix}](../../../upload.wikimedia.org/math/0/2/a/02ae517b625ed7d0cc8dfbd9b8532ee5.png)

![D = 0](../../../upload.wikimedia.org/math/2/3/d/23ded4c3f6dae981aea9b1ad7949f3e3.png)

This form of the equations is known as the **controllable canonical form** of the system matrices, and we will discuss this later.

Notice that to perform this method, the denominator and numerator polynomials must be _monic_, the coefficients of the highest-order term must be 1. If the coefficient of the highest order term is not 1, you must divide your equation by that coefficient to make it 1.

## State-Space Representation

As an important note, remember that the state variables _x_ are user-defined and therefore are arbitrary. There are any number of ways to define _x_ for a particular problem, each of which are going to lead to different state space equations.

**Note**: There are an infinite number of equivalent ways to represent a system using state-space equations. Some ways are better than others. Once these state-space equations are obtained, they can be manipulated to take a particular form if needed.

Consider the previous continuous-time example. We can rewrite the equation in the form

    ![ \\frac{d}{dt}\\left\[\\frac{d^2y\(t\)}{dt^2} + a_2\\frac{dy\(t\)}{dt} + a_1y\(t\)\\right\] + a_0y\(t\)=u\(t\) ](../../../upload.wikimedia.org/math/c/6/8/c687af7da7b61240d9a71dc9883234e2.png).

We now define the state variables

    ![ x_1 = y\(t\) ](../../../upload.wikimedia.org/math/7/8/a/78ab99d6528d8934a900ad89aa4de7cc.png)

    ![ x_2 = \\frac{dy\(t\)}{dt} ](../../../upload.wikimedia.org/math/0/6/1/061422804e22443a0a31a46e3d5a002b.png)

    ![ x_3 = \\frac{d^2y\(t\)}{dt^2} + a_2\\frac{dy\(t\)}{dt} + a_1y\(t\) ](../../../upload.wikimedia.org/math/7/e/d/7edb3d37bae563db18781343478f6400.png)

with first-order derivatives

    ![ x_1' = \\frac{dy\(t\)}{dt} = x_2 ](../../../upload.wikimedia.org/math/0/d/f/0df6dccec03945e9efdeaf1fb7e29bff.png)

    ![ x_2' = \\frac{d^2y\(t\)}{dt^2} = - a_1x_1 - a_2x_2 + x_3 ](../../../upload.wikimedia.org/math/5/2/5/52581ce56effc62a49d5262a34e5dac9.png)

    ![ x_3' = -a_0y\(t\) + u\(t\) ](../../../upload.wikimedia.org/math/c/c/a/cca6242c70e697b853c1c316eedd7880.png)

The state-space equations for the system will then be given by

    ![ x' = \\begin{bmatrix}
               0 & 1 & 0 \\\\
               -a_1 & -a_2 & 1 \\\\
               -a_0 & 0 & 0
             \\end{bmatrix} x\(t\) +
             \\begin{bmatrix}
               0 \\\\ 0 \\\\ 1
             \\end{bmatrix} u\(t\) ](../../../upload.wikimedia.org/math/c/2/1/c21bd46afbd8307a886e47ef451764bc.png)

    ![ y\(t\) = \\begin{bmatrix}
                 1 & 0 & 0
               \\end{bmatrix} x\(t\) ](../../../upload.wikimedia.org/math/5/2/0/5208e0f094c2ab7ba0b47af07c1a83e3.png)

_x_ may also be used in any number of variable transformations, as a matter of mathematical convenience. However, the variables _y_ and _u_ correspond to physical signals, and may not be arbitrarily selected, redefined, or transformed as _x_ can be.

### Example: Dummy Variables

The attitude control of a particular manned aircraft can be given by:

    ![\\theta''\(t\) = \\alpha + \\delta](../../../upload.wikimedia.org/math/b/5/6/b56efb002ce587891c4ea7cd12ea1451.png)

Where _α_ is the direction the aircraft is traveling in, _θ_ is the direction the aircraft is facing (the attitude), and _δ_ is the angle of the ailerons (the control input from the pilot). This equation is not in a proper format, so we need to produce some dummy-variables:

    ![\\theta_1 = \\theta](../../../upload.wikimedia.org/math/d/3/3/d33fbb49baf093b302df52267af6f6a2.png)
    ![\\theta_1' = \\theta_2](../../../upload.wikimedia.org/math/a/3/1/a315cc85c54752b668d6b7e4178158fd.png)
    ![\\theta_2' = \\alpha + \\delta](../../../upload.wikimedia.org/math/9/7/f/97f9ab0ef8902248ccbe20bd90d102b3.png)

This in turn will provide us with our state equation:

    ![\\begin{bmatrix}\\theta_1 \\\\ \\theta_2\\end{bmatrix}' = \\begin{bmatrix}0 & 1 \\\\ 0 & 0\\end{bmatrix}\\begin{bmatrix}\\theta_1 \\\\ \\theta_2\\end{bmatrix} + \\begin{bmatrix}0 & 0 \\\\ 1 & 1\\end{bmatrix}\\begin{bmatrix}\\alpha \\\\ \\delta\\end{bmatrix}](../../../upload.wikimedia.org/math/e/f/b/efbaca477538f1b8d49464ca762dfedd.png)

As we can see from this equation, even though we have a valid state-equation, the variables _θ1_ and _θ2_ don't necessarily correspond to any measurable physical event, but are instead dummy variables constructed by the user to help define the system. Note, however, that the variables α and δ do correspond to physical values, and cannot be changed.

## Discretization

If we have a system _(A, B, C, D)_ that is defined in continuous time, we can **discretize** the system so that an equivalent process can be performed using a digital computer. We can use the definition of the derivative, as such:

    ![x'\(t\) = \\lim_{T\\to 0} \\frac{x\(t + T\) - x\(t\)}{T}](../../../upload.wikimedia.org/math/7/f/9/7f9f54217386f2797a868be9dea64008.png)

And substituting this into the state equation with some approximation (and ignoring the limit for now) gives us:

    ![\\lim_{T\\to 0} \\frac{x\(t + T\) - x\(t\)}{T} = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/6/1/6/61610b27f8893f620e07be454a0ec8b0.png)

    ![x\(t + T\) = x\(t\) + Ax\(t\)T + Bu\(t\)T](../../../upload.wikimedia.org/math/e/6/9/e695f33c2ece11af3dd9e08012d3149e.png)

    ![x\(t + T\) = \(1 + AT\)x\(t\) + \(BT\)u\(t\)](../../../upload.wikimedia.org/math/9/b/2/9b2864bf114f1a1cf433a83a64fe4162.png)

We are able to remove that limit because in a discrete system, the time interval between samples is positive and non-negligible. By definition, a discrete system is only defined at certain time points, and not at all time points as the limit would have indicated. In a discrete system, we are interested only in the value of the system at discrete points. If those points are evenly spaced by every _T_ seconds (the sampling time), then the samples of the system occur at _t = kT_, where _k_ is an integer. Substituting _kT_ for _t_ into our equation above gives us:

    ![x\(kT + T\) = \(1 + AT\)x\(kT\) + TBu\(kT\)](../../../upload.wikimedia.org/math/d/8/0/d8035cb3a3410d12d53a7c628eccff87.png)

Or, using the square-bracket shorthand that we've developed earlier, we can write:

    ![x\[k+1\] = \(1 + AT\)x\[k\] + TBu\[k\]](../../../upload.wikimedia.org/math/a/d/0/ad09c6a65f733858c9bdc5663b780bd9.png)

In this form, the state-space system can be implemented quite easily into a digital computer system using software, not complicated analog hardware. We will discuss this relationship and digital systems more specifically in a later chapter.

We will write out the discrete-time state-space equations as:

    ![x\[n+1\] = A_dx\[n\] + B_du\[n\]](../../../upload.wikimedia.org/math/2/6/8/268db757ee57fd7871c0d9002580991b.png)
    ![y\[n\] = C_dx\[n\] + D_du\[n\]](../../../upload.wikimedia.org/math/2/b/5/2b5ee03bec6f672bf6ce6e18373281b7.png)

## Note on Notations

The variable _T_ is a common variable in control systems, especially when talking about the beginning and end points of a continuous-time system, or when discussing the sampling time of a digital system. However, another common use of the letter _T_ is to signify the transpose operation on a matrix. To alleviate this ambiguity, we will denote the transpose of a matrix with a _prime_:

    ![A^T \\to A'](../../../upload.wikimedia.org/math/f/d/5/fd56439f970b5c8dfa45c2feefa1d473.png)

Where _A'_ is the transpose of matrix _A_.

The prime notation is also frequently used to denote the time-derivative. Most of the matrices that we will be talking about are time-invariant; there is no ambiguity because we will never take the time derivative of a time-invariant matrix. However, for a time-variant matrix we will use the following notations to distinguish between the time-derivative and the transpose:

    ![A\(t\)'](../../../upload.wikimedia.org/math/a/f/8/af8e23be6dd9fa16226a43e15c2c8902.png) the transpose.

    ![A'\(t\)](../../../upload.wikimedia.org/math/9/0/3/9031f49b118180b52836b767817fffc5.png) the time-derivative.

Note that certain variables which are time-variant are not written with the _(t)_ postscript, such as the variables _x_, _y_, and _u_. For these variables, the default behavior of the prime is the time-derivative, such as in the state equation. If the transpose needs to be taken of one of these vectors, the _(t)'_ postfix will be added explicitly to correspond to our notation above.

For instances where we need to use the Hermitian transpose, we will use the notation:

    ![A^H](../../../upload.wikimedia.org/math/a/f/c/afc40bf814ee5fc40de60ae4a5fc394c.png)

This notation is common in other literature, and raises no obvious ambiguities here.

## MATLAB Representation

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**[ss](http://en.wikibooks.org/wiki/Control_Systems/MATLAB)**

State-space systems can be represented in MATLAB using the 4 system matrices, A, B, C, and D. We can create a system data structure using the **ss** function:
    
    
    sys = ss(A, B, C, D);
    

Systems created in this way can be manipulated in the same way that the transfer function descriptions (described earlier) can be manipulated. To convert a transfer function to a state-space representation, we can use the **tf2ss** function:
    
    
    [A, B, C, D] = tf2ss(num, den);
    

And to perform the opposite operation, we can use the **ss2tf** function:
    
    
    [num, den] = ss2tf(A, B, C, D);
    

  


# Solutions for Linear Systems

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← State-Space Equations](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Equations)
[Time Variant System Solutions →](http://en.wikibooks.org/wiki/Control_Systems/Time_Variant_System_Solutions)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## State Equation Solutions

The solutions in this chapter are heavily rooted in prior knowledge of [Ordinary Differential Equations](http://en.wikibooks.org/wiki/Ordinary_Differential_Equations). Readers should have a prior knowledge of that subject before reading this chapter.

The state equation is a first-order linear differential equation, or (more precisely) a system of linear differential equations. Because this is a first-order equation, we can use results from [Ordinary Differential Equations](http://en.wikibooks.org/wiki/Ordinary_Differential_Equations) to find a general solution to the equation in terms of the state-variable _x_. Once the state equation has been solved for _x_, that solution can be plugged into the output equation. The resulting equation will show the direct relationship between the system input and the system output, without the need to account explicitly for the internal state of the system. The sections in this chapter will discuss the solutions to the state-space equations, starting with the easiest case (Time-invariant, no input), and ending with the most difficult case (Time-variant systems).

## Solving for x(t) With Zero Input

Looking again at the state equation:

    ![x' = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/d/5/f/d5f902380cc98862e7ddf6a310ffc17e.png)

We can see that this equation is a first-order differential equation, except that the variables are vectors, and the coefficients are matrices. However, because of the rules of matrix calculus, these distinctions don't matter. We can ignore the input term (for now), and rewrite this equation in the following form:

    ![\\frac{dx\(t\)}{dt} = Ax\(t\)](../../../upload.wikimedia.org/math/d/c/8/dc8a6d4f10e06b3b1be99181baac90d4.png)

And we can separate out the variables as such:

    ![\\frac{dx\(t\)}{x\(t\)} = A dt](../../../upload.wikimedia.org/math/d/9/9/d9994d5427dd2265bc0dac6c9a388560.png)

Integrating both sides, and raising both sides to a power of _e_, we obtain the result:

    ![x\(t\) = e^{At+C}](../../../upload.wikimedia.org/math/3/d/9/3d9fdda8512479069add184617692803.png)

Where _C_ is a constant. We can assign _D = eC_ to make the equation easier, but we also know that _D_ will then be the initial conditions of the system. This becomes obvious if we plug the value zero into the variable _t_. The final solution to this equation then is given as:

    ![x\(t\) = e^{A\(t-t_0\)}x\(t_0\)](../../../upload.wikimedia.org/math/6/2/0/6203ffded632ef968a8ba978969e1c52.png)

We call the matrix exponential _eAt_ the **state-transition matrix**, and calculating it, while difficult at times, is crucial to analyzing and manipulating systems. We will talk more about calculating the matrix exponential below.

## Solving for x(t) With Non-Zero Input

If, however, our input is non-zero (as is generally the case with any interesting system), our solution is a little bit more complicated. Notice that now that we have our input term in the equation, we will no longer be able to separate the variables and integrate both sides easily.

    ![x'\(t\) = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)

We subtract to get the ![Ax\(t\)](../../../upload.wikimedia.org/math/9/b/0/9b0cdb7a461289e26dce412b6b10665f.png) on the left side, and then we do something curious; we premultiply both sides by the inverse state transition matrix:

    ![e^{-At}x'\(t\) - e^{-At}Ax\(t\) = e^{-At}Bu\(t\)](../../../upload.wikimedia.org/math/6/d/a/6da35d5c645ccedacaab11c1b93e2660.png)

The rationale for this last step may seem fuzzy at best, so we will illustrate the point with an example:

### Example

Take the derivative of the following with respect to time:

    ![e^{-At}x\(t\)](../../../upload.wikimedia.org/math/6/b/5/6b5bd3cc68fb18313ec627f40808aead.png)

The product rule from differentiation reminds us that if we have two functions multiplied together:

    ![f\(t\)g\(t\)](../../../upload.wikimedia.org/math/2/8/c/28cd90cc994d482cbbab9f256d7bac4e.png)

and we differentiate with respect to t, then the result is:

    ![f\(t\)g'\(t\) + f'\(t\)g\(t\)](../../../upload.wikimedia.org/math/e/5/a/e5a295957cccecc407fd962805df419a.png)

If we set our functions accordingly:

    ![f\(t\) = e^{-At}\\qquad f'\(t\) = -Ae^{-At}](../../../upload.wikimedia.org/math/0/1/1/011985e7401e1826fdb18d015c93ea2e.png)
    ![g\(t\) = x\(t\)\\qquad g'\(t\) = x'\(t\)](../../../upload.wikimedia.org/math/e/b/5/eb51f2cc0b06cbe0d81d8e03b8ac79c7.png)

Then the output result is:

    ![e^{-At}x'\(t\) - e^{-At}Ax\(t\)](../../../upload.wikimedia.org/math/1/0/b/10b920372bc040c20fb3997fbd18708e.png)

If we look at this result, it is the same as from our equation above.

Using the result from our example, we can condense the left side of our equation into a derivative:

    ![\\frac{d\(e^{-At}x\(t\)\)}{dt} = e^{-At}Bu\(t\)](../../../upload.wikimedia.org/math/d/b/0/db0593da97a514438f9b08858e90a9c9.png)

Now we can integrate both sides, from the initial time (_t0_) to the current time (_t_), using a dummy variable τ, we will get closer to our result. Finally, if we premultiply by eAt, we get our final result:

  


[General State Equation Solution]

    ![x\(t\) = e^{A\(t-t_0\)}x\(t_0\) + \\int_{t_0}^{t}e^{A\(t - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/4/a/c/4acdcafecd4ad11112d63498265f2ada.png)

If we plug this solution into the output equation, we get:

  


[General Output Equation Solution]

    ![y\(t\) = Ce^{A\(t-t_0\)}x\(t_0\) + C\\int_{t_0}^{t}e^{A\(t - \\tau\)}Bu\(\\tau\)d\\tau + Du\(t\)](../../../upload.wikimedia.org/math/5/2/a/52a8aaa286a00e08515a3ce364a8e6b0.png)

This is the general Time-Invariant solution to the state space equations, with non-zero input. These equations are important results, and students who are interested in a further study of control systems would do well to memorize these equations.

## State-Transition Matrix

More information about **matrix exponentials** can be found in:  
**[Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)**

The state transition matrix, _eAt_, is an important part of the general state-space solutions for the time-invariant cases listed above. Calculating this matrix exponential function is one of the very first things that should be done when analyzing a new system, and the results of that calculation will tell important information about the system in question.

The matrix exponential can be calculated directly by using a Taylor-Series expansion:

    ![e^{At} = \\sum_{n=0}^\\infty \\frac{\(At\)^n}{n!}](../../../upload.wikimedia.org/math/3/b/8/3b809f0e88d305ea2bec765b924c2ea0.png)

More information about **diagonal matrices** and **Jordan-form matrices** can be found in:  
**[Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)**

Also, we can attempt to diagonalize the matrix A into a **diagonal matrix** or a **Jordan Canonical matrix**. The exponential of a diagonal matrix is simply the diagonal elements individually raised to that exponential. The exponential of a Jordan canonical matrix is slightly more complicated, but there is a useful pattern that can be exploited to find the solution quickly. Interested readers should read the relevant passages in [Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis).

The state transition matrix, and matrix exponentials in general are very important tools in control engineering.

### Diagonal Matrices

If a matrix is diagonal, the state transition matrix can be calculated by raising each diagonal entry of the matrix raised as a power of _e_.

### Jordan Canonical Form

If the A matrix is in the Jordan Canonical form, then the matrix exponential can be generated quickly using the following formula:

    ![e^{Jt} = e^{\\lambda t} \\begin{bmatrix} 1 & t & \\frac{1}{2!}t^2 & \\cdots & \\frac{1}{n!}t^n \\\\0 & 1 & t & \\cdots & \\frac{1}{\(n-1\)!}t^{n-1} \\\\ \\vdots & \\vdots & \\vdots & \\ddots & \\vdots \\\\ 0 & 0 & 0 & \\cdots & 1\\end{bmatrix}](../../../upload.wikimedia.org/math/7/8/2/782257e31b7b8b9becb274f0f00b132b.png)

Where _λ_ is the eigenvalue (the value on the diagonal) of the jordan-canonical matrix.

### Inverse Laplace Method

We can calculate the state-transition matrix (or any matrix exponential function) by taking the following inverse Laplace transform:

    ![e^{At} = \\mathcal{L}^{-1}\[\(sI - A\)^{-1}\]](../../../upload.wikimedia.org/math/5/7/c/57c159d27bdb420d6c66e28191f09591.png)

If A is a high-order matrix, this inverse can be difficult to solve.

If the A matrix is in the Jordan Canonical form, then the matrix exponential can be generated quickly using the following formula:
    
    
       ![e^{Jt} = e^{\\lambda t} \\begin{bmatrix} 1 & t & \\frac{1}{2!}t^2 & \\cdots & \\frac{1}{n!}t^n \\\\0 & 1 & t & \\cdots & \\frac{1}{\(n-1\)!}t^{n-1} \\\\ \\vdots & \\vdots & \\vdots & \\ddots & \\vdots \\\\ 0 & 0 & 0 & \\cdots & 1\\end{bmatrix}](../../../upload.wikimedia.org/math/7/8/2/782257e31b7b8b9becb274f0f00b132b.png)
    

Where λ is the eigenvalue (the value on the diagonal) of the jordan-canonical matrix.

### Spectral Decomposition

If we know all the eigenvalues of _A_, we can create our transition matrix _T_, and our inverse transition matrix _T-1_ These matrices will be the matrices of the right and left eigenvectors, respectively. If we have both the left and the right eigenvectors, we can calculate the state-transition matrix as:

  


[Spectral Decomposition]

    ![ e^{At} = \\sum_{i = 1}^ne^{\\lambda_i t} v_i w_i'](../../../upload.wikimedia.org/math/4/a/5/4a5f13e58477f8357d2cc05a729c2f9c.png)

Note that _wi'_ is the transpose of the _i_th left-eigenvector, not the derivative of it. We will discuss the concepts of "eigenvalues", "eigenvectors", and the technique of spectral decomposition in more detail in a later chapter.

### Cayley-Hamilton Theorem

For more information on the **Cayley-Hamilton Theorem**, see:  
**[Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)**

The **Cayley-Hamilton Theorem** can also be used to find a solution for a matrix exponential. For any eigenvalue of the system matrix _A_, _λ_, we can show that the two equations are equivalent:

    ![e^{\\lambda t} = a_0 + a_1 \\lambda t + a_2 \\lambda^2t^2 + \\cdots + a_{n-1}\\lambda^{n-1}t^{n-1}](../../../upload.wikimedia.org/math/0/b/7/0b781163cf5d0bc3147d9ebf8ae633cf.png)

Once we solve for the coefficients of the equation, _a_, we can then plug those coefficients into the following equation:

    ![e^{At} = a_0I + a_1 A t + a_2 A^2 t^2 + \\cdots + a_{n-1} A^{n-1} t^{n-1}](../../../upload.wikimedia.org/math/7/7/2/77277047ee00c34dd14b50abdcd3b8e2.png)

### Example: Off-Diagonal Matrix

Given the following matrix A, find the state-transition matrix:

    ![A = \\begin{bmatrix}0 & 1 \\\\ -1 & 0 \\end{bmatrix}](../../../upload.wikimedia.org/math/4/c/1/4c1f3936e4512ef7fa6f2411fd6aaf72.png)

We can find the eigenvalues of this matrix as _λ_ = _i_, -_i_. If we plug these values into our eigenvector equation, we get:

    ![\\begin{vmatrix}i & -1 \\\\1 & i\\end{vmatrix} v_1 = 0](../../../upload.wikimedia.org/math/9/8/9/989c758a15b8e8e4a644250eeb022241.png)
    ![\\begin{vmatrix}-i & -1 \\\\1 & -i\\end{vmatrix} v_2 = 0](../../../upload.wikimedia.org/math/e/d/0/ed053d5e6f1d16cd052a0c90bbd9d225.png)

And we can solve for our eigenvectors:

    ![v_1 = \\begin{bmatrix}1 \\\\ i\\end{bmatrix}](../../../upload.wikimedia.org/math/e/f/0/ef0f2478f8ef36ccc952804d95ecc7e9.png)
    ![v_2 = \\begin{bmatrix}1 \\\\ -i\\end{bmatrix}](../../../upload.wikimedia.org/math/f/f/2/ff2600ed78d1e90ac1b7fc15a48360ad.png)

With our eigenvectors, we can solve for our left-eigenvectors:

    ![w_1 = \\begin{bmatrix}1 \\\\ -i\\end{bmatrix}](../../../upload.wikimedia.org/math/7/2/9/729963c9931abdbfd9b688c938d30dd1.png)
    ![w_2 = \\begin{bmatrix}1 \\\\ i\\end{bmatrix}](../../../upload.wikimedia.org/math/2/8/f/28f8b5bdd9ee3faf153fea3af7be8774.png)

Now, using spectral decomposition, we can construct the state-transition matrix:

    ![e^{At} = e^{it}\\begin{bmatrix}1 \\\\ i\\end{bmatrix}\\begin{bmatrix}1 & -i\\end{bmatrix} + e^{-it}\\begin{bmatrix}1 \\\\ -i\\end{bmatrix}\\begin{bmatrix}1 & i\\end{bmatrix}](../../../upload.wikimedia.org/math/e/6/e/e6ef6ed99bf9b492b10d7824da0dbd9b.png)

If we remember Euler's Identity, we can decompose the complex exponentials into sinusoids. Performing the vector multiplications, all the imaginary terms cancel out, and we are left with our result:

    ![e^{At} = \\begin{bmatrix}\\cos t & \\sin t \\\\ -\\sin t & \\cos t\\end{bmatrix}](../../../upload.wikimedia.org/math/9/6/b/96b85977bfdfbf7d4b7b8d5a4637b252.png)

The reader is encouraged to perform the multiplications, and attempt to derive this result.

### Example: MATLAB Calculation

Using the **symbolic toolbox** in MATLAB, we can write MATLAB code to automatically generate the state-transition matrix for a given input matrix _A_. Here is an example of MATLAB code that can perform this task:
    
    
    function [phi] = statetrans(A)
       t = sym('t');
       phi = expm(A * t);
    end
    

Use this MATLAB function to find the state-transition matrix for the following matrices (warning, calculation may take some time):

  1. ![A_1 = \\begin{bmatrix}2 & 0 \\\\ 0 & 2\\end{bmatrix}](../../../upload.wikimedia.org/math/c/f/5/cf52da975520ef8e076090b37aa3d179.png)
  2. ![A_2 = \\begin{bmatrix}0 & 1 \\\\ -1 & 0\\end{bmatrix}](../../../upload.wikimedia.org/math/f/a/4/fa443db312039c1c8db65dcbf1008033.png)
  3. ![A_3 = \\begin{bmatrix}2 & 1 \\\\ 0 & 2\\end{bmatrix}](../../../upload.wikimedia.org/math/7/8/e/78e725e07463b14a720a687c09767ef4.png)

Matrix 1 is a diagonal matrix, Matrix 2 has complex eigenvalues, and Matrix 3 is Jordan canonical form. These three matrices should be representative of some of the common forms of system matrices. The following code snippets are the input commands into MATLAB to produce these matrices, and the output results:

Matrix A1
    
    
    >> A1 = [2 0 ; 0 2];
    >> statetrans(A1)
     
    ans =
     
    [ exp(2*t),        0]
    [        0, exp(2*t)]
    

Matrix A2
    
    
    >> A2 = [0 1 ; -1 0];
    >> statetrans(A1)
     
    ans =
     
    [  cos(t),  sin(t)]
    [ -sin(t),  cos(t)]
    

Matrix A3
    
    
    >> A1 = [2 1 ; 0 2];
    >> statetrans(A1)
     
    ans =
     
    [   exp(2*t), t*exp(2*t)]
    [          0,   exp(2*t)]
    

### Example: Multiple Methods in MATLAB

There are multiple methods in MATLAB to compute the state transtion matrix, from a scalar (time-invariant) matrix A. The following methods are all going to rely on the _Symbolic Toolbox_ to perform the equation manipulations. At the end of each code snippet, the variable **eAt** contains the state-transition matrix of matrix A.

Direct Method
    
    
    t = sym('t');
    eAt = expm(A * t);
    

Laplace Transform Method
    
    
    s = sym('s');
    [n,n] = size(A);
    in = inv(s*eye(n) - A);
    eAt = ilaplace(in);
    

Spectral Decomposition
    
    
    t = sym('t');
    [n,n] = size(A);
    [V, e] = eig(A);
    W = inv(V);
    sum = [0 0;0 0];
    for I = 1:n
       sum = sum + expm(e(I,I)*t)*V(:,I)*W(I,:);
    end;
    eAt = sum;
    

All three of these methods should produce the same answers. The student is encouraged to verify this.

  


# Time-Variant System Solutions

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Linear System Solutions](http://en.wikibooks.org/wiki/Control_Systems/Linear_System_Solutions)
[Digital State Space →](http://en.wikibooks.org/wiki/Control_Systems/Digital_State_Space)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## General Time Variant Solution

The state-space equations can be solved for time-variant systems, but the solution is significantly more complicated than the time-invariant case. Our time-variant state equation is given as follows:

    ![x'\(t\) = A\(t\)x\(t\) + B\(t\)u\(t\)](../../../upload.wikimedia.org/math/b/2/7/b2755605ebf1de230f7be1dffb750e6c.png)

We can say that the general solution to time-variant state-equation is defined as:

  


[Time-Variant General Solution]

    ![x\(t\) = \\phi\(t, t_0\)x\(t_0\) + \\int_{t_0}^{t} \\phi\(t,\\tau\)B\(\\tau\)u\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/2/8/5/2858bde518edbaefbcc4472ad101cb77.png)

**Matrix Dimensions:**  
A: _p_ × _p_  
B: _p_ × _q_  
C: _r_ × _p_  
D: _r_ × _q_  


The function φ is called the **state-transition matrix**, because it (like the matrix exponential from the time-invariant case) controls the change for states in the state equation. However, unlike the time-invariant case, we cannot define this as a simple exponential. In fact, φ can't be defined in general, because it will actually be a different function for every system. However, the state-transition matrix does follow some basic properties that we can use to determine the state-transition matrix.

In a time-variant system, the general solution is obtained when the state-transition matrix is determined. For that reason, the first thing (and the most important thing) that we need to do here is find that matrix. We will discuss the solution to that matrix below.

### State Transition Matrix

**Note**:  
The state transition matrix φ is a matrix function of two variables (we will say _t_ and τ). Once the form of the matrix is solved, we will plug in the initial time, t0 in place of the variable τ. Because of the nature of this matrix, and the properties that it must satisfy, this matrix typically is composed of exponential or sinusoidal functions. The exact form of the state-transition matrix is dependant on the system itself, and the form of the system's differential equation. There is no single "template solution" for this matrix.

The state transition matrix φ is not completely unknown, it must always satisfy the following relationships:

    ![\\frac{\\partial \\phi\(t, t_0\)}{\\partial t} = A\(t\)\\phi\(t, t_0\)](../../../upload.wikimedia.org/math/2/a/b/2ab0f963b987bec8a27bc48ae0dabea4.png)

    ![\\phi\(\\tau, \\tau\) = I](../../../upload.wikimedia.org/math/d/4/1/d4197cc7e7e438a69d90ce5e3aac668c.png)

And φ also must have the following properties:

    

1.
![\\phi\(t_2, t_1\)\\phi\(t_1, t_0\) = \\phi\(t_2, t_0\)](../../../upload.wikimedia.org/math/8/5/f/85f652b157e16df4cdfa7cf2bbef3065.png)

2.
![\\phi^{-1}\(t, \\tau\) = \\phi\(\\tau, t\)](../../../upload.wikimedia.org/math/a/3/2/a32851e535f97af42af23156af92953f.png)

3.
![\\phi^{-1}\(t, \\tau\)\\phi\(t, \\tau\) = I](../../../upload.wikimedia.org/math/9/5/c/95c3faaf4da5d5005073eefd49363180.png)

4.
![\\frac{d\\phi\(t_0, t_0\)}{dt} = A\(t\)](../../../upload.wikimedia.org/math/0/4/c/04c6fc9a3db44524c3661acf605edd03.png)

If the system is time-invariant, we can define φ as:

    ![\\phi\(t, t_0\) = e^{A\(t - t_0\)}](../../../upload.wikimedia.org/math/0/3/2/03204052427d70eb3570a8230d038431.png)

The reader can verify that this solution for a time-invariant system satisfies all the properties listed above. However, in the time-variant case, there are many different functions that may satisfy these requirements, and the solution is dependant on the structure of the system. The state-transition matrix must be determined before analysis on the time-varying solution can continue. We will discuss some of the methods for determining this matrix below.

## Time-Variant, Zero Input

As the most basic case, we will consider the case of a system with zero input. If the system has no input, then the state equation is given as:

    ![x'\(t\) = A\(t\)x\(t\)](../../../upload.wikimedia.org/math/5/b/1/5b1f462aecbf99ab92d1c2d50c0fab47.png)

And we are interested in the response of this system in the time interval T = (a, b). The first thing we want to do in this case is find a **fundamental matrix** of the above equation. The fundamental matrix is related

### Fundamental Matrix

Here, _x_ is an _n_ × 1 vector, and A is an _n_ × _n_ matrix.

Given the equation:

    ![x'\(t\) = A\(t\)x\(t\)](../../../upload.wikimedia.org/math/5/b/1/5b1f462aecbf99ab92d1c2d50c0fab47.png)

The solutions to this equation form an _n_-dimensional vector space in the interval T = (a, b). Any set of _n_ linearly-independent solutions {x1, x2, ..., xn} to the equation above is called a **fundamental set** of solutions.

Readers who have a background in [Linear Algebra](http://en.wikibooks.org/wiki/Linear_Algebra) may recognize that the fundamental set is a **basis set** for the solution space. Any basis set that spans the entire solution space is a valid fundamental set.

A **fundamental matrix FM** is formed by creating a matrix out of the _n_ fundamental vectors. We will denote the fundamental matrix with a script capital X:

    ![\\mathcal{X} = \\begin{bmatrix}x_1 & x_2 & \\cdots & x_n\\end{bmatrix}](../../../upload.wikimedia.org/math/5/f/7/5f7e2b1a14bb65311f3bb4cc9e59cab0.png)

The fundamental matrix will satisfy the state equation:

    ![\\mathcal{X}'\(t\) = A\(t\)\\mathcal{X}\(t\)](../../../upload.wikimedia.org/math/1/8/c/18cd93547a50af66bc81cfc68854b162.png)

Also, _any matrix that solves this equation can be a fundamental matrix_ if and only if the determinant of the matrix is non-zero for all time _t_ in the interval T. The determinant must be non-zero, because we are going to use the inverse of the fundamental matrix to solve for the state-transition matrix.

### State Transition Matrix

Once we have the fundamental matrix of a system, we can use it to find the state transition matrix of the system:

    ![\\phi\(t, t_0\) = \\mathcal{X}\(t\)\\mathcal{X}^{-1}\(t_0\)](../../../upload.wikimedia.org/math/5/1/3/5136216ba2b5dab0a4c1915d5b138220.png)

The inverse of the fundamental matrix exists, because we specify in the definition above that it must have a non-zero determinant, and therefore must be non-singular. The reader should note that this is only one possible method for determining the state transition matrix, and we will discuss other methods below.

### Example: 2-Dimensional System

Given the following fundamental matrix, Find the state-transition matrix.

    ![\\mathcal{X}\(t\) = \\begin{bmatrix}e^{-t} & \\frac{1}{2} e^{t} \\\\ 0 & e^{-t}\\end{bmatrix}](../../../upload.wikimedia.org/math/9/1/2/91275d6c3b328a0d8f241002fb460ffd.png)

the first task is to find the inverse of the fundamental matrix. Because the fundamental matrix is a 2 × 2 matrix, the inverse can be given easily through a common formula:

    ![\\mathcal{X}^{-1}\(t\) = \\frac{\\begin{bmatrix}e^{-t} & -\\frac{1}{2}e^t \\\\ 0 & e^{-t}\\end{bmatrix}}{e^{-2t}}](../../../upload.wikimedia.org/math/5/3/7/537955fff748f9a620c8f21e0f1b8495.png)![ = \\begin{bmatrix} {e}^{t}&-\\frac{1}{2}\\,{e}^{3t}\\\\0&{e}^{t}\\end{bmatrix}](../../../upload.wikimedia.org/math/0/b/5/0b5f14b1d3dd0b3446038361c2ee14ea.png)

The state-transition matrix is given by:

    ![\\phi\(t, t_0\) = \\mathcal{X}\(t\)\\mathcal{X}^{-1}\(t_0\) = \\begin{bmatrix}e^{-t} & -\\frac{1}{2} e^{t} \\\\ 0 & e^{-t}\\end{bmatrix} \\begin{bmatrix} {e}^{t_0}&\\frac{1}{2}\\,{e}^{3t_0}\\\\0&{e}^{t_0}\\end{bmatrix} ](../../../upload.wikimedia.org/math/c/c/9/cc9fde4b2c0da19d582302e4dffedc67.png)

    ![\\phi\(t, t_0\) = \\begin{bmatrix} e^{-t + t_0} & \\frac{1}{2}\(e^{t + t_0} - e^{-t + 3t_0}\) \\\\ 0 & e^{-t+t_0}\\end{bmatrix}](../../../upload.wikimedia.org/math/e/1/3/e13633c5ed822672966ca725e8953ec7.png)

### Other Methods

There are other methods for finding the state transition matrix besides having to find the fundamental matrix.

Method 1
    If A(t) is triangular (upper or lower triangular), the state transition matrix can be determined by sequentially integrating the individual rows of the state equation.

Method 2
    If for every τ and t, the state matrix commutes as follows: 

    ![A\(t\)\\left\[\\int_{\\tau}^{t}A\(\\zeta\)d\\zeta\\right\]=\\left\[\\int_{\\tau}^{t}A\(\\zeta\)d\\zeta\\right\]A\(t\)](../../../upload.wikimedia.org/math/4/a/1/4a1a037008a265b91096138ee8f26d8a.png)
    Then the state-transition matrix can be given as: 

    ![\\phi\(t, \\tau\) = e^{\\int_\\tau^tA\(\\zeta\)d\\zeta}](../../../upload.wikimedia.org/math/5/9/f/59f02f17065240fd54deda2ffc433f06.png)
    The state transition matrix will commute as described above if any of the following conditions are true: 

  1. A is a constant matrix (time-invariant)
  2. A is a diagonal matrix
  3. If ![A = \\bar{A}f\(t\)](../../../upload.wikimedia.org/math/7/9/d/79de2365552f1f07e1a651525208be55.png), where ![\\bar{A}](../../../upload.wikimedia.org/math/8/2/9/8290853b222d9af51876d77054d3723a.png) is a constant matrix, and f(t) is a single-valued function (not a matrix).
    If none of the above conditions are true, then you must use **method 3**.
Method 3
    If A(t) can be decomposed as the following sum: 

    ![A\(t\) = \\sum_{i = 1}^n M_i f_i\(t\)](../../../upload.wikimedia.org/math/9/9/b/99b0ce83464e50e3f839c86b4e8784f6.png)
    Where _M_i is a constant matrix such that MiMj = MjMi, and _f_i is a single-valued function. If A(t) can be decomposed in this way, then the state-transition matrix can be given as: 

    ![\\phi\(t, \\tau\) = \\prod_{i=1}^n e^{M_i \\int_\\tau^t f_i\(\\theta\)d\\theta}](../../../upload.wikimedia.org/math/b/4/3/b4348db155e3162db59b31ea8f74d797.png)

It will be left as an exercise for the reader to prove that if A(t) is time-invariant, that the equation in **method 2** above will reduce to the state-transition matrix ![e^{A\(t-\\tau\)}](../../../upload.wikimedia.org/math/c/6/1/c61387f979826fca137670a0cd4cfdc5.png).

### Example: Using Method 3

Use method 3, above, to compute the state-transition matrix for the system if the system matrix A is given by:

    ![A = \\begin{bmatrix}t & 1 \\\\ -1 & t\\end{bmatrix}](../../../upload.wikimedia.org/math/d/f/9/df9cfc5934de1b0faa6c3833194666e6.png)

We can decompose this matrix as follows:

    ![A = \\begin{bmatrix}1 & 0 \\\\ 0 & 1\\end{bmatrix}t + \\begin{bmatrix} 0 & 1 \\\\ -1 & 0\\end{bmatrix}](../../../upload.wikimedia.org/math/b/b/0/bb0c2b4c0aedb351598c320789cb796f.png)

Where f1(t) = t, and f2(t) = 1. Using the formula described above gives us:

    ![\\phi\(t, \\tau\) = e^{M_1\\int_\\tau^t \\theta d\\theta}e^{M_2 \\int_\\tau^t d\\theta}](../../../upload.wikimedia.org/math/3/d/e/3de1437aa8c9469ee683f6a8c2fb0bc8.png)

Solving the two integrations gives us:

    ![\\phi\(t, \\tau\) = e^{\\frac{1}{2}\\begin{bmatrix}\(t^2 - \\tau^2\) & 0 \\\\ 0 & \(t^2-\\tau^2\)\\end{bmatrix}}e^{\\begin{bmatrix}0 & t-\\tau \\\\ -t+\\tau & 0\\end{bmatrix}}](../../../upload.wikimedia.org/math/f/4/c/f4cc0575f8a1ae6c9b4b472d3342a890.png)

The first term is a diagonal matrix, and the solution to that matrix function is all the individual elements of the matrix raised as an exponent of _e_. The second term can be decomposed as:

    ![e^{\\begin{bmatrix}0 & t-\\tau \\\\ -t+\\tau & 0\\end{bmatrix}} = e^{\\begin{bmatrix}0 & 1 \\\\ -1 & 0\\end{bmatrix}\(t-\\tau\)} = \\begin{bmatrix}cos\(t-\\tau\) & sin\(t-\\tau\)\\\\ -sin\(t-\\tau\) & cos\(t-\\tau\)\\end{bmatrix}](../../../upload.wikimedia.org/math/c/a/3/ca3275ccf9e4bf0f6b8446538bd46d1a.png)

The final solution is given as:

    ![\\phi\(t, \\tau\) = ](../../../upload.wikimedia.org/math/b/6/4/b64d2ed57aaf18cb58f8659af9bcad47.png)![\\begin{bmatrix}e^{\\frac{1}{2}\(t^2-\\tau^2\)} & 0 \\\\ 0 & e^{\\frac{1}{2}\(t^2-\\tau^2\)}\\end{bmatrix}\\begin{bmatrix}cos\(t-\\tau\) & sin\(t-\\tau\)\\\\ -sin\(t-\\tau\) & cos\(t-\\tau\)\\end{bmatrix} ](../../../upload.wikimedia.org/math/f/b/7/fb730d684f349f7c2c84b33a3b4f210d.png)![= \\begin{bmatrix}e^{\\frac{1}{2}\(t^2-\\tau^2\)}cos\(t-\\tau\) & e^{\\frac{1}{2}\(t^2-\\tau^2\)}sin\(t-\\tau\)\\\\ -e^{\\frac{1}{2}\(t^2-\\tau^2\)}sin\(t-\\tau\) & e^{\\frac{1}{2}\(t^2-\\tau^2\)}cos\(t-\\tau\)\\end{bmatrix}](../../../upload.wikimedia.org/math/9/a/1/9a1cb75b8917910b756df2b703cfab48.png)

## Time-Variant, Non-zero Input

If the input to the system is not zero, it turns out that all the analysis that we performed above still holds. We can still construct the fundamental matrix, and we can still represent the system solution in terms of the state transition matrix φ.

We can show that the general solution to the state-space equations is actually the solution:

    ![x\(t\) = \\phi\(t, t_0\)x\(t_0\) + \\int_{t_0}^{t} \\phi\(t,\\tau\)B\(\\tau\)u\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/2/8/5/2858bde518edbaefbcc4472ad101cb77.png)

  


  
  


# Digital State-Space

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Time Variant System Solutions](http://en.wikibooks.org/wiki/Control_Systems/Time_Variant_System_Solutions)
[Eigenvalues and Eigenvectors →](http://en.wikibooks.org/wiki/Control_Systems/Eigenvalues_and_Eigenvectors)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Digital Systems

Digital systems, expressed previously as difference equations or Z-Transform transfer functions can also be used with the state-space representation. Also, all the same techniques for dealing with analog systems can be applied to digital systems, with only minor changes.

## Digital Systems

For digital systems, we can write similar equations, using discrete data sets:

    ![x\[k + 1\] = Ax\[k\] + Bu\[k\]](../../../upload.wikimedia.org/math/c/4/9/c49c1ff36da5bb88b79961935cc50320.png)

    ![y\[k\] = Cx\[k\] + Du\[k\]](../../../upload.wikimedia.org/math/b/1/1/b11ec35c353d7694012522ae98fb5089.png)

### Zero-Order Hold Derivation

If we have a continuous-time state equation:

    ![x'\(t\) = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)

We can derive the digital version of this equation that we discussed above. We take the Laplace transform of our equation:

    ![X\(s\) = \(sI - A\)^{-1}Bu\(s\) + \(sI - A\)^{-1}x\(0\)](../../../upload.wikimedia.org/math/5/6/e/56e521f115cde6f8b7fd96023417d493.png)

Now, taking the inverse Laplace transform gives us our time-domain system, keeping in mind that the inverse Laplace transform of the _(sI - A)_ term is our state-transition matrix, Φ:

    ![x\(t\) = \\mathcal{L}^{-1}\(X\(s\)\) = \\Phi\(t - t_0\)x\(0\) + \\int_{t_0}^t\\Phi\(t - \\tau\)Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/0/d/9/0d9bf969e152caf3021871203e740a41.png)

Now, we apply a zero-order hold on our input, to make the system digital. Notice that we set our start time _t0 = kT_, because we are only interested in the behavior of our system during a single sample period:

    ![u\(t\) = u\(kT\), kT \\le t \\le \(k+1\)T](../../../upload.wikimedia.org/math/2/9/0/2906d71b19c5743020ad85bd3ee56316.png)

    ![x\(t\) = \\Phi\(t, kT\)x\(kT\) + \\int_{kT}^t \\Phi\(t, \\tau\)Bd\\tau u\(kT\)](../../../upload.wikimedia.org/math/a/c/e/ace4a78c70cbeba939b21cf8ddb1871e.png)

We were able to remove _u(kT)_ from the integral because it did not rely on τ. We now define a new function, Γ, as follows:

    ![\\Gamma\(t, t_0\) = \\int_{t_0}^t \\Phi\(t, \\tau\)Bd\\tau](../../../upload.wikimedia.org/math/8/d/1/8d156f19088350f30c47c3d91d18ac75.png)

Inserting this new expression into our equation, and setting _t = (k + 1)T_ gives us:

    ![x\(\(k + 1\)T\) = \\Phi\(\(k+1\)T, kT\)x\(kT\) + \\Gamma\(\(k+1\)T, kT\)u\(kT\)](../../../upload.wikimedia.org/math/f/0/5/f05fcd658044e133f33a5f59abeabe6f.png)

Now Φ(T) and Γ(T) are constant matrices, and we can give them new names. The _d_ subscript denotes that they are digital versions of the coefficient matrices:

    ![A_d = \\Phi\(\(k+1\)T, kT\)](../../../upload.wikimedia.org/math/3/7/1/371123504da3f019b34c074bdffd8764.png)
    ![B_d = \\Gamma\(\(k+1\)T, kT\)](../../../upload.wikimedia.org/math/3/7/d/37df0b69e3a3ab8cd94d1e1a2defae57.png)

We can use these values in our state equation, converting to our bracket notation instead:

    ![x\[k + 1\] = A_dx\[k\] + B_du\[k\]](../../../upload.wikimedia.org/math/e/f/f/effb43e50503063cdce32a053d4d8335.png)

## Relating Continuous and Discrete Systems

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Discretization**_](http://en.wikipedia.org/wiki/Discretization)

Continuous and discrete systems that perform similarly can be related together through a set of relationships. It should come as no surprise that a discrete system and a continuous system will have different characteristics and different coefficient matrices. If we consider that a discrete system is the same as a continuous system, except that it is sampled with a sampling time T, then the relationships below will hold. The process of converting an analog system for use with digital hardware is called **discretization**. We've given a basic introduction to discretization already, but we will discuss it in more detail here.

### Discrete Coefficient Matrices

Of primary importance in discretization is the computation of the associated coefficient matrices from the continuous-time counterparts. If we have the continuous system _(A, B, C, D)_, we can use the relationship _t = kT_ to transform the state-space solution into a sampled system:

    ![x\(kT\) = e^{AkT}x\(0\) + \\int_0^{kT} e^{A\(kT - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/d/c/1/dc192d66856ee0adbc9e6623a514d3f3.png)
    ![x\[k\] = e^{AkT}x\[0\] + \\int_0^{kT} e^{A\(kT - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/2/a/5/2a505597884ed9c72a042815f2000d5e.png)

Now, if we want to analyze the _k+1_ term, we can solve the equation again:

    ![x\[k+1\] = e^{A\(k+1\)T}x\[0\] + \\int_0^{\(k+1\)T} e^{A\(\(k+1\)T - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/3/9/f/39f625f3df2722d0f6baf564eba9d333.png)

Separating out the variables, and breaking the integral into two parts gives us:

    ![x\[k+1\] = e^{AT}e^{AkT}x\[0\] + \\int_0^{kT}e^{AT}e^{A\(kT - \\tau\)}Bu\(\\tau\)d\\tau + \\int_{kT}^{\(k+1\)T} e^{A\(kT + T - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/b/2/5/b25a20ed5ed87920b50935b4deb8a38c.png)

If we substitute in a new variable _β = (k + 1)T + τ_, and if we see the following relationship:

    ![e^{AkT}x\[0\] = x\[k\]](../../../upload.wikimedia.org/math/2/6/8/268e84e3ab204e8b1b6e49b793b9b39d.png)

We get our final result:

    ![x\[k+1\] = e^{AT}x\[k\] + \\left\(\\int_0^T e^{A\\alpha}d\\alpha\\right\)Bu\[k\]](../../../upload.wikimedia.org/math/f/c/d/fcd347f6815c3151a5b6b85cf3590e41.png)

Comparing this equation to our regular solution gives us a set of relationships for converting the continuous-time system into a discrete-time system. Here, we will use "d" subscripts to denote the system matrices of a discrete system, and we will use a "c" subscript to denote the system matrices of a continuous system.

**Matrix Dimensions:**  
A: _p_ × _p_  
B: _p_ × _q_  
C: _r_ × _p_  
D: _r_ × _q_  


    

![A_d = e^{A_cT}](../../../upload.wikimedia.org/math/4/e/3/4e3da07fa465e212c81cbc78f018fa56.png)

![B_d = \\int_0^Te^{A_c\\tau}d\\tau B_c](../../../upload.wikimedia.org/math/1/6/f/16fc35d044089e594ec704e7ee4c9fd7.png)

![C_d = C_c](../../../upload.wikimedia.org/math/e/7/b/e7bde7e9a874d974cb678e2fc5751900.png)

![D_d = D_c](../../../upload.wikimedia.org/math/2/3/0/230259b6be695cc712059b73ef955002.png)

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**c2d**

If the Ac matrix is nonsingular, then we can find its inverse and instead define Bd as:

    ![B_d = A_c^{-1}\(A_d - I\)B_c](../../../upload.wikimedia.org/math/6/5/0/65016645fe9cb0bb4e76041f5d8dfe1d.png)

The differences in the discrete and continuous matrices are due to the fact that the underlying equations that describe our systems are different. Continuous-time systems are represented by linear differential equations, while the digital systems are described by difference equations. High order terms in a difference equation are delayed copies of the signals, while high order terms in the differential equations are derivatives of the analog signal.

If we have a complicated analog system, and we would like to implement that system in a digital computer, we can use the above transformations to make our matrices conform to the new paradigm.

### Notation

Because the coefficent matrices for the discrete systems are computed differently from the continuous-time coefficient matrices, and because the matrices technically represent different things, it is not uncommon in the literature to denote these matrices with different variables. For instance, the following variables are used in place of _A_ and _B_ frequently:

    ![\\Omega = A_d](../../../upload.wikimedia.org/math/a/1/1/a11ce4689b0de1933012a70ae97af87d.png)
    ![R = B_d](../../../upload.wikimedia.org/math/a/2/9/a2946e31f4e0de1d241c740a1ef1a6e4.png)

These substitutions would give us a system defined by the ordered quadruple _(Ω, R, C, D)_ for representing our equations.

As a matter of notational convenience, we will use the letters _A_ and _B_ to represent these matrices throughout the rest of this book.

## Converting Difference Equations

Now, let's say that we have a 3rd order difference equation, that describes a discrete-time system:

    ![y\[n+3\] + a_2y\[n + 2\] + a_1y\[n + 1\] + a_0y\[n\] = u\[n\]](../../../upload.wikimedia.org/math/b/b/f/bbf63a698f8f8842a61b9c1a0ecff5f6.png)

From here, we can define a set of discrete state variables x in the following manner:

    ![x_1\[n\] = y\[n\]](../../../upload.wikimedia.org/math/1/5/6/1563e022aeb85ce8dc57b186a5f23348.png)

    ![x_2\[n\] = y\[n + 1\]](../../../upload.wikimedia.org/math/e/1/0/e10461eff5649a64772d7d56d08cc197.png)

    ![x_3\[n\] = y\[n + 2\]](../../../upload.wikimedia.org/math/8/4/b/84b130860aa303bd60af38a8a3cca95c.png)

Which in turn gives us 3 first-order difference equations:

    ![x_1\[n + 1\] = y\[n + 1\] = x_2\[n\]](../../../upload.wikimedia.org/math/5/5/7/5571e6394c0e7fb47a7fce0d4db7904e.png)

    ![x_2\[n + 1\] = y\[n + 2\] = x_3\[n\]](../../../upload.wikimedia.org/math/c/1/2/c12900ea1a674f9b0e2a61cab7aefab8.png)

    ![x_3\[n + 1\] = y\[n + 3\]](../../../upload.wikimedia.org/math/7/8/6/786f2c613cc8e0a6302775c0eaec5e74.png)

Again, we say that matrix x is a vertical vector of the 3 state variables we have defined, and we can write our state equation in the same form as if it were a continuous-time system:

    ![x\[n+1\] = \\begin{bmatrix}
              0 & 1 & 0 \\\\
              0 & 0 & 1 \\\\
              -a_0 & -a_1 & -a_2
            \\end{bmatrix} x\[n\] +
            \\begin{bmatrix}
              0 \\\\ 0 \\\\ 1
            \\end{bmatrix} u\[n\]](../../../upload.wikimedia.org/math/2/b/4/2b464d24d07383b19ddc2297119b141a.png)

    ![y\[n\] = \\begin{bmatrix}
                1 & 0 & 0
              \\end{bmatrix} x\[n\]](../../../upload.wikimedia.org/math/0/f/8/0f8a2266f0524f27c33269bd6d9e586e.png)

## Solving for x[n]

We can find a general time-invariant solution for the discrete time difference equations. Let us start working up a pattern. We know the discrete state equation:

    ![x\[n+1\] = Ax\[n\] + Bu\[n\]](../../../upload.wikimedia.org/math/c/2/3/c2364ca8373edec5bd9c7025d0eb1ead.png)

Starting from time _n = 0_, we can start to create a pattern:

    ![x\[1\] = Ax\[0\] + Bu\[0\]](../../../upload.wikimedia.org/math/d/2/0/d202f36a862c69d3ed14323425d418e9.png)
    ![x\[2\] = Ax\[1\] + Bu\[1\] = A^2x\[0\] + ABu\[0\] + Bu\[1\]](../../../upload.wikimedia.org/math/2/9/c/29c578fe6afebf235f734524cb540f10.png)
    ![x\[3\] = Ax\[2\] + Bu\[2\] = A^3x\[0\] + A^2Bu\[0\] + ABu\[1\] + Bu\[2\]](../../../upload.wikimedia.org/math/e/a/e/eae2cfd897a7fafc02f3481d7046ecbd.png)

With a little algebraic trickery, we can reduce this pattern to a single equation:

  


[General State Equation Solution]

    ![x\[n\] = A^nx\[n_0\] + \\sum_{m=0}^{n-1}A^{n-1-m}Bu\[m\]](../../../upload.wikimedia.org/math/5/f/f/5fffdec1897c978bdcb0552c443d4fc2.png)

Substituting this result into the output equation gives us:

  


[General Output Equation Solution]

    ![y\[n\] = CA^nx\[n_0\] + \\sum_{m=0}^{n-1}CA^{n-1-m}Bu\[m\] + Du\[n\]](../../../upload.wikimedia.org/math/d/6/8/d689f0097be300bdd6aadc21352fd21d.png)

## Time Variant Solutions

If the system is time-variant, we have a general solution that is similar to the continuous-time case:

    ![x\[n\] = \\phi\[n, n_0\]x\[n_0\] + \\sum_{m = n_0}^{n-1} \\phi\[n, m+1\]B\[m\]u\[m\]](../../../upload.wikimedia.org/math/5/8/a/58abe07f0eff9f27745d8146d47c0bd3.png)

    ![y\[n\] = C\[n\]\\phi\[n, n_0\]x\[n_0\] + C\[n\]\\sum_{m = n_0}^{n-1} \\phi\[n, m+1\]B\[m\]u\[m\] + D\[n\]u\[n\]](../../../upload.wikimedia.org/math/2/1/b/21b8d7b95dd6e517b573a9156a90379b.png)

Where φ, the **state transition matrix**, is defined in a similar manner to the state-transition matrix in the continuous case. However, some of the properties in the discrete time are different. For instance, the inverse of the state-transition matrix does not need to exist, and in many systems it does not exist.

### State Transition Matrix

The discrete time state transition matrix is the unique solution of the equation:

    ![\\phi\[k+1, k_0\] = A\[k\] \\phi\[k, k_0\]](../../../upload.wikimedia.org/math/b/f/1/bf14c70fa3ab33cbf33818eb693177e0.png)

Where the following restriction must hold:

    ![\\phi\[k_0, k_0\] = I](../../../upload.wikimedia.org/math/8/1/b/81b726d78091807138a89d2e5b3b317a.png)

From this definition, an obvious way to calculate this state transition matrix presents itself:

    ![\\phi\[k, k_0\] = A\[k - 1\]A\[k-2\]A\[k-3\]\\cdots A\[k_0\]](../../../upload.wikimedia.org/math/1/5/4/1542e32c8c116b1103e9cb1269a4d0c8.png)

Or,

    ![\\phi\[k, k_0\] = \\prod_{m = 1}^{k-k_0}A\[k-m\]](../../../upload.wikimedia.org/math/7/4/1/7412daa4c03ee226708108fc9406a9e5.png)

## MATLAB Calculations

MATLAB is a computer program, and therefore calculates all systems using digital methods. The MATLAB function **lsim** is used to simulate a continuous system with a specified input. This function works by calling the **c2d**, which converts a system _(A, B, C, D)_ into the equivalent discrete system. Once the system model is discretized, the function passes control to the **dlsim** function, which is used to simulate discrete-time systems with the specified input.

Because of this, simulation programs like MATLAB are subjected to round-off errors associated with the discretization process.

  


  


# Eigenvalues and Eigenvectors

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Time Variant System Solutions](http://en.wikibooks.org/wiki/Control_Systems/Time_Variant_System_Solutions)
[Standard Forms →](http://en.wikibooks.org/wiki/Control_Systems/Standard_Forms)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Eigenvalues and Eigenvectors

Eigenvalues and Eigenvectors cannot be calculated from time-variant matrices. If the system is time-variant, the methods described in this chapter will not produce valid results.

The eigenvalues and eigenvectors of the system matrix play a key role in determining the response of the system. It is important to note that only square matrices have eigenvalues and eigenvectors associated with them. Non-square matrices cannot be analyzed using the methods below.

The word "eigen" is from the German for "characteristic", and so this chapter could also be called "Characteristic values and characteristic vectors". The terms "Eigenvalues" and "Eigenvectors" are most commonly used. Eigenvalues and Eigenvectors have a number of properties that make them valuable tools in analysis, and they also have a number of valuable relationships with the matrix from which they are derived. Computing the eigenvalues and the eigenvectors of the system matrix is one of the most important things that should be done when beginning to analyze a system matrix, second only to calculating the matrix exponential of the system matrix.

The eigenvalues and eigenvectors of the system determine the relationship between the individual system state variables (the members of the _x_ vector), the response of the system to inputs, and the stability of the system. Also, the eigenvalues and eigenvectors can be used to calculate the matrix exponential of the system matrix (through spectral decomposition). The remainder of this chapter will discuss eigenvalues and eigenvectors, and the ways that they affect their respective systems.

## Characteristic Equation

The characteristic equation of the system matrix A is given as:  


[Matrix Characteristic Equation]

    ![Av = \\lambda v](../../../upload.wikimedia.org/math/d/a/3/da3ae989b4475b7e0343aad33cc51d8d.png)

Where λ are scalar values called the **eigenvalues**, and _v_ are the corresponding **eigenvectors**. To solve for the eigenvalues of a matrix, we can take the following determinant:

    ![|A - \\lambda I| = 0](../../../upload.wikimedia.org/math/e/9/0/e90ee34c6e59f033a1b4a6e76502df1b.png)

To solve for the eigenvectors, we can then add an additional term, and solve for _v_:

    ![\(A - \\lambda I\)v = 0](../../../upload.wikimedia.org/math/c/2/9/c299e55bca1749bc57b442af0172ba04.png)

Another value worth finding are the **left eigenvectors** of a system, defined as _w_ in the modified characteristic equation:  


[Left-Eigenvector Equation]

    ![wA = \\lambda w](../../../upload.wikimedia.org/math/3/6/3/36329a666e534dd0a846f207ebc997ae.png)

For more information about eigenvalues, eigenvectors, and left eigenvectors, read the appropriate sections in the following books:

  * [Linear Algebra](http://en.wikibooks.org/wiki/Linear_Algebra)
  * [Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)

### Diagonalization

**Note:**  
The transition matrix _T_ should not be confused with the sampling time of a discrete system. If needed, we will use subscripts to differentiate between the two.

If the matrix _A_ has a complete set of distinct eigenvalues, the matrix can be **diagonalized**. A diagonal matrix is a matrix that only has entries on the diagonal, and all the rest of the entries in the matrix are zero. We can define a **transformation matrix**, _T_, that satisfies the diagonalization transformation:

    ![A = TDT^{-1}](../../../upload.wikimedia.org/math/c/0/2/c02351d0496547c71eb09a013f1222a6.png)

Which in turn will satisfy the relationship:

    ![e^{At} = Te^{Dt}T^{-1}](../../../upload.wikimedia.org/math/e/a/9/ea943eb5317f819da4c5034fb396b082.png)

The right-hand side of the equation may look more complicated, but because _D_ is a diagonal matrix here (not to be confused with the feed-forward matrix from the output equation), the calculations are much easier.

We can define the transition matrix, and the inverse transition matrix in terms of the eigenvectors and the left eigenvectors:

    ![ T = \\begin{bmatrix} v_1 & v_2 & v_3 & \\cdots & v_n\\end{bmatrix}](../../../upload.wikimedia.org/math/2/8/1/281ee8ebb6c549db101b09b41b1ee422.png)

    ![ T^{-1} = \\begin{bmatrix} w_1' \\\\w_2' \\\\ w_3' \\\\\\vdots \\\\ w_n'\\end{bmatrix}](../../../upload.wikimedia.org/math/a/2/3/a23b2ba484442feeedc54b77d3add8f2.png)

We will further discuss the concept of diagonalization later in this chapter.

## Exponential Matrix Decomposition

For more information about spectral decomposition, see:  
**[Spectral Decomposition](http://en.wikibooks.org/wiki/Engineering_Analysis/Spectral_Decomposition)**

A matrix exponential can be decomposed into a sum of the eigenvectors, eigenvalues, and left eigenvalues, as follows:

    ![e^{At} = \\sum_{i = 1}^n e^{\\lambda_i t}v_i w_i'](../../../upload.wikimedia.org/math/4/a/5/4a5f13e58477f8357d2cc05a729c2f9c.png)

Notice that this equation only holds in this form if the matrix A has a complete set of n distinct eigenvalues. Since w'i is a row vector, and x(0) is a column vector of the initial system states, we can combine those two into a scalar coefficient α:

    ![e^{At} x\(t_0\) = \\sum_{i = 1}^n \\alpha_i e^{\\lambda_i t} v_i ](../../../upload.wikimedia.org/math/a/e/d/aedb6aeba5bf23a2908f35b462c1571d.png)

Since the state transition matrix determines how the system responds to an input, we can see that the system eigenvalues and eigenvectors are a key part of the system response. Let us plug this decomposition into the general solution to the state equation:

  


[State Equation Spectral Decomposition]

    ![x\(t\) = \\sum_{i = 1}^n \\alpha_i e^{\\lambda_i t} v_i + \\sum_{i = 1}^n \\int_0^t e^{\\lambda_i \(t-\\tau\)}v_i w_i' Bu\(\\tau\) d\\tau](../../../upload.wikimedia.org/math/d/f/3/df396045783c4085938ad47540c74156.png)

We will talk about this equation in the following sections.

### State Relationship

As we can see from the above equation, the individual elements of the state vector _x(t)_ cannot take arbitrary values, but they are instead related by weighted sums of multiples of the systems right-eigenvectors.

### Decoupling

For people who are familiar with linear algebra, the left-eigenvector of the matrix A must be in the _null space_ of the matrix B to decouple the system.

If a system can be designed such that the following relationship holds true:

    ![w_i'B = 0](../../../upload.wikimedia.org/math/3/4/1/3412300f6c4c69380513e7652681a9d6.png)

then the system response from that particular eigenvalue will not be affected by the system input _u_, and we say that the system has been **decoupled**. Such a thing is difficult to do in practice.

### Condition Number

With every matrix there is associated a particular number called the **condition number** of that matrix. The condition number tells a number of things about a matrix, and it is worth calculating. The condition number, _k_, is defined as:

  


[Condition Number]

    ![k = \\frac{\\|w_i\\|\\|v_i\\|}{|w_i'v_i|}](../../../upload.wikimedia.org/math/0/7/3/073bcbcd65fd4e4dbe4062c9208596c2.png)

Systems with smaller condition numbers are better, for a number of reasons:

  1. Large condition numbers lead to a large transient response of the system
  2. Large condition numbers make the system eigenvalues more sensitive to changes in the system.

We will discuss the issue of **eigenvalue sensitivity** more in a later section.

### Stability

We will talk about stability at length in later chapters, but is a good time to point out a simple fact concerning the eigenvalues of the system. Notice that if the eigenvalues of the system matrix A are _positive_, or (if they are complex) that they have positive real parts, that the system state (and therefore the system output, scaled by the C matrix) will approach infinity as time _t_ approaches infinity. In essence, if the eigenvalues are positive, the system will not satisfy the condition of BIBO stability, and will therefore become _unstable_.

Another factor that is worth mentioning is that a manufactured system _never exactly matches the system model_, and there will always been inaccuracies in the specifications of the component parts used, _within a certain tolerance_. As such, the system matrix will be slightly different from the mathematical model of the system (although good systems will not be severely different), and therefore the eigenvalues and eigenvectors of the system will not be the same values as those derived from the model. These facts give rise to several results:

  1. Systems with high _condition numbers_ may have eigenvalues that differ by a large amount from those derived from the mathematical model. This means that the system response of the physical system may be very different from the intended response of the model.
  2. Systems with high condition numbers may become _unstable_ simply as a result of inaccuracies in the component parts used in the manufacturing process.

For those reasons, the system eigenvalues and the condition number of the system matrix are highly important variables to consider when analyzing and designing a system. We will discuss the topic of stability in more detail in later chapters.

## Non-Unique Eigenvalues

The decomposition above only works if the matrix _A_ has a full set of n distinct eigenvalues (and corresponding eigenvectors). If _A_ does not have _n_ distinct eigenvectors, then a set of **generalized eigenvectors** need to be determined. The generalized eigenvectors will produce a similar matrix that is in **Jordan canonical form**, not the diagonal form we were using earlier.

### Generalized Eigenvectors

Generalized eigenvectors can be generated using the following equation:

  


[Generalized Eigenvector Generating Equation]

    ![\(A - \\lambda I\) v_{n+1} = v_n](../../../upload.wikimedia.org/math/f/d/8/fd89c3a16d184939de94a05e61e05b95.png)

if _d_ is the number of times that a given eigenvalue is repeated, and _p_ is the number of unique eigenvectors derived from those eigenvalues, then there will be _q = d - p_ generalized eigenvectors. Generalized eigenvectors are developed by plugging in the regular eigenvectors into the equation above (_vn_). Some regular eigenvectors might not produce any non-trivial generalized eigenvectors. Generalized eigenvectors may also be plugged into the equation above to produce additional generalized eigenvectors. It is important to note that the generalized eigenvectors form an ordered series, and they must be kept in order during analysis or the results will not be correct.

### Example: One Repeated Set

We have a 5 × 5 matrix A with eigenvalues ![\\lambda = 1, 1, 1, 2, 2](../../../upload.wikimedia.org/math/2/d/0/2d0610b2304680d00ba63a3961f0a870.png). For ![\\lambda = 1](../../../upload.wikimedia.org/math/b/7/e/b7ede909e94598e2e00177bc4f2ba91a.png), there is 1 distinct eigenvector _a_. For ![\\lambda = 2](../../../upload.wikimedia.org/math/d/5/2/d52a1849e4666f30828b1855e39612c7.png) there is 1 distinct eigenvector _b_. From _a_, we generate the generalized eigenvector _c_, and from _c_ we can generate vector _d_. From the eigevector _b_, we generate the generalized eigevector _e_. In order our eigenvectors are listed as:

    [_a c d b e_]

Notice how _c_ and _d_ are listed in order after the eigenvector that they are generated from, _a_. Also, we could reorder this as:

    [_b e a c d_]

because the generalized eigenvectors are listed in order after the regular eigenvector that they are generated from. Regular eigenvectors can be listed in any order.

### Example: Two Repeated Sets

We have a 4 × 4 matrix A with eigenvalues ![\\lambda = 1, 1, 1, 2](../../../upload.wikimedia.org/math/0/0/7/007e7f8256b2ea35b376f853ef0a1a9a.png). For ![\\lambda = 1](../../../upload.wikimedia.org/math/b/7/e/b7ede909e94598e2e00177bc4f2ba91a.png) we have two eigevectors, _a_ and _b_. For ![\\lambda = 2](../../../upload.wikimedia.org/math/d/5/2/d52a1849e4666f30828b1855e39612c7.png) we have an eigenvector _c_.

We need to generate a fourth eigenvector, _d_. The only eigenvalue that needs another eigenvector is ![\\lambda = 1](../../../upload.wikimedia.org/math/b/7/e/b7ede909e94598e2e00177bc4f2ba91a.png), however there are already two eigevectors associated with that eigenvalue, and only one of them will generate a non-trivial generalized eigenvector. To figure out which one works, we need to plug both vectors into the generating equation:

    ![\(A-\\lambda I\)\\big|_{\\lambda=1}d = a](../../../upload.wikimedia.org/math/f/d/4/fd433a008c68c688981bc0f3aaa00593.png)
    ![\(A-\\lambda I\)\\big|_{\\lambda=1}d = b](../../../upload.wikimedia.org/math/4/9/e/49e911ade672578c2f965ea86cee04ca.png)

If _a_ generates the correct vector _d_, we will order our eigenvectors as:

    [_a d b c_]

but if _b_ generates the correct vector, we can order it as:

    [_a b d c_]

### Jordan Canonical Form

For more information about **Jordan Canonical Form**, see:  
[Matrix Forms](http://en.wikibooks.org/wiki/Engineering_Analysis/Matrix_Forms)

If a matrix has a complete set of distinct eigenvectors, the transition matrix _T_ can be defined as the matrix of those eigenvectors, and the resultant transformed matrix will be a diagonal matrix. However, if the eigenvectors are not unique, and there are a number of generalized eigenvectors associated with the matrix, the transition matrix _T_ will consist of the ordered set of the regular eigenvectors and generalized eigenvectors. The regular eigenvectors that did not produce any generalized eigenvectors (if any) should be first in the order, followed by the eigenvectors that did produce generalized eigenvectors, and the generalized eigenvectors that they produced (in appropriate sequence).

Once the _T_ matrix has been produced, the matrix can be transformed by it and it's inverse:

    ![A = T^{-1}JT](../../../upload.wikimedia.org/math/5/3/b/53b7bad92443276ae98f5b3a1fa90169.png)

The _J_ matrix will be a **Jordan block matrix**. The format of the Jordan block matrix will be as follows:

    ![J = \\begin{bmatrix}
                      D & 0 & \\cdots & 0 \\\\
                      0 & J_1 & \\cdots & 0 \\\\
                      \\vdots & \\vdots &\\ddots & \\vdots \\\\
                      0 & 0 & \\cdots & J_n
       \\end{bmatrix}](../../../upload.wikimedia.org/math/a/f/9/af977239864f19fb1b0f5d22eb972827.png)

Where _D_ is the diagonal block produced by the regular eigenvectors that are not associated with generalized eigenvectors (if any). The _Jn_ blocks are standard Jordan blocks with a size corresponding to the number of eigenvectors/generalized eigenvectors in each sequence. In each _Jn_ block, the eigenvalue associated with the regular eigenvector of the sequence is on the main diagonal, and there are 1's in the sub-diagonal.

### System Response

## Equivalence Transformations

If we have a non-singular _n × n_ matrix _P_, we can define a transformed vector "x bar" as:

    ![\\bar{x} = Px](../../../upload.wikimedia.org/math/b/1/5/b152bb522649eb0cc138adbd3810f3d9.png)

We can transform the entire state-space equation set as follows:

    ![\\bar{x}'\(t\) = \\bar{A}\\bar{x}\(t\) + \\bar{B}u\(t\)](../../../upload.wikimedia.org/math/5/7/c/57c9d06e71433b5996d308bfbbc35e7b.png)
    ![\\bar{y}\(t\) = \\bar{C}\\bar{x}\(t\) + \\bar{D}u\(t\)](../../../upload.wikimedia.org/math/e/b/1/eb1c9a760e6a851a5ad2b40793eb0270.png)

Where:

    

![\\bar{A} = PAP^{-1}](../../../upload.wikimedia.org/math/1/c/5/1c5f13a84517e5a9345c138099fb4c44.png)

![\\bar{B} = PB](../../../upload.wikimedia.org/math/d/5/6/d56672244a4f6e1bee861033fc4b5aec.png)

![\\bar{C} = CP^{-1}](../../../upload.wikimedia.org/math/b/4/e/b4e16202e0c227c3bf60eca3b7df8597.png)

![\\bar{D} = D](../../../upload.wikimedia.org/math/6/5/c/65c21a694ae125bcf0f4b440686a8e67.png)

We call the matrix _P_ the **equivalence transformation** between the two sets of equations.

It is important to note that the **eigenvalues** of the matrix _A_ (which are of primary importance to the system) do not change under the equivalence transformation. The eigenvectors of _A_, and the eigenvectors of ![\\bar{A}](../../../upload.wikimedia.org/math/8/2/9/8290853b222d9af51876d77054d3723a.png) are related by the matrix _P_.

### Lyapunov Transformations

The transformation matrix _P_ is called a **Lyapunov Transformation** if the following conditions hold:

  * _P(t)_ is nonsingular.
  * _P(t)_ and _P'(t)_ are continuous
  * _P(t)_ and the inverse transformation matrix _P-1(t)_ are finite for all _t_.

If a system is time-variant, it can frequently be useful to use a Lyapunov transformation to convert the system to an equivalent system with a constant _A_ matrix. This is not always possible in general, however it is possible if the _A(t)_ matrix is periodic.

### System Diagonalization

If the _A_ matrix is time-invariant, we can construct the matrix _V_ from the eigenvectors of _A_. The _V_ matrix can be used to transform the _A_ matrix to a diagonal matrix. Our new system becomes:

    ![Vx'\(t\) = VAV^{-1}Vx\(t\) + VBu\(t\)](../../../upload.wikimedia.org/math/a/a/a/aaa671bf1ec28a79c3c1f4cdd4b70b48.png)
    ![y\(t\) = CV^{-1}Vx\(t\) + Du\(t\)](../../../upload.wikimedia.org/math/2/1/d/21db43c685df06d9ec3a843ae631858c.png)

Since our system matrix is now diagonal (or Jordan canonical), the calculation of the state-transition matrix is simplified:

    ![e^{VAV^{-1}} = \\Lambda](../../../upload.wikimedia.org/math/4/b/0/4b05f2fcb8b13526689550d2988ea4b7.png)

Where Λ is a diagonal matrix.

### MATLAB Transformations

The MATLAB function **ss2ss** can be used to apply an equivalence transformation to a system. If we have a set of matrices _A_, _B_, _C_ and _D_, we can create equivalent matrices as such:
    
    
    [Ap, Bp, Cp, Dp] = ss2ss(A, B, C, D, p);
    

Where _p_ is the equivalence transformation matrix.

  


  


# MIMO Systems

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Standard Forms](http://en.wikibooks.org/wiki/Control_Systems/Standard_Forms)
[Realizations →](http://en.wikibooks.org/wiki/Control_Systems/Realizations)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Multi-Input, Multi-Output

Systems with more than one input and/or more than one output are known as **Multi-Input Multi-Output** systems, or they are frequently known by the abbreviation **MIMO**. This is in contrast to systems that have only a single input and a single output (SISO), like we have been discussing previously.

## State-Space Representation

See the [Formatting Section](http://en.wikibooks.org/wiki/Control_Systems/Introduction#About_Formatting) in the introduction if the notation in this page is confusing.

MIMO systems that are lumped and linear can be described easily with state-space equations. To represent multiple inputs we expand the input _u(t)_ into a vector _U_(t) with the desired number of inputs. Likewise, to represent a system with multiple outputs, we expand _y(t)_ into _Y_(t), which is a vector of all the outputs. For this method to work, the outputs must be linearly dependant on the input vector and the state vector.

    ![X'\(t\) = AX\(t\) + BU\(t\)](../../../upload.wikimedia.org/math/c/c/7/cc78c56137f1a6c068022f1e400f5b1d.png)
    ![Y\(t\) = CX\(t\) + DU\(t\)](../../../upload.wikimedia.org/math/9/d/c/9dc3eb60ab3c11375bba5e7c5eb03c25.png)

### Example: Two Inputs and Two Outputs

Let's say that we have two outputs, _y1_ and _y2_, and two inputs, _u1_ and _u2_. These are related in our system through the following system of differential equations:

    ![y_1'' + a_1y_1' + a_0\(y_1 + y_2\) = u_1\(t\)](../../../upload.wikimedia.org/math/8/3/b/83b195cbff3f9b52cd4f1d92daf63a72.png)

    ![y_2' + a_2\(y_2 - y_1\) = u_2\(t\)](../../../upload.wikimedia.org/math/7/1/c/71ce02d7bef6c869b82cb040581b87bf.png)

now, we can assign our state variables as such, and produce our first-order differential equations:

    ![x_1 = y_1](../../../upload.wikimedia.org/math/4/4/4/444835f2eaa3671b8b350497002f0788.png)

    ![x_4 = y_2](../../../upload.wikimedia.org/math/d/e/0/de012e724c13290d44fb6483f4743c6b.png)

    ![x_1' = y_1' = x_2](../../../upload.wikimedia.org/math/a/2/3/a231118672a79e04f8fb0351f110b5f9.png)

    ![x_2' = - a_1x_2 - a_0\(x_1 + x_4\) + u_1\(t\)](../../../upload.wikimedia.org/math/5/7/d/57db801d57f5ca636192d617fd588415.png)

    ![x_4' = - a_2\(x_4 - x_1\) + u_2\(t\)](../../../upload.wikimedia.org/math/9/8/6/986e97ddb0ae2f90a908551ee526e7bf.png)

And finally we can assemble our state space equations:

    ![x' = \\begin{bmatrix}
              0    & 1    & 0 & 0 \\\\
              -a_0 & -a_1 & 0 & -a_0 \\\\
              0    & 0    & 0 & 0 \\\\
              a_2  & 0    & 0 & -a_2
            \\end{bmatrix}
              x + 
            \\begin{bmatrix}
              0 & 0 \\\\
              1 & 0 \\\\
              0 & 0 \\\\
              0 & 1
            \\end{bmatrix}
            \\begin{bmatrix}
              u_1 \\\\
              u_2
            \\end{bmatrix}](../../../upload.wikimedia.org/math/9/e/4/9e408298e4c6b9d1fd0ce796518da006.png)

    ![\\begin{bmatrix}
         y_1 \\\\
         y_2
       \\end{bmatrix}
         = 
       \\begin{bmatrix}
         1 & 0 & 0 & 0 \\\\
         0 & 0 & 0 & 1
       \\end{bmatrix} x\(t\)](../../../upload.wikimedia.org/math/1/8/3/183c3c00399b99447078419877ab3fc6.png)

## Transfer Function Matrix

If the system is LTI and Lumped, we can take the Laplace Transform of the state-space equations, as follows:

    ![\\mathcal{L}\[X'\(t\)\] = \\mathcal{L}\[AX\(t\)\] + \\mathcal{L}\[BU\(t\)\]](../../../upload.wikimedia.org/math/b/6/9/b69c952897b8c1e5852051bef7ceb213.png)
    ![\\mathcal{L}\[Y\(t\)\] = \\mathcal{L}\[CX\(t\)\] + \\mathcal{L}\[DU\(t\)\]](../../../upload.wikimedia.org/math/c/4/6/c461801cc4708499942f6640f7d13897.png)

Which gives us the result:

    ![s\\bold{X}\(s\) - X\(0\) = A\\bold{X}\(s\) + B\\bold{U}\(s\)](../../../upload.wikimedia.org/math/3/6/b/36b877a2dcdf91f028a862c1e3d65ee5.png)
    ![\\bold{Y}\(s\) = C\\bold{X}\(s\) + D\\bold{U}\(s\)](../../../upload.wikimedia.org/math/b/4/e/b4edd4ea37a52ac0cfb97ef2cf8b6166.png)

Where X(0) is the initial conditions of the system state vector in the time domain. If the system is relaxed, we can ignore this term, but for completeness we will continue the derivation with it.

We can separate out the variables in the state equation as follows:

    ![s\\bold{X}\(s\) - A\\bold{X}\(s\) = X\(0\) + B\\bold{U}\(s\)](../../../upload.wikimedia.org/math/1/6/7/167150ef64bd54e08ae6b03a2f71beae.png)

Then factor out an **X**(s):

    ![\\bold{X}\(s\)\[sI - A\] = X\(0\) + B\\bold{U}\(s\)](../../../upload.wikimedia.org/math/7/3/2/732a86c1e9e513d1d8dabb727b1a7106.png)

And then we can multiply both sides by the inverse of _[sI - A]_ to give us our state equation:

    ![\\bold{X}\(s\) = \[sI - A\]^{-1}X\(0\) + \[sI - A\]^{-1}B\\bold{U}\(s\)](../../../upload.wikimedia.org/math/7/9/9/799919476bf5782d48474412610d25bb.png)

Now, if we plug in this value for **X**(s) into our output equation, above, we get a more complicated equation:

    ![\\bold{Y}\(s\) = C\(\[sI - A\]^{-1}X\(0\) + \[sI - A\]^{-1}B\\bold{U}\(s\)\) + D\\bold{U}\(s\)](../../../upload.wikimedia.org/math/f/1/e/f1e9a0e942b4027f207a9047244f8545.png)

And we can distribute the matrix **C** to give us our answer:

    ![\\bold{Y}\(s\) = C\[sI - A\]^{-1}X\(0\) + C\[sI - A\]^{-1}B\\bold{U}\(s\) + D\\bold{U}\(s\)](../../../upload.wikimedia.org/math/9/e/a/9eaedc81e8a097edb8d0e5a6e5b26962.png)

Now, if the system is relaxed, and therefore _X(0)_ is 0, the first term of this equation becomes 0. In this case, we can factor out a **U**(s) from the remaining two terms:

    ![\\bold{Y}\(s\) = \(C\[sI - A\]^{-1}B + D\)\\bold{U}\(s\)](../../../upload.wikimedia.org/math/4/b/1/4b1d69d861ea24af42062e15bf6d26be.png)

We can make the following substitution to obtain the **Transfer Function Matrix**, or more simply, the **Transfer Matrix**, **H**(s):

  


[Transfer Matrix]

    ![C\[sI - A\]^{-1}B + D = \\bold{H}\(s\)](../../../upload.wikimedia.org/math/d/e/a/dea188c62940c508005f795020d13861.png)

And rewrite our output equation in terms of the transfer matrix as follows:

  


[Transfer Matrix Description]

    ![\\bold{Y}\(s\) = \\bold{H}\(s\)\\bold{U}\(s\)](../../../upload.wikimedia.org/math/d/7/7/d77b83dc17dba40a0e9ba83d2bd70135.png)

If **Y**_(s)_ and **X**_(s)_ are _1 × 1_ vectors (a SISO system), then we have our external description:

    ![Y\(s\) = H\(s\)X\(s\)](../../../upload.wikimedia.org/math/b/0/3/b038557f6b66391c5799046c2c951720.png)

Now, since _X(s) =_ **X**(s), and _Y(s) =_ **Y**(s), then **H**(s) must be equal to _H(s)_. These are simply two different ways to describe the same exact equation, the same exact system.

### Dimensions

If our system has _q_ inputs, and _r_ outputs, our transfer function matrix will be an _r × q_ matrix.

### Relation to Transfer Function

For SISO systems, the Transfer Function matrix will reduce to the transfer function as would be obtained by taking the Laplace transform of the system response equation.

For MIMO systems, with _n_ inputs and _m_ outputs, the transfer function matrix will contain _n × m_ transfer functions, where each entry is the transfer function relationship between each individual input, and each individual output.

Through this derivation of the transfer function matrix, we have shown the equivalency between the Laplace methods and the State-Space method for representing systems. Also, we have shown how the Laplace method can be generalized to account for MIMO systems. Through the rest of this book, we will use the Laplace and State Space methods interchangeably, opting to use one or the other where appropriate.

### Zero-State and Zero-Input

If we have our complete system response equation from above:

    ![\\bold{Y}\(s\) = C\[sI - A\]^{-1}\\bold{x}\(0\) + \(C\[sI - A\]^{-1}B + D\)\\bold{U}\(s\)](../../../upload.wikimedia.org/math/f/0/a/f0a35aa94e6f80d48e67a422bd925b9b.png)

We can separate this into two separate parts:

  * ![C\[sI - A\]^{-1}X\(0\)](../../../upload.wikimedia.org/math/f/a/a/faa8cf42a3fe4cbbc965fd82a29578ab.png) The **Zero-Input Response**.
  * ![\(C\[sI - A\]^{-1}B + D\)\\bold{U}\(s\)](../../../upload.wikimedia.org/math/d/e/b/deba60f2f20aa8167984b32aea0afafd.png) The **Zero-State Response**.

These are named because if there is no input to the system (zero-input), then the output is the response of the system to the initial system state. If there is no state to the system, then the output is the response of the system to the system input. The complete response is the sum of the system with no input, and the input with no state.

## Discrete MIMO Systems

In the discrete case, we end up with similar equations, except that the _X_(0) initial conditions term is preceeded by an additional _z_ variable:

    ![\\bold{X}\(z\) = \[zI - A\]^{-1}zX\(0\) + \[zI - A\]^{-1}B\\bold{U}\(z\)](../../../upload.wikimedia.org/math/7/a/d/7ad5c66a89b0b9ab37aa3593c73126c9.png)
    ![\\bold{Y}\(z\) = C\[zI - A\]^{-1}zX\(0\) + C\[zI - A\]^{-1}B\\bold{U}\(z\) + D\\bold{U}\(z\)](../../../upload.wikimedia.org/math/1/9/7/1971b6cb8dede4ef23137d34d152f0dd.png)

If _X_(0) is zero, that term drops out, and we can derive a Transfer Function Matrix in the Z domain as well:

    ![\\bold{Y}\(z\) = \(C\[zI - A\]^{-1}B + D\)\\bold{U}\(z\)](../../../upload.wikimedia.org/math/2/d/c/2dcb48a9cff5d9af60bfc71163359494.png)

  


[Transfer Matrix]

    ![C\[zI - A\]^{-1}B + D = \\bold{H}\(z\)](../../../upload.wikimedia.org/math/7/a/2/7a2be4009a69e4c0241ce783f81592b0.png)

  


[Transfer Matrix Description]

    ![\\bold{Y}\(z\) = \\bold{H}\(z\)\\bold{U}\(z\)](../../../upload.wikimedia.org/math/1/c/8/1c830b50ac1c955ddf34bc91b274dc2c.png)

  


### Example: Pulse Response

For digital systems, it is frequently a good idea to write the **pulse response** equation, from the state-space equations:

    ![x\[k + 1\] = Ax\[k\] + Bu\[k\]](../../../upload.wikimedia.org/math/c/4/9/c49c1ff36da5bb88b79961935cc50320.png)

    ![y\[k\] = Cx\[k\] + Du\[k\]](../../../upload.wikimedia.org/math/b/1/1/b11ec35c353d7694012522ae98fb5089.png)

We can combine these two equations into a single difference equation using the coefficient matrices _A_, _B_, _C_, and _D_. To do this, we find the ratio of the system output vector, _Y[n]_, to the system input vector, _U[n]_:

    ![\\frac{Y\(z\)}{U\(z\)} = H\(z\) = C\(zI - A\)^{-1}B + D](../../../upload.wikimedia.org/math/f/e/1/fe189a62206559a2ac16351e219910fe.png)

So the system response to a digital system can be derived from the pulse response equation by:

    ![Y\(z\) = H\(z\)U\(z\)](../../../upload.wikimedia.org/math/8/2/f/82f4cd97412e6abc284e7449d77a143a.png)

And we can set _U(z)_ to a step input through the following Z transform:

    ![u\(t\) \\Leftrightarrow U\(z\) = \\frac{z}{z - 1}](../../../upload.wikimedia.org/math/b/1/5/b15e7e7f477502b73a6611df1e9b9d59.png)

Plugging this into our pulse response we get our step response:

    ![Y\(z\) = \(C\(zI - A\)^{-1}B + D\)\\left\(\\frac{z}{z-1}\\right\)](../../../upload.wikimedia.org/math/2/c/d/2cdb8471a1e9d84587583412ed739924.png)

    ![\\bold{Y}\(z\) = \\bold{H}\(z\)\\left\(\\frac{z}{z-1}\\right\)](../../../upload.wikimedia.org/math/3/b/b/3bbc11485a2e0cc293713c80345556d5.png)

  


  


# System Realization

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← MIMO Systems](http://en.wikibooks.org/wiki/Control_Systems/MIMO_Systems)
[Gain →](http://en.wikibooks.org/wiki/Control_Systems/Gain)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Realization

**Realization** is the process of taking a mathematical model of a system (either in the Laplace domain or the State-Space domain), and creating a physical system. Some systems are not realizable.

An important point to keep in mind is that the Laplace domain representation, and the state-space representations are equivalent, and both representations describe the same physical systems. We want, therefore, a way to convert between the two representations, because each one is well suited for particular methods of analysis.

The state-space representation, for instance, is preferable when it comes time to move the system design from the drawing board to a constructed physical device. For that reason, we call the process of converting a system from the Laplace representation to the state-space representation "realization".

## Realization Conditions

**Note:**  
Discrete systems _G(z)_ are also realizable if these conditions are satisfied.

  * A transfer function _G(s)_ is realizable if and only if the system can be described by a finite-dimensional state-space equation.
  * _(A B C D)_, an ordered set of the four system matrices, is called a **realization** of the system _G(s)_. If the system can be expressed as such an ordered quadruple, the system is realizable.
  * A system _G_ is realizable if and only if the transfer matrix **G**(s) is a proper rational matrix. In other words, every entry in the matrix **G**(s) (only 1 for SISO systems) is a rational polynomial, and if the degree of the denominator is higher or equal to the degree of the numerator.

We've already covered the method for realizing a SISO system, the remainder of this chapter will talk about the general method of realizing a MIMO system.

## Realizing the Transfer Matrix

We can decompose a transfer matrix **G**(s) into a _strictly proper_ transfer matrix:

    ![\\bold{G}\(s\) = \\bold{G}\(\\infty\) + \\bold{G}_{sp}\(s\)](../../../upload.wikimedia.org/math/b/8/7/b87190086e98c8321ac42a479182e621.png)

Where Gsp(s) is a strictly proper transfer matrix. Also, we can use this to find the value of our _D_ matrix:

    ![D = \\bold{G}\(\\infty\)](../../../upload.wikimedia.org/math/9/0/f/90f429d5e97d5bedd1d919696600d14e.png)

We can define _d(s_) to be the lowest common denominator polynomial of all the entries in **G**(s):

Remember, _q_ is the number of inputs, _p_ is the number of internal system states, and _r_ is the number of outputs.

    ![d\(s\) = s^r + a_1s^{r-1} + \\cdots + a_{r-1}s + a_r](../../../upload.wikimedia.org/math/5/f/c/5fc0ec735fc1de202152e8fea6cfbf99.png)

Then we can define **G**sp as:

    ![\\bold{G}_{sp}\(s\) = \\frac{1}{d\(s\)}N\(s\)](../../../upload.wikimedia.org/math/3/d/7/3d7108a93fc01a5a5a934a930d3dd0d2.png)

Where

    ![N\(s\) = N_1s^{r-1} + \\cdots + N_{r-1}s + N_r](../../../upload.wikimedia.org/math/3/8/7/3870a62695d7775f265c06d287be4f04.png)

And the _Ni_ are _p × q_ constant matrices.

If we remember our method for converting a transfer function to a state-space equation, we can follow the same general method, except that the new matrix _A_ will be a block matrix, where each block is the size of the transfer matrix:

    ![A = \\begin{bmatrix}
                   -a_1I_p & -a_2I_p & \\cdots & -a_{r-1}I_p & -a_rI_p \\\\
                   I_p     & 0       & \\cdots & 0           & 0 \\\\
                   0       & I_p     & \\cdots & 0           & 0 \\\\
                   \\vdots  & \\vdots  & \\ddots & \\vdots      & \\vdots \\\\
                   0       & 0       & \\cdots & I_p         & 0
           \\end{bmatrix}](../../../upload.wikimedia.org/math/2/2/5/2250976d1e5c50ce7be1eb87b150c84b.png)

    ![B = \\begin{bmatrix}I_p \\\\ 0 \\\\ 0 \\\\ \\vdots \\\\ 0 \\end{bmatrix}](../../../upload.wikimedia.org/math/7/3/8/73851077a3f60f7b59a52c8f102a6bda.png)

    ![C = \\begin{bmatrix}I_p & 0 & 0 & \\cdots & 0\\end{bmatrix}](../../../upload.wikimedia.org/math/7/b/3/7b35c0f3b8f7e922eb85520e87db650f.png)

  


  
  


System Representation

Systems can be represented graphically in a number of ways. Block diagrams and signal-flow diagrams are powerful tools that can be used to manipulate systems, and convert them easily into transfer functions or state-space equations. The chapters in this section will discuss how systems can be described visually, and will also discuss how systems can be interconnected with each other.

  


# Gain

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Realizations](http://en.wikibooks.org/wiki/Control_Systems/Realizations)
[Block Diagrams →](http://en.wikibooks.org/wiki/Control_Systems/Block_Diagrams)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## What is Gain?

**Gain** is a proportional value that shows the relationship between the magnitude of the input to the magnitude of the output signal at steady state. Many systems contain a method by which the gain can be altered, providing more or less "power" to the system. However, increasing gain or decreasing gain beyond a particular safety zone can cause the system to become unstable.

Consider the given second-order system:

    ![T\(s\) = \\frac{1}{s^2 + 2s + 1}](../../../upload.wikimedia.org/math/7/e/c/7ec54cd96a76f7faeeefcdca65e812d2.png)

We can include an arbitrary gain term, K in this system that will represent an amplification, or a power increase:

    ![T\(s\) = K\\frac{1}{s^2 + 2s + 1}](../../../upload.wikimedia.org/math/f/6/7/f677f53276e7da51e5bfd0cf28ac041f.png)

In a state-space system, the gain term _k_ can be inserted as follows:

    ![x'\(t\) = Ax\(t\) + kBu\(t\)](../../../upload.wikimedia.org/math/0/0/8/008c0610c5da9b8b516dfb90290ec0f8.png)
    ![y\(t\) = Cx\(t\) + kDu\(t\)](../../../upload.wikimedia.org/math/9/d/6/9d68287988fc470f927b96eea7bc6cee.png)

The gain term can also be inserted into other places in the system, and in those cases the equations will be slightly different.

![Gain Block.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/e/e5/Gain_Block.svg/400px-Gain_Block.svg.png)

### Example: Gain

Here are some good examples of arbitrary gain values being used in physical systems:

Volume Knob
    On your stereo there is a volume knob that controls the gain of your amplifier circuit. Higher levels of volume (turning the volume "up") corresponds to higher amplification of the sound signal.
Gas Pedal
    The gas pedal in your car is an example of gain. Pressing harder on the gas pedal causes the engine to receive more gas, and causes the engine to output higher RPMs.
Brightness Buttons
    Most computer monitors come with brightness buttons that control how bright the screen image is. More brightness causes more power to be outputed to the screen.

## Responses to Gain

As the gain to a system increases, generally the rise-time decreases, the percent overshoot increases, and the settling time increases. However, these relationships are not always the same. A **critically damped system**, for example, may decrease in rise time while not experiencing any effects of percent overshoot or settling time.

## Gain and Stability

If the gain increases to a high enough extent, some systems can become unstable. We will examine this effect in the chapter on **Root Locus**. But it will decrease the steady state error.

### Conditional Stability

Systems that are stable for some gain values, and unstable for other values are called **conditionally stable** systems. The stability is conditional upon the value of the gain, and oftentimes the threshold where the system becomes unstable is important to find.

  


  


# Block Diagrams

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Gain](http://en.wikibooks.org/wiki/Control_Systems/Gain)
[Feedback Loops →](http://en.wikibooks.org/wiki/Control_Systems/Feedback_Loops)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

When designing or analyzing a system, often it is useful to model the system graphically. **Block Diagrams** are a useful and simple method for analyzing a system graphically. A "block" looks on paper exactly how it sounds:

## Systems in Series

When two or more systems are in series, they can be combined into a single representative system, with a transfer function that is the product of the individual systems.

![Time Series Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/76/Time_Series_Block.svg/240px-Time_Series_Block.svg.png)

If we have two systems, _f(t)_ and _g(t)_, we can put them in series with one another so that the output of system _f(t)_ is the input to system _g(t)_. Now, we can analyze them depending on whether we are using our classical or modern methods.

If we define the output of the first system as _h(t)_, we can define _h(t)_ as:

    ![h\(t\) = x\(t\) * f\(t\)](../../../upload.wikimedia.org/math/3/4/4/3447e7264311f8af5901a941af081a2d.png)

Now, we can define the system output _y(t)_ in terms of _h(t)_ as:

    ![y\(t\) = h\(t\) * g\(t\)](../../../upload.wikimedia.org/math/2/3/5/235c0840e1903ce69438cd53e428311c.png)

We can expand _h(t)_:

    ![y\(t\) = \[x\(t\) * f\(t\)\] * g\(t\)](../../../upload.wikimedia.org/math/b/2/6/b265c9ea9de12fa35ea40fb9868950e9.png)

But, since convolution is associative, we can re-write this as:

    ![y\(t\) = x\(t\) * \[f\(t\) * g\(t\)\]](../../../upload.wikimedia.org/math/a/0/b/a0b76eb2492aed597db2cdb15f01b492.png)

Our system can be simplified therefore as such:

![Time Convolution Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/Time_Convolution_Block.svg/240px-Time_Convolution_Block.svg.png)

### Series Transfer Functions

If two or more systems are in series with one another, the total transfer function of the series is the product of all the individual system transfer functions.

![S-Domain Series Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/41/S-Domain_Series_Block.svg/240px-S-Domain_Series_Block.svg.png)

In the time domain we know that:

    ![y\(t\) = x\(t\) * \[f\(t\) * g\(t\)\]](../../../upload.wikimedia.org/math/a/0/b/a0b76eb2492aed597db2cdb15f01b492.png)

But, in the frequency domain we know that convolution becomes multiplication, so we can re-write this as:

    ![Y\(s\) = X\(s\)\[F\(s\)G\(s\)\]](../../../upload.wikimedia.org/math/8/d/b/8dbf2c5d5d708f202af1a87d0f66c3c5.png)

We can represent our system in the frequency domain as:

![S-Domain Multiplication Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/73/S-Domain_Multiplication_Block.svg/240px-S-Domain_Multiplication_Block.svg.png)

### Series State Space

If we have two systems in series (say system F and system G), where the output of F is the input to system G, we can write out the state-space equations for each individual system.

System 1:

    ![x_F' = A_Fx_F + B_Fu](../../../upload.wikimedia.org/math/6/9/9/699703863c2a97d294b88a79839536e8.png)
    ![y_F = C_Fx_F + D_Fu](../../../upload.wikimedia.org/math/9/8/9/98931965a75c494d0c1c320584d36aef.png)

System 2:

    ![x_G' = A_Gx_G + B_Gy_F](../../../upload.wikimedia.org/math/b/0/7/b07445f45cf03d9ecf33d26e9da61677.png)
    ![y_G = C_Gx_G + D_Gy_F](../../../upload.wikimedia.org/math/3/a/4/3a4dfb0c21831d25a521ee04e9eb0af5.png)

And we can write substitute these equations together form the complete response of system H, that has input u, and output yG:

  


[Series state equation]

    ![\\begin{bmatrix}x_G' \\\\ x_F'\\end{bmatrix} 
     = \\begin{bmatrix}A_G & B_GC_F \\\\ 0 & A_F\\end{bmatrix} 
       \\begin{bmatrix}x_G \\\\ x_F\\end{bmatrix} +
       \\begin{bmatrix}B_GD_F \\\\ B_F\\end{bmatrix}u](../../../upload.wikimedia.org/math/3/d/7/3d7b9aa6a0dccba9ee0b459301d5afe4.png)

  


[Series output equation]

    ![\\begin{bmatrix}y_G \\\\ y_F\\end{bmatrix} 
     = \\begin{bmatrix}C_G & D_GC_F \\\\ 0 & C_F\\end{bmatrix} 
       \\begin{bmatrix}x_G \\\\ x_F\\end{bmatrix} +
       \\begin{bmatrix}D_GD_F \\\\ D_F\\end{bmatrix}u](../../../upload.wikimedia.org/math/e/c/2/ec27bbea226b91766432eaa9a3dac28a.png)

## Systems in Parallel

![S-Domain Parallel Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ac/S-Domain_Parallel_Block.svg/240px-S-Domain_Parallel_Block.svg.png)

Blocks may not be placed in parallel without the use of an adder. Blocks connected by an adder as shown above have a total transfer function of:

    ![Y\(s\) = X\(s\) \[F\(s\) + G\(s\)\]](../../../upload.wikimedia.org/math/4/4/5/44507d1e12c23c64b66d68f6daf52bea.png)

Since the Laplace transform is linear, we can easily transfer this to the time domain by converting the multiplication to convolution:

    ![y\(t\) = x\(t\) * \[f\(t\) + g\(t\)\]](../../../upload.wikimedia.org/math/e/8/2/e82f13b7f482e0be42043ef77e6c83ea.png)

![S-Domain Addition Block.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/71/S-Domain_Addition_Block.svg/240px-S-Domain_Addition_Block.svg.png)

## State Space Model

The state-space equations, with non-zero A, B, C, and D matrices conceptually model the following system:

![Typical State Space Model \(General\).svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Typical_State_Space_Model_\(General\).svg/450px-Typical_State_Space_Model_\(General\).svg.png)

In this image, the strange-looking block in the center is either an integrator or an ideal delay, and can be represented in the transfer domain as:

    ![\\frac{1}{s}](../../../upload.wikimedia.org/math/5/a/d/5adcb727a6c3c48aa06153263b9b1c05.png) or ![\\frac{1}{z}](../../../upload.wikimedia.org/math/1/f/f/1ff575844b86b622c1caebf270135c7b.png)

Depending on the time characteristics of the system. If we only consider continuous-time systems, we can replace the funny block in the center with an integrator:

![Typical State Space Model \(CT\).svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Typical_State_Space_Model_\(CT\).svg/450px-Typical_State_Space_Model_\(CT\).svg.png)

### In the Laplace Domain

The state space model of the above system, if _A_, _B_, _C_, and _D_ are transfer functions _A(s)_, _B(s)_, _C(s)_ and _D(s)_ of the individual subsystems, and if _U(s)_ and _Y(s)_ represent a single input and output, can be written as follows:

    ![\\frac{Y\(s\)}{U\(s\)} = B\(s\)\\left\(\\frac{1}{s - A\(s\)}\\right\)C\(s\) + D\(s\)](../../../upload.wikimedia.org/math/e/4/3/e43c09e224bb0bc615762ed0f138e131.png)

We will explain how we got this result, and how we deal with feedforward and feedback loop structures in the next chapter.

## Adders and Multipliers

Some systems may have dedicated summation or multiplication devices, that automatically add or multiply the transfer functions of multiple systems together

## Simplifying Block Diagrams

Block diagrams can be systematically simplified. Note that this table is from Schaum's Outline: Feedback and Controls Systems by DiStefano et al

Transformation Equation Block Diagram Equivalent Block Diagram

1
Cascaded Blocks
![Y=\\left\(P_1 P_2 \\right\) X](../../../upload.wikimedia.org/math/5/3/8/538ae510e673e9b8e1e0a496d6cd3a48.png)
![Cascaded Blocks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/19/Cascaded_Blocks.svg/240px-Cascaded_Blocks.svg.png)
![Cascaded Blocks Equivalent.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/90/Cascaded_Blocks_Equivalent.svg/240px-Cascaded_Blocks_Equivalent.svg.png)

2
Combining Blocks in Parallel
![Y=P_1 X \\pm P_2 X](../../../upload.wikimedia.org/math/6/2/3/6236cbdd015dfc464af2d184914e89e5.png)
![Parallel Blocks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/33/Parallel_Blocks.svg/240px-Parallel_Blocks.svg.png)
![Parallel Blocks Equivalent 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/31/Parallel_Blocks_Equivalent_1.svg/240px-Parallel_Blocks_Equivalent_1.svg.png)

3
Removing a Block from a Forward Loop
![Y=P_1 X \\pm P_2 X](../../../upload.wikimedia.org/math/6/2/3/6236cbdd015dfc464af2d184914e89e5.png)
![Parallel Blocks Equivalent 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/Parallel_Blocks_Equivalent_2.svg/240px-Parallel_Blocks_Equivalent_2.svg.png)

4
Eliminating a Feedback Loop
![Y=P_1 \\left\( X \\mp P_2 Y \\right\)](../../../upload.wikimedia.org/math/e/2/3/e23cded6889b5b329ea417679a9423ab.png)
![Feedback Loop.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/77/Feedback_Loop.svg/240px-Feedback_Loop.svg.png)
![Feedback Loop Equivalent 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c2/Feedback_Loop_Equivalent_1.svg/240px-Feedback_Loop_Equivalent_1.svg.png)

5
Removing a Block from a Feedback Loop
![Y=P_1 \\left\( X \\mp P_2 Y \\right\)](../../../upload.wikimedia.org/math/e/2/3/e23cded6889b5b329ea417679a9423ab.png)
![Feedback Loop Equivalent 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Feedback_Loop_Equivalent_2.svg/240px-Feedback_Loop_Equivalent_2.svg.png)

6
Rearranging Summing Junctions
![Z=W \\pm X \\pm Y](../../../upload.wikimedia.org/math/0/1/f/01f722180ee6a69effef5e35e133d2eb.png)
![Rearranging Summing Junctions 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/28/Rearranging_Summing_Junctions_1.svg/240px-Rearranging_Summing_Junctions_1.svg.png)
![Rearranging Summing Junctions 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/38/Rearranging_Summing_Junctions_2.svg/240px-Rearranging_Summing_Junctions_2.svg.png)

![Rearranging Summing Junctions 3.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cc/Rearranging_Summing_Junctions_3.svg/240px-Rearranging_Summing_Junctions_3.svg.png)

7
Moving a Summing Juction in front of a Block
![Z = P X \\pm Y](../../../upload.wikimedia.org/math/f/c/0/fc07e2b88270a6bd3851a7c493f5d1dd.png)
![Moving Summing Junction in front of Block 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dd/Moving_Summing_Junction_in_front_of_Block_1.svg/240px-Moving_Summing_Junction_in_front_of_Block_1.svg.png)
![Moving Summing Junction in front of Block 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Moving_Summing_Junction_in_front_of_Block_2.svg/240px-Moving_Summing_Junction_in_front_of_Block_2.svg.png)

8
Moving a Summing Juction beyond a Block
![Z = P \\left\( X \\pm Y \\right\)](../../../upload.wikimedia.org/math/3/8/3/3834b0db42b91cb9ff651063c73cfcb8.png)
![Moving Summing Junction beyond Block 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/98/Moving_Summing_Junction_beyond_Block_1.svg/240px-Moving_Summing_Junction_beyond_Block_1.svg.png)
![Moving Summing Junction beyond Block 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/72/Moving_Summing_Junction_beyond_Block_2.svg/240px-Moving_Summing_Junction_beyond_Block_2.svg.png)

9
Moving a Takeoff Point in front of a Block
![Y= PX\\,](../../../upload.wikimedia.org/math/6/f/b/6fbe1853f565c0b3bf6203913216788f.png)
![Moving Takeoff Point in front of Block 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Moving_Takeoff_Point_in_front_of_Block_1.svg/240px-Moving_Takeoff_Point_in_front_of_Block_1.svg.png)
![Moving Takeoff Point in front of Block 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Moving_Takeoff_Point_in_front_of_Block_2.svg/240px-Moving_Takeoff_Point_in_front_of_Block_2.svg.png)

10
Moving a Takeoff Point beyond a Block
![Y=PX\\,](../../../upload.wikimedia.org/math/6/f/b/6fbe1853f565c0b3bf6203913216788f.png)
![Moving Takeoff Point beyond Block 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Moving_Takeoff_Point_beyond_Block_1.svg/240px-Moving_Takeoff_Point_beyond_Block_1.svg.png)
![Moving Takeoff Point beyond Block 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/Moving_Takeoff_Point_beyond_Block_2.svg/240px-Moving_Takeoff_Point_beyond_Block_2.svg.png)

11
Moving a Takeoff Point in front of a Summing Junction
![Z=W \\pm X](../../../upload.wikimedia.org/math/3/f/9/3f959b1db3f4b7b2057346f3c43a8d58.png)
![Moving Takeoff Point ahead of a Summing Junction 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Moving_Takeoff_Point_ahead_of_a_Summing_Junction_1.svg/240px-Moving_Takeoff_Point_ahead_of_a_Summing_Junction_1.svg.png)
![Moving Takeoff Point ahead of a Summing Junction 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c6/Moving_Takeoff_Point_ahead_of_a_Summing_Junction_2.svg/240px-Moving_Takeoff_Point_ahead_of_a_Summing_Junction_2.svg.png)

12
Moving a Takeoff Point beyond a Summing Junction
![Z=X \\pm Y](../../../upload.wikimedia.org/math/e/d/7/ed71695409a757b3261e1dc15f176384.png)
![Moving Takeoff Point beyond a Summing Junction 1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Moving_Takeoff_Point_beyond_a_Summing_Junction_1.svg/240px-Moving_Takeoff_Point_beyond_a_Summing_Junction_1.svg.png)
![Moving Takeoff Point beyond a Summing Junction 2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Moving_Takeoff_Point_beyond_a_Summing_Junction_2.svg/240px-Moving_Takeoff_Point_beyond_a_Summing_Junction_2.svg.png)

## External Sites

[SISO Block Diagram with transfer functions on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Block_Diagram_Quick_Reference)

  


  


# Feedback Loops

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Block Diagrams](http://en.wikibooks.org/wiki/Control_Systems/Block_Diagrams)
[Signal Flow Diagrams →](http://en.wikibooks.org/wiki/Control_Systems/Signal_Flow_Diagrams)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Feedback

A **feedback loop** is a common and powerful tool when designing a control system. Feedback loops take the system output into consideration, which enables the system to adjust its performance to meet a desired output response.

When talking about control systems it is important to keep in mind that engineers typically are given existing systems such as actuators, sensors, motors, and other devices with set parameters, and are asked to adjust the performance of those systems. In many cases, it may not be possible to open the system (the "plant") and adjust it from the inside: modifications need to be made external to the system to force the system response to act as desired. This is performed by adding controllers, compensators, and feedback structures to the system.

## Basic Feedback Structure

![Simple feedback control loop.png](../../../upload.wikimedia.org/wikipedia/commons/b/bf/Simple_feedback_control_loop.png)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Feedback**_](http://en.wikipedia.org/wiki/Feedback)

This is a basic feedback structure. Here, we are using the output value of the system to help us prepare the next output value. In this way, we can create systems that correct errors. Here we see a feedback loop with a value of one. We call this a **unity feedback**.

Here is a list of some relevant vocabulary, that will be used in the following sections:

Plant
    The term "Plant" is a carry-over term from chemical engineering to refer to the main system process. The plant is the preexisting system that does not (without the aid of a controller or a compensator) meet the given specifications. Plants are usually given "as is", and are not changeable. In the picture above, the plant is denoted with a P.
Controller
    A controller, or a "compensator" is an additional system that is added to the plant to control the operation of the plant. The system can have multiple compensators, and they can appear anywhere in the system: Before the pick-off node, after the summer, before or after the plant, and in the feedback loop. In the picture above, our compensator is denoted with a C.

Some texts, or texts in other disciplines may refer to a "summer" as an **adder**.

Summer
    A summer is a symbol on a system diagram, (denoted above with parenthesis) that conceptually adds two or more input signals, and produces a single sum output signal.
Pick-off node
    A pickoff node is simply a fancy term for a split in a wire.
Forward Path
    The forward path in the feedback loop is the path after the summer, that travels through the plant and towards the system output.
Reverse Path
    The reverse path is the path after the pick-off node, that loops back to the beginning of the system. This is also known as the "feedback path".
Unity feedback
    When the multiplicative value of the feedback path is 1.

## Negative vs Positive Feedback

It turns out that negative feedback is almost always the most useful type of feedback. When we subtract the value of the output from the value of the input (our desired value), we get a value called the **error signal**. The error signal shows us how far off our output is from our desired input.

Positive feedback has the property that signals tend to reinforce themselves, and grow larger. In a positive feedback system, noise from the system is added back to the input, and that in turn produces more noise. As an example of a positive feedback system, consider an audio amplification system with a speaker and a microphone. Placing the microphone near the speaker creates a positive feedback loop, and the result is a sound that grows louder and louder. Because the majority of noise in an electrical system is high-frequency, the sound output of the system becomes high-pitched.

### Example: State-Space Equation

In the previous chapter, we showed you this picture:

![Typical State Space model.png](../../../upload.wikimedia.org/wikipedia/commons/1/12/Typical_State_Space_model.png)

Now, we will derive the I/O relationship into the state-space equations. If we examine the inner-most feedback loop, we can see that the forward path has an integrator system, ![\\frac{1}{s}](../../../upload.wikimedia.org/math/5/a/d/5adcb727a6c3c48aa06153263b9b1c05.png), and the feedback loop has the matrix value A. If we take the transfer function only of this loop, we get:

    ![T_{inner}\(s\) = \\frac{\\frac{1}{s}}{1 - \\frac{1}{s}A} = \\frac{1}{s - A}](../../../upload.wikimedia.org/math/e/2/6/e26d4a479cdb5a86245ea4cfa0843ce3.png)

Pre-multiplying by the factor B, and post-multiplying by C, we get the transfer function of the entire lower-half of the loop:

    ![T_{lower}\(s\) = B\\left\(\\frac{1}{s - A}\\right\)C](../../../upload.wikimedia.org/math/a/1/9/a193eb2484c6c3caf1784d28e6fb36d7.png)

We can see that the upper path (D) and the lower-path Tlower are added together to produce the final result:

    ![T_{total}\(s\) = B\\left\(\\frac{1}{s - A}\\right\)C + D](../../../upload.wikimedia.org/math/d/1/b/d1ba27c50291d0588aafbbf5f1dc849e.png)

Now, for an alternate method, we can assume that **x'** is the value of the inner-feedback loop, right before the integrator. This makes sense, since the integral of **x'** should be **x** (which we see from the diagram that it is. Solving for **x'**, with an input of **u**, we get:

    ![x' = Ax + Bu](../../../upload.wikimedia.org/math/9/c/2/9c28a5459146ebd1cf4e9618aaaddadc.png)

This is because the value coming from the feedback branch is equal to the value **x** times the feedback loop matrix A, and the value coming from the left of the sumer is the input **u** times the matrix B.

If we keep things in terms of **x** and **u**, we can see that the system output is the sum of **u** times the feed-forward value D, and the value of **x** times the value C:

    ![y = Cx + Du](../../../upload.wikimedia.org/math/1/7/7/177eb47d3760bf07f2029268c7ed8c63.png)

These last two equations are precisely the state-space equations of our system.

## Feedback Loop Transfer Function

We can solve for the output of the system by using a series of equations:

    ![E\(s\) = X\(s\) - Y\(s\)](../../../upload.wikimedia.org/math/3/4/d/34d8c906ca3b83fccaf04a827041a4e9.png)

    ![ Y\(s\) = G\(s\)E\(s\)](../../../upload.wikimedia.org/math/4/f/b/4fb097fc7249f0a99aee8270e5307a06.png)

and when we solve for Y(s) we get:

  


[Feedback Transfer Function]

    ![ Y\(s\) =  X\(s\) \\frac{Gp\(s\)}{1 + Gp\(s\)}](../../../upload.wikimedia.org/math/f/d/5/fd5c574fa06cf40048a0551fc9b9c398.png)

The reader is encouraged to use the above equations to derive the result by themselves.

The function E(s) is known as the **error signal**. The error signal is the difference between the system output (Y(s)), and the system input (X(s)). Notice that the error signal is now the direct input to the system G(s). X(s) is now called the **reference input**. The purpose of the negative feedback loop is to make the system output equal to the system input, by identifying large differences between X(s) and Y(s) and correcting for them.

### Example: Elevator

Here is a simple example of reference inputs and feedback systems:

There is an elevator in a certain building with 5 floors. Pressing button "1" will take you to the first floor, and pressing button "5" will take you to the fifth floor, etc. For reasons of simplicity, only one button can be pressed at a time.

Pressing a particular button is the reference input of the system. Pressing "1" gives the system a reference input of 1, pressing "2" gives the system a reference input of 2, etc. The elevator system then, tries to make the output (the physical floor location of the elevator) match the reference input (the button pressed in the elevator). The error signal, e(t), represents the difference between the reference input x(t), and the physical location of the elevator at time t, y(t).

Let's say that the elevator is on the first floor, and the button "5" is pressed at time t0. The reference input then becomes a step function:

    ![x\(t\) = 5u\(t - t_0\)](../../../upload.wikimedia.org/math/7/e/1/7e1ecf423d3a91db462d8bd1a72a8ea6.png)

Where we are measuring in units of "floors". At time t0, the error signal is:

    ![e\(t_0\) = x\(t_0\) - y\(t_0\) = 5 - 1 = 4](../../../upload.wikimedia.org/math/f/6/9/f695bc2448904839f0cd9de97d32280b.png)

Which means that the elevator needs to travel upwards 4 more floors. At time t1, when the elevator is at the second floor, the error signal is:

    ![e\(t_1\) = x\(t_1\) - y\(t_1\) = 5 - 2 = 3](../../../upload.wikimedia.org/math/3/a/3/3a32476e939e9bfb06dce66218fd3091.png)

Which means the elevator has 3 more floors to go. Finally, at time t4, when the elevator reaches the top, the error signal is:

    ![e\(t_4\) = x\(t_4\) - y\(t_4\) = 5 - 5 = 0](../../../upload.wikimedia.org/math/0/0/8/00806655ab44ae78df7743331c4d1705.png)

And when the error signal is zero, the elevator stops moving. In essence, we can define three cases:

  * e(t) is positive: In this case, the elevator goes up one floor, and checks again.
  * e(t) is zero: The elevator stops.
  * e(t) is negative: The elevator goes down one floor, and checks again.

### State-Space Feedback Loops

In the state-space representation, the plant is typically defined by the state-space equations:

    ![x'\(t\) = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)
    ![y\(t\) = Cx\(t\) + Du\(t\)](../../../upload.wikimedia.org/math/0/2/b/02ba1ad4e19b31ac7b9882651b1c826d.png)

The plant is considered to be pre-existing, and the matrices A, B, C, and D are considered to be internal to the plant (and therefore unchangeable). Also, in a typical system, the state variables are either fictional (in the sense of dummy-variables), or are not measurable. For these reasons, we need to add external components, such as a gain element, or a feedback element to the plant to enhance performance.

Consider the addition of a gain matrix K installed at the input of the plant, and a negative feedback element F that is multiplied by the system output _y_, and is added to the input signal of the plant. There are two cases:

  1. The feedback element F is subtracted from the input before multiplication of the K gain matrix.
  2. The feedback element F is subtracted from the input after multiplication of the K gain matrix.

In case 1, the feedback element F is added to the input before the multiplicative gain is applied to the input. If _v_ is the input to the entire system, then we can define _u_ as:

    ![u\(t\) =  Fv\(t\) - FKy\(t\)](../../../upload.wikimedia.org/math/2/8/a/28acbb212cd835320df2d5b9765b71b9.png)

In case 2, the feeback element F is subtracted from the input after the multiplicative gain is applied to the input. If _v_ is the input to the entire system, then we can define _u_ as:

    ![u\(t\) = Fv\(t\) - Ky\(t\)](../../../upload.wikimedia.org/math/c/7/2/c728cc481ebc5c59208884b8004dc331.png)

## Open Loop vs Closed Loop

![System 3 KGpGb.png](../../../upload.wikimedia.org/wikibooks/en/2/2e/System_3_KGpGb.png)

Let's say that we have the generalized system shown above. The top part, Gp(s) represents all the systems and all the controllers on the forward path. The bottom part, Gb(s) represents all the feedback processing elements of the system. The letter "K" in the beginning of the system is called the **Gain**. We will talk about the gain more in later chapters. We can define the **Closed-Loop Transfer Function** as follows:

  


[Closed-Loop Transfer Function]

    ![ H_{cl}\(s\) =  \\frac{KGp\(s\)}{1 + Gp\(s\)Gb\(s\)}](../../../upload.wikimedia.org/math/4/8/1/4819bb74e309c5742b19011a4401a558.png)

If we "open" the loop, and break the feedback node, we can define the **Open-Loop Transfer Function**, as:  


[Open-Loop Transfer Function]

    ![H_{ol}\(s\) = KGp\(s\)](../../../upload.wikimedia.org/math/f/f/b/ffb5fef076f74fb7a03588c100b2318d.png)

We can redefine the closed-loop transfer function in terms of this open-loop transfer function:

    ![ H_{cl}\(s\) = \\frac{H_{ol}\(s\)}{1 +Gp\(s\)Gb\(s\)}](../../../upload.wikimedia.org/math/7/d/d/7ddba7141e6d164991adc6f858238093.png)

These results are important, and they will be used without further explanation or derivation throughout the rest of the book.

  


  *     * Changed the original open loop gain from Gp(s)Gb(s) to kGp(s). Rational: open loop gain eliminates the feedback loop, which means Gb(s) should no longer exist leaving the proportional controller, in this case K, and the plant, Gp(s).

## Placement of a Controller

There are a number of different places where we could place an additional controller.

    

![System 5 Positions.png](../../../upload.wikimedia.org/wikibooks/en/thumb/9/97/System_5_Positions.png/400px-System_5_Positions.png)

  1. In front of the system, before the feedback loop.
  2. Inside the feedback loop, in the forward path, before the plant.
  3. In the forward path, after the plant.
  4. In the feedback loop, in the reverse path.
  5. After the feedback loop.

Each location has certain benefits and problems, and hopefully we will get a chance to talk about all of them.

## Second-Order Systems

### Damping Ratio

The damping ratio is defined by way of the sign zeta. The damping ratio gives us an idea about the nature of the transient response detailing the amount of overshoot & oscillation that the system will undergo. This is completely regardless time scaling. If zeta is:

zero, the system is undamped; zeta < 1, the system is underdamped; zeta = 1, the system is critically damped; zeta > 1, the system is overdamped;

Zeta is used in conjunction with the natural frequency to determine system properties. To find the zeta value you must first find the natural response! sadas

### Natural Frequency

## System Sensitivity

  


# Signal Flow Diagrams

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Feedback Loops](http://en.wikibooks.org/wiki/Control_Systems/Feedback_Loops)
[Bode Plots →](http://en.wikibooks.org/wiki/Control_Systems/Bode_Plots)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

This page needs some pictures! if you have images of signal-flow graphs that you would be willing to upload/donate, it would be appreciated.

  


## Signal Flow Diagrams

**Signal Flow Diagrams** are another method for visually representing a system. Signal Flow Diagrams are especially useful, because they allow for particular methods of analysis, such as **Mason's Gain Formula**.

Signal flow diagrams typically use curved lines to represent wires _and systems_, instead of using lines at right-angles, and boxes, respectively. Every curved line is considered to have a multiplier value, which can be a constant gain value, or an entire transfer function. Signals travel from one end of a line to the other, and lines that are placed in series with one another have their total multiplier values multiplied together (just like in block diagrams).

Signal flow diagrams help us to identify structures called "loops" in a system, which can be analyzed individually to determine the complete response of the system.

![](../../../upload.wikimedia.org/wikibooks/en/f/fd/Sig_graph.jpg)

An example of a signal flow diagram.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/10/Position_servo_and_signal_flow_graph.png/800px-Position_servo_and_signal_flow_graph.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

Angular position servo and signal flow graph. θC = desired angle command, θL = actual load angle, KP = position loop gain, VωC = velocity command, VωM = motor velocity sense voltage, KV = velocity loop gain, VIC = current command, VIM = current sense voltage, KC = current loop gain, VA = power amplifier output voltage, LM = motor inductance, VM = voltage across motor inductance, IM = motor current, RM = motor resistance, RS = current sense resistance, KM = motor torque constant (Nm/amp) , T = torque, M = momment of inertia of all rotating components α = angular acceleration, ω = angular velocity, β = mechanical damping, GM = motor back EMF constant, GT = tachometer conversion gain constant,. There is one forward path (shown in a different color) and six feedback loops. The drive shaft assumed to be stiff enough to not treat as a spring. Constants are shown in black and variables in purple.

## Mason's Gain Formula

**Mason's rule** is a rule for determining the gain of a system. Mason's rule can be used with block diagrams, but it is most commonly (and most easily) used with signal flow diagrams.

### Forward Paths

A **forward path** is a path in the signal flow diagram that connects the input to the output without touching any single node or path more than once. A single system can have multiple forward paths.

### Loops

A **loop** is a structure in a signal flow diagram that leads back to itself. A loop does not contain the beginning and ending points, and the end of the loop is the same node as the beginning of a loop.

Loops are said to touch if they share a node or a line in common.

The **Loop gain** is the total gain of the loop, as you travel from one point, around the loop, back to the starting point.

### Delta Values

The Delta value of a system, denoted with a Greek Δ is computed as follows:

    ![\\Delta = 1 - A + B - C + D - E + F......+ \\infty](../../../upload.wikimedia.org/math/2/5/9/25974d80feeff2d4e46150202ea3b28d.png)

Where:

  * A is the sum of all individual loop gains
  * B is the sum of the products of all the pairs of non-touching loops
  * C is the sum of the products of all the sets of 3 non-touching loops
  * D is the sum of the products of all the sets of 4 non-touching loops
  * et cetera.

If the given system has no pairs of loops that do not touch, for instance, B and all additional letters after B will be zero.

### Mason's Rule

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Mason's rule**_](http://en.wikipedia.org/wiki/Mason%27s_rule)

If we have computed our delta values (above), we can then use **Mason's Gain Rule** to find the complete gain of the system:  


[Mason's Rule]

    ![M = \\frac{y_{out}}{y_{in}} = \\sum_{k=1}^N \\frac{M_k \\Delta\\ _k}{ \\Delta\\ }](../../../upload.wikimedia.org/math/7/f/8/7f8f32902d9f1bdde6d0a4763594061c.png)

Where M is the total gain of the system, represented as the ratio of the output gain (yout) to the input gain (yin) of the system. Mk is the gain of the kth forward path, and Δk is the loop gain of the kth loop.

  


  


# Bode Plots

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Signal Flow Diagrams](http://en.wikibooks.org/wiki/Control_Systems/Signal_Flow_Diagrams)
[Nichols Charts →](http://en.wikibooks.org/wiki/Control_Systems/Nichols_Charts)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Bode Plots

A Bode Plot is a useful tool that shows the gain and phase response of a given LTI system for different frequencies. Bode Plots are generally used with the Fourier Transform of a given system.

![](../../../upload.wikimedia.org/wikipedia/commons/f/fd/Bode-pt2.png)

An example of a Bode magnitude and phase plot set. The Magnitude plot is typically on the top, and the Phase plot is typically on the bottom of the set.

The frequency of the bode plots are plotted against a logarithmic frequency axis. Every tickmark on the frequency axis represents a power of 10 times the previous value. For instance, on a standard Bode plot, the values of the markers go from (0.1, 1, 10, 100, 1000, ...) Because each tickmark is a power of 10, they are referred to as a **decade**. Notice that the "length" of a decade decreases as you move to the right on the graph.

The bode Magnitude plot measures the system Input/Output ratio in special units called **decibels**. The Bode phase plot measures the phase shift in degrees (typically, but radians are also used).

### Decibels

A **Decibel** is a ratio between two numbers on a logarithmic scale. A Decibel _is not itself a number, and cannot be treated as such in normal calculations_. To express a ratio between two numbers (A and B) as a decibel we apply the following formula:

    ![dB = 20 \\log\\left\({A \\over B}\\right\)](../../../upload.wikimedia.org/math/7/c/e/7ce87763b3662d25bbb5fd3e8b6d6414.png)

Where dB is the decibel result.

Or, if we just want to take the decibels of a single number C, we could just as easily write:

    ![ dB = 20 \\log\(C\)](../../../upload.wikimedia.org/math/4/3/d/43df7945ebb8d510a1d52a3f3c4b1a48.png)

### Frequency Response Notations

If we have a system transfer function T(s), we can separate it into a numerator polynomial N(s) and a denominator polynomial D(s). We can write this as follows:

    ![T\(s\) = \\frac{N\(s\)}{D\(s\)}](../../../upload.wikimedia.org/math/7/5/a/75aba0fe174b5d5946b62a7ad38602d1.png)

To get the magnitude gain plot, we must first transition the transfer function into the frequency response by using the change of variables:

    ![s = j\\omega](../../../upload.wikimedia.org/math/a/8/5/a85b8a883b07d53a9bf9d8c408de5c5c.png)

From here, we can say that our frequency response is a composite of two parts, a real part R and an imaginary part X:

    ![T\(j\\omega\) = R\(\\omega\) + jX\(\\omega\)](../../../upload.wikimedia.org/math/2/a/e/2aea4dd306c099355c03cb784c0a2bae.png)

We will use these forms below.

### Straight-Line Approximations

The Bode magnitude and phase plots can be quickly and easily approximated by using a series of straight lines. These approximate graphs can be generated by following a few short, simple rules (listed below). Once the straight-line graph is determined, the actual Bode plot is a smooth curve that follows the straight lines, and travels through the **breakpoints**.

### Break Points

If the frequency response is in pole-zero form:

    ![T\(j\\omega\) = \\frac{\\prod_n|j\\omega + z_n|}{\\prod_m|j\\omega + p_m|}](../../../upload.wikimedia.org/math/d/a/7/da79c1a84da51db247aafdb372980b1f.png)

We say that the values for all zn and pm are called **break points** of the Bode plot. These are the values where the Bode plots experience the largest change in direction.

Break points are sometimes also called "break frequencies", "cutoff points", or "corner points".

## Bode Gain Plots

**Bode Gain Plots**, or **Bode Magnitude Plots** display the ratio of the system gain at each input frequency.

### Bode Gain Calculations

The magnitude of the transfer function T is defined as:

    ![|T\(j\\omega\)| = \\sqrt{R^2 + X^2}](../../../upload.wikimedia.org/math/b/b/4/bb422571b97e99322c1ae9f7d961fc92.png)

However, it is frequently difficult to transition a function that is in "numerator/denominator" form to "real+imaginary" form. Luckily, our decibel calculation comes in handy. Let's say we have a frequency response defined as a fraction with numerator and denominator polynomials defined as:

    ![T\(j\\omega\) = \\frac{\\prod_n|j\\omega + z_n|}{\\prod_m|j\\omega + p_m|}](../../../upload.wikimedia.org/math/d/a/7/da79c1a84da51db247aafdb372980b1f.png)

If we convert both sides to decibels, the logarithms from the decibel calculations convert multiplication of the arguments into additions, and the divisions into subtractions:

    ![Gain = \\sum_n20\\log\(j\\omega + z_n\) - \\sum_m20\\log\(j\\omega + p_m\)](../../../upload.wikimedia.org/math/9/e/0/9e03caf5df2cf6b8cb160a52e7949a11.png)

And calculating out the gain of each term and adding them together will give the gain of the system at that frequency.

### Bode Gain Approximations

The slope of a straight line on a Bode magnitude plot is measured in units of **dB/Decade**, because the units on the vertical axis are dB, and the units on the horizontal axis are decades.

The value ω = 0 is infinitely far to the left of the bode plot (because a logarithmic scale never reaches zero), so finding the value of the gain at ω = 0 essentially sets that value to be the gain for the Bode plot from all the way on the left of the graph up till the first break point. The value of the slope of the line at ω = 0 is 0dB/Decade.

From each pole break point, the slope of the line decreases by 20dB/Decade. The line is straight until it reaches the next break point. From each zero break point the slope of the line increases by 20dB/Decade. Double, triple, or higher amounts of repeat poles and zeros affect the gain by multiplicative amounts. Here are some examples:

  * 2 poles: -40dB/Decade
  * 10 poles: -200dB/Decade
  * 5 zeros: +100dB/Decade

## Bode Phase Plots

**Bode phase plots** are plots of the phase shift to an input waveform dependent on the frequency characteristics of the system input. Again, the Laplace transform does not account for the phase shift characteristics of the system, but the Fourier Transform can. The phase of a complex function, in "real+imaginary" form is given as:

    ![\\angle T\(j\\omega\) = \\tan^{-1}\\left\(\\frac{X}{R}\\right\)](../../../upload.wikimedia.org/math/c/b/3/cb3b180629d3d41ae257144cc9067f68.png)

## Bode Procedure

Given a frequency response in pole-zero form:

    ![T\(j\\omega\) = A\\frac{\\prod_n|j\\omega + z_n|}{\\prod_m|j\\omega + p_m|}](../../../upload.wikimedia.org/math/1/d/c/1dc2cf61c7053e13e26795feeb3b3cc7.png)

Where A is a non-zero constant (can be negative or positive).

Here are the steps involved in sketching the approximate Bode magnitude plots:

**Bode Magnitude Plots**

Step 1
    Factor the transfer function into pole-zero form.
Step 2
    Find the frequency response from the Transfer function.
Step 3
    Use logarithms to separate the frequency response into a sum of decibel terms
Step 4
    Use ![\\omega = 0](../../../upload.wikimedia.org/math/7/3/8/73817ca1bf6e341141a67d943db2f2e7.png) to find the starting magnitude.
Step 5
    The locations of every pole and every zero are called **break points**. At a zero breakpoint, the slope of the line increases by 20dB/Decade. At a pole, the slope of the line decreases by 20dB/Decade.
Step 6
    At a zero breakpoint, the value of the actual graph differs from the value of the straight-line graph by 3dB. A zero is +3dB over the straight line, and a pole is -3dB below the straight line.
Step 7
    Sketch the actual bode plot as a smooth-curve that follows the straight lines of the previous point, and travels through the breakpoints.

Here are the steps to drawing the Bode phase plots:

**Bode Phase Plots**

Step 1
    If A is positive, start your graph (with zero slope) at 0 degrees. If A is negative, start your graph with zero slope at 180 degrees (or -180 degrees, they are the same thing).
Step 2
    For every zero, slope the line **up** at 45 degrees per decade when ![ \\omega = \\frac{z_n}{10} ](../../../upload.wikimedia.org/math/6/8/2/682c3ac0124b8062b9f80696bbd58014.png) (1 decade before the break frequency). Multiple zeros means the slope is steeper.
Step 3
    For every pole, slope the line **down** at 45 degrees per decade when ![ \\omega = \\frac{p_m}{10} ](../../../upload.wikimedia.org/math/7/c/2/7c2ad2ed5b9b38a69766dc489f26b8e4.png) (1 decade before the break frequency). Multiple poles means the slope is steeper.
Step 4
    Flatten the slope again when the phase has changed by 90 degrees (for a zero) or -90 degrees (for a pole) (or larger values, for multiple poles or multiple zeros.

## Examples

### Example: Constant Gain

Draw the bode plot of an amplifier system, with a constant gain increase of 6dB.

Because the gain value is constant, and is not dependent on the frequency, we know that the value of the magnitude graph is constant at all places on the graph. There are no break points, so the slope of the graph never changes. We can draw the graph as a straight, horizontal line at 6dB:

![Bode-p.png](../../../upload.wikimedia.org/wikipedia/commons/5/58/Bode-p.png)

### Example: Integrator

Draw the bode plot of a perfect integrator system given by the transfer function:

    ![T\(s\) = \\frac{2}{s}](../../../upload.wikimedia.org/math/1/e/d/1ed788b7cee811467f713deea0c59b61.png)

First, we find the frequency response of the system, by a change of variables:

    ![T\(j\\omega\) = \\frac{2}{j\\omega}](../../../upload.wikimedia.org/math/a/e/f/aefc365213b709b997aacdc161010d5e.png)

Then we convert our magnitude into logarithms:

    ![Gain = 20\\log\(2\) - 20\\log\(j\\omega\)](../../../upload.wikimedia.org/math/c/d/b/cdbea836ec5d63a083b3cebbe7b453fb.png)

Notice that the location of the break point for the pole is located at ω → 0, which is all the way to the left of the graph. Also, we notice that inserting 0 in for ω gives us an undefined value (which approaches negative infinity, as the limit). We know, because there is a single pole at zero, that the graph to the right of zero (which is everywhere) has a slope of -20dB/Decade. We can determine from our magnitude calculation by plugging in ω → 1 that the second term drops out, and the magnitude at that point is 6dB. We now have the slope of the line, and a point that it intersects, and we can draw the graph:

![Bode-i.png](../../../upload.wikimedia.org/wikipedia/commons/1/1d/Bode-i.png)

### Example: Differentiator

    ![T\(j\\omega\) = 2j\\omega](../../../upload.wikimedia.org/math/b/f/a/bfa64aa9870372cc59ca203895359bcc.png)

![Bode-d.png](../../../upload.wikimedia.org/wikipedia/commons/c/c0/Bode-d.png)

### Example: 1st Order, Low-pass Filter (1 Break Point)

    ![T\(j\\omega\) = \\frac{2}{s+1}](../../../upload.wikimedia.org/math/8/7/3/873815104b548216269c445f46add683.png)

![Bode-pt1.png](../../../upload.wikimedia.org/wikipedia/commons/8/8a/Bode-pt1.png)

## Further Reading

  * [Bode plot online generator (real and asymptotic)](http://www.onmyphd.com/?p=bode.plot)
  * [Circuit Theory/Bode Plots](http://en.wikibooks.org/wiki/Circuit_Theory/Bode_Plots)
  * [Bode Plots on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Bode_Plot)

  


  


# Nichols Charts

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Bode Plots](http://en.wikibooks.org/wiki/Control_Systems/Bode_Plots)
[Stability →](http://en.wikibooks.org/wiki/Control_Systems/Stability)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## Nichols Charts

This page will talk about the use of Nichols charts to analyze frequency-domain characteristics of control systems.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Nichols plot**_](http://en.wikipedia.org/wiki/Nichols_plot)

  


  


  
  


Stability

System stability is an important topic, because unstable systems may not perform correctly, and may actually be harmful to people. There are a number of different methods and tools that can be used to determine system stability, depending on whether you are in the state-space, or the complex domain.

  


# Stability

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Nichols Charts](http://en.wikibooks.org/wiki/Control_Systems/Nichols_Charts)
[State-Space Stability →](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Stability)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Stability

When a system is unstable, the output of the system may be infinite even though the input to the system was finite. This cause a number of practical problems. For instance, a robot arm controller that is unstable may cause the robot to move dangerously. Also, systems that are unstable often incur a certain amount of physical damage, which can become costly. Nonetheless, many systems are inherently unstable - a fighter jet, for instance, or a rocket at liftoff, are examples of naturally unstable systems. Although we can design controllers that stabilize the system, it is first important to understand what stability is, how it is determined, and why it matters.

The chapters in this section are heavily mathematical, and many require a background in linear differential equations. Readers without a strong mathematical background might want to review the necessary chapters in the [Calculus](http://en.wikibooks.org/wiki/Calculus) and [Ordinary Differential Equations](http://en.wikibooks.org/wiki/Ordinary_Differential_Equations) books (or equivalent) before reading this material.

For most of this chapter we will be assuming that the system is linear, and can be represented either by a set of transfer functions or in state space. Linear systems have an associated characteristic polynomial, and this polynomial tells us a great deal about the stability of the system. Negativeness of any coefficient of a characteristic polynomial indicates that the system is either unstable or at most marginally stable. If any coefficient is zero/negative then we can say that the system is unstable. It is important to note, though, that even if all of the coefficients of the characteristic polynomial are positive the system may still be unstable. We will look into this in more detail below.

## BIBO Stability

A system is defined to be **BIBO Stable** if every bounded input to the system results in a bounded output over the time interval ![\[t_0, \\infty\)](../../../upload.wikimedia.org/math/d/5/e/d5ebe8c48610ea3e3508c508083dd38d.png). This must hold for all initial times to. So long as we don't input infinity to our system, we won't get infinity output.

A system is defined to be **uniformly BIBO Stable** if there exists a positive constant _k_ that is independent of t0 such that for all t0 the following conditions:

    ![\\|u\(t\)\\| \\le 1](../../../upload.wikimedia.org/math/b/3/c/b3cd137fbb944ebccf6fabc4d7fc773e.png)

    ![ t \\ge t_0](../../../upload.wikimedia.org/math/5/5/a/55a76fe03a4bf25266fca0b059d0873b.png)

implies that

    ![\\|y\(t\)\\| \\le k](../../../upload.wikimedia.org/math/e/d/d/edd6fa747126c9d5c01e68108668bf38.png)

There are a number of different types of stability, and keywords that are used with the topic of stability. Some of the important words that we are going to be discussing in this chapter, and the next few chapters are: **BIBO Stable**, **Marginally Stable**, **Conditionally Stable**, **Uniformly Stable**, **Asymptoticly Stable**, and **Unstable**. All of these words mean slightly different things.

## Determining BIBO Stability

We can prove mathematically that a system f is BIBO stable if an arbitrary input x is bounded by two finite but large arbitrary constants M and -M:

    ![-M < x \\le M](../../../upload.wikimedia.org/math/4/2/3/42316bc8994362251383ad9881985033.png)

We apply the input x, and the arbitrary boundaries M and -M to the system to produce three outputs:

    ![y_x = f\(x\)](../../../upload.wikimedia.org/math/7/a/2/7a2a5090d638d175343c571cb786fb75.png)
    ![y_M = f\(M\)](../../../upload.wikimedia.org/math/4/7/3/4735e9052f5b12808e78ed4b00d783c9.png)
    ![y_{-M} = f\(-M\)](../../../upload.wikimedia.org/math/7/0/0/7000fe7c2c99f289711ea3ed1d286230.png)

Now, all three outputs should be finite for all possible values of M and x, and they should satisfy the following relationship:

    ![y_{-M} \\le y_x \\le y_M](../../../upload.wikimedia.org/math/0/a/d/0ad11fae06c0172cdd29f34b9fbdd614.png)

If this condition is satisfied, then the system is BIBO stable.

A SISO linear time-invariant (LTI) system is BIBO stable if and only if ![g\(t\)](../../../upload.wikimedia.org/math/0/9/6/096254c7552111f593bb632a91205f32.png) is absolutely integrable from [0,∞] or from:

    ![\\int_{0}^{\\infty} |g\(t\)| \\,dt \\leq M < {\\infty}](../../../upload.wikimedia.org/math/f/e/c/fec5e05f2306b837f1f57f9a3ebbcd4c.png)

### Example

Consider the system:

    ![h\(t\) = \\frac{2}{t}](../../../upload.wikimedia.org/math/f/b/4/fb4f8ec02c926328ce8657fcd7292e9f.png)

We can apply our test, selecting an arbitrarily large finite constant M, and an arbitrary input x such that -M < x < M.

As M approaches infinity (but does not reach infinity), we can show that:

    ![y_{-M} = \\lim_{M \\to \\infty} \\frac{2}{-M} = 0^-](../../../upload.wikimedia.org/math/7/d/1/7d1b96ed19e29158b8ee7c469c4f785e.png)

And:

    ![y_M = \\lim_{M \\to \\infty} \\frac{2}{M} = 0^+](../../../upload.wikimedia.org/math/6/9/5/695e171d70c814d2c55538860be61912.png)

So now, we can write out our inequality:

    ![y_{-M} \\le y_x \\le y_M](../../../upload.wikimedia.org/math/0/a/d/0ad11fae06c0172cdd29f34b9fbdd614.png)
    ![0^- \\le x < 0^+](../../../upload.wikimedia.org/math/5/5/7/55701c4060e47575d352530fefbfee31.png)

And this inequality should be satisfied for all possible values of x. However, we can see that when x is zero, we have the following:

    ![y_x = \\lim_{x \\to 0} \\frac{2}{x} = \\infty](../../../upload.wikimedia.org/math/e/d/8/ed870b46bc60c0aae81bb22009e724aa.png)

Which means that x is between -M and M, but the value yx is not between y-M and yM. Therefore, this system is not stable.

## Poles and Stability

When the poles of the closed-loop transfer function of a given system are located in the right-half of the S-plane (RHP), the system becomes unstable. When the poles of the system are located in the left-half plane (LHP) and the system is not improper, the system is shown to be stable. A number of tests deal with this particular facet of stability: The **Routh-Hurwitz Criteria**, the **Root-Locus**, and the **Nyquist Stability Criteria** all test whether there are poles of the transfer function in the RHP. We will learn about all these tests in the upcoming chapters.

If the system is a multivariable, or a MIMO system, then the system is stable if and only if _every pole of every transfer function_ in the transfer function matrix has a negative real part and every transfer function in the transfer function matrix is not improper. For these systems, it is possible to use the Routh-Hurwitz, Root Locus, and Nyquist methods described later, but these methods must be performed once for each individual transfer function in the transfer function matrix.

## Poles and Eigenvalues

**Note:**  
Every pole of G(s) is an eigenvalue of the system matrix A. However, not every eigenvalue of A is a pole of G(s).

The poles of the transfer function, and the eigenvalues of the system matrix A are related. In fact, we can say that the eigenvalues of the system matrix A _are the poles of the transfer function_ of the system. In this way, if we have the eigenvalues of a system in the state-space domain, we can use the Routh-Hurwitz, and Root Locus methods as if we had our system represented by a transfer function instead.

On a related note, eigenvalues and all methods and mathematical techniques that use eigenvalues to determine system stability _only work with time-invariant systems_. In systems which are time-variant, the methods using eigenvalues to determine system stability fail.

## Transfer Functions Revisited

We are going to have a brief refesher here about transfer functions, because several of the later chapters will use transfer functions for analyzing system stability.

Let us remember our generalized feedback-loop transfer function, with a gain element of K, a forward path Gp(s), and a feedback of Gb(s). We write the transfer function for this system as:

    ![ H_{cl}\(s\) = \\frac{KGp\(s\)}{1 + H_{ol}\(s\)}](../../../upload.wikimedia.org/math/2/e/8/2e809d5a00c399a82149a39f772f7718.png)

Where ![H_{cl}](../../../upload.wikimedia.org/math/c/b/1/cb1f71b3c9530dae8914f64ea9812155.png) is the closed-loop transfer function, and ![H_{ol}](../../../upload.wikimedia.org/math/2/2/7/2272fb924eef0854540032394b3ee632.png) is the open-loop transfer function. Again, we define the open-loop transfer function as the product of the forward path and the feedback elements, as such:

    ![H_{ol}\(s\) = KGp\(s\)Gb\(s\)](../../../upload.wikimedia.org/math/e/2/e/e2ebe5f4beb3d09b57178d207b79a04f.png) <\---Note this definition now contradicts the updated definition in the "Feedback" section.

Now, we can define F(s) to be the **characteristic equation**. F(s) is simply the denominator of the closed-loop transfer function, and can be defined as such:

  


[Characteristic Equation]

    ![F\(s\) = 1 + H_{ol} = D\(s\)](../../../upload.wikimedia.org/math/9/f/1/9f12f587508fa7625d310ed1a1991abf.png)

We can say conclusively that the roots of the characteristic equation are the poles of the transfer function. Now, we know a few simple facts:

  1. The locations of the poles of the closed-loop transfer function determine if the system is stable or not
  2. The zeros of the characteristic equation are the poles of the closed-loop transfer function.
  3. The characteristic equation is always a simpler equation than the closed-loop transfer function.

These functions combined show us that we can focus our attention on the characteristic equation, and find the roots of that equation.

## State-Space and Stability

As we have discussed earlier, the system is stable if the eigenvalues of the system matrix A have negative real parts. However, there are other stability issues that we can analyze, such as whether a system is _uniformly stable_, _asymptotically stable_, or otherwise. We will discuss all these topics in a later chapter.

## Marginal Stablity

When the poles of the system in the complex S-Domain exist on the complex frequency axis (the vertical axis), or when the eigenvalues of the system matrix are imaginary (no real part), the system exhibits oscillatory characteristics, and is said to be marginally stable. A marginally stable system may become unstable under certain circumstances, and may be perfectly stable under other circumstances. It is impossible to tell by inspection whether a marginally stable system will become unstable or not.

We will discuss marginal stability more in the following chapters.

  


  
  


# Introduction to Digital Controls

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← State-Space Stability](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Stability)
[Routh-Hurwitz Criterion →](http://en.wikibooks.org/wiki/Control_Systems/Routh-Hurwitz_Criterion)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Discrete-Time Stability

The stability analysis of a discrete-time or digital system is similar to the analysis for a continuous time system. However, there are enough differences that it warrants a separate chapter.

## Input-Output Stability

### Uniform Stability

An LTI causal system is uniformly BIBO stable if there exists a positive constant L such that the following conditions:

    ![x\[n_0\] = 0](../../../upload.wikimedia.org/math/2/1/2/21277c2a33769a2a2be59f81bc78d17b.png)

    ![\\|u\[n\]\\| \\le k](../../../upload.wikimedia.org/math/7/b/a/7ba69084c7f434f2a5afc066c9ca5bda.png)

    ![k \\ge 0](../../../upload.wikimedia.org/math/3/a/c/3acdf0b0099210f9695d4958c9919492.png)

imply that

    ![ \\|y\[n\]\\| \\le L](../../../upload.wikimedia.org/math/4/2/4/42483b6a253567173c87e0e8a5fd0dba.png)

### Impulse Response Matrix

We can define the **impulse response matrix** of a discrete-time system as:

  


[Impulse Response Matrix]

    ![G\[n\] = \\left\\{\\begin{matrix}CA^{k-1}B & \\mbox{ if } k > 0 \\\\ 0 & \\mbox{ if } k \\le 0\\end{matrix}\\right.](../../../upload.wikimedia.org/math/f/0/1/f015eb8791e288cd6a58ff4c5650903c.png)

Or, in the general time-varying case:

    ![G\[n\] = \\left\\{\\begin{matrix}C\\phi\[n, n_0\]B & \\mbox{ if } k > 0 \\\\ 0 & \\mbox{ if } k \\le 0\\end{matrix}\\right.](../../../upload.wikimedia.org/math/2/a/a/2aaf30f50a4f3f4ee27d893869f0e7d0.png)

A digital system is BIBO stable if and only if there exists a positive constant _L_ such that for all non-negative _k_:

    ![\\sum_{n = 0}^{k}\\|G\[n\]\\| \\le L](../../../upload.wikimedia.org/math/9/0/3/90329432cf1aa26e64e15751f4e48e4e.png)

## Stability of Transfer Function

A MIMO discrete-time system is BIBO stable if and only if every pole of every transfer function in the transfer function matrix has a magnitude less than 1. All poles of all transfer functions must exist inside the unit circle on the Z plane.

## Lyapunov Stability

There is a discrete version of the Lyapunov stability theorem that applies to digital systems. Given the **discrete Lyapunov equation**:

  


[Digital Lypapunov Equation]

    ![A^TMA - M = -N](../../../upload.wikimedia.org/math/e/1/4/e149daaad0a1adc46b34b347c89edc89.png)

We can use this version of the Lyapunov equation to define a condition for stability in discrete-time systems:

Lyapunov Stability Theorem (Digital Systems)
    A digital system with the system matrix A is asymptotically stable if and only if there exists a unique matrix M that satisfies the Lyapunov Equation for every positive definite matrix N.

## Poles and Eigenvalues

Every pole of G(z) is an eigenvalue of the system matrix A. Not every eigenvalue of A is a pole of G(z). Like the poles of the transfer function, all the eigenvalues of the system matrix must have magnitudes less than 1. Mathematically:

    ![\\sqrt{\\operatorname{Re}\(z\)^2 + \\operatorname{Im}\(z\)^2} \\le 1](../../../upload.wikimedia.org/math/2/1/e/21ee03ac94573281073d5f941ffdbb1e.png)

If the magnitude of the eigenvalues of the system matrix A, or the poles of the transfer functions are greater than 1, the system is unstable.

## Finite Wordlengths

Digital computer systems have an inherent problem because implementable computer systems have finite wordlengths to deal with. Some of the issues are:

  1. Real numbers can only be represented with a finite precision. Typically, a computer system can only accurately represent a number to a finite number of decimal points.
  2. Because of the fact above, computer systems with feedback can compound errors with each program iteration. Small errors in one step of an algorithm can lead to large errors later in the program.
  3. Integer numbers in computer systems have finite lengths. Because of this, integer numbers will either **roll-over**, or **saturate**, depending on the design of the computer system. Both situations can create inaccurate results.

  


  


  
  


# Routh-Hurwitz Criterion

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Discrete Time Stability](http://en.wikibooks.org/wiki/Control_Systems/Discrete_Time_Stability)
[Jurys Test →](http://en.wikibooks.org/wiki/Control_Systems/Jurys_Test)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Stability Criteria

The Routh-Hurwitz stability criterion provides a simple algorithm to decide whether or not the zeros of a polynomial are all in the left half of the complex plane (such a polynomial is called at times "Hurwitz"). A Hurwitz polynomial is a key requirement for a linear continuous-time time invariant to be stable (all bounded inputs produce bounded outputs).

Necessary stability conditions
    Conditions that must hold for a polynomial to be Hurwitz.

If any of them fails - the polynomial is not stable. However, they may all hold without implying stability.

Sufficient stability conditions
    Conditions that if met imply that the polynomial is stable. However, a polynomial may be stable without implying some or any of them.

The Routh criteria provides condition that are both necessary and sufficient for a polynomial to be Hurwitz.

## Routh-Hurwitz Criteria

The Routh-Hurwitz criteria is comprised of three separate tests that must be satisfied. If any single test fails, the system is not stable and further tests need not be performed. For this reason, the tests are arranged in order from the easiest to determine to the hardest.

The Routh Hurwitz test is performed on the denominator of the transfer function, the **characteristic equation**. For instance, in a closed-loop transfer function with G(s) in the forward path, and H(s) in the feedback loop, we have:

    ![T\(s\) = \\frac{G\(s\)}{1 + G\(s\)H\(s\)}](../../../upload.wikimedia.org/math/8/4/4/844eac21d27c0df9cd111b9be06a22f2.png)

If we simplify this equation, we will have an equation with a numerator N(s), and a denominator D(s):

    ![T\(s\) = \\frac{N\(s\)}{D\(s\)}](../../../upload.wikimedia.org/math/7/5/a/75aba0fe174b5d5946b62a7ad38602d1.png)

The Routh-Hurwitz criteria will focus on the denominator polynomial D(s).

### Routh-Hurwitz Tests

Here are the three tests of the Routh-Hurwitz Criteria. For convenience, we will use N as the order of the polynomial (the value of the highest exponent of s in D(s)). The equation D(s) can be represented generally as follows:

    ![D\(s\) = a_0 + a_1s + a_2s^2 + \\cdots + a_Ns^N](../../../upload.wikimedia.org/math/7/f/e/7fe8ac1531758773d11695abd4a86d04.png)

Rule 1
    All the coefficients ai must be present (non-zero)
Rule 2
    All the coefficients ai must be positive (equivalently all of them must be negative, with no sign change)
Rule 3
    If **Rule 1** and **Rule 2** are both satisfied, then form a **Routh array** from the coefficients ai. There is one pole in the right-hand s-plane for every sign change of the members in the first column of the Routh array (any sign changes, therefore, mean the system is unstable).

We will explain the Routh array below.

### The Routh Array

The Routh array is formed by taking all the coefficients ai of D(s), and staggering them in array form. The final columns for each row should contain zeros:

    ![\\begin{matrix}s^N \\\\ s^{N-1} \\end{matrix}
       \\begin{vmatrix}a_N & a_{N - 2} & \\cdots & 0 \\\\ a_{N-1} & a_{N-3} & \\cdots & 0 
 \\end{vmatrix}](../../../upload.wikimedia.org/math/6/9/1/69195d14eb3f01867044a67aa3a33145.png)

Therefore, if N is odd, the top row will be all the odd coefficients. If N is even, the top row will be all the even coefficients. We can fill in the remainder of the Routh Array as follows:

    ![\\begin{matrix}s^N \\\\ s^{N-1} \\\\  \\\\  \\\\ s^0 \\end{matrix}
       \\begin{vmatrix}a_N & a_{N - 2} & \\cdots & 0 
                   \\\\ a_{N-1} & a_{N-3} & \\cdots & 0
                   \\\\ b_{N-1} & b_{N-3} & \\cdots
                   \\\\ c_{N-1} & c_{N-3} & \\cdots
                   \\\\ \\cdots
 \\end{vmatrix}](../../../upload.wikimedia.org/math/9/5/d/95d86263947519b29e99a3a1f29bf341.png)

Now, we can define all our b, c, and other coefficients, until we reach row s0. To fill them in, we use the following formulae:

    ![b_{N-1} = \\frac{-1}{a_{N-1}}\\begin{vmatrix}a_N & a_{N-2} \\\\ a_{N-1} & a_{N-3}\\end{vmatrix}](../../../upload.wikimedia.org/math/9/5/8/958217c30086f9876cdec9ce690e716d.png)

And

    ![b_{N-3} = \\frac{-1}{a_{N-1}}\\begin{vmatrix}a_N & a_{N-4} \\\\ a_{N-1} & a_{N-5}\\end{vmatrix}](../../../upload.wikimedia.org/math/f/7/5/f75b179ab448d1589ae789563e03ad24.png)

For each row that we are computing, we call the left-most element in the row directly above it the **pivot element**. For instance, in row b, the pivot element is aN-1, and in row c, the pivot element is bN-1 and so on and so forth until we reach the bottom of the array.

To obtain any element, we negate the determinant of the following matrix, and divide by the pivot element:

    ![\\begin{vmatrix}k & m \\\\ l & n \\end{vmatrix}](../../../upload.wikimedia.org/math/1/6/4/164f8be14f4a8b72b1bd64e66e744cd8.png)

Where:

  * **k** is the left-most element two rows above the current row.
  * **l** is the pivot element.
  * **m** is the element two rows up, and one column to the right of the current element.
  * **n** is the element one row up, and one column to the right of the current element.

In terms of **k l m n**, our equation is:

    ![v = \\frac{\(lm\) - \(kn\)}{l}](../../../upload.wikimedia.org/math/f/d/3/fd35603907aeb5093363c9058521cfb8.png)

### Example: Calculating CN-3

To calculate the value CN-3, we must determine the values for **k l m** and **n**:

  * **k** is the left-most element two rows up: aN-1
  * **l** the pivot element, is the left-most element one row up: bN-1
  * **m** is the element from one-column to the right, and up two rows: aN-5
  * **n** is the element one column right, and one row up: bN-5

Plugging this into our equation gives us the formula for CN-3:

    ![\\frac{-1}{b_{N-1}}\\begin{vmatrix}a_{N-1} & a_{N-5} \\\\ b_{N-1} & b_{N-5} \\end{vmatrix} = \\frac{a_{N-1}b_{N-5} - b_{N-1}a_{N-5}}{- b_{N-1}}](../../../upload.wikimedia.org/math/b/5/a/b5ab4af3504f89d94d5176823316fc6a.png)

### Example: Stable Third Order System

We are given a system with the following characteristic equation:

    ![D\(s\) =s^3 + 2s^2 + 4s + 3](../../../upload.wikimedia.org/math/1/9/1/191c33623d4dff74e7c6e519f1dec8e3.png)

Using the first two requirements, we see that all the coefficients are non-zero, and all of the coefficients are positive. We will proceed then to construct the Routh-Array:

    ![\\begin{matrix}s^3 \\\\ s^2 \\\\ s^1 \\\\ s^0 \\end{matrix}
       \\begin{vmatrix}1 & 4 & 0 
                    \\\\ 2 & 3 & 0 
                    \\\\ b_{N-1} & b_{N-3} & 0
                    \\\\ c_{N-1} & c_{N-3} & 0
 \\end{vmatrix}](../../../upload.wikimedia.org/math/a/f/b/afbe1ba9fbe9790606a89880922b10e4.png)

And we can calculate out all the coefficients:

    ![b_{N-1} = \\frac{\(2\)\(4\) - \(1\)\(3\)}{2} = \\frac{5}{2}](../../../upload.wikimedia.org/math/f/8/f/f8fa459c1ee2d6706998537a42807b16.png)
    ![b_{N-3} = \\frac{\(2\)\(0\) - \(0\)\(1\)}{2} = 0](../../../upload.wikimedia.org/math/8/1/3/813b408b1a8da5dd9cfb4596611d31b3.png)
    ![c_{N-1} = \\frac{\(3\)\\left\(\\frac{5}{2}\\right\) - \(2\)\(0\)}{\\frac{5}{2}} = 3](../../../upload.wikimedia.org/math/8/f/7/8f747cda379c165bd98e5723de05a73f.png)
    ![c_{N-3} = \\frac{\(2\)\(0\) - \\left\(\\frac{5}{2}\\right\)\(0\)}{\\frac{5}{2}} = 0](../../../upload.wikimedia.org/math/7/f/c/7fc446c4dd8061e8bac2623fbc70f35c.png)

And filling these values into our Routh Array, we can determine whether the system is stable:

    ![\\begin{matrix}s^3 \\\\ s^2 \\\\ s^1 \\\\ s^0 \\end{matrix}
       \\begin{vmatrix}1 & 4 & 0 
                    \\\\ 2 & 3 & 0 
                    \\\\ \\frac{5}{2} & 0 & 0
                    \\\\ 3 & 0 & 0
 \\end{vmatrix}](../../../upload.wikimedia.org/math/a/5/d/a5d28d7a865c9c6b6cdd8b8efb246b2b.png)

From this array, we can clearly see that all of the signs of the first column are positive, there are no sign changes, and therefore there are no poles of the characteristic equation in the RHP.

### Special Case: Row of All Zeros

If, while calculating our Routh-Hurwitz, we obtain a row of all zeros, we do not stop, but can actually learn more information about our system. If we obtain a row of all zeros, we can replace the zeros with a value ε, that we define as being an infinitely small positive number. We can use the value of epsilon in our equations, and when we are done constructing the Routh Array, we can take the limit as epsilon approaches 0 to determine the final format of our Routh array.

If we have a row of all zeros, the row directly above it is known as the **Auxiliary Polynomial**, and can be very helpful. The roots of the auxiliary polynomial give us the precise locations of complex conjugate roots that lie on the jω axis. However, one important point to notice is that if there are repeated roots on the jω axis, the system is actually **unstable**. Therefore, we must use the auxiliary polynomial to determine whether the roots are repeated or not.

### Special Case: Zero in the First Column

In this special case, there is a zero in the first column of the Routh Array, but the other elements of that row are non-zero. Like the above case, we can replace the zero with a small variable epsilon (ε) and use that variable to continue our calculations. After we have constructed the entire array, we can take the limit as epsilon approaches zero to get our final values.

  


  


# Jury's Test

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Routh-Hurwitz Criterion](http://en.wikibooks.org/wiki/Control_Systems/Routh-Hurwitz_Criterion)
[Root Locus →](http://en.wikibooks.org/wiki/Control_Systems/Root_Locus)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Routh-Hurwitz in Digital Systems

Because of the differences in the Z and S domains, the Routh-Hurwitz criteria can not be used directly with digital systems. This is because digital systems and continuous-time systems have different regions of stability. However, there are some methods that we can use to analyze the stability of digital systems. Our first option (and arguably not a very good option) is to convert the digital system into a continuous-time representation using the **bilinear transform**. The bilinear transform converts an equation in the Z domain into an equation in the W domain, that has properties similar to the S domain. Another possibility is to use **Jury's Stability Test**. Jury's test is a procedure similar to the RH test, except it has been modified to analyze digital systems in the Z domain directly.

### Bilinear Transform

One common, but time-consuming, method of analyzing the stability of a digital system in the z-domain is to use the bilinear transform to convert the transfer function from the z-domain to the w-domain. The w-domain is similar to the s-domain in the following ways:

  * Poles in the right-half plane are unstable
  * Poles in the left-half plane are stable
  * Poles on the imaginary axis are partially stable

The w-domain is warped with respect to the s domain, however, and except for the relative position of poles to the imaginary axis, they are not in the same places as they would be in the s-domain.

Remember, however, that the Routh-Hurwitz criterion can tell us whether a pole is unstable or not, and nothing else. Therefore, it doesn't matter where exactly the pole is, so long as it is in the correct half-plane. Since we know that stable poles are in the left-half of the w-plane and the s-plane, and that unstable poles are on the right-hand side of both planes, we can use the Routh-Hurwitz test on functions in the w domain exactly like we can use it on functions in the s-domain.

### Other Mappings

There are other methods for mapping an equation in the Z domain into an equation in the S domain, or a similar domain. We will discuss these different methods [in the **Appendix**](http://en.wikibooks.org/wiki/Control_Systems/Z_Transform_Mappings).

## Jury's Test

Jury's test is a test that is similar to the Routh-Hurwitz criterion, except that it can be used to analyze the stability of an LTI digital system in the Z domain. To use Jury's test to determine if a digital system is stable, we must check our z-domain characteristic equation against a number of specific rules and requirements. If the function fails any requirement, it is not stable. If the function passes all the requirements, it is stable. Jury's test is a necessary and sufficient test for stability in digital systems.

Again, we call D(z) the **characteristic polynomial** of the system. It is the denominator polynomial of the Z-domain transfer function. Jury's test will focus exclusively on the Characteristic polynomial. To perform Jury's test, we must perform a number of smaller tests on the system. If the system fails any test, it is unstable.

### Jury Tests

Given a characteristic equation in the form:

    ![D\(z\) = a_0 + a_1z + a_2z^2 + \\cdots + a_Nz^N](../../../upload.wikimedia.org/math/a/e/4/ae40bd02d0fc8fbcc09e9a5422658aa2.png)

The following tests determine whether this system has any poles outside the unit circle (the instability region). These tests will use the value N as being the degree of the characteristic polynomial.

The system must pass all of these tests to be considered stable. If the system fails any test, you may stop immediately: you do not need to try any further tests.

Rule 1
    If z is 1, the system output must be positive: 

    ![D\(1\) > 0](../../../upload.wikimedia.org/math/2/4/c/24c242c8d8f311cae975675ae213932b.png)

Rule 2
    If z is -1, then the following relationship must hold: 

    ![\(-1\)^ND\(-1\) > 0](../../../upload.wikimedia.org/math/2/d/2/2d28d4611c7d17fde96568d26e3075da.png)

Rule 3
    The absolute value of the constant term (a0) must be less than the value of the highest coefficient (aN): 

    ![|a_0| < a_N](../../../upload.wikimedia.org/math/c/4/d/c4d82343467629067ca60359b10946f7.png)

If **Rule 1** **Rule 2** and **Rule 3** are satisified, construct the **Jury Array** (discussed below).

Rule 4
    Once the Jury Array has been formed, all the following relationships must be satisifed until the end of the array: 

    ![|b_0| > |b_{N-1}|](../../../upload.wikimedia.org/math/3/f/9/3f998aea25bc07a013447f7e00599029.png)
    ![|c_0| > |c_{N-2}|](../../../upload.wikimedia.org/math/e/b/b/ebb48806f24d6c626db11cfe081cc46a.png)
    ![|d_0| > |d_{N-3}|](../../../upload.wikimedia.org/math/0/6/f/06f1a3cc5ba20497b461644005b0b9db.png)
    And so on until the last row of the array. If all these conditions are satisifed, the system is stable.

While you are constructing the Jury Array, you can be making the tests of **Rule 4**. If the Array fails **Rule 4** at any point, you can stop calculating the array: your system is unstable. We will discuss the construction of the Jury Array below.

### The Jury Array

The Jury Array is constructed by first writing out a row of coefficients, and then writing out another row with the same coefficients in reverse order. For instance, if your polynomial is a third order system, we can write the First two lines of the Jury Array as follows:

    ![\\overline{\\underline{
       \\begin{matrix} z^0 & z^1 & z^2 & z^3 & \\ldots & z^N
                   \\\\ a_0 & a_1 & a_2 & a_3 & \\ldots& a_N
                   \\\\ a_N & \\ldots & a_3 & a_2 & a_1 & a_0
       \\end{matrix}}}](../../../upload.wikimedia.org/math/e/9/7/e97f43d06b1c2e457b8109e077aed33f.png)

Now, once we have the first row of our coefficients written out, we add another row of coefficients (we will use **b** for this row, and **c** for the next row, as per our previous convention), and we will calculate the values of the lower rows from the values of the upper rows. Each new row that we add will have one fewer coefficient then the row before it:

    ![\\overline{\\underline{
       \\begin{matrix} 1\) & a_0 & a_1 & a_2 & a_3 & \\ldots & a_N
                   \\\\ 2\) & a_N & \\ldots & a_3 & a_2 & a_1 & a_0
                   \\\\ 3\) & b_0 & b_1 & b_2 & \\ldots & b_{N-1}
                   \\\\ 4\) & b_{N-1}& \\ldots & b_2 & b_1 & b_0
                   \\\\ \\vdots & \\vdots & \\vdots & \\vdots
                   \\\\ 2N-3\) & v_0 & v_1 & v_2
       \\end{matrix}}}](../../../upload.wikimedia.org/math/5/c/3/5c38849689c22930d81cfad0a87264c6.png)

Note: The last file is the (2N-3) file, and always has 3 elements. This test doesn't have sense if N=1, but in this case you know the pole!

Once we get to a row with 2 members, we can stop constructing the array.

To calculate the values of the odd-number rows, we can use the following formulae. The even number rows are equal to the previous row in reverse order. We will use k as an arbitrary subscript value. These formulae are reusable for all elements in the array:

    ![b_k =  \\begin{vmatrix} a_0 & a_{N-k} 
                           \\\\ a_N & a_k
              \\end{vmatrix}](../../../upload.wikimedia.org/math/c/f/e/cfe35501614807d16b2b311864b687d5.png)
    ![c_k =  \\begin{vmatrix} b_0 & b_{N-1-k} 
                           \\\\ b_{N-1} & b_k
              \\end{vmatrix}](../../../upload.wikimedia.org/math/c/5/9/c592e678e58332d75b80c87d1cf1597e.png)
    ![d_k =  \\begin{vmatrix} c_0 & c_{N-2-k} 
                           \\\\ c_{N-2} & c_k
              \\end{vmatrix}](../../../upload.wikimedia.org/math/2/1/8/2182c1717ca6227e232d4a0156c205a6.png)

This pattern can be carried on to all lower rows of the array, if needed.

### Example: Calculating e5

Give the equation for member e5 of the jury array (assuming the original polynomial is sufficiently large to require an e5 member).

Going off the pattern we set above, we can have this equation for a member e:

    ![e_k = \\begin{vmatrix} d_0 & d_{N-R-k} 
                          \\\\ d_{N-R} & d_k
             \\end{vmatrix}](../../../upload.wikimedia.org/math/b/6/6/b66fefcd9bdb526f810d59edddf41c15.png)

Where we are using R as the subtractive element from the above equations. Since row c had R → 1, and row d had R → 2, we can follow the pattern and for row e set R → 3. Plugging this value of R into our equation above gives us:

    ![e_k = \\begin{vmatrix} d_0 & d_{N-3-k} 
                          \\\\ d_{N-3} & d_k
             \\end{vmatrix}](../../../upload.wikimedia.org/math/6/d/3/6d36d0db95b88528e2d9dbd79af5b8c4.png)

And since we want e5 we know that k is 5, so we can substitute that into the equation:

    ![e_5 = \\begin{vmatrix} d_0 & d_{N-3-5} 
                          \\\\ d_{N-3} & d_5
             \\end{vmatrix}
           = \\begin{vmatrix} d_0 & d_{N-8} 
                          \\\\ d_{N-3} & d_5
             \\end{vmatrix}](../../../upload.wikimedia.org/math/8/e/3/8e30eef0660538a5bb767c6bd1995ad1.png)

When we take the determinant, we get the following equation:

    ![e_5 = d_0d_5 - d_{N-8}d_{N-3}](../../../upload.wikimedia.org/math/2/f/7/2f71de2c53aaa1012ae3a07332364c95.png)

## Further Reading

We will discuss the bilinear transform, and other methods to convert between the Laplace domain and the Z domain in the appendix:

  * [Z Transform Mappings](http://en.wikibooks.org/wiki/Control_Systems/Z_Transform_Mappings)

  


  


# Root Locus

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Jurys Test](http://en.wikibooks.org/wiki/Control_Systems/Jurys_Test)
[Nyquist Stability Criteria →](http://en.wikibooks.org/wiki/Control_Systems/Nyquist_Stability_Criteria)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

![Warning icon WikiBooks.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Warning_icon_WikiBooks.svg/35px-Warning_icon_WikiBooks.svg.png)

This book contains mathematical formulae that look better **[rendered as PNG](http://en.wikibooks.org/wiki/Wikibooks:Render_as_PNG)**.

  


## The Problem

Consider a system like a radio. The radio has a "volume" knob, that controls the amount of gain of the system. High volume means more power going to the speakers, low volume means less power to the speakers. As the volume value increases, the poles of the transfer function of the radio change, and they might potentially become unstable. We would like to find out _if_ the radio becomes unstable, and if so, we would like to find out what values of the volume cause it to become unstable. Our current methods would require us to plug in each new value for the volume (gain, "K"), and solve the open-loop transfer function for the roots. This process can be a long one. Luckily, there is a method called the **root-locus** method, that allows us to graph the locations of all the poles of the system for all values of gain, K.

## Root-Locus

As we change gain, we notice that the system poles and zeros actually move around in the [S-plane](http://en.wikibooks.org/w/index.php?title=S-plane&action=edit&redlink=1). This fact can make life particularly difficult, when we need to solve higher-order equations repeatedly, for each new gain value. The solution to this problem is a technique known as **Root-Locus** graphs. Root-Locus allows you to graph the locations of the poles and zeros _for every value of gain_, by following several simple rules. As we know that a fan switch also can control the speed of the fan.

Let's say we have a closed-loop transfer function for a particular system:

    ![\\frac{N\(s\)}{D\(s\)} = \\frac{KG\(s\)}{1 + KG\(s\)H\(s\)}](../../../upload.wikimedia.org/math/d/4/c/d4c3925a780e8c76e079713ddb62a161.png)

Where N is the numerator polynomial and D is the denominator polynomial of the transfer functions, respectively. Now, we know that to find the poles of the equation, we must set the denominator to 0, and solve the characteristic equation. In other words, the locations of the poles of a specific equation must satisfy the following relationship:

    ![D\(s\) = 1 + KG\(s\)H\(s\) = 0](../../../upload.wikimedia.org/math/d/a/3/da311b9092f5753640cadd337b0569cd.png)

from this same equation, we can manipulate the equation as such:

    ![1 + KG\(s\)H\(s\) = 0](../../../upload.wikimedia.org/math/2/3/0/23010560c14479b76ac7412ce6323968.png)

    ![KG\(s\)H\(s\) = -1](../../../upload.wikimedia.org/math/4/3/5/435ef5767ec4a75163e6295efe8e1f0c.png)

And finally by converting to polar coordinates:

    ![\\angle KG\(s\)H\(s\) = 180^\\circ](../../../upload.wikimedia.org/math/2/7/0/2706b158a5ec2a7f5d3c8623c4b6f77d.png)

Now we have 2 equations that govern the locations of the poles of a system for all gain values:

  


[The Magnitude Equation]

    ![1 + KG\(s\)H\(s\) = 0](../../../upload.wikimedia.org/math/2/3/0/23010560c14479b76ac7412ce6323968.png)

  


[The Angle Equation]

    ![\\angle KG\(s\)H\(s\) = 180^\\circ](../../../upload.wikimedia.org/math/2/7/0/2706b158a5ec2a7f5d3c8623c4b6f77d.png)

### Digital Systems

The same basic method can be used for considering digital systems in the Z-domain:

    ![\\frac{N\(z\)}{D\(z\)} = \\frac{KG\(z\)}{1 + K\\overline{GH}\(z\)}](../../../upload.wikimedia.org/math/7/0/7/707eec4e9d6732e62b8cd269ec6806c8.png)

Where N is the numerator polynomial in z, D is the denominator polynomial in z, and ![\\overline{GH}\(z\)](../../../upload.wikimedia.org/math/4/8/1/481a36ef625aa4f4bf6f7d35d6729364.png) is the open-loop transfer function of the system, in the Z domain.

The denominator D(z), by the definition of the characteristic equation is equal to:

    ![D\(z\) = 1 + K\\overline{GH}\(z\) = 0](../../../upload.wikimedia.org/math/9/1/9/919eb474133f14e48c0f3bd13228ee31.png)

We can manipulate this as follows:

    ![1 + K\\overline{GH}\(z\) = 0](../../../upload.wikimedia.org/math/6/3/9/639e531b828e1d16ff5b8309b35e5d46.png)
    ![K\\overline{GH}\(z\) = -1](../../../upload.wikimedia.org/math/a/f/5/af5d11e7fcee32cdc8abbdeb553ac092.png)

We can now convert this to polar coordinates, and take the angle of the polynomial:

    ![\\angle K\\overline{GH}\(z\) = 180^\\circ](../../../upload.wikimedia.org/math/d/0/c/d0c115766908920ae7d327fd4b07f566.png)

We are now left with two important equations:

  


[The Magnitude Equation]

    ![1 + K\\overline{GH}\(z\) = 0](../../../upload.wikimedia.org/math/6/3/9/639e531b828e1d16ff5b8309b35e5d46.png)

  


[The Angle Equation]

    ![\\angle K\\overline{GH}\(z\) = 180^\\circ](../../../upload.wikimedia.org/math/d/0/c/d0c115766908920ae7d327fd4b07f566.png)

If you will compare the two, the Z-domain equations are nearly identical to the S-domain equations, and act exactly the same. For the remainder of the chapter, we will only consider the S-domain equations, with the understanding that digital systems operate in nearly the same manner.

## The Root-Locus Procedure

**Note:**  
In this section, the rules for the S-Plane and the Z-plane are the same, so we won't refer to the differences between them.

In the transform domain (see note at right), when the gain is small, the poles start at the poles of the open-loop transfer function. When gain becomes infinity, the poles move to overlap the zeros of the system. This means that on a root-locus graph, all the poles move towards a zero. Only one pole may move towards one zero, and this means that there must be the same number of poles as zeros.

If there are fewer zeros than poles in the transfer function, there are a number of implicit zeros located at infinity, that the poles will approach.

First thing, we need to convert the magnitude equation into a slightly more convenient form:

    ![KG\(s\)H\(s\) + 1 = 0 \\to G\(s\)H\(s\) = \\frac{-1}{K}](../../../upload.wikimedia.org/math/7/8/b/78b7f2a04104627977686b2f3be68a3a.png)

**Note:**  
We generally use capital letters for functions in the frequency domain, but **a(s)** and **b(s)** are unimportant enough to be lower-case.

Now, we can assume that G(s)H(s) is a fraction of some sort, with a numerator and a denominator that are both polynomials. We can express this equation using arbitrary functions a(s) and b(s), as such:

    ![\\frac{a\(s\)}{b\(s\)} = \\frac{-1}{K}](../../../upload.wikimedia.org/math/b/b/1/bb14fd35c446e99dac37c92c4312de63.png)

We will refer to these functions a(s) and b(s) later in the procedure.

We can start drawing the root-locus by first placing the roots of b(s) on the graph with an 'X'. Next, we place the roots of a(s) on the graph, and mark them with an 'O'.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

poles are marked on the graph with an 'X' and zeros are marked with an 'O' by common convention. These letters have no particular meaning

Next, we examine the real-axis. starting from the right-hand side of the graph and traveling to the left, we draw a root-locus line on the real-axis at every point to the left of an odd number of poles or zeros on the real-axis. This may sound tricky at first, but it becomes easier with practice.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

double poles or double zeros count as two.

Now, a root-locus line starts at every pole. Therefore, any place that two poles appear to be connected by a root locus line on the real-axis, the two poles actually move towards each other, and then they "break away", and move off the axis. The point where the poles break off the axis is called the **breakaway point**. From here, the root locus lines travel towards the nearest zero.

It is important to note that the s-plane is symmetrical about the real axis, so whatever is drawn on the top-half of the S-plane, must be drawn in mirror-image on the bottom-half plane.

Once a pole breaks away from the real axis, they can either travel out towards infinity (to meet an implicit zero), or they can travel to meet an explicit zero, or they can re-join the real-axis to meet a zero that is located on the real-axis. If a pole is traveling towards infinity, it always follows an asymptote. The number of asymptotes is equal to the number of implicit zeros at infinity.

## Root Locus Rules

Here is the complete set of rules for drawing the root-locus graph. We will use p and z to denote the number of poles and the number of zeros of the open-loop transfer function, respectively. We will use Pi and Zi to denote the location of the _i_th pole and the _i_th zero, respectively. Likewise, we will use ψi and ρi to denote the angle from a given point to the _i_th pole and zero, respectively. All angles are given in radians (π denotes π radians).

There are 11 rules that, if followed correctly, will allow you to create a correct root-locus graph.

Rule 1
    There is one branch of the root-locus for every root of b(s).
Rule 2
    The roots of b(s) are the **poles** of the open-loop transfer function. Mark the roots of b(s) on the graph with an X.
Rule 3
    The roots of a(s) are the **zeros** of the open-loop transfer function. Mark the roots of a(s) on the graph with an O. There should be a number of O's less than or equal to the number of X's. There is a number of zeros p - z located at infinity. These zeros at infinity are called "implicit zeros". All branches of the root-locus will move from a pole to a zero (some branches, therefore, may travel towards infinity).
Rule 4
    A point on the real axis is a part of the root-locus if it is to the left of an odd number of poles and zeros.
Rule 5
    The gain at any point on the root locus can be determined by the inverse of the absolute value of the magnitude equation. 

    ![\\left|\\frac{b\(s\)}{a\(s\)}\\right| = |K|](../../../upload.wikimedia.org/math/6/8/2/682d934b225cf2fb9005d9b67bc745de.png)

Rule 6
    The root-locus diagram is symmetric about the real-axis. All complex roots are conjugates.
Rule 7
    Two roots that meet on the real-axis will break away from the axis at certain break-away points. If we set s → σ (no imaginary part), we can use the following equation: 

    ![K = -\\frac{b\(\\sigma\)}{a\(\\sigma\)}](../../../upload.wikimedia.org/math/3/f/7/3f7fd0141ced9b15a033e750ead8927e.png)
    And differentiate to find the local maximum: 

    ![\\frac{dK}{d\\sigma} = \\frac{d}{d\\sigma}\\frac{b\(\\sigma\)}{a\(\\sigma\)}](../../../upload.wikimedia.org/math/a/e/3/ae31244aa18d2904c4946a3da4c21ff0.png)

Rule 8
    The breakaway lines of the root locus are separated by angles of ![\\frac{\\pi}{\\alpha}](../../../upload.wikimedia.org/math/6/e/2/6e20b528b663ae9b8ba8171ca7a9351a.png), where α is the number of poles intersecting at the breakaway point.
Rule 9
    The breakaway root-loci follow asymptotes that intersect the real axis at angles φω given by: 

    ![\\phi_\\omega = \\frac{\\pi + 2N\\pi}{p - z},\\quad N = 0, 1, ... p-z-1](../../../upload.wikimedia.org/math/1/9/c/19c8579bb643a2d2447a9df11d5b3d43.png)
    The origin of these asymptotes, OA, is given as the sum of the pole locations, minus the sum of the zero locations, divided by the difference between the number of poles and zeros: 

    ![OA = \\frac{\\sum_pP_i - \\sum_zZ_i}{p - z}](../../../upload.wikimedia.org/math/b/6/3/b63aacff0bad22382b105cd475b05651.png)
    The OA point should lie on the real axis.
Rule 10
    The branches of the root locus cross the imaginary axis at points where the **angle equation** value is π (i.e., 180o).
Rule 11
    The angles that the root locus branch makes with a complex-conjugate pole or zero is determined by analyzing the **angle equation** at a point infinitessimally close to the pole or zero. The angle of departure, φd is given by the following equation: 

    ![\\sum_p\\psi_i + \\sum_z\\rho_i + \\phi_d = \\pi](../../../upload.wikimedia.org/math/3/9/b/39bdc650d51d44cf73d3536a02b4fc44.png)
    The angle of arrival, φa, is given by: 

    ![\\sum_z\\rho_i + \\sum_p\\psi_i + \\phi_a = \\pi](../../../upload.wikimedia.org/math/e/3/4/e34d87bfa6af9d7b7a28cad19f27f0a7.png)

We will explain these rules in the rest of the chapter.

## Root Locus Equations

Here are the two major equations:

  


[Root Locus Equations]

    

S-Domain Equations Z-Domain Equations

![1 + KG\(s\)H\(s\) = 0](../../../upload.wikimedia.org/math/2/3/0/23010560c14479b76ac7412ce6323968.png)
![1 + K\\overline{GH}\(z\) = 0](../../../upload.wikimedia.org/math/6/3/9/639e531b828e1d16ff5b8309b35e5d46.png)

![\\angle KG\(s\)H\(s\) = 180^o](../../../upload.wikimedia.org/math/7/d/e/7dea8d7434e89d6c3dd6b165f063bf16.png)
![\\angle K\\overline{GH}\(z\) = 180^o](../../../upload.wikimedia.org/math/f/f/3/ff3c046bc5bbdd7ab07fc439594946c6.png)

Note that the sum of the angles of all the poles and zeros must equal to 180.

### Number of Asymptotes

If the number of explicit zeros of the system is denoted by Z (uppercase z), and the number of poles of the system is given by P, then the number of asymptotes (Na) is given by:

  


[Number of Asymptotes]

    ![N_a = P - Z](../../../upload.wikimedia.org/math/4/6/b/46bb3da392c570792a441d895ecfba66.png)

The angles of the asymptotes are given by:

  


[Angle of Asymptotes]

    ![\\phi_k = \(2k + 1\)\\frac{\\pi}{P - Z}](../../../upload.wikimedia.org/math/e/4/f/e4fdc7c9241a55e6f1a27763b6827ac6.png)

for values of ![k = \[0, 1, ... N_a - 1\]](../../../upload.wikimedia.org/math/6/8/2/68290437776a1c7cb7d242d0e840a3bc.png).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The angles for the asymptotes are measured from the positive real-axis

### Asymptote Intersection Point

The asymptotes intersect the real axis at the point:

  


[Origin of Asymptotes]

    ![\\sigma_0 = \\frac{\\sum_P - \\sum_Z}{P - Z}](../../../upload.wikimedia.org/math/5/e/a/5ea6f3fd0a09ba01eebc898ffb28e654.png)

Where ![\\sum_P](../../../upload.wikimedia.org/math/5/a/3/5a3a944124989afcb8a0efcb9531b98d.png) is the sum of all the locations of the poles, and ![\\sum_Z](../../../upload.wikimedia.org/math/5/b/5/5b5629036793dd783b34d33508703606.png) is the sum of all the locations of the explicit zeros.

### Breakaway Points

The breakaway points are located at the roots of the following equation:

  


[Breakaway Point Locations]

    ![\\frac{dG\(s\)H\(s\)}{ds} = 0](../../../upload.wikimedia.org/math/7/d/e/7de8500aba46452aa28fac089705aa66.png) or ![\\frac{d\\overline{GH}\(z\)}{dz} = 0](../../../upload.wikimedia.org/math/4/2/6/426dc251e2b9a86ec97d5a45481a50eb.png)

Once you solve for z, the real roots give you the breakaway/reentry points. Complex roots correspond to a lack of breakaway/reentry.

The breakaway point equation can be difficult to solve, so many times the actual location is approximated.

## Root Locus and Stability

The root locus procedure should produce a graph of where the poles of the system are for all values of gain K. When any or all of the roots of D are in the unstable region, the system is unstable. When any of the roots are in the marginally stable region, the system is marginally stable (oscillatory). When all of the roots of D are in the stable region, then the system is stable.

It is important to note that a system that is stable for gain K1 may become unstable for a different gain K2. Some systems may have poles that cross over from stable to unstable multiple times, giving multiple gain values for which the system is unstable.

Here is a quick refresher:

    

Region S-Domain Z-Domain

Stable Region
Left-Hand S Plane
![ \\sigma < 0](../../../upload.wikimedia.org/math/e/4/b/e4bd10e2fd32946741179c28c61119cf.png)
Inside the Unit Circle
![|z| < 1](../../../upload.wikimedia.org/math/c/0/3/c03df42e04ee1d054a9cf6e86e09451a.png)

Marginally Stable Region
The vertical axis
![ \\sigma = 0](../../../upload.wikimedia.org/math/8/7/c/87c24f9fc08ae35a5477f440b0b615c9.png)
The Unit Circle
![|z| = 1](../../../upload.wikimedia.org/math/3/f/c/3fc592e1ce11e6442a631847779aeded.png)

Unstable Region
Right-Hand S Plane
![ \\sigma > 0](../../../upload.wikimedia.org/math/a/4/7/a4788ab5dc66b5568b75044285c9c9de.png)
Outside the Unit Circle,
![|z| > 1](../../../upload.wikimedia.org/math/a/4/3/a430127e961ba6b1699e5827926830de.png)

## Examples

### Example 1: First-Order System

Find the root-locus of the open-loop system:

    ![T\(s\) = \\frac{1}{1 + 2s}](../../../upload.wikimedia.org/math/8/0/1/801a36448b0d61ba5892cfc176a203b4.png)

If we look at the characteristic equation, we can quickly solve for the single pole of the system:

    ![D\(s\) = 1 + 2s = 0](../../../upload.wikimedia.org/math/a/7/f/a7fbd4359a6ae00a92e8d3106f483879.png)
    ![s = -\\frac{1}{2}](../../../upload.wikimedia.org/math/8/d/a/8da3c2d2564788fea1563f7e15ebf634.png)

We plot that point on our root-locus graph, and everything on the real axis to the left of that single point is on the root locus (from the rules, above). Therefore, the root locus of our system looks like this:

![Rlocus 1pole.JPG](../../../upload.wikimedia.org/wikibooks/en/5/55/Rlocus_1pole.JPG)

From this image, we can see that for _all values of gain_ this system is stable.

### Example 2: Third Order System

We are given a system with three real poles, shown by the transfer function:

    ![T\(s\) = \\frac{1}{\(s+1\)\(s+2\)\(s+3\)}](../../../upload.wikimedia.org/math/6/5/8/658ffa270aa72530a912bfc53d7641fa.png)

Is this system stable?

To answer this question, we can plot the root-locus. First, we draw the poles on the graph at locations -1, -2, and -3. The real-axis between the first and second poles is on the root-locus, as well as the real axis to the left of the third pole. We know also that there is going to be breakaway from the real axis at some point. The origin of asymptotes is located at:

    ![OA = \\frac{-1 + -2 + -3}{3} = -2](../../../upload.wikimedia.org/math/b/b/4/bb4c024c28d0499b98bb0157654807b8.png),

and the angle of the asymptotes is given by:

    ![\\phi = \\frac{180\(2k+1\)}{3} \\; \\mathrm{for} \\; k = 0,1,2](../../../upload.wikimedia.org/math/b/4/d/b4d2eb75d542061541b2e877e72ceb08.png)

We know that the breakaway occurs between the first and second poles, so we will estimate the exact breakaway point. Drawing the root-locus gives us the graph below.

![Rlocus 3poles.JPG](../../../upload.wikimedia.org/wikibooks/en/a/a0/Rlocus_3poles.JPG)

We can see that for low values of gain the system is stable, but for higher values of gain, the system becomes unstable.

### Example: Complex-Conjugate Zeros

Find the root-locus graph for the following system transfer function:

    ![T\(s\) = K\\frac{s^2 + 4.5s + 5.625}{s\(s+1\)\(s+2\)}](../../../upload.wikimedia.org/math/7/6/e/76e7e2dd605a54ed33f325bec43c8e6f.png)

If we look at the denominator, we have poles at the origin, -1, and -2. Following **Rule 4**, we know that the real-axis between the first two poles, and the real axis after the third pole are all on the root-locus. We also know that there is going to be a breakaway point between the first two poles, so that they can approach the complex conjugate zeros. If we use the quadratic equation on the numerator, we can find that the zeros are located at:

    ![s = \(-2.25 + j0.75\), \(-2.25 - j0.75\)](../../../upload.wikimedia.org/math/c/8/5/c856161248a1266b9de9a7da157a6bb8.png)

If we draw our graph, we get the following:

![RLocus 3poles 2zeros.JPG](../../../upload.wikimedia.org/wikibooks/en/0/02/RLocus_3poles_2zeros.JPG)

We can see from this graph that the system is stable for all values of K.

### Example: Root-Locus Using MATLAB/Octave

Use MATLAB, Octave, or another piece of mathematical simulation software to produce the root-locus graph for the following system:

    ![T\(s\) = K\\frac{s + 2}{\(s + 3\)\(s^2 + 2s + 2\)}](../../../upload.wikimedia.org/math/2/6/1/2610b07963eef8f77325523294805ead.png)

First, we must multiply through in the denominator:

    ![D\(s\) = s^3 + 5s^2 + 8s + 6](../../../upload.wikimedia.org/math/c/7/a/c7a0d7bdfdb0104391a07030781ec20a.png)

Now, we can generate the coefficient vectors from the numerator and denominator:
    
    
     num = [0 0 1 2];
     den = [1 5 8 6];
    

Next, we can feed these vectors into the **rlocus** command:
    
    
     rlocus(num, den);
    

**Note**:In Octave, we need to create a system structure first, by typing:
    
    
     sys = tf(num, denn);
     rlocus(sys);
    

Either way, we generate the following graph:

![Root Locus diagram with three poles and one zero.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Root_Locus_diagram_with_three_poles_and_one_zero.svg/600px-Root_Locus_diagram_with_three_poles_and_one_zero.svg.png)

  


  


# Nyquist Criterion

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Root Locus](http://en.wikibooks.org/wiki/Control_Systems/Root_Locus)
[Controllability and Observability →](http://en.wikibooks.org/wiki/Control_Systems/Controllability_and_Observability)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Nyquist Stability Criteria

The **Nyquist Stability Criteria** is a test for system stability, just like the [Routh-Hurwitz](http://en.wikibooks.org/wiki/Control_Systems/Routh-Hurwitz_Criterion) test, or the [Root-Locus](http://en.wikibooks.org/wiki/Control_Systems/Root_Locus) Methodology. However, the Nyquist Criteria can also give us additional information about a system. Routh-Hurwitz and Root-Locus can tell us where the poles of the system are for particular values of gain. By altering the gain of the system, we can determine if any of the poles move into the RHP, and therefore become unstable. The Nyquist Criteria, however, can tell us things about the _frequency characteristics_ of the system. For instance, some systems with constant gain might be stable for low-frequency inputs, but become unstable for high-frequency inputs.

Here is an example of a system responding differently to different frequency input values: Consider an ordinary glass of water. If the water is exposed to ordinary sunlight, it is unlikely to heat up too much. However, if the water is exposed to microwave radiation (from inside your microwave oven, for instance), the water will quickly heat up to a boil.

Also, the Nyquist Criteria can tell us things about the phase of the input signals, the time-shift of the system, and other important information.

## Contours

A **contour** is a complicated mathematical construct, but luckily we only need to worry ourselves with a few points about them. We will denote contours with the Greek letter Γ (gamma). Contours are lines, drawn on a graph, that follow certain rules:

  1. The contour must close (it must form a complete loop)
  2. The contour may not cross directly through a pole of the system.
  3. Contours must have a direction (clockwise or counterclockwise, generally).
  4. A contour is called "simple" if it has no self-intersections. We only consider simple contours here.

Once we have such a contour, we can develop some important theorems about them, and finally use these theorems to derive the **Nyquist stability criterion**.

## Argument Principle

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Argument principle**_](http://en.wikipedia.org/wiki/Argument_principle)

Here is the argument principle, which we will use to derive the stability criterion. Do not worry if you do not understand all the terminology, we will walk through it:

The Argument Principle
    If we have a contour, Γ, drawn in one plane (say the complex laplace plane, for instance), we can map that contour into another plane, the F(s) plane, by transforming the contour with the function F(s). The resultant contour, ![\\Gamma_{F\(s\)}](../../../upload.wikimedia.org/math/e/5/f/e5fed3fc49a195d2759b77ff76bea458.png) will circle the origin point of the F(s) plane N times, where N is equal to the difference between Z and P (the number of zeros and poles of the function F(s), respectively).

When we have our contour, Γ, we transform it into ![\\Gamma_{F\(s\)}](../../../upload.wikimedia.org/math/e/5/f/e5fed3fc49a195d2759b77ff76bea458.png) by plugging every point of the contour into the function F(s), and taking the resultant value to be a point on the transformed contour.

### Example: First Order System

Let's say, for instance, that Γ is a unit square contour in the complex s plane. The vertices of the square are located at points I,J,K,L, as follows:

    ![I = 1 + j1](../../../upload.wikimedia.org/math/f/0/1/f016275957023278f575fd872e15009b.png)
    ![J = 1 - j1](../../../upload.wikimedia.org/math/2/9/c/29c7dbfd990ca40aaf4b651a6b897ac6.png)
    ![K = -1 - j1](../../../upload.wikimedia.org/math/4/9/a/49a7cf9e366e477ca60fed87cdf74617.png)
    ![L = -1 + j1](../../../upload.wikimedia.org/math/b/4/7/b479ca6dda8171ccea9ba699de7a1f11.png)

we must also specify the direction of our contour, and we will say (arbitrarily) that it is a clockwise contour (travels from I to J to K to L). We will also define our transform function, F(s), to be the following:

    ![F\(s\) = 2s + 1](../../../upload.wikimedia.org/math/a/1/7/a1770aac066d8c4b41bc74e5d70b8467.png)

We can factor the denominator of F(s), and we can show that there is one zero at s → -0.5, and no poles. Plotting this root on the same graph as our contour, we see clearly that it lies within the contour. Since s is a complex variable, defined with real and imaginary parts as:

    ![s = \\sigma + j \\omega](../../../upload.wikimedia.org/math/7/a/d/7addd3c9d3736265ecd7dbea420b1190.png)

We know that F(s) must also be complex. We will say, for reasons of simplicity, that the axes in the F(s) plane are u and v, and are related as such:

    ![F\(s\) = u + jv = 2\(\\sigma + j\\omega\) + 1](../../../upload.wikimedia.org/math/0/d/5/0d529b7547c26f984595340a58e95cdd.png)

From this relationship, we can define u and v in terms of σ and ω:

    ![u = 2 \\sigma + 1](../../../upload.wikimedia.org/math/2/5/b/25bd684b88f95866de00f2ea67b08af4.png)
    ![v = 2 \\omega](../../../upload.wikimedia.org/math/3/5/f/35f438fc753168f67c63d214741b04a2.png)

Now, to transform Γ, we will plug every point of the contour into F(s), and the resultant values will be the points of ![\\Gamma_{F\(s\)}](../../../upload.wikimedia.org/math/e/5/f/e5fed3fc49a195d2759b77ff76bea458.png). We will solve for complex values u and v, and we will start with the vertices, because they are the simplest examples:

    ![u + jv = F\(I\) = 3 + j2](../../../upload.wikimedia.org/math/6/7/0/670420dcd1d44891768a2af1e0329fa5.png)
    ![u + jv = F\(J\) = 3 - j2](../../../upload.wikimedia.org/math/8/5/c/85c6694c97fd2f70b58ca44ed0058e1d.png)
    ![u + jv = F\(K\) = -1 + j2](../../../upload.wikimedia.org/math/7/2/3/7239f6339a21ec2c82be68251c687acf.png)
    ![u + jv = F\(L\) = -1 - j2](../../../upload.wikimedia.org/math/6/3/d/63de8a1a9e56d661ee3f22baf6a19c68.png)

We can take the lines in between the vertices as a function of s, and plug the entire function into the transform. Luckily, because we are using straight lines, we can simplify very much:

  * Line from I to J: ![\\sigma = 1, u = 3, v = \\omega](../../../upload.wikimedia.org/math/d/9/c/d9c34ad6647dd1e919c4dd98699471b3.png)
  * Line from J to K: ![\\omega = -1, u = 2 \\sigma + 1, v = -1](../../../upload.wikimedia.org/math/d/e/9/de9f46c8f6e9c482ac1ebc8b55dc0ceb.png)
  * Line from K to L: ![\\sigma = -1, u = -1, v = \\omega](../../../upload.wikimedia.org/math/0/a/4/0a4bbcabcd2aeae52e3ecd32482f021b.png)
  * Line from L to I: ![\\omega = 1, u = 2 \\sigma + 1, v = 1](../../../upload.wikimedia.org/math/4/c/f/4cf3ff02c1e78b47cb27aa6f94345113.png)

And when we graph these functions, from vertex to vertex, we see that the resultant contour in the F(s) plane is a square, but not centered at the origin, and larger in size. Notice how the contour encircles the origin of the F(s) plane one time. This will be important later on.

### Example:Second-Order System

Let's say that we have a slightly more complicated mapping function:

    ![F\(s\) = \\frac{s + 0.5}{2s^2 + 2s + 1}](../../../upload.wikimedia.org/math/8/9/f/89fda33f7e536c9a002739cd782cd2b1.png)

We can see clearly that F(s) has a zero at s → -0.5, and a complex conjugate set of poles at s → -0.5 + j0.5 and s → -0.5 - j0.5. We will use the same unit square contour, Γ, from above:

    ![I = 1 + j1](../../../upload.wikimedia.org/math/f/0/1/f016275957023278f575fd872e15009b.png)
    ![J = 1 - j1](../../../upload.wikimedia.org/math/2/9/c/29c7dbfd990ca40aaf4b651a6b897ac6.png)
    ![K = -1 - j1](../../../upload.wikimedia.org/math/4/9/a/49a7cf9e366e477ca60fed87cdf74617.png)
    ![L = -1 + j1](../../../upload.wikimedia.org/math/b/4/7/b479ca6dda8171ccea9ba699de7a1f11.png)

We can see clearly that the poles and the zero of F(s) lie within Γ. Setting F(s) to u + jv and solving, we get the following relationships:

    ![u + jv = F\(\\sigma + j \\omega\) 
              = \\frac{\(\\sigma + 0.5\) + j\(\\omega\)}
                     {\(2\\sigma^2 - 2\\omega^2 + 2\\sigma + 1\) + j\(2\\sigma\\omega + \\omega\)}](../../../upload.wikimedia.org/math/9/4/f/94f52559bded6af8ee897ab14c727eb2.png)

This is a little difficult now, because we need to simplify this whole expression, and separate it out into real and imaginary parts. There are two methods to doing this, neither of which is short or easy enough to demonstrate here to entirety:

  1. We convert the numerator and denominator polynomials into a polar representation in terms of r and θ, then perform the division, and then convert back into rectangular format.
  2. We plug each segment of our contour into this equation, and simplify numerically.

## The Nyquist Contour

The Nyquist contour, the contour that makes the entire nyquist criterion work, must encircle the entire unstable region of the complex plane. For analog systems, this is the right half of the complex s plane. For digital systems, this is the entire plane outside the unit circle. Remember that if a pole to the closed-loop transfer function (or equivalently a zero of the characteristic equation) lies in the unstable region of the complex plane, the system is an unstable system.

Analog Systems
    The Nyquist contour for analog systems is an infinite semi-circle that encircles the entire right-half of the s plane. The semicircle travels up the imaginary axis from negative infinity to positive infinity. From positive infinity, the contour breaks away from the imaginary axis, in the clock-wise direction, and forms a giant semicircle.
Digital Systems
    The Nyquist contour in digital systems is a counter-clockwise encirclement of the unit circle.

## Nyquist Criteria

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Nyquist stability criterion**_](http://en.wikipedia.org/wiki/Nyquist_stability_criterion)

Let us first introduce the most important equation when dealing with the Nyquist criterion:

    ![N = Z - P](../../../upload.wikimedia.org/math/f/3/6/f36ab45df25cbc747ce71c54f489a86f.png)

Where:

  * N is the number of encirclements of the (-1, 0) point.
  * Z is the number of zeros of the characteristic equation.
  * P is the number of poles in the of the open-loop characteristic equation.

With this equation stated, we can now state the **Nyquist Stability Criterion**:

Nyquist Stability Criterion
    A feedback control system is stable, if and only if the contour ![\\Gamma_{F\(s\)}](../../../upload.wikimedia.org/math/e/5/f/e5fed3fc49a195d2759b77ff76bea458.png) in the F(s) plane does not encircle the (-1, 0) point when P is 0.

    A feedback control system is stable, if and only if the contour ![\\Gamma_{F\(s\)}](../../../upload.wikimedia.org/math/e/5/f/e5fed3fc49a195d2759b77ff76bea458.png) in the F(s) plane encircles the (-1, 0) point a number of times equal to the number of poles of F(s) enclosed by Γ.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Nyquist plot**_](http://en.wikipedia.org/wiki/Nyquist_plot)

In other words, if P is zero then N must equal zero. Otherwise, N must equal P. Essentially, we are saying that Z must always equal zero, because Z is the number of zeros of the characteristic equation (and therefore the number of poles of the closed-loop transfer function) that are in the right-half of the s plane.

Keep in mind that we don't necessarily know the locations of all the zeros of the characteristic equation. So if we find, using the nyquist criterion, that the number of poles is not equal to N, then we know that there must be a zero in the right-half plane, and that therefore the system is unstable.

## Nyquist ↔ Bode

A careful inspection of the Nyquist plot will reveal a surprising relationship to the Bode plots of the system. If we use the Bode phase plot as the angle θ, and the Bode magnitude plot as the distance r, then it becomes apparent that the Nyquist plot of a system is simply the polar representation of the Bode plots.

To obtain the Nyquist plot from the Bode plots, we take the phase angle and the magnitude value at each frequency ω. We convert the magnitude value from decibels back into gain ratios. Then, we plot the ordered pairs (r, θ) on a polar graph.

## Nyquist in the Z Domain

The Nyquist Criteria can be utilized in the digital domain in a similar manner as it is used with analog systems. The primary difference in using the criteria is that the shape of the Nyquist contour must change to encompass the unstable region of the Z plane. Therefore, instead of an infinitesimal semi-circle, the Nyquist contour for digital systems is a counter-clockwise unit circle. By changing the shape of the contour, the same N = Z - P equation holds true, and the resulting Nyquist graph will typically look identical to one from an analog system, and can be interpreted in the same way.

  


  


# State-Space Stability

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Stability](http://en.wikibooks.org/wiki/Control_Systems/Stability)
[Discrete Time Stability →](http://en.wikibooks.org/wiki/Control_Systems/Discrete_Time_Stability)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## State-Space Stability

If a system is represented in the state-space domain, it doesn't make sense to convert that system to a transfer function representation (or even a transfer matrix representation) in an attempt to use any of the previous stability methods. Luckily, there are other analysis methods that can be used with the state-space representation to determine if a system is stable or not. First, let us first introduce the notion of unstability:

Unstable
    A system is said to be unstable if the system response approaches infinity as time approaches infinity. If our system is G(t), then, we can say a system is unstable if: 

    ![\\lim_{t \\to \\infty} \\|G\(t\)\\| = \\infty](../../../upload.wikimedia.org/math/f/b/2/fb214bd0d9b4e67a036197da7ff85231.png)

Also, a key concept when we are talking about stability of systems is the concept of an **equilibrium point**:

Equilibrium Point
    Given a system _f_ such that:

    ![x'\(t\) = f\(x\(t\)\)](../../../upload.wikimedia.org/math/5/0/a/50a716b394f58c6a4e9a2be0c4672511.png)

A particular state _x_e is called an **equilibrium point** if

    ![f\(x_e\) = 0](../../../upload.wikimedia.org/math/9/9/5/9953bb25dd02e293d4d7873395694635.png)

for all time _t_ in the interval ![\[t_0, \\infty\)](../../../upload.wikimedia.org/math/d/5/e/d5ebe8c48610ea3e3508c508083dd38d.png), where t0 is the starting time of the system.

An equilibrium point is also known as a "stationary point", a "critical point", a "singular point", or a "rest state" in other books or literature.

The definitions below typically require that the equilibrium point be zero. If we have an equilibrium point _xe = a_, then we can use the following change of variables to make the equilibrium point zero:

    ![\\bar{x} = x_e - a = 0](../../../upload.wikimedia.org/math/1/8/7/1873651b188367f568d0822ef2fcbce3.png)

We will also see below that a system's stability is defined in terms of an equilibrium point. Related to the concept of an equilibrium point is the notion of a **zero point**:

Zero State
    A state _x_z is a **zero state** if _x_z = 0. A zero state may or may not be an equilibrium point.

### Stability Definitions

The equilibrium _x = 0_ of the system is stable if and only if the solutions of the zero-input state equation are bounded. Equivalently, _x = 0_ is a stable equilibrium if and only if for every initial time t0, there exists an associated finite constant _k_(t0) such that:

    ![\\operatorname{sup}_{t \\ge t_0}\\|\\phi\(t, t_0\)\\| = k\(t_0\) < \\infty](../../../upload.wikimedia.org/math/9/4/3/943eadf8483cdbc21b4f0b948b377ea7.png)

Where _sup_ is the **supremum**, or "maximum" value of the equation. The maximum value of this equation must never exceed the arbitrary finite constant _k_ (and therefore it may not be infinite at any point).

Uniform Stability
    The system is defined to be **uniformly stable** if it is stable for all initial values of t0:

    ![\\operatorname{sup}_{t \\ge 0} \[ \\operatorname{sup}_{t \\ge t_0} \\|\\phi\(t, t_0\)\\|\] = k_0 < \\infty](../../../upload.wikimedia.org/math/c/b/e/cbe26dea7376853a12f37626641a149d.png)

Uniform stability is a more general, and more powerful form of stability then was previously provided.

Asymptotic Stability
    A system is defined to be **asymptotically stable** if:

    ![\\lim_{t \\to \\infty} \\|\\phi\(t, t_0\)\\| = 0](../../../upload.wikimedia.org/math/c/9/d/c9ddfcf118d6f86678f4b040b5174404.png)

A time-invariant system is asymptotically stable if all the eigenvalues of the system matrix A have negative real parts. If a system is asymptotically stable, it is also BIBO stable. However the inverse is not true: A system that is BIBO stable might not be asymptotically stable.

Uniform Asymptotic Stability
    A system is defined to be **uniformly asymptotically stable** if the system is asymptotically stable for all values of t0.

Exponential Stability
    A system is defined to be **exponentially stable** if the system response decays exponentially towards zero as time approaches infinity.

For linear systems, uniform asymptotic stability is the same as **exponential stability**. This is not the case with non-linear systems.

### Marginal Stability

Here we will discuss some rules concerning systems that are marginally stable. Because we are discussing eigenvalues and eigenvectors, these theorems only apply to time-invariant systems.

  1. A time-invariant system is marginally stable if and only if all the eigenvalues of the system matrix A are zero or have negative real parts, and those with zero real parts are simple roots of the minimal polynomial of A.
  2. The equilibrium _x = 0_ of the state equation is _uniformly stable_ if all eigenvalues of A have non-positive real parts, and there is a complete set of distinct eigenvectors associated with the eigenvalues with zero real parts.
  3. The equilibrium _x = 0_ of the state equation is _exponentially stable_ if and only if all eigenvalues of the system matrix A have negative real parts.

## Eigenvalues and Poles

An LTI system is stable (asymptotically stable, see above) if all the eigenvalues of A have negative real parts. Consider the following state equation:

    ![x' = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/d/5/f/d5f902380cc98862e7ddf6a310ffc17e.png)

We can take the Laplace Transform of both sides of this equation, using initial conditions of x0 = 0:

    ![sX\(s\) = AX\(s\) + BU\(s\)](../../../upload.wikimedia.org/math/2/a/9/2a9a35b804db6ddb85337b1b35607c6a.png)

Subtract AX(s) from both sides:

    ![sX\(s\) - AX\(s\) = BU\(s\)](../../../upload.wikimedia.org/math/3/1/9/319be08369b79145228799badcf26f83.png)
    ![\(sI - A\)X\(s\) = BU\(s\)](../../../upload.wikimedia.org/math/b/7/d/b7d3ab7c2e7dd218ba0da96fccbb7b7e.png)

Assuming (sI - A) is nonsingular, we can multiply both sides by the inverse:

    ![X\(s\) = \(sI - A\)^{-1}BU\(s\)](../../../upload.wikimedia.org/math/2/6/a/26a594b60b767b4fb09ce397a29e33ff.png)

Now, if we remember our formula for finding the matrix inverse from the adjoint matrix:

    ![A^{-1} = \\frac{\\operatorname{adj}\(A\)}{|A|}](../../../upload.wikimedia.org/math/5/1/9/5196cb90ae32037ca6811dc3b078a882.png)

We can use that definition here:

    ![X\(s\) = \\frac{\\operatorname{adj}\(sI - A\)BU\(s\)}{|\(sI - A\)|}](../../../upload.wikimedia.org/math/c/3/6/c36be5b3532805b45f03a9a4e2075b3f.png)

Let's look at the denominator (which we will now call D(s)) more closely. To be stable, the following condition must be true:

    ![D\(s\) = |\(sI - A\)| = 0](../../../upload.wikimedia.org/math/b/0/4/b04db66e0bc75d618ba4f5a5b5399a0f.png)

And if we substitute λ for s, we see that this is actually the characteristic equation of matrix A! This means that the values for s that satisfy the equation (the poles of our transfer function) are precisely the eigenvalues of matrix A. In the S domain, it is required that all the poles of the system be located in the left-half plane, and therefore all the eigenvalues of A must have negative real parts.

## Impulse Response Matrix

We can define the **Impulse response matrix**, _G_(t, τ) in order to define further tests for stability:

  


[Impulse Response Matrix]

    ![ G\(t, \\tau\) = \\left\\{\\begin{matrix}C\(t\)\\phi\(t, \\tau\)B\(\\tau\) & \\mbox{ if } t \\ge \\tau \\\\0 & \\mbox{ if } t < \\tau\\end{matrix}\\right.](../../../upload.wikimedia.org/math/a/6/2/a62d54a216184745d3037059985b0b46.png)

The system is _uniformly stable_ if and only if there exists a finite positive constant _L_ such that for all time _t_ and all initial conditions t0 with ![t \\ge t_0](../../../upload.wikimedia.org/math/5/5/a/55a76fe03a4bf25266fca0b059d0873b.png) the following integral is satisfied:

    ![\\int_0^t \\|G\(t, \\tau\)\\|d\\tau \\le L](../../../upload.wikimedia.org/math/4/c/3/4c3780bec44fe338da7a01da462e1e78.png)

In other words, the above integral must have a finite value, or the system is not uniformly stable.

In the time-invariant case, the impulse response matrix reduces to:

    ![ G\(t\) = \\left\\{\\begin{matrix}Ce^{At}B & \\mbox{ if } t \\ge 0 \\\\0 & \\mbox{ if } t < 0\\end{matrix}\\right.](../../../upload.wikimedia.org/math/0/f/8/0f8535e9b61227d9c85344b97ea82bac.png)

In a time-invariant system, we can use the impulse response matrix to determine if the system is uniformly BIBO stable by taking a similar integral:

    ![\\int_0^\\infty \\|G\(t\)\\|dt \\le L](../../../upload.wikimedia.org/math/c/b/5/cb5f0b7f1ef3e5f31402170719215792.png)

Where _L_ is a finite constant.

## Positive Definiteness

These terms are important, and will be used in further discussions on this topic.

  * f(x) is **positive definite** if f(x) > 0 for all x.
  * f(x) is **positive semi-definite** if ![f\(x\) \\ge 0](../../../upload.wikimedia.org/math/a/e/7/ae7e3d2610a465333a0c23ad912c212e.png) for all x, and f(x) = 0 only if x = 0.
  * f(x) is **negative definite** if f(x) < 0 for all x.
  * f(x) is **negative semi-definite** if ![f\(x\) \\le 0](../../../upload.wikimedia.org/math/8/f/8/8f8a16910e7256c77a7bab96d8f8cf6c.png) for all x, and f(x) = 0 only if x = 0.

A Hermitian matrix X is positive definite if all its principle minors are positive. Also, a matrix X is positive definite if all its eigenvalues have positive real parts. These two methods may be used interchangeably.

Positive definiteness is a very important concept. So much so that the Lyapunov stability test depends on it. The other categorizations are not as important, but are included here for completeness.

## Lyapunov Stability

### Lyapunov's Equation

For linear systems, we can use the **Lyapunov Equation**, below, to determine if a system is stable. We will state the Lyapunov Equation first, and then state the **Lyapunov Stability Theorem**.

  


[Lyapunov Equation]

    ![MA + A^TM = -N](../../../upload.wikimedia.org/math/6/9/2/69239acd08b2d3e310e6a5e9c1791eb8.png)

Where A is the system matrix, and M and N are _p_ × _p_ square matrices.

Lyapunov Stability Theorem
    An LTI system ![x' = Ax](../../../upload.wikimedia.org/math/f/c/a/fcaac025baa2cad7951d930fe39c6ad7.png) is stable if there exists a matrix M that satisfies the **Lyapunov Equation** where N is an arbitrary positive definite matrix, and M is a unique positive definite matrix.

Notice that for the Lyapunov Equation to be satisfied, the matrices must be compatible sizes. In fact, matrices A, M, and N must all be square matrices of equal size. Alternatively, we can write:

Lyapunov Stability Theorem (alternate)
    If all the eigenvalues of the system matrix A have negative real parts, then the Lyapunov Equation has a unique solution M for every positive definite matrix N, and the solution can be calculated by:
    ![M = \\int_{0}^\\infty e^{A^Tt}N e^{At}dt](../../../upload.wikimedia.org/math/e/4/4/e44796ec61d8903e0b41f7c3a3f56519.png)

If the matrix M can be calculated in this manner, the system is asymptotically stable.

  


  
  


Controllers and Compensators

There are a number of preexisting devices for use in system control, such as lead and lag compensators, and powerful PID controllers. PID controllers are so powerful that many control engineers may use no other method of system control! The chapters in this section will discuss some of the common types of system compensators and controllers.

  


# Controllability and Observability

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Nyquist Stability Criteria](http://en.wikibooks.org/wiki/Control_Systems/Nyquist_Stability_Criteria)
[System Specifications →](http://en.wikibooks.org/wiki/Control_Systems/System_Specifications)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## System Interaction

In the world of control engineering, there are a slew of systems available that need to be controlled. The task of a control engineer is to design controller and compensator units to interact with these pre-existing systems. However, some systems simply cannot be controlled (or, more often, cannot be controlled in specific ways). The concept of **controllability** refers to the ability of a controller to arbitrarily alter the functionality of the system plant.

The state-variable of a system, _x_, represents the internal workings of the system that can be separate from the regular input-output relationship of the system. This also needs to be measured, or _observed_. The term **observability** describes whether the internal state variables of the system can be externally measured.

## Controllability

We will start off with the definitions of the term **controllability**, and the related term **reachability**

Controllability
    A system with internal state vector _x_ is called **controllable** if and only if the system states can be changed by changing the system input.

Reachability
    A particular state x1 is called _reachable_ if there exists an input that transfers the state of the system from the initial state x0 to x1 in some finite time interval [t0, t).

We can also write out the definition of reachability more precisely:

A state x1 is called **reachable** at time t1 if for some finite initial time t0 there exists an input u(t) that transfers the state x(t) from the origin at t0 to x1.

A system is **reachable** at time t1 if every state x1 in the state-space is reachable at time t1.

Similarly, we can more precisely define the concept of controllability:

A state x0 is **controllable** at time t0 if for some finite time t1 there exists an input u(t) that transfers the state x(t) from x0 to the origin at time t1.

A system is called **controllable** at time t0 if every state x0 in the state-space is controllable.

### Controllability Matrix

For LTI (linear time-invariant) systems, a system is reachable if and only if its **controllability matrix**, ζ, has a full row rank of _p_, where _p_ is the dimension of the matrix A, and _p_ × _q_ is the dimension of matrix B.

  


[Controllability Matrix]

    ![\\zeta = \\begin{bmatrix}B & AB & A^2B & \\cdots & A^{p-1}B\\end{bmatrix} \\in R^{p \\times pq}](../../../upload.wikimedia.org/math/8/3/1/831c0e72c163b490d9e5aafb09ecd4e4.png)

A system is controllable or "Controllable to the origin" when any state x1 can be driven to the zero state _x = 0_ in a finite number of steps.

A system is controllable when the rank of the system matrix A is _p_, and the rank of the controllability matrix is equal to:

    ![Rank\(\\zeta\) = Rank\(A^{-1}\\zeta\) = p](../../../upload.wikimedia.org/math/0/e/1/0e13528e5c4796fe20a080909f82a25b.png)

If the second equation is not satisfied, the system is not .

MATLAB allows one to easily create the controllability matrix with the **ctrb** command. To create the controllabilty matrix ![\\zeta](../../../upload.wikimedia.org/math/3/2/0/320c43589fbcdde1af041ee358550ac5.png) simply type

    zeta=ctrb(A,B)

where A and B are mentioned above. Then in order to determine if the system is controllable or not one can use the rank command to determine if it has full rank.

If

    ![Rank\(A\) < p](../../../upload.wikimedia.org/math/f/1/9/f1984bbbaa156ab9228a22cd17a4220c.png)

Then controllability does not imply reachability.

  * Reachability always implies controllability.
  * Controllability only implies reachability when the state transition matrix is nonsingular.

### Determining Reachability

There are four methods that can be used to determine if a system is reachable or not:

  1. If the _p_ rows of ![\\phi\(t, \\tau\)B\(t\)](../../../upload.wikimedia.org/math/3/2/c/32cb47814efca6cc925a6907db0e1941.png) are linearly independent over the field of complex numbers. That is, if the rank of the product of those two matrices is equal to _p_ for all values of _t_ and _τ_
  2. If the rank of the controllability matrix is the same as the rank of the system matrix A.
  3. If the rank of ![\\operatorname{rank}\[\\lambda I - A, B\] = p](../../../upload.wikimedia.org/math/6/f/f/6ff0dbdbfb6cda8fe6a6c3428af8c7ae.png) for all eigenvalues λ of the matrix A.
  4. If the rank of the **reachability gramian** (described below) is equal to the rank of the system matrix A.

Each one of these conditions is both necessary and sufficient. If any one test fails, all the tests will fail, and the system is not reachable. If any test is positive, then all the tests will be positive, and the system is reachable.

### Gramians

**Gramians** are complicated mathematical functions that can be used to determine specific things about a system. For instance, we can use gramians to determine whether a system is controllable or reachable. Gramians, because they are more complicated than other methods, are typically only used when other methods of analyzing a system fail (or are too difficult).

All the gramians presented on this page are all matrices with dimension _p_ × _p_ (the same size as the system matrix A).

All the gramians presented here will be described using the general case of Linear time-variant systems. To change these into LTI (time-invariant equations), the following substitutions can be used:

    ![\\phi\(t, \\tau\) \\to e^{A\(t-\\tau\)}](../../../upload.wikimedia.org/math/d/9/d/d9dbf14f650e03cab3128f476f777371.png)
    ![\\phi'\(t, \\tau\) \\to e^{A'\(t-\\tau\)}](../../../upload.wikimedia.org/math/1/7/8/1788cf07f1ad5667818b10db0406ba3c.png)

Where we are using the notation X' to denote the transpose of a matrix X (as opposed to the traditional notation XT).

### Reachability Gramian

We can define the **reachability gramian** as the following integral:  


[Reachability Gramian]

    ![W_r\(t_0, t_1\) = \\int_{t_0}^{t_1}\\phi\(t_1, \\tau\)B\(\\tau\)B'\(\\tau\)\\phi'\(t_1, \\tau\)d\\tau](../../../upload.wikimedia.org/math/e/3/9/e3983b72eeb2a6c07249f310a1180b83.png)

The system is reachable if the rank of the reachability gramian is the same as the rank of the system matrix:

    ![\\operatorname{rank}\(W_r\) = p](../../../upload.wikimedia.org/math/d/8/8/d88099dc36e3264a7fe56630da367875.png)

### Controllability Gramian

We can define the **controllability gramian** of a system (A, B) as:  


[Controllability Gramian]

    ![W_c\(t_0, t_1\) = \\int_{t_0}^{t_1}\\phi\(t_0, \\tau\)B\(\\tau\)B'\(\\tau\)\\phi'\(t_0, \\tau\)d\\tau](../../../upload.wikimedia.org/math/2/0/4/2045def9f8a29fcfc8c1ba81421a42a4.png)

The system is controllable if the rank of the controllability gramian is the same as the rank of the system matrix:

    ![\\operatorname{rank}\(W_c\) = p](../../../upload.wikimedia.org/math/6/b/d/6bddcd0e53899984db3d330870571cd7.png)

If the system is time-invariant, there are two important points to be made. First, the reachability gramian and the controllability gramian reduce to be the same equation. Therefore, for LTI systems, if we have found one gramian, then we automatically know both gramians. Second, the controllability gramian can also be found as the solution to the following Lyapunov equation:

    ![AW_c + W_cA' = -BB'](../../../upload.wikimedia.org/math/b/4/a/b4a979e73dc995ec70f455a0a1f37661.png)

Many software packages, notably MATLAB, have functions to solve the Lyapunov equation. By using this last relation, we can also solve for the controllability gramian using these existing functions.

## Observability

The state-variables of a system might not be able to be measured for any of the following reasons:

  1. The location of the particular state variable might not be physically accessible (a capacitor or a spring, for instance).
  2. There are no appropriate instruments to measure the state variable, or the state-variable might be measured in units for which there does not exist any measurement device.
  3. The state-variable is a derived "dummy" variable that has no physical meaning.

If things cannot be directly observed, for any of the reasons above, it can be necessary to calculate or **estimate** the values of the internal state variables, using only the input/output relation of the system, and the output history of the system from the starting time. In other words, we must ask whether or not it is possible to determine what the inside of the system (the internal system states) is like, by only observing the outside performance of the system (input and output)? We can provide the following formal definition of mathematical observability:

Observability
    A system with an initial state, ![x\(t_0\)](../../../upload.wikimedia.org/math/0/3/1/031b956822d40b02ebc188425d673463.png) is **observable** if and only if the value of the initial state can be determined from the system output y(t) that has been observed through the time interval ![t_0<t<t_f](../../../upload.wikimedia.org/math/4/f/e/4fea062559e13d5fbb33c3a8bdca2d3e.png). If the initial state cannot be so determined, the system is **unobservable**.

Complete Observability
    A system is said to be **completely observable** if all the possible initial states of the system can be observed. Systems that fail this criteria are said to be **unobservable**.

Detectability
    A system is **Detectable** if all states that cannot be observed decay to zero asymptotically.

Constructability
    A system is **constructable** if the present state of the system can be determined from the present and past outputs and inputs to the system. If a system is observable, then it is also constructable. The relationship does not work the other way around.

A system state xi is unobservable at a given time ti if the zero-input response of the system is zero for all time t. If a system is observable, then the only state that produces a zero output for all time is the zero state. We can use this concept to define the term **state-observability**.

State-Observability
    A system is completely **state-observable** at time t0 or the pair (A, C) is observable at t0 if the only state that is unobservable at t0 is the zero state x = 0.

### Constructability

A state _x_ is **unconstructable** at a time t1 if for every finite time t < t1 the zero input response of the system is zero for all time t.

A system is completely **state constructable** at time t1 if the only state _x_ that is unconstructable at t0 is _x_ = 0.

If a system is observable at an initial time t0, then it is constructable at some time t > t0, if it is constructable at t1.

### Observability Matrix

The observability of the system is dependant only on the system states and the system output, so we can simplify our state equations to remove the input terms:

**Matrix Dimensions:**  
A: _p_ × _p_  
B: _p_ × _q_  
C: _r_ × _p_  
D: _r_ × _q_  


    ![x'\(t\) = Ax\(t\)](../../../upload.wikimedia.org/math/5/3/e/53efef7d98ea2c65bacf362d287505d1.png)
    ![y\(t\) = Cx\(t\)](../../../upload.wikimedia.org/math/2/5/6/2562fa1ce1c7adbc21a603722101003e.png)

Therefore, we can show that the observability of the system is dependant only on the coefficient matrices A and C. We can show precisely how to determine whether a system is observable, using only these two matrices. If we have the **observability matrix** Q:

  


[Observability Matrix]

    ![Q = \\begin{bmatrix}C\\\\CA\\\\CA^2\\\\\\vdots\\\\CA^{p-1}\\end{bmatrix}](../../../upload.wikimedia.org/math/3/0/3/303d3ad13a9bdb2507d280a98fe30c3c.png)

we can show that the system is observable if and only if the Q matrix has a rank of _p_. Notice that the Q matrix has the dimensions _pr_ × _p_.

MATLAB allows one to easily create the observability matrix with the **obsv** command. To create the observabilty matrix ![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) simply type

    Q=obsv(A,C)

where A and C are mentioned above. Then in order to determine if the system is observable or not one can use the rank command to determine if it has full rank.

### Observability Gramian

We can define an **observability gramian** as:

  


[Observability Gramian]

    ![W_o\(t_0, t_1\) = \\int_{t_0}^{t_1} \\phi'\(\\tau, t_0\)C'\(\\tau\)C\(\\tau\)\\phi\(\\tau, t_0\)d\\tau](../../../upload.wikimedia.org/math/2/1/1/211f60891bd20ce8a3f73801e41aed79.png)

A system is completely state observable at time t0 < t < t1 if and only if the rank of the observability gramian is equal to the size _p_ of the system matrix A.

If the system (A, B, C, D) is time-invariant, we can construct the observability gramian as the solution to the Lyapunov equation:

    ![A'W_o + W_oA = -C'C](../../../upload.wikimedia.org/math/f/b/c/fbc435e7e1e8041ae9cd68a3b87a46e3.png)

### Constructability Gramian

We can define a **constructability gramian** as:

  


[Constructability Gramian]

    ![W_{cn}\(t_0, t_1\) = \\int_{t_0}^{t_1} \\phi'\(\\tau, t_1\)C'\(\\tau\)C\(\\tau\)\\phi\(\\tau, t_1\)d\\tau](../../../upload.wikimedia.org/math/f/a/e/faefa6b2fd83383f31443584f75027c8.png)

A system is completely state observable at an initial time t0 if and only if there exists a finite t1 such that:

    ![\\operatorname{rank} \(W_0\) = \\operatorname{rank} \(W_{cn}\) = p](../../../upload.wikimedia.org/math/0/3/2/0325c01a1e1ef987b4a625bf74fb8d62.png)

Notice that the constructability and observability gramians are very similar, and typically they can both be calculated at the same time, only substituting in different values into the state-transition matrix.

## Duality Principle

The concepts of controllability and observability are very similar. In fact, there is a concrete relationship between the two. We can say that a system (A, B) is controllable if and only if the system (A', C, B', D) is observable. This fact can be proven by plugging A' in for A, and B' in for C into the observability Gramian. The resulting equation will exactly mirror the formula for the controllability gramian, implying that the two results are the same.

  


  


# System Specifications

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Controllability and Observability](http://en.wikibooks.org/wiki/Control_Systems/Controllability_and_Observability)
[Controllers →](http://en.wikibooks.org/wiki/Control_Systems/Controllers)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## System Specification

There are a number of different specifications that might need to be met by a new system design. In this chapter we will talk about some of the specifications that systems use, and some of the ways that engineers analyze and quantify systems.

## Steady-State Accuracy

## Sensitivity

The **sensitivity** of a system is a parameter that is specified in terms of a given output and a given input. The sensitivity measures how much change is caused in the output by small changes to the reference input. Sensitive systems have very large changes in output in response to small changes in the input. The sensitivity of system H to input X is denoted as:

    ![S_H^X\(s\)](../../../upload.wikimedia.org/math/c/b/5/cb521c0ad05d8054233afe31c9b11d41.png)

## Disturbance Rejection

All physically-realized systems have to deal with a certain amount of noise and disturbance. The ability of a system to ignore the noise is known as the **disturbance rejection** of the system.

## Control Effort

The control effort is the amount of energy or power necessary for the controller to perform its duty.

  


  


# Controllers and Compensators

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← System Specifications](http://en.wikibooks.org/wiki/Control_Systems/System_Specifications)
[Compensators →](http://en.wikibooks.org/wiki/Control_Systems/Compensators)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Controllers

There are a number of different standard types of control systems that have been studied extensively. These controllers, specifically the P, PD, PI, and PID controllers are very common in the production of physical systems, but as we will see they each carry several drawbacks.

## Proportional Controllers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/P-controller-symbol-2.svg/300px-P-controller-symbol-2.svg.png)

A Proportional controller block diagram

Proportional controllers are simply gain values. These are essentially multiplicative coefficients, usually denoted with a _K_. A P controller can only force the system poles to a spot on the system's root locus. A P controller cannot be used for arbitrary pole placement.

We refer to this kind of controller by a number of different names: proportional controller, gain, and zeroth-order controller.

## Derivative Controllers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/58/D-controller-symbol-2.svg/300px-D-controller-symbol-2.svg.png)

A Proportional-Derivative controller block diagram

In the Laplace domain, we can show the derivative of a signal using the following notation:

    ![D\(s\) = \\mathcal{L} \\left\\{ f'\(t\) \\right\\} = sF\(s\) - f\(0\)](../../../upload.wikimedia.org/math/a/0/d/a0dadc4a0479e30a32420c9d39c25551.png)

Since most systems that we are considering have zero initial condition, this simplifies to:

    ![D\(s\) = \\mathcal{L} \\left\\{ f'\(t\) \\right\\} = sF\(s\)](../../../upload.wikimedia.org/math/7/6/c/76c39eaca3c3e80af49341c1c5504d1e.png)

The derivative controllers are implemented to account for future values, by taking the derivative, and controlling based on where the signal is going to be in the future. Derivative controllers should be used with care, because even small amount of high-frequency noise can cause very large derivatives, which appear like amplified noise. Also, derivative controllers are difficult to implement perfectly in hardware or software, so frequently solutions involving only integral controllers or proportional controllers are preferred over using derivative controllers.

Notice that derivative controllers are not proper systems, in that the order of the numerator of the system is greater than the order of the denominator of the system. This quality of being a non-proper system also makes certain mathematical analysis of these systems difficult.

### Z-Domain Derivatives

We won't derive this equation here, but suffice it to say that the following equation in the Z-domain performs the same function as the Laplace-domain derivative:

    ![D\(z\) = \\frac{z - 1}{Tz}](../../../upload.wikimedia.org/math/3/0/9/309ab507459d25a8064ff9efcb1c5494.png)

Where T is the sampling time of the signal.

## Integral Controllers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e9/I-controller-symbol-2.svg/300px-I-controller-symbol-2.svg.png)

A Proportional-Integral Controller block diagram

To implemenent an Integral in a Laplace domain transfer function, we use the following:

    ![\\mathcal{L}\\left\\{ \\int_0^t f\(t\)\\, dt \\right\\} = {1 \\over s}F\(s\)](../../../upload.wikimedia.org/math/0/7/4/0744d966ceb147fccc62135621bd0ed4.png)

Integral controllers of this type add up the area under the curve for past time. In this manner, a PI controller (and eventually a PID) can take account of the past performance of the controller, and correct based on past errors.

### Z-Domain Integral

The integral controller can be implemented in the Z domain using the following equation:

    ![D\(z\) = \\frac{z + 1}{z - 1}](../../../upload.wikimedia.org/math/1/7/f/17f0d890e6788fdb983c61d6b9bf93ca.png)

## PID Controllers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/68/PID.png/220px-PID.png)

![](http://bits.wikimedia.org/static-1.23wmf22/skins/common/images/magnify-clip.png)

A block diagram of a PID controller

PID controllers are combinations of the proportional, derivative, and integral controllers. Because of this, PID controllers have large amounts of flexibility. We will see below that there are definite limites on PID control.

  


### PID Transfer Function

The transfer function for a standard PID controller is an addition of the Proportional, the Integral, and the Differential controller transfer functions (hence the name, PID). Also, we give each term a gain constant, to control the weight that each factor has on the final output:

  


[PID]

    ![D\(s\) = K_p + {K_i \\over s} + K_d s](../../../upload.wikimedia.org/math/c/f/f/cff8e7406e0b315686955c3baa7249c6.png)

Notice that we can write the transfer function of a PID controller in a slightly different way:

    ![D\(s\) = \\frac{A_0 + A_1s}{B_0 + B_1s}](../../../upload.wikimedia.org/math/b/f/1/bf1cb35b57832891b660592d025bc84b.png)

This form of the equation will be especially useful to us when we look at polynomial design.

### PID Signal flow diagram

![Signal flow diagram for a PID controller](../../../upload.wikimedia.org/wikibooks/en/7/7d/Pid.jpg)

### PID Tuning

The process of selecting the various coefficient values to make a PID controller perform correctly is called **PID Tuning**. There are a number of different methods for determining these values:[[1]](Print_version.html#cite_note-2)

  
1) Direct Synthesis (DS) method

2) Internal Model Control (IMC) method

3) Controller tuning relations

4) Frequency response techniques

5) Computer simulation

6) On-line tuning after the control system is installed

7)Trial and error

  
**Notes:**

  1. [↑](Print_version.html#cite_ref-2) Seborg, Dale E.; Edgar, Thomas F.; Mellichamp, Duncan A. (2003). Process Dynamics and Control, Second Edition. John Wiley & Sons,Inc. [ISBN 0471000779](http://en.wikibooks.org/wiki/Special:BookSources/0471000779)

### Digital PID

In the Z domain, the PID controller has the following transfer function:

  


[Digital PID]

    ![D\(z\) = K_p + K_i \\frac{T}{2} \\left\[ \\frac{z + 1}{z - 1} \\right\] + K_d \\left\[ \\frac{z - 1}{Tz} \\right\]](../../../upload.wikimedia.org/math/d/9/1/d919413acf74b82b6ae2ea2be35c5b48.png)

And we can convert this into a canonical equation by manipulating the above equation to obtain:

    ![D\(z\) = \\frac{a_0 + a_1 z^{-1} + a_2 z^{-2}}{1 + b_1 z^{-1} + b_2 z^{-2}}](../../../upload.wikimedia.org/math/5/1/2/512ae548bd2eccda211b0a923d14808c.png)

Where:

    ![a_0 = K_p + \\frac{K_i T}{2} + \\frac{K_d}{T}](../../../upload.wikimedia.org/math/a/2/7/a27c9f51cc9826bde2f8245618d078a9.png)

    ![a_1 = -K_p + \\frac{K_i T}{2} + \\frac{-2 K_d}{T}](../../../upload.wikimedia.org/math/f/3/6/f36c15f10164ec04e80f8807d2cc6afc.png)

    ![a_2 = \\frac{K_d}{T}](../../../upload.wikimedia.org/math/e/0/e/e0e3231824fa28390aaa9504c3db43a5.png)

    ![b_1 = -1](../../../upload.wikimedia.org/math/b/9/4/b944d71d5ef09d0329c45fbca7ab24fb.png)

    ![b_2 = 0](../../../upload.wikimedia.org/math/b/6/3/b6375b132ad4ee964ee2230d41166bcc.png)

Once we have the Z-domain transfer function of the PID controller, we can convert it into the digital time domain:

    ![y\[n\] = x\[n\]a_0 + x\[n-1\]a_1 + x\[n-2\]a_2 - y\[n-1\]b_1 - y\[n-2\]b_2](../../../upload.wikimedia.org/math/9/e/1/9e1e2c7121efd2e22c2af0b47bbb0602.png)

And finally, from this difference equation, we can create a digital filter structure to implement the PID.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

For more information about digital filter structures, see [Digital Signal Processing](http://en.wikibooks.org/wiki/Digital_Signal_Processing)

## Bang-Bang Controllers

Despite the low-brow sounding name of the Bang-Bang controller, it is a very useful tool that is only really available using digital methods. A better name perhaps for a bang-bang controller is an on/off controller, where a digital system makes decisions based on target and threshold values, and decides whether to turn the controller on and off. Bang-bang controllers are a non-linear style of control that this book might consider in more detail in future chapters.

Consider the example of a household furnace. The oil in a furnace burns at a specific temperature -- it can't burn hotter or cooler. To control the temperature in your house then, the thermostat control unit decides when to turn the furnace on, and when to turn the furnace off. This on/off control scheme is a bang-bang controller.

## Compensation

There are a number of different compensation units that can be employed to help fix certain system metrics that are outside of a proper operating range. Most commonly, the phase characteristics are in need of compensation, especially if the magnitude response is to remain constant.

## Phase Compensation

Occasionally, it is necessary to alter the phase characteristics of a given system, without altering the magnitude characteristics. To do this, we need to alter the frequency response in such a way that the phase response is altered, but the magnitude response is not altered. To do this, we implement a special variety of controllers known as **phase compensators**. They are called compensators because they help to improve the phase response of the system.

There are two general types of compensators: **Lead Compensators**, and **Lag Compensators**. If we combine the two types, we can get a special **Lead-Lag Compensator** system.

When designing and implementing a phase compensator, it is important to analyze the effects on the gain and phase margins of the system, to ensure that compensation doesn't cause the system to become unstable. phase lead compensation:- 1 it is same as addition of zero to open loop TF since from pole zero point of view zero is nearer to origin than pole hence effect of zero dominant.

## Phase Lead

The transfer function for a lead-compensator is as follows:  


[Lead Compensator]

    ![T_{lead}\(s\) = \\frac{s-z}{s-p} ](../../../upload.wikimedia.org/math/b/6/6/b665db22feb47900078e429a5f448700.png)

To make the compensator work correctly, the following property must be satisfied:

    ![| z | < | p |](../../../upload.wikimedia.org/math/6/c/e/6ceba032d2a5468d81f6436c9732259e.png)

And both the pole and zero location should be close to the origin, in the LHP. Because there is only one pole and one zero, they both should be located on the real axis.

Phase lead compensators help to shift the poles of the transfer function to the left, which is beneficial for stability purposes.

## Phase Lag

The transfer function for a lag compensator is the same as the lead-compensator, and is as follows:

  


[Lag Compensator]

    ![T_{lag}\(s\) = \\frac{s-z}{s-p} ](../../../upload.wikimedia.org/math/9/f/a/9fafb4f1fd93c05039b56f60bdbf665a.png)

However, in the lag compensator, the location of the pole and zero should be swapped:

    ![| p | < | z |](../../../upload.wikimedia.org/math/8/f/0/8f03a6773588b54923b3e3d4d5047e24.png)

Both the pole and the zero should be close to the origin, on the real axis.

The Phase lag compensator helps to improve the steady-state error of the system. The poles of the lag compensator should be very close together to help prevent the poles of the system from shifting right, and therefore reducing system stability.

## Phase Lead-Lag

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Lead-lag compensator**_](http://en.wikipedia.org/wiki/Lead-lag_compensator)

The transfer function of a **lead-lag compensator** is simply a multiplication of the lead and lag compensator transfer functions, and is given as:

  


[Lead-Lag Compensator]

    ![ T_{lead-lag}\(s\) = \\frac{\(s-z_1\)\(s-z_2\)}{\(s-p_1\)\(s-p_2\)}. ](../../../upload.wikimedia.org/math/e/0/b/e0be44843eb6bedd5b1fbed8339132c0.png)

Where typically the following relationship must hold true:

    ![| p_1 | > | z_1 | > | z_2 | > | p_2 | ](../../../upload.wikimedia.org/math/b/f/e/bfe44a6df5a22bc35b4d44ba67413725.png)

  


## External Sites

  * [Standard Controller Forms on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Standard_Controller_Forms)
  * [PID Control on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=PID_Control)
  * [PI Control on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=PI_Control)

  


Advanced Topics

The following chapters are going to begin exploration into more advanced topics, such as nonlinear systems, and noise-driven systems. Currently, this book does not cover these subjects or any other advanced topics with any measure of completeness.

  


# Nonlinear Systems

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← State Machines](http://en.wikibooks.org/wiki/Control_Systems/State_Machines)
[Common Nonlinearities →](http://en.wikibooks.org/wiki/Control_Systems/Common_Nonlinearities)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## Nonlinear General Solution

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Non-linear control**_](http://en.wikipedia.org/wiki/Non-linear_control)

A nonlinear system, in general, can be defined as follows:

    ![x'\(t\) = f\(t, t_0, x, x_0\)](../../../upload.wikimedia.org/math/d/c/c/dcc899e1c2bfbfdf056c40cac749a2ea.png)
    ![x\(t_0\) = x_0](../../../upload.wikimedia.org/math/4/7/b/47b712770ce96601b4297e8a551554e5.png)

Where _f_ is a nonlinear function of the time, the system state, and the initial conditions. If the initial conditions are known, we can simplify this as:

    ![x'\(t\) = f\(t, x\)](../../../upload.wikimedia.org/math/e/f/e/efe18f3bb4cd9203219423429ba5bbeb.png)

The general solution of this equation (or the most general form of a solution that we can state without knowing the form of _f_) is given by:

    ![x\(t\) = x_0 + \\int_{t_0}^t f\(\\tau, x\)d\\tau](../../../upload.wikimedia.org/math/4/6/d/46d0d183a0a30f664ccca22fc36147e9.png)

and we can prove that this is the general solution to the above equation because when we differentiate both sides we get the general solution.

### Iteration Method

The general solution to a nonlinear system can be found through a method of infinite iteration. We will define _x_n as being an iterative family of indexed variables. We can define them recursively as such:

    ![x_n\(t\) = x_0 + \\int_{t_0}^t f\(\\tau, x_{n-1}\(\\tau\)\)d\\tau](../../../upload.wikimedia.org/math/3/6/3/363b3ce4f6f4f315537bdd4c41e6479e.png)
    ![x_1\(t\) = x_0](../../../upload.wikimedia.org/math/6/b/6/6b64e7fe8732aa7b61ac84423014f903.png)

We can show that the following relationship is true:

    ![x\(t\) = \\lim_{n \\to \\infty}x_n\(t\)](../../../upload.wikimedia.org/math/d/9/1/d913433926879bedd7f321eb9cf5fd8b.png)

The _x_n series of equations will converge on the solution to the equation as n approaches infinity.

  


### Types of Nonlinearities

Nonlinearities can be of two types:

  1. **Intentional non-linearity**: The non-linear elements that are added into a system. Eg: Relay
  2. **Incidental non-linearity**: The non-linear behavior that is already present in the system. Eg: Saturation

## Linearization

Nonlinear systems are difficult to analyze, and for that reason one of the best methods for analyzing those systems is to find a linear approximation to the system. Frequently, such approximations are only good for certain operating ranges, and are not valid beyond certain bounds. The process of finding a suitable linear approximation to a nonlinear system is known as **linearization**.

![Linear Approximation.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/5/50/Linear_Approximation.svg/500px-Linear_Approximation.svg.png)

This image shows a linear approximation (dashed line) to a non-linear system response (solid line). This linear approximation, like most, is accurate within a certain range, but becomes more inaccurate outside that range. Notice how the curve and the linear approximation diverge towards the right of the graph.

  


  


# Common Nonlinearities

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Nonlinear Systems](http://en.wikibooks.org/wiki/Control_Systems/Nonlinear_Systems)
[Noise Driven Systems →](http://en.wikibooks.org/wiki/Control_Systems/Noise_Driven_Systems)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  
There are some nonlinearities that happen so frequently in physical systems that they are called "Common nonlinearities". These common nonlinearities include Hysteresis, Backlash, and Dead-zone.

## Hysteresis

Continuing with the example of a household thermostat, let's say that your thermostat is set at 70 degrees (Fahrenheit). The furnace turns on, and the house heats up to 70 degrees, and then the thermostat dutifully turns the furnace off again. However, there is still a large amount of residual heat left in the ducts, and the hot air from the vents on the ground may not all have risen up to the level of the thermostat. This means that after the furnace turns off, the house may continue to get hotter, maybe even to uncomfortable levels.

So the furnace turns off, the house heats up to 80 degrees, and then the air conditioner turns on. The temperature of the house cools down to 70 degrees again, and the A/C turns back off. However, the house continues to cool down, and then it gets too cold, and the furnace needs to turn back on.

As we can see from this example, a bang-bang controller, if poorly designed, can cause big problems, and it can waste lots of energy. To avoid this, we implement the idea of **Hysteresis**, which is a set of threshold values that allow for overflow outputs. Implementing hysteresis, our furnace now turns off when we get to 65 degrees, and the house slowly warms up to 75 degrees, and doesnt turn on the A/C unit. This is a far preferable solution.

## Backlash

Eg: Mechanical gear.

## Dead-Zone

A dead-zone is a kind of non linearity in which the system doesn't respond to the given input until the input reaches a particular level.

## Inverse Nonlinearities

### Inverse Hysteresis

### Inverse Backlash

### Inverse Dead-Zone

  


# Noise Driven Systems

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[← Common Nonlinearities](http://en.wikibooks.org/wiki/Control_Systems/Common_Nonlinearities)
[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The topics in this chapter will rely heavily on topics from a calculus-based background in probability theory. There currently are no wikibooks available that contain this information. The reader should be familiar with the following concepts: Gaussian Random Variables, Mean, Expectation Operation.

## Noise-Driven Systems

Systems frequently have to deal with not only the control input _u_, but also a random noise input _v_. In some disciplines, such as in a study of electrical communication systems, the noise and the data signal can be added together into a composite input _r = u + v_. However, in studying control systems, we can not combine these inputs together, for a variety of different reasons:

  1. The control input works to stabilize the system, and the noise input works to destabilize the system.
  2. The two inputs are independent random variables.
  3. The two inputs may act on the system in completely different ways.

As we will show in the next example, it is frequently a good idea to consider the noise and the control inputs separately:

**Example:** Consider a moving automobile. The control signals for the automobile consist of acceleration (gas pedal) and deceleration (brake pedal) inputs acting on the wheels of the vehicle, and working to create forward motion. The noise inputs to the system can consist of wind pushing against the vertical faces of the automobile, rough pavement (or even dirt) under the tires, bugs and debris hitting the front windshield, etc. As we can see, the control inputs act on the wheels of the vehicle, while the noise inputs can act on multiple sides of the vehicle, in different ways.

## Probability Refresher

We are going to have a brief refesher here for calculus-based probability, specifically focusing on the topics that we will use in the rest of this chapter.

### Expectation

The expectation operatior, **E**, is used to find the _expected, or mean value_ of a given random variable. The expectation operator is defined as:

    ![E\[x\] = \\int_{-\\infty}^\\infty x f_x\(x\)dx](../../../upload.wikimedia.org/math/6/7/6/676dfaf81872e434049cb567453131ff.png)

If we have two variables that are independent of one another, the expectation of their product is zero.

### Covariance

The **covariance** matrix, _Q_, is the expectation of a random vector times it's transpose:

    ![E\[x\(t\)x'\(t\)\] = Q\(t\)](../../../upload.wikimedia.org/math/8/a/a/8aaf6f56a8262fa5d242eb5e231be4ff.png)

If we take the value of the _x_ transpose at a different point in time, we can calculate out the covariance as:

    ![E\[x\(t\)x'\(s\)\] = Q\(t\)\\delta\(t-s\)](../../../upload.wikimedia.org/math/8/0/3/8033299cdb6eb3c8a3616bcd5afec5fe.png)

Where δ is the impulse function.

## Noise-Driven System Description

We can define the state equation to a system incorporating a noise vector _v_:

    ![x'\(t\) = A\(t\)x\(t\) + H\(t\)u\(t\) +B\(t\)v\(t\)](../../../upload.wikimedia.org/math/e/0/d/e0dc69d8923b9274128ae4a3c69b3362.png)

For generality, we will discuss the case of a time-variant system. Time-invariant system results will then be a simplification of the time-variant case. Also, we will assume that _v_ is a **gaussian random variable**. We do this because physical systems frequently approximate gaussian processes, and because there is a large body of mathematical tools that we can use to work with these processes. We will assume our gaussian process has zero-mean.

## Mean System Response

We would like to find out how our system will respond to the new noisy input. Every system iteration will have a different response that varies with the noise input, but the average of all these iterations should converge to a single value.

For the system with zero control input, we have:

    ![x'\(t\) = A\(t\)x\(t\) + B\(t\)v\(t\)](../../../upload.wikimedia.org/math/5/8/9/589c83794bf2d8f75fc025ec9201c41f.png)

For which we know our general solution is given as:

    ![x\(t\) = \\phi\(t, t_0\)x_0 + \\int_{t_0}^t \\phi\(t, \\tau\)B\(\\tau\)v\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/a/f/e/afe62c2373f85a784d90e79612358243.png)

If we take the **expected value** of this function, it should give us the expected value of the output of the system. In other words, we would like to determine what the expected output of our system is going to be by adding a new, noise input.

    ![E\[x\(t\)\] = E\[\\phi\(t, t_0\)x_0\] + E\[\\int_{t_0}^t \\phi\(t, \\tau\)B\(\\tau\)v\(\\tau\)d\\tau\]](../../../upload.wikimedia.org/math/4/9/c/49ca75af99925dcbf075b28aac894121.png)

In the second term of this equation, neither &\phi; nor B are random variables, and therefore they can come outside of the expectaion operation. Since _v_ is zero-mean, the expectation of it is zero. Therefore, the second term is zero. In the first equation, $phi; is not a random variable, but x0 does create a dependancy on the output of _x_(t), and we need to take the expectation of it. This means that:

    ![E\[x\(t\)\] = \\phi\(t, t_0\)E\[x_0\]](../../../upload.wikimedia.org/math/c/d/b/cdb11fc51ffd3c0bc66da395be7d2a8e.png)

In other words, the expected output of the system is, on average, the value that the output would be if there were no noise. Notice that if our noise vector _v_ was not zero-mean, and if it was not gaussian, this result would not hold.

## System Covariance

We are now going to analyze the covariance of the system with a noisy input. We multiply our system solution by its transpose, and take the expectation: (this equation is long and might break onto multiple lines)

    ![E\[x\(t\)x'\(t\)\] = E\[\\phi\(t, t_0\)x_0 + \\int_{t_0}^t\\phi\(\\tau, t_0\)B\(\\tau\)v\(\\tau\)d\\tau\]](../../../upload.wikimedia.org/math/4/8/e/48e4cad04606047d5faac96aa2aef745.png)![E\[\(\\phi\(t, t_0\)x_0 + \\int_{t_0}^t\\phi\(\\tau, t_0\)B\(\\tau\)v\(\\tau\)d\\tau\)'\]](../../../upload.wikimedia.org/math/7/2/a/72a2fb6475d78eb7008d49ff7ecb412c.png)

If we multiply this out term by term, and cancel out the expectations that have a zero-value, we get the following result:

    ![E\[x\(t\)x'\(t\)\] = \\phi\(t, t_0\)E\[x_0x_0'\]\\phi'\(t, t_0\) = P](../../../upload.wikimedia.org/math/9/3/3/9333d8d3e30fa94b385933a90db33429.png)

We call this result _P_, and we can find the first derivative of P by using the chain-rule:

    ![P'\(t\) = A\(t\)\\phi\(t, t_0\)P_0\\phi\(t, t_0\) + \\phi\(t, t_0\)P_0\\phi'\(t, t_0\)A'\(t\)](../../../upload.wikimedia.org/math/2/f/4/2f476623db804d2859fe6a144af0e7d5.png)

Where

    ![P_0 = E\[x_0x_0'\]](../../../upload.wikimedia.org/math/b/f/6/bf6b32a32c1524587351da03ecb72137.png)

We can reduce this to:

    ![P'\(t\) = A\(t\)P\(t\) + P\(t\)A'\(t\) + B\(t\)Q\(t\)B'\(t\)](../../../upload.wikimedia.org/math/f/6/f/f6f95efe6d853e5f2b1fc6c66746619e.png)

In other words, we can analyze the system _without needing to calculate the state-transition matrix_. This is a good thing, because it can often be very difficult to calculate the state-transition matrix.

## Alternate Analysis

Let us look again at our general solution:

    ![x\(t\) = \\phi\(t, t_0\)x\(t_0\) + \\int_{t_0}^t \\phi\(t, \\tau\)B\(\\tau\)v\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/e/8/a/e8aa5b3eee259de040273d62db65d2bb.png)

We can run into a problem because in a gaussian distribution, especially systems with high variance (especially systems with infinite variance), the value of _v_ can momentarily become undefined (approach infinity), which will cause the value of _x_ to likewise become undefined at certain points. This is unacceptable, and makes further analysis of this problem difficult. Let us look again at our original equation, with zero control input:

    ![x'\(t\) = A\(t\)x\(t\)+B\(t\)v\(t\)](../../../upload.wikimedia.org/math/5/8/9/589c83794bf2d8f75fc025ec9201c41f.png)

We can multiply both sides by _dt_, and get the following result:

    ![dx = A\(t\)x\(t\)dt + B\(t\)v\(t\)dt](../../../upload.wikimedia.org/math/a/6/0/a60417486a0c8ef3c914d52f406c1084.png)

This new term, _dw_, is a random process known as a **Weiner Process**, which the result of transforming a gaussian process in this manner.

We can define a new differential, _dw(t)_, which is an infinitesimal function of time as:

    ![dw\(t\) = v\(t\)dt](../../../upload.wikimedia.org/math/f/3/5/f35c94045e2528cc049cfc80ea6cfaf2.png)

Now, we can integrate both sides of this equation:

    ![x\(t\) = x\(t_0\) + \\int_{t_0}^t A\(\\tau\)x\(\\tau\)d\\tau + \\int_{t_0}^tB\(\\tau\)dw\(\\tau\)](../../../upload.wikimedia.org/math/4/d/a/4da1846fced2168a5214db80da56fc75.png)

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Ito Calculus**_](http://en.wikipedia.org/wiki/Ito_Calculus)

However, this leads us to an unusual place, and one for which we are (probably) not prepared to continue further: in the third term on the left-hand side, we are attempting to integrate with respect to a _function_, not a _variable_. In this instance, the standard Riemann integrals that we are all familiar with cannot solve this equation. There are advanced techniques known as **Ito Calculus** however that can solve this equation, but these methods are currently outside the scope of this book.

  


  
  


Appendicies

Appendix 1: Physical Models  
Appendix 2: Z-Transform Mappings  
Appendix 3: Transforms  
Appendix 4: System Representations  
Appendix 5: MATLAB

  


# Appendix: Physical Models

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## Physical Models

This page will serve as a refresher for various different engineering disciplines on how physical devices are modeled. Models will be displayed in both time-domain and Laplace-domain input/output characteristics. The only information that is going to be displayed here will be the ones that are contributed by knowledgeable contributors.

## Electrical Systems

For more information about electric circuits and circuit elements, see the following books:  
**[Circuit Theory](http://en.wikibooks.org/wiki/Circuit_Theory)  
[Electronics](http://en.wikibooks.org/wiki/Electronics)**

    

Component Time-Domain Laplace Fourier

Resistor
R
R
R

Capacitor
![i = C\\frac{dv}{dt}](../../../upload.wikimedia.org/math/1/6/5/165de258761a1ce6a24bf72e2d7b6e4f.png)
![G\(s\) = \\frac{1}{sC}](../../../upload.wikimedia.org/math/e/3/8/e382e7bdd3e970d3832c4f3a1ba2c36b.png)
![G\(j\\omega\) = \\frac{1}{j\\omega C}](../../../upload.wikimedia.org/math/0/5/3/05342f72210c654d17553e95c2bb026f.png)

Inductor
![v = L\\frac{di}{dt}](../../../upload.wikimedia.org/math/3/9/4/394a80e572753274144f31ce264cdc26.png)
![G\(s\) = sL](../../../upload.wikimedia.org/math/2/4/1/241b9c82940d564c72305468ec673509.png)
![G\(j\\omega\) = j\\omega L](../../../upload.wikimedia.org/math/e/3/0/e30ab8368108187f2aaf8ce026419632.png)

## Mechanical Systems

## Civil/Construction Systems

## Chemical Systems

  


# Appendix: Z Transform Mappings

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Z Transform Mappings

There are a number of different mappings that can be used to convert a system from the complex Laplace domain into the Z-Domain. None of these mappings are perfect, and every mapping requires a specific starting condition, and focuses on a specific aspect to reproduce faithfully. One such mapping that has already been discussed is the **bilinear transform**, which, along with prewarping, can faithfully map the various regions in the s-plane into the corresponding regions in the z-plane. We will discuss some other potential mappings in this chapter, and we will discuss the pros and cons of each.

## Bilinear Transform

The Bilinear transform converts from the Z-domain to the complex W domain. The W domain is not the same as the Laplace domain, although there are some similarities. Here are some of the similiarities between the Laplace domain and the W domain:

  1. Stable poles are in the Left-Half Plane
  2. Unstable poles are in the right-half plane
  3. Marginally stable poles are on the vertical, imaginary axis

With that said, the bilinear transform can be defined as follows:

  


[Bilinear Transform]

    ![w = \\frac{2}{T} \\frac{z - 1}{z + 1}](../../../upload.wikimedia.org/math/f/4/7/f47e90ad89c00477ed42f2b57c812e1b.png)

  


[Inverse Bilinear Transform]

    ![z = \\frac{\(T/2\) + w}{\(T/2\) - w}](../../../upload.wikimedia.org/math/6/f/5/6f53b4495950e0784e145b6b0a42ba29.png)

Graphically, we can show that the bilinear transform operates as follows:

![Bilinear Transform Unwarped.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7b/Bilinear_Transform_Unwarped.svg/400px-Bilinear_Transform_Unwarped.svg.png)

### Prewarping

The W domain is not the same as the Laplace domain, but if we employ the process of **prewarping** before we take the bilinear transform, we can make our results match more closely to the desired Laplace Domain representation.

Using prewarping, we can show the effect of the bilinear transform graphically:

![Bilinear Transform Mapping.svg](../../../upload.wikimedia.org/wikibooks/en/thumb/c/c6/Bilinear_Transform_Mapping.svg/400px-Bilinear_Transform_Mapping.svg.png)

The shape of the graph before and after prewarping is the same as it is without prewarping. However, the destination domain is the S-domain, not the W-domain.

## Matched Z-Transform

If we have a function in the laplace domain that has been decomposed using partial fraction expansion, we generally have an equation in the form:

    ![Y\(s\) = \\frac{A}{s + \\alpha_1} + \\frac{B}{s + \\alpha_2} + \\frac{C}{s + \\alpha_3} + ...](../../../upload.wikimedia.org/math/b/1/8/b18c09edaa47cd4e3507f38e1357bad8.png)

And once we are in this form, we can make a direct conversion between the s and z planes using the following mapping:

  


[Matched Z Transform]

    ![s + \\alpha = 1 - z^{-1}e^{-\\alpha T}](../../../upload.wikimedia.org/math/2/1/e/21e17b9a9ea40980a11996af2c16bb84.png)

Pro
    A good direct mapping in terms of s and a single coefficient
Con
    requires the Laplace-domain function be decomposed using partial fraction expansion.

## Simpson's Rule

  


[Simpson's Rule]

    ![s = \\frac{3}{T} \\frac{z^2-1}{z^2+4z^1+1}](../../../upload.wikimedia.org/math/c/d/2/cd247c1f0f84d6500b77db35b21a8c50.png)

CON
    Essentially multiplies the order of the transfer function by a factor of 2. This makes things difficult when you are trying to physically implement the system.

## (w, v) Transform

Given the following system:

    ![Y\(s\) = G\(s, z, z^\\alpha\)X\(s\)](../../../upload.wikimedia.org/math/b/0/0/b0000aef4a7ea4a6561618f9e6280c0a.png)

Then:

    ![w = \\frac{2}{T} \\frac{z-1}{z+1}](../../../upload.wikimedia.org/math/f/4/7/f47e90ad89c00477ed42f2b57c812e1b.png)

    ![v\(\\alpha\) = 1 - \\alpha\(1 - z^{-1}\) + \\frac{\\alpha\(\\alpha - 1\)}{z}\(1-z^{-1}\)^2](../../../upload.wikimedia.org/math/4/c/8/4c896406e600cf5ac6152a9566264bc4.png)

And:

  


[(w, v) Transform]

    ![Y\(z\) = G\(w, z, v\(\\alpha\)\)\\left\[X\(z\) - \\frac{x\(0\)}{1 + z^{-1}}\\right\]](../../../upload.wikimedia.org/math/2/1/4/214ea1ceb96c5439b40578531dd54d87.png)

Pro
    Directly maps a function in terms of z and s, into a function in terms of only z.
Con
    Requires a function that is already in terms of s, z and α.

## Z-Forms

  


# Appendix: Transforms

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## Laplace Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Laplace Transform**_](http://en.wikipedia.org/wiki/Laplace_Transform)

When we talk about the Laplace transform, we are actually talking about the version of the Laplace transform known as the **unilinear Laplace Transform**. The other version, the **Bilinear Laplace Transform** (not related to the Bilinear Transform, below) is not used in this book.

The Laplace Transform is defined as:

  


[Laplace Transform]

    ![F\(s\) 
        = \\mathcal{L}\[f\(t\)\] 
        = \\int_{-\\infty}^\\infty x\(t\)e^{-st}dt](../../../upload.wikimedia.org/math/c/5/a/c5a0845808f077f83495901b9e065b9b.png)

And the Inverse Laplace Transform is defined as:

  


[Inverse Laplace Transform]

    ![f\(t\) 
        = \\mathcal{L}^{-1} \\left\\{F\(s\)\\right\\}
        = \\frac{1}{2\\pi j} \\int_{\\sigma-j\\infty}^{\\sigma+j\\infty} X\(s\)e^{st}ds](../../../upload.wikimedia.org/math/d/4/f/d4f406842070479cc01436a989ecbfb2.png)

### Table of Laplace Transforms

This is a table of common laplace transforms.

  Time Domain Laplace Domain

![x\(t\) = \\mathcal{L}^{-1}\\left\\{ X\(s\) \\right\\}](../../../upload.wikimedia.org/math/9/7/7/97715cac48677db9513a824cc732e7e0.png) ![X\(s\) = \\mathcal{L} \\left\\{ x\(t\) \\right\\}](../../../upload.wikimedia.org/math/4/c/c/4cc48462bc9662d9edf093e2e4ce145d.png)

1
![ \\frac{1}{2\\pi j} \\int_{\\sigma-j\\infty}^{\\sigma+j\\infty} X\(s\)e^{st}ds ](../../../upload.wikimedia.org/math/f/f/7/ff715206fafc4e2556b31482da509c82.png)
![ \\int_{-\\infty}^\\infty x\(t\)e^{-st}dt ](../../../upload.wikimedia.org/math/1/1/1/111d6af8202ea0c70f485b04307d33e3.png)

2
![ \\delta \(t\) \\,](../../../upload.wikimedia.org/math/7/8/3/783045e83c1e5537366bd7c85dd9af27.png)
![ 1 \\,](../../../upload.wikimedia.org/math/d/0/6/d06c48671eacd7f1e2afde7289e483d5.png)

3
![ \\delta \(t-a\)\\, ](../../../upload.wikimedia.org/math/0/9/8/098c8275c33d49e28f5a3a5d6be3d3dd.png)
![ e^{-as}\\, ](../../../upload.wikimedia.org/math/1/0/6/106f4bad1ed1b345fdf766f7ef20b663.png)

4
![ u\(t\) \\,](../../../upload.wikimedia.org/math/f/e/e/fee9613c4c57044904af0c6e64555bd4.png)
![ \\frac{1}{s} ](../../../upload.wikimedia.org/math/5/a/d/5adcb727a6c3c48aa06153263b9b1c05.png)

5
![ u\(t-a\)\\, ](../../../upload.wikimedia.org/math/e/3/4/e341130fc421885dbef90f46c17d32c5.png)
![ \\frac{e^{-as}}{s} ](../../../upload.wikimedia.org/math/b/c/2/bc2e9d7fc1360d2feca996cc86a57d39.png)

6
![ t u\(t\) \\,](../../../upload.wikimedia.org/math/5/a/9/5a9a399691ffeaaa5ab397a3d9dc1e0e.png)
![ \\frac{1}{s^2} ](../../../upload.wikimedia.org/math/9/4/5/9457e81a7d049d27d6c143c62672694e.png)

7
![ t^nu\(t\) \\,](../../../upload.wikimedia.org/math/d/a/c/dac27cffbda56ab5484e41a0b50a0165.png)
![ \\frac{n!}{s^{n+1}} ](../../../upload.wikimedia.org/math/b/e/8/be87eaca633da5ef05214506abca024e.png)

8
![ \\frac{1}{\\sqrt{\\pi t}}u\(t\) ](../../../upload.wikimedia.org/math/3/5/0/350cb6d939ab8c9c27e3b4a71ca245b7.png)
![ \\frac{1}{\\sqrt{s}} ](../../../upload.wikimedia.org/math/2/8/e/28edaa5fc96024e0e5015d465178535c.png)

9
![ e^{at}u\(t\) \\,](../../../upload.wikimedia.org/math/0/e/9/0e95363b81bb11da9e84b0c86804d75d.png)
![ \\frac{1}{s-a} ](../../../upload.wikimedia.org/math/8/b/0/8b00853fc4c3b7d3910b5c8907335125.png)

10
![ t^n e^{at}u\(t\) \\,](../../../upload.wikimedia.org/math/2/1/3/213cee8cbaa0a1a9a046f2d7bb3c7cdf.png)
![ \\frac{n!}{\(s-a\)^{n+1}} ](../../../upload.wikimedia.org/math/6/8/5/685e7a6eb82221ef4f1e7de6a904f375.png)

11
![  \\cos \(\\omega t\) u\(t\) \\,](../../../upload.wikimedia.org/math/9/1/d/91dadfc0fe72221687a1bb91f0545a5b.png)
![ \\frac{s}{s^2+\\omega^2} ](../../../upload.wikimedia.org/math/f/a/3/fa3d0e339398c680f87c097bac9ada03.png)

12
![  \\sin \(\\omega t\) u\(t\) \\, ](../../../upload.wikimedia.org/math/3/7/3/373529d9d68438ffe5b049a8a50eb7a5.png)
![ \\frac{\\omega}{s^2+\\omega^2} ](../../../upload.wikimedia.org/math/c/b/c/cbc9ca6ebcbce4f35a22cd52f7e846bd.png)

13
![  \\cosh \(\\omega t\) u\(t\) \\,](../../../upload.wikimedia.org/math/3/6/0/360e77184f5b0907f2ce1a88571daac8.png)
![ \\frac{s}{s^2-\\omega^2} ](../../../upload.wikimedia.org/math/3/3/e/33e44cab094800c2667ae9ba812dc201.png)

14
![ \\sinh \(\\omega t\) u\(t\) \\,](../../../upload.wikimedia.org/math/f/9/5/f951b7e0c097b2caf9fdb695b91c9856.png)
![ \\frac{\\omega}{s^2-\\omega^2} ](../../../upload.wikimedia.org/math/6/4/3/6436b17da473681239ff310241771419.png)

15
![ e^{at}  \\cos \(\\omega t\) u\(t\) \\,](../../../upload.wikimedia.org/math/e/5/3/e53b846bd64a4a187201d1a9d4b9b9a0.png)
![ \\frac{s-a}{\(s-a\)^2+\\omega^2} ](../../../upload.wikimedia.org/math/8/9/9/8991c6bfb001dd0a5f6243c7c264c3dd.png)

16
![ e^{at} \\sin \(\\omega t\) u\(t\) \\,](../../../upload.wikimedia.org/math/3/2/e/32e96d1ab8d07d78d07d77332c53e415.png)
![ \\frac{\\omega}{\(s-a\)^2+\\omega^2} ](../../../upload.wikimedia.org/math/3/2/0/3207eae9307dc1f63db785e0bafd9f31.png)

17
![ \\frac{1}{2\\omega^3}\(\\sin \\omega t-\\omega t \\cos \\omega t\) ](../../../upload.wikimedia.org/math/f/3/3/f331bfd6a49d613e8abdb8ff5ddc8e5f.png)
![ \\frac{1}{\(s^2+\\omega^2\)^2} ](../../../upload.wikimedia.org/math/f/f/0/ff0af5120265d4aa876b615674fe6a24.png)

18
![ \\frac{t}{2\\omega} \\sin \\omega t ](../../../upload.wikimedia.org/math/c/2/a/c2aa086f5063a33d55245bfd800830e3.png)
![ \\frac{s}{\(s^2+\\omega^2\)^2} ](../../../upload.wikimedia.org/math/d/a/f/daf8f747db19bb10717c7c87b25c27f5.png)

19
![ \\frac{1}{2\\omega}\(\\sin \\omega t+\\omega t \\cos \\omega t\) ](../../../upload.wikimedia.org/math/c/f/1/cf128173ba50817195800594ebf9dfcc.png)
![ \\frac{s^2}{\(s^2+\\omega^2\)^2} ](../../../upload.wikimedia.org/math/8/6/1/861f57fef332552542612f38a1fb6475.png)

### Properties of the Laplace Transform

This is a table of the most important properties of the laplace transform.

Property Definition

Linearity
![\\mathcal{L}\\left\\{a f\(t\) + b g\(t\) \\right\\}  = a F\(s\)  + b G\(s\) ](../../../upload.wikimedia.org/math/b/a/5/ba5734c6ec8403527041a87da32cfcc2.png)

Differentiation
![\\mathcal{L}\\{f'\\}  = s \\mathcal{L}\\{f\\} - f\(0^-\)](../../../upload.wikimedia.org/math/2/b/a/2bab5fb42e5b180c974c181af242047a.png)  


![\\mathcal{L}\\{f''\\}  = s^2 \\mathcal{L}\\{f\\} - s f\(0^-\) - f'\(0^-\)](../../../upload.wikimedia.org/math/0/0/2/002cf255758c5f8f4695077bfc1324e3.png)  
![\\mathcal{L}\\left\\{ f^{\(n\)} \\right\\}  = s^n \\mathcal{L}\\{f\\} - s^{n - 1} f\(0^-\) - \\cdots - f^{\(n - 1\)}\(0^-\)](../../../upload.wikimedia.org/math/5/5/2/552f59dcde0dd6999f21035d02f1ec79.png)

Frequency Division
![\\mathcal{L}\\{ t f\(t\)\\}  = -F'\(s\)](../../../upload.wikimedia.org/math/6/8/5/685124a191b3f32eb6c9143d90bdc081.png)  


![\\mathcal{L}\\{ t^{n} f\(t\)\\}  = \(-1\)^{n} F^{\(n\)}\(s\)](../../../upload.wikimedia.org/math/a/4/9/a49b9498f5fdd16e27fe2a7e33fc24ea.png)

Frequency Integration
![\\mathcal{L}\\left\\{ \\frac{f\(t\)}{t} \\right\\} = \\int_s^\\infty F\(\\sigma\)\\, d\\sigma](../../../upload.wikimedia.org/math/2/4/c/24c4ce8df84a3f60c25a9a121eb64273.png)

Time Integration
![\\mathcal{L}\\left\\{ \\int_0^t f\(\\tau\)\\, d\\tau \\right\\}  = \\mathcal{L}\\left\\{ u\(t\) * f\(t\)\\right\\} = {1 \\over s} F\(s\) ](../../../upload.wikimedia.org/math/b/f/7/bf74c78a07ce65f563ef7ef2fa61fa28.png)

Scaling
![ \\mathcal{L} \\left\\{ f\(at\) \\right\\} = {1 \\over a} F \\left \( {s \\over a} \\right \)](../../../upload.wikimedia.org/math/f/f/5/ff5fae499ac22bd31f62cdb12fb4a52e.png)

Initial value theorem
![f\(0^+\)=\\lim_{s\\to \\infty}{sF\(s\)}](../../../upload.wikimedia.org/math/6/d/f/6dfea25a80f0fce69ed569f804d36510.png)

Final value theorem
![f\(\\infty\)=\\lim_{s\\to 0}{sF\(s\)}](../../../upload.wikimedia.org/math/9/1/4/914166f18d1365289e125d6943058554.png)

Frequency Shifts
![\\mathcal{L}\\left\\{ e^{at} f\(t\) \\right\\}  = F\(s - a\)](../../../upload.wikimedia.org/math/2/7/7/277ba9926f989f9f548958fef428b5d5.png)  


![\\mathcal{L}^{-1} \\left\\{ F\(s - a\) \\right\\}  = e^{at} f\(t\)](../../../upload.wikimedia.org/math/f/3/2/f32d5eded3f085faf0877fe315d2756a.png)

Time Shifts
![\\mathcal{L}\\left\\{ f\(t - a\) u\(t - a\) \\right\\}  = e^{-as} F\(s\)](../../../upload.wikimedia.org/math/8/3/b/83bd66730dd2e3d0ae1c7687034195c2.png)  


![\\mathcal{L}^{-1} \\left\\{ e^{-as} F\(s\) \\right\\}  = f\(t - a\) u\(t - a\)](../../../upload.wikimedia.org/math/d/4/b/d4b962800623d110572aa5526f30edf3.png)

Convolution Theorem
![\\mathcal{L}\\{f\(t\) * g\(t\)\\}  = F\(s\) G\(s\)  ](../../../upload.wikimedia.org/math/d/6/1/d6108211f0b5804ee13954345656734a.png)

**Where:**

    ![ f\(t\) = \\mathcal{L}^{-1} \\{  F\(s\) \\} ](../../../upload.wikimedia.org/math/b/f/a/bfa48a9ec64283dadf4b96ec7a64efce.png)
    ![ g\(t\) = \\mathcal{L}^{-1} \\{  G\(s\) \\} ](../../../upload.wikimedia.org/math/e/4/9/e49b0518568d40dc72376680063808d2.png)
    ![s = \\sigma + j\\omega](../../../upload.wikimedia.org/math/7/a/d/7addd3c9d3736265ecd7dbea420b1190.png)

### Convergence of the Laplace Integral

### Properties of the Laplace Transform

## Fourier Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Fourier Transform**_](http://en.wikipedia.org/wiki/Fourier_Transform)

The Fourier Transform is used to break a time-domain signal into its frequency domain components. The Fourier Transform is very closely related to the Laplace Transform, and is only used in place of the Laplace transform when the system is being analyzed in a frequency context.

The Fourier Transform is defined as:

  


[Fourier Transform]

    ![F\(j\\omega\) 
        = \\mathcal{F}\[f\(t\)\] 
        = \\int_0^\\infty f\(t\) e^{-j\\omega t} dt](../../../upload.wikimedia.org/math/8/7/a/87a3a8156cd95f05565518d2b02239df.png)

And the Inverse Fourier Transform is defined as:

  


[Inverse Fourier Transform]

    ![f\(t\) 
        = \\mathcal{F}^{-1}\\left\\{F\(j\\omega\)\\right\\}     
        = \\frac{1}{2\\pi}\\int_{-\\infty}^\\infty F\(j\\omega\) e^{-j\\omega t} d\\omega](../../../upload.wikimedia.org/math/d/9/5/d95d95fa90099b53ca3d42d199c16e18.png)

### Table of Fourier Transforms

This is a table of common fourier transforms.

  Time Domain Frequency Domain

![x\(t\) = \\mathcal{F}^{-1}\\left\\{ X\(\\omega\) \\right\\}](../../../upload.wikimedia.org/math/8/6/3/863d9d4e736928e10d7ad65b7485d018.png) ![X\(\\omega\) = \\mathcal{F} \\left\\{ x\(t\) \\right\\}](../../../upload.wikimedia.org/math/1/9/a/19ac5b86c65955c254a2bab21f9d4fc2.png)

1
![ X\(j \\omega\)=\\int_{-\\infty}^\\infty x\(t\) e^{-j \\omega t}d t ](../../../upload.wikimedia.org/math/9/9/e/99e095cbd5d46519bbe946a96a968f4e.png)
![ x\(t\)=\\frac{1}{2 \\pi} \\int_{-\\infty}^{\\infty} X\(j \\omega\)e^{j \\omega t}d \\omega ](../../../upload.wikimedia.org/math/8/0/a/80a3a92bda3fffd3dc08a19fb1e790dd.png)

2
![ 1 \\,](../../../upload.wikimedia.org/math/d/0/6/d06c48671eacd7f1e2afde7289e483d5.png)
![ 2\\pi\\delta\(\\omega\) \\,](../../../upload.wikimedia.org/math/3/b/2/3b2c95111f6044909e22218f1654b8c8.png)

3
![ -0.5 + u\(t\) \\,](../../../upload.wikimedia.org/math/2/3/d/23dadbc4e1d17e834c8a06bd09afa351.png)
![ \\frac{1}{j \\omega} \\,](../../../upload.wikimedia.org/math/4/7/9/47941d5693cbbb44a8fc455ebee84a6f.png)

4
![ \\delta \(t\) \\,](../../../upload.wikimedia.org/math/7/8/3/783045e83c1e5537366bd7c85dd9af27.png)
![ 1 \\,](../../../upload.wikimedia.org/math/d/0/6/d06c48671eacd7f1e2afde7289e483d5.png)

5
![ \\delta \(t-c\) \\,](../../../upload.wikimedia.org/math/9/6/1/9612adfd67b92667001afb555e7f0941.png)
![ e^{-j \\omega c} \\,](../../../upload.wikimedia.org/math/0/9/1/0915a1195d628164f0ac562aa08a6f03.png)

6
![ u\(t\) \\,](../../../upload.wikimedia.org/math/f/e/e/fee9613c4c57044904af0c6e64555bd4.png)
![ \\pi \\delta\(\\omega\)+\\frac{1}{j \\omega} \\,](../../../upload.wikimedia.org/math/c/c/b/ccb0d388b4dc557348f84a5482f27298.png)

7
![ e^{-bt}u\(t\) \\, \(b > 0\) ](../../../upload.wikimedia.org/math/7/8/f/78f3662d1365d3192ae3b0da2f53cc70.png)
![ \\frac{1}{j \\omega+b} \\, ](../../../upload.wikimedia.org/math/0/a/7/0a77983531fec211037e295a8bdb9bf9.png)

8
![ \\cos \\omega_0 t \\,](../../../upload.wikimedia.org/math/d/2/c/d2c43097f89ee7c790d9f9510b7aab5a.png)
![ \\pi \\left\[ \\delta\(\\omega+\\omega_0\)+\\delta\(\\omega-\\omega_0\) \\right\] \\,](../../../upload.wikimedia.org/math/5/3/3/5335b55ebf83994da78821ab770278b3.png)

9
![ \\cos \(\\omega_0 t + \\theta\) \\,](../../../upload.wikimedia.org/math/9/8/6/9866cbac8e887ef674032f14abeffcbb.png)
![ \\pi \\left\[ e^{-j \\theta}\\delta\(\\omega+\\omega_0\)+e^{j \\theta}\\delta\(\\omega-\\omega_0\) \\right\] \\, ](../../../upload.wikimedia.org/math/6/e/3/6e32dd379a3a604a5220abaececaeed7.png)

10
![ \\sin \\omega_0 t \\,](../../../upload.wikimedia.org/math/b/c/9/bc9a442b422dc51562e01105e2555589.png)
![ j \\pi \\left\[ \\delta\(\\omega +\\omega_0\)-\\delta\(\\omega-\\omega_0\) \\right\] \\,](../../../upload.wikimedia.org/math/7/1/3/71354846c8c7115466143984c0e63a88.png)

11
![ \\sin \(\\omega_0 t + \\theta\) \\,](../../../upload.wikimedia.org/math/7/8/a/78a40053e5c02e3d3eb6f2aa41908d54.png)
![ j \\pi \\left\[ e^{-j \\theta}\\delta\(\\omega +\\omega_0\)-e^{j \\theta}\\delta\(\\omega-\\omega_0\) \\right\] \\,](../../../upload.wikimedia.org/math/7/2/5/725cafff5c36ddf0be2bb7ccecd6e0a1.png)

12
![ \\mbox{rect} \\left\( \\frac{t}{\\tau} \\right\) \\,](../../../upload.wikimedia.org/math/d/9/c/d9c5fca10a083e40e0aa2397b4ec1652.png)
![ \\tau \\mbox{sinc} \\left\( \\frac{\\tau \\omega}{2 \\pi} \\right\) \\,](../../../upload.wikimedia.org/math/2/0/5/205073624e0905d492082423b2816611.png)

13
![ \\tau \\mbox{sinc} \\left\( \\frac{\\tau t}{2 \\pi} \\right\) \\,](../../../upload.wikimedia.org/math/3/f/5/3f52e0c4dbefbec5daafbbf06dcd6a76.png)
![ 2 \\pi p_\\tau\(\\omega\)\\, ](../../../upload.wikimedia.org/math/f/c/5/fc5cd3dce67989b2aa8bad6567c977a1.png)

14
![ \\left\( 1-\\frac{2 |t|}{\\tau} \\right\) p_\\tau \(t\) \\,](../../../upload.wikimedia.org/math/8/8/9/889997f4e36de0a225a7c5fc12e29cb2.png)
![ \\frac{\\tau}{2} \\mbox{sinc}^2 \\left\( \\frac{\\tau \\omega}{4 \\pi} \\right\) \\,](../../../upload.wikimedia.org/math/1/a/8/1a8f16a499c8fd2ca613314e6bf88116.png)

15
![ \\frac{\\tau}{2} \\mbox{sinc}^2 \\left\( \\frac{\\tau t}{4 \\pi} \\right\) \\,](../../../upload.wikimedia.org/math/0/7/e/07ed35f1e673c7529ef2298a1a7969f4.png)
![ 2 \\pi \\left\( 1-\\frac{2|\\omega|}{\\tau} \\right\) p_\\tau \(\\omega\) \\,](../../../upload.wikimedia.org/math/5/a/d/5ad966ee51023d22c576714ea29161f8.png)

16
![ e^{-a|t|}, \\Re\\{a\\}>0 \\,](../../../upload.wikimedia.org/math/c/9/5/c95ed6585b2c4ba1653d9b280f390037.png)
![ \\frac{2a}{a^2 + \\omega^2} \\,](../../../upload.wikimedia.org/math/0/4/9/0490fedfc2a96b61b5d6476d4cfaea8b.png)

Notes:

  1. ![ \\mbox{sinc}\(x\)=\\sin\(x\)/x ](../../../upload.wikimedia.org/math/4/e/f/4ef893a5c2fcfc6a726873ecfd96eaf4.png)
  2. ![ p_\\tau \(t\) ](../../../upload.wikimedia.org/math/1/b/e/1be513b7d38d793f3078dd33b933c130.png) is the rectangular pulse function of width ![ \\tau ](../../../upload.wikimedia.org/math/8/1/a/81a69207104f00baaabd6f84cafd15a0.png)
  3. ![ u\(t\) ](../../../upload.wikimedia.org/math/a/0/d/a0d664fdd9965ace52f10dd8d03aea2d.png) is the Heavyside step function
  4. ![ \\delta \(t\) ](../../../upload.wikimedia.org/math/e/e/1/ee1e78bea7f1ee978c7bb1de848f9354.png) is the Dirac delta function

This box: [view](http://en.wikibooks.org/wiki/Engineering_Tables/Fourier_Transform_Table) • [talk](http://en.wikibooks.org/w/index.php?title=Talk:Engineering_Tables/Fourier_Transform_Table&action=edit&redlink=1) • [edit](http://en.wikibooks.org/w/index.php?title=Engineering_Tables/Fourier_Transform_Table&action=edit)

### Table of Fourier Transform Properties

This is a table of common properties of the fourier transform.

Signal Fourier transform  
unitary, angular frequency Fourier transform  
unitary, ordinary frequency Remarks

![ g\(t\)\\!\\equiv\\!](../../../upload.wikimedia.org/math/2/a/9/2a905c2822e0ca1c3a372dc54b6b93b1.png)  
  
![ \\frac{1}{\\sqrt{2 \\pi}} \\int_{-\\infty}^{\\infty}\\!\\!G\(\\omega\) e^{i \\omega t} d \\omega \\,](../../../upload.wikimedia.org/math/8/d/2/8d22f392b86ce74e80248eaf15f3ead1.png)
![ G\(\\omega\)\\!\\equiv\\!](../../../upload.wikimedia.org/math/3/7/c/37cd65fc7aed669fc0947de747b0762d.png)  
  
![\\frac{1}{\\sqrt{2 \\pi}} \\int_{-\\infty}^{\\infty}\\!\\!g\(t\) e^{-i \\omega t} dt \\,](../../../upload.wikimedia.org/math/7/2/a/72ad40af5e9cd7438337a7201854ce8b.png)
![ G\(f\)\\!\\equiv ](../../../upload.wikimedia.org/math/b/2/d/b2d066ccf3730e93fd993e8cec3e7def.png)  
  
![\\int_{-\\infty}^{\\infty}\\!\\!g\(t\) e^{-i 2\\pi f t} dt \\,](../../../upload.wikimedia.org/math/9/8/0/980c44509363a088d75864e2002b7ca2.png)

1
![a\\cdot g\(t\) + b\\cdot h\(t\)\\,](../../../upload.wikimedia.org/math/3/d/0/3d07f97723b4cdcc57ca49ca8e81ad98.png)
![a\\cdot G\(\\omega\) + b\\cdot H\(\\omega\)\\,](../../../upload.wikimedia.org/math/1/f/3/1f34ef4a5f1b967e36eaf087899c2cca.png)
![a\\cdot G\(f\) + b\\cdot H\(f\)\\,](../../../upload.wikimedia.org/math/d/f/3/df343ba9bd1d7ad8dcf32696f4a09d55.png)
Linearity

2
![g\(t - a\)\\,](../../../upload.wikimedia.org/math/f/6/e/f6e3f898db3e7a34055169ea04eb7a9a.png)
![e^{- i a \\omega} G\(\\omega\)\\,](../../../upload.wikimedia.org/math/7/d/6/7d65f43b4a86421eb1504151effc20b9.png)
![e^{- i 2\\pi a f} G\(f\)\\,](../../../upload.wikimedia.org/math/8/5/6/8569471a52a89366b0b481b960c74a88.png)
Shift in time domain

3
![e^{ iat} g\(t\)\\,](../../../upload.wikimedia.org/math/4/7/d/47dc80e6dd0005c9d498cfb28627ba3a.png)
![G\(\\omega - a\)\\,](../../../upload.wikimedia.org/math/2/4/f/24feba4d5df2edc1efb46d84424b37cc.png)
![G \\left\(f - \\frac{a}{2\\pi}\\right\)\\,](../../../upload.wikimedia.org/math/0/3/1/031399794d6967bd12056c413b033af8.png)
Shift in frequency domain, dual of 2

4
![g\(a t\)\\,](../../../upload.wikimedia.org/math/b/b/7/bb79c3217f5d83e35e031ce6f8e3ef73.png)
![\\frac{1}{|a|} G \\left\( \\frac{\\omega}{a} \\right\)\\,](../../../upload.wikimedia.org/math/8/3/e/83eb8fd137c7d99a34278da5594bf935.png)
![\\frac{1}{|a|} G \\left\( \\frac{f}{a} \\right\)\\,](../../../upload.wikimedia.org/math/5/2/a/52a56aa49bb8c4a05495703085135824.png)
If ![|a|\\,](../../../upload.wikimedia.org/math/a/7/c/a7cef6e41bb8dba51b893dae84ce52bf.png) is large, then ![g\(a t\)\\,](../../../upload.wikimedia.org/math/b/b/7/bb79c3217f5d83e35e031ce6f8e3ef73.png) is concentrated around 0 and ![\\frac{1}{|a|}G \\left\( \\frac{\\omega}{a} \\right\)\\,](../../../upload.wikimedia.org/math/8/3/e/83eb8fd137c7d99a34278da5594bf935.png) spreads out and flattens

5
![G\(t\)\\,](../../../upload.wikimedia.org/math/1/a/a/1aa50e060e03da6e7d308a2432d22d20.png)
![ g\(-\\omega\)\\,](../../../upload.wikimedia.org/math/a/9/1/a9190afec2e8d75c6861eb7bdc637fe6.png)
![ g\(-f\)\\,](../../../upload.wikimedia.org/math/f/9/e/f9eb184f6abc816c31bf9f07d015e8f7.png)
Duality property of the Fourier transform. Results from swapping "dummy" variables of ![ t \\,](../../../upload.wikimedia.org/math/0/c/6/0c68620ee2ea4f1286fcd672a47ea080.png) and ![ \\omega \\,](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png).

6
![\\frac{d^n g\(t\)}{dt^n}\\,](../../../upload.wikimedia.org/math/9/f/5/9f5e7bfa821db93c48e52e2a5f9b2bae.png)
![ \(i\\omega\)^n  G\(\\omega\)\\,](../../../upload.wikimedia.org/math/f/5/0/f5009123600d60a46b754b8d10b82b34.png)
![ \(i 2\\pi f\)^n  G\(f\)\\,](../../../upload.wikimedia.org/math/8/c/6/8c6b8dab6cf7ba19797b264d1570f9b3.png)
Generalized derivative property of the Fourier transform

7
![t^n g\(t\)\\,](../../../upload.wikimedia.org/math/1/1/9/119ceace30e388780dfbab45a314a644.png)
![i^n \\frac{d^n G\(\\omega\)}{d\\omega^n}\\,](../../../upload.wikimedia.org/math/4/4/1/441a534e9d20171dd7633cf44661a647.png)
![\\left \(\\frac{i}{2\\pi}\\right\)^n \\frac{d^n G\(f\)}{df^n}\\,](../../../upload.wikimedia.org/math/f/4/5/f45c76a00686098b66b0b3b207275ced.png)
This is the dual to 6

8
![\(g * h\)\(t\)\\,](../../../upload.wikimedia.org/math/3/d/f/3df9249ffb2be25cacf37db344d55e37.png)
![\\sqrt{2\\pi} G\(\\omega\) H\(\\omega\)\\,](../../../upload.wikimedia.org/math/b/2/2/b2275f2fe46bd22d2a66f0bbfff9abe4.png)
![G\(f\) H\(f\)\\,](../../../upload.wikimedia.org/math/e/a/6/ea67f446c2bd857c71f75eaf0f74ef64.png)
![g * h\\,](../../../upload.wikimedia.org/math/1/6/f/16f26d5a05cb3fcc1accdc6ba4555d79.png) denotes the convolution of ![g\\,](../../../upload.wikimedia.org/math/f/3/1/f31f123f5b510e1c58b2be1990dcada8.png) and ![h\\,](../../../upload.wikimedia.org/math/7/c/4/7c4073ca34bcc95361750a3f1fddc7a8.png) — this rule is the convolution theorem

9
![g\(t\) h\(t\)\\,](../../../upload.wikimedia.org/math/8/9/3/893fe4f9ada6f88ec1ae15231f97241e.png)
![\(G * H\)\(\\omega\) \\over \\sqrt{2\\pi}\\,](../../../upload.wikimedia.org/math/f/2/6/f262ac96ba1aa6bc039cc88bd9ac0305.png)
![\(G * H\)\(f\)\\,](../../../upload.wikimedia.org/math/e/5/9/e5920d18d901162eb2afb62d09304cb0.png)
This is the dual of 8

10
For a purely real even function ![g\(t\)\\,](../../../upload.wikimedia.org/math/1/1/4/114fa2c87a6e370aff725b5fb3e151f4.png)
![G\(\\omega\)\\,](../../../upload.wikimedia.org/math/4/a/a/4aab02aabdf4ccbd4b8cde76b03901af.png) is a purely real even function
![G\(f\)\\,](../../../upload.wikimedia.org/math/2/3/2/232bd928ba1a5fd48fb7db477692524b.png) is a purely real even function

11
For a purely real odd function ![g\(t\)\\,](../../../upload.wikimedia.org/math/1/1/4/114fa2c87a6e370aff725b5fb3e151f4.png)
![G\(\\omega\)\\,](../../../upload.wikimedia.org/math/4/a/a/4aab02aabdf4ccbd4b8cde76b03901af.png) is a purely imaginary odd function
![G\(f\)\\,](../../../upload.wikimedia.org/math/2/3/2/232bd928ba1a5fd48fb7db477692524b.png) is a purely imaginary odd function

### Convergence of the Fourier Integral

### Properties of the Fourier Transform

## Z-Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Z-transform**_](http://en.wikipedia.org/wiki/Z-transform)

The Z-transform is used primarily to convert discrete data sets into a continuous representation. The Z-transform is notationally very similar to the star transform, except that the Z transform does not take explicit account for the sampling period. The Z transform has a number of uses in the field of digital signal processing, and the study of discrete signals in general, and is useful because Z-transform results are extensively tabulated, whereas star-transform results are not.

The Z Transform is defined as:

  


[Z Transform]

    ![X\(z\) 
        = \\mathcal{Z}\[x\[n\]\] 
        = \\sum_{i = -\\infty}^\\infty x\[n\] z^{-n}](../../../upload.wikimedia.org/math/4/7/4/474128ef182090c92ce5715acdce07dc.png)

### Inverse Z Transform

The inverse Z Transform is a highly complex transformation, and might be inaccessible to students without enough background in calculus. However, students who are familiar with such integrals are encouraged to perform some inverse Z transform calculations, to verify that the formula produces the tabulated results.

  


[Inverse Z Transform]

    ![x\[n\] = \\frac{1}{2 \\pi j} \\oint_C X\(z\) z^{n-1} dz](../../../upload.wikimedia.org/math/5/6/8/5688061c1fdd709e1c81fe7a978968bf.png)

### Z-Transform Tables

Here:

  * ![u\[n\]=1](../../../upload.wikimedia.org/math/2/c/d/2cd50c69bf911c194b8e87c33e297c3a.png) for ![n>=0](../../../upload.wikimedia.org/math/7/d/5/7d5041ed878317d00e1315c825469798.png), ![u\[n\]=0](../../../upload.wikimedia.org/math/e/5/d/e5d7f8b57171a641477b7f373ff8f5ae.png) for ![n<0](../../../upload.wikimedia.org/math/1/1/5/11510443f4c574c459afe9c2d35be0f1.png)
  * ![\\delta\[n\] = 1 ](../../../upload.wikimedia.org/math/f/c/a/fcaea08290d9a6e8b945e53d0de2f252.png) for ![n=0](../../../upload.wikimedia.org/math/0/e/1/0e1176caf07d2ed21c19fc899be7e7df.png), ![\\delta\[n\] = 0 ](../../../upload.wikimedia.org/math/6/2/9/6297cbad79e05b2fabee65ac3d2bcfba.png) otherwise

Signal, ![x\[n\]](../../../upload.wikimedia.org/math/d/3/b/d3baaa3204e2a03ef9528a7d631a4806.png) Z-transform, ![X\(z\)](../../../upload.wikimedia.org/math/8/3/2/832dec27d15f24afcf0918b445133ca4.png) ROC

1
![\\delta\[n\] \\, ](../../../upload.wikimedia.org/math/2/b/6/2b63622fadf95b2200b264909054224f.png)
![1\\, ](../../../upload.wikimedia.org/math/d/0/6/d06c48671eacd7f1e2afde7289e483d5.png)
![ \\mbox{all }z\\, ](../../../upload.wikimedia.org/math/8/5/2/8526e84d7c17e402d225950ad29139b0.png)

2
![\\delta\[n-n_0\] \\,](../../../upload.wikimedia.org/math/4/c/0/4c035051ef51cb09d5cbe903b496208a.png)
![ z^{-n_0} \\, ](../../../upload.wikimedia.org/math/b/b/5/bb59029e4d141a40804cdcfb243853ee.png)
![ z \\neq 0\\,](../../../upload.wikimedia.org/math/5/3/9/539443b3ade242577794742e2115904e.png)

3
![u\[n\] \\,](../../../upload.wikimedia.org/math/7/0/1/7016daf9693a54fbb365146aa38d73c6.png)
![ \\frac{1}{1-z^{-1} }](../../../upload.wikimedia.org/math/e/7/3/e735b90245eacb5cc3b0458e248f5f93.png)
![|z| > 1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

4
![- u\[-n-1\] \\,](../../../upload.wikimedia.org/math/5/9/6/596e922d21a3ca551fb1805ce332759e.png)
![ \\frac{1}{1 - z^{-1}}](../../../upload.wikimedia.org/math/e/7/3/e735b90245eacb5cc3b0458e248f5f93.png)
![|z| < 1\\,](../../../upload.wikimedia.org/math/d/b/4/db4601b2361acef6dd5780297bd49911.png)

5
![n u\[n\] \\,](../../../upload.wikimedia.org/math/1/6/5/1654b58cc296812ba337d3753898834b.png)
![ \\frac{z^{-1}}{\( 1-z^{-1} \)^2}](../../../upload.wikimedia.org/math/2/3/1/2317d8a1f881d94ddaaa4cbc7212d467.png)
![|z| > 1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

6
![ - n u\[-n-1\] \\,](../../../upload.wikimedia.org/math/4/1/b/41b866b5f12cc275d702937c3a929222.png)
![ \\frac{z^{-1} }{ \(1 - z^{-1}\)^2 }](../../../upload.wikimedia.org/math/2/3/1/2317d8a1f881d94ddaaa4cbc7212d467.png)
![ |z| < 1 \\,](../../../upload.wikimedia.org/math/d/b/4/db4601b2361acef6dd5780297bd49911.png)

7
![n^2 u\[n\] \\,](../../../upload.wikimedia.org/math/3/d/2/3d24a549af9143a2482c7d169e135795.png)
![  \\frac{ z^{-1} \(1 + z^{-1} \)}{\(1 - z^{-1}\)^3} ](../../../upload.wikimedia.org/math/9/a/1/9a1706340d0e65b104681df3a00e6a7e.png)
![|z| > 1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

8
![ - n^2 u\[-n - 1\] \\,](../../../upload.wikimedia.org/math/7/8/2/78282ba68d8f36a1586b3247cbdd5674.png)
![  \\frac{ z^{-1} \(1 + z^{-1} \)}{\(1 - z^{-1}\)^3} ](../../../upload.wikimedia.org/math/9/a/1/9a1706340d0e65b104681df3a00e6a7e.png)
![|z| < 1\\,](../../../upload.wikimedia.org/math/d/b/4/db4601b2361acef6dd5780297bd49911.png)

9
![n^3 u\[n\] \\,](../../../upload.wikimedia.org/math/4/0/0/40044ac2551be5de950fc05a4fbcb30f.png)
![ \\frac{z^{-1} \(1 + 4 z^{-1} + z^{-2} \)}{\(1-z^{-1}\)^4} ](../../../upload.wikimedia.org/math/3/a/d/3ad4f12f66da73b1d4bac12fd4de731d.png)
![|z| > 1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

10
![- n^3 u\[-n -1\] \\,](../../../upload.wikimedia.org/math/6/f/1/6f1d679d09c86f67ae88195f6307fde6.png)
![ \\frac{z^{-1} \(1 + 4 z^{-1} + z^{-2} \)}{\(1-z^{-1}\)^4} ](../../../upload.wikimedia.org/math/3/a/d/3ad4f12f66da73b1d4bac12fd4de731d.png)
![|z| < 1\\,](../../../upload.wikimedia.org/math/d/b/4/db4601b2361acef6dd5780297bd49911.png)

11
![a^n u\[n\] \\,](../../../upload.wikimedia.org/math/5/2/0/52005e1c22b667a92f6a7f8763d198aa.png)
![ \\frac{1}{1-a z^{-1}}](../../../upload.wikimedia.org/math/1/2/0/1206f45dc4438dd5f5b55e34d596f9a8.png)
![ |z| > |a|\\,](../../../upload.wikimedia.org/math/2/a/6/2a693d4762bb2c8e1e4e11d6aa5ddce7.png)

12
![-a^n u\[-n-1\] \\,](../../../upload.wikimedia.org/math/5/b/1/5b1d6d741e4466bd975e49b8a7502a06.png)
![ \\frac{1}{1-a z^{-1}}](../../../upload.wikimedia.org/math/1/2/0/1206f45dc4438dd5f5b55e34d596f9a8.png)
![|z| < |a|\\,](../../../upload.wikimedia.org/math/9/3/3/933fdf052c34ef96668d8f4694188c5d.png)

13
![n a^n u\[n\] \\,](../../../upload.wikimedia.org/math/a/5/e/a5ee7e0b460ced4724323abe028b7d5f.png)
![ \\frac{az^{-1} }{ \(1-a z^{-1}\)^2 }](../../../upload.wikimedia.org/math/9/2/7/927bcbf827cb6383708443c86a7d9dea.png)
![|z| > |a|\\,](../../../upload.wikimedia.org/math/2/a/6/2a693d4762bb2c8e1e4e11d6aa5ddce7.png)

14
![-n a^n u\[-n-1\] \\,](../../../upload.wikimedia.org/math/5/4/2/5422993372c0c804ccdc7c6d3f62c7b0.png)
![ \\frac{az^{-1} }{ \(1-a z^{-1}\)^2 }](../../../upload.wikimedia.org/math/9/2/7/927bcbf827cb6383708443c86a7d9dea.png)
![ |z| < |a|\\,](../../../upload.wikimedia.org/math/9/3/3/933fdf052c34ef96668d8f4694188c5d.png)

15
![n^2 a^n u\[n\] \\,](../../../upload.wikimedia.org/math/5/e/7/5e752df8b1b2c1be5b169617d3d885e8.png)
![ \\frac{a z^{-1} \(1 + a z^{-1}\) }{\(1-a z^{-1}\)^3} ](../../../upload.wikimedia.org/math/7/0/8/70870a0557348519a64c8686f648406a.png)
![|z| > |a|\\,](../../../upload.wikimedia.org/math/2/a/6/2a693d4762bb2c8e1e4e11d6aa5ddce7.png)

16
![- n^2 a^n u\[-n -1\] \\,](../../../upload.wikimedia.org/math/2/a/f/2af9e2fbcb9952df47812c829b6477d9.png)
![ \\frac{a z^{-1} \(1 + a z^{-1}\) }{\(1-a z^{-1}\)^3} ](../../../upload.wikimedia.org/math/7/0/8/70870a0557348519a64c8686f648406a.png)
![|z| < |a|\\,](../../../upload.wikimedia.org/math/9/3/3/933fdf052c34ef96668d8f4694188c5d.png)

17
![\\cos\(\\omega_0 n\) u\[n\] \\,](../../../upload.wikimedia.org/math/5/7/a/57a085c1d96479f7dd14f6f3d76e0520.png)
![ \\frac{ 1-z^{-1} \\cos\(\\omega_0\) }{ 1-2z^{-1}\\cos\(\\omega_0\)+ z^{-2} }](../../../upload.wikimedia.org/math/1/c/8/1c8e515d81c817fc9a4c09b81a2d0daa.png)
![ |z| >1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

18
![\\sin\(\\omega_0 n\) u\[n\] \\,](../../../upload.wikimedia.org/math/1/5/b/15b15b84c75d60afebabb9fc0c8acb51.png)
![ \\frac{ z^{-1} \\sin\(\\omega_0\) }{ 1-2z^{-1}\\cos\(\\omega_0\)+ z^{-2} }](../../../upload.wikimedia.org/math/c/2/4/c242cfe38471cc2153b4f1b8f1e88d74.png)
![ |z| >1\\,](../../../upload.wikimedia.org/math/b/3/e/b3e5447ee5136c29e096f5d260c3a830.png)

19
![a^n \\cos\(\\omega_0 n\) u\[n\] \\,](../../../upload.wikimedia.org/math/4/b/8/4b8b31d851e269a8a0a415d02a5b9b11.png)
![ \\frac{ 1-a z^{-1} \\cos\( \\omega_0\) }{ 1-2az^{-1}\\cos\(\\omega_0\)+ a^2 z^{-2} }](../../../upload.wikimedia.org/math/6/8/8/688872917fd51180e66767ef557d2a8d.png)
![ |z| > |a|\\,](../../../upload.wikimedia.org/math/2/a/6/2a693d4762bb2c8e1e4e11d6aa5ddce7.png)

20
![a^n \\sin\(\\omega_0 n\) u\[n\] \\,](../../../upload.wikimedia.org/math/4/f/b/4fb89703f52df7f80a40801273ed980e.png)
![ \\frac{ az^{-1} \\sin\(\\omega_0\) }{ 1-2az^{-1}\\cos\(\\omega_0\)+ a^2 z^{-2} }](../../../upload.wikimedia.org/math/9/5/f/95f038d564e100d9cb7eefb8f1a44218.png)
![ |z| > |a|\\,](../../../upload.wikimedia.org/math/2/a/6/2a693d4762bb2c8e1e4e11d6aa5ddce7.png)

## Modified Z-Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Advanced Z Transform**_](http://en.wikipedia.org/wiki/Advanced_Z_Transform)

The Modified Z-Transform is similar to the Z-transform, except that the modified version allows for the system to be subjected to any arbitrary delay, by design. The Modified Z-Transform is very useful when talking about digital systems for which the processing time of the system is not negligible. For instance, a slow computer system can be modeled as being an instantaneous system with an output delay.

The modified Z transform is based off the delayed Z transform:

  


[Modified Z Transform]

    ![X\(z, m\) 
        = X\(z, \\Delta\)|_{\\Delta \\to 1 - m} 
        = \\mathcal{Z} \\left\\{ X\(s\)e^{-\\Delta T s} \\right\\}|_{\\Delta \\to 1 - m} ](../../../upload.wikimedia.org/math/d/4/3/d4304b626c533ba2b015d628176d562f.png)

## Star Transform

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Star Transform**_](http://en.wikipedia.org/wiki/Star_Transform)

The Star Transform is a discrete transform that has similarities between the Z transform and the Laplace Transform. In fact, the Star Transform can be said to be nearly analogous to the Z transform, except that the Star transform explicitly accounts for the sampling time of the sampler.

The Star Transform is defined as:

  


[Star Transform]

    ![F^*\(s\) 
        = \\mathcal{L}^*\[f\(t\)\] 
        = \\sum_{k = 0}^\\infty f\(kT\)e^{-skT}](../../../upload.wikimedia.org/math/d/9/e/d9e81bd9f0cbb2d3e82858746a81a749.png)

Star transform pairs can be obtained by plugging ![z = e^{sT}](../../../upload.wikimedia.org/math/2/8/e/28ef47ed74b7d48415e76b779acc6fed.png) into the Z-transform pairs, above.

## Bilinear Transform

The bilinear transform is used to convert an equation in the Z domain into the arbitrary W domain, with the following properties:

  1. roots inside the unit circle in the Z-domain will be mapped to roots on the left-half of the W plane.
  2. roots outside the unit circle in the Z-domain will be mapped to roots on the right-half of the W plane
  3. roots on the unit circle in the Z-domain will be mapped onto the vertical axis in the W domain.

The bilinear transform can therefore be used to convert a Z-domain equation into a form that can be analyzed using the Routh-Hurwitz criteria. However, it is important to note that the W-domain is not the same as the complex Laplace S-domain. To make the output of the bilinear transform equal to the S-domain, the signal must be prewarped, to account for the non-linear nature of the bilinear transform.

The Bilinear transform can also be used to convert an S-domain system into the Z domain. Again, the input system must be prewarped prior to applying the bilinear transform, or else the results will not be correct.

The Bilinear transform is governed by the following variable transformations:

  


[Bilinear Transform]

    ![z = \\frac{\(T/2\) + w}{\(T/2\) - w},\\quad w = \\frac{2}{T} \\frac{z - 1}{z + 1}](../../../upload.wikimedia.org/math/0/6/7/06738600d5ba719acdf40cfa538c8761.png)

Where T is the sampling time of the discrete signal.

Frequencies in the w domain are related to frequencies in the s domain through the following relationship:

    ![\\omega_w = \\frac{2}{T} \\tan \\left\( \\frac{ \\omega_s T}{2} \\right\)](../../../upload.wikimedia.org/math/d/1/6/d16298df2d608466954cccd9ff07faad.png)

This relationship is called the **frequency warping characteristic** of the bilinear transform. To counter-act the effects of frequency warping, we can **pre-warp** the Z-domain equation using the inverse warping characteristic. If the equation is prewarped before it is transformed, the resulting poles of the system will line up more faithfully with those in the s-domain.

  


[Bilinear Frequency Prewarping]

    ![ \\omega = \\frac{2}{T} \\arctan \\left\( \\omega_a \\frac{T}{2} \\right\).](../../../upload.wikimedia.org/math/a/3/a/a3ae1acd36901fa7c8505d89a5024bd0.png)

Applying these transformations before applying the bilinear transform actually enables direct conversions between the S-Domain and the Z-Domain. The act of applying one of these frequency warping characteristics to a function before transforming is called **prewarping**.

## Wikipedia Resources

  * [w:Laplace transform](http://en.wikipedia.org/wiki/Laplace_transform)
  * [w:Fourier transform](http://en.wikipedia.org/wiki/Fourier_transform)
  * [w:Z-transform](http://en.wikipedia.org/wiki/Z-transform)
  * [w:Star transform](http://en.wikipedia.org/wiki/Star_transform)
  * [w:Bilinear transform](http://en.wikipedia.org/wiki/Bilinear_transform)

  


# System Representations

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## System Representations

This is a table of times when it is appropriate to use each different type of system representation:

Properties State-Space  
Equations Transfer  
Function Transfer  
Matrix

Linear, Distributed
no
no
no

Linear, Lumped
yes
no
no

Linear, Time-Invariant, Distributed
no
yes
no

Linear, Time-Invariant, Lumped
yes
yes
yes

## General Description

These are the general external system descriptions. _y_ is the system output, _h_ is the system response characteristic, and _x_ is the system input. In the time-variant cases, the general description is also known as the convolution description.

General Description

Time-Invariant, Non-causal
![y\(t\) = \\int_{-\\infty}^\\infty h\(t - r\)x\(r\)dr](../../../upload.wikimedia.org/math/0/a/9/0a99c3fc051f2d04a4ecb4a04dfe7a20.png)

Time-Invariant, Causal
![y\(t\) = \\int_{0}^t h\(t - r\)x\(r\)dr](../../../upload.wikimedia.org/math/3/a/5/3a5741772f6d86794bf4df1a1b800d68.png)

Time-Variant, Non-Causal
![y\(t\) = \\int_{-\\infty}^\\infty h\(t, r\)x\(r\)dr](../../../upload.wikimedia.org/math/9/a/5/9a5da32fa7b9a8be50b98275b891b363.png)

Time-Variant, Causal
![y\(t\) = \\int_{0}^t h\(t, r\)x\(r\)dr](../../../upload.wikimedia.org/math/d/0/e/d0ece967a75931b85c0f5dce9e0d36de.png)

## State-Space Equations

These are the state-space representations for a system. _y_ is the system output, _x_ is the internal system state, and _u_ is the system input. The matrices A, B, C, and D are coefficient matrices.

  


[Analog State Equations]

State-Space Equations

Time-Invariant
![x'\(t\) = Ax\(t\) + Bu\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)  


![y\(t\) = Cx\(t\) + Du\(t\)](../../../upload.wikimedia.org/math/0/2/b/02ba1ad4e19b31ac7b9882651b1c826d.png)

Time-Variant
![x'\(t\) = A\(t\)x\(t\) + B\(t\)u\(t\)](../../../upload.wikimedia.org/math/b/2/7/b2755605ebf1de230f7be1dffb750e6c.png)  


![y\(t\) = C\(t\)x\(t\) + D\(t\)u\(t\)](../../../upload.wikimedia.org/math/e/b/a/eba58f160f83ccab481a21634f6096a9.png)

These are the digital versions of the equations listed above. All the variables have the same meanings, except that the systems are digital.

  


[Digital State Equations]

State-Space Equations

Time-Invariant
![x'\[t\] = Ax\[t\] + Bu\[t\]](../../../upload.wikimedia.org/math/5/f/d/5fdbc32438f697dd38efd8304232d58b.png)  


![y\[t\] = Cx\[t\] + Du\[t\]](../../../upload.wikimedia.org/math/7/6/9/76962eebcda0881872b25afad3402637.png)

Time-Variant
![x'\[t\] = A\[t\]x\[t\] + B\[t\]u\[t\]](../../../upload.wikimedia.org/math/8/0/3/803d4a042398d3c2dc0a61d7213bdfe9.png)  


![y\[t\] = C\[t\]x\[t\] + D\[t\]u\[t\]](../../../upload.wikimedia.org/math/4/c/0/4c005050ec07e6d0cbf738d6ac547c88.png)

## Transfer Functions

These are the transfer function descriptions, obtained by using the Laplace Transform or the Z-Transform on the general system descriptions listed above. _Y_ is the system output, _H_ is the system transfer function, and _X_ is the system input.

  


[Analog Transfer Function]

Transfer Function

![Y\(s\) = H\(s\)X\(s\)](../../../upload.wikimedia.org/math/b/0/3/b038557f6b66391c5799046c2c951720.png)

  


[Digital Transfer Function]

Transfer Function

![Y\(z\) = H\(z\)X\(z\)](../../../upload.wikimedia.org/math/a/b/4/ab474781aec4355aa5ac4e572f7c7971.png)

## Transfer Matrix

This is the transfer matrix system description. This representation can be obtained by taking the Laplace or Z transforms of the state-space equations. In the SISO case, these equations reduce to the transfer function representations listed above. In the MIMO case, _**Y**_ is the vector of system outputs, _**X**_ is the vector of system inputs, and _**H**_ is the transfer matrix that relates each input X to each output Y.

  


[Analog Transfer Matrix]

Transfer Matrix

![\\bold{Y}\(s\) = \\bold{H}\(s\)\\bold{X}\(s\)](../../../upload.wikimedia.org/math/7/7/e/77e70271ec6d7316b5cd3a4e5b357e59.png)

  


[Digital Transfer Matrix]

Transfer Matrix

![\\bold{Y}\(z\) = \\bold{H}\(z\)\\bold{X}\(z\)](../../../upload.wikimedia.org/math/2/1/6/2166d929ba614b69bf31e22f86019062.png)

  


  


# Matrix Operations

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

For more about this subject, see:  
**[Linear Algebra](http://en.wikibooks.org/wiki/Linear_Algebra)**  
and  
**[Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)**

## Laws of Matrix Algebra

Matrices must be compatible sizes in order for an operation to be valid:

Addition
    Matrices must have the same dimensions (same number of rows, same number of columns). Matrix addition is commutative: 

    ![A + B = B + A](../../../upload.wikimedia.org/math/9/2/4/9246423af39a3b2b4ff2a8b4e1c63e9c.png)

Multiplication
    Matrices must have the same inner dimensions (the number of columns of the first matrix must equal the number of rows in the second matrix). For instance, if matrix A is _n_ × _m_, and matrix B is _m_ × _k_, then we can multiply: 

    ![AB = C](../../../upload.wikimedia.org/math/0/9/2/092f8f64a9f22aecebf06f80be05df3b.png)
    Where C is an _n_ × _k_ matrix. Matrix multiplication is not commutative: 

    ![AB \\ne BA ](../../../upload.wikimedia.org/math/a/b/1/ab145528cbdb24dc5dfdda2f674edafb.png)
    Because it is not commutative, the differentiation must be made between "multiplication on the left", and "multiplication on the right".
Division
    There is no such thing as division in matrix algebra, although multiplication of the matrix inverse performs the same basic function. To find an inverse, a matrix must be nonsingular, and must have a non-zero determinant.

## Transpose Matrix

The transpose of a matrix, denoted by:

    ![X^T](../../../upload.wikimedia.org/math/3/a/d/3ad6c40a10b8d80c3d416e2e09f6158c.png)

is the matrix where the rows and columns of X are interchanged. In some instances, the transpose of a matrix is denoted by:

    ![X'](../../../upload.wikimedia.org/math/c/1/6/c164e630313c7e71508c5c046f83c6f5.png)

This shorthand notation is used when the superscript T applied to a large number of matrices in a single equation, and the notation would become too crowded otherwise. When this notation is used in the book, derivatives will be denoted explicitly with:

    ![\\frac{d}{dt}X\(t\)](../../../upload.wikimedia.org/math/4/b/4/4b476e1078d639a10f06c1e651e74f9a.png)

## Determinant

The determinant of a matrix it is a scalar value. It is denoted similarly to absolute-value in scalars:

    ![|X|](../../../upload.wikimedia.org/math/e/4/2/e4240ff886dbbfcedd3db989e33b4853.png)

A matrix has an inverse if the matrix is square, and if the determinant of the matrix is non-zero.

## Inverse

The inverse of a matrix A, which we will denote here by "B" is any matrix that satisfies the following equation:

    ![AB = BA = I](../../../upload.wikimedia.org/math/b/0/5/b0599feb0f6c9dc90bafbf8b55af7de3.png)

Matrices that have such a companion are known as "invertible" matrices, or "non-singular" matrices. Matrices which do not have an inverse that satisfies this equation are called "singular" or "non-invertable".

An inverse can be computed in a number of different ways:

  1. Append the matrix A with the Identity matrix of the same size. Use row-reductions to make the left side of the matrice an identity. The right side of the appended matrix will then be the inverse: 

    ![\[A|I\] \\to \[I|B\]](../../../upload.wikimedia.org/math/8/6/6/866a23d3e98824c20520755ca35191c6.png)
  2. The inverse matrix is given by the adjoint matrix divided by the determinant. The adjoint matrix is the transpose of the cofactor matrix. 

    ![A^{-1} = \\frac{\\operatorname{adj}\(A\)}{|A|}](../../../upload.wikimedia.org/math/5/1/9/5196cb90ae32037ca6811dc3b078a882.png)
  3. The inverse can be calculated from the Cayley-Hamilton Theorem.

## Eigenvalues

The eigenvalues of a matrix, denoted by the Greek letter lambda λ, are the solutions to the characteristic equation of the matrix:

    ![|X - \\lambda I| = 0](../../../upload.wikimedia.org/math/1/2/8/128ae127106dbf02d8d1bf4cfdef48f8.png)

Eigenvalues only exist for square matrices. Non-square matrices do not have eigenvalues. If the matrix X is a real matrix, the eigenvalues will either be all real, or else there will be complex conjugate pairs.

## Eigenvectors

The eigenvectors of a matrix are the nullspace solutions of the characteristic equation:

    ![\(X - \\lambda_i I\)v_i = 0](../../../upload.wikimedia.org/math/8/c/2/8c2feb1339d2f82de99c385fbdd8e200.png)

There are is least one distinct eigenvector for every distinct eigenvalue. Multiples of an eigenvector are also themselves eigenvectors. However, eigenvalues that are not linearly independent are called "non-distinct" eigenvectors, and can be ignored.

## Left-Eigenvectors

Left Eigenvectors are the right-hand nullspace solutions to the characteristic equation:

    ![w_i\(A - \\lambda_i I\) = 0](../../../upload.wikimedia.org/math/3/9/c/39c185b3e34ba9d6c56599a97bb2314a.png)

These are also the rows of the inverse transition matrix.

## Generalized Eigenvectors

In the case of repeated eigenvalues, there may not be a complete set of _n_ distinct eigenvectors (right or left eigenvectors) associated with those eigenvalues. Generalized eigenvectors can be generated as follows:

    ![\(A -\\lambda I\)v_{n+1} = v_n](../../../upload.wikimedia.org/math/f/d/8/fd89c3a16d184939de94a05e61e05b95.png)

Because generalized eigenvectors are formed in relation to another eigenvector or generalize eigenvectors, they constitute an ordered set, and should not be used outside of this order.

## Transformation Matrix

The transformation matrix is the matrix of all the eigenvectors, or the ordered sets of generalized eigenvectors:

    ![T = \[v_1 v_2 \\cdots v_n\]](../../../upload.wikimedia.org/math/5/8/1/581fcc08491d903a9c8a5a9a7a0bb95a.png)

The inverse transition matrix is the matrix of the left-eigenvectors:

    ![T^{-1} = \\begin{bmatrix}w_1' \\\\ w_2' \\\\ \\cdots \\\\ w_n'\\end{bmatrix}](../../../upload.wikimedia.org/math/5/3/8/538cbc1a1d9adea2595049ada302d584.png)

A matrix can be diagonalized by multiplying by the transition matrix:

    ![A = TDT^{-1}](../../../upload.wikimedia.org/math/c/0/2/c02351d0496547c71eb09a013f1222a6.png)

Or:

    ![T^{-1}AT = D](../../../upload.wikimedia.org/math/6/9/4/69468265e50074f11afaffb484245046.png)

If the matrix has an incomplete set of eigenvectors, and therefore a set of generalized eigenvectors, the matrix cannot be diagonalized, but can be converted into Jordan canonical form:

    ![T^{-1}AT = J](../../../upload.wikimedia.org/math/7/3/f/73f497921e63ee0b6f6af8770e64eda7.png)

## MATLAB

The MATLAB programming environment was specially designed for matrix algebra and manipulation. The following is a brief refresher about how to manipulate matrices in MATLAB:

Addition
    To add two matrices together, use a plus sign ("+"):
    
    
    C = A + B;
    

Multiplication
    To multiply two matrices together use an asterisk ("*"):
    
    
    C = A * B;
    

    If your matrices are not the correct dimensions, MATLAB will issue an error.
Transpose
    To find the transpose of a matrix, use the apostrophe (" ' "):
    
    
    C = A';
    

Determinant
    To find the determinant, use the **det** function:
    
    
    d = det(A);
    

Inverse
    To find the inverse of a matrix, use the function **inv**:
    
    
    C = inv(A);
    

Eigenvalues and Eigenvectors
    To find the eigenvalues and eigenvectors of a matrix, use the **eig** command:
    
    
    [E, V] = eig(A);
    

    Where E is a square matrix with the eigenvalues of A in the diagonal entries, and V is the matrix comprised of the corresponding eigenvectors. If the eigenvalues are not distinct, the eigenvectors will be repeated. MATLAB will not calculate the generalized eigenvectors.
Left Eigenvectors
    To find the left eigenvectors, assuming there is a complete set of distinct right-eigenvectors, we can take the inverse of the eigenvector matrix:
    
    
    [E, V] = eig(A);
    C = inv(V);
    

The rows of C will be the left-eigenvectors of the matrix A.

For more information about MATLAB, see the wikibook [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming).  


# Appendix: MATLAB

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

This page would highly benefit from some screenshots of various systems. Users who have MATLAB or Octave available are highly encouraged to produce some screenshots for the systems here.

## MATLAB

This page assumes a prior knowledge of the fundamentals of MATLAB. For more information about MATLAB, see [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming).

**MATLAB** is a programming language that is specially designed for the manipulation of matrices. Because of its computational power, MATLAB is a tool of choice for many control engineers to design and simulate control systems. This page is going to discuss using MATLAB for control systems design and analysis. MATLAB has a number of plugin modules called "Toolboxes". Nearly all the functions described below are located in the **control systems toolbox**. If your system has the control systems toolbox installed, you can get more information about the toolbox by typing `help control` at the MATLAB prompt.

Also, there is an open-source competitor to MATLAB called **Octave**. Octave is similar to MATLAB, but there are also some differences. This page will focus on MATLAB, but another page could be added to focus on Octave. As of Sept 10th, 2006, all the MATLAB commands listed below have been implemented in GNU octave.

This page will use the {{[MATLAB CMD](http://en.wikibooks.org/wiki/Template:MATLAB_CMD)}} template to show MATLAB functions that can be used to perform different tasks.

MATLAB is a copyrighted product produced by **The Mathworks**. For more information about MATLAB and The Mathworks, see [Control Systems/Resources](http://en.wikibooks.org/wiki/Control_Systems/Resources).

### Input-Output Isolation

In a MIMO system, typically it can be important to isolate a single input-output pair for analysis. Each input corresponds to a single row in the B matrix, and each output corresponds to a single column in the C matrix. For instance, to isolate the 2nd input and the 3rd output, we can create a system:
    
    
    sys = ss(A, B(:,2), C(3,:), D);
    

This page will refer to this technique as "input-output isolation".

## Step Response

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**step**

First, let's take a look at the classical approach, with the following system:

    ![G\(s\) = \\frac{5s + 10}{s^2 + 4s + 5}](../../../upload.wikimedia.org/math/e/2/e/e2e6ae31e8f557b29cb73278b04e6dd9.png)

This system can effectively be modeled as two vectors of coefficients, NUM and DEN:
    
    
    NUM = [5, 10]
    DEN = [1, 4, 5]
    

Now, we can use the MATLAB **step** command to produce the step response to this system:
    
    
    step(NUM, DEN, t);
    

Where t is a time vector. If no results on the left-hand side are supplied by you, the step function will automatically produce a graphical plot of the step response. If, however, you use the following format:
    
    
    [y, x, t] = step(NUM, DEN, t);
    

Then MATLAB will not produce a plot automatically, and you will have to produce one yourself.

Now, let's look at the modern, state-space approach. If we have the matrices A, B, C and D, we can plug these into the step function, as shown:
    
    
    step(A, B, C, D);
    

or, we can optionally include a vector for time, t:
    
    
    step(A, B, C, D, t);
    

Again, if we supply results on the left-hand side of the equation, MATLAB will not automatically produce a plot for us.

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**plot**

If we didn't get an automatic plot, and we want to produce our own, we type:
    
    
    [y, x, t] = step(NUM, DEN, t);
    

And then we can create a graph using the **plot** command:
    
    
    plot(t, y);
    

y is the output magnitude of the step response, while x is the internal state of the system from the state-space equations:

    ![x' = Ax + Bu](../../../upload.wikimedia.org/math/9/c/2/9c28a5459146ebd1cf4e9618aaaddadc.png)

    ![y = Cx + Du](../../../upload.wikimedia.org/math/1/7/7/177eb47d3760bf07f2029268c7ed8c63.png)

## Classical ↔ Modern

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**tf2ss**

MATLAB contains features that can be used to automatically convert to the state-space representation from the Laplace representation. This function, **tf2ss**, is used as follows:
    
    
    [A, B, C, D] = tf2ss(NUM, DEN);
    

Where NUM and DEN are the coefficient vectors of the numerator and denominator of the transfer function, respectively.

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**ss2tf**

In a similar vein, we can convert from the Laplace domain back to the state-space representation using the **ss2tf** function, as such:
    
    
    [NUM, DEN] = ss2tf(A, B, C, D);
    

Or, if we have more than one input in a vector u, we can write it as follows:
    
    
    [NUM, DEN] = ss2tf(A, B, C, D, u);
    

The u parameter must be provided when our system has more than one input, but it does not need to be provided if we have only 1 input. This form of the equation produces a transfer function for each separate input. NUM and DEN become 2-D matricies, with each row being the coefficients for each different input.

## z-Domain Digital Filters

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**filter**

Let us now consider a digital system with the following generic transfer function in the Z domain:

    ![H\(z\) = \\frac{n\(z\)}{d\(z\)}](../../../upload.wikimedia.org/math/5/0/1/5017970fa80c1569d9ad4444e70177e8.png)

Where n(z) and d(z) are the numerator and denominator polynomials of the transfer function, respectively. The **filter** command can be used to apply an input vector x to the filter. The output, y, can be obtained from the following code:
    
    
    y = filter(n, d, x);
    

The word "filter" may be a bit of a misnomer in this case, but the fact remains that this is the method to apply an input to a digital system. Once we have the output magnitude vector, we can plot it using our plot command:
    
    
    plot(y);
    

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**ones**

To get the step response of the digital system, we must first create a step function using the **ones** command:
    
    
    u = ones(1, N);
    

Where N is the number of samples that we want to take in our digital system (not to be confused with "n", our numerator coefficient). Once we have produced our unit step function, we can pass this function through our digital filter as such:
    
    
    y = filter(n, d, u);
    

And we can plot y:
    
    
    plot(y);
    

## State-Space Digital Filters

Likewise, we can analyze a digital system in the state-space representation. If we have the following digital state relationship:

    ![x\[k + 1\] = Ax\[k\] + Bu\[k\]](../../../upload.wikimedia.org/math/c/4/9/c49c1ff36da5bb88b79961935cc50320.png)

    ![y\[k\] = Cx\[k\] + Du\[k\]](../../../upload.wikimedia.org/math/b/1/1/b11ec35c353d7694012522ae98fb5089.png)

We can convert automatically to the pulse response using the **ss2tf** function, that we used above:
    
    
    [NUM, DEN] = ss2tf(A, B, C, D);
    

Then, we can filter it with our prepared unit-step sequence vector, u:
    
    
    y = filter(num, den, u)
    

this will give us the step response of the digital system in the state-space representation.

## Root Locus Plots

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**rlocus**

MATLAB supplies a useful, automatic tool for generating the root-locus graph from a transfer function: the **rlocus** command. In the transfer function domain, or the state space domain respectively, we have the following uses of the function:
    
    
    rlocus(num, den);
    

And:
    
    
    rlocus(A, B, C, D);
    

These functions will automatically produce root-locus graphs of the system. However, if we provide left-hand parameters:
    
    
    [r, K] = rlocus(num, den);
    

Or:
    
    
    [r, K] = rlocus(A, B, C, D);
    

The function won't produce a graph automatically, and you will need to produce one yourself. There is also an optional additional parameter for gain, K, that can be supplied:
    
    
    rlocus(num, den, K);
    

Or:
    
    
    rlocus(A, B, C, D, K);
    

If K is not supplied, MATLAB will supply an automatic gain value for you.

Once we have our values [r, K], we can plot a root locus:
    
    
    plot(r);
    

The **rlocus** command cannot be used with MIMO systems, so if your system is a MIMO system, you must separate out your coefficient matrices to isolate each separate Input-output pair, and graph each individually.

## Digital Root-Locus

Creating a root-locus diagram for a digital system is exactly the same as it is for a continuous system. The only difference is the interpretation of the results, because the stability region for digital systems is different from the stability region for continuous systems. The same **rlocus** function can be used, in the same manner as is used above.

## Bode Plots

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**bode**

MATLAB also offers a number of tools for examining the frequency response characteristics of a system, both using Bode plots, and using Nyquist charts. To construct a Bode plot from a transfer function, we use the following command:
    
    
    [mag, phase, omega] = bode(NUM, DEN, omega);
    

Or:
    
    
    [mag, phase, omega] = bode(A, B, C, D, u, omega);
    

Where "omega" is the frequency vector where the magnitude and phase response points are analyzed. If we want to convert the magnitude data into decibels, we can use the following conversion:
    
    
    magdb = 20 * log10(mag);
    

This conversion should be known well enough by now that it doesn't require explanation.

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**logspace**

When talking about Bode plots in decibels, it makes the most sense (and is the most common occurrence) to also use a logarithmic frequency scale. To create such a logarithmic sequence in omega, we use the **logspace** command, as such:
    
    
    omega = logspace(a, b, n);
    

This command produces n points, spaced logarithmicly, from ![10^a](../../../upload.wikimedia.org/math/5/b/4/5b4b9838d09902f6d823da29c0e3587a.png) up to ![10^b](../../../upload.wikimedia.org/math/8/c/a/8cad2f3abb6dcd71bd5f539cf30a6c09.png).

If we use the bode command without left-hand arguments, MATLAB will produce a graph of the bode phase and magnitude plots automatically.

The **bode** command, if used with a MIMO system, will use subplots to produce all the input-output relationship graphs on a single plot window. for a system with multiple inputs and multiple outputs, this can become difficult to see clearly. In these cases, it is typically better to separate out your coefficient matrices to isolate each individual input-output pair.

## Nyquist Plots

This operation can be performed using this [MATLAB](http://en.wikibooks.org/wiki/MATLAB_Programming) command:  
**nyquist**

In addition to the bode plots, we can create nyquist charts by using the **nyquist** command. The nyquist command operates in a similar manner to the bode command (and other commands that we have used so far):
    
    
    [real, imag, omega] = nyquist(NUM, DEN, omega);
    

Or:
    
    
    [real, imag, omega] = nyquist(A, B, C, D, u, omega);
    

Here, "real" and "imag" are vectors that contain the real and imaginary parts of each point of the nyquist diagram. If we don't supply the right-hand arguments, the nyquist command automatically produces a nyquist plot for us.

Like the **bode** command, the **nyquist** command will use subplots to display the input-output relations of MIMO systems on a single plot window. If there are multiple input-output pairs, it can be difficult to see the individual graphs.

## Lyapunov Equations

## Controllability

A controllability matrix can be constructed using the **ctrb** command. The controllability gramian can be constructed using the **gram** command.

## Observability

An observability matrix can be constructed using the command **obsv**

## Empirical Gramians

Empirical gramians can be computed for linear and also nonlinear control systems. The empirical gramian framework **emgr** allows the computation of the controllability, observability and cross gramian; it is compatible with **MATLAB** and **OCTAVE** and does not require the _control systems toolbox_.

## Further Reading

  * Ogata, Katsuhiko, "Solving Control Engineering Problems with MATLAB", Prentice Hall, New Jersey, 1994. [ISBN 0130459070](http://en.wikibooks.org/wiki/Special:BookSources/0130459070)
  * [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming).
  * <http://octave.sourceforge.net/>
  * [MATLAB Category on ControlTheoryPro.com](http://wikis.controltheorypro.com/index.php?title=Category:MATLAB)
  * [Empirical Gramian Framework](http://gramian.de)

  


  
  


Glossary  
Resources  
Licensing

**1)** Glossary  
**2)** List of Equations  
**3)** Resources and Bibliography  
**4)** Licensing  
**5)** GNU Free Documentation License

  


# Glossary and List of Equations

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

The following is a listing of some of the most important terms from the book, along with a short definition or description.

## A, B, C

Acceleration Error
    The amount of steady state error of the system when stimulated by a unit parabolic input.
Acceleration Error Constant
    A system metric that determines that amount of acceleration error in the system.
Adaptive Control
    A branch of control theory where controller systems are able to change their response characteristics over time, as the input characteristics to the system change.
Adaptive Gain
    when control gain is varied depending on system state or condition, such as a disturbance
Additivity
    A system is additive if a sum of inputs results in a sum of outputs.
Analog System
    A system that is continuous in time and magnitude.
ARMA
    Autoregressive Moving Average, see [[1]](http://en.wikipedia.org/wiki/Autoregressive_moving_average_model)
ATO
    Analog Timed Output. Control loop output is correlated to a timed contact closure.
A/M
    Auto-Manual. Control modes, where auto typically means output is computer-driven, calculated while manual can be field-driven or merely using a static setpoint.

Bilinear Transform
    a variant of the Z-transform, see [[2]](http://en.wikibooks.org/wiki/Digital_Signal_Processing/Bilinear_Transform)
Block Diagram
    A visual way to represent a system that displays individual system components as boxes, and connections between systems as arrows.
Bode Plots
    A set of two graphs, a "magnitude" and a "phase" graph, that are both plotted on log scale paper. The magnitude graph is plotted in decibels versus frequency, and the phase graph is plotted in degrees versus frequency. Used to analyze the frequency characteristics of the system.
Bounded Input, Bounded Output
    BIBO. If the input to the system is finite, then the output must also be finite. A condition for **stability**.

Cascade
    When the output of a control loop is fed to/from another loop.
Causal
    A system whose output does not depend on future inputs. All physical systems must be causal.
Classical Approach
    See **Classical Controls**.
Classical Controls
    A control methodology that uses the transform domain to analyze and manipulate the **Input-Output** characteristics of a system.
Closed Loop
    a controlled system using feedback or feedforward
Compensator
    A Control System that augments the shortcomings of another system.
Condition Number
Conditional Stability
    A system with variable gain is conditionally stable if it is BIBO stable for certain values of gain, but not BIBO stable for other values of gain.
Continuous-Time
    A system or signal that is defined at all points t.
Control Rate
    the rate at which control is computed and any appropriate output sent. Lower bound is sample rate.
Control System
    A system or device that manages the behavior of another system or device.
Controller
    See **Control System**.
Convolution
    A complex operation on functions defined by the integral of the two functions multiplied together, and time-shifted.
Convolution Integral
    The integral form of the convolution operation.
CQI
    Control Quality Index, ![=1-abs\(PV-SP\)/max\[PVmax-SP,SP-PVmin\]](../../../upload.wikimedia.org/math/0/3/9/039b294d22113060b8407d431aa27494.png), 1 being ideal.
CV
    Controlled variable

## D, E, F

Damping Ratio
    A constant that determines the damping properties of a system.
Deadtime
    time shift between the output change and the related effect (typ. at least one control sample). One sees "Lag" used for this action sometimes.
Digital
    A system that is both **discrete-time**, and **quantized**.
Direct action
    target output increase is required to bring the process variable (PV) to setpoint (SP) when PV is below SP. Thus, PV increases with output increase directly.
Discrete magnitude
    See **quantized**.
Discrete time
    A system or signal that is only defined at specific points in time.
Distributed
    A system is distributed if it has both an infinite number of states, and an infinite number of state variables. See **Lumped**.
Dynamic
    A system is called dynamic if it doesn't have memory. See **Instantaneous**, **Memory**.

Eigenvalues
    Solutions to the characteristic equation of a matrix. If the matrix is itself a function of time, the eigenvalues might be functions of time. In this case, they are frequently called **eigenfunctions**.
Eigenvectors
    The nullspace vectors of the characteristic equation for particular eigenvalues. Used to determine state-transitions, among other things. See [[3]](http://en.wikibooks.org/wiki/Control_Systems/Eigenvalues_and_Eigenvectors)
Euler's Formula
    An equation that relates complex exponentials to complex sinusoids.
Exponential Weighted Average (EWA)
    Apportions fractional weight to new and existing data to form a working average. Example EWA=0.70*EWA+0.30*latest, see Filtering.
External Description
    A description of a system that relates the input of the system to the output, without explicitly accounting for the internal states of the system.

Feedback
    The output of the system is passed through some sort of processing unit H, and that result is fed into the plant as an input.
Feedforward
    whwn apriori knowledge is used to forecast at least part of the control response.
Filtering (noise)
    Use of signal smoothing techniques to reject undesirable components like noise. Can be as simple as using exponential weighted averaging on the input.
Final Value Theorem
    A theorem that allows the steady-state value of a system to be determined from the transfer function.
FOH
    First order hold
Frequency Response
    The response of a system to sinusoids of different frequencies. The Fourier Transform of the impulse response.
Fourier Transform
    An integral transform, similar to the Laplace Transform, that analyzes the frequency characteristics of a system.

See [[4]](http://en.wikibooks.org/wiki/Waves/Fourier_Transforms)

## G, H, I

Game Theory
    A branch of study that is related to control engineering, and especially **optimal control**. Multiple competing entities, or "players" attempt to minimize their own cost, and maximize the cost of the opponents.
Gain
    A constant multiplier in a system that is typically implemented as an amplifier or attenuator. Gain can be changed, but is typically not a function of time. Adaptive control can use time-adaptive gains that change with time.
General Description
    An external description of a system that relates the system output to the system input, the system response, and a time constant through integration.

Hendrik Wade Bode
    Electrical Engineer, did work in control theory and communications. Is primarily remembered in control engineering for his introduction of the **bode plot**.
Harry Nyquist
    Electrical Engineer, did extensive work in controls and information theory. Is remembered in this book primarily for his introduction of the **Nyquist Stability Criterion**.
Homogeniety
    Property of a system whose scaled input results in an equally scaled output.
Hybrid Systems
    Systems which have both analog and digital components.

Impulse
    A function denoted δ(t), that is the derivative of the unit step.
Impulse Response
    The system output when the system is stimulated by an impulse input. The Inverse Laplace Transform of the transfer function of the system.
Initial Conditions
    The conditions of the system at time ![t = t_0](../../../upload.wikimedia.org/math/a/a/3/aa31f363825e6471403839e9ff46e7be.png), where t0 is the first time the system is stimulated.
Initial Value Theorem
    A theorem that allows the initial conditions of the system to be determined from the Transfer function.
Input-Output Description
    See **external description**.
Instantaneous
    A system is instantaneous if the system doesn't have memory, and if the current output of the system is only dependent on the current input. See **Dynamic**, **Memory**.
Integrated Absolute Error (IAE)
    absolute error (ideal vs actual performance) is integrated over the analysis period.
Integrated Squared Error (ISE)
    squared error (ideal vs actual performance) is integrated over the analysis period.
Integrators
    A system pole at the origin of the S-plane. Has the effect of integrating the system input.
Inverse Fourier Transform
    An integral transform that converts a function from the frequency domain into the time-domain.
Inverse Laplace Transform
    An integral transform that converts a function from the S-domain into the time-domain.
Inverse Z-Transform
    An integral transform that converts a function from the Z-domain into the discrete time domain.

## J, K, L

Lag
    The observed process impact from an output is slower than the control rate.
Laplace Transform
    An integral transform that converts a function from the time domain into a complex frequency domain.
Laplace Transform Domain
    A complex domain where the Laplace Transform of a function is graphed. The imaginary part of **s** is plotted along the vertical axis, and the real part of **s** is plotted along the horizontal axis.
Left Eigenvectors
    Left-hand nullspace solutions to the characteristic equation of a matrix for given eigenvalues. The rows of the inverse transition matrix.
Linear
    A system that satisfies the **superposition principle**. See **Additive** and **Homogeneous**.
Linear Time-Invariant
    LTI. See **Linear**, and **Time-Invariant**.
Low Clamp
    User-applied lower bound on control output signal.
L/R
    Local/Remote operation.
LQR
    Linear Quadratic Regulator.
Lumped
    A system with a finite number of states, or a finite number of state variables.

## M, N, O

Magnitude
    the gain component of frequency response. This is often all that is considered in saying a discrete filter's response is well matched to the analog's. It is the DC gain at 0 frequency.
Marginal Stability
    A system has an oscillatory response, as determined by having imaginary poles or imaginary eigenvalues.
Mason's Rule
    see [[5]](http://en.wikipedia.org/wiki/Mason's_rule)
MATLAB
    Commercial software having a Control Systems toolbox. Also see Octave.
Memory
    A system has memory if its current output is dependent on previous and current inputs.
MFAC
    Model Free Adaptive Control.
MIMO
    A system with multiple inputs and multiple outputs.
Modern Approach
    see **modern controls**
Modern Controls
    A control methodology that uses the state-space representation to analyze and manipulate the **Internal Description** of a system.
Modified Z-Transform
    A version of the Z-Transform, expanded to allow for an arbitrary processing delay.
MPC
    Model Predictive Control.
MRAC
    Model Reference Adaptive Control.
MV
    can denote Manipulated variable or Measured variable (not the same)

Natural Frequency
    The fundamental frequency of the system, the frequency for which the system's frequency response is largest.
Negative Feedback
    A feedback system where the output signal is subtracted from the input signal, and the difference is input to the plant.
The Nyquist Criteria
    A necessary and sufficient condition of stability that can be derived from **Bode plots**.
Nonlinear Control
    A branch of control engineering that deals exclusively with non-linear systems. We do not cover nonlinear systems in this book.

OCTAVE
    Open-source software having a Control Systems toolbox. Also see MATLAB.
Offset
    The discrepancy between desired and actual value after settling. P-only control can give offset.
Oliver Heaviside
    Electrical Engineer, Introduced the Laplace Transform as a tool for control engineering.
Open Loop
    when the system is not closed, its behavior has a free-running component rather than controlled
Optimal Control
    A branch of control engineering that deals with the minimization of system cost, or maximization of system performance.
Order
    The order of a polynomial is the highest exponent of the independent variable in that exponent. The order of a system is the order of the Transfer Function's denominator polynomial.
Output equation
    An equation that relates the current system input, and the current system state to the current system output.
Overshoot
    measures the extent of system response against desired (setpoint tracking).

## P, Q, R

Parabolic
    A parabolic input is defined by the equation![\\frac{1}{2}t^2u\(t\)](../../../upload.wikimedia.org/math/d/4/f/d4ffc54174bf5a50eebb1b46f1553deb.png).
Partial Fraction Expansion
    A method by which a complex fraction is decomposed into a sum of simple fractions.
Percent Overshoot
    PO, the amount by which the step response overshoots the reference value, in percentage of the reference value.
Phase
    the directional component of frequency response, not typically well-matched between a discrete filter equivalent to the analog version, especially as frequency approaches the Nyquist limit. The final value in the limit drives system stability, and stems from the poles and zeros of the characteristic equation.
PID
    Proportional-Integral-Derivative
Plant
    A central system which has been provided, and must be analyzed or controlled.
PLC
    Programmable Logic Controller
Pole
    A value for s that causes the denominator of the transfer function to become zero, and therefore causes the transfer function itself to approach infinity.
Pole-Zero Form
    The transfer function is factored so that the locations of all the poles and zeros are clearly evident.
Position Error
    The amount of steady-state error of a system stimulated by a unit step input.
Position Error Constant
    A constant that determines the position error of a system.
Positive Feedback
    A feedback system where the system output is added to the system input, and the sum is input into the plant.
PSD
    The power spectral density which shows the distribution of power in the spectrum of a particular signal.
Pulse Response
    The response of a digital system to a unit step input, in terms of the transfer matrix.
PV
    Process variable

Quantized
    A system is quantized if it can only output certain discrete values.
Quarter-decay
    the time or number of control rates required for process overshoot to be limited to within 1/4 of the maximum peak overshoot (PO) after a SP change. If the PO is 25% at sample time N, this would be time N+k when subsequent PV remains < SP*1.0625, presuming the process is settling.

Raise-Lower
    Output type that works from present position rather than as a completely new computed spanned output. For R/L, the % change should be applied to the working clamps i.e. 5%(hi clamp-lo clamp).
Ramp
    A ramp is defined by the function ![tu\(t\)](../../../upload.wikimedia.org/math/5/7/8/5783bcf30df7dec88c592c2076490361.png).
Reconstructors
    A system that converts a digital signal into an analog signal.
Reference Value
    The target input value of a feedback system.
Relaxed
    A system is relaxed if the initial conditions are zero.
Reverse action
    target output decrease is required to bring the process variable (PV) to setpoint (SP) when PV is below SP. Thus, PV decreases with output increase.
Rise Time
    The amount of time it takes for the step response of the system to reach within a certain range of the reference value. Typically, this range is 80%.
Robust Control
    A branch of control engineering that deals with systems subject to external and internal noise and disruptions.

## S, T, U, V

Samplers
    A system that converts an analog signal into a digital signal.
Sampled-Data Systems
    See _Hybrid Systems'_.
Sampling Time
    In a discrete system, the sampling time is the amount of time between samples. Reflects the lower bound for Control rate.
SCADA
    Supervisory Control and Data Acquisition.
S-Domain
    The domain of the Laplace Transform of a signal or system.
Second-order System;
Settling Time
    The amount of time it takes for the system's oscillatory response to be damped to within a certain band of the steady-state value. That band is typically 10%.
Signal Flow Diagram
    A method of visually representing a system, using arrows to represent the direction of signals in the system.
SISO
    Single input, single output.
Span
    the designed operation region of the item,=high range-low range. Working span can be smaller if output clamps are used.
Stability
    Typically "BIBO Stability", a system with a well-behaved input will result in a well-behaved output. "Well-behaved" in this sense is arbitrary.
Star Transform
    A version of the Laplace Transform that acts on discrete signals. This transform is implemented as an infinite sum.
State Equation
    An equation that relates the future states of a system with the current state and the current system input.
State Transition Matrix
    A coefficient matrix, or a matrix function that relates how the system state changes in response to the system input. In time-invariant systems, the state-transition matrix is the matrix exponential of the system matrix.
State-Space Equations
    A set of equations, typically written in matrix form, that relates the input, the system state, and the output. Consists of the state equation and the output equation. See [[6]](http://en.wikibooks.org/wiki/Control_Systems/State-Space_Equations)
State-Variable
    A vector that describes the internal state of the system.
Stability
    The system output cannot approach infinity as time approaches infinity. See **BIBO**, **Lyapunov Stability**.
Step Response
    The response of a system when stimulated by a unit-step input. A unit step is a setpoint change for setpoint tracking.
Steady State
    The output value of the system as time approaches infinity.
Steady State Error
    At steady state, the amount by which the system output differs from the reference value.
Superposition
    A system satisfies the condition of superposition if it is both additive and homogeneous.
System Identification
    method of trying to identify the system characterization , typically through least squares analysis of input,output and noise data vectors. May use ARMA type framework.
System Type
    The number of ideal integrators in the system.

Time-Invariant
    A system is time-invariant if an input time-shifted by an arbitrary delay produces an output shifted by that same delay.
Transfer Function
    The ratio of the system output to its input, in the S-domain. The Laplace Transform of the function's impulse response.
Transfer Function Matrix
    The Laplace transform of the state-space equations of a system, that provides an external description of a MIMO system.

Uniform Stability
    Also "Uniform BIBO Stability", a system where an input signal in the range [0, 1] results in a finite output from the initial time until infinite time. See [[7]](http://en.wikibooks.org/wiki/Control_Systems/Stability).
Unit Step
    An input defined by ![u\(t\)](../../../upload.wikimedia.org/math/a/0/d/a0d664fdd9965ace52f10dd8d03aea2d.png). Practically, a setpoint change.
Unity Feedback
    A feedback system where the feedback loop element H has a transfer function of 1.

Velocity Error
    The amount of steady-state error when the system is stimulated by a ramp input.
Velocity Error Constant
    A constant that determines that amount of velocity error in a system.

## W, X, Y, Z

W-plane
    Reference plane used in the bilinear transform.
Wind-up
    when the numerics of computed control adjustment can "wind-up", yielding control correction with an inappropriate component unless prevented. An example is the "I" contribution of PID if output has been disconnected during PID calculation

Zero
    A value for s that causes the numerator of the transfer function to become zero, and therefore causes the transfer function itself to become zero.
Zero Input Response
    The response of a system with zero external input. Relies only on the value of the system state to produce output.
Zero State Response
    The response of the system with zero system state. The output of the system depends only on the system input.
ZOH
    Zero order hold.
Z-Transform
    An integral transform that is related to the Laplace transform through a change of variables. The Z-Transform is used primarily with digital systems. See [[8]](http://en.wikibooks.org/wiki/Digital_Signal_Processing/Z_Transform)

  


  


# List of Equations

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

The following is a list of the important equations from the text, arranged by subject. For more information about these equations, including the meaning of each variable and symbol, the uses of these functions, or the derivations of these equations, see the relevant pages in the main text.

## Fundamental Equations

  


[Euler's Formula]

    ![e^{j\\omega} = \\cos\(\\omega\) + j\\sin\(\\omega\)](../../../upload.wikimedia.org/math/8/5/0/85079d57bc999acd576d9d8b61821c4a.png)

  


[Convolution]

    ![\(a*b\)\(t\) = \\int_{-\\infty}^\\infty a\(\\tau\)b\(t - \\tau\)d\\tau](../../../upload.wikimedia.org/math/4/4/c/44c15554e0a2a43f610d93211718889f.png)

  


[Convolution Theorem]

    ![\\mathcal{L}\[f\(t\) * g\(t\)\] = F\(s\)G\(s\)](../../../upload.wikimedia.org/math/7/2/4/724268727e97430a1c9e6a8afff25440.png)
    ![\\mathcal{L}\[f\(t\)g\(t\)\] = F\(s\) * G\(s\)](../../../upload.wikimedia.org/math/c/5/1/c513ae717b1797af6f298a364dd07f92.png)

  


[Characteristic Equation]

    ![|A - \\lambda I| = 0](../../../upload.wikimedia.org/math/e/9/0/e90ee34c6e59f033a1b4a6e76502df1b.png)
    ![Av = \\lambda v](../../../upload.wikimedia.org/math/d/a/3/da3ae989b4475b7e0343aad33cc51d8d.png)
    ![wA = \\lambda w](../../../upload.wikimedia.org/math/3/6/3/36329a666e534dd0a846f207ebc997ae.png)

  


[Decibels]

    ![dB = 20 \\log\(C\)](../../../upload.wikimedia.org/math/4/3/d/43df7945ebb8d510a1d52a3f3c4b1a48.png)

## Basic Inputs

  


[Unit Step Function]

    ![u\(t\) = \\left\\{
\\begin{matrix} 
  0, & t < 0
\\\\ 
  1, & t \\ge 0
\\end{matrix}\\right.
](../../../upload.wikimedia.org/math/2/9/8/2980b9619d2d05796a4d4642d4c99e72.png)

  


[Unit Ramp Function]

    ![r\(t\) = t u\(t\)](../../../upload.wikimedia.org/math/5/a/8/5a819fa111bcfa8a3521a865680f2d71.png)

  


[Unit Parabolic Function]

    ![p\(t\) = \\frac{1}{2}t^2 u\(t\)](../../../upload.wikimedia.org/math/c/f/d/cfd76dc9595d2ecbebe27cc875f44329.png)

## Error Constants

  


[Position Error Constant]

    ![K_p = \\lim_{s \\to 0} G\(s\)](../../../upload.wikimedia.org/math/a/8/e/a8e4b02b90fccc23e072091462fc8932.png)
    ![K_p = \\lim_{z \\to 1} G\(z\)](../../../upload.wikimedia.org/math/3/4/1/34110b27402bd7d831b80e78f88a9956.png)

  


[Velocity Error Constant]

    ![K_v = \\lim_{s \\to 0} s G\(s\)](../../../upload.wikimedia.org/math/6/a/3/6a39accfeb2bd23f868e82123f034051.png)
    ![K_v = \\lim_{z \\to 1} \(z - 1\) G\(z\)](../../../upload.wikimedia.org/math/e/8/e/e8e89e977170d992da4a10b68132feda.png)

  


[Acceleration Error Constant]

    ![K_a = \\lim_{s \\to 0} s^2 G\(s\)](../../../upload.wikimedia.org/math/2/f/2/2f2d63579560504ff79dc02b8ff303c4.png)
    ![K_a = \\lim_{z \\to 1} \(z - 1\)^2 G\(z\)](../../../upload.wikimedia.org/math/b/b/6/bb68ddf0c36cae9c857bddc60b747fc7.png)

## System Descriptions

  


[General System Description]

    ![y\(t\) = \\int_{-\\infty}^\\infty g\(t, r\)x\(r\)dr](../../../upload.wikimedia.org/math/8/9/9/899b2ee384f3786f672513a4388d034b.png)

  


[Convolution Description]

    ![y\(t\) = x\(t\) * h\(t\) = \\int_{-\\infty}^\\infty x\(\\tau\)h\(t - \\tau\)d\\tau](../../../upload.wikimedia.org/math/4/d/8/4d8e291d4e3124532d36392e00d4b434.png)

  


[Transfer Function Description]

    ![Y\(s\) = H\(s\)X\(s\)](../../../upload.wikimedia.org/math/b/0/3/b038557f6b66391c5799046c2c951720.png)
    ![Y\(z\) = H\(z\)X\(z\)](../../../upload.wikimedia.org/math/a/b/4/ab474781aec4355aa5ac4e572f7c7971.png)

  


[State-Space Equations]

    ![ x'\(t\) = A x\(t\) + B u\(t\)](../../../upload.wikimedia.org/math/2/8/2/2823fe2ee7475ad121648578d9388808.png)
    ![ y\(t\) = C x\(t\) + D u\(t\)](../../../upload.wikimedia.org/math/0/2/b/02ba1ad4e19b31ac7b9882651b1c826d.png)

  


[Transfer Matrix]

    ![C\[sI - A\]^{-1}B + D = \\bold{H}\(s\)](../../../upload.wikimedia.org/math/d/e/a/dea188c62940c508005f795020d13861.png)
    ![C\[zI - A\]^{-1}B + D = \\bold{H}\(z\)](../../../upload.wikimedia.org/math/7/a/2/7a2be4009a69e4c0241ce783f81592b0.png)

  


[Transfer Matrix Description]

    ![\\bold{Y}\(s\) = \\bold{H}\(s\)\\bold{U}\(s\)](../../../upload.wikimedia.org/math/d/7/7/d77b83dc17dba40a0e9ba83d2bd70135.png)
    ![\\bold{Y}\(z\) = \\bold{H}\(z\)\\bold{U}\(z\)](../../../upload.wikimedia.org/math/1/c/8/1c830b50ac1c955ddf34bc91b274dc2c.png)

  


[Mason's Rule]

    ![M = \\frac{y_{out}}{y_{in}} = \\sum_{k=1}^N \\frac{M_k \\Delta\\ _k}{ \\Delta\\ }](../../../upload.wikimedia.org/math/7/f/8/7f8f32902d9f1bdde6d0a4763594061c.png)

## Feedback Loops

  


[Closed-Loop Transfer Function]

    ![ H_{cl}\(s\) =  \\frac{KGp\(s\)}{1 + KGp\(s\)Gb\(s\)}](../../../upload.wikimedia.org/math/9/9/0/9904dcefa9ac134259c789ab46143baf.png)

  


[Open-Loop Transfer Function]

    ![H_{ol}\(s\) = KGp\(s\)Gb\(s\)](../../../upload.wikimedia.org/math/e/2/e/e2ebe5f4beb3d09b57178d207b79a04f.png)

  


[Characteristic Equation]

    ![F\(s\) = 1 + H_{ol}](../../../upload.wikimedia.org/math/e/c/6/ec6112e3e30ff40802cf71e7d77d2c05.png)

  


## Transforms

  


[Laplace Transform]

    ![F\(s\) = \\mathcal{L}\[f\(t\)\] = \\int_0^\\infty f\(t\) e^{-st}dt](../../../upload.wikimedia.org/math/d/a/5/da53513f9e82325f508529c98b8feaaa.png)

  


[Inverse Laplace Transform]

    ![f\(t\) 
        = \\mathcal{L}^{-1} \\left\\{F\(s\)\\right\\}
        = {1 \\over {2\\pi}}\\int_{c-i\\infty}^{c+i\\infty} e^{st} F\(s\)\\,ds](../../../upload.wikimedia.org/math/3/0/0/30062977247364370d64984dcfd83189.png)

  


[Fourier Transform]

    ![F\(j\\omega\) = \\mathcal{F}\[f\(t\)\] = \\int_0^\\infty f\(t\) e^{-j\\omega t} dt](../../../upload.wikimedia.org/math/8/7/a/87a3a8156cd95f05565518d2b02239df.png)

  


[Inverse Fourier Transform]

    ![f\(t\) 
        = \\mathcal{F}^{-1}\\left\\{F\(j\\omega\)\\right\\}     
        = \\frac{1}{2\\pi}\\int_{-\\infty}^\\infty F\(j\\omega\) e^{-j\\omega t} d\\omega](../../../upload.wikimedia.org/math/d/9/5/d95d95fa90099b53ca3d42d199c16e18.png)

  


[Star Transform]

    ![F^*\(s\) = \\mathcal{L}^*\[f\(t\)\] = \\sum_{i = 0}^\\infty f\(iT\)e^{-siT}](../../../upload.wikimedia.org/math/c/1/f/c1f1a8eaaa5a7cc4613fd34603b85d1b.png)

  


[Z Transform]

    ![X\(z\) = \\mathcal{Z}\\left\\{x\[n\]\\right\\} = \\sum_{i = -\\infty}^\\infty x\[n\] z^{-n}](../../../upload.wikimedia.org/math/9/0/2/902d73dc65975156bbb568f9a0b78a3f.png)

  


[Inverse Z Transform]

    ![ x\[n\] = Z^{-1} \\{X\(z\) \\}= \\frac{1}{2 \\pi j} \\oint_{C} X\(z\) z^{n-1} dz \\ ](../../../upload.wikimedia.org/math/8/e/6/8e6f80ddde123f0037465d09592cd940.png)

  


[Modified Z Transform]

    ![X\(z, m\) = \\mathcal{Z}\(x\[n\], m\) = \\sum_{n = -\\infty}^{\\infty} x\[n + m - 1\]z^{-n}](../../../upload.wikimedia.org/math/1/d/1/1d139cc18845096a8efb6dc22d77b259.png)

## Transform Theorems

  


[Final Value Theorem]

    ![x\(\\infty\) = \\lim_{s \\to 0} s X\(s\)](../../../upload.wikimedia.org/math/1/3/f/13f1d8b7d873e112c8cf093c097088af.png)
    ![x\[\\infty\] = \\lim_{z \\to 1} \(z - 1\) X\(z\)](../../../upload.wikimedia.org/math/f/e/5/fe5aef90219ace64fb7d361ffe9410e7.png)

  


[Initial Value Theorem]

    ![x\(0\) = \\lim_{s \\to \\infty} s X\(s\)](../../../upload.wikimedia.org/math/7/d/7/7d7e2b0fe851305a45f0635107576388.png)

## State-Space Methods

  


[General State Equation Solution]

    ![x\(t\) = e^{At-t_0}x\(t_0\) + \\int_{t_0}^{t}e^{A\(t - \\tau\)}Bu\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/0/5/4/054afbcdfe78d62aa58d56a77c14f5b8.png)
    ![x\[n\] = A^nx\[0\] + \\sum_{m=0}^{n-1}A^{n-1-m}Bu\[n\]](../../../upload.wikimedia.org/math/9/c/7/9c7777828f9dc109243b5c4b121b5e64.png)

  


[General Output Equation Solution]

    ![y\(t\) = Ce^{At-t_0}x\(t_0\) + C\\int_{t_0}^{t}e^{A\(t - \\tau\)}Bu\(\\tau\)d\\tau + Du\(t\)](../../../upload.wikimedia.org/math/b/4/8/b4839aa72a182ce6c3612952483f45e0.png)
    ![y\[n\] = CA^nx\[0\] + \\sum_{m=0}^{n-1}CA^{n-1-m}Bu\[n\] + Du\[n\]](../../../upload.wikimedia.org/math/0/4/4/044485c1eb06a7d94005127848c7e1e7.png)

  


[Time-Variant General Solution]

    ![x\(t\) = \\phi\(t, t_0\)x\(t_0\) + \\int_{t_0}^{t} \\phi\(\\tau, t_0\)B\(\\tau\)u\(\\tau\)d\\tau](../../../upload.wikimedia.org/math/8/7/b/87b01f92b2a8266c80185539ab5a40f8.png)
    ![x\[n\] = \\phi\[n, n_0\]x\[t_0\] + \\sum_{m = n_0}^{n} \\phi\[n, m+1\]B\[m\]u\[m\]](../../../upload.wikimedia.org/math/e/e/0/ee0ae756673d19979913ab616777be93.png)

  


[Impulse Response Matrix]

    ![ G\(t, \\tau\) = \\left\\{\\begin{matrix}C\(\\tau\)\\phi\(t, \\tau\)B\(\\tau\) & \\mbox{ if } t \\ge \\tau \\\\0 & \\mbox{ if } t < \\tau\\end{matrix}\\right.](../../../upload.wikimedia.org/math/8/1/0/81043775fb2e9296155a8646a5533cf6.png)
    ![G\[n\] = \\left\\{\\begin{matrix}CA^{k-1}N & \\mbox{ if } k > 0 \\\\ 0 & \\mbox{ if } k \\le 0\\end{matrix}\\right.](../../../upload.wikimedia.org/math/c/f/d/cfd391c8ebc9ddda0a304084fc89f54b.png)

## Root Locus

  


[The Magnitude Equation]

    ![1 + KG\(s\)H\(s\) = 0](../../../upload.wikimedia.org/math/2/3/0/23010560c14479b76ac7412ce6323968.png)
    ![1 + K\\overline{GH}\(z\) = 0](../../../upload.wikimedia.org/math/6/3/9/639e531b828e1d16ff5b8309b35e5d46.png)

  


[The Angle Equation]

    ![\\angle KG\(s\)H\(s\) = 180^\\circ](../../../upload.wikimedia.org/math/2/7/0/2706b158a5ec2a7f5d3c8623c4b6f77d.png)
    ![\\angle K\\overline{GH}\(z\) = 180^\\circ](../../../upload.wikimedia.org/math/d/0/c/d0c115766908920ae7d327fd4b07f566.png)

  


[Number of Asymptotes]

    ![N_a = P - Z](../../../upload.wikimedia.org/math/4/6/b/46bb3da392c570792a441d895ecfba66.png)

  


[Angle of Asymptotes]

    ![\\phi_k = \(2k + 1\)\\frac{\\pi}{P - Z}](../../../upload.wikimedia.org/math/e/4/f/e4fdc7c9241a55e6f1a27763b6827ac6.png)

  


[Origin of Asymptotes]

    ![\\sigma_0 = \\frac{\\sum_P - \\sum_Z}{P - Z}](../../../upload.wikimedia.org/math/5/e/a/5ea6f3fd0a09ba01eebc898ffb28e654.png)

  


[Breakaway Point Locations]

    ![\\frac{G\(s\)H\(s\)}{ds} = 0](../../../upload.wikimedia.org/math/4/7/2/472ba98fd811784b28fbc516adceaebd.png) or ![\\frac{\\overline{GH}\(z\)}{dz} = 0](../../../upload.wikimedia.org/math/1/5/9/15927b98af17adee0eb154ba3ceaa5c7.png)

## Lyapunov Stability

  


[Lyapunov Equation]

    ![MA + A^TM = -N](../../../upload.wikimedia.org/math/6/9/2/69239acd08b2d3e310e6a5e9c1791eb8.png)

## Controllers and Compensators

  


[PID]

    ![D\(s\) = K_p + {K_i \\over s} + K_d s](../../../upload.wikimedia.org/math/c/f/f/cff8e7406e0b315686955c3baa7249c6.png)
    ![D\(z\) = K_p + K_i \\frac{T}{2} \\left\[ \\frac{z + 1}{z - 1} \\right\] + K_d \\left\[ \\frac{z - 1}{Tz} \\right\]](../../../upload.wikimedia.org/math/d/9/1/d919413acf74b82b6ae2ea2be35c5b48.png)

  


  


# Resources and Further Reading

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

  


## Wikibooks

A number of wikibooks exist on topics that are (a) prerequisites to this book (b) companion pieces to and references for this book, and (c) of further interest to people who have completed reading this book. Below will be a listing of such books, ordered according to the categories listed above.

### Prerequisite Books

  * [Linear algebra](http://en.wikibooks.org/wiki/Linear_algebra)
  * [Linear Algebra with Differential Equations](http://en.wikibooks.org/wiki/Linear_Algebra_with_Differential_Equations)
  * [Complex Numbers](http://en.wikibooks.org/wiki/Algebra/Complex_Numbers)
  * [Calculus](http://en.wikibooks.org/wiki/Calculus)
  * [Signals and Systems](http://en.wikibooks.org/wiki/Signals_and_Systems)

### Companion Books

  * [Engineering Analysis](http://en.wikibooks.org/wiki/Engineering_Analysis)
  * [Engineering Tables](http://en.wikibooks.org/wiki/Engineering_Tables)
  * [Analog and Digital Conversion](http://en.wikibooks.org/wiki/Analog_and_Digital_Conversion)
  * [MATLAB Programming](http://en.wikibooks.org/wiki/MATLAB_Programming)

### Books for Further Reading

  * [Signal Processing](http://en.wikibooks.org/wiki/Signal_Processing)
  * [Digital Signal Processing](http://en.wikibooks.org/wiki/Digital_Signal_Processing)
  * [Communication Systems](http://en.wikibooks.org/wiki/Communication_Systems)
  * [Embedded Control Systems Design](http://en.wikibooks.org/wiki/Embedded_Control_Systems_Design)

## Wikiversity

![Wikiversity-logo.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Wikiversity-logo.svg/40px-Wikiversity-logo.svg.png)

[Wikiversity](http://en.wikiversity.org/wiki/) has learning materials about _**[Control Systems](http://en.wikiversity.org/wiki/Control_Systems)**_

The **Wikiversity** project also contains a number of collaborative learning efforts in the field of control systems, and related subjects. As best as possible, we will attempt to list those efforts here:

  * [v:Control Systems](http://en.wikiversity.org/wiki/Control_Systems)

Wikiversity is also a place to host learning materials, such as assignments, tests, and reading plans. It is the goal of the authors of this book to create such materials for use in conjunction with this book. As such materials are added to wikiversity, they will be referenced here.

## Wikipedia

There are a number of Wikipedia articles on the topics covered in this book, and those articles will be linked to from the appropriate pages of this book. However, some of the articles that are of general use to the book are:

  * [w:Control theory](http://en.wikipedia.org/wiki/Control_theory)
  * [w:Control engineering](http://en.wikipedia.org/wiki/Control_engineering)
  * [w:Process control](http://en.wikipedia.org/wiki/Process_control)

A complete listing of all Wikipedia articles related to this topic can be found at:

  * [w:Category:Control theory](http://en.wikipedia.org/wiki/Category:Control_theory).

## Software

### Root Locus

Root-Locus is a free program that was used to create several of the images in this book. That software can be obtained from the following web address:

    <http://web.archive.org/20041230124431/www.geocities.com/aseldawy/root_locus.html>

Explicit permission has been granted by the author of the program to include screenshots on wikibooks. Images generated from the Root-Locus program should be included in [Category:Root Locus Images](http://en.wikibooks.org/wiki/Category:Root_Locus_Images), and appropriately tagged as a screenshot of a free software program.

### MATLAB

MATLAB, Simulink, the Control Systems Toolbox and the Symbolic Toolbox are trademarks of The MathWorks, Inc. Other product or brand names are trademarks or registered trademarks of their respective holders. For more information about MATLAB, or to purchase a copy, visit:

    <http://www.themathworks.com>

For information about the proper way to refer to MATLAB, please see:

    <http://www.mathworks.com/company/pressroom/editorial_guidelines.html>

All MATLAB code appearing in this book has been released under the terms of the GFDL by the respective authors. All screenshots, graphs, and images relating to MATLAB have been produced in **Octave**, with changes to the original MATLAB code made as necessary.

### Octave

Octave is a free open-source alternative program to MATLAB. Octave utilizes a scripting language that is very similar to that of MATLAB, although there are several differences. Most of the basic examples described in this book will work equally well in MATLAB or Octave, with no changes or only minor changes. For more information, or to download a copy of Octave, visit:

    <http://octave.sourceforge.net>

### Commercial Vendors

The following are some common vendors of control-related hardware and software. These links are for personal interest only, and do not constitute an official endorsement of the companies by Wikibooks.

  * [Systems Technology, Inc](http://www.programcc.com/about.asp)
  * [SimApp - Dynamic Simulation Made Easy](http://www.simapp.com)

## External Publications

The following books and resources were used as reference works in the creation of this wikibook (books listed in alphabetical order).

  * Brogan, William L, _Modern Control Theory_, 3rd Edition, 1991. [ISBN 0135897637](http://en.wikibooks.org/wiki/Special:BookSources/0135897637)
  * Chen, Chi-Tsong, _Linear System Theory and Design_, 3rd Edition, 1999. [ISBN 0195117778](http://en.wikibooks.org/wiki/Special:BookSources/0195117778)
  * Dorf and Bishop, _Modern Control Systems_, 10th Edition, Prentice Hall, 2005. [ISBN 0131277650](http://en.wikibooks.org/wiki/Special:BookSources/0131277650)
  * Hamming, Richard, _Numerical Methods for Scientists and Engineers_, 2nd edition, Dover, 1987. [ISBN 0486652416](http://en.wikibooks.org/wiki/Special:BookSources/0486652416)
  * Kalman, R. E., _When is a linear control system optimal_, ASME Transactions, Journal of Basic Engineering, 1964
  * Kalman, R. E., _On the General Theory of Control Systems_, IRE Transactions on Automatic Control, Volume 4, Issue 3, p110, 1959. ISSN 0096199X
  * Ogata, Katsuhiko, _Solving Control Engineering Problems with MATLAB_, Prentice Hall, New Jersey, 1994. [ISBN 0130459070](http://en.wikibooks.org/wiki/Special:BookSources/0130459070)
  * Phillips and Nagle, _Digital Control System Analysis and Design_, 3rd Edition, Prentice Hall, 1995. [ISBN 013309832X](http://en.wikibooks.org/wiki/Special:BookSources/013309832X)

The following books and resources are suitable for further reading.

  * DiStefano, Stubberud, Williams, _Schaum's Outline Series Feedback and Control Systems_, 2nd Edition, 1997. [ISBN 0070170479](http://en.wikibooks.org/wiki/Special:BookSources/0070170479)
  * Franklin, Powell, Workman, _Digital Control of Dynamic Systems_, 3rd Edition, 1997. [ISBN 9780201820546](http://en.wikibooks.org/wiki/Special:BookSources/9780201820546)
  * Brosilow, Joseph, _Techniques of Model-Based Control_, 2002. [ISBN 013028078X](http://en.wikibooks.org/wiki/Special:BookSources/013028078X)

## External Resources

  * [IEEE Control Systems Society](http://www.ieeecss.org/)
  * [ControlTheoryPro.com](http://wikis.ControlTheoryPro.com) A place for controls theory, application, and modeling help.
  * [Univ Michigan open text for Prcoess Dynamics and Controls](http://controls.engin.umich.edu/wiki/index.php/Main_Page)

  


  
  


# Licensing

The Wikibook of:  


Control Systems

and Control Engineering

[Table of Contents](http://en.wikibooks.org/wiki/Control_Systems)
[All Versions](http://en.wikibooks.org/wiki/Control_Systems/All_Versions)
[PDF Version](http://en.wikibooks.org/wiki/File:Control_Systems.pdf)

[Glossary](http://en.wikibooks.org/wiki/Control_Systems/Glossary)

## License

The text of this wikibook is released under the terms of the **GNU Free Documentation License version 1.2**. The particular version of that license that is being used can be found at:

    <http://en.wikibooks.org/wiki/Wikibooks:GNU_Free_Documentation_License>

The text of that license will also be appended to the end of the **printable version** of this wikibook.

Images used in this document may not be released under the GFDL, and the licenses used with each image in this book will be listed in a table below. Some contributors may cross-license their contributions under the GFDL and another compatible license. Some contributions have been released into the public domain.

## Images

The individual images used in this wikibook are released under a variety of different licenses, including the GFDL, and Creative-Commons licenses. Some images have been released into the public domain. The following table will list the images used in this book, along with the license under which the image is released, and any additional information about the images that is needed under the terms of the applicable licenses.

Image and Information License

[Image:Pierre-Simon-Laplace (1749-1827).jpg](http://en.wikibooks.org/wiki/File:Pierre-Simon-Laplace_\(1749-1827\).jpg)  


<http://commons.wikimedia.org/wiki/Image:Pierre-Simon-Laplace_(1749-1827).jpg>  
Uploaded by [commons:User:Luestling](http://commons.wikimedia.org/wiki/User:Luestling)  
Used on [Control Systems/Introduction](http://en.wikibooks.org/wiki/Control_Systems/Introduction)

Public Domain

[Image:Joseph Fourier.jpg](http://en.wikibooks.org/wiki/File:Joseph_Fourier.jpg)  


<http://commons.wikimedia.org/wiki/Image:Joseph_Fourier.jpg>  
Uploaded by [commons:User:Rh-Kiriki](http://commons.wikimedia.org/wiki/User:Rh-Kiriki)  
Used on [Control Systems/Introduction](http://en.wikibooks.org/wiki/Control_Systems/Introduction)

Public Domain

[Image:Oliver Heaviside.jpg](http://en.wikibooks.org/w/index.php?title=File:Oliver_Heaviside.jpg&action=edit&redlink=1)  


<http://commons.wikimedia.org/wiki/Image:Oliver_Heaviside.jpg>  
Uploaded by [commons:User:Bemoeial2](http://commons.wikimedia.org/wiki/User:Bemoeial2)  
Used on [Control Systems/Introduction](http://en.wikibooks.org/wiki/Control_Systems/Introduction)

Public Domain

[Image:System Metrics Diagram.JPG](http://en.wikibooks.org/w/index.php?title=File:System_Metrics_Diagram.JPG&action=edit&redlink=1)  


<http://en.wikibooks.org/wiki/Image:System_Metrics_Diagram.JPG>  
Uploaded by [User:Whiteknight](http://en.wikibooks.org/wiki/User:Whiteknight)  
Used on [Control Systems/System Metrics](http://en.wikibooks.org/wiki/Control_Systems/System_Metrics)

Public Domain

[Image:Series-RL.png](http://en.wikibooks.org/wiki/File:Series-RL.png)  


<http://commons.wikimedia.org/wiki/Image:Series-RL.png>  
Uploaded by [commons:User:Severino](http://commons.wikimedia.org/wiki/User:Severino)

[GFDL](http://en.wikibooks.org/wiki/GFDL)

[Image:Zeroorderhold.impulseresponse.svg](http://en.wikibooks.org/wiki/File:Zeroorderhold.impulseresponse.svg)  


<http://commons.wikimedia.org/wiki/Image:Zeroorderhold.impulseresponse.svg>  
Uploaded by [commons:User:Rbj](http://commons.wikimedia.org/wiki/User:Rbj)

Public Domain

[Image:Zeroorderhold.signal.svg](http://en.wikibooks.org/wiki/File:Zeroorderhold.signal.svg)  


<http://commons.wikimedia.org/wiki/Image:Zeroorderhold.signal.svg>  
Uploaded by [commons:User:Rbj](http://commons.wikimedia.org/wiki/User:Rbj)

Public Domain

[Image:Predictivefirstorderhold.impulseresponse.svg](http://en.wikibooks.org/wiki/File:Predictivefirstorderhold.impulseresponse.svg)  


<http://commons.wikimedia.org/wiki/Image:Predictivefirstorderhold.impulseresponse.svg>  
Uploaded by [commons:User:Rbj](http://commons.wikimedia.org/wiki/User:Rbj)

Public Domain

[Image:Predictivefirstorderhold.signal.svg](http://en.wikibooks.org/wiki/File:Predictivefirstorderhold.signal.svg)  


<http://commons.wikimedia.org/wiki/Image:Predictivefirstorderhold.signal.svg>  
Uploaded by [commons:User:Rbj](http://commons.wikimedia.org/wiki/User:Rbj)

Public Domain

[Image:Firstorderhold.impulseresponse.svg](http://en.wikibooks.org/wiki/File:Firstorderhold.impulseresponse.svg)  


<http://commons.wikimedia.org/wiki/Image:Firstorderhold.impulseresponse.svg>  
Uploaded by [commons:User:Rbj](http://commons.wikimedia.org/wiki/User:Rbj)

Public Domain

[Image:P-controller-symbol-2.svg](http://en.wikibooks.org/wiki/File:P-controller-symbol-2.svg)  


<http://commons.wikimedia.org/wiki/Image:P-controller-symbol-2.svg>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

[Image:Block diagram.png](http://en.wikibooks.org/wiki/File:Block_diagram.png)  


<http://commons.wikimedia.org/wiki/Image:Block_diagram.png>  
Uploaded by: [commons:User:Hellisp](http://commons.wikimedia.org/wiki/User:Hellisp)

Public Domain

[Image:Blockdiagrammzustandsraum.PNG](http://en.wikibooks.org/wiki/File:Blockdiagrammzustandsraum.PNG)  


<http://commons.wikimedia.org/wiki/Image:Blockdiagrammzustandsraum.PNG>  
Uploaded by: [commons:User:Ma-Lik](http://commons.wikimedia.org/wiki/User:Ma-Lik)

[GFDL](http://en.wikibooks.org/wiki/GFDL)  
and  
Creative Commons Attribution ShareAlike 2.5

[Image:Typical State Space model.png](http://en.wikibooks.org/wiki/File:Typical_State_Space_model.png)  


<http://commons.wikimedia.org/wiki/Image:Typical_State_Space_model.png>  
Uploaded by: [en:User:Cburnett](http://en.wikibooks.org/wiki/User:Cburnett)

Public Domain

[Image:Simple feedback control loop.png](http://en.wikibooks.org/wiki/File:Simple_feedback_control_loop.png)  


<http://commons.wikimedia.org/wiki/Image:Simple_feedback_control_loop.png>  
Uploaded by: [commons:User:Ikiwaner](http://commons.wikimedia.org/wiki/User:Ikiwaner)

[GFDL](http://en.wikibooks.org/wiki/GFDL)

[Image:Bode-pt2.png](http://en.wikibooks.org/wiki/File:Bode-pt2.png)  


<http://commons.wikimedia.org/wiki/Image:Bode-pt2.png>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

[Image:Bode-p.png](http://en.wikibooks.org/wiki/File:Bode-p.png)  


<http://commons.wikimedia.org/wiki/Image:Bode-p.png>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

[Image:Bode-i.png](http://en.wikibooks.org/wiki/File:Bode-i.png)  


<http://commons.wikimedia.org/wiki/Image:Bode-i.png>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

[Image:Bode-d.png](http://en.wikibooks.org/wiki/File:Bode-d.png)  


<http://commons.wikimedia.org/wiki/Image:Bode-d.png>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

[Image:Bode-pt1.png](http://en.wikibooks.org/wiki/File:Bode-pt1.png)  


<http://commons.wikimedia.org/wiki/Image:Bode-pt1.png>  
Uploaded by: [commons:User:Netnet](http://commons.wikimedia.org/wiki/User:Netnet)

Public Domain

## Authors

The authors of this text can list themselves below. Authors should be listed in alphabetical order by first name (if a real name is used), or by username. This is not a canonical list.

  * [Andrew Whitworth (Whiteknight)](http://en.wikibooks.org/wiki/User:Whiteknight)

The usernames of additional contributors, as well as the size and scope of the contributions made by the authors listed above can be found in the history records of the individual pages on the Wikibooks website. Those history pages satisfy the attribution requirement of the [GFDL](http://en.wikibooks.org/wiki/GFDL), and any lists of authors that appear here or anywhere else do not count as legal attribution under the terms of that license.

## Child Versions

The Control Systems wikibook is offered with a number of child versions, which represent subsets of the material available in the parent book. Because certain chapters are omitted from the child versions, some of the images listed above may not be present, and some of the authors listed above may not have made any contributions to some printed and distributed versions of this text.

  


  


# License: GFDL

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&oldid=2500749](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&oldid=2500749)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Control Systems](http://en.wikibooks.org/wiki/Category:Control_Systems)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Control+Systems%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Control+Systems%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Control_Systems/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Control_Systems/Print_version)
  * [Related changes](/wiki/Special:RecentChangesLinked/Control_Systems/Print_version)
  * [Upload file](//commons.wikimedia.org/wiki/Special:UploadWizard)
  * [Special pages](/wiki/Special:SpecialPages)
  * [Permanent link](/w/index.php?title=Control_Systems/Print_version&oldid=2500749)
  * [Page information](/w/index.php?title=Control_Systems/Print_version&action=info)
  * [Cite this page](/w/index.php?title=Special:Cite&page=Control_Systems%2FPrint_version&id=2500749)

### In other languages

### Navigation

  * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
  * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
  * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
  * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
  * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

  * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
  * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Control_Systems/Print_version)
  * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Control_Systems/Print_version)
  * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
  * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
  * [Permanent link](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&oldid=2500749)
  * [Page information](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&action=info)
  * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Control_Systems%2FPrint_version&id=2500749)

### In other languages

  * [עברית](http://he.wikibooks.org/wiki/%D7%AA%D7%95%D7%A8%D7%AA_%D7%94%D7%91%D7%A7%D7%A8%D7%94/%D7%9E%D7%A9%D7%AA%D7%A0%D7%99_%D7%9E%D7%A6%D7%91)
  * ### Sister projects

  * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
  * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
  * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
  * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
  * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
  * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
  * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
  * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
  * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

  * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Control+Systems%2FPrint+version)
  * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Control+Systems%2FPrint+version&oldid=2500749&writer=rl)
  * [Printable version](http://en.wikibooks.org/w/index.php?title=Control_Systems/Print_version&printable=yes)

  * This page was last modified on 12 March 2013, at 18:44.
  * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
  * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
  * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
  * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
  * [Mobile view](http://en.m.wikibooks.org/wiki/Control_Systems/Print_version)
  * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
  * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
