# Cultural Anthropology/Print version

From Wikibooks, open books for an open world

< [Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Cultural_Anthropology/Print_version) on _27 December 2013_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&oldid=2596459&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

  


# Introduction

**Cultural Anthropology** is the study of human cultures, their beliefs, practices, values, ideas, technologies, economies and other domains of social and cognitive organization. This field is based primarily on cultural understanding gained through first hand experience, or participant observation within living populations of humans.

This chapter will introduce you to the field of anthropology, define basic terms and concepts and explain why it is important, and how it can change your perspective of the world around you.

## Contents

  * [1 Introduction](Print_version.html#Introduction)
    * [1.1 What is Anthropology?](Print_version.html#What_is_Anthropology.3F)
      * [1.1.1 **Holism in Anthropology**](Print_version.html#Holism_in_Anthropology)
      * [1.1.2 What is Culture?](Print_version.html#What_is_Culture.3F)
        * [1.1.2.1 "**C**ulture" vs. "**c**ulture"](Print_version.html#.22Culture.22_vs._.22culture.22)
      * [1.1.3 Levels of culture](Print_version.html#Levels_of_culture)
        * [1.1.3.1 Familial culture](Print_version.html#Familial_culture)
        * [1.1.3.2 Micro or Subculture](Print_version.html#Micro_or_Subculture)
        * [1.1.3.3 Cultural universals](Print_version.html#Cultural_universals)
      * [1.1.4 Two Views of Culture](Print_version.html#Two_Views_of_Culture)
        * [1.1.4.1 Etic](Print_version.html#Etic)
        * [1.1.4.2 Emic](Print_version.html#Emic)
      * [1.1.5 Enculturation](Print_version.html#Enculturation)
        * [1.1.5.1 Cultural Transmission](Print_version.html#Cultural_Transmission)
      * [1.1.6 Symbols and Culture](Print_version.html#Symbols_and_Culture)
      * [1.1.7 Ethnocentrism](Print_version.html#Ethnocentrism)
      * [1.1.8 Cultural Relativism](Print_version.html#Cultural_Relativism)
    * [1.2 Cultural Anthropology Today](Print_version.html#Cultural_Anthropology_Today)
      * [1.2.1 Ethnography](Print_version.html#Ethnography)
      * [1.2.2 Ethnology](Print_version.html#Ethnology)
      * [1.2.3 Deconstructing Race and Racism](Print_version.html#Deconstructing_Race_and_Racism)
      * [1.2.4 Technology](Print_version.html#Technology)
    * [1.3 References](Print_version.html#References)
    * [1.4 External links](Print_version.html#External_links)
  * [2 History of Anthropological Theory](Print_version.html#History_of_Anthropological_Theory)
    * [2.1 History](Print_version.html#History)
      * [2.1.1 Early Cultural Studies](Print_version.html#Early_Cultural_Studies)
      * [2.1.2 The Development of the Discipline](Print_version.html#The_Development_of_the_Discipline)
      * [2.1.3 Early influential personalities](Print_version.html#Early_influential_personalities)
    * [2.2 A brief history](Print_version.html#A_brief_history)
    * [2.3 Historic Cultural Anthropologists](Print_version.html#Historic_Cultural_Anthropologists)
      * [2.3.1 Edward Burnett Tylor](Print_version.html#Edward_Burnett_Tylor)
      * [2.3.2 Lewis Henry Morgan](Print_version.html#Lewis_Henry_Morgan)
      * [2.3.3 Franz Boas](Print_version.html#Franz_Boas)
      * [2.3.4 Ruth Benedict](Print_version.html#Ruth_Benedict)
      * [2.3.5 Margaret Mead](Print_version.html#Margaret_Mead)
      * [2.3.6 Marvin Harris](Print_version.html#Marvin_Harris)
      * [2.3.7 Napoleon Chagnon](Print_version.html#Napoleon_Chagnon)
      * [2.3.8 Ray Birdwhistell](Print_version.html#Ray_Birdwhistell)
      * [2.3.9 Julian Steward](Print_version.html#Julian_Steward)
      * [2.3.10 Paul Farmer](Print_version.html#Paul_Farmer)
    * [2.4 References](Print_version.html#References_2)
  * [3 Anthropological Methods](Print_version.html#Anthropological_Methods)
    * [3.1 Origins of Ethnography](Print_version.html#Origins_of_Ethnography)
      * [3.1.1 Ethnographic Analogy](Print_version.html#Ethnographic_Analogy)
      * [3.1.2 Effect of Capitalism and Colonialism](Print_version.html#Effect_of_Capitalism_and_Colonialism)
      * [3.1.3 Human Cultural Variation](Print_version.html#Human_Cultural_Variation)
      * [3.1.4 The Biology of Human Variation](Print_version.html#The_Biology_of_Human_Variation)
    * [3.2 Fieldwork Methods](Print_version.html#Fieldwork_Methods)
      * [3.2.1 Observational Methods](Print_version.html#Observational_Methods)
      * [3.2.2 Interviews and Questionnaires](Print_version.html#Interviews_and_Questionnaires)
      * [3.2.3 Participant Observation](Print_version.html#Participant_Observation)
      * [3.2.4 Reflexivity](Print_version.html#Reflexivity)
      * [3.2.5 Life Histories](Print_version.html#Life_Histories)
      * [3.2.6 Participatory Approach](Print_version.html#Participatory_Approach)
        * [3.2.6.1 Participatory Action Research](Print_version.html#Participatory_Action_Research)
        * [3.2.6.2 Philippe Bourgois in East Harlem](Print_version.html#Philippe_Bourgois_in_East_Harlem)
    * [3.3 Types of Analysis](Print_version.html#Types_of_Analysis)
      * [3.3.1 Qualitative vs. Quantitative Analysis](Print_version.html#Qualitative_vs._Quantitative_Analysis)
      * [3.3.2 Positivist Approach](Print_version.html#Positivist_Approach)
      * [3.3.3 Ethnographic Analysis](Print_version.html#Ethnographic_Analysis)
      * [3.3.4 Domain analysis](Print_version.html#Domain_analysis)
      * [3.3.5 Taxonomic Analysis](Print_version.html#Taxonomic_Analysis)
    * [3.4 References](Print_version.html#References_3)
  * [4 Symbolism and Communication](Print_version.html#Symbolism_and_Communication)
  * [5 Play](Print_version.html#Play)
    * [5.1 Child Play in the United States](Print_version.html#Child_Play_in_the_United_States)
    * [5.2 Play Beyond Childhood](Print_version.html#Play_Beyond_Childhood)
  * [6 Sport](Print_version.html#Sport)
    * [6.1 Sport in Culture](Print_version.html#Sport_in_Culture)
      * [6.1.1 Football Soccer](Print_version.html#Football_Soccer)
      * [6.1.2 American Football](Print_version.html#American_Football)
      * [6.1.3 Baseball](Print_version.html#Baseball)
      * [6.1.4 Basketball](Print_version.html#Basketball)
      * [6.1.5 Rowing](Print_version.html#Rowing)
      * [6.1.6 Other Sports](Print_version.html#Other_Sports)
      * [6.1.7 Professional Sport Salaries](Print_version.html#Professional_Sport_Salaries)
      * [6.1.8 Positive Effect of Getting Involved in Sports](Print_version.html#Positive_Effect_of_Getting_Involved_in_Sports)
      * [6.1.9 Healthy Living](Print_version.html#Healthy_Living)
      * [6.1.10 Benefits of a Team](Print_version.html#Benefits_of_a_Team)
      * [6.1.11 Negative Aspects of a Team](Print_version.html#Negative_Aspects_of_a_Team)
  * [7 Cultural Arts](Print_version.html#Cultural_Arts)
    * [7.1 Music](Print_version.html#Music)
      * [7.1.1 Definition](Print_version.html#Definition)
      * [7.1.2 Introduction](Print_version.html#Introduction_2)
      * [7.1.3 Song and Words](Print_version.html#Song_and_Words)
      * [7.1.4 Indie](Print_version.html#Indie)
      * [7.1.5 Folk](Print_version.html#Folk)
        * [7.1.5.1 American Folk Music](Print_version.html#American_Folk_Music)
      * [7.1.6 Rock and Roll](Print_version.html#Rock_and_Roll)
        * [7.1.6.1 Rock](Print_version.html#Rock)
          * [7.1.6.1.1 Post Rock](Print_version.html#Post_Rock)
          * [7.1.6.1.2 Punk Rock](Print_version.html#Punk_Rock)
      * [7.1.7 Metal](Print_version.html#Metal)
        * [7.1.7.1 Black Metal](Print_version.html#Black_Metal)
        * [7.1.7.2 Hard Core](Print_version.html#Hard_Core)
      * [7.1.8 Rap](Print_version.html#Rap)
        * [7.1.8.1 West Coast Hip Hop/Rap](Print_version.html#West_Coast_Hip_Hop.2FRap)
        * [7.1.8.2 Hip-Hop](Print_version.html#Hip-Hop)
        * [7.1.8.3 Hip-Hop in Japan](Print_version.html#Hip-Hop_in_Japan)
      * [7.1.9 Psycho-billy](Print_version.html#Psycho-billy)
      * [7.1.10 Country Music](Print_version.html#Country_Music)
        * [7.1.10.1 Barbershop Style](Print_version.html#Barbershop_Style)
      * [7.1.11 A capella](Print_version.html#A_capella)
      * [7.1.12 Cajun, Creole, and Zydeco Music](Print_version.html#Cajun.2C_Creole.2C_and_Zydeco_Music)
      * [7.1.13 Jamaica: The Mento](Print_version.html#Jamaica:_The_Mento)
      * [7.1.14 Reggae](Print_version.html#Reggae)
      * [7.1.15 Karaoke](Print_version.html#Karaoke)
      * [7.1.16 Japan Idol](Print_version.html#Japan_Idol)
      * [7.1.17 Filipino Music](Print_version.html#Filipino_Music)
      * [7.1.18 Music in Italy](Print_version.html#Music_in_Italy)
    * [7.2 Literature](Print_version.html#Literature)
      * [7.2.1 J.R.R. Tolkien](Print_version.html#J.R.R._Tolkien)
      * [7.2.2 C.S. Lewis](Print_version.html#C.S._Lewis)
      * [7.2.3 Chuck Palahnuik](Print_version.html#Chuck_Palahnuik)
      * [7.2.4 Plato](Print_version.html#Plato)
      * [7.2.5 Haruki Murakami](Print_version.html#Haruki_Murakami)
    * [7.3 Dance](Print_version.html#Dance)
      * [7.3.1 Dance in South America](Print_version.html#Dance_in_South_America)
      * [7.3.2 Dance in the Philippines](Print_version.html#Dance_in_the_Philippines)
      * [7.3.3 Dance in Zulu and Masai Culture](Print_version.html#Dance_in_Zulu_and_Masai_Culture)
        * [7.3.3.1 Introduction](Print_version.html#Introduction_3)
        * [7.3.3.2 War Dance](Print_version.html#War_Dance)
        * [7.3.3.3 Wedding Dance](Print_version.html#Wedding_Dance)
        * [7.3.3.4 Coming of Age Dance](Print_version.html#Coming_of_Age_Dance)
        * [7.3.3.5 Ethiopian Dance](Print_version.html#Ethiopian_Dance)
      * [7.3.4 Native American Dance](Print_version.html#Native_American_Dance)
      * [7.3.5 Dance, Art or Sport?](Print_version.html#Dance.2C_Art_or_Sport.3F)
    * [7.4 Media](Print_version.html#Media)
      * [7.4.1 Sculpture](Print_version.html#Sculpture)
      * [7.4.2 Painting](Print_version.html#Painting)
      * [7.4.3 Photography](Print_version.html#Photography)
        * [7.4.3.1 Cave Paintings](Print_version.html#Cave_Paintings)
      * [7.4.4 Television and Film](Print_version.html#Television_and_Film)
        * [7.4.4.1 The Role of Television in Everyday Life of the Family in Serbia](Print_version.html#The_Role_of_Television_in_Everyday_Life_of_the_Family_in_Serbia)
        * [7.4.4.2 Television in America](Print_version.html#Television_in_America)
        * [7.4.4.3 Media and Television](Print_version.html#Media_and_Television)
        * [7.4.4.4 Video and attendance of transnational fiestas](Print_version.html#Video_and_attendance_of_transnational_fiestas)
    * [7.5 Theatre](Print_version.html#Theatre)
      * [7.5.1 Improvisational Theater](Print_version.html#Improvisational_Theater)
  * [8 References](Print_version.html#References_4)
  * [9 Ritual and Religion](Print_version.html#Ritual_and_Religion)
    * [9.1 Ritual, Religion and Myth](Print_version.html#Ritual.2C_Religion_and_Myth)
      * [9.1.1 Examples of Rituals](Print_version.html#Examples_of_Rituals)
    * [9.2 Origin of Religion](Print_version.html#Origin_of_Religion)
      * [9.2.1 Magic](Print_version.html#Magic)
        * [9.2.1.1 Imitative](Print_version.html#Imitative)
        * [9.2.1.2 Contagious](Print_version.html#Contagious)
    * [9.3 Functions of Religion](Print_version.html#Functions_of_Religion)
    * [9.4 Concepts of Supernatural Beings](Print_version.html#Concepts_of_Supernatural_Beings)
      * [9.4.1 Animatism](Print_version.html#Animatism)
      * [9.4.2 Euhemerism](Print_version.html#Euhemerism)
      * [9.4.3 Animism](Print_version.html#Animism)
      * [9.4.4 Dualism](Print_version.html#Dualism)
      * [9.4.5 Anthropomorphic](Print_version.html#Anthropomorphic)
      * [9.4.6 Zoomorphic](Print_version.html#Zoomorphic)
      * [9.4.7 Totemism](Print_version.html#Totemism)
    * [9.5 How Beliefs Are Expressed](Print_version.html#How_Beliefs_Are_Expressed)
      * [9.5.1 Myth](Print_version.html#Myth)
      * [9.5.2 Doctrine](Print_version.html#Doctrine)
      * [9.5.3 Sacred Spaces](Print_version.html#Sacred_Spaces)
      * [9.5.4 Syncretism](Print_version.html#Syncretism)
    * [9.6 Religious Specialists](Print_version.html#Religious_Specialists)
      * [9.6.1 Shaman](Print_version.html#Shaman)
      * [9.6.2 Priest and Priestess](Print_version.html#Priest_and_Priestess)
      * [9.6.3 Pastors](Print_version.html#Pastors)
      * [9.6.4 Prophets](Print_version.html#Prophets)
      * [9.6.5 Monk](Print_version.html#Monk)
      * [9.6.6 Saints](Print_version.html#Saints)
    * [9.7 Ritual](Print_version.html#Ritual)
      * [9.7.1 Ancestor worship](Print_version.html#Ancestor_worship)
      * [9.7.2 Life-Cycle Rituals](Print_version.html#Life-Cycle_Rituals)
        * [9.7.2.1 Rituals of Death and Mourning](Print_version.html#Rituals_of_Death_and_Mourning)
          * [9.7.2.1.1 Jewish Mourning Rituals](Print_version.html#Jewish_Mourning_Rituals)
        * [9.7.2.2 The Components of Rites of Passage](Print_version.html#The_Components_of_Rites_of_Passage)
      * [9.7.3 Pilgrimage](Print_version.html#Pilgrimage)
        * [9.7.3.1 Hajj](Print_version.html#Hajj)
      * [9.7.4 Buddhist Pilgrimage](Print_version.html#Buddhist_Pilgrimage)
      * [9.7.5 The Huichol's Pilgrimage for Peyote](Print_version.html#The_Huichol.27s_Pilgrimage_for_Peyote)
      * [9.7.6 Rituals of Inversion](Print_version.html#Rituals_of_Inversion)
      * [9.7.7 Sacrifice](Print_version.html#Sacrifice)
    * [9.8 World Religions](Print_version.html#World_Religions)
      * [9.8.1 **Hinduism**](Print_version.html#Hinduism)
        * [9.8.1.1 Vaishnavism](Print_version.html#Vaishnavism)
      * [9.8.2 Sikhism](Print_version.html#Sikhism)
      * [9.8.3 Zoroastrianism](Print_version.html#Zoroastrianism)
      * [9.8.4 Buddhism](Print_version.html#Buddhism)
        * [9.8.4.1 Zen Buddhism](Print_version.html#Zen_Buddhism)
      * [9.8.5 Shintoism](Print_version.html#Shintoism)
      * [9.8.6 Judaism](Print_version.html#Judaism)
        * [9.8.6.1 Hanukah](Print_version.html#Hanukah)
        * [9.8.6.2 Shabbat](Print_version.html#Shabbat)
        * [9.8.6.3 Yom Kippur](Print_version.html#Yom_Kippur)
        * [9.8.6.4 Rosh Hashanah](Print_version.html#Rosh_Hashanah)
        * [9.8.6.5 Shalosha Regalim](Print_version.html#Shalosha_Regalim)
        * [9.8.6.6 Bar/Bat Mitzvah](Print_version.html#Bar.2FBat_Mitzvah)
        * [9.8.6.7 Major Jewish Prayers](Print_version.html#Major_Jewish_Prayers)
      * [9.8.7 Christianity](Print_version.html#Christianity)
        * [9.8.7.1 Catholicism](Print_version.html#Catholicism)
          * [9.8.7.1.1 Baptism](Print_version.html#Baptism)
        * [9.8.7.2 Protestantism](Print_version.html#Protestantism)
      * [9.8.8 Jehovah's Witnesses](Print_version.html#Jehovah.27s_Witnesses)
        * [9.8.8.1 Non-Denominational](Print_version.html#Non-Denominational)
        * [9.8.8.2 Anglicanism](Print_version.html#Anglicanism)
          * [9.8.8.2.1 Christmas](Print_version.html#Christmas)
        * [9.8.8.3 Easter](Print_version.html#Easter)
      * [9.8.9 Mormonism](Print_version.html#Mormonism)
        * [9.8.9.1 Mormon Beliefs: Prayer](Print_version.html#Mormon_Beliefs:_Prayer)
        * [9.8.9.2 Mormon Beliefs: Laws of Health](Print_version.html#Mormon_Beliefs:_Laws_of_Health)
        * [9.8.9.3 Mormon Marriage](Print_version.html#Mormon_Marriage)
      * [9.8.10 Islam](Print_version.html#Islam)
        * [9.8.10.1 The Qur'an](Print_version.html#The_Qur.27an)
        * [9.8.10.2 The Five Pillars of Faith](Print_version.html#The_Five_Pillars_of_Faith)
        * [9.8.10.3 The Six Articles of Faith](Print_version.html#The_Six_Articles_of_Faith)
        * [9.8.10.4 Sunni](Print_version.html#Sunni)
        * [9.8.10.5 Shi'a](Print_version.html#Shi.27a)
          * [9.8.10.5.1 Shi'a Practices](Print_version.html#Shi.27a_Practices)
      * [9.8.11 African Religions](Print_version.html#African_Religions)
      * [9.8.12 Vodou (Voodoo)](Print_version.html#Vodou_.28Voodoo.29)
      * [9.8.13 The Rastafarians](Print_version.html#The_Rastafarians)
        * [9.8.13.1 History](Print_version.html#History_2)
        * [9.8.13.2 Holidays](Print_version.html#Holidays)
      * [9.8.14 Cargo Cult](Print_version.html#Cargo_Cult)
      * [9.8.15 Bahá'í Faith](Print_version.html#Bah.C3.A1.27.C3.AD_Faith)
      * [9.8.16 Atheism](Print_version.html#Atheism)
      * [9.8.17 Agnostic](Print_version.html#Agnostic)
      * [9.8.18 Satanism](Print_version.html#Satanism)
      * [9.8.19 Scientology](Print_version.html#Scientology)
      * [9.8.20 Confucianism (儒敎)](Print_version.html#Confucianism_.28.E5.84.92.E6.95.8E.29)
        * [9.8.20.1 Six values of the ethical teachings](Print_version.html#Six_values_of_the_ethical_teachings)
      * [9.8.21 Taoism](Print_version.html#Taoism)
        * [9.8.21.1 The Three Jewels of the Tao](Print_version.html#The_Three_Jewels_of_the_Tao)
        * [9.8.21.2 Thought](Print_version.html#Thought)
      * [9.8.22 Henotheism](Print_version.html#Henotheism)
  * [10 Cults](Print_version.html#Cults)
  * [11 **Glossary of Key Terms**](Print_version.html#Glossary_of_Key_Terms)
  * [12 References](Print_version.html#References_5)
  * [13 Production, Inequality and Development](Print_version.html#Production.2C_Inequality_and_Development)
    * [13.1 Adaptive Strategies](Print_version.html#Adaptive_Strategies)
    * [13.2 Production](Print_version.html#Production)
    * [13.3 Distribution](Print_version.html#Distribution)
    * [13.4 Consumption](Print_version.html#Consumption)
    * [13.5 Modes of Production](Print_version.html#Modes_of_Production)
    * [13.6 Foraging](Print_version.html#Foraging)
      * [13.6.1 Correlates of Foraging](Print_version.html#Correlates_of_Foraging)
      * [13.6.2 The Original Affluent Society](Print_version.html#The_Original_Affluent_Society)
    * [13.7 Cultivation](Print_version.html#Cultivation)
      * [13.7.1 Horticulture](Print_version.html#Horticulture)
        * [13.7.1.1 Yanamamo](Print_version.html#Yanamamo)
        * [13.7.1.2 Slash and Burn Cultivation](Print_version.html#Slash_and_Burn_Cultivation)
        * [13.7.1.3 Mayans](Print_version.html#Mayans)
      * [13.7.2 Pastoralists](Print_version.html#Pastoralists)
      * [13.7.3 Agriculture](Print_version.html#Agriculture)
      * [13.7.4 Industrialism](Print_version.html#Industrialism)
      * [13.7.5 Post-Industrial/Information](Print_version.html#Post-Industrial.2FInformation)
      * [13.7.6 Means of Production](Print_version.html#Means_of_Production)
    * [13.8 Consumption](Print_version.html#Consumption_2)
      * [13.8.1 Ecology and consumption](Print_version.html#Ecology_and_consumption)
      * [13.8.2 Why Do People Consume What They Do?](Print_version.html#Why_Do_People_Consume_What_They_Do.3F)
    * [13.9 Modes of Exchange](Print_version.html#Modes_of_Exchange)
      * [13.9.1 Reciprocity](Print_version.html#Reciprocity)
      * [13.9.2 Redistribution](Print_version.html#Redistribution)
        * [13.9.2.1 Potlatching](Print_version.html#Potlatching)
      * [13.9.3 Market Exchange](Print_version.html#Market_Exchange)
    * [13.10 Economizing and Maximization](Print_version.html#Economizing_and_Maximization)
    * [13.11 Grameen Bank (Microcredit)](Print_version.html#Grameen_Bank_.28Microcredit.29)
  * [14 Glossary of Key Terms](Print_version.html#Glossary_of_Key_Terms_2)
  * [15 References](Print_version.html#References_6)
  * [16 Health and Healing](Print_version.html#Health_and_Healing)
  * [17 Theoretical Approaches in Medical Anthropology](Print_version.html#Theoretical_Approaches_in_Medical_Anthropology)
    * [17.1 Epidemiological Approach](Print_version.html#Epidemiological_Approach)
    * [17.2 Interpretivist Approach](Print_version.html#Interpretivist_Approach)
      * [17.2.1 Birth Care in Norway](Print_version.html#Birth_Care_in_Norway)
    * [17.3 Critical Medical Anthropology](Print_version.html#Critical_Medical_Anthropology)
      * [17.3.1 Other Theoretical Approaches](Print_version.html#Other_Theoretical_Approaches)
  * [18 Ethnomedicine](Print_version.html#Ethnomedicine)
    * [18.1 Healers](Print_version.html#Healers)
    * [18.2 Healing Substances](Print_version.html#Healing_Substances)
      * [18.2.1 Bee Sting Therapy](Print_version.html#Bee_Sting_Therapy)
      * [18.2.2 Ethnobotany](Print_version.html#Ethnobotany)
        * [18.2.2.1 Ibogaine](Print_version.html#Ibogaine)
        * [18.2.2.2 Candlenut Tree](Print_version.html#Candlenut_Tree)
        * [18.2.2.3 Biopiracy](Print_version.html#Biopiracy)
  * [19 Medical Systems](Print_version.html#Medical_Systems)
    * [19.1 Medical Models](Print_version.html#Medical_Models)
      * [19.1.1 Humoral](Print_version.html#Humoral)
      * [19.1.2 Kallawaya Traditional Medicine](Print_version.html#Kallawaya_Traditional_Medicine)
      * [19.1.3 Ayurveda](Print_version.html#Ayurveda)
      * [19.1.4 Spiritual Healing](Print_version.html#Spiritual_Healing)
      * [19.1.5 Kundalini Tantric Yoga](Print_version.html#Kundalini_Tantric_Yoga)
      * [19.1.6 Western Biomedical Model](Print_version.html#Western_Biomedical_Model)
        * [19.1.6.1 Immunization](Print_version.html#Immunization)
  * [20 Globalization and Health](Print_version.html#Globalization_and_Health)
    * [20.1 Epidemiologic Transitions](Print_version.html#Epidemiologic_Transitions)
      * [20.1.1 Some Diseases that are Intensified Due to Globalization](Print_version.html#Some_Diseases_that_are_Intensified_Due_to_Globalization)
  * [21 Mental Health and Culture Bound Syndromes](Print_version.html#Mental_Health_and_Culture_Bound_Syndromes)
    * [21.1 Obesity](Print_version.html#Obesity)
    * [21.2 Ataque de Nervios](Print_version.html#Ataque_de_Nervios)
    * [21.3 Mal de Ojo](Print_version.html#Mal_de_Ojo)
    * [21.4 Anorexia](Print_version.html#Anorexia)
    * [21.5 Amok](Print_version.html#Amok)
    * [21.6 Dhat Syndrome](Print_version.html#Dhat_Syndrome)
    * [21.7 Genital Retraction Syndrome](Print_version.html#Genital_Retraction_Syndrome)
    * [21.8 Latah](Print_version.html#Latah)
    * [21.9 Piblokto](Print_version.html#Piblokto)
    * [21.10 Susto](Print_version.html#Susto)
    * [21.11 Opsophagos](Print_version.html#Opsophagos)
    * [21.12 Ghost Sickness](Print_version.html#Ghost_Sickness)
    * [21.13 Windingo](Print_version.html#Windingo)
    * [21.14 Zar](Print_version.html#Zar)
  * [22 References](Print_version.html#References_7)
  * [23 Human Rights](Print_version.html#Human_Rights)
    * [23.1 Human Rights](Print_version.html#Human_Rights_2)
      * [23.1.1 Civil and Political Rights](Print_version.html#Civil_and_Political_Rights)
      * [23.1.2 Economic, Social and Cultural Rights](Print_version.html#Economic.2C_Social_and_Cultural_Rights)
      * [23.1.3 Reproductive Rights](Print_version.html#Reproductive_Rights)
        * [23.1.3.1 Rights versus Culture, Rights to Culture](Print_version.html#Rights_versus_Culture.2C_Rights_to_Culture)
        * [23.1.3.2 Native American Graves Protection and Repatriation Act](Print_version.html#Native_American_Graves_Protection_and_Repatriation_Act)
        * [23.1.3.3 Rights as Culture](Print_version.html#Rights_as_Culture)
    * [23.2 Human Rights and Cultural Relevance](Print_version.html#Human_Rights_and_Cultural_Relevance)
      * [23.2.1 Genital Cutting: two sides](Print_version.html#Genital_Cutting:_two_sides)
        * [23.2.1.1 Female Genital Cutting in Britain](Print_version.html#Female_Genital_Cutting_in_Britain)
      * [23.2.2 Entitlements](Print_version.html#Entitlements)
        * [23.2.2.1 Entitlements in the United States](Print_version.html#Entitlements_in_the_United_States)
      * [23.2.3 Cultural Imperialism](Print_version.html#Cultural_Imperialism)
      * [23.2.4 Cultural Hybridity](Print_version.html#Cultural_Hybridity)
    * [23.3 References](Print_version.html#References_8)
  * [24 Marriage, Reproduction and Kinship](Print_version.html#Marriage.2C_Reproduction_and_Kinship)
    * [24.1 Reproduction and Kinship](Print_version.html#Reproduction_and_Kinship)
    * [24.2 Sexuality](Print_version.html#Sexuality)
      * [24.2.1 Sexual Orientation](Print_version.html#Sexual_Orientation)
        * [24.2.1.1 Cultural Examples of LGBT Relationships](Print_version.html#Cultural_Examples_of_LGBT_Relationships)
        * [24.2.1.2 Two-Spirit](Print_version.html#Two-Spirit)
        * [24.2.1.3 Lesbianism in Mombasa](Print_version.html#Lesbianism_in_Mombasa)
        * [24.2.1.4 Homosexuality in Nicaragua](Print_version.html#Homosexuality_in_Nicaragua)
        * [24.2.1.5 Ancient Greece](Print_version.html#Ancient_Greece)
        * [24.2.1.6 Ritual Homosexuality of the Sambia](Print_version.html#Ritual_Homosexuality_of_the_Sambia)
        * [24.2.1.7 Homosexuality in Brazil](Print_version.html#Homosexuality_in_Brazil)
        * [24.2.1.8 Family Rights of LGBT Couples](Print_version.html#Family_Rights_of_LGBT_Couples)
      * [24.2.2 Conflicting Views on Sexuality](Print_version.html#Conflicting_Views_on_Sexuality)
        * [24.2.2.1 Inis Beag](Print_version.html#Inis_Beag)
        * [24.2.2.2 Trobriand Islands](Print_version.html#Trobriand_Islands)
    * [24.3 Reproduction](Print_version.html#Reproduction)
      * [24.3.1 Reproduction: An Anthropological Definition & Focus](Print_version.html#Reproduction:_An_Anthropological_Definition_.26_Focus)
        * [24.3.1.1 Control of pregnancy](Print_version.html#Control_of_pregnancy)
        * [24.3.1.2 Childbirth](Print_version.html#Childbirth)
        * [24.3.1.3 Abortion](Print_version.html#Abortion)
        * [24.3.1.4 Puberty](Print_version.html#Puberty)
        * [24.3.1.5 Birthing Practices](Print_version.html#Birthing_Practices)
        * [24.3.1.6 Birth in Japanese Culture](Print_version.html#Birth_in_Japanese_Culture)
        * [24.3.1.7 Differences in Birthing Practices](Print_version.html#Differences_in_Birthing_Practices)
        * [24.3.1.8 Cultural Meaning of Birthing Practices](Print_version.html#Cultural_Meaning_of_Birthing_Practices)
        * [24.3.1.9 Infant Sleep](Print_version.html#Infant_Sleep)
        * [24.3.1.10 Breast Feeding](Print_version.html#Breast_Feeding)
        * [24.3.1.11 Reproductive Technologies](Print_version.html#Reproductive_Technologies)
          * [24.3.1.11.1 Artificial Insemination](Print_version.html#Artificial_Insemination)
    * [24.4 Marriage](Print_version.html#Marriage)
      * [24.4.1 Monogamy and Polygamy](Print_version.html#Monogamy_and_Polygamy)
        * [24.4.1.1 Monogamy](Print_version.html#Monogamy)
        * [24.4.1.2 Polygamy](Print_version.html#Polygamy)
          * [24.4.1.2.1 Examples of Polygamy](Print_version.html#Examples_of_Polygamy)
        * [24.4.1.3 Serial Monogamy vs. Serial Polygamy](Print_version.html#Serial_Monogamy_vs._Serial_Polygamy)
        * [24.4.1.4 Polygynous Families](Print_version.html#Polygynous_Families)
        * [24.4.1.5 Same-Sex Marriage](Print_version.html#Same-Sex_Marriage)
        * [24.4.1.6 Ghost Marriage](Print_version.html#Ghost_Marriage)
        * [24.4.1.7 Arranged Marriage](Print_version.html#Arranged_Marriage)
        * [24.4.1.8 Residence Pattern](Print_version.html#Residence_Pattern)
      * [24.4.2 Marriage and Economic Exchange](Print_version.html#Marriage_and_Economic_Exchange)
        * [24.4.2.1 Dowry](Print_version.html#Dowry)
        * [24.4.2.2 Bridewealth](Print_version.html#Bridewealth)
      * [24.4.3 Different Cultural Reference Rules for Marriage](Print_version.html#Different_Cultural_Reference_Rules_for_Marriage)
        * [24.4.3.1 Endogamy](Print_version.html#Endogamy)
        * [24.4.3.2 Exogamy](Print_version.html#Exogamy)
        * [24.4.3.3 Hypergamy*](Print_version.html#Hypergamy.2A)
        * [24.4.3.4 Hypogamy](Print_version.html#Hypogamy)
        * [24.4.3.5 Isogamy](Print_version.html#Isogamy)
    * [24.5 Divorce](Print_version.html#Divorce)
      * [24.5.1 Divorce and Children](Print_version.html#Divorce_and_Children)
      * [24.5.2 Divorce in Islam](Print_version.html#Divorce_in_Islam)
      * [24.5.3 Divorce/Seperation among the Inuit](Print_version.html#Divorce.2FSeperation_among_the_Inuit)
      * [24.5.4 Divorce and The Catholic Church](Print_version.html#Divorce_and_The_Catholic_Church)
        * [24.5.4.1 Divorce and American Society](Print_version.html#Divorce_and_American_Society)
    * [24.6 Kinship](Print_version.html#Kinship)
      * [24.6.1 Types of Kinship](Print_version.html#Types_of_Kinship)
        * [24.6.1.1 The Japanese Family](Print_version.html#The_Japanese_Family)
        * [24.6.1.2 Different Types of Descent](Print_version.html#Different_Types_of_Descent)
          * [24.6.1.2.1 Household Forms](Print_version.html#Household_Forms)
        * [24.6.1.3 The Definition of a Family](Print_version.html#The_Definition_of_a_Family)
        * [24.6.1.4 Single Parent](Print_version.html#Single_Parent)
        * [24.6.1.5 Single Person](Print_version.html#Single_Person)
        * [24.6.1.6 Nuclear](Print_version.html#Nuclear)
        * [24.6.1.7 Extended Polygamous](Print_version.html#Extended_Polygamous)
        * [24.6.1.8 Divorce and Remarriage](Print_version.html#Divorce_and_Remarriage)
        * [24.6.1.9 Individualism](Print_version.html#Individualism)
    * [24.7 Genealogy](Print_version.html#Genealogy)
    * [24.8 Friendship](Print_version.html#Friendship)
      * [24.8.1 Examples of Friendship](Print_version.html#Examples_of_Friendship)
        * [24.8.1.1 Friendship within the Family](Print_version.html#Friendship_within_the_Family)
        * [24.8.1.2 The Bangwa](Print_version.html#The_Bangwa)
        * [24.8.1.3 American College Students](Print_version.html#American_College_Students)
        * [24.8.1.4 Roman Friendship](Print_version.html#Roman_Friendship)
    * [24.9 References](Print_version.html#References_9)
  * [25 Social Stratification, Power and Conflict](Print_version.html#Social_Stratification.2C_Power_and_Conflict)
    * [25.1 Social Groups](Print_version.html#Social_Groups)
    * [25.2 Types of Social Groups](Print_version.html#Types_of_Social_Groups)
      * [25.2.1 Friendship](Print_version.html#Friendship_2)
      * [25.2.2 Clubs and Fraternities](Print_version.html#Clubs_and_Fraternities)
      * [25.2.3 Counterculture Groups](Print_version.html#Counterculture_Groups)
      * [25.2.4 Work Groups and Cooperatives](Print_version.html#Work_Groups_and_Cooperatives)
      * [25.2.5 Secret Societies](Print_version.html#Secret_Societies)
      * [25.2.6 Self-Help Groups](Print_version.html#Self-Help_Groups)
      * [25.2.7 Online Communities](Print_version.html#Online_Communities)
      * [25.2.8 Gangs](Print_version.html#Gangs)
    * [25.3 Social Stratification, Power and Conflict](Print_version.html#Social_Stratification.2C_Power_and_Conflict_2)
      * [25.3.1 Social Stratification](Print_version.html#Social_Stratification)
    * [25.4 Ascribed Status](Print_version.html#Ascribed_Status)
      * [25.4.1 **Race**](Print_version.html#Race)
        * [25.4.1.1 Racism](Print_version.html#Racism)
      * [25.4.2 **Ethnicity**](Print_version.html#Ethnicity)
      * [25.4.3 _Caste System_](Print_version.html#Caste_System)
      * [25.4.4 _Religion_](Print_version.html#Religion)
      * [25.4.5 **Gender Typing**](Print_version.html#Gender_Typing)
    * [25.5 Achieved Status](Print_version.html#Achieved_Status)
      * [25.5.1 Education & Employment](Print_version.html#Education_.26_Employment)
      * [25.5.2 Income](Print_version.html#Income)
      * [25.5.3 Cultural Example of Achieved Status](Print_version.html#Cultural_Example_of_Achieved_Status)
      * [25.5.4 Types of Political Organization](Print_version.html#Types_of_Political_Organization)
        * [25.5.4.1 **Nation, Nationalities and Nation-State**](Print_version.html#Nation.2C_Nationalities_and_Nation-State)
    * [25.6 Power](Print_version.html#Power)
      * [25.6.1 Types of Power](Print_version.html#Types_of_Power)
      * [25.6.2 Kinds of Social Power](Print_version.html#Kinds_of_Social_Power)
      * [25.6.3 The Role of the State](Print_version.html#The_Role_of_the_State)
        * [25.6.3.1 John Locke](Print_version.html#John_Locke)
      * [25.6.4 !Kung](Print_version.html#.21Kung)
    * [25.7 Conflict](Print_version.html#Conflict)
      * [25.7.1 Types of conflict](Print_version.html#Types_of_conflict)
  * [26 References](Print_version.html#References_10)
  * [27 Globalization and Migration](Print_version.html#Globalization_and_Migration)

## What is Anthropology?

**Anthropology** is the scientific study of human beings as social organisms interacting with each other in their environment. Anthropology can be defined as the study of human nature, human society, and the human past. It is a scholarly discipline that aims to describe in the broadest possible sense what it means to be human. Anthropologists are interested in comparison. To make substantial and accurate comparisons between cultures, a generalization of humans requires evidence from the wide range of human societies. Anthropologists are in direct contact with the sources of their data, thus field work is a crucial component. The field of Anthropology, although fairly new as an academic field, has been used for centuries. Anthropologists are convinced that explanations of human actions will be superficial unless they acknowledge that human lives are always entangled in complex patterns of work and family, power and meaning. Anthropology is holistic[[[3]](http://en.wikipedia.org/wiki/Holism#In_anthropology)], comparative, field based, and evolutionary. These regions of Anthropology shape one another and become integrated with one another over time. Historically it was seen as "the study of others," meaning foreign cultures, but using the term "others" imposed false thoughts of "civilized versus savagery." These dualistic views have often caused wars or even genocide. Now, anthropologists strive to uncover the mysteries of these foreign cultures and eliminate the prejudice that it first created.

While it is a holistic field, anthropology is typically considered to consist of five sub-disciplines, each focusing on a particular aspect of human existence:

  * **Archaeology:** The study and interpretation of ancient humans, their history and culture, through examination of the artifacts and remains they left behind. Such as: The study of the Egyptian culture through examination of their grave sites, the pyramids and the tombs in the [Valley of Kings](http://en.wikipedia.org/wiki/Valley_of_the_Kings). Through this branch, anthropologists discover much about human history, particularly prehistoric, the long stretch of time before the development of writing.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Mohenjodaro_Sindh.jpeg/300px-Mohenjodaro_Sindh.jpeg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Excavated ruins of [Mohenjo-daro](http://en.wikipedia.org/wiki/Mohenjo-daro), Pakistan.

  * **Cultural Anthropology:**(also: sociocultural anthropology, social anthropology, or ethnology) studies the different cultures of humans and how those cultures are shaped or shape the world around them. They also focus a lot on the differences between every person. The goal of a cultural anthropologist is to learn about another culture by collecting data about how the world economy and political practices effect the new culture that is being studied.
  * **Biological Anthropology** (also: Physical Anthropology):Specific type of Anthropology that studies humanity through the human body as a biological organism, using genetics, evolution, human ancestry, primates, and the ability to adapt. There was a shift in the emphasis on differences (with the older “physical anthropology”) due to the development of the “new” physical anthropology developed by Sherwood Washburn at the University of California, Berkley. This field shifted from racial classification when it was discovered that physical traits that had been used to determine race could not predict other traits such as intelligence and morality. Some biological anthropologists work in the fields of primatology,which is the study of the closest living relatives of the human being, the nonhuman primates. They also work in the field of paleoanthropology which is the study of fossilized bones and teeth of our earliest ancestors.
  * **Linguistic Anthropology:** examines human languages: how they work, how they are made, how they change, and how they die and are later revived. Linguistic anthropologists try to understand language in relation to the broader cultural, historical, or biological contexts that make it possible. The study of linguistics includes examining [phonemes](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language#Phonology), [morphemes](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language#Morphology), [syntax](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language#Syntax), [semantics](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language#Semantics), and [pragmatics](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language#Semantics.2C_Pragmatics.2C_and_Ethnopragmatics). They look at linguistic features of communication, which includes any verbal contact, as well as non linguistic features, which would include movements, eye contact, the cultural context, and even the recent thoughts of the speaker.
  * **Applied Anthropology** includes the fields of Applied Medical Anthropology, Urban Anthropology, Anthropological Economics, Contract Archaeology and others. Applied anthropology is simply the practice of applying anthropological theory and or methods from any of the fields of Anthropology to solve human problems. For example, applied anthropology is often used when trying to determine the ancestry of an unearthed native American burial. Biological anthropology can be used to test the DNA of the body and see if the DNA of the burial has any similarities to living populations.

### **Holism in Anthropology**

**Holism** is the perspective on the human condition that assumes that mind, body, individuals, society, and the environment interpenetrate, and even define one another. In anthropology holism tries to integrate all that is known about human beings and their activities. From a holistic perspective, attempts to divide reality into mind and matter isolate and pin down certain aspects of a process that, by very nature, resists isolation and dissection. Holism holds great appeal for those who seek a theory of human nature that is rich enough to do justice to its complex subject matter. An easier understanding of holism is to say that _the whole is greater than the sum of its parts_. Individual human organisms are not just _x_ percent genes and _y_ percent culture added together. Rather, human beings are what they are because of mutual shaping of genes and culture and experiences living in the world produces something new, something that cannot be reduced to the materials used to construct it. It is important to note that humans who grow and live together are inevitably shaped by shared cultural experiences and develop into a much different person than they would have if developing in isolation. [Sally Engle Merry](http://as.nyu.edu/object/sally.merry), an anthropologist, got a call from a radio show asking her to talk about a recent incident that happened in Pakistan that resulted in a gang rape of a young woman authorized by a local tribal council. She explained to them that it was an inexcusable act and that the rape was probably connected to local political struggles and class differences. This relates to holism because the gang rape was authorized by higher authorities because it is a cultural norm for socially higher class men to feel more empowered over women. This emphasizes the connection between human actions and their environment and society.

### What is Culture?

**Culture** is the patterns of learned and shared behavior and beliefs of a particular social, ethnic, or age group. It can also be described as the complex whole of collective human beliefs with a structured stage of civilization that can be specific to a nation or time period. Humans in turn use culture to adapt and transform the world they live in.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Flag_of_Ashanti.svg/100px-Flag_of_Ashanti.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Ashanti flag, note the [golden stool](http://en.wikipedia.org/wiki/golden_stool)

This idea of Culture can be seen in the way that we describe the Ashanti, an African tribe located in central Ghana. The Ashanti live with their families as you might assume but the meaning of how and why they live with whom is an important aspect of Ashanti culture. In the Ashanti culture, the family and the mother’s clan are most important. A child is said to inherit the father’s soul or spirit (ntoro) and from the mother, a child receives flesh and blood (mogya). This relates them more closely to the mother’s clan. The Ashanti live in an extended family. The family lives in various homes or huts that are set up around a courtyard. The head of the household is usually the oldest brother that lives there. He is chosen by the elders. He is called either Father or Housefather and everyone in the household obeys him.[[1]](Print_version.html#cite_note-1)

The anthropological study of culture can be organized along two persistent and basic themes: **Diversity** and **Change**. An individual's upbringing, and environment (or culture) is what makes them [diverse](http://en.wikibooks.org/w/index.php?title=Diverse&action=edit&redlink=1) from other cultures. It is the differences between all cultures and sub-cultures of the worlds regions. People's need to adapt and transform to physical, biological and cultural forces to survive represents the second theme, **Change**. Culture generally changes for one of two reasons: selective transmission or to meet changing needs. This means that when a village or culture is met with new challenges for example a loss of a food source, they must change the way they live. This could mean almost anything to the culture, including possible forced redistribution of, or relocation from ancestral domains due to external and/or internal forces. And an anthropologist would look at that and study their ways to learn from them.

  
Culture is:  
•**Learned** through active teaching, and passive [habitus](http://en.wikipedia.org/wiki/Habitus_\(sociology\)).  
•**Shared** meaning that it defines a group and meets common needs.  
•**Patterned** meaning that that there is a recourse of similar ideas. Related cultural beliefs and practices show up repeatedly in different areas of social life.  
•**Adaptive** which helps individuals meet needs across variable environments.  
•**Symbolic** which means that there are simple and arbitrary signs that represent something else, something more.  


  


#### "**C**ulture" vs. "**c**ulture"

At its most basic level, the difference between Culture and culture is in the way they are defined. Culture with a capital C refers to the ability of the human species to absorb and imitate patterned and symbolic ideas that ultimately further their survival. Culture is a trait all humans have, whereas culture with a lower case c refers to a particular learned way of life and set of patterns an individual person has picked up, representing one variation amongst many different cultures.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/81/DurbanSign1989.jpg/200px-DurbanSign1989.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

"Petty apartheid": sign on Durban beach in [English](http://en.wikipedia.org/wiki/English_language), [Afrikaans](http://en.wikipedia.org/wiki/Afrikaans) and [Zulu](http://en.wikipedia.org/wiki/Zulu) (1989)

The concept of Culture vs. culture becomes more complex when it comes to how the two terms are misinterpreted and misused. Originally the overlap of the two concepts had a positive effect, especially during colonial times; it helped spread the idea that vulnerable seemingly “primitive” and “uncivilized” cultures had some intrinsic value and deserved protection from other more dominating cultures. But there are drawbacks to this mentality, as it assumes first that culture is a static thing that it can be preserved, unchanged by the changing people and times it runs into. It also assumes that the people accept at face value and do not wish to change their patterns or ways of life. If people then do change, often they are criticized by member from within and outside their own culture for not valuing ‘authenticity’ and tradition. This relates to the Culture vs. culture in that anthropology’s focus and appreciation of Culture and how it develops differently can be twisted when talking about [Cultural relativism](Print_version.html#Cultural_Relativism) or human rights. Appreciation and defense of Culture does not imply blind tolerance to all aspects of all cultures. A pertinent example of this would be Female Genital Cutting and how as an aspect of little c culture, it can be examined and judged a violation of human rights. This does not however, diminish an anthropologist’s appreciation for the ability of the human being to develop Culture.

An example of how defense of culture has been misused is in apartheid South Africa, where the white supremacist government justified the oppression of black Africans, or the [bantu peoples](http://en.wikipedia.org/wiki/bantu_peoples) because their aim was a “higher Bantu culture and not at producing black Europeans”. They argued that “not race but culture was the true base of difference, the sign of destiny. And cultural differences were to be valued”. In such cases, the abuse of the term is clear, in that they were using it as a basis for unequal treatment and access to services such as education.

### Levels of culture

#### Familial culture

Familial culture is how you express culture as a family through traditions, roles, beliefs, and other areas. Many aspects can influence a family culture such as religion, and the community around you. Religion can strongly influence family culture, which can be demonstrated by the Catholic religion in many Hispanic countries. Most Hispanic cultures practice Catholic beliefs and within a family these beliefs are practiced to different degrees. For example, one family may go to the catholic mass every week while some may only go once a month. This can all depend on the standards and cultural norms for a given community. Every family is different, and every family has its own culture.

Familial culture is also passed down from generation to generation and this means that it is both shared and learned. It is shared because as a family grows, new generations are introduced to traditional family practices and then it becomes a routine to that new generation. Familial culture is learned by means of [enculturation](http://en.wikipedia.org/wiki/enculturation) which is the process by which a person learns the requirements of the culture that he or she is surrounded by. With enculturation an individual will also learn behaviors that are appropriate or necessary in their given culture. The influences of enculturation from the family direct and shape the individual.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/50/Trooping_the_Colour,_Saturday_June_16th_2007.jpg/300px-Trooping_the_Colour,_Saturday_June_16th_2007.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Royal Family of Great Britain is deeply set in family tradition

The present [Royal family](http://en.wikipedia.org/wiki/Royal_family) of Great Britain is a good example of family tradition because each male member of the royal family has served in the armed forces. Prince Andrew joined the Navy in 1979, Prince Edward joined the Royal Marines as a second lieutenant in 1983, Prince Charles the current prince of Wales was appointed in 1969 as the as colonel-in-chief of the Royal Regiment of Wales, the Duke of Edinburgh joined the Navy in 1939 and served in World War 2 and as of June 12, 2003 Prince Henry announced that he would be passing on the tradition and joining the Army. This long standing tradition of serving in the armed forces is an important aspect of familial culture because it shows the connection of the generations of the royal family of Great Britain through the years.

#### Micro or Subculture

**Micro or Subculture**\- distinct groups within a larger group that share some sort of common trait, activity or language that ties them together and or differentiates them from the larger group. A micro or subculture is also not limited on how small it can be. It could be defined similarly to a clique. An example of this could be Mexican-Americans within the U.S. society. They share the same language, but they are found in a larger whole. This is similar the subculture of an African American, they are fully accepted in the American culture but are also capable of also maintaining a individual smaller culture too. An example of a micro-culture would be the Japanese hip hop genba (club site) that is becoming more and more popular throughout Japanese cities.[[2]](Print_version.html#cite_note-2) Although rap started in the United States, it has created its own unique appearance and style in the Japanese youth culture today. The physical appearance of rappers may be the same to those in the States, however the content of the music differs along with the preservation of Japanese traditions.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Cinco_de_mayo_bush.jpg/225px-Cinco_de_mayo_bush.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Cinco de Mayo](http://en.wikipedia.org/wiki/Cinco_de_Mayo) dancers greeted by former Pres. [George W. Bush](http://en.wikipedia.org/wiki/George_w_bush)."The holiday, which has been celebrated in [California](http://en.wikipedia.org/wiki/California) continuously since 1863, is virtually ignored in Mexico."[[3]](Print_version.html#cite_note-UCLA-3)

#### Cultural universals

**Cultural universals** ( which has been mentioned by anthropologists like George Murdock, Claude Levi-Strauss, Donald Brown and others) can be defined as being anything common that exists in every human culture on the planet yet varies from different culture to culture, such as values and modes of behavior. Examples of elements that may be considered cultural universals are gender roles, the incest taboo, religious and healing ritual, mythology, marriage, language, art, dance, music, cooking, games, jokes, sports, birth and death because they involve some sort of ritual ceremonies accompanying them, etc. Many anthropologist and socialists with an extreme perspective of [cultural relativism](http://en.wikipedia.org/wiki/cultural_relativism) deny the existence or reduce the importance of cultural universals believing that these traits were only inherited biologically through the known controversy of “nurture vs. nature”. They are mainly known as "empty universals" since just mentioning their existence in a culture doesn't make them any more special or unique. The existence of these universals has been said to date to the Upper Paleolithic with the first evidence of [behavioral modernity](http://en.wikipedia.org/wiki/behavioral_modernity).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/88/Bailando.jpg/200px-Bailando.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A woman dancing folklórico in the traditional dress of Jalisco

Among the cultural universals listed by Brown are:  
• Language and cognition - All cultures employ some type of communication, symbolism is also a universal idea in language.  
• Society - Being in a family, having peers, or being a member of any organized group or community is what makes society.  
• Myth, Ritual, and aesthetics - Different cultures all have a number of things in common, for example: a belief system, celebration of life and death, and other ceremonial events.  
• Technology - There are worldwide variations in clothing, housing, tools and techniques for getting food through different types of technology.  


![](../../../upload.wikimedia.org/wikipedia/commons/f/f7/Feuerreiben.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Residents of Vanuatu making fire. The use of fire for cooking is a human cultural universal

Dance is a great example of a cultural universal because it exists in every culture as form of expression, social interaction, or presented in a spiritual or performance setting. Traditional dances found in Mexico are quite different from those found in the United States. American style dancing includes Flat Foot Dancing, Hoofing, Buck Dancing, Soft Shoe, Clogging, Irish Sean-Nós Dance, and Irish Jig. Because these forms of dance are not commonly found on stage, in the media, or taught in the dance schools, it has received minimal attention and its practice has significantly decreasing compared to its past popularity. Mexico on the other hand had a traditional style of dance called Ballet Folklorico which reflects different regions and folk music genres. These dances are widely known and are constantly being taught in schools and performed during festivities such as Cinco de Mayo.

### Two Views of Culture

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/39/Harlem_-_W125st_-_Madison_Avenue.jpg/220px-Harlem_-_W125st_-_Madison_Avenue.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

125th Street in East Harlem

In the article, “Workaday World, Crack Economy”, anthropologist [Philippe Bourgois](http://en.wikipedia.org/wiki/Philippe_Bourgois) uses participant observation to get involved with the people living in East Harlem. He actually lived there trying to uncover this system, and getting to know the people that he was observing. His approach displays both emic detail, the stories and explanations given by Primo and Cesar, as well as etic analysis attributing workplace discrimination to the FIRE economy. Both points of view are rather crucial (Finance, Insurance, and Real Estate) **[^](Print_version.html#ref_Bourgois)** .

#### Etic

An etic view of a culture is the perspective of an outsider looking in. For example, if an American anthropologist went to Africa to study a nomadic tribe, his/her resulting case study would be from an etic standpoint if he/she did not integrate themselves into the culture they were observing. Some anthropologies may take this approach to avoid altering the culture that they are studying by direct interaction. The etic perspective is data gathering by _outsiders_ that yield questions posed by outsiders. One problem that anthropologists may run in to is that people tend to act differently when they are being observed. It is especially hard for an outsider to gain access to certain private rituals, which may be important for understanding a culture.

The **[World Health Organization**](http://en.wikipedia.org/wiki/World_Health_Organization) (WHO) is an example of an “etic” view. The WHO created a group that specializes in Health and Human Rights. Although the idea that all cultures should have their rights protected in terms of health seems logical, it can also be dangerous as it is an “etic” view on culture. The WHO posits that “violations or lack of attention to human rights (e.g. harmful traditional practices, slavery, torture and inhuman and degrading treatment, violence against women) can have serious health consequences."[[4]](Print_version.html#cite_note-4) Although some cultures may see this as a big step in health care, others could see it as an attack on their way of life. This problem of right and wrong in terms of crossing cultural lines is a big one. It can be hard for some cultures to watch other cultures do things that are seen as damaging when to the culture itself it has a purpose and a meaning.

#### Emic

An emic view of culture is ultimately a perspective focus on the intrinsic cultural distinctions that are meaningful to the members of a given society, often considered to be an 'insider’s' perspective. While this perspective stems from the concept of immersion in a specific culture, the emic participant isn't always a member of that culture or society. Studies done from an emic perspective often include more detailed and culturally rich information than studies done from an etic point of view. Because the observer places themselves within the culture of intended study,they are able to go further in-depth on the details of practices and beliefs of a society that may otherwise have been ignored. However, the emic perspective has its downfalls. Studies done from an emic perspective can create bias on the part of the participant,especially if said individual is a member of the culture they are studying, thereby failing to keep in mind how their practices are perceived by others and possibly causing valuable information to be left out. The emic perspective serves the purpose of providing descriptive in-depth reports about how _insiders_ of a culture understand their rituals.

### Enculturation

Growing up in any culture, all humans go through the process of enculturation. This process is the way in which we obtain and transmit culture. It describes how each individual comes to terms with the already set ideals that their culture has established, and how each person adapts to prohibited behaviors and beliefs, which are 'proscribed', versus encouraged behaviors and beliefs, which are 'prescribed'.

Parents and other authority figures in young children’s lives are usually the initiators of this process, steering the children toward activities and beliefs that will be socially accepted in their culture. Through this process these authority figures definitely shape the child’s view on life. Enculturation results in the interpretation of these ideals established by our culture and the establishment of our own individual behaviors and beliefs.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/81/BushmenSan.jpg/500px-BushmenSan.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The !Kung People diligently work on making a fire

For example the [!Kung Bushman](http://en.wikipedia.org/wiki/%C7%83Kung_people) who live in the Kalahari were raised quite differently than someone who grew up in Washington State,or the States in general. In the United States, we tend to tolerate arrogance more so than the !Kung people.[[5]](Print_version.html#cite_note-5) For example, when we give people gifts and they thank us graciously for it, we acknowledge their acceptance by saying "It was no big deal", which by accepting their gratitude makes us in a way arrogant because we accept the fact the receiver appreciates the gift. Growing up in another culture, there are different guidelines that people have to follow in order to be socially accepted. In the !Kung Bushman tribe they look down upon people who think highly of themselves and who are arrogant. To avoid these characteristics, each child was raised to put down and mock others when they do things such as hunting and other activities. Their view is that by telling someone who had just hunted a huge ox, that the ox is a “bag of bones” or “thin, sick, and dead,” then they are preventing this person from being arrogant and full of them self.

In contrast, enculturation in the United States teaches people to see this behavior as mean and wrong. Often in the United States culture arrogance is also viewed as a negative quality, but it is not discouraged in the same way. A common way members of the United States culture discourage displays of arrogance is simply by telling the younger generation that it is a bad quality. The !Kung people use enculturation strongly to impress their cultural value of humility; in United States culture, it is emphasized less and it shows in the much wider acceptance of arrogance. In the US, a hunter might have been praised for doing good things such as hunting large game and providing food for everyone else. All of the members of these two cultures went through the process of enculturation but just into different cultures with different established ideals.

#### Cultural Transmission

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c9/Barack_Obama_hosts_a_Seder_dinner_2009.jpg/220px-Barack_Obama_hosts_a_Seder_dinner_2009.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Barack Obama shows multi-cultural respect by hosting a Sedar dinner. Sedar is a Jewish tradition passed down through families for generations.

[Cultural Transmission](http://en.wikipedia.org/wiki/Cultural_Transmission) is the passing of new knowledge and traditions of culture from one generation to the next, as well as cross-culturally. Cultural Transmission happens everyday, all the time, without any concept of when or where. Everything people do and say provides cultural transmission in all aspects of life. In everyday life, the most common way cultural norms are transmitted is within each individuals' home life. Each family has its own, distinct culture under the big picture of each given society and/or nation. With every family, there are traditions that are kept alive. The way each family acts, communicates with others and an overall view of life are passed down. Parents teach their kids everyday how to behave and act by their actions alone.

Another big influence on cultural transmission is the media. The distinct way the media portrays America to other countries and themselves. One example is the way that hip-hop has formed all over the world, each with its own distinct way of interpretation formed by any such culture. Each, separate translation of the meaning of hip-hop is an example of cultural transmission, passed from one culture to the next. In Japanese culture, hip-hop[[6]](Print_version.html#cite_note-6) for instance, has become quite a popular aspect as more of an underground scene and has made its own concepts of what hip-hop is, but still has similar characteristics of original hip-hop. Cultural transmission cross culturally happens very easily now with [Globalization](http://en.wikipedia.org/wiki/Globalization). For example, hip-hop is not just music; it’s a lifestyle, an image, and a culture of its own. Cultural transmission is what keeps cultures alive and thriving.

Dakar, the capitol of Senegal located in Western Africa, has also seen its media become influenced through cultural transmission and Hip-Hop. As shown in the film "Democracy in Dakar," Dakar's 2007 elections were heavily influenced by underground Hip-Hop. The documentary shows how the youth of Dakar have used their musical talents to encourage everyone to vote, in an attempt to void the corruption present within the government. [[7]](Print_version.html#cite_note-7)

### Symbols and Culture

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/DemoticScriptsRosettaStoneReplica.jpg/220px-DemoticScriptsRosettaStoneReplica.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Rosetta stone has several different languages carved into it

Symbols are the basis of culture. A [symbol](http://en.wikipedia.org/wiki/symbol) is an object, word, or action that stands for something else with no natural relationship that is culturally defined. Everything one does throughout their life is based and organized through cultural symbolism. Symbolism is when something represents abstract ideas or concepts. Some good examples of symbols/symbolism would be objects, figures, sounds, and colors. For example in the Hawaiian culture, the performance of a Lua is a symbol of their land and heritage which is performed through song and dance [[8]](Print_version.html#cite_note-8) . Also, they could be facial expressions or word interpretations. Symbols mean different things to different people, which is why it is impossible to hypothesize how a specific culture will symbolize something. Some symbols are gained from experience, while others are gained from culture. One of the most common cultural symbols is language. For example, the letters of an alphabet symbolize the sounds of a specific spoken language.

Symbolism leads to the "Layers of Meaning" concept. Culture is the meaning that is shared to provide guiding principles for individual meaning.

Language is the most often used form of symbolism. There are 6,912 known living languages, and the diversity is caused by isolation. Most languages have a different "symbol" for each letter, word, or phrase. The use of symbols is [adaptive](http://en.wikipedia.org/wiki/adaptive), that means that humans can learn to associate new symbols to a concept or new concepts with a symbol. An example, may be drawn from two populations who speak different languages that come into contact with one another and need to communicate. They form a language that has a large degree of flexibility in using either language's symbols (in this case patterns of sound) or a hybrid set of symbols to communicate messages back and forth. This contact language, or [pidgin](http://en.wikipedia.org/wiki/pidgin) gradually gives way to a [creole](http://en.wikipedia.org/wiki/creole) with a more formal set of symbols (words), grammatical rules for their organization, and its own native speakers who transmit the language from generation to generation.

It is important for anthropologists to consider their own cultural background when looking at symbolism in a different culture. This is because many symbols, though similar in appearance, can mean drastically different things. These symbols can best be understood or interpreted though the eyes of the culture that they pertain to, otherwise they may loose their unique significance. One example of a misinterpreted cultural symbol is the “whirl log” symbol commonly used in Southwestern Native American blanket weaving. This symbol is almost identical to the Nazi Swastika, and therefore brings a negative response from many Americans. Although the Native American symbol has nothing to do with Nazi or Germanic symbolism, this design is rarely used on blankets today because of the symbolic misinterpretation. [[9]](Print_version.html#cite_note-9)

### Ethnocentrism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Colonization_of_New_England.jpg/220px-Colonization_of_New_England.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

"Colonization of New England" - Early settlers cut and saw trees and use the lumber to construct a building, possibly a warehouse for their supplies. This is the first scene painted entirely by Costaggini.

[Ethnocentrism](http://en.wikipedia.org/wiki/Ethnocentrism) is the term anthropologists use to describe the opinion that one's own way of life is natural or correct. Some would simply call it cultural ignorance. Ethnocentrism means that one may see his/her own culture as the correct way of living. For those who have not experienced other cultures in depth can be said to be ethnocentric if they feel that their lives are the most natural way of living. Some cultures may be similar or overlap in ideas or concepts, however, some people are in a sense, shocked to experience differences they may encounter with individuals culturally different than themselves. In extreme cases, a group of individuals may see another cultures way of life and consider it wrong, because of this, the group may try to convert the other group to their own ways of living. Fearful war and [genocide](http://en.wikipedia.org/wiki/genocide) could be the devastating result if a group is unwilling to change their ways of living.

An example of ethnocentrism in culture is the Asian cultures across all the countries of Asia. Throughout [Asia](http://en.wikipedia.org/wiki/Asia), the way of eating is to use [chopsticks](http://en.wikipedia.org/wiki/chopsticks) with every meal. These people may find it unnecessary to find that people in other societies, such as the American society, eat using forks, spoons, knives, etc. Since these countries use chopsticks to eat every meal, they find it foolish for other cultures to not use utensils similar to chopsticks; however, they do accept the fact that they use different utensils for eating. This example is not something extreme that could lead to [genocide](http://en.wikipedia.org/wiki/genocide) or war, but it is a large enough gap between these cultures for people to see their way of eating as the natural or best way to typically eat their food.

Another example of ethnocentrism is colonialism. [Colonialism](http://en.wikipedia.org/wiki/colonialism) can be defined as cultural domination with enforced social change.Colonialism refers to the social system in which political conquests by one society of another leads to "cultural domination with enforced social change". A good example to look at when examining colonialism is the British invasion of India. The British had little understanding of the culture in India which created a lot of problems an unrest during their rule.[[10]](Print_version.html#cite_note-10)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Monumento_ghandi_seccion.jpg/220px-Monumento_ghandi_seccion.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

"Statue of Gandhi" - Gandhi was one of the main characters in the colonization of India, he fought for peace and understanding during this time of unrest.

  
Ethnocentrism may not, in some circumstances, be avoidable. We all often have instinctual reactions toward another person or culture's practices or beliefs. But these reactions do not have to result in horrible events such as genocide or war. In order to avoid such awful things like those we must all try to be more culturally relative. Ethnocentrism is one solution to tension between one cultural self and another cultural self. It helps reduce the other way of life to a version of one's own.

### Cultural Relativism

The Cross-Cultural Relationship is the idea that people from different cultures can have relationships that acknowledge, respect and begin to understand each others diverse lives. People with different backgrounds can help each other see possibilities that they never thought were there because of limitations, or cultural proscriptions, posed by their own traditions. Traditional practices in certain cultures can restrict opportunity because they are "wrong" according to one specific culture. Becoming aware of these new possibilities will ultimately change the people that are exposed to the new ideas. This cross-cultural relationship provides hope that new opportunities will be discovered but at the same time it is threatening. The threat is that once the relationship occurs, one can no longer claim that any single culture is the absolute truth.

[Cultural relativism](http://en.wikipedia.org/wiki/Cultural_relativism) is the ability to understand a culture on its own terms and not to make judgments using the standards of ones own culture. The goal of this is promote understanding of cultural practices that are not typically part of one's own culture. Using the perspective of cultural relativism leads to the view that no one culture is superior than another culture when compared to systems of morality, law, politics, etc. [[11]](Print_version.html#cite_note-11) It is a concept that cultural norms and values derive their meaning within a specific social context. This is also based on the idea that there is no absolute standard of good or evil, therefore every decision and judgment of what is right and wrong is individually decided in each society. The concept of cultural relativism also means that any opinion on ethics is subject to the perspective of each person within their particular culture. Overall, there is no right or wrong ethical system. In a holistic understanding of the term cultural relativism, it tries to promote the understanding of cultural practices that are unfamiliar to other cultures such as eating insects, genocides or genital cutting.

There are two different categories of **cultural relativism**: **Absolute**: Everything that happens within a culture must and should not be questioned by outsiders. The extreme example of absolute cultural relativism would be the Nazi party’s point of view justifying the Holocaust.

**Critical**: Creates questions about cultural practices in terms of who is accepting them and why. Critical cultural relativism also recognizes power relationships.

Absolute cultural relativism is displayed in many cultures, especially Africa, that practice female genital cutting. This procedure refers to the partial or total removal of the external female genitalia or any other trauma to the female reproductive/genital organs. By allowing this procedure to happen, females are considered women and then are able to be married. FGC is practiced mainly because of culture, religion and tradition. Outside cultures such as the United States look down upon FGC, but are unable to stop this practice from happening because it is protected by its culture.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/A_HIGH_CASTE_LADYS_DAINTY_LILY_FEET.jpg/200px-A_HIGH_CASTE_LADYS_DAINTY_LILY_FEET.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Chinese woman with her feet unbound

Cultural relativism can be seen with the Chinese culture and their process of [feet binding](http://en.wikipedia.org/wiki/feet_binding). Foot binding was to stop the growth of the foot and make them smaller. The process often began between four and seven years old. A ten foot bandage would be wrapped around the foot forcing the toes to go under the foot. It caused the big toe to be closer to the heel causing the foot to bow.[4]In China, small feet were seen as beautiful and a symbol of status. The women wanted their feet to be “three-inch golden lotuses”三寸金蓮[3] It was also the only way to marry into money. Because men only wanted women with small feet, even after this practice was banned in 1912, women still continued to do it. To Western cultures the idea of feet binding might seems torturous, but for the Chinese culture it is symbol of beauty that has been ingrained the culture for hundreds of years. The idea of beauty differs from culture to culture.

## Cultural Anthropology Today

What do Cultural Anthropologists do?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e6/Community_Circle_at_OUR_Ecovillage.jpg/220px-Community_Circle_at_OUR_Ecovillage.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This image shows participants in Diana Leafe Christian's 'Heart of a Healthy Community' seminar circle during an afternoon session at an O.U.R. Ecovillage

### Ethnography

The word [Ethnography](http://en.wikipedia.org/wiki/Ethnography) comes from these two Greek words:"Ethnos", meaning people & "Graphein", meaning writing. Wolcott (1999) defines ethnography is a description of “the customary social behaviors of an identifiable group of people”. Ethnography is often referred to as "culture writing," and it refers to a type of documentation often employed by Anthropologists in their field work. This genre of writing uses detailed first-hand written descriptions of a culture based on first-hand research in the field.

Ethnographies often reflect the anthropological desire for **holism**, the idea that the whole is greater than the sum of the individual parts. In the case of ethnography, holism refers to the fact that a culture can be best understood through the understanding of as many aspects of the cultural context as possible.

Cultural anthropologists who write ethnographies are often called _ethnographers_. Ethnographers who write about what they have learned from the people that they have been working with often use a research method known as participant-observation. [Participant Observation](http://en.wikipedia.org/wiki/Participant_Observation) is a technique of field research used in anthropology by which an anthropologist studies the life of a group by sharing in its activities.

Ethnographic information can take many different forms. Articles, journals, statistical data, and documentaries are just a few of the many forms that ethnographic information can be conveyed. A very common form is a book written by the person participating in the research or observation. A great example of a book would be "Waiting For An Ordinary Day" by Farnaz Fassihi because as a journalist traveling to Iraq during the Iraq war, she participates in Iraqi daily life and documents her description of it, because of her methods and style of writing although Fassihi may not consider herself an anthropologist, her book _Waiting for an Ordinary Day_ is ethnographic. Eventually, she turns all of her journalistic notes into a book which describes certain events that help her define the Iraqi culture. She uses the participant-observation method, and also uses the concept of holism to explain the whole of Iraqi culture, rather than just small aspects of it.

Anthropologists, scientists, philosophers, historians and most social scientists have been reexamining assumptions about what science is and how it works. They have challenged the traditional distinction between hard sciences (such as physics, chemistry, and biology) and soft sciences (psychology, sociology, and anthropology). They think they have more in common than previously believed. Anthropologists aid in the effort to study and reconsider what science is all about through gathering information about diverse cultural views on the process of explanation gained during participant-observation-based fieldwork.

### Ethnology

Ethnology is the comparative study of two or more cultures. Ethnology utilizes the data taken from ethnographic research and applies it to a single cross cultural topic. The ethnographic approach can be used to identify and attempt to explain cross cultural variation in cultural elements such as marriage, religion, subsistence practices, political organization, and parenting, just to name a few. Ethnology often compares and contrasts various cultures. Anthropologists who focus on one culture are often called ethnographers while those who focus on several cultures are often called ethnologists. The term ethnology is credited to Adam Franz Kollár who used and defined it in his Historiae ivrisqve pvblici Regni Vngariae amoenitates published in Vienna in 1783.[[12]](Print_version.html#cite_note-12)

### Deconstructing Race and Racism

Race was created long ago as a tool to separate humans from different areas on the globe in order to justify enslaving and belittling certain peoples of the world. Since its creation there has been a slow but steady attempt to deconstruct it. Of course there have been many speed bumps along the way.

Deconstructing the social concept of [race](http://en.wikipedia.org/wiki/race_\(classification_of_human_beings\)) has been a major interest of Cultural Anthropology at least since Franz Boas's work on race and immigration in the early 1900's. The concept of race is important in many different areas of the discipline including cross-cultural studies, the way we look at ourselves vs. people we feel are different from us and many other areas. Race is not biological but it's supposed to be a way to classify biological differences by grouping people according to different characteristics that they have [[13]](Print_version.html#cite_note-13). However it's important to remember that race is not based on genetic features. There is no biological part of race. It is strictly a concept created by humans to try to better understand differences between us. The history of the relationship between anthropology and the concept of race is long and interesting [(see Race in Science web resources for more information).](http://www.racesci.org/home.html)

### Technology

**[Technology**](http://en.wikipedia.org/wiki/technology) is an important aspect of Cultural Anthropology. Anthropologists have studied the examples of material life established in different human civilizations. Some examples of these universal differences are in shelter, attire, tools and methods for acquiring food and producing material goods. Some anthropologists focus their main concern on studying technology in diverse societies or the progression of technology. Individuals concerned with material life also illustrate the primary environment for which technologies have been revolutionized. In Anthropology, technology is often studied in relationship to the natural environment that it was developed in.

Different cultures use technology in different ways. Western technology that is used in non-Western cultures are being used in new and creative ways. Although some of the new uses for the technology are unexpected, it makes sense in the context of the different cultures. An example would be the ipod in the African country of [Benin](http://en.wikipedia.org/wiki/Benin) in which predominantly students of higher education, who speak French as well as their native language and go to a Private University. The Ipods are shipped from England, France, and the United States. The country of Benin is sometimes referred to as "little America" because the country has a good economic system and isn't involved in wars, ethnic cleansings, or starvation like other countries. Students here try to imitate students from European and American schools. This trend is not concurrent throughout Africa, due to political differences.

![Personal Computer 774.JPG](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1e/Personal_Computer_774.JPG/200px-Personal_Computer_774.JPG)

Some anthropologists analyze the ways in which technologies and settings shape each other, and others analyze the way non-Western civilizations have reacted in regards to political and economic strife of colonialism and capitalist industrialized technology. With globalization, all people increasingly consume material goods and technologies manufactured beyond their own culture. Anthropologists have proven that non-Western inhabitants do not mindlessly imitate Western customs for the use of technology; instead they utilize Western technologies in creative ways, which are often unforeseen and can be adaptive or maladaptive. A [cargo cult](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion#Cargo_Cult) could be considered an example of the creative use of new technology.

An example of differences in culture can also be found within the same culture. For example, the differences between generations in the American culture. For the adult generation it is much harder to do the simple tasks that young adults do daily with technology. This is because they were not raised with the technology constantly surrounding them like this generation has been. Today teenagers rarely go a day without using either their cell phone, laptop, ipod, or a television.

## References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

  1. **[^](Print_version.html#ref_Berger1963)** Peter L. Berger, Invitation to Sociology: A Humanistic Perspective, Anchor, 1963, [ISBN 0385065299](http://en.wikibooks.org/wiki/Special:BookSources/0385065299)
  2. **[^](Print_version.html#ref_Mills1961)** C. Wright Mills, The Sociological Imagination, Oxford University Press, 1961, [ISBN 0195133730](http://en.wikibooks.org/wiki/Special:BookSources/0195133730)
  3. **[^](Print_version.html#ref_Magallanes2945)** Louisa Lim, Painful Memories for China's Footbinding Survivors <http://www.npr.org/templates/story/story.php?storyId=8966942>
  4. **[^](Print_version.html#ref_Magallanes2945)** James A. Crites Chinese Foot Binding, <http://www.angelfire.com/ca/beekeeper/foot.html>
  5. **[^](Print_version.html#ref_Capalungan6902)** <http://www.allaboutphilosophy.org/cultural-relativism.htm>
  6. **[^](Print_version.html#ref_Smith8219)** Justin Marozzi, The son of the Father of History, 2007, <http://www.telegraph.co.uk/culture/books/3665968/The-son-of-the-Father-of-History.html>
  7. **[^](Print_version.html#ref_Smith8219)** Introduction to The Journey of Friar John of Pian de Carpine to the Court of Kuyuk Khan, 1245-1247, as translated by William Woodville Rockhill, 1900, <http://depts.washington.edu/silkroad/texts/carpini.html>
  8. **[^](Print_version.html#ref_Egoronkin)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology A Perspective on the Human Condition. 7th ed. New York: Oxford UP.
  9. **[^](Print_version.html#ref_RACE)** "RACE - The Power of an Illusion . What Is Race |." PBS. 08 Mar. 2009 <<http://www.pbs.org/race/001_WhatIsRace/001_00-home.htm>>.
  10. **[^](Print_version.html#ref_Miler.2C_Barbara)** Miller, Barabra. Cultural Anthropology. 4th ed. Boston: Pearson Education Inc., 2007.
  11. **[^](Print_version.html#ref_Lorber)** Lorber, Judith. "Night to His Day": The Social Construction of Gender." From Inquiry to Academic Writing: A text and Reader. Boston: Bedford/St. Martin's, 2008. 617-30.
  12. **[^](Print_version.html#ref_Bourgois)** Bourgois, Philippe. "Workaday World, Crack Economy." The Nation (1995): 706-11.

This page also draws upon the following wikipedia resources:

  * [anthropology](http://en.wikipedia.org/wiki/anthropology)
  * [cultural anthropology](http://en.wikipedia.org/wiki/cultural_anthropology)
  * [sociology](http://en.wikipedia.org/wiki/sociology)
  * [social science](http://en.wikipedia.org/wiki/social_science)
  * [cultural relativism](http://en.wikipedia.org/wiki/cultural_relativism)
  * [female genital cutting](http://en.wikipedia.org/wiki/female_genital_cutting)

## External links

  * [What is Anthropology?](http://www.aaanet.org/about/WhatisAnthropology.cfm) \- Information from the American Anthropological Association
  * [SLA](http://linguisticanthropology.org/)\- Society for Linguistic Anthropology
  1. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  1. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pgs. 332-333

[History of Anthropological Theory](http://en.wikibooks.org/wiki/Cultural_Anthropology/History_of_Anthropological_Theory) →

**[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [History of Anthropological Theory](http://en.wikibooks.org/wiki/Cultural_Anthropology/History_of_Anthropological_Theory) →

  


# History of Anthropological Theory

## History

### Early Cultural Studies

**Herodotus**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/AGMA_Hérodote.jpg/220px-AGMA_Hérodote.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bust of Herodotus

[Herodotus](http://en.wikipedia.org/wiki/Herodotus) can be considered one of the first anthropologists, and his work can be considered some of the first anthropological studies. He “sought to understand other people and cultures by traveling far and wide.” [6] Even though he did not practice anthropology like it is practiced today, he created a rather unbiased, truthful recording of other cultures’ legends and lifestyles by using second-hand and third-hand accounts relating to his primary subjects.

“Herodotus of Halicarnassus here displays his inquiry, so that human achievements may not become forgotten in time, and great and marvelous deeds- some displayed by Greeks, some by barbarians- may not be without their glory.” –Opening sentence, The Histories, Herodotus

In his nine scrolls known as The Histories, written in the later period of his life (430 BCE), Herodotus describes the conflict between the Greeks and the Persians, but he often digresses from his topic to describe what he had learned through interviews of the Scythians, who lived near the Black Sea. He learned about and recounted information on how the Scythians lived, and he also learned about nomads who lived further north than the Scythians. Even though the information he recounts was translated many times before transcribed, artifacts similar to the ones he describes have been found in modern excavations in Russia and Kazakhstan.

**Friar John of Pian de Caprine**

The Journey of Friar John of Pian de Caprine to the Court of Kuyuk Khan, 1245-1247, is another very early cultural anthropological study. Written by Friar John of Pian de Caprine, this is one of the most descriptive, in-detail accounts of Mongols in the thirteenth century. Friar John had been sent by Pope Innocent IV to the Court of Kuyuk Khan, to witness the swearing in of a new Khan. Despite his Christian background, Friar John’s description of the Mongols is surprisingly unbiased.[7]

### The Development of the Discipline

In 1861, [Edward Burnett Tylor](http://en.wikipedia.org/wiki/Edward_Burnett_Tylor) wrote what was arguably the first cultural anthropology book, [Anahuac: Or Mexico and the Mexicans, Ancient and Modern (fulltext)](http://www.gutenberg.org/files/13115/13115-8.txt%7C). This book reviewed Tylor’s recent trip to Mexico and the surrounding areas. The stories within the book demonstrated the many articulate views of the modern European culture compared to the diverse cultures of the county of Mexico. The book showed the first integration of education and cultural relativism. Tylor used what he understood about the world he knew, and compared it closely to what he encountered in Mexico. His most common references were to the distinct amounts of relics, both artistic and economical, which helped to depict the culture of the Mexican nation. Although it was a huge change in scenery for Tylor, the experience was well documented and his views kept the modern idea in mind about seeing a different culture in their eyes versus his own. Modern day examples of cultures valuing artistic "relics" can be seen in many many Western cultures today. From the importance that the Western Washington University radio station, KUGS places on their valuable antique records to the many amazing works of art preserved in the Louvre Art Museum in Paris, France. Art preservation is a huge part of culture today.

  
**Armchair Anthropology and E.B. Tylor** Arm chair anthropology: Anthropologists worked with studies and information collected by others, like missionaries, explorers, and colonial officials. They did not actually travel and collect their own data. Instead they used the data collected by others to propose theories about other cultures. This type of anthropology was coined "armchair anthropology." The theories were mainly focused on primitive society. An arm chair anthropologist in today's terms would not be much of an anthropologist, they are simply someone who takes others observations and views and forms an opinion from that. They usually are basing their opinions on a biased observation of the culture. This is to say that a missionary will give a description of the people dramatically different than the observations taken from a colonialist.

After Edward Burnett Tylor wrote Anahuac: Or Mexico and the Mexicans, Ancient and Modern, he never really traveled again, and thus became an armchair anthropologist. In 1871, he wrote what is considered his most important work, Primitive Culture. In this two volume work, Tylor develops an evolutionary culture theory, where cultures moved from one stage to another (from primitive to modern).

### Early influential personalities

There were many people that contributed to the work of early anthropology. In the United States there was [Lewis Henry Morgan](http://en.wikipedia.org/wiki/Lewis_Henry_Morgan) and [Franz Boas](http://en.wikipedia.org/wiki/Franz_Boas), while in the UK, there was [Edward Burnett Tylor](http://en.wikipedia.org/wiki/Edward_Burnett_Tylor) and [James George Frazer](http://en.wikipedia.org/wiki/James_George_Frazer). In France, two major contributors were [Marcel Mauss](http://en.wikipedia.org/wiki/Marcel_Mauss) and [Claude Lévi-Strauss](http://en.wikipedia.org/wiki/Claude_L%C3%A9vi-Strauss). These people all helped develop cultural anthropology as we know it today. More information on major contributors is available below.

## A brief history

Modern cultural anthropology has its origins in, and developed in reaction to, 19th century "ethnology", which involves the organized comparison of human societies. Scholars like E.B. Tylor and [J.G. Frazer](http://en.wikipedia.org/wiki/James_Frazer) in England worked mostly with materials collected by others – usually missionaries, traders, explorers, or colonial officials – this earned them their current sobriquet of "arm-chair anthropologists".

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Rafael,_a_Chumash_who_shared_cultural_knowledge_with_Anthropologists.jpg/220px-Rafael,_a_Chumash_who_shared_cultural_knowledge_with_Anthropologists.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Many people found it very interesting how people living in different places often had similar beliefs and customs

Ethnologists had a special interest in why people living in different parts of the world often had similar beliefs and practices. In addressing this question, ethnologists in the 19th century divided into two schools of thought. Some, like [Grafton Elliot Smith](http://en.wikipedia.org/wiki/Grafton_Elliot_Smith), argued that different groups must somehow have learned from one another, however indirectly; in other words, they argued that cultural traits spread from one place to another, or "diffused". This way of thinking could be better understood in the context of the school playground; everyone wants to be like the "cool" kid-they see what he has and they want it. This idea can be expanded to an entire culture, people see another group of people doing something better than them, and so they learn the new, more effective way of living.

Other ethnologists argued that different groups had the capability of inventing similar beliefs and practices independently. Some of those who advocated "independent invention", like [Morgan](http://en.wikipedia.org/wiki/Lewis_Henry_Morgan), additionally supposed that similarities meant that different groups had passed through the same stages of cultural evolution. Morgan, in particular, acknowledged that certain forms of society and culture could not possibly have arisen before others. For example, industrial farming could have been invented before simple farming, and metallurgy could have developed without previous non-smelting processes involving metals (such as simple ground collection or mining). Morgan, like other 19th century social evolutionists, believed there was a more or less orderly progression from the primitive to the civilized.

20th century anthropologists largely reject the notion that all human societies must pass through the same stages in the same order, on the grounds that such a notion does not fit the empirical facts. Some 20th century ethnologists, like [Julian Steward](http://en.wikipedia.org/wiki/Julian_Steward), have instead argued that such similarities reflected similar adaptations to similar environments.

Others, such as [Claude Lévi-Strauss](http://en.wikipedia.org/wiki/Claude_L%C3%A9vi-Strauss) (who was influenced both by American cultural anthropology and by French [Durkheimian](http://en.wikipedia.org/wiki/Emile_Durkheim) sociology), have argued that apparent patterns of development reflect fundamental similarities in the structure of human thought (see [structuralism](http://en.wikipedia.org/wiki/structuralism)). By the mid-20th century, the number of examples of people skipping stages, such as going from hunter-gatherers to post-industrial service occupations in one generation, were so numerous that 19th century evolutionism was effectively disproved.[[1]](Print_version.html#cite_note-14)

In the 20th century most cultural (and social) anthropologists turned to the crafting of ethnographies. An ethnography is a piece of writing about a people, at a particular place and time. Typically, the anthropologist actually lives among another society for a considerable period of time, simultaneously [participating in and observing](http://en.wikipedia.org/wiki/participant_observation) the social and cultural life of the group. This way of studying a culture is much more of an unbiased view of the culture. As apposed to the previous method of the arm chair anthropologists, these scholars are there interacting with the people. As a way of learning about a culture these ethnographies are a great resource.

However, any number of other ethnographic techniques have resulted in ethnographic writing or details being preserved, as cultural anthropologists also curate materials, spend long hours in libraries, churches and schools poring over records, investigate graveyards, and decipher ancient scripts. A typical ethnography will also include information about physical geography, climate and habitat. It is meant to be a holistic piece of writing about the people in question, and today often includes the longest possible timeline of past events that the ethnographer can obtain through primary and secondary research.

[w:Bronisław Malinowski](http://en.wikipedia.org/wiki/Bronis%C5%82aw_Malinowski) (who conducted fieldwork in the Trobriand Islands and taught in England) developed this method, and [Franz Boas](http://en.wikipedia.org/wiki/Franz_Boas) (who conducted fieldwork in Baffin Island and taught in the United States) promoted it. Boas's students drew on his conception of culture and cultural relativism to develop cultural anthropology in the United States. Simultaneously, Malinowski and [A.R. Radcliffe Brown](http://en.wikipedia.org/wiki/Alfred_Radcliffe-Brown)´s students were developing social anthropology in the United Kingdom. Whereas cultural anthropology focused on symbols and values, social anthropology focused on social groups and institutions. Today socio-cultural anthropologists attend to all these elements.

Although 19th century ethnologists saw "diffusion" and "independent invention" as mutually exclusive and competing theories, most ethnographers quickly reached a consensus that both processes occur, and that both can plausibly account for cross-cultural similarities. But these ethnographers pointed out the superficiality of many such similarities, and that even traits that spread through diffusion often changed their meaning and functions as they moved from one society to another.

Accordingly, these anthropologists showed less interest in comparing cultures, generalizing about human nature, or discovering universal laws of cultural development, than in understanding particular cultures in those cultures' own terms. Such ethnographers and their students promoted the idea of "cultural relativism", the view that one can only understand another person's beliefs and behaviors in the context of the culture in which he or she lived.

In the early 20th century socio-cultural anthropology developed in different forms in Europe and in the United States. European "social anthropologists" focused on observed social behaviors and on "social structure", that is, on relationships among social roles (e.g. husband and wife, or parent and child) and social institutions (e.g. religion, economy, and politics).

American "cultural anthropologists" focused on the ways people expressed their view of themselves and their world, especially in symbolic forms (such as art and myths). These two approaches frequently converged (kinship, for example, and leadership function both as symbolic systems and as social institutions), and generally complemented one another. Today almost all socio-cultural anthropologists refer to the work of both sets of predecessors, and have an equal interest in what people do and in what people say.

Today ethnography continues to dominate socio-cultural anthropology. Nevertheless, many contemporary socio-cultural anthropologists have rejected earlier models of ethnography which they claim treated local cultures as bounded and isolated. These anthropologists continue to concern themselves with the distinct ways people in different locales experience and understand their lives, but they often argue that one cannot understand these particular ways of life solely from a local perspective; they instead combine a focus on the local with an effort to grasp larger political, economic, and cultural frameworks that impact local lived realities. Notable proponents of this approach include [Arjun Appadurai](http://en.wikipedia.org/wiki/Arjun_Appadurai), [James Clifford](http://en.wikipedia.org/wiki/James_Clifford), [George Marcus](http://en.wikipedia.org/wiki/George_Marcus), [Sidney Mintz](http://en.wikipedia.org/wiki/Sidney_Mintz), [Michael Taussig](http://en.wikipedia.org/wiki/Michael_Taussig) and [Eric Wolf](http://en.wikipedia.org/wiki/Eric_Wolf).

A growing trend in anthropological research and analysis seems to be the use of multi-sited ethnography, discussed in George Marcus's article "Ethnography In/Of the World System: the Emergence of Multi-Sited Ethnography"]. Looking at culture as embedded in macro-constructions of a global social order, multi-sited ethnography uses traditional methodology in various locations both spatially and temporally. Through this methodology greater insight can be gained when examining the impact of world-systems on local and global communities.

Also emerging in multi-sited ethnography are greater interdisciplinary approaches to fieldwork, bringing in methods from cultural studies, media studies, science and technology studies, and others. In multi-sited ethnography research tracks a subject across spatial and temporal boundaries. For example, a multi-sited ethnography may follow a "thing," such as a particular commodity, as it transfers through the networks of global capitalism.

Multi-sited ethnography may also follow ethnic groups in diaspora, stories or rumours that appear in multiple locations and in multiple time periods, metaphors that appear in multiple ethnographic locations, or the biographies of individual people or groups as they move through space and time. It may also follow conflicts that transcend boundaries. Multi-sited ethnographies, such as [Nancy Scheper-Hughes](http://en.wikipedia.org/wiki/Nancy_Scheper-Hughes)'s ethnography of the international black market for the trade of human organs. In this research she follows organs as they transfer through various legal and illegal networks of capitalism, as well as the rumours and urban legends that circulate in impoverished communities about child kidnapping and organ theft.

Sociocultural anthropologists have increasingly turned their investigative eye on to "Western" culture. For example, [Philippe Bourgois](http://en.wikipedia.org/wiki/Philippe_Bourgois) won the Margaret Mead Award in 1997 for _In Search of Respect_, a study of the entrepreneurs in a Harlem crack-den. Also growing more popular are ethnographies of professional communities, such as laboratory researchers, Wall Street investors, law firms, or IT computer employees.[[2]](Print_version.html#cite_note-15)

## Historic Cultural Anthropologists

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/Edward_Burnett_Tylor.jpg/140px-Edward_Burnett_Tylor.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

E. B. Tylor

### Edward Burnett Tylor

Sir Edward Burnett Tylor (1832-1917), was born in Camberwell, London, England in 1832. He graduated from Grove House High School but never received a university degree due to the death of his parents. Following their death Tylor started having symptoms of tuberculosis. He decided to leave England and travel to Central America in search for a warmer climate. This is where he first started his research on anthropology. He is considered one of the early proponents of cultural evolutionism in Anthropology.

His first book, aptly titled _Anthropology_ (1881), is considered fairly modern in its cultural concepts and theories. In 1883, Tylor joined the University Museum at Oxford and became a professor of Anthropology from 1896 to 1909. Most of Tylor's work involved the primitive culture and the minds of the people, particularly animism. Animism is a philosophical, religious or spiritual idea that souls or spirits exist not only in humans and animals but also in plants, rocks and natural phenomena. His work has been the foundation of many universities' Anthropological major curriculum. Some of his later works include: _Researches Into the Early History of Mankind_ (1865)and _Anahuac_ (1861). His most important work, "Primitive Culture" (1871), which was partially influenced by Darwin’s theory of biological evolution. It developed the theory of an evolutionary, progressive relationship from primitive to modern cultures. It did this by defining "culture or civilization" as "that complex whole which includes knowledge, belief, art, moral, law, costom, and any other capabilities and habits acquired by man as a member of society". This definition encouraged the idea that even primtives possessed capabilities ad habits that merited respect. Primitive stereotypes were thus changed.[[3]](Print_version.html#cite_note-16) During his travels, he met a man named Henry Christy, who was also a Quaker interested in ethnology and archaeology, which influenced Tylor's interest in these areas.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Morgan.jpg/120px-Morgan.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Lewis Henry Morgan

### Lewis Henry Morgan

Lewis Henry Morgan was born on November 21, 1818 near Aurora, New York. He graduated from Union College in Schenectady in 1840 and became an attorney by profession. Later in his profession he studied the Iroquois people of western New York and gathered extesive data about the Iroquois Confederation.

His book “League of the Ho-dé-no-sau-nee, or Iroquois” (1851) is considered one of the earliest objective ethnographic works of native peoples. From the book, one of the most important pioneering achievements of the first order is the study of kinship systems. What he found was that the Seneca designate their kin in a manner different from that of the Western culture. Unlike the Western culture, they merge collateral relatives, such as cousins, nieces, and aunts, into the direct line, like fathers, sisters, and daughters.

### Franz Boas

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/FranzBoas.jpg/100px-FranzBoas.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Franz Boas

Franz Boas, known as the Father of American Anthropology, was born in Minden, Germany in 1858. He earned a Ph.D in physics with a minor in geography at the University of Kiel in 1881 and later became a professor and founded the first department of anthropology in the United States at Columbia University. [[4]](Print_version.html#cite_note-17)

Boas is well known for his studies on the Native population in Northern Vancouver and British Colombia, Canada. Influenced by the writings of [Charles Darwin](http://en.wikipedia.org/wiki/Charles_Darwin), Boas developed the theory of cultural relativism, devoting much of his life’s work to discrediting the importance of racial distinction in the field. At a time when armchair anthropology and racial prejudices were rampant, Boas emphasized the importance of impartial data, the use of the scientific method in his research, and rejected the idea of Western civilization’s supposed “cultural superiority.” Boas gave modern anthropology its rigorous scientific methodology, patterned after the natural sciences. He also originated the notion of "culture" as learned behaviors. His emphasis on research first, followed by generalizations, emphasized the creation of grand theories (which were only after tested through field work) [[Link: Boas](http://www.nndb.com/people/861/000097570/)]. Boas was truly the first person to develop an ethnography which is a descriptive account of anthropological studies. A few of Boas’ students include anthropologists [Alfred L. Kroeber](http://en.wikipedia.org/wiki/Alfred_L._Kroeber), [Margaret Mead](http://en.wikipedia.org/wiki/Margaret_Mead), [Jules Henry](http://en.wikipedia.org/wiki/Jules_Henry), and [Ashley Montagu](http://en.wikipedia.org/wiki/Ashley_Montagu). Boas became Professor Emeritus in 1937, after serving over 40 years as Professor at Columbia University. He died in 1942.

### Ruth Benedict

![Ruth Benedict.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/93/Ruth_Benedict.jpg/140px-Ruth_Benedict.jpg)

[Ruth Benedict](http://en.wikipedia.org/wiki/Ruth_Benedict) was and American anthropologist whose work was greatly influenced by her mentor and teacher Franz Boas, the father of American anthropology. She was born in New York City on June 5, 1887 and died September 17, 1949. She graduated from Vassar College in 1909 and entered graduate studies at Columbia University in 1919, studying under Franz Boas and receiving her PhD in 1923. The central idea of her book Patterns of Culture (1934), which was translated into fourteen different languages and used in universities for many years, is that each culture chooses from the “great arc of human personalities” but only dominant traits emerge in people’s characters and the overall character of society. Ruth Benedict expressed the idea that ontogeny recapitulates phylogeny which holds that the growth or change of the individual is a reflection of the growth or change of the species. She desired to show that each culture had its own moral imperatives that could be understood only if one studied that culture as a whole. Benedict conducted fieldwork in New Mexico with the Native American Pueblo people and used data from Franz Boas and other colleagues like Margaret Mead to supplement her research.

### Margaret Mead

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/24/Margaret_Mead_NYWTS.jpg/220px-Margaret_Mead_NYWTS.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Margaret Mead

[Margaret Mead](http://en.wikipedia.org/wiki/Margaret_Mead) (1901-1979) was the oldest of five until one of her younger sisters died at just nine months of age. Mead was born on December 16 in Philadelphia, Pennsylvania in 1901. After graduating from Barnard College, she received her Ph.D. from Columbia University3. It was there where she met her greatest influences, anthropologists Ruth Benedict and Franz Boas. She was married three times in her life, her first marriage with Luther Sheeleigh Cressman, an archeologist. Her third and longest-lasting marriage (1936–1950) was to the British Anthropologist Gregory Bateson with whom she had a daughter, Mary Catherine Bateson, who would also become an anthropologist. Margaret Mead focused mainly on child-rearing and personality traits in Samoa, New Guinea, and Bali. It was here she was able to take a [positivist method](http://en.wikipedia.org/wiki/Sociological_positivism) to her research. Mead was also popular to mass media as a speaker and writer of her work.

In the 1930’s Margaret Mead used a method called [controlled comparison](http://www.jstor.org/stable/663810), or taking hypotheses to different cultural settings. Each setting would match up to a separate experiment. This allowed anthropologists, such as Mead, to study human life by participant-observation instead of an artificial lab setting. Mead used this method when she studied four different societies in an attempt to discover the range and causes of gender role. It is still used today. Margaret Mead was known for introducing radical proposals and being an activist. One of her most memorable stances on issues was her outspoken advocacy on birth control.From her findings she was able to produce many ethnographic writings, such as Coming of Age in Samoa (1928) and Sex and Temperament in Three Primitive Societies (1935)3.

### Marvin Harris

![MarvinHarris.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/79/MarvinHarris.jpg/140px-MarvinHarris.jpg)

Marvin Harris (1927-2001), was born on August 18, 1927 in Brooklyn, New York. After joined the U.S. Army in World War II then attended school at Columbia University. After graduating, Harris became an assistant professor at Columbia University. His main focus of study was ideological features of culture. Later Harris did fieldwork in Mozambique in 1957 and started focusing more on behavioral aspects. He is also well known for his explanation on Indian cultures ‘sacred cows’. Harris did most of his fieldwork in Brazil, Mozambique, India, and Ecuador.

Harris was an American Anthropologist known for his writing and influence on cultural materialism. Harris’ studies were mostly based on Latin America and Brazil. Harris used Karl Marx and Malthus’s information to help form his own opinions and ideas. Harris had over 16 books published. After Harris’ publication, The Rise of Anthropological Theory, the American Anthropological Association had lots of talk and criticism over his theory. Harris’ work has helped anthropologists learn and gain more information about his studies.

### Napoleon Chagnon

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/Alto_orinoco5.jpg/200px-Alto_orinoco5.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Yanomami [[2]](http://en.wikipedia.org/wiki/Yanomami) Children

[Napoleon Chagnon](http://en.wikipedia.org/wiki/Napoleon_Chagnon) was born in 1938 in Port Austin, Michigan. He is an American anthropologist who is best known for his ethnographic work with the [Yanomamö](http://en.wikipedia.org/wiki/Yanomami) tribe of the Amazon between Venezuela and Brazil. He was a major player in developing to the evolutionary theory of cultural anthropology. He first documented the Yanomami tribe as savages who treated him very badly, but as time progressed he gained the nickname of Shaki, meaning "pesky bee".

Through his research of the Yanomamö people, Chagnon gained information about the genealogies of these people in order to find out who was married, who was related, and cooperation and settlement pattern history. Through this research he was a pioneer in the fields of sociobiology and human behavioral ecology. He also pioneered in visual anthropology, by creating documentaries about the Yanomamö people and their society. His works include: The Yanomamo Series, in collaboration with Tim Asch, including 22 separate films on the Yanomamo Culture, such as The Ax Fight (1975), Children's Magical Death (1974), Magical Death (1988), A Man Called Bee: A Study of the Yanomamo (1974), Yanomamo Of the Orinoco (1987). He has also written a few books on the Yanomamö culture: Yanomamö: The Fierce People(1968), Chagnon, N. (1974), written at New York, Studying the Yanomamö, Holt, Rinehart and Winston, Yanomamo - The Last Days Of Eden, 1992.

Although much of his work was meant to document the growing of a culture, he has also been credited as a destroyer of the culture. According to Darkness in El Dorado, by Patrick Tierney, Chagnon aided the spreading of measles to the Yanomamo people. All claims by Tierney have been refuted, but it is a fact that due to exposure to other outside cultures, the people of this tribe were exposed to diseases that their bodies could not fight. Chagnon was not only known for his ethnography but he was also well known for criticism and controversy about his work and opinions.

### Ray Birdwhistell

[Ray L. Birdwhistell](http://en.wikipedia.org/wiki/Ray_Birdwhistell) born in 1918 was raised alongside his brother in Ohio. He attended Fostoria High School where he was very involved with athletics, debate team, journalism, and a history club. He later graduated in 1936 in a class of approximately 16 students. After high school, Birdwhistell furthered his education at the University of Chicago where he earned his Ph.D. in anthropology. Birdwhistell then went on to teach at the University of Toronto, University of Louisville, and the University of Buffalo. He then became a professor at the University of Pennsylvania where he pursued his interest in [nonverbal communication](http://en.wikipedia.org/wiki/nonverbal_communication) and [kinesics](http://en.wikipedia.org/wiki/kinesics).

Birdwhistell found most of his studies through observing people interactions in films. His interest in kinesics led him to study the way people used their bodies or bodily gestures to communicate nonverbally. His observations concluded that people use eye movement, facial expressions, and their chest to convey information. After acquiring this knowledge of nonverbal communication, Birdwhistell published two books; Introduction to Kinesics and Kinesics and Context.

Ray Birdwhitstell was an American Anthropologist, best known for his pioneering studies into the field of kinesics (the study of gesture posture and bodily motion as it relates to nonverbal communication). Born in Ohio in 1918, he got his Ph.D. in Anthroplogy at the University of Chicago. He later went on to teach at the Universities of Toronto, Louisville, and Buffalo. Birdhitsell released two texts on Kinesics, _Introduction to_ _Kinesics_, and _Kinesics in context_. Although "Kinesics in Context" was better known. Birdwhitsell died in 1994.(2)

### Julian Steward

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Julian_Steward.jpg/250px-Julian_Steward.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Unidentified Native Man (Carrier Indian) (possibly Steward's informant, Chief Louis Billy Prince) and Julian Steward, 1940

[Julian Steward](http://en.wikipedia.org/wiki/Julian_Steward) was born on January 31, 1902 in Washington D.C. He was raised in a Christian Science household, and therefore was discouraged from practicing sciences at home. He didn't discover his love for the sciences until he was to attend boarding school in Owens Valley, California, at the edge of the Great Basin. As an undergraduate, Steward studied for a year at Berkeley under Alfred Kroeber and Robert Lowie, after which he transferred to Cornell University, from which he graduated in 1925 with a B.Sc. in Zoology. He went back to Berkeley to pursue graduate work. Steward received his Ph. D. degree in Anthropology in 1929 with a thesis entitled The Ceremonial Buffoon of the American Indian, a Study of Ritualized Clowning and Role Reversals. Steward went on to establish an anthropology department at the University of Michigan, where he taught until 1930. The department later gained notoriety from the appointment and guidance of Leslie White, with whose model of "universal" cultural evolution Steward disagreed. In 1930, Steward moved to the University of Utah, which appealed to Steward for its proximity to the Sierra Nevadas, and nearby archaeological fieldwork opportunities in California, Nevada, Idaho, and Oregon.Steward's career reached its apogee in 1946 when he took up the chair of the anthropology department at Columbia University - the center of anthropology in the United States. At this time, Columbia saw an influx of World War II veterans who were attending school thanks to the GI Bill. Steward quickly developed a coterie of students who would go on to have enormous influence in the history of anthropology, including Sidney Mintz, Eric Wolf, Roy Rappaport, Stanley Diamond, Robert Manners, Morton Fried, Robert F. Murphy, and influenced other scholars such as Marvin Harris. Many of these students participated in the Puerto Rico Project, yet another large-scale group research study that focused on modernization in Puerto Rico.Steward left Columbia for the University of Illinois at Urbana-Champaign, where he continued to teach until his retirement in 1968. There he undertook yet another large-scale study, a comparative analysis of modernization in eleven third world societies. The results of this research were published in three volumes entitled Contemporary Change in Traditional Societies. Steward died in 1972.

While Julian Steward was a famous anthropologist for many reasons, one of which by being a professor of such high caliber and his ability to produce such a high class of scholars. In addition to his role as a teacher and administrator, Steward is most remembered for his method and theory of cultural ecology. During the first three decades of the twentieth century, American anthropology was suspicious of generalizations and often unwilling to draw broader conclusions from the meticulously detailed monographs that anthropologists produced. Steward is notable for moving anthropology away from this more particularist approach and developing a more nomothetic, social-scientific direction. His theory of "multilinear" cultural evolution examined the way in which societies adapted to their environment. This approach was more nuanced than Leslie White's theory of "universal evolution," which was influenced by thinkers such as Herbert Spencer. Steward's interest in the evolution of society also led him to examine processes of modernization. He was one of the first anthropologists to examine the way in which national and local levels of society were related to one another. He questioned the possibility creating a social theory which encompassed the entire evolution of humanity; yet, he also argued that anthropologists are not limited to description of specific, existing cultures. Steward believed it is possible to create theories analyzing typical, common culture, representative of specific eras or regions. As the decisive factors determining the development of a given culture, he pointed to technology and economics, while noting that there are secondary factors, such as political systems, ideologies, and religions. These factors push the evolution of a given society in several directions at the same time.

### Paul Farmer

![](../../../upload.wikimedia.org/wikipedia/commons/c/cd/Paul_Farmer.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A quite serious looking Paul Farmer.

Paul Farmer is a medical anthropologist as well as a medical doctor. He was born in 1959 and began working to provide health care to the poor populations while still in graduate school at Harvard. After graduating in 1990, he continued to work to provide health to the poor populations around the world. He specialized in infectious disease while in school and today focuses on those that disproportionately affect the poor, such as tuberculosis. Farmer has been awarded several honors; including the Conrad N. Hilton Humanitarian Prize, American Medical Association's International Physician Award, and the 2007 Austin College Leadership Award. Back in 1987, Farmer helped put together a nonprofit called Partners in Health, whose mission is both medical and moral. Now, the group treats 1,000 patients daily for free in the Haitian countryside. The group also works to cure drug-resistant tuberculosis among prisoners in Siberia and in the slums of Lima and Peru. Farmer has devoted his life to providing medical services to the underprivileged. He uses his anthropological knowledge and ethnographic analysis to create sustainable and practical health care services for those in need. He works to offset the negative effects in those societies caused by social and structural violence. Farmer is well known for the concept of "pragmatic solidarity", the idea of working to meet the needs of the victims while advocating for positive social change.

## References

  1. [↑](Print_version.html#cite_ref-14) Diamond, Jared. Guns, Germs and Steel.
  2. [↑](Print_version.html#cite_ref-15) Dissertation Abstract [[1]](http://www.ingentaconnect.com/search/expand?pub=infobike://mcb/161/1995/00000008/00000003/art00003&unc=)
  3. [↑](Print_version.html#cite_ref-16) Britannica Encyclopedia
  4. [↑](Print_version.html#cite_ref-17) ["Franz Boas"](http://www.columbia.edu/cu/anthropology/about/main/one/boas.html). Colombia University. <http://www.columbia.edu/cu/anthropology/about/main/one/boas.html>. Retrieved 2009-03-02. 

<2.<http://www.mnsu.edu/emuseum/information/biography/abcde/birdwhistell_ray.html>>

  * 3\. Del Monte, Kathleen, Karen Bachman, Catherine Klein, and Bridgette McCorp. "Margaret Mead." Celebrating Women Anthropologists. 26 June 1999. 9 Mar. 2009 <<http://anthropology.usf.edu/women/>>.

4\. Absolute Astronomy. "Ray Birdwhistell" 9 Mar. 2009 <<http://www.absoluteastronomy.com/topics/Ray_Birdwhistell>>  
5\. NNDB: Tracking the Entire World. "Franz Boas." <<http://www.nndb.com/people/861/000097570/>>

← [Introduction](http://en.wikibooks.org/wiki/Cultural_Anthropology/Introduction) · [Anthropological Methods](http://en.wikibooks.org/wiki/Cultural_Anthropology/Anthropological_Methods) →

← [Introduction](http://en.wikibooks.org/wiki/Cultural_Anthropology/Introduction) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Anthropological Methods](http://en.wikibooks.org/wiki/Cultural_Anthropology/Anthropological_Methods) →

  


# Anthropological Methods

## Origins of Ethnography

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/80/Columbus1.PNG/300px-Columbus1.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The route of first voyage of Columbus in the Caribbean.

[Ethnography](http://en.wikipedia.org/wiki/Ethnography) is a qualitative research method used in social sciences like [Anthropology](http://en.wikipedia.org/wiki/Anthropology) where researchers immerse themselves in other cultures for the purpose of recording information about their lifestyle for comparative research. Originally Anthropology was thought of as a science studying the "savage slot". This meant that Anthropologists researched societies that had either already or soon would become dominated territories within the European Empire. Recording the lives and traditions of these so called savage people was beneficial to the people conquering them, such as, [Christopher Columbus](http://en.wikipedia.org/wiki/Christopher_Columbus) when he explored and conquered Hispaniola in the name of Spain. This aided them in conquering the savages because the conquistadors could more efficiently assimilate or eradicate the indigenous population. While unethical because they were only used as fuel for slaughter and slavery, these early documentations of human culture were integral to the beginnings of anthropology as we know it today.

### Ethnographic Analogy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Marteau_tailleur_de_pierre_Metz_100109.jpg/220px-Marteau_tailleur_de_pierre_Metz_100109.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Here we see an old pick, not much different from those used today

We can infer the use of an ancient tool by seeing how similar-looking tools are used in existing or recent societies. By analogy we can hypothesize the same use for the old tool. Ethnographic Analogy is essentially interpreting archaeological data through the observation of analogous activities in existing societies.

### Effect of Capitalism and Colonialism

While crews were out exploring trade routes and territories, and conquering people, mainland Europe developed a new way to think about the world economically. Replacing mercantilism, which is the idea that there is a set amount of wealth in the world and one nation's gain must come at the loss of another, capitalism facilitates the belief that new wealth can be created through innovation and competition. [Capitalism](http://en.wikipedia.org/wiki/Capitalism) by definition is an economic system dominated by the supply-demand price mechanism called the market. Simply put, it is the idea that the world is a market and everything within the world, has or should have, its price. In response to that market and in service of it, an entire way of life grew and grew and changed the face of Europe as well as many other regions.

The birth of capitalism brought forth the need of a market and a new thought process to rule the new world, one which was very different from the hunter-gatherer lifestyle so common among indigenous peoples throughout other non-European places. Reducing the human life form to a price of how much labor can be produced from their commoditized life. Other cultures were forced into colonialism by European imperialists.

[Colonialism](http://en.wikipedia.org/wiki/colonialism) refers to a social system in which political conquest by one society of another leads to cultural domination with enforced social change. While some cultures embraced the Colonialists empirical trade patterns,many indigenous peoples violently rebelled and attempted to regain their cultural independence and economic autonomy. Despite their best efforts to repel the colonialists and their economic imperialism, the indigenous peoples were unable to combat against the Europeans and their guns, deception, and disease. A great example of this happening is the way that Americans killed the natives and forced them onto reservations, even though they tried to control the land that they have had for generations, they were no match for the Europeans.

### Human Cultural Variation

Even with all the trauma of colonization and capitalism, populations still had the willpower to grow and survive. After assimilation[[4]](http://en.wikipedia.org/wiki/Cultural_assimilation) or displacement a tribe or band did not stop in its cultural evolution. A defining characteristic of culture is to adapt to change. As more and more cultures divided and meshed together an outstanding number of subtle differences can be seen. One of man's greatest past-times is classifying things and ideas, and now with all this wide variety of types of cultures of the world, a broad way of lumping societies together based on how they are alike and different. These categories are called typologies.

The evolutionary typology has much to do with the idea of uni-lineal cultural evolution, a nineteenth century theory that proposed that all cultures are thought to pass through or they die off, much like biological natural selection. On the opposite thought, the social structural typology states that some cultures are barbaric, and some were not, and that's how they were. The only thing that changed much about them was their leaders and how power was divided among their group.

### The Biology of Human Variation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/Unlabeled_Renatto_Luschan_Skin_color_map.png/400px-Unlabeled_Renatto_Luschan_Skin_color_map.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Map of [indigenous](http://en.wikibooks.org/w/index.php?title=Indigenous_people&action=edit&redlink=1) skin color distribution in the world based on [Von Luschan's chromatic scale](http://en.wikibooks.org/w/index.php?title=Von_Luschan%27s_chromatic_scale&action=edit&redlink=1).

The biological variations between humans are summarized in the evolutionary theories of macroevolution and microevolution. Macroevolution is the study of the emergence of new species and the diversification of species over millions of years, while microevolution is the concentration of study of evolutionary changes that occur in a given species over a few generations. A species is a population of organisms that can interbreed successfully and produce viable offspring. A [cline](http://en.wikipedia.org/wiki/Cline) is a genetic variation between populations of species that are reproductively isolated (such as skin color variation in humans). Human skin color variation is a selective adaptation that relates to the populations' proximity to the equator. Populations of humans in equatorial regions have selective advantages because of their darker skin pigmentation and populations in more northern environments have less selective pressure to evolve darker pigmentation and have lighter skin. Other clines include differences in stature and hair type. Because of these differences within the human species, there is the idea that there are different [races](http://en.wikipedia.org/wiki/Race_\(classification_of_human_beings\)), which leads into racism. Although there is no biological support for race, culture has supported the ideas of race and racism beginning with the far-reaching exploration of sea-faring ships, which allowed landing parties to miss the range of gradual clinal variation visible when traveling by land.

Biological anthropologist, Frank Livingstone declared that, "There are no races, there are only clines." Clinal variation explains why people who want to use the term "race" can't define how many groups or races there are. The only group that can be described is the entire human race. Each cline is a map of the distribution of a single trait and while some traits overlap and can be compared, clinal analysis tests the biological concept of race and finds nothing in nature to match it.

## Fieldwork Methods

### Observational Methods

The least invasive of anthropological fieldwork methods, observational methods allow the researcher to gain valuable information about the group being studied without intruding on their privacy too much. The researcher observes the group or individuals, records their findings, reflects on the findings, as well as openly participating with the community. This can make or break the relationship as exampled in Eating Christmas in the Kalahari where Richard Borshay Lee was in a position of power but to keep his research untainted he felt it "was essential to not provide them with food"[[1]](Print_version.html#cite_note-18) It was a very common form of fieldwork during the first half of the 20th century before more progressive and participatory methods became popular. This method uses an [etic](http://en.wikipedia.org/wiki/Emic_and_etic)perspective to simply observe the facets of cultures.

### Interviews and Questionnaires

This group of methods focuses on community interaction through language. It usually entails many open ended interviews with participants who are members of a group being studied. The researcher strives to learn as much as they can about the history of the community as well as individuals in order to gain a full understanding of how their culture functions. Interviews can take place individually or with [focus groups](http://en.wikipedia.org/wiki/Focus_group) within the community based on age, status, gender, and other factors that contribute to differences within the community.

Often , this type of research strives to create an open dialogue, or dialectic, in which information flows back and forth between researcher and subject. This dialectic poses a challenge to the objectivity of socially produced data. The challenge is dealt with through reflection on the intersubjective creation of meaning, leading anthropologists to value reflexivity in their ethnographic writing. Because many anthropologists also hope to help the communities they work with to make change on their own terms within the confines of their own culture, in some cases objectivity is abandoned in favor of community based activism and social change.

Questionnaires may cause answers which lack background information or description. By creating multiple choice answers, subjects are limited to a small selection of responses. They cannot elaborate or explain their answers. Though questionnaires do generate quick, easy, and cheap responses, often of a large group of subjects, there is the risk that answers will lack depth or full truth.

### Participant Observation

**[Participant Observation](http://en.wikipedia.org/wiki/Participant_Observation)** is a anthropological fieldwork method for collected research. It requires that the anthropologist participate in the culture they are researching as well as simply observing it. The information gathered is then recorded and reflected upon to gain further insight into the culture being studied or the question being asked by the researcher.

Participant observation allows a deeper immersion into the culture studied, resulting in a deeper understanding of the culture. It allows the researcher to learn about the culture by speaking with those people within that culture. This develops a deeper rapport with the people of the culture which may result in them opening up more to the researcher, allowing the researcher to see and understand more than they might have as an outsider simply observing the culture.

Participant observation, while a more in-depth research method, isn't perfect. Observed populations may alter their behavior around the researcher because they know that they are being studied, an effect that has been exhaustively documented and studied in psychological research. Thus, while this research method allows for a deeper immersion and understanding in the culture, it faces a very real set of challenges.

### Reflexivity

This method focuses on the awareness of the researcher and the effect they may be having on the research. It involves a constant awareness and assessment of the researcher's own contribution to and influence on the researcher's subjects and their findings. This principle was perhaps first thought of by William Thomas, as the "Thomas Theorem". [Reflexivity](http://en.wikipedia.org/wiki/Reflexivity_\(social_theory\)) requires a researcher's awareness of the effects that he/she might have on the information that is being recorded. Fieldwork in cultural anthropology is a reflexive experience. Anthropologists must constantly be aware that the information they are gathering may be skewed by their ethical opinions, or political standings. Even an anthropologists presence in that culture can effect the results they receive. Reflexive fieldwork must retain a respect for detailed, accurate information gathering, but it also pays precise attention to the ethical and political context of research, the background of the researchers, and the full cooperation of informants. Ethnographers have come to realize that the dependability of their knowledge of other cultures depends on clear recognition of the ethical and political aspects of fieldwork, and the acknowledgment of how these have created this knowledge.Information gathering that is involved with reflective fieldwork must be detailed and accurate. In our everyday lives reflexivity is needed in order to better understand other cultures and therefore better understand ourselves. It is important to put your own opinions and ways of life aside so you can open your mind to see how others live. However, it is oftentimes hard to notice whether or not you are using reflexivity. For example, when someone you know talks about their religion, you may immediately disagree with specific aspects of their religion because you have not lived your entire life believing it as they have.

### Life Histories

Life history is a term used to describe when a person conveys their entire life experience, usually starting at childhood and continuing to the present. It is particularly useful in the field of cultural anthropology, as a researcher can get a general picture of the subject’s life in order to analyze their experiences in the context of a larger society. By gathering an array of life histories, an anthropological researcher can gain a better understanding of the culture in which they are studying. Sometimes life history can be documented through very extensive time periods to better understand a group of people. For example, an anthropologist studying the cause and effects of prostitution and drug dependence on young woman's lives in urban areas might use the life histories of some of the people he/she meets. By analyzing the time in which the subjects became dependent on substances and comparing it to the time in which they began practicing prostitution, the anthropologist can begin to understand the situation of these young ladies as well as if one action caused the other. Life history can be used as a very important research component in understanding another culture or just another way of living. [[2]](Print_version.html#cite_note-19)

### Participatory Approach

This method involves full participation of the researcher with their subjects or community they are studying. Obviously if the researcher is not originally part of the culture they can never be involved to the extent that a native would be, but this method strives to get as close to an [emic](http://en.wikipedia.org/wiki/Emic_and_etic)perspective as possible. The researcher lives with the community, eats as they do, acts as they do and shares this life with the world through their ethnography. The emic approach of collecting data can serve as a more useful data collecting process, and the output data can be more precise than the etic approach on ethnography. From this method came the most common form of anthropological fieldwork method in the modern era:

#### Participatory Action Research

This specific method require a community commitment to change. It occurs in five steps:

  1. Education on the process or creating a dialogue
  2. Collective Investigation
  3. Collective Interpretation
  4. Collective Action
  5. Transformation: Self-Determination and Empowerment

Because of the intrinsic qualities of this type of research, ideally being conducted by people with close ties or membership of a community, it is usually very applicable to some situation in the community. The "research" is an analysis of the community's behavior _by_ community members. Not only are they by necessity motivated to work on the problem, but they will already have significant rapport with other community members to help address and analyze it.

The dynamic attributes of the process allow constant reevaluation and change. This cyclic tendency can develop into healthy adaptation patterns in the community without outside contributions or aid.

#### Philippe Bourgois in East Harlem

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Harlem_viaduct.jpg/220px-Harlem_viaduct.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Under the viaduct in Harlem

An ideal example of the participatory method in fieldwork is [Philippe Bourgois](http://philippebourgois.net/) in East Harlem. As he describes in his book: _In Search of Respect: Selling Crack in El Barrio_**[^](Print_version.html#ref_Bourgois)** he lived in East Harlem for a few months in 1985 in hopes of gaining an emic perspective of poverty in one of the world's busiest cities:New York City. Soon he befriended some men in his neighborhood and quickly he had an in with the newly arising crack scene. He lived side by side with dealers, buyers, and users and gained extreme insight into their lives because he too was living life with them. He met them as a friend, not a researcher and was able to form a unique relationship with them. He did not fully participate in their lifestyle which left a small divide, but he was still able to gain a participatory approach to this subculture.

## Types of Analysis

### Qualitative vs. Quantitative Analysis

Quantitative research asks where, when and what. Qualitative research asks how and why.

Quite simply, quantitative research is more interested in hard data procured through things like surveys, polls and censuses. It's interested in the percentage of people interviewed that agree with one statement versus another or the number of people in a culture that belong to a certain organization, how many people in a country speak the native language versus how many are bilingual or only speak a foreign language. This method or research usually requires a large random sample group.

Qualitative research isn't as cut and dry as quantitative. Qualitative research is in-depth research that seeks to understand why people do what they do in an attempt to understand culture. It often crosses disciplinary boundaries and strays from a single focused subject. This research method usually requires a smaller sample group.

### Positivist Approach

Made popular during the late 18th century, this was the primary anthropological method used until the 1970s. It is based around the central idea of positivism, which is defined as a theory that theology and metaphysics are earlier imperfect modes of knowledge and that positive knowledge is based on natural phenomena and their properties and relations as verified by the scientific method.[[5]](Print_version.html#endnote_Merriam) The main goal of a positivist approach is to produce objective knowledge, which is knowledge about humanity that is true for all people in all times and places. The ideal positivist approach would occur with a physical scientist in a lab, producing concrete results. Anthropologists adapted this method to their own use by testing hypotheses in different cultures under similar conditions. This method was very successful in recording previously unknown data about different peoples, but it was often objective facts about a way of life in which the people of the culture at question were regarded more as lab subjects than actual human beings. Eventually this method was adapted into the [reflexive](http://en.wikipedia.org/wiki/Reflexivity_\(social_theory\)) method, to better demonstrate the relationships that exist within communities and the anthropologists own interactions with the informants.

The informants are "people in a particular culture who work with anthroplogists and provide them with insights about their way of life. They can also be called teachers or friends"[[3]](Print_version.html#cite_note-20). There was a reconsideration of fieldwork that looked not only at the backgrounds of ethnographers way they shaped their fieldwork, but also began to pay more attention to the ethical and political dimensions of the relationship that the anthropologist developed with the people's life he or her is studying, referred to as "informants"[[4]](Print_version.html#cite_note-21).

One highly recognized anthropologist who used a positivist approach was [Margaret Mead](http://en.wikipedia.org/wiki/Margaret_Mead) in the 1930's. She studied three different societies in [Papua New Guinea](http://en.wikipedia.org/wiki/Papua_New_Guinea) in an effort to determine age and gender roles. She took the same approach to each culture and was able to draw several conclusions about the way that men and women interacted differently by using a positivist approach.

### Ethnographic Analysis

Spradley describes ethnography as different from deductive types of social research in that the five steps of ethnographic research: selecting a problem, collecting data, analyzing data, formulating hypotheses, and writing. All five steps happen simultaneously (p. 93-94).

In his book, Spradley describes four types of ethnographic analysis that basically build on each other. The first type of analysis is domain analysis, which is “a search for the larger units of cultural knowledge” (p. 94). The other kinds of analysis are taxonomic analysis, componential analysis, and theme analysis.

All of Spradley’s theories about ethnographic analysis hinge on his belief that researchers should be searching for the meaning that participants make of their lives. These meanings are expressed through symbols, which can be words, but can also be nonverbal cues. However, because this book is about analyzing interviews, Spradley focuses on analyzing the spoken words of the participants. He explains that words are symbols that represent some kind of meaning for an individual, and each symbol has three parts: the symbol itself, what the symbol refers to, and the relationship between the symbol and the referent. Thus, the word _computer_ can be a symbol. It refers to many things, including an individual's own personal computer. Thus, a computer is a kind of computer in the mind, or the idea of a computer, and this shows the relationship between the symbol (computer) and the referent (an actual physical computer).

### Domain analysis

Spradley defines a domain as the “symbolic category that includes other categories” (p. 100). A domain, then, is a collection of categories that share a certain kind of relationship. Computers is a domain that includes not only my laptop, but all the Dells, Toshibas, iMacs, and IBMs of the world. These all share the same relationship because they are all kinds of computers. Spradley explains that there are three elements of a domain. First, the cover term, which in my example is the word “computer”. Second, there are included terms, which are all the types of computers I just listed. Finally, there is the single, unifying semantic relationship, which is the idea that “X, Y, and Z are all kinds of A”.

When doing domain analysis, Spradley suggests first doing a practice run, which he calls preliminary searches. To do this, you select a portion of your data and search for names that participants give to things. You then identify whether any of these listed nouns might possibly be cover terms for domains. Finally, you can then search through your data for possible included terms that might fit under this domain you have identified.

Remember, this was just the warm-up. To actually do domain analysis, you look for relationships in the data, not names. Spradley is famous for his very useful list of possible relationships that may exist in your data:

  1. Strict inclusion (X is a kind of Y)
  2. Spatial (X is a place in Y, X is a part of Y)
  3. Cause-effect (X is a result of Y, X is a cause of Y)
  4. Rationale (X is a reason for doing Y)
  5. Location for action (X is a place for doing Y)
  6. Function (X is used for Y)
  7. Means-end (X is a way to do Y)
  8. Sequence (X is a step or stage in Y)
  9. Attribution (X is an attribute, or characteristic, of Y)

To do domain analysis, you first pick one semantic relationship. Spradley suggests strict inclusion or means-end as good ones for starters. Second, you select a portion of your data and begin reading it, and while doing so you fill out a domain analysis worksheet where you list all the terms that fit the semantic relationship you chose. Third (if you follow along in Spradley’s book, you’ll notice I’m crunching his steps together for brevity) you formulate questions for each domain. So to revert to my example, if you identified from your interview with me that I feel that Macs are kinds of computers, you could test this hypothesis by making a question out of this semantic statement, “Are there different kinds of computers?” You could ask me, or another participant, and based on their answer, you would know if the cover term, included terms, and semantic relationship that you identified were correct. You could then probe with more questions like, “Why are Macs a kind of computer?” or “In what way are Macs a kind of computer?” In this way, your analysis feeds into your next round of data collection.

The final step in domain analysis is to make a list of all the hypothetical domains you have identified, the relationships in these domains, and the structural questions that follow your analysis.

### Taxonomic Analysis

Taxonomic Analysis is a search for the way that cultural domains are organized, building upon the first type of analysis, this form of research is best defined as the classification of data in the form x is a kind of y (D'Andrade, 92). Used largely for the organization and grouping of plant and animal species, taxonomic analysis is not focused on the features of an organism but rather the variable genetic differences that define them. For example, scientists can refer to the common chimpanzee using the taxonomy pan troglodyte and make specific references to that species without fear of error in their classification and use of data. Taxonomic Analysis usually involves drawing a graphical interpretation of the ways in which the individual participants move, form groups, and pattern the structure of a conversation.

## References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

**[^](Print_version.html#ref_Merriam)** "Positivism." Def. 1. Merriam Webster's Collegiate Dictionary. 11th ed. 2003.

**[^](Print_version.html#ref_Bourgois)** Bourgois, Philip, _In Search of Respect: Selling Crack in El Barrio_ Cambridge University Press, 1995.
    
    
    <http://en.wikipedia.org/wiki/James_Spradley>
    

**[^](Print_version.html#ref_MD.27Andrade)** D'Andrade, Roy. "The Development of Cognitive Anthropology." 1995 92. 10 Mar 2009 [http://books.google.com/books?hl=en&lr=&id=2QCWe2r-pvwC&oi=fnd&pg=PR12&dq=taxonomic+analysis+anthropology&ots=Vwe01uBe3l&sig=2EfRTfVyeZZyfOoIRHQwxase2K0#PPP1,M1](http://books.google.com/books?hl=en&lr=&id=2QCWe2r-pvwC&oi=fnd&pg=PR12&dq=taxonomic+analysis+anthropology&ots=Vwe01uBe3l&sig=2EfRTfVyeZZyfOoIRHQwxase2K0#PPP1,M1)

← [History of Anthropological Theory](http://en.wikibooks.org/wiki/Cultural_Anthropology/History_of_Anthropological_Theory) · [Communication and Language](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language) →

← [History of Anthropological Theory](http://en.wikibooks.org/wiki/Cultural_Anthropology/History_of_Anthropological_Theory) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Communication and Language](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language) →

  


# Symbolism and Communication

# Play

In this section, the word play will be discussed. The type of play that is going to be talked about is an activity; something that somebody would do outside or inside, alone, or with family and friends. [Playing](http://en.wikipedia.org/wiki/Play_\(activity\)) is defined as the engagement of activity or recreation for enjoyment or for a practical purpose. This engagement serves as an important aspect of a child's development as well as a grown adults. In order for something to be defined as play, the activity must be created by the players, be enjoyable and be somehow related to the nonplay world. By playing, children and even adults are training their bodies and brains for real life situations. The act of playing is voluntary, and can include multiple people or just one person. Sometimes play can be considered a game where there are certain goals, but other times play has no purpose at all. There are no guidelines on how to correctly play because playing is a creative experience for the participants. However, the United Nations High Commission for Human Rights has said that play is a right of every child. By playing, children are acquiring skills such as cooperation, creativity and decision-making skills that they will need to develop for the future. According to a report by Kenneth R. Ginsburg, “play is important to healthy brain development” [The Importance of Play](http://www.aap.org/pressroom/playFINAL.pdf). According to the Child Development Institute, “75% of brain development occurs after birth,” so the pattern and connections made between nerve cells are stimulated and influenced by the activities children engage in, such as play. This important development influences “fine and gross motor skills, language, socialization, personal awareness, emotional well-being, creativity, problem solving and learning ability,” which are all key building blocks for children’s future as they develop.[[5]](Print_version.html#cite_note-22)Therefore it is encouraged for children to play, and continue that play throughout their lives. Play allows children to experience many different aspects of life in a make-believe world. Play increases the creativity and originality of children’s minds while they invent new games. Also in many games the children create rules to follow which further demonstrates the creativity of the children’s minds. Studies have also been shown that "while in free play children tended to sort themselves into groupings by sex and color". [[6]](Print_version.html#cite_note-23) For many years, anthropologists paid little attention to the significance of human play; It wasn't until very recently that modern anthropologists realized human play was an important factor of studying human behavior. Play is now viewed as universal and is seen as significant in understanding human cultures. [[7]](Print_version.html#cite_note-24)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Play.jpg/200px-Play.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Children Playing

### Child Play in the United States

An example of a situation where play is demonstrated and encouraged is in the United States preschool system. In the U.S. it is common for parents to send their children to preschools where they interact with other kids of the same age. While at preschool, the children are encouraged to interact and play with their peers. The opportunity to play is given in almost every aspect of the schools, from dress-up stations, to recess, and to daily circle time. The preschoolers are presented with toys and props that encourage play as well. These items are used so that the children are given the chance to create their own games rather than have the adults control them. These games allow the children to play and think creatively together. Psychologist Dr. Sandra Shiner says about fantasy games, “we should encourage this in our children because creative thinkers must first fantasize about ideas before they can make these ideas reality." Preschool allows children to be creative and invent their own games, ideas and thoughts. In the United States parents are encouraged to send their children to preschool so that they can learn ways of play that will help them develop as the year's progress and they enter the realm of higher education. Preschool and the idea of play in this context is also beneficial to young children because it teaches the life skill of sharing. At the time when children are entering preschool, they are just figuring out that the world is not, in fact, centered around them and everything does not belong to them. They are learning that others have feelings too. The concept of sharing while in a playing environment will encourage them to learn patience and gain friendships. [[8]](Print_version.html#cite_note-25) Preschool not only offers a sanctuary to build sharing skills, create friendships, and expand a child's imagination it also can be good for the health of some children. For example, children with special needs can go to preschool for therapeutic benefits. Play time allows for fine-motor development, relationship practice, creative thinking, and above all an opportunity for fun. Many schools devoted to special needs children utilize a technique called floor-time, which, at its core, is play-time. This one-on-one play time with an adult is a great way for special needs children to explore specific areas of interest and develop a sense of self-worth based on said exploration. [[9]](Print_version.html#cite_note-26)

While interacting with an adult and gaining the benefits of the individual attention, the child also gets the experience of working along side a peer. Because often special needs students need more intensive supervision it is nice to give them the opportunity to solely play with a friend or peer. This type of interaction is essential so the child can feel comfortable and more involved with the rest of the class. These tools that are taught in preschool will be the building blocks for the rest of the school years so its vital that kids acquire the right tools necessary for learning and interaction.

### Play Beyond Childhood

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2b/BallonKathedrale01.JPG/250px-BallonKathedrale01.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Hot air ballooning in Austria.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Party_hard.jpg/220px-Party_hard.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Party in Barcelona!

Throughout childhood play is essential for healthy growth. As we mature into adulthood "play" isn't something we think about everyday, however it is still a vital part of your mental well being. As Jack Nicholeson said in the movie The Shining, "all work and no play makes jack a dull boy." To satisfy the need for play, adults go about recreation in different ways, from parties and sports, to hobbies and miscellaneous events (such as hot air ballooning!)

"Partying" for many adults allows them to meet new people and relieve themselves from the stressful life of work they engage in during the week. Just as playing helps children develop social skills, this adult version of recess allows adults to have a chance to mingle and be merry. Some studies show that the social skills people learn as children often occur when they become adults, which stresses the importance of safe and pleasant playtime that children need in order to grow up feeling the same enjoyment through their adult leisure activities. [[10]](Print_version.html#cite_note-27)

An activity not often thought of is hot air ballooning. It is a very fun past time for many people throughout the world. Hot air ballooning rallies happen all over the world and bring together many different cultures. Ballooning literally allows people to escape the world they live in everyday. It can be anything from a sightseeing adventure, to a romantic date or an elaborate family pick-nick. This example shows that even the most random activities can open people up to new adventures they never dreamed of as a child and can extend their play to new limits.

# Sport

Sport is a type of play that is governed by a set of rules. In most cases it is considered to be physically exertive and competitive. In almost all forms of sport the competition determines a winner and loser. In an example of different extremes of physical exertion golf tends to be less physical compared to football being really high at the same time being equally as competitive. Sport tends to contain both play, work and leisure. Less physically exertive forms of the sport tend to constitute play, while more exertive and athletically demanding forms often serve as work for athletes and owners of sports teams. However, sport is generally defined by conflict. The goal is always for one opponent or team to win. This creates a different setting than real-world culture, where conflict-resolution is often the goal. This type of play, because it is defined by set rules, creates a virtual world where participants can create heroes, enemies, suffer and celebrate, all without (normally) real-world consequence. Athletes and teams exist not only to oppose each other, but to represent themselves as players, their teams, their hometown, the city they plain, and their countries as best they can. [[11]](Print_version.html#cite_note-28) Sports often unite groups of people together for a cause. They can group teammates together to strive to compete at their best or they can unite entire countries to become fans of one particular sport or team. For example, America is united by baseball, a sport that is considered the country's favorite pastime, whereas England is united by football/soccer, a sport that has been played and supported for hundreds of years. Sport is an entertaining way for people to gather and learn the aspects of competition and teamwork, which can be learned anywhere from childhood to adulthood.

## Sport in Culture

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/U20-WorldCup2007-Okotie-Onka_edit2.jpg/220px-U20-WorldCup2007-Okotie-Onka_edit2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A goalkeeper saving a close range shot from inside the penalty area

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Football_world_popularity.png/350px-Football_world_popularity.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Map showing the popularity of football around the world. Countries where football is the most popular sport are coloured green, while countries where it is not are coloured red. The various shades of green and red indicate the number of players per 1,000 inhabitants.

### Football Soccer

Sports hold a variety of different meanings across cultures. In a study of soccer in Brazil, Dr. Janet Lever finds that organized sports aid political unity and allegiance to the nation-state[[12]](Print_version.html#cite_note-29) . In Brazil, every city is home to at least one professional soccer team. Interestingly, different teams tend to represent different culture groups, such as different economic levels and ethnicities. This creates allegiances at a local level, but the team that represents a city in the national championships will have the support of all the people of that city, thus building political unity on a greater level. Having this firm support for the representation of teams gives people something to identify with. Their support for their team can be taken as giving support to their nation.This is even more so in World Cup championships, when the entire country of Brazil unites to support their country's official team. Brazilians fans like to boast about 'Penta' since they are the only country to win the World Cup five times; 1958, 1962, 1970, 1994 and 2002.[[13]](Print_version.html#cite_note-30) Soccer not only unifies the country of Brazil. It is important to note that sports do not always create unity. Sports bring out a aggressive and competitive side in all athletes. However, those with those qualities are the ones to watch for they truly know how to play the sport and aren't afraid to play dirty. They also highlight inequalities, such as gender segregation between men and women. Brazilian women are far less interested in soccer, and as a result, remain separate from men in that aspect. (I don't believe this last statement is very accurate. Brazilian women are some of the most passionate soccer fans in the world. Also, Brazil women's national team is among the most successful club in the sport.)[[14]](Print_version.html#cite_note-31)

Just as in Brazil, soccer is a major characteristic of Serbian culture that is traditionally considered a male sport. In the Republic of Serbia it is thought that playing soccer enhances qualities. These aspects include aggressiveness, competition, physical strength, coordination, teamwork, discipline, and speed. These are all qualities attributed to the male gender. It is a common practice for men to watch games together in their homes, in front of local stores, etc. Women are not welcomed at these gatherings and are often asked to leave before the game starts or asked not to come until the game is over. This male dominated aspect of Serbian culture parallels the gender segregation between men and women found in Brazil.[[15]](Print_version.html#cite_note-32) Another inequality that soccer highlights is the difference between the upper class society and lower class society. Soccer was especially practiced by the lower income people throughout the 20th century. Many poor boys are dreaming of becoming the next Pele or Ronaldo and because of this, they promote the national soccer culture even more. Dreaming about soccer is a motivation for millions of poor children who want to escape from their poverty. The combination of soccer and living in poverty balances out the good and the bad. In Brazilian life it's not uncommon for soccer culture to have a bigger influence than politics or economics. [[16]](Print_version.html#cite_note-33)

In Italy “calcio” (football / soccer) is a symbol of national pride for many people. From childhood on, it is stressed that one must become a loyal supporter of the local club team. This passion can quickly ignite rivalries with neighboring towns and cities. It is not uncommon for the “tifosi” (fans) to start fights at soccer stadiums. Every four years, the World Cup Tournament unites Italians from different economical, political, and geographical backgrounds into one proud country. This strong national pride as helped the “Azzuri” win four World Cup Trophies and one European Championship. [[17]](Print_version.html#cite_note-34)

Soccer in the Northwest United States is growing, but participant numbers are still below those of the main American sports (Football, basketball and baseball). There are increasingly more fields and complexes to play on, which adds the growth of the sport. The largest current addition to Northwest soccer came when Seattle was given an MLS team, The Sounders, in 2009. While the sounders have been around since 1994 in the USL First Division[[18]](Print_version.html#cite_note-35), this is their Major League Soccer début. Seattle has embraced their new team selling out their first four games. [[19]](Print_version.html#cite_note-36)

### American Football

In the state of Texas, Football (American) is a cultural phenomenon. Children are regularly held back in school in order to be more physically capable for football later in their schooling careers. Education has taken a back seat when compared to football, leading many parents and citizens to question the ethics of promoting football over intellectual pursuits. The fanaticism of football in Texas rivals that of the rest of the worlds obsession with soccer. [[20]](Print_version.html#cite_note-37)

Texas may be the state with the most passion about American Football out of the United States, but most of the other forty-nine states also have that same love for the game. The game has many widely televised games that draw a large audience every year. These games include the Super Bowl by drawing in hundreds of millions of television viewers each year in early February, and college football's multiple BCS (Bowl Championship Series) bowl games that occur around and on New Years Day. [[21]](Print_version.html#cite_note-38) Florida's love of football is not as big as Texas but with five college teams to choose from and three NFL teams the choice of a team to follow depends on where you live. Also there is a rivalry between Florida and Florida State they call it the battle in the swamp and the state of Florida is pretty much divided when these two teams play.

The National Football League (NFL) is the where there are 32 pro teams all around the United States. The NFL has all the best football players in the world playing in their league. The majority of the players get into the league through the NFL Draft. In the past, the draft consisted of 17 rounds where all the teams would have one selection each round. Now there are seven rounds in the draft where each team has one selection in each round. The minority of players who get into the NFL when they don't get drafted is when they get signed as a undrafted free agent. This typically occurs during the next few days after the NFL Draft. The NFL is becoming more popular globally. In the 2008-09 NFL season, the New Orleans Saints and the San Diego Chargers played regular season game in London. This was done to help make the NFL more global. The NFL plans to have more regular season games located outside the United States in the future.

### Baseball

Another sport that aids political, social, and economic aspects of culture is baseball. This universal sport has been the center of cultural life in the Dominican Republic, connecting Dominicans to each other, as well as to the rest of the Caribbean for over 100 years. [[22]](Print_version.html#cite_note-39) This small Caribbean island has been the home to many of the best players in Major League Baseball in the United States, where the major league is run and the world series is played. Major League Heroes such as Sammy Sosa, Pedro Martinez, and David Ortiz all excelled in this sport in the Dominican Republic in order to reach their ultimate goal of playing professionally in the United States. Since the Dominican Republic is an economically poor country, little boys and teenagers alike work their entire lives to try to be the best baseball player that they can be. This constant competition is a great source of entertainment, which is why baseball games are a huge part of Dominican culture. Quite like soccer, though, most women are forbidden to partake in this sport. This rule is not so much sexism as it is an attempt to keep women safe. Dominicans believe that baseball is a dangerous sport for women because of the hard ball that can be hit anywhere at any given moment. Although it is not a law that women cannot play baseball, they traditionally do not partake in this cultural pastime. For men in the Dominican Republic Baseball is not only a great hobby and way to relate to each other, it is also an opportunity to strive to become the best athletes they can possibly become. [[23]](Print_version.html#cite_note-40)

### Basketball

Equally popular in the United States is the sport of basketball, which has a growing global following as well. Basketball is played with five players on each team. Most professional level basketball players are immensely tall. Basketball is played widely throughout the United States and is popular with both men and women, both having professional leagues. It is a tremendously competitive sport that takes tremendous athletic ability to become skilled. Basketball is also one of the most popular and widely viewed sports in the world.

In 1949 the NBA, National Basketball Association, replaced the BAA, Basketball Association of America which had first been organized in 1946. This franchise has become so large that is the top professional basketball in the world based on salary, popularity, talent and competition levels. An approximate 17,558 spectators attend these games regularly with the Chicago Bulls, Detroit Pistons, and Cleveland Cavaliers bringing in the most.

The battle for equality of woman's sports has been an ongoing struggle for many years. The WNBA wasn't started until 1997, but with stars such as Sheryl Swoopes, Cynthia Cooper, Lisa Leslie, Diana Taurasi, and Candace Parker made a rise in popularity. Sheryl Swoopes and Cynthia Cooper lead the Houston Comets to wins in the first four WNBA championships and were the first WNBA dynasty. The WNBA has become so popular that its viewers has topped that of both the NHL and MLB. Title IX helped make a huge impact on the WNBA because it helped out college basketball players, allowing to give them scholarships. Besides the United States, basketball is also extremely popular in many other countries.

### Rowing

Rowing, also known as crew, is an age-old sport dating all the way back to 1274, coming up in Venetian documentations as boat races between different forms of aquatic “display and entertainment.” It was known before then as a life saving method. A couple hundred years later, royal boat parades were held in London. Between 1454 and the early 1800’s several different forms of parades, festivals and spectacles were watched by thousands of viewers. In 1805 the first modern boat race, or regatta, was held in Australia. The first crew race to include women was sighted in 1814. 1829 began the ever-ceremonious race between Oxford and Cambridge, a rival that still continues today. The first American inter-collegiate race was between Brown, Harvard, Trinity, and Yale in 1858 in Springfield, Massachusetts. It was cancelled due to one of Yale’s boats men drowning, therefore, no winner was declared. That was also the major beginning of the sport in the United States. The Inter-collegiate Rowing Association, or IRA was formed in 1895, holding its landmark regatta on the Hudson River in New York. 1923 was the first year a western team had ever won the IRAs, the University of Washington claiming the victory. The U.S. men’s eight received their third gold medal at the World Championship in 1999. Rowing is such a big part of the ivy-league schools and is quickly spreading to other state universities, becoming widely renowned.[[24]](Print_version.html#cite_note-41)

### Other Sports

Sports also provide a safe alternative to political conflicts. When two conflicting countries meet in a sports arena, the rivalry is never more intense. European soccer has often swayed relationships between countries, and perhaps one of the most awesome instances of this power of sport came in the 1980 Olympics, when the United States defeated the dominant USSR in the semifinal round of hockey. Although America was in a time of crisis, the U.S. Hockey teams race for gold brought hope to an entire nation in despair.

Historically lacrosse dominated the culture of many native American tribes. It was used to settle inter-tribal disputes, toughen the young men, celebrate festivals, and for religious reasons. It helped keep the six nations of the Iroquois united. The Mohawk Indians called it the little brother of war. All of the able bodied men would compete on a field that could be from 500 meters to a few miles long. The games would last from sun up to sun down for up to three days.[[25]](Print_version.html#cite_note-42) Lacrosse since then has shifted away from a cultural tradition into a sport played by people of all ages.

Taekwondo is the national sport of South Korea. This form of martial arts has spread worldwide and is the most popular by means of people who practice this form. Taekwondo in Korean means “the way of the kicking and punching.” This form of fighting is a main part of South Korea's military training. It combines the uses of self defense, sport, philosophy, and meditation. It is also a sport for the summer Olympics.

Videogames are becoming increasingly popular in developed countries, such as American, Japan, and some European countries, so much so that an new format of professional gaming is being developed. Major League Gaming (MLG) is growing in nations all around the world, setting up tournaments with the goal of winning cash prizes. These prizes can exceed 10,000 for team play, and individual play around 6,000 dollars. Games such as counterstrike and Halo 3 are the leading games played. [[26]](Print_version.html#cite_note-43)

### Professional Sport Salaries

Professional sports athletes can earn tremendous amounts of money. They are some of the wealthiest individuals on the planet. Tiger Woods was the highest paid athlete in 2008, raking in a jaw dropping $127,902,706 and almost $800 million for his entire career including both tournaments won and endorsements from companies. Lebron James made an astounding $40,455,000 in 2008. Alex Rodriguez signed with the Yankees for 10 years worth $275 million.[[27]](Print_version.html#cite_note-44) The odds of becoming a professional athlete are terrible. Approximately 2-4 people out of 100,000 will become a paid athlete.[[28]](Print_version.html#cite_note-45)

One thing to notice about these superstars is that many play in the United States. While sports are big in every country to some extent- American's view entertainment much as the Roman's did ages ago. The U.S. is like a modern day Rome in how much value we place on this entertainment- so much so that we pay NFL players millions of dollars to run around for our amusement.

### Positive Effect of Getting Involved in Sports

Becoming involved with sports is beneficial in a number of ways. It promotes a healthy lifestyle, team building opportunities, strength, perseverance, leadership, discipline and confidence in yourself and your abilities on and off the field. These are all important characteristics that will help children grow into strong, independent, smart and driven individuals. Through the participation in sports, a young person faces hardships that they learn to overcome. This translates into confidence when they face hardships in other aspects of life. Growing up with these values in place will make the transition to adulthood a lot easier. It is hard to stand strong against peer pressures if a person doesn't have their core values and inner strength developed. Being physically fit also increases confidence and body posture. Participating in sports is a great way to improve self esteem and become a physically and mentally strong individual. It has been researched and possibly proven that teenage girls that are involved in sports may lead safer and more productive lifestyles. [[29]](Print_version.html#cite_note-46)

  
Many girls who are not involved in physical activities are at higher risks of teen pregnancy, abusive relationships, and developing eating disorders. According to The California Women's Law Center stated that, "female athletes are more likely to have their first intercourse at a later age, more likely to use contraceptives, have sex less often, and have fewer sexual partners. Not surprisingly, female athletes are more than half as likely to get pregnant as female non-athletes." Girls that gain confidence and self-esteem by participating in sports are more likely to make more responsible and smart decisions that affect their life. It has also been proven that female athletes get better grades and perform well on standardized tests. For example, swimming is one of the top academic performing sports along with tennis and track and field. The habits of the sports carry over into school performance. When girls are given goals and kept busy their focus becomes in lined with what is best for their physical and emotional health. Coaches and parents begin to develop subconscious expectations for the athletes that keeps them from getting involved with activities that they shouldn’t be involved in. Athletes (girls AND boys) are better able to keep on task and stay organized. [[30]](Print_version.html#cite_note-47)

  
A test done by Russell R. Pate, PhD; Stewart G. Trost, PhD; Sarah Levin, PhD; Marsha Dowda, DrPH found that approximately 70% of male students and 53% of female students reported participating on 1 or more sports teams in school and/or nonschool settings; rates varied substantially by age, sex, and ethnicity. Male sports participants were more likely than male nonparticipants to report fruit and vegetable consumption on the previous day and less likely to report cigarette smoking, cocaine and other illegal drug use, and trying to lose weight. Compared with female nonparticipants, female sports participants were more likely to report consumption of vegetables on the previous day and less likely to report having sexual intercourse in the past 3 months. <<http://archpedi.ama-assn.org/cgi/content/abstract/154/9/904></ref>

    TaeKwonDo
    From a personal experience, I earned my black belt in TaeKwonDo at the age of fifteen. Not only through the whole process of going to practice five days a week and develop physical strength, I learned skills of respect for others and myself that really paid off. I became very independent, a Christian, and set standards for who I am going to date as an act of self-respect. Without TaeKwonDo I know I would still be a very shy and insecure girl. TaeKwonDo has made me the person I am today. [[31]](Print_version.html#cite_note-48)

  


Sports promote healthy and active life styles and help build strong, confident and independent people in culture's all around the world. Participation in sports has been linked to success in math and science, subjects traditionally dominated by men. One explanation is that sports may help girls resist traditional gender scripts that limit persistence and competition in these areas. To explore this, we contrast the effects of sports for boys and girls on academic domains that are stereotyped as masculine (physics) and feminine (foreign language). Furthermore, we differentiate sports by those characterized as masculine versus feminine to identify activities that may reinforce versus challenge traditional gender norms. Sports overall have positive effects: compared to non-participants of the same sex, girls are more likely to take physics and foreign language, while boys are more likely to take foreign language. The sport categories reveal divergent patterns for boys and girls, with masculine sports associated with physics for girls and foreign language for boys, while feminine sports are associated only with foreign language for girls. These findings confirm prior research that sports improve academics, but suggest that sports do not have uniform effects. While some sports may potentially counteract traditional femininity and help girls persist in masculine domains, other sports may not provide the same benefits.(Crissey, S. R., Pearson, J. and Riegle-Crumb, C."Gender Differences in the Effects of Sports Participation on Academic Outcomes")

Physical exercise is any bodily activity that enhances or maintains physical fitness and overall health. It is performed for many different reasons. These include strengthening muscles and the cardiovascular system, honing athletic skills, weight loss or maintenance, and for enjoyment. Frequent and regular physical exercise boosts the immune system, and helps prevent the "diseases of affluence" such as heart disease, cardiovascular disease, Type 2 diabetes and obesity.[1][2] It also improves mental health and helps prevent depression. Childhood obesity is a growing global concern and physical exercise may help decrease the effects of childhood obesity in developed countries.[[32]](Print_version.html#cite_note-49)

[[33]](Print_version.html#cite_note-50)’ When being highly involved in sports, overall health becomes a top priority as well. Learning time management skills is key when every day consists of six hours of school, sports, family time and homework because otherwise the human body would be exhausted and worn down and would not be able to perform as well as they could. When people are in better physical shape, it is much more motivating to develop healthy eating habits that will last a life time. Developing healthy eating habits give people more energy to perform well in sports and exercise, and will also help prevent diseases such as heart disease and diabetes. Therefore, exercise through sports and exercise must be accompanied by a healthy overall lifestyle. Not only did I learn healthy habits physically, but mentally and emotionally as well. I also developed many long term friendships while participating in sports. Playing sports had a very positive influence on my life and instilled a strong set of morals and integrity. Almost all of my friends were involved in the same sports which gave us a great way to connect with one another. [[34]](Print_version.html#cite_note-51) Having healthy habits requires healthy eating habits, which requires the essential nutrients: Protein, carbohydrate, lipids, vitamins, minerals, water. In a society filled with sports and outdoor recreation it’s important to remember that it’s not just the exercise that keeps the body healthy, good nutrition does too. The two go hand in hand and you will have double the results and positive effects by practicing both. A great way to stay on top of your health or become knowledgeable about it is by visiting the website MyPyramid.gov. [[35]](Print_version.html#cite_note-52) Also knowing your family history is very important when it comes to making lifestyle changes. My grandfather passed away two years ago from pancreatitis from not taking care of his diabetes. His pancreases slowly digested itself resulting in a very painful death. I have family members with diabetes, a history of strokes, and heart attacks on both sides of my family. I know that I need to watch my sugar intake and overall health because I am at high risks. After watching my grandfather die of a preventable disease, I have been motivated to get the proper nutrition and exercise daily. [[36]](Print_version.html#cite_note-53)

### Healthy Living

There is currently an epidemic in America regarding overeating and unhealthy lifestyles. One major concern is that of the rising obesity rate in young children. Children are growing without knowledge of correct diets and exercise and by the time they mature, they have become involved in a lifestyle that is unhealthy. In comparison to other countries, America is falling behind in the movement towards a healthier world. Other reasons for this recent spike concerning obesity in America are the rapid development of technology over the past century, which has almost completely removed physical exercise from our daily routines, unless one makes a purposeful effort to exercise. Some examples of technology that are blamed are the invention of automobiles, which has taken away the aspect of walking from one place to another, and the invention of the assemble line in factories, which makes, packs, and ships food in a faster and more efficient way. [[37]](Print_version.html#cite_note-54) Also from these developments we have achieved the ability to stock grocery store shelves with inexpensive, high calorie, good tasting food produced in bulk.[[38]](Print_version.html#cite_note-55) These technological developments have allowed America as a society to grow in population, while at the same time damaging the health of its own citizens.

  
Healthy living and physical fitness are very important aspects in our daily lives. Being physically fit not only helps people live healthy lives; it also helps people live longer. If you are able to keep up an active lifestyle throughout your life you will be able to slow the onset of osteoporosis as well as reduce chronic disease risk. Also, people who make physical activity and exercise a part of their daily lives when they are young are more likely to keep it in their lives as they grow older and benefit from it throughout their lifespan. Physical activity is defined as any movement that spends energy. Exercise is a subset of physical activity, but it is an activity that is structured and planned. While many children engage in physical activity, usually by playing with their friends, the amount of physical activity they get as they grow into adolescents usually declines. In America today obesity and overweight occur in over 20 % of children. On top of that, inactivity and poor diet contribute to 300,000 deaths per year in America. It’s proven that significant health benefits can be obtained by including 30 min of moderate physical activity, which must be performed at a minimum of three days per week, and can even be split up into three 10 minute chunks, which will reap the same results as one 30 minute session. However more frequent exercise will certainly lead to more rapid improvements. [[39]](Print_version.html#cite_note-56) [[40]](Print_version.html#cite_note-57)

The positives effects of being participating in sports are numerous. First of all, being involved in sports ingrains in you a lot of values and disciplines in the sport you are playing and also just in life. Playing in sports helps you develop team work with your teammates. Everyone on the team is striving for a common goal (to win) and it takes unselfish team play to have success in sports that have teams. It also develops a discipline of hard work. Success doesn’t come easy and in order to succeed in sports and in life, you will need to work your tail off. When you practice dedication and hard work in a sport you play, you realize how much work it takes to succeed and in the future, it is more likely for you to succeed later in life. Sports are very positive. [[41]](Print_version.html#cite_note-58)

We are currently in the middle of an obesity epidemic within our country. The rate of obese people has tripled in the past 15 years. It's been found that 60+% of American adults are not regularly active. In order to maintain a healthy weight and balance caloric intake you must get a minimum of 60 min of moderate to vigorous activity most if not every day of the week. The rising obesity rate shows problems for development of infants. Due to the increased amount of body fat more overweight babies are being born. Overweight babies are shown to have motor development delays and therefore experience a phase of "catch-up" development. If we begin to instil proper nutrition and exercise habits in adolescents we should be able to keep this epidemic from proceeding into the next generation. [[42]](Print_version.html#cite_note-59)

### Benefits of a Team

Working with other athletes on a team creates a tight knit community, for one learns to trust the other players and learns to rely on the help of others in order to obtain a common goal. The environment in a functioning team is collaborative and non-threatening; allowing for more open and focused learning. Skills such as combined effort and compromise are learned far quicker in competition. These sorts of connections can last beyond the field of play and carry into athletes’ social and business lives. For example, how one plays and communicates on the field can reflect how one communicates to members at a business meeting and how they work to obtain their goals. Working in teams can benefit a group to overcome difficult challenges because the minds and work of a group can be more powerful and successful than just one person. They allow for diversity in thought on how to approach a challenge and allow for the group to be sustained by constant support. [[43]](Print_version.html#cite_note-60) The effects of being on a team can leave a lasting impression on a person and can help their overall well-being.

As a personal testimony to the benefits of sports I played basketball for 12 years, softball for 6, soccer for 4 and am now playing rugby. Sports have maybe me more health-conscious, more motivated, more focused, and more energetic. However, these are not only showcased on the pitch. My ability to focus and to perform under pressure has been carrie dout in my work and also in school. Being part of a team enables me to communicate much better with others, consider others needs, solve critical thinking problems in a more effective way, and has also made me a better leader. sports have given me a better understanding of myself and my role in relationship to those around me.

### Negative Aspects of a Team

Although teams generally create a positive environment and learning experience, that is not always the case, especially at the high school age level. At high school, anyone is welcomed to try out for sports teams whether they’re experienced or a beginner. In these tryouts, they are instructed to perform various drills to demonstrate ability and potential, which usually result in the older more experienced players being selected for the varsity team, with the less experienced but potentially good younger players on the JV and C teams. The idea of it is to earn your spot on the team, but this does not mean the system is perfect. Many teenagers come into these tryouts working their hardest to prove themselves and earn a position, but many of these same young adults are extremely disappointed and discouraged when they don’t make the team. It is at this time that the coach’s interaction with them is critical. If they are overlooked because their family didn’t know the coach’s family like their friends that made the team did, or because they were recovering from an injuring and weren’t 100%, they automatically feel cheated and frustrated. If the coach is not encouraging to them to try again next year, or doesn’t bother to tell them what he/she saw their strengths and weaknesses as and what they could work on to improve, then they are likely to come away with a bad experience with high school sports. And for the students that did make the team, the feeling of relief is only temporary, because although sports are all about competition which can be healthy and motivating, again the coach can turn it into competition among teammates, pitting them against each other for positions and playing time. This can easily create stress not only about doing their best to impress the coach but also worrying about relationships with their teammates as they are trying to build a team with trust and support, while at the same time the players are doing whatever it takes to get ahead of their teammates, creating the opposite effect.

# Cultural Arts

Art is stemmed from playful creativity; something that all human beings possess. Keep in mind that those activities described as “art” are different from free play because they are circumscribed by rules. This includes sport, dancing, theater arts etc. Artistic rules direct particular attention to, and provide standards for evaluating the form of the activities or objects that artists/players produce. Anthropologist Alexander Alland defines art as “play with form producing some aesthetically successful transformation-representation” (1977, 39). In Alland’s definition: form is the appropriate restriction(s) put upon the type of play being organized. For example, a painting is a two-dimensional form. “Aesthetically successful” means the creator of the piece of art” and/or audience “experiences a positive or negative response” from the art piece. Something aesthetically poor in quality will have an unsuccessful response resulting in an emotion of indifference towards the art piece from an audience or even from the author. The easiest way to explain the term transformation-representation is to remember that symbols represent something other than them and may not have any connection with what they are representing. Since Alland suggests that transformation-representation have a dependency on one another, the two should be referred to together as well. Transformation-representation is another way of talking about a metaphor. A drawing is a metaphoric transformation of experience into visible marks on a two-dimensional surface. Also, a poem metaphorically transforms experience into concentrated and tightened language. Art by intention includes objects that were made to be art, such as Impressionist paintings. Art by appropriation, however, consists of all the other objects that “became art” because at a certain moment certain people decided that they belonged to a category of art. Most often the category was formed by Western society and the objects or activities may not necessarily fit in that same category in another society’s culture. [[44]](Print_version.html#cite_note-61) Anthropologist Shelly Errington argues that in order to transform an object into art, someone must be willing to display it. When Western society sees an item that fits their definition of art, it is placed on the “art” market. Errington also noted that the Western view of art tends to select objects that are: ‘portable, durable, useless for practical purposes in the secular West, and representational.’ A problem exists where Western’s definition of art begins to exploit certain cultures for their objects that offer ‘exotic’ allure. The demand for ‘exotic’ art in Western society, for example, is strong. This art is typically fashionable decoration at one moment and out of fashion next year. This “come-and-go” fashion can threaten international economic policies and resource extraction projects with the artefact bearing society. Similar to play, art challenges its contributors with providing alternative realities and the opportunity to comment on or change worldly views. [[45]](Print_version.html#cite_note-62)

## Music

### Definition

Above all, music is the organization of sound and silence. Beyond this, music means many things to many people, including:

  1. A sound, or the study of such sounds, organized in time in a melodious way.
  2. (figurative) Any pleasing or interesting sounds
  3. Something wonderful. 

    _That's **music** to my ears!_
  4. A guide to playing or singing a particular tune; sheet music.
  5. Appreciation of or responsiveness to sounds or harmonies 

    Music was in his very soul.

[[46]](Print_version.html#cite_note-63)

  1. An art form whose medium is sound organized in time.

[[47]](Print_version.html#cite_note-64)

### Introduction

Music dates back to prehistoric time. The "oldest song" ever discovered was in "cuneiform, dating to 4,000 years ago from Ur." This indicates to historians that people in many cultures throughout time have listened to, and used music in their cultures. The Greeks in ancient times would use basic pipes to create phonic sounds and compose tunes. Though it wasn't until later music became true entertainment for people in their everyday lives. This happened in the Medieval era when music began to be recorded by writing it down. The Church devoted huge amounts of money to the writing of Gregorian Chants, named for the Pope at the time. It was through the churches that all this music was recorded and saved. With the invention of the printing press, however, more non-theistic music was able to be recorded. The powerful connection people had with each other through music only got strong as the decades went by. It was music that brought the people together during the 14th century because of their poor economy. As the centuries keep going music only becomes more and more powerful and popular. Music is also way to express feelings and stories across time by using selective lyrics or notes. Other creatures, besides humans, also use music as a way to portray an expression through either productive uses like mating songs or simple uses like a singing bird. Music changes with the cultures and people who listen to it, compose it, and invent it. In every corner of the world at any time, one will find music. [[48]](Print_version.html#cite_note-65)

### Song and Words

Although the major discussion of text and literature is within the chapter on [Communication and Language], the anthropological study of song, or words as art, warrants its own discussion here in the context of play and art. A quote to keep in mind though when studying cultural arts such as music and dance is "There is nothing more notable in Socrates than that he found time when he as an old man, to learn music and dancing, and he thought is was time well spent."- Michael De Montaigne[[49]](Print_version.html#cite_note-66)

### Indie

Indie music is music produced without the help of major music labels. Indie is short for "Independent." Indie artists usually do not associate themselves with big names labels, hence the independence. It is more of a do-it-yourself music. A lot of bands, not only in the US but all over the world, pride themselves in being able to make it big, without the help from a major label. Indie bands also tend to focus on the love of their music more, rather than just trying to make money. While Indie music is becoming more popular with the current generation, independent artists were first recognized in the 1980's, such as the B-52's and later Nirvana. These bands who have made a distinct name for themselves were once considered "college radio music" and made their careers through the independent music scene. [[50]](Print_version.html#cite_note-67)

### Folk

There are a number of different meanings related to folk music, but it is most commonly referred to as traditional music. It has also been known as world music or roots music. The term “Traditional music” is used because it gives it a more specific meaning in order to distinguish it from the other definitions given to describe “folk music.” [[51]](Print_version.html#cite_note-68)

##### American Folk Music

In American culture, folk music refers to the style that emerged in the 1960's. Typically folk artists use acoustic instruments and vocals to convey messages about current events, often with lyrics communicating the artist's views on social or political issues. [[52]](Print_version.html#cite_note-69) The Folk genre exploded in the 1960’s with artists like Bob Dylan and Joan Baez. Before the 1960's explosion of folk music into popular culture, folk music thrived with artists such as Woody Guthrie and Ramblin' Jack Elliot. Some modern day artists such as The Tallest Man On Earth produce music which is heavily influenced by Bob Dylan. [[53]](Print_version.html#cite_note-70)

### Rock and Roll

Rock and Roll is a form of music that evolved in the United States in the late 1940s and early 1950s. Rock and Roll incorporates elements from many genres including doo-wop, country, soul and gospel, but it is the most closely tied to the blues, a well known example of this is Elvis Presley's music. It is from here that it gains its earliest chord progressions and lyrical style. Many artists have gone on to cover and recreate the sounds of early blues musicians such as Son House, Robert Johnson, Ledbelly, and BB King(the king of blues). This style spread to the rest of the world, causing a huge impact on society. Rock and roll is characterized by an emphasized off beat, or the 2nd and 4th beat of a four-four time signature, guitar use, electronically amplified instrumentation and lyrics that range in terms of subject matter. [[54]](Print_version.html#cite_note-71)

New York was an important center for several styles of popular music originating in Tin Alley. Swing Dance bands and the crooners who sang with these bands helped keep American optimism and spirit alive through World War II. Rock music developed out of the number of different styles of music that existed in the forties and became a style of its own in the early fifties. In many ways, the popularity of rock music among both black and white musicians and fans aided the movement toward racial integration and mutual respect of people of any ethnic background. [[55]](Print_version.html#cite_note-72)

#### Rock

Rock Music, birthed from heavy blues influence, has gone on to father countless genres and sub-genres including but not limited to: Punk-Rock, Post-Rock, Hard Rock, Heavy Metal and Grunge. These Genre's are extremely popular in White/Caucasian cultures stereotypically, though no form of music is ever limited to one culture.

##### Post Rock

Post Rock employs basic heavy rock instrumentation and expands upon song structure basing organization around building, which is referred to as crescendo in music terminology. Post rock bands are largely instrumental (no vocals) and generally don't use a verse-chorus song structure. Instead, a typical post rock song will begin with one musical idea or melody, and build on it until the level of sound and volume are overwhelming. At that point the song is brought back down to a close. Some popular post rock bands include Explosions In The Sky, This Will Destroy You, and Godspeed You! Black Emperor.

##### Punk Rock

Punk rock is a rock music genre that developed between 1974 and 1976 in the United States, the United Kingdom, and Australia. Rooted in garage rock and other forms of what is now known as protopunk music, punk rock bands eschewed the perceived excesses of mainstream 1970s rock. They created fast, hard-edged music, typically with short songs, stripped-down instrumentation, and often political, anti-establishment lyrics. Punk embraces a DIY (do it yourself) ethic, with many bands self-producing their recordings and distributing them through informal channels. This is considered to be “punk rock” style and is as much a stage show as it is a lifestyle. The ethos of this sub-culture revolves around the idea of self-identity and recognition within a world of consumerist ideology.[[56]](Print_version.html#cite_note-73) There is no shortage of bands and musicians who fit into this genre, but when looking at actual songs, genuine “punk” is considered to be loud, fast, and short. These bands generally have a drummer, guitar, and bass, but always include a vocalist which serves as their literal voice as a whole. The vocalist rarely needs classically trained singing skills and is usually not considered “punk” if they have had training in the past because it is a signal of conformity. Non-conformity is a large basis of the punk lifestyle and music. However, many punk bands are not the uneducated, drug-using, degenerates people make them out to be. A large number have a "power to the people" outlook on music and life. If there is a social, economic, or political issue going on in the society around the musicians, you will likely hear about it in the lyrics of the music. More often than not, "punk" music contains mindless non-conforming headbanging noise, yet theirs is a smart rebellious sub-culture that fuels the youth with a "stick it to the man" mindset that is necessary to any citizen-run culture. [[57]](Print_version.html#cite_note-74) [[58]](Print_version.html#cite_note-75) Punk's non-conformist ethos caused it to draw further and further into itself throughout the late 1970's and 1980's due to the media's attempts to classify it. The constant commercialization of "New Wave", as major labels and the media called it, spurred a small but incredibly influential scene called "No Wave". They continued the non-conformist ideals of Punk by making incredibly avant-garde, socially conscientious music. Bands such as Teenage Jesus and the Jerks, D.N.A. and the Contortions headed up this original group of bands. This retreat into increasingly noisy and dissonant music is a fine example of musical non-conformity in action. This scene spawned bands such as the Sonic Youth and the Pixies, both of whom cite it as a major influence. [[59]](Print_version.html#cite_note-76) Some might also say that the punk rock era,in the mid-seventies, started the new genre of indie or independent music, where bands forego signing to record labels. [[60]](Print_version.html#cite_note-77)

### Metal

Heavy metal started in the late 60's and 70's and began as a sub-genre of Rock music. Since then it has grown and expanded so that Metal is its own genre and with a plethora of sub genre's under it.

Metal as a whole is characterized by darker tones and heavy, loud sound. Different facets of Metal specialize in different types of sound, but Metal is basically heavy rock.

##### Black Metal

An extreme sub-genre of heavy metal, black metal uses fast tempos and screaming vocals similar to hardcore music. The term "black metal" was coined by the British band Venom with their second album Black Metal (1982). Black metal has deep roots in the US, but its well known home is in parts of Europe, particularly Norway.

Black metal has been met with great hostility from mainstream culture, mainly due to the misanthropic and anti-Christian standpoint of many artists. Moreover, a handful of musicians have been linked with church burnings, murder or National Socialism. For these reasons and others, black metal is often seen as an underground form of music.

##### Hard Core

Abbreviated hXc, Hardcore started as an offshoot of punk rock music, putting out music of a very fast paced tempo. It is biggest in the US and in parts of Europe. What really sets apart hardcore from punk is the abrasive nature and technicality incorporated. These two features of hardcore gave it the uniqueness needed to branch off from its father genre and become its own, with genre offshoots underneath it. Mathcore, Metalcore, breakcore, and grindcore are all examples off offshoots of hardcore and all are linked by their abrasive nature, fast temps and use of screamed vocals.

### Rap

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Lil_Wayne.jpg/220px-Lil_Wayne.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Lil Wayne is a rap icon in the American rap scene.

Most often, rap is known as the reciting of rhymes to a rhythmic beat, but its roots extend far beyond that. The origins of rap music can be traced all the way to West Africa where it originated. Those who possessed this musical talent were held in high regards to those around them. Later, when the "men of words" were brought to the New World, a new creation of African music and American music were mixed together to create a new sound.[[61]](Print_version.html#cite_note-78) Throughout history, there have been various forms of verbal acrobatics involving rhyme schemes in which rap has manifested, including schoolyard and nursery rhymes as well as double Dutch jump rope chants. Modern day rap music finds its immediate roots in the toasting and dub talk over elements of reggae music. However, reggae was not immediately accepted and thus evolved into something else entirely. One of the first artists to adopt this style was Kool Herc. [[62]](Print_version.html#cite_note-79) Early raps involved reciting improvised rhymes over instrumental or percussive sections of popular songs, often incorporating the use of common slang words. Rap grew throughout the seventies, evolving into a musical form of verbal skill and free expression. It quickly became popular among a younger crowd, giving them an outlet that allowed freedom of expression of individuality. Today, rap continues to be popular in cultures around the world, evolving and moulding itself to fit every culture that it reaches. [[63]](Print_version.html#cite_note-80) An example of the globalization of rap music is the group Orishas[[[6]](http://en.wikipedia.org/wiki/Orishas_\(band\))]. Orishas originated in Havana, Cuba, and often incorporates traditional salsa and rumba beats to their music. The members of Orishas emigrated to Paris, France, and are now extremely popular in Europe, as well as their native Cuba.Rap is a genre of music that recently became popular with the youth of the U.S.A. The rhythmic vocal characteristics are similar to spoken Japanese. This "gangster life" connotation evolved from the American dream - the ability to work your way up from the ghetto to the high life of a rap superstar. The lyrics often include acts of violence, drugs, extortion, and sex. This sub-culture, created in the early 90's, has flooded mainstream music, topping charts on popular television stations and encompassing the radio. Despite some controversial aspects of the rap music scene, it continues to grow, influencing music across the world. African hip-hop/rap groups have recently started creating more music, claiming the original rap genre for their own, where it was thought to have originated thousands of years ago. [[64]](Print_version.html#cite_note-81)

Though "gangster rap" is the wider known "rap", it is not the only type. With rap comes many subcultures, and some of these move away from this "gangster" mentality. You do not have to be black, gangster, or from the ghetto to be a rap artist. There are rap artists who write about more than sex, drugs, and violence. People often do not think so, because most mainstream rap and rap videos have led the majority of people to believe that is what rap is about. Rap originally stemmed as a form of protest for people who didn't have a voice before. South African youth used it as a way to rebel from the apartheid and oppression, which broke open in 1976. [[65]](Print_version.html#cite_note-82) In parts of Africa (mainly in West Africa) rap as we know it has become very popular, but with a twist. African rap artists use many American influences as to their production and song structure, but have very different vocal styles, instrumentations, and lyrics. This blend of Western rap and African music is sometimes called "High-life". [[66]](Print_version.html#cite_note-83) Rap is just a genre of music - it goes a lot deeper than what is heard on the radio. [[67]](Print_version.html#cite_note-84)

Rap plays a roll in cultures all over the world. Rap artists all over the world, and even different parts of a town or neighborhood, have their own style and originality. Although most rappers 'bite' or copy the style of another artist, they want to be known for having their own style and being unique in their own ways. MOST people don't want to listen to rappers with the same style and the rap world can only afford to have variety. In the United States, rap can be extremely influential. Rap artists can develop what is known as 'beef' with one another where they have developed a hate relationship due to problems in the rap game. They sometimes rap about their enemies as a way of retaliation without escalating into violence. However this sometimes can induce violence and artists can lose their lives. In the case of 2pac (Tupac Shakur) and The Notorious B.I.G. (Cristopher Wallace), arguably the two best rappers in the game, resolved their beef with violence and they both were shot dead in the mid-1990's.

The violence and language in rap music is a major concern in congress. On September 25th, 2008 in a hearing convened by Representative Bobby L. Rush, Democrat of Illinois, lawmakers asked music industry executives about their company's role in the production of explicit rap, at one point inviting them to read aloud from rap artist 50 Cent’s lyrics (lyrics known to be rather explicit). Some Parents feel that their children are threatened by the violence in rap music because it makes them devalue life. Congress and society alike wish for cleaner music with a more positive message for society. [[68]](Print_version.html#cite_note-85)

##### West Coast Hip Hop/Rap

West Coast hip hop originated in California in the early 1980’s, particularly in the Bay Area. Early rappers in this genre included Too $hort, Ice T, 2pac and the N.W.A (Eazy-E, Ice Cube and Dr. Dre). When West Coast hip hop was originating the goals of the rappers were fame and respect, not fortune. Classified as hardcore gangsta rap the artist emerging from California at this time wanted to contrast electric and other lighter forms of hip hop, as well as match the intensity of rap emerging from the East Coast. Although West Coast hip hop began to gain popularity in the early 80’s, it was not until the end of the 80’s that it began being successful. Ice-T’s 1989 “6’n da Mornin’” started to gain some national exposure but it was until the N.W.A’s 1988 release of “Straight out of Compton” that put West Coast on the map. [[69]](Print_version.html#cite_note-86).

Later West Coast rappers include: Snoop Dogggy Dogg, Warren G, Rodney O, Mac Dre and Andre Nickatina. In the early 90’s the rivalry between the East and West Coast began to heat up and N.W.A split. All the artists began working on solo carriers, but it was Dr. Dre's revolutionary production style that continued to dominate West Coast hip hop. The style is called G-funk, but it's often grouped into Gangsta Rap in general. G-Funk can usually be recognized by heavy bass, slower tempo, and melodic synths. [[70]](Print_version.html#cite_note-87) Throughout the rest of the 90’s West Coast hip hop continued to split apart into two very different scenes. Gangsta rap and conscious hip hop, the split caused many inter-coast rivalries including the Biggie Smalls, Tupac Shakur rivalry. [[71]](Print_version.html#cite_note-88).

##### Hip-Hop

Hip-hop was born in the late 1970’s in New York City as a form of street art. Hip-Hop began in South Bronx under the working class African-Americans, West Indians, and Latinos. Youth Hip-Hop is comprised of four main elements: Rap (vocal), DJ (Playing and technical manipulation of records), Graffiti (aerosol art), and B-boy or B-girl (freestyle dancing). These four components of Hip-Hop were derived from the youthful population that were trying to represent themselves through these competitive, innovative, and expressive activities [[72]](Print_version.html#cite_note-89). This type of music has also traveled all over the world and many people in different cultures are now taking the "Hip-Hop" idea from the United States and making their own. For example in Dakar, Senegal the artists use Hip-Hop to express political views and their struggles that they experience without the right government. This was discussed in a documentary made by musicians called "Democracy in Dakar". The Hip-Hop music in Dakar is overall more controversial and political than the Hip-Hop in the United States because of the battles with their government. [[73]](Print_version.html#cite_note-90)  
  
One could say that Hip-Hop is the Blues of the Modern Era in the sense that it is a form of expressing pain and struggle. The struggle is what makes Hip-Hop different across the globe. Different parts of the world have different pains and struggles and they can be heard and highlighted in the songs. At the surface all Hip-Hop culture may look identical (baggy clothes, fitted baseball hats, expensive Nike sneakers, bandannas, etc.), but one can notice the huge differences in the lyrical content and in the structure of the beat.  
  
In countries that are more politically aware, Hip-Hop artists rap about the political struggles that their countries are experiencing, like in Senegal. In the United States, you can hear lyrics about both the struggle to survive in tough neighborhoods as well as political messages. Hip-Hop artists incorporate elections, war, economic struggle, and oppression into there lyrics. Some of the more mainstream artists may not have as many controversial lyrics as some of the underground artists, but the messages are still there.  
  
Ian Condry is a cultural anthropologist who studied Japanese hip-hop for a year and half in 1995. His work showed how Japanese hip-hop originally came from the United States, but has now created it’s own identity. The Japanese hip hop culture is similar to that of the United States in that people go to clubs to listen to well known performers. However, in Tokyo, a show will start at midnight and end at 5am. In these clubs, people will not only dance, but they will also do business deals. Another difference is that well known hip hop artists live at home with their parents and live the rest of their life just like everyone else. This is much different from the United States where hip-hop artists are some of the most rich and famous people in the country.

#### Hip-Hop in Japan

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Teriyaki_Boyz.jpg/220px-Teriyaki_Boyz.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Teriyaki Boyz, known to American's from the movie "The Fast and The Furious: Tokyo Drift," are a popular Japanese Hip-Hop group.

Japanese hip-hop, which began in the 1980’s and continues to develop today, is an intriguing case study for exploring the globalization of popular culture. Hop-hop is but one example among many of the transnational cultural styles pushed by entertainment and fashion industries, pulled by youth eager for the latest happening thing, and circulated by a wide range of media outlets eager to draw readers and to sell advertising. In Japan, the street ethic of hip-hop remains, but it is performed most intensely in all-night clubs. In Tokyo, a particular combination of local performance sites, artists, and fans points to ways that urban areas are crucibles of new, hybrid cultural forms. [[74]](Print_version.html#cite_note-91)

Japanese dancers and artists consider certain nightclubs to be the “genba” (or “actual site”) of where Japanese hip-hop is established. These nightclubs are places where hip-hop is performed, consumed and then transformed through local language and through the society of these clubs. These nightclubs are also a place for the mingling of dancers, artists, writers and music company people. [[75]](Print_version.html#cite_note-92)

### Psycho-billy

Psychobilly is a mix of a bunch of genres, mainly punk rock and 50's rockabilly. Psychobilly uses a stand up bass instead of an electric bass. There's usually a smaller amount of members because there's not one particular person focused on vocals. In the early 1980s, psychobilly started gaining popularity in underground Europe. Psychobilly was unknown for the most part in the United States until the late 1990s.

### Country Music

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f2/JohnnyCash1969.jpg/80px-JohnnyCash1969.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Johnny Cash

Country music was founded in the early 1920s, descending from folk music. The music style primarily came from the southern area of the United States. Early country produced two of the most influential artists of all time; Johhny Cash and Hank Williams. Although their impact on music was not recognized until after their death, both have surely shaped the way lyrics are written and the way songs are performed in all genres of music. history.In 2006, country music increased by 17.7 percent to 36 million. The music has stayed steady for decades, reaching 77.3 million adults everyday on the radio. Country music is not only a big genre in the United States, but all over the world such as Australia and Canada. Country has many styles and sounds that have been put in to categories. Hillbilly boogie, bluegrass, folk, gospel, honky tonk, rockabilly, country soul, country rock, outlaw, country pop, neocountry, truck driving country, and alternative country are all the types of music that country has to offer.

#### Barbershop Style

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1d/BarbershopQuartet_Disneyworld.jpg/220px-BarbershopQuartet_Disneyworld.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Barbershop Quartet in Disney World.

"Keep the Whole World Singing" (barbershop.org). This is the motto of the Barbershop Harmony Society. Affiliated with countries world wide such as Finland, Australia, New Zealand, Germany, Ireland, South Africa, Sweden, The Netherlands, and Great Britain. The purpose of the Barbershop Society is to celebrate harmony in the barbershop style, promoting fellowship and friendship among men of good will. To introduce and stain music in the lives of people everywhere. [[76]](Print_version.html#cite_note-93)

Barbershop is a four-part, unaccompanied (a cappella), close-harmony singing, where the melody is in the second voice, called the "lead." Tenor (counter-tenor voice) harmonizes above the lead singer; bass sings the lowest harmonizing notes, and the baritone provides notes in between bass and lead, to form consonant, pleasing chords. Barbershop is a "melting pot" product of African-American musical devices, European hymn-singing culture and an American tradition of recreational music. Melodies are typically in the vocal and skill range of the average singer, with lyrical emphasis on simple, heartfelt emotions. As a Society, a strategic partnership with other singing organizations to create the premier a cappella musical organization in the world, encompassing and welcoming all. [[77]](Print_version.html#cite_note-94)

One can find barbershop songs from a variety of time periods and genres which gives everyone the opportunity to relate to the barbershop style. Such examples are Justin Timberlake's "Sexyback", Michael Jackson's "Thriller", BYU's "Super Mario Bro.'s Melody", and "Come Fly With Me" as performed by Realtime quartet.

A common misconception is that barbershop style music is only written for and sung by men. Female barbershop quartets, sometimes called "beautyshop quartets", also exist and many thrive. A society for four-part female groups are The Sweet Adelines International ( [watch youtube video](http://www.youtube.com/watch?v=EPZ8kviUw6E) ). One of the more familiar "pop" groups is The Chordettes, made famous because of their songs "Mr. Sandman" and "Lollipop". [[78]](Print_version.html#cite_note-95)

### A capella

A capella is a style of only vocal performance. It is distinct in that it is vocal performance without any accompaniment. Many times, when people sing they sing along with a piano, guitar or some other instrument. However, the A capella style of singing is characterized by no additional instrumental performance. [[79]](Print_version.html#cite_note-96)

While services in the Temple in Jerusalem included musical instruments, traditional Jewish religious services after the destruction of the Temple do not include musical instruments.[citation needed] The use of musical instruments is traditionally forbidden on the Sabbath out of concern that players would be tempted to repair their instruments, which is forbidden on those days. (This prohibition has been relaxed in many Reform and some Conservative congregations.) Similarly, when Jewish families and larger groups sing traditional Sabbath songs known as zemirot outside the context of formal religious services, they usually do so a cappella, and Bar and Bat Mitzvah celebrations on the Sabbath sometimes feature entertainment by a cappella ensembles. During the Three Weeks use of musical instruments is traditionally prohibited. Many Jews consider a portion of the 49-day period of the counting of the omer between Passover and Shavuot to be a time of semi-mourning and instrumental music is not allowed during that time.[[80]](Print_version.html#cite_note-97) This has led to a tradition of a cappella singing sometimes known as sefirah music.[[81]](Print_version.html#cite_note-98)

### Cajun, Creole, and Zydeco Music

The influences of Cajun style and Creole music, which evolved into Zydeco, a more contemporary form, can only be found in southwest Louisiana; a blend of European, African, and Amerindian styles. This music is unique in its qualities and is claimed to have come from Nova Scotia in 1755, as the Acadie brought with them music with French origins. The stories told through the music come from European stories that have been altered to fit the lifestyles and life experiences in the south of the New World. Over time and through the 19th century the music has been transformed through the influence of African rhythms, blues, and improvisational singing as well as many singing styles and techniques derived from Native Americans. The fiddle was used for song and dances. Barry Ancelet, author of his monograph _Cajun Music: Its Origins and Development_, describes how Cappella dance was also used for dance, supplying the rhythm and beats through clapping and stomping [[82]](Print_version.html#cite_note-99).

### Jamaica: The Mento

In 1951 the first Jamaican recording studio opened. A new type of music was formed by combining European and African folk dance music together. Disc-jockeys such as Clement Dodd (the "Downbeat") and Duke Reid (the "Trojan") traveled around the island playing there music. The people of the Jamaican ghettos were unable to afford bands, so they hired people like Dodd and Reid. By the end of the 1950’s it transformed into Caribbean music and New Orleans' rhythm'n'blues. As time went on the music changed to a dominant bass instrument with ska. This was an upbeat tempo.[[83]](Print_version.html#cite_note-100)

### Reggae

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Bob-Marley-in-Concert_Zurich_05-30-80.jpg/220px-Bob-Marley-in-Concert_Zurich_05-30-80.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bob Marley is arguably the biggest Reggae icon and is a symbol for peace and love.

Reggae music is a genre that originated in Jamaica's late 1960's and speaks to the struggle fought by grassroots warriors. Worshiping the offbeat, reggae often accents the second and fourth beats of each bar. To Jamaicans, reggae means "the king's music," and the king to whom it refers was Haile Selassie, the emperor of Ethiopia. Reggae groups used modern amplified instruments, including lead and rhythm guitars, piano, organ, drums, and electric bass guitar, along with Jamaican percussion instruments (Charlton, Katherine. "Rock Music Styles"). Common themes found in on reggae records include peace, love, religion, poverty, and/or injustice. A familiar example of a popular rock n' roll song exhibiting the reggae-style riddim is the Beatles' "Ob-La-Di, Ob-La-Da". The roots of reggae are tied tightly to the [Rastafari movement](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion#The_Rastafarians) and sometimes encourage the praise of Jah through the smoking of marijuana.

### Karaoke

Karaoke is so much more popular in Japan than in the West: whereas in Japan it's participation and effort that count, Westerners see karaoke as a kind of talent contest, from which the less musically gifted had best abstain. The result is a reversal of the stereotype of the non-expressive, inscrutable Oriental versus the outgoing, flamboyant Westerner; instead it's the Westerner who shies away from the spotlight while the Asian takes command of the situation. The author argues that karaoke is a positive social development in that it brings people together, and provides tips on how non-Japanese businessmen can sing their way to better relations with their Japanese counterparts. [[84]](Print_version.html#cite_note-101)

### Japan Idol

Japanese-style "pop idols"-teenage singers and actors-and what it is about them that accounts for their popularity both in Japan and in other Asian countries. Idol characteristics such as the "cute style" and the "life-sized" persona (above average but not outstanding) are introduced, along with the views and words of several idols and fans. Aoyagi also links idols to economic growth, and shows how they contribute to the formation of a common "Asian identity" among young people from different Asian nations. One interesting examples of cross-cultural affinity and influence in Asia is the popularity of Japanese-stye "pop idols" in other Asian countries. when Puffy burst onto Japan's pop music scene in 1996, launched by the use of "Asian Purity" as the theme song in a widely shown Kirin beer television commercial, they joined a long list of idols and idol groups which have dominated Japan's popular culture since the late 1960s. Today, both Japanese idols modeled on the Japanese prototype have a huge presence through out the whole East and Southeast Asia. [[85]](Print_version.html#cite_note-102)

### Filipino Music

Western music has greatly influenced the music in the Philippines. The most logical explanation behind this is the historical fact that the Philippines are the oldest Western-colonized Asian country. They were exposed to two mainstream, western cultures for over three and a half centuries. The Mediterranean, through Spain and Anglo-Saxon and The United States of America. [[86]](Print_version.html#cite_note-103)

[[7]](http://www.asiarooms.com/travel-guide/philippines/culture-of-philippines/music-and-dance-of-philippines.html). The classical renditions of Filipino music show the blend of varieties of culture. This is not to say that you won’t come across native compositions but just that those nuances of Western form of music like symphonies, sonatas, and concertos are too much used. Filipino music has yielded international composers like Antonio Molina, Felipe Padilla de Leon, Eliseo Pájaro and José Maceda, known to be the avant-garde composer of the country.

Filipino music is generally played with traditional and indigenous instruments like a zither with bamboo strings, tubular bamboo resonators; wooden lutes and guitars and the git-git, a wooden three-string bowed instrument. In fact you may come across Filipino communities having their individual folk songs to be sung on special events like hele, a lullaby, the talindaw, a seafaring song, the kumintang, a warrior song and the kundiman, a love song.

Karaoke is performed extensively in the Philippines as well, in many bars, restaurants, and other places of leisure throughout each town. The influence of Western music is widespread in Karaoke in the Philippines, but not dominant. Many Filipinos are familiar with both classic rock acts (such as the Beatles, the Eagles, and the Rolling Stones) and contemporary Western musical acts (such as Mariah Carey, Beyonce, and Britney Spears) but also sing songs from their own popular Filipino musical acts. A favorite among the high school students was “Beautiful Girls” by Sean Kingston, while an older crowd might prefer “Hotel California” by the Eagles. [[87]](Print_version.html#cite_note-104)

### Music in Italy

Italians love music. Music is a major part of their lives. They enjoy it at holidays, family celebrations, and special occasions. Opera, an Italian tradition, is popular among Italians and they continued this musical tradition when they immigrated to Canada. In Italy in the 17th century, Opera music was first introduced by composer Claudio Monteverdi. Monteverdi composed his first opera named L'Orfeo in 1607. Italy is known for having some of the world’s best opera singers, conductors and composers up to the present day. The most famous names in the contemporary world of Italian opera music are Luciano Pavarotti and Andrea Bocelli. [[88]](Print_version.html#cite_note-105)

## Literature

An important factor in many modern cultures is their literature. Many schools spend a great deal of classroom time reading and discussing works that are considered culturally significant by society. These books generally embody another time period when things were considerably different than they are today. This literature works to continue the understanding of what happened in the past and what effect it had on the individuals involved; while drawing connection between the past and present by identifying universal emotions. Literature can span a great number of subjects. Authors such as Shakespeare, Mark Twain, Ernest Hemingway, John Steinbeck and Charles Dickens are all given a significant amount of time and discussion in American schools.

Reading and literature is introduced to children in the school system starting in pre-school, all the way through graduate school. It is important to introduce literature to students and has a positive effect. "I read to my graduate students at the beginning of class…because it gives them time to get settled and to clear their minds of the day's activities," she told Education World. "As a beginning teacher," Bowman-Kruhm continued, "I quickly became aware that reading aloud to my class had benefits... my students became very quiet, they heard some good literature, and they got through an entire book. One student said it was the first book he had read in its entirety since first grade." Reading books to a classroom starting at a young age gives them a chance to get into a story and find their own like for reading. The more variety offered the better the chance for more students to connect and find a genre they personally enjoy. [[89]](Print_version.html#cite_note-106)

  
However, there is a great deal of culturally impacting literature that is not given time in schools. This may be because, while still telling a great story, the literature does not express the [human condition](http://en.wikipedia.org/wiki/Human_condition) in a way that is important to American society. Besides the “great works” discussed in schools, many authors of fiction are overlooked even though a great deal of our modern culture has been influenced by these authors.

#### J.R.R. Tolkien

J.R.R. Tolkien through his Lord of the Rings and The Hobbit has been said to be the father of the genre of "high fantasy". [[90]](Print_version.html#cite_note-107) He has influenced a number of artists and musicians [[8]](http://en.wikipedia.org/wiki/Works_inspired_by_J._R._R._Tolkien).

After graduating Tolkien taught at Oxbridge University for another forty years, alongside with CS Lewis (author of The Chronicles of Narnia) and Charles Williams, inventor of black boot polish. With these newly found friends, they created a writing club called The Inklings. Tolkien then began to confuse English folklore and mythology with real life. Encouraged by his academic colleagues, he invented the fantasy world of Middle Earth, the language of the Elves, characters like Aragorn the Straddler, Tom Bombadil, and the evil Cygons. Tolkien spent more than 10 years writing the primary narrative and the appendixes to the Lord of the Rings series, during which he always had the support of the Inklings, most of all from his close friend Lewis.[[9]](http://en.wikipedia.org/wiki/J._R._R._Tolkien).</ref> Tolkien's novels- such as _The Hobbit_ often include coming-of-age elements and follow the Hero's Journey plot.[[91]](Print_version.html#cite_note-108) His legacy is survived by his son Christopher, who has spent his life editing his father's posthumously published works, such as The Silmarillion and The Children of Húrin [[92]](Print_version.html#cite_note-109)

#### C.S. Lewis

C.S. Lewis's work, including The Chronicles of Narnia series, has been translated into more than 40 languages and has sold over 100 million copies since the series was released. The Chronicles of Narnia consist of seven books including _the Lion, the Witch and the Wardrobe_ which was published in 1950. It tells the story of four children: Peter, Susan, Edmund and Lucy Pevensie. They discover a wardrobe in Professor Digory Kirke's house that leads to the magical land of Narnia, which is currently under the spell of the evil White Witch. The four children fulfill an ancient, mysterious prophecy while in Narnia. The Pevensie children help Aslan and his army save Narnia from the evil White Witch, who has reigned over the kingdom of Narnia in winter for 100 years.[[10]](http://http://en.wikipedia.org/wiki/The_Lion,_the_Witch_and_the_Wardrobe)

The complete set of books from The Chronicles of Narnia in reading order are: _the Magician's Nephew_; _the Lion, the Witch, and the Wardrobe_; _the Horse and His Boy_; _Prince Caspian_; _the Voyage of the Dawn Treader_; _the Silver Chair_; and _the Last Battle_. C. S. Lewis is a well-renowned Christian author whose stories held strong Christian themes. The Narnia series contains much Christian content within the plot but can still be appreciated by readers of different religious backgrounds due to its enjoyable storyline.

Although often criticized for the heavy religious overtone [[11]](http://en.wikipedia.org/wiki/C.s._lewis#CITEREFBBC_News2005), his work continues to attract an enormous fan base both religious and non-religious. The books take on a Christian theme and also adds Greek and Roman Mythological ideas. Many modern authors admit to being influenced by his work, including [Daniel Handler](http://en.wikipedia.org/wiki/Daniel_Handler)'s _[A Series of Unfortunate Events](http://en.wikipedia.org/wiki/A_Series_of_Unfortunate_Events)_, and [J. K. Rowling](http://en.wikipedia.org/wiki/J._K._Rowling)'s _[Harry Potter](http://en.wikibooks.org/wiki/Harry_Potter)' '[[12]](http://en.wikipedia.org/wiki/C.s._lewis#CITEREFHilliard2005)._

C.S. Lewis also wrote non-fiction pieces including "Mere Christianity" and "The Problem of Pain" and some other lesser known works of fiction such as "The Screwtape Letters" and "The Great Divorce". Lewis known for his deep, thought provoking works both fiction and non-fiction. [[93]](Print_version.html#cite_note-110)

#### Chuck Palahnuik

Charles Micheal Palahnuik has written a handful for popular and unique novels. He has created novels that are categorized as horror but without containing supernatural events. His books are filed into the horror genre because his characters are shaped by society and go through traumatic events that led to their self destruction. Chucks books can create the invisible window people look through and see what society can cause people to do. It has been said that Chuck Palahniuk has been influenced by the minimalist Tom Spanbauer [[94]](Print_version.html#cite_note-111). It was Tom Spanbauer's writing workshops that got Chuck to start his novels, such as his first one "Invisible Monster." This was rejected the first time by publishers because it was viewed as too disturbing. People find the horrible truth that Chuck reveals can be too much for the common person in society.

#### Plato

Plato's discussions of rhetoric and poetry are both extensive and influential. Taught among middle school, high school, and college students, he sets the agenda for the subsequent tradition yet understanding his remarks about each of these topics—rhetoric and poetry—presents us with significant philosophical and interpretive challenges. It is not clear why he links the two topics together so closely (he suggests that poetry is kind of rhetoric). Plato's famous statement that “there is an old quarrel between philosophy and poetry” (Republic, 607b5-6) states that there is a clash of values among these two statements.. Plato is (perhaps paradoxically) known for the poetic and rhetoric qualities of his own writings, such as in The Iliad and is represented through The Odyssey. [[95]](Print_version.html#cite_note-112)

#### Haruki Murakami

Haruki Murikami is a Japanese writer born in Kyoto. His large influences by Western culture are often apparent in his writing. This is one of the characteristics that set him apart from other writers. Another of these characteristics would be his many references to classical music within the themes and titles of his writing. His works mainly consist of surrealist post modern fiction. Murikami has a unique way of blending his Japanese heritage with his Western influences making it both familiar yet foreign to the reader. [[96]](Print_version.html#cite_note-113)

## Dance

The dictionary defines Dance as moving rhythmically to music, typically following a set sequence of steps. It is also used as a form of expression, social interaction or presented in a spiritual or performance setting. Dance also may be regarded as a form of nonverbal communication between humans, and is also performed by other animals. Every dance, no matter what style, has something in common. It not only involves flexibility and body movement, but also physics. If the proper physics is not taken into consideration, injuries may occur.

### Dance in South America

**Argentine Tango**

The Argentine Tango originated around 1880 in the periphery of Buenos Aires, Argentina. The dance was popularized in bars, cafés, gambling houses, and brothels. Because the original lyrics frequently referred to sex and obscenities, it is logical that the popularization took place in the underground society. During this time period, even dancing in front of each other or touching at all was considered too much, so the tango’s close embrace and cheek-to-cheek dancing was considered raunchy. Initially people of good reputation looked down on the tango and wanted no part in it. This meant that if a man wanted to practice the dance, his only possible partner was another man. The men got together and practiced the dance as a way of capturing the attention of women.

Eventually the tango slowly started to catch on in Boarding House Common Areas, where immigrants stayed. It took a while to spread, but eventually it caught on after some of the movements were “purified.” Even then the Tango was still generally something that the middle and upper class would keep secret; it was still considered shameful and sinful. It was not until the Argentine Tango made its way to Europe that it was truly accepted in higher society. After it was introduced to Parisian nobility, it became the craze of the time there. When the tango finally came back to Argentina, it was “received as the most beloved son.”—Sergio Suppa [[97]](Print_version.html#cite_note-114)

### Dance in the Philippines

The traditional dances of the Philippines reflect the cultural influences of the Spaniards, Muslims, Indians, Middle Easterners, and Western Europeans. Each region of the Philippines that was influenced by a separate culture developed its own traditional style of dance. Many folk dances were also created to imitate the early lifestyle of the Filipinos and for spiritual purposes such as warding of evil spirits. [[98]](Print_version.html#cite_note-115) Some of the more traditional dances of the Philippines are the following:

**Muslim Influenced Dance**

Towards the end of the 12th century, traders and settlers from Borneo and the Malay Peninsula came to the Philippine Islands and brought Islam to the Filipinos. Today, there are more than 1 million Muslim Filipinos residing in Mindanao and the Sulu Archipelago. When the Spanish came to the Philippines, the Filipino Muslims, also known as Moros, were able to resist being conquered and as a result, their Islamic lifestyle remains untouched, for the most part, even until this day, despite the completely different lifestyle of the rest of the Filipino population. There are four main Muslim ethnic groups: the Maranao, Maguindanao, Samal, and Tausug. The traditional dances in this suite make use of bright colors and rhythmic movements that represent the Middle Eastern and Indo-Malaysian influence on the culture. In this suite there is also a ribbon dance that was most likely a result of Arabian influence. Thought to be the most difficult Philippine dance is the Singkil Dance of the Maguindanao in which a woman of royal blood advertises herself to suitors by gracefully dancing with an umbrella, fan or neither while skilfully moving with bamboo poles.[[99]](Print_version.html#cite_note-116) Another dance inspired by the war between the Muslims and the Christians is the Maglalatik which originated from the Laguna province. In this dance, the Moros wear blue pants and the Christians wear red pants. In the first half of the dance, the war over the residue of coconut milk is depicted followed by the reconciliation between the two groups.[[100]](Print_version.html#cite_note-117) This suite features specific costumes: The Malong which is a tube-like dress that is worn in a variety of ways, and the Kumbong which is a traditional headdress. The instruments played in accompaniment with the dancing are: the Agong which is a brass gong with a knob at its center, and the Kulintang which is a collection of brass gongs laid on a wooden frame. [[101]](Print_version.html#cite_note-118)

**Barrio Fiesta Dance**

Great preparation is taken for Fiestas and special occasions. Food, music, dance, games, and traditional processions are all part of this traditional occurrence in Filipino villages. If the fiesta is for a wedding celebration called a Gala (Boholano), it is customary for the bride and groom to arrive with their friends and be entertained by the people who cater to them. The entertainment includes dance and musical performances as well as clashing of pots, pans, ladles, and utensils to create excitement through noise. It is then tradition for the guests to stick paper money to the bride and grooms clothing right before the final dance which involves the newlyweds participating in playful chasing. Another popular dance in this suite is called the Kalatong which is a dance from the province of Batangas and incorporates bamboo pipes used as percussion instruments. The last dance in this suite is the Tinikling; a dance that copies the movements of the long-legged Tikling bird which hops over the traps set by farmers among the rice stalks. When Philippine dancers do this dance, they hop over bamboo poles in complicated and highly coordinated leaps while the poles are being clashed together and slapped to the floor beneath them. The Tinikling is a playful courtship dance, as are most indigenous dances, that becomes more complicated as it progresses. Tinikling originated from the islands of Leyte and is the official Philippine national dance.[[102]](Print_version.html#cite_note-119) The costumes in this suite are the Balintawak which is a floor length dress with stiff butterfly sleeves and a vividly colored overskirt that matches the sleeves. The men wear colorful shirts called Camisa de Chinos. Props for these dances usually include an oil lamp called a Tinggoy, and wooden clogs called Bakya.[[103]](Print_version.html#cite_note-120)

**The Maria Clara Dance**

Maria Clara is a legendary figure in the Philippines who symbolizes the virtues and nobility of the upstanding Filipina woman. She was the main female character in a literary piece by Jose Rizal about the colonizing of the Philippines by the Spaniards. A style of dance and dress was created in honor of her and portrays its Spanish influence. The Maria Clara dress is formal attire made of an intricately designed blouse and a flowing skirt with a panuelo (square of natural fibers) worn over he shoulders. While men are in a Barong Tagalog which is a traditional Filipino shirt typically made of pineapple fibers with long sleeves and detailed embroidery. Props for this dance are bamboo castanets and the abanico (Asian fan). This suite consists of many different dances that mean different things to the Philippine culture.

**Igorot Dance**

The Igorot are a Philippine tribal people living in the central cordillera area of Northern Luzon. The six different tribes, known collectively as the Igorot, are the: Apayao, Bontoc, Ibaloy, Ifugao, Kalinga, and Kankanay. These peoples prefer to be referred to by their separate tribal names rather than simply as Igorot which was the classification word ascribed to them by the Spaniards. These tribes have religious beliefs in common that conjoin them to nature. They also honor household gods with special offerings. Dance is performed at their ceremonies as an expression of community harmony, as appeasement to their gods, in honor of their ancestors, to heal sickness, to attain the support of their gods for upcoming wars, to keep bad luck away, to seek deliverance from natural disasters, to insure a plentiful harvest, pleasant weather and to celebrate the circle of life. In these dances, women place jars and/or baskets on their heads to demonstrate the role of women in the community as food gatherers and water fetchers. For the men, there is the Manmanok dance where they use bright, woven blankets to attract the women, and the Takiling where the men dance and chant while they beat on their gangsa, brass gongs, to demonstrate their skill in weapons and hunting.

Dance in the Philippines is greatly influence by the Spanish due to the Spanish Regime. Dances and music took on the tempo and style of European dances. For example, the tempos of the Tinikling dance and the Itik-Itik acquired the tempo of the Jota and Polka. [[104]](Print_version.html#cite_note-121)Some more examples of dances that Filipinos are known for are:

Pandango Sa Ilaw: A Spanish dance which requires a good amount of balancing skills due to having to hold three oil lamps on the head and the back of each hand. This dance originated from Lubang Island, Mindoro.

Cariñosa: The name of this dance describes a women who is affectionate, friendly and loveable. This dance includes using fans and handkerchiefs while being in a flirtatious manner.

Rigodon: This dance originated in Spain and is most commonly used at formal affairs.

Tinikling: The national folkdance involves a pair of dancers hopping between two bamboo poles, which are held just above the ground while being struck together at in relation to the music. [[105]](Print_version.html#cite_note-122) This dance imitates the agility and grace birds used to avoid the bamboo traps in the fields set by rice farmers. The dancers symbolize the birds, therefore displaying their agility through footwork, while the bamboo poles symbolize the traps. [[106]](Print_version.html#cite_note-123)

### Dance in Zulu and Masai Culture

#### Introduction

Dance is a very important part of many African cultures. This is true for the Zulu and Masai in particular. Both of these cultures are pastoralist and have many other cultural similarities. Despite this they express their dance very differently. To explain this we will delve into various cultural aspects of Masai and Zulu society in which dance is used to find societal similarities as we as stylistic dance differences. To begin we must first take a look at some societal similarities between the Zulu and the Masai. This includes age sets, raiding traditions, and the importance of cattle. Emphasis of the Zulu society was on warfare and raiding. Age sets played a large role in this as young men were divided into these and at a certain age set were raiders and warriors. During raids Zulu warriors would pick up cattle, which were a measure of wealth in their society . Shaka, the uniter of the ancient Zulu nation, gave the Zulu their pride in warfare with his dynasty. Military service was mandatory and rigorous training. He also revolutionized the style of combat with his bullhorns method and his short stabbing spear, which was also used in warrior dances. His constant invasion of other societies is what gave his empire so much power and it instilled a sense of nationalism in his people. Warriors were chosen by what age set they were in. Age sets having been a group of people within about a ten-year age span . Many times these age sets were organized into elders, warriors, and children . In the process of initiation after puberty women had a special dance that was performed. In Shaka’s society cattle were a measure of wealth. If you didn’t own cattle you couldn’t get married or pay for luxuries . Cattle could be earned by raiding other societies or through outstanding military action . Sacrificing them was also a large part of their society; making sacrifices for a safe return from battle or in preparation for a successful one . The Masai culture, in contrast, considered themselves a purely pastoralist society and consequently placed a lot of emphasis on cattle . They were also a raiding society. Although they used hunting as a part of initiation ceremonies it was not a regular occurrence in Masai society. Like the Zulu, the Masai used cattle as a form of wealth. They found cattle so sacred that they would not eat meat from the cow and drink milk from it in the same meal because they saw it as disrespectful to mix those things taken from the living with those taken from the dead . The Masai also believed that all cattle were rightfully theirs given by God and so were justified in taking them from other tribes .

#### War Dance

Both the Zulu and Masai kingdoms placed an emphasis on war and raiding. It is natural then that they had a dance to accompany and portray these actions. They both had a name for these warriors. The Zulu warriors were called Indlamu and the Masai were known as the Moran. In the case of the Zulu their dance was named after their warriors. Many times Zulu dance was characterized by its stomping movements, which had a feeling of heaviness and connection with the earth. One example of this was the Indlamu, or warrior dance. This dance was performed at weddings along with other dances. Typically the Indlamu, or Zulu war dance, was performed in a large group with the dancers entering in two by two . It was performed in unison and in some versions had three sections, the entry and preparation followed by two routines. There was one leader who gave the cues for when to begin and when to end . This was usually characterized by a foot stomp. In the version with three sections the first section of the dance was the entry where the men are crouched and moving in a circle around the dance area; the dancers then sat as their leader did a solo . When his solo was done the leader gave the signal to start the main section of the dance, which was performed in all versions. This final section was performed using a series of stomps in rhythm to the beat of sticks, or in some cases a drum . It also included a series of kicks, which varied between tribes but usually consisted of either a leg thrust straight in front of them or thrust from the front and carried around to the side . In both instances the leg stayed bent . The dress for this occasion was usually traditional. Ostrich feathers were tied to the legs below the knees and on the upper arms in some cases . They also wore loincloths . As they danced they carried their shields and a spear. They also had a headdress that was similar in style to a crown. The Masai also had a warrior dance called the Adumu . It was a ceremonial dance done for themselves: to form a trance-like state for the warrior. This dance, unlike its Zulu counter part was not performed for weddings but was instead used as a mental preparation. It was a test of strength and endurance. The dance began with the warriors creating a circular formation. Unlike the Zulu, The Masai warriors started out standing around the outside of the circle swaying back and forth and then one or two came to the center to start the dance . They jumped up and down in a straight rod-like fashion with the goal of coming into a trance-like state . For the Masai when the person in the middle gets tired he is replaced with someone from the outside of the circle. The rhythm for this dance was found in a chant that the warriors forming the edges of the circle sang while the dancers in the middle jumped higher and higher into the air. During the warrior stage of life in which this dance was performed the Masai wore their hair in long braids . Their traditional clothing was made of red cotton and very conservative in comparison to the Zulu attire of a loincloth . The cloth covered them from their chest down and was sometimes similar to a dress in its appearance. There is a very obvious contrast in these two styles of warrior dance. The Zulu with their creation of this connection through their body with the earth are almost polar opposite of the Masai who are reaching up into the sky with their jumping movements. The formation of the Masai differs from that of the Zulu in that the Zulu had a very militaristic line formation to their dance while the Masai stood in a circle. There was also no specified person to begin the Masai dance while the military leader is the designated beginner in the Zulu version. The setting in which these dances were performed is another difference. The Masai dance was performed as a mental preparation and was not intended to be a public event but the Zulu dance was performed at weddings and other occasions. The source of the beat in the Zulu dance came from sticks instead of from a chant like in the Masai dance. The Masai and Zulu had very different costuming choices as well. The Zulu chose to wear loincloths. The Masai chose to wear long red robes, which is a stark contrast to the loincloth.

#### Wedding Dance

As previously stated both societies placed an emphasis on cattle. Once a young man earned enough cattle he could be married and there was a ceremony. During that ceremony there was dancing. This was true of both the Zulu and the Masai. The Zulu had a different dance that they perform at weddings called the Inkondlo. This dance was performed as the bride made her entrance into town. The bride and her bridal party made up of other girls from her age set performed this as they came into the village. The dance began with the bride behind her bridal party. The girls are singing the inkondlo wedding song . The party started out in a bent posture and gradually became erect . In some versions dancers formed 2 files circling outward away from one another and wheeled back across center to form a line at the end of their movement . This portion of movement was quick and spirited with movements back and forward. The bridal party started the next section of the dance with the bride and her bridesmaids coming out from behind the party . When in front the bride does a solo to complete the first section . The movements in this section were very proper and pleasant. The Inkondlo itself was a rhyming poem. They used this as the basis for the dance. It was performed as part of the dance. The Masai wedding dance was called a Kayamba; named after the rib like instrument used in the accompanying music. The young girls of the tribe were the performers in the case of the Masai. The music used a repetitive melody doubled by a chorus. It was accompanied by a high-pitched bungo horn. Rattles and whistles were minor accompaniments. The Kayamba is one of these rattles; made of wood and reeds with little pebbles on the inside . This music was very dynamic with its many parts. As the young girls danced they added to the music with bells tied to their ankles . This made the dance very rhythmic. The Masai wedding dance would have been more for entertainment of the wedding party than it’s Zulu counter part. The wedding dances of the Masai and Zulu contrast nicely. The Masai dance was very rooted in its music and performed as entertainment for the wedding party. The Zulu dance was a celebratory way of bringing the bride into town that used a simple poem chant. It is interesting to note that these dances were both named after the music used in them; the Zulu after the Inkondlo poem and the Masai after the Kayamba instrument. The Kayamba music was very dynamic and had many parts to it. The Zulu music was very simplistic with its one part chant. Performers of the wedding dances were very different as well. The young girls of the kingdom performed the Masai dance. In contrast the bridal party performed the Zulu dance.

#### Coming of Age Dance

Both men and women in Masai and Zulu culture had age sets. To become part of the next age set there were rituals and ceremonies to take part in. Many times those ceremonies included dancing. In Zulu society women had a very special ceremony, as they became women. The ritual that is most intriguing about Masai initiation comes after the killing of a lion. The Zulu women had a very interesting dance ritual as part of their initiation into womanhood. Part of their initiation was to stay isolated in their hut for a week with only their mother and one friend . After this period they came out and danced. In preparation for the their dance they made grass costumes. They weaved together grass to make their outfits that would later be burned after the ceremony . The friends and sisters of the woman being initiated would also participate in the grass, costumed dance . The final ceremony was full of singing and dancing. The woman was officially initiated with her friends and sisters. The final act of the ceremony was the burning of the grass clothing that signaled the step into womanhood . As a part of their initiation into manhood the Masai were required to go on a lion hunt . When they were successful there was a ceremony that involved the Engilkainoto dance . This dance was performed for the tribe as a celebration of the feat. The lion conquerors picked a female partner to dance with and danced in the middle of a crowd gathered to watch them celebrate . Each couple proceeded through the crowd to the center to dance together. The warriors wore ostrich feathers on their head . They also carried a spear with the paws or tail of the lion attached . Their female partners wore beaded dresses. Besides the fact that these initiation ceremonies were for different sexes there were some other contrasts in the dances performed during them. For one thing the Zulu dance was done as a group of women as a sort of core instead of being a partner dance like the Masai. Their costumes differed in that the Masai wore their warrior uniforms and decorated their spears with the paws and tail of the lion. The girls in the Zulu dance wore grass outfits that were burned at the end of the ceremony. The girls in the Masai dance wore beaded clothing which was much more permanent.

#### Ethiopian Dance

Ethiopia has a lot of different dances depending on the region. the main dance is called Escista. it is mainly preformed using the shoulder and chest to make rapid movements. another famous dance is Gurage. this dance is different because leg movements are very essential. Gurage uses kick moves that go with the beat that is being played. another big dance is Tigrenga, this dance requires the participation of a group. the group would make a circle and move in the circle according to the beat. some people may choose to go in the middle of the circle to preform their own moves. these dances are mostly preformed at weeding and holiday gatherings.

**Conclusion**

The Zulu and Masai use different movements to characterize similar cultural events. Zulu dancers have a very heavy, grounded feeling to their dance while Masai dancers have a very taught and jumpy feel. By using dances about similar aspects of life it is made easier to compare their styles. Although their expressions of life aspects may be different, the things they dance about give us a sense of what is important to them.

### Native American Dance

Native American dance has profound and deep spiritual meaning within their culture. A prime example of this would be the mask rituals of the Kwakiutl, a Native American tribe local to Washington state. These rituals bring together song, dance, and storytelling in a fantastic and mystical way. The story's range from story's about the origin of the Kwakiutl, to silly stories meant to scare children into being good. All of these dances are accompanied by chanting and drums, which are made primarily out of cedar and animal skins.

[[107]](Print_version.html#cite_note-124) The Ghost Dance was created and performed by paiute in in the 1890's as a result of the harsh conditions surrounding Native Americans after half a century of dominance by another culture. One direct causes of this was the complete slaughter of buffalo herds throughout the last half of the 19th century. A depletion of their food sources meant that many Native Americans were forced to instead live and work on reservations carved out of the land by the U.S. government. [[108]](Print_version.html#cite_note-125) (Garth Ahern-Hendryx)

  


### Dance, Art or Sport?

In American society, it is sometimes stereotyped as simple, or un-athletic to be a ballerina. Dance is "not a sport" but rather _just_ a form of art. However in many places across the nation, football players are being sent to ballet class to be taught the art of balance, walking/ running through their toes and quick action pivots. Retired Steelers players Lynn Swann and Herschel Walker, along with ex-competitive bodybuilder Governor Arnold Schwarzenegger had at one point incorporated ballet classes into their regular work outs. Dance of all kinds, whether it be modern, jazz, ballet, kick [[109]](Print_version.html#cite_note-126), tap, hip-hop, break dancing, krumping, salsa, waltz, foxtrot and even pole dancing all takes an extreme amount of control and strength and athletes have begun to recognize the benefits. Walker even took it a step further and performed in a show with the Fort Worth Ballet. "Despite having gone through 2-a-day training camps and getting hit repeatedly by massive linebackers, Walker called the ballet performance, 'The hardest thing I've ever done.'” Likewise dancers are training equally hard and as long as many professional athletes. The Southwest Washington Dance Ensembles company dancers rehearse up to 8 hours on Saturdays for shows starting up to 4 months before the opening, along with taking anywhere between 3 to 6 classes a week. While I was performing with the group I remember the very long and hard hours that I spent in the studio and then followed by a long shift working as a waitress. I suppose the biggest differences between dance and athletics is that stadiums do not get sold out for a single performance( the venues are incredibly smaller) and the amount of money dancers receive for their performance is much less. While football players and other professional athletes are getting paid millions of dollars a year, many professional dancers do not receive even close to that amount of money. The field is also much more competitive, as only prima ballerinas get to the lead roles. However, in other cultures such as Russia where the Moscow ballet is a much bigger deal, audiences would much rather pay high prices for a viewing of the FireBird. The lack of interest and in general recognition of the hard work that dancers put into their "sport" is a reflection of the priorities of entertainment of America. When it comes to other cultures, such as Bahia, Brazil, countries do treat dance as a form of art AND a sport. In "Dance Lest We All Fall Down," the story of anthropologist Margaret Wilson's experiences living for a time in Bahia, she discusses and participates in capoeira. Capoeira was first created in Brazil by the slaves brought from Africa. It is said to be a combination of African martial arts and Brazilian dance moves. It is also said that this form of "fighting" was a self-defense mechanism designed by the slaves to look like dance so they wouldn't get in trouble with those in control. Capoeira is similar to what we know as martial arts only it involves a small group of people who surround the dancers in the middle as they "fight" (without ever making physical contact) to the beats of multiple instruments. These capoeira groups travel around "playing" with different capoeira groups, or in other words competing, and the more modern version has become the National Brazilian Sport, even though it began as a mysterious and ancient form of art. Many could describe capoeira as a form of dance as well which shows that dance can be interpreted as a sport or an art depending on the cultural constructs of each country. It just so happens that here in America, dance is widely known as an art rather than a sport. Yet this does not mean dancers are not athletes.

  
Works Cited [[110]](Print_version.html#cite_note-127) [[111]](Print_version.html#cite_note-128) [[112]](Print_version.html#cite_note-129) [[113]](Print_version.html#cite_note-130) [[114]](Print_version.html#cite_note-131) [[115]](Print_version.html#cite_note-132) [[116]](Print_version.html#cite_note-133) [[117]](Print_version.html#cite_note-134) [[118]](Print_version.html#cite_note-135) [[119]](Print_version.html#cite_note-136) [[120]](Print_version.html#cite_note-137) [[121]](Print_version.html#cite_note-138)

## Media

By definition, media is the means of communication, as radios, televisions, newspapers and magazines, that reach or influence people widely. This meaning of media has been around since the printing press made it easier to produce large masses of papers to spread news to the public. Today, mass media can be seen as a form of art because there are so many aspects and rules to creating an appropriate message that also must be effective to the public. Media can also be seen as a form of art because it is a form of expression that reaches out to a large sum of people. Media is a less obvious form of art such as paintings, drawings, and sculptures, but certain aspects of the media have just as much creativity and effort put into them that make the media a form of art that can be seen in everyday life.

### Sculpture

Sculpture is three-dimensional artwork created by shaping or combining hard and/or plastic material, sound, and/or text and or light, commonly stone (either rock or marble), metal, glass, or wood. Some sculptures are created directly by finding or carving; others are assembled, built together and fired, welded, moulded, or cast. Sculptures are often painted. A person who creates sculptures is called a sculptor. Because sculpture involves the use of materials that can be moulded or modulated, it is considered one of the plastic arts. The majority of public art is sculpture. Many sculptures together in a garden setting may be referred to as a sculpture garden. [[122]](Print_version.html#cite_note-139)

Over the ages there have been many great sculptors who have effectively personified the spirit of their time. A few of these are Michelangelo [[123]](Print_version.html#cite_note-140), Auguste Rodin [[124]](Print_version.html#cite_note-141), and Gian Lorenzo Bernini [[125]](Print_version.html#cite_note-142)

### Painting

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f6/REKrewDF17.JPG/300px-REKrewDF17.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Graffiti by RE Krew of Chalco Baner, Arian, Greko, Higer and Septimo. Mexico City 16 September 2009

Throughout time, painting, much like most other art forms, has been used to express emotion, invention, and the change in times. The first known painting was found to be in caves in France around 32,000 years ago.[[126]](Print_version.html#cite_note-143) More familiar art work dates ancient Greek, Rome and Renaissance time period.[[127]](Print_version.html#cite_note-144) During this time, religion was the main theme of artwork and later began to depict political characters in complex and intricate portraits. The far eastern styles such as Chinese and Japanese were also concerned with depicting religion but with different media. While they preferred ink and silk, Western culture began adopting the lightness of watercolors and oils. African art differs greatly from Western art as they had an abundance of functional art. Masks and jewelry were important accessories that were used in ritual ceremonies symbolizing spirits and ancestors. Although murals can be dated as far back to the beginning of artwork, Muralism, or “Muarlismo”, was a movement that brought much attention to Mexican artwork in the 1900’s. The Mexican mural movement was born in the 1920s following the Revolution (1910-1917) and was part of the government's effort to promote its ideology and vision of history. The murals were done in a way to strengthen Mexican identity and artists were commissioned to create images of the cultural history of Mexico and its people. Perhaps inspired by the murals of the 20th century, the urban Graffiti on construction panels on side of the Palacio de Bellas Artes continue to decorate Mexico City.

### Photography

The word photography derives from two ancient Greek words: photo, meaning "light," and graph, meaning "drawing." "Drawing with light" is a way of looking at the term photography. [[128]](Print_version.html#cite_note-145) Arguably invented in the 5th century B.C. by Mo Ti, a Chinese philosopher, photography has been a means of creating still images. Mo Ti was able to describe the pinhole camera which is the simplest type. This can be made from black paint, a blank photo, and cardboard. The idea is that with one small pinhole, light can emit to the back of the box to the photo in such a way that reflects the projected scene. Photography has advanced considerably since then starting in the early 1900's with the discovery of chemical compound that permanently hold the image. [[129]](Print_version.html#cite_note-146) This new technology brought with it a new ways of recording historical documents. One of the first examples of this is the photographs of President Abraham Lincoln. Lincoln understood the importance of photography and in 1860 he had his portrait taken by Mathew B. Brady, the most famous professional photographer in the history of American photography. Native Americans in the past have refused to have their photograph taken for fear of losing their soul. In San Juan Chamula, Mexico it is illegal to take photographs in church. [[130]](Print_version.html#cite_note-147)

#### Cave Paintings

The cultural practice of painting is an art whose origins date back tens of thousands of years in the form of cave paintings. While cave paintings have been discovered all over the world, some of the earliest examples of this art occur in Africa in the region of Namibia. These paintings, which depict animals painted on stone slabs, have been dated to be nearly 30,000 years old and were speculated to have been done by the San people. Since their discovery in 1969, these paintings were thought to be the earliest known examples of cave art. However, that distinction was lost with the discovery of the Cauvet cave in 1994. The cave, which was happened upon accidentally by potholers in Southern France, contains wall paintings depicting animals from bison, horses, and deer to lions, rhinoceroses, and mammoths. Radiometric dating placed the ages of the earliest of these paintings at approximately 31,000 years old, which clearly places them as the earliest forms of cave art to be discovered so far. [[131]](Print_version.html#cite_note-148) The actual purposes of cave art have been the source of much speculation. In studying the practices of modern tribal societies, some modern scholars have theorized that cave paintings were probably tied into the concepts of religion and magic that were held by the societies of those early painters. However, the precise reason as to why the paintings were created in the first place is still a topic of debate. Whether the paintings were made to bless the efforts of early hunters or were meant to act as a shamanic aid for tapping into the spiritual world, or were created for a wholly different reason is a question that may never be answered. However, the existence of cave paintings themselves reveals that even from earliest times, humans have been interested in being able to depict the objects and environments of the world around them. It is an interest that has continued to be prevalent within human culture across time and space and is a fascination that will most likely last well into the future.

There were a few basic methods that prehistoric people probably used to paint these cave walls. It is theorized that they used sharp tools or spears to etch figures, mostly animals, into the rock. The paint or color that they used to decorate the cave art was most likely used from charcoal, soot, clay, or various types of berries. Basic tools to apply color could have been constructed out of straw, leaves, or hair attached to sticks or reeds. They also might have sprayed on color through hollow reeds or bones in an airbrush type fashion. [[132]](Print_version.html#cite_note-149)

### Television and Film

It is no doubt that the roles of television and film have become more prominent in everyday life as decades have passed and improvements have been made in technology. People tend to watch television and films for entertainment or news purposes, especially since they have become more available and accessible to watch to people around the world. However, they are treated differently in different countries, from a portion of Serbia only being able to watch a certain channel to having 500 channels on every television in almost every home in America. Although television and film have become more common as years have passed, most people do not realize the work and corruption that exists through the media and is being placed in the homes of millions.

#### The Role of Television in Everyday Life of the Family in Serbia

The first channel of National television (RTS) is the only one which is possible to watch everywhere in Serbia. It is estimated that aproximately one third of population in Serbia can watch only this channel.[[133]](Print_version.html#cite_note-150) Other relevant channels, apart from strictly local ones, are: Studio B which covers Belgrade and area of 100 km around Belgrade, including Kragujevac, which is 3.5 millions of viewers; BK television station watch 25% of population, which means Belgrade and surrounding area. Until NATO aggression it was possible to see it in Leskovac as well. Television station "Pink" covers Belgrade and surrounding area, but they use cable links of National television which provides them larger territory. These are the "biggest" TV stations in Serbia by the number of viewers and area which they cover. TV "Pink" is the only commercial station in stricto senso: they play movies, soap operas, music and sport shows.

Variety of shows on both TV and radio caused a variety of preferences. One of the most common indicators of popularity of shows are charts published in specialized TV and radio magazines. According to the research performed in 1986/87 by Milena Dragievi - Šeši and group of students of Belgrade's Faculty for Drama Arts, at the time favorite shows in Serbia were sports, local Belgrade programs, movies and soaps, folk music and other entertainment shows, whereas favorite radio stations were Studio B and Belgrade 202. On the chart published in a specialized TV magazine "TV Novosti" on the 3rd of April 1996 the first place was held by domestic soap opera "Sreni ljudi" ("Happy people"), followed by sports (football, volleyball, handball) and movies. In January 200 the most popular show in Belgrade was "7 o' clock news" on Studio B television whereas in Serbia on the first place was hispanoamerican soap "Pravo na ljubav" ("The right to love") played on TV Pink. Preferences follow the line: movies, soaps, sports, news, and educational shows. This line is a consequence of essential functions of television: informational, educational and entertaining.

The majority of my informants named entertainment as a main reason why they watch television. When you don't have anything better to do, you just turn on your TV set and sail away where everything is different. You can rest from everything and everyone. The best sail away possibilities are offered in the soaps and movies. Switching to another reality provides rest from everyday life problems. These shows often appeal to women, while men find their escape in sports, especially football.

#### Television in America

The average American household has the TV on for an average of 7 hours, 12 minutes per day. [[134]](Print_version.html#cite_note-151) This is most likely because 98% of homes in the United States have at least one television set, while the average home has between 2 and 3 televisions. As a nation, we watch 250 billion hours of television annually and almost 50% of Americans admit that they watch TV too often. TV is one of the top advertising agents because it is so common; 30% of TV broadcast time is devoted to advertisement and in a year most children will see 20,000 30 second commercials. [[135]](Print_version.html#cite_note-152) 82% of Americans believe that "most of us buy and consume far more than we need." [[136]](Print_version.html#cite_note-153)

Children start watching TV at a very young age which is not beneficial to their health. It takes away from them going outside and interacting with other kids. This can also result in weight gain because instead of being active they sit and munch while watching TV.[[137]](Print_version.html#cite_note-154) In the span of 30 years (from 1963 to 1993), the percentage of American children ages 6 to 11 who were seriously overweight went from 4.5 to 14. [[138]](Print_version.html#cite_note-155)

However, television isn't necessarily all bad. Many viewers, myself included, regard TV as a much-appreciated source of relaxation and tune in to their favorite shows as a means of resting their bodies and recharging their minds after a long day at work or school. TV can also help to meet emotional needs, albeit on a somewhat superficial level, as it often functions as a source of escapism and even catharsis. In short, while I agree that watching too much television can have negative side-effects such as increasing rates of consumption and contributing to childhood obesity, I also believe that, in moderation, it is a perfectly healthy practice that can serve valuable functions in the lives of viewers.

Studies from the University at Buffalo and Miami University of Ohio have shown that television can also help stave off loneliness and rejection. It follows the 'social surrogacy hypothesis', which states that humans can use technologies to provide themselves a false sense of social belonging when there has in fact been no actual social interaction. Connecting with characters can help ease a viewer's need to connect with others, allowing a person to feel as though his/her social needs are being met. The first study found that subjects were less lonely while watching their favorite programs. The second study found that those who connected with the programs on a deeply social level described the programs at further length. The third study found that subjects just thinking about their favorite programs were buffered against drops in self-esteem and increases in negative moods and feelings of rejection. The fourth study found that those who had written about their favorite program (as referenced in the second study) felt fewer feelings of loneliness. The question remains, however, if this 'social surrogacy' actually fulfills social needs or simply suppresses them. [[139]](Print_version.html#cite_note-156)

  


#### Media and Television

The function of the media is to help define what “legitimate” behavior is. From sitcoms that overtime cover a wider range of materials (such as divorce, mixed race relations, single parents etc.) , to questioning the acts of politicians and government acts. In 1970 25% of Americans reported getting their political information from the television, by 2005 that number has more than doubled to 70% getting the majority of their information from the television. Today between 6-8 firms control over 50% of all media coverage. These firms include: Time Warner/AOL, Disney, Bertelsmann, Viacom, News Corp, and Vivendi. This number has changed drastically over the past several decades, in 1981 there were 46 major firms, in 1986 there were 24, in 1990 there were 17, and in 1996 there were 11. [[140]](Print_version.html#cite_note-157)

#### Video and attendance of transnational fiestas

Among the transnational Mixtec community spanning the United States and Mexico video has become an important form of communication across the international boundary of the border. Attendance of community fiestas associated with patron saints days, Quinceañeras and weddings is required by close kin especially god parents. However, for many families crossing the border and traveling many miles is prohibitive to attending these fiestas. Since the late 1980s video has been increasingly used to allow distant family members to 'participate' in the fiestas from the comfort of their living rooms. In parts of California it is common to see Tias (aunts) and comadres (friends) replaying the videotaped fiestas for years after the event occurred. [[141]](Print_version.html#cite_note-158)

## Theatre

Different forms of theatre are an important art form across nearly all cultures. Theatre most likely got started in the form of various dramas that were part of religious rituals and ceremonies. Ancient Greek civilization formalized this idea into a form of entertainment and expression. Greeks also divided theatre into two district forms: comedy and tragedy. In most aspects all modern theatre still falls into one of these categories. It is also common for theatre to contain aspects of other art forms such as dance, music, visual art in the form of backdrops and costumes, as well as written within scripts. Theatre has been localized very well in the U.S. with most towns having their own theatres, both professional and volunteer based. National Broadway tours make it to most major cities and most, if not all, high schools and colleges in the nation offer some form of theatre for students. [[142]](Print_version.html#cite_note-159)

### Improvisational Theater

Improvisational Theater, also known as “Improv,” usually consists of a group or band of “players” who join in improvised exercises or games that involve playing a part of a scene. The nature of Improv is to be spontaneous and in the moment. It is synonymous with organized flexibility. Much like regular theaters, Improvisational Theaters will perform regular shows and performances; highlighting the principle players. However, Improv Theater is unique due to the fact that there is no set script to be rehearsed and memorized. There may be an outline of where the director wants the show to go, but usually not. Occasionally, music and/or other mixed visuals are added to the exercises. Often, there is a set theme involved for the exercises and/or performances: such as a musical. If a director is necessary for the Improv performance to function, an artistic director will be utilized. Often, that director is a former player or is currently involved in the exercises. The “directors or managers,” tend to work together in collaboration regarding their individual responsibilities for the group. These types of organizations differ from competition-based organizations because the competition-based organizations have a structure and organization goal preset for them. This flexible structure is intriguing to Improv Theater groups because the members can come and go to rehearsals as they please. Rehearsals for Improv groups concentrate more on honing their skills as Improv actors, compared to conventional play rehearsals.

# References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

  


← [Communication and Language](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language) · [Ritual and Religion](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion) →

← [Communication and Language](http://en.wikibooks.org/wiki/Cultural_Anthropology/Communication_and_Language) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Ritual and Religion](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion) →

  


# Ritual and Religion

![Huichol Shaman in Bolaños, Jalisco, Mexico.](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/72/Huichol_shaman.jpg/750px-Huichol_shaman.jpg)

  


## Ritual, Religion and Myth

According to Cultural Anthropology: A Perspective on the Human Condition; by Emily Shultz and Robert Lavenda, a ritual must fit into four categories. These four categories are that it must be a repetitive social practice, it must be set off from the routines of day to day life, it must follow some sort of ritual schema, and it must be encoded in myth. Ritual often has its roots in myth and religion, tying itself to ancient practices between the divine and humans. However, a ritual does not have to be religious in nature; graduation ceremonies and birthday parties are rituals as well. [[143]](Print_version.html#cite_note-160) Religion can be defined as concepts or ideas and the practices associated with them. These practices hypothesize reality beyond that which is instantly available to the senses. Religion is a type of worldview, a collective picture of reality created by members of a society, and exists in many forms. As time passes and cultures change, religions evolve and change as well. Some popular present day religions include [Islam](http://en.wikipedia.org/wiki/Islam), [Christianity](http://en.wikipedia.org/wiki/Christianity), [Hinduism](http://en.wikipedia.org/wiki/Hinduism), [Buddhism](http://en.wikipedia.org/wiki/Buddhism), and [Judaism](http://en.wikipedia.org/wiki/Judaism).

### Examples of Rituals

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/School_Lunch_Programs.gif/220px-School_Lunch_Programs.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A little girl praying before her meal in the USA.

Religions have different rituals and practices that accompany and highlight religious experience. Familiar examples in the United States include attending church, praying, baptism and other rituals that have become very ingrained in Western culture as part of the Christian religion. For example American Christians pray before a meal, in time of grief and guidance, for a friend or family member and before and after waking up. However these rituals are only a very small part of the vast diversity of practices that religions from around the world use. In the Sierra Madre Occidentals, where the Huichol Indians live, there is a sacred place called Wirikuta. The Huichol Indians make a pilgrimage to this sacred land to collect the peyote cactus. The sacred peyote cactus, which can induce hallucinogenic visions, is eaten by the Huichol as a way to connect their three key symbols of life. These symbols are maize, deer and peyote. Religious practice varies greatly among cultures.

An example of an old ritual that is encoded in myth and religious symbolism can be found in the catacombs of Sicily where over 2,000 dead bodies are kept. Most of these bodies have been embalmed or mummified and dressed in the attire that suited their profession, many of them being nobles, professionals, and merchants. The oldest body dates from 1599, while the freshest have been dated to the 19th century. The truth of the reasons for mummifying of some of Sicily’s most important people is still surrounded by myth[[144]](Print_version.html#cite_note-161) A myth is a story, the truth of which seems “self-evident because they do such a good job integrating personal experiences, with a wider set of assumptions about the way society, or the world in general, must operate” [[145]](Print_version.html#cite_note-162). Aside from the myths, many used to go down to the crypts and “pray for the souls of dead relatives” to the mummified clergymen. This type of worship can be seen in many shamanistic cultures.

Another great example of Ritual can be seen in the Sinhalese Buddhists of Sri Lanka. To cure people of illness the Sinhalese perform an elaborate exorcism ritual that involves all night dancing, singing, and role playing. The ceremony traditionally lasts from Midnight until 6 AM. At Midnight, costumed actors appear to portray the afflicting demons. As time passes, these figures are turned into comedic figures of ridicule. At 3 AM actors dressed as Sinhalese gods appear and reassert their dominance. The final performance, done around 6 AM, the absurdity of the demons if confirmed and the ritual ends. It is important to note that the ritual involves several crucial and distinctly separate phases. [[146]](Print_version.html#cite_note-163)

A third example of a Ritual can be seen in the effective organization strategies of KUGS, the radio station at Western Washington University, as it employs is the usage of older members to initiate and train younger members. This is shown through their emphasis on new DJ training programs, all led by more senior DJs. As new members are forced to interact with older ones through activities like group training, and news reading for a full semester, they not only learn official rules but also unspoken social regulations of the club society. Also, when the newcomers are finally allowed to act as independent club members, they feel a greater level of group acceptance and membership, almost as if this is their own cultural coming of age ritual. This can also breed better leaders for years to come, because the future members will have seen good leadership in action and will remember those skills when it is their turn to train people.

There also many rituals in traditional American and European culture. For instance, rituals play an integral part in [Christianity](http://en.wikipedia.org/wiki/Christianity) the predominant religion in Europe, America and increasingly in China and many other parts of the world. There are many denominations of the Christian church and they differ in the applications of some rituals, but some common ones are worshiping and praying as a community, baptism, confession, and communion, or the use of bread and wine to symbolize the blood and body of Christ and the power of his salvation.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Bridges-baptism-062.jpg/220px-Bridges-baptism-062.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A young woman being baptized as a declaration of her faith.

[Christianity](http://en.wikipedia.org/wiki/Christianity) is not, however, the only major religion to focus on ritual. Participants of [Islam](http://en.wikipedia.org/wiki/Islam),if possible make the pilgrimage to Mecca at least once in their lives and must pray five times (beginning at five A.M.) every day at specific times in the direction of Mecca, which is located in Saudi Arabia [[147]](Print_version.html#cite_note-164). In [Judaism](http://en.wikipedia.org/wiki/Judaism), rituals include lighting the menorah, celebrating Hanukkah, abstaining from the consumption of dairy and pork, and eating unleavened bread during Passover. [Hinduism](http://en.wikipedia.org/wiki/Hinduism) involves regularly attending temples to burn incense and offerings including bread and flowers to each God and Goddess’s alter. Every belief system, whether it has one hundred followers or one hundred million, uses rituals to symbolize important aspects of their faith.

Rituals in the southwest region of the United States are also very common, especially among the Native American pueblos. In Sandia Pueblo, a pueblo in New Mexico near Albuquerque, the annual Buffalo Festival takes place. Early in the morning the males go into the Sandia mountains and re-enact a hunting party that their ancestors once participated in. Once they return the dancing ceremonies begin. The people of the pueblo who are a certain age begin to participate in the dancing, which is an especially big deal to the children who have finally come of age and have their first dance. After the first dance, a family will invite others into their home to eat a large feast usually consisting of buffalo. After this feast another dance takes place followed by a different families invitation to feast at their home. In their community it is considered rude to say no and refuse food so its safe to say that nobody goes hungry. This cycle of dancing and feasting continues until dusk when the Throw occurs. The Throw is when the family of the children who get to have their first dance go onto the roofs of houses in the main square and throw off practical household items, such as spatulas and spoons. This gut-stuffing ritual has taken place for many many years and will certainly continue for many more. [[148]](Print_version.html#cite_note-165)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Sandia_Mountains_from_West_hugin_panorama.png/1100px-Sandia_Mountains_from_West_hugin_panorama.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Sandia Mountains, the sacred land of the Sandia people

## Origin of Religion

[James Frazer's](http://en.wikipedia.org/wiki/James_George_Frazer) ethnology of religion entitled [The Golden Bough](http://en.wikipedia.org/wiki/The_Golden_Bough), published in 1890 and again in 1922, offered a thorough review of the cross cultural variation in ideas related to magic, myth and religion that were known to Europeans at the time. Taking an evolutionary approach he proposed that human belief progressed through three stages: primitive magic, which was displaced by religion, which in turn was replaced by science.

![Search Wikisource](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Wikisource-logo.svg/38px-Wikisource-logo.svg.png)
[Wikisource](http://en.wikisource.org/wiki/) has original text related to: 

_**[The Golden Bough](http://en.wikisource.org/wiki/The_Golden_Bough)**_

Anthropologists have suggested that religion was created out of a failure of magic to give a satisfying answer to the 'big questions' inherent across human civilization. Initially, the term religion was used to describe a domain of western culture and belief in the supernatural. The definition of religion has been disputed among anthropologists because some would define the 'supernatural' as something that does not exist, and some define it as something that is simply 'beyond sensed'. Recently, evolutionary biologist and psychologists have begun to look at religion in terms of it being a natural evolution of human culture over time. Much like the idea of culture itself, they believe that religion was replicated, adapted and evolved from generation to generation in much the same way that human genes do.

### Magic

Magic is defined as a set of beliefs and practices designed to control the visible or invisible world for specific purposes. [Magic](http://en.wikipedia.org/wiki/magic) often offers ways to explain the world, very similar to [Religion](http://en.wikipedia.org/wiki/religion) and [Sciences](http://en.wikipedia.org/wiki/science). In fact, religion and science evolved out of the inability of magic to explain the natural world. It is used as an attempt to create change in the natural world through supernatural means. Depending on the culture, magic can be used by humans or can originate from some higher power. In many cultures those who are suspected of using magic are feared and hated, but in other cultures they are respected leaders. In the past, religion has been said to have developed as a result of magic failing to explain everything.(Frazer) In the United States, for example, people who didn't fit cultural norms, mostly elderly women, they were prosecuted for witchcraft on the assumption that they were practitioners of magic in a society where magic is straight from the devil. There are two types of magic, imitative and contagious.

#### Imitative

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/Vudu.jpg/220px-Vudu.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Voodoo doll with pins in it.

Imitative magic attempts to control the universe through the mimicking of a desired event (e.g. a rain dance to bring rain to dry crops). A Voodoo doll is an example of imitative magic. The [Voodoo](http://en.wikipedia.org/wiki/Voodoo) doll is used as a symbolic representation of another person. A person that practices Voodoo magic may stick pins into a doll in order to inflict harm or put a curse on another individual. It is thought that by harming the Voodoo doll, one can manipulate the physical or emotional state of the person that the doll is meant to represent.

In the Babar Archipelago, when a woman wants a child, she invites a man from the village who has a large family to pray to Upulero, the spirit of the sun. A doll out of red cloth is made and held to the woman's breast as if it was suckling. The man who was invited over grabs a chicken by the leg and holds it over the woman's head saying "O Upulero, make use of this fowl; let fall, let descend a child, I beseech you, I entreat you, let a child fall and descend into my hands and onto my lap." He then asks the women if the baby has come and she says "Yes, it's already suckling". The man then holds the fowl over the husbands' head with a another prayer recited, and the chicken is killed and laid out for sacrifice. This ceremony blends together the ideas of imitative magic and religion. (Frazer, 2003)

#### Contagious

Contagious magic involves the use of physical objects that have been in contact with the person who the magic is to affect, like a toenail. Contagious magic is often associated with witchcraft, a basic concept, one that shapes their experience of adversity, in which all deaths are due to witchcraft and must be avenged by magic (p. 216 Schultz & Lavenda). Despite the stereotypes of European American witchcraft - old hags dressed in black, riding on broomsticks, casting spells, causing milk to sour or people to sicken - some witchcrafts are quite tame and do not involve the hurting of others.[[149]](Print_version.html#cite_note-166) Contemporary Wicca is often associated with witchcraft, and it is disputed among the Wicca community whether they should self identify as witches. Most Wiccans use what is known as "white magic." White magic is often used for healing, focusing the individual (or group, depending on circumstances), speaking to deity, meditation, and cleansing a space or object. Generally, first the priest or priestess will cast a circle (everyone does it a little differently) and call the God and Goddess to watch over the work of the day, whether it be to raise energy for a sick friend or to cleanse a new apartment. The four elements (air, earth, fire, and water) are usually represented in various ways, and they help make the circle complete. The work is performed within the created ["sacred space"](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion#Sacred_Spaces) of the circle, and then broken down when the work is complete. A meal is often served after circle, to rejuvenate the participants.

Nonetheless, contagious magic is still practiced today within the U.S, usually for beneficial and positive outcomes. For example, many people still use poppets (much like voodoo dolls) which are made with someone's personal possessions in order to draw positive energy into that person's life. [[150]](Print_version.html#cite_note-167) As a harmful example, the ability that a Navajo witch has to cause you physical pain because they have a piece of your hair is an example of Contagious magic.

An example of contagious magic among Australian tribes is a custom of removing a young male's front tooth in an initiation ceremony. In some of the tribes in New South Wales the tooth was placed under the bark of a tree; if the bark grew over the tooth or the tooth fell out then the boy would have good health, but if the tooth was exposed he would have diseases of the mouth. The tooth was out into the care of an influential man in the tribe and passed from man to man, the tooth was to be passed by hand. The tooth was never to touch any magical substance because it would seep into the tooth and harm the boy/man that it came from.

Using the afterbirth or placenta is another form of contagious magic. The belief that the afterbirth can affect the rest of an individual’s life is believed around the world in vastly differing contemporary societies. While it is rich in nutrients, the afterbirth isn't only eaten; there are many different rituals around the placenta. For example, the Lom on the island of Bangka in Indonesia, clean the placenta immediately after birth, "regardless of its subsequent treatment." They believe this prevents the baby's abdomen from bloating.[[151]](Print_version.html#cite_note-168) Common beliefs are that the afterbirth will influence the character and career of the person, making him, if it is a man, a nimble climber, a strong swimmer, a skilful hunter, or a brave soldier, and making her, if it is a woman, a cunning seamstress, and a good baker. Even though the afterbirth is not thought of as much more than another part of the birthing process, midwives in the United States to this day, still ask the family if they would like to have the afterbirth for any ritual purposes.

## Functions of Religion

From an anthropological standpoint, [religion](http://en.wikipedia.org/wiki/religion) serves many functions in society. First, it is believed that religion serves to explain the physical world. In this sense, religion offers to answer questions like: “How was the Universe created? How were the Earth and Sun created? How did plants and animals come to be?”

Furthermore, religion attempts to answer (or to help cope with) the “big questions” in life. Such questions may range anywhere from: “Who am I?" and "Why am I here?" to "What is my purpose in life?" and "What happens when I die?” Although religion does not directly answer all of these “big questions,” religion helps individuals cope with such daunting thoughts, making the lives of followers of arguably all religions more cohesive. It allows individuals to concentrate their efforts on their day to day life, rather than worrying about unanswerable questions. Religion creates a foundation in life to build upon, as well as for cultures to come together.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Religion_importance.PNG/500px-Religion_importance.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Percentage of citizens who consider religion "very important".

Religion also attempts to control or reduce uncertainty. This concept ties into the idea that religion serves to answer the “big questions” of life. By attempting to offer answers to such large questions, religion fulfils an individuals “need to know,” and thus offers some relief to an individual’s uncertainty about life. However, it is important to note that this concept of believing in the answers religion offers is called [faith](http://en.wikipedia.org/wiki/faith), in which an individual believes in something regardless of whether there is physical proof or not. Through the centuries there has been much debate over whether faith in a religion is positive or is a detriment to mankind. While the fourteenth century Italian poet and philosopher [Dante](http://en.wikipedia.org/wiki/Dante) wrote about the virtues or religion, the nineteenth century German philosopher [Nietzsche](http://en.wikipedia.org/wiki/Nietzsche) argued that accepting a dogmatic moral code on faith alone is not only illogical but fundamentally limits human potential.

French sociologist [Émile Durkheim](http://en.wikipedia.org/wiki/%C3%89mile_Durkheim) claims that in addition, religion attempts to offer a singular answer to life, and thus allows for the social cohesion of a society through its shared beliefs. So, in a sense, religion serves to unite a society under a system of belief (religion), which leads to the group’s ability to successfully interact within itself and allows for social control. Religion can also potentially divide people, as we see with religious wars in the past or in the present, for example the Sunni and Shiite are in constant turbulence and war <ref: <http://hnn.us/articles/934.html>>. Religion serves to define groups of people, who identify intimately with the beliefs encompassed by their religion, which leads to a shared worldview.

Finally, according to [Clifford James Geertz](http://en.wikipedia.org/wiki/Clifford_James_Geertz), an American anthropologist, religion attempts to offer a structure of meaning to life. Geertz believed that religion served as a model for how life should exist. Therefore religion demonstrates how individuals should conduct themselves in everyday life. An example of this is the Christian catchphrase, “What Would Jesus Do? (WWJD)”. By asking this question, Christians attempt to live their everyday lives by [Jesus](http://en.wikipedia.org/wiki/Jesus)’ example and directives, such as the concept of loving one’s neighbor as yourself, which can be found in Matthew, chapter 19, verse 16 in the Christian Holy Bible.

Overall, it is important to note from an anthropological point of view, religion does not serve a singular purpose, but in fact serves many purposes in society. While religions unite a society, they also offer answers to those in need, while giving a society rules of conduct in which adherents should live by. Most importantly religions add to and define cultures. Therefore, by studying a culture’s religion, the culture itself can be better understood.

## Concepts of Supernatural Beings

### Animatism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/31/TahuhuNgatiAwa.jpg/160px-TahuhuNgatiAwa.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Polynesian carving, spirits are said to be able to manifest themselves in any object.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Taka'i'i.jpg/160px-Taka'i'i.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Mana is conveyed trough tiki statues in Polynesian culture

Animatism is the belief in a supernatural power that is not necessarily a supernatural being or animal. In this sense it is the belief that the supernatural is all around you and could be anything. Individuals that hold these beliefs explain a powerful unseen force that can potentially be found all around us in people, animals, plants and features of nature such as volcanoes and the ocean, for example, Mother Earth (believing in the non-living). The belief of [animatism](http://en.wikipedia.org/wiki/animatism) doesn't assign a spiritual identity, but instead believes in a single unified power that can manifest itself into objects or be acquired by and controlled by certain individuals. The term was coined by the British Anthropologist Robert Marett as "a belief in a generalized, impersonal power over which people have some measure of control"Animatism is the cause of consciousness and personality to natural phenomena such as thunderstorms and earthquakes and to objects such as plants and stones. Inanimate objects, forces and plants have personalities and wills, but not souls. These forces are inanimate and impersonal, This is not true for those beliefs relating to animism.

In the South Pacific Polynesian cultures the power of animatism is commonly referred to as "Mana". For them it is a force that is inherent in all objects, plants, and animals (including people) to different degrees. Some things or people have more of it than others and are, therefore, potentially dangerous. Often a chief must have some with him at all times. Dangerous places such as volcanoes were considered to have concentrated amounts of mana. This impersonal power is much like the Force described in the popular Star Wars movies. Mana is a spiritual quality considered to have supernatural origin – a sacred impersonal force existing in the universe. Therefore to have mana is to have influence and authority, and efficacy – the power to perform in a given situation. Mana, Marett states, is a concentrated form of animatistic force found within any of these objects that confer power, strength, and success. For example, the Polynesians, believe in mana as a force inherent in all objects. This essential quality of mana is not limited to persons – folks, governments, places and inanimate objects can possess mana.

### Euhemerism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Antonio_del_Pollaiolo_-_Ercole_e_l'Idra_e_Ercole_e_Anteo_-_Google_Art_Project.jpg/220px-Antonio_del_Pollaiolo_-_Ercole_e_l'Idra_e_Ercole_e_Anteo_-_Google_Art_Project.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

_Hercules Clubs the Hydra_.

Euhemerism is a rationalizing method of interpretation that was named after the Greek mythographer (compiler of myths) [Euhemerus](http://en.wikipedia.org/wiki/Euhemerus). Euhemerism is the idea that a real person can become a deity or a supernatural immortal being through the constant telling and re-telling of their stories that leads to the distortion of the actual story. For example, many people believe that Hercules was a real person but was deified through the stories of his life and after some time the embellished story became the accepted story. Therefore, Hercules was remembered as a deity. Euhemerism is the worship and belief in an ancestor or historical being who is thought to have supernatural power. Euhemerus believed that every Greek god was someone that actually lived long ago and was immortalized in myth through their actions in life. Euhemerus believed that the Gods of Greece were in fact humanly-conceived incarnations of important historical figures who had achieved high reputation by advancing several areas of Greek society. [[152]](Print_version.html#cite_note-169)

### Animism

[Animism](http://en.wikipedia.org/wiki/Animism) is the belief that natural objects, natural phenomena, and the universe all possess individual souls. Deriving from the [Latin](http://en.wikipedia.org/wiki/Latin) word anima, meaning a breath or soul, it is one of man’s oldest beliefs dating back to the [Paleolithic Age](http://en.wikipedia.org/wiki/Paleolithic_Age) and is greatly associated with primitive peoples, those without a written tradition. [Sir Edward Burnett Tylor](http://en.wikipedia.org/wiki/Sir_Edward_Burnett_Tylor) was one of the first Anthropologists to study animism, believing it to be a “minimum definition of religion” he theorized that all globally recognized religions had some aspects of animism**[^](Print_version.html#ref_Hefner.3BGuimaraes)** . It is believed that animism was first constructed out of a need to explain natural phenomena such as sleeping, dreaming, and death. In classical animism it is said that spirits are a separate entity from the body, and cause life in humans by passing through bodies and other inanimate objects. [Robert Ranulph Marett](http://en.wikipedia.org/wiki/Robert_Ranulph_Marett), another Anthropologist of Tylor’s time, suggested that the earliest forms of animism were created based on emotion and intuition, rather than sacred practices, and written word. He believed that the earliest animists based their religion on inanimate objects acting strangely, or uniquely giving them the illusion of life alike to humans, trees blowing in the wind for instance. Contrary to Tylor, Marett believed that animists did not separate between the body and the soul, claiming them to be a single entity living and dying as one**[^](Print_version.html#ref_Hefner.3BGuimaraes)** .

In terms of practices, many animistic cultures worshiped plant life, including trees and plants, because of their beauty, strength, and life. It is thought that all beings, including plants, have a soul. This is why in many Native American cultures [totem poles](http://en.wikipedia.org/wiki/totem_poles) are major symbolic structures, and the main focus of many rituals. Centuries ago the Coast Salish Indian Tribe was well known for its belief in spiritual transmutation between humans and animals, a trait of animistic culture. Living in Cowichan Valley, on Vancouver Island they created hundreds of totem poles in order to showcase the spirits believed to be living in the animals portrayed upon the totems, and the trees the totems themselves were made out of. Now, the remnants of these totems are on display in both museums, and in their original locations in the city of [Duncan](http://en.wikipedia.org/wiki/Duncan), now known as “Totem City” because of the animistic art left over by the Coast Salish Indians.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/Moa-2.jpg/250px-Moa-2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Totem poles at the Museum of Anthropology at the University of British Columbia.

As mentioned, animism is greatly associated with more primitive cultures. However, “new animism” a more symbolic and less literal form of animism is still found in many different cultures worldwide**[^](Print_version.html#ref_Harvey_2006)** . This form of the religion is focused on the different types of souls in different types of people from all different cultures. It is more acutely understood as the teaching of how to have respectful relationships with human beings, as well as the natural world. It is also to be understood, that not all things have a truly human soul, including humans, and part of animism is distinguishing what/who is truly human, and what/who is not. The basic idea is that life is always lived in relationship with other soul-ridden beings, and showing the utmost respect for these relationships is vital to survival**[^](Print_version.html#ref_Harvey_2006)** .

### Dualism

[Dualism](http://en.wikipedia.org/wiki/Dualism) in the sense of theology is a belief in two supernatural god like figures. Bitheism/Ditheism are two forms that both involve the two gods. Bitheism implies that the gods live in peace and ditheism implies that there is opposition. This means that a ditheism system would have one good and one evil god or one god that listened and helped and one that ignored. A god of life and one of death is another example. An example of a bitheism system would be something like one god is of the sky and one of the wind. It is not always easy to distinguish between the two, like a sky god who brings storms and rain and an earth god who brings fertility and tremors. The ancient Greek philosopher Plato also had a hand in dualism, but more in the sense of body and soul. In a moral sense Christianity is a dualism religion with the opposition of God and Satan.

### Anthropomorphic

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Mycenae_Museum_Anthropomorphic_Figure_17.jpg/220px-Mycenae_Museum_Anthropomorphic_Figure_17.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Anthropomorphic figure from Mycenae in Greece (1250-1180 BC).

Anthropomorphism is the concept of attributing human characteristics or behaviors to a non-human being. This can mean animals, plants, and almost anything else taking on the personality of a human. Different religions have different interpretations of anthropomorphism, but in general it is to show their God as something or someone else. For Catholics the purpose of drawings and other forms of anthropomorphism is to reach our philosophic knowledge of God. In Greek mythology anthropomorphic animals are representations of their Gods. The Greeks show that the gods are different from us by attributing them to the features of being ‘immortal and ageless.’ [[13]](http://www.answers.com/topic/anthropomorphism)

In the anthropology of religion the primary use of anthropomorphism is to embody the supernatural in human form. An example that is most defined in Western culture is in Judaism and Christianity, God has given human feelings of anger and jealousy or compassion and forgiveness. All human qualities that have been given to God in human settings that surround humanity, where these feelings are all emotions that humans have observed and none that we haven't. A functional analysis of anthropomorphism proposes that when the supernatural takes human form, it may be easier for people to relate to the concepts promoted by religion.

Another use of anthropomorphism is the blending of human traits with other beings. “John Tenniel's depiction of an [anthropomorphic rabbit](http://en.wikipedia.org/wiki/anthropomorphism) was featured in the first chapter of Lewis Carroll's Alice's Adventures in Wonderland.”[[14]](http://en.wikipedia.org/wiki/Anthropomorphic) This is an example of anthropomorphism in the form of a children story. Another example in Western culture is Goldilocks and The Three Bears. All the bears talk and walk around like humans do. Both of these stories bring us closer to animals because they seem more like us, they seem friendly like someone a child would want to be friends with. This is a longstanding culture tradition in Western culture and many other cultures in fables and myths. Though many people do not like being compared to animals, especially primates, because they want to be seen as separate from animals.

### Zoomorphic

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Anubis_standing.jpg/220px-Anubis_standing.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The zoomorphic deity Anubis.

Zoomorphism is the attribution of animal qualities or characteristics to a God. It is the act of attributing animal qualities to things that are not animals. Many times it is mistaken for anthropomorphism, which attributes human characteristics or qualities to things that are not human. Zoomorphic supernaturals can be found in many religions, such as Hinduism with the deity [Ganesha](http://en.wikipedia.org/wiki/Ganesha). Other examples include images of male deities with antlers that appeared in prehistoric art in countries as far apart as France, Australia, Canada and China. [[15]](Print_version.html#endnote_Cotterell_2000)

An example of zoomorphism can also be found Egyptian mythology with the god [Anubis](http://en.wikipedia.org/wiki/anubis). In Egyptian mythology Anubis was the god that protected the dead and brought them to the after life until [Osiris](http://en.wikipedia.org/wiki/Osiris) took over the position and then Anubis became the gate keeper of the dead.[[16]](Print_version.html#endnote_Anubis_Encarta)

In [Egyptian Mythology](http://en.wikipedia.org/wiki/egyptian_mythology) death was not seen as the last stage of life it was seen as the stage of life where a person was at rest while they waited for the rebirth of their soul. The burial process of the Egyptians was very elaborate and complex because it was meant to protect the spirits from the different levels of good and evil.[[17]](Print_version.html#endnote_Anubisburial)

Anubis had the duties of watching over the mummification process, conduct the souls through the underworld, and placing the hearts of the souls on the Scales of Justice during the Judging of the Heart, and feeds the souls of the wicked people to [Ammit](http://en.wikipedia.org/wiki/Ammit).[[18]](Print_version.html#endnote_Anubisdescrip)

Anubis has the head of a jackal with the body of a human. His head is the color black because black is the color associated with death and the rotting color of flesh and the black soil of the Nile valley. The head of a jackal is significant because in ancient times jackals would hunt at the edges of deserts near the necropolis and cemeteries and ravage the desert graves throughout Egypt.[[19]](Print_version.html#endnote_Anubisdescrip)

Anubis was not the only zoomorphic god of Egypt. Horus was often drawn as a falcon on the shoulder of a ruler and he is typically depicted as having the head of a falcon when drawn alone. He was often used to show a ruler's connection to the Gods. Other examples in Egyptian mythology include Hathor, who is often depicted as a cow, and the warrior goddess Sekhmet, who is depicted as a lioness in human form. The use of zoomorphic gods shows a cultures connection with the animals surrounding it. [[153]](Print_version.html#cite_note-170)

### Totemism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/World's_Tallest_Totem_Pole,_Victoria,_British_Columbia.JPG/150px-World's_Tallest_Totem_Pole,_Victoria,_British_Columbia.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Victoria's "World's Tallest Totem Pole."

Totemism is a religious practice in which a family is seen to have a close kinship with a particular spiritual being, such as an animal or plant. The entity, or totem, is thought to interact with a given kin group or an individual and to serve as their emblem or symbol.[[[20]](http://www.britannica.com/EBchecked/topic/600496/totemism#)] Each spirit can be associated with an animal of some kind as a symbol of power or any other type of attribute. Masks are sometimes used as well to recreate the spirit or being. Usually seen through the use of [Totem poles](http://en.wikipedia.org/wiki/Totem_poles) with Native American families in traditional societies. Though this is usually seen in Native American traditional societies, this is something that is practiced all over the world, and it is not exclusively associated with those groups of people. The term totem is derived from the Ojibwa word ototeman, meaning “one’s brother-sister kin.” The grammatical root, ote, signifies a blood relationship between brothers and sisters who have the same mother and who may not marry each other. [[154]](Print_version.html#cite_note-171)

## How Beliefs Are Expressed

### Myth

The cultural [myth](http://en.wikipedia.org/wiki/mythology) can be defined as a guide to how to deal with critical problems that humans face as well as an explanation of things that are not understood by the natural world. Myths convey messages about the supernatural through the story itself.([talk](http://en.wikibooks.org/wiki/User_talk:Peterson9949)) Myths can concern a wide variety of things, such as the purpose of living, misfortune, cruelty, love and fertility, human versus divine, magic, power, fate, war, accident, chance, creation, and the nature of the universe. [[21]](Print_version.html#endnote_Cotterell_2000) Often they instruct people on their place in the world and how they should relate to it, and sometimes are used to justify certain relationships. For example, [Virgil’s](http://en.wikipedia.org/wiki/virgil) epic poem, the _Aeneid_, can be seen as a justification for the Roman Empire. [[22]](Print_version.html#endnote_Cotterell_2000)

Perhaps as a way of distancing the modern, "civilized" culture from the past cultures, some people argue that myths have lost their place in industrialized societies today and have become merely entertaining stories. The modern world still has many beliefs that would fit in the category of "myth", though, including its many religions, urban legends, and even the stories circulated about some of its public figures. The term myth today is also often used to refer to something that is made up or not based on fact. Myths can also explain what is deemed important to a culture and be considered to embody self-evident truths, in which case they do have a place in modern society. For example, United States Declaration of Independence has evidence of myth in it, since it is based on self-evident truths (that “all men are created equal”). [[23]](Print_version.html#endnote_Schultz_.26_Lavenda2009) Because the definition of myth is so broad, and because all known societies practice it in some form, it could be viewed as a cultural universal.

One of most well-known kinds of myths are [creation myths](http://en.wikipedia.org/wiki/creation_myth), which describe how the world began, and often where people fit into this scheme. An example of this comes from the [Haida](http://en.wikipedia.org/wiki/haida), an indigenous nation located on the Pacific Northwest coast of North America. According to this myth, Sha-lana ruled a kingdom high in the clouds which looked down on a vast, empty sea that stretched in all directions. When Sha-lana’s chief servant, the Raven, was cast out of the kingdom, he was so distraught that he flapped his wings in despair. By doing so, he stirred up the ocean, causing rocks to grow. He then created human beings from shells and introduced the sun and fire (which he stole from heaven). Other animal deities had a hand in different parts of creation as well; for example, Coyote’s son was the first victim of death, which was given to him by Rattlesnake. Deities such as Raven and Coyote fall into perspective when it is realized that North Americans believed that animals were the original inhabitants of the world and that they were exactly the same as human beings, other than the fact that humans can take off and put on their “fur” (clothes). [[24]](Print_version.html#endnote_Cotterell_2000)

[Sechrist7888](http://en.wikibooks.org/w/index.php?title=User:Sechrist7888&action=edit&redlink=1) ([talk](http://en.wikibooks.org/wiki/User_talk:Sechrist7888)) 21:07, 28 February 2009 (UTC)

### Doctrine

[Doctrine](http://en.wikipedia.org/wiki/Doctrine) specifically defines principle beliefs in the teachings of religious, political, scientific, and philosophic groups. This section focuses on religious doctrine, which is the oral and written body of teachings of a religious group that is generally accepted by that group. Doctrine not only focuses on large scale teachings, but daily moral codes as well, like appropriate dressing attire, or what social networks to involved in or separated from, and what kind of communication between individuals is acceptable. There are many types of religious doctrines that play a key part in shaping a religion and its beliefs. Some types are: [Roman Catholicism](http://en.wikipedia.org/wiki/Roman_Catholic), [Islam](http://en.wikipedia.org/wiki/Islam) and [First Baptist](http://en.wikipedia.org/wiki/First_Baptist).

  * Roman Catholic doctrine states that Jesus is the Son of God and was sent to die for the sins of the world. A person is granted eternal life only by accepting God into their lives. Additionally, penance and the Eucharist or Communion, are required at least once a year. There is the trinity that consists of God the Father, Jesus the Son, and the Holy Ghost.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/53/BiblenCh_ubt.jpeg/220px-BiblenCh_ubt.jpeg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Bíblia of Christian III of Denmark, the first Danish translation. This is an example of religious doctrine.

  * Islamic doctrine states that Allah is the one true God, and Muhammad is his prophet. People who practice the Muslim faith are also required to perform [The Five Pillars of Faith](http://en.wikipedia.org/wiki/Five_Pillars_of_Islam). These pillars are Kalima, the testimony of faith; Salat, praying five times a day; Zakat, giving alms; Sawm, fasting during the holy month of Ramadan; and Hajj, which is a pilgrimage to Mecca.
  * First Baptist doctrine states that God is the Father for those who accept Jesus. God directly created the heavens and earth. Faith in Jesus is the only condition of salvation. Also, Jesus will return in the Rapture for sinners.

Christina Toren is a professor at the University of St. Andrews and did a study of Christianity in Fiji. She found that although the people have morphed the doctrine that coincides with Christianity to suit their needs and culture, the basics are still there. Through participant observation, Toren was able to conclude that the adults viewed ritual Christian observance as a crucial sign of a person's belief in God. While they still believe that a person can be saved, it is not based on a person’s acceptance of God but their attendance on God, meaning that a person must be seen praying or giving money to the Church. The people who are Christian in Fiji have been able to still follow the doctrines of their religion while sticking with their cultural values that have been passed down for generations.

Contrastingly, Westernized Christianity believes that it is the acceptance of God and not the attendance on God that saves us. In other words, it is not by good works alone that saves or ensures an individuals place in the Heavens. While there is still an emphasis for prayer and tithing, Westernized Christianity emphasizes the importance of doing this in private as well. On prayer, the bible states that when two or more come together in prayer or worship the place in which they reside will be blessed and heard. “I want men everywhere to lift up holy hands in prayer, without anger or disputing” (1 Timothy 2:8 NIV). However, the Bible also emphasizes “When you pray, go into your room, close the door and pray to your Father, who is unseen. Then your Father, who sees what is done in secret, will reward you" (Matthew 6:6 NIV). The same holds true for tithing. The Bible states: “Remember this: Whoever sows sparingly will also reap sparingly, and whoever sows generously will also reap generously. Each man should give what he has decided in his heart to give, not reluctantly or under compulsion, for God loves a cheerful giver” (2 Corinthians 9:6-7 NIV).

It is believed that in doing these things, in private, for God, it becomes a matter of the heart, rather than making good impressions on Earth.

  
While these are not the complete set of doctrines for each of the types, they help paint a picture of each religion and their belief system. This in return, gives more insight into the inner workings of religion. Also, religious doctrines give anthropologists more information for why people believe what they do and how it affects their lives. [Loves](http://en.wikibooks.org/w/index.php?title=User:Loves&action=edit&redlink=1) ([talk](http://en.wikibooks.org/wiki/User_talk:Loves)) 00:44, 6 March 2009 (UTC)

### Sacred Spaces

Sacred Space can be anywhere a person wishes it to be. To the ancient [Druids](http://en.wikipedia.org/wiki/Druids) it was the oak groves, to Christians it usually takes the form of a Church, to Catholics it may be the Vatican in Rome, and to people who follow the faith of [Judaism](http://en.wikipedia.org/wiki/Judaism) their sacred space are the temples. These are not the only places people view as sacred. Such spiritually significant locations can be indoors or outdoors, it can be in the form of a small table top or Alter such as the empty table set for POW's in every U.S. Military dinning facility, or it can literally be a gigantic mountain  seen with [Bear Butte](http://en.wikipedia.org/wiki/Bear_Butte) or an entire area like Jerusalem. Though traditionally seen as a place to go and worship the divine, sacred space can be somewhere you use to just meditate and focus to gain back control over your emotions, or it can be somewhere you go to participate in Elaborate Rituals. In the case of sacred space being seen as a place of worship, it is usually used to connect to the divine in one way or another, some people go to a huge mountain that is seen sacred by their people to find a vision of some kind, and some people will go sit in a building of there religious choosing and focus on a prayer, or chant to hopefully gain help in an everyday life situation. Traditionally sacred space has been around for thousands, if not tens of thousands of years, and usually has some kind of significant meaning to that culture.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/95/Stonehenge_Inside_Facing_NE_April_2005.jpg/120px-Stonehenge_Inside_Facing_NE_April_2005.jpg)

Inside the stone circle [Stonehenge](http://en.wikipedia.org/wiki/Stonehenge)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Catedral_Metropolitana_de_Sao_Paulo_1_Brasil.jpg/90px-Catedral_Metropolitana_de_Sao_Paulo_1_Brasil.jpg)

[Catedral Metropolitana de Sao Paulo in Brazil](http://en.wikipedia.org/wiki/S%C3%A3o_Paulo_Cathedral)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ca/KonponDaido.jpg/120px-KonponDaido.jpg)

Kompon DaitoImage:Flower-bedecked shrine.jpg|Hindu flower shrine

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/00/Shrinetomaenak.jpg/84px-Shrinetomaenak.jpg)

Shrine to ["Mae Nak or แม่นาก / Nang Nak or นางนาก"](http://en.wikipedia.org/wiki/Mae_Nak),who is a legendary women of bankokian folklore.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Israel-Western_Wall.jpg/90px-Israel-Western_Wall.jpg)

[The Wailing Wall](http://en.wikipedia.org/wiki/Western_Wall), a sacred Jewish site in Jerusalem.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Bearbutte4_SD_view_below.jpg/120px-Bearbutte4_SD_view_below.jpg)

[Mato Paha or Bear Butte, South Dakota](http://en.wikipedia.org/wiki/Bear_Butte)

### Syncretism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/73/Virgen_de_guadalupe2.jpg/175px-Virgen_de_guadalupe2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

An image of Our Lady of Guadalupe.

Syncretism is the process by which elements of one religion are assimilated into another religion resulting in a change in the fundamental beliefs of those religions. This change does not always result in a total fusion of the religions but bits and pieces that one religion has adopted from another. This process greatly depends on communication, without which customs and beliefs could not be shared. The receiver of these messages will interpret what is being said to them from within their own understanding and worldview. The receiver determines the meaning for their community so it is important that the sender effectively communicate the meaning.

21st Century Christians also consider syncretism as a Christian exhibiting actions that do not reflect Christian beliefs, yet proclaim themselves as such. Christians discourage syncretism because Christians are supposed to live out their beliefs and lead a life that confirms their belief. Contextualization is when Christians associate with non-believers yet exhibit their beliefs, which is encouraged in place of syncretism.

The method of spreading these customs and beliefs began with the explorers. Each time they conquered new land they imposed their customs and beliefs changing the way of life and the basic beliefs of those they encountered. Under the pressures of Christian missionaries, the people of Central America identified some of their own pre-Christian values with the Catholic Saints. There are two ways in which syncretism can be viewed one is resisting new ideas imposed from above. The second way in which syncretism can be viewed is by introducing ideas from above by outsiders making room for local beliefs within their own worldview.

An ethnographic example is The Virgin of Guadalupe [[25]](http://en.wikipedia.org/wiki/Virgin_of_Guadalupe) appearing to Juan Diego a Nahuati speaking man at Tepeyac hill near Mexico City. This was the site of the temple or the Aztec mother goddess Tohantizin. Mary requested a church be built on that site, when Juan Diego visited the Bishop and told him what Mary had said the Bishop requested a sign that Juan Diego was telling the truth. Juan Diego returned to the hill where Mary told him to collect roses and bring them to the Bishop. When he returned to the bishop with roses in his timla, he dropped the roses at the feet of the Bishop and on the tilma appeared the image of the Virgin of Guadalupe.

Another example of syncretism is the Afro-Brazilian religion known as Candomblé. As African slaves were brought to Brazil they were forced to worship the saints of the catholic imperialist. The salves were devoted to the orixas, the deities of their native religion, and felt that praying to the catholic saint would be unorthodox. As a way to still worship their orixas and to make it seem as if they were honoring the catholic faith, the slaves found connections between the two. The slaves believed that the catholic saints actually descended from their orixas, therefore by praying to the altars of the catholic saints they were still honoring the orixas of their religion. This syncretic religion of Candomblé is still strong in Brazil today.[[155]](Print_version.html#cite_note-172)

An ethnographic example of religious syncretism is [Haitian Vodou](http://en.wikipedia.org/wiki/haitian_vodou). Haitian Vodou is a mix between the beliefs and practices of West African peoples who were brought to Haiti as slaves in the 16th century and the religion of their owners, [Roman Catholic Christianity](http://en.wikipedia.org/wiki/roman_catholic_church).

Haitian Vodou has two tiers of deities, the [Lwa](http://en.wikipedia.org/wiki/loa) and the greater god, Bondyè. Since the actions of Bondyè are beyond human control, Haitian Vodou practitioners focus their worship on the Lwa. However, since they believe in Bondyè as a supreme being, Haitian Vodou can be considered [monotheistic](http://en.wikipedia.org/wiki/monotheistic). The Lwa are dealt with like family members for the most part; able to be bribed, threatened and even married. Thus, all sickness and misfortune that is not caused by Bondyè is caused by one of the Lwa and the healing of these ailments is seen as "the healing of relationships" ([Lola](http://books.google.com/books?id=wV044meEOLEC&printsec=frontcover&dq=mama+lola%7CMama) by Karen Brown). Even though Haitian Vodou may seem very far off from Roman Catholic Christianity, each of the Lwa has a connection with one of the important Roman Catholic figures. For example, the Petwo spirit [Ezili Danto](http://en.wikipedia.org/wiki/Ezili_Dantor) is associated with the Roman Catholic image of the [Black Madonna of Częstochowa](http://en.wikipedia.org/wiki/Black_Madonna_of_Cz%C4%99stochowa), which is a holy icon of the Virgin Mary. She is also considered the Iwa of motherhood, single motherhood in particular.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/30/Czestochowska.jpg/220px-Czestochowska.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Black Madonna of Częstochowa, used in the depiction of [Ezili Danto](http://en.wikipedia.org/wiki/Erzulie_Dantor)

[Syncretism](http://en.wikipedia.org/wiki/syncretism) , the merging of two or more religious traditions into one that contains elements of all the original religions. Syncretism is the blending of two or more religions to create a larger cultural group or a mix of a conquerors and conquered peoples religions. In some cases deities or influential figures are blended and called by one name but retain attributes, images, symbols and sometimes holy sites from the original religions.

[Exclusivism](http://en.wikipedia.org/wiki/Exclusivism), in belief is the view that one's own religion is inerrant and all others are in error, may be practiced by the original traditions and the new syncretic religion, although syncretism seems antithetical to exclusivism, a part of the traditional religion survives. Exclusivism may also relate to practice rather than mere belief. Ancient Greek Religion combined many local deities, such as nymphs and other divinities connected to nature, into the myth system of the Greek Pantheon. The Decree of Diopithes of 430BCE forbade the worship or introduction of and the belief in deities other than the Greek Pantheon and made it an offense punishable by death. Later Greeks syncretised the Gods of other peoples with their own, this was not so much a matter of inclusivism but exclusivism, as though the Greeks were saying only Greek Gods are real so your Gods are really my Gods.

In its more extreme form, religious exclusivism teaches that only the members of one religion or sect will reach Heaven, while others will be doomed to eternal damnation. The opposite of religious exclusivism is universalism, the teaching that all will eventually share in the eternal blessings of God or the heavenly realm.[[[26]](http://en.wikipedia.org/wiki/Religious_exclusivism)]

Christianity is often viewed as an exclusive religion because of Jesus’ statement in John 14:6: “I am the way, the truth and the life; no one comes to the Father but through Me.”[[[27]](http://www.theologicalstudies.org/pluralism.html)]

**Exclusivism -- "Salvation is found in only one religion."**[[[28]](http://www.theologicalstudies.org/pluralism.html)]

## Religious Specialists

### Shaman

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Chaman_amazonie_5_06.jpg/220px-Chaman_amazonie_5_06.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Shaman from an equatorial Amazonian forest. June 2006

A [shaman](http://en.wikipedia.org/wiki/shaman) is a part-time religious practitioner who acts as a medium between the human and spirit world. A shaman is believed to have the power to communicate with supernatural forces to intercede on the behalf of individuals or groups. The term _shaman,_as defined in Schultz and Lavenda,"comes from the Tungus of eastern Siberia, where it refers to a religious specialist who has the ability to enter a trance through which he or she is believed to enter into direct contact with spiritual beings and guardian spirits for the purposes of healing, fertility, protection, and aggression, in a ritual setting [[29]](Print_version.html#endnote_Shultz_.26_Lavenda2009)." Shamans are generally thought of as healers, and yet they may also be feared or mistrusted by their own people because of their supernatural capabilities. Although having the power to converse with spirits may make them subject to suspicion, shamans are usually considered to be powerful,influential and valuable members of their society. There are even some tales among the peoples of North America about shamans succeeding in bringing the souls of the dead back to earth. [[30]](Print_version.html#endnote_Cotterell_2000) Shamans are often prevalent among hunter-gatherer societies. A shaman must typically endure intense training which may take over a decade and involve the use of psychotropic drugs to attain an altered state of consciousness. Shamanic activity is said to take place while the shaman is in a trance. Typical methods for inducing a [trance](http://en.wikipedia.org/wiki/trance) involve:

  * fasting
  * the use of psychedelic mushrooms, peyote, cannabis, ayahuasca, salvia, tobacco
  * dancing, singing or drumming to a hypnotic rhythm
  * deadly nightshade
  * sweat lodges
  * vision quests
  * incense and plants such as morning glory, sage and sweet grass

Shamans have been an integral part of hunter-gatherer societies for thousands of years. In prehistoric North America, for example, evidence of shamanic activity has been discovered in the form of rock art. Archaeologist David Whitley explains that,"shamans would often record their spiritual journeys symbolically by carving or painting rock surfaces in a sacred place. For instance,among the Numic people and in south-central California, rock art was created by shamans the morning after a vision was received, in order to preserve it for posterity. This was necessary because forgetting the details of a vision would result in the shaman's death or serious illness [[31]](Print_version.html#endnote_Turpin_1994_page_5)." Whitley also points out that,"there is extensive and compelling ethnohistorical evidence from throughout far western North America that the rock art in this region was made after the conclusion of ASCs (altered state of consciousness)[[32]](http://en.wikipedia.org/wiki/Altered_state_of_consciousness)to portray shamans' and puberty intitiates' visions of the supernatural realm [[33]](Print_version.html#endnote_Turpin_1994_page_4)." Shamanic art is often characterized by geometric patterns and or images of death, flight, drowning and sexual intercourse.[[34]](Print_version.html#endnote_Turpin_1994_pages_9-24) Some researchers advocate that rock art is symbolic of the visual imagery and sensations a person experiences on hallucinogenic drugs. Shamanic activity is still practiced among North American tribes today, although it has drastically declined since European colonization (only around 500 of the 2,000 tribes remain that were present in the 17th century). {{ref|Cotterell 2000 [[156]](Print_version.html#cite_note-173)

### Priest and Priestess

A [Priest](http://en.wikipedia.org/wiki/Priest) or [Priestess](http://en.wikipedia.org/wiki/Priestess), male and female respectively, is a person who has the authority to practice religious rituals. Priests do not have direct contact with the god or deity that they worship within their specific religious group. They exist to guide others in worship.

A priest's main role is to mediate contact between a group or individual and the divine. These rites are carried out for the benefit of the people, generally to connect them with cosmic forces or some form of healing or absolution.

Unlike [shamans](http://en.wikipedia.org/wiki/Shamans), priesthood is usually a full-time occupation, although in some areas it is not. In some religions it is a chosen calling and in others it is a preordained destiny determined by other priests or by familial lines.

Priests are most often found in hierarchical societies and are generally hold a higher status in their societies that those they preside over. Priests hold power due to their association with their respective religious institutions. Priests and priestesses exist in branches of [Judaism](http://en.wikipedia.org/wiki/Judaism), [Christianity](http://en.wikipedia.org/wiki/Christianity), [Shintoism](http://en.wikipedia.org/wiki/Shintoism), and [Hinduism](http://en.wikipedia.org/wiki/Hinduism) to name only a few.

  
Other Societies in ancient history were affiliated with Priests and priestess. Ancient Egypt was among one the first cultures to use priests to carry out sacred rituals rather than having a shaman. Priests were often passed down from father and son rather than being appointed like many cultures. Duties of Egyptian priest to care for the gods and goddesses and to attend to the needs of them. Unlike how priest are seen today as only being close to the gods and having rapport with them, the job was more like an everyday job. The duties of the priest were more than just preaching and religious practices. They taught in schools. They also assisted artists and their works and also guided people through their problems that they were having. Egyptian priest believed in many ritual taboos. Some of these were that the priest must be circumcised. Many priests also wouldn’t wear wool or any animal products because it was seen as unclean. PRIESTS also would bathe 3 to 4 times a day in scared pools, and shave of all of their body hair. Although Pharaohs were seen as gods themselves, in Egyptian societies priests are a stand in for Pharaohs or successor to the throne if anything were to ever happen to the Pharaoh <http://www.crystalinks.com/egyptpriests.html>

  


  
Although many affiliate priests with the [Roman Catholic Church](http://en.wikipedia.org/wiki/Roman_Catholic_Church), over time there have been many divisions in the church which have lead to numerous Protestant and orthodox churches. Although some are “in communion with the pope” they can be considered separate religions due to minor differences in beliefs. These churches in many cases still have priests or priestesses due to their catholic roots, examples of these are certain [Protestant](http://en.wikipedia.org/wiki/Protestant), [Anglican](http://en.wikipedia.org/wiki/Anglican) and [Episcopalian](http://en.wikipedia.org/wiki/Episcopalian), and Orthodox churches. The first division of Christianity was between the East and the West in 1054 due to a rivalry between Rome and Constantinople [[157]](Print_version.html#cite_note-174). The [Eastern Orthodox](http://en.wikipedia.org/wiki/Eastern_Orthodox) churches only recognize the canons of the seven ecumenical councils as binding for faith, and rejected doctrines that were later added in the West. The next major division of the church was in the early 16th century when many began to question the power of the Catholic Church. During that time the [Protestant Reformation](http://en.wikipedia.org/wiki/Protestant_Reformation) occurred and the [Lutheran](http://en.wikipedia.org/wiki/Lutheran) and [Anglican](http://en.wikipedia.org/wiki/Anglican) churches were formed[[158]](Print_version.html#cite_note-175). Even though these churches are separate from the Catholic Church many continue to have priests, and in some cases allow for women priestesses.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fc/Clerical_clothing.jpg/220px-Clerical_clothing.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Roman Catholic](http://en.wikipedia.org/wiki/Roman_Catholic_Church) priests in clerical clothing, Vienna, Austria, 2005

Some of the most widely practiced rituals of [Catholicism](http://en.wikipedia.org/wiki/Roman_Catholic_Church) are:

•[Baptism](http://en.wikipedia.org/wiki/Baptism) \- The first sacrament of Christian initiation, the basis for all the other sacraments. Baptism is the "for the forgiveness of sins” usually performed "in the name of the Father, and of the Son, and of the Holy Spirit". Baptism is performed at infancy in Catholicism to wash away original sin, whereas other Christians believe that a person should choose to get baptized when they want to claim Christianity as their own faith and can understand the implications. Young men and women who belong to the Catholic Church must go through a confirmation process usually during their 16th or 17th year prior to confirmation as a full member into the church.

•[Penance](http://en.wikipedia.org/wiki/Penance) \- (also called Confession and Reconciliation)- The first of the two sacraments of healing. It is also called the sacrament of conversion, of forgiveness, and of absolution. The first reconciliation of a Catholic must take place before receiving the Eucharist. To purely receive the body and blood of Christ one must be free of mortal sin.

•[Eucharist](http://en.wikipedia.org/wiki/Eucharist) \- The third sacrament of Christian initiation by which the faithful receive their ultimate "daily bread", also known as first communion if issued for the first time. Participants partaking of bread and sacramental wine to symbolize the body and the blood as spoken of in the last supper. That during communion Catholics, differing from other Christians, believe that upon consecration the Eucharist transcends a mere symbol and becomes the body and blood of Christ for the believer. A _real_ presence of Christ, although not human flesh and blood in a literal sense.

•[Confirmation](http://en.wikipedia.org/wiki/Confirmation) \- The second sacrament of Christian initiation, the means by which the gift of the Holy Spirit conferred in baptism is "strengthened and deepened" by a sealing. The wilful choice at an appropriate age of accepting Jesus Christ as your personal savior. This takes place after the Eucharist and Baptism.

•[Marriage](http://en.wikipedia.org/wiki/Marriage) (or [Holy Matrimony](http://en.wikipedia.org/wiki/Holy_Matrimony)) - The sacrament of joining a man and a woman (according to church doctrine) for mutual help and love, so that they might continue their religious life as a family.

•Anointing of the Sick (or [Unction](http://en.wikipedia.org/wiki/Unction)) - The second sacrament of healing. In it those who are suffering an illness are anointed by a minister with oil consecrated by a bishop specifically for that purpose. Often called "Last Rites" if issued when someone is considered to be dying with little to no possibility of recovery.

•The Sacrament of [Holy Orders](http://en.wikipedia.org/wiki/Holy_Orders) \- That which integrates someone into the Holy Orders of bishops, priests, and deacons, the "administrators of the mysteries of God", giving the person the mission to teach, sanctify, and govern.

Some traditional prayers recited at Catholic mass:

**Nicene Creed**

We believe in one God, the Father, the Almighty, maker of heaven and earth of all that is seen and unseen. We believe in one Lord, Jesus Christ, the only Son of God, eternally begotten of the Father, God from God, Light from Light, true God from true God, begotten, not made, one in Being with the Father. Through Him all things were made. For us men and for our salvation He came down from heaven; by the power of the Holy Spirit He was born of the Virgin Mary, and became man. For our sake He was crucified under Pontius Pilate; He suffered died, and was buried. On the third day He rose in fulfillment of the Scriptures; He ascended into heaven and is seated at the right hand of the Father. He will come again in glory to judge the living and the dead, and his kingdom will have no end. We believe in the Holy Spirit, the Lord, the giver of life, who proceeds from the Father and the Son. With the Father and the Son He is worshiped and glorified. He has spoken through the Prophets. We believe in one holy catholic and apostolic Church. We acknowledge one baptism for the forgiveness of sins. We look for the resurrection of the dead, and the life of the world to come. Amen.

**Our Father (The Lord’s Prayer)**

Our Father, who art in heaven, hallowed be thy name; thy kingdom come; thy will be done on earth as it is in heaven. Give us this day our daily bread; and forgive us our trespasses as we forgive those who trespass against us; and lead us not into temptation but deliver us from evil. (For the kingdom, the power, and the glory are Yours, now and forever.) Amen.[[159]](Print_version.html#cite_note-176)

This is a prayer recited during confession, it was said by Jesus at the sermon on the mount. He said it to teach Christians how to pray.

**Act of Contrition**

O my God, I am heartily sorry for having offended you. I detest all my sins because of your just punishments, but most of all because they offend you, my God, who are all good and deserving of all my love. I firmly resolve, with the help of your grace, to sin no more and to avoid the occasions of sin. Amen.[[160]](Print_version.html#cite_note-177)

### Pastors

[Pastors](http://en.wikipedia.org/wiki/Pastors) are generally known as ordained leaders within the Christian church. Unlike priests, pastors do not serve the role of mediating between a person/group and God; instead, they are in charge of leading and mentoring the church towards developing and deepening a personal relationship with [Jesus Christ](http://en.wikipedia.org/wiki/Jesus_Christ). Not only do pastors help people develop a deep relationship with Jesus, but they also help with marriage counseling and other types of counseling for everybody and anybody in the church. To be qualified to become a pastor in most Christian churches, one must have some type of pastoral degree (the most common degrees are Master of Divinity, Master of Theology, Doctor of Ministry and Doctor of Theology) from a bible or religious college (known as Seminary). However many of the Slavic Baptist churches in America do not require a degree because of the language barrier that the pastor may not be able to overcome to achieve a university degree. [[161]](Print_version.html#cite_note-178)

If a church is already developed but does not have a pastor yet, often the other leaders or elders of the church will determine pastoral qualifications which they feel are vital to being a good leader of the congregation. Although education is required, churches may look more closely at other qualifications of the pastor, in order to find a leader who will have the same core beliefs, values, and goals that the church has already set in place.

Qualifications to be a good pastor: Love for their people, A positive attitude and approach, people skills, an insitmate relationship with god, priority on teaching, leadership and focus.[[[35]](http://www.lifeway.com/article/?id=152569)]

According to Daniel Sherman, some areas in which pastors may differ are Character, Philosophy of Ministry, Skills , Spiritual Gifts , Education , Doctrine , Experience , Personal Information , Leadership Style [(Sherman 2008)](http://www.my-pastor.com/pastor-qualifications.html%7C)

### Prophets

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/af/Abraham's_Sacrifice.jpg/283px-Abraham's_Sacrifice.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The prophet Abraham of Judaism who was to sacrifice his son for God.

The basic definition of the word "[prophet](http://en.wikipedia.org/wiki/prophet)" is someone who has encountered the supernatural or divine. Prophets are often regarded as someone who has a role in their society in which they are able to promote change due to their messages and/or actions. However, the word "prophet" is extremely subjective, depending on which religious context it is being used in. To some, an individual may be considered an "authentic prophet", while to others that same individual may be considered a "false prophet"(regardless of their religious background). Some religions that include the use of prophets are Christianity, Judaism, Islam, the Sybilline and Delpich Oracles practiced in Ancient Greece, and Zoroaster. [[36]](http://en.wikipedia.org/wiki/Prophet)

In regards to the non-religious use of the word in the late 20th century, "prophet" refers to either people who are successful in analyzing the field of economics (the "prophets of greed") or to those who are social commentators that suggest there may be an escalating crisis within their environment and society due others' lack of compassion ("prophets of doom"). In more modern times, however, the concept of "prophets" as a whole has come under scrutiny, passing off the visions that the prophets have as mere, cases of Schizophrenia.

**Judaism**

Prophets are heavily intertwined in Judaism. To them, a prophet is an individual who is selected by God to act as a representation of Him. The prophets intend their messages to cause social changes among people, in order to conform to God's desires for humanity. In Jewish tradition, it is suggested that there are twice as many prophets within it as the number that left Israel, which was 600,000. And currently, the [Talmud](http://en.wikipedia.org/wiki/talmud) recognizes 48 male prophets and 7 women prophets. Naturally, non-Jewish prophets have a much lower status than Jewish prophets in the eyes of those who adhere to the Jewish traditions. A few prophets that are referenced in the Jewish religion are Abraham, Job, Samuel, Miriam, Moses, Isaiah, Ezekial and Malachi.  


**Islam**

The founding father of the religion of Islam who is regarded by Muslims as a messenger and prophet of God is Muhammad. He began to preach in c. 613. He urged the rich to give to the poor and called for the destruction of idols. [[37]](Print_version.html#endnote_Encyclop.C3.A6dia_Britannica._2009) Muslims consider him the restorer of the uncorrupted original monotheistic faith of Adam, Noah, Abraham, Moses, Jesus and other prophets. He was also active as a diplomat, merchant, philosopher, orator, legislator, reformer, military general, and, according to Muslim belief, an agent of divine action.

### Monk

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/StAnthony.jpg/150px-StAnthony.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

St. Anthony the Great, considered the Father of [Christian](http://en.wikibooks.org/w/index.php?title=Christian&action=edit&redlink=1) Monasticism

The term "[monk](http://en.wikipedia.org/wiki/Monks)" is used to describe a religious specialist who conditions the mind and body in favor of the spirit. This conditioning often includes seclusion from those who do not follow the same beliefs, abstinence, silence, and prayer. Monks were originally present solely in [Christianity](http://en.wikipedia.org/wiki/Chistianity), but through a looser definition created by modern westerners, the term has been applied to more religions (ex. [Buddhism](http://en.wikipedia.org/wiki/Buddhism)). The term is also often used interchangeably with the term “[ascetic](http://en.wikipedia.org/wiki/Ascetic),” which describes a greater focus on a life of abstinence, especially from sex, alcohol, and material wealth. In Ancient Greece, “monk” referred to both men and women, as opposed to modern English, which uses the term “[nun](http://en.wikipedia.org/wiki/Nun)” to describe a female monk. Before becoming a monk in a monastery, nearly every monk must take some sort of vow, the most famous being the [Roman Catholic](http://en.wikipedia.org/wiki/Roman_Catholic) vow of “poverty, chastity, and obedience.” It is also common to have a hierarchy within a monastery through which monks can rise over time with the growth of spiritual excellence. Monks are often confused with friars. Although they are very similar, the main difference between the two terms is the inclusion of friars in community development and aid to the poor.

While two of the more known types of monks are [Orthodox](http://en.wikipedia.org/wiki/Orthodox_Christianity) and Roman Catholic, a recently created sect of monasteries is [Anglican](http://en.wikipedia.org/wiki/Anglican). Roman Catholic monks were common throughout England until King Henry VIII broke off from the Roman Catholic Church and later ordered the razing, demolishing or removal, of all monasteries. Centuries later during the 1840s, a Catholic revitalization movement began in England, prompting Anglicans to believe that a monastic life should become not only part of England again, but also part of the Anglican Church. [John Henry Newman](http://en.wikipedia.org/wiki/John_Henry_Newman) started the first Anglican monastery in Littlemore, near Oxford. Since then, Anglican monasteries have spread throughout England and have been known to lead a “mixed” existence by taking traditions from different religions and religious specialists. They daily recite the Divine Office in choir and follow services from the Book of Common Prayer and Breviary. The also celebrate the Eucharist daily, and like Roman Catholic monks, take a vow of poverty, chastity, and obedience. The Anglican’s service to the local community, as a friar might do, sets them apart from other monks. However, during the past century and especially the past few decades, Anglican monasteries have lost support and are becoming extinct.

The man pictured on the left was a Christian saint from Egypt during the first century CE. He was a leader among the Desert Fathers and is known as the father of all monks.

  


### Saints

Saints are a specific group of individuals, often related to the Catholic and other Christian religions, although by no means confined to Christianity.

Christian saints are most commonly individuals of excessive holiness who have done amazing things with their lives and commonly have followed in the teachings of Christ, though not all were Christian. The lives and teachings of saints has been used to further the examples of the a persons faith. They are essentially experts on the ways of holiness and their lives are to be used as examples making them in a way a religious expert. Many are martyrs, exemplary people, who brought out the glory of God through their works. Some defining characteristics of saints are as follows:

  * 1\. exemplary model;
  * 2\. extraordinary teacher;
  * 3\. wonder worker or source of benevolent power;
  * 4\. intercessor
  * 5\. selfless, ascetic behavior; and
  * 6\. possessor of a special and revelatory relation to the holy.[[162]](Print_version.html#cite_note-179) [Saints](http://en.wikipedia.org/wiki/Saints)

There are currently over 10,000 saints. Many saints also have an associated item they are recognized for or something which they protect. Many saints also have a day associated for a feast in their honor. For the Catholic Church a saint is "recognized" by them, usually through the pope, as a saint and therefore is guaranteed passage into heaven.

"Christian" religions that have differing views of saints or something much like a saint are the Catholic as mentioned, Eastern Orthodox, Anglican, Protestant, Latter-day Saints, and Jehovah's Witnesses.

Then also Judaism, Hinduism, Sikhism, Islam, Buddhism, Sufism all have saint like figures.

## Ritual

### Ancestor worship

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Lotusconfuciustemple2.jpg/250px-Lotusconfuciustemple2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Confucian temple in Kaohsiung, Taiwan

Ancestor Worship is basically defined as a religious or spiritual practice which revolves around the belief that the deceased continue to have a presence after they die and contribute to the spiritual quality of their living relatives. Most religions have some form of ancestor worship, and consider the connection they have to their ancestors a significant component of their belief systems. This type of worship can often be confused with the worshiping of gods and deities, but it is an entirely separate practice. Many cultures see ancestor worship as non-religious; something that simply strengthens bonds with family and offers the proper respect for deceased loved ones. Others base a person’s social status on who their ancestors were and how high on the social hierarchy they were in life. Ancestor worship is mainly performed so that, by placating one’s ancestors, they may be taken care of in life and death. In return for the blessing by ancestors, worship insures that the ancestor’s spirits may be at peace. Other rituals that can sometimes accompany this type of worship include: sacrifice, elaborate burial ceremonies and the preparation of specific food dishes. One of the religions that is most associated with ancestor worship is called [Confucianism](http://en.wikipedia.org/wiki/Confucianism) , which is typically observed in many countries in Asia, specifically China. Confucianism focuses mostly on the concept of [filial piety](http://en.wikipedia.org/wiki/filial_piety) , or Hsiao; the respect for deceased relatives and their actions. Hsiao also represents the love within a family and between parent and child. Although the Chinese celebrated and worshipped their ancestors long before Confucianism, [Confucius](http://en.wikipedia.org/wiki/Confucius), the religion’s founder, really promoted it as a regular spiritual practice. Ancestor worship in Confucianism typically involves offering things to the ancestors that they may need to thrive in the afterlife such as food, weapons and other utensils. It is thought that if the proper items are not offered to the ancestors that they will come back to earth and haunt their living relatives. The Chinese celebrate a holiday called [Festival of the Hungry Ghosts](http://en.wikipedia.org/wiki/Ghost_Festival), during which people place wine and food outside their doors to please the ancestors so that they will return to the afterlife

Ancestor worship is common in Korea. The ancestors that Koreans worship are usually deceased family relatives that hand down blessings to the still living relatives through worship. Many Korean families hold ancestral ceremonies at least 3 times a year. One occasion would be the anniversary of when the ancestors passed away (dates they died). Another occasion would be New Years, worshiping ancestors to bless the family at the start of a new year. Another time would be Thanksgiving, when Koreans eat the first fruit of the fall season on the lunar calendar. Usually during these ancestral ceremonies, tables would be set up with the pictures of the deceased relatives (ancestors) upright, and plates of traditional Korean food (kimchi, rice, galbi, meats, broth, etc.) set before the pictures. Members of the immediate family of the deceased would be present at the ceremony. Members of the family would take turns bowing before the table where the ancestors are "sitting", to show a sign of respect and an invitation to dine. Then a family member (usually the oldest woman) would cut up the meat, vegetables, mix it with the rice, all of this a motion of "serving" the ancestors. All of the members of the family would then bow once more to show respect and the ceremony would conclude. [[163]](Print_version.html#cite_note-180)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Marriage_in_Thailand.JPG/220px-Marriage_in_Thailand.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This is a couple at their traditional Thai wedding ceremony, an example of a commonly prevalent life-cycle ritual.

  


### Life-Cycle Rituals

Rites of passage are a category of rituals that mark the passage of a person through the life cycle, from one stage to another. Birth, puberty, marriage and death are the most pivotal in the human experience.The importance of ritual dates back as far as 40,000 BCE. The evidence we have for this are flower-strewn remains of Neanderthal humans [[38]](Print_version.html#endnote_Meyerhoff). The act of this ritual we can only assume helped the survivors honor the value of life and to cope with this intense life crisis. The grieving pre-modern hominid discovered the comforting, and life affirming act of ritual. The motivation behind the Neanderthals actions is perhaps intuitive human habit of ritual, which maybe the true prescription for dealing with these profound life transitions.

  


##### Rituals of Death and Mourning

###### Jewish Mourning Rituals

Many different religions or cultures have varying rituals following the death of a person. Burial and mourning rituals may differ even among the same religion. The following are commonly accepted burial and mourning practices in [Judaism](http://en.wikipedia.org/wiki/Judaism):

After people have died, their eyes and mouths are closed. They are then placed on the floor and covered with a sheet, while a lit candle is placed by their head. The body is not to be left alone until burial, and it is seen as a good deed to sit with the body and to read psalms. Before burial the body is cleansed and clothed in a simple white shroud. The coffin is traditionally a simple cedar casket constructed without the use of metal due to the belief that people should decompose back into the earth, returning to dust after death.

The mourning process is divided into three sections, each increasing in time and lessening in intensity. The first period of mourning is called "Shiva." This period of mourning lasts seven days starting from the day of burial. This mourning period applies to the immediate family of the decease. It involves mourners rending their clothes in an outward sign of mourning. Furthermore, mourners sit on the floor or cushions or low stools and are prohibited from bathing, shaving, working, cutting their hair or washing their clothes. Some families also cover mirrors in their house in order to recognize that they should not be focusing on their own appearance in a time of such intense mourning. This is often the time when friends prepare meals for the family of the deceased and sit with them to comfort them. A second period of mourning is called "Sheloshim" and takes place from the 7th day after the burial till the 30th day. During this time the immediate family of the deceased should not cut their hair, shave or attend parties. The third mourning period lasts until the anniversary of the death. During this time mourners do not attend public parties or celebrations, but can cut their hair. However, mourning may be suspended during important Jewish holidays in order to take place in the celebration and prayer.[[39]](Print_version.html#endnote_Wigoder_2002)

##### The Components of Rites of Passage

The Elders, Knower’s or Guides: [that help the novice during the parts of or all throughout the liminal stages];

  * The Separation: [from home or community; in route to the sacred place, in which the novice experiences his or her ordeal].
  * The Sacred Place: can be a recreation of the original archetype, it is the place where human and the spiritual will commune;
  * Trials and Tribulations: are those hardships that the novice will endure, such as disorientation, chaos, training, depravation, chanting and-or altered states of consciousness;
  * Revelation: the revealing of inner meanings, the explanation of myths and transcendental knowing;
  * Symbolic Death: [the personal identity of the novice in the pre-liminal stage has been transformed, the old identity of the novice has died and no longer exists].
  * Resurrection and Rebirth: [the novice has been recreated, with a new identity and status];
  * Reincorporation: [where the novice returns home or enters into a new community, along with there new status].
  * A celebration is often common to commemorate the completion of the rite. [[40]](Print_version.html#endnote_Sanyika_1996)

In the 2002 film _Whale Rider_, a story of modern day rite of passage in a traditional Maori village and into the Whangara culture of modern day New Zealand. In the Whangara myth their presence on the island dates back a thousand years to one single ancestor “Paikea”, who escaped death when his canoe capsized by riding the back of whale to the village shore. Since then, the chiefly leadership role has been passed down to the first born male of the first born male, establishing a patriarchal society. “Pai” is the films 12 year old protagonist, who after the death of her twin brother, and her mother at childbirth is now in her own mind, destined to be the next Whangara chief. Pai’s father has exchanged his traditional culture for a life in Europe. In her quest to fulfill her destiny Pai faces the many challenges of this patriarchal tribe and all the elements of rite of passage are in the plot of the film: **The “elders” or “knowers**”:Pai’s elders are her grandfather, her grandmother Nanny Flowers and her uncle Rawiri. **The separation:** Pai’s grandfather, "Koro" who is the tribal chief, blames her for the death of the chosen one and as the personification of the curse upon the tribe whose ancestral chain has been broken. The grandfather ignores her at home, and further alienates Pai by forbidding her from participating in the warrior rituals with the rest of the male initiates. **The sacred place:** There are two sacred places in this film; the first one is the unfinished chief’s canoe of her father, and the beach. The canoe stands above land on blocks. This is where Pai seeks refuge and calls out to her ancestors. She is visited by an elder, her grandmother, Nanny who unlike her grandfather, supports Pai’s quest. The second sacred place is the beach, where she has her sacred encounter with the whale. **Trials and tribulations:** Pai sets out to seek the ways of warrior by sneaking onto the training compound, only to be caught by her grandfather, and to be humiliated in front of her male initiates. In one very important scene, Pai is being honored at school and dedicates as a gesture, a traditional tribal performance to her grandfather. Her heart is broken when he fails to show up. **Revelation:** A truth is revealed to her Uncle Rawiri one afternoon, as Pai retrieves the lost sacred artifact (the whale tooth) of her grandfather. (The “tooth” was tossed into the bay, during a training session with the aspiring young chiefs.) ‘The one who gets my tooth back to me, is the one” “Koro” announces (Whale Rider, 2002.) **Symbolic death:** Near the end of the film, Pai has her sacred encounter with the beached whale. She climbs up onto the back of the lead whale, in an attempt to get the whale to re-enter the water. The whale responds and off she goes with the whale into deeper waters. She almost drowns and is hospitalized for a few days. This is Pai’s symbolic death. It is during this time that her family is remorseful, especially her grandfather and reconsiders his point of view on who should be chief. Resurrection and rebirth: The film fades from a lonely scene of Pai in her hospital bed, to a vibrant ceremony of Pai in the finished canoe of her father. With her grandfather by her side, the fully crewed canoe is ocean bound. Pai is dressed in traditional clothing and proudly wearing her grandfather’s whale tooth necklace. **Reincorporation & Celebration:** The film stops at the re-birth stage, but the last scene in the film doubles to fulfil the stage of celebration. It is safe to assume Pai will fulfil her duties as the new chief.

### Pilgrimage

A [pilgrimage](http://en.wikipedia.org/wiki/pilgrimage) is a journey on behalf of ritual and religious belief. One who goes on a pilgrimage is called a Pilgrim. Often pilgrims try to obtain salvation of their soul through this physical journey. Most times the journey is to a shrine or a sacred place of importance to a person's faith. The institution of pilgrimage is evident in all world religions and was also important in the pagan religions of ancient Greece and Rome. Pilgrimages attract visitors from widely dispersed cultural backgrounds and physical locations, offering them the opportunity to be brought together because of the origins of their faith.  
  
Relevant to so many different cultural contexts, there is no single definition to describe to the act of pilgrimage. However, similarities are noticeable. Pilgrimage usually requires separation from the common everyday world, and in displaying that separation pilgrims may mark their new identity by wearing special clothes or abstaining from familiar comforts. Frequently, pilgrimages link sacred place with sacred time (i.e. The hajj always occurs on the 8th, 9th, and 10th days of the last month of the Muslim year).  
  
The location of sacred sites vary. Shrines often represent some great miracle or divine appearance, they may also appropriate the places that are holy to an older or rival faith. A factor that unites pilgrimage locations across different religions is the sense, variously expressed, that a given place can provide privileged access to a divine or transcendent state. In all religious traditions, some pilgrimage sites are regarded as more sacred than others. [[41]](Print_version.html#endnote_Encyclop.C3.A6dia_Britannica._2009)

The most visited religious pilgrimage sites in the world are:

•The Vatican - [Roman Catholic Church](http://en.wikipedia.org/wiki/Roman_Catholic_Church)

•Virgin of Guadalupe - [Catholic Church](http://en.wikipedia.org/wiki/Catholic_Church)

•Mecca - [Islam](http://en.wikipedia.org/wiki/Islam)

#### Hajj

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Supplicating_Pilgrim_at_Masjid_Al_Haram._Mecca,_Saudi_Arabia.jpg/283px-Supplicating_Pilgrim_at_Masjid_Al_Haram._Mecca,_Saudi_Arabia.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Pilgrim at [Mecca](http://en.wikibooks.org/w/index.php?title=Mecca&action=edit&redlink=1).

The [hajj](http://en.wikipedia.org/wiki/hajj) is the fifth [pillar of faith](http://en.wikipedia.org/wiki/five_pillars_of_islam). It occurs on the 8th to 12th day of Dhul-Hijah, which is the 12th month of the Islamic lunar calendar. Members of the Islamic faith are encouraged to perform the [hajj](http://en.wikipedia.org/wiki/hajj), a pilgrimage to Mecca, at least once in their lifetime. However, religious law allow exclusions on grounds of hardship. [[42]](Print_version.html#endnote_The_Columbia_Encyclopedia._2001-07) It is the largest annual pilgrimage in the world.[[43]](Print_version.html#endnote_Colin_Wilson._1996) Once a person has successfully completed the pilgrimage to Mecca he/she will receive the status of [Hajji](http://en.wikipedia.org/wiki/Hajji). [Mecca](http://en.wikipedia.org/wiki/Mecca) is known by Muslims as the dwelling place of Adam after his expulsion from paradise and as the birthplace of [Muhammad](http://en.wikipedia.org/wiki/Muhammad) (570–632), the prophet of Islam. [[44]](Print_version.html#endnote_Encyclop.C3.A6dia_Britannica._2009) Its yearly observance is held on the holy day id al-adha as a memorial of Abraham's readiness to sacrifice his son on Divine orders. [[45]](Print_version.html#endnote_The_Columbia_Encyclopedia._2001-07)  
  
**Pilgrims converge on Mecca for the week of the Hajj, and perform the following rituals:**  
  


  * Each person walks counter-clockwise seven times about the Kaaba, a building which acts as the Muslim direction of prayer
  * They kiss the Black Stone in the corner of the Kaaba
  * They run back and forth between the hills of Al-Safa and Al-Marwah
  * They drink from the Zamzam Well
  * They go to the plains of Mount Arafat to stand in vigil
  * They throws stones in a ritual Stoning of the Devil.
  * They shave their heads
  * They perform a ritual of animal sacrifice.
  * They celebrate the three day global festival of Eid al-Adha. [[46]](Print_version.html#endnote_Karen_Armstrong._2000)

### Buddhist Pilgrimage

Buddhists also take part in religious travels to sacred sites. Similar to the travels to Mecca in Islam or the Vatican in Catholicism, Buddhists travel to four main sites in Northern India and Southern Nepal. These sites are significant places in the life of Siddartha Gautama, the founder of Buddhism. Gautama taught that these foaaaur main sites would make his followers feel a sense of spiritual urgency, as they coincide with the life and spiritually significant experiences of the religious leader. The four significant places are as follows: Lumbini, where Siddartha Gautama was born, Bodh Gaya, where he was enlightened, Sarnath, where he gave his first teaching, and finally Kusinara, where Siddartha died.

Aside from the four main pilgrimage sites, there are also four other pilgrimage sites held to a high level of status due to the miracles that Buddha performed there. These are all together known as the eight great places. The last four places are: Srazasti- a major city in India where Buddha spent much of his time and is considered to be the "Place of the Twin Miracle". Rajgir- where the angry elephant , Nalagiri, was subdued through friendliness. Sankasia- said to be the "Place of the descending to earth from Tusita heaven". And lastly, Vaishali- the capital of the Vajjian Republic and the place where an offering of honey from a monkey was received. [[[47]](http://en.wikipedia.org/wiki/Buddhist_pilgrimage)]

### The Huichol's Pilgrimage for Peyote

The Huichol are a indigenous group of maize (corn) farmers who reside in Sierra Madre of northern Mexico. Maize, along with deer and peyote-which the Huichol have linked together-are key ingredients for their way of life. "In Huichol religious thought, deer, maize, and peyote fit together: Maize cannot grow without deer blood; the deer cannot be sacrificed until after the peyote hunt; the ceremony that brings the rain cannot be held without peyote; and the peyote cannot be hunted until maize has been cleaned and sanctified." [[164]](Print_version.html#cite_note-181) Here, Schultz shows the connection between three of the most prominent cultural symbols for the Huichol; and of those items, peyote seems to act as the metaphorical backbone that triggers the Huichol's religious practice. However, a pilgrimage must be first undertaken to find the peyote; beginning an approximate 350 mile trek.

The location the pilgrims of Huichol are destined to find the peyote is a representation of "Wirikuta, the original homeland where the First People, both deities and ancestors, once lived." [[165]](Print_version.html#cite_note-182) After they have "captured" the peyote plant -shooting two arrows into it- a shaman places peyote in each pilgrims mouth and the group then begins to gather peyote for the rest of the community.

The pilgrimage for peyote is an example of a culture actively holding onto their past. Instead of allowing their traditions to fall through the cracks, the Huichol use a holistic experience to preserve their religion and culture. [[166]](Print_version.html#cite_note-183)

  


### Rituals of Inversion

-Where the standards of everyday society are inverted and/or suspended, otherwise solid social codes are ignored. Two examples include [Carnival](http://en.wikipedia.org/wiki/Carnival) and [Halloween](http://en.wikipedia.org/wiki/Halloween)

**Carnival** \- The Carnival celebration occurs as a way to let loose before the strict rules of religion are set in place for [lent](http://en.wikipedia.org/wiki/lent). Typically, during Carnival everyday customs, rules, and habits of the community are inverted. Kings become servants, servants become kings, women dress as men and vice versa. The normal rules are overturned and indulgence becomes the rule. The body is granted freedom and obscenity is expected. Work and diets are omitted as people take to the streets to eat and party the days away. [[48]](http://books.google.com/books?id=jkAOAAAAQAAJ&pg=PA164&lpg=PA164&dq=carnival+ritual+of+inversion&source=web&ots=s1bGxiNAVi&sig=riqL1qFk5M6f-z_OH4ACmPfPiUE&hl=en&ei=0nyTSeK2CZKasAO3qISzBw&sa=X&oi=book_result&resnum=5&ct=result) A common thing to find during carnival are [masquerade balls](http://en.wikipedia.org/wiki/Masquerade_ball), where men and women can wear masks of animals, creatures, and other people and in trying to figure out who the various attendees are, risqué behaviour is to be expected.

Carnival is a festival traditionally held in Roman Catholic and, to a lesser extent, Eastern Orthodox societies. Regardless, many people participate in the carnival tradition today. The Brazilian Carnaval is one of the best-known celebrations today, but many cities and regions worldwide celebrate with large, popular, and days-long events. Festivities are held in hundreds of different countries worldwide. [[[49]](http://en.wikipedia.org/wiki/Brazilian_Carnaval)]

An example of Carnival in the United States is Mardi Gras. Mardi Gras occurs in February right before the season of lent. It was first introduced by the Le Moyne brothers, Pierre Le Moyne d'Iberville and Jean-Baptiste Le Moyne de Bienville to the territory of Louisiane which now includes the states Louisiana, Mississippi, and Alabama. Ever since its introduction Mardi Gras has been celebrated in that area of the United States for many years. Its common to see people wearing minimal clothing, flashing for beaded necklaces, and partying in the streets. Much of this behaviour is overlooked by police who only react when it is taken to the extreme or is in the more "family friendly" areas.

**Halloween**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/60/Halloween_Draganizer.jpg/220px-Halloween_Draganizer.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Inversion on Halloween

The Celtic celebration Samhain, pronounced “sow-in”, was the yearly culmination of the summer and harvest months and the beginning of the winter season marked by cold and death [[167]](Print_version.html#cite_note-184). This “Feast of the Sun” was a time for all Celtic clans spanning across Ireland, the United Kingdom, and northern France to gather comfort and support while giving thanks to their many divine beings. Traditionally, large bonfires were built and people gathered to offer food and animals as sacrifice to the many deities. The Celts, pronounced Kelts, were polytheistic and offered gifts to specific [Pagan](http://en.wikipedia.org/wiki/Pagan) Gods throughout the year. After the celebration had ended, people would relight the hearth in their homes with fire from the communal and sacred bonfire. This fire was thought to protect the people especially on the night of October 31, when the ghosts of the dead and otherworldly spirits were believed to return to earth.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/69/Wszystkich_swietych_cmentarz.jpg/300px-Wszystkich_swietych_cmentarz.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

All Saints in Poland

As Christianity and Roman rule began to spread through the Celtic lands, the holiday of [Samhain](http://en.wikipedia.org/wiki/Samhain) or “[Halloween](http://en.wikipedia.org/wiki/Halloween)” would be reinterpreted and designated as three holidays known as the Eve of All Saints’, All Saints’, and All Souls’ Day. All Saints’ Day, November 1st, was created as a memorial for all saints and martyrs recognized by the [Roman Catholic Church](http://en.wikipedia.org/wiki/Roman_Catholic_Church) while All Souls’ Day, November 2nd, is a day to honor the dead. These church-sanctioned holidays were similarly celebrated with bonfires, parades, and costumes consisting of saints, angels, and devils. The idea of Satan is a Christian concept that did not exist in pagan beliefs. In order to believe in one idea of ultimate evil (the [Devil](http://en.wikipedia.org/wiki/Devil)) the Celts had to believe in one concrete idea of ultimate good (God), but they worshiped several Gods. These traditions went under further construction as further generations began to relocate away from ancestral grounds.

The Great Potato Famine of 1845-1850 resulted in the emigration of 1.5 million Irish. Large Irish communities were based near ports in New England states as well as the western territories. Many Irish practiced their Catholic faith and their traditional practices in America, including All Hallows Eve. This cultural practice has been adopted to fit modern customs and reflects a diverse holiday rooted in Celtic and Mexican beliefs. However, the current practice of Halloween emphasizes less of the religious aspect and emphasizes the idea of fun. Americans can be seen going door to door gathering candy from neighbors and decorating yards with grim decorations. Jack-O-Lanterns line porches, spiders and skeletons hang from doorways, and eerie music plays while young children run through the streets shouting [Trick or Treat](http://en.wikipedia.org/wiki/Trick_or_Treat)! Costumes that depict superheroes or popular icons of the year are worn by people of all ages. Small acts of vandalism include pumpkin smashing, throwing of toilet paper, and the stealing of candy. These forms of mischief may stem from the ancient Celtic belief that all trickery was done by fairies that were upset with mankind. Such antics are often very minuscule but add to the “haunting” affect that Halloween has on American culture.

### Sacrifice

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1c/Brahmana_performing_fire_sacrifice.JPG/300px-Brahmana_performing_fire_sacrifice.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Brahmana performing fire sacrifice

A [sacrifice](http://en.wikipedia.org/wiki/sacrifice) is an offering of something of value to an invisible force, and is done in many cultures and religions. Some reasons for sacrifices are to thank the invisible or cosmic forces in hopes of getting them to perform in a certain way, or to gain merit in their religious group (Shultz & Lavenda, 2009). Sacrifices are also made out of selfless good deeds. The word "sacrifice" in Latin means "to make sacred." Some examples of sacrifices are: Money, goods, services, animals and humans.

In pre-Columbian Mexico, the [Aztecs](http://en.wikipedia.org/wiki/Aztec) sacrificed hundreds of humans in accordance with their ritual calendar in what is referred to as a [human sacrifice](http://en.wikipedia.org/wiki/human_sacrifice).[[168]](Print_version.html#cite_note-185) It was thought that in order for the sun to shine everyday a certain amount of human hearts had to be sacrificed. The most common sacrifice was for the sun God, Huitzilopochtli, in which a knife is used to cut under the ribs to get to the human heart, which was then jerked out.

In Hindu culture sacrifices are made to the Agni, the divine messenger. In the sacrifice grains, spices, and wood are thrown into a fire. These sacrifices represent devotion, aspiration, and the seeds of past karma.

In the Bronze period of ancient China sacrifices were very common in ancestor worship. It was believed that when a person died the spirits decided the persons fate. In order to invoke these spirits a beautiful bronze vessel was filled with wine and water and was offered. It was placed outside of the city during a time of need as a sacrifice to the Heavens. This is an example of a [goods sacrifice](http://en.wikipedia.org/wiki/goods_sacrifice).[[50]](http://gallery.sjsu.edu/sacrifice/chinese.html)

## World Religions

### **Hinduism**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Procession_de_Ganesh-Paul_Munhoven_2.JPG/300px-Procession_de_Ganesh-Paul_Munhoven_2.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Celebration of Ganesh, Paris.

[File:RadheShyam07.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=RadheShyam07.jpg)

Krishna (left), the eighth incarnation ([avatar](http://en.wikipedia.org/wiki/avatar)) of Vishnu or [svayam bhagavan](http://en.wikipedia.org/wiki/svayam_bhagavan), with his consort [Radha](http://en.wikipedia.org/wiki/Radha), worshiped as [Radha Krishna](http://en.wikipedia.org/wiki/Radha_Krishna) across a number of traditions - traditional painting from the 1700s.

Hinduism [[51]](http://www.religioustolerance.org/hinduism2.htm) is also called [Sanatana Dharma](http://en.wikipedia.org/wiki/Sanatana_Dharma) (Eternal religion) and [Vaidika Dharma](http://en.wikipedia.org/wiki/Vaidika_Dharma) (Religion of the Vedas). There are two major divisions within Hinduism: Vaishnavaism and Shivaism. Hindus believe in the repetitious Transmigration of the Soul. This is the transfer of one's soul after death into another body. This produces a continuing cycle of birth, life, death and rebirth through their many lifetimes that's called Samsara. Karma is the accumulated sum of ones good and bad deeds. Karma determines how you will live your next life. Through pure acts, thoughts and devotion, one can be reborn at a higher level. Eventually, one can escape samsara and achieve enlightenment. Bad deeds can cause a person to be reborn as a lower level, or even as an animal. Hindus body of scriptures is divided into Sruti and Smriti. Hindus organize their lives around certain activities (Purusharthas). These are called the Four aims of Hinduism or "The doctrine of the fourfold end of life." They are:

  * Dharma: righteousness in their religious life. This is the most important of the three.
  * Artha: success in their economic life; material prosperity.
  * Kama: gratification of the senses; pleasure; sensual, sexual, and mental enjoyment.

The main goal for the "Nivritti," those who renounce the world. is:

  * Moksa: Liberation from "samsara." This is considered the supreme goal of mankind.

Hinduism is unique due to the fact that there is no real distinction between beings divine and human. In Hinduism humans can appear divine, and gods human. Also, unlike most religions such as Christianity, there are two supreme gods Vishnu and Shiva, who are equal in power. Hinduism also has other gods such as Lakshmi and Parvati, who are wives to Vishnu and Shiva. A staple of Hinduism is greetings. Many times Hindu’s will bow their heads or raise heir hands as a sign of greeting and respect. It is this same raising of the hands which Hindu’s praise and worships their gods. In most pictorials of the deities, the divine are often showing this same way of greeting, showing that the divine must show respect. [[169]](Print_version.html#cite_note-186)

Hinduism today is seen and argued as being polytheistic or monotheistic. In fact they would both be right. They do worship many deities, but they believe that each one is part of a whole unity. This is the panentheistic principle of Brahman: that all reality is a unity. The entire universe is one divine entity that is at one with the universe. Strictly speaking, most forms of Hinduism are henotheistic, meaning they recognize a single deity, and recognizes other gods and goddesses as facets, forms, manifestations, or aspects of that God.

The formal way to great people in the Hindu culture is to put one’s hands together, bow the head and say “Namaste” (Hindi language), “Vanakkam” (Tamil language) or another language variation. The translation means “the God/Goddess in me respects the God/Goddess in you” or "I bow to the divine within you".

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/Mune_wall_col.jpg/220px-Mune_wall_col.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The [mantra](http://en.wikipedia.org/wiki/mantra) [Om mani padme hum](http://en.wikipedia.org/wiki/Om_mani_padme_hum) written on rocks. Chanting mantras has been a feature of Ayurveda since the Atharvaveda—a largely religious text—was compiled.[[170]](Print_version.html#cite_note-187)

#### Vaishnavism

Viashnavism is a tradition of Hinduism distinguished from other schools by its worship of Vishnu or his manifestations, principally as Rama and Krishna, as the original and supreme God. Viashnavism is seen as monotheistic, since adherents to this form of Hinduism believe in one Supreme God. They believe that the living entity (or soul) is eternal, and that the purpose of life is to be free from reincarnation through spiritual practices. Bhakti Yoga (the spiritual practice of fostering loving devotion to God) is seen as the most direct method to achieve this. Desire is seen as the root of all evil, and thus a great deal of importance is assigned to the control of the senses, mainly through meditation and yoga practice. Material nature is seen as temporary, and is said to contain 3 modes: Goodness, Passion, and Ignorance. Desire, or lust, is said to be the result of material contact with the mode of passion, which is inevitably transformed into ignorance. The Supreme Personality Of Godhead is Omnipotent, Omniscient, and Omnibenevolent. He is male, and eternal. He is the Creator and the Destroyer. It is said that He created the material world by impregnating it with His eyes. The Material Universe is said to last 311 trillion 40 billion years and then die. At this point the devastation takes place, which means that the energy manifested by the Lord is again would up in Himself. Then Creation follows, and material energy is let loose once again. This cycle repeats infinitely... [[52]](Print_version.html#endnote_Bhagavad_Gita)

  
The Vedas, [The Bhagavad Gita](http://en.wikipedia.org/wiki/Bhagavad_Gita), and the Upanishads are seen as major religious texts.

The monotheistic worship of Vishnu was already well developed in the period of the Itihasas. Hopkins says "Vishnuism, in a word, is the only cultivated native sectarian native religion of India. Vaishnavism is expounded in a part of the Mahabharata known as the Bhagavad Gita, which contains the words of Krishna, one the avatars of Vishnu.

Vaishnavism flourished in predominantly Shaivite South India during the seventh to tenth centuries CE, and is still commonplace, especially in Tamil Nadu, as a result of the twelve Alvars, saints who spread the sect to the common people with their devotional hymns. The temples which the Alvars visited or founded are now known as Divya Desams. Their poems in praise of Vishnu and Krishna in Tamil language are collectively known as Naalayira (Divya Prabandha).

In later years Vaishnava practices increased in popularity due to the influence of sages like Ramanujacharya, Madhvacharya, Manavala Mamunigal, Vedanta Desika, Surdas, Tulsidas, Tyagaraja, and many others.

Large Vaishnava communities now exist throughout India, and particularly in Western Indian states, such as Rajasthan and Gujarat and north eastern state Assam. Important sites of pilgrimage for Vaishnavs include: Guruvayur Temple, Sri Rangam, Vrindavan, Mathura, Ayodhya, Tirupati, Puri, Mayapur and Dwarka. Krishna murti with Radha Bhaktivedanta Manor, Watford, England

Since the 1900s Vaishnavism has spread from within India and is now practiced in many places around the globe, including America, Europe, Africa, Russia and South America. This is largely due to the growth of the ISKCON movement, founded by A.C. Bhaktivedanta Swami Prabhupada in 1966. Hinduism by Country, [[53]](http://en.wikipedia.org/wiki/Hinduism_by_country)

The Mahabharata is known to be the longest epic in the world. A collection of narratives, the Mahabharata is a holy text about ancient India under King Bharata. Dhritarashtra had 100 sons and 5 step sons called the Pandavas. The 5 Pandavas took pride in their morals and piety. Therefore, Dhritarashtra’s first son Duryodhana planned to have them murdered in an inflammable religious palace. Believed dead, the Pandavas escaped, moved into the forest, and became Brahmins.

In a nearby kingdom, a princess was looking for a suitor. The five brothers heard this and made way for the festivities. If one man could bend an enormous bow and hit a tiny target, then he would have the princess’s hand in marriage. Each man failed until the third son, Arjuna, struck the target with ease. The other suitors were upset about this forest dweller defeating them and brought the ruckus. A battle would have prevailed if Krishna did not intervene. Krishna held Arjuna’s right to the bride. A legendary war then prevailed between the newly allied Pandava brothers and Dhritarashtra’s kin. Specifically, The Bhagavad Gita tells this tale.

The Mahabharata is similar to the Bible in terms of being a homogeneous work. Also, it is the most translated piece of literature next to the Bible. Westerners, specifically people from the United States should make an effort to be familiar with the Mahabharata just like foreigners know about the Bible.

  


1 **[^](Print_version.html#ref_Bhagavad_Gita)** His Divine Grace A.C Bhaktivadanta Swami Prabhupada., "The Bhagavad Gita As It Is"

### Sikhism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8e/BhaiSahibJiArdas.jpg/200px-BhaiSahibJiArdas.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

(Pujio) Bhai Sahib Norang Singh Ji doing [Ardās](http://en.wikipedia.org/wiki/Ard%C4%81s).

[Sikhism](http://en.wikipedia.org/wiki/Sikhism) is a religion based in Punjab, India. It is the fifth-largest world religion. It is founded on the teachings of Guru Nanak [Guru Nanak](http://en.wikipedia.org/wiki/Guru_Nanak), along with ten successive Sikh Gurus. Guru Nanak founded the religion in 1469 CE. The principle belief of Sikhism is faith in [Waheguru](http://en.wikipedia.org/wiki/Waheguru), which refers to God or Supreme Being. It means "wonderful teacher" in the Punjabi language. Sikhism promotes the idea of salvation through disciplined and personal meditation on the name and message of God. The concept of God in Sikhism is oneness with the entire universe and its spirit. Sikhs must eliminate ego to be able to find God. Sikhs do not believe in heaven or hell. "Heaven" can be attained on earth by being in tune with God while still alive. The suffering and pain caused by ego is seen as "hell" on earth. They believe that upon death, one merges back into universal nature. Sikhs view men and women as equal in the world. Women are expected to participate in the same religious life as men are. In Sikhism, every person is fully responsible for leading a moral life. Sikhs have no priestly class. Therefore, those who are educated in the ways of the religion are free to teach others about Sikhism, however, they cannot claim to have access to God. The only religious text of the Sikhs is Sri Guru Granth Sahib Ji, which contains hymns written by Guru Nanak and the other Gurus. Sikhs believe they have no right to impose their beliefs on others or to cajole members of other religions to convert. All individuals, regardless of race, gender, or nationality, are eligible to become Sikhs.

### Zoroastrianism

[Zoroastrianism](http://en.wikipedia.org/wiki/Zoroastrianism) is one of the oldest recorded monotheistic religions started in Persia and based on the teachings of [Zoroaster](http://en.wikipedia.org/wiki/Zoroaster) a prophet of the early 5th century BCE. Many present day Theologians point to Zoroastrianism as the influence for many of today's monotheistic world religions like Christianity, Islam, and Judaism etc. Zoroaster preached the following of [Ahura Mazda](http://en.wikipedia.org/wiki/Ahura_Mazda) which equates to God. Ahura Mazda is the supreme being of good whose enemy is represented by "druj" which is simply the power of evil. Zoroastrianism asks its followers simply to do good and to go through life with good thoughts, good words, and good deeds as these are necessary to create happiness and to keep the "druj" at bay. Pre-Islam Iranian governments promoted the teaching of Zoroastrianism during that time. Zoroastrianism was extremely popular to the Iranian people and was considered a state religion until it was marginalized by other religions in the 7th century. However it is still significant due to its history, the possible influence it had on other religions, and its followers who still are around today. Currently there are approximately 200,000 Zoroastrians in the world.

### Buddhism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Gandhara_Buddha_\(tnm\).jpeg/220px-Gandhara_Buddha_\(tnm\).jpeg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Gandhara](http://en.wikipedia.org/wiki/Gandhara) Buddha (1st-2nd Century CE) at the Tokyo National Museum.

  
[Buddhism](http://en.wikipedia.org/wiki/Buddhism) is a religion based on personal spiritual development with some [atheistic](http://en.wikipedia.org/wiki/atheism) characteristics formed by a man named [Siddhartha Gautama](http://en.wikibooks.org/w/index.php?title=Siddhartha_Gautama&action=edit&redlink=1), who is commonly called "the [Buddha](http://en.wikipedia.org/wiki/Buddha)" (which is actually a title that means "the Enlightened One"). He was believed to be born in Nepal around 563 BCE. Buddhism was formed after Siddhartha came to disagree with the practices and beliefs of [asceticism](http://en.wikipedia.org/wiki/asceticism). Born into a royal family, he became aware of suffering after taking a trip outside of the palace. Here, he encountered people suffering from disease, old age, and death. At the age of 29, having witnessed such sufferings, he decided to leave his life of comfort and become an ascetic in an attempt to find the solution to end suffering. For six years he ate only tiny handfuls of rice each day and did little besides meditate, in an attempt to free himself of bodily concerns. It is said that after those six years, he ran into a little girl by a river, who offered him a bowl of rice to feed his famished body. At this same time, a man (so the story goes) was traveling down the river playing a stringed instrument. Here Siddhartha came to a realization, which he later explained as: "Look at the lute. If its strings are too tight, they will break. If they are too loose, it cannot be played. Only by tuning them neither too tight nor too lose will the lute work." The Buddha later called this the Middle Way, the path of neither giving in to one's desires nor walking the line of extreme self-deprivation. After this realization, he broke away from his ascetic practices and sat himself under a tree (latter called the Bo-tree, or Tree of Enlightenment), entering a deep meditation. This act is what is known as [Jiriki](http://en.wikipedia.org/wiki/Jiriki) or self power. At the age of 35, after meditating for 49 days, he attained [Enlightenment](http://en.wikipedia.org/wiki/Enlightenment) and was henceforth called "the Buddha"[[54]](Print_version.html#endnote_Wikipedia). After attaining enlightenment, he went on to help others reach [nirvana](http://en.wikipedia.org/wiki/Nirvana). During his experience of enlightenment, Siddhartha came to realize the [Four Noble Truths](http://en.wikipedia.org/wiki/Four_Noble_Truths) and the [Eightfold Path](http://en.wikipedia.org/wiki/Middle_Way). Buddhism also splits into three subcategories, the first being [Theravada](http://en.wikipedia.org/wiki/Theravada) Buddhism (which is found in South East Asia), [Mahayana](http://en.wikipedia.org/wiki/Mahayna) Buddhism (found throughout East Asia), and [Vajrayana](http://en.wikipedia.org/wiki/Vajrayana) Buddhism (this includes many subcategories of Buddhism including Tantric Buddhism and Mantrayana)[[171]](Print_version.html#cite_note-188) [[55]](Print_version.html#endnote_Kessler). It is estimated that there are currently 365 million people who practice Buddhism today. This makes the religion the fourth largest in the world.[[172]](Print_version.html#cite_note-189)

**Concepts of Buddhism**

_Four Noble Truths and The Eightfold Paths_

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/Dharma_Wheel.svg/220px-Dharma_Wheel.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The [Dharma Wheel](http://en.wikipedia.org/wiki/Dharmacakra) is often used to symbolize the Eightfold Path

The [Four Noble Truths](http://en.wikipedia.org/wiki/Four_Noble_Truths) deal with the nature, origin, cessation, and path to the cessation of suffering. These four things are the core of Siddhartha's message, and presumably expresses what he learned while meditating under the [Bo-tree](http://en.wikipedia.org/wiki/Sacred_fig).

  * Life leads to [suffering](http://en.wikipedia.org/wiki/Dukkha)
  * Suffering is a result of a [craving](http://en.wikipedia.org/wiki/Tanha) of worldly pleasures in any form
  * Suffering ends when this [desire](http://en.wikipedia.org/wiki/Desire) is gone
  * When one follows the [path](http://en.wikipedia.org/wiki/Noble_Eightfold_Path) described the [Buddha](http://en.wikipedia.org/wiki/Gautama_Buddha), one can be relieved of desire and achieve enlightenment[[173]](Print_version.html#cite_note-190)

The [Eightfold Path](http://en.wikipedia.org/wiki/Middle_Way) is part of the Fourth Noble Truth, or the path leading to the cessation of suffering. It is referred to as the Eightfold Path because of the eight categories or divisions that it is composed of, those being:

1\. Right Understanding  
2\. Right Thought  
3\. Right Speech  
4\. Right Action  
5\. Right Livelihood  
6\. Right Effort  
7\. Right Mindfulness  
8\. Right Concentration  


These paths are used to avoid two extremes: one extreme being the search for happiness through the pleasures of the senses; the other being the search for happiness through self-mortification in different forms of [ascentism](http://en.wikipedia.org/wiki/asceticism) [peterson9949](http://en.wikibooks.org/wiki/User:Peterson9949) ([talk](http://en.wikibooks.org/wiki/User_talk:Peterson9949)). It should not be thought that the categories should be followed by the numerical order above, but should instead be used more or less simultaneously, according to the capacity of each individual.[[174]](Print_version.html#cite_note-191)

_The Concept of Re-birth and Samsara_

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Bhavachakra.jpg/220px-Bhavachakra.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The [Tibetan](http://en.wikipedia.org/wiki/Tibet) [Wheel of Life](http://en.wikipedia.org/wiki/Bhavacakra) containing the different levels of rebirth as well as Samsara

Like [Hinduism](http://en.wikipedia.org/wiki/Hinduism), Buddhists believe in a [rebirth](http://en.wikipedia.org/wiki/Rebirth_\(Buddhism\)) of oneself. Rebirth is the idea that one goes through a series of lifetimes. When one dies, he or she moves to another body. However, Buddhism rejects the idea of an eternal soul such as in [Christianity](http://en.wikipedia.org/wiki/Christianity). It is a ever-changing process that is regulated by [karma](http://en.wikipedia.org/wiki/Karma_in_Buddhism), the laws of cause and effect. Karma dictates the context of one’s rebirth. Besides the immediate effect of an action in this world, karma helps dictate the rebirth process. Possessing good karma will allow for a better realm of rebirth than bad karma. Buddhism says that the cycle of rebirth takes within one of five or six realms depending on the type of Buddhism one practices and within these realms there are 31 planes of existence.

  * [Naraka Beings](http://en.wikipedia.org/wiki/Naraka_\(Buddhism\)): those who live in one of the many hells of Buddhism
  * [Animals](http://en.wikipedia.org/wiki/Animals_in_Buddhism): They live among humans but are separate kind of life
  * [Preta](http://en.wikipedia.org/wiki/Preta): Shares place with humans but is often invisible, ([hungry ghosts](http://en.wikipedia.org/wiki/Hungry_ghost))
  * [Human beings](http://en.wikipedia.org/wiki/Human_beings_in_Buddhism): a realm in which Nirvana is attainable
  * [Asuras](http://en.wikipedia.org/wiki/Asura_\(Buddhism\)): demons, titans, antigods, and lowly deities and is not recognized by some schools of Buddhism
  * [Devas](http://en.wikipedia.org/wiki/Deva_\(Buddhism\)): gods, deities, spirits, and angels.[[175]](Print_version.html#cite_note-192)[[176]](Print_version.html#cite_note-193)

[Samsara](http://en.wikipedia.org/wiki/Samsara_\(Buddhism\)) is a Buddhist concept that directly related to this cycle of rebirth. It is the world in which the human race currently resides and in which there is much pain, suffering, and sorrow. One can only leave Samsara once they have reached [nirvana](http://en.wikipedia.org/wiki/Nirvana).

[The Ten Fetters](http://en.wikipedia.org/wiki/Fetter_\(Buddhism\)) is a series of items that keep a person in Samsara.

  * Belief in a separate individuality or personality
  * Doubt without desire for satisfaction
  * Attachment to rules/rituals without a critical perspective
  * Craving of sensuous things
  * Wishing harm or ill will on others.
  * Desire for more material items or greater material existence
  * Desire for non-material existence
  * Ego
  * Restlessness
  * Ignorance[[177]](Print_version.html#cite_note-194)

If one possesses any of these, he or she will remain in Samsara. One, according to Buddhist thought, should strive to overcome these things.[[178]](Print_version.html#cite_note-195)

**Pilgrimage in Buddhism**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Map_of_Nepal_showing_location_of_Lumbini.jpg/220px-Map_of_Nepal_showing_location_of_Lumbini.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Lumbini, The birthplace of Siddartha Gautama

Buddhists take part in religious travels to sacred sites called [pilgrimages](http://en.wikipedia.org/wiki/Pilgrimage). Similar to the travels to Mecca in Islam or the Vatican in Catholicism, Buddhists travel to four main sites in Northern India and Southern Nepal. These sites are significant places in the life of Siddartha Gautama, the founder of Buddhism. Gautama taught that these four main sites would make his followers feel a sense of spiritual urgency, as they coincide with the life and spiritually significant experiences of the religious leader. The four significant places are as follows: [Lumbini](http://en.wikipedia.org/wiki/Lumbini), where Siddartha Gautama was born, [Bodh Gaya](http://en.wikipedia.org/wiki/Bodh_Gaya), where he was enlightened, [Sarnath](http://en.wikipedia.org/wiki/Sarnath), where he gave his first teaching, and finally [Kusinara](http://en.wikipedia.org/wiki/Kushinagar), where Siddartha died.

  
The sacred site Lumbini, the birthplace of [Siddartha Gautama](http://en.wikipedia.org/wiki/Gautama_Buddha) is surrounded by an area called a monastic zone, or, an area in which only monasteries can be built. The site is visited by many looking to meditate and chant near the exact place of Siddartha's birth, and the sacred [Bodhi tree](http://en.wikipedia.org/wiki/Bodhi_Tree). The site was recognized as a [UNESCO](http://en.wikipedia.org/wiki/UNESCO) [World Heritage Site](http://en.wikipedia.org/wiki/World_Heritage_Site) in 1997.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/47/Lumbinibodhi.jpg/220px-Lumbinibodhi.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Lumbini, The sacred Bodhi Tree at the birthplace of Siddartha Gautama

Traveling on a pilgrimage is an act Buddhists believe will earn them merit for future incarnations. The farther and longer the journey, and the more humble the mind of the person traveling, the greater the merit will be. Going on a pilgrimage is also a way for Buddhists to practice becoming free from worldly attachments. They might aim to no long feel so attached to an old home, to old relationships, or to old desires. By dedicating oneself to the pursuit on a holy place in a humble mindset, one comes closer to walking the Eightfold Path. The traveling of many monks over the centuries is attributed as one of the main causes of the spread of Buddhism. [[179]](Print_version.html#cite_note-196)

  


**Buddhist Temples**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Mahabodhitemple.jpg/220px-Mahabodhitemple.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Mahabodhi Buddhist Temple

Buddhist temples come in many shapes that can be located anywhere throughout the world. Perhaps the best known are the pagodas of China and Japan. In Theravada Buddhist temples, the monks live there and practice their everyday meditation. [[180]](Print_version.html#cite_note-197) Another typical Buddhist building is the Stupa, which is a stone structure built over what are thought to be relics of the Buddha, or over copies of the Buddha's teachings.

Buddhist temples are designed to symbolize the five elements:

• Fire

• Air

• Earth, symbolized by the square base

• Water

• Wisdom, symbolized by the pinnacle at the top All Buddhist temples contain an image or a statue of Buddha.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Chendebji_Chorten.jpg/220px-Chendebji_Chorten.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Stupa

**Stupas**

[Stupa](http://en.wikipedia.org/wiki/Stupa) are a symbolic structure that are meant to house Buddhist relics, and other holy objects. The ancient tradition has it that following the cremation of Buddha; his ashes were then divided into eight parts which were dispersed among various rulers to be enshrined at special burial mounds as relics. King Asoka, who ruled from 274-236 BC, supposedly redistributed these relics over a larger area. The mounds that were built specially to enshrine Buddha’s remains were built in the form of brick or stone stupas. [[181]](Print_version.html#cite_note-198)

A stupa brings enlightenment to the one who builds and owns it. The stupa structure is visually, a dome, which has a specific geometry to show the connection to enlightenment. For those that live in a Buddhist society, stupas are everywhere, they can be found on the side of the road, in a Buddhist’s backyard, or can be a holy shrine for relics that came from Buddha.

  


**The Dalai Lama**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2d/Dalai_Lama_1430_Luca_Galuzzi_2007crop.jpg/220px-Dalai_Lama_1430_Luca_Galuzzi_2007crop.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Current Dalai Lama, photo by Luca Galuzzi 2007

The [Dalai Lama](http://en.wikipedia.org/wiki/Dalai_Lama) is the head monk of Tibetan Buddhism and traditionally has been responsible for the governing of Tibet. However, the Chinese government established control in 1959. The Dalai Lama's official residence before 1959 was the Potala Palace in Lhasa, the capital of Tibet. However after his exile, the 14th Dalai Lama sought refuge in India. The then Indian Prime Minister, Jawaharlal Nehru, was instrumental in granting safe refuge to the Dalai Lama and his fellow Tibetans. The Dalai Lama has since lived in exile in Dharamsala, in the state of Himachal Pradesh in northern India, where the Central Tibetan Administration (the Tibetan government-in-exile) is also established.

The Dalai Lama belongs to the Gelugpa tradition of Tibetan Buddhism, which is the largest and most influential tradition in Tibet. The institution of the Dalai Lama is a relatively recent one. There have been only 14 Dalai Lamas in the history of Buddhism, and the first and second Dalai Lamas were given the title posthumously.

According to Buddhist belief, the current Dalai Lama is a reincarnation of a past lama who decided to be reborn again to continue his important work. The Dalai Lama essentially chooses to be reborn again instead of passing onward. A person who decides to be continually reborn is known as tulku. Buddhists believe that the first tulku in this reincarnation was Gedun Drub, who lived from 1391-1474, and the second was Gendun Gyatso. However, the name Dalai Lama meaning Ocean of Wisdom, was not conferred until the third reincarnation in the form of Sonam Gyatso in 1578. The current Dalai Lama is Tenzin Gyatso.

"Buddhism has the characteristics of what would be expected in a cosmic religion for the future: it transcends a personal God, avoids dogmas and theology; it covers both the natural & spiritual, and it is based on a religious sense aspiring from the experience of all things, natural and spiritual, as a meaningful unity" A widely cited, but apparently spurious quotation attributed to Albert Einstein [[182]](Print_version.html#cite_note-199)

#### Zen Buddhism

![The founder of Zen Bodhidharma](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/BodhidharmaYoshitoshi1887.jpg/150px-BodhidharmaYoshitoshi1887.jpg)

Zen is a school of Buddhist thought that developed in [China](http://en.wikipedia.org/wiki/China) during the 7th century, by an Indian Buddhist monk named [Bodhidharma](http://en.wikipedia.org/wiki/Bodhidharma), from a combination of Mahayana Buddhism and [Daoism](http://en.wikipedia.org/wiki/Daoism). Practitioners of Zen aim to see the world as it truly is, without lasting thoughts or feelings but instead as a constant stream of unconnected thoughts. Zen strays from traditional Buddhism and other religions because instead of focusing on learning religious text or other passive forms of teaching Zen focus on meditation and the practitioners own direct path to enlightenment. Zen is predominantly practiced in China, [Japan](http://en.wikipedia.org/wiki/Japan), [Vietnam](http://en.wikipedia.org/wiki/Vietnam), and [Korea](http://en.wikipedia.org/wiki/Korea) but in recent years has gained popularity in the western world.

Zen was introduced into Korea, where it was known as Seon, during the 8th century by a Korean monk named [Mazu Daoyi](http://en.wikipedia.org/wiki/Mazu_Daoyi). Over the next four hundred years it spread all throughout Korea from the upper class to the poorest farmers. Because Zen discourages the use of religious texts, it makes it much more accessible to people that are either illiterate or don’t have access to formal religious schooling. Korean Zen focuses more on meditation and monks than other countries forms of Zen. The Korean monks that practice Zen spend their time meditating and traveling instead of trying to gain any physical belongings or ties. Recently, Korean Zen has adopted the philosophy that it is possible for one to gain enlightenment by suddenly switching to practicing Zen, rather than spending the huge amounts of time meditating and preparing for enlightenment that other countries that practice Zen recommend, such as China and Japan.

<http://www.zenguide.com/>

### Shintoism

Commonly translated as "The Way of the Gods," by combining the borrowed Chinese ideograms for 'gods' or 'spirits' (shin) and 'philosophical path' (tō). [[183]](Print_version.html#cite_note-200)

  
Shinto is a form of animism that is the indigenous religion of Japan. It is a form of worship that is based upon nature. It teaches that every living or non living object in the world contains “kami”. “Kami” can be most easily explained as an inner spirit or god within that object. So any tree, rock, car, dog, cat, person, or anything else has a Kami. Kami also means 'paper' in Japanese, so the usage of it is a common theme in marking shrines and divine objects. In Japan, it typically is practiced alongside Japanese Buddhism. Since Buddhism focuses primarily on the afterlife, Shintoism focuses on the present. [[184]](Print_version.html#cite_note-201) Unlike most other religions, Shinto has no real founder, no written scriptures, no body of religious law, and only a very loosely-organized priesthood. [[185]](Print_version.html#cite_note-202)

  
There are 4 affirmations to Shintoism that include 1)Tradition and family, 2)Respect of nature, 3)Physical cleanliness, 4)and the celebration of festivals (matsuri) for the various kami. [[186]](Print_version.html#cite_note-203)

Shinto is centered on `KAMI' (innumerable gods or spirits) of places, families, communities who interact with us. Kami are:

• Mostly associated with some particular place - a grove of impressive trees, a waterfall, a town, village, valley, etc. The kami are believed to move among their shrines and to reside in a small house-shaped box built for them at the shrine (or jinja).

• Usually beneficent, but not always. Occasionally they may be vengeful.

• Many kami are the spirits of deceased ancestors, emperors, prominent military figures, important animals (tiger, fox, etc), waterfalls, forests, distinctive rocks, rivers, etc.

• No `allpowerful god' in Shinto - only lots of little ones. Each has limitations. But the Sun Goddess, Amaterasu, is dominant however. She gave birth to the first emperor. Her main shrine is called Jingu and is located in a forest at Ise in western Japan.

• No concrete visual representation. No paintings, sculptures, masks, etc. of the kami themselves. Only Buddhist temples use physical representations (in painting and sculpture) of the Buddha and the Boddhisatvas.

• Religious ceremonies are attempts to please and entertain the kami. For example, sumo wrestling matches and the many local festivals, called matsuri, began as means of entertaining local kami.[[[56]](http://www.cs.indiana.edu/~port/teach/relg/shinto.sketch.html)]

### Judaism

[Judaism](http://en.wikipedia.org/wiki/Judaism) is the first monotheistic religion beginning with Abraham’s covenant with God. Judaism is based on the laws and principles from the [Tanakh](http://en.wikipedia.org/wiki/Tanakh) (Hebrew Bible). Tanakh is a Hebrew acronym for Torah (“Teachings”), Nevi’im (“Prophets”) and Ketuvim (“Writings”). Within the Tanakh there are said to be a total of twenty-four books altogether. According to Judaism, God created a covenant with the Israelites when Moses brought the Torah, which contains the Ten Commandments, down from Mount Sinai. Judaism’s values stand on three things: Torah and the commandments, study and the doing of good deeds (mitzvah). Their Holy land is said to be Jerusalem, but there is great controversy between the Jews and the Muslims in the Middle East.

Today, Jews live all around the world because their population spread after they were banished from their homeland. There are approximately 14 million practicing and secular Jews today. The United States is home to 5,602,000 Jews, with New York at 1,654,000 Jews, and Israel at 4,390,000 Jews. [[187]](Print_version.html#cite_note-204) Throughout history, many Christians have blamed the Jews for the death of Jesus. During the high Middle Ages, Jews were expelled, massacred, and were forced to convert to Christianity. In the mid-14th century, as the [Black Death](http://en.wikipedia.org/wiki/Black_Death) epidemic devastated Europe, rumors spread that the Jews had caused the disease by poisoning the wells. In [Strasbourg](http://en.wikipedia.org/wiki/Strasbourg), a city that hadn't yet been affected by the plague, 900 Jews were burnt alive. After much more persecution throughout the next few centuries, such as the [Holocaust](http://en.wikipedia.org/wiki/Holocaust) that destroyed 6 million Jews, the Jews saw to the formation of a recognized Jewish State known as Israel in 1948. Israel has always been seen by the Jews as their homeland. There are three main sects in Judaism which are Orthodox, Conservative and Reform.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/84/YemeniJew1914.jpg/200px-YemeniJew1914.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Yemenite Jew at morning prayers, wearing a [kippah](http://en.wikibooks.org/w/index.php?title=Kippah&action=edit&redlink=1) skullcap, prayer shawl and [tefillin](http://en.wikibooks.org/w/index.php?title=Tefillin&action=edit&redlink=1).

Jewish men and some women wear special clothing during times of prayer and other religious practices. While praying, eating, reciting blessings, or studying Jewish religious texts, a slightly rounded brimless skull cap called a [kippah](http://en.wikipedia.org/wiki/kippah) or yarmulke is worn. The [tzitzit](http://en.wikipedia.org/wiki/tzitzit) are special knotted tassels that are worn on the four corners of a prayer shawl; different Jewish customs explain when these should be worn. [Tefillin](http://en.wikipedia.org/wiki/Tefillin) are two square leather boxes that contain bible verses and are worn during the weekday morning prayers. A [kittel](http://en.wikipedia.org/wiki/kittel) is a white knee-length overgarment that is worn by prayer leaders on the high holidays and the head of the household wears this at the Passover seder. The tallit is similar to the kittel and is worn in similar situations as well as by boys and girls becoming bar/bat mitzvahs when they turn 13 and become adults in the eyes of the Jewish community.

Jews traditionally pray three times a day, and on holidays a fourth prayer is added. Prayers are typically recited throughout the day upon waking, and before and after eating a meal. Although most prayers can be recited in solidarity, communal prayer is often preferred. In many reform temples, musical accompaniment such as organs and choirs are used. Further, a fifth prayer service, Ne'ilah ("closing"), is recited only on Yom Kippur. [[188]](Print_version.html#cite_note-205)

  


The Jewish religion can be categorized into six major branches in America. They are the Reform, the Conservative, the Modern Orthodox, the Re-constructionist and the Ultra Orthodox or Haredim, which breaks into two separate groups called the Hasidim and the Mitnaggedim. The Reform is the largest branch in America and the most liberal branch. Between 1885-1930, they decided that Jewish law is a personal idea and not a requirement. These changes were made in an attempt to keep Jewish people Jewish as there was no longer a pressure to remain Jewish once people assimilated to American culture. The Reform, Conservative, Modern Orthodox and Re-constructionist function as denominations or different branches of the same religion. The Haredim are a community based group and culturally connected. These are those who life in strict adherence to the Hebrew Bible. [[189]](Print_version.html#cite_note-206)

  
In Judaism, there are many holidays, festivals and other holy days are observed such as: [Creation](http://en.wikipedia.org/wiki/Creation), [Revelation](http://en.wikipedia.org/wiki/Revelation), [Redemption](http://en.wikipedia.org/wiki/Redemption), [Shabbat](http://en.wikipedia.org/wiki/Shabbat), [Passover](http://en.wikipedia.org/wiki/Passover), [Shavuot](http://en.wikipedia.org/wiki/Shavuot), [Sukkot](http://en.wikipedia.org/wiki/Sukkot), [Rosh Hashanah](http://en.wikipedia.org/wiki/Rosh_Hashanah), [Yom Kippur](http://en.wikipedia.org/wiki/Yom_Kippur), [Hanukah](http://en.wikipedia.org/wiki/Hanukah), and [Purim](http://en.wikipedia.org/wiki/Purim).

#### Hanukah

[Hanukah](http://en.wikipedia.org/wiki/Hanukah) is one of the most well known Jewish holidays in the United States, as it is celebrated in the winter, around the same time as [Christmas](http://en.wikipedia.org/wiki/Christmas). It originated from the story of a miracle.  
After a revolution against the Greeks, the Jewish people of Judea only had enough oil to light the [Menorah](http://en.wikipedia.org/wiki/Menorah) in their temple for one night, which was supposed to burn every night. Miraculously, the oil managed to burn for eight nights, giving them enough time to prepare more oil[[190]](Print_version.html#cite_note-207).  
To commemorate this event, Hanukah is celebrated for eight days every year. Each night, a new branch of the Menorah is lit, along with one extra candle (the [Shamash](http://en.wikipedia.org/wiki/Shamash)), used to light the others.

#### Shabbat

According to [Halakha](http://en.wikipedia.org/wiki/Halakha), Jewish law, Shabbat is seen as the most important Jewish holiday. It occurs every week from Friday evening at sundown until Saturday evening when three stars appear. Shabbat[[57]](http://www.jewfaq.org/shabbat.htm) is the day of rest that falls on the seventh day of the week after the six days of creation in the book of Bereishit, “In the Beginning,” or the book of [Genesis](http://en.wikipedia.org/wiki/Genesis) as it is commonly known. There are many rituals that happen on Shabbat such as different blessings over the wine, candles, and [Challah](http://en.wikipedia.org/wiki/challah) (bread), as well as prohibited activities including any type of “work” because it is the day of rest. Practitioners will go so far as to pre-tear their toilet paper, use plastic and paper cutlery and utensils to avoid working while cleaning up, and cooking all meals ahead of time.

Though, many people who don't personally observe Shabbat don't quite understand what the 'forbidden work' entails. Most Americans see the word 'work' and instantly think of physical labor or employment. They wonder how a rabbi is able to lead Shabbat on Sunday and not be breaking his own religious commandment. However, this is not the type of work referred to in the Shabbat restrictions. The Torah prohibits "Melachah" which means work, but not in the same sense as the English word. Melachah refers to work that "is creative or excercises control over the environment". An example of Melachah is the work of creating the universe, in which God died on the seventh day. [[[58]](http://www.jewishvirtuallibrary.org/jsource/Judaism/shabbat.html#Typical)]

#### Yom Kippur

[Yom Kippur](http://en.wikipedia.org/wiki/Yom_Kippur), Day of Atonement, is the most important holiday of the year in Judaism.[[59]](http://www.jewfaq.org/holiday4.htm) During this day, people come to synagogue to atone for any sins that have occurred over the past year. Yom Kippur is a time to request forgiveness from anyone you may have hurt. Jewish men and women who are 13-years and older take part in this 25-hour fast from the evening before, until sunset the following day. [[191]](Print_version.html#cite_note-208)  
It is important to note that there are always exceptions on who must abstain from eating and drinking. Anybody less than nine years of age is forbidden from fasting, as well as new mothers who gave birth within the last three days. People who are ill, children over nine, and mothers who gave birth within the last week are allowed to fast, but if they feel they need to eat, they may stop. [[192]](Print_version.html#cite_note-209)

#### Rosh Hashanah

[Rosh Hashanah](http://en.wikipedia.org/wiki/Rosh_Hashanah) is one of the high holidays of Judaism, and it marks the start of the Jewish New Year. The holiday is celebrated on the first day of Tishre, the seventh month of the Hebrew calendar. It also occurs five days after the day that is thought to be the day of creation. On this holiday, most Jews around the world gather for services in their temples and pray through out the day. A shofar, a ram’s horn, is blown to symbolize the New Year and people eat apples dipped in honey to wish for a sweet new year. Rosh Hashanah is also thought to be judgement day. It is said that on this day, the fate of everyone is made. It is decided who will live on to see the next year and who will die before they get the chance to. Just like on Shabbat, Rosh Hashanah insists that people rest and enjoy the start of a fresh new year.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/AlphonseLévy_Shofar.jpg/220px-AlphonseLévy_Shofar.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Shofar (by Alphonse Lévy)

#### Shalosha Regalim

The [Shalosh Regalim](http://en.wikipedia.org/wiki/Shalosh_Regalim), Three Pilgrimage Festivals, are three major festivals in Judaism. These include Pesach, Shavuot and Sukkot. [Pesach](http://en.wikipedia.org/wiki/Pesach) (Passover) is the holiday about the Israelites redemption from slavery in Egypt. [Shavuot](http://en.wikipedia.org/wiki/Shavuot) (Pentecost) is the holiday that honors the day that Moses received the Ten Commandments on Mount Sinai. [Sukkot](http://en.wikipedia.org/wiki/Sukkot) (Tabernacles) is the holiday that recollects the 40 years that the Israelites wandered through the desert to return to their homeland. During this holiday, Jews build a [Sukkah](http://en.wikipedia.org/wiki/Sukkah) (a hut) that represents where the Israelites dwelt during their wandering after the Exodus from Egypt.

#### Bar/Bat Mitzvah

A bar mitzvah is a coming of age ceremony for Jewish males. [[193]](Print_version.html#cite_note-210) "Bar" meaning son of, and "mitzvah" meaning commandments. A bar mitzvah is permissible at the age of 13 for males. This is considered the Jewish rite of passage. In order to complete a bar mitzvah, a male must be called to the Torah to chant out the week's Torah portion in front of the entire congregation. This is when the congregation begins to view him as a male. As stated on the site, myjewishlearning.com, "A ceremony marking the first performance of mitzvot such as being called up to the Torah to say the blessings (known as "getting an aliyah") began to make sense only in the Middle Ages." [[194]](Print_version.html#cite_note-211) In traditional Judaism only males are allowed to have a bar mitzvah. In more modern Judaism girls are allowed to participate in this rite of passage. This ceremony is called a bat mitzvah. "Bat" means daughter of and "mitzvah" means commandmetns. Again, the girl is called up to the Torah to chant out the week's Torah porition.

Other important aspects of this rite of passage is the passing down of the Torah from generation to generation, physically passing the Torah from father to son and mother to daughter and the receiving of the "tallit" or prayer shal. This is a tradition garment worn by Jews when participating in prayer.

  


#### Major Jewish Prayers

**The Shema**: _Shema Yisrael Adonai Eloheinu Adonai Echad._
    
    
       _"Hear O Israel, the Lord is G-d. The Lord is one."_
    

This prayer is said twice a day (once in the morning and once at night) to affirm the chanter’s belief and trust in one G-d. This is known by many to be one of the most important prayers in Judaism. The use of G-d in the wiki version of this text is intended to prevent defacing the Name of God [[60]](http://www.jewfaq.org/name.htm).

  
**The Shehecheyanu**: _Baruch atah Adonai Eloheinu Melech ha'o'lam sheh'heh'cheh'ya'nu veh'ki'yeh'ma'nu veh'he'g'a'nu laz'man ha'zeh._
    
    
      _"Blessed are You, LORD, our G-d, King of the universe, who has kept us alive, sustained us,  
     and enabled us to reach this season."_
    

This prayer is said on occasions that haven’t occurred in awhile, thereby making them particularly special. It can be said at the beginning of a holiday, when first performing a certain mitzvot every year, eating a new fruit since Rosh Hashanah, seeing a friend one has not seen in thirty days, buying new dress clothes, or at the birth of a son.

  
**The Mezuzah**: _Barukh ata Adonai Eloheinu melekh ha�olam, asher kid'shanu b'mitzvotav v'tzivanu likbo'a m'zuza._
    
    
       _"Blessed are you, LORD, our G-d, King of the universe, who has sanctified us with His  
     commandments and commanded us to affix the mezuzah."_
    

This prayer is said whenever attaching a mezuzah to a doorpost.

[File:Mezuzah-RS.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Mezuzah-RS.jpg)

Mezuzah affixed to a door frame on South ST. in Philadelphia.

  
**The Modeh Ani**: _Modeh ani lifanekha melekh hai v'kayam shehehezarta bi nishmahti b'hemla, raba emunatekha._
    
    
       _"I give thanks before You, Living and Eternal King, that You have returned within me my  
     soul with compassion; [how] abundant is Your faithfulness!"_
    

This prayer is recited daily upon waking, while still in bed. It can be deduced from this prayer that G-d renews everyone as a new creation each morning.

  
**Channukah blessings**: _1\. (Lighting candles) Barukh ata Adonai Eloheinu melekh ha�olam, asher kid'shanu b'mitzvotav v'tzivanu l'hadlik ner (shel) hanuka._
    
    
       _"Blessed are You, LORD, our G-d, King of the universe, who has sanctified us with His  
     commandments and commanded us to kindle the Hanukkah light[s]."_
    

_2\. (The miracle) Barukh ata Adonai Eloheinu melekh ha�olam, she�asa nisim la�avoteinu ba�yamim ha�heim ba�z'man ha�ze._
    
    
       _"Blessed are you, LORD, our G-d, King of the universe, who performed miracles for our  
     ancestors in those days at this time."_
    

This prayer is said each of the eight nights of Channukah. In addition, the Shehecheyanu is recited on the first night as well. The first prayer is recited to bless the candles, while the second one is recited to remind ourselves and to thank God of the miracle of Channukah.

  
**Mourner’s Kaddish**: _Yitgaddal v'yitqaddash sh'meh rabba B'ʻal'ma di v'raʼ khiruteh v'yamlikh malkhuteh [v'yatzmach purqaneh viqarev (Ketz) m'shicheh] b'chayekhon uvyomekhon uvchaye d'khol bet yisraʼel b'ʻagala uvizman qariv v'ʼimru amen_ y'he sh'meh rabba m'varakh l'ʻalam ulʻal'me ʻal'maya Yitbarakh v'yishtabbach v'yitpaʼar v'yitromam v'yitnasse v'yithaddar v'yitʻalle v'yithallal sh'meh d'qudsha, b'rikh hu. l'ʻella (lʻella mikkol) min kol birkhata v'shirata tushb'chata v'nechemata daʼamiran b'al'ma v'ʼimru amen
    
    
       _"Exalted and sanctified is G-d’s great name. In the world which He has created according to  
     His will and may He establish His kingdom may His salvation blossom and His anointed near.  
     In your lifetime and your days and in the lifetimes of all the House of Israel speedily and   
    soon; and say, Amen._
       _May His great name be blessed forever and to all eternity. Blessed and praised, glorified   
    and exalted, extolled and honored, elevated and lauded be the Name of the Holy One, blessed   
    be He. Beyond (far beyond) all the blessings and hymns, praises and consolations that are   
    spoken in the world; and say, Amen."_
    

Several versions of this Aramaic prayer exist. This prayer is said mainly as the sanctification of G-d’s name. The Kaddish unambiguously refers to the prayer for mourning. After a child, spouse or close relative has died the Kaddish is said daily for thirty days. After a parent dies, the Kaddish is said daily for eleven months, then again on every anniversary of the death. Christianity’s “The Lord’s Prayer” has its roots in the Kaddish.

  
**Shabbat**: _Barukh ata Adonai Eloheinu Melekh ha�olam, asher kid'shanu b'mitzvotav v'tzivanu l'hadlik ner shel Shabbat._
    
    
       _"Blessed are You, LORD, our G-d, King of the universe, who has sanctified us with His  
     commandments and commanded us to light the Shabbat candle[s]."_
    

Shabbat begins every Friday at sundown and ends on Saturday night once three stars have appeared in the night sky. Shabbat is the holiday commemorating G-d’s day of rest after He created the Universe.

### Christianity

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/87/Christian_cross.svg/220px-Christian_cross.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The cross is a common symbol for Christians and Christianity.

Christianity is a monotheistic religion and is considered one of the [Abrahamic religions](http://en.wikipedia.org/wiki/Abrahamic_religions), which originally began as a movement from Judaism. Where Christianity and Judaism depart from one another is in the Christian belief that [Jesus of Nazareth](http://en.wikipedia.org/wiki/Jesus_of_Nazareth) (Christ or simply Jesus) was divine and was literally the "Son of God." Christians believe that God sent His "one and only son" to Earth to die as a perfect sacrifice for the sins of humanity, in order to "pay" the price of sin and death. Jesus mainly taught about God's love and mercy, but also taught about forgiveness, charity, and treating yourself well. [[195]](Print_version.html#cite_note-212) Jesus was crucified on a cross by the Romans in His act of sacrifice. Christians also believe that Jesus rose from the dead, and when He did, He allowed the Holy Spirit to "enter" into anyone who chose to believe in Him so that they may have eternal life with God in [Heaven](http://en.wikipedia.org/wiki/heaven) after their physical bodies die on earth. There are many branches of Christianity that are not the same. Christians believe in one God and one God only, it is just how they express their love and grace for him. This ranges differently from the vast amount of Christian groups.

The Ten Commandments [[61]](http://en.wikipedia.org/wiki/Ten_commandments), which are found in the Old Testament, Exodus Chapter 20 are the basis for the Christian faith, but when Jesus Christ came to earth as a man. He came not to destroy those laws (Ten Commandments), but to fulfil those laws as stated in Matthew 5:17-48. [[196]](Print_version.html#cite_note-213) He fulfilled those laws by showing perfect love through dying on the cross, which was the ultimate sacrifice, and abiding by those laws. Therefore, fulfilling the law is Jesus Christ living out the laws perfectly, so that his followers will also be able to do the same. [[197]](Print_version.html#cite_note-214)

The Ten Commandments are as follows: "And God spoke all these words, saying: 'I am the LORD your God… 'You shall have no other gods before Me.' 'You shall not make for yourself a carved image--any likeness of anything that is in heaven above, or that is in the earth beneath, or that is in the water under the earth.' 'You shall not take the name of the LORD your God in vain.' 'Remember the Sabbath day, to keep it holy.' 'Honor your father and your mother.' 'You shall not murder.' 'You shall not commit adultery.' 'You shall not steal.' 'You shall not bear false witness against your neighbor.' 'You shall not covet your neighbor's house; you shall not covet your neighbor's wife, nor his male servant, nor his female servant, nor his ox, nor his donkey, nor anything that is your neighbor's.'

Christianity is the major religion practiced in the United States; 85 percent of Americans consider themselves Christians. The state of Utah has the largest percent of Christians over the other 49 states. .[[198]](Print_version.html#cite_note-215)

In the early years of Christianity, even before Jesus' death, followers of Christ were persecuted and hunted for their beliefs. Even when Jesus was still living, his followers were misunderstood and persecuted by the [Pharisees](http://en.wikipedia.org/wiki/Pharisees) and [Sadducees](http://en.wikipedia.org/wiki/Sadducees) who felt threatened by Jesus' teachings. Many people had to, and in some countries still have to, hold secret services and hide when they want to fellowship with one another. In the Roman Empire, it was not until Emperor Constantine issued the Edict of Milan that it was safe to openly worship and pray as a Christian. Constantine was the one who brought about the Council of Nicea. The council decided on what books and gospels were to compose the Holy Bible as we know it today. Constantine also commissioned the publication of fifty copies of the bible to be circulated in Constantinople. [[62]](Print_version.html#endnote_Constantine)[[63]](Print_version.html#endnote_Christian_Empire)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/88/Dolmen_de_Bélesta.JPG/220px-Dolmen_de_Bélesta.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This is a tomb similar to the one in which Jesus was buried which was also empty three days after his death because of his supposed rise from the dead.

Christianity is a faith that calls its followers to come as they are. It is believed that God calls people to Him, despite their past or present lifestyles, choices, mistakes, or crimes. This is the foundation for the belief that because of Jesus' perfect life and personal sacrifice on the cross, all people can be forgiven for their wrongness and have a chance to be in a direct relationship with God, which was previously impossible because of God's incredible goodness and power and humans' lack thereof. Moreover, some basic Christian beliefs are that there is one and only one God and that the Bible is his holy word. Although there is only one God, there is a concept of the Holy Trinity, the three in one factor. This is the belief that there is God the Father, Jesus (God the Son), and God the Holy Spirit. Each of these is its own separate identity and being, yet they are all the same God. This could be considered an example of polytheism to anthropologists, but many Christians may not agree with this. For many, the concept of the trinity can be hard to understand. One simple analogy commonly used to explain this idea is an egg. Despite the fact that an egg is made up of three parts, the shell, white, and yolk, it is still one egg. The triquetra is also a religious symbol demonstrating this idea. The symbol has three parts but at the same time the parts are all connected. Another example would be the shamrock. The shamrock has three leaves but they are connected to one leaf. [[199]](Print_version.html#cite_note-216) [[200]](Print_version.html#cite_note-217)

#### Catholicism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Essen_Kreuzgang_3_Kruzifix.jpg/220px-Essen_Kreuzgang_3_Kruzifix.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Crucifix, a cross with the _corpus_ (Body of Christ) is an ancient symbol used within the [Catholic Church](http://en.wikibooks.org/wiki/Roman_Catholic_Church), Eastern Orthodox churches, and Anglican churches, in contrast with some Protestant sects, which use only a cross.

Catholicism is a form of [Christianity](http://en.wikipedia.org/wiki/Christianity) that focuses on understanding and commitment to tradition; the believers live a Christian lifestyle but obtain a catholic perspective. Catholics believe that people are good but corrupted by a sin nature and the only way to redeem people from that sin is divine grace from the sacraments. However, unlike non-Catholic Christianity, some Catholic sects do not believe that salvation is obtained solely through accepting Jesus Christ as ones Savior, but believe that good works are required to obtain salvation and are a visible manifestation of faith in Christ.

Catholic Churches are unified under the Pope in Rome. Under him are Cardinals, Arch bishops, Bishops, and Priests. Priests preside over individual churches also known as parishes. Catholicism entails that God created everything, nothing is outside of God’s jurisdiction and that includes the believers’ thoughts, word, and deed all of the time. Although there is very important aspect of Christianity that believes in Free Will. The term free will implies that although God rules all things, he wants humans to make their own choices, we can choose to sin or to turn away from sin. Unlike Non denominational Christians, Catholics are involved in using the Sacraments. [Sacraments](http://en.wikipedia.org/wiki/Sacraments) of the Catholic belief consists of: Baptism, Holy Eucharist, Reconciliation, Confirmation, Marriage, Anointing of the sick, and also Holy Orders.

Baptism is the first sacrament that a Catholic can receive. Catholics often receive Baptism as an infant, and it is the first step in the [Initiation Sacraments](http://en.wikipedia.org/wiki/Sacraments_of_Initiation). Next is First Communion, when a child receives the Holy Eucharist for the first time. This usually happens when the child is seven, or in most Western cultures when the child in the 2nd grade. Last is Confirmation, when the Holy Spirit comes to a believer in a special way making their faith stronger. If a Catholic takes place in this sacrament it is thought that they are ready for adult Christian life. They will be confirmed by the Bishop; he will place his hands on them and pray while blessing them with holy oil. Although Catholics are often given the choice to decide for themselves whether to be confirmed, sometimes children receive all three of the [Initiation Sacrements](http://en.wikipedia.org/wiki/Sacraments_of_Initiation) at once. Another instance is the Easter Vigil, a yearly service that inducts people who weren't originally Catholic but would like to join the Church. All three of the sacraments are received at the Easter Vigil, which occurs the Saturday before Easter.

The Holy Eucharist is also known as the Lord’s Supper, the last supper or the Holy Communion. Through bread and wine, Catholic’s believe Jesus is with them through the eating and drinking of the wine and bread. Jesus said during his last supper "Do this in memory of me," referring to eating bread and wine together as a community. According to Catholic faith, the bread and wine is transfigured by the priest into the flesh and blood of Christ, a process called "transubstantiation". Only a priest can give communion and it is thought as ideal to receive it every Sunday.

Mass, which is usually on Sunday, is the way that Catholics offer latria, or adoration, to God. Catholicism is known for its loyalty to tradition, and this is clearly seen with the strict schedule of the masses. The mass starts with the Introductory Rites which includes the entrance of the priest, the Greeting, the Kyrie Eleison (Latin for "Lord have Mercy"), and the Opening Prayer. Next comes the Liturgy of the Word. This consists of the First Reading, Psalms, Second Reading, Gospel Readings, the Homily, the Profession of Faith which is also known as the Nicene Creed, and then ending with the prayers of petition. Following the Liturgy of the Word comes the Liturgy of the Eucharist. This includes the Preparation of the Gifts in which the bread and wine are brought forward and placed on the alter. Then the congregation stands for the Eucharistic prayer. During the prayer the bread and wine are changed into the Body and Blood of Christ. A prominent idea in Catholicism is the idea of objective reality, not just symbolism. An example of this is the Eucharist. It is not a wafer to Catholics, it is the body of Christ. This ritual is followed by the Lord's Prayer, the Rite of Peace (people offer one another a sign of peace), then Breaking of the Bread, and then finally with Communion. Non-Catholics do not receive communion, but do approach the alter and receive a blessing. The Mass ends with the Concluding Rites. The Concluding Rights consist of parish announcements, a blessing, the dismissal, and finally the exit procession of the priest.

Reconciliation is also known as confession or the sacrament of Penance. This is when Catholics confess their sins to God through a priest. Participating in reconciliation is more appropriate for confessing mortal sins (pertaining to wilful violations of God's Commandments), while venial sins (lesser than mortal sins) may be confessed during communion. Most Catholics believe that although God already knows these sins when they confess them, they receive grace from the Lord and are forgiven. This idea can be better understood if one thinks about a child stealing cookies from the cookie jar. The Dad knows his kid did it, but would like the child to confess what he did before he is forgiven. This sacrament should take place as much as possible in the Catholic faith.

Marriage, defined by Traditional Catholics, is when a man and a women make a promise among each other as well as with God to live together, helping each other in good times and bad times. The marriage sacrament gives couples grace in order for them to live together outside of sin to support and raise children. Anointing of the sick is also known as last rights or extreme unction. This is when a priest prays and blesses you with holy oil when a Catholic is dying, it is supposed to give them special grace and strength. Lastly Holy Orders are the sacrament of ordination which pertains to men in the church. After a practicing catholic man goes to school for a number of years to study the bible there is a ceremony held where he is ordained and becomes a priest.

The [Vatican](http://en.wikipedia.org/wiki/Vatican) is located in the Vatican City, a sovereign country of which the Pope is the sovereign leader. The history of the Catholic Church starts from apostolic times making it the worlds oldest and largest institution covering nearly 2,000 years.

The Pope is recognized by Catholics of the world as the successor to [Saint Peter](http://en.wikipedia.org/wiki/Saint_Peter) who was an early leader of the Christian church and had a large part in writing the New Testament. Peter was the first official Bishop of Rome, making all of his successors superior to any other worldly Bishop. The current pope is [Pope Benedict XVI](http://en.wikipedia.org/wiki/Pope_Benedict_XVI), making him the current leader of the Catholic Church. He was elected April 19th, 2005, and took office April 24th 2005. He succeeded [Pope John Paul II](http://en.wikipedia.org/wiki/Pope_John_Paul_II).

From my own personal experience with Catholic faith the majorities of those who practice take part and support all of these sacraments religiously. My grandfather is Catholic and goes to mass every Sunday, fasts every Friday and participates in all of the practices of a Catholic. The majority of the time they are very knowledgeable about their religion and are very learned on how to support claims made about and against their religious faith. My grandfather and I have countless discussions on the different interpretations of the bible and it is very interesting to see his Catholic point of view applied to life.

    

    I, too, am Catholic and find this information to be accurate and relevant to my faith. We consider ourselves to be monotheistic (believing in one god), however the Holy Trinity—the Father, the Son, and the Holy Spirit—are three deities that form one being. There are seven vital sacraments to affirm religious beliefs in the Catholic Church: _baptism_ to be inducted into the Church (usually as an infant); _reconciliation_ to learn more about the faith (usually around age 8) and this is when one confesses one’s sins; _holy communion_ after reconciliation where the body and blood of Christ is consumed through the communion wafer and wine; _confirmation_ to reaffirm one’s beliefs in Catholicism (around age 16 or 17); _marriage_ (in a church, not just officially at a courthouse), _holy order_ is only for priests and bishops when they are ordained into the church; and _anointing of the sick_ for final confessions before one passes away. These are all imperative steps in Catholicism that guide our beliefs in God. There are myriad ways to show love for our faith such as going to mass, taking communion, and following the Ten Commandments, but, in the end, it comes down to what we are willing to believe that cannot otherwise be proven. [[64]](http://www.2heartsnetwork.org/sacraments.htm)[[201]](Print_version.html#cite_note-218)

  


    

    I am Catholic as well. One thing that I found not to be covered, and believe is an important aspect of Catholicism, is the fact that Catholics have a very analytical interpretation of the bible. Rather than taking the bible word for word, it is the job of the priest and parishioners to interpret the meaning behind what is written. Most times this includes taking into account the historical, cultural, and political aspects of that time period. It is through analyzing the text that we discover Jesus’ messages and work to apply them in our everyday lives. [[202]](Print_version.html#cite_note-219)

  


    

    The first experience with religion I can remember was with my Father. My dad was raised catholic, He married a Christian. There are only subtle differences in either religion from my understanding, but enough to make my father feel ill at ease with attending a Christian church. I was young at the time, maybe 6 or 7, had gone for a ride with my dad, we ended up at a huge building, which I later understood was a local catholic church. The doors were locked, my dad looked up and said something long the lines of “I guess you don’t want to accept me back yet” its only in writing this now that I realize he probably wanted to go to confession. [[203]](Print_version.html#cite_note-220)

  
Catholicism prides itself on the fact that it has an immense history and its believers span across the globe. As a recent convert to this religion, I had been raised in a household that was very hostile to it, based on misinterpretations of what the Church supports and believes. By reading material from the library as well as attending a weekly class lasting several weeks to teach inquiring adults all the basics of the faith (called the Right of Christian Initiation for Adults, or RCIA), the misinterpretations were quickly cleared up. One of the most common incorrect assumptions people make is that Catholics 'worship' saints. However, the Church teaches that only God the Father, God the Son, and God the Holy Spirit is to be worshiped (monotheistic - one God as three separate but equal persons). Saints are people who lived out lives extremely faithful to the teachings and example of Christ, and are then only verified as saints when miracles are attributed to them and then proven. This process can take several, even hundreds, of years. One of the more remarkable miracles associated with the saints is called the 'incorruptible bodies'. Many people travel to cathedrals around the world just to see the body of a saint encased in glass; their body showing no or few signs of decomposition. Medical exams prove that no embalming process was used to preserve these bodies, some of which are now hundreds of years old. Many are described as having a pleasant fragrance, which is unexpected for a body that would have decomposed long ago under natural conditions. Another astonishing fact is that these incorruptible bodies do not have rigor mortis, which is when the blood in a dead body will 'sink' due to gravity pulling it downward through the veins, as the heart no longer beats and distributes it. [[204]](Print_version.html#cite_note-221)

  


The Apostles Creed

This is a concise profession of the essence of the Catholic faith, and is recited by the congregation during mass.

We believe in one God, the Father, the Almighty, maker of heaven and earth, of all that is, seen and unseen. We believe in one Lord, Jesus Christ, the only Son of God, eternally begotten of the Father, God from God, Light from Light, true God from true God, begotten, not made, of one Being with the Father. Through him all things were made. For us and for our salvation he came down from heaven. By the power of the Holy Spirit he was born of the Virgin Mary, and became man. For our sake he was crucified under Pontius Pilate, he suffered, died, and was buried. On the third day he rose again in fulfilment of the Scriptures. He ascended in heaven and is seated at the right hand of the Father. He will come again in glory to judge the living and the dead, and his kingdom will have no end. We believe in the Holy Spirit, the Lord, the giver of life, who proceeds from the Father and the Son. With the Father and the Son he is worshiped and glorified. He has spoken through the Prophets. We believe in one holy catholic and apostolic Church. We acknowledge one baptism for the forgiveness of sins. We look for the resurrection of the dead, and the life of the world to come. Amen.

##### Baptism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b0/Baptism-christ.jpg/283px-Baptism-christ.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The Baptism of Jesus painted by [Piero della Francesca](http://en.wikipedia.org/wiki/Piero_della_Francesca) in 1449

Jesus commanded His followers, during His ministry on Earth, to be Baptized. Baptism is the symbolic act of being reborn[[65]](Print_version.html#endnote_Clarifying). A person is submerged in water and lifted back up again. This is to represent the act of the old individual dying, as Christ died, and being reborn or rising from the dead, as Christ rose from the dead. The symbol of Christ’s death is also used in Communion practices.[[66]](Print_version.html#endnote_Communion) The bread that is consumed symbolized Christ’s body that was broken to save His believers from sin. The wine that is consumed symbolizes Christ’s blood that was shed in the sacrifice of His life to save his believers from sin.

Baptism generally is practiced and performed on and for infants; this mentality is held strongly for Catholics and for many Protestant churches as well, however it is not necessary or required in some Protestant churches to have each child baptized as infants. The practice of baptism is the idea of the Christian God the Father, Jesus the Son, and the Holy Spirit has given salvation through Jesus’ crucifixion and that once baptized that person has accepted this salvation. Confirmation, in many practices of Christianity, is the next step in a person’s walk with God by accepting God’s grace and making their faith one with God as a statement to the community, the congregation of their church, and themselves.

The time to be baptized is questioned depending on the denomination in Christianity. The Catholics, and some Protestants including the Lutherans, believe in infant baptisms. Other Protestants, such as the Evangelical, Free denominations believe that the individual should decide when to be baptized. The Evangelical Free denomination follows the scriptures of the Bible that says that a follower of Christianity is to believe before he or she is to be baptized, which is supported by teachings in Acts 2:38, Mathew 28:19, Mark 16:16.

My church emphasizes baptism as well. Although it is true the requirements for baptism depend on the denomination, it is a significant part of being Christian. Baptizing symbolizes the acceptance of Jesus Christ as the Savior. In my church children who are newborn tend to get baptized at the behest of their parents. However, as the child grows older he or she has the option of confirmation. Confirmation represents the conscious decision to follow God. Now, he or she can choose to be baptized not at the will of their parents, but by their own decision. I chose to confirm my baptism at the age of 17. I had been baptized as a child by my parents however and initially did not feel the need to do it again. However, after listening to some advice from my peers and my pastor I chose to confirm my baptism. I realized that baptism was an integral part of the Christian faith. It was an important decision for me because now I made the choice to follow God. Not everyone agrees to be confirmed again however. Since it is up to the individual to choose, some people refuse. There are a multitude of reasons. Certain people have lost faith with the church while others who remain devout deem confirmation unnecessary.Nevertheless baptism in itself is a very important part of Christianity in general. After all, even Jesus Christ the Son of God baptized himself in order to demonstrate to his followers the significance of baptism.

A big difference between Catholics and Protestants is that in the Protestant religions, most view baptism as optional as it is merely symbolic of an event in Christ's life, or that it symbolizes rebirth into the faith. Being raised Protestant, baptism wasn't seen as necessary and infant baptism was viewed as bizarre in my household, since my family and perhaps others believed it to be the equivalent of dedicating yourself to that particular sect of Christianity. Therefore infant baptism was seen as not giving your child the right to choose. As a convert to Catholicism, I understand the Catholic teaching of baptism to not merely be symbolic, but having deep meaning. To Catholics, we view baptism as a cleansing of original sins because of the fall of Adam and Eve in the garden of Eden. This 'stains' us, as we identify ourselves as descendants of those who committed the original sin. That is why this is the first of the Church's sacraments; one is to start off with a 'clean slate'. Only then can the other sacraments follow, as we believe we are fallen from the grace of God because of the rebellion of sin, and we need His forgiveness to be made worthy of the promises of Christ. [[205]](Print_version.html#cite_note-222)

About every three months at the church I attend back home there is a baptism, those who are being baptized are introduced to the congregation and they share why they have decided to be baptized. The families and friends of those who are being baptized come and record the service, they cry and hold one another because it is a time of great happiness and rejoice for them. For many the baptisms do not just represent the religious act of “new life”, they truly do represent new lives. Many of the people have led lives that they were not proud of and were able to turn those lives around through what they truly believe to be the help of their religion and the people in the church who had stood beside them through those hard times. I was baptized as an infant in the Lutheran Church, but have been a member of the Evangelical Free church since I was eight. Though I had, had an infant baptism, I did not believe that that act held any meaning or significance to me, I made the decision to be baptized when I was seventeen. My parents were there, my father actually brought his Lutheran mother, my sister; and the people who had come to be closer than family to me were the people who I view as mothers, fathers, and grandmother were there. They were there to witness and hold me accountable for the decision that I had made. Baptism in the Christian faith is not meant to be an act of ritual but of proclamation.

Believers of Christianity are persecuted around the world to this day. People in China are not free to worship in the Christian faith. China focuses on house church leaders, house churches in urban areas, Christian publications, and foreign Christians and missionaries living and working in China. In December of 2007 270 Protestant house church pastors were arrested, most were released a few weeks later after interrogation and paying a fine. A stipulation of China getting a bid for the 2008 Olympics was that they were going to allow their people freedom of worship, but since the crack down on churches has not only continued but in the months following the Olympics they have increased. [[67]](Print_version.html#endnote_Beliefs)[[68]](Print_version.html#endnote_China.E2.80.99s_Crackdown)Although Christianity is based in the worship of one god, there are many divisions within the religion(denominations), as well as within the denominations under the religion, regarding the interpretation of religious doctrine.These divisions are responsible for the many variations within the 2 main subsets of Christianity, Catholicism and Protestantism. [

In infant baptism since the child is so young they are not able to make the decision for themselves. Some may view infant baptism as an act of parents dedicating their child to God. Others might think that the child should be only dedicated and not baptized. It is a personal choice that families should talk about and discuss.

[[206]](Print_version.html#cite_note-223)

#### Protestantism

Protestantism began in Europe during the 16th century with the [Protestant Reformation](http://en.wikipedia.org/wiki/Protestant_Reformation), which began as an attempt to reform the Catholic Church. The name Protestant comes from those who "protested" against the Catholic Church and therefore were named Protestant by the church. It is believed that the Protestant Reformation began with [Martin Luther](http://en.wikipedia.org/wiki/Martin_Luther) when he published his [Ninety-Five Theses](http://en.wikipedia.org/wiki/Ninety-Five_Theses) against the Catholic Church. This religion then moved to the Americas during colonization by the English. The religion originated out of the belief that the covenant was broken by [Adam and Eve](http://en.wikipedia.org/wiki/Adam_and_Eve) and was then recovered by Jesus. So they believe that they owe God their obedience do to the recovery of the covenant. When things in their lives are going well it shows Protestants that they are fulfilling the covenant with God. It is the opposite when things in their life begin to go wrong, they must not be fulfilling the covenant. Basic beliefs consist of the Bible holding all truths and that God has a set hierarchy; God, King, fathers/husbands, wives, children, and lastly animals. Another basic belief is that the individual must subject themselves for the good of the whole, because even though there is a set hierarchy each individual needs each other for the strength as one. This being said everyone in their society has set responsibilities and everyone is then dependent upon one another. Further more Protestants see themselves as God's chosen people and at the time of colonization it was their duty to God to pass on his word to Native Americans and those who did not know God.[[207]](Print_version.html#cite_note-224)

One Protestant woman, [Mary Rowlandson](http://en.wikipedia.org/wiki/Mary_Rowlandson), who recorded her time when she was held captive by the Native Americans, this gave a great example of the beliefs and importance of the Protestant religion. Rowlandson was continuously questioning her herself as a Protestant women because of how horribly her life had gone in the wrong direction. Her family had been separated and her youngest daughter had died a few days after their captivity. During this time Rowlandson was able to get a Bible and almost the entire time she was reading it, trying to prove to God that she was a good and obedient Protestant woman. Also Rowlandson was more concerned about reconnecting with her husband and not as concerned about her children that were alone and also in captivity. This was a good example of Protestant beliefs because being a good wife was more important then being a good mother. Rowlandson's story was a great example of how a true Protestant family works and the belief system in action.[[208]](Print_version.html#cite_note-225)

### Jehovah's Witnesses

The Origin: From the early 1870s, Charles Taze Russell studied the Bible with a group of Millerist Adventists. In July 1879, Russell began leading a Bible study group and publishing the magazine, Zion's Watch Tower and Herald of Christ's Presence, highlighting his interpretations of biblical chronology, with particular attention to his belief that the world was in "the last days". In 1881, Zion's Watch Tower Tract Society was formed in Pittsburgh, Pennsylvania, to disseminate tracts, papers, doctrinal treatises and bibles; three years later, on December 15, 1884, Russell became the president of the Society when it was legally established in Pennsylvania. Watch Tower supporters gathered as autonomous congregations to study the Bible and Russell's writings. Russell firmly rejected as "wholly unnecessary" the concept of a formal organization for his followers, and declared that his group had no record of its members' names, no creeds, and no sectarian name. The group became known as [Bible Students](http://www.biblestudents.net). Russell died on October 31, 1916, and control of the Watch Tower magazine was temporarily passed to an Editorial Committee as outlined in Russell's will, with an Executive Committee in control of the Society.

  
Jehovah's Witnesses are a form of Christianity. They follow the bible and take its meaning very literally. They are founded from the Bible Student Movement which was founded in the late nineteen hundreds by Charles Russell. They are mainly known for their" pioneering" in which they go door to door spreading the word of Jehovah (whom is God). Pioneering takes much dedication . For example I went to an assembly (which is a gathering of many district kingdom halls) and one couple pioneer 70 hours every month. Jehovah's Witnesses believe that only 144,000 Witnesses will get into heaven, and the rest of the believers will stay in a paradise on earth . Also, Jehovah's Witnesses do not celebrate any holidays, the only they somewhat acknowledge is Memorial of Jesus' Death . The reason they do not celebrate holidays is because every day with Jehovah should be celebrated equally, so no day should be more important than him. [[209]](Print_version.html#cite_note-226)

#### Non-Denominational

The Christian faith has many diverse denominations and branches. Among these are the Baptists, Lutherans, Presbyterians, etc. However, some Christians prefer not to associate themselves with any particular church branch because many Christians feel that there isn't a church that fulfils all their needs or that agrees with their religious views completely. These people prefer to be labeled as Non-denominational Christians rather than belong to one defined denomination.

Each individual denomination adheres to certain characteristics that they deem fundamental to Christianity. For example a “Christian Church” and a “Community Church” differ slightly in some beliefs. The Christian church believes that miracles no longer occurred after the ascension of Jesus whereas the Community church disagrees by believing that miracles still happen today. A Non-Denominational Christian may agree with some particular doctrines of one church and disagree with other doctrines so they compromise by picking and choosing which articles of faith from different churches they accept as truth. They are free to vary within the walls of Christianity. However, it is only with the minor details in belief that a Non-Denominational Christian disagrees with different churches because this group of people still hold to the core dogmas of the Christian faith. Several churches classified under this sect are noted for being very accepting of people who would never consider themselves to be the “church type.” [[210]](Print_version.html#cite_note-227) [[211]](Print_version.html#cite_note-228)

#### Anglicanism

Anglicanism started with the Church of England created by King Henry VIII during the Protestant Reformation. [[212]](Print_version.html#cite_note-229) It is referred to as the Episcopal Church in the United States which is part of the worldwide Anglican Communion. It is considered one of the main traditions of Christianity. It was originally created to declare independence from the Roman Catholic Church and the Pope, and its worship uses little established rules and is based around only a few traditions and loyalties. One of the main ones, the Book of Common Prayer from the 16th century, was written specifically to be independent from Rome and the strict Roman Catholic traditions. One of Henry VIII's main reasons for creating Anglicanism was due to Pope Clement VII refusing to divorce him from his wife. This was only one of the Catholic traditions that Henry VIII wanted to reform, so he replaced Roman Catholicism as the main religion of England with his own Church of England. While Anglicanism and Protestantism are separate, the Church of England was created with many Protestant ideals. Centuries later, Anglicanism was spread around the world with many countries creating their own autonomous organizations of Anglicanism, such as the Episcopal Church in the United States of America and the Anglican Church of Canada. The church has been sought out by many diverse groups due to its reputation of acceptance to homosexual couples and ordination of female leaders. [[213]](Print_version.html#cite_note-230)

##### Christmas

One of the most important holidays within the Christian religion is [Christmas](http://en.wikipedia.org/wiki/Christmas) Day, December 25, which is the celebration of the birth of [Jesus Christ](http://en.wikipedia.org/wiki/Jesus). It is celebrated by Christians and is generally a one day event that is preceded by massive decoration, purchasing of gifts and the organization of a family gathering. The decorations include the erection of an evergreen tree, such as a spruce, noble fir, or Douglas fir, the decoration of the tree with different ornaments and lights, hanging of stockings, holly wreaths, and mistletoe. The Christmas tree was adopted from the pagans in their celebration of the winter solstice. Every late January the Pagans would go out and would cut down a big log and burn it on all through the night and celebrate the winter, and good weather to come. All of the decorations are intended to show the spirit of the holiday. The tree was adapted into Christianity as more of an ascetic choice. Originally trees were worshiped by pagans during the winter solstice [[69]](http://en.wikipedia.org/wiki/Christmas) The night before Christmas people anticipate the arrival of [Santa Claus](http://en.wikipedia.org/wiki/Santa_Claus), the fat man in a red suit that comes down the chimney and puts presents under the Christmas tree. Christmas Day the presents are opened, and exchanged. Family comes together on this special day and celebrates together. In Western tradition it seems that the birth of Jesus is a secondary celebration to the importance of family and the reunion of extended family. However it is very common for Christian families to attend mass on this sacred holiday. Christmas in the United States is a huge opportunity for the sales of products. It is used as a merchandising holiday, as are others, but it is a social standard to exchange gifts with all of family and friends. Also in Christianity, the Christmas season doesn't end with initial birth of Christ, or Christmas Day, but lasts all the way up to the Epiphany. The Epiphany is the celebration of when the Magi arrived to the Nativity with the gifts of Frankincense, Myrrh, and Gold for the Christ child.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4b/Xmas_fatni1.JPG/220px-Xmas_fatni1.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This is an example of a Nativity Scene. It depicts what is commonly assumed to have been the scene of the shepherds, Mary, Joseph, and Jesus on the night of his birth. It also serves to represent God's faithfulness and love in sending his own son into the world.

Although Christmas can be seen by many as a merchandising holiday, it is a very important day in the lives of Christians. As a Christian I participate in many of the exciting Christmas traditions that have little to do with the actual holiday itself. This is true for many of the Christians I know, we all get Christmas trees, buy presents for our friends and family, go ice skating, decorate our houses with Christmas lights and bake Christmas cookies. Although we participate in these traditions, some Christians also participate and have holiday traditions that have to do with the real meaning of Christmas. These are traditions that go beyond just going to mass on Christmas Eve. For example in my family we put up all the traditional Christmas decorations and Christmas lights but we also do something special. Each year along with all the traditional decorations my family also puts up a nativity scene. This is a small scene that represents the night that Jesus was born. Although, a nativity scene can be found in many households during the Christmas holiday, my family does not put the baby Jesus figurine into the scene until Christmas morning. This is because Jesus was not born until Christmas Eve. As a child I was always very excited for the baby Jesus to come out on Christmas Day. This is a way that many Christian families try to keep the real meaning of Christmas alive in the busyness of the holidays.

  
Christmas is celebrated by Christians all around the world, but is also celebrated by non-Christans as a celebration of the good times and the end of the year. Its a time celebrated to bring families together and exchange gifts to show how much they mean to you. It's a holiday to share between everyone and more recently has been changed to say the holiday or the holiday season.

Christmas seems to be celebrated in the West as a materialistic ritual rather than a religious practice. In the United States the expectations for the reception and delivery of gifts is very high. Regardless of what the gift is, the expectation is still there. In 2006 the average household was expected to spend $1,700 on [Christmas and holiday season](http://en.wikipedia.org/wiki/Christmas_and_holiday_season) commodities such as gifts. Families purchase large amounts of gifts, food, and decorations each year in the United States. There is a huge social demand to receive and give gifts. In American culture it seems that the more expensive the gift is, the closer or more intimate the relationship is. For instance, one might give a simple card to a co-worker, where as they might give a gold necklace to a fiancée. This practice of gift exchange and the social expectation of the value or cost of the item is reflective of the overall social hierarchy that is established in the United States. And this interesting ritual is only one among many.

In the 1800's Christmas was introduced by missionaries from Great Britain to the [!Kung](http://en.wikipedia.org/wiki/!Kung) Bushman of Africa. Ever since the !Kung have celebrated Christmas with a feast. But in a case that Richard Borshay Lee had, where he traveled to the Kalahari and spent much time with the !Kung, he discovered some very interesting behaviors when it came to hunting and gathering food. During the Christmas season he had bought a huge Ox. But when the !Kung Bushman found out what ox he had bought, they told him that it was skinny, and there was not enough food to feed all of them. Lee had purchased the biggest ox, yet the Bushmen denied that it was even sufficient. In the end it turns out that they were teasing him, they had accepted him as a brother of the tribe, and were treating him as they treat others. It seems as though the !Kung Bushmen tend to not brag about their catch, they like to make it seem like the catch was extremely small, and would not be enough for even one person. Constant belittlement of every accomplishment keeps everyone in the tribe on an even scale of power. There is no hierarchy in the !Kung society so conflicts over dominance never occur. [Eating Christmas in the Kalahari](http://windward.hawaii.edu/facstaff/dagrossa-p/articles/EatingChristmas.pdf) by Richard Borshay Lee.

#### Easter

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/10/Easter_eggs_-_straw_decoration.jpg/200px-Easter_eggs_-_straw_decoration.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Easter eggs](http://en.wikibooks.org/w/index.php?title=Easter_eggs&action=edit&redlink=1) are a popular sign of the holiday among its religious and secular observers alike.

Easter [[70]](http://en.wikipedia.org/wiki/Easter) is the most important holiday to the Christian religion. [Easter](http://en.wikipedia.org/wiki/Easter) Sunday(Easter Day), is known to Christians as the day in which Jesus was resurrected from the dead three days after He was crucified. Easter Sunday takes place two days after [Good Friday](http://en.wikipedia.org/wiki/Good_Friday) (three days on the Jewish calendar) , which is known as the day that Jesus was crucified and died on the cross. Typically, Easter is a joyous celebration for Christians because it marks the day Jesus overcame death and rose from the grave.

Easter also marks the end of the common practice of [Lent](http://en.wikipedia.org/wiki/Lent), or time or prayer and penance for sins. Lent begins on [Ash Wednesday](http://en.wikipedia.org/wiki/Ash_Wednesday) and ends on the Holy Saturday, which precedes Easter Sunday. Typically for Lent, believers give up something that distracts them from being closer to God for forty days, ending on Easter Sunday. The Thursday before Easter Sunday is traditionally observed as [Maundy Thursday](http://en.wikipedia.org/wiki/Maundy_Thursday), which is observed with silence and mourning to remember the [Last Supper](http://en.wikipedia.org/wiki/Last_Supper). Easter corresponds with the beginning of the Jewish festival of Passover. Unlike Christmas, Easter is not a fixed date on the western calendar. It typically falls somewhere between the end of March to the end of April. [[71]](http://en.wikipedia.org/wiki/Easter).Easter is observed by the churches of the West on the first Sunday following the full moon that occurs on or following the spring equinox (March 21).[[72]](http://www.holidays.net/easter/eadates.htm)

Western culture has transformed Easter from a more religious holiday, to a secular day of coloring eggs, eating chocolate bunnies, and being visited by the Easter Bunny. This idea came from celebrating the beginning of the season of Spring. It also came from and includes the representation of new life, found symbolically, in the Easter Egg; the egg being the beginning of life. Children especially enjoy these activities and parents also enjoy taking part with their children in the festivities. Many people also celebrate by wearing new clothes, cooking special dinners, and taking part in Easter egg hunts. However, Easter, apart from Christmas brings one of the highest attendance days in Churches. Many families dress up and go to Easter Sunday services in churches all over the world even if they don’t necessarily practice religion all year round.

### Mormonism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/Book_of_Mormon_English_Missionary_Edition_Soft_Cover.jpg/220px-Book_of_Mormon_English_Missionary_Edition_Soft_Cover.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[The Book Of Mormon](http://en.wikipedia.org/wiki/The_Book_Of_Mormon) a key companion to the bible for the Latter-Day Saints.

The church is more formally known as The Church of Jesus Christ of Latter Day Saints.The President of The Church of Jesus Christ of Latter-day Saints is the church's leader and the head of the First Presidency, the church's highest governing body.[[[73]](http://en.wikipedia.org/wiki/President_of_the_Church)]The President is also referred to as the Prophet. He is believed to be the prophet, seer, and revelator who receives council from Heavenly Father, or God.

“In September 1823, Joseph Smith was visited by a heavenly messenger named Moroni, in the same way that angels often appeared to Church leaders in the New Testament. Moroni informed Joseph that God had a work for him to do and told him that a record of the ancient inhabitants of the American continent was buried in a nearby hill. He stated that the record contained the fullness of the gospel of Jesus Christ. In September 1827, Joseph received the record, which was written on thin plates of gold. Joseph translated the book into English by the inspiration of God and called the book the Book of Mormon. It is named after Mormon an ancient prophet who compiled the sacred record. The book verifies, as another testament of Christ, the reality and divinity of Jesus Christ. It is, then, a second witness that affirms the truth of the Bible. Since its publishing in 1830, the Book of Mormon has blessed the lives of millions of people through its powerful message about Jesus Christ and His gospel. “

Mormons believe that there are three different divisions of heaven:

  * 1\. The **Celestial Kingdom** is to be compared to the glory of the sun and is where God dwells. People who inherit celestial glory are those who “received the testimony of Jesus, and believed on his name and were baptized after the manner of his burial, being buried in the water in his name.” They have kept the commandments of God and have been cleansed from all their sins.
  * 2\. The **Terrestrial Kingdom** can be compared to the glory of the moon. The people who inherit the terrestrial kingdom may have died without learning the laws of Christ. They are those who inherited spirit prison rather than spirit paradise in the spirit world.
  * 3\. The **Telestial Kingdom** can be compared to the glory of the stars (which appear dimmer than the moon in the night sky). Even this, the lowest kingdom of glory, is so glorious that it “surpasses all understanding.” These are those who would not receive the gospel of Christ or the testimony of Jesus. But they have not denied the Holy Spirit, as those who are sent to “outer darkness.”
  * Outer darkness is equivalent to hell.

[[214]](Print_version.html#cite_note-231)

  


#### Mormon Beliefs: Prayer

Mormons believe in personal prayer. Prayers are spontaneous and prompted by the Holy Spirit. Prayers are only written out before delivery in the case of temple dedications. Mormons pray to God the Father in the name of Jesus Christ. Mormons believe that all prayers are heard and answered.

We are all children of God. He loves us and knows our needs, and He wants us to communicate with Him through prayer. We should pray to Him and no one else. The Lord Jesus Christ commanded, “Ye must always pray unto the Father in my name” (3 Nephi 18:19). As we make a habit of approaching God in prayer, we will come to know Him and draw ever nearer to Him. Our desires will become more like His. We will be able to secure for ourselves and for others blessings that He is ready to give if we will but ask in faith (Gospel Topics: Prayer).

Mormons are counseled to “pray always.” They are counseled to do the following when they pray:

To avoid “vain repetitions” and to offer meaningful, thoughtful, and purposeful prayer. To use language that shows love and respect for deity–Thee, Thou, Thy, and Thine, rather than the more common pronouns you, your, and yours. Regardless of the language, the principle remains the same: When we pray, we should use words that appropriately convey a loving, worshipful relationship with God. To always give thanks. To seek Heavenly Father’s guidance and strength in all that they do–”Cry unto God for all thy support; yea, let all thy doings be unto the Lord, and whithersoever thou goest let it be in the Lord; yea, let all thy thoughts be directed unto the Lord; yea, let the affections of thy heart be placed upon the Lord forever. Counsel with the Lord in all thy doings, and he will direct thee for good; yea, when thou liest down at night lie down unto the Lord, that he may watch over you in your sleep; and when thou risest in the morning let thy heart be full of thanks unto God; and if ye do these things, ye shall be lifted up at the last day” (Alma 37:36–37; see also Alma 34:17–26). To pray for others; the power of prayer can work miracles. To seek the promptings of the Holy Ghost, so they can know what to pray for. To be willing to obey and to work. To be willing to act on the answers they receive. The Savior has commanded, “Pray always, that you may come off conqueror; yea, that you may conquer Satan, and that you may escape the hands of the servants of Satan that do uphold his work” (Doctrine and Covenants 10:5). Although we cannot be continuously on our knees, always offering a personal, private prayer, we can let our hearts be “full, drawn out in prayer unto [God] continually” (Alma 34:27; see also 3 Nephi 20:1). Throughout each day, we can maintain a constant feeling of love for our Heavenly Father and His Beloved Son. We can silently express gratitude to our Father and ask Him to strengthen us in our responsibilities. In times of temptation or physical danger, we can silently ask for His help (Gospel Topics: Prayer).

Mormons also stress the importance of family prayer:

The Savior has exhorted us to pray with our families. He said, “Pray in your families unto the Father, always in my name, that your wives and your children may be blessed” (3 Nephi 18:21).

Prayers begin and close every meeting sponsored by the Church. Public prayers are not meant to be sermons, but should be simple and heartfelt.

Answers to prayer come in many ways. They often come through the still, small voice of the Holy Ghost. They may come in the circumstances of our lives or through the kind acts of those around us. As we continue to draw near to our Heavenly Father through prayer, we can recognize more readily His merciful and wise answers to our pleadings. We will find that He is our “refuge and strength, a very present help in trouble” (Psalm 46:1).

Prophet Thomas S. Monson said,

Perhaps there has never been a time when we had greater need to pray and to teach our family members to pray. Prayer is a defense against temptation. It is through earnest and heartfelt prayer that we can receive the needed blessings and the support required to make our way in this sometimes difficult and challenging journey we call mortality.

As we offer unto the Lord our family and our personal prayers, let us do so with faith and trust in Him. Let us remember the injunction of the Apostle Paul to the Hebrews: “For he that cometh to God must believe that he is, and that he is a rewarder of them that diligently seek him” (Hebrews 11:6). If any of us has been slow to hearken to the counsel to pray always, there is no finer hour to begin than now. William Cowper declared, “Satan trembles when he sees the weakest saint upon his knees.” Those who feel that prayer might denote a physical weakness should consider that a man never stands taller than when he is upon his knees. [[215]](Print_version.html#cite_note-232)

#### Mormon Beliefs: Laws of Health

Mormons follow a law of health that does more than prevent illness. The Mormon code of health, called the “Word of Wisdom,” also protects agency, or freedom of choice, by proscribing the use of addictive substances. The Word of Wisdom was given by revelation to Joseph Smith, the founder and first prophet of the Church. The revelation was given first as counsel from the Lord and then later was made a commandment under Brigham Young in 1851. Mormons must live according to the dictates of the law in order to enter a Mormon temple.

Brigham Young related some of the circumstances leading up to the reception of the revelation:

“The brethren came to that place for hundreds of miles [to Kirtland, Ohio] to attend school in a little room probably no larger than eleven by fourteen. When they assembled together in this room after breakfast, the first they did was to light their pipes, and, while smoking, talk about the great things of the kingdom, … and as soon as the pipe was out of their mouths a large chew of tobacco would then be taken. Often when the Prophet entered the room to give the school instructions he would find himself in a cloud of tobacco smoke. This, and the complaints of his wife at having to clean [the] floor, made the Prophet think upon the matter, and he inquired of the Lord relating to the conduct of the Elders in using tobacco.” (Journal of Discourses, 12:158.)

The revelation known as the Word of Wisdom is contained in Section 89 of the Doctrine and Covenants [full text]. Following is a list of the provisions of the law:

“Strong drinks (meaning alcoholic or other harmful beverages) are not for the belly.” (Doctrine and Covenants 89:7) “Tobacco is not for the body…and is not good for man.” (Doctrine and Covenants 89:8) “Hot drinks [meaning black tea and coffee] are not for the body.” (Doctrine and Covenants 89:9) The Word of Wisdom not only admonishes against the use of harmful substances, but it also describes those foods which are good for man:

“All wholesome herbs God hath ordained for the constitution, nature, and use of man— “Every herb in the season thereof, and every fruit in the season thereof; “Flesh … of beasts and of the fowls of the air…are to be used sparingly; “All grain is ordained for the use of man…to be the staff of life… “All grain is good for the food of man; as also the fruit of the vine.” (Doctrine and Covenants 89:10–12, 14, 16) The Word of Wisdom is a law and a principle with promise. When men and women obey the provisions of the law, they receive the blessings associated with those provisions. However, if they do not obey, there will be both temporal and spiritual consequences.

The introduction to Section 89 says the following:

“In consequence of evils and designs which do and will exist in the hearts of conspiring men in the last days, I have warned you, and forewarn you, by giving unto you this word of wisdom by revelation” (Doctrine and Covenants 89:4).

These are the “last days,” and “conspiring men” seek to conceal the destructiveness of certain substances in order to make money. Addictive substances are especially profitable, because those who use them continue to use them and even increase their consumption. Free agency is compromised when addictions take over. Also, all men are responsible for their own behavior, and being in a drunken state does not remove the responsibility for one’s acts, nor the judgements of God for those acts. To fully exercise agency, one must be fully aware of his behavior at all times.

Living the Word of Wisdom has brought noticeable health benefits to Latter-day Saints. These benefits have been measured in numerous studies. [[216]](Print_version.html#cite_note-233)

#### Mormon Marriage

Mormon marriages are different than civil marriages, in that they are for eternity. Mormon marriages are done in Mormon temples and performed by those having authority.

First of all, let's compare a civil marriage to one that is performed in the temple.

A civil marriage has the following: 1) the bride and groom make certain promises to each other, and 2) the bride and groom can legally live together under the laws of the land. Most civil marriages are beautiful with the tuxedos, limousines, music and decorations, but no matter how you put it together, the marriage is only for time. The authority for the promises between the bride and groom is the integrity of the two people. The authority comes from man and none other.

In a Mormon marriage the bride and groom make covenants and promises to God. The authority for the promises in a celestial marriage, or eternal marriage, comes from God. When a bride and groom enter the temple they are to be 'sealed'. What exactly does this mean? Sealed means to attach or bond together. In the temple, the bride and groom are joined together with God to form a union; God being the foundation in which they base their eternal marriage on. Sealing a husband and wife together is conferring the blessings of God upon each of them individually and jointly and upon the children they will bring into their family. Being sealed also indicates that God is approving of the ordinance that is being performed, that of celestial marriage.

When a bride and groom go to the temple to be married, they will participate in the 'sealing ordinance'. This ordinance was established by God and is the same ordinance by which Adam and Eve were joined together as husband and wife.

Here is where the similarity of the civil and temple marriage are, that of being authorized to live together as a husband and wife under the laws of the land and where you make certain promises to each other, but that is the end of the similarity.

To make clear what a religious ordinance is in the Mormon Church, it is a specific rite or ceremony performed under the power of the priesthood. In the sealing ordinance, the one officiating must hold the power to perform the sealing ordinance. The power is referred to as the sealing authority or the power by which, conditioned upon obedience to the covenants made, eternal family units are formed.

When kneeling across the altar from each other in the sealing room of the Mormon temple, the bride and groom will receive good counsel from the officiator. The officiator is one who holds the priesthood, one who is worthy and one who is among the very few who have had the sealing power conferred upon him from the prophet of the Lord.

The bride and groom make promises, commitments and covenants with their Heavenly Father. Each of them will receive individual promises of blessings, but only on the condition of their individual worthiness. These individual promises are such that if one or the other were to be disobedient through their marriage, the other partner who remained faithful would continue to be eligible to receive the promised blessings.

Next, the bride and groom jointly make promises, commitments, and covenants with their Heavenly Father and will make covenants to receive each other as husband and wife. Promises of blessings are jointly made on the condition of obedience and is essential if the promised blessings are to be received jointly. This is because you then become 'one', a single unit consisting of two halves.

### Islam

[Islam](http://meta.wikimedia.org/wiki/Islam) is considered a monotheistic religion originating from the teachings of the prophet Muhammad. [[74]](http://www.usc.edu/schools/college/crcc/engagement/resources/texts/muslim/#HEADING1) Muhammad was a 7th century Arab religious and political figure. The definition of Islam is 'submission,' which symbolizes the complete submission required to praise God. Practitioners are referred to as Muslims (literally, 'those who submit'). There are approximately 1-1.8 billion Muslims in the world.[[75]](http://www.adherents.com/Religions_By_Adherents.html#Islam) This makes Islam the second largest religion in the world, right behind Christianity. Indonesia has the highest percentage of Muslims anywhere, at approximately 88% of the population.[[76]](http://en.wikipedia.org/wiki/Islam_in_Indonesia) Nearly all Muslims belong in one of the two major denominations, Sunni and Shi’a. The Sunni’s comprise of 85% while the Shi’a compose 15% of religious followers.

Muslim faith places Muhammad as a prophet who received the Qur’an directly from the angel Gabriel. Muhammad is considered the final prophet of God, and his words and deeds are fundamental sources of Islam. Muslims however do not consider Muhammad the founder of Islam. Instead, they believe Muhammad restored the original monotheistic faith of Abraham, Moses, Jesus, and other prophets. Islamic tradition holds that Jewish and Christian based faiths are distorted versions of Islam. These distortions occurred by prophets altering the text, giving false interpretations, or both.

Muslims are required to adhere to the Five Pillars and the Six Articles of Faith, which serve to unite the Islamic followers in a community. In addition, Islamic followers obey Sharia, or Islamic law. Sharia is a compilation of the Qur'an and the Sunnah (the recorded words and actions of the Prophet Muhammad).[[77]](http://en.wikipedia.org/wiki/Sharia#Origins) These traditions and rulings have touched upon all aspects of life. In some cases, however, it is necessary for Muslims to turn to taqlid[[78]](http://en.wikipedia.org/wiki/Taqlid), the judiciary interpretations of respected scholars.

  


As a ritual, Islamic men and women also wear special head and body coverings in order to reflect their overall modesty, both in actions and in appearance. Men often wear turbans which are like hats and only cover the top of the head, whereas women wear veils which cover the whole head, hair, and sometimes the lower half of the face. In public or in a man's presence, women also wear cloak-like garments which are intended to cover the shapes of their bodies as well as their actual skin. In general, men are to wear clothing that covers from the waist to the knees, but men usually wear garments which cover them from the neck to the ankles. Women are also not expected to wear flashy jewelry because this may defeat the purpose of presenting oneself in a modest fashion. Still, the way in which Muslims is more important in revealing their modesty than is their style of dress.

  


#### The Qur'an

The Qur'an ( Arabic : القرآن‎ ) is the most important religious text of Islam. Unlike the Bible, Muslims believe that the words of the Qur'an came directly from God through the prophet Muhammad by the angel Jibril. Many verses in the Qur'an are counted to the most beautiful poetry in the Arabic language. Often referred to as the "book of guidance" it serves as a guideline regarding how to live life for Muslims. It's contents include conflict resolution, early forms of a legal system, praises to God and addresses domestic affairs.

In Arabic, the Qur’an is believed to be the direct speech of god. For this reason, any sort of tampering with the book is strictly prohibited and unforgivable, this even includes translating the work. However, over the years the Qur’an managed to have been translated into both Turkish and Farsi.[[[79]](http://www.wsu.edu/~dee/ISLAM/QURAN.HTM)]

The word ‘qur’an’ appears in the Qur’an several times throughout the reading, representing various meanings at different points. Though there is not one particular definition for the word, many Muslim authorities believe the origin to come from qara’a, meaning ‘he read’ or ‘he recited’. Many Muslims see this as a very important lesson: to recite the message. They take this to be a vital meaning of the word. [[[80]](http://en.wikipedia.org/wiki/Qur%27an)]

  


#### The Five Pillars of Faith

Islam includes many religious practices but the core lies within the Five Pillars. These five pillars are the framework of the Muslim life. They are the testimony of faith, prayer, almsgiving, fasting during the month of Ramadan, and the pilgrimage to Mecca. [[217]](Print_version.html#cite_note-234)

1._Shahada_: to become a Muslim one must go through a Testimony of Faith where they say, "There is no God but Allah, and Muhammad is the Prophet of Allah."

2._Salat_: prayer is to be done five times a day towards the direction of Mecca.

3._Zakat_: annual almsgiving by giving one-fortieth of their income to the needy. Muslims are also encouraged to undertake personal, non-ritualized Zakat throughout the year.

4._Sawm_: During the month of [Ramadan](http://en.wikipedia.org/wiki/Ramadan), Muslims fast from sunrise to sundown. This develops self-control, devotion to God through the denial of wordly distractions, and identification with the needy.

5._Hajj_: Each Muslim is supposed to make the pilgrimage to Mecca at least once in their lifetime if it is possible to do so. [[81]](http://www.mnsu.edu/emuseum/cultural/religion/islam/beliefs.html#HEADING2)

#### The Six Articles of Faith

The main doctrines of Islam are the Articles of Faith, traditionally numbered at six.[[82]](http://www.islam.com/artialsfaith.htm)

1.Belief in one God,[Allah](http://en.wikipedia.org/wiki/Allah), Supreme and Eternal, Creator and Provider. God has no mother or father, no sons or daughters. God has no equals. He is God of all humankind, not of a special tribe, race, or group of people. He is the God of all races and colors, of believers and unbelievers alike.[[83]](http://diz2rb09.wordpress.com/category/6-articles-of-faith-in-islam/)

2.Angels are a part of human life. They have different purposes and messages from God. Everyone has two angels: one for good deeds and one for bad deeds.

3.There are four pieces of scripture that the Muslims follow. The Torah, the Psalms of David, the Gospel of Jesus Christ and the Qur'an. The Qur’an is the most important to the Islamic faith.

4.Muslims follow the messages of the six most significant prophets, Adam, Noah, Abraham, Moses, Jesus, and Muhammad. Muhammad is the last and most important of Allah's messengers.

5.On Judgment Day those that follow Allah and Muhammad will go to Islamic heaven while those who do not will go to hell.

6.Divine Creed [[84]](http://www.mnsu.edu/emuseum/cultural/religion/islam/beliefs.html#HEADING2)Belief that Almighty God has knowledge of, and control over, everything that exists in all time and space.

#### Sunni

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Sunnism_arabic_blue.svg/220px-Sunnism_arabic_blue.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Sunnism written in Arabic.

The Sunni are a religious denomination that branch off of the religion of Islam.[[85]](http://i-cias.com/e.o/sunni.htm) The Sunni make up around 90% of Islamic believers. The Sunni put far more importance on the pilgrimage to [Mecca](http://en.wikipedia.org/wiki/Mecca) to achieve [Hajji](http://en.wikipedia.org/wiki/Hajj) status. There are few theologies and traditions that set the Sunni apart from all the others. A few of these include:

• The Theology of Ash’ari

• The School of Maturidiyya

• The School of Athariyya

**Theology of Ash’ari**

The theology of Ash’ari was founded by Abu al-Hasan al-Ash'ari. The Ash’ari theology emphasizes many different ideas but the most pronounced is this: divine revelation over human reason. Human reason cannot develop ethics as read in the [Qur'an](http://en.wikipedia.org/wiki/Qur%E2%80%99an) and that it is solely derived from God’s commands. This theology also describes that divine omnipotence is over human free will. It is believed within the Ash’ari that the Qur'an is eternal and uncreated. Basically, the theology of Ash’ari teaches that what the Qur'an says about God should be directly understood as being true, even though some statements can’t be fully conceptualized.[[86]](http://en.wikipedia.org/wiki/Ash%27ari)

**School of Maturidiyya**

The school of Maturidiyya, along with Athariyya, form the basis for the understanding of the Sunni. Maturidiyya was incorporated into the Sunni-Islamic religion through Turkish adherents of Central Asia. The Turkish people eventually traveled to different areas of the Middle East taking the tradition of Maturidiyya along with them, thus allowing other believers to be exposed to new theories and ideas. The theory behind Maturidiyya argues that the knowledge of God’s existence can be derived through human reason alone. This, in combination with aspects from the theory of Ash'ari, provide the very basic background and understanding of the Sunni denomination.[[87]](http://en.wikipedia.org/wiki/Maturidiyyah)

**School of Athariyya**

The school of Athariyya, unlike the school of Ash’ariyyah, teaches instead that the attributes and names given to God by the Qur'an can be taken in a literal sense. For instance, in the Qur'an it describes God as having a “yad” (hands) and a “wajh” (face). So according to the teachings of Athariyya, God has a face and some hands. It is also mentioned that God does not resemble his creation in any way. So the faces and hands of God do not resemble that of his creation but in a way that is only befitting to him. The teachings of Athariyya only convey the idea that God exactly describes himself only suiting to his majesty in literal form.[[88]](http://en.wikipedia.org/wiki/Athariyyah)

**Muslim Culture**

Sunni Islam is a monotheistic, Abrahamic religion that is adhered to by those of the Muslim culture. The word Islam in Arabic literally means “submission.” The word Muslim in Arabic means “one who submits to God.” It is believed in the Muslim culture that God delivered the Qur'an to them through an angel by the name of Gabriel who sought out the prophet named Muhammad. The Qur'an and Sunnah (words divinely spoken by the prophet Muhammad) are the foundation of which Islam was based upon. It is believed that Muhammad simply restored the religion of Islam rather than creating it, and that other religions such as [Judaism](http://en.wikipedia.org/wiki/Judaism) and [Christianity](http://en.wikipedia.org/wiki/Christianity) distorted the true meaning and constructed a false interpretation. Muslims are found throughout various parts of the world, all the way from the West coast of Africa to some parts of China. Most Muslim cultures are found within the Middle East. The Muslim culture practice a very strict type of ritual, which can also be seen as a religious duty, in which they pray five times a day. People are considered to be a Muslim after publicly reciting the [Shahadah](http://en.wikipedia.org/wiki/Shahadah).

**Muslim Dress**

Men: must avoid wearing tight clothing and cover the area between the knees and the navel. This is normally done by wearing a loose gown and usually a turban. Men must also grow a beard, as long as it’s possible.

Women: more conservative followers of Islam require women to wear loose-fitting clothes and to be covered from their ankles to their wrists. A veil is to be worn on the head, and too much makeup and perfume should be avoided. However many more modern Muslims especially residing in North America and Europe practice their faith without covering themselves up to such an extent. Today there are many Muslims, mostly the younger generation, who believe that there is much more to having faith in Islam and following the word of God than focusing on what one wears. [[89]](http://go.galegroup.com/ps/retrieve.do?sgHitCountType=None&isETOC=true&inPS=true&prodId=GVRL&userGroupName=kcls_web&resultListType=RELATED_DOCUMENT&searchType=BasicSearchForm&contentSegment=9781414406121&docId=GALE%7CCX3448400024#HEADING3)

#### Shi'a

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Muslim_distribution.jpg/300px-Muslim_distribution.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[W:Distribution of Shi'a Muslims](http://en.wikipedia.org/wiki/Distribution_of_Shi%27a_Muslims)

Shi'a Islam is the world's second largest Islamic denomination behind the Sunni denomination. Shi'a Muslims make up the majority of the population in Iran, Azerbaijan, Iraq and Bahrain. The distinguishing characteristic of Shi'a Islam is that it believes that after the Prophet [Muhammad](http://en.wikipedia.org/wiki/Muhammad) died, political and spiritual leadership of the Muslim community should have gone to his family and descendents, mainly his cousin and son-in-law [Ali](http://en.wikipedia.org/wiki/Ali). They believe that only god can appoint the successor to the Prophet and that before his death, Muhammad appointed Ali as his successor. Shi’as call the political and spiritual leaders Imams. They believe that there have been twelve Imams, starting with Ali. The last Imam, [Mahdi](http://en.wikipedia.org/wiki/Mahdi), is believed not to have died, and is a messianic figure who will return with Christ. According to Shi'a doctrine, he has been living in the [Occultation](http://en.wikipedia.org/wiki/The_Occultation) and once returned will re-establish the rightful governance of Islam and replete the earth with justice and peace.

##### Shi'a Practices

One of the most important Shi’a practices is the annual commemoration of the Battle of Karbala. This battle involves the death of Husayn, Muhammad’s grandson, at the hands of Yazid, son of Mu’awiya.

After Muhammad’s death in 632, rule of the Muslim community was passed to Abu Bakr, then to Umar, then to Uthman, then finally to Ali. Mu’awiya claimed that Ali was unfit for various reasons to inherit the throne and led an uprising against him. After Ali’s death, Mu’awiya instated himself as Caliph and appointed his son, Yazid, as his successor.

Ali’s sons, Hassan and Husayn, rebelled against Yazid’s undertaking of the Caliphate. Hassan was quickly poisoned. Husayn led his followers against Yazid, but was overwhelmed and killed. [[218]](Print_version.html#cite_note-235) These events are recounted in annual reenactments. The deaths of Hassan and Husayn are considered tragic, and the reenactments are very emotional. They are considered by Shi'as yet another way the rightful leadership of the Muslim community has been denied by usurpers—first with Ali’s death, then with the death of his sons.[[219]](Print_version.html#cite_note-236)

### African Religions

African traditional and diasporic: 100 million. (Diaspora: A dispersion of a people from their original homeland.)

This is not a single organized religion, but it includes several traditional African beliefs and philosophies such as those of the [Yoruba](http://en.wikipedia.org/wiki/Yoruba_people), [Ewe](http://en.wikipedia.org/wiki/Ewe_\(people\)) (Vodun), and the [Bakongo](http://en.wikipedia.org/wiki/Bakongo). These three religious traditions (especially that of the Yoruba) have been very influential to the diasporic beliefs of the Americas such as Candomblé, Santería and [Voodoo](http://en.wikibooks.org/wiki/Voodoo).

  
**Yoruba**

In the [Yorùbá religion](http://en.wikipedia.org/wiki/Yoruba_religion), all humans have Ayanmo (manifest destiny) to become one in spirit with Olódùmarè, or Olòrún, the divine creator and source of all energy. Each being in Ayé, the physical realm, uses energy to impact the community of all other living things to move towards destiny. In other words, one's destiny is in one's own hands. To attain transcendence and destiny in Òrún-Réré, the spiritual realm of those who do good things, one's Orí-Inu (spiritual consciousness in the physical realm) must be elevated to unify with one's Iponri (Orí Òrún). Those who stop improving are destined for Òrún-Apadi, the spiritual realm of the forsaken. Life and death are physical cycles that alternate while one’s spirit evolves toward transcendence. The religious capital of the Yoruba religion is at [Ile Ife](http://en.wikipedia.org/wiki/Ile_Ife).

  
**Ewe**

[Ewe religion](http://en.wikipedia.org/wiki/Ewe_people#Ewe_religion) is organized around a creator deity named Mawu. Mawu is the Supreme Being, separate from daily affairs. “Se” is a word for law, order and harmony; Se is the maker and keeper of human souls; in an abstract sense, Se is destiny.

  
**Bakongo**

The [Bakongo](http://en.wikipedia.org/wiki/Bakongo) or the Kongo people, also called the Congolese, are an ethnic group living along the Atlantic coast of Africa. Traditional Kongo religion believed heavily on the concept of the dead, and that most of their supernaturals or deities are thought to have once lived on Earth. Only Nzambi Mpungu, the name for the high god, existed outside the world and created it from outside. Other categories of the dead include bakulu, or ancestors, the souls of the recently departed, and in some cases, more powerful beings believed to be the souls of the long departed. There are also supernatural beings who are guardians of particular places and territories, sometimes considered to be the soul of the founder, and there are those who inhabit and are captured in minkisi (singular nkisi), or charms, whose operation is the closest to our modern idea of magic. The value of these supernatural operations is generally seen as a reflection of the intentions of the worker, instead of the worker being intrisically good or bad.

### Vodou (Voodoo)

Though relatively small in comparison to other world religions in practice, vodou can be encompassed under the Catholic religion as many practitioners of vodou consider themselves devout Catholics. Vodou is the Haitian spelling for Vodun, which is an amalgamation of West African traditional religion with Catholicism. Consisting of veneration for Catholic saints, Vodou also consists of veneration of ancestral spirits that can be evoked to posses a host through Catholic hymns and ritual dance and sometimes through animal sacrifice, most commonly of chickens. These ritual parties are normally induced at a spirit's birthday or another important celebration, at which gatherers give the host food or money for the visiting spirit that is used for the party and salutations for the spirit guest. Vodou communities are tightly knit, and are sparing on outsiders as they are surrounded by poverty and are misunderstood by most onlookers that stereotype Vodou to be a form of black-magic practice by using voodoo as a derogatory term and; therefore, looked down upon by outsiders. Like Catholicism in the act of personal saints, those who practice Vodou often have their own spirits to look after them. These spirits must be kept happy and be given offerings to insure protection and good health. [[90]](Print_version.html#endnote_Brown_1991)

**Vodou in Brooklyn**

A large part of Brooklyn Vodou comes from Haiti and many of the devotees have family ties to the poverty stricken island. Normally there is one host or hostess known as a priest or priestess that leads the ritual ceremonies in a broken-down backstreet housing development that is in desperate need of repair and upkeep. The host goes through days of preparation for a ceremony, sometimes with help, but a lot of times alone, creating a large alter with items that the spirit favored or was known to like while living. When the time comes the participants give the host money for the items, but all pooled money is extremely valuable, so when a person can't be a contributor it is forgiven. Ceremonies start late at night or early morning, usually after midnight and continue on for hours until the spirit leaves.

The process of inducing the spirit can be very strenuous on the host, and may take hours for the possession to take place, but through singing of hymns and rhythmic dancing the crowd tries to bring about the spirit that is the guest of honor. Since money is so scarce for the community some ritual birthdays are skipped for minor spirits; however, main spirits are never left from having their sacred ceremonies no matter how severe the situation becomes from lack of money.

### The Rastafarians

**5 basic beliefs can be identified as uniquely Rastafarian:**

-Haile Selassie is seen as the Messiah; The chosen one.

-They are part of the tribe of Israel, who, at the hand of the White person, has been exiled in Jamaica.

-Everyone is Rasta in terms of being children and servants of God.

-The Jamaican situation is a hopeless hell; Ethiopia is heaven.

-Because of the Nazarite Vow which Jesus, Moses and Samson took, no instrument shall touch the hair or beard unless it is an atonement.

  


#### History

The Rastafari movement was developed in the slums of Jamaica during the 1920's and 30's. During the 1930's Jamaica was experiencing a severe depression, and the people were subject to racism and class discrimination. This set the stage for the poor and rural Jamaicans to embrace a new religion and ideology. This movement began with the teachings of [Marcus Garvey](http://en.wikipedia.org/wiki/Marcus_Garvey). Garvey believed Africans were the original Israelites, who had been exiled to Africa as divine punishment. Garvey's "Back to Africa" movement encouraged black pride in the people and helped to reverse the mindset of black inferiority.

On November 2nd, 1930 Ras Tafari Makonnen became emperor of Ethiopia, and took the name Haile Selassie. Followers of Marcus Garvey believed Selassie was the messiah that had been predicted, and that the return to Africa would begin. Jamaicans named this movement Ras Tafari. This movement became visible in the 1930's when peaceful communities in the Kingston Slums began to grow.[[91]](http://www.religionfacts.com/a-z-religion-index/rastafarianism.htm)

Bob Marley, (February 6, 1945 – May 11, 1981), was a famous reggae musician and arguably the most famous rastafarian. He is credited with taking reggae and expanding to a worldwide audience. He wore dreadlocks and preached the use of cannabis in his lyrics. Most of his music, lyrics and album covers contained [nyabinghi](http://en.wikipedia.org/wiki/Nyabinghi) and Rastafarian chanting. He was baptized by the Archbishop of the Ethiopian Orthodox Christian Church in Kingston, Jamaica, on November 4, 1980.

**"The Lion Of Judah"**

Rastafarian tradition believes the famous King Haile Selassie I was a direct descendent of a lineage from King David and Solomon, of the historic faiths. The Rastafarian religious figures were from then on known for their bloodline which gave them the name [Lion of Judah](http://en.wikipedia.org/wiki/Lion_of_Judah), which has been a symbol on the Rastafarian flag since the birth of Rastafarianism. This concept is one of the most important aspects of the Rastafarian way of life, and culture. The symbol is synonymous with other religions, which give it a multicultural connection to many other traditions.

![Flag of Ethiopia \(1897-1936; 1941-1974\).svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/55/Flag_of_Ethiopia_\(1897-1936%3B_1941-1974\).svg/200px-Flag_of_Ethiopia_\(1897-1936%3B_1941-1974\).svg.png)

![Marijuana.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/48/Marijuana.jpg/200px-Marijuana.jpg)

**Ganja: Religious Sacrament**

Rastafarians have unique practices that are recognized worldwide. The most well known practice is the use of marijuana, which grows plentiful in Jamaica. Rastas know it as ganja, the holy herb, lley or Callie, and believe it was given by God. It is used as a part of a religious ritual and as a means of getting closer to their inner spiritual self. The verse Psalm 104:14 is used to validate their explanation as it states “He causeth the grass for the cattle and herb for the service of man." Before Rastafari began, marijuana was used for medicinal purposes by herbalists in Jamaica as a remedy for illnesses including colds.

Ganja, or marijuana is used among the Rastafarians as a religious ritual. At first it was smoked or used in teas as a way to rebel against the system, "Babylon." The Babylon system came to symbolize Western society in general. However, Ganja is also used for several other reasons. Those reasons include gaining a sense of unity, attaining higher meditation, producing visions, and assisting the mind by keeping it calm during fearful times. Thus Ganja has become a very dominant symbol in Rastafarian culture.(Barrett pg.128-9)

Marijuana is used mainly during the most celebrated rituals: reasonings and [nyabingi](http://en.wikipedia.org/wiki/nyabingi). Reasoning is a meeting in the form of a ceremony that usually takes place out in the woods or in secluded areas. Rastas get together to discuss and debate issues such as ideologies, philosophy and theology. Marijuana is used during this time with the intention of opening up and becoming more open-minded for discussion. Nyabingi is a dance held on special occasions and holidays. Hundreds of Rastafarians come from around Jamaica and gather for this celebration, which can last for days at a time. The Rastas dance and sing all night until the morning. In the day time, they “rest and Reason”.

#### Holidays

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/32/Selassie_restored.jpg/180px-Selassie_restored.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Haile Selassie I, Emperor of Ethiopia](http://en.wikipedia.org/wiki/Emperor_of_Ethiopia)

There are many Jamaican holidays, most of which are focused on events in the life of [Emperor Haile Selassie](http://en.wikipedia.org/wiki/Haile_Selassie_I_of_Ethiopia). The most important ones are:

• January 6 - Ceremonial birthday of Selassie

• February 6 – Bob Marley’s birthday

• April 21 - Selassie's visit to Jamaica

• July 23 - Selassie's personal birthday

• August 1 - Emancipation from slavery

• August 17 - Marcus Garvey's birthday

• November 2 – The coronation of Selassie

  
**[Dreadlocks**](http://en.wikipedia.org/wiki/Dreadlocks)  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Dreadlocked_rasta.jpg/200px-Dreadlocked_rasta.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

"Natty Never Get Weary" lyrics by: Culture

Rastafarians have transformed the word "dread" from unkempt, dangerous, and dirty, to instead be a symbol of power, freedom and defiance. The way to form natural dreadlocks is to allow hair to grow in its natural pattern, without cutting, combing or brushing, but simply to wash it with pure water. The way dreads are worn, how long they are, and the newness of them means a lot. If one does not have dreadlocks but is a Rastafarian, they are called a "cleanface." People who have short newly started dreads are called "nubbies," and this can sometimes determine the respect that one is given. Rastas maintain that dreadlocks are supported by Leviticus 21:5 ("They shall not make baldness upon their head, neither shall they shave off the corner of their beard, nor make any cuttings in the flesh.")  


  


**Food Symbolism**

Rastas do not eat much meat. They eat small fish such as herring, but the foods they eat the most are vegetables. Most call the food I-tal which means, "The essence of things, things that are in their natural states." This translates to using nothing artificial and certainly no salt. They drink no alcohol, caffeine, or milk, but will drink anything made with natural herbs from the earth.

**Red, Gold, Green, and Black-Jamaica's colors**

Red: The triumphant church of the Rastas as well as the blood shed of the martyrs in the black struggle for liberation.

Gold: The wealth of their African homeland, the color of Jamaica and hope to end oppression

Green: Ethiopia's beauty and lush vegetation as well as the riches that were stolen from the Jamaicans

Black: The color of the people that make up most of the Jamaican population

### Cargo Cult

[Cargo Cult](http://en.wikipedia.org/wiki/Cargo_Cult) is a form of revitalization movement that emerged as early as the late eighteenth century but really developed in the early to mid nineteenth centuries. Predominantly found in Melanesia and New Guinea, these cargo cults formed with the influence of European trading stations and colonial administration.<<http://encarta.msn.com/encyclopedia_761573866/Cargo_Cults.html>> Most prominent in the first half of the nineteenth century, cargo cults emphasize the acquisition of Western trade goods, or cargo in local terms, and these foreign goods were used to rank stature and prosperity. Typically, tribal deities, cultural heroes or ancestors created supernatural theories in which they enacted various rituals to produce the speedy arrival of the "promised" gifts. In one instance, the leader predicted that a ship would come, bringing not only cargo but also the people's dead ancestors. Followers set up tables for the expected guests, complete with flower arrangements. New cults formed with the occurrence of World War II and the spread of occupying troops that were stationed around islands in the South Pacific. Initially the delivery mode for cargo to occupying troops was via ships, and islanders would mimic the behaviour of the troops preparing for the arrival of ships. Over time ships were replaced with aircraft, and so correspondingly the mode of anticipated arrival changed to planes. The islanders would imitate the soldier's activities, making headphones out of wood and sitting in makeshift control towers in the mistaken belief that these activities would cause aircraft to arrive rather than simply pre-cursor their arrival. Some cults even built elaborate landing strips in the belief that this would cause planes to continue to land with cargo. When packages and cargo ceased to bless the islanders, leaders of the cults were discredited and the groups were disbanded.

### Bahá'í Faith

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Seat_of_the_House_of_Justice.jpg/280px-Seat_of_the_House_of_Justice.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Seat of the [Universal House of Justice](http://en.wikibooks.org/w/index.php?title=Universal_House_of_Justice&action=edit&redlink=1), governing body of the Bahá'ís, in [Haifa](http://en.wikibooks.org/w/index.php?title=Haifa&action=edit&redlink=1), [Israel](http://en.wikibooks.org/wiki/Israel)

The [Bahá'í Faith](http://en.wikipedia.org/wiki/Bah%C3%A1%27%C3%AD_Faith) is one of the youngest of the world’s religions. Its founder, Bahá'u'lláh (1817-1892), is regarded by the Bahá'ís as the most recent messenger from God. The line of messengers goes back before recorded time and includes Abraham, Moses, Buddha, Krishna, Zoroaster, Christ and Muhammad.

The central theme of Bahá'u'lláh's message is that humanity is one single race and that the time has come for unity. “God”, Bahá'u'lláh said, “has set in motion historical forces that are breaking down traditional barriers of race, class, creed, and nation and that will, in time, give birth to a universal civilization. The principal challenge facing the peoples of the earth is to accept the fact of their oneness and to assist the processes of unification”.

One of the purposes of the Bahá'í Faith is to help make the unification of mankind possible. There are around five million Bahá'ís worldwide, representing most of the world’s nations, races, and cultures on earth. The Bahá’í World Centre, the spiritual and administrative heart of the Bahá’í community, is located in the twin cities of ‘Akká and Haifa in northern Israel.

The Bahá'í writings describe a single, personal, inaccessible, omniscient, omnipresent, imperishable, and almighty God who is the creator of all things in the universe. The existence of God and the universe is thought to be eternal, without a beginning or end.

### Atheism

Atheists hold the belief that there is no god, making up about 2.3% of the world population.[[220]](Print_version.html#cite_note-237) Certain countries such as Japan (65%) and Sweden (85%) have higher populations of Atheists. People who do not believe in any deity's teachings may be referred to as "weak atheists," while people who believe there is no deity at all are sometimes referred to as "strong atheists." "Strong Atheism" is the most common definition for the term atheist.

Some atheists strongly oppose creationism or intelligent design being taught in place of biological evolution in schools in the U.S. In 2005, after a Kansas State Board of Education decision, which allowed intelligent design to be taught in place of evolution, the [Church of the Flying Spaghetti Monster](http://en.wikipedia.org/wiki/Flying_Spaghetti_Monster) was created by a group in response to the decision. The flying spaghetti monster is a sarcastic theory that pastafarians argue has as much scientific backing as the theory of intelligent design. Within the original letter that was sent to the Kansas School Board, Henderson showed that correlation does not imply causation by linking the increase in global warming to the decrease in pirate population. This exampled mocked the belief of some religious groups that the world was going though hardships, such as war and famine, because praise was not being given to a deity. The original copy of the letter also included a graph showing the correlation between pirate populations and global warming.This adds to atheists having a strong sense of boundary for church and state, keeping the sacrosanct state separate from religious interference. However, this strong belief in a boundary between church and state is not only limited to atheists and pastafarians. Many people simply do not think that organized religion is a benefit to society. Not only is it not taxed, but it indulges in what can be considered brainwashing of children, i.e. the repetitious statement of a known untruth to an impressionable child for years on end. Some argue that if those children had not been thusly mislead he would at least look at the bible critically. In many instances of actions by organized religious groups throughout history resulted not only in the death of millions of people but has been a block in many cases to the abandonment of human rights. Religions necessarily divide people into groups and therefore encourage hierarchical behavior.

### Agnostic

Agnostics believe that the existence of God is impossible to prove or disprove. It does not deny the existence of a supernatural being; however, it does not fully understand or accept there is a god or supernatural being. It is often seen as the middle ground between theist and atheism. Sometimes when asked what their religion is, many of those who are unsure of the existence of a God will reply "Agnostic". [[92]](Print_version.html#endnote_http:.2F.2Fwww.religioustolerance.org.2Fagnostic.htm) The terms Agnostic and Agnosticism were created in the 19th century (many sources are different about the exact date) [[221]](Print_version.html#cite_note-238)by Thomas Henry Huxley, a biologist who was an advocate of Darwin's theory of evolution. There is often prejudice against Agnostics to be unbound by moral code because of their lack of religion. Though recently the definition of an Agnostic has changed, for there are several definitions now.[[222]](Print_version.html#cite_note-239) The two most predominant are Weak Agnostic and Strong Agnostic. A Weak Agnostic is someone who believes that God is unknown, meaning that God may be known, and some people may possibly know God. The second, a Strong Agnostic, is someone who believes that God is unknowable or cannot be known. [[223]](Print_version.html#cite_note-240) However there are many different degrees to Agnosticism. Some examples are "empricial Agnostics" who believe that a God may exist, but nothing is or can be known about him/her/it. Also, there are "Agnostic Humanists" who are undecided about whether or not God exists, but they question the importance of the question. [[93]](Print_version.html#endnote_http:.2F.2Fwww.religioustolerance.org.2Fagnostic.htm)

### Satanism

[Satanism](http://en.wikipedia.org/wiki/Satanism) is the term for a number of belief systems that all feature the symbolism of Satan or other figures. Originally, Satan was the symbol for all those who challenged the Hebrew Bible. Proceeding this, the Abrahamic religions have described Lucifer as a fallen angel or a mislead demon that tempts people to sin. However, contrary to this, non religious or satanists see the Biblical Satan as a satire for individualism, freewill and enlightenment.

In modern times there are two types of Satanists:

**Theistic:** Satanists that believe Satan to be a deity and supernatural being. Theistic Satanism may include the use of meditation and self expansion or often includes the use of magic through rituals.

\- One group that falls under the definition of Theistic Satanists are Reverse Christians. Reverse Christians follow Satan but in the context of the Christian version and biblical definition of him.

**Atheistic:** Satanists that regard Satan as a symbol of their freewill and of certain human traits. Some use Satan as a symbol to annoy religious people.

-LaVeyan Satanism: A religion founded in 1966 by Anton Szandor LaVey. Its teachings are based on individualism, self-indulgence, and "eye for an eye" morality. LaVeyan Satanists are atheists and agnostics who regard Satan as a symbol of humanity's inherent nature.

-Temple of Set: Established in 1975 by Michael A. Aquino and other members of the priesthood of the Church of Satan, who left because of administrative and philosophical disagreements. The philosophy of the Temple of Set may be summed up as "enlightened individualism" – enhancement and improvement of oneself by personal education, experiment, and initiation. This process must be different for each individual as each is enlightened in different ways.

-Symbolic Satanism: (sometimes called Modern Satanism) is the observance and practice of Satanic religious beliefs, philosophies and customs. In this interpretation of Satanism, the Satanist does not worship Satan in the theistic sense, but is an adversary to all, spiritual creeds, espousing hedonism, materialism, rational egoism, individualism and anti-theism.

**The Pentagram**

![](../../../upload.wikimedia.org/wikipedia/commons/8/8a/Satanist_pentacle.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A classic five point pentagram.

The Pentagram is a five sided star shown upside down in the satanic religion. This star has a couple of meanings Lucifer or vesper, the star of morning and evening, and it also represents Satan as a goat of the sabbath (which when a goats head is placed inside the horns point up the sides are the ears and the bottom point is the beard of the goat). The logo also symbolizes the rules and the ideology each point of the star represents a aspect to the satanic belief. Satanist are supposed to follow each point and build off of it to have a better life. The five points of the pentagram are similar to the ten commandments they explain how to live your life and to be a satanist you must follow these rules.

The First Point- represents the social responsibility to respect other on how you would like to be treated. They strive for members that are law-abiding, tax-paying honest and responsible satanist.

The Second Point- represents the power of magic as well as the power of will. Satanist believe that with strong beliefs Their magic will become more powerful. The magic is used in the satanic practices and it is encouraged that satanist experiment with different types of magical path or style they feel drawn to.

The Third Point- represents the importance of enchanting ones life and living it to the fullest, while staying in control and being responsible. With this point it states the satanic rule that "do whatever you wish, but in doing so, harm no one deserving it". This leaves a lot of open space for satanist to live their life and have fun. Addictions and breaking the law are frowned upon as qualities of the weak.

The Fourth Point- represents the "Wolf Pack" which is respect your family and friends. Any person that is close to a satanist and fulfils their life is to be included in the wolf pack.

The Fifth point- represents that man creates his own gods. Live as if you are the king or queen, and believe in yourself. This point is stating that you can do the best you can and try your hardest through out life. This is the most valued point of the star, it concludes that worship what you want to worship and do what makes you happy.

**The Pentagram as a non-satanic symbol** The image of a Pentagram is not purely linked to the practice of Satanism. Many cultures have utilized the pentagram as a symbol. For instance, various Neo-paganism beliefs such as Wicca or Neo-druidism, take a version of the pentagram and infuse it with their own ideas and imagery. In Wicca, the pentagram is not inverted as it is in Satanism but rather is upright. The pentagram can even be found in older history Christianity where it was held as a symbol of health or as a representation of the five wounds of Christ. Further uses can be found in the Bahá'í faith where it is one of the major identifying symbols, and in Taoism where it represents the five elements of Earth, Fire, Metal, Water and Wood. [[224]](Print_version.html#cite_note-241)

### Scientology

**Scientology** is one of the youngest religions practiced today, created in 1952 by the American science fiction author, L. Ron Hubbard. In 1953, the Church of Scientology was founded in New Jersey. The core of Scientology teaches that human beings are immortal spiritual beings that have forgotten their true nature. To spiritually rehabilitate oneself, one must go through a process of counseling known as “auditing.” To undergo this type of counseling, a member must give a specified monetary donation. Scientology is legally recognized as a religion in the United States as well as a few other countries. The activities of Scientology are restricted in many countries. Many European countries considered the organization to be a cult. There have been many criticisms of Scientology, one of which is that they financially defraud and abuse their members.

Scientology presents two divisions of the mind, [reactive](http://en.wikipedia.org/wiki/Reactive_mind) and analytical. The reactive mind is believed to absorb all pain and emotional trauma, while the analytical mind is a rational mechanism which is responsible for consciousness. The reactive mind stores mental images which are not readily available to the conscious mind; these are referred to as engrams. Engrams are believed to be painful and debilitating; as they accumulate, people move further away from their true identity. To avoid this fate is the Scientologist's basic goal. Dianetic training is the tool through which the Scientologist progresses towards the "Clear" state, winning gradual freedom from the reactive mind's engrams, and acquiring certainty of his or her reality.[[225]](Print_version.html#cite_note-242)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/E-meter_red.jpg/220px-E-meter_red.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A visitor to a Church of Scientology public information tent receives a demonstration of an [E-meter](http://en.wikibooks.org/w/index.php?title=E-meter&action=edit&redlink=1)

The E-meter is a device used by Scientologists to measure the level of static field around a person. It is used by the upper clerics of the Church of Scientology to reflect or indicate whether or not one has been relieved of the spiritual impediment of sin. The E-meter helps those who are qualified to use them determine the areas of spiritual distress in the mind so they can be further addressed.

One of the followers of Scientology, especially prevalent due to American media, is Tom Cruise. Tom Cruise became involved with the Church of Scientology in 1990. He has publicly announced his belief that Scientology has cured his dyslexia. Other celebrities have adopted Scientology as their new religious belief in recent years like: John Travolta, Katie Holmes and Isaac Hayes. The media has drawn a lot of attention to Scientology because of its celebrity followers and has made the practice of Scientology more recognized in Western culture.

### Confucianism (儒敎)

Confucianism (儒敎) is a complex belief system, which was found by Confucius (K’ung Fu Tzu, 孔夫子， 551-479 BCE). The system is based on his teachings that primarily focus on individual morality, ethics and the proper exercise of political power by rulers. It was spread out to China, Japan, Korea and some other areas in Asia and influenced on philosophies and thoughts in those areas for thousands years. There are approximately 6 million Confucians in the world; about 26,000 in North America and almost all of the remainder throughout China and rest of Asia.[[226]](Print_version.html#cite_note-243) However, because the belief system has became part of culture in those areas, especially in Asia, it is often debated whether Confucianism is still a religion or a philosophy. For example, in South Korea, ancestor worship, which is a practice of Confucianism, is still performed in many households and values of ethical teachings are considered very importantly.

#### Six values of the ethical teachings

* Li （禮）: Ritual, Propriety, Etiquette  
* Xiao （孝）: Love within family  
* Yi (義): Righteousness, morality  
* Xin （信）: Honesty and trustworthiness  
* Ren (仁): Generosity, humanity, love; Confucianism’s fundamental virtue  
* Zhong (忠): Loyalty to the state

### Taoism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/The_Immortal_Soul_of_the_Taoist_Adept.PNG/220px-The_Immortal_Soul_of_the_Taoist_Adept.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Image of the immortal soul of a Taoist adept.

Taoism or Daoism is a philosophy which can be simply put as "Be the water not the rock..." or in other words, go with the flow. Though the philosophy is much deeper than that description it does give an outsider the general idea. Taosim was founded by Lao Zi, a philosopher of ancient China. There are the _Three Jewels of the Tao_ which are compassion, moderation and humility.

#### The Three Jewels of the Tao

**Compassion** Defined as "abstention from aggressive war and capital punishment."[[227]](Print_version.html#cite_note-244) Which suggests that a Taoist should practice pacifism and avoid fighting. Also to show compassion to others a Taoist must thusly avoid practices of capital punishment and must strive to understand the ways of others. In doing this a Taoist comes to feel connected with the world and to sympathize with all living beings.

**Moderation** Defined as "absolute simplicity of living."[[228]](Print_version.html#cite_note-245) This Jewel Of the Tao asks Taoists to live modestly and take no more than they need. In terms of nature this means to coexist. Many Taoists have a deeply ingrained connection to nature and reducing their effect on it while living humbly is something to strive for. In living only in moderation and becoming a minimalist Taoists are able to avoid hollow wants and can minimize materialism through living in this simple way.

**Humility** Defined as "refusal to assert active authority" [[229]](Print_version.html#cite_note-246) The third and final Jewel of the Tao is there to point Taoists toward a more peaceful life. Taoists suggest staying out of the spotlight and in the background because that can protect one from premature death. Taoists have a love for life that they protect at all costs and staying humble and not at the forefront allow them to survive peacefully which is one of their main goals to have a full life.

#### Thought

Taoist thought is often focused on nature, longevity, health, liberty and spontaneity. The exact number of practicing Taoists is unknown due to many factors including the criteria used to define Taoism. There are an estimated twenty to fifty million taoists worldwide, mainly in regions populated with Chinese people, China, Taiwan, Singapore and Malaysia. However, Taoist art and literature has influenced the cultures of Korea, Vietnam and Japan.

### Henotheism

Henotheism is not so much a religion as a personal belief, much like Agnosticism or Atheism. Henotheism is actually a belief that is held by MANY people, from all different religions and beliefs. In easy terms to understand, Henotheism is the belief in a specific god, just like any religion. However, henotheists also accept the fact that there are other beliefs and other versions of a higher power that people may believe in, even if they contradict the henotheist's own belief system. [Bussiem](http://en.wikibooks.org/w/index.php?title=User:Bussiem&action=edit&redlink=1)

# Cults

One dictionary defines [cults](http://en.wikipedia.org/wiki/Cult) as a religion or religious sect generally considered to be extremist or false, with its followers often living in an unconventional manner under the guidance of an authoritarian, charismatic leader.[[94]](http://www.thefreedictionary.com/cult) There are, however many meanings to what cults are and these are split into groups of positive, neutral, and negative connotations. Negatively connotative cults usually get the most media attention and these range from religious, commercial, self-help and counseling, and political.[[95]](http://en.wikipedia.org/wiki/Cults)

Some modern examples of cults (in no particular order)[[96]](http://listverse.com/religion/top-10-cults/):

• The Church of Bible Understanding

• The Manson Family

• Aum Shinrikyo

• Restoration of the 10 Commandments

• Raëlism

• The Church of Scientology

• The Order of the Solar Temple

• Heaven’s Gate

• Branch Davidians

• The Unification Church

# **Glossary of Key Terms**

-**myth**: stories which have seemingly self-evident truth through their integration of personal experiences and wider assumptions regarding how society and the world should operate.

-**orthodoxy**: "correct doctrine"; not allowing movement away from agreed upon mythic texts.

-**ritual**: continual social practice made up of a sequence of symbolic activities which are intertwined with a group of ideas which are often encoded in a myth. These social practices may include dance, song, speech, gestures, or the manipulation of objects.

-**rite of passage**: a ritual which calls attention to the change of an individual from one social position to another.

-**orthopraxy**: "correct practice"; not allowing movement away from agreed upon forms of ritual behavior.

-**religion**: the beliefs, values, morals, and ideas of an individual which are symbolically related to their actions.

-**syncretism**: a layering or combination of the meanings or beliefs of more than one religion.

Terms are loosely taken from _Cultural Anthropology: A Persective on the Human Condition_ by Emily A. Schultz and Robert H. Lavenda.

Animatism—a belief system in which the supernatural is conceived of as an impersonal power Authority—the ability to take action based on a person’s achieved of ascribed status (power, moral reputation and recognized knowledge) Band—the form of political organization of foraging groups, with flexible membership and minimal leadership Bilineal descent—the tracing of descent through both parents Brideprice—the transfer of cash and goods from the groom’s family to the bride’s family and to the bride Brideservice—a form of marriage exchange in which the groom works for his father­in­law for a certain length of time before returning home with the bride Clubs/fraternities/sororities—social groups that define membership in terms of a sense of shared identity and objectives Chiefdom—a form of political organization in which permanently allied tribes and villages have one recognized leader who holds “office” Civil society—the collection of interest groups that function outside the government to organize economic and other aspects of life Countercultural groups— Creole—a language directly descended from a pidgin b possessing its own native speakers and involving linguistic expansion and elaboration Descent—the tracing of kinship relationships though parentage Dowry—the transfer of cash and goods from the bride’s family to the newly married couple Ethnic conflict— Ethnosemantics—the study of the meaning of words, phrases, and sentences in particular cultural contexts Gangs— Animism—spirits in world ￼Endogamy—marriage within a particular group of locality Exogamy—marriage outside a particular group of locality Friendship— Historical linguistics—the study of language change using formal methods that compare shifts over time and across space in aspects of language such as phonetics, syntax, and semantics Influence—the ability to achieve a desired end by exerting social or moral pressure on someone or some group Law—a binding rule created through enactment or custom that defines right and reasonable behavior and is enforceable by threat of punishment Marriage—a union, usually between two people who are likely to be, but are not necessarily, coresident, sexually involved with each other, and procreative Matriarchy—the dominance of women in economic, political, social and ideological domains Matrilineal descent—a descent system that highlights the importance of women by tracing descent through the female line, favoring marital residence with or near the bride’s family, and providing property to be inherited through the female line Matrilocality— Monogamy—marriage between two people Morphology— Norm—a generally agreed­upon standard for how people should behave, usually unwritten and learned unconsciously Patriarchy—the dominance of men in economic, political social, and ideological domains Patrilineal descent—a descent system that highlights the importance of men in tracing descent, determining marital residence with or near the groom’s family, and proving for inheritance of property through the male line Patrilocality— Phonology— Pidgin—a contact language that blends elements of at least two languages and that emerges when people with different languages need to communicate Polyandry—marriage of one wife with more then one husband Groomprice ￼￼￼￼￼￼￼￼￼￼￼￼￼￼￼Polygyny—marriage of one husband with more than one wife Polygamy—marriage involving multiple spouses Power—the ability to take action in the face of resistance through force if necessary Ritual—patterned behavior that has to do with the supernatural realm Sectarian conflict—conflict based on perceived differences between divisions or sects within a religion Social groups—a cluster of people beyond the domestic unit who are usually related on grounds other than kinship State—a form of political organization in which a centralized political unit encompasses many communities, a bureaucratic structure, and leaders who possess coercive power Syntax—the study of sentence pattern; the way words of various kinds are put together in a sentence Tribe—a form of political organization that comprises several bands or lineage groups, each with a similar language and lifestyle and occupying a distant territory Unilineal descent—the tracing of descent through only one parent War—organized and purposeful group action directed against another group and involving lethal force

# References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

<http://en.wikipedia.org/wiki/Rastafari_movement#Dreadlocks>

**[^](Print_version.html#ref_Wigoder_2002)** Wigoder, Geoffrey. "Mourning."The New Encyclopedia of Judaism. 2nd ed. New York University Press. 2002.

**[^](Print_version.html#ref_Turpin_1994_pages_9-24)** Turpin, Solvieg A. 1994 Shamanism and Rock Art in North America. TX. University of Texas at Austin. p. 9-24

**[^](Print_version.html#ref_Turpin_1994_page_5)** Turpin, Solvieg A. 1994 Shamanism and Rock Art in North America. TX. University of Texas at Austin. p. 5

**[^](Print_version.html#ref_Turpin_1994_page_4)** Turpin, Solvieg A. 1994 Shamanism and Rock Art in North America. TX. University of Texas at Austin p. 4

**[^](Print_version.html#ref_Shultz_.26_Lavenda2009)** Schultz, Emily A. and Lavenda, Robert H. 2009 Cultural Anthropology: A Perspective on the Human Condition. 7th Edition. NY. Oxford University Press. p. 211

**[^](Print_version.html#ref_The_Columbia_Encyclopedia._2001-07)** “Hajj.” The Columbia Encyclopedia, 6th ed. New York: Columbia University Press, 2001–07. www.bartleby.com/65/. February 19, 2009.

**[^](Print_version.html#ref_Encyclop.C3.A6dia_Britannica._2009)** "pilgrimage." Encyclopædia Britannica. 2009. Encyclopædia Britannica Online. 19 Feb. 2009

**[^](Print_version.html#ref_Colin_Wilson._1996)** Colin Wilson. 1996. Atlas of Holy Places & Sacred Sites. DK Adult. p. 29.

**[^](Print_version.html#ref_Karen_Armstrong._2000)** Karen Armstrong (2000,2002). Islam: A Short History. pp. 10–12.

**[^](Print_version.html#ref_Encyclop.C3.A6dia_Britannica._2009)** "Muhammad." Encyclopædia Britannica. 2009. Encyclopædia Britannica Online. 19 Feb. 2009

**[^](Print_version.html#ref_Clarifying)** Clarifying Christianity; What is Baptism? 1998. 19 Feb. 2009 <<http://www.clarifyingchristianity.com/get_wet.shtml>>

**[^](Print_version.html#ref_Communion)** Fairchild, Mary. “What is Communion and Why Do Christians Observe Communion?”

**[^](Print_version.html#ref_Constantine)** Emperor Constantine. 19 Feb. 2009 <<http://www.earlychurch.org.uk/constantine.php>>

**[^](Print_version.html#ref_Christian_Empire)** The Christian Empire: 313-476. United Methodist Women in Worship. 19 Feb. 2009 <<http://gbgm-umc.org/UMW/bible/cea.stm>>

**[^](Print_version.html#ref_China.E2.80.99s_Crackdown)** Cole, Ethan. “China’s Crackdown on Christians Worsens”. The Christian Post 7 Feb. 2007. Feb 19 2007http://www.christianpost.com/Intl/Persecution/2008/02/china-s-crackdown-on-christians-worsens-07/index.html

**[^](Print_version.html#ref_Anubis_Encarta)** "Anubis," Microsoft® Encarta® Online Encyclopedia 2008 <<http://encarta.msn.com>> © 1997-2008 Microsoft Corporation.

**[^](Print_version.html#ref_Anubisdescrip)** Scott, David. "Anubis". InterCity Oz. Inc. © 2000-2004. Feb 26 <<http://www.touregypt.net/godsofegypt/anubis.htm>>

**[^](Print_version.html#ref_Anubisburial)** Whitney. "Egyptian Afterlife". Hubpages Inc, © 2009. Feb 26 <<http://hubpages.com/hub/Egyptian-Mythology-Afterlife>>

**[^](Print_version.html#ref_Meyerhoff)** Meyerhoff, Barbara, Linda A. Camino and Edith Turner. Rites of Passage…An Overview. In Encyclopedia of Religion. Edited by Mircea Eliade, Vol. 12. 380-387.

**[^](Print_version.html#ref_Sanyika_1996)** Sanyika, Dadisi. Gang Rites and Rituals of Initiation. In Crossroads: The Quest for Contemporary Rights of Passage. Edited by Mahdi, Louis Carus, Nancy Gever Christopher and Michael Meade. La Salle, IL. Open Court. 1996

**[^](Print_version.html#ref_Cotterell_2000)** Cotterell, Arthur 2000. _Myths & Legends._ London: Marshall Editions Ltd.

**[^](Print_version.html#ref_Frazer_2003)** Frazer, James 2003 Golden Bough: A Study in "Magic and Religion" Kessinger Publishing

**[^](Print_version.html#ref_Kessler_2007)** Kessler, Gary (2007). Voices of Wisdom: A Multicultural Philosophy Reader. Sixth Edition. pp.30-36

**[^](Print_version.html#ref_Wikipedia)** Gautama Siddhartha, March 4, 2009 <<http://en.wikipedia.org/wiki/Siddhartha_Gautama>>

  * From Wikipedia, the free encyclopedia <http://en.wikipedia.org/wiki/Anthropomorphic>
  * <http://www.answers.com/topic/anthropomorphism>

**[^](Print_version.html#ref_Wenner_2001)** Wenner, Sara. “Basic Beliefs of Islam.” Minnesota State University: Mankato. 2001. 28 Feb. 2009 < <http://www.mnsu.edu/emuseum/cultural/religion/islam/beliefs.html>>.

**[^](Print_version.html#ref_Gale_2007)** “Islam.” Gale Virtual Reference Library. 2007. 5 Mar. 2009 <<http://go.galegroup.com>>.

**[^](Print_version.html#ref_Sherman_2008)** Sherman, Daniel (2008). "Pastor Qualifications." <<http://www.my-pastor.com/pastor-qualifications.html>> (March 8, 2009)

**[^](Print_version.html#ref_James)** James, Paul E. "Ritual And Religion." Anthropology 201. Western Washington University, Bellingham. 2009.

**[^](Print_version.html#ref_Hefner.3BGuimaraes)** Hefner, Alan; Guimaraes,Virgilio. "Animism" March 5, 2008 <<http://www.themystica.com/mystica/articles/a/animism.htm>>

**[^](Print_version.html#ref_Harvey_2006)** Harvey, Graham. "Animism; Respecting the Living World" 2006. New York: Columbia University Press.

**[^](Print_version.html#ref_Brown_1991)** Brown, Karen MacCarthy. "Mama Lola: A Vodou Priestess in Brooklyn" 1991, University of California Press, Berkeley and Los Angeles, California.

**[^](Print_version.html#ref_Henderson_2005)** Henderson, Bobby. "Church of the Flying Spaghetti Monster" 9 Mar 2009 <<http://www.venganza.org>>

**[^](Print_version.html#ref_Wikipedia)** "Flying Spaghetti Monster" 9 Mar 2009 <<http://en.wikipedia.org/wiki/Pastafarian>>

"Anthropology of religion: Common elements of religion." Palomar College. Palomar College. 8 Mar 2009 <<http://anthro.palomar.edu/religion/rel_2.htm>>.

"Agnostics and Agnosticism:Uncertainty about whether God exists." Religious Tolerance. Religious Tolerance. 9 Mar 2009 <<http://www.religioustolerance.org/agnostic.htm>>

  


← [Play, Sport and Arts](http://en.wikibooks.org/wiki/Cultural_Anthropology/Play,_Sport_and_Arts) · [Production, Inequality and Development](http://en.wikibooks.org/wiki/Cultural_Anthropology/Production,_Inequality_and_Development) →

← [Play, Sport and Arts](http://en.wikibooks.org/wiki/Cultural_Anthropology/Play,_Sport_and_Arts) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Production, Inequality and Development](http://en.wikibooks.org/wiki/Cultural_Anthropology/Production,_Inequality_and_Development) →

  


# Production, Inequality and Development

## Adaptive Strategies

People all over the world rely on modes of production, distribution, and consumption in order to provide food and other commodities necessary in life. These modes differ based on culture in the ways that humans relate to and make use of the natural environment, how humans relate to each other, how the institutions of society and federal states cause change, and how ideas impact the ways in which these relationships are conveyed. This section discusses specific aspects of the different modes of production that have been used over time and that continue to be used in different cultures worldwide.

## Production

[Production](http://en.wikipedia.org/wiki/Production) is the transformation of nature's raw materials into a form suitable for human use. It is the first step in the process. For example, taking wheat grown in a field and grinding it into flour to make bread is an example of production. It is taking the wheat (otherwise useless) and converting it into a form that Humans can use for sustenance (making it into flour for bread). One could go even a step farther and say that Production stems into the machinery used to harvest that wheat.

## Distribution

[Distribution](http://en.wikipedia.org/wiki/Distribution) is the transport of produced goods whether that be by land, air or sea to the consumer. Examples include the shipping of a package around the globe or even simply taking food to the market to sell. Forms of distribution vary depending on level of development and technological means but it is a universal and is required to get a product to the potential consumer.

An example of one way in which goods are distributed is through Physical Distribution Management and Efficient Consumer Response systems. These methods of transporting products have been increasingly important since the age of the Industrial Revolution and the rapid rate of globalization and technological advance. This is because as industry makes the production of certain specific goods more efficient, the transportation of those goods becomes more vital because the distance to the places that need them is greater. Without the important aspect of distribution, industrialization would not be effective or even possible to sustain.

## Consumption

[Consumption](http://en.wikipedia.org/wiki/Consumption) is the buying or use of a good or service that has been previously distributed and produced. Whenever an individual buys from a store or buys a service from someone else they have taken part in consumption. Consumption is an important part of the trade process and it is the final step in the process.

Within each of these systems there are many different forms and many different processes by which they all function. Production can span all areas of the globe, but in many different fashions. Although it is agreed that "production shapes the context in which exchange can occur, determining which parties have how much of what goods to distribute", the extent to which this applies varies drastically from geographic location to geographic location and can often uncover inequalities between the different levels. A good example of this is the Global Coffee Trade.

Full Example:

A complete example of the whole process is a 2006 Documentary entitled "Black Gold" follows the Coffee Trade in a region of Ethiopia known as Oromia. This area is known as the Birthplace of coffee. The film follows Tadesse Meskela, the Manager of The Oromia Coffee Farmers Cooperative Union, as he travels to The United Kingdom and The United States trying to promote the coffee grown by the local farmers of Oromia. His efforts are to cut out all the middle men who are essentially robbing the Ethiopian coffee farmers, cheating them out of rightful pay. The disparity between what the Coffee farmers are being paid for their coffee and what the people who buy the coffee turn around and sell it for is astounding. Buying the coffee for as little as $.50 a bag, not even giving the farmers adequate funding to feed and shelter their families, then turning around and selling it to Starbucks for millions of dollars, who in turn sells the coffee for $5 a cup. There are movements in place to help combat this sort of exploitation. One of the most notable being [Fair Trade](http://en.wikipedia.org/wiki/Fair_Trade).

## Modes of Production

  1. Production in Non-industrial Societies

Production in Non-industrial Societies is extremely limited. Due to the increasing globalization of technology, communication, transportation rates and speeds, many basic staples are needed in order to live and are produced in mass quantities that are shipped all over the world. The methods of production small non-industrialized societies falls into Foraging, Horticulture, Pastoralism, and Agriculture, which will be reviewed in more depth below. 90% of human production in the past was based on Foraging, while now less than 1% of the global population forages, revealing how archaic and inefficient a method of production this is. Horticulture, Pastoralism, and Agriculture all fall under the general arena of farming, a method that is still widely used in the world today, but overall cannot produce the massive quantities gleaned from industrial production. Thus, production in Non-industrial Societies is limited to the production of raw goods, or culturally valuable art etc., since there has been a marked rise in global interest in culturally rich products. Also, non-industrial societies mainly produce just enough for consumption. The basic purpose is for survival, while in Industrialization the purpose is profit. Thus, the amount produced is drastically different.

## Foraging

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a2/Hadzabe3.jpg/200px-Hadzabe3.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Hadza men setting fire

[Foraging](http://en.wikipedia.org/wiki/forage) used to be the number one mode of survival for humans. Foraging was the most common mode of production for over 90% of the time that humans have existed. However, it has become nearly extinct today, equaling approximately 1% in terms of modes of production. The extinction of this production mode may be due, in part, to the lack of land availability. In the past, and in some societies today, foraging is responsible for the initiation and survival of cooperation. Foragers are also known as hunter-gatherers. Although hunting may be an inconsistent resource for a community or family that rely on it, if coupled with gathering, it can be significantly more dependable. As the foraging cultures move from location to location, the older women are responsible for planting durable crops, grains, and tubers, as well as knowing when these plants will be ready to harvest.

An example of a successful foraging culture in existence today is the Ache people of Paraguay. The men spend their time hunting for game. The women follow behind, gathering resources such as fruits, palm starch, and larvae. Most of the time they split into pairs, but the Ache people are always within ear shot, ready to help each other. They cooperate in hunting game which is necessary to their diet. The men also help women in physically challenging tasks, such as climbing and cutting down trees. With this cooperation comes the expectation that resources will be shared among each other. Hunters never eat their own catch; it is usually distributed among the community and those involved in the catch. An important part about the Ache culture is that they distribute their game evenly amongst all people. The hunter never eats his own catch, and his family receives just as much meat as every other member of their tribe. Gathering is slightly different; women who gather usually keep slightly more than half of their findings.[[97]](Print_version.html#endnote_Hill)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/32/San_tribesman.jpg/150px-San_tribesman.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A [San](http://en.wikibooks.org/w/index.php?title=Bushmen&action=edit&redlink=1) man from [Namibia](http://en.wikibooks.org/w/index.php?title=Namibia&action=edit&redlink=1). Fewer than 10,000 San live in the traditional way, as hunter-gatherers. Since the mid-1990s the central government of [Botswana](http://en.wikibooks.org/w/index.php?title=Botswana&action=edit&redlink=1) has been trying to move San out of their lands.[[230]](Print_version.html#cite_note-247)

Some of the goods that were normally foraged were from the coast, such as fish and [mollusk](http://en.wikipedia.org/wiki/mollusca), and from the forest, game, honey, insect larva, fruit, palm fiber, and greens [[98]](Print_version.html#endnote_James.2C_Paul). Foraging isn't as dominant as it once was because overuse drains the land of its resources. Foragers usually inhabit a space of around 5/6 k/m per person. [[99]](Print_version.html#endnote_Norton.2C_Joe) Although they occupy a large amount of land, foragers maintain a nomadic lifestyle and travel in small groups of 10-100 [[100]](Print_version.html#endnote_Norton.2C_Joe). Their way of live is sustainable because they take up a large portion of land for the small amount of people that actually inhabit it, allowing the land to replenish itself.[[101]](Print_version.html#endnote_Norton.2C_Joe) An example of a foraging society is the Ju'Honsi of Kalahara.

Another example of this type of society would be the Huaorani, (Also called Waorani or Auca), an indigenous tribe located in the Amazonian region of Ecuador. The main mode of production for this group of people is foraging and hunting. They have an incredible knowledge of the trees and forestry in their area, as an extremely important part of their culture (uses for hunting, medicine, and traditional ceremonies etc.) Although they hunt animals, they do not hunt birds of prey or land based hunters, and they hold special ceremonies for each animal they kill before they eat it, in respect for the animal's spirit. Their diet consists mainly of random vegetable matter, and these animals, with hardly any agriculture, much less production with the view to export. It's a self-sustaining community that moves from place to place in a small area.

For more information on the Huaorani, [[102]](http://www.printroom.com/event.asp?domain_name=dsphotography&group_id=214).

### Correlates of Foraging

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Chief_seattle.jpg/200px-Chief_seattle.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Chief of the Suquamish Tribe

Correlates of foraging commonly focuses on how individual groups go about foraging. Small groups tend to be a band-organization of 30 to 50 people that are mobile by season; it means they move from place to place depending on the season to assure their resources aren't completely consumed. When hunting and gathering, groups make sure that they don't become too attached to a piece of land because that could prevent them from moving on after the season has passed. When they've gathered their resources they bring all their goods together as a group to guarantee that the entire group is fed properly; if they held resources individually, not one person would get the nutrition needed to survive. Even though they tend to have all the resources they need, the ability to store goods is limited so they only take what they can eat. Nothing is wasted and there's a surplus if the group needs it. Within these groups the political and social organization is very simple; they have a headman at the top of the political hierarchy and there tends to be very little conflict between people because of the simple political system. Overall these groups are split into typical gender based divisions. Women do the gathering while the men do the hunting and fishing, but in this case the gathering contributes to the majority of the group's diet.

Neighboring Bainbridge Island, Washington is a Native American group commonly referred to as the Suquamish Tribe. Before European colonization this tribe thrived almost exactly how these foraging communities did. The Suquamish once occupied all of the Kitsap County area and they built long houses, up to 600 feet long, along the water and took shelter there during the winter. During the other seasons they made portable tents to make it easier to transport goods from place to place following the hunting, fishing and gathering changes of the seasons. When it came to the political system, the Suquamish tribe had a chief, or headman, that made all the major decisions and consequently, created very little conflict with surrounding tribes because of compromises. Just like other groups, the Suquamish also had a gender based division. The men did the hunting, fishing, and clam digging while the women did the gathering, weaving, child and elderly care, and handmade clothes and baskets.

### The Original Affluent Society

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Bushmen_drinkingwater.jpg/200px-Bushmen_drinkingwater.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bushman Drinking Water

The term "original affluent society" was first coined by anthropologist [Marshall Sahlins](http://en.wikipedia.org/wiki/Marshall_Sahlins) to refer to foragers who, he argued, lived in societies of "affluence." Sahlins defined affluence as "having more than enough of whatever is required to satisfy consumption needs." [[103]](Print_version.html#endnote_Schultz_and_Lavenda) He believed affluence could be obtained in two ways: by producing much or by desiring little; the latter is the path taken by foragers. As a result of this lifestyle, foragers are theoretically free from the characteristically western element of greed — therefore, the concept of wealth is nonexistent, or at least irrelevant. The notion of the original affluent society can be viewed as a reflection of anthropologists' change in their historically western, ethnocentric views.

Pacific Northwest Native American history has shattered stereotypes that previously insisted on the necessity of farming and agricultural practices in order to develop complex, structured societies rich in culture. With over 39 different languages and 11 distinct language families, Northwestern coastal Natives were “the most socially complex hunting and gathering societies known to earth.” Prior to the arrival of European explorers 250 years ago and the practice of written documentation, the Native Americans had no form of written language; history was recorded orally, and Native families were not dependent on the monetary system. Natives of the Pacific Northwest had a unique hierarchical system dependent on slavery and with hereditary chiefs. Their potlatch ceremonies served as a redistribution of wealth and unquestionably displayed their affluence and abundance of natural resources, art, and culture. [[231]](Print_version.html#cite_note-248) Economies were based on generating heaps of processed and stored foods. Native Americans’ diets generally consisted of berries, bulbs, shoots, waterfowl, land mammals, shellfish, chitons, sea urchins, crabs, seaweeds, and most importantly: salmon. They hunted and gathered only what was available, with great respect to life and the interconnection of nature, believing that all living things possessed a spirit, presented themselves as food willingly, and had to be honored accordingly. It was believed that “Bears, whales, thunderbirds, wolves, or salmon-and supernatural beings- had their own villages, their own chiefs, and their own structured societies.” When food was scarce, it was a result of disrespect or broken taboos. [[232]](Print_version.html#cite_note-249)

An affluent society famously referred to by Sahlins is the !Kung Bushmen of the Kalahari. Their affluence is evident because resources are readily available to them — so much so that they do not have or desire storage containers to hoard surpluses, and they borrow what is needed. Because of this, they have no interest in acquiring wealth. Furthermore, foragers generally are reported to have shorter working hours (possibly just twenty per week). Sahlins contrasts this fact to that of civilized societies, suggesting that leisure time decreases with the "evolution of culture." [[104]](Print_version.html#endnote_Sahlins) [See more on original affluent society.](http://en.wikipedia.org/wiki/original_affluent_society)

## Cultivation

[Cultivation](http://en.wikipedia.org/wiki/Cultivation) is the process of growing plants on arable land, and usually refers to large scale farming. Requirements of cultivation are land, water, and seed for growing. Cultivation involves the sowing of the seeds in the appropriate season. In the process of cultivation a farmer is often required to also initially till the land, weed control, and ultimately harvest the crops. In the modern age, this practice has been developed into the professional art of agronomy, and may be analyzed by specialized agronomists to maximize efficiency. Soil cultivation refers specifically to the tilling of the soil, such as by ploughing, to prepare the soil for planting and to control weeds.

  1. [Horticulture](http://en.wikipedia.org/wiki/Horticulture): is the process of plant cultivation. The process began following basic foraging systems in history. People began growing specific crops, instead of only hunting and gathering in the surrounding lands. The main concept of horticulture is the growing of crops and useful trees in forest areas, with long fallow periods in between. A fallow period is a season when cultivated land is left untilled after plowing (ploughing). Horticulture also uses slash and burn techniques to clear land for cultivation. The rights of the land were open to the group, and the way to claim land is to actively use it. This is a simple and small scale form of agriculture, and used in areas with a low population density.
  2. [Agriculture](http://en.wikipedia.org/wiki/Agriculture): is defined by the production of goods and food through the processes of farming and forestry. The defining feature of agriculture is primarily [land ownership](http://en.wikipedia.org/wiki/land_ownership). This is based on the fact that the more land one possesses, the more space they have to plant crops. Another very important aspect of agriculture has to do with socially enforced use rights, as well as water rights. Water is a huge part of agriculture because that and sunlight, as well as the occasional fertilizer, are the keys to growing crops successfully.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/75/2005gdpAgricultural.PNG/220px-2005gdpAgricultural.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Agricultural output in 2005.

Historically, agriculture was the main source of work to nearly a third of the entire United States population. But today, with the rapid growth of industry, agriculture only employs a small percentage of the country's population. This is primarily because of new technologies becoming available that can take place of what a large number of people were previously being paid to do.

Agriculture ranks as one the most hazardous industries in the world. Farmers put themselves at very high risks every day and are very susceptible to things such as hearing loss, lung disease, skin cancer, and a variety of other things. Specifically in the United States, an average of over 500 people die per year doing work on a farm. Almost one-fifth of these deaths every year are a result of tractor overturns. With farming now mainly just a family industry, young workers are always out on the fields, just as much as anyone else. These young workers are also at huge risks every day, and a huge number of victims are under the age of 15. Agricultural work exposes people of all ages to a variety of risks, so it may not be a terrible thing that agricultural production has decreased so much over the last hundred-or-so years. [The percent of the human population working in agriculture has decreased over time.](http://upload.wikimedia.org/wikipedia/en/e/e6/Clark%27s_Sector_Model.png)

  


  1. The Cultivation Continuum
  2. Intensification: People and the Environment
  3. [Pastoralism](http://en.wikipedia.org/wiki/Pastoralism) \- A Nomadic mode of Production

Pastoralism is defined as the herding of domesticated or partially domesticated animals. The basis for pastoralism is movement. They do not have a distinct home since they are all a nomadic society. Their home is where their animals go. They rely on movement to keep their animals alive and since they move seasonally there is always water and food available to the animals they are herding. They must keep their animals alive to keep themselves alive because Pastoralists rely on the animals they herd for food and clothing. They are also able to utilize their animal's droppings for fire and sometimes using them for transportation purpose. Pastoralist societies tend to live in rural and harsh landscapes where no other form of production is possible.

The people’s animals become their culture, for without their animals their culture would not exist. An example of a pastoral nomadic society is the Reindeer herders of Siberia. They roam around northern Mongolia. The herders, known as the Tsaschin, or Dukha, rely on their animals for transportation, and for the staples of their diet: milk, cheese, yoghurt and dried milk curds. These people hold rights to the reindeer as a group. They depend on one another to stick together and build their herd larger in order for survival in rural Mongolia.

One could also think about the way that a pastoral society could work in synchronicity with agricultural society. A pastoral society could bring their animals down from the mountains (if they lived in a climate similar to the one above) and the animals could feed on the weeds and remains following a harvest. Their excrement could help to fertilize the soil for the next season, and the animals could receive nutrition.

### Horticulture

Horticulture is characterized by slashing and burning. The defining feature is a crop or forest rotation with long fallow periods [[105]](Print_version.html#endnote_James.2C_Paul). Horticulturist societies have around 160 people per square kilometer [[106]](Print_version.html#endnote_Norton.2C_Joe). The main crops they produce/ use are vegetables, grains and roots [[107]](Print_version.html#endnote_Norton.2C_Joe). Every person usually works around 15-20 hours a week, and the work is distributed by sex and age group [[108]](Print_version.html#endnote_Norton.2C_Joe).Children have an important role in a horticultural society because they weed and plant seeds, and collect water and firewood[[109]](Print_version.html#endnote_James.2C_Paul). The Yanamamo is an example of a horticulturist society [[110]](Print_version.html#endnote_Norton.2C_Joe).

Furthermore, horticulture has been used for thousands of years, first in the Middle East and later in South America. Some common products of horticultural societies include grains and manioc tubers. As information about effective productivity increased, the idea of modifying the environment in order to achieve these good growing conditions became more widely understood and used. One example of changing the environment in this way is crop rotation to allow the soil to have fallow periods. Also, since horticulture lets a small area produce a great deal of resources, population density is higher in these societies than in foraging ones. There is also usually no individual land ownership because the whole society works the land and benefits from it. [[111]](Print_version.html#endnote_James.2C_Paul).

#### Yanamamo

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/26/ShabanoYanomami.jpg/220px-ShabanoYanomami.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Ya̧nomamö _shabono_

The [Yanamamo](http://en.wikipedia.org/wiki/fierce_people) are a population living in the [Amazon Rainforest](http://en.wikipedia.org/wiki/Amazon_rainforest) in the hills between Brazil and Venezuela. They are the largest population of native people in South America, and because of the remoteness of their location they managed to remain untouched by foreign sovereignty and influence. Prior to the 1960s this culture hadn’t had any contact with other continents but, because their culture is unusually intact, they seem to be the object of much foreign research [[112]](Print_version.html#endnote_wikipedia).  


Living with their kin and marriage lineages, the Yanamamo live in a communal system consisting of groups of 50 to 400 people. The village stays within the shabono, which are oval shaped houses that are around 100 yards long. Everyone lives in the same [Shabono](http://en.wikipedia.org/wiki/Shabono), which they build out of materials found in the jungle, which makes it very susceptible to the elements. They primarily harvest bananas through [slash and burn horticulture](http://en.wikipedia.org/wiki/Slash-and-burn). They also practice [polygamy](http://en.wikipedia.org/wiki/polygamy) and have one of the lowest levels of blood pressure of any demographic. [[113]](Print_version.html#endnote_Wikipedia)

Many anthropologists believe the Yanomamo to be the last culture to come in contact with the modern world. They don't have a writing system, wear minimal clothing and practice polygamy. The Yanomamo hold complex religious ideas centered on their belief of the four levels of reality (duku ka misi, hedu ka mis, hei ka misi,and hei ta bebi). Their religion is heavily based on "the use of hallucinogenic drugs and the telling of mythical tales". [[[114]](http://www.mnsu.edu/emuseum/cultural/southamerica/yonomamo.html)]

#### Slash and Burn Cultivation

Also known as "shifting cultivation", the ancient mode of production known as [slash and burn](http://en.wikipedia.org/wiki/Slash_and_burn) cultivation has been found in many parts of the globe, although it is nowadays mostly associated with cultivation in [tropical rainforests](http://en.wikipedia.org/wiki/Tropical_Rainforest).[[115]](Print_version.html#endnote_Slash_and_Burn) The process of slashing and burning involves two important components, the first being cutting down trees and, right before the rain seasons, burning them to produce a nutrient rich ash. Secondly, after the fields productivity has declined, it is abandoned and allowed to return to a normal state. Given enough time, fields that have been burnt can return to a "predisturbance" state, and can be used by humans for food and other resources. These fields typically retain a large amount of plant species usable by humans.[[116]](Print_version.html#endnote_Slash_and_Burn)

Today slash and burn cultivation is practiced by 200 to 500 million or more people worldwide.[[117]](Print_version.html#endnote_SlashBurn_Wiki) Its practice, however, has sparked a debate about whether its continued use should be discouraged or allowed to continue unabated. When done improperly, slashing and burning can degrade large amounts of forests which will not recover. However, if done properly, slashing and burning can provide a small group of people with a secure food source and has been shown to be [sustainable](http://en.wikipedia.org/wiki/Sustainability) over time.[[118]](Print_version.html#endnote_Slash_and_Burn)

In some areas, slash and burn has actually proven to be more sustainable than and as productive as more modern agricultural methods. Slash and burn methods are most efficient in areas where adequate land still exists and where rapid population growth has not yet occurred. Most slash and burn fields incorporate a wide variety of crop and tree species, making them very similar to the primary ecosystem. Slash and burn is thought to be a type of agro forestry which has been proven to be conducive to biodiversity conservation due to the high levels of diversity and physical structure.[[[119]](http://www.eoearth.org/article/slash_and_burn)]

#### Mayans

[The Mayans](http://en.wikipedia.org/wiki/Maya_civilization) are a Mesoamerican people found in Southern Mexico and Central America.[[120]](Print_version.html#endnote_Maya) Historically, the Mayans were a highly advanced civilization known for their fully developed written alphabet, the only one found in pre-Columbian American, as well as their advanced mathematical and astronomical systems. Presently, there are about six million Mayan people living in portions of [Mexico](http://en.wikipedia.org/wiki/Mexico) and [Southern America](http://en.wikipedia.org/wiki/South_America), many of which have integrated into modern culture, although some have retained traditional Mayan practices and continue to speak the Mayan language.[[121]](Print_version.html#endnote_Maya) Historically, the Mayans lived in the rain forests around expansive, highly developed cities that were used mainly for religious purposes.[[122]](Print_version.html#endnote_WSU)The cities contained observation towers for astronomical research, large palaces, and even ball courts, where [a ritual Mayan ball game was played.](http://www.ballgame.org/)[[123]](Print_version.html#endnote_WikiMaya) Although the cities were large, it permanently housed very few of the Mayans. Population sizes were fairly small due to agricultural limitations; the Mayans would need about 70 acres of land to fully support about 5 people.[[124]](Print_version.html#endnote_WSU) The Mayans used [slash and burn cultivation](http://en.wikipedia.org/wiki/Slash_and_burn) to produce maize, their staple crop.

CHIAPAS, the southern-most state of Mexico, borders Guatemala to the southeast. Today, over one million Tzotzil- and Tzeltal-speaking Maya live in the Chiapas highlands. [[[125]](http://en.wikipedia.org/wiki/Chiapas)]

The indigenous people of Chiapas are among the most traditional of the three million Maya of Mesoamerica. They live in remote mountain and lowland communities where they grow their own crops, build their own houses, furniture and musical instruments, and the women still weave and embroider clothing for themselves and their families. Neighboring communities often speak different Mayan languages, and they retain their own ritual and ceremonial practices, along with a distinctive style of traditional dress.[[[126]](http://www.flmnh.ufl.edu/maya/maya2.htm)]

### Pastoralists

Pastoralists defining feature is mobility. Their main concern is the care, the tending, and the use of livestock[[127]](Print_version.html#endnote_Wikipedia) . Pastoralists are nomadic, like foragers. They occupy large spaces of marginal lands which is sustainable because it allows the land to replenish itself. The animals in their herds are able to live off the marginal lands, however humans aren’t able to utilize it because of insufficient nutrients. They are mobile in order to utilize different sources of water and pasture[[128]](Print_version.html#endnote_James.2C_Paul). Pastoralists were the first to have signs of inheritance of land. [[129]](Print_version.html#endnote_Norton.2C_Joe) Pastoralists usually have 10 people for every square kilometer in order to make room for their herds [[130]](Print_version.html#endnote_Norton.2C_Joe). Almost 50% of their diet comes from meat from their own herd.

The Maasai tribes of East Africa are a modern example of a pastoralist society. They inhabit parts of Kenya and northern Tanzania. They rely predominately on the herding of goats, sheep, and cattle as their main source of food. Cattle, especially, is held in high regards among the Maasai. In fact, the size of a man’s cattle is often considered a measure of his wealth. The Maasai people also consume food such as maize, rice, cabbage, and potatoes.

### Agriculture

[Agriculture](http://en.wikipedia.org/wiki/Agriculture) is one of the “5-plus” modes of production, as referred to in Professor James’ lectures. By definition, it is the production of food and goods by means of forestry and farming. Its defining feature is land ownership (and if not ownership, than very detailed and socially enforced use rights) in addition to water rights. One significant result of agriculture is that it led to the development of civilizations, seeing as animals were domesticated and plants (crops) were maintained; this in turn, created food surpluses that paved the way to form more stratified societies with larger populations. Because this helped to develop societies, it is a given that there was a sudden need for higher level rule enforcement through social institutions, private property, and stored wealth/stealing, which again, furthered the development of societies within civilizations [[131]](Print_version.html#endnote_James.2C_Paul). Also, technology has played a key role in the development of agriculture. Because technology advances with time, the uses and tools used in agriculture have developed and advanced as well. The ["family farm"](http://en.wikipedia.org/wiki/family_farm) run by a household is disappearing and is replaced by industrialized farms. Industrialized farms is a form of agriculture that are much more efficient and can more easily adapt economically to global changes and demands than the traditional and old-fashioned ["family farm"](http://en.wikipedia.org/wiki/family_farm). Hence is why they are outselling them and in turn, replacing them as our nation's form of agriculture.

Despite the efficiency of industrialized farms, small ["family farm"](http://en.wikipedia.org/wiki/family_farm), still have many appeals. Local farmer's markets have become very popular for those who believe in eating fresh, all nature, pesticide free fruits and vegetables. Today with more awareness of our planet and its resources, locally grown foods are being encouraged and the small farms are making a comeback. My family's farm, Bell's Farm, and other growers from my community are starting to promote our use of naturally raised foods and livestock, so even though most of the foods seen in grocery stores are from industrialized farms, small farms still have a place in our world today.[[233]](Print_version.html#cite_note-250)

### Industrialism

The defining features of industrialism are specialized production and manufacturing of goods. The basis of this mode of production is a reliance on machinery to support a big [industry](http://en.wikipedia.org/wiki/industry). Industrialism emphasizes the power of speedy production lines. America saw a huge economic boost during the age of Industrialization. For the past few centuries, industrialism has spread throughout the global community, replacing the more self-reliant and independent sources of production, like foraging and horticulture[[132]](Print_version.html#endnote_Subsistence.2C_Economics_and_Political_Anthropology). The relatively recent ingenuity of technology has allowed the national markets to expand into a global market. The internet has done wonders for the expansion of the economy. Since people now rely on machinery and technological practices to produce goods for the global market, industrialism typically demonstrates social stratification of wealth and power in the factories that it is produced. While jobs are needed to run machinery, the recent advancements in technology, specifically computers, have actually resulted in fewer jobs for potential workers. Besides the Post-Industrial Information Age aspect of production, industrialism, unlike the other four modes of production, ([foraging](http://en.wikipedia.org/wiki/forage), [horticulture](http://en.wikipedia.org/wiki/horticulture), [pastoralism](http://en.wikipedia.org/wiki/pastoralism) and [agriculture](http://en.wikipedia.org/wiki/agriculture)) heavily focuses on capital wealth rather than pure [sustainability](http://en.wikipedia.org/wiki/sustain) to support one's self and family. Not only can we look to America's history to see just how influential industrialism has been, but we can also recognize how the global economy is currently affected. For instance, Mumbai, India portrays just how powerful industrialism can be. Part of the city is wealthy and industrialized, while other parts are extremely poor[[133]](Print_version.html#endnote_)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Can_factory_workers_stamping_out_end_discs,_published_1909.jpg/220px-Can_factory_workers_stamping_out_end_discs,_published_1909.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This graphic shows women using industrial machinery as they work in a Heinz ketchup factory.

### Post-Industrial/Information

The shift from an industrial economy dominated by manufacturing jobs to an economy dominated by service-oriented, information-intensive occupations. The term Post-Industrial economy refers to a period in which an already industrialized economy or nation begins to experience a decrease in relative importance of manufacturing and an increase in relative importance to service, research, and information-based aspects of the economy. The general shift away from blue-collar manufacturing jobs is coupled with the dominance in the service sectors. The largest of these service sectors include education, healthcare, research, and government services. Examples of [Post-Industrial Societies](http://en.wikipedia.org/wiki/Post-industrial_economy) include the United States, Canada, Japan, and most of Western Europe.

Common Characteristics of a Post-Industrial Economy:

• Decline in Manufacturing Sector of economy

• Reliance on overseas outsourcing of manufactured goods

• Increase in Service Sector of economy

• Increase in amount of information technology

The economic transition from Industrial to Post-industrial modes of production have had tremendous effects on people’s employment and lifestyles. As the United States began a transition toward fewer manufacturing jobs, especially in the steel and automotive industries, thousands of workers were left without jobs. There are few examples that illustrate this evolution better than the transition of the United States’ “Manufacturing-Belt”, to the United States’["Rust-Belt"](http://en.wikipedia.org/wiki/Rust_Belt). The geographic location of this area encompasses Pennsylvania, West Virginia, and the industrial Midwest, and was once the source of a very large part of the manufactured goods in the United States. The region had a booming manufacturing based economy for much of the 19th and 20th centuries, but by the 1980s, it had become known as the “Rust-Belt”. Several factors, including overseas competition, made manufacturing steel and other goods unprofitable in the region. As a result, many jobs were outsourced, and unemployment grew rapidly. For many years cities such as Pittsburg and Cleveland faced outward migrations because it no longer made economic sense for these people to live in the region. These people often moved to areas still involved in manufacturing goods in other parts of the country, and many retrained for different employment. More recently, much of the region is experiencing growth in the service sectors and in technology intensive manufacturing. This migration and move away from manufacturing as a way of making a living had significant effects on the culture in the region as people had to adapt their way of life and thinking in order to cope with and adapt to the changing economic environment. Today, politicians visiting cities in the “Rust-Belt” often emphasize their belief in the importance of a strong economy because it is a value that many people in the region believe is important.[[234]](Print_version.html#cite_note-251) [[235]](Print_version.html#cite_note-252)

  


### Means of Production

It is easiest to define means of production in terms of [mode of production](http://en.wikipedia.org/wiki/Mode_of_production). The term mode of production refers to a select set of occurring social relations through history, through which labor is made possible. The means of production are the skills, organization, and tools that make that labor possible. Tools can include machines, equipment, or any form of infrastructure. The means are essentially the things that help man perform labor on the resource and make it usable and beneficial. For a foraging society, the means might include the weapons and game, as well as the plants and tools that allow processing for proper ingestion. In a pastoral production setting the means include water and pasture. Means and modes of production are terms that are derived largely from Marxist theory. In terms of production, and how humans take part in it, [Carl Marx](http://en.wikipedia.org/wiki/Carl_Marx) theorized that the ownership of the means of production is the root of why classes exist. Owning the means of production makes it possible for labor to be exploited. Cultures practice this "ownership" of the means in a way that keeps the classes intact.

Indian [agriculture](http://en.wikipedia.org/wiki/agriculture) is a good example of a high production farming culture. [India](http://en.wikipedia.org/wiki/India) has a cattle population of 193 million. Cattle represent a major means of production that allow Indian farmers to reach the numbers they reach in production. They are the second largest producers of wheat, rice, and sugar. And they're the largest producers of milk, tea, pepper, cashews, and coconuts. Farm insurance companies play another role in their means of production, insuring the farmers in the case that their crops and resources were to be destroyed. [Fishing](http://en.wikipedia.org/wiki/fishing) is also a large industry in India, with production jobs including fishermen, boat operators, and saltmakers. The boats, fishing nets and tools, all represent the means that make the production possible.

  1. Alienation in Industrial Economies

## Consumption

[Consumption](http://en.wikipedia.org/wiki/Consumption_\(economics\)) is defined as the use of material goods necessary for human survival- for example by eating food or wearing clothing. Most anthropologists agree on the fact that consumption is the third subdivided phase of economic activity, the first two being production and distribution. It has been suggested that the priorities of consumption determine the production and exchange patterns, not the other way around. There are two types of consumption: **personalized consumption** is knowing the person who produces the goods to meet your needs, and **depersonalized consumption** is when a vaguely understood global system produces goods that meet your needs. There is also the difference in market and non-market based consumption. A **market based consumption** creates perceived needs and wants for what the market has to offer. A **non-market based consumption** targets satisfying minimum needs or requirements for survival. [Picture](http://www.cartoonstock.com/newscartoons/cartoonists/mba/lowres/mban1641l.jpg)

[Consumption](http://en.wikipedia.org/wiki/consumption) is a main concept of economics, and gives rise to derived concepts such as consumer debt. It is generally thought that consumption originated before production. But the precise definition can vary because different schools of economists define production quite differently. Consumption is only considered to be the end use of a product. A grocery store for example, is generally not considered to be a consumer of goods because the store sells the products it buys. A consumer is more practically defined as the person or entity that uses the product. Some economists define consumption much more broadly, as the aggregate of all economic activity that does not entail the design, production and marketing of goods and services (e.g. "the selection, adoption, use, disposal and recycling of goods and services").[[134]](http://en.wikipedia.org/wiki/Consumption_\(economics\)). [America](http://en.wikipedia.org/wiki/America) is the world's largest consumer in regards to an individual's consumption rates. In fact the world’s richest 20% account for 76.6% of total private consumption, while the poorest 20% account for 1.5% of total private consumption. [[236]](Print_version.html#cite_note-253). Though these numbers show a large difference in consumption, it is easy to see why there is a large difference. The wealthier people have more disposable income which allows them to consume more.

### Ecology and consumption

[Ecology](http://en.wikipedia.org/wiki/Ecology) is defined as the way a species can correspond to each other and their surroundings. These surroundings are separated into different _ecozones_ that represent the different plants and animals that live in the area. To adapt to an ecozone, species have to create an _econiche_. These are the plants and animals that the species live on. People called _socioecologists_ are the ones that study and explore the ecozones. They try to clarify why animals act the way they do in each different environment. An example would be how deer from different area act differently than others, especially the group that lives near humans.

A section of ecology is _Cultural ecology_. This is where anthropologists try to use socioecology to explain humans within their societies. The cultural ecologists can find patterns within humans and their consumption along with the production and distribution. These can be explained through the attributes of the ecozones they live in. All humans need to learn to use the different resources that are accessible in their ecozone in order to survive. Ecology is directly related to consumption in that the ecology of different species affects the consumption of that species. So, different species and even humans in different areas consume differently depending on where they are or where they are from.

An example of differences in ecological consumption would be the consumption of different foods among other cultures. There was a comparison between seventh graders in Los Angeles, California and seventh graders in Wuhan, China. The object was to make direct comparisons of overweight and obese children from these two different societies. It was found that 43.1% of seventh graders in the LA were overweight where only 12.1% in Wuhan were. It was also found that the social economic status positively relates to the risk of overweight and obesity in China, where in the US it does not correlate. [[237]](Print_version.html#cite_note-254)[[238]](Print_version.html#cite_note-255)

[Graph of Calories consumed in different countries: <http://inbalance.files.wordpress.com/2008/01/meat-livestock-food-consumption.jpg>]

### Why Do People Consume What They Do?

![Pentagon city mall.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b6/Pentagon_city_mall.jpg/200px-Pentagon_city_mall.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Consumption](http://en.wikipedia.org/wiki/Consumption_\(economics\)) is usually referred to as the using up of material goods necessary for human survival. At a minimum these goods are food, drink, clothing, and shelter. Anthropologists have typically dismissed the study of consumption saying that there are no interesting questions to be asked about it. Even though this consumption of goods is the main drive of economy, it may not be in anthropologists' best interest to study it. The reasons for consumption are simple: either people need something—food and drink—or they want something—like material possessions. Both of these, they thought, weren’t likely to reveal any interesting patterns. However, for the few anthropologists who did look at consumption across different cultures, they found distinct patterns in the way humans consume.

One approach they have taken to try and understand these patters is the Internal Explanation. This explanation comes from the work done by [Bronislaw Malinowski](http://en.wikipedia.org/wiki/Bronislaw_Malinowski). He believed that every social practice a society had was done to support the basic human needs. Malinowski said that basic human needs could be biological or psychological. He proposed them to be nourishment, reproduction, bodily comforts, safety, movement, growth, and health. Then the idea was that to satisfy each of these human needs there was a corresponding practice which were food-gathering techniques, kinship, shelter, protection, activities, training, and hygiene.

The last key point in Malinowski’s explanation was that humans are solely dependent on the physical world to survive. Even though westerners see the way more primitive cultures utilize the physical world as bizarre, they are still using the same physical world we are using, just in different ways. Unfortunately, Malinowski’s explanation falls short because it doesn’t explain why all societies don’t share the same consumption patterns. It doesn’t explain why some people eat wild berries and some eat processed wheat. This is where [cultural ecology](http://en.wikipedia.org/wiki/Cultural_ecology) takes over and explains why these differences exist.

## Modes of Exchange

The idea of exchange was first explained by Marcel Mauss in terms of two types of exchange: non-capitalist gift exchanges (which have to do with social relations and building, which require a gift for exchange), and impersonal commodity exchanges. Impersonal commodity exchanges are more common in Capitalist societies which don’t link those who are exchanging with one another, aside through the use of cash. These aspects are also characteristic of egalitarian societies. Later, Marshall Sahlins used the work of Karl Polanyi to develop the idea of three modes of exchange, which could be identified throughout more specific cultures than just Capitalist and non-capitalist. These are reciprocity, redistribution, and market exchange. Although these modes of exchanges are drastically different, aspects of more than one mode may be present in any one society.

  1. [Redistribution](http://en.wikipedia.org/wiki/Redistribution)

Redistribution is the second mode of exchange within many different cultures. It occurs when one member of a group, tribe, or community collects all of the goods that the community has obtained and then redistributes the items equally between everybody. It is the group member who collects all of the goods job to make sure that everyone in the community receives an equal share. Then, everyone in the tribe or community is provided for and taken care of.

An example of a society that is based around redistribution is the Kula in the Milne Bay Province of Papua New Guinea.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Kula_bracelet_with_insert.jpg/300px-Kula_bracelet_with_insert.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Kula arm bracelet

The [Kula ring](http://en.wikipedia.org/wiki/Kula_ring) or Kula exchange is an old tradition of the Kula people in which they exchange valuables between thousands of other people within other island communities. The exchange of Kula valuables is done in a very precise manner. First of all, the shell- disc necklaces that have been passed down from generations to generations are traded to the north, or in the clockwise direction. The shell armbands on the other hand, are traded to the south, or counterclockwise (anticlockwise) direction. This tradition in the Kula society represents redistribution because of the gathering and redistributing of valuable goods within the communities that take part in the tradition. The Kula valuables never remain in one family or a certain place for too long, they are always being traded and redistributed to other people over time.

  1. [Reciprocity](http://en.wikipedia.org/wiki/Reciprocity)

Reciprocity is the first and most ancient mode of exchange within cultures around the world. This term can be understood by the three different subcategories that help to define it; they are generalized reciprocity, balanced reciprocity, and negative reciprocity. **Generalized reciprocity** is expressed by the exchanging of goods or items with no explicit date or time set for returning them. Along with this, there is normally no discussion about what the value or return must be for the exchange, so the amount or value that is returned is not necessarily the same as the value of the goods given to the person.

**Balanced reciprocity** on the other hand is when the two parties that are engaging in the exchange expect a full replacement of the goods, and there is most likely an amount of time set that the item needs to be returned or paid for by. In other words, the amount a person gives another person is expected to be completely paid or given back within a matter of time that is set between the two people or groups that are taking part in the exchange.

Finally, **negative reciprocity** is also represented by an exchange of goods, items, or even services, however one of the persons or parties tries to get the item for no charge. By doing this they hope that the other party will not attempt to make them return or pay for the service or item, and that they will be able to obtain whatever it is for free.

  1. 2\. The Market Exchange Principal

The Market Exchange Principal is the third and last mode of exchange. It is the most recent mode of exchange, and was invented in a capitalist society. Capitalism involves three things: an exchange of goods (trade) calculated in terms of a multipurpose medium of exchange and standard of value (money) and carried on by means of a "supply-demand-price mechanism" (i.e. the market). [Karl Polanyi](http://en.wikibooks.org/w/index.php?title=Karl_Polanyi&action=edit&redlink=1) the economic historian who developed the three modes of exchange, was aware that these three things (trade, money, and market institutions) had developed independently of one another throughout history. He also knew that they could be found in societies outside the West. Capitalism is unique because of its ability to link all three institutions (trade, money, and the market) to one another in the societies of early modern Europe.

The United States is an example of a country that is integrated by the MARKET MODE of exchange.

  1. Coexistence of Exchange Principals

  


### Reciprocity

The oldest mode of exchange is [Reciprocity](http://en.wikipedia.org/wiki/Reciprocity) which is used in egalitarian societies, like that of the Ju/’hoansi. There are three different types of reciprocity: generalized, balanced, and negative reciprocity.

  * Generalized reciprocity is an exchange where return isn't expected right away and the value of this return isn’t specified. This is based on the assumptions that all exchange balances out, like that between family members. This is largely based on trust.
  * Balanced reciprocity (or also known as Symmetrical reciprocity) is when exchange is made with the expectations that those who give an amount will get the same in return. This, unlike generalized reciprocity, has a specified time limit as to when the return should be made. The Ju/’hoansi, who use reciprocity in their societies in all forms, use balanced reciprocity. They distinguish between what they barter, which requires immediate balanced exchange (this is similar to our shopping experiences, where it's expected that money will be immediately exchanged for goods). With in the Ju/'hoansi, this also includes hxaro, which establishes that this exchange entitles obligations between the two in the future.
  * Negative reciprocity is when a party tries to exchange without having to give up any value, which is the opposite of balanced exchange. "This can range from haggling prices to outright seizure." [[135]](Print_version.html#endnote_Schultz_.26_Lavenda.2C_2009)

[Reciprocity](http://en.wikipedia.org/wiki/Reciprocity_\(cultural_anthropology\)), the most ancient mode of exchange, was the exchange of goods and services of equal value. Generalized reciprocity can be defined as when the individuals involved just assume that the exchange will balance out. Nothing is expected immediately and a value of return is not established before the exchange is made. This type of reciprocity occurs often between parents and children. Balanced reciprocity, the opposite of generalized, is when a specific value of return and under an established time limit is expected. This exchange can be found between those in relationships. For example, when boyfriends and girlfriends exchange gifts of equal value and expect the same in return at Christmas. Negative reciprocity is the exchange of goods or services when at least one party attempts receive something for nothing in return without suffering consequences. This type of reciprocity can involve haggling or in some cases seizure.

### Redistribution

[Redistribution](http://en.wikipedia.org/wiki/Redistribution_\(economics\)) is a mode of exchange that involves some sort of centralized social organization. Members of a group contribute items such as food, money, clothing, etc. to the central organization, and the organization then redistributes the items to the members of the group.

Redistribution can occur on a small scale or a very large scale. A small scale example of redistribution is a class party. Each person is assigned something to bring – chips, salsa, pop, brownies, napkins, utensils, etc. On the day of the party, everyone brings in their items to share with each other. The Salvation Army is a good example of a rather medium-sized scale of redistribution. The Salvation Army collects money, clothing, household goods, cars, and even airline miles to redistribute to those in need. A large scale example of redistribution is the Internal Revenue Service. The IRS collects taxes from citizens and redistributes the money throughout our governmental system, to education, post offices, road construction, and the like.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Armee-de-salut-Negative0-06-4A\(1\).jpg/200px-Armee-de-salut-Negative0-06-4A\(1\).jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Salvation Army in [Lausanne](http://en.wikibooks.org/w/index.php?title=Lausanne&action=edit&redlink=1)

One widespread local example of redistribution is church potlucks. For special events, several churches hold potlucks. Every family who comes brings a single dish – anything from veggie trays to fried rice to potato salad. All the dishes are placed together in a central area, and when everyone has arrived, the congregation can eat a meal together from the assortment of dishes.

Another example of this is under [Big Man/Big Woman](http://en.wikipedia.org/wiki/Big_man_\(anthropology\)) political groupings in the South Pacific where the leader, chosen by favor, is in charge of general affairs, and collects a certain sum (i.e. a pig) from their group and redistributes it. This gives the Big Man/Big Woman the label of generous, although they personally don’t give any more than anyone else. This is also an example of the tradition of potlatch, where group members all give goods to one, who evenly distributes these goods among the community. The main point of this is to redistribute wealth.

[Redistribution](http://en.wikipedia.org/wiki/Redistribution_\(cultural_anthropology\)) requires some form of centralized social organization. Those who own the central position of the organization receive economic contributions from all members of the group. With the contributions they receive from all members of the group they redistribute those goods to all the members of the groups in fair amounts to meet the needs of every member of the group. A potlatch is a good example of redistribution. When people go an event and are provided with food they then take that food and redistribute it to all members of their family or some kind of group they belong to. An example of this is the indigenous Americans of the northwest coast of North America. This is a very common mode of exchange among tribes and groups in all part of the world. It is a fair and normally well organized mode of exchange and valued by the members of most tribes and groups.

#### Potlatching

Potlatches are part of the reciprocity aspect of culture and sharing. A [potlatch](http://en.wikipedia.org/wiki/potlatch) is a gathering of people from separate parties all contributing to the servings of food. This is typically seen in groups of Native Americans. However, this tradition has been seen in many different cultures all over the world. Reciprocity is the exchange of goods and services of equal value. The bringing about of social organization is a way of community building and service. While the potlatch started as a way of proving your value as a food producer or a general symbol of affection, the potlatch is seen as a way to contribute to a whole and come together for a celebration. A potlatch can also be accompanied by gifts as well as food products. A potlatch can also be a way of celebrating different cultures. It is common for people to produce food for a potlatch that represents the culture in which they grew up in or that their family is native to. Some societies would make the potlatches a way out doing their surrounding villages. They would attempt to outdo the other by contributing more or more quality products. While the potlatch has a reputation for having a competitive nature, the general event is typically a celebration of some sort. Here is an example of the usage of a potlatch. First Nations peoples on the Pacific Northwest coast of the United States and Canadian province of British Columbia such as the Haida, Tlingit, Salish and Kwakiutl (Kwakwaka'kawakw). The potlatch takes the form of a ceremonial feast traditionally featuring seal meat or salmon. In it, hierarchical relations between groups were observed and reinforced through the exchange of gifts and other ceremonies. The potlatch is an example of a gift economy, whereby the host demonstrates their wealth and prominence through giving away their possessions and thus prompt participants to reciprocate when they hold their own potlatch. Although this sort exchange is widely practiced across the planet (consider, for example, the Western practice of buying one's friends rounds of drinks), Potlatch is the example of this phenomenon that is most widely known to the public.

To expand on the example of potlatch, the Indian people of the northwest coast of North America institutionalized this ceremonial redistribution of food and gifts. The southern Kwakiutl people were the most elaborative on this custom until 1904 when the potlatch was outlawed, however the ceremony did continue to be practiced in many societies. In 2004, the Tlingit clan members re-enacted the ritual in Sitka, Alaska, for the 100th Anniversary Commemoration of "The Last Potlatch". The clan members dressed in traditional Tlingit attire and practiced Tlingit traditions for the two day long celebration. [Watercolour by James Gilchrist Swan (1818-1900) of the Klallam people of chief Chetzemoka (nicknamed 'the Duke of York'), with one of Chetzemoka's wives (nicknamed 'Jenny Lind') distributing 'potlatch' at Port Townsend, Washington, USA](http://en.wikibooks.org/wiki/File:Potlatch.jpg)

### Market Exchange

[Market Exchange](http://en.wikipedia.org/wiki/Exchange_\(organized_market\)) is used in Capitalist societies and is the most recently developed mode of exchange. Market exchange is the trade of goods that are calculated in value based on a standard of value and typically money, which are carried out by the market. Although trade and money were developed independently, they are used together to create market exchange. This is generally used in the Western societies, in places such as, Europe and the United States.

Modes of exchange are the patterns involving the three distribution techniques: reciprocity, redistribution, and market exchange. Exchange can either be balanced or unbalanced.

    Balanced Exchange: Exchange with no short or long term marginal gain (profit).
    Unbalanced exchange: Exchange where profit or marginal gains are the end goal.

  
[Market Exchange](http://en.wikipedia.org/wiki/Foreign_exchange_market) was invented by the capitalist society that uses an economic system in which wealth, and the means of producing wealth, are privately owned and controlled rather than commonly, publicly, or state-owned and controlled. It is where currency exchange takes place. It is where banks and other official institutions facilitate the buying and selling of foreign currencies. Trade, money, and market institutions developed independently and were not invented to work together. Capitalism is unique because the three (trade, money, and market) ended up working together. This was first done in the societies of early modern Europe. It is said that different modes of exchange often co-exist within a single society meaning that each society has their own way of operating and exchanging good in their day-to-day lives.

For example, in the United States we use the market mode or exchange, but you can still find redistribution and reciprocity. Reciprocity if you recall is the most ancient mode of exchange, was the exchange of goods and services of equal value and redistribution requires some form of centralized social organization. In families in the U.S., most parents have and income and then redistribute that income to their children and loved ones. Parents using their income to buy their children food and clothing without expecting return is an example of reciprocity. Some people believe that you cannot properly understand the exchange process without first fully understanding the production process. People who meet exchange have different resources to use when bargaining with one another, and it is said that these differences in resources are not shaped by the market but by the productive process.

[[239]](Print_version.html#cite_note-256)

As consumers, it is also important to take into account what kind of trade or exchange you are supporting with your purchase. Take a highly consumed north-west product, a cup of coffee. Like any product there is a story about where it came from. In this case there is the farmer, the distributor, and the company which you are buying it from. Is the coffee fair trade? Does it support organic farming? It is good to know what kind of exchange in which you are participating, but also important to know if your dollar is being spread out in a way that you think is appropriate.

## Economizing and Maximization

[Economizing](http://en.wikipedia.org/wiki/Economizing) is to practice economy as by avoiding waste or reducing expenditures. To make economical use of something. Use personal profit cautiously and frugally. Economizing is popular and useful during inflationary times. This practice occurs quite frequently in both business and in personal lives. The goal of economizing is to maximize income by fully utilizing resources. Different cultures economize in different ways.

A classic example of economizing is setting a monthly [budget](http://en.wikipedia.org/wiki/budget), including income and necessary expenses. A budget is helpful during times of economic crisis. They are often hard to stick to because they require cut backs in luxuries. It requires strict grocery shopping in addition to the use of local coupons. What is also helpful in cutting back monthly expenditures is to learn how to repair household or automobile damages. The expansion of technology has allowed for this to be more possible, _how to_s are much more accessible to the average person.

More Economizing Ideas:Grow your own vegetables in your backyard, Buy Supermarket chain household brands, not well-known brands, Do not deviate from grocery list, Make own clothing, Use public transportation as much as possible, Cut heating bill by adding insulation, Cut Air Conditioning bill by adding blinds to windows, Buy non-perishable items in bulk.

These helpful ideas on how to reduce spending are mainly directed towards Americans, developed countries, or areas of the world that have a relatively high standard of living. As you could imagine, some areas of the globe already practice economizing as a part of their culture.

[Maximization](http://en.wikipedia.org/wiki/Maximization) is to make as great as possible, the maximum value. In economizing you are maximizing all of your available resources.

## Grameen Bank (Microcredit)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Grameen.JPG/220px-Grameen.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Grameen Bank Head Office at Mirpur-2, [Dhaka](http://en.wikibooks.org/w/index.php?title=Dhaka&action=edit&redlink=1)

The **[Grameen Bank**](http://en.wikipedia.org/wiki/Grameen_Bank) is a [microfinance](http://en.wikipedia.org/wiki/microfinance) institution which distributes loans to people who under normal circumstances would never be able to open a line of credit. In any normal bank the lender requires the borrower to enter into a legally binding contract which guarantees the repayment of the given loan. If the borrower fails to repay the loan then their personal property is offered as collateral. The Grameen bank however requires no collateral and gives loans to those in the lowest [socio-economic](http://en.wikipedia.org/wiki/socio-economic) classes. The GB offers loans almost exclusively to women. Their current membership of 7.71 million is comprised of 97% women.[[136]](Print_version.html#endnote_Grameen_Bank) In order to raise the status of poor women, loans are almost always granted to them so that those who build new homes with their loans will have ownership of assets where traditionally women have had none. Instead of a contract the Grameen Bank requires users to apply for loans in groups of five or more. Although no one is responsible for the repayment of a loan other than the actual borrower herself, the other members of her group are there to help encourage her to repay her loan. Before a new group member can receive a loan, the other members loan must be paid off first. This creates strong peer pressure to pay back loans as quickly as possible. If someone is struggling to repay her loan, the GB will help them overcome their struggles and get back on their feet rather than take away the only source of income they have (traditional banking method). This unique perspective on lending inspires the attitude that all humans have great potential, that they only need the initial resources to show it. The Grameen Bank believes that the ability to receive credit is a human right, and that "these millions of small people with their millions of small pursuits can add up to create the biggest development wonder."[[137]](Print_version.html#endnote_Grameen_Bank)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Grameen_Yunus_Dec_04.jpg/150px-Grameen_Yunus_Dec_04.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Nobel Laureate, Muhammad Yunus, the bank's founder

The idea of the GB first appeared when Professor [Muhammad Yunus](http://en.wikipedia.org/wiki/Muhammad_Yunus) began a research project on the possibility of creating a microfinance lender that targets the rural poor. In 1983, [Bangladesh](http://en.wikipedia.org/wiki/Bangladesh) passed new legislation which founded the Grameen Bank as an independent lender.[[138]](Print_version.html#endnote_wikipedia) In 2006, the organization along with its founder Muhammad Yunus were jointly awarded the Nobel Peace Prize for their efforts to reduce poverty and increase social welfare in Bangladesh. To date the Grameen Bank has distributed 7.68 billion US dollars, of this 6.83 billion has been repaid. There is a loan recovery rate of over 97% and 100% of loans are financed through bank deposits. Unlike most banks, this one is owned by its members. 95% of all of the banks assets are owned by the women who lend from it, the other 5% is owned by the government. On top of this, the bank gives fixed interest rates of 20% for most members, which is lower than government loans and offers special interest free loans for beggars and homeless.[[139]](Print_version.html#endnote_Grameen_Bank) Beggar members have access to many benefits besides the money they receive. They can receive life and loan insurance, an identity badge which states that the GB stands behind her, and the support of other members around the country, all at no cost. The Grameen Bank also offers housing for the poor, micro-enterprise loans, scholarships and education loans. All members receive free life insurance so that any deceased member’s outstanding loans are paid off through an insurance program which was created with the interest of bank savings.

This is obviously a new type of banking system that has begun a large scale movement across Bangladesh. Proof can be seen easily by looking at the poverty rate amongst members versus similar non-members. 56% of non-members in comparable situations are below the poverty line whereas that number has been reduced to 20% for members.[[140]](Print_version.html#endnote_Grameen_Bank) Hopefully the health and hope that this banking system provides will spread further and affect many more lives in the way it already has in Bangladesh.

Due to the success of the Grameen Bank the first Grameen based pilot program has begun in the US in Queens NY. Since its opening in January 2008 it has lent over 1 million US dollars to over 400 members. It is owned and operated by the international affiliate of the Grameen Bank in Bangladesh. Also, in 1997 the Grameen Foundation was created as a global non-profit organization which works around the globe to create microfinance institutions based on the Grameen model using a network of partner microfinance institutions.

These examples show us how ideas can inspire and change. America is a country riddled with individualism, prejudice and enormous economic gaps just like most of the countries in this world. However, examples like the Grameen Bank show us how a single dream can inspire millions around the world to seek something better. People in Queens are no better or worse than those in Bangladesh or anywhere else. They are individuals trapped by a system which has given them no outlet from their degrading society. If given the means to succeed, people everywhere will.

One example of a company that distributes [microcredit](http://en.wikipedia.org/wiki/microcredit) is that of Kiva. Kiva’s mission, as stated on their website, is to connect people through lending for the sake of alleviating [poverty](http://en.wikipedia.org/wiki/poverty). It is the first person-to-person micro-lending website, instead of the typical bank-person relationship that is set up by similar companies. By letting individuals lend directly to unique entrepreneurs in the developing world (such as a man selling clothes in Uganda, or a woman who owns a small grocery store in Peru), the site not only empowers the lenders by allowing them to share their wealth, but also helps to better people in need’s situations. Throughout the course of the loan (which is usually anywhere from 6-12 months), the lender can receive email journal updates and track their loan’s progress until finally receiving it back. Upon receiving it back, they can re-lend to another person or simply collect their initial sum of money that was put forth.

Another example of microfinance which has proven to be very successful is the use of microloans by the humanitarian organization of World Concern. By providing small loans for severely impoverished men and women, this organization not only helps to provide for great needs, but also helps the needy to be able to provide for themselves. So far, World Concern has had repayment rates of between 95-98% on its microloans. Some microloan beneficiaries have even been able to start businesses and employ up to ten or fifteen of their own employees. Rather than simply giving food or clothing to those in need, microloans have allowed lasting positive economic change to take place for many individuals and families across nations such as Thailand, Bolivia, Bangladesh, Haiti, and Kenya.

There is criticism of [microfinance](http://en.wikipedia.org/wiki/microcredit) as a solution to poverty. While [microcredit](http://en.wikipedia.org/wiki/microcredit) institutions often report extremely successful stories of alleviating poverty in developing countries, some recent studies are presenting a different story. One research project conducted on women in [Bangladesh](http://en.wikipedia.org/wiki/Bangladesh) found that only about 51 percent of the recipients of [microcredit](http://en.wikipedia.org/wiki/microcredit) aid were regularly able to make their weekly payments. It also found that about one fourth of the loan recipients lied about the purposes for which they took out the loan.[[141]](Print_version.html#endnote_Can_Microcredit_Alleviate_Rural_Poverty.3F) One of the major problems is that many people take out loans for consumption purposes, such as marriage or medical expenses, rather than for investment in income generating activities.[[240]](Print_version.html#cite_note-257)

Another issue tainted the general success of [microfinance](http://en.wikipedia.org/wiki/microcredit) in reducing poverty rates in developing countries is that loans may be accompanied by very high interest rate. In [Bangladesh](http://en.wikipedia.org/wiki/Bangladesh) this rate often ranges from 25-65 percent. Even though the actual size of the loans are relatively small, the high [interest rates](http://en.wikipedia.org/wiki/interest_rates) can create a problem in making payments for people living below the [poverty line](http://en.wikipedia.org/wiki/poverty_line).

# Glossary of Key Terms

-economic anthropology: defined by Wilk in 1996 as "the part of the discipline [of anthropology] that debates issues of human nature that relate directly to the decisions of daily life and making a living."

-production: the process whereby natural raw materials are converted into forms which can be used by humans.

-distribution: the movement of goods and services from the place of manufacture or production to the place of consumption.

-consumption: the taking in or using up of materials needed for humans to survive.

-modes of exchange: the patterns by which distribution happens, including reciprocity, redistribution, and market exchange.

-reciprocity: trading goods and services that are of the same value; the three anthropological types of this are generalized, balanced, and negative.

-redistribution: secondary distribution so that every member of a group contributes economically and then receives the amount of goods that they need.

-market exchange: exchanging goods in terms of monetary value and continuing through a supply and demand price mechanism.

-labor: the work that connects human groups to the environment around them.

-modes of production: the grouping of social relations through which labor is used to harness energy from the environment in the forms of tools, skills, organization, and knowledge.

-means of production: the actual tools, skills, organization, and knowledge used to take energy from nature.

-relations of production: the social relations which connect people who use a certain means of production in the context of a certain mode of production.

-affluence: the state of more than the amount necessary to fulfil consumption needs.

Terms are from _Cultural Anthropology: A Perspective on the Human Condition_ by Emily A Schultz and Robert H. Lavenda.

# References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

**[^](Print_version.html#ref_Hill)** Hill, Kim. Altruistic Cooperation During Foraging by the Ache, and the Evolved Human Predisposition to Cooperate. Human Nature 13 (2000): 105-28.

**[^](Print_version.html#ref_Schultz_and_Lavenda)** Lavenda, R.H., E. Schultz. 2009. Cultural anthropology: A perspective on the human condition. New York: Oxford University Press, Inc.

**[^](Print_version.html#ref_Sahlins)** Sahlins, Marshall David. Stone Age Economics. Chicago: Aldine-Atherton, 1972.

**[^](Print_version.html#ref_Grameen_Bank)** Grameen Communications. "Grameen Bank | Banking for the poor - About Us." Grameen Bank | Banking for the poor - Home. 02 Mar. 2009. 03 Mar. 2009 <[http://www.grameen-info.org/index.php?option=com_content&task=blogsection&id=5&Itemid=164](http://www.grameen-info.org/index.php?option=com_content&task=blogsection&id=5&Itemid=164)>.

**[^](Print_version.html#ref_wikipedia)** "Grameen Bank -." Wikipedia, the free encyclopedia. Mar. 2004. 03 Mar. 2009 <<http://en.wikipedia.org/wiki/Grameen_Bank>>.

**[^](Print_version.html#ref_wikipedia)** "Huaoroni" -. "Wikipedia, the free encyclopedia. Feb. 2008. 05 Mar. 2009 <<http://en.wikipedia.org/wiki/Huaorani>>

**[^](Print_version.html#ref_wikipedia)** Wikipedia, the free encyclopedia. Nov. 2006. 02 Mar. 2009 <<http://en.wikipedia.org/wiki/Black_Gold_(film)>>.

**[^](Print_version.html#ref_Schultz_and_Lavenda)** Lavenda, R.H., E. Schultz. 2009. Cultural anthropology: A perspective on the human condition. New York: Oxford University Press, Inc.

**[^](Print_version.html#ref_Black_Gold)** Black Gold. Dir. Mark Francis. Perf. Tadesse Meskela. DVD. 2006.

**[^](Print_version.html#ref_Can_Microcredit_Alleviate_Rural_Poverty.3F)** Can Microcredit Alleviate Rural Poverty? A Case Study of Bangladesh. Haque, Muhammad Sayeedul. WASET.org. 2008.

**[^](Print_version.html#ref_Questioning_Microcredit)** Questioning Bangladesh's Microcredit. Molla, Rafiqul Islam. M.E. Sharpe, inc. 2008

**[^](Print_version.html#ref_James.2C_Paul)** James, Paul. "Modes of Production." Western Washington University, Bellingham. 10 Feb. 2009.

**[^](Print_version.html#ref_Norton.2C_Joe)** Norton, Joe. "Basic Anthropology - Modes of Production: Foraging, Horticulturalist, Pastoralist - Associated Content." Associated Content - associatedcontent.com. 3 Mar. 2007. Associated Content Society. 03 Mar. 2009 <<http://www.associatedcontent.com/article/189596/basic_anthropology_modes_of_production_pg2.html?cat=49>>.

**[^](Print_version.html#ref_Wikipedia)** "Pastoralism -." Wikipedia, the free encyclopedia. 27 Feb. 2009. 04 Mar. 2009 <<http://en.wikipedia.org/wiki/Pastoralist>>.

**[^](Print_version.html#ref_James.2C_Paul)** James, Paul. "Modes of Production." Western Washington University, Bellingham.

**[^](Print_version.html#ref_Arya.2C_Prakash)** <www.mumbainet.com/template1.php?CID=15>.

**[^](Print_version.html#ref_Wikipedia)** "Means of Production-." Wikipedia, the free encyclopedia. 05 Mar. 2009 <http://en.wikipedia.org/wiki/Means_of_production>

**[^](Print_version.html#ref_Wikipedia)** "Agriculture in India-." Wikipedia, the free encyclopedia. 06 Mar. 2009 <http://en.wikipedia.org/wiki/Agriculture_in_India>

**[^](Print_version.html#ref_Wikipedia)** "YaÌ§nomamÃ¶ -." Wikipedia, the free encyclopedia. 2 Mar. 2009. 05 Mar. 2009 <<http://en.wikipedia.org/wiki/Ya%CC%A7nomam%C3%B6>>.

**[^](Print_version.html#ref_James.2C_Paul)** James, Paul. "Modes of Production." Western Washington University, Bellingham, WA. 12 Feb. 2009.

**[^](Print_version.html#ref_Google)** "Making a Living: Getting Food" <http://classes.uleth.ca/200701/anth1000y/PDF%20BY%206/getting_food.pdf>

[Template:Potlatch](http://en.wikibooks.org/w/index.php?title=Template:Potlatch&action=edit&redlink=1) bambooweb, <http://www.bambooweb.com/articles/p/o/Potlatch.html>

**[^](Print_version.html#ref_Slash_and_Burn)** Cornell, Joseph D. "Slash and Burn." The Encyclopedia of Earth. 1 Feb. 2007. <<http://www.eoearth.org/article/Slash_and_burn>>.

**[^](Print_version.html#ref_SlashBurnWiki)** "Slash and Burn." Wikipedia. 9 Mar. 2009. <<http://en.wikipedia.org/wiki/Slash_and_burn>>.

**[^](Print_version.html#ref_WSU)** Hooker, Richard. "The Mayas." Civilizations in America. 1996. Washington State University. <<http://www.wsu.edu/~dee/CIVAMRCA/MAYAS.HTM>>.

**[^](Print_version.html#ref_Maya)** 11 Mar. 2006. <<http://www.academickids.com/encyclopedia/index.php/Maya_people>>.

**[^](Print_version.html#ref_WikiMaya)** "Maya civilization." 8 Mar. 2009. Wikipedia. <<http://en.wikipedia.org/wiki/Maya_civilization>>.

**[^](Print_version.html#ref_Biz-encyclopedia)** "Physical Distribution Management Transportation." 27 Feb. 2010. Biz-encyclopedia. <<http://www.enotes.com/biz-encyclopedia/physical-distribution-management-transportation>>}}

**[^](Print_version.html#ref_WorldConcern)** "Microloans and Microfinance." 27 Feb. 2010. <<http://www.worldconcern.org/microloans/>>.

← [Ritual and Religion](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion) · [Health and Healing](http://en.wikibooks.org/wiki/Cultural_Anthropology/Health_and_Healing) →

← [Ritual and Religion](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Health and Healing](http://en.wikibooks.org/wiki/Cultural_Anthropology/Health_and_Healing) →

  


# Health and Healing

# Theoretical Approaches in Medical Anthropology

There are three theoretical approaches to understanding human health. The first is the epidemiological, or ecological, approach. This approach examines the way culture and the natural environment interact to create patterns of health or disease. The second is the interpretivist approach. This approach looks at the way cultures use symbolic meaning to describe and understand health and disease. The third is Critical Medical Anthropology. This approach focuses on how economics and politics affect human health.

  


## Epidemiological Approach

[Epidemiology](http://en.wikibooks.org/wiki/Epidemiology) is the study of factors effecting health and disease among populations and is considered a fundamental aspect of public health research. Epidemiology focuses on identifying disease risk factors based on how, when, and where they occur. By collecting this data, Epidemiologists provide data for measuring the occurrence of health phenomena. Epidemiologists use various forms of investigation and analysis to examine the relationships between human disease and the environment and ultimately to determine the causes of a particular disease. This approach can be utilized by anthropologists to examine the cultural patterns that may affect the prevalence of a particular disease. Cultural factors that may contribute to disease include, but are not limited to, eating habits, work, location, sexual activity, social interaction, and medical practices. Yet, even with all these factors included, epidemiological studies can never prove causation; meaning that it can never prove the exact factor that caused the disease or health problems. It can only associate a factor with a health issue.

In addition epidemiological studies are divided into two types; Retrospective and Prospective. Retrospective describes whether the events have already occurred and Prospective describes whether the events may occur in the future. The most common studies of epidemiological are Retrospective which are also known as case-control studies. Case-control studies take place when there is an outbreak of disease in the population and the cause of the disease is unknown or when the population is not familiar with the disease. (<http://pmep.cce.cornell.edu/profiles/extoxnet/TIB/epidemiology.html>)

## Interpretivist Approach

Cultures throughout the world use different systems of meaning to describe and respond to illness. Anthropologists who study these differences with symbolic meaning employ the interpretivist approach to medical anthropology. This approach looks at illness from an [emic](http://en.wikipedia.org/wiki/emic) perspective attempting to understand health and disease relative to a particular culture. By gaining an emic perspective on a culture, medical anthropologists can further understand that notion of "embodied person-hood." Embodied person-hood is defined as the relationship of cultural beliefs and practices in connection with health and illness to the sentient human body. This is the core focus for anthropologists using the interpretivist approach.

#### Birth Care in Norway

One example of effectively using the Interpretivist approach is the examination of birth care in Norway. Since 1991, Norway houses the largest number of refugees from Somalia due to their civil war. A large amount of these refugees are infibulated women. Medical anthropologist R. Elise B. Johansen examined the cultural understanding of childbirth in Norway in an attempt to understand why Somali immigrants are at a higher risk for birthing complications. Birthing practices in Norway emphasize the natural process of birth and rather than favoring an obstetrician and medication, they favor midwives. Health care professionals have little part in the birthing process, as anything more would be disrespectful the woman in labor. The problem with integrating this approach with Somali women who are infibulated is that midwives assume that the Somali women too would want as natural of a birth as possible, without being defibulated. The midwives fail to open up a dialect about possible birthing options all together. This not only leads to severe pain while giving birth, but it also can lead to medical complications. This lack of dialogue has lead to misunderstanding of how the Somali women want to give birth- mainly, the misunderstanding that a Somali woman would not want to be defibulated. It also leads to a high incidence of birthing complications. Had the midwives opened a discussion with the Somali women, they would have discovered that many Somali women wanted to be defibulated and further more, did not want to be refibulated. By examining the systems of meaning surrounding birth in Norway, Johansen was able to determine that the challenge lay in complex interpretations of such cultural elements as gender, nature, health and gender equity [[142]](http://www3.interscience.wiley.com/journal/120178543/abstract?CRETRY=1&SRETRY=0). Through her interpretivist approach, Johansen was able to understand the medical issue of birthing complications in the context of a specific culture. This study also shows how even attempts to be culturally sensitive can misguide us and increase social confusion. These problems are key reminders of the importance of education and dialogue when attempting to bridge cultural gaps.

## Critical Medical Anthropology

Critical medical anthropology focuses on how economics and politics shape the overall status of human health. [Critical medical anthropology](http://en.wikipedia.org/wiki/Critical_Medical_Anthropology) addresses the disparities in the quality of health and care in the presence of social inequalities. Social divisions based on race, ethnicity, gender and class can influence access to health care and susceptibility to disease. Critical medical anthropologists acknowledge these social factors when looking at the prevalence of a particular disease and ways to prevent it. In a 1998 study of inner-city Hispanic children, critical medical anthropologist Merrill Singer found that food insecurity and hunger were prevalent conditions. By identifying variables associated with these conditions, Singer was able to determine risk factors for food insecurity and hunger that could be used by policy makers to improve food programs and public health policy. Critical medical anthropologists have worked hard to draw attention to some of the shortcomings of western biomedicine in combating health issues such as hunger and malnutrition and to find ways to improve public health.

### Other Theoretical Approaches

Medical Anthropology draws upon many different theoretical approaches. It pays attention to popular health culture as bioscientific epidemiology as well as the social construction of health knowledge, and the politics of science. Medical anthropologists study the health of individuals in the background of larger social formations, and how environment affects humans and other species. They also study cultural norms, social institutions, politics and globalization.

**[^](Print_version.html#ref_earthlink.net)** <http://www.medanthro.net/definition.html>

# [Ethnomedicine](http://en.wikipedia.org/wiki/Ethnomedicine)

Ethnomedicine refers to the medical systems based on the cultural beliefs of varying ethnic groups (e.g. Traditional Chinese Medicine).

1\. **Ethno-nosology** \- Refers to the cross-cultural systems of classification of health issues.[[143]](Print_version.html#endnote_earthlink.net)

2.**Culture-bound syndromes** \- Psychological conditions and physical symptoms that only occur (or are only meaningful) in a specific culture.

3\. **Disease/Illness Dichotomy** -[Dichotomy](http://www.infinityinst.com/articles/curing_disease.html) is the division of one thing into two parts or a subdivision into halves or pairs. In medical anthropology, the two aspects of sickness are divided to better care and heal those in need. Disease and Illness are two very different things in the medical field that are responded in different ways. Diseases are the biological and psychological malfunctioning of the body physically. Illnesses deal with the psychology of the human where the psychosocial experiences bring on the sense of illness or disease.

4\. **Diagnosis/Divination** -A [diagnosis](http://en.wiktionary.org/wiki/diagnosis) is the act of identifying or determining the nature and cause of a disease or injury through the evaluation of a patient. [Divination](http://en.wiktionary.org/wiki/divination) is the seeing of future events or somehow gaining unknown knowledge through the supernatural.

## Healers

1\. **Acupuncturist**: One who inserts needles into various points on the body in order to relieve pain or to relax certain areas of the body. Although [acupuncture](http://en.wikipedia.org/wiki/acupuncture) scepticism among western medicine practitioners is somewhat common , it is still quite popular not only in its original country of China but also in many western countries.[3] [[144]](Print_version.html#endnote_Altshul.2C_Sara) When acupuncture originated in China, it was founded on the belief that illnesses were caused by an imbalance of qi energy in the body. Qi energy is considered a universal energy that flows through lines in the body called meridians. The acupuncturist would insert a needle into points along the meridian in order to stimulate the blockage or imbalance of energy. Some modern Western medical scientists believe there is an alternative explanation to the idea of qi energy. They believe that success in acupuncture is due to the needles stimulating the nervous, endocrine, and lymphatic systems. In my experience with acupuncture, the needles are inserted in areas of the body that one would not normally associate with the problems they are experiencing. The placement of the needle in places other than where the patient is experiencing the pain causes hormones to relieve pain and thus relax the body. [[241]](Print_version.html#cite_note-258). [[242]](Print_version.html#cite_note-259).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0d/Acupuncture1-1.jpg/220px-Acupuncture1-1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Needles being inserted into a patient's skin.

2\. **Bonesetter**: A person who treats or sets fractures, broken or dislocated bones. Bonesette originated from ancient Egyptian and Asian Cultures. Bonesetters are typically used to aid the healing the process of the bones, which will allow them to heal properly. This is essential in say athletes, where bone fractures or breaks are serious to their careers.

3\. **Chiropractor**: Chiropractors treat problems with the [musculoskeletal system](http://en.wikipedia.org/wiki/Human_musculoskeletal_system) many times by manipulating the spine. It is a natural, drug free way of healing the nervous system and general health. Some practice methods such as water therapy, light, massage, ultrasound, acupuncture and heat.

4\. **Surgeon**: Surgeons have been around since the development of practitioners, and have evolved from such roles as "bonesetters." A High profile position, many of today's surgeons go through extensive schooling of usually 8 or more years. A vast array of surgeon jobs is seen from plastic surgery to brain surgery these men and women are the top healers and medical professionals of our time. [[243]](Print_version.html#cite_note-260)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/GI_at_Guantanamo_visits_the_dentist.JPG/220px-GI_at_Guantanamo_visits_the_dentist.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Dentist works on patient

5\. **Dentist**: One whose business it is to clean, extract, or repair natural teeth, and to make and insert artificial ones; a dental surgeon. This business is especially important in cultures in where physical appearance is of significant importance. From the perspective of a middle class American, most Americans today receive good dental health care. Most people go to the dentist every six months for a cleaning or dental examine to check the health of their teeth. [[244]](Print_version.html#cite_note-261)

6\. **General Practitioner**: A medical practitioner who provides primary care and specializes in family medicine.

7\. **Herbalist**: A person who uses herbs (plants and plant extracts) as their way of healing and alleviating illness. Although the American health care system is based on more modern treatments; herbalists have the potential to make a tremendous contribution to America’s primary care crisis through health promotion, disease prevention, and affordable, ecologically sound treatment alternatives.[[245]](Print_version.html#cite_note-262) I do agree with this statement, but with my own herbalist, she recommends to go to a biomedical physician if you have any serious illness.

![An Iraqi doctor examining a little girl](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e6/Iraqi_doctor.jpg/200px-Iraqi_doctor.jpg)

8\. **Midwife**: A health care profession where providers give prenatal care to expecting mothers, attend the birth of the infant, and provide postpartum care to the mother and her infant. Midwives must be certified as such but do not need to be certified as a nurse, they are most commonly used in uncomplicated, low risk pregnancies.  
Midwives spend time with the mother during her pregnancy, they are there to support the mother and encourage her to trust her instincts, ultimately letting nature take its course. Many medical doctors in this case would use preventive testing and medical technology such as ultrasounds and pain medication to monitor the birthing process. These techniques are usually unnecessary in uncomplicated deliveries, midwives will perform these if necessary but cannot do so without a doctors supervision.  
In the past midwives were not obligated to have the extensive formal training they are today, they traditionally learned through apprenticeship and did not know how to fight infections. This resulted in a higher death rate of a mother and her child with midwives than with doctors. In order to give midwives the medical training they needed a school for certified American nurse-midwifery was founded in 1932.

9\. **Oneself**: Healing of ones self is usually used to heal spiritually, mentally or emotionally rather than physically. When it is used for physical purposes, this usually means that other health care is not available for the individual.  
Some cultures have individuals who are designated specialist in healing. Others such as the Subanun in Mandanao have no assigned healers, they are all active participants in the health of their kin and neighbors and are called upon to aid each other.  
Cancer is usually considered a disease that the power of oneself can heal. Positive thinking or having a positive, powerful attitude is believed to help heal.

10\. **Psychiatrist**: A [Psychiatrist](http://en.wikipedia.org/wiki/Psychiatrist) a doctor who is certified in treating mental illness.[[246]](Print_version.html#cite_note-263)They are also authorized to prescribe medications to their patients. Like a psychologist, psychiatrist treat illness by methods of psychoanalysis, psychotherapy. A psychiatrist is unique in that they are required to obtain medical certification as a doctor, whereas a psychologist, who has many of the same responsibilities as a psychiatrist is not. [[247]](Print_version.html#cite_note-264)

11\. **Shaman**: A [shaman](http://en.wikipedia.org/wiki/shaman) is a practitioner of shamanism, is a mediator between the human and spiritual worlds. They are known for their ability to cure illness and to pass between the supernatural and natural worlds so as to provide answers for humans. Shamans are said to be able to use divination and to tell the future. Shamanism is used most commonly in Central Asia. [2] [[145]](Print_version.html#endnote_Fock.2C_Niels)However, many cultures all over the world have a Shaman. Some cultures in South America and even cultures in Canada have a Shaman. Occasionally, as many Shaman as possible from the Americas, all from different cultures, will come together and practice various ceremonies together. Such as the "sweat hut" ceremony. The Shaman of a culture in Ecuador spoke of these Shaman "conventions." [[248]](Print_version.html#cite_note-265) The Ju/'hoansi of Southern Africa have Shamans who can enter "half death" (what would be called "trance" in English). "Half death" enables them to travel to the world of the spirits to cure those who are sick. [[249]](Print_version.html#cite_note-266)

  
12\. **Massage Therapist**: A doctor who uses body pressing movements across another body to relieve stress as well as reduce side affects of cancer treatments; although the validity of its effectiveness is questioned though many stand by its success rate firmly. Its said to decrease heart rate and blood pressure, as well as anxiety and fatigue. Further more it releases toxins stored in the muscles and is a therapeutic way of healing for those that can afford it. [[250]](Print_version.html#cite_note-267)

13\. **Faith Healing**: Faith healing involves the placebo effect, which is a form of medication with no actual medicine in it. However, the patient can still "feel better" when they take the treatment, even if it is not directly affecting the body. This is because "the patient has a certain belief in the treatment...the patient's belief leads him or her to expect that, following this treatment, he or she is likely to get better..." Consequently, he or she will quite literally mentally heal themselves. [[251]](Print_version.html#cite_note-268)

14\. "Physiotherapist" A health care professional who issues services and help to those in need of rehabilitation as a result of old age, injury or disease. The main goal is to promote the utmost range of movement and functionality of the body. Often a patient will meet with a PT and receive a diagnosis based on patient history and physical examination. After which a program based on the patients needs will be issued and followed through with. PT programs vary based on patient needs. [[252]](Print_version.html#cite_note-269)

15\. **Naturopath[[146]](http://en.wikipedia.org/wiki/Naturopathy)**: A health care provider who follows a natural approach to healing of the body using natural remedies and the body's vital ability to heal and maintain itself. Naturopathic philosophy favors a holistic approach and minimal use of surgery and drugs.[[253]](Print_version.html#cite_note-270)

## Healing Substances

Cultures use a variety of different substances for healing. Some cultures rely on drugs to induce a state of healing, while others put their lives in the hands of healers such as shamans to regain health. In many cases, people rely on both medical pluralism and medical syncretism. Medical pluralism refers to the employment of more than one medical system or the use of both conventional and complementary and alternative medicine, while medical syncretism is the fusing of traditional and biomedical practices. There were several healing methods mentioned during cultural anthropology 201 that serve as a prime example of various healing substances. It is important to note that in many cases the state of healing that is accomplished in one culture may not be able to be accomplished in another due to differing perspectives on how the substance is meant to affect a person. For example, there is a vast difference between the use of drugs for recreation and their use for healing. In some cultures it is believed that during drug use a person reaches a heightened state in which they are able to begin healing, whereas in other cultures this heightened state is used for pure enjoyment.

The Peyote cactus is an example of a substance that it used in indigenous cultures in the Americas. It is a small, spineless cactus that is native to the southwest United States, parts of central Mexico, and primarily in the Chihuahuan desert. Peyote gives the consumer an enhanced feeling of deep introspection and insight that can be accompanied by audio or visual hallucinations. These hallucinations have made Peyote a sought after recreational drug leading to it becoming a controlled substance in many countries around the world.[[254]](Print_version.html#cite_note-271) With this heightened awareness of self, Peyote users can be healed of any type of spiritual, physical, or other social hindrance. Traditionally, peyote has also been used to heal toothache, pain experienced during childbirth, fever, breast pain, skin diseases, rheumatism, diabetes, colds, and blindness.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Flowering_peyote_cactus.jpg/220px-Flowering_peyote_cactus.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A flowering peyote, in cultivation.

More examples of healing substances include magic mushrooms of Oaxaca, similar to the Peyote in which the consumer enters a psychedelic state and is able to allow the mushrooms to heal themselves spiritually and physically. Ayahuasca, a substance found surrounding Amazonian areas is also used to achieve psychedelic healing along with the San Pedro cactus found in the coastal parts of Peru. Coca, tobacco and alcohol can also be considered healing substances and are more prevalent across cultures than the aforementioned drugs.

#### Bee Sting Therapy

Bee sting therapy can mostly be found in Asian countries such as Taiwan. The bee sting therapy has been found to help with many ailments from making you look younger to helping with arthritis, all the way to relieving symptoms of multiple sclerosis. There is no proof that the bee sting therapy is the reason for these results, but "...scientists have found potent anti- inflammatory and germ fighting protein." [[255]](Print_version.html#cite_note-272) Bee sting therapy is closely related to acupuncture, and some think that bees were initially used in the acupuncture process.

### Ethnobotany

[Ethnobotany](http://en.wikipedia.org/wiki/Ethnobotany) is the analysis of indigenous plants that are used by a particular culture for food, medicine or other purposes. The study of these plants is used to garner accurate understanding of their medical potential and cultural usage. Someone who is trained in this field of work is called an ethnobotanist. Their job is to travel to different locations in the world for the purpose of studying the relationships between plants and culture. Their knowledge is gleaned from the perspective and information provided by the culture with which the plant is used. Ethnobotanists look for plants which effectively treat disease or relieve symptoms. These plants can then be synthesized into medication to provide treatment for other populations.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/30/Mayan_priest_performing_healing.jpg/220px-Mayan_priest_performing_healing.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Mayan priest performing healing

The roots of ethnobotany can be traced back to an ancient Greek surgeon named Dioscorides. He was the first person to organize plants into specific classifications. Around AD 77 Dioscorides produced the publication, “De Materia Medica”, which consisted of information on all the plants he researched. This botanical reference book compartmentalized approximately 600 plants. It also included facts about the plants such as; what season it was in bloom, how to use it medicinally, its toxicity level and whether or not it was edible. In 1542 Leonhart Fuchs achieved a similar feat when he published, “De Historia Stirpium”, another botanical reference book that catalogued plants indigenous Germany and Austria (the book contained information on about 400 plants). Another important figure in the development of ethnobotany was John Ray. He was the first person to understand and explain the concept of species; he also produced important publications such as, Catalogue of Cambridge Plants, Synopsis Methodica Avium et Piscium and Methodus Plantarum (works were published between 1660-1713). The methods for categorizing plants continued to develop and it reached its apex with a Swedish medical student named Carl Linnaeus. Linnaeus invented the classification system known as taxonomy. This system of classifying organisms is still utilized in contemporary times. His book, Species Plantarum, had listings for approximately 5,900 plants. The term ethnobotany was developed by John Harshberger around 1895. Harshberger was the professor of botany at the University of Pennsylvania. He spent many years traveling the globe researching and cataloguing different regions native plant life.

##### [Ibogaine](http://en.wikipedia.org/wiki/Ibogaine)

![](../../../upload.wikimedia.org/wikipedia/commons/2/2e/Iboga.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Iboga, a principal component of [ibogaine](http://en.wikipedia.org/wiki/ibogaine)

As stated previously, ethnobotany is the study of how a culture uses its indigenous plants for medicinal purposes. The native plant species and their preparation for use are usually new and different (sometimes confusing) to the ethnobotanist. An example of an idiosyncratic way of healing (pertinent to ethnobotany) can be seen in the religious rituals of the Bwiti. Bwiti is a religion that is practiced by the people of Gabon (a country in west central Africa). This particular creed relies heavily on the use of ibogaine (a powerful psychoactive which is derived from the root of the _[Tabernanthe ibona_](http://en.wikipedia.org/wiki/Iboga) shrub). _Tabernanthe iboga_ is indigenous to Gabon and is easily accessible to people of the Bwiti religion. Iboga is most commonly ingested through chewing on the root of the shrub or brewing the plant into a tea. The plant is revered by the Bwiti because of its hallucinogenic properties which cause practitioners to receive revealing visions and deep introspective self-contemplation. Iboga is consumed for religious ceremonies, initiations, coming of age rituals and healing processes. When a person within the Bwiti community becomes ill he or she is fed iboga to get in touch with their imbwiri. The imbwiri is a spirit represented in human configuration which will either cure the individual or provide valuable information on the antidote. Iboga was brought to Europe by French and Belgian researchers in the late 1800’s. By the 1960’s ibogaine (although still rare) had been introduced to many different parts of the world. (mainly as a psychoactive drug). The medical potential of this drug was discovered by a man named Howard Lotsof in 1963. He realized that this substance could combat heroin and opiate addiction. It also could alleviate the painful and mentally exhausting withdrawal symptoms. Howard cured his own heroin addiction through this method and introduced ibogaine to his friends who were also habitual heroin users with positive results. As time progressed ibogaine was found to be useful in treating many addictions including unhealthy reliance on cocaine, crack, alcohol, methamphetamine and nicotine. Even though this drug showed potential towards battling addiction it was outlawed in many countries (including the U.S.) because of its hallucinogenic properties. Although ibogaine has been marked illegal there are still underground clinics that provide full treatments serving the drugs medical ideology. Research on ibogaine is still being conducted today and it could eventually become a fully marketable, synthesized anti-addiction medication.

##### Candlenut Tree

The _Kukui_ or Candlenut tree, is an example of an indigenous plant used by a culture for food, medicine, and other purposes. Native Hawaiians used the nut, sap, and leaves for various everyday uses. The nut, which produces copious amounts of oil, was strung onto palm fronds and used a torch or candle (thus the name Candlenut). The nut was also roasted and sprinkled on food for added flavor, but it was also known to have laxative properties. The sap of the green nut was spread on cuts and cold sores to speed up healing. The leaves and flowers were used for making _lei._ As a child growing up in Hawaii, my friends and I made spinning tops out of the shell of the nut. Many visitors to Hawaii would recognize the _Kukui_ nut as the black, shiny nut strung on ribbon to make a lei that lasts indefinitely.

  


**THE CURE-ALL HERB**

from west Africa, Senegal. These two drinkin herbs drink keeps most of the people healthy **Kinkiliba** (combretum micrantum) is the most common herbal tea found throughout West Africa. Many West-Africans begin their morning with a cup of this powerful tea that is great for maintaining general health and well-being. Kinkiliba aids in the treatment of fevers, colds, flues, aches and pains. This herb is a natural diuretic and helps to speed up the healing process when one is ill. One may also apply solutions of the leaves or the roots to speed up the healing of old wounds. This miracle tea is also known to prevent malaria and lower blood pressure. The herb serves as an antibacterial and antispasmodic as well.

THE DETOXIFYING HERB

**Kelle** (khaya senegalensis) is a common herb used throughout West Africa for a body cleanser and energy booster. West Africans soak the bark in water and drink the mixture for a general detoxification and intestinal cleanser. Kelle is also used to bring down fevers and to combat general fatigue.

**Acacia Senegal**

the way of Uses - Gum arabic’s main effect is to form a protective soothing coating over inflammations in the respiratory, alimentary, and urinary tracts. In conjunction with various astringents, it is helpful for coughs, sore throat, and catarrh, as well as in cases of diarrhoea and dysentery. The mucilage makes a good vehicle for other medicines, in addition to having nutritional value in its own right. However, most of the gum arabic imported to USA goes to the food industry to give body and texture to products for bakers and a hard sheen coating on candies.

**Botanical Name** \- Acacia Senegal

**Common Names**\- Acacia Gum Powder, Cape gum, Egyptian thorn, Demulcent Gum, Gum Arabic Tree.

  


**Medicinal Marijuana**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/ST-3-bud.jpg/220px-ST-3-bud.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Some cannabis bud, which is well-cured (i.e. dried slowly following a specific procedure). The strain is Sweet Tooth #3

Marijuana is used in many cultures as a healing remedy for a great number of ailments. Medicinal Marijuana is legal to possess in a few various states in America with an appropriate prescription showing your entitlement to the plant. California has the greatest number of Marijuana dispensaries and the greatest number of legal cannabis users. However, due to the federal government's lack of support for medicinal marijuana, raids on dispensaries are still common. [[256]](Print_version.html#cite_note-273)It also means that an individual who uses marijuana with a legal prescription can be subject to federal punishment even though their state allows for prescription use of the drug. Marijuana has long been sought out as a medicine for patients looking to 'ease the tension'. It is primarily used as a pain reliever of muscle relaxant but it has also been claimed to help with insomnia, glaucoma, and alcoholism. Cancer patients receiving radiation are also given the option to take the plant in order to settle the stomach and promote eating. For patients with Multiple Sclerosis, prominent in the Pacific North West and Northern Europe, Medicinal Marijuana is an effective and viable treatment for pain, muscle spasms, and the reduction of pressure in the optic nerves.

Marijuana has been recognized and used as an effective remedy to various ailments for thousands of years. As early as the third century B.C. people had discovered the benefits of marijuana and partaken in its advantages. Since then marijuana has been used for recreational, medicinal, and religious/spiritual purposes. In 1937 marijuana was criminalized in the U.S. after the Marihuana Tax Act, which included penalty provisions and detailed rules for handlers of marijuana. Violating this law could result in a fine of up to $2000 and five years in prison. At the time a slogan used by proponents of the drug claimed that ‘marihuana’ caused “Murder! Insanity! Death!” [[257]](Print_version.html#cite_note-274)

**Critics of Ethnomedicine**

Although most individual ethnomedical practices have been criticized for various traits they possess (e.g. claims of spiritual healing being a hoax, psychiatry not being able to cure alcoholism), one argument stands out as criticizing almost all forms of ethnomedicine. This argument criticized the mental orientation of most forms of ethnomedicine. Biologist Horacio Fabrega Jr. Writes:

> The implicit assumption adopted by the researcher is that he is dealing with a disorder that is either typically psychiatric or at least psychiatric-like. Excessive preoccupation with this dimension on the part of culturally oriented anthropologists has tended to obscure the influences that biological components have on [culturally defines] illnesses. Consequently, the potential of examining the reciprocal influences that phsychoculture and biological factors have on instances of illness occurrence [as defined and categorized by subjects] has been missed.

Doctors and anthropologist who practice ethnomedicine experience criticism for making the assumption that an ailment can be cured using ethnomedicine without weighing the possibility of biological medicine.

**American Ethnobotany**

[thumb|right|Echinacea; The spiny flower center from which the name derives](http://en.wikibooks.org/w/index.php?title=Echinacea_3.jpg&action=edit&redlink=1) There are many plants which play important roles in North American culture through medicine and recreation. One well known example is [Echinacea](http://en.wikipedia.org/wiki/Echinacea), a popular herbal remedy. Echinacea is native to North America and has long been used by the Plains Indians for its medicinal properties. It is believed to shorten the duration of a cold and treat many of the symptoms such as coughing, sore throat and headache. Recent studies have suggested that Echinacea has little or no effect on the duration or severity of a cold, and it is merely taken to provide some sort of comfort to the sick person. The effectiveness of Echinacea is still a subject of debate , but it remains a culturally important remedy in North American ethnobotany.

Goldenseal (Orange-root, Orangeroot; Hydrastis canadensis) is a perennial herb in the buttercup family Ranunculaceae, native to southeastern Canada and the northeastern United States and is another prominent herb used in North America. Goldenseal was in extensive use among certain Native American tribes of North America, both as a medicine and as a coloring material. Goldenseal was extensively used for cancers and swellings of the breasts by the Eclectics, although it was not considered sufficient for cancer alone [[258]](Print_version.html#cite_note-275)

#### Biopiracy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Neem_\(Azadirachta_indica\)_leaves_&_flowers_in_Kolkata_W_IMG_6199.jpg/220px-Neem_\(Azadirachta_indica\)_leaves_&_flowers_in_Kolkata_W_IMG_6199.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Leaves and flowers of a Neem tree in Kolkata, West Bengal, India.

[Biopiracy](http://en.wikipedia.org/wiki/biopiracy) is the appropriation, or patent, of indigenous biomedical knowledge by foreign entities without compensatory payment. In other words, it is the illegal harvest of plants used by a particular culture for medicinal purposes by individuals from another culture. The 'piracy' or taking takes place when individuals or corporations patent these plants, the methods of processing plant based substances or the genetic information for their exclusive use and sale. The patent often prohibits the communities that identified the bio active properties, developed processing and extractive technologies and bred the plants, for using the plants for their purposes or selling the plants or plant based products in parts of the world where copyrights are enforced.

  
A related concept is [bioprospecting](http://en.wikipedia.org/wiki/Commercialization_of_traditional_medicines). This term is sometimes used to refer to biopiracy with a less negative connotation, where the assumption is the patented item had a known use already. Alternately, the bioprospecting company is searching for novel compounds or genes in items that were not used traditionally. Companies can harvest plants or organisms with little to no opposition in some parts of the world, and then patent any part of them that ends up being useful.[[259]](Print_version.html#cite_note-276) In the Brazilian State of Amazonas an estimated 20,000 plant samples are removed every year by bioprospectors.

An example of biopiracy is the [Neem tree](http://en.wikipedia.org/wiki/Neem) which has been used in India for over 2000 years for medicinal and other purposes. In 1995 a the [US Department of Agriculture](http://en.wikipedia.org/wiki/US_Department_of_Agriculture) and multinational [WR Grace](http://en.wikipedia.org/wiki/WR_Grace).[[260]](Print_version.html#cite_note-N000123-277), patented through the European Patent Office (EPO) the emulsions of Neem tree and is suing Indian firms for using it in products. The Indian government challenged the patent when it was granted, claiming that the process for which the patent had been granted had actually been in use in India for over 2000 years. In 2000 the EPO ruled in India's favour but the US multinational mounted an appeal claiming that prior art about the product had never been published in a scientific journal. On 8 March 2005, that appeal was lost and the EPO revoked the Neem patent rights keeping the tree free of any patent restrictions.[[260]](Print_version.html#cite_note-N000123-277)

# Medical Systems

**Naturalistic System**

An approach to the explanation, diagnosis, and treatment of illness which focuses on the underlying biomechanical processes behind human disorder. Naturalistic medicine is largely the foundation of the Western model of biomedicine and practitioners rely heavily on the use of imaging technologies and the scientific method to develop treatment plans. Philosophically, naturalists approach human disorder from the perspective that illness is impersonal and that there is always an identifiable source of pathology in the diagnostic process.

**Personalistic System**

Largely uncommon in the developed world, the personalistic approach to medicine explains human disorder in terms of preternatural sources of pathology (such as spiritual possession or religious transgression). Illness is considered unique to the patient and medical practitioners often call upon supernatural forces to facilitate the diagnosis and treatment of disorders. An example of this is the “evil eye.” A person who is envious of another’s good fortune may transfer malignant influence through the “evil eye”, which will result in harm to the recipient. [[261]](Print_version.html#cite_note-278)

Modernly, personalistic systems of medicine are most commonly found in small-scale societies. Globally, the personalist approach in decline and has disappeared completely in some cultures. For example, therapeutic shamanism was commonly practiced amongst Inuit peoples and a complex tradition of spiritual healthcare was reported by early ethnographers (see Merkur 85). These traditions are now very rarely practiced and many of the traditional practices have been lost entirely (see [Shamanism amongst Eskimo peoples](http://en.wikipedia.org/wiki/Shamanism_among_Eskimo_peoples)).

  


## Medical Models

Medical models are the explanations of health and illness that are accepted by different cultures. The biomedical model is the most widely accepted medical model by many cultures, including the vast majority of Western culture, but there are multiple other explanations that are accepted by some cultures.

The medical model of disability is a model by which illness or disability is the result of a physical condition, is intrinsic to the individual (it is part of that individual’s own body), may reduce the individual's quality of life, and causes clear disadvantages to the individual.

Some anthropologists believe that the biomedical model is quite provincial. They do not believe that there is enough room for the interpretation of the psychological, behavioral, and social aspects of all of the illnesses. Something called a biopsychosocial[[147]](http://www.sciencemag.org/cgi/content/abstract/sci;196/4286/129) model has been proposed. In this there would be more room different aspects of health care.

### Humoral

The term Humoral refers to elements in the blood or other fluids that reside within the body. In medicine,the term humor refers to a fluid substance. The aqueous humor is the fluid that normally resides within the front and rear chambers of the eye. The humors were part of an ancient theory that believed that health came from balance between the bodily liquids. These liquids were termed humors. If these fluids were not balanced, a person was more likely to become infected with diseases.

Paired qualities were associated with each humour and its season and element,the humors were:

  1. Phlegm: winter, water, characteristics: rational, calm, unemotional
  2. Blood: spring, air, characteristics: courageous, hopeful, amorous
  3. Gall: (black bile thought to be secreted by the kidneys and spleen) autumn, earth, characteristics: guardian, despondent, sleepless, irritable
  4. Choler: (yellow bile secreted by the liver) winter, water, characteristics: rational, calm, unemotional

This theory which was also known as the humoral theory, humoralism, and humorism was devised before the time of Hippocrates (c.460-c.375 BC). Today pathology rests on a cellular and molecular foundation. All of the humors have been dispelled, except for the aqueous humor and vitreous humor of the eye.

[[Immunity](http://en.wikipedia.org/wiki/Humoral_immunity%7CHumoral)]

The health and healing system of Haiti incorporates humoral-influenced concepts from West Africa. Their system relies on monitoring and regulating their four humors (hot and cold, dry and wet). Eventually their system was simplified, with the dry and wet humors being omitted. They believe a balance is necessary to maintain good health. The balance is affected by the season, how they live and especially how they eat.[[262]](Print_version.html#cite_note-279)

### Kallawaya Traditional Medicine

The shamans of the Kallawaya people, located in the Andes in Bolivia are an example of humoral medicine. They believe that health and illness are affected by the balance of spirit and soul caused by the earth, or the goddess Pachamama. Their healing art is based in their ability to look into the lives of the ill to see patterns in the day to day aspects such as work, health, routines and relationships and to recognize where there are imbalances. Shamans make use of music, dance, and animal sacrifice to help appease the divine, thus curing illness. The shamans use many herbs, for instance most of the Kallawaya healers have knowledge of at least 300 herbs. They also incorporate alcohol and ayahuasca, which, with the guidance of the shaman, can produce a drug-induced state of healing[[263]](Print_version.html#cite_note-280)

### Ayurveda

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Dwanandhari_Deva.jpg/220px-Dwanandhari_Deva.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Dwanandhari Deva is believed to be the Lord of Ayurveda

Ayurveda is a 5000-year old traditional system of medicine in India that originated during the [[Vedic](http://en.wikipedia.org/wiki/Vedas)] period of Indian history. [[[148]](http://www.chopra.com/ayurveda%7CChopra)] It is also practiced as an alternative system of medicine in other parts of the world, where yoga, meditation, massage, or healing herbs or foods are used as a supplement to the biomedical model.

Ayurveda is a humoral system, in which blood, chyle, flesh, fat, bone, marrow, and semen are the primary elements. These are divided into air (or spirit), phlegm, and bile, each of which represent a divine force, or dosha. The three doshas are vata (air), pitta (bile) and kapha (phlegm). According to Ayurveda, humans are dominated by one or two of these doshas. Having a balance between the three means that one is in complete health. This balance is achieved through moderation of sleep, sexual intercourse, medicine, and food. Different types of foods are beneficial to people of different doshas. When the doshas are too far out of balance, it can lead to both physical and mental sickness.

Ayurvedic practices include hygienic rituals, ingestion of certain foods and herbs as treatments, and yoga or meditation. Balance between the physical and mental is an important aspect of Ayurvedic healing.

### Spiritual Healing

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Tanumânasî_kapalabhati.JPG/220px-Tanumânasî_kapalabhati.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A man practices yoga meditation outside.

Spiritual healing practices transmit energy to a person in need through means of meditation, prayer, or the presence of a healer, and provide an alternative to standard medical procedures. It is part of the holistic approach to healing, which involves the unification and harmony of the mind, body, and spirit in order to achieve wellness. Because sickness often originates in the mind, spiritual healing can be beneficial in alleviating stress, coping with emotional issues, and increasing overall happiness. The absence of such mental problems can eliminate physical troubles. For example, meditation aids in lowering heart rate, decreasing high blood pressure, and lessening cholesterol levels because it clears and calms the mind to the extent that stress does not affect the physical state of the body.

A popular and recommended act of spiritual healing, is found in Yoga. It has been said by many that it allows and gives a sense of self awareness, benefits to positive mental presentation, and overall stressing personal strength and confidence in living a spiritual healthy lifestyle.

In various cultures, healers who practice spiritual healing believe that human beings are surrounded by healing mechanisms in the form of energy, which maintain a balance and order between mind, body, and spirit. A healing procedure often begins with a healer hovering his or her hands above a patient’s body to uncover areas where energy is blocked and healing is needed. Healing energy is then transported through the healer’s hands and into the patient.

Religion often plays a role in spiritual healing in that people form a relationship with a higher source and are able to channel energy from such a source. This being could be God, nature, or something else meaningful to the individual. It is important to note that if the individual who chooses to form this connection holds full commitment and trust in the higher source, feelings of security, peace of mind, and guidance and are likely to follow, all of which are essential in maintaining a healthy lifestyle.

For millennia other cultures around the world have used natural euphoria inducing drugs to better connect with the spiritual world. Though governments around the world have banned the use of drugs for such purposes, their medical and spiritual capabilities remain true. Researchers at Johns Hopkins University found that in a controlled experiment test subjects were feeling and behaving better fourteen months after consuming Magic Mushrooms [[264]](Print_version.html#cite_note-281). There is evidence in caves of the Sahara tracing the use of Magic Shrooms back to nearly 7,000 BC to connect with the spiritual realm.

  


**Pranic Healing** goes beyond just mental or physical or even emotional healing. It provides the right training and scope for those who are interested in spiritual practises, and offers a structured platform for achieving illumination through soul-realisation and later, God-realisation. Pranic Healing is an ancient science and art that has been adapted and systematized by the founder of modern Pranic Healing, Grand Master Choa Kok Sui. It has been used to heal countless people through the ages. The principle is simple. We know that every living being possesses the inborn ability to heal itself. Pranic Healing simply enhances this healing process by utilizing the energy of life. This energy is called 'Prana' (life-force) in Sanskrit. For those who are on a quest for spirituality, Pranic Healing can help too. To promote health and the knowledge of Pranic Healing in the developing world, Grand Master Choa Kok Sui established the World Pranic Healing Foundation, Inc. in Manila, Philippines in 1990. WPHF has in turn set up a subsidiary company in Bangalore, World Pranic Healing India Private Limited. There are currently 12 Pranic Healing Foundations in India working under license from World Pranic Healing India Private Limited, to promote the teachings of GMCKS around India. More Foundations will be set up in the near future Definition: A no-touch natural healing system that utilizes prana or vital energy to cleanse and energize the human energy body, and to accelerate the natural healing power of the physical body. Source: Pranic Healing Websites. www.sentex.net/centreofpeace *, www.pranichealing.com † and www.pranichealingwest.com/healing.html ** and a short discussion by Richard Gerber in Vibrational Medicine for the 21st Century. New York: Harper Collins, 2000. Pages 391 – 394. Description.

  


### Kundalini Tantric Yoga

A popular form of spiritual healing is found in Kundalini Tantric Yoga, practiced in various parts of India and the United States. Kundalini energy refers to dormant or spiritual energy within the body that we are usually unaware of. Once Kundalini energy is activated through deep meditation and yoga, the nadi system, referring to channels of Kundalini energy, is activated as well. This creates a connection between the seven levels of chakras, or centers of consciousness potential that reside along the spine. Each chakra corresponds to a set of desires connected to a certain element.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Chakras.jpg/220px-Chakras.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The seven different chakras pictured in their locations, with the exact number of petals each chakra is said to have.

The first of the seven chakras is called the Muladhara. Its color is red and it is said to lie between the genitals and the scrotom. It governs sexuality and instinct. The second chakra is orange and it is called the Svadhisthana. It lies on the belly and is said to govern, among other things, creativity. Manipura is the third. It is yellow, lies just under the solar plex and controls one's will power. The fourth chakra is the Anhata. Anhata is located near and governs the heart. It is the color green. Vishuddha is the fifth. Its color is turquoise and it governs the voice. It is located in the throat. Ajna, the sixth, is indigo blue. It lies in the brain and governs wisdom. The final chakra can only be tapped upon once all the other chakras have energy flowing through them. It is called Sahasrara. It is purple and it brings enlightenment. It sits on top of the head and is said to inspire universal consciousness and unity.

The goal of Kundalini Tantric yoga is to free oneself from such desires as energy moves higher and higher along the chakras, opening them until it reaches the seventh chakra, called the Sahasra Chakra, located at the top of the cranium. A person can move energy through his or her chakras through tantric yoga, a form of yoga in which one seeks to free the mind of desires through various breathing exercises, contemplation, and meditation. When the seventh chakra is finally opened, a person is said to achieve full consciousness and liberation from the slavery of desires. Through the spiritual experiences one has encountered with the opening of each chakra, the result is inner harmony and overall happiness, which are significant aspects of living a positive, healthy lifestyle.

On a religious note, Hindu mythology offers an explanation for the movement of Kundalini energy throughout the body as one practices Tantric yoga. It is said that the serpent goddess Kundalini Shakti resides at the base of the spine, coiled up around the first chakra. As energy is activated and released through Tantric Yoga, she awakens and rises up the spine, opening the chakras along the way and energizing these conscious potentials. When she reaches the seventh chakra, she is united with her spouse, the God Shiva. Shiva is a symbol of change and the destruction of old habits. Their union leads to the liberation of the individual practicing the yoga, turning them into an “individual of the universe.”

### Western Biomedical Model

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Monoclonal_antibodies4.jpg/220px-Monoclonal_antibodies4.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Cell culture vials.

This is the most popular medical model in medicine today and can be found all across Western societies, as well as others. It looks at humans as scientific organisms in order to discover methods for curing diseases and treating illness. This model focuses mainly on physical processes, such as physiology and biochemistry, disregarding social or spiritual factors. Under the biomedical model, health is defined as the absence of pain or disease, and the body is thought to be able to be fixed with scientifically based treatments.

It should be noted that the Western approach to biomedical theory and practice is constantly adapting in response to new scientific and philosophical revelations regarding illness.The model focuses on the treatment and cure of disease through science, and does not promote disease prevention. In recent years, naturopathic medicine (once largely considered at odds with orthodox biomedicine)has gained recognition as a viable facet of treatment for a wide variety of disorders.

One of the criticisms of the Western Biomedical Model is that it discounts the personal knowledge and beliefs of its participants. The system is said to consider ‘professional knowledge’ as the correct, rational, scientific approach while lay beliefs are considered non-rational, unscientific, suppressions and thus discounted. This leads to potential tension between health care providers and patients. [[265]](Print_version.html#cite_note-282)

Ethnographic example: The [biomedical model](http://wiki.answers.com/Q/What_is_the_western_health_model_biomedical_model) has been critical in the development of our country. One of the many influences it has had was treating [tuberculosis](http://en.wikipedia.org/wiki/tuberculosis), a life threatening infectious disease. In 1880, after studying the disease scientist could confirm it was contagious. Even before antibiotics this helped to dramatically decrease the number of people that died by using quarantining and sanitizing methods. In the mid 20th century, when antibiotics were discovered, an effective cure for the disease was developed. Many strains have become resistant to certain drugs however, and the medical field has been forced to develop several ways to fight the disease.

  


#### Immunization

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f0/Child_vaccine.jpg/220px-Child_vaccine.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Infant being administered a measles vaccine in Kibati, Congo

The term immunization refers to rendering an organism immune to a specific communicable disease (1). Immunizations work by triggering the human body to produce antibodies that will help fight a particular disease. The antibody response is created by injecting a small amount of either a dead or live virus, (depending on the virus) into the person receiving the immunization in order to initialize a immune system response to the virus (2). Therefore in the future if the person who was immunized was exposed to the virus, he or she would already have the antibodies to fend off the virus. Along with the introduction and transmission of many new complex diseases, population growth and the globalization of medicine has brought about the eradication of many previously devastating disorders, including small pox and polio, through wider availability of immunizations. Many parents in Western countries routinely schedule immunizations for their children to prevent them from contracting a specific communicable disease. While many vaccinations are routine and readily available only in developed nations, the continued globalization of medicine will eventually have a dramatic effect on the improvement of health care in developing countries.[[266]](Print_version.html#cite_note-283) [[267]](Print_version.html#cite_note-284)

There is a great deal of controversy over vaccination. Issues over the morality, ethics, necessity and safety has led some parents to keep their children from being vaccinated. Opponents of vaccines claim that they are dangerous, ineffective or infringe on personal rights.

And example of this is the current debate over whether or not certain vaccines cause autism in children. There is a small but dedicated group of doctors who claim that vaccines may be linked to the onset of autism in children. As a result many parents are insisting their children be exempt from the mandatory vaccines although there are no medical findings which prove the link between the two. [[268]](Print_version.html#cite_note-285)

# Globalization and Health

## Epidemiologic Transitions

New Infectious Diseases 
    A disease that emerges within a population that is new or the number of infectious cases within a population or geographic area rapidly increases. Since 1940 over 300 new infectious diseases have been discovered, some of the most well known being severe acute respiratory syndrome (SARS), methicillin-resistant staph (MRSA), and [Human Immunodeficiency Virus (HIV)](http://en.wikipedia.org/wiki/AIDS). Many drug-resistant strains of diseases are becoming more common and 71% of these new infectious diseases start in the wildlife. As globalization increases, infectious diseases will continue to affect a larger and wider population. [[149]](Print_version.html#endnote_webmd.com) Classification of disease is as follows; an epidemic is a local outbreak of a rare disease. When this disease spreads through many human populations across a large region, it is then classified as a pandemic.

Medical Plurism 
    The integration of biomedicine and other forms of health care. Examples of medical pluralism include taking antibiotics and vaccines upon acute trauma or infection, as well as relaxation rituals to decrease stress and improve mental health. Medical pluralism includes involving different wellness techniques to improve, maintain, and prevent overall well-being. [[150]](http://en.wikipedia.org/wiki/Scientific_pluralism)

Diseases of Development 
    The main causes of illness and death in developed countries are cancer and diseases of the respiratory, cardiovascular and nervous systems. In the developing world, communicable diseases are the main problem, with deaths occurring primarily due to respiratory infections, HIV/AIDS, infections at birth, diarrhoeal disease and tropical diseases such as malaria. Failure to use existing treatments effectively, inadequate or non-existent interventions, and insufficient knowledge of disease all contribute to damaged health.

Health Definition 
    Along with this increased communicability there has come a more unified definition of health itself. There are many organizations that work worldwide to increase the quantity of life around the globe. One such organization is the World Health Organization. They describe health as “A state of complete physical, mental, and social well being and not merely in the absence of disease and infirmity”.

### Some Diseases that are Intensified Due to Globalization

1.[Malaria](http://en.wikipedia.org/wiki/Malaria)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f1/Malaria.jpg/220px-Malaria.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Malaria.

•Falciparum Malaria is a vector borne infectious disease caused by protozoan parasites. It kills around one million people per year, mostly children. Even though initiative was taken to eradicate the disease after WW2, it prevails in many parts of the world. In some areas, globalization is fostering an increase in malaria. In low income countries, economic hardships have made it difficult to install strong mosquito control programs. Also, global warming may extend the latitude and altitude of malaria because misquotes thrive in certain temperatures. An example of how malaria can be brought from one country to another on the other side of the world can be seen in a close friend of mine who traveled to Kenya a couple of years ago. He had all of the necessary vaccines to travel to Kenya, despite this, he still contracted malaria. The good news is that he can afford the medications necessary to control the disease and has not caused any form of an outbreak in the U.S. thanks to precautions taken by the U.S. to eradicate the disease. All of this is to show that it is still possible to contract the disease even if one is from a developed country.

2.[Chagas Disease](http://en.wikipedia.org/wiki/Chagas_Disease)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c3/Carte_maladie_Chagas.png/250px-Carte_maladie_Chagas.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Chagas in [Latin America](http://en.wikibooks.org/w/index.php?title=Latin_America&action=edit&redlink=1) (A:[Endemic](http://en.wikibooks.org/w/index.php?title=Endemic_\(epidemiology\)&action=edit&redlink=1) zones)

•Land clearance in South America has spread the triatomine bugs to much of the continent. Due to economic adversity and social unrest, there has not been a great stride in establishing sufficient housing. As more virgin forests are deforested the more the disease is able to spread to people. There is however effective control programs that are fighting the disease. The disease is usually spread by insect through the sucking of blood, it can also be spread by mother to fetus, blood transfusions, organ transplants and food that is contaminated with the disease.

3.[Leishmaniasis](http://en.wikipedia.org/wiki/Leishmaniasis) •Is transmitted by the bite of a female sandfly. This disease is spread most rapidly when people live in a newly deforested area. In the 1980’s there was a huge housing crisis because the population of the Brazilian city of Amazonians doubled. The disease flourished because of their high adaptability to the human blood.

4.[Lyme Disease](http://en.wikipedia.org/wiki/Lyme_Disease) •This ancient bacterial infection is returning to North America, Europe and temperate Asia resulting in a skin rash, swollen joints and flu like symptoms. Some suspect that this is due to the reversion of farmland to woodland, which led to the increase of deer that possess the ticks. Also, the deer’s predators were killed over a century ago in the deforestation.

5.[Dengue](http://en.wikipedia.org/wiki/Dengue)

•Uncontrolled urbanization and inadequate management of water and waste has led to increase of this disease. Cases have increased 20-fold since the 1950’s. Air travel has allowed the disease to create newer more deadly versions of itself, such as dengue haemorrhagic fever. It had been found that 8% of diseases that tourist catch while overseas are Dengue. Dengue often starts with a headache muscle and joint pains fever, and rash. The rash usually appears on the lower limbs and the chest and continues to spread over the body.

6\. AIDS: Possibly the greatest pandemic of our generation, AIDS is responsible for over 2.1 million deaths, 330,000 of which are children. Three quarters of these deaths have occurred in sub-Sahara Africa. Though globalization helped to spread this disease around the world through a greater global connectivity, it is also helping to clean up its own mess. Globalization has allowed for the flow of information about safe sex practices and sterile drug practices to avoid further infections. By becoming one of the greatest killers of our time, AIDS has also brought awareness to most of the world and has recruited millions to fight against it.

**[^](Print_version.html#ref_earthlink.net)** <http://www.who.int/tdr/publications/tdr-research-publications/globalization-infectious-diseases/pdf/seb_topic3.pdf>

# Mental Health and Culture Bound Syndromes

[Culture Bound Syndromes](http://en.wikipedia.org/wiki/Culture-specific_syndrome) are those in which changes in behavior and experiences have substantial effects on peoples lives. These illnesses are not "sicknesses" but rather identified as syndromes. A syndrome is a group of symptoms when present together are characteristics of a specific disorder, disease, etc.[[151]](Print_version.html#endnote_) The patterns of the symptoms that characterize or indicate can be of a particular social condition like heavy pollution. Syndromes can be a culture bound syndrome like Anorexia Nervosa or they can be a biological syndromes like Down’s Syndrome. The word syndrome comes from the Greek meaning “run together”. Medical anthropology describes culture-bound syndrome as a combination of psychiatric and somatic symptoms that are considered to be an identifiable disease that is only discovered within a specific society or culture. There are no changes in the biochemical or structural of body organs or functions, and the disease is not recognized in other cultures. A substantial portion of mental disorders are at least partially if not completely conditioned by the culture in which they are found. Some disorders however are more culture-specific than others. The concept of culture-bound syndromes is a controversial subject to which many psychologists, medical doctors and anthropologists reject the concept.

Culture bound syndromes can include:

### Obesity

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Botella_CocaCola.jpg/220px-Botella_CocaCola.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

High-fructose corn syrup, found in most soda beverages, is public enemy number one in the war against obesity.

Obesity is a condition affecting more than 300 million people ([[269]](Print_version.html#cite_note-286)) common in mainly first world countries, that affects millions of people. It is a term used to describe a person who is so overweight that is has become the cause of many other afflictions that could potentially threaten a person’s life. A person is _obese_ when their body mass index exceeds 30 kg/m2([[270]](Print_version.html#cite_note-287))The World Health Organization(WHO) considers obesity to be one of the top 10 causes of preventable death worldwide. It is a _Culture Bound Syndrome_ that exists almost entirely in the richest countries in the world. Overweight individuals in developing countries are considered attractive and desirable due to the connotations of this; excess wealth and the ability to live lavishly and abundantly. This is the opposite in developed countries where thinness implies wealth. One who is wealthy can eat a balance and healthy (thus more expensive) died and has the luxury, time and money to exercise in either a gym or with the help of a personal trainer.

### Ataque de Nervios

Commonly found in Hispanics.Out-of-consciousness state resulting from evil spirits. Symptoms include attacks of crying, trembling, uncontrollable shouting, physical or verbal aggression, and intense heat in the chest moving to the head. These ataques are often associated with stressful events (e.g., death of a loved one, divorce or separation, or witnessing an accident including a family member).

### Mal de Ojo

Medical problems, such as vomiting, fever, diarrhoea, and mental problems (e.g., anxiety, depression), could result from the mal de ojo (evil eye) the individual experienced from another person. Mal de Ojo is initiated when a person of higher strength gazes upon the weaker counterpart out of envy or admiration [[271]](Print_version.html#cite_note-288). The condition is common among infants and children; adults might also experience similar symptoms resulting from this mal de ojo. [[272]](Print_version.html#cite_note-289)

### Anorexia

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Lindsay_Lohan.jpg/220px-Lindsay_Lohan.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Pop icons suffering from Anorexia have raised popular awareness to this disease.

[Anorexia Nervosa](http://en.wikipedia.org/wiki/Anorexia_Nervosa),a westernized eating disorder, commonly shortened to anorexia. Anorexia Nervosa is a psychiatric illness which is specifically defined as the obsessive fear of gaining weight. Most commonly this disorder affects teenage girls, but males account for 10% of the reported cases. [Bulimia Nervosa](http://en.wikipedia.org/wiki/Bulimia_Nervosa) is also a similar culture-bound syndrome to Anorexia Nervosa in which purging is the method of losing weight. Many times people who have these eating disorders though do not have one strict eating disorder. It tends to be a combination of anorexia, bulimia and binge eating. For example, a person may restrict themselves to not eating, but if they do they may go and work out excessively and then binge eat after [[273]](Print_version.html#cite_note-290) In some cases however, these eating disorders are developed as a coping mechanism for problems other than the common fear of weight gain. Providing its victims with a sense of control, anorexia and bulimia can help ease the mind even if the goal is to find stability in areas other than weight loss.

The process used to initially lose and prevent weight gain is voluntary starvation, but other methods such as purging, excessive exercise and the use of dietary pills are used also to control body image. One of the proposed reasons for the cause of this disease is the effect of images portrayed by the media on young women and men, demanding a necessity to be slim, because that is the only socially acceptable way to look

The [DSM IV](http://en.wikipedia.org/wiki/DSM_IV) outlines the criteria utilized to diagnose anorexia nervosa; which includes dropping 15% below ones recommended body weight for his or her height. Accompanying this extreme weight loss is an unnatural fear of gaining weight; severe delusions about one’s own body and amenorrhea.

There are two subtypes of Anorexia Nervosa also outlined in the DSM IV. The first is the restricting type. This is characterized by food restriction and starvation, The second subtype is the [binge eating](http://en.wikipedia.org/wiki/binge_eating)\- [purging](http://en.wikipedia.org/wiki/purging) type. This is characterized by the consumption of large amounts food followed by self induced vomiting or use of laxatives.

Anorexia Nervosa disorder also severely interferes with social functioning, those diagnosed with anorexia nervosa tend to suffer academically and withdraw from friends and family. It is a disorder that is often met with a great deal of scepticism and unfortunately many refuse to recognize the severity of this condition. People incorrectly assume that if the affected person wants to get better, all they need to do is start eating. Sadly this is a debilitating disorder that affects both body and mind; and will likely affect those diagnosed, for the rest of their lives. This disorder is met with severe mental distortions, for which there is no simple remedy. People who are diagnosed with Anorexia Nervosa develop severe heart and health problems, as well as being at higher risk for developing depression and suicidal tendencies. Approximately 10% of diagnosed cases result in death.

Many who are diagnosed usually have several underlying issues that are entirely unrelated to food. Often they maintain unrealistic ideas of perfection and a severe need for personal control, for many, managing their food intake fills this need. Each person has the ability to restrict what goes into their own body and as a result, they begin to associate the declining number on the scale with self control. Initially many of these people are met with praise from their peers for their weight loss, resulting in positive reinforcement. Some begin to link weight loss with acceptance, popularity and self worth. Once these associations are made it is extremely difficult to extinguish them; particularly in countries that value and idealize unrealistic images of beauty and weight. Even though there are many treatment facilities available that treat both of the mental and physical aspects of this disorder very few people ever fully recover. Therefore it is believed that the most successful form of treatment is prevention.

There are many cultural aspects that influence this disorder as well. The prevalence of this disorder is much higher in the United States and other western countries. Many have suggested that young men and women are often exposed to false ideas of perfection. Specifically in the United States, the majority of advertisements, television shows, movies and magazines most are exposed to, depict images of men and women with a body type that less than 5% of the people of the general population actually possesses. This may account for the higher frequency of this disorder in specific regions. As a result, many programs for example the Dove campaign, which supports and promotes body acceptance, pressuring the concept of "Real Beauty," through their billboards with real women with curves and imperfections, their explanations of airbrushing further help, support and counteract the development of unrealistic ideologies relating to weight and beauty.

Equally dangerous and even more prevalent in American society is the issue of overeating and obesity in children and teens. Over the past decade, the obesity rate in children has increased dramatically; the Center for Disease Control found that the obesity rate in children ages 6-12 has increased from 6.5% to 17% in the last 25 years. <http://www.cdc.gov/nccdphp/dnpa/obesity/childhood/prevalence.htm>) . There are many causes for this increase including misinformation about diets, an increase in hobbies unrelated to physical activity (video games, computer games etc.) and a decrease of time spent in Physical Education classes throughout schooling.

**Symptoms include:** -Loss of at least 3 regular menstrual periods (in women). -Refusing, avoiding, or not wanting to eat in public -Anxiety -Weakness -Brittle skin -Shortness of breath -Obsessiveness about calorie intake -muscle loss/degeneration -Additionally, anorexic people have a tendency to create a distorted, negative view of themselves **Differences Between Anorexia and Bulimia:** -People who suffer from bulimia typically eat large quantities of food and then purge, referred to as (binge and purge). -Anorexics suffer from lack of food ingestion.[[274]](Print_version.html#cite_note-291) [[275]](Print_version.html#cite_note-292)

<http://images.mylot.com/userImages/images/postphotos/1897668.jpg>

### Amok

Malaysian sudden mood change/aggression.

[Amok](http://en.wikipedia.org/wiki/Amok) is the psychological disorder where males who typically have never acted out before experience a sudden mood change and become violent and angry. Deep shame experienced by the male often seems to be the cause of the sudden mood changes such as jealousy and gambling losses. People suffering from a mood change will often attempt to hurt or kill anyone they run into. Often people who have these mood shifts will end up being killed by a bystander out of self-defense or other reasons, or the person suffering from Amok will commit suicide. The word was derived from the Malay, Indonesian and Filipino word "amuk" which means "mad with rage." The term has been changed into slang in the United States and the phrase [Running Amok](http://en.wikipedia.org/wiki/Running_Amok) is used to describe someone who is acting crazy or can't control themselves.

### Dhat Syndrome

The patient is preoccupied with the excessive loss of semen by nocturnal emissions. There is a fear that semen is being lost and mixed in urine. In the Hindu culture and religion, it is believed that "40 meals create one drop of blood, 40 drops of blood create one drop of bone marrow and 40 drops of marrow create one drop of semen." It is thought in the Hindu culture in India, although not isolated there, that the loss of semen can deteriorate your health and create health problems. Symptoms of [Dhat Symdrome](http://en.wikipedia.org/wiki/Dhat_syndrome) are depression, preoccupation, trouble sleeping, inability to perform sexually, exhaustion and headaches, and others. In order to treat these symptoms of depression and anxiety, counseling or anti-anxiety or anti-depression medications have been found to be of use. [[152]](http://books.google.com/books?id=_hcurFqnQioC&pg=PA135&lpg=PA135&dq=Hindu+belief+Dhat+syndrome&source=bl&ots=YRecZhXTAk&sig=QDvWqr3Xk9iba4NPkIbqIQmWSYE&hl=en&ei=nxqvScbLD4nOsAOIsIF4&sa=X&oi=book_result&resnum=4&ct=result#PPA135,M1)

### Genital Retraction Syndrome

Retraction into body. (Malay Koro, Sudan melting penis/cell phone phenomenon)

•[Genital Retraction syndrome](http://en.wikipedia.org/wiki/Genital_retraction_syndrome) is a culture bound syndrome occurring mostly in African and Asian men. This syndrome causes the men to think that their penis is going to shrivel into their stomach and that they will die. In South East Asia this syndrome has become known as “Koro”, which means “head of the turtle”. It can also be referred to as penis panic. In this case a large group of men can become panicked about their genitalia disappearing. Often these fears come about in cultures where witchcraft is used, or where biological education isn’t available. In 1997 lynch mobs in Ghana attacked foreigners they accused of being sorcerers capable of shrinking men’s penises.

### Latah

[Latah](http://www.ncbi.nlm.nih.gov/pubmed/7365478) is a culture-bound syndrome that exist in Malaysian and Indonesian cultures. People showing signs of this syndrome respond to minimal stimuli with exaggerated startles. Sometimes, after becoming started, people suffering from this syndrome will obey the commands or imitate the actions of the people around them. Most occurrences of Latah are intentionally provoked to act as entertainment for those surrounding. Latah is very closely tied to specific factors in the cultural systems of the Southeast Asian societies in which it is found. The Latah syndrome exemplifies the very dynamic and complex ways in which neurophysiological, experiential, and cultural variables coincide with each other to produce a strongly marked phenomenon in these cultures. It is most widely known as a hyperstartling condition which mainly occurs in Malayan cultures. Latah is also the name for those who have the condition, which consist mainly of adult women. During episodes of this behavior, Latah's are usually not held responsible for their actions. It is also closely related to another condition called [Hyperexplexia](http://en.wikipedia.org/wiki/Hyperexplexia). (SE Asia women, obey, not responsible for acts)

### Piblokto

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Inuit-Kleidung_1.jpg/220px-Inuit-Kleidung_1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Two Inuit women and child. Origin: Taken by Angsar Walk [<http://commons.wikimedia.org/wiki/File:Inuit-Kleidung_1.jpg>

[Piblokto](http://en.wikipedia.org/wiki/Piblokto), pronounced (pee-block-toh) and loosely translated from Inuit to English means "running crazy" is a hysterical/dissociative state. It occurs mostly in the winter season and typically shown in [Inuit](http://en.wikipedia.org/wiki/Inuit) or Eskimo women and is characterized by short attacks of disturbed behavior that are not remembered by the individual afterwards.

The symptoms can include running naked through the snow, an insensitivity to extreme cold, [coprophagia](http://en.wikipedia.org/wiki/Coprophagia) (the consumption of feces), [echolalia](http://en.wikipedia.org/wiki/Echolalia) (the repetition of words), depression, screaming, crying, and violence towards other people and animals. Piblotko is most often seen in women of the Inuit tribe. These people inhabit the areas of northern Canada,Greenland, the coastal regions of Alaska and north eastern Asia/Russia. They are able to inhabit very harsh conditions, and tolerate the snow and ice of the Arctic tundra for most of the year. There has never been a recorded case of Piblotko in children, although women in tribal groups have been recorded as having as many as 5 attacks of hysteria a day. The Inuit people's diet mainly consists wild game, whale and seal meat. A diet high in protein, [selenium](http://en.wikipedia.org/wiki/Selenium#Controversial_health_effects), and fats may help these people escape the risks of cancer but not the biological/psychological malady of Piblotko. Although commonly thought of as a psychological ailment, Piblotko may be linked to vitamin A toxicity, or hypervitaminosis A. Vitamin A toxicity is caused by an overconsumption of pre-formed Vitamin A, which is the result of high amounts of vitamin A in the diet at one time. This can lead to altered mental state, confusion, headache,and irritability, as well as many symptoms that are common to Piblotko. Piblotko has also been recorded in Inuit dogs and while these dogs are not considered infectious, they are shot when symptoms first occur and then eaten by the tribe. SAD- seasonal affective disease can loosely be linked to this syndrome as the weather and light are factors that play straight into symptoms like depression. [[276]](Print_version.html#cite_note-293)

### Susto

Susto is a [Folk Illness](http://en.wikipedia.org/wiki/Folk_illness:) that is most commonly found in Latin America. The term "susto" comes from the Portuguese and Spanish word for fright. In this way, the illness is called “fright sickness”. It is also referred to as "spirit attacks," most common among Native Americans. The disease is usually generated from a traumatic experience like the death of a loved one, an accident, or anything else that might cause physiological pain. It is most common in women but can also be found in men and children. The illness in not recognized by Western Traditional Medicine, but is commonly compared to anxiety disorders.

Symptoms of susto can be nervousness, anorexia, insomnia, listlessness, despondency, involuntary muscle tics, and diarrhea. Treatments of this illness are mostly natural and herbal, such as consuming marijuana teas, Brazil wood, and orange blossom. The most effective treatments are done by what is called a healer and can include different sort of rituals. The closer these rituals are practiced to when the traumatic experience occurred, the better. It is also very important to recognize the event and not suppress it.

Susto is often compared to other biomedical illnesses. In 2002 studies about susto were conducted in; Latin communities, the United States, Mexico and Guatemala. First they defined susto in the different communities. Although the definition differed from region to region, the main idea was that susto was an illness caused by fright, and not necessarily loss of soul. It was seen as a serious illness that could even lead to death. But to better understand this folk illness, in biomedical culture and culture I am familiar with in United states, susto is best related to depressive disorders, post traumatic stress disorder, and somatoform disorders.[[277]](Print_version.html#cite_note-294)

### Opsophagos

[Opsophagos](http://en.wikipedia.org/wiki/Opsophagos) was an ancient Greek label given to anyone who had an extreme and irrepressible desire for eating fish.

The term is a definition one’s character, not literally their general palate for fish. Charging someone with the term is directed in a very negative manner- it parallels being indicted with having over-indulgent behavior, a taboo in Greek society. Opsophagos is synonymous with words like unsophisticated and barbaric- words opposite of rationality. The fish is simply a symbol for overindulgence.

Greek tall tales describe an opsophagos as a gluttonous and greedy man who would consume all prepared fish, sharing none with anyone. The painted image of an opsophagos was the opposite of an ideal human- a man with a heat-resistant throat to handle fish too hot for anyone else to eat, thus keeping the fish for only themselves.

Opposite of America’s Judeo-Christian tradition, Greek thought and morality is more flexible than the orthodox, black and white view of simple rights or wrongs. For example, instead of ruling out women or wine, Greeks believe in “nothing in excess”-enjoy life’s pleasure but under control. This is contrary to the American idea of suppressing vices and how negative habits should be cut out out completely “cold turkey”.

<http://www.nytimes.com/books/98/09/06/reviews/980906.06jenkynt.html>

<http://www.washingtonpost.com/wp-srv/style/books/reviews/courtesansandfishcakes0830.htm>

### Ghost Sickness

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ab/Mojave_DustDevil.jpg/220px-Mojave_DustDevil.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Dust Devil is an example of a manifestation of Ghost Sickness

Ghost Sickness originates from the [Navajo Nation](http://en.wikipedia.org/wiki/Navajo_Nation) and is believed to be a psychotic disorder associated with death. Common symptoms include fatigue, recurring nightmares, hallucinations, and a constant feeling of terror. The people of the Navajo Nation believe that a [Chindi](http://en.wikipedia.org/wiki/Chindi) causes Ghost Sickness. A Chindi is the ghost of the Navajo Tribe and many believe that this ghost is released during a person’s dying breath, and it is also believed to nearly always be an evil force. A common manifestation of a Chindi is believed to be a Dust Devil, and the direction they spin signifies whether it is a ‘good’ Chindi or a ‘bad’ one; a clockwise spin is considered good – a counter-clockwise is considered bad. Other Native American tribes have modified beliefs of Ghost Sickness and have attempted to prevent or avoid passing it on. For example, the Lakota Tribe attempted a ban on mourning rituals in order to avoid the illness in the 1800's, but many still practice modified rituals.

### Windingo

Windigo (or Witiko) A culturally bound syndrome found among the Algonkian Indians, NE United States and Eastern Canada. Windigo is the famous syndrome of obsessive cannibalism or the consumption of another’s flesh. Windigo has fallen under skeptical eyes and too many is now somewhat discredited. A modern medical diagnosis of this condition would probably label it paranoia due to the irrational perceptions of being persecuted for suffering from Windingo. Fear of prosecution is prevalent among victims of Windingo because of the cultural universal that eating humans is wrong. Windigo was supposed to have been brought about by consuming human flesh in desperate circumstance such as famine situations. Afterwards, the individual who consumed flesh was supposed to be haunted by cravings for human flesh and thoughts of killing and eating humans. In other words Windigo is the unwanted transformation into a cannibal.

In the Great Lakes of Canada and the United States where climate was harsh, Windingo would develop among families whom were isolated in their homes due to heavy snow storms and thus had inadequate food and supplies. Symptoms of Windigo include vomiting and lack of appetite. The individual suffering would then begin to develop delusions of him or herself believing they are becoming a Windigo Monster. People suffering from Windigo psychosis claim to see others as edible which only increases with time. As the individual becomes aware of the transformation they begin to deeply fear becoming a cannibal. Victims of Windigo psychosis often experience severe panic and anxiety. Suicide is common in order to prevent themselves from becoming Windigo monsters. [[153]](Print_version.html#endnote_.5Bhttp:.2F.2Fhomepage.mac.com.maccajor.2Fcbs_frame.html.5D.5Bhttp:.2F.2Fplato.stanford.edu.2F.5D)

### Zar

**Zar**[[154]](http://web.archive.org/20070717095352/homepage.mac.com/mccajor/cbs_frame.html) is experienced in Ethiopia, Somalia, Egypt, Sudan, Iran, and other places in the Middle East and North Africa. The feeling you get when you have zar is spirit possession. Some symptoms that could occur are dissociative episodes with shouting, laughing, singing, weeping, or hitting the head against some sort of surface. Individuals may refuse to do simple tasks such as eat or go about their tasks in daily life. They also may show withdrawal and apathy. In some cases the person might develop a long-term relationship with the possessing spirit, but this is the rarest symptom. Zar can also be used as part of the training and practice of shamanistic healers. [[155]](http://www.health24.com/mind/culturebound_syndromes/1284-1304,13259.asp) This is usually practiced in Africa and is unfamiliar in Europe. Since this is a trance that is induced voluntarily as part of a shamanistic ritual, it is not considered a disorder.

Zar was experienced in many cases when immigrants would move from Ethopia to Israel. This is when zar was known to happen the most. Zar as a voluntary induced spirit would occur the most in Northern African countries. One of the most common possession phenomena in Africa and in other continents is the belief in possession by spirits, known as zar.

# References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

<http://en.wikipedia.org/wiki/Running_amok>

**[^](Print_version.html#ref_earthlink.net)** <http://home.earthlink.net/~youngturck/Chapter13.htm>

**[^](Print_version.html#ref_earthlink.net)** <http://www.who.int/tdr/publications/tdr-research-publications/globalization-infectious-diseases/pdf/seb_topic3.pdf>

**[^](Print_version.html#ref_earthlink.net)** <http://www.medanthro.net/definition.html>

<http://www.4woman.gov/faq/anorexia-nervosa.cfm>

**[^](Print_version.html#ref_Fock.2C_Niels)** Fock, Niels (1963). Waiwai. Religion and society of an Amazonian tribe. Nationalmuseets skrifter, Etnografisk Række (Ethnographical series), VIII. Copenhagen: The National Museum of Denmark.

**[^](Print_version.html#ref_Altshul.2C_Sara)** Altshul, Sara. "Incontinence: Finally, Relief That Works." Prevention December 2005: 33. Academic Search Premier. EBSCO. 30 January 2006

  
**[^](Print_version.html#ref_http:.2F.2Fdictionary.reference.com)** <http://dictionary.reference.com/browse/syndrome?qsrc=2888>

**[^](Print_version.html#ref_http:.2F.2Fwww.1stholistic.com.2Fprayer.2Fhol_spiritual_healing.htm)**

**[^](Print_version.html#ref_http:.2F.2Fwww.tantra-kundalini.com.2F)**

<span class="citation wikicite" id="endnote_"Re-defining Health." World Health Organization. 8 Mar. 2009 <www.who.int/bulletin/bulletin_board/83/ustun11051/en/>.">**[^](Print_version.html#ref_.22Re-defining_Health..22_World_Health_Organization._8_Mar._2009_.3Cwww.who.int.2Fbulletin.2Fbulletin_board.2F83.2Fustun11051.2Fen.2F.3E.)**

  
"Diagnostic crossover in anorexia nervosa and bulimia nervosa: implications for DSM-V.." Am J Psychiatry February 2008 9 Mar 2009 <[http://search.medscape.com/medline-search;jsessionid=02EF3791A6C560EFD57A1211CF77FB0D?newSearch=1&queryTextanorexia](http://search.medscape.com/medline-search;jsessionid=02EF3791A6C560EFD57A1211CF77FB0D?newSearch=1&queryTextanorexia)>.

  
1.<http://www.annfammed.org/cgi/content/abstract/3/3/255> 2.note|Hahn, Robert. Sickness and Healing. Yale University Press, 1996.

["Female Genital Mutilation: A Call to Action",Troubia N: New York, New York, Women, Ink, 1993. 48 p.](http://db.jhuccp.org/ics-wpd/exec/icswppro.dll?BU=http://db.jhuccp.org/ics-wpd/exec/icswppro.dll&QF0=DocNo&QI0=097837&TN=Popline&AC=QBE_QUERY&MR=30%25DL=1&&RL=1&&RF=LongRecordDisplay&DF=LongRecordDisplay)

← [Production, Inequality and Development](http://en.wikibooks.org/wiki/Cultural_Anthropology/Production,_Inequality_and_Development) · [Human Rights](http://en.wikibooks.org/wiki/Cultural_Anthropology/Human_Rights) →

← [Production, Inequality and Development](http://en.wikibooks.org/wiki/Cultural_Anthropology/Production,_Inequality_and_Development) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Human Rights](http://en.wikibooks.org/wiki/Cultural_Anthropology/Human_Rights) →

  1. **[^](Print_version.html#ref_William_True.2C_1984)** True, William R. 1984. Prospective on Postdoctoral Public Health Training for Medical Anthropology. Medical Anthropology Quarterly 15(4): 95 – 96.
  2. **[^](Print_version.html#ref_Nancy_Scheper-Hughes.2C_1986)** Scheper-Hughes, Nancy, and Margaret Lock. 1986. Speaking “Truth” to Illness: Metaphors, Reification, and a Pedagogy for Patients. Medical Anthropology Quarterly 17(5):147-40.
  3. **[^](Print_version.html#ref_Arthur_Rubel.2C_1964)** Rubel, Arthur. 1964. The Epidemiology of Folk Illness. Ethnology 3:268 – 83.
  4. **[^](Print_version.html#ref_Carolyn_Sargent.2C_1996)** Sargent, Carolyn, and Thomas Johnson. Handbook of Medical Anthropology: Contemporary Theory and Method Revised Edition. Westport, CT: Greenwood Press, 1996.

  


# Human Rights

## Human Rights

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Martin-Luther-King-1964-leaning-on-a-lectern.jpg/220px-Martin-Luther-King-1964-leaning-on-a-lectern.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Martin Luther King, a famous supporter of human rights.

[Human rights](http://en.wikipedia.org/wiki/Human_rights) are the "basic rights and freedoms to which all humans are entitled". Human rights are distinguished from general American rights or human privileges in that they are "guaranteed by international standards, legally protected, focus on the dignity of the human being, oblige states and state actors, cannot be waived or taken away, [and are] interdependent, interrelated, and universal."[[278]](Print_version.html#cite_note-295)

  


Countries vary widely in their approach to human rights and history is littered with cases of ignorance of these rights to downright atrocities that don't give human rights the smallest consideration. Though the world has seen great triumphs in human rights such as the American Civil Rights Movement, it has also seen great horrors such as the Holocaust and genocide in Rwanda. By showing the atrocities of what people are capable of and the good faith people are capable of society can have a more well rounded view of our world and strive to make it a better place. [[279]](Print_version.html#cite_note-296)

### Civil and Political Rights

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/EleanorRooseveltHumanRights.png/200px-EleanorRooseveltHumanRights.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Eleanor Roosevelt holding the Universal Declaration of Human Rights

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/ICCPR-members.PNG/400px-ICCPR-members.PNG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Parties and signatories to the ICCPR

The Universal Declaration of Human Rights is a document representing the foundation of established human rights laws. This document is a set of principles adopted by the UN General Assembly in 1948. This document was written in response to WWII and the holocaust as an assurance that nothing that inhumane would ever happen again. This document sparked a commitment by many countries to abide by certain humane regulations regarding political, social, economic, and cultural rights of humans.

The **[International Covenant on Civil and Political Rights](http://en.wikipedia.org/wiki/International_Covenant_on_Civil_and_Political_Rights)** is a [United Nations](http://en.wikipedia.org/wiki/United_Nations) treaty based on the [Universal Declaration of Human Rights](http://en.wikipedia.org/wiki/Universal_Declaration_of_Human_Rights), created in 1966 and entered into force on 23 March 1976.

The International Covenant on Civil and Political Rights is monitored by the [Human Rights Committee](http://en.wikipedia.org/wiki/Human_Rights_Committee) (a separate body to the [Human Rights Council](http://en.wikipedia.org/wiki/Human_Rights_Council) which replaced the Commission on Human Rights under the UN Charter in 2006) with permanent standing, to consider periodic reports submitted by member States on their compliance with the treaty. Members of the Human Rights Committee are elected by member states, but do not represent any State. The Covenant contains two Optional Protocols. The [first optional protocol](http://en.wikipedia.org/wiki/First_Optional_Protocol_to_the_International_Covenant_on_Civil_and_Political_Rights) creates an individual complaints mechanism whereby individuals in member States can submit complaints, known as communications, to be reviewed by the Human Rights Committee. Its rulings under the first optional protocol have created the most complex jurisprudence in the UN international human rights law system.

The [second optional protocol](http://en.wikipedia.org/wiki/Second_Optional_Protocol_to_the_International_Covenant_on_Civil_and_Political_Rights) abolishes the death penalty; however, countries were permitted to make a reservation allowing for use of death penalty for the most serious crimes of a military nature, committed during wartime[[280]](Print_version.html#cite_note-297).

### Economic, Social and Cultural Rights

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/ICESCR-members.png/400px-ICESCR-members.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

States parties and signatories to the ICESCR

     states parties      non-state parties signatories      non-state parties non-signatories]]

The **[International Covenant on Economic, Social and Cultural Rights](http://en.wikipedia.org/wiki/International_Covenant_on_Economic,_Social_and_Cultural_Rights)** (ICESCR) is a multilateral treaty adopted by the United Nations General Assembly on December 16, 1966, and in force from January 3, 1976. It commits its parties to work toward the granting of economic, social, and cultural rights (ESCR) to individuals, including labour rights and rights to health, education, and an adequate standard of living. As of December, 2008, the Covenant had 159 parties.[[281]](Print_version.html#cite_note-298) A further seven countries had signed, but not yet ratified the Covenant.

One example of this organizations efforts includes the UN's many attempt to create peace in Northern Uganda. As discussed in Sverker Finnstrom's article in American Ethnologist, The Acholi peoples of Uganda despite having been largely displaced into refuge camps have continued to make steps toward a more stable economy. Their humans rights have been at stake for over two decades. The UN's various programs are working to put the rebel forces out and regain this cultures natural human rights.[[282]](Print_version.html#cite_note-299)

The ICESCR is part of the International Bill of Human Rights, along with the Universal Declaration of Human Rights (UDHR) and the International Covenant on Civil and Political Rights (ICCPR), including the latter's first and second Optional Protocols. [[283]](Print_version.html#cite_note-300)

### Reproductive Rights

Reproductive rights are more than the women's right to her birthing process but also the right of the women to have the child. Although abortion is a large issue around the world the question remains on whether a women should have the right to abortion if she so chooses. As reproductive rights are more clearly defined later on in this section it is important that we keep in mind the issue of abortion and what this could mean for women's reproductive rights. Does it fall into the rights of the women or not?

According to Craven a woman's right to choose a midwife is center to reproductive rights. [[284]](Print_version.html#cite_note-301)

Reproductive rights are rights relating to reproduction and reproductive health.[1] The World Health Organisation defines reproductive rights as follows:

"Reproductive rights rest on the recognition of the basic right of all couples and individuals to decide freely and responsibly the number, spacing and timing of their children and to have the information and means to do so, and the right to attain the highest standard of sexual and reproductive health. They also include the right of all to make decisions concerning reproduction free of discrimination, coercion and violence."[2]

Reproductive rights were first established as a subset of human rights at the United Nation's 1968 International Conference on Human Rights.[3] The sixteenth article of the resulting Proclamation of Teheran states, "Parents have a basic human right to determine freely and responsibly the number and the spacing of their children."[4][3]

Worldwide, issues related to reproductive rights are some of the most vigorously contested, regardless of the population's socioeconomic level, religion or culture.[5] Reproductive rights may include some or all of the following rights: the right to legal or safe abortion, the right to control one's reproductive functions, the right to access quality reproductive healthcare, and the right to education and access in order to make reproductive choices free from coercion, discrimination, and violence.[6] Reproductive rights may also be understood to include education about contraception and sexually transmitted infections, and freedom from coerced sterilization and contraception, protection from gender-based practices such as female genital cutting (FGC) and male genital mutilation (MGM). [[285]](Print_version.html#cite_note-302)

#### Rights versus Culture, Rights to Culture

Rights to Culture ensure that an individual or group of individuals have all their rights to enjoy and participate in their culture. This includes such aspects as the right to take part in cultural life, the right that will guarantee that a culture will be conserved, yet still developed, and finally, the right to still be protected from any harmful cultural practices.

In discussing rights and culture there are two assumptions that people often make:

•One is that cultures are unchanging.

•Another is that in a given society there is only one acceptable culture that everyone must abide by.

However, these assumptions may cause problems within a group of people in a few ways. When new rights are accepted in a culture that is normally unchanging, that new right may create conflict within the culture because of the varying viewpoints within the group. For example the issue of unveiling Muslim women so that they would no longer be oppressed. While Westerners are using the etic point of view without understanding fully what the veil means to the Muslim women. This is when rights and culture may not agree. Culture and human rights don't tend to agree fully, new human rights given may go against rights given within a culture.

In Farnaz Fassihi's book "Waiting for an Ordinary Day" explains the life of individuals in Iraq. Once Saddam was captured and the citizens were run by Americans, all hell broke loose. Not only did the citizens not know how to respond to the new freedoms they had, they soon came to rebel against the men who had given them that freedom. Their human rights of freedom were not of the norm in their culture and were unknown how to cope with. (2b) [[[156]](http://commons.wikimedia.org/wiki/File:Saddam_Hussein_captured_%26_shaven_DD-SD-05-01885.jpg)]

#### Native American Graves Protection and Repatriation Act

[The Native American Graves Protection and Repatriation Act (NAGPRA)](http://en.wikipedia.org/wiki/Native_American_Graves_Protection_and_Repatriation_Act) touches on this topic. On 16 November 1990, a United States federal law passed that requires federal agencies and institutions to return Native American human remains and cultural items to their respective peoples. Some of these cultural artifacts include funeral objects, religious objects, and objects of cultural patrimony. These federal agencies and institutions receive funding in order to do this. In this way, people are entitled to their culture both during life and after death. However, when it is unclear as to who the remain belong to, NAGPRA made a outline of decent for who should gain ownership of the remains. **_NAGPRA and Ownership_** **1.** Ownership resides with any lineal descendants **2.** If no lineal descendants, ownership resides with (in order) : **A.** The tribe on whose land the remains or objects were found or **B**. The tribe who has closest cultural affiliation with the remains and who stakes a claim or if undetermined **C.** The tribe who is recognized as aboriginally occupying land that was determined to be traditionally theirs by the Indian Claims Commission, unless **D.** Preponderance of the evidence shows that another tribe has a stronger cultural affiliation that the tribe id’d by the ICC

#### Rights as Culture

As a culture, certain rights are issued to provide a general guideline as to how people within that culture act, respond, and live. As it is common for many different cultures to share similar rights, it is equally familiar to have diverse rights among these same cultures. With differing views on how things work and what is acceptable, each culture has its own idea of what rights are issued to whom. It is not one cultures place to say that the rights issued within another culture are unacceptable, with the exception of universal rights (a term in itself that is often undefined among anthropologists). Each culture has a right to their way of living. Even though some cultures practices may seem cruel, like the circumcision of young girls in Africa, these cultures have been practicing their traditions for hundreds of years and do not see them as unreasonable or cruel. They can choose freely how to live and govern themselves as long as individual rights, specific to that culture, are still upheld. As a culture, you have a right to define your way of living. It is only when the line of human rights is crossed that the right as a culture can be questioned.

Rights as culture vary from people to people. As an individual participating in a culture, you are granted certain rights. Slavery, from an anthropological perspective is a violation of human rights. The idea of “right as culture” supports slavery as a violation of human rights. It is because of the rights of the enslaved that this can be said. The enslaved has rights pertinent to his/her culture that the person facilitating the slavery is overlooking. The violation of these rights cross the boundary of inhumane. It is therefore impossible to justify the idea of slavery when looking at it from a cultural perspective.

## Human Rights and Cultural Relevance

It is the job of cultural anthropologists to study the world around them to better understand the differences of all the various cultures. Even with human rights clearly defined in a universal list of 30 articles; there still can be unclear cultural practices that question these articles by law and by morality of some.

Today many organizations have been formed to protect and fight for the rights of all man-kind.

Amnesty International: The oldest, biggest human rights group focused on individual, local human rights activism. Because AI stays strictly out of politics and avoids getting involved in issues outside its rather narrow mandate (area of concern), people from all sorts of political and religious backgrounds are members and work together.

Electronic Frontier Foundation: Founded to promote and extend the concept of civil liberties to on-line communications. While the EFF is a U.S.-based group whose main focus is on U.S. law, it has a number of "sister organizations" in other countries.

Human Rights Watch: Founded in 1978 as Helsinki Watch, is a coalition formed by a number of independent regional human groups. They are perhaps the best human rights researchers in the field at present -- their reports are extremely thorough, carefully written, and backed by impressive amounts of detail and numerous sources.

Peacenet: Not a human rights group itself, but rather the first and largest computer network for activists in peace, human rights, and related issues. Peacenet is run by the Institute for Global Communications (IGC), an activity of the Tides Foundation, a San Francisco-based non-profit trust. It is a member of the Association for Progressive Communications, an international coalition of networks for peace and human rights activists. This is a good group for the hard core, on-line activists.[[286]](Print_version.html#cite_note-303)

Women’s Rights in America

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/09/Age-of-Brass_Triumph-of-Womans-Rights_1869.jpg/220px-Age-of-Brass_Triumph-of-Womans-Rights_1869.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This satirical 1869 cartoon is an example of the propaganda used in the Womens' Rights Movement.

Many rights that may seem inherent to our generations have not necessarily been that way forever. One great example is the woman’s suffrage movement. The end of the Civil War, when African Americans were given the right to vote, marked a date when women found themselves the last social group in America to be able to vote. Organized women’s movements originally stood for many causes. But around the year 1914, it seemed, most women activists were fighting for the right to vote. In New York City, women's movements “revived flagging local organizations, introduced new lobbying techniques, standardized membership lists, and established a state headquarters”. [[287]](Print_version.html#cite_note-304) People were rallying and protesting for the right to vote. All the hard work by women and fellow radicals eventually paid off. On August 18, 1920 women were given the right to vote with the addition of the 19th amendment to the Constitution.

  
**Labor, Land, and Women’s Rights in Africa: Challenges on the Rights of Women**

Recent developments illustrate an increasing awareness of the status of women’s rights in Africa and social well-being of women is contingent on rights to equality, health, education, and political participation in economic, electoral, and customary institutions. The Protocol could serve as a blueprint for African governments, engaged in revising their national constitutions and in passing new equality legislation, to incorporate a more fulsome recognition of women’s rights in these documents. Legal instruments of the African system largely ignored women’s rights until recent years. The 1963 Charter of the Organization of African Unity (“OAU”) made no mention of women. African nations designed the region’s primary human rights document—the African Charter—in 1981 to protect state sovereignty. The African Charter references women only twice: Article 2 includes sex in a broad non-discrimination clause and Article 18(3) requires states to eliminate every discrimination against women. The definition of employment at the most general level an activity for which one receives payment needs some elaboration in the African context. Employment for women in Africa is characterized by subsistence and small-scale farming, and their participation in informal trade is connected to agriculture, as opposed to what might be normally understood as paid labor. This “unpaid” work is typically tied to women’s duties as mothers and wives, and to their community and familial relationships. African women’s agricultural labor, including subsistence and small-scale farming, will be referred to as “informal” labor and is distinguished from formal or salaried/contractual work. It is in this “informal” labor context that African human rights instruments, of the kind that the Protocol aims to be, could usefully qualify and add to the existing international obligations of African states by framing labor rights not only in terms of salaried employment, but also as work in and for the home. Yet the Protocol adheres to a definition of labor that overly differentiates between employment and agricultural work. The rights related to employment focus on equal pay and on freedom from harassment—rights important in the context of a salaried position but of little consequence for women deriving income from land or trade. In this regard, the Protocol is limited in its ability to address the obstacles that women face in developing and owning land and the impact of these obstacles on women’s ability to sustain a liveable wage. Before analyzing the provisions regarding labor and employment in the Protocol more carefully, it is useful to explore the context in which many African women perform their labor. Although specific employment patterns diverge across Africa, regional patterns seem to exist: 80% of African women do agricultural work, which is the mainstay of most East African economies, and few women perform salaried professional and clerical work. Sub-Saharan African countries, like Kenya, reflect similar employment patterns: women are largely excluded from formal, paid employment and they constitute almost half of the agricultural workforce and 70% to 80% of all subsistence farmers. The chief reasons cited for women’s exclusion from the formal sector are lack of education, poor mobility, restrictions on reproductive choice, and workplace discrimination.

references: baobabwomen.org,apic.igc.org/docs96/wom9607.htm, apic.igc.org/docs96/wom9607.htm web.africa.ufl.edu/asq/v2/v2i3a2.htm

  


### Genital Cutting: two sides

There are approximately 85-114 million women with mutilated genitalia, and millions more face the practice each year. Mostly practiced in Africa, FGM (female genital mutilation) has many different levels of severity, with three main varieties of the procedure. The first is Sunna (meaning “tradition" in Arabic) Circumcision which involves the removal of the prepuce, or retractable fold of skin, or hood, and/or the tip of the clitoris. The second type is a clitoridectomy, which consists of the removal of the entire clitoris (prepuce and glands) and the removal of the adjacent labia. Lastly is infibulation, or pharonic circumcision. Infibulation involves a clitoridectomy followed by the remaining tissue being stitched closed, leaving a small hole to allow for urine and menstrual blood to flow through. Most cases of female genital cutting occurs between the ages of four and eight and the use of anesthesia is rare. FGM is practiced in order for the women of their culture to be accepted; it is the beginning of being a women. Although there are different religions that practice FGM not one of these groups require it. The reactions to FGM involve national action and law.

Female genital mutilation is a prime example of cultural relativism. Cultural relativism is a principle stating that a given practice can be truly understood only from the context of the culture in which it is practiced. From a western prospective, female genital mutilation is viewed as inhumane and a violation of human rights. However, from the prospective of a member of a village in Africa that does practice female genital cutting (such as Senegal), this may be a social normalcy comparable to male circumcision in the United States.

FGM is a controversial issue that does not have a clear and concise answer. An international campaign to eliminate female genital cutting has been active since the early 90's, actively attempting to divorce itself from a health framework, adopting instead a human rights framework to justify the intervention.[[288]](Print_version.html#cite_note-305) In western culture genital cutting is not part of the culture and therefore not accepted. But with the numbers of mutilated women in the millions there is a strong conviction for many cultures to maintain the act. Different cultural factors affect the beliefs all over the world about whether the act of genital cutting is an appropriate action. There are many negative factors regarding genital cutting; effects include extreme pain, susceptibility to infection, sometimes death, HIV susceptibility, abscesses and small benign tumours, haemorrhages, shock, and clitoral cysts, and decreased, if not elimination, of sexual pleasure. Long term effects may include kidney stones, sterility, sexual dysfunction, depression, various urinary tract infections, various gynecological and problems with child birth. For us in the Western part of the world it seems ridiculous to go under such a risky procedure just to be accepted. The upside of the cultural cutting is that the girls can now be respected adults among the community and start a family,and the fact that this custom has been practiced throughout their culture for many generations. In Sudan, for example, a family's honor derives from a woman's sexual conduct and by practicing genital cutting families can curb their sexual desires. These unbalanced side effects cause uproar among human rights activist For more information on genital cutting see [Female Genital Cutting](http://en.wikipedia.org/wiki/Female_genital_cutting).

#### Female Genital Cutting in Britain

One of the more interesting examples of female genital cutting is placed in Britain. Most FGC (female genital cutting) occurs in Africa and is under hot debate with human rights activists because of all of the negative affects associated with FGC. Britain is a westernized type culture and so genital cutting is strictly forbidden. It was officially outlawed in 1985 and considered child abuse nationally. Still, even with government stepping in to stop this cultural sin an underground culture grew to where parents were leaving the country in order to see their children to adult hood. Even in cases where widespread education campaigns reach the people and inform of the technological advances and horrific consequences of genital mutilation it still happens. I believe that in a world with so many different views that it would be strange if everyone thought the same way. This practice of FGC may not be pretty and may have terrible outcomes but it is part of some cultures and to them nothing matters more than preserving their beliefs and rituals.[[289]](Print_version.html#cite_note-306)

### Entitlements

Entitlements are the socially defined rights to life sustaining resources, meaning access to things that are seen as basic human rights. In cultures like the United States, government entitlement programs are expected to maintain equality in employment opportunities, access to healthcare, and correct any other biases in the political system. Many American entitlements are depicted in the “United States Bill of Rights.” However, in many developing countries where entitlements are not as explicitly defined and enforced, it is a struggle for citizens to hold entitlements.

#### Entitlements in the United States

One view concerning entitlements in the United States is that the country is cover-obligated when it comes to [entitlements](http://en.wikipedia.org/wiki/entitlement) that may bankrupt the nation. The U.S. is currently obligated to pay over $50 trillion. Without reform, the US could follow suit of Argentina who defaulted on their debt, which had an overwhelming effect on their economy and standard of living. [[290]](Print_version.html#cite_note-307)

Health care can be used as an example, because it is considered an unalienable right in the U.S. Currently American tax payers and the government is footing the bill for medical coverage for those who cannot afford it because they are "entitled" to it. Lower classed citizens have developed a dependence on the government to take care of them and focus tax dollars on their entitlements like Medicaid welfare. This entitlement mentality has pushed the US deeper into debt, because of the social transition from independence to reliance.

Not only is this idea of entitlement hurting the U.S on a national level, it is also damaging the citizens at a more personal level and many people do not recognize this. People do not really contribute to their workplace. They simply show up and have 'face time' and expect that simply because they are there they are entitled to get their raise or promotion. As Phillipe Bourgois’ article “Workaday World, Crack Economy”, describes, although this sense of entitlement is felt many people from areas such as East Harlem, simply quit working legally all together. [[291]](Print_version.html#cite_note-308) This mind set causes the work ethic and motivation of employees to drop, which decreases their productivity. This epidemic that has begun to sweep the nation is a grass roots reason for the economic position the country is in.[[292]](Print_version.html#cite_note-309)

This concept of individualism and independence characteristic of Americans who advocate the idea that the U.S. spends too much on entitlements is not characteristic of all of Americans, and indeed is not characteristic of many other societies throughout the rest of the world who believe that all their citizens have a right to healthcare, food water, etc. Many believe that the U.S. does not provide enough entitlements for its citizens, especially when compared to the majority of the other developed countries in the world. In fact, the Human Development Index--which ranks countries according to factors such as health, knowledge and education, and standard of living--ranks the U.S. at #15, whereas many countries who provide their citizens with much more entitlements are ranked much higher. [[293]](Print_version.html#cite_note-310) Furthermore, many people make the argument that U.S. debt is a result of immense military spending, not entitlement payments. For example, Wallsten and Kosec [[294]](Print_version.html#cite_note-311) estimate that the U.S. is spending approximately $200 billion per year on military expenditures. Contrastingly, the estimated annual cost of several entitlement programs are much smaller; for example, universal health care would cost only half the current U.S. military expenditures.

### Cultural Imperialism

[Cultural Imperialism](http://en.wikipedia.org/wiki/Cultural_imperialism) was first conceptualized during the Cold War. There are two ideas cultural imperialism is based on. The first is that some cultures will dominate other cultures; while the second is cultural domination by one culture will eventually destruct the lesser culture(s) and the dominating one will take its place. A common wrong example of cultural imperialism is the Western culture imperialism across the world, which is erasing local traditions and replacing them with cell phones, McDonald's, and radios. However, anthropologists dismissed this because of three things: cultural imperialism assumes the citizens do not have the means of resisting anything of Western origin; non-Western music, food, and material have been able to integrate into Western Europe and the United States, and ignores the fact that cultural forms and practices sometimes move around the world, without ever reaching the West.

### Cultural Hybridity

Anthropologists were not satisfied with the discourse of cultural imperialism, so they began to search for alternative ways of understanding global cultural flows. That is when the phrase borrowing-with-modification came to be. Borrowing cultural forms or practices from elsewhere always involves borrowing-with-modification. This phrase refers to the idea that people never adopt blindly, but always adopt what they borrow for local purposes. In other words people rarely accepted ideas, practices or objects from elsewhere without finding a way of adapting them to local practices in order to serve local purposes. This form of cultural change is very different from having something from elsewhere forced upon you, like cultural imperialism suggests. [[295]](Print_version.html#cite_note-312)

## References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

["Female Genital Mutilation: A Call to Action",Troubia N: New York, New York, Women, Ink, 1993. 48 p.](http://db.jhuccp.org/ics-wpd/exec/icswppro.dll?BU=http://db.jhuccp.org/ics-wpd/exec/icswppro.dll&QF0=DocNo&QI0=097837&TN=Popline&AC=QBE_QUERY&MR=30%25DL=1&&RL=1&&RF=LongRecordDisplay&DF=LongRecordDisplay)

  1. **[^](Print_version.html#ref_James_Birx_2006)** Birx, James. "Human Rights and Anthropology." Encyclopedia of Anthropology. 3. Thousand Oaks, CA: Sage Publications, Inc., 2006. Print. Pg. 1228.

← [Health and Healing](http://en.wikibooks.org/wiki/Cultural_Anthropology/Health_and_Healing) · [Marriage, Reproduction and Kinship](http://en.wikibooks.org/wiki/Cultural_Anthropology/Marriage,_Reproduction_and_Kinship) →

← [Health and Healing](http://en.wikibooks.org/wiki/Cultural_Anthropology/Health_and_Healing) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Marriage, Reproduction and Kinship](http://en.wikibooks.org/wiki/Cultural_Anthropology/Marriage,_Reproduction_and_Kinship) →

  


# Marriage, Reproduction and Kinship

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2b/Henna.jpg/750px-Henna.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bride's hands with henna, India.

## Reproduction and Kinship

Anthropologists study kinship because it is the relationship between people through marriage, family, or other cultural arrangements. The two types of kinship which exist are consanguinial (related by blood) or affinal (related by law/marriage). Through kinship there is a transmission of goods, ideas and behavior. Kinship is defined as a sense of being related to a person or people through descent, sharing or marriage. This provides the base for an examination of different styles of partnership, community and reproduction across the globe.

## Sexuality

### Sexual Orientation

Sexual orientation is the pattern of sexual and emotional attraction based on the gender of one's partner. [Heterosexuality](http://en.wikipedia.org/wiki/Heterosexuality) refers to the emotional and sexual attraction between men and women. In the contemporary American culture, heterosexuality is the only sexual orientation to receive complete social and legal legitimacy. [[157]](Print_version.html#endnote_Strong.2C_Yarber.2C_Sayad.2C_DeVault.2C_2008) Though heterosexuality is viewed as the "norm" in the United States, many other cultures maintain a very diverse perspective on sexuality and sexual orientation. Various types of sexual orientation are defined below, and can be found in many different cultures across the globe.

  * [Homosexuality](http://en.wikipedia.org/wiki/Homosexuality): Being emotionally and sexually attracted to those of the same sex. ["Lesbian"](http://en.wikipedia.org/wiki/Lesbian) is used to refer to a woman being attracted to other women; ["Gay"](http://en.wikipedia.org/wiki/gay) is used to refer to a man being attracted to other men.
  * [Bisexuality](http://en.wikipedia.org/wiki/Bisexuality): Being both emotionally and sexually attracted to both males and females.
  * [Pansexuality](http://en.wikipedia.org/wiki/Pansexuality): The potential for attraction to people, regardless of their biological sex or gender. This includes a possibility for attraction to those who fall outside the [gender binary](http://en.wikipedia.org/wiki/gender_binary) of male/female.
  * [Asexual](http://en.wikipedia.org/wiki/Asexual): One without sex-linked features, lacking any apparent sex or sex organs [[158]](Print_version.html#endnote_Microsoft_Encarta_College_Dictionary.2C_2001) or one that does not experience or represses any sexual attraction. [[159]](Print_version.html#endnote_Asexuality.org.2C_2012)
  * [Transgender](http://en.wikipedia.org/wiki/Transgender): Not a sexual orientation, but the state of one's own gender identity not matching their assigned sex. Transgender people may identify as any sexual orientation listed above.

There is also the term [queer](http://en.wikipedia.org/wiki/queer), which is a term reclaimed by the [LGBT](http://en.wikipedia.org/wiki/LGBT) community. Queer is an umbrella term which refers to anyone who is outside of the [heteronormative](http://en.wikipedia.org/wiki/heteronormative) society. [Questioning](http://en.wikipedia.org/wiki/Questioning) is also used to refer to those who are not sure about their sexuality but wish to examine it further. Although these terms are used to describe one’s sexual orientation, they may be offensive depending on the person. One person may identify themselves as queer and have no problem with the term, however, another person may find the term offensive and not identify as queer but instead homosexual. Superscript text

#### Cultural Examples of LGBT Relationships

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Marcha-orgullo-buenos-aires.JPG/220px-Marcha-orgullo-buenos-aires.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

2007 [Pride parade](http://en.wikibooks.org/w/index.php?title=Pride_parade&action=edit&redlink=1) in Buenos Aires with _LGBT_ visible in a groups' banner (top right of image)

In other parts of the world, some cultures regard various sexual orientations very highly. Transsexuals and same-sex relationships are seen in some cultures as acceptable, normal, and even preferable and honored.

#### [Two-Spirit](http://en.wikipedia.org/wiki/Two-Spirit)

In many North American indigenous tribes, a person could be two-spirit. They were generally viewed to have two spirits within them: both masculine and feminine. They dress using both the male and female garments, and filled an essential and respected role in society. They generally took on this role around puberty. Male-bodied two-spirits could be gravediggers, conductors of rituals, nurses during war, craftspeople, storytellers, and other roles. Female-bodied two-spirits could be traders, warriors, chiefs, hunters, guides, and other roles. Both could be diviners or medicine people. It was generally accepted that two-spirits had special power. They could have relationships with people of any sex, and the relationship was viewed more as "hetero-gender" than specifically homosexual or heterosexual. In today's world, the role is being reclaimed by Native Americans who identify as such.

#### Lesbianism in Mombasa

Anthropologist Gill Shepherd explored female sexual relationships among Swahili Muslims in Mombasa, Kenya, and found that relationships between females were perfectly acceptable, as were relationships between men. Women are allowed to choose other women as sexual partners after they are married; so many such women also have a husband at home, or are widowed or divorced. Both sexes are open about their homosexual relationships, and it is considered normal. No one, unlike in Western culture, would think that homosexual relationships would damage a person's piety or moral fiber. Having a woman for a lover is less important than a woman's rank, and her being a good Arab and Muslim. A relationship may be set up in a number of ways: a young woman can go around to wealthy lesbian circles in order to find someone; a wealthy woman may not want her autonomy diminished by a husband and so establishes a relationship with another woman so that she may continue in her independence; a wealthy woman may set up a marriage of convenience with a man for a poorer woman, so that when they are divorced soon after the poorer woman will live with her lesbian benefactress; and any number of other ways. The relationships are not stigmatized and having a lesbian relationship, while less respectable than being married to a man, is nonetheless better than not being married at all. The relationships can or cannot include a sexual relationship, but a sexual relationship is more likely when one woman pays a bride-price and constructs her own compound.

#### Homosexuality in Nicaragua

In Nicaragua, the ideal for masculinity is ["machismo"](http://en.wikipedia.org/wiki/Machismo), and it is described as a man who is dominant, active, and violent. In the U.S., this is often viewed as a man dominating his female partner. However, in Nicaragua, this can also be applied to the sexual relationship between men. It is viewed as normal that men would have sexual attraction to another, and the act itself is not stigmatized. The "macho" dominates the other man, and he is therefore called a "cochón". This role is made fun of, and is typically seen as passive and weak. Though the cochón is made fun of, he is never attacked for his role. There are no hate crimes against homosexual men, unlike in the U.S., probably because homosexual tendencies are seen as normal.

#### Ancient Greece

In Ancient Greece, same-sex relationships between men were considered the highest form of love; they were just as common and accepted as heterosexual relationships in America today. This male-male relationship was based on love and reciprocity, and typically called for the older man to initiate the relationship. He would give gifts to the younger man as a promise of love. The relationship between the lover (the older man) and the beloved (the younger boy) was thought to be of the highest form of love [[296]](Print_version.html#cite_note-313). It showed that the men regarded furthering themselves in knowledge and intelligence rather than just a physical connection. Some who did not attempt to make this connection were seen as "shallow" The older man would become the mentor and lover to the younger man, and the two would form a close emotional bond. The youth would be taught his duties as a citizen, and skills to further his place in society by the older man, and once the youth reached adulthood, the sexual relationship between the two men evolved into a very strong friendship. As an adult, the youth would then marry a woman, and initiate a relationship with another adolescent.

An exclusively homosexual relationship was discouraged however, and not considered a substitute for male-female marriage. Marriage, and the children that would be produced within it,was required to maintain the family and society. The wives were viewed by their husbands as domestics and child bearers.[[160]](Print_version.html#endnote_Strong.2C_Yarber.2C_Sayad.2C_DeVault.2C_2008). While the men were away with their young lovers, women raised children, and took care of the household. Women were discouraged from taking lovers outside of the marriage bed.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ac/BattleofIssus333BC-mosaic-detail1.jpg/220px-BattleofIssus333BC-mosaic-detail1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Alexander the Great.

Examples of this highly regarded male-male relationship can be found all throughout Greek myth, and Greek history. One example is the story of Apollo and Hyacinthus; Apollo fell in love with a mortal boy, Hyacinthus, and became a mentor to the youth. He taught Hyacinthus the art of war and sports and visited him often (Hyacinthus died during a javelin accident, and from his blood the [Hyacinth](http://en.wikipedia.org/wiki/Hyacinth_\(plant\)) was created). In another version, they were exercising one day throwing around a discus. Apollo threw it and Hyacinthus ran after the discus, but it hit the ground, bounced, and stroked the ground, killing Hyacinthus. He then became a purple flower with AI on the petals. Other Greek gods and Greek heroes have stories attributed to them about their same-sex relationships, Zeus and Hercules among them.

It has also been said, though not confirmed, that Alexander the Great, the renowned Greek conqueror of Persia, had homosexual relationships with his close friend Hephaestion.

#### Ritual Homosexuality of the Sambia

In 1981, the American anthropologist [Gilbert Herdt](http://en.wikipedia.org/wiki/Gilbert_Herdt) described the pseudonymous "Sambia" people, a tribe located in [Papua New Guinea](http://en.wikipedia.org/wiki/Papua_New_Guinea). They are remarkable for their beliefs about human fertility cycles and the rites of passage they constructed as a result.[[161]](Print_version.html#endnote_Herdt.2C_Gilbert_1981)

The Sambia place the onus of reproductive vitality on the male, believing that the baby is formed in the mother's womb by the father's life-giving semen. The child then gets all nourishment from the mother's milk, which causes them to grow and develop in the early stage of life. At the onset of [puberty](http://en.wikipedia.org/wiki/puberty), however, it is believed that to develop any further the child must be reintroduced to the life-giving semen -- the male's analogue to milk. However, since they view semen as a highly scarce albeit necessary resource for development, it must be carefully distributed among their people.

Thus, from ages seven to ten, boys are taken from their mothers and initiated into highly secret and complex ritual associations whereby the boys are taught to [fellate](http://en.wikipedia.org/wiki/fellatio) older boys and bring them to [orgasm](http://en.wikipedia.org/wiki/orgasm), thereby ingesting their life-giving semen. It's thought that by doing this they will develop into strong and reproductively viable human beings. Around the ages of 14, the boys switch places and become the fellated, providing the necessary sustenance for the next generation to develop.

Interestingly, the cultural practices of secret initiation diminished across the 1980s and by 1990 the secret initiation rituals were no longer practiced [[297]](Print_version.html#cite_note-314).

#### Homosexuality in Brazil

As a country, Brazil has been home to probably just as many homosexuals as any other country. What sets them apart however is the promenience with which same-sex rights has been fought for in their culture. [[298]](Print_version.html#cite_note-315) The first organized Homosexual group was called SOMOS, and they formed in 1979. Today there are over 70 groups that are interested in gay rights operating within the country. The São Paulo Gay Pride Parade is also one of the largest in the world, with over 2 million participants a year. Even the Brazilian President,Luiz Lula, has been fighting to pass a 'homophobia law' which would count criticizing homosexual behavior as a crime.

#### Family Rights of LGBT Couples

There is a lot of debate on whether or not a same sex couple should be allowed to parent children, whether artificially implanted or adopted. This debate has gone on for so long mainly because many religious groups believe that children can only be properly parented by a father and mother combination. This may be because they don’t believe in the union of same sex couples but they also believe that the child will suffer if parented by the same sex. Many welfare agencies believe that if two people are competent caring adults they should be allowed to adopt regardless of gender. This fact is based on the idea that heterosexual couples often have problems raising children, too. "Research has found no major differences in parenting or child development between families headed by two mothers and other fatherless families".[[162]](Print_version.html#endnote_SSM) In 2008, judge Cindy S. Lederman overturned a Florida state law that prevented homosexual couples from adopting children, stating no "moral or scientific reason for banning gays and lesbians from adopting, despite the state's arguments otherwise."[[299]](Print_version.html#cite_note-316) Hopefully, this will serve as an example other states will follow, including Arkansas which recently banned all unwed couples from adopting; a law aimed specifically at homosexual couples.[[300]](Print_version.html#cite_note-317)

### Conflicting Views on Sexuality

Views on sexuality differ from culture to culture. Some cultures embrace sexuality, while others completely avoid it. This can even range considerably among industrial nations. A popular example is that breastfeeding in public in America is generally despised, whereas in Europe, it is accepted.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/24/Breast_feeding_within_minutes.jpg/220px-Breast_feeding_within_minutes.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

In Europe breastfeeding in public is seen as entirely normal, while in the US it is generally looked down upon.

The USA has a really taboo view on sexuality, it is definitely everywhere a person looks but somehow the USA has a really conservative look on sexuality.

For example I was at the mall not too long ago and I saw a woman feeding her infant in the food court. I was not surprised or disgusted in any way but the friend that I was with and many other people around us started to whisper give evil looks to the woman and some people even got up and left the food court. I was shocked, all the woman was doing was feeding her own baby, what was wrong with that? Apparently a lot my friend informed me. In my friend’s eye the woman was not only feeding her child but also trying to draw attention to her self by showing off her breasts. My friend had a disgusted look on her face and called the mother a whore. At that point I understood that my friend had just a different cultural view on feeding infants in public places than I did. I come from Europe and there feeding your child in a public place it is not a big deal.

#### Inis Beag

[Inis Beag](http://en.wikipedia.org/wiki/Inis_Beag) was a sexually inexperienced community off the coast of Ireland. In 1960, anthropologists visited this society to collect information on their customs. Inis Beag was considered to be people of the land. They grew potatoes, owned horses, sheep, cattle, and goats. Members of Inis Beag knew practically nothing about sex. Anything sexual was considered a sin except in the case of post-marital reproduction. Children were never allowed to see anyone naked and the genders were usually kept separate. They were sponged-bathed and at an early age only their face, legs, neck, and arms were cleansed. Sex was never discussed so most girls did not know what to do when their first menstrual cycle occurred and they did not know what to expect on their wedding night. Although the men were not experienced either, they learned of intercourse through the teachings of older men and by viewing animals. Nudity was so abhorred that even clothes were not removed during sex. The women were expected to endure intercourse with the largest reluctance and it was considered a mortal sin to enjoy it by having an orgasm.

#### Trobriand Islands

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Paul_Avril_-_Les_Sonnetts_Luxurieux_\(1892\)_de_Pietro_Aretino,_1.jpg/220px-Paul_Avril_-_Les_Sonnetts_Luxurieux_\(1892\)_de_Pietro_Aretino,_1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A man and a woman engage in intercourse with a cupid like character in the background.

Unlike Inis Beag, the inhabitants of [Trobriand Islands](http://en.wikipedia.org/wiki/Trobriand_Islands) are very open to sex. These Melanesians live on a group of 22 islands part of Papua New Guinea and they are not nearly as conservative when it comes to everyday dress. Premarital intercourse is universal in their culture and even children as young as three years old are permitted to explore their sexuality. Not much was known about their lives until Polish anthropologist Bronislaw Malinowksi studied them first hand from 1914-1918 and went on to write [<http://en.wikipedia.org/wiki/Argonauts_of_the_Western_Pacific> Argonauts of the Western Pacific.]

## Reproduction

Reproduction is the biological process that produces new organisms. Reproduction is a basic function of every organism on Earth and passes on the building blocks of life from one generation to another. Every culture in the world has traditions, rules, and ceremonies which preside around reproduction. These may range from sexual practices of Hawaiian nobility to the Supreme Court of the United States in legal disputes such as Roe v. Wade. Reproduction is an ever present variable in anthropology and a prevalent force literally shaping the world.

Almost all cultures have norms governing sex and reproduction [premarital sex](http://en.wikipedia.org/wiki/Premarital_sex), these range from cultural universals such as the incest taboo to legal concepts such as [child support](http://en.wikipedia.org/wiki/child_support). However even these taboos are not found to be entirely universal. In many early cultures, such as the Hawaiians, royalty could only be passed down to the child of two royal family members, usually a brother and sister. Different cultures each have individual expectations if the women regarding when they begin having children, how many they have, and what age they usually stop having children. For example, women in more male-dominated societies have less or no say in their reproductive processes and health. Reproduction is the biological process by which new individual organisms are produced. Reproduction is a fundamental feature of all known life; each individual organism exists as the result of reproduction. The known methods of reproduction are broadly grouped into two main types: sexual and asexual. In asexual reproduction, an individual can reproduce without involvement with another individual of that species. The division of a bacterial cell into two daughter cells is an example of asexual reproduction. Asexual reproduction is not, however, limited to single-celled organisms. Most plants have the ability to reproduce asexually. However no human has been known to be able to reproduce asexually. Sexual reproduction requires the involvement of two individuals, typically one of each sex.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Pregnant_woman2.jpg/220px-Pregnant_woman2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A pregnant woman nurtures her child in the womb for nine months before giving birth.

Before the 1970s in China it was very taboo to engage in premarital sex. However, in the 1980s the Chinese government began to make many rules regarding marriage and reproduction. They had a policy that each family was only allowed one child. They also had restrictions on the age people were allowed to get married. Women could not marry until they were 20 and men had to wait until they were 23. Couples also had to receive permission from their work place before they could be married. These restrictions led to the “engagement” becoming popular in China. The couple would travel to a nearby city to get their engagement photos taken and purchase items for the wedding. The couples would often go alone without parental supervision so they were able to engage in premarital sex.These Chinese couples had little to no idea how sex worked because their parents had not informed them yet; this was usually done right before the son or daughter was about to be married. This led to young couples looking to western porn as a type of "transcript" on how sex worked. This was obviously a big problem and led to more open talk about premarital sex. These practices lead to premarital sex becoming a less taboo subject in China.

### Reproduction: An Anthropological Definition & Focus

According to the Encyclopedia of Anthropology, human reproduction refers to "the process by which new social members are produced- specifically, the physiological process of conception, pregnancy, birth, and child raising. From a larger prospective, reproduction is what makes a whole society continue to thrive without becoming extinct. Power has come to be the central concern of reproductive studies since the power to control reproduction of large populations ultimately has power over the population. This is why, since the 1990's, anthropological studies of reproduction have mainly focused on the "new reproductive technologies." These technologies have been designed to intervene in human reproduction. Examples of "new reproductive technologies" include intrauterine devices, birth control pills, artificial insemination, in-vitro fertilization, and anything else that can manipulate reproduction.

#### Control of pregnancy

Women are thought to have control over fertility. Due to paternity uncertainty, men often construct cultures that inhibit the open transmission of this knowledge. In different environments, and depending on cultural factors, individuals control pregnancy in different ways.

  * Foragers: To reduce the chances of a pregnancy foragers will have a low fat diet, increase physical work, breastfeed (which increases the chances of [lactational amenorrhea](http://en.wikipedia.org/wiki/en:Lactational_amenorrhea_method)) and use induced abortion/[infanticide](http://en.wikipedia.org/wiki/en:infanticide) if previous methods do not work. For foragers, children are not seen as much of a positive contribution to the family, because it often just means more mouths to feed. However foragers also understand that the new generation of children, who may not at first be able to help much, will not only be able to help hunt and forage in the future but the weight of that particular tribe will one day rest on their shoulders.
  * Agricultural: Women will use pro-natal techniques and herbs (although usually in agricultural societies more children are preferable, as it means more workers).
  * Industrial: Women use hormonal and chemical types of birth control. The pill, IUD and vaginal ring are common examples. The ortho-evra patch was a widely used form of birth control until the FDA announced higher risk of heart attack and stroke associated with this form of birth control.[[301]](Print_version.html#cite_note-318) Condoms are also used as a barrier method to prevent pregnancy as well as transmission of [STI's](http://en.wikipedia.org/wiki/Sexually_Transmitted_Infection).

#### Childbirth

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Umbilical-newborn.jpg/220px-Umbilical-newborn.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

This infant is having its umbilical cord clamped using sterile procedure, a western biomedical practice that reduces the risk of tetanus infection.

Childbirth varies for women in all different kinds of cultures. More industrialized societies, such as America, make such a big “to-do” when a woman has a baby, as opposed to many other cultures that handle it very differently. Agricultural societies usually handle childbirth with midwives [[163]](http://dictionary.reference.com/browse/midwives?qsrc=2888), and foraging cultures usually give birth individually. An example would be when an American woman goes into childbirth, she’s usually rushed to the hospital by whomever happens to be with her (usually the woman’s spouse), she is immediately taken to a sanitary environment where there are sometimes several people in the room assisting, either the doctor/nurse, and the woman herself. Though in a sterile environment, the newborn infant is not entirely safe from disease. Afterall, most western cultures consider it normal to give birth in the same building that houses all of society's sick as well. Western science sometimes lack the conventional wisdom of other cultures who have been giving birth for thousands of years. Complications do happen on a regular basis, but because of the high-pace environment, the complications can usually be resolved. Now if one were to look at a foraging society, such as the Ache from Paraguay, when the women go into labor, they simply go into a more secluded area, squat, proceed to deliver their child by themselves, bite off the umbilical cord, put the newborn to breast, probably clean themselves and their baby, and go back to their people (hopefully to rest). Complications are much more common in this situation; risk of infection, risk of excessive bleeding, and overall lack of medical attention. Many other cultures (sometimes including American) use midwives for several different reasons; childbirth can happen in the home yet still have medical skill and experience to accompany them. Women and their families choose this route either because of religious reasons, cultural purposes, or even lack of financial adequacy to pay hospital bills.[[164]](Print_version.html#endnote_James_2009)

#### Abortion

[Abortion](http://en.wikipedia.org/wiki/Abortion) is the action of terminating a [pregnancy](http://en.wikipedia.org/wiki/pregnancy). To do this one must remove the embryo or fetus from a woman's uterus after conception. There are several different ways to perform an abortion. Induced abortions are different from spontaneous abortions (also defined as a miscarriage), because an induced abortion is usually done on purpose, where as a spontaneous abortion is usually unexpected. There are a variety of ways to perform an induced abortion, some relatively safe and others extremely dangerous. In more developed countries the use of Medical or Surgical abortion is used. Medical abortion is preformed with the use of pharmaceutical drugs, which are only useful in the first trimester of a pregnancy. Surgical abortion (also known as a vacuum abortion) is the most common method used. To perform a surgical abortion one removes the fetus or embryo, membranes and placenta using a suction method with a syringe (this is called manual [vacuum aspiration](http://en.wikipedia.org/wiki/Vacuum_aspiration) or MVA). Another way to perform a surgical abortion is through the use of an electric pump (this is called electric vacuum aspiration or EVA). Surgical abortion is usually preformed from the fifteenth week of pregnancy to the twenty-sixth.

There are also other types of abortion that are not preformed medically or surgically. These methods include the use of herbs and special diets as discussed above in the section control of pregnancy. There are also other ways that are not as safe. One method of abortion is attempted from abdomen trauma or putting pressure on the uterus externally. The amount of force upon the abdomen is extreme and does not always succeed in a miscarriage. This form of abortion can result in internal bruising and can be harmful to the mother of the child. The most unsafe methods of abortion are almost always self-induced through the insertion of non-medical tools into the uterus. These tools can include wire clothing hangers or even knitting needles. Self induced abortions are most dangerous because they can result in infection and lacerations of the uterus which could eventually result in death if not properly treated. Overall the pain of a surgical abortion can be compared to less than a toothache but more than a headache or backache.

**Abortion in the United States**

[Abortion in the United States](http://en.wikipedia.org/wiki/Abortion_in_the_United_States#Abortion_before_Roe) is a very controversial issue. There is quite a bit of political and ethical debate that underlies whether or not it should be legal. In a legal sense in the United States the term abortion refers to induced abortion as opposed to spontaneous, because it is purposeful. Currently in the United States abortion is legal but can be restricted by any state to varying degrees, as a result of the highly controversial 1973 case [Roe v. Wade](http://en.wikipedia.org/wiki/Roe_v._Wade) case. These restrictions include prohibiting abortion after specific amounts of time during the pregnancy (i.e. after the second trimester), required parent notifications for minors, parental consent for minors, and the permission to perform the abortion after informing the patient of the risks prior to the procedure. Before Roe v. Wade, abortion was illegal in over half of U.S. states and otherwise legal only in the case of rape or to protect a woman’s health. It was legal upon request in four states. In deciding the outcome of Roe v. Wade, the Supreme Court ruled that forbidding abortion except when necessary for a woman’s health was unconstitutional and that the issue of abortion fell under the constitutional right to privacy. Today’s view on whether or not abortion should be legal is largely divided between those who are Pro-Choice and those who are Pro-Life. Opinions are based on religion, gender, political party, region, and can vary depending on specific reasons for a woman having an abortion. In 1969, The Center for Disease Control began documenting legal induced abortions in the U.S. Unmarried women had the highest rate of abortion (82%), 55% were white women, and 51% were 25 years of age and younger. [[302]](Print_version.html#cite_note-319) In the U.S. today it can cost between $300 and $600 for the first trimester and $500 to $5000 for the second trimester to perform a surgical abortion.[[165]](Print_version.html#endnote_Feminist_Women_Health_Center)[[166]](http://www.nytimes.com/2006/01/06/opinion/06fri3.html)In May 2009, one of three late term abortion licensed doctors in the country, Dr. Tiller, was killed by an Pro-Life extremist. According to police reports Tiller's had been the victim of vandalism, shootings and bombings by radical anti-abortion groups. This crime continues to reinforce how the country remains divided on the issue.

**Abortion in East Africa**

Reproductive right is so important in an individual life in and especially to women. “Abortion is a necessity for millions of women worldwide, for their health, for their wellbeing, for their dreams of a better tomorrow.” I was raised in an east African country called Eritrea and abortion is illegal unless it’s medically necessary for the health of the mother. When young girls get pregnant unexpectedly and they don’t have doctor’s approval then they can’t abort legally. “The reality is that a woman will seek an abortion—legal or otherwise—almost instinctively and in self defense.” Rules do not stop these young girls from aborting and they would do it illegally if they really want to get rid of their pregnancy. I have heard of many girls that have died from illegal abortions. Therefore, I think abortion should just be legal even without doctor’s approval because if women don’t want to give birth, they will abort one way or another. (<http://feminist.org/rrights/>)

**Abortion in Colombia**

Unlike in America, Colombia has much more strict laws regarding abortion. Colombia along with El Salvador, and Chile were the 3 countries in Latin America which completely prohibited any kind of abortion by law.

On May 10th 2006, Colombia’s Constitutional Court ruled abortion legal only when pregnancy endangers the life or health of the mother, or results from rape or incest, or if the fetus is unlikely to survive. This ruling caused a large controversy between the Catholic Church and the doctors who perform the surgeries as well as the women who chose to have the abortion.

The United States the right to choose an abortion is based on the women’s right to privacy. In contrast, Colombia’s ruling for abortion is based on the women’s right to heath, life and equality. In Colombia, it is estimated that on average women have more than one illegal abortion throughout their life. [[303]](Print_version.html#cite_note-320)

#### Puberty

[Puberty](http://en.wikipedia.org/wiki/Puberty) is the onset of sexual maturity in humans that occurs at roughly the same time as the adolescent growth spurt. For most girls, growth spurt starts at age about 10 ½ and sexual maturation begins at about 9 to 11. Typically boys lag behind girls by 2 to 3 years; growth spurt starts at age about 13 and sexual maturation begins at about 11 to 12. Age, at which puberty begins, however, varies due to genetic and environmental factors such as nutritional state or social circumstances. Puberty is also a transition from childhood to adulthood. In females the reproductive cycle of ovulation and menstruation begins, pubic hair appears, and development of the breasts and other body contours takes place. Physical changes in males include production and discharge of semen, appearance of facial and body hair, and deepening of the voice. In many cultures, this transition is celebrated, seen as a positive and momentous event. In other cultures, it is seen as a negative change, one that presents “risk” of teenage promiscuity and pregnancy, sexually transmitted disease, etc..

An ethnographic example of a positive puberty ritual can be found in Navajo culture. When a Navajo girl reaches puberty, she undergoes a four day ceremony called Kinaalda which signifies her transformation from childhood into womanhood. The ceremony is centered around the Navajo myth of Changing woman [[167]](http://en.wikipedia.org/wiki/Blessing_Way), the first woman on Earth who was able to bear children. The myth says that Changing Woman performed the first Kinaalda and that the ceremony gave her the ability to have children. Because of this, all Navajo girls must also undergo the ceremony so that they will grow into strong women who can also have children.[[168]](http://en.wikipedia.org/wiki/Menarche#Cultural_aspects_of_menarche)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/41/Bar_Mitzvah_Western_Wall.jpg/220px-Bar_Mitzvah_Western_Wall.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Bar Mitzvah taking place at the Western Wall in Jerusalem.

Likewise, many Hispanic cultures celebrate a woman's coming of age with the Quinceañera(from the Spanish word "quince" meaning 15). When a girl turns 15, it is traditional for her to celebrate both religiously and often socially with friends and family, showing that she has overcome puberty, reached adulthood, and is eligible for marriage, or more commonly today is ready to begin dating. The celebration begins with a Thanksgiving Mass, or "Misa de acción de gracias," which is attended by the close family, godparents, as well as up to seven damas(maids of honor) and 7 chambelanes (chamberlains). After the mass, many families choose to continue the celebration with an extravagant party, including fancy dresses, food, decorations, and often a live band playing music to dance to. Some girls choose to go on a trip instead of having a party, but still just enjoying time with family and close friends to celebrate the transition from childhood to womanhood. [[304]](Print_version.html#cite_note-321)

In Judaism as well there is a transition into adulthood that takes place at the age of thirteen (whether or not this is meant to be synchronized with puberty is unknown to me). For a boy this is called a Bar Mitzvah and for a girl it's called a Bat Mitzvah. For the individual it is one of the most important traditions in Judaism, rivaled only by marriage.

#### Birthing Practices

There are 4 main types of birth:

  * **complete birth**\- entire separation of the infant from the maternal body (after cutting of the umbilical cord)
  * **multiple birth**\- the birth of two or more offspring produced in the same gestation period
  * **post-term birth**\- birth of an infant at or after 42 completed weeks (294 days) of gestation
  * **[Premature birth](http://en.wikipedia.org/wiki/Premature_birth)**\- birth of an infant before 37 completed weeks (259 days) of gestation

The best position for the baby to be born is head first. The head first position poses the least amount of danger for both baby and mother. When a baby is breech (feet or buttocks first) it can cause many complications for both the baby and the mother.

It should also be noted that there are three main methods of giving birth:

**1\. Vaginal birth**\- the natural emergence of the baby from the mother's birth canal. This is the most preferred method of birth because of the personal connection the mother feels with her baby. This process starts with the onset of labor which consists of uterine contractions which starts the natural “pushing” of the baby down in the vagina for delivery. The natural pushing is the painful part of birth but it can be controlled with breathing exercises. The birthing process is also practiced in many different types of pain management. While pain management is often medical, there are types of natural birth that give women the choice to have a birth in a controlled and comfortable environment without the distraction or stress of the hospital.

  * **Types of Natural Birth:**
    * **HypnoBirthing:**

HypnoBirthing [[169]](http://www.hypnobirthingcolorado.com/whatishb.htm) was originally created in the United States by Marie Monogan who is the founder of The HypnoBirthing Institution. The method was created for Marie Monogan's daughter who was interested in having a calm and stress free birth. After the success of the method, it began to spread. Doctors observed and began to back the practice and lend a hand to its "fertility." Shortly after 1993, the method spread to the UK, Canada, and Australia. Now, hypnobirthing is taught in twenty-two countries and more people are becoming a part of it constantly. It has been recognized on an international level and continues to make an impact on mothers all over the world.

In hypnobirthing the mother undergoes self-hypnosis as a method of pain control. Hypnosis is defined as a naturally induced state of concentration, a place where mind and body can communicate with the subconscious mind. When in this state, communicating with the subconscious can help to control pain. According to HypnoBirthing of Colorado [[170]](http://www.hypnobirthingco.com/what_is_hypnosis) the state of self-hypnosis while delivering can put the woman in a completely relaxed and daydreamy attitude. The woman, however, will still feel in complete control and be able to sense her surges (also called contractions). In hypnobirthing, one of the goals is to let the body's natural painkillers, endorphins, to take over the pain instead of letting stress enhance pain. HypnoBirthing also can teach you how to work with your body to make giving birth a much calmer experience. Another of its main goals is keeping the mother alert and aware of her body.

    

  * **Advantages of Natural Childbirth through HypnoBirthing:**
    * It can help to eliminate fear, tension, and pain before and after birth
    * It can greatly reduce the want and need for chemical pain killers
    * It can shorten the first stage of labor
    * It can get rid of tiredness during birth, giving the mother the energy she needs to have a successful birth
    * It can help to prevent hyperventilation
    * It can promote special bonding for mother, baby, other companions
    * It can lead to shorter postnatal recovery
    * It can help the mother to have a more calm and peaceful experience
    * It allows the birthing companion to take a more prominent role

  * _There are 3 phases of vaginal birth:_
    * **1st phase:** The opening of the cervix or dilation. This is when the doctor will perform internal examinations to check the orientation and health of the baby
    * **2nd phase:** The cervix is fully dilated at approximately 10 cm. The mother helps the delivery by pushing. This phase can last up to 2 hours. The baby is delivered at the conclusion of this stage.
    * **3rd phase:** Also known as the afterbirth. The placenta is delivered and the mother emotionally connects with her baby.

**2\. Assisted birth**\- the use of medical technologies, such as [forceps](http://en.wikipedia.org/wiki/Forceps) to assist in delivering the baby from the mother's birth canal.

**3\. [Caesarean birth](http://en.wikipedia.org/wiki/Caesarean_Section)**-Is a method that uses a surgical incision made in the mother’s abdomen and uterus for the delivery of an infant. This method is often referred to as a C-Section. Although a vaginal birth is the most preferred, a Caesarean birth may be necessary if there are complications in the pregnancy, for example if the baby is not receiving enough oxygen (emergency c-section) or if the mother chooses the option (elective c-section). The elective C-Section is preformed a week or two before the actual due date. If the expectant mother is HIV-positive and blood tests done near the end of pregnancy show that you have a high viral load, and then a planned c-section would be the recommended birth plan by the doctor. It is equally important to have a planned c-section if the baby is expected to be extremely large and difficult to pass through the vaginal opening, (a condition known as macrosomia). This is particularly true if the expectant mother is diabetic or has had a previous baby of the same size or smaller who suffered serious trauma during a vaginal birth.[[305]](Print_version.html#cite_note-322) Most maternity units in the UK deliver between 10 and 20 per cent of babies by Caesarean section. [[171]](http://www.netdoctor.co.uk/health_advice/facts/childbirth.htm)

**Multiple Births**\- If the woman were to have multiple births then it is possible she would have to get a C-Section to prevent permanent damage to herself.

**Labor Stops** \- Over one third of all C-Sections performed are a result of Labor stopping.

**Concern for the Baby** \- Complications concerning the baby such as the umbilical cord being pinched or the baby not receiving proper blood flow might result in the necessity of a C-Section.

**Medical Conditions** \- Preexisting medical conditions in the mother such as diabetes or high blood pressure may also cause need for a caesarian section.

**[Sexually Transmitted Diseases](http://en.wikipedia.org/wiki/Sexually_Transmitted_Diseases)** \- If the mother has a disease such as HIV, then it is possible for the child to also get the disease as it passes through the vagina. In this case, a C-Section is needed. [[172]](http://www.pregnancy-info.net/reasons_for_c-section.html)

#### Birth in Japanese Culture

  * In Japan, mothers are encouraged to eat traditional foods that will nourish the mother and baby during the labor. [Mochi](http://en.wikipedia.org/wiki/Mochi) and eggs are high in protein and carbohydrates which give the Japanese mothers strength and energy in the birthing process. Traditionally, the feelings of pain expressed through noises and verbal expression were considered acceptable but such extreme expressions were considered shameful. Mothers are expected to remain stoic throughout the delivery process. These traditional beliefs are still widely held in Japanese culture concerning birth.
  * Tradition also states that fathers would not present during the birth. Midwives and female relative were however allowed to be in the room with the mother in labor. [[173]](http://www.hawcc.hawaii.edu/nursing/RNJapanese03.html)

#### Differences in Birthing Practices

**Foraging Societies:**

In many foraging ([hunting/gathering](http://en.wikipedia.org/wiki/Hunter_gatherer)) cultures, such as in the Ache tribe, women give birth by themselves. When a woman goes into labor and starts having contractions, she quietly goes off by herself into the forest to deliver her baby. She will squat down, hold her hands out to grab her newborn, and usually, she will bite off the umbilical cord. After that, she will nurse her baby, and return to the village with the child.

**Agricultural Societies:**

In agricultural societies, midwives usually assist women giving birth. Midwives are specially trained to deliver babies.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Eucharius_Rö�%259Flin_Rosgarten_Childbirth.jpg/250px-Eucharius_Rö�%259Flin_Rosgarten_Childbirth.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A woman giving birth on a birth chair, from a work by [Eucharius Rößlin](http://en.wikibooks.org/w/index.php?title=Eucharius_R%C3%B6%C3%9Flin&action=edit&redlink=1).

**Industrial Societies:** In many industrial societies, women in labor are given medication to help with the pain. Also, Caesarean births (C-Sections) are common. In parts of the U.S. and Brazil, 50% or more of births are C-Section births.

**Causes of Maternal Death:**

Indirect Causes: 20%

Severe Bleeding: 24%

Infection: 15%

Unsafe Abortion: 13%

Eclampsia (unstable blood pressure): 12%

Obstructed Labor: 8%

Other Direct Causes: 8%

#### Cultural Meaning of Birthing Practices

Birthing practices vary greatly across the world. In several different cultures, such as the Yucatán, Holland, and Sweden, a midwife is enlisted to help in the birthing process. All births in Sweden take place in hospitals with the help of trained midwives. However, in the US, 95% of births take place in a hospital, where the mother and child are treated as patients. This contrasts sharply from the Maasi of Kenya where the "mother gives birth in her own hut, and she remains there until her strength is recovered and she feels well again. During that time she is attended by the women of the village, or kraal [[306]](Print_version.html#cite_note-323)" countries have also been seeing an increased rate of Caesarian sections performed in recent years. [[174]](http://findarticles.com/p/articles/mi_qa3876/is_200606/ai_n17183857) Not only have medical technologies improved to make this practice more safe for the mother and child, but the industrial and post-industrial societies that make up developed countries today require individual participants to schedule everything into exact slots of time. Through this surgery, women are able to schedule the exact moment they give birth and can thus plan their return to society ahead of time.

Nevertheless, the different birthing practices all hold a cultural similarity in that they affect all aspects of social life in a culture. Childbirth affects the mothers because of all the potential differences in the meaning of childbirth, and can allow the woman to become closer to herself, her significant other, and her family. In no culture does childbirth go unnoticed, and the different birthing practices help establish the different cultural meanings of the birth.

  
Child birth in Kenya

Many African hospitals are expensive for the average family to afford to deliver their baby with medical attention. A Kenyan woman named Wanjiru shares her story “I remember going to the hospital in 2001. I was in pain, like most of the other women, but we were made to sit on a wooden bench and were not allowed to go into the labour ward without paying.” Because majority African hospitals are so overwhelmed by the number of pregnant woman that need help delivering their baby, they are usually not very polite. Wanjiru was told “You are asked to spread your legs ‘like you did for your husband.” According to a report, Failure to deliver, prepared by the Federation of Women Lawyers in Kenya and the Center for Reproductive Rights (CRR), there are numerous challenges facing women in Kenya’s health facilities, including suffering abuse and neglect before and during delivery. (<http://kenvironews.wordpress.com/2007/10/04/kenya-mothers-agony-of-giving-birth-in-public-clinics/>)

#### Infant Sleep

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Baby.jpg/220px-Baby.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A baby lying in infant bed

Infant sleep norms vary greatly across cultures. Different cultures have different views on what is considered normal for children’s sleep. In the United States, it is regarded as normal for infants to sleep in separate rooms from their parents. Technology, such as baby monitors, allow parents to stay connected with their children but still give them the independence our culture believes they need. It is also socially important for babies to sleep all through the night without arousal. Babies with high fat diets, specially from artificial formula are more likely to sleep soundly through the night than babies that are breast feed.

Although in the United States separate rooms are common for infants, the majority of the world finds it more acceptable for infants to sleep either in bed with parents or in the same room. This is true for countries including Italy, China, and Korea. Most cultures believe that children still need to be close to their parents especially at night while sleeping.

In the [Maya civilization](http://en.wikipedia.org/wiki/Maya_civilization), mother-infant co sleeping is quite normal. Mayan mothers found it horrifying that the western culture finds it normal to separate infants from their parents during sleep. It is considered cruel to them to do that to the infant, since they are still so dependent on their parents.

#### Breast Feeding

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Breastfeeding-icon-med.svg/150px-Breastfeeding-icon-med.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[International Breastfeeding Symbol](http://en.wikipedia.org/wiki/International_Breastfeeding_Symbol)

[Breast Feeding](http://en.wikipedia.org/wiki/Breast_feeding) practices vary between cultures. A child should be breast feed for at least six months, and is recommended to be continued until two to four years of age. Breast milk carries many nutritional benefits to the child. Vitamins and antibodies that the mother carries are passed on to the baby to help build the immune system and developing body. Breast feeding is also critical for mother and child bonding. Hormones are exchanged in the breast milk and well as in the mother to promote nurturing feelings. During the breast feeding months, [lactational amennorrhea](http://en.wikipedia.org/wiki/Lactational_Amennorrhea_Method) occurs which prevents the mother from conceiving again. In some cultures this is a method for birth control and is classified as natural family planning.

In The United States and other industrial societies, breast feeding practices may look different from foraging or agricultural societies. A mother may cut her time of breast feeding short in order to return to a career or job. Many mothers will pump their breast milk to feed the child when she may not be there or is out in public. Using artificial formula is also common, although the baby may suffer nutritionally and socially. In societies, such as The United States, breast feeding may also be cut short due to a socially constructed attitude of individuals being independent. A mother may be socially ridiculed for breast feeding her child too long and not promoting them to become nutritionally independent.

A 1999 research project done in Munich, Germany at the Institute for Social Pediatrics and Adolescent Medicine did a study on the effects of breast-feeding and its relationship to childhood obesity. This study was comprised of 9,357 German children between the ages of 5 to 6. The study found that children who were breast fed for 3 to 5 months had a 35% reduced risk of being obese upon their entry into school. Breast-feeding has also been linked to an increase in cognitive intelligence. [[307]](Print_version.html#cite_note-324)

#### Reproductive Technologies

##### Artificial Insemination

Artificial insemination (AI) is the process by which sperm is placed into the reproductive tract of a female for the purpose of impregnating the female by using means other than sexual intercourse.[[308]](Print_version.html#cite_note-325). From my personal reference, a family friend, artificial insemination has a greater chance of birthing more than one child. In my opinion, it makes sense that this is so because the funds that are required to perform such a process is so great that having two or more children at once is more affordable. Because of the risk that this wont work, the process can be costly. The family that I am referring to is of the Mormon faith and said that having children is a very important part of their religion in order to pass down traditions and values. They were willing to try this procedure as many times as possible in order to have at least one child.

## Marriage

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4b/Bride-groom-kiss.jpg/300px-Bride-groom-kiss.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bride and groom posing for a 'wedding kiss' photograph.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Mayian.JPG/200px-Mayian.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A [Sikh](http://en.wikipedia.org/wiki/Sikh) family during the Batna ceremony, the bride's female kin apply besan to the bride's body while singing traditional songs.

Anthropologists recognize marriage as a way to “describe how different societies organize and understand mating and its consequences”. [[175]](Print_version.html#endnote_Schultz_and_Lavenda_2009) The Anthropological definition of a prototypical marriage highlights the general expectations and facets that form this social construct. Within various cultures marriage is symbolically represented through a range of very simple to elaborate weddings. A marriage generally transforms the roles and responsibilities of two individuals within society. For example, an individual’s expectation of personal finance may be transformed to support both him/herself and their spouse. Marriage also sets the implications of permitted sexual access, setting boundaries for what is acceptable and when. However, these implications are also set based on personal preference as well as cultural norms.

Marriage is also a method in which cultural tradition is passed on to the children of the participants. Although the marriage relationship is a ‘traditional’ means for shaping a child’s standing and position in society, non traditional roles also serve as a valid means of raising children within cultural context. Marriage also serves as a means of creating extended families linking the Kin of the individuals.

### Monogamy and Polygamy

#### Monogamy

[Monogamy](http://en.wikipedia.org/wiki/Monogamy) is the practice of having only one spouse at one time. In some cases, monogamy means having only one spouse for an entire life span. Out of the different types of marriages, monogamy is the only one that is legal in the United States and in most industrial nations. While Polygamy was once allowed in Utah because it was part of the traditions of the Fundamentalist Mormons[[176]](http://dictionary.reference.com/browse/mormons?qsrc=2888) that were settled there, it is now illegal in the United States. There are several types of monogamy that are practiced throughout the world. They include social, sexual, genetic, martial, and serial monogamy.

  * Social monogamy: Two persons/creatures that live together, have sex with one another, and cooperate in acquiring basic resources such as food, clothes, and money.
  * Sexual monogamy: Two persons/creatures that remain sexually exclusive with one another and have no outside sex partners.
  * Genetic monogamy: Two partners that only have offspring with one another.
  * Marital monogamy: Marriages of only two people.
  * Serial monogamy: A series of relationships. One person has only one partner at a time, and then moves on to another partner after severing the relationship with the first.

Although the American definition of monogamy forces a person to have only a single spouse, he or she can divorce that spouse and remarry as many times as is desirable. This form of marriage is also the most common cross-culturally.

Monogamy is the most common type of practice in the United States.

  
Monogamy is a type of marriage practiced in many Christian countries around the world because Christians believe one man to one woman. According to the bible “Therefore shall a man leave his father and his mother, and shall cleave unto his wife: and they shall be one flesh, Genesis 2:24” Christianity is the dominant religion in the United States and this is one of the reasons why monogamy is largely practiced. “The monogamy idea was not popular in previous generations, not until its strong uprising in the last 150 years or so. Polygamy was still openly practiced in the last generation in non-western countries, and is today still practiced in modern societies, even though not so openly because of the outcry of the Western Feminism movement.” Many countries and cultures around the world are practicing monogamy not only for religious reasons but simply because they chose to. (<http://www.patriarchywebsite.com/monogamy/mono-history.htm>)

#### Polygamy

The term [Polygamy](http://en.wikipedia.org/wiki/Polygamy) is a Greek word meaning "The practice of multiple Marriage". It is a marriage pattern in which an individual is married to more than one person at a time. One example of a society in which Polygamy was prevalent was the Tiwi. They are a group of hunter-gathers in North Australia. However, the Tiwi have slowly adapted to a monogamous family structure. [[309]](Print_version.html#cite_note-326) There are two different types of Polygamy: Polygyny and Polyandry.

[Polygyny](http://en.wikipedia.org/wiki/Polygyny) is the practice of one man having more than one wife or sexual partner at a time. There is a specified difference between having multiple wives and sexual partners and the practice of having a sexual partner outside of the marriage, such as a concubine. Polygyny is the most common form of polygamy. There are religions that have historically allowed polygyny, for instance [Mormonism](http://en.wikipedia.org/wiki/Mormonism). Polygamy began in this culture when its founder, [Joseph Smith](http://en.wikipedia.org/wiki/Joseph_Smith), had a revelation from God that some Mormon men would be allowed to take multiple wives. The Mormon religion faced much persecution for practicing polygamy and was outlawed in many areas of the country. Consequently, this forced the religion and its leaders to move. After the death of Smith, the major body of Mormons followed [Brigham Young](http://en.wikipedia.org/wiki/Brigham_Young) to Utah where they were free to practice polygyny. Eventually, Congress passed laws stating that polygamy was illegal in all U.S. states and territories. Although polygyny and polygamy are illegal in the U.S., some fundamentalists [[177]](http://en.wikipedia.org/wiki/Fundamentalist_Church_of_Jesus_Christ_of_Latter_Day_Saints) still practice it today, most commonly in highly populated Mormon areas of Missouri and Utah where the state often turns blind eye to marriage practices of the individuals.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Pandavas_with_Draupadi_OR_ayudhapurushas_facing_Madhu_Kaitabha.jpg/250px-Pandavas_with_Draupadi_OR_ayudhapurushas_facing_Madhu_Kaitabha.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

[Draupadi](http://en.wikipedia.org/wiki/Draupadi) with her five husbands - the [Pandavas](http://en.wikipedia.org/wiki/Pandavas). The central figure is [Yudhishthira](http://en.wikipedia.org/wiki/Yudhishthira); the two to his left are [Bhima](http://en.wikipedia.org/wiki/Bhima) and [Arjuna](http://en.wikipedia.org/wiki/Arjuna) . [Nakula](http://en.wikipedia.org/wiki/Nakula) and [Sahadeva](http://en.wikipedia.org/wiki/Sahadeva), the twins, are to his right. Their wife, at far right, is Draupadi. Deogarh, Dasavatar temple.

[Polyandry](http://en.wikipedia.org/wiki/Polyandry) is the less common of the two forms of Polygamy. Polyandry involves one woman having multiple husbands, within Polyandry there are many variations on the marriage style. One of the more common forms of polyandry is fraternal polyandry; this form has been known to be practiced among groups of Tibet and Nepal and occurs when a group of brothers marries one woman. In this practice the oldest brother usually serves as the groom during the wedding but all brothers are recognized as married through this ceremony and all have sexual access to the woman. All brothers also assume a collective responsibility for the children produced from this marriage. This type of marriage also allows for land holdings in areas with scarce environmental resources to stay concentrated within the family and for the children produced by the woman to have many fathers supporting the family. Like all cultural practices fraternal Polyandry has a specific cultural importance within the communities in which it is practiced. Schultz and Levenda give the example of the Nyinba of Nepal Polyandry is deeply integrated within the social construct and history of their culture. Polyandry has historic significant to the Nyinba as their ancestors, who also practiced it, lead harmonious lives making the present practice logical within their cultural foundation. Fraternal polyandry also holds to an important ideal of kinship through the solidarity it creates among the participating brothers. Polyandry among the Nyinba People also plays a crucial role in the set up of their society as it aids in limiting the number of households within the village, thus concentrating resources and enhancing economic possibility. Another example of polyandry is _secondary marriage_. This is found only in northern Nigeria and northern Cameroon. In secondary marriage, a woman marries one or more husbands while staying married to all the previous husbands. The woman lives with one husband at a time, but she has all the rights to return to the others. There is no divorce is secondary marriage though, you are married for life, but you can still have different husbands.[[178]](Print_version.html#endnote_Schultz_and_Lavenda_2009)

##### Examples of Polygamy

On the islands of [Bathurst](http://en.wikipedia.org/wiki/Bathurst_Island_\(Northern_Territory\)) and [Melville](http://en.wikipedia.org/wiki/Melville_Island_\(Northern_Territory\)), which are located 100km north of the mainland of Australia, there is a society of former hunter-gatherers. This aboriginal society is called the [Tiwi](http://en.wikipedia.org/wiki/Tiwi_people), and they are known for their system of polygamy. In the Tiwi culture, it is believed that a woman a woman needs to be married for her entire life, therefore women are promised to an older man before they are even born. The men of the society do not get married until they are in their thirties and at this point may have had many girls promised to him. Upon reaching adulthood, the woman would go live with her husband and his other wives. Though the Tiwi are known for polygamy, they no longer practice it, Catholic Missionaries put an end to the polygamy and pre-arranged marriages. [[179]](Print_version.html#endnote_)

Throughout the United States many families practice polygamy even though the United States Supreme Court defined it as a crime in 1878. Some 40,000 people in the US state of Utah live in illegal polygamous families in which a man takes more than one wife. A recent example of polygamy in the U.S. became public knowledge in April 2008 when Yearn for Zion Ranch outside of Eldorado, Texas, belonging to the Fundamentalist Church of Jesus Christ of Latter Day Saints was discovered. Here 416 children and 139 adult women were removed from the ranch; a teenage girl believing to be pregnant for the second time reported becoming the seventh wife of a 49-year-old man when she turned 15. Many of the girls, some as young as 13, were “spiritually married” to men who claimed several wives.[[310]](Print_version.html#cite_note-327) These fundamentalist Mormons have now begun a campaign for a change in the law they regard as discriminatory and unfair. The issue is still a constant debate over the limits of marriage, privacy, religious freedom and unequal treatment under the law. [[180]](http://news.bbc.co.uk/1/hi/programmes/from_our_own_correspondent/7953270.stm) The Church of Jesus Christ of Latter Day Saints does not associate itself with 'The Fundamentalists' described in these cases and many feel that they are NOT in any way associated with Mormons.

#### Serial Monogamy vs. Serial Polygamy

[Monogamy](http://en.wikipedia.org/wiki/Monogamy) is when a person is only with one person at a time. To be a serial monogamist is a lifestyle consisting of repeated relationships with one partner. More specifically, it’s described as going from being in a sexual relationship with one person to another.[[181]](http://www.dartmouth.edu/~thepress/read.php?id=967) This is an example of modern day dating. Many relationships involve being with one person, and then when that relationship ends, moving on.

Serial monogamy also applies to people who get married and divorced more than once. Conservative Christians sometimes refer to those who frequently get married and divorced as serial polygamists, because they see them as people who have many sexual partners. Anthropologist don’t use this term because it’s a series of one person relationships. They aren’t with different people at once.

#### Polygynous Families

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/Sierra_Leone_village_woman.jpg/200px-Sierra_Leone_village_woman.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Mende woman in the village of Njama in Kailahun District

     [Polygynous](http://en.wikipedia.org/wiki/Polygyny) families are families with husbands who have multiple wives. All of the wives interact with the husband at different times individually and as a whole. The wives also have relationships with one another as individuals and as a group. There is obviously jealousy involved no matter how long ones culture has been polygynous. For example, the first wives are known to be angry at first when their husbands take on a second wife. Polygynous families also will have children from multiple mother and the same father. The connection between the children and the true mother and same mother siblings is always different and usually stronger than with the other children. This large family of mothers and children again leads to jealousy and competition for the husband or father.  
     The competition between co-wives usually focused on how many children each wife had and what these children are given in materials and education. The wives are usually ranked higher depending on who married first, and with the addition of the status of the families they came from. The husbands are supposed to avoid showing favoritism, especially when it is out of ranking or anger and jealousy can break out in the family. The rivalries between wives can lead to bitter feuds and divorces. The wives depend on their children to support them after the husband dies, so educated and the passing down of land or cash is crucial. Most husbands can only afford to send one or two children to school, which is why there can be such fierce competition.  
     An example of a polygynous family is the [Mende](http://en.wikipedia.org/wiki/Mende_people) of Sierra Leone. The Mende culture is patrilineal, patrilocal, and polygamous. They have multiple wives with multiple children from different wives. The wives are ranked in order or marriage to the husband and from the status of the family in which they first came from. Everyone works as a group and as individuals with the husband, which is also the perfect cooking pot for competition and feuds. The Mende's are a perfect example of polygynous families, but only one of thousands of cultures with such structures.  
     Another example are The Nayars, a warrior group of the Malabar coast of India. This tribe had the belief in which the woman was “married” to a man she rarely saw. He received a fee for this and was considered the official “father” of her children. From adolescence, she was free to copulate with several husbands, presented to her by her mother or uncle. Each husband would spend a few days at a time with her and the privilege of hanging his weapons on her door. As wars became less common among the Nayars, they moved toward monogamy.  
     Marriage customs among the Nayars have caused much controversy in India among social scientists and jurists. The two kinds of marriage: _talikettu kalyanam_ (tying ceremony); and _sambandham_ (the customary nuptials of a man and a woman). The tali-tying ceremony had to be held before puberty and often the ceremony was held for several girls at the same time to save on expenses. The tali could be tied by a member of a linked lineage, by a member of a higher subcaste of Nayars, by one of the matrilineal Ambilavasi (temple servant) castes, or by a member of royal lineage. By the mid-1950s it became common for girls to have the tali tied by their mothers. This is still controversial to if this was even a ceremonial marriage or just an age-grade ceremony.[[182]](http://www.everyculture.com/South-Asia/Nayar-Marriage-and-Family.html)

  


#### Same-Sex Marriage

![New York City Proposition 8 Protest outside LDS temple 20.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/New_York_City_Proposition_8_Protest_outside_LDS_temple_20.jpg/220px-New_York_City_Proposition_8_Protest_outside_LDS_temple_20.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

In the United States, [LGBTQ](http://en.wikipedia.org/wiki/LGBT), (Lesbian, Gay, Bisexual, Transsexual, and Questioning) individuals have only just begun to be recognized as a legitimate part of society. There is still great prejudice against members of the LGBTQ community, and hate crimes are continuously prevalent. Even though the LGBTQ community has lived under this harassment for so many years they are still making huge strides in the United States to better the lives of everyone who identifies as part of the community. This is usually done through making same sex marriage legal on the state level. Five states recognize gay marriage: Connecticut, Iowa, New Jersey, New York and Massachusetts. Five states also recognize gay partnerships: Connecticut, New Hampshire, Oregon, Vermont, and Washington. Washington has increased the rights provided to domestic partner that include all those for marriages on 16 April 2009. Recently Iowa legalized same sex marriages at the beginning of April, 2009. [[183]](Print_version.html#endnote_http:.2F.2Fwww.washingtonpost.com.2Fwp-dyn.2Fcontent.2Farticle.2F2009.2F04.2F07.2FAR2009040702200.html)For a map with a legend regarding the status of same-sex marriages in the U.S., click here[[184]](http://en.wikipedia.org/wiki/File:Samesex_marriage_in_USA.svg). Although these seem to be huge strides for the United States, many other nations have recognized gay marriage since 2003. Canada, Belgium, Netherlands, Norway, South Africa, and Spain allow gay marriage. The ever spreading institution of clubs that promote equality and awareness, referred to as G.S.A. ([Gay-Straight Alliance](http://en.wikipedia.org/wiki/Gay-Straight_Alliance)) in schools is also a large factor in the ever rising awareness and acceptance of the LGBTQ community, and also lends a hand to the acceptance of gay marriage (which is different on the legal level than civil unions) through these groups joining together with communities to petition for change.

Those with politically conservative views are usually much less inclined to support same-sex marriage and may treat LGBT people differently. Growing up in a conservative area I have experienced this. When students at my high school attempted to form a G.S.A. ([Gay-Straight Alliance](http://en.wikipedia.org/wiki/Gay-Straight_Alliance)) it was so controversial that it became the first club to ever be voted on. It did not pass.

An example of same sex marriages in another culture is woman marriage among the Nuer in Sudan. In the Nuer culture, a woman can marry another woman, thus becoming the "father" of the children of the "wife". As part of this woman marriage among the Nuer, there is a distinction between the pater and the genitor. The pater is the term given to the woman who takes on the "husband" role. The genitor is a friend, neighbor, or kinsman of the pater who is used to impregnate the wife of the pater, and help around the homestead with certain tasks deemed unfit for women. In order for the marriage to become official, the pater must pay a bridewealth payment to the wife's lineage as would happen if a man were to marry a woman. This bridewealth usually consists of cattle or livestock. Aside from specific tasks given to the genitor, the pater takes on almost all social roles of a man. If wealthy enough, the pater is able to marry as many women as she likes. Furthermore, she is able to collect damage payment if her wives engage in sexual activity without her consent. In addition to this, she receives the bridewealth that would traditionally go toward the husband if one of her daughters is to marry. In addition to this her children refer to her as "father." <ref.> Schultz A. Emily, Lavenda H. Robert. Cultural Anthropology: A Perspective on the Human Condition.

#### Ghost Marriage

[Ghost marriages](http://en.wikipedia.org/wiki/Ghost_marriage) take place when a wealthy or influential male member of a village dies without any living children. A woman will then marry his "ghost" at a ceremony, usually with the brother of the deceased as a stand-in. The wife is then said to be married to the ghost of the man, and can then have his children, using the brother to facilitate this. These children, although not biological children to the deceased, serve as heirs to his heritage and can inherit both his property and his status in a society. However, this means that the brother is usually left without any children of his own before he dies, and then he must have his children through a ghost marriage, creating a circle. These practices are most common in Sudan but is also practiced in China, where partnership has great value.In china ghost marriages also mean when a man is married to a deceased female, more likely currently due to the growing shortage of females, so that he maintains his status in this world. This can also help the deceased brides family from feeling the shame of an unwed daughter.

In China a ghost marriage is called [Minghun](http://en.wikipedia.org/wiki/Minghun). The practices of a Minghun are conditional to that of the Sudanese ghost marriage. In arranging a ghost marriage in China, families do not use a diviner or priest, but feel the groom is "chosen" for the deceased ghost-bride. A red envelope used for money or gifts are placed in the middle of the street where a stranger will come to pick it up. Meanwhile the family hides. At which time the stranger picks up the envelope the family reveals itself and announces that the stranger is the ghost-bride's groom.[[311]](Print_version.html#cite_note-328)

Among other cultures who practice ghost marriage are the Nuer of Nigeria. The Nuer believed that a man who died without male heirs would leave an unsatisfied angry spirit behind to trouble his family. A woman would then be chosen to marry a family member of the dead man and the children produced by these two would be thought of as belonging to the man who died.

[Levirate Marriages](http://en.wikipedia.org/wiki/Levirate_marriage) are somewhat similar to ghost marriages. A levirate marriage is when a woman marries one of her husband's brothers after her husband has died. In some cases, this only occurs if the husband died without children. Then, since the woman marries his brother, the family name carries on. These marriages have mostly happened in places in Asia and the Middle East.

#### Arranged Marriage

[Arranged marriage](http://en.wikipedia.org/wiki/Arranged_marriage) is a relationship established by the parents or other interested parties often without consent from the couple involved. There are 5 different types or levels of arranged marriages:

  * Forced: Parents dictate whom their children will marry and the children have no say in the matter.
  * Traditional-Limited Traditional-Limited choice type. However, in this level individuals are given slightly more choice and this is therefore seen as more "modern" method.
  * Modern with Courtship: Parents will say whom their child should marry, but the child is allowed a period of courtship to get to know their intended spouse.
  * Introduction Only: Parents only introduce those involved to each other, and do not force their children to marry if they do not want to. This is seen as more of a "nudge" than an arrangement.

Often an arranged marriage is seen not as a bond between a couple but as a promise/approval of a union between two families. Arranged marriages usually benefit the families more than the couple, as it strengthens economic and social ties between the two. A marriage to a cousin makes sure that wealth and rank stay within the family.

<http://im.rediff.com/movies/2005/jul/01poster.jpg> [[:Image:]] Parents can make sure that the arranged marriage goes through in several ways. They can not come to a wedding that they do not approve of, they can pay only for the marriage that they want, and in some countries, they can even impose legal sanctions on the undesired marriage.

Arranged marriages tend to last, because the people participating enter the marriage with lower expectations and no responsibility. Often the two parties will grow together, and learn to accommodate one another's needs. The responsibility for the happiness of the marriage lies with the parents who put the two together. These marriages also tend to be more functional and stable, and they can be maintained with less effort than traditional Western marriages. This however may be due to factors relating to the beliefs and traditions of the cultures in which arranged marriages are more common.

[The Unification Church](http://en.wikipedia.org/wiki/Unification_Church) strongly believes in arranged marriages. Reverend Moon started the Unification church in 1954 in Seoul, South Korea. He is believed to be “the one who clarified the Truth.” And he believes that it is his job to unify the world through integrated marriages. This religion is present in over 150 countries and in 1982, 2000 couples in the U.S were married. Reverend Moon had arranged marriages for all of his followers, which he personally picked out. Now that the church has grown immensely, he has passed down the responsibility to the mothers. Many of them have arranged spouses for their daughters by the time they are 13. However the family waits to set them up until they graduate high school or sometimes college.

#### Residence Pattern

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e4/Chandigarh_marriage_traditions.jpg/400px-Chandigarh_marriage_traditions.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A wooden wagon (Doli) in which a bride is taken to her husband's home. Although this is a thing of past now, the administration of Chandigarh depicted this in its annual Chandigarh carnival 2005.

After getting married the couple needs to live somewhere. And where the couple ends up varies, depending on their culture. There are four major residence patterns, Neolocal, Patrilocal, Matrilocal, and Avunculocal.

  1. **Neolocal Residence** is most common with North American couples. This is where the couple finds their own house, independent from all family members.
  2. **Patrilocal Residence** is most commonly used with herding and farming societies. It’s where the married couple lives with the husband’s father’s family. By living with the husband’s family, it lets all the men, (the father, brothers, and sons) continue to work together on the land.
  3. **Matrilocal Residence** is most familiar among horticultural groups. It’s where the couple moves to live where the wife grew up; usually found with matrilineal kinship systems.
  4. **Avunculocal Residence** is also related in matrilineal societies however in this case the couple moves to live with the husband’s mother’s brother. They live with the most significant man, his uncle, because it’s who they will later inherit everything from.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Megwhal_woman.jpg/150px-Megwhal_woman.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

A Hindu Kush woman in the Northeastern part of India in the Himalayan Region.

There are two other forms of residence however they aren't as common. There's Ambilocal residence where the couple lives with one family for awhile and then moves to live with the other spouse's family. Eventually they have to decide who to live with permanently. And then there's Duolocal residence where lineage membership is so important to both the husband and wife that even though the couple is married they still live apart from one another and with their families.

The division of labor by sex largely determines where a couple resides after marriage. If the male predominates in the division of labor than the couple's residence tends to be an Avunculocal and Patrilocal residence. However if the females predominates than they tend to live in matrilocal residence. And if neither sex predominates in the division of labor than their residence tends to be more ambilocal or neolocal residence.

In the mountains of the [Hindu Kush](http://en.wikipedia.org/wiki/Hindu_Kush) Himalayan region the domination of society by males is prevalent throughout the region. And because the males are so dominate in this region, the main pattern of living is Patrilocal Residence. Once couples are married the women are forced to live with the husband and the rest of his family, in unfamiliar surroundings. Marriages are generally arranged by the parents, so the women have to learn to live with strangers, without any family support that she once enjoyed at home.

### Marriage and Economic Exchange

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Wedding_feeding_cake.jpg/450px-Wedding_feeding_cake.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Eating special foods such as cake is a common part of many wedding ceremonies.

Often paired with marriage in many cultures, is a trade of symbolic or economic goods. These types of exchanges can mainly be fit into two distinct camps, [dowry](http://en.wikipedia.org/wiki/Dowry) and [bridewealth](http://en.wikipedia.org/wiki/Bridewealth).

#### Dowry

Dowry is a transfer of wealth, usually flowing from a woman’s parents or family when she is to be married in the form of money, land or other goods. Often, the husband brings various forms of wealth to a newly created household, and a dowry is thought of as the wife’s donation, to the household or the husband. Dowry can also be viewed as inheritance for the woman, though this is usually in cultures where both men and women are heirs. In other cases, such as in socially stratified societies, a dowry gives a woman the security of knowing that after she is married she can still enjoy her usual lifestyle and in the case of divorce, avoid poverty and discomfort.If the husband and wife are to be divorced, the wife is able to get back the dowry that her parents had given. Usually, a woman with a greater dowry is able to find herself a rich husband, while a woman with a smaller dowry is able to only find herself a poor husband. Dowry is mainly found in Europe and Asia's agricultural communities, but can also be found in Africa. The types of goods that a dowry can consist of vary greatly from society to society, but some specific examples are:

  * A dowry consisting of televisions, refrigerators and air conditioners in contemporary India.
  * The Western-European tradition of a bride’s family paying for the bulk of their daughters wedding. However, this is a greatly diffused example of dowry.
  * The [Rajput](http://en.wikipedia.org/wiki/Rajput) tradition of a solely transportable dowry, consisting of jewelry, clothing, money and household goods.

More specifically, in the society of the northern Indian Khalapur Rajputs, how well women marry, and more importantly how they are treated by their husbands family corresponds directly with the size of their dowries. This is because woman normally marry into a higher social ranking. This process forces them to move to the their husband's village ([Patrilocal Residence](http://en.wikipedia.org/wiki/Patrilocal_residence)), and assume the role of foreigner along side the family. Prior to the late 1900’s, Rajput wives actions were completely facilitated by their mother-in-laws, who gave them household jobs, oversaw how much time they spend with their husbands, and controlled their dawries- a contradiction to the idea that a dowry is a woman’s inheritance from her parents. In more contemporary India, however, dowries have been banned, though they are still quite regularly used.

#### Bridewealth

Bridewealth is the transfer of symbolic goods from the husband’s family to the bride’s family. This form of economic exchange is most often found in agricultural and pastoral [patrilineal](http://en.wikipedia.org/wiki/Patrilineality) societies, though it is not limited those lifestyles. Usually, bridewealth represents some form of compensation to the bride’s family from the husband’s family, for their loss of her labor and ability to bear them children. This is because when a woman marries, she goes to live, produce children, and work with her husband’s family, leaving her own. In many cases, bridewealth also serves to create a positive relationship between the families of the husband and wife. When the wife's family receives the bridewealth, they use the goods they receive for their daughter to find her brother a wife. Some examples of the goods which are exchanged in regards to bridewealth are:

  * A bridewealth consisting of animals, such as cattle or goats, in east and South Africa.
  * A bridewealth of cash in the Democratic Republic of Congo.

### Different Cultural Reference Rules for Marriage

#### Endogamy

    [Endogamy](http://en.wikipedia.org/wiki/Endogamy) is the practice of marriage within a specific cultural group or social group based on custom or law. An example of endogamy is the marriage between those who are of the same faith or belief system.

The definition of endogamy is marriage within a defined social group. Practicing endogamy requires that you reject marrying someone on the basis that they do not fit into your social group whether it is because of religious affiliations, social classes, ethnicities, etc.. Individuals that practice endogamy say that it unifies social groups and encourages bonding. Some say the practice of endogamy allows for cultures to survive and maintain practices and beliefs when they move to an alien area. Yet this very same idea of cultural survival through endogamy may also lead to the extinction of some social groups that refuse to intermarry, leading to a decrease in their population.

One social practice that can identify with endogamy is [Jewish marriages](http://en.wikipedia.org/wiki/Interfaith_marriage_in_Judaism). Although not all Jewish people practice endogamy, 47% of Jews in the United States are in intermarriages. Still many orthodox rabbis will not officiate at interfaith marriages because the three major branches of Judaism do not allow, or look down upon, people who want to be in intermarriages. This long-standing belief that intermarriages should not be allowed in Judaism comes from the idea that women are sanctified to their husbands, and this sanction cannot happen if it is not between two Jews. Endogamy is practiced for many reasons, and it is a large part of Jewish culture, but as globalization occurs more and more people are beginning to become part of intermarriages and stopping the practice of endogamy.

#### Exogamy

    [Exogamy](http://en.wikipedia.org/wiki/Exogamy) is the practice of marriage outside of a specific cultural group or social group. Exogamy was said to have arisen as a way of avoiding kinship marriage or incest. Examples of exogamy groups include, but are not limited to, people from the immediate family, people whom are considered kin, and those of the same sex. A lot of times exogamy is less likely to occur in places where different races are of higher classes than others are. Such as in South Africa the whites are considered to be of a higher class than the full africans in the townships, so a parent would be against the exogamy of a white into the african community. Exogamy is often practiced in tribal communities, where a male from one tribe will marry a woman from a tribe outside of his own. Exceptions to exogamy, such as interracial or same-sex marriages can make a person a pariah in their own community.

#### Hypergamy*

    [Hypergamy](http://en.wikipedia.org/wiki/Hypergamy) is the practice of marrying into a social or cultural group that is equal to or higher than the caste that one was born into.Hypergamy deals with women marrying into a higher class. Hypergamy includes but is not limited to marring a person of higher education, financial status, as well as social status. Usually cultures that practice hypergamy have a very strong focus on class, finances to live a good life. Hypergamy involves a person of a higher class to be willing to marry someone of a lower class. Hypergamy in nature is visible in the sense many animals of the same species mate with a male of a better gene pool in the same species. This is due to the benefits of having stronger, more healthy offspring. Also the male can provide better for the offspring than would a male who is of lesser status. With human beings it is the same way, the females want a partner who can provide for them as well as their offspring.
    Hypergamy is visible in all societies where wealth or status is important, such as in the united states women are encouraged to marry “up”. To marry someone who is older, more stable in life, as well as more financial stability. The story of Cinderella put into a real life context would be scenario of hypergamy. A poor peasant woman who has no wealth to her name marries into a very wealthy royal family.

#### Hypogamy

Hypogamy is the practice of a man marrying a woman of a higher class or of higher social status than himself. This happens a lot more in countries where women have an equal opportunity to make more money, or be better educated than men are. Hypogamy is less commonly found in cultures where women have less rights then men. Some examples of this are the [Islamic](http://en.wikipedia.org/wiki/Islamic) and early American cultures.

#### Isogamy

    Isogamy refers to a biological condition where sex cells, or gametes, are identical to each other.

Many fungi and plants have isogamous gametes. In mammals though, the ovum (female reproductive cell) is larger and looks much different than the sperm cell (male reproductive cell). This is called anisogamy. This may also pertain to same sex relations, since monogamy means having a committed relationship with just one partner at a time. Isogamy could also mean being in a committed relationship with the same sex.

## Divorce

[Divorce](http://en.wikipedia.org/wiki/Divorce) is a legal process in which a judge legally ends a marriage. The result leaves the two individuals status as “single”. A divorce does not declare a marriage null and void, as in an annulment, but instead states that the marriage was unsuccessful for any of a variety of reasons and declares the two individuals as single. When a divorce takes place there are many things that the judge will have to rule on ranging from the custody of the children to the sharing of property. Western cultures have seen a sharp increase in divorces over the past fifty years. A study by the National Marriage Project at Rutgers University found that only 63% of American children grow up with both biological parents. Most cultures make it possible for individuals to terminate a marriage. In some societies the process is longer and harder, while in others it is almost impossible. There are many countries were divorce is illegal and taboo.

#### Divorce and Children

There are many types of problems that can arise in a family which can lead to a divorce, some of which is dysfunction. Not only is the dysfunction a part of the cause of divorce but can also be a factor on the adjustment that children go through when a family separates. It is often said that about half of first marriages will be dissolved, however the number is actually closer to 40-45% and projected to reach 50%, while the divorce rate is typically higher with second and third marriages (around 60-68% and 73% respectively)[[312]](Print_version.html#cite_note-329). Along with that concludes that there will be an estimated half of children will live in a single parent household, regularly that being with the mother of the child. The many possible reasons behind such a high rate of divorce is: independence of women, declining earnings among men without college degrees, rising expectations for personal fulfilment from marriage, and greater social acceptance of divorce. (Amato R. P, 2000)

  
There are many recommend things that parents are advised do in order for the adjustment of the divorce to go smoothly with the child/and or children involved. It is very important to be open to discussion with your child, reassurance is key in the adjustment of a new divorce. Assure the parties involved that it is not their fault, and making sure continuous contact with the other parent is available. Sometimes allowing the option for counseling is very important; it allows the child and/or children involved to talk with someone else in a safe space, where they can express their emotions and not feel obligated to take sides with a parent but just allow them to talk open and honest about how they are feeling. If you are looking for a parenting plan this site helps layout required plans of action and helpful tips. <http://en.wikipedia.org/wiki/Parenting_plan>

  


    As a child from a divorced marriage too, I know first-hand the challenges and hardships a child can experience with divorced parents. I was 5 years old when my parents got divorced, my sister was 3, and I did not then know what it meant to have divorced parents, but I soon found out. In our society the woman is assumed to be the primary caretaker of the children, naturally, so my sister and I lived with our mother, while we saw our dad on the weekends and holidays. This arrangement was decided in court, and I know that there are different outcomes, such as the father only seeing the children once a month, or even less, so my sister and I were pretty fortunate. For the next 13 years I became accustomed to the life of a ‘divorced child’ and hearing my parents discuss which weekend was whose was the norm. Although divorce affects the parents greatly, I truly believe that the kids are affected the most. It’s the kids that have to tell their friends why they can hardly see them on the weekends, because that’s when they get to see their dad, and it’s the kids that have to be separated from their parents and see their parents start families with new people.

    I too am a child of a divorced marriage understanding all too well the complications of an "unclean break". My parents divorced when I was four years old, my brother was only two, my parents never made it any unknown fact that they despised one another and often used us children as a medium of communication between each other that made growing up feel like a constant tug a war contest. I wasn't fully aware of how my family was "different" until I started kindergarten. I didn't have any living memory of mom and dad living together. I honestly thought that is how everyone's families functioned and it came as an extreme shock when I discovered that this was far from the case. I came home with a lot of questions and hurt feelings I didn't play house right they said mommies lived with daddies, well mine didn't, why was that? I got two different answers from both my parents each belittling and blaming the other (it was a constant custody battle between my parents until I moved to Washington when I was 18. It wasn't until this year I discovered the truth behind my parent divorce 15 years after I initially asked. I'm almost 21 years old now and it still bothers me that I don't know what it's like to have one mom and one dad, one house, and one family life. When I moved here and lived with my Aunt and my Uncle I found I didn't even know how to live in a "normal" family setting. I was use to changing houses once a week, if one parent upset me I knew that I only had a few days and I'd see the other, I couldn't do that anymore I socially felt cheated and frustrated. I understand how deeply a divorce can affect the parents involved but I agree that it is the kids who suffer the greatest from the division. It's the children who have to cope with the battle line, who are cheated time with one parent for another because of a court order. Who can't have regular social lives because their schedules are double, their time decided between two parties, it's the children who have to witness the beginning of new families for possibly both parents. It's not easy, and if the adults handle it poorly as mine did it feels impossible and you grow up quick, you have too.

While divorce is often looked negatively upon, it sometimes is needed. To force a couple to stay together has the potential to cause more problems then if they were separated. People who have lived through a parents nasty divorce often see all the negative aspects but it's hard to see from another perspective when there is only anger and fighting around you. My parents only stay together because they can not afford to be separated, my Dad makes the most money. It's awful knowing that they don't love each other anymore, because they used to, and I remember what that was like. They're still married in the legal sense, but they act more like roommates than husband and wife. They're just staying together for the kids.

It is important also, as a child of divorced parents, to acknowledge that what happened between your parents was for the best. This then helps the coping process, whether young or old, and can reduces any blame a child feels for their parents. [[313]](Print_version.html#cite_note-330)

#### Divorce in Islam

The Islamic world has accepted divorce reluctantly. Divorce in Islam is used only in the most “necessary” situations. Islamic societies do not want private affairs to become public in the court except in extreme circumstances. It is for this reason that court comes in as a last resort in the Islamic method for separation of husband and wife. Islam does not like or recommend divorce, the Prophet of Islam has said: "Among lawful things, divorce is most disliked by Allah" (narrated in the book of tradition of Abu Daud).

Divorce in Islam is focused on the reconciliation of the married couple whenever possible. Before the Divorce can be finalized there is a period of time, called the waiting time, where the husband is still in control of his wife (still married). This waiting time is used to reconcile the couple. During this time the wife must not be menstruating. If however the waiting period passes without reconciliation, they stand fully divorced. A Muslim male is allowed to change his mind up to three times. The male can divorce his wife three times and each time take her back, but when the third strike is in, the man can no longer have any contact with his ex-wife, she’s prohibited to him.

#### Divorce/Seperation among the Inuit

For the northwestern Iniut all relationships are permanent. A husband and wife can move away from one another, but then they become "seperated" not divorced. If they ever reunite, then their marriage is reactivated. If, however, the man and women both get remarried, then the two husbands become "cohusbands" of the wife, the two women would become "cowives," and children from both families would become "cosiblings." This is interesting because in this case divorces don't sever family ties, they increase them. Therefore the Inuit's relationships are often complicated and intricate[[185]](Print_version.html#endnote_Schultz_and_Lavenda_2009)

  


### Divorce and The Catholic Church

Christianity as a general whole frowns upon divorce shading it as very negative. However, toleration among the different Christian domination's differs. The Roman Catholic Church for example expressly forbids divorce for any sacramental(<http://en.wikipedia.org/wiki/Sacraments>) consummated (<http://en.wikipedia.org/wiki/Consummate>) marriage defining a couple as wed until the death of one or both of the spouses or unless an annulment is granted. If there is no annulment, then even if separated, they may not remarry and are not considered "single" as defined by the term divorce. The topic of divorce can be found bibliographically in the gospels of Matthew, Mark, Luke and the epistles of Paul. Paul addresses this issue forwardly in "his First Epistle to the Corinthians chapter 7: "Let not the wife depart from her husband...let not the husband put away his wife" (1 Corinthians 7:10-11)" and in "his Epistle to the Romans stating:"For the woman which hath an husband is bound by the law to her husband so long as he liveth...So then if, while her husband liveth, she be married to another man, she shall be called an adulteress" (Romans 7:2-3)". Demonstrating clearly the Roman Catholic view on the topic of divorce and the biblical support in it's standing. {<http://en.wikipedia.org/wiki/Religion_and_divorce}}>

#### Divorce and American Society

“If the family is the building block of society, then marriage is the foundation of the family. (Fagan)” Divorce in the US is estimated to, by the National Center for Health Statistics, to occur in 43% of all marriages (Divorce Rates[[314]](Print_version.html#cite_note-331)). The effects of so many divorces have tremendous long-term impacts on both the divorcees and any children involved. And divorce will affect not only the current generation but is suggested by mounting social evidence to even affect future generations. This has severe impacts on the society as a whole, with so many divorces occurring. For example, it is estimated that families with children that were not poor before see their income drop by about fifty percent after a divorce; this then affects society as a whole when that family seeks financial assistance from the government. the US government spends $150 billion each year to subsidize and sustain single parent families compared to $150 million spent annually on programs to strengthen marriage. In other words, for every $1000 spent after a divorce only $1 is spent to help families sustain their marriage. In addition many families who experience divorce do not maintain the same religious practices they had while married, this can be for several reasons. However, religious practice of any kind has been linked to better health, longer marriages and a healthier overall family, thus the reduction in practice can worsen the effects of the divorce on the children and parents. Marriage is an important aspect of any society, and the US government should realize this and re-focus spending to help sustain this vital aspect to increase the health of its current people and those to come (Fagan[[315]](Print_version.html#cite_note-332)).

## Kinship

[Kinship](http://en.wikipedia.org/wiki/Kinship) refers to the culturally distinct relationships between individuals who are most likely thought of having family ties. Societies use kinship as a basis for forming social groups or for classifying people into roles and categories[[186]](Print_version.html#endnote_The_Nature_of_Kinship). In anthropology, kinship includes people who are related by lineage and marriage. In many societies, kinship provides a way for transmitting status and property from one generation to the next. An ethnographic example of kinship would be in today's American culture, where the way in which kinship works can be seen when it comes to inheritance and the wills of the deceased. The closest in kin, such as the spouse or the children, tend to receive the inheritance before other, more distant, relatives do. An example of kinship in the Hindu religion is after the death of a family member, the rest of the family doesn't bath for sometimes ten or eleven days. After that period is up the family then meets for a ceremonial meal and many times will offer gifts to charity. [[316]](Print_version.html#cite_note-333)

### Types of Kinship

There are different ways kinship can be recognized. [Affinity](http://en.wikipedia.org/wiki/Affinity_\(sociology\)) is a relationship created by marriage. For example, two close friends could become siblings, through the marriage of their parents. Ambilocal and avunculocal refer to types of residential affinity: where the married couple lives. Ambilocal means the newly married couple lives with the parents of the husband or wife; avunculocal means the couple matrilineal brother of the wife. Bilocal is another residential affinity term referring to the couple alternating between the houses of the parents of the husband and the parents of the wife; patrilocal is when the couple resides in the home of the husband's father, and matrilocal in the wife's mother's home. Finally, uxorilocal refers to living with the wife's kin, and virilocal with the husband's. All of these terms describe the aspect of affinity that creates a new type of kin; by living with the parents or kin of ones husband or wife, it creates a new bond between the spouse and the parents. This is generally a positive experience, though the couples may end up living neolocally, or away from their parents.[[187]](Print_version.html#endnote_MSU)

Typically, ones kin is thought of as their [nuclear family](http://en.wikipedia.org/wiki/Nuclear_family), or the family consisting of a husband, wife, and children (this is sometimes referred to as 'immediate family'). The biological father in this family is the genitor, and the mother the genetrix; usually, a nuclear family consists of those who are related biologically, or consanguine. This belief of ones nuclear family being their kin is due to the fact that there is a more intimate and comfortable environment among those with whom one lives. One develops habits and ways of acting that they would only exhibit in their home environment--eating habits, clothing, diction, etc. Within this environment, however, the relationships formed also form the general habits and behaviors of the individual. The family creates expectations for the way the individuals act toward their 'extended family'--aunts, uncles, grandparents--who are also members of their kin.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Families_US.png/300px-Families_US.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Family arrangements in the [United States](http://en.wikibooks.org/w/index.php?title=United_States&action=edit&redlink=1) have become more diverse with no particular household arrangement representing half of the United States population.[[317]](Print_version.html#cite_note-Marriages.2C_Families_.26_Intinamte_Relationships-334)

Though most of the residential arrangements consist of simply a nuclear family, it is becoming more and more diverse with adoption, families not willing to put their elders in nursing homes, and unemployment creating tough living situations for some; as kin, it is expected that we are willing to offer help, shelter, and monetary support to those to whom we are related.

#### The Japanese Family

An ethnographic example of how a "family" is defined is the family structure in contemporary Japan. The contemporary Japanese family is much like that of the contemporary American family, usually consisting of a mother, father, and children living in the same household (nuclear family). Present family forms were developed from the traditional Japanese family, also known as the [Ie](http://en.wikipedia.org/wiki/Ie_\(Japanese_family_system\)) (家) (pronounced 'e-ay'). This traditional system is unfamiliar to most Americans because it is more complex than what we are used to. The system consists of multigenerational households in which extended families, sometimes all the way up to great grandparents, all live together. The line of descent is patrilinial, or traced through the father. The children are expected to eventually leave the family to join another family and find their own way in the world with regard to a household, career, and the like. Rural families with more than one son typically send their second or third sons into the city to begin finding work in the more contemporary and industrial society.

However, the concept of primogeniture is a distinct aspect of the Japanese kinship system, but not unique to just Japan. Primogeniture is passing the entire estate of the family, social role, financial assets, occupation from father to usually the eldest son. This way, the family name and social status is passed patrilinially, as it is traditionally, and kept for the coming generations.

Historically, there was a different social cultural dynamic when it came to family roles. Presently, the family roles are, again, very much like those of the contemporary American family. The father generally goes to a job outside of the home, but there are many family owned businesses in Japan where family lives in the same building as the location of their business (in this case, there is not such a separation between the father’s home life and work life). Because the father is away for long hours nearly every day of the week at work, this creates Japanese family dynamic: the father has less time to spend with the children. This puts stress on the mother, who oversees children’s education, and manages finances. Because she must be in charge of all of this, and keeping the household in order, the intimate relationship that usually exists between a mother and her children is essentially non-existent; rather, the relationship is very strained.[[188]](Print_version.html#endnote_Columbia_U)

With all kinship, the behaviors and closeness of relationships, the traditions created within families, the way we refer to our relatives, and the rules of residency all depend on familial descent.

#### Different Types of Descent

Unilineal Descent
    Unilineal decent groups can be found in many different places around the world. This principle is based on the fact that people believe that they are related to their kin through either their mother OR father, not both. They base this descent of the belief that the parent-child relationships are more important than any other type of relationship.

Unilineal descent groups that are made up of links from the father's side of the family are patrilineal; and descent groups that are made through links of the mother's side are matrilineal. [[189]](Print_version.html#endnote_.22Cultural_Anthropology.22_Schultz.2FLavenda._2009.)

  


Patrilineal Descent

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Male.svg/220px-Male.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The shield and spear of the Roman god Mars, which is also the alchemical symbol for iron, represents the male sex.[male symbol](http://en.wikipedia.org/wiki/http://en.wikipedia.org/wiki/Male#Symbol)

    In the patrilineal system the child is linked with the group through male sex links only; the lineage of his/her father. This is found among 44% of all cultures. Within this type of descent it is the men who own the property, have political power, and hold status even though their livelihood depends on the women of their society for children. Daughters are often discriminated against within their own families because any investment made in them by the family will be lost when she is married. In most cases the daughters of a lineage will marry into another lineage and be exchanged for a [Bride price](http://en.wikipedia.org/wiki/bridewealth). The [Nuer](http://en.wikipedia.org/wiki/Nuer) are a good example of patrilinear descent: the clans are linked and separated by patrilineal ties which determined their "ancestors and symbols, corporate rights in territory, and common interests in cattle" [[190]](Print_version.html#endnote_SL)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Female.svg/220px-Female.svg.png)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

The hand mirror and comb of the Roman goddess Venus is often used to represent the female sex.[female symbol](http://en.wikipedia.org/wiki/http://en.wikipedia.org/wiki/Female)

  


Matrilineal Descent
    The child of a matrilineal system is linked to the group through the lineage of their mother. This is found among 15% of all cultures. Contrary to Patrilineal descent, Matrilineal descent is not a monarchy. Within this type of descent it is the women who own the property and hold social power however it is men who work with the land by farming or animal husbandry. It is the husbands who marry into the wives lineage and work her land. Matrilineal decent is common within a horticulturally based mode of production and less common within an agriculturally based one; it does not work with increased wealth, differentiation, or inequality. [[191]](Print_version.html#endnote_Douglas) Markumakkathayam is an example of matrilinear descent: "It was one of the few traditional systems that gave women some liberty, and the right to property... the family lived together in a Tharavadu, which comprised a mother, her brothers and younger sisters, and her children. The oldest male member was known as the karanavar and was the head of the household and managed the family estate. Lineage was traced through the mother, and the children "belonged" to the mother's family. All family property was jointly owned. An example is the former princely state of Tiruvitankoor, where the royal lineage passes from the king to his nephew, rather than his son."[[192]](Print_version.html#endnote_MD)

  


Bilineal Descent
    Bilineal decent is most familiar to the western cultures. This particular group links individuals with the lineage of both the mother and father (relatives). For example, I would trace my family line through my Father's side of the family, as well as my Mother's, with both having equal importance to myself.

Anthropologists also refer to bilineal descent as _bilateral descent_, which is the principle that a descent group is formed by people who believe they are related to each other by connections made through their mothers and fathers equally. Another form of bilineal descent is the _bilateral kindred._ This group is much more common and consists of the relatives of one person or group of siblings and is the kinship group that most European and North Americans are familiar with. This type of group forms around a particular individual and includes all the people linked to that individual through kin of both sexes. These people refer to themselves as relatives to one another. [[193]](Print_version.html#endnote_.22Cultural_Anthropology.22_Schultz.2FLavenda._2009.)

  


Ambilineal descent
    Individuals are descended from both parents, but are able to choose from which group they would like more affiliation. For example, in Jewish culture, it is said that the children are Jewish if their mother is Jewish; on the other hand, if the father (only) is Jewish, the children can make a choice as to whether or not they want to belong to the Jewish faith as well.

  


##### Household Forms

#### The Definition of a Family

A family is a primary social group, a small community, in any society, typically consisting of a man and a woman, or any two individuals who wish to share their lives together in a long-term committed relationship with one another, raising offspring and usually resides in the same dwelling. However, anthropologist and feminist have debated whether or not an adult male has to be presence to be considered a family. Because of this anthropologist have come up with different terms to distinguish between these different types of families. A [conjugal family](http://en.wikipedia.org/wiki/conjugal_family) is one where a family is based on a marriage, a husband and wife, and their children. In most societies in the conjugal family, the spouse lives in the same dwelling, along with their children, though there are still some where the husband does not live with the wife and kids, but frequently visit them. A non-conjugal family also known as matrifocal family consists of just a woman and her children where the husband/father may be occasionally present or even completely absent. From my own experience with single woman I have observed that the woman in this particular example of a family is to focus on her children and making their lives as easy as possible. I have also experience this, for my mother raised my two older brothers and three older sisters all by herself and has always put us first trying to give us the best live possible. When a woman is left with minimal resources, in most cases, these resources are spent on the children. Non conjugal families cross culturally are usually infrequent, however, in the United States non-conjugal families have become increasingly more frequent. Family is the main building block of a community or any given society and it is where one develops values and traits necessary to live an honorable life.

Families in the West

![Family trip to Oregon.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/97/Family_trip_to_Oregon.jpg/250px-Family_trip_to_Oregon.jpg)

  


Families in the west are commonly referred to as nuclear families, to refer to a conjugal family, with the only difference being nuclear families having relatively close ties with the [kindred's](http://en.wikipedia.org/wiki/kindred). A study was done on the family discourses in L.A, California and Rome, Italy. The families from L.A seemed to set apart time for isolated time with their children, leaving their communities outside. However, the Roman families tend to include the outside communities in their family bonding time.These two different family discourses could be the result of many years of oral traditions and the different varieties of the communities around them. This example of family discourses can help one to understand the impact the outside communities can have on the relationship between a family. [[318]](Print_version.html#cite_note-335). Having an extended family is also very common in the United States. An extended family refers to a consanguinal family and also kindred who do not belong to the conjugal family. A kindred family is an egocentric network of relatives that extends beyond the domestic group. Therefore, an extended family are people such as grandparents, great aunts/uncles, 2nd&3rd cousins etc. In the early 16th and 17th century, a family consisted between a man and a woman, with strictly-defined gender roles. The man typically was the support and brought in the income while the woman was to take care of family and home matters. Now in the 21st century, gender roles are no longer expected and nuclear families have become less common and single parent families are becoming more frequent. Size has also changed over the years. It was very common to have large families back in the day. Many religions encouraged many children resulting in large families. Now days, increases and knowledge about family planning, concerns of over population as well as the economic downfall have decreased the size of families.

#### Single Parent

In the Single parent Household form, there is only one parent caring for the children of the house without the help of the other parent in the home setting. This single parent style of parenting can happen as a result of a several reasons. In many instances, single parenthood happens by choice of the parents. Two parents can choose to divorce. Or a single person can choose to adopt a child, or use artificial insemination. Women can also choose to be surrogate mothers or have an extramarital pregnancy. Single parenting can also happen by the death of a parent or abandonment by one of the parents. According to a Census done in 2007 by the U.S Census Bureau, about 9%, (12.9 million) of families in The U.S are run by single parents. 10.4 million of those families are run by single mothers and 2.9 million are single-father families. [[194]](http://www.census.gov/Press-Release/www/releases/archives/families_households/009842.html)

#### Single Person

This household form consists of only one person living by themselves. According to the U.S. census bureau, this is the fastest growing household form since 1980; especially in large cities such as New York City. Despite New York City's massive population, Manhattan has the highest percentage of single person households out of any place in the world. [[195]](http://www.boston.com/news/nation/articles/2005/09/03/census_says_manhattan_first_in_single_person_households/)

#### Nuclear

The term nuclear family is used to refer to a family and household setting that consists of a father, a mother, and their children. Nuclear families can be any size as long as long as the family can support itself and there are only 2 parents. If there is more than 2 parental figures in the family then it goes from being a nuclear family to an [extended family](http://en.wikipedia.org/wiki/Nuclear_Family) [[196]](http://en.wikipedia.org/wiki/Nuclear_family) The Nuclear family is a symbol that is deeply rooted into western culture. Historical studies in western family life have shown that this household form has been extremely common as far back as history reaches, especially in the Northwest part of Europe in countries like England, Holland, Northern France, and Belgium. [[197]](http://family.jrank.org/pages/1222/Nuclear-Families.html)

#### Extended Polygamous

A Polygamous family is one where there is one father and multiple wives. In this type of family, the first or oldest wife is typically the head of the household when the husband is away. Her children are usually the heirs of the man's wealth. If, however, the first wife dies, then the children must fight the next oldest wife for their right as heirs. An extended family is where there is a nuclear family with added family members such as grandparents or relatives. The Polygamous household form is most preferred by 80-85% of world societies. This type of living situation is most common in places where women do most of the work or there is a shortage of males. [[198]](http://ksuanth.wetpaint.com/page/Marriage+Family+and+Household+Discussion?t=anon)

#### Divorce and Remarriage

[Divorce](http://en.wikipedia.org/wiki/Divorce)and [remarriage](http://en.wikipedia.org/wiki/Remarriage) is becoming more common in today’s societies around the world. Divorce is the separation of a married couple allowing them to become remarried to someone else. The process of divorce can be long and difficult depending on the society. Another complication can be added in societies that involve bridewealth. This happens when a man who divorces his wife expects some of the bridewealth back causing a whole clan of marriages to be possibly broken up. In other societies it is easier to acquire a divorce. Depending on the culture, quarreling, cruelty, or adultery may be cited the cause for a divorce. Commonly, mutual consent is all that is necessary. Also, if there are children involved with the divorce, majority of the time custody will go to the child’s mother in most societies. It is also starting to become common for both parents to receive co-custody of the child. If the parent that receives the custody remarries and brings the child with them to the new family, the family may resemble the dynamics of polygynous families. This may cause the relations between the children and relations with their parents to become complex and negotiated over time.

<http://clobbergirl.files.wordpress.com/2009/01/divorce-decree1.jpg> Image of divorce document.

Divorce and remarriage in the U.S. culture is very common in today’s society. Over 50 percent of marriages end with divorce in this era. With so many people getting divorces, many times the people will get remarried and it isn’t uncommon for this to occur. Although this is not unusual, it still can be very devastating for everyone involved. I have seen the effects of parents getting a divorce on many of my friends and it can create a very difficult situation. Also, if the parents where to marry someone else then this can cause some awkwardness for the kids involved, towards the new family. Even though many couples are getting divorces and remarrying in this culture, it still can take a toll on the people involved no matter how common it has become.

#### Individualism

Even though kinship is most often termed as family ties, the view of individualism within a culture affects kinship interactions. [Individualism](http://en.wikipedia.org/wiki/Individualism) has been perpetuated in American culture as a positive attribute to posses.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/01/RWEmerson2.jpg/220px-RWEmerson2.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Ralph Waldo Emerson

Authors of great works in American culture such as Ralph Waldo Emerson, Henry David Thoreau, Walt Whitman, Mark Twain, Nathanial Hawthorne, and F. Scott Fitzgerald all in some way or another stressed the importance of individualism, and the importance of retaining one’s own particular identity despite the pressures of society or other people to conform. In a good number of American families it is not uncommon to be separated for most of the day. Children go off to school or daycare while parents go off to work, often for long hours. When they reunite at home, often it is only for a short time to catch up on the day’s news before they all separate to their own parts of the house for their alone time. Alone time is greatly valued as a time to relax from a busy day. Family members might even be in the same room, yet engaging in different activities. Nevertheless, if one asked these people if they loved their family, they would most likely say they did. In other cultures, this long separation between families might sound unloving and very strange. In a culture where there is a collective effort to survive, for example, there is an incentive to work together and never venture off alone. This creates a bond that a family needs each other to survive in more pertinent terms than in American culture. In these kind of cultures and others there is no separation of alone time and family time. A sign of individualism means something different according to different cultures, and is reflected in how people choose to spend their time.

## Genealogy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/900-158_Ahnentafel_Herzog_Ludwig.jpg/300px-900-158_Ahnentafel_Herzog_Ludwig.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Herzon Ludwig family tree

Genealogy which stems from the Greek words [logos](http://en.wikipedia.org/wiki/logos) and [genea](http://en.wikipedia.org/wiki/genea) meaning descent knowledge is the study of family’s lineages through history. [Genealogists](http://en.wikipedia.org/wiki/Genealogy) strive to learn when, where, and how certain people lived. Their subjects are usually their ancestors, particular small groups, or an important or famous person.

Genealogy was traditionally used in Western societies to determine the blood rights of nobles and kings. The ruling class used genealogy and recorded their lineage because being a noble or royalty gave them certain privileges. Genealogy is now mainly used by hobbyists, who easily use resources on the internet to track their family history. One site commonly used for this is <http://www.genealogy.com/index_r.html>.

Genealogy is not the same as kinship. Genealogy is the study of tracing a family's lineage all the way back to the earliest ancestor, whereas kinship is based around the feeling of relatedness to people through descent, sharing, or marriage.

## Friendship

A dictionary definition of friendship is "one joined to another in intimacy and mutual benevolence independent of sexual or family love." Friendship is the "unofficial" bonds that people construct for others. As ties to kinship transform the importance of friendship increases. This brings about the emergence of new forms of friendship.[[199]](Print_version.html#endnote_Schultz_and_Lavenda_2009)

### Examples of Friendship

#### Friendship within the Family

Even though Western societies try to separate friendship and kinship, in practice they are usually connected. This is best seen in husbands and wives consider themselves "best friends" or siblings considering each other their best friends.

Many parents in Western societies encourage their children to be friends. Throughout childhood parents are constantly trying to get siblings to get along. From the time as young children and sharing toys, to teenagers and having the older sibling drop the younger one off at places. From a young age Americans are taught to love, respect, and be kind to their other siblings.

#### The Bangwa

The Bangwa of Cameroon value friendship above kinship. Friendship is valued more because within kinship there are the inequalities of age and status, whereas friends spend long hours together and rely on one another in politics. Friendship aids in balance out the defects and limitations of kinship. [[200]](Print_version.html#endnote_Schultz_and_Lavenda_2009)

#### American College Students

In college friends are chosen companions free of outside influences. In these friendships you express your true self. The downfall of this friendship is that it is invisible and there is no clear declaration of the friendship. [[201]](Print_version.html#endnote_Schultz_and_Lavenda_2009)

#### Roman Friendship

The Romans believe that, for a friendship to exist, the two people must be completely and entirely honest and truthful with each other. It is not considered a true friendship if this is not the case. To an extent this is a rather universal belief but at least in American culture it is not always the case. Romans also believe that a friend should be able to do something for the other without any thought whatsoever of a sort of repayment. If a friend is going to do something against your morals, it is your obligation as their friend to talk them out of it and show them the error of their ways.

## References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

  1. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 327
  2. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pgs. 332-333
  3. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 345-346
  4. **[^](Print_version.html#ref_The_Nature_of_Kinship)** O'Neil, Dennis. "Kinship Overview." The Nature of Kinship. 27 June 2006. 19 Feb. 2009 <<http://anthro.palomar.edu/kinship/kinship_1.htm>>.
  5. **[^](Print_version.html#ref_MSU)** Minnesota State University. "Kinship and Marriage." Emuseum. 2009. 2 Mar. 2009 <<http://www.mnsu.edu/emuseum/cultural/kinship/index.shtml>>.
  6. **[^](Print_version.html#ref_Columbia_U)** "The Japanese Family." Contemporary Japan: Society and Culture. 2004. Columbia University. 2 Mar. 2009 <<http://afe.easia.columbia.edu/at_japan_soc/>>.
  7. [[202]](Print_version.html#endnote_Strong.2C_Yarber.2C_Sayad.2C_DeVault.2C_2008) Bryan Strong, William L. Yarber, Barbara W. Sayad, Christine DeVault. Human Sexuality: Diversity in Contemporary America. Boston: McGraw Hill, 2008. pg. 16-17
  8. **[^](Print_version.html#ref_Feminist_Women_Health_Center)** "How Much Does Abortion Cost?." Feminist Women's Health Center. February 18, 2009. Feminist Women's Health Center. 5 Mar 2009 <<http://www.fwhc.org/qa/ab-cost2.htm>>.
  9. [[203]](Print_version.html#endnote_Strong.2C_Yarber.2C_Sayad.2C_DeVault.2C_2008) Bryan Strong, William L. Yarber, Barbara W. Sayad, Christine DeVault. Human Sexuality: Diversity in Contemporary America. Boston: McGraw Hill, 2008. pg. 16-17
  10. **[^](Print_version.html#ref_Douglas)** Douglas, Mary, Phyllis Kaberry, and Cyril Forde. Man in Africa. reprint. Routledge, 1969.
  11. [[204]](Print_version.html#endnote_MG)"Marumakkathayam." Wikipedia. 2009. 2 Mar 2009 <<http://en.wikipedia.org/wiki/Marumakkathayam>>.
  12. [[205]](Print_version.html#endnote_SL)Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 302
  13. [[206]](Print_version.html#endnote_SSM) "Same Sex Marriage." Wikipedia. 02 Mar 2009. 2 Mar 2009 <<http://en.wikipedia.org/wiki/Gay_marriage#Arguments_concerning_children_and_the_family>>.
  14. Savage, Lacy. "The Reality of Arranged Marriages." Ezine Articles 1. 4 Mar 2009 <[http://Wontletmeusesite.com/?The-Reality-of-Arranged-Marriages&id=606](http://Wontletmeusesite.com/?The-Reality-of-Arranged-Marriages&id=606)>.
  15. **[^](Print_version.html#ref_Amato_R.P_2000)** Amato, Paul R. Journal of Marriage and the Family. Vol. 62, No. 4 (Nov., 2009), National Council on family Relations, 2009. pp.1269-1287 <<http://www.jstor.org/stable/1566735>>.
  16. **[^](Print_version.html#ref_Stone)** Stone, L. S. (2006). Gay Marriage and Anthropology. Retrie Gay Marriage and Anthropologyved March 2, 2009, from American Anthropological Association: <http://www.aaanet.org/press/an/0405if-comm4.htm>
  17. **[^](Print_version.html#ref_McKenna.2C_Ball.2C_Gettler)** "Mother-Infant Cosleeping...." Wiley InterScience (2007) 4. 24 Feb 2009 <www.interscience.wiley.com>.
  18. [[207]](Print_version.html#endnote_Herdt.2C_Gilbert_1981) Herdt, Gilbert. Guardian of the Flutes: Idioms of Masculinity. New York: McGraw-Hill Book Company, 1981.
  19. **[^](Print_version.html#ref_James_2009)** James, Paul. "Reproduction" Western Washington University. Feb. 2009.
  20. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 291
  21. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 292
  22. **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009. pg. 293
  23. **[^](Print_version.html#ref_James_Birx_2006)** Birx, James. "Human Rights and Anthropology." Encyclopedia of Anthropology. 3. Thousand Oaks, CA: Sage Publications, Inc., 2006. Print. Pg. 1229.
  24. **[^](Print_version.html#ref_James_Birx_2006)** Birx, James. "Human Rights and Anthropology." Encyclopedia of Anthropology. 3. Thousand Oaks, CA: Sage Publications, Inc., 2006. Print. Pg. 2015.

← [Human Rights](http://en.wikibooks.org/wiki/Cultural_Anthropology/Human_Rights) · [Social Stratification, Power and Conflict](http://en.wikibooks.org/wiki/Cultural_Anthropology/Social_Stratification,_Power_and_Conflict) →

← [Human Rights](http://en.wikibooks.org/wiki/Cultural_Anthropology/Human_Rights) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Social Stratification, Power and Conflict](http://en.wikibooks.org/wiki/Cultural_Anthropology/Social_Stratification,_Power_and_Conflict) →

  


# Social Stratification, Power and Conflict

## Social Groups

## Types of Social Groups

Social Groups can loosely be defined as people sharing the same social relation [[208]](Print_version.html#endnote_Dictionary.com_2009). In depth, a social group is a group of people outside of the domestic unit relating on grounds other than kinship [[209]](Print_version.html#endnote_James_2009) although kinship relationships may exist. There are two basic categories of groups, the primary group and the secondary group. The primary group consists of people who interact with each other and know each other personally, while the secondary group consists of people who identify with each other on some common ground but who may never meet with one another or interact personally There are several different types of social groups:

### Friendship

Friendship is a term in which the meaning completely relies on the culture where the friendship exists. In Western cultures friendship is a term that’s used almost haphazardly. There are many different degrees of friendships, for example many college students react in a friendly manner to people they have only met a couple of times. While there are some deeper relationships as well, friendship seems to always come second to kin. In other cultures friendship is considered sacred and a ritual is utilized as a declaration of such. An example of this is the Bangwa of Cameroon. The Bangwa believe that friendships are more important than relations among kin [[210]](Print_version.html#endnote_Schultz_and_Lavenda_2009).

### Clubs and Fraternities

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Chico_State's_Kendall_Hall.JPG/220px-Chico_State's_Kendall_Hall.JPG)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Chico State University

A club is defined as a group of people organized for a common purpose, especially a group that meets regularly [[211]](Print_version.html#endnote_James_2009). A type of club that exists on college campuses are fraternities/sororities. These social groups usually require some sort of initiation or “hazing” that can be beneficial socially and on the other hand potentially be dangerous. In 2005 Matthew Harrington died due to a hazing accident. He was a pledge to the Chi Tau fraternity at Chico State University in California, the fraternity members that conducted the hazing received felony charges, and in result strict hazing bans were placed into action at the university [[212]](Print_version.html#endnote_Korry_2009). Although fraternities can cause many ill effects, they can also be used to gain political/career building advantages. Around one quarter of the chief executives on the Forbes 500 list were members of fraternities. During job interviews, the interviewer may make a better connection with someone they’re interviewing if they were members of the same fraternity [[213]](Print_version.html#endnote_Dukcevich_2003).

### Counterculture Groups

[image:Bundesarchiv_Bild_102-11929,_USA,_New_Yersey,_Ku-Klux-Klan.jpg‎|thumb|right|Ku Klux Klan in Atlantic City, New Jersey, 1931.]] A counter culture group is a group of people that come together to oppose the dominant form of a social system. There are many different types of these groups, perhaps the most recognizable example of this would be the Ku Klux Klan. This group originated in 1866 in Tennessee. They would wear all white to play the dead of the confederates during the civil war. They represented “white- supremacy” and would mainly torture, kill, or harass African-Americans and any other minority [[214]](Print_version.html#endnote_Columbia_Encyclopedia_2008). Another notable major counterculture revolution occurred between the 1960's and 1970's, when many American youth began rejecting social norms, experimenting with drugs such as LSD, exploring new spirituality and sexuality, and supporting social movements such as civil rights, women's rights, and anti-war policies. Counter culture of the 1960s and 1970s was also characterized by a music and art scene which included psychedelic rock and pop art. [[319]](Print_version.html#cite_note-336)A more recent counterculture group is characterized by forms of body modification. This group feels the connection because of their interest in permanently changing their body, such as through tattooing, branding, piercing, and cutting. Participants often interact online through websites such as Suicidegirls.com and BME.com.

### Work Groups and Cooperatives

These types of groups work together for the purpose of production. This relates to an autonomous work group where employees are assigned to a specific project and it is known who is assigned to what and who will be held responsible for each portion of the project [[215]](Print_version.html#endnote_Business_Dictionary_2009). Cooperatives are a form of economic group with two key features, surpluses are shared among members and decision making follows the democratic principal of one person, one vote. Agricultural cooperatives are the most common followed by credit cooperatives and then consumer cooperatives.

Farmers' Cooperatives in Western India 

In an ethnographic study found in Cultural Anthropology by Barbara Miller, the farmers in India's western state of Maharashtra were studied and the sugar industry there was found to be largely owned and operated through farmer cooperatives. While the sugar industry there is huge, near the size of the state's iron and steel industry, most shareholders are small farmers that produce just one or two acres of sugarcane but they are owned and managed cooperatively. The reason the sugar cooperatives are so successful in this region is because the rural social stratification system in Maharashtra is simpler than in northern India. They have strong local ties with each other because their marital arrangements are local and centralized and therefore have a better basis for cooperating with each other. This example of cooperatives shows that the social stratification can help groups work together for the purpose of production.

### Secret Societies

Secret society is a term loosely used to describe a fraternal group whose organization is kept secret and possess, or claims to posses, some form of secret. These societies may also include special rituals and oath taking. Sometimes secret societies are formed with political intentions, such groups are illegal in certain countries. One of the most notable secret societies is the Freemasons. Freemasonry is a fraternal organization with restricted membership dating back to 1390. Their membership includes many successful people from around the world including ex-presidents and kings. Another example of a secret society is the secretive Skull and Bones society of Yale. Every spring 15 Juniors of distinction are selected to become part of the Skull and Bones, among them have been both George H.W. Bush and George W. Bush, whose nickname in the group was Temporary.

### Self-Help Groups

Are organized to achieve personal goals, and are becoming increasingly popular. Selfhelpgroups.org has a data base including 1,100 self help groups nationwide. The individuals in these groups have common problems and are there to support each other. Members often share experiences with their specific problem, and try to reach common goals.

### Online Communities

A community of people from oftentimes many different cultures and regions meeting together to discuss something in common or to contribute work to various online projects. Some examples of this online are video game modding communities like www.moddb.com and www.fpsbanana.com. Aside from websites for video games the there are chat rooms and forums like www.4chan.org which is the largest English image board on the web as well as a place that many of the popular internet memes spring from.

Aside from traditional internet boards and sites there are online games that bring people together from across the world, [Massively Multiplayer Online Role-Playing Games](http://en.wikipedia.org/wiki/Mmorpg) like [World of Warcraft](http://en.wikipedia.org/wiki/World_of_Warcraft), [Guild Wars](http://en.wikipedia.org/wiki/Guild_Wars), and [Second Life](http://en.wikipedia.org/wiki/Second_Life), where the user is encouraged to play with others to better enhance their status proceed through an online “environment” and the more “solitary” [First Person Shooters](http://en.wikipedia.org/wiki/Fps) such as [Counterstrike](http://en.wikipedia.org/wiki/Counterstrike), [Quake](http://en.wikipedia.org/wiki/Quake) and [Doom](http://en.wikipedia.org/wiki/Doom_\(video_game\)) with its sequels.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Sa_Pa_kiss.jpg/220px-Sa_Pa_kiss.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

What internet dating services can provide.

Another large internet community consists of online dating websites and databases. Essentially, having lost hope in one's own ability to go out and find a partner on their own, they turn to websites that match people based on the personal information that they provide. Some popular sites are [eHarmony](http://en.wikipedia.org/wiki/eHarmony), [Match.com](http://en.wikipedia.org/wiki/Match.com), and [chemistry.com](http://en.wikipedia.org/wiki/chemistry.com). eHarmony, which is the most well known site, has been criticized for not matching gay individuals. The founder claims this is due to lack of information on gay-relationship compatibility.

### Gangs

Gangs are comprised of individuals who identify as gang members and regularly associate, often in the pursuit of illegal activities, such as trafficking weapons and drugs. Street gangs carry out these activities in the cities and suburbs. Prison gangs often are responsible for handling contraband (drugs, alcohol) within prison and may participate in acts of violence against other prison members as a means of intimidation. Prison gangs may also have significant influence over organized crime on the streets, as leadership is oftentimes maintained by imprisoned members, who direct orders for street murders, drug trafficking, and other gang activities. Gang members released from prison are expected to continue participating with the gang. Notable prison gangs include the Aryan Brotherhood, a white supremacy gang, and La Eme, or the Mexican Mafia. Biker gangs, such as the Hells Angels, may range in size (Hells Angels being a large gang) and travel the United States on motorcycle.

Gangs may practice ritual initiations, or follow the policy of blood-in blood-out in which an individual must commit murder to be accepted into the gang, and is killed upon attempting to disassociate from the gang. Gangs underline loyalty and often use clothing, tattoos, and gang signs to identify themselves and to identify fellow and rival gang members. Persons who have not gained entry to a gang but have gang tattoos may be killed - while small gangs often require members to know one another personally, large gangs, such as La Eme, depend on markers such as tattoos.

Confrontation between rival gangs is often violent. A notable gang rivalry is between the Bloods and the Crips, street gangs from Los Angeles, who self-identify through the use of red clothing and blue clothing, respectively. The rivalry began in the 1970s, when the Bloods rose in competition with the Crips in crack production and distribution.

Gangs are often racially uniform. Sorenos, Nuestra Familia, and La Eme are predominately Latin American. The Bloods and Crips are predominately African American. Biker gangs are predominately white.[[320]](Print_version.html#cite_note-337)

## Social Stratification, Power and Conflict

### Social Stratification

Social stratification is when societies have a permanent hierarchy, in which a superior group has a disproportionate amount of power, money and prestige than the lower ranking groups. [Social stratification](http://en.wikipedia.org/wiki/Social_stratification) can be seen in western societies in social and economic classes; termed as lower, middle and upper class. Some anthropologists believe social stratification is necessary to keep a society functioning at its desired level of proficiency. [Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx) saw social stratification as similar to a caste system. Gender is part of the stratification system, gender ranks men above women of the same race and class (patriarchal society), but this is not always the only form of social stratification. In some societies, women are ranked above men; these societies are termed matriarchal. As Nancy Jay said: “That which is defined, separated out, isolated from all else is A and pure. Not-A is necessarily impure, a random catchall, to which nothing is external except A and the principle of order that separates it from Not-A.” In Western society, “man” is A, and “woman” is Not-A.[[321]](Print_version.html#cite_note-338) Working classes were unlikely to move up in social economic power due to their means of production while the wealthy would continue their reign over the lower classes, maintaining a social status quo through manipulation and exploitation. The degree of social stratification in a given society is dependent at least partially on what type of society it is. For instance, in a hunter-gatherer society or a pastoral society, there is very little economic and social stratification, because everything is shared. In an industrial or post industrial society, on the other hand, economic stratification is greater and social stratification grows partly out of that economic disparity. The reason for economic stratification is that in the modern workplace, the amount of money that someone earns varies greatly based on location, education, competence, and luck. The CEO of a large corporation might make millions of dollars each year, while the lower level employees of that same corporation might make minimum wage. What makes social stratification based on wealth better than other forms of social stratification is that, although it might be very difficult, it is almost always possible for someone to change their status for the better.

## Ascribed Status

Ascribed status is the position in society that is delegated to an individual at birth. Ascribed statuses that exist in all societies include those based upon sex, age, race, ethnic group and family background. In many instances, this status is a social construct already pre-determined before one is born into the specific culture.

One prominent example of ascribed status is seen in India's caste system, or varna. The varna system is broken into five parts. From highest to lowest status, they are:

    **Brahman** \- priests
    **Kshatriya** \- land owners
    **Vaishya** \- merchants
    **Shudra** \- artisans/agriculturalists
    **Harijans** \- untouchables

It is nearly impossible to move up in ascribed status in this caste system, though jatis, or sub-castes, have the ability to change status over many generations through relocation or marriage.[[216]](Print_version.html#endnote_Callaham_.26_Pavich)

#### **Race**

While race is a social creation, it is also an [ascribed status](http://en.wikipedia.org/wiki/Ascribed_status). Race is determined without regard to an individual’s efforts or aspirations, but rather, by heritable, often external characteristics such as skin color, hair texture, or body type. Race is dealt to the individual, outside of their control, as a means of categorizing human beings by obvious characteristics. Race functions as a [master status](http://en.wikipedia.org/wiki/Master_status). Through this, race has the capability of influencing an individual’s social perception and life possibilities. This can have a damaging impact on races categorized as social minorities. As a social creation, racial designations can change as people’s impressions change.[[217]](http://books.google.com/books?id=tUhrAal6LvEC&pg=PA168&lpg=PA168&dq=ascribed+status+race&source=bl&ots=WwWxmPBpOL&sig=S8Yy4uJ2mzYshIzreuq2TIceLbc&hl=en&ei=3GysSai5DYnOsAOTm9THBA&sa=X&oi=book_result&resnum=3&ct=result#PPA168,M1)

![Persecution of witches.jpg](../../../upload.wikimedia.org/wikipedia/commons/7/7c/Persecution_of_witches.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

An ethnographic representation of ascribed status through racial identity is that of a [witch](http://en.wikipedia.org/wiki/Witch). Several centuries ago in North America, the distinction of being known as a witch held negative social connotations. The false notions connected to this important social grouping brought about witch burning. However, no one, not even the ascribed witches, connected themselves with the erroneous characteristics in which they were affiliated. While social identities are important to the foundation of cultures, in many cases, including that of witches, the outcomes of these beliefs are destructive.

##### Racism

Racism, by its simplest definition is the belief that race is the primary determinant of human traits and capacities and that racial differences produce an inherent superiority of a particular race. People with racist beliefs may resent certain groups of people according to their race. In the case of institutional racism, certain racial groups may be denied rights or benefits, or get preferential treatment. Racial discrimination typically points out taxonomic differences between different groups of people, even though anybody can be racialized, independently of their somatic differences. According to the United Nations conventions, there is no distinction between the term racial discrimination and ethnic discrimination.

When looking at Racism there are two other important factors to consider, prejudice and discrimination. Racism does encompass both of these factors, but each show a different side to this overall idea. Prejudice is the attitude that the person posses about a certain group or category of people, for example a particular race or religious group, while discrimination is the actual act of racism towards that particular group or category of people. [[322]](Print_version.html#cite_note-339)

There are five main elements that define the minority group that help keep this group in a subordinate and oppressed by the majority group 1) They receive unequal representation and treatment compared to other groups in the political area. 2) The group is easily identifiable and devalued physical and or cultural traits. 3) The group have a sense of self consciousness, the knowing that they are different or stand out. 4)Membership is based on decent or hereditary. 5) Most marriage are pursued within the group with their own members. There are also five main elements that define the majority group that allows for them to stay in power. 1)Superior in the political arena 2) They have valued physical and/ or cultural traits 3) A lower sense of self consciousness, not aware that they are not the common man. 4) membership is also by decent 5) Marriage usually occurs within the group. [[323]](Print_version.html#cite_note-340) These five major credentials for both groups allow for the social and political separation to occur and flourish in the United States. Especially since the membership is based on decent and marriage tends to stay within group. If these ideas and components are never to be overcame the inequality between the races will last for many years.

A prominent example of racism involves the Montgomery Bus Boycott and [Rosa Parks](http://en.wikipedia.org/wiki/Rosa_Parks). Parks, who was sitting in the section of the bus designated for whites, refused to give up her seat to a white man. She was arrested, and the Montgomery Bus Boycott was started. This was a prime example of the lower status that was given to black people in the 1950's and the time before Martin Luther King Jr. Another prime example is segregation in the secondary school systems throughout the southern states. By allowing legal segregation within the school system, which was inaccurately classified as separate but equal, it not only produced disheartened black children and kept them from experiencing equality under the law, but also opened the door to institutionalized racism. [[324]](Print_version.html#cite_note-341)

#### **Ethnicity**

From an anthropological perspective, [ethnicity](http://en.wikipedia.org/wiki/ethnicity) can be defined as social classification used to create groups based on cultural features, such as religion, language, dress, food, family, and art. Ethnicity is separate from race because ethnicity can be acquired while race is largely based on the biological and geographic characteristics of an individual of which they have little control. Ethnicity develops as a result of the struggle between self-ascription (cultural insiders’ attempts to define their cultural identity) and other-ascription (cultural outsiders’ attempts to define the cultural identities of other groups). This struggle often forms new ethnic groups that are not the identical to earlier ethnic groups. [6]  
  


In an ethnographic report written by John Matthiasson, he explains the political importance of the ascribed names and culture of the Inuit in the Canadian Arctic. As discussed above, ascription affects how a culture is viewed and how the culture views themselves. Matthiasson reported that before 1970, the Inuit were referred to by others as well as themselves as "Eskimos". Following 1970, the origin of the word (which roughly translates to “eaters of raw meat”) was considered derogatory and nearly all of the Inuit stopped referring to themselves as Eskimos. This account relates back to ethnic groups because as Matthiasson suggests, “the names by which we refer to ourselves or others can be used to manipulate our identity and to align with or isolate ourselves from others, as well as to rationalize our treatment of others”. [6]

#### _Caste System_

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Beggar_India.jpg/300px-Beggar_India.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Dalit's in Jaipur. An “untouchable” or Dalit is considered outside of the caste system. They are the lowest of the low in the Indian social stratification.

The [caste system in India](http://en.wikipedia.org/wiki/caste_system_in_India) is a system of social stratification and ascribed status in which people are hierarchically organized by means of social and economic status. Although it is most commonly associated with the [Caste System](http://en.wikipedia.org/wiki/Caste_System) country of India and the religion of [Hinduism](http://en.wikipedia.org/wiki/Hinduism), places such as Japan, China, Bali, Hawaii, and Europe also demonstrate caste-like systems.

Abiding by the Caste System ultimately allows the people in the highest caste to control the rest of society and keep social barriers from being crossed. In India, the caste consists of five different levels. Ranging from highest caste to lowest they are named:

  * Vedas(The Enlightened)
  * Brahmins[[218]](http://en.wikipedia.org/wiki/Brahmin)
  * Kshatriyas[[219]](http://en.wikipedia.org/wiki/Kshatriya)
  * Vaishyas[[220]](http://en.wikipedia.org/wiki/Vaishya)
  * Shudras[[221]](http://en.wikipedia.org/wiki/Shudra)

Brahmans (priests and teachers), Kshatriyas (rulers and soldiers), Vaisyas (merchants and traders), and Sudras (laborers). Below these castes are the "Untouchables" or the Achuta ([Dalit](http://en.wikipedia.org/wiki/Dalit)). Within these five levels are thousands of different castes (and sub-castes) known as jatis. When a person is born, they are placed into the caste that they will remain in throughout their life, during marriage, old age, and eventually death.

The "Untouchables" are taught early on that they are born into their caste to pay for bad behavior in their previous lives. They are limited to jobs considered too gruesome for anyone else such as taking care of human waste. Completely segregated from the rest of society, the "Untouchables" are treated worse than animals in extreme - but not rare - circumstances. Historically, there were advantages to being one of the dalits, such as the division of labor and cultural pride, but today the designation of "untouchable" is looked upon as tool to keep the oppressed and poor in their place.

Although this tradition and as well as it's social expectations that have deep roots in Indian society, slowly reform is happening. America frowns upon the caste system, due to the beliefs that all men are created equal and have the right to life, liberty, and the pursuit of success that drives this nation. But the real question is: Does the US's capitalist society inhibit the creation of a caste system? A division of economic class inevitably leads a caste system, as does having an upper-middle class or a lower-middle class or even people below the poverty line creates a caste? For example, in a Bombay neighborhood some city workers must remove sewage waste. People with these occupations that are characterized as polluting are ranked at the bottom of the Hindu caste society. The social stratification results in the lower income workers having the "dirty work" and polluting occupations. Having these kinds of occupations continues the poverty because of how little they are paid for the less desirable jobs.

#### _Religion_

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2f/Child_baptism_with_water.jpg/150px-Child_baptism_with_water.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Baptism of a child by affusion

An individuals [ascribed status](http://en.wikipedia.org/wiki/ascribed_status) can also be defined through one's religion. People tend to identify with the religion that their family has chosen to follow. Certain religions assign specific social norms for the followers of the religion, these norms may differ from those that a larger group of people choose to follow. A family's religion has the potential to play a major role in the upbring in their children's lives, therefore they are ascribed a specific religious status. Religion or lack of religion are both attributes of ascribed status.

Undergoing [baptism](http://en.wikipedia.org/wiki/baptism) or even just being born into a family that follows a specific religion gives a child an ascribed status based on that religion. While a child may be born into a family who follows the religion of Christianity, this does not automatically determine the religious practices of the child. Often children will be raised with Christian principles, but as with most religions, it is time, coming of age, and over all life experiences that will ultimately determine their beliefs. It is a common practice of the Christian religion to dedicate and baptize young children as a public confirmation of that child's upraising through the particular social practices of the religion. However, some families choose to only confirm the child, allowing them to make the decision, when and if they so choose, to dedicate their own life through baptism.

Religion comes with political inferences. These implications may entail critical practical and abstract problems. On an abstract level, both religion and politics are usually seen to be in opposition to one another in practice but many politicians advertise their religion in order to obtain votes. However, in day to day life, they interrelate. Religion and politics have always been the two main sources of power related laws and guidelines governing how people should live their lives. In recent times countries like the US have worked to keep them separate so that no religion is able to control powers that would allow for the exploitation of other religions; however, countries such as India have a political and social system, the caste system, based around their religious teachings. [[325]](Print_version.html#cite_note-342)

#### **Gender Typing**

The [ascribed status](http://en.wikipedia.org/wiki/ascribed_status) of an individual based on sex is known as gender typing. Most societies participate in this process. In gender typing, certain activities are reserved for males and others for females. Crossing the gender roles set forth by society is often frowned upon in communities that participate in the practice. The vast majority of gender typing is culturally generated and not a creation of inborn biological distinctions between the sexes.[[222]](http://www.google.com/search?hl=en&q=gender+typing+definition&btnG=Search&cts=1236637543507)

An ethnographic example of gender typing can be observed in the early development of children in the United States. From birth, some U.S. parents set their children up for certain sexual categories by giving their babies gender distinct names, clothes, and environments. The gender roles ascribed by the parents lead to differences in intellectual and emotional development. For example, girls are provided with toys that encourage them to learn social rules and imitate behaviors. For example the Barbie toy encourages girls towards certain dress and hair styles. Also Barbies daily activities often include cleaning, cooking and shopping. In contrast, boys are given more active toys and encouraged to explore. Such as video games, play doctor kits, airplane model kits, etc. As a result of this early childhood gender typing, elementary school girls typically say they would choose lower paid, lower status careers such as, Nurse, teacher, or stewardess. Boys, because of their exposure to freedom of exploration, are more likely to obtain higher paid, higher status careers such as, pilot, architect, doctor, or lawyer. [[223]](http://books.google.com/books?id=-t3Ll3mkA20C&pg=PA49&lpg=PA49&dq=ascribed+status,+sex&source=bl&ots=6vMiAMXmYE&sig=eikTO7fmJqYTZJ5pRUs8ZJ6Rld8)

## Achieved Status

[Achieved status](http://en.wikipedia.org/wiki/achieved_status) refers to social position that one earns throughout his or her life. These statuses may be earned based on one's skill level, potential, and determination. Many sociologists think that various factors such as education, employment, and income have a sufficient impact on achieved status. Achieved status is the opposite of ascribed status, that is to say that it is a position in society that is not delegated to a person at birth.

One example of achieved status is the term "pull yourself up by your bootstraps", essentially meaning work hard, and you will get places even if you start with nothing. This is perhaps the more respected and felt to be more deserved in many cultures including the United States. An example of the high respect American's give to those who do "pull themselves up by the bootstraps" is the story of [Christopher Gardner](http://en.wikipedia.org/wiki/Chris_Gardner), a man from San Francisco who hit rock bottom, eventually becoming homeless with his young son. Gardner had persistance and worked hard for months to gain a career as a stockbroker, and eventually became a millionaire. This is a story of real success and probably more interesting to many Americans than the stories about heiresses and heirs. Gardner wrote a book entitled, _The Pursuit of Happyness_ depicting his situation and in 2006 a feature film based on the book was released with the same title.

Many state that this type of "rags to riches" story that exemplifies the "American Dream" is a rare occurrence. This is referred to as the Horatio Alger Myth. In actuality, evidence suggests that inequality is greatly increasing and social mobility is becoming more and more difficult in American society. As class divisions increase, the likelihood of a person accomplishing what Chris Gardner was able to accomplish diminishes, and is replaced with a more realistic scenario in which the bright and talented are unable to escape poverty. [[326]](Print_version.html#cite_note-343)

### Education & Employment

In the workplace today, acquiring a college degree is an important part of either attaining or sustaining an achieved status. When a worker begins, they are easily replaceable. If they are to obtain a higher education, they become well qualified and are less likely to lose their job. Many today are not only working towards their [Associate’s Degree](http://en.wikipedia.org/wiki/Associate%27s_Degree) but their [Bachelor's](http://en.wikipedia.org/wiki/Bachelor%E2%80%99s_degree), [Master's](http://en.wikipedia.org/wiki/Master%E2%80%99s_Degree) and more. Those who are knowledgeable well trained, and influential within their job are considered to have an “achieved status”.

### Income

Those born within a lower class or start jobs with lower [incomes](http://en.wikipedia.org/wiki/Income) are more likely to acquire an “achieved status”. People who inherited power through family are considered to have an "ascribed status". (Their income is likely to be high from the beginning).

### Cultural Example of Achieved Status

American society possesses a number of examples of achieved status. In America, it is culturally acceptable (if you have the necessary resources) to begin life at the low end of the social ladder and to work your way up, by means of achieving a proper education, making useful social connections, and getting promoted within your career. Achieved status is not a position that a person is born into, but rather, it is attained through effort; this includes becoming an Olympic athlete, a doctor, or even a criminal. Although this struggle from the low end of the social ladder to the upper has become ingrained in the idea of America (The American Dream), the actual occurrence of someone rising from lower class to higher class is extremely rare.

### Types of Political Organization

There are four types of political organization within groups and they are split between centralized or uncentralized political systems. The four groups are bands, tribes, chiefdoms, and states. States and chiefdoms are centralized while tribes and bands are uncentralized or also known as egalitarian groups.

A [band society](http://en.wikipedia.org/wiki/band_society) is a foraging group and is the smallest group of political organization ranging anywhere from 20 to 200 people but typically consisting of about 80 people. Most of the people within this group are relatives either by birth or marriage. Since a band is a foraging society they do not have a place of permanent residence because they are constantly moving around. The reason a band is referred to as egalitarian is because there is no distinction between an upper and a lower class but they do have a leader, but not in the traditional sense because they have no power, or influence over people.

The other uncentralized group is a [tribe](http://en.wikipedia.org/wiki/tribe) which falls somewhere between a band and one of the more centralized groups. They are comprised of several bands but their leadership is based on ascribed and achieved statuses, some tribes may have a chief, and their organization is based on kinship. A tribe is more reliant on horticulture and pastoralism rather than foraging like bands and are usually a larger group than bands. A sub division of a tribe is the “Big man” system and they have a very influential person as the leader of the group but this person does not have formal authority.

The [Bushmen](http://en.wikipedia.org/wiki/Bushmen) of South Africa are traditionally a society of people that are comprised of a band and thus egalitarian. Since they moved around a lot they had traditional gear that they wear which included a hide sling, blanket, and cloak in order to carry their food, firewood, a digging stick and even a separate smaller cloak to carry a baby. The woman gather and the men typically hunt in this society and the children do not have jobs.

In a [Chiefdom](http://en.wikipedia.org/wiki/Chiefdom), the people are led by one person known as a chief. The chief governs over a group of tribes which are related through blood or marriage. This centralized style of government has a social hierarchy and economic stratification unlike bands and tribes. On the other hand, a [state](http://en.wikipedia.org/wiki/state) is much more centralized than a chiefdom and has formal laws and authority. They have power to tax, maintain law and order, and to keep track of their citizens.

#### **Nation, Nationalities and Nation-State**

In the past, [nations](http://en.wikipedia.org/wiki/nations) came about when groups of people who were similar in ways such as language, appearance, religious beliefs, and history came together to form territories, [nation-states](http://en.wikipedia.org/wiki/nation-states), and eventually countries. Out of these nations came the sense of [nationalities](http://en.wikipedia.org/wiki/nationalities) and [nationalism](http://en.wikipedia.org/wiki/nationalism).

    **Nation**: A group of people believed to share the same history, culture, identity and oftentimes ethnicity.
    **Nation-State**: A political unit consisting of an autonomous state inhabited predominantly by a people sharing a common culture, history and language. [[224]](http://http://dictionary.reference.com/browse/nation-state?qsrc=2888)
    **Nationality**: The sense of belonging and loyalty to a particular nation that comes about through origin, birth or naturalization.[[225]](http://dictionary.reference.com/browse/nationality?qsrc=2888) Often, government officials will encourage citizens to feel loyalty and devotion for their nation-states; this is called nationalism. 

    [Nation-building](http://en.wikipedia.org/wiki/Nation-building): _An effort to instill a sense of nationality into the citizens of a state._

## Power

_Measure of a person's ability to control the environment around them, including the behavior of other people._

"Human beings actively work to reshape the environments in which they live to suit their own purposes." (Schultz& Lavenda, _Cultural Anthropology_) This quote is linked to the definition of _power_ in its' cultural usage. If a human being's environment includes citizens then their power is measured by how much control they have over the masses. Political power is the most common form of power in the world. If one has a seat in the government then that person has a certain level of power over their subordinates.

### Types of Power

**1\. Money** Money, in many countries today, is the foremost source of power. In countries and societies where money is the main source of exchange, those that are more wealthy can often use it as power by using their wealth to their own benefit or to the benefit of their community. IOU's, the first form of currency, have been used for many centuries. The first actual currency was printed in 1685 and was given to men in the French military in Canada, and were then given value in an exchange market. (First printed Currency) Today there are over 178 currencies in use (CIA World Factbook), with most countries using the currency they produce themselves. Money in any form of currency can be exchanged for other types of currency, thus making the power of money worldwide.

**2\. Social Class** Social class is the hierarchy among members of a society. Often people are born into it. It is gained through money, or through education or career. In some cultures people must stay within their social class through life, and in other cultures it is allowable or even more respected if people work their way up the social ladder. The class a person belongs to is often associated with an identity or subculture within society. People of a higher class associate and have similar lives as people within that class, and the same goes for people of the lower or middle classes. One extreme example of class is the [caste](http://en.wikipedia.org/wiki/Caste) system in India which divides people into five different groups within society. The highest caste is the [Brahman](http://en.wikipedia.org/wiki/Brahman), or “priest” and the lowest caste is the [Harijan](http://en.wikipedia.org/wiki/Harijan), or the “untouchables.” In this system people are born into their casts and usually marry others from the same group and remain a part of their cast for their entire lives. (Callaham, Tom).

**3\. Physical Force** Physical force is using physical coercion as a means to gain power and control over others. Physical force may be one country threatening another with its military, or perhaps a neighborhood bully asserting his/her dominance with beatings or threats based on his/her physical stature, like the saying goes,"speak softly and carry a big stick" (Theodore Roosevelt). This is also known as the power of free agency; or "the freedom of self contained individuals to pursue their own interests above everything else and to challenge another for dominance." This form of power is typically seen as physical coercion, which has been used by civilizations for thousands of years in order to survive. Stateless societies typically had this form of power employed, where locals feared other powerful locals, not the king or figurehead of the country.

An example of physical force being used for free agency is the Gulf War. Iraq used their massive army to intimidate and conquer Kuwait so they could gain more monetary power in the form of oil. Oil, however, is the lifeblood of many western nations, and for the first time in its history, the United Nations formed a coalition to make sure that the U.S. and Western European Nations would continue to receive cheap gasoline throughout the remainder of the 20th century. This is free agency because Iraq was pursuing its own interests without worrying about how the world or Kuwait would respond. The world then responded in an efficient manner and evicted Iraq from Kuwait, basically telling Iraq that they couldn't do whatever they want just because they are bigger than another country.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Merkava_tanks_in_northern_Israel.jpg/200px-Merkava_tanks_in_northern_Israel.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Israeli Tanks.

Force usually rest solely in the hands of a person in high position of power. They are able to make others do certain task, or make them stop practicing certain rituals[[226]](http://en.wikibooks.org/wiki/Cultural_Anthropology/Ritual_and_Religion). Force is usually used by using violence, threats and by putting fear into those being controlled. Force can be used in various situations and places like countries, religious sanctuaries, in homes, between two people, and or groups of people. However many people try to resist force and try to retaliate, which can often lead to harm being done to one or both parties involved.

A prime example of the way force is used as a type of power is in the current war on Iraq. The American military invaded Iraq, and is implementing American value systems consistent with those of a constitutional republic rather than the traditional Muslim value systems of the former Islamic Democratic Parliamentary Republic. The military uses various ways to enforce this value system change on the Iraqi people, by using weapons, threats of further action and by imprisoning and capital execution of dissidents that forcefully retaliate against the laws and rules that have been enacted by the new Constitution. Force is the main type of power being used by both sides in their efforts to sway people to their disparate belief systems at the present time.

Another example of a way force is used as a type of power is rape, when a person or persons force themselves sexually on another with out given consent. Usually with threats on the other to cooperate if they do not want to be harmed. This typically involves the offender hurting the other in order for them to do what they want.

In new era of nuclear weapons and WMD, a small sized country can now carry far more force. This indicates a transition of the typical definition of force for warfare from manpower to widespread devastation. With the potential for smaller countries to have a much larger power than their size every before dictated, there have been new restrictions, from the currently more powerful countries, on these new powerful weapons. This can be shown by the North Korean missile tests that were condemned by the US Great Britan, France, Russia, Canada, Germany and, The United Nations.

**4\. Persuasion** [Persuasion](http://en.wikipedia.org/wiki/Persuasion):_Power based on verbal argument (Schultz-Lavenda, 244)._Persuasion is the act of influencing others into adopting an idea. This is usually done through speech and rarely through physical acts. The ability to persuade is highly coveted and is often associated with powerful people in many societies, because those who can persuade can be trusted to speak for their people. This is why persuasive speakers speak for those in their societies. For example, the [Huichol Indians](http://en.wikipedia.org/wiki/Huichol) of Northern Mexico have shaman that see themselves as being able to speak for all of the Huichol and are often involved in negotiations with other societies because of their persuasive abilities. (Shultz-Lavenda 244-245)

There are countless uses for persuasion. The art of persuasion can be used to get humans into bed or to get them to buy material goods. You might use it to sell an idea like a new computer architecture, the end of hunger, a sustainable ecology or that gay and straight humans should have strict equality. You might use it to persuade humans to give up some bad habit like smoking tobacco, abusing alcohol, an obsolete violent religion or cruelty to animals and children. Some professions like rely very heavily on their ability to persuade others, this is especially true for lawyers and car salesmen.

Some basic tips for being a good persuader are: 1. Lead with non-controversial statements  
2\. Humans reason mostly by analogy. The key is finding the right analogy and letting them reason it through for themselves.  
3\. In debate, concede as many points as you possibly can. Your opponents will then perceive you as eminently reasonable and stop fighting you so hard.  
4\. Keep your sense of humor at all times. It is the best weapon for disarming a harsh critic.  
5\. Use colorful language. Play on all the senses.  
6\. A pause or complete silence is often more eloquent than any words. It also gives a chance for others to take up the charge.  
7\. Be as ruthlessly honest as you can. Be willing to share any detail about yourself. That way humans can get a sense of who you really are. They need that before they can trust you.  
8\. Praise the desired behavior in anyone who exhibits it. The others will mindlessly model the behavior to get praise.  
9\. Don’t bother with the reasons why you want humans to do something. Get into their heads. Why would they want to do it? People are much more likely to trust you if you obviously like them and have their desires and well being in consideration.  
( _CITATION_: Some tips taken from: <http://mindprod.com/ethics/persuasion.html> )

**5\. Fame**

Combine the two main sources of power and what do you get? Fame. To many, fame means money and a high social class. They would be correct. Many western cultures look to those who are famous almost as idols. Money and a high social class, whether gained or born into, are closely related to celebrities and socialites. Those who gain or inherit fame are given power almost automatically, as though being able to act and sing or having the luck of being born into a wealthy family gives them the right to have power over others. Does it give them the right to act this way? No, but society believes this power belongs to the famous.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bd/JenniferAnistonFeb09.jpg/220px-JenniferAnistonFeb09.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Jennifer Aniston at the _He's Just Not That Into You_ permiere.

An ethnographic example of the power that comes with fame would be celebrities. In the United States, celebrities are fawned over by their fans, and in some cases receive special treatment over non-celebrities. For example, in the case of imprisonment, celebrities are able to get out of prison early for no apparent reason. One celebrity who was able to get out early was Nicole Richie. Her sentence was four days for driving the wrong way down a road while drunk and she served an entire eighty-two minutes.[[227]](http://www.associatedcontent.com/article/364087/a_glance_at_recent_celebrity_treatment_pg3.html?cat=9) Not all of the special treatment stars get is from prison, sometimes it is from night clubs like Jennifer Aniston, car dealerships like Britney Spears, or even zoos like Shaquille O’Neal.[[228]](http://www.usatoday.com/money/advertising/2004-06-07-celebrity-treatment_x.htm) The culture in the United States allows this special treatment to continue and so it will.

**6\. Tradition** The power of Tradition in a culture can be defined as the possession of control or command over others through a long established way of thinking. This type of power is most asserted through means of religion. Religions have long histories, which inevitably create traditional customs, laws, beliefs and ways of thinking or processing. Power of tradition can also be used through cultural beliefs. Certain cultures have traditional beliefs that grant power logically to one sex over the other, such as in patriarchal or matriarchal cultures. Another accustomed form of power through tradition is in the workforce. As aforementioned, tradition creates customs, laws, beliefs and ways of thinking.

In an ethnographic attempt to further explain the power of tradition, examine the status of women in Islamic religion. In Farnaz Fassihi’s book of her reporting in Iraq post Saddam Hussein’s fall, she states how her gender is a reoccurring problem when Iraq’s policies are being greatly influenced by its Islamic traditions and its Islamic religious leader, Grand Ayatollah Sistani. Fassihi explains, “I never had to tiptoe around my gender the way I do now…at offices of political parties or clerics, I am required to stand outside under the sweltering sun because the waiting room is designated for men…the entrances to the holy shrines in Karbala and Najaf now have segregated entries with a…police officer checking the attire of visiting female” (Fassihi 116). Fassihi is appalled at the way women are thought of and are treated, but it is the power of tradition that allows men to carry on this way. The power of tradition creates customs within cultures and religions. In the Islamic faith, it is customary for women to dress modestly, in this sense women wear head-covers (see [Women in Islam](http://en.wikipedia.org/wiki/Women_in_Islam)). Tradition can furthermore create beliefs, such as the belief that women should not look men in the eye if outside of their immediate family.

### Kinds of Social Power

  * **Interpersonal Power** : _The ability of one individual to impose his or her own will on another individuals (Schultz-Lavenda, 233)._

In its broadest sense, interpersonal power refers to any cause of any change in the behavior of one actor, B, which can be attributed to the effect of another actor, A. It sometimes refers to the capacity to cause such change (Weber [1918] 1968), sometimes to actual use of that capacity (Dahl 1957; Simon 1953) but always to overcoming the "resistance" of B (Weber [1918] 1968), hence causing B to do something B would not otherwise do (Dahl 1957). Interpersonal power is therefore the power of one individual "over" another as opposed to an individual's power to do something, the capacity of an actor to attain some goal (IPES, BookRags).

  * **Organizational Power** : _Highlights how individuals or social units can limit the actions of other individuals in particular social settings (Schultz-Lavenda, 233)._

Organizational Power Politics is about how individuals can achieve their objectives in organizational work groups. Office politics or organizational politics, is a significant part of the life of everyone who works with others in formal or informal groups. These relationships are power-tinged, and success can be attained only as we use power effectively. Understanding what power is and how it can be used to gain personal or group objectives is the focus of the book. It provides readers with specific recommendations about the situations in which power use can be effective, and it identifies those tactics most effective in leading subordinates and superiors toward the achievement of our goals. This work will be of interest to scholars and practicing managers seeking information on how better to use organizational politics to attain personal and organizational goals. It provides insight into power theory, as well as a practical model for power use, strategic orientation, and operational tactics (Choice, Greenwood).

  * **Structural Power** : _Organizes social settings themselves and controls the allocation of social labor (Schultz-Lavenda, 233)._

Winter and Stewart (1978) have provided a useful [taxonomy](http://en.wikipedia.org/wiki/Taxonomy) of power-related constructs linking the organizational and individual levels. Power as an attribute of particular social roles (e.g., jobs) locates individuals in organizational roles that legitimize or require actual power behavior (actions affecting the behavior and emotions of other people) from the individual for effective role performance. The enjoyment of power satisfaction, regardless of social role, requires both feeling powerful as a result of successful power behavior and the capacity to find that feeling gratifying. Thus, power as a source of job satisfaction depends on opportunities for power behavior, frequent successful outcomes of power behavior, and the experience of feeling powerful. This should be more likely in jobs that provide structural power as an attribute of the occupational role (Bnet).

These social [powers](http://en.wikipedia.org/wiki/Power) are often used in a political situation. Becoming the greatest political power cannot only be won through war but also techniques of social power. With such diverse ability dominance in social situations is inevitable and opposing groups or individuals are conquered.

### The Role of the State

Many early political anthropologists assumed that in order for a civilization to be socially civilized, a state was absolutely necessary. They drew on western ideas that without a state, there would only be anarchy and disorder. Anthropologists such as Lewis Henry Morgan proved that there could be successful societies where an actual state is not present. Instead, different people will have different roles, and political power is dispersed among the people. Order within a social group can be maintained without a state as long as the group has a traditional process to organize itself.

#### John Locke

[John Locke](http://en.wikipedia.org/wiki/John_Locke) (1632-1704) was a British philosopher. He was revered as being among the greatest thinkers of [The Enlightenment](http://en.wikipedia.org/wiki/The_Age_of_Enlightenment). Locke was a proponent of the [social contract](http://en.wikipedia.org/wiki/social_contract) theory of government, a belief that people should give up some rights in exchange for the order and protection that government supplies. But, he also advocated the separation of government power. Even further, he thought that civil uprising was allowable under the right conditions, and imperative in severe situations. His thinking would greatly contribute to that of the founding fathers of the United States of America; the [Constitution of the United States](http://en.wikipedia.org/wiki/United_States_Constitution) and the [Declaration of Independence](http://en.wikipedia.org/wiki/United_States_Declaration_of_Independence) both embodied such ideals.[[229]](http://www.philosophypages.com/hy/4n.htm)

### !Kung

Varying cultures deal with power distribution differently. In a [case study done by Richard Borshay Lee](http://windward.hawaii.edu/facstaff/dagrossa-p/articles/EatingChristmas.pdf) in 1969 in the Kalahari (Lee, Christmas in the Kalahari 1969) he finds that a tribe of people referred to as the !Kung have a system very different from our own. When Christmas came around Lee decided he would do the people a favor and buy them a large cow to cook as a goodwill gesture for their celebration. After purchasing the largest bull he could find, all of the tribe set about telling him that his cow was much to thin and unhealthy and wouldn't come close to feeding everyone. This of course was not true because he had chosen the very largest animal available, but as Lee later finds out it is traditional for the !Kung to belittle anyone that does others or the whole tribe a service in order to keep everyone humble. The point of this practice is to keep the power hierarchy of the tribe balanced and fair. That way there are fewer problems that arise with power struggle and dominance issues.

## Conflict

**Conflict** may be either perceived or actual, and is the result of oppression, opposition, or the disagreement of [needs](http://en.wikipedia.org/wiki/need), [values](http://en.wikipedia.org/wiki/value) and interests between individuals, groups, and even cultures as a whole. The concept of _conflict_ can assist in gaining further insight into large-scale disharmony between cultures, or simply a brawl between two individuals. Conflict is a result of differences in interests, values, actions, or directions. A conflict can be internal or external.

As on the individual basis conflict may result as a component of an emotional upset. These emotional upsets can be perceived as behavioral, physiological, or cognitive in nature.  


    [behavioral](http://en.wikipedia.org/wiki/behavioral) is the expression of emotional experience and can be verbal, non-verbal, intentional, or unintentional.  

    [physiological](http://en.wikipedia.org/wiki/physiological) is the physical correspondence between the feelings given by emotions and personal identity.  

    [cognitive](http://en.wikipedia.org/wiki/cognitive) is the concept that on an individual basis an experience is given a specific level of relevancy.  


  
From the standpoint of cultures, engagement in conflicts is due to a variety of sources. More specifically, those within [diplomacy](http://en.wikipedia.org/wiki/diplomacy), [economy](http://en.wikipedia.org/wiki/economy), [military](http://en.wikipedia.org/wiki/military), and [religion](http://en.wikipedia.org/wiki/religion).

  


### Types of conflict

  * **Diplomatic conflict:** Diplomatic conflict arises when the interests of different countries are not compatible [[230]](http://jcr.sagepub.com/cgi/pdf_extract/10/3/272). States or nation-states create plans and objectives to improve the welfare of the state or nation-state and/or its citizens. To satisfy an objective, a government sometimes demands resources from a neighboring government. Conflict becomes apparent when a government attempts to complete an objective even at the expense of a close nation or a nation involved in the objective. An objective of a government can range from increasing resources that another nation has possession of or security.

    

    An example of diplomatic conflict would be the [Cold War](http://en.wikipedia.org/wiki/Cold_War). This was a struggle between the United States and the Soviet Union including their allies to influence developing countries into adopting their political and economic ideologies. The conflict escalated to such a severe degree that it spawned the Korean and Vietnam Wars. The conflict began at the end of [World War II](http://en.wikipedia.org/wiki/World_War_II) and concluded at the beginning of the 1990's soon after the fall of the Berlin Wall. The Cold War illustrates how conflicting objectives by powerful nation-states can affect such an extensive population, often to their detriment. Instead of a tangible resource, security and global dominance was objective of the conflicting nation-states.

  * **Economic conflict:** Economic conflict occurs when there is a disagreement over the distribution of wealth of a state or nation-state [[231]](http://books.google.com/books?hl=en&lr=&id=C5uYCmjn0DoC&oi=fnd&pg=PR7&dq=economic+conflict&ots=YGJ46NLUbD&sig=3oPIteu8YthioxgE-oCLA8HWc08#PPA2,M1). There is often conflict within a state when resources are scarce and must be rationed across its population. When resources become scarce, especially in wartime, the government or other special interests that have power in a state or nation-state control the distribution of wealth and resources in that state or nation-state. That is, the government has the power to appropriate and distribute goods and/or services to the population as it sees fit. This leads to struggles by other minority interests such as labor strikes, litigation, and lockouts. Economic conflict is also an inherent problem in colonialism, and can often escalate into violent revolutions because of unbalanced resource distribution. In modern times, this same conflict can be seen in the globalization issue, with international corporations serving the role of resource controllers/distributors.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Crossingtherhine.jpg/220px-Crossingtherhine.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Soldiers in military conflict/war. Soldiers crossing the Rhine River.

  


  * **Military conflict:** Military conflict generally occurs when two opposing nations revert to the use of violent force to dispute conflicts through fighting. The nation or state with the most powerful military uses the nation's military as leverage in negotiations to reach a compromise or understanding.

  


    

    [War](http://en.wikipedia.org/wiki/war) is the one of main consequence of military conflict if negotiations can not be resolved, and can generally be defined as armed-conflict between nation-states or large political groups. Although a [civil war](http://en.wikipedia.org/wiki/civil_war) is an internal conflict between separate parties within the same state or nation.

  


  * **Religious-based conflict:** Religious-based conflict occurs between two religious groups, often when a larger, more powerful group attempts to take over a smaller one. There are currently at least nineteen areas of major religious conflict going on throughout the world; the more notable ones include, but are not limited to, Israel and Iraq (Al-Qaida). Although, some of the world’s most gruesome wars have been fought on the basis of religion, religious-based conflict is not always violent. It is not uncommon for religious groups to be at odds with one another, directly or indirectly, due to the tendency of each religion to assume the position of being the sole truth.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e4/WaziriyaAutobombeIrak.jpg/220px-WaziriyaAutobombeIrak.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Bomb terror in Iraq

    

    **The Iraq War:** One conflict that is prevalent today takes place between the Shiite and Sunni Muslims in Iraq. The Shiites [[232]](http://dictionary.reference.com/browse/shiite?qsrc=2888) are deeply motivated to make Iraq an Islam nation by Iraq’s neighbor, Iran, which has successfully converted to an Islam-led government. Under, Saddam Hussein (the former dictator of Iraq), Sunnis could practice their religion freely and attain political influence and power; the Shiites, however, were not favored by Saddam and therefore were not allowed such freedom. After the fall of the dictatorship, the Shiites quickly proceeded to take advantage of this opportunity for leadership of Iraq. With the combination of the loss of a stable leader and the American military occupation of the nation, chaos has ensued in the form of violent religious-based conflict. Religious radicals from both the Sunni and Shiite religions regularly hash it out with explosives and gunfire, and the fight is only exacerbated by the presence of the American military, while innocent civilians are inevitably caught in the crossfire.

  


# References

  1. [↑](Print_version.html#cite_ref-1) ["African People & Culture - Ashanti"](http://www.africaguide.com/culture/tribes/ashanti.htm). <http://www.africaguide.com/culture/tribes/ashanti.htm>. 
  2. [↑](Print_version.html#cite_ref-2) "Japanese Hip Hop and the Globalization of Popular Culture" Ian Condry
  3. [↑](Print_version.html#cite_ref-UCLA_3-0) _Southern California Quarterly_ "Cinco de Mayo's First Seventy-Five Years in Alta California: From Spontaneous Behavior to Sedimented Memory, 1862 to 1937" Spring 2007 (see [American observation of Cinco de Mayo started in California](http://www.newsroom.ucla.edu/portal/ucla/Cinco-de-Mayo-Observance-Is-Important-7891.aspx?RelNum=7891)) accessed Oct 30, 2007
  4. [↑](Print_version.html#cite_ref-4) "Health and Human Rights", World Health Organization <http://www.who.int/hhr/HHRETH_activities.pdf> (pdf) Accessed June 2009
  5. [↑](Print_version.html#cite_ref-5) "Discussion Group 10 Week 2- Marisa Mikelsons"
  6. [↑](Print_version.html#cite_ref-6) Condry, Ian, 2001 "Japanese Hip-Hop and the Globalization of Popular Culture." In Urban Life: Readings in the Anthropology of the City. George Gmelch and Walter Zenner, eds. Prospect Heights, IL: Waveland Press.
  7. [↑](Print_version.html#cite_ref-7) Democracy in Dakar, Nomadic Wax, 2008
  8. [↑](Print_version.html#cite_ref-8) [http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top](http://courses.wwu.edu/webapps/portal/frameset.jsp?url=/bin/common/course.pl?course_id=_15282_1&frame=top)
  9. [↑](Print_version.html#cite_ref-9) Barton Wright Cruz Bay Publishing, Inc. <http://www.collectorsguide.com/fa/fa040.shtml>
  10. [↑](Print_version.html#cite_ref-10) Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.79.
  11. [↑](Print_version.html#cite_ref-11) Philosophy Home, 2009. <http://www.cultural-relativism.com/>
  12. [↑](Print_version.html#cite_ref-12) Zmago Šmitek and Božidar Jezernik, "The anthropological tradition in Slovenia." In: Han F. Vermeulen and Arturo Alvarez Roldán, eds. _Fieldwork and Footnotes: Studies in the History of European Anthropology._ 1995.
  13. [↑](Print_version.html#cite_ref-13) American Anthropological Association Statement on "Race"(May 17, 1998) <http://www.aaanet.org/stmts/racepp.htm>

Lee, Richard Borshay. Christmas in the Kalahari 1969, Natural History

CIA, CIA World Factbook. Feb. 17, 2009. 2 Mar 2009 <<https://www.cia.gov/library/publications/the-world-factbook/index.html>>.

Callaham, Terence. "Indian Caste System." 2 Mar 2009 <<http://www.csuchico.edu/~cheinz/syllabi/asst001/spring98/india.htm>>.

"Current Religious Based Conflicts." Center for Reduction of Religious Based Conflicts. 2009. Center For Reduction of Religious-Based Conflicts. 7 Mar 2009 <<http://www.center2000.org/>>.

Dictionary.com. "Nationalism." March 5, 2009. <http://dictionary.reference.com/browse/nationality?qsrc=2888>

Dictionary.com. "Nation-State." March 5, 2009. <http://dictionary.reference.com/browse/nation-state?qsrc=2888>

Fassihi, Farnaz. _Waiting for an Ordinary Day_. New York: Public Affairs, 2008.

"The First Printed Currency: Massachusetts Bay - December 10, 1690." 2 Mar 2009 <<http://www.coins.nd.edu/ColCurrency/CurrencyIntros/IntroEarliest.html>>.

[4] **[^](Print_version.html#ref_Holsti_1966)** Holsti, K. J. Resolving international conflicts : a taxonomy of behavior and some figures on procedures. Journal of Conflict Resolution_, 10, 272-296._

[5] **[^](Print_version.html#ref_Hirshleifer_2001)** Hirshleifer, Jack. The Dark Side of the Force: Economic Foundations of Conflict Theory. Cambridge University Press, 2001.pg.2-9

[6] **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.377-381.

Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology : A Perspective on the Human Condition. New York: Oxford UP, Incorporated, 2009.pg.244-245.

**[^](Print_version.html#ref_Callaham_.26_Pavich)** Callaham, Terence, and Roxanna Pavich. "India's Caste System." California State University, Chico -- Chico State. 07 Mar. 2009 <<http://www.csuchico.edu/~cheinz/syllabi/asst001/spring98/india.htm>>.

[9] Tink. "A Glance At Recent Celebrity Treatment." Associated Content - associatedcontent.com. 5 Sept. 2007. 09 Mar. 2009 <<http://www.associatedcontent.com/article/364087/a_glance_at_recent_celebrity_treatment_pg3.html?cat=9>>.

[10] Krantz, Matt, and Chris Woodyard. "USATODAY.com - Stars live in a cushy world of special treatment." News, Travel, Weather, Entertainment, Sports, Technology, U.S. & World - USATODAY.com. 7 June 2004. USAToday. 09 Mar. 2009 <<http://www.usatoday.com/money/advertising/2004-06-07-celebrity-treatment_x.htm>>.

[14] **[^](Print_version.html#ref_Dictionary.com_2009)** The Free Online Dictionary. Farlex. 8 Mar. 2009 <<http://www.thefreedictionary.com/>>.

[15] **[^](Print_version.html#ref_James_2009)** James, Paul. "Social Groups and Conflict." Blackboard. 2009. Western Washington University. 8 Mar. 2009 <<http://www.wwu.edu>>.

[16] **[^](Print_version.html#ref_Schultz_and_Lavenda_2009)** Schultz, Emily A., and Robert H. Lavenda. Cultural Anthropology: A perspective on the Human Condition. Seventh Edition ed. New York: Oxford UP Inc., 2009. Pgs.291-292

[17] **[^](Print_version.html#ref_James_2009)** James, Paul. "Social Groups and Conflict." Blackboard. 2009. Western Washington University. 8 Mar. 2009 <<http://www.wwu.edu>>.

[18] **[^](Print_version.html#ref_Korry_2005)** Korry, Elaine. "A Fraternity Hazing Gone Wrong." 14 Nov. 2005. NPR. 8 Mar. 2009 <<http://www.npr.org/templates/story/story.php?storyId=5012154>>.

[19] **[^](Print_version.html#ref_Dukcevich_2003)** Dukcevich, Davide. "Best Fraternities For Future CEOs." Forbes. 13 Jan. 2003. 8 Mar. 2009 <<http://www.forbes.com/2003/01/31/cx_dd_0131frat.html>>.

[20] **[^](Print_version.html#ref_Columbia_Encyclopedia_2008)** "Ku Klux Klan." The Columbia Encyclopedia. Sixth ed. Encyclopedia.com. 2008. 8 Mar. 2009 <<http://www.encyclopedia.com/doc/1E1-KuKluxKl.html>>.

[21] **[^](Print_version.html#ref_Business_Dictionary_2009)** Business Dictionary. 8 Mar. 2009 <<http://www.businessdictionary.com/definition/autonomous-work-group.html>>.

  


← [Marriage, Reproduction and Kinship](http://en.wikibooks.org/wiki/Cultural_Anthropology/Marriage,_Reproduction_and_Kinship) · [Globalization and Migration](http://en.wikibooks.org/wiki/Cultural_Anthropology/Globalization_and_Migration) →

← [Marriage, Reproduction and Kinship](http://en.wikibooks.org/wiki/Cultural_Anthropology/Marriage,_Reproduction_and_Kinship) · **[Cultural Anthropology](http://en.wikibooks.org/wiki/Cultural_Anthropology)** · [Globalization and Migration](http://en.wikibooks.org/wiki/Cultural_Anthropology/Globalization_and_Migration) →

  


# Globalization and Migration

[Cultural Anthropology/Globalization and Migration](http://en.wikibooks.org/wiki/Cultural_Anthropology/Globalization_and_Migration)   


![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&oldid=2596459](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&oldid=2596459)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Cultural Anthropology](http://en.wikibooks.org/wiki/Category:Cultural_Anthropology)

Hidden categories: 

  * [Pages where template include size is exceeded](http://en.wikibooks.org/wiki/Category:Pages_where_template_include_size_is_exceeded)
  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [No references for citations](http://en.wikibooks.org/wiki/Category:No_references_for_citations)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Cultural+Anthropology%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Cultural+Anthropology%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Cultural_Anthropology/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Cultural_Anthropology/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Cultural_Anthropology/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&oldid=2596459)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Cultural_Anthropology%2FPrint_version&id=2596459)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Cultural+Anthropology%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Cultural+Anthropology%2FPrint+version&oldid=2596459&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Cultural_Anthropology/Print_version&printable=yes)

    * This page was last modified on 27 December 2013, at 16:35.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Cultural_Anthropology/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
