# Engineering Acoustics/Print version

From Wikibooks, open books for an open world

< [Engineering Acoustics](http://en.wikibooks.org/wiki/Engineering_Acoustics)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=Engineering_Acoustics/Print_version) on _14 July 2012_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&oldid=2377706&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [Engineering_Acoustics](http://en.wikibooks.org/wiki/Engineering_Acoustics)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&action=purge&printable=yes) this page.

_Note: current version of this book can be found at <http://en.wikibooks.org/wiki/Engineering_Acoustics>_

Remember to click "refresh" to view this version.

# Part 1: Lumped Acoustical Systems

# Simple Oscillation

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## The Position Equation

This section shows how to form the equation describing the position of a mass on a spring.  
  
For a simple oscillator consisting of a mass _m_ attached to one end of a spring with a spring constant _s_, the restoring force, _f_, can be expressed by the equation

![f = -sx\\,](../../../upload.wikimedia.org/math/9/5/5/9555cee36ef55759ebe517a340a9bbe5.png)

where _x_ is the displacement of the mass from its rest position. Substituting the expression for _f_ into the linear momentum equation,

![f = ma = m{d^2x \\over dt^2}\\,](../../../upload.wikimedia.org/math/3/c/c/3cc09afaef3da2f851a19c1aed8b4617.png)

where _a_ is the acceleration of the mass, we can get

![m\\frac{d^2 x}{d t^2 }= -sx ](../../../upload.wikimedia.org/math/9/3/4/934eea0c83cd5ac4ed69cf95e0c84da4.png)

or,

![\\frac{d^2 x}{d t^2} + \\frac{s}{m}x = 0](../../../upload.wikimedia.org/math/7/b/1/7b114ca475a1318bd1af3fd2b77d9703.png)

Note that the frequency of oscillation ![\\omega_0](../../../upload.wikimedia.org/math/d/4/d/d4df4d2cdd8cdb93b8868b4d5c22bcc2.png) is given by

![\\omega_0^2 = {s \\over m}\\,](../../../upload.wikimedia.org/math/e/a/e/eae8b22ca5e5f0e1c04207966d8bcd3f.png)

To solve the equation, we can assume

![x\(t\)=A e^{\\lambda t} \\,](../../../upload.wikimedia.org/math/d/3/6/d36eccde2bf1766f8cb8657e059d0303.png)

The force equation then becomes

![\(\\lambda^2+\\omega_0^2\)A e^{\\lambda t} = 0,](../../../upload.wikimedia.org/math/d/9/3/d93e99a78c745666bb61fc358f7b2c9d.png)

Giving the equation

![\\lambda^2+\\omega_0^2 = 0,](../../../upload.wikimedia.org/math/7/4/b/74b6253bffd1551a1b8c4e44309221d6.png)

Solving for ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)

![\\lambda = \\pm j\\omega_0\\,](../../../upload.wikimedia.org/math/c/7/0/c70cdf8fbcf4e000078e60d21571f0df.png)

This gives the equation of _x_ to be

![x = C_1e^{j\\omega_0 t}+C_2e^{-j\\omega_0 t}\\,](../../../upload.wikimedia.org/math/b/4/c/b4c96d63a30e80653cc036aee34263b4.png)

Note that

![j = \(-1\)^{1/2}\\,](../../../upload.wikimedia.org/math/0/6/6/066a62f3b11f9d02d9f468d6f7ae85fc.png)

and that _C1_ and _C2_ are constants given by the initial conditions of the system

If the position of the mass at _t_ = 0 is denoted as _x0_, then

![C_1 + C_2 = x_0\\,](../../../upload.wikimedia.org/math/3/8/1/381a8f8dbfdae018000540c5afddede7.png)

and if the velocity of the mass at _t_ = 0 is denoted as _u0_, then

![-j\(u_0/\\omega_0\) = C_1 - C_2\\,](../../../upload.wikimedia.org/math/c/8/f/c8f960b886014c4dd67a7480a3b943de.png)

Solving the two boundary condition equations gives

![C_1 = \\frac{1}{2}\( x_0 - j\( u_0 / \\omega_0 \)\)](../../../upload.wikimedia.org/math/a/1/e/a1e4f8be35008128a6dcca1853c6d719.png)   
![C_2 = \\frac{1}{2}\( x_0 + j\( u_0 / \\omega_0 \)\)](../../../upload.wikimedia.org/math/3/f/7/3f7ca48841a5353936435dd64ec064ee.png)   


The position is then given by

**![x\(t\) = x_0 cos\(\\omega_0 t\) + \(u_0 /\\omega_0 \)sin\(\\omega_0 t\)\\,](../../../upload.wikimedia.org/math/5/f/7/5f7accde62780ccfbf3e3e0c523ec480.png)**   


This equation can also be found by assuming that _x_ is of the form

![x\(t\)=A_1 cos\(\\omega_0 t\) + A_2 sin\(\\omega_0 t\)\\,](../../../upload.wikimedia.org/math/3/b/d/3bd23b3663fe9f127c22e984676e1322.png)

And by applying the same initial conditions,

![A_1 = x_0\\,](../../../upload.wikimedia.org/math/5/4/f/54f038a326404bdf50e71de297506f78.png)   
![A_2 = \\frac{u_0}{\\omega_0}\\,](../../../upload.wikimedia.org/math/a/5/5/a55de68e0941f5a5b026f827c285a8f1.png)   


This gives rise to the same position equation

![x\(t\) = x_0 cos\(\\omega_0 t\) + \(u_0 /\\omega_0 \)sin\(\\omega_0 t\)\\,](../../../upload.wikimedia.org/math/5/f/7/5f7accde62780ccfbf3e3e0c523ec480.png)   


  
[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

## Alternate Position Equation Forms

If _A1_ and _A2_ are of the form

![A_1 = A cos\( \\phi\)\\,](../../../upload.wikimedia.org/math/8/e/1/8e172c7f37d667c8c0e99e169c68a320.png) ![A_2 = A sin\( \\phi\)\\,](../../../upload.wikimedia.org/math/a/4/0/a40590122dbae72e3196de622ecb2bd4.png)   


Then the position equation can be written

**![x\(t\) = Acos\( \\omega_0 t - \\phi \)\\,](../../../upload.wikimedia.org/math/d/b/c/dbcab96c7cc6f397e4a0c3ad7f23049f.png)**   


By applying the initial conditions (_x(0)=x0, u(0)=u0_) it is found that

![x_0 = A cos\(\\phi\)\\,](../../../upload.wikimedia.org/math/4/7/5/475cfc21ae0133aee684516b4317f9f3.png)   
![\\frac{u_0}{\\omega_0} = A sin\(\\phi\)\\,](../../../upload.wikimedia.org/math/d/e/a/dea9f0ae1ae1889dd85bb4d7e94eef6b.png)   


If these two equations are squared and summed, then it is found that

**![A = \\sqrt{x_0^2 + \(\\frac{u_0}{\\omega_0}\)^2}\\,](../../../upload.wikimedia.org/math/6/0/0/6009361397fe0a544fe27546a0b5b802.png)**   


And if the difference of the same two equations is found, the result is that

**![\\phi = tan^{-1}\(\\frac{u_0}{x_0 \\omega_0}\)\\,](../../../upload.wikimedia.org/math/7/7/3/7738fc037971f80229f8afe6cbd6b813.png)**   


The position equation can also be written as the Real part of the imaginary position equation

![\\mathbf{Re} \[x\(t\)\] = x\(t\) = A cos\(\\omega_0 t - \\phi\)\\,](../../../upload.wikimedia.org/math/4/1/7/4177880c1723ff7a30e7e0d318699b77.png)   


Due to euler's rule (ejφ = cosφ + jsinφ), **x**(t) is of the form

![x\(t\) = A e^{j\(\\omega_0 t - \\phi\)}\\,](../../../upload.wikimedia.org/math/9/e/4/9e44afdf1661728cdb39731aa9db1000.png)   


Example 1.1

**GIVEN:** Two springs of stiffness, ![s](../../../upload.wikimedia.org/math/0/3/c/03c7c0ace395d80182db07ae2c30f034.png), and two bodies of mass, ![M](../../../upload.wikimedia.org/math/6/9/6/69691c7bdcc3ce6d5d8a1361f22d04ac.png)

**FIND:** The natural frequencies of the systems sketched below

  1. ![Simple Oscillator-1.2.1.a](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/Simple_Oscillator-1.2.1.a.png/100px-Simple_Oscillator-1.2.1.a.png)

![
s_{TOTAL} = s + s \\text{ \(springs are in parallel\)}
](../../../upload.wikimedia.org/math/f/b/c/fbca3d0522375d09aa1ccdb56dcdb9c6.png)

![
\\omega_{0} = \\sqrt{\\frac{s_{TOTAL}}{m_{TOTAL}}} = \\sqrt{\\frac{2s}{M}}
](../../../upload.wikimedia.org/math/e/7/0/e70955e420981c7ecceaec39bfac6253.png)

![
\\mathbf{f_0} = \\frac{\\omega_{0}}{2\\pi} = \\mathbf{\\frac{1}{2\\pi}\\sqrt{\\frac{2s}{M}}}
](../../../upload.wikimedia.org/math/c/5/7/c57d7604a3b4cbff6ffbc895c9fe7338.png)

  
  


  2. ![Simple Oscillator-1.2.1.b](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Simple_Oscillator-1.2.1.b.png/100px-Simple_Oscillator-1.2.1.b.png)

![
\\omega_{0} = \\sqrt{\\frac{s_{TOTAL}}{m_{TOTAL}}} = \\sqrt{\\frac{s}{2M}}
](../../../upload.wikimedia.org/math/9/5/1/951c105a72eafbecf147aa0831736d75.png)

![
\\mathbf{f_0} = \\frac{\\omega_{0}}{2\\pi} = \\mathbf{\\frac{1}{2\\pi}\\sqrt{\\frac{s}{2M}}}
](../../../upload.wikimedia.org/math/3/2/3/323d9497649d55adca329d22d1a37789.png)

  
  
  
  
  


  3. ![Simple Oscillator-1.2.1.c](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Simple_Oscillator-1.2.1.c.png/100px-Simple_Oscillator-1.2.1.c.png)

![Simple Oscillator-1.2.1.c-solution](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/69/Simple_Oscillator-1.2.1.c-solution.png/300px-Simple_Oscillator-1.2.1.c-solution.png)

![
\\mathbf{1.}\\text{ }
s\(x_1-x_2\) = sx_2
](../../../upload.wikimedia.org/math/d/8/f/d8fd14511df7f0d011bd1a4b7bb680b0.png)

![
\\mathbf{2.}\\text{ }
-s\(x_1-x_2\) = m \\frac{d^2x}{dt^2}
](../../../upload.wikimedia.org/math/d/2/6/d262178c1fd051b09e7c4ef529d0e0c1.png)

![
\\frac{d^2x_1}{dt^2} + \\frac{s}{2m}x_1 = 0
](../../../upload.wikimedia.org/math/2/d/f/2dfc2fa985ba4ed0c93035d215dd6ea8.png)

![
\\omega_0 = \\sqrt{\\frac{s}{2m}}
](../../../upload.wikimedia.org/math/f/4/d/f4d344a27e7058de8d634a95d347b79a.png)

![
\\mathbf{f_0 = \\frac{1}{2\\pi}\\sqrt{\\frac{s}{2m}}}
](../../../upload.wikimedia.org/math/1/3/1/131cd042959c20e9f3036e9b12721b9a.png)

  
  


  4. ![Simple Oscillator-1.2.1.d](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Simple_Oscillator-1.2.1.d.png/100px-Simple_Oscillator-1.2.1.d.png)

![
\\omega_0=\\sqrt{\\frac{2s}{m}}
](../../../upload.wikimedia.org/math/7/2/e/72ef4e500f3058d7bd0ca6eda609e01a.png)

![
\\mathbf{f_0 = \\frac{1}{2\\pi}\\sqrt{\\frac{2s}{m}}}
](../../../upload.wikimedia.org/math/a/7/6/a76f94e19fc17671d62f31415ce041ac.png)

  
  
  
  
  
  
  
  


  


[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Forced Oscillations(Simple Spring-Mass System)

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

### Recap of Section 1.3

In the previous section, we discussed how adding a damping component (e. g. a dashpot) to an unforced, simple spring-mass system would affect the response of the system. In particular, we learned that adding the dashpot to the system changed the natural frequency of the system from to a new damped natural frequency , and how this change made the response of the system change from a constant sinusoidal response to an exponentially-decaying sinusoid in which the system either had an under-damped, over-damped, or critically-damped response.

In this section, we will digress a bit by going back to the simple (undamped) oscillator system of the previous section, but this time, a constant force will be applied to this system, and we will investigate this system’s performance at low and high frequencies as well as at resonance. In particular, this section will start by introducing the characteristics of the spring and mass elements of a spring-mass system, introduce electrical analogs for both the spring and mass elements, learn how these elements combine to form the mechanical impedance system, and reveal how the impedance can describe the mechanical system’s overall response characteristics. Next, power dissipation of the forced, simple spring-mass system will be discussed in order to corroborate our use of electrical circuit analogs for the forced, simple spring-mass system. Finally, the characteristic responses of this system will be discussed, and a parameter called the amplification ratio (AR) will be introduced that will help in plotting the resonance of the forced, simple spring-mass system.

### Forced Spring Element

Taking note of Figs. 1, we see that the equation of motion for a spring that has some constant, external force being exerted on it is...

![\\hat{F} =  s_M \\Delta \\hat{x}\\qquad \(1.4.1\) \\,](../../../upload.wikimedia.org/math/0/5/9/059cd911cf5eca4a32523291b5624d1d.png)

where ![ s_M \\,](../../../upload.wikimedia.org/math/c/1/a/c1aee0861c270c2e4a28bd304f024f6b.png) is the mechanical stiffness of the spring.

  


  


  
Note that in Fig. 1(c), force ![\\hat{F}](../../../upload.wikimedia.org/math/a/1/2/a126a4cb1829256cfe427ff0c69a074b.png) flows constantly (i.e. without decreasing) throughout a spring, but the velocity ![\\hat{u}](../../../upload.wikimedia.org/math/a/f/3/af3a7765529c3111d02314aa0b9d6e07.png) of the spring decrease from ![\\hat{u_1}](../../../upload.wikimedia.org/math/5/e/4/5e49ab71b14c0c33a92e9d0f55643367.png) to ![\\hat{u_2}](../../../upload.wikimedia.org/math/9/3/1/93167d6b890833c62c5d89c69b55b67e.png) as the force flows through the spring. This concept is important to know because it will be used in subsequent sections.

  
In practice, the stiffness of the spring ![ s_M \\,](../../../upload.wikimedia.org/math/c/1/a/c1aee0861c270c2e4a28bd304f024f6b.png), also called the spring constant, is usually expressed as ![ C_M = \\frac {1}{s_M}\\, ](../../../upload.wikimedia.org/math/9/8/8/9887878c12c52e54136b36c193e5acf8.png) , or the mechanical compliance of the spring. Therefore, the spring is very stiff if ![ s_M \\,](../../../upload.wikimedia.org/math/c/1/a/c1aee0861c270c2e4a28bd304f024f6b.png) is large ![ \\Rightarrow \\; C_M  ](../../../upload.wikimedia.org/math/e/2/7/e2759e7a058cb85085816a661440dd6d.png) is small. Similarly, the spring is very loose or “bouncy” if ![ s_M \\,](../../../upload.wikimedia.org/math/c/1/a/c1aee0861c270c2e4a28bd304f024f6b.png) is small ![ \\Rightarrow \\; C_M  ](../../../upload.wikimedia.org/math/e/2/7/e2759e7a058cb85085816a661440dd6d.png) is large. Noting that force and velocity are analogous to voltage and current, respectively, in electrical systems, it turns out that the characteristics of a spring are analogous to the characteristics of a capacitor in relation to, and, so we can model the “reactiveness” of a spring similar to the reactance of a capacitor if we let ![ C = C_M  \\,](../../../upload.wikimedia.org/math/b/7/3/b733e2cd82e9069a1001cbebbb8a1329.png) as shown in Fig. 2 below.

  


![ Reactance\\ of\\ Capacitor:\\ X_C = \\frac{1}{j\\omega C} \\qquad \(1.4.2a\) ](../../../upload.wikimedia.org/math/5/2/5/525b41cc01eeee565f9b86bc5b498be7.png)

![ Reactance\\ of\\ Spring:\\ X_{MS} = \\frac{1}{j\\omega C_M} \\qquad\(1.4.2b\) ](../../../upload.wikimedia.org/math/b/7/d/b7db564bd7c41441a60d58a59230dc83.png)

  


### Forced Mass Element

Taking note of Fig. 3, the equation for a mass that has constant, external force being exerted on it is...

  


![ \\hat{F} = M_M \\hat{a} = M_M \\hat{\\dot{u}} = M_M \\hat{\\ddot{x}} \\qquad  \(1.4.3\)   ](../../../upload.wikimedia.org/math/9/3/6/9363b5a9c9650d31bbd97ee83319b544.png)

  


  


If the mass ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) can vary its value and is oscillating in a mechanical system at max amplitude ![ A_M \\, ](../../../upload.wikimedia.org/math/5/6/5/565a93d867758ab4e0cc4c111bb696a3.png) such that the input the system receives is constant at frequency ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png), as ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) increases, the harder it will be for the system to move the mass at ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png) at ![ A_M \\, ](../../../upload.wikimedia.org/math/5/6/5/565a93d867758ab4e0cc4c111bb696a3.png) until, eventually, the mass doesn’t oscillate at all . Another equivalently way to look at it is to let ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png) vary and hold ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) constant. Similarly, as ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png) increases, the harder it will be to get ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) to oscillate at ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png) and keep the same amplitude ![ A_M \\, ](../../../upload.wikimedia.org/math/5/6/5/565a93d867758ab4e0cc4c111bb696a3.png) until, eventually, the mass doesn’t oscillate at all. Therefore, as ![ \\omega \\, ](../../../upload.wikimedia.org/math/a/7/0/a70d0c9b2e529c999ec05569e1638668.png) increases, the “reactiveness” of mass ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) decreases (i.e. ![ M_M \\, ](../../../upload.wikimedia.org/math/5/0/5/505dc4560031e4b38260c5068f19bbed.png) starts to move less and less). Recalling the analogous relationship of force/voltage and velocity/current, it turns out that the characteristics of a mass are analogous to an inductor. Therefore, we can model the “reactiveness” of a mass similar to the reactance of an inductor if we let ![ L = M_M \\, ](../../../upload.wikimedia.org/math/d/0/3/d03dc18460441cacfec97b0540c24eb0.png) as shown in Fig. 4.

  


  


![ Reactance\\ of\\ Inductor:\\ X_L = j\\omega L \\qquad \(1.4.4a\) ](../../../upload.wikimedia.org/math/5/2/f/52f36aee7c7fb5824257cba5a7335f7f.png)

  
![ Reactance\\ of\\ Mass:\\ X_{MM} = j\\omega L_M \\qquad\(1.4.4b\) ](../../../upload.wikimedia.org/math/c/f/b/cfb73487054d4ba75af9616c92b115c7.png)

  


  


### Mechanical Impedance of Spring-Mass System

As mentioned twice before, force is analogous to voltage and velocity is analogous to current. Because of these relationships, this implies that the mechanical impedance for the forced, simple spring-mass system can be expressed as follows:

  


![ \\hat{Z_M} = \\frac{\\hat{F}}{\\hat{u}} \\qquad \(1.4.5\) \\,](../../../upload.wikimedia.org/math/9/5/8/958bd66d7c3ef36731ed5074cca3657a.png)

  
In general, an undamped, spring-mass system can either be “spring-like” or “mass-like”. “Spring-like” systems can be characterized as being “bouncy” and they tend to grossly overshoot their target operating level(s) when an input is introduced to the system. These type of systems relatively take a long time to reach steady-state status. Conversely, “mass-like” can be characterized as being “lethargic” and they tend to not reach their desired operating level(s) for a given input to the system...even at steady-state! In terms of complex force and velocity, we say that “ force LEADS velocity” in mass-like systems and “velocity LEADS force” in spring-like systems (or equivalently “ force LAGS velocity” in mass-like systems and “velocity LAGS force” in spring-like systems). Figs. 5 shows this relationship graphically.

  


  


  


### Power Transfer of a Simple Spring-Mass System

From electrical circuit theory, the average complex power ![ P_E \\,](../../../upload.wikimedia.org/math/7/9/5/7952fcb4be418a8eb295aa526c269c6f.png) dissipated in a system is expressed as ...

  


![ P_E = \\frac{1}{2} \\mathbf{Re}\\left\\{ \\hat{V}\\hat{I^*} \\right\\} \\qquad \(1.4.6\)\\,](../../../upload.wikimedia.org/math/5/3/d/53d7bd224756072307703741ff804a36.png)

  
where ![ \\hat{V}\\,](../../../upload.wikimedia.org/math/5/9/7/5975fb2e551f5a50af607a1d4eebda86.png) and ![ \\hat{I^*}\\;](../../../upload.wikimedia.org/math/a/0/4/a04f09424fc017704488459fb06c3c51.png) represent the (time-invariant) complex voltage and complex conjugate current, respectively. Analogously, we can express the net power dissipation of the mechanical system ![ \\hat{P}_E\\,](../../../upload.wikimedia.org/math/8/a/9/8a9e0c43d65fa76d151a9b035d0ba0b0.png) in general along with the power dissipation of a spring-like system ![ \\hat{P}_{MS}\\,](../../../upload.wikimedia.org/math/a/6/a/a6a70fbf180100f5a4caef3a9eecb728.png) or mass-like system ![\\hat{P}_{MM}\\,](../../../upload.wikimedia.org/math/b/b/c/bbc69e410aa6bddc2faa07e1a35e7063.png) as...

  


![ \\hat{P}_E = \\frac{1}{2} \\mathbf{Re}\\left\\{ \\hat{F}\\hat{u^*} \\right\\} \\qquad \\qquad \\qquad \(1.4.7a\)\\,](../../../upload.wikimedia.org/math/5/1/a/51a7b076e5086681399344d48c23ac4b.png)

  


![ \\hat{P}_{MS} = \\frac{1}{2} \\mathbf{Re}\\left\\{\\hat{F} \\left\( \\frac{j\\hat{F}\\omega}{s_M} \\right\)^* \\right\\} \\qquad \(1.4.7b\) ](../../../upload.wikimedia.org/math/6/b/5/6b566a9f7184651162f601a05d9cbf97.png)

  


![ \\hat{P}_{MM} = \\frac{1}{2} \\mathbf{Re}\\left\\{\\hat{F} \\left\( \\frac{\\hat{F}}{j \\omega M_M} \\right\)^* \\right\\} \\qquad \(1.4.7c\) ](../../../upload.wikimedia.org/math/1/9/f/19f95d08f8662c458f2093219711ad54.png)

  


In equations 1.4.7, we see that the product of complex force and velocity are purely imaginary. Since reactive elements, or commonly called, lossless elements, cannot dissipate energy, this implies that the net power dissipation of the system is zero. This means that in our simple spring-mass system, power can only be (fully) transferred back and forth between the spring and the mass. But this is precisely what a simple spring-mass system does. Therefore, by evaluating the power dissipation, this corroborates the notion of using electrical circuit elements to model mechanical elements in our spring-mass system.

  


### Responses For Forced, Simple Spring-Mass System

Fig. 6 below illustrates a simple spring-mass system with a force exerted on the mass.

  


  


  
This system has response characteristics similar to that of the undamped oscillator system, with the only difference being that at steady-state, the system oscillates at the constant force magnitude and frequency versus exponentially decaying to zero in the unforced case. Recalling equations 1.4.2b and 1.4.4b, letting be the natural (resonant) frequency of the spring-mass system, and letting ![ \\omega_n \\,](../../../upload.wikimedia.org/math/a/2/b/a2badc10a2a4d4f646486c89a066a93c.png) be frequency of the input received by the system, the characteristic responses of the forced spring-mass systems are presented graphically in Figs. 7 below.

  


![ \\mathbf{Figs.7}\\,](../../../upload.wikimedia.org/math/8/a/6/8a6525f3aa7bd6398bbc87f1e510610e.png)

  


### Amplification Ratio

The amplification ratio is a useful parameter that allows us to plot the frequency of the spring-mass system with the purports of revealing the resonant freq of the system solely based on the force experienced by each, the spring and mass elements of the system. In particular, AR is the magnitude of the ratio of the complex force experienced by the spring and the complex force experienced by the mass, i.e.

  


![ \\mathbf{AR} = \\left| \\frac{s_M \\hat{x}}{M_M \\hat{a}} \\right| = \\left| \\frac{s_M \\hat{x}}{M_M \\hat{\\dot{u}}} \\right| = \\left| \\frac{s_M \\hat{x}}{M_M \\hat{\\ddot{x}}} \\right|  \\qquad \(1.4.8\) \\,](../../../upload.wikimedia.org/math/9/0/4/904600260e5cc07e8705f9444dabce45.png)

  
If we let ![ \\zeta = \\frac{\\omega}{\\omega_n} ](../../../upload.wikimedia.org/math/a/1/5/a1538b76a7426eff838d93522d29a817.png), be the frequency ratio, it turns out that AR can also be expressed as...

![ \\mathbf{AR} = \\frac{1}{1 - \\zeta^2} \\qquad \(1.4.9\)\\,](../../../upload.wikimedia.org/math/d/d/c/ddcdda6a515aa9a7ed09973552066afd.png) . 

  
AR will be at its maximum when ![ \\left| X_{MS} \\right| = \\left| X_{MM} \\right| \\,](../../../upload.wikimedia.org/math/a/0/f/a0fc1405142fdbd0fce73aaecee5705b.png). This happens precisely when ![ \\zeta^2 = 1 \\,](../../../upload.wikimedia.org/math/b/6/a/b6a2c25e4331011a47324e6911d85747.png) . An example of an AR plot is shown below in Fig 8.

  


  


  
[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Mechanical Resistance

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Mechanical Resistance

For most systems, a simple oscillator is not a very accurate model. While a simple oscillator involves a continuous transfer of energy between kinetic and potential form, with the sum of the two remaining constant, real systems involve a loss, or dissipation, of some of this energy, which is never recovered into kinetic nor potential energy. The mechanisms that cause this dissipation are varied and depend on many factors. Some of these mechanisms include drag on bodies moving through the air, thermal losses, and friction, but there are many others. Often, these mechanisms are either difficult or impossible to model, and most are non-linear. However, a simple, linear model that attempts to account for all of these losses in a system has been developed.

## Dashpots

The most common way of representing mechanical resistance in a damped system is through the use of a dashpot. A dashpot acts like a shock absorber in a car. It produces resistance to the system's motion that is proportional to the system's velocity. The faster the motion of the system, the more mechanical resistance is produced.

As seen in the graph above, a linear relationship is assumed between the force of the dashpot and the velocity at which it is moving. The constant that relates these two quantities is ![R_M](../../../upload.wikimedia.org/math/e/d/5/ed56552ccc930d9093c77daf8878e779.png), the mechanical resistance of the dashpot. This relationship, known as the viscous damping law, can be written as:

![ F = R\\cdot u ](../../../upload.wikimedia.org/math/3/6/a/36a7e0af9770599daa8f7fc19f06a48e.png)

Also note that the force produced by the dashpot is always in phase with the velocity.

The power dissipated by the dashpot can be derived by looking at the work done as the dashpot resists the motion of the system:

![ P_D = \\frac{1}{2}\\Re\\left\[\\hat{F}\\cdot\\hat{u^*}\\right\]= \\frac{|\\hat{F}|^{2}}{2R_{M}}](../../../upload.wikimedia.org/math/f/6/c/f6cc23efd114fbf8df0a224dc1cba69d.png)

## Modeling the Damped Oscillator

In order to incorporate the mechanical resistance (or damping) into the forced oscillator model, a dashpot is placed next to the spring. It is connected to the mass (![M_M](../../../upload.wikimedia.org/math/d/1/9/d19ecd20edce848ce3b3a26fb05d7efc.png)) on one end and attached to the ground on the other end. A new equation describing the forces must be developed:

![F - S_Mx - R_Mu = M_Ma  \\rightarrow  F = S_Mx + R_M\\dot{x} + M_M\\ddot{x}](../../../upload.wikimedia.org/math/f/6/c/f6c4eca0dbd80aa34e13c51f2d11bf24.png)

It's phasor form is given by the following:

![\\hat{F}e^{j\\omega t} = \\hat{x}e^{j\\omega t}\\left\[S_M + j\\omega R_M + \\left\(-\\omega ^2\\right\)M_M\\right\]](../../../upload.wikimedia.org/math/5/c/c/5ccc1c4b3e241cd42abebd0d9862fe41.png)

## Mechanical Impedance for Damped Oscillator

Previously, the impedance for a simple oscillator was defined as ![\\mathbf{\\frac{F}{u}}](../../../upload.wikimedia.org/math/7/e/e/7eef0d58e268544878b26a25c6a76369.png). Using the above equations, the impedance of a damped oscillator can be calculated:

![\\hat{Z_M} = \\frac{\\hat{F}}{\\hat{u}} = R_M + j\\left\(\\omega M_M - \\frac{S_M}{\\omega}\\right\) = |\\hat{Z_M}|e^{j\\Phi_Z}](../../../upload.wikimedia.org/math/7/9/b/79b46fb2cf228aebb31cd6bdf5eda286.png)

For very low frequencies, the spring term dominates because of the ![\\frac{1}{\\omega}](../../../upload.wikimedia.org/math/6/8/6/686e4929edbe34eb76eeeb084d605d77.png) relationship. Thus, the phase of the impedance approaches ![\\frac{-\\pi}{2}](../../../upload.wikimedia.org/math/d/1/6/d16c829a3428ab08ad649b2681d1398d.png) for very low frequencies. This phase causes the velocity to "lag" the force for low frequencies. As the frequency increases, the phase difference increases toward zero. At resonance, the imaginary part of the impedance vanishes, and the phase is zero. The impedance is purely resistive at this point. For very high frequencies, the mass term dominates. Thus, the phase of the impedance approaches ![\\frac{\\pi}{2}](../../../upload.wikimedia.org/math/d/c/f/dcfd65e77306c010f27fc20371cf83b1.png) and the velocity "leads" the force for high frequencies.

  
Based on the previous equations for dissipated power, we can see that the real part of the impedance is indeed ![R_M](../../../upload.wikimedia.org/math/e/d/5/ed56552ccc930d9093c77daf8878e779.png). The real part of the impedance can also be defined as the cosine of the phase times its magnitude. Thus, the following equations for the power can be obtained.

![W_R = \\frac{1}{2}\\Re\\left\[\\hat{F}\\hat{u^{*}}\\right\] = \\frac{1}{2}R_M|\\hat{u}|^2 = \\frac{1}{2}\\frac{|\\hat{F}|^2}{|\\hat{Z_M}|^2}R_M = \\frac{1}{2}\\frac{|\\hat{F}|^2}{|\\hat{Z_M}|}cos\(\\Phi_Z\)](../../../upload.wikimedia.org/math/4/9/a/49a0e2e614f78c7f484fd5ce7ff97562.png)

  
[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Characterizing Damped Mechanical Systems

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Characterizing Damped Mechanical Systems

Characterizing the response of Damped Mechanical Oscillating system can be easily quantified using two parameters. The system parameters are the resonance frequency (!['''w  resonance'''](../../../upload.wikimedia.org/math/9/9/8/998b391e2ac5b9607f204fdf02e82670.png) and the damping of the system !['''Q  \(quality factor\)or B  \(Temporal Absorption'''\)](../../../upload.wikimedia.org/math/a/e/1/ae1860ed25797928070d60e8f943f280.png). In practice, finding these parameters would allow for quantification of unknown systems and allow you to derive other parameters within the system.

* * *

Using the mechanical impedance in the following equation, notice that the imaginary part will equal zero at resonance.

(![Z_m = F/u = R_m + j\(w*M_m - s/w\)](../../../upload.wikimedia.org/math/b/f/d/bfd04131919e00edb55167fbb5d7945f.png))

Resonance case:(![w*M_m = s/w](../../../upload.wikimedia.org/math/b/0/a/b0ad1f94228c668081a2569c011a86d4.png))

## Calculating the Mechanical Resistance

The decay time of the system is related to 1 / B where B is the Temporal Absorption. B is related to the mechancial resistance and to the mass of the system by the following equation.

![B = Rm / 2*Mm](../../../upload.wikimedia.org/math/2/a/5/2a5ea2d208e1533a4c34d8478722e6a1.png)

The mechanical resistance can be derived from the equation by knowing the mass and the temporal absorption.

## Critical Damping

The system is said to be critically damped when:

![Rc = 2*M*sqrt\(s/Mm\) = 2*sqrt\(s*Mm\) = 2*Mm*wn](../../../upload.wikimedia.org/math/2/8/6/2864f25f76ea163df00afb12a070bfca.png)

A critically damped system is one in which an entire cycle is never completed. The absorption coefficient in this type of system equals the natural frequency. The system will begin to oscillate, however the amplitude will decay exponentially to zero within the first oscillation.

## Damping Ratio

![Damping Ratio = Rm/Rc](../../../upload.wikimedia.org/math/4/f/5/4f50eee2983866bea57dd6dcdab4210b.png)

The damping ratio is a comparison of the mechanical resistance of a system to the resistance value required for critical damping. Rc is the value of Rm for which the absorption coefficient equals the natural frequency (critical damping). A damping ratio equal to 1 therefore is critically damped, because the mechanical resistance value Rm is equal to the value required for critical damping Rc. A damping ratio greater than 1 will be overdamped, and a ratio less than 1 will be underdamped.

?????

## Quality Factor

The Quality Factor (Q) is way to quickly characterize the shape of the peak in the response. It gives a quantitative representation of power dissipation in an oscillation.

![Q = wresonance / \(wu - wl\)](../../../upload.wikimedia.org/math/6/4/2/64225b2bd09cc504e2af83d6658ffc48.png)

Wu and Wl are called the half power points. When looking at the response of a system, the two places on either side of the peak where the point equals half the power of the peak power defines Wu and Wl. The distance in between the two is called the half-power bandwidth. So, the resonant frequency divided by the half-power bandwidth gives you the quality factor. Mathematically, it takes Q/pi oscillations for the vibration to decay to a factor of 1/e of its original amplitude.

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Electro-Mechanical Analogies

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Why Circuit Analogs?

Acoustic devices are often combinations of mechanical and electrical elements. A common example of this would be a loudspeaker connected to a power source. It is useful in engineering applications to model the entire system with one method. This is the reason for using a circuit analogy in a vibrating mechanical system. The same analytic method can be applied to [Electro-Acoustic Analogies](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies).

## How Electro-Mechanical Analogies Work

An electrical circuit is described in terms of its potential (voltage) and flux (current). To construct a circuit analog of a mechanical system we define flux and potential for the system. This leads to two separate analog systems. The Impedance Analog denotes the force acting on an element as the potential and the velocity of the element as the flux. The Mobility Analog equates flux with the force and velocity with potential.

Mechanical Electrical Equivalent

**Impedance Analog**

Potential:
Force
Voltage

Flux:
Velocity
Current

**Mobility Analog**

Potential:
Velocity
Voltage

Flux:
Force
Current

For many, the mobility analog is considered easier for a mechanical system. It is more intuitive for force to flow as a current and for objects oscillating the same frequency to be wired in parallel. However, either method will yield equivalent results and can also be translated using the dual (dot) method.

## The Basic Elements of an Oscillating Mechanical System

**The Mechanical Spring:**

    ![Resistor11.jpg](../../../upload.wikimedia.org/wikipedia/commons/7/7d/Resistor11.jpg)

The ideal spring is considered to be operating within its elastic limit, so the behavior can be modeled with [Hooke's Law](http://en.wikibooks.org/wiki/Strength_of_Materials/Introductory_Concepts#Hooke.27s_Law). It is also assumed to be massless and have no damping effects.

    ![ F=-cx, \\ ](../../../upload.wikimedia.org/math/2/b/3/2b3ce414b45280b2c294d3f89108bf3f.png)

  
**The Mechanical Mass**

In a vibrating system, a mass element opposes acceleration. From Newton's Second Law:

    ![F=mx^{\\prime\\prime}=ma=m\\frac{du}{dt}](../../../upload.wikimedia.org/math/d/5/e/d5efece5f23836ce0d5a70880de6dde7.png)
    ![F=K\\int\\,u dt](../../../upload.wikimedia.org/math/4/e/e/4ee553a4e5a5681ce8a803b058df68e3.png)

  
**The Mechanical Resistance**

    ![Dashpot.png](../../../upload.wikimedia.org/wikipedia/commons/5/5a/Dashpot.png)

The dashpot is an ideal viscous damper which opposes velocity.

    ![F=R u\\displaystyle](../../../upload.wikimedia.org/math/d/5/0/d501e11768b794f7859d0c7c142b0c73.png)

  
**Ideal Generators**

The two ideal generators which can drive any system are an ideal velocity and ideal force generator. The ideal velocity generator can be denoted by a drawing of a crank or simply by declaring ![u\(t\)=f\(t\)](../../../upload.wikimedia.org/math/1/d/6/1d6747f4e12dcee6ab10c5b142f06fae.png), and the ideal force generator can be drawn with an arrow or by declaring ![F\(t\)=f\(t\)](../../../upload.wikimedia.org/math/1/2/1/121cf0a83725c82dc3d74bac30fee321.png)

  
**Simple Damped Mechanical Oscillators**

    ![Forced Oscillator.PNG](../../../upload.wikimedia.org/wikibooks/en/7/77/Forced_Oscillator.PNG)

In the following sections we will consider this simple mechanical system as a mobility and impedance analog. It can be driven either by an ideal force or an ideal velocity generator, and we will consider simple harmonic motion. The m in the subscript denotes a mechanical system, which is currently redundant, but can be useful when combining mechanical and acoustic systems.

## The Impedance Analog

**The Mechanical Spring**

In a spring, force is related to the displacement from equilibrium. By Hooke's Law,

    ![F\(t\)=c_m \\Delta x = c_m \\int_{0}^{t} u\( \\tau \)d \\tau ](../../../upload.wikimedia.org/math/3/a/6/3a6b3f3fdd5ce828b6c35b833180fb1e.png)

The equivalent behaviour in a circuit is a capacitor:

    ![V\(t\)=\\frac{1}{C}\\int_{0}^{t} \\,i\(\\tau\) d\\tau ](../../../upload.wikimedia.org/math/2/4/0/2402e5708ef9eaf3aad82bdbf215ec8c.png)

**The Mechanical Mass**

The force on a mass is related to the acceleration (change in velocity). The behaviour, by Newton's Second Law, is:

    ![F\(t\)=m_ma=m_m\\frac{d}{dt}u\(t\)](../../../upload.wikimedia.org/math/e/3/c/e3cd10393af339222dcca05ef1a24d49.png)

The equivalent behaviour in a circuit is an inductor:

    ![V\(t\)=L\\frac{d}{dt}i\(t\)](../../../upload.wikimedia.org/math/3/7/b/37be1d09ad23b927f16a35465ecb1769.png)

**The Mechanical Resistance**

For a viscous damper, the force is directly related to the velocity

    ![F=R_m u\\displaystyle](../../../upload.wikimedia.org/math/b/b/9/bb9bec57daacf76327a3436dd13588d8.png)

The equivalent is a simple resistor of value ![R_m\\displaystyle](../../../upload.wikimedia.org/math/0/8/a/08a9b882057dbf3b4c9381169e9a1bd6.png)

    ![V=R i\\displaystyle](../../../upload.wikimedia.org/math/3/6/5/365d97e489503d6b1a57380e5d066573.png)

**Example:**

Thus the simple mechanical oscillator in the previous section becomes a series RCL Circuit:

![RLC series circuit v1.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fb/RLC_series_circuit_v1.svg/135px-RLC_series_circuit_v1.svg.png)

The current through all three elements is equal (they are at the same velocity) and that the sum of the potential drops across each element will equal the potential at the generator (the driving force). The ideal voltage generator depicted here would be equivalent to an ideal force generator.

**IMPORTANT NOTE**: The velocity measured for the spring and dashpot is the relative velocity ( velocity of one end minus the velocity of the other end). The velocity of the mass, however, is the absolute velocity.

**Impedances:**

Element Impedance

Spring
Capacitor
![Z_c = \\frac{V_c}{I_c} = \\frac{c_m}{j \\omega } ](../../../upload.wikimedia.org/math/a/c/e/acee98e7780a585982c3be1d01c27890.png)

Mass
Inductor
![Z_m = \\frac{V_m}{I_m} = j \\omega m_m](../../../upload.wikimedia.org/math/1/d/5/1d5201104670987e81c5db2ec020e2f7.png)

Dashpot
Resistor
![Z_m = \\frac{V_m}{I_m} = R_m](../../../upload.wikimedia.org/math/4/8/d/48dea004647faf9ad9eaf06a039a81c3.png)

## The Mobility Analog

Like the Impedance Analog above, the equivalent elements can be found by comparing their fundamental equations with the equations of circuit elements. However, since circuit equations usually define voltage in terms of current, in this case the analogy would be an expression of velocity in terms of force, which is the opposite of convention. However, this can be solved with simple algebraic manipulation.

**The Mechanical Spring**

    ![F\(t\)= c_m \\int u\(t\)d t](../../../upload.wikimedia.org/math/b/5/9/b59cedc6c076c5772c897f0ea7828a60.png)

The equivalent behavior for this circuit is the behavior of an inductor.

    ![\\int V dt=\\int L \\frac{d}{dt} i\(t\) dt](../../../upload.wikimedia.org/math/0/8/a/08a286c4a08b32373b2511c61cf58242.png)
    ![i=\\frac{1}{L}\\int\\,V dt](../../../upload.wikimedia.org/math/4/5/2/45250f316a450299588fb82f462592b4.png)

**The Mechanical Mass**

    ![F=m_ma=m_m\\frac{d}{dt}u\(t\)](../../../upload.wikimedia.org/math/e/f/9/ef968fe4713c43148ff84c47eedaf2f5.png)

Similar to the spring element, if we take the general equation for a capacitor and differentiate,

    ![\\frac{d}{dt}V\(t\)=\\frac{d}{dt}\\frac{1}{C}\\int \\,i\(t\) dt ](../../../upload.wikimedia.org/math/e/9/4/e94e1f298f8dd6af3d3e8b7b05f90566.png)
    ![i\(t\)=C\\frac{d}{dt}V\(t\)](../../../upload.wikimedia.org/math/5/8/7/587d1ed9679205038870804bf127cd01.png)

**The Mechanical Resistance**

Since the relation between force and velocity is proportionate, the only difference is that the mechanical resistance becomes inverted:

    ![F=\\frac{1}{r_m} u=R_m u](../../../upload.wikimedia.org/math/8/2/0/82061741ec417068feaa2fb4dc4146f2.png)
    ![i=\\frac{1}{R}V](../../../upload.wikimedia.org/math/7/c/0/7c0cd406e1384cfed0ca494902c24227.png)

**Example:**

The simple mechanical oscillator drawn above would become a parallel RLC Circuit. The potential across each element is the same because they are each operating at the same velocity. This is often the more intuitive of the two analogy methods to use, because you can visualize force "flowing" like a flux through your system. The ideal voltage generator in this drawing would correspond to an ideal velocity generator.

![RLC parallel circuit.png](../../../upload.wikimedia.org/wikipedia/commons/2/2f/RLC_parallel_circuit.png)

**IMPORTANT NOTE:** Since the measure of the velocity of a mass is absolute, a capacitor in this analogy must always have one terminal grounded. A capacitor with both terminals at a potential other than ground may be realized physically as an inverter, which completes all elements of this analogy.

**Impedances:**

Element Impedance

Spring
Inductor
![Z_c = \\frac{V_m}{I_m} = \\frac{j \\omega}{c_m}](../../../upload.wikimedia.org/math/b/6/d/b6d57ccbcd2851543ff3e1aba899ec2e.png)

Mass
Capacitor
![Z_m = \\frac{V_c}{I_c} = \\frac{1}{j \\omega m_m} ](../../../upload.wikimedia.org/math/0/4/b/04b189bb18fadc5a01692bf4091ac97a.png)

Dashpot
Resistor
![Z_m = \\frac{V_m}{I_m} = r_m = \\frac{1}{R_m}](../../../upload.wikimedia.org/math/9/2/2/92263c58e4c2f32321025aa0e51518b3.png)

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Methods for checking Electro-Mechanical Analogies

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

After drawing the electro-mechanical analogy of a mechanical system, it is always safe to check the circuit. There are two methods to accomplish this:

  


## Review of Circuit Solving Methods

**Kirchkoff's Voltage law**

"The sum of the potential drops around a loop must equal zero."

![KVL.png](../../../upload.wikimedia.org/wikipedia/commons/e/e3/KVL.png)

![v_1 + v_2 + v_3 + v_4 = 0 \\displaystyle](../../../upload.wikimedia.org/math/0/0/b/00bf3d435342bce6f987ebb149214fdf.png)

**Kirchkoff's Current Law**

"The Sum of the currents at a node (junction of more than two elements) must be zero"

![KCL.png](../../../upload.wikimedia.org/wikipedia/commons/6/69/KCL.png)

![ -i_1+i_2+i_3-i_4 = 0  \\displaystyle](../../../upload.wikimedia.org/math/2/5/8/258f7b430636ac04885c5f8f1b5a11a0.png)

**Hints for solving circuits:**

Remember that certain elements can be combined to simplify the circuit (the combination of like elements in series and parallel)

If solving a ciruit that involves steady-state sources, use impedances. Any circuit can eventually be combined into a single impedance using the following identities:

Impedances in series: ![Z_\\mathrm{eq} = Z_1 + Z_2 + \\,\\cdots\\, + Z_n.](../../../upload.wikimedia.org/math/d/5/6/d56b3530dcaa01e0453d3fe157449061.png)

Impedances in parallel: ![\\frac{1}{Z_\\mathrm{eq}} = \\frac{1}{Z_1}  +   \\frac{1}{Z_2}  + \\,\\cdots\\, +  \\frac{1}{Z_n} .](../../../upload.wikimedia.org/math/4/9/0/490fa07f2e4a2f546422c1209bfde53d.png)

## Dot Method: (Valid only for planar network)

This method helps obtain the dual analog (one analog is the dual of the other). The steps for the dot product are as follows: 1) Place one dot within each loop and one outside all the loops. 2) Connect the dots. Make sure that only there is only one line through each element and that no lines cross more than one element. 3) Draw in each line that crosses an element its dual element, including the source. 4) The circuit obtained should have an equivalent behavior as the dual analog of the original electro-mechanical circuit.

**Example:**

![Dotmethod.PNG](../../../upload.wikimedia.org/wikibooks/en/9/95/Dotmethod.PNG)

The parallel RLC Circuit above is equivalent to a series RLC driven by an ideal current source

## Low-Frequency Limits:

This method looks at the behavior of the system for very large or very small values of the parameters and compares them with the expected behavior of the mechanical system. For instance, you can compare the mobility circuit behavior of a near-infinite inductance with the mechanical system behavior of a near-infinite stiffness spring.

Very High Value Very Low Value

**Capacitor**
Short Circuit
Open Circuit

**Inductor**
Open Circuit
Closed Circuit

**Resistor**
Open Circuit
Short Circuit

# Additional Resources for solving linear circuits:

Thomas & Rosa, "The Analysis and Design of Linear Circuits", Wiley, 2001

Hayt, Kemmerly & Durbin, "Engineering Circuit Analysis", 6th ed., McGraw Hill, 2002

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Examples of Electro-Mechanical Analogies

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Example System

![Electromechanical analogy example.PNG](../../../upload.wikimedia.org/wikibooks/en/7/7c/Electromechanical_analogy_example.PNG)

Note: The crank indicates an ideal velocity generator, with an amplitude of ![u_0](../../../upload.wikimedia.org/math/1/1/0/110a451bff14cf0501f2ebb7c418a581.png) rotating at ![\\omega](../../../upload.wikimedia.org/math/4/d/1/4d1b7b74aba3cfabd624e898d86b4602.png) rad/s.

# Impedance Analog Solution

![Impedance example.PNG](../../../upload.wikimedia.org/wikibooks/en/thumb/b/b3/Impedance_example.PNG/600px-Impedance_example.PNG)

# Mobility Analog Solution

![Mobility example.PNG](../../../upload.wikimedia.org/wikibooks/en/thumb/4/49/Mobility_example.PNG/800px-Mobility_example.PNG)

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Primary variables of interest

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Basic Assumptions

Consider a piston moving in a tube. The piston starts moving at time t=0 with a velocity u=![u_p](../../../upload.wikimedia.org/math/8/7/5/87503ad29b0130b1c1c9ad830c854599.png). The piston fits inside the tube smoothly without any friction or gap. The motion of the piston creates a planar sound wave or acoustic disturbance traveling down the tube at a constant speed c>>![u_p](../../../upload.wikimedia.org/math/8/7/5/87503ad29b0130b1c1c9ad830c854599.png). In a case where the tube is very small, one can neglect the time it takes for acoustic disturbance to travel from the piston to the end of the tube. Hence, one can assume that the acoustic disturbance is uniform throughout the tube domain.

[File:Acousticplanewave1.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Acousticplanewave1.gif)

### Assumptions

1\. Although sound can exist in solids or fluid, we will first consider the medium to be a fluid at rest. The ambient, undisturbed state of the fluid will be designated using subscript zero. Recall that a fluid is a substance that deforms continuously under the application of any shear (tangential) stress.

2\. Disturbance is a compressional one (as opposed to transverse).

3\. Fluid is a continuum: infinitely divisible substance. Each fluid property assumed to have definite value at each point.

4\. The disturbance created by the motion of the piston travels at a constant speed. It is a function of the properties of the ambient fluid. Since the properties are assumed to be uniform (the same at every location in the tube) then the speed of the disturbance has to be constant. The speed of the disturbance is the speed of sound, denoted by letter ![c_0](../../../upload.wikimedia.org/math/b/4/4/b44bd3c13387c64590c6d95ad2d6c1e1.png) with subscript zero to denote ambient property.

5\. The piston is perfectly flat, and there is no leakage flow between the piston and the tube inner wall. Both the piston and the tube walls are perfectly rigid. Tube is infinitely long, and has a constant area of cross section, A.

6\. The disturbance is uniform. All deviations in fluid properties are the same across the tube for any location x. Therefore the instantaneous fluid properties are only a function of the Cartesian coordinate x (see sketch). Deviations from the ambient will be denoted by primed variables.

## Variables of interest

### Pressure (force / unit area)

Pressure is defined as the normal force per unit area acting on any control surface within the fluid.

[File:Acousticcontrolsurface.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Acousticcontrolsurface.gif)

![p = \\frac {\\tilde{F}.\\tilde{n}}{dS} ](../../../upload.wikimedia.org/math/2/a/0/2a039ec6618c9d67ec58f36ea8f4777c.png)

For the present case,inside a tube filled with a working fluid, pressure is the ratio of the surface force acting onto the fluid in the control region and the tube area. The pressure is decomposed into two components - a constant equilibrium component, ![p_0](../../../upload.wikimedia.org/math/4/e/f/4ef9cff2047e04349f6399910a5e1592.png), superimposed with a varying disturbance ![p^'\(x\)](../../../upload.wikimedia.org/math/d/3/d/d3db2647e371d3a5268ed0bc2a91fed3.png). The deviation ![p^'](../../../upload.wikimedia.org/math/c/a/b/cab22b3d63cc1dc139bee55f2e489870.png)is also called the acoustic pressure. Note that ![p^'](../../../upload.wikimedia.org/math/c/a/b/cab22b3d63cc1dc139bee55f2e489870.png) can be positive or negative. Unit: ![kg/ms^2](../../../upload.wikimedia.org/math/8/d/b/8db1bac828ff5f20298b395dbc27e961.png). Acoustical pressure can be measured using a microphone.

[File:Acousticpressure1.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Acousticpressure1.gif)

### Density

Density is mass of fluid per unit volume. The density, ρ, is also decomposed into the sum of ambient value (usually around ρ0= 1.15 kg/m3) and a disturbance ρ’(x). The disturbance can be positive or negative, as for the pressure. Unit: ![kg/m^3](../../../upload.wikimedia.org/math/0/4/4/044d6b57ebcae39d05e003f0aabc4131.png)

  


### Acoustic volume velocity

Rate of change of fluid particles position as a function of time. Its the well known fluid mechanics term, flow rate.

![U=\\int_{s}\\tilde{u}.\\tilde{n}\\, dS](../../../upload.wikimedia.org/math/5/4/f/54fd329cbda3e73bfe08fc87bf54951e.png)

In most cases, the velocity is assumed constant over the entire cross section (plug flow), which gives acoustic volume velocity as a product of fluid velocity ![\\tilde{u}](../../../upload.wikimedia.org/math/3/4/4/344b7ae3101a097425dc950f5dbcaff2.png) and cross section S.

![U=\\tilde{u}.S ](../../../upload.wikimedia.org/math/f/a/0/fa0d4750a54f789e3ed0e64c16f3888f.png)

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Electro-acoustic analogies

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Electro-acoustical Analogies

### Acoustical Mass

Consider a rigid tube-piston system as following figure.

![Acousticalmass.gif](../../../upload.wikimedia.org/wikibooks/en/5/54/Acousticalmass.gif)

Piston is moving back and forth sinusoidally with frequency of **f**. Assuming ![f << \\frac{c}{l\\ or\\ \\sqrt{S}}](../../../upload.wikimedia.org/math/9/f/d/9fd11c6c6f7d97d0e970748d17dbaa38.png) (where **c** is sound velocity ![c=\\sqrt{\\gamma R T_0}](../../../upload.wikimedia.org/math/d/7/8/d78543925c2dd805dd497a72b64c46c8.png)), volume of fluid in tube is,

![\\Pi_v=S\\ l](../../../upload.wikimedia.org/math/0/7/a/07aa90d52e093c0d1d8aa34fef325611.png)

  
Then mass (mechanical mass) of fluid in tube is given as,

![M_M= \\Pi_v \\rho_0 = \\rho_0 S\\ l](../../../upload.wikimedia.org/math/3/b/d/3bd6f598eb6be7ec626ec2f69bbf0bf0.png)

  
For sinusoidal motion of piston, fluid move as rigid body at same velocity as piston. Namely, every point in tube moves with the same velocity.

Applying the Newton's second law to the following free body diagram,

![FBD.gif](../../../upload.wikimedia.org/wikibooks/en/2/28/FBD.gif)

  


![SP'=\(\\rho_0Sl\)\\frac{du}{dt}](../../../upload.wikimedia.org/math/4/4/6/4468f92bddf0a381fc402766f32b9702.png) ![\\hat{P}=\\rho_0l\(j\\omega\)\\hat{u}=j\\omega\(\\frac{\\rho_0l}{S}\)\\hat{U}](../../../upload.wikimedia.org/math/0/9/d/09d10b28db25fbb4ec41be852e74a68f.png)

Where, plug flow assumption is used.
    
    
    "Plug flow" assumption:
    Frequently in acoustics, the velocity distribution along the normal surface of
    fluid flow is assumed uniform. Under this assumption, the acoustic volume velocity U is
    simply product of velocity and entire surface. ![U=Su](../../../upload.wikimedia.org/math/8/5/f/85f91f12115546265227f75628c4e344.png)
    

#### Acoustical Impedance

Recalling mechanical impedance,

![\\hat{Z}_M=\\frac{\\hat{F}}{\\hat{u}}=j\\omega\(\\rho_0Sl\)](../../../upload.wikimedia.org/math/9/8/f/98f518046e97b0a17d802f6f025046a0.png)

acoustical impedance (often termed an **acoustic ohm**) is defined as,

![\\hat{Z}_A=\\frac{\\hat{P}}{\\hat{U}}=\\frac{Z_M}{S^2}=j\\omega\(\\frac{\\rho_0l}{S}\)\\quad  \\left\[\\frac{N s}{m^5}\\right\]](../../../upload.wikimedia.org/math/3/3/d/33db36fc4d3e94dee7f8f501ab4fb66c.png)

where, acoustical mass is defined.

![M_A=\\frac{\\rho_0l}{S}](../../../upload.wikimedia.org/math/7/3/8/738c79ac978503e18f660a0e598ac8bf.png)

#### Acoustical Mobility

Acoustical mobility is defined as,

![ \\hat{\\xi}_A=\\frac{1}{\\hat{Z}_A}=\\frac{\\hat{U}}{\\hat{P}}](../../../upload.wikimedia.org/math/4/9/2/492f7a9b65808f23a5640aa4a05a56d3.png)

#### Impedance Analog vs. Mobility Analog

![Imp-mov.gif](../../../upload.wikimedia.org/wikibooks/en/8/85/Imp-mov.gif)

#### Acoustical Resistance

Acoustical resistance models loss due to viscous effects (friction) and flow resistance (represented by a screen).

[File:Ra analogs.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Ra_analogs.png) **_rA_** is the reciprocal of **_RA_** and is referred to as _responsiveness_.

### Acoustical Generators

The acoustical generator components are pressure, **P** and volume velocity, **U**, which are analogus to force, **F** and velocity, **u** of electro-mechanical analogy respectively. Namely, for impedance analog, pressure is analogus to voltage and volume velocity is analogus to current, and vice versa for mobility analog. These are arranged in the following table.

  


![E-a analogy.gif](../../../upload.wikimedia.org/wikibooks/en/8/83/E-a_analogy.gif)

  
Impedance and Mobility analogs for acoustical generators of constant pressure and constant volume velocity are as follows:

[File:Acoustic gen.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Acoustic_gen.png)

### Acoustical Compliance

Consider a piston in an enclosure.

[File:Enclosed Piston.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Enclosed_Piston.png)

When the piston moves, it displaces the fluid inside the enclosure. Acoustic compliance is the measurement of how "easy" it is to displace the fluid.

Here the volume of the enclosure should be assumed to be small enough that the fluid pressure remains uniform.

Assume no heat exchange 1.adiabatic 2.gas compressed uniformly , p prime in cavity everywhere the same.

from thermo equitation [File:Equ1.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Equ1.jpg) it is easy to get the relation between disturbing pressure and displacement of the piston [File:Equ3.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Equ3.gif) where U is volume rate, P is pressure according to the definition of the impendance and mobility, we can get[File:Equ4.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Equ4.gif)

Mobility Analog VS Impedance Analog

[File:Comp.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Comp.gif)

### Examples of Electro-Acoustical Analogies

Example 1: Helmholtz Resonator

![Example1holm.JPG](../../../upload.wikimedia.org/wikibooks/en/7/73/Example1holm.JPG)

Assumptions - (1) Completely sealed cavity with no leaks. (2) Cavity acts like a rigid body inducing no vibrations.

Solution:

\- Impedance Analog - [File:Example2holm1sol.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Example2holm1sol.JPG)

Example 2: Combination of Side-Branch Cavities

[File:Exam2prob.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Exam2prob.JPG)

Solution:

\- Impedance Analog - [File:Exam2sol.JPG](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Exam2sol.JPG)

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Transducers - Loudspeaker

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Acoustic Transducer

The purpose of the acoustic transduer is to convert electrical energy into acoustic energy. Many variations of acoustic transducers exists, although the most common is the moving coil-permanent magnent tranducer. The classic loudspeaker is of the moving coil-permanent magnet type.

  
The classic electrodynamic loudspeaker driver can be divided into three key components:

1) The Magnet Motor Drive System

2) The Loudspeaker Cone System

3) The Loudspeaker Suspension

This illustration shows a cut-away of the moving coil-permanent magnet loudspeaker.

  
Woofer Picture here

## Magnet Motor Drive System

## Loudspeaker Cone System

## Loudspeaker Suspension

An equivalent circuit can be used to model all three loudspeaker components as a lumped system. This circuit provides a model of the loudspeaker and its separte sub-componenets and can be used to provide insight into what parameters alter the loudspeaker's performance.

# Moving Resonators

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Moving Resonators

Consider the situation shown in the figure below. We have a typical Helmholtz resonator driven by a massless piston which generates a sinusoidal pressure ![P_G](../../../upload.wikimedia.org/math/4/6/b/46bf9922bc1747abcd840620fafc9031.png), however the cavity is not fixed in this case. Rather, it is supported above the ground by a spring with compliance ![C_M](../../../upload.wikimedia.org/math/9/d/6/9d67540c85e2dd5d4296f81873803b42.png). Assume the cavity has a mass ![M_M](../../../upload.wikimedia.org/math/d/1/9/d19ecd20edce848ce3b3a26fb05d7efc.png).

Recall the Helmholtz resonator ([see Module #9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies#Examples_of_Electro-Acoustical_Analogies)). The difference in this case is that the pressure in the cavity exerts a force on the bottom of the cavity, which is now not fixed as in the original Helmholtz resonator. This pressure causes a force that acts upon the cavity bottom. If the surface area of the cavity bottom is ![S_C](../../../upload.wikimedia.org/math/6/5/1/651224a730ed9320fc142f8a486bc3e8.png), then Newton's Laws applied to the cavity bottom give

![\\sum{F} = p_CS_C - \\frac{x}{C_M} = M_M\\ddot{x} \\Rightarrow p_CS_C = \\left\[\\frac{1}{j\\omega C_M} + j\\omega M_M\\right\]u](../../../upload.wikimedia.org/math/8/1/7/817efee3a6f45a8d05c88533dc56cf9d.png)

In order to develop the equivalent circuit, we observe that we simply need to use the pressure (potential across ![C_A](../../../upload.wikimedia.org/math/9/3/a/93a2d9e8588f44078a12ba11610e4ce5.png)) in the cavity to generate a force in the mechanical circuit. The above equation shows that the mass of the cavity and the spring compliance should be placed in series in the mechanical circuit. In order to convert the pressure to a force, the transformer is used with a ratio of ![1:S_C](../../../upload.wikimedia.org/math/a/a/9/aa9f042f05db290a03b6791fe4af7e1e.png).

## Example

A practical example of a moving resonator is a marimba. A marimba is a similar to a xylophone but has larger resonators that produce deeper and richer tones. The resonators (seen in the picture as long, hollow pipes) are mounted under an array of wooden bars which are struck to create tones. Since these resonators are not fixed, but are connected to the ground through a stiffness (the stand), it can be modeled as a moving resonator. Marimbas are not tunable instruments like flutes or even pianos. It would be interesting to see how the tone of the marimba changes as a result of changing the stiffness of the mount.

For more information about the acoustics of marimbas see <http://www.mostlymarimba.com/techno1.html>

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Part 2: One-Dimensional Wave Motion

# Transverse vibrations of strings

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

This section deals with the wave nature of vibrations constrained to one dimension. Examples of this type of wave motion are found in objects such a pipes and tubes with a small diameter (no transverse motion of fluid) or in a string stretched on a musical instrument.

Stretched strings can be used to produce sound (e.g. music instruments like guitars). The stretched string constitutes a mechanical system that will be studied in this chapter. Later, the characteristics of this system will be used to help to understand by analogies acoustical systems.

## What is a wave equation?

There are various types of waves (i.e. electromagnetic, mechanical, etc.) that act all around us. It is important to use wave equations to describe the time-space behavior of the variables of interest in such waves. Wave equations solve the fundamental equations of motion in a way that eliminates all variables but one. Waves can propagate longitudinal or parallel to the propagation direction or perpendicular (transverse) to the direction of propagation. To visualize the motion of such waves click [here](http://www.kettering.edu/~drussell/Demos/waves/wavemotion.html) (Acoustics animations provided by Dr. Dan Russell,Kettering University)

## One dimensional Case

Assumptions :

\- the string is uniform in size and density

\- stiffness of string is negligible for small deformations

\- effects of gravity neglected

\- no dissipative forces like frictions

\- string deforms in a plane

\- motion of the string can be described by using one single spatial coordinate

  
Spatial representation of the string in vibration:

[300px](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=1Dwave_graph1.png)

The following is the free-body diagram of a string in motion in a spatial coordinate system:

[File:String dwg.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=String_dwg.jpg)

From the diagram above, it can be observed that the tensions in each side of the string will be the same as follows:

[File:Equations1.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Equations1.jpg)

Using Taylor series to expand we obtain:

[File:Equations2.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Equations2.jpg)

## Characterization of the mechanical system

A one dimensional wave can be described by the following equation (called the wave equation):

  
![\\left\( \\frac{\\partial^2 y}{\\partial x^2} \\right\)=\\left\( \\frac{1}{c^2} \\right\)\\left\( \\frac{\\partial^2 y}{\\partial t^2} \\right\)](../../../upload.wikimedia.org/math/7/d/0/7d079aaa3e56118e251217140bcc82e0.png)

  
where,

  
![y\(x,t\)= f\(\\xi\)+g\(\\eta\)\\,](../../../upload.wikimedia.org/math/5/b/d/5bde1bdeb31bbd053f104b2c26b3a1ee.png) is a solution,

  
With ![\\xi=ct-x\\,](../../../upload.wikimedia.org/math/e/6/0/e60265c2cba12c368706363735656dd5.png) and ![\\eta=ct+x\\,](../../../upload.wikimedia.org/math/c/7/4/c74710f36ef778cb71b2524b4a3b8c76.png)

This is the D'Alambert solution, for more information see: [[1]](http://en.wikibooks.org/wiki/Acoustic:Time-Domain_Solutions)

Another way to solve this equation is the Method of separation of variables. This is useful for modal analysis. This assumes the solution is of the form:

![ y\(x,t\)= f\(x\)g\(t\)\\ ](../../../upload.wikimedia.org/math/e/a/e/eaed360d32cad1bbce85c2b3901e85f9.png)

  
The result is the same as above, but in a form that is more convenient for modal analysis.

For more information on this approach see: Eric W. Weisstein et al. "Separation of Variables." From MathWorld--A Wolfram Web Resource. [[2]](http://mathworld.wolfram.com/SeparationofVariables.html)

  
Please see [Wave Properties](http://en.wikibooks.org/wiki/Acoustic:Boundary_Conditions_and_Forced_Vibrations) for information on variable c, along with other important properties.

For more information on wave equations see: Eric W. Weisstein. "Wave Equation." From MathWorld--A Wolfram Web Resource. [[3]](http://mathworld.wolfram.com/WaveEquation.html)

  
Example with the function ![f\(\\xi\)](../../../upload.wikimedia.org/math/3/e/b/3ebe097e0f25eb53826f66aeb3c935ce.png) :

Example: [Java String simulation](http://www.kw.igs.net/~jackord/bp/n1.html)

This show a simple simulation of a plucked string with fixed ends.

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Time-Domain Solutions

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## **d'Alembert Solutions**

In 1747, [Jean Le Rond d'Alembert](http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/D'Alembert.html)published a solution to the one-dimensional wave equation.

The general solution, now known as the d'Alembert method, can be found by introducing two new variables:

  
![\\xi=ct-x\\,](../../../upload.wikimedia.org/math/e/6/0/e60265c2cba12c368706363735656dd5.png) and ![\\eta=ct+x\\,](../../../upload.wikimedia.org/math/c/7/4/c74710f36ef778cb71b2524b4a3b8c76.png)

  
and then applying the chain rule to the general form of the wave equation.

From this, the solution can be written in the form:

  
![y\(\\xi,\\eta\)= f\(\\xi\)+g\(\\eta\)\\,=f\(x+ct\)+g\(x-ct\)](../../../upload.wikimedia.org/math/a/8/2/a82b599d4971eae75fd22a35cea6ea83.png)

  
where f and g are arbitrary functions, that represent two waves traveling in opposing directions.

  
A more detailed look into the proof of the d'Alembert solution can be found [here.](http://mathworld.wolfram.com/dAlembertsSolution.html)

## **Example of Time Domain Solution**

If f(ct-x) is plotted vs. x for two instants in time, the two waves are the same shape but the second displaced by a distance of c(t2-t1) to the right.

  


The two arbitrary functions could be determined from initial conditions or boundary values.

  


  


  


  


  
[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Boundary Conditions and Forced Vibrations

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Boundary Conditions

The functions representing the solutions to the wave equation previously discussed,

  
i.e. ![y\(x,t\)= f\(\\xi\)+g\(\\eta\)\\,](../../../upload.wikimedia.org/math/5/b/d/5bde1bdeb31bbd053f104b2c26b3a1ee.png) with ![\\xi=ct-x\\,](../../../upload.wikimedia.org/math/e/6/0/e60265c2cba12c368706363735656dd5.png) and ![\\eta=ct+x\\,](../../../upload.wikimedia.org/math/c/7/4/c74710f36ef778cb71b2524b4a3b8c76.png)

  
are dependent upon the boundary and initial conditions. If it is assumed that the wave is propagating through a string, the initial conditions are related to the specific disturbance in the string at t=0. These specific disturbances are determined by location and type of contact and can be anything from simple oscillations to violent impulses. The effects of boundary conditions are less subtle.

  
The most simple boundary conditions are the Fixed Support and Free End. In practice, the Free End boundary condition is rarely encountered since it is assumed there are no transverse forces holding the string (e.g. the string is simply floating).

### For a Fixed Support:

The overall displacement of the waves travelling in the string, at the support, must be zero. Denoting x=0 at the support, This requires:

  
![y\(0,t\)= f\(ct-0\)+g\(ct+0\) = 0\\,](../../../upload.wikimedia.org/math/2/f/3/2f30470a2d9f8515ff300138fdba3dd2.png)

  
Therefore, the total transverse displacement at x=0 is zero.

The sequence of wave reflection for incident, reflected and combined waves are illustrated below. Please note that the wave is traveling to the left (negative **x** direction) at the beginning. The reflected wave is ,of course, traveling to the right (positive **x** direction).

**t=0** ![Fixed t0.gif](../../../upload.wikimedia.org/wikibooks/en/5/52/Fixed_t0.gif)

**t=t1** ![Fixed t1.gif](../../../upload.wikimedia.org/wikibooks/en/c/c6/Fixed_t1.gif)

**t=t2** ![Fixed t2.gif](../../../upload.wikimedia.org/wikibooks/en/0/03/Fixed_t2.gif)

**t=t3** ![Fixed t3.gif](../../../upload.wikimedia.org/wikibooks/en/6/6b/Fixed_t3.gif)

### For a Free Support:

Unlike the Fixed Support boundary condition, the transverse displacement at the support does not need to be zero, but must require the sum of transverse forces to cancel. If it is assumed that the angle of displacement is small,

![\\sin\(\\theta\)\\approx\\theta=\\left\( \\frac{\\partial y}{\\partial x} \\right\)\\,](../../../upload.wikimedia.org/math/7/d/0/7d03765c092a6d3f8d218a29f8797ae7.png)

and so,

![\\sum F_{y} = T\\sin\(\\theta\)\\approx T\\left\( \\frac{\\partial y}{\\partial x} \\right\)=0\\,](../../../upload.wikimedia.org/math/d/e/9/de9ae20cbeb161c30ef5ca14153702b6.png)

But of course, the tension in the string, or T, will not be zero and this requires the slope at x=0 to be zero:

i.e. ![ \\left\( \\frac{\\partial y}{\\partial x} \\right\)=0\\,](../../../upload.wikimedia.org/math/f/9/b/f9bc848febf40dc4fca453d2a32460da.png)

Again for free boundary, the sequence of wave reflection for incident, reflected and combined waves are illustrated below:

**t=0** ![Free t0.gif](../../../upload.wikimedia.org/wikibooks/en/0/06/Free_t0.gif)

**t=t1** ![Free t1.gif](../../../upload.wikimedia.org/wikibooks/en/7/75/Free_t1.gif)

**t=t2** ![Free t2.gif](../../../upload.wikimedia.org/wikibooks/en/8/8a/Free_t2.gif)

**t=t3** ![Free t3.gif](../../../upload.wikimedia.org/wikibooks/en/1/14/Free_t3.gif)

### Other Boundary Conditions:

There are many other types of boundary conditions that do not fall into our simplified categories. As one would expect though, it isn't difficult to relate the characteristics of numerous "complex" systems to the basic boundary conditions. Typical or realistic boundary conditions include mass-loaded, resistance-loaded, damping-loaded, and impedance-loaded strings. For further information, see Kinsler, Fundamentals of Acoustics, pp 54-58.

Here is a website with nice movies of wave reflection at different BC's: [Wave Reflection](http://www.ap.stmarys.ca/demos/content/osc_and_waves/wave_reflection/wave_reflection.html)

## Wave Properties

To begin with, a few definitions of useful variables will be discussed. These include; the wave number, phase speed, and wavelength characteristics of wave travelling through a string.

  
The speed that a wave propagates through a string is given in terms of the phase speed, typically in m/s, given by:

  
![c = \\sqrt{T/\\rho_{L}}\\,](../../../upload.wikimedia.org/math/d/c/3/dc33a90471b41c59eaf52658b7fc33e2.png) where ![\\rho_{L}\\,](../../../upload.wikimedia.org/math/a/b/2/ab2c3239977d55f300af544ab555f22b.png) is the density per unit length of the string.

  
The wave number is used to reduce the transverse displacement equation to a simpler form and for simple harmonic motion, is multiplied by the lateral position. It is given by:

  
![k=\\left\( \\frac{\\omega}{c} \\right\)\\,](../../../upload.wikimedia.org/math/c/3/9/c392ef4467af25d03ea2217ebd05293e.png) where ![\\omega=2\\pi f\\,](../../../upload.wikimedia.org/math/5/7/e/57e34fb03d8c7f1b1a7d92bdee47afae.png)

  
Lastly, the wavelength is defined as:

![\\lambda=\\left\( \\frac{2\\pi}{k} \\right\)=\\left\( \\frac{c}{f} \\right\)\\,](../../../upload.wikimedia.org/math/7/0/6/7068259078f1aee13f963234343910de.png)

and is defined as the distance between two points, usually peaks, of a periodic waveform.

These "wave properties" are of practical importance when calculating the solution of the wave equation for a number of different cases. As will be seen later, the wave number is used extensively to describe wave phenomenon graphically and quantitatively.

For further information: [Wave Properties](http://scienceworld.wolfram.com/physics/Wavenumber.html)

  


## Forced Vibrations

1.forced vibrations of infinite string suppose there is a string very long , at x=0 there is a force exerted on it.

  
F(t)=Fcos(wt)=Real{Fexp(jwt)}

  
use the boundary condition at x=0,

neglect the reflected wave

  
it is easy to get the wave form

where w is the angular velocity, k is the wave number.

according to the impedance definition

it represents the characteristic impedance of the string. obviously, it is purely resistive, which is like the resistance in the mechanical system.

  


* * *

The dissipated power

Note: along the string, all the variables propagate at same speed.

  
[link title](http://www.mcasco.com/p1apsat.html) a useful link to show the time-space property of the wave.

  


* * *

Some interesting animations of the wave at different boundary conditions.

  
1.hard boundary (which is like a fixed end)

  


2.soft boundary (which is like a free end)

3.from low density to high density string

4.from high density to low density string

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Part 3: Applications

# Room Acoustics and Concert Halls

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Room Acoustics and Concert Halls

## Introduction

From performing on many different rooms and stages all over the United States, I thought it would be nice to have a better understanding and source about the room acoustics. This Wikibook page is intended to help the user with basic technical questions/answers about room acoustics. Main topics that will be covered are: what really makes a room sound _good_ or _bad_, _alive_ or _dead_. This will lead into absorption and transmission coefficients, decay of sound in the room, and reverberation. Different use of materials in rooms will be mentioned also. There is no intention of taking work from another. This page is a switchboard source to help the user find information about room acoustics.

## Sound Fields

Two types of sound fields are involved in room acoustics: Direct Sound and Reverberant Sound.

### Direct Sound

The component of the sound field in a room that involves only a direct path between the source and the receiver, before any reflections off walls and other surfaces.

### Reverberant Sound

The component of the sound field in a room that involves the direct path and the path after it reflects off of walls or any other surfaces. How the waves deflect off of the mediums all depends on the absorption and transmission coefficients.

Good example pictures are shown at [Crutchfield Advisor](http://akamaipix.crutchfield.com/ca/reviews/20040120/roomacoustics1a.gif), [a Physics Site from MTSU](http://physics.mtsu.edu/~wmr/reverb1f1.gif), and [Voiceteacher.com](http://www.voiceteacher.com/art/bounce.gif)

## Room Coefficients

In a perfect world, if there is a sound shot right at a wall, the sound should come right back. But because sounds hit different materials types of walls, the sound does not have perfect reflection. From 1, these are explained as follows:

### Absorption & Transmission Coefficients

The best way to explain how sound reacts to different mediums is through acoustical energy. When sound impacts on a wall, acoustical energy will be reflected, absorbed, or transmitted through the wall.

![Ad Rev.jpg](../../../upload.wikimedia.org/wikibooks/en/f/fa/Ad_Rev.jpg)

* * *

Absorption Coefficient: ![Absorption Coefficient.jpg](../../../upload.wikimedia.org/wikibooks/en/d/da/Absorption_Coefficient.jpg)

* * *

Transmission Coefficient: ![Transmission Coefficient.jpg](../../../upload.wikimedia.org/wikibooks/en/b/b6/Transmission_Coefficient.jpg)

* * *

If all of the acoustic energy hits the wall and none is reflected, the alpha would equal 1. The energy had zero reflection and was absorbed or transmitted. This would be an example of a _dead_ or _soft_ wall because it takes in everything and doesn't reflect anything back. Rooms that are like this are called Anechoic Rooms which looks like this from [Axiomaudio](http://www.axiomaudio.com/archives/22chamber.jpg).

If all of the acoustic energy hits the wall and all reflects back, the alpha would equal 0. This would be an example of a _live_ or _hard_ wall because the sound bounces right back and does not go through the wall. Rooms that are like this are called Reverberant Rooms like this [McIntosh](http://www.roger-russell.com/revrm3.jpg)room. Look how the walls have nothing attached to them. More room for the sound waves to bounce off the walls.

### Room Averaged Sound Absorption Coefficient

Not all rooms have the same walls on all sides. The room averaged sound absorption coefficient can be used to have different types of materials and areas of walls averaged together.

* * *

RASAC:    ![Ralpha.jpg](../../../upload.wikimedia.org/wikibooks/en/f/f1/Ralpha.jpg)                 ![Sequals.jpg](../../../upload.wikimedia.org/wikibooks/en/a/a3/Sequals.jpg)

* * *

### Absorption Coefficients for Specific Materials

Basic sound absorption Coefficients are shown here at [Acoustical Surfaces](http://www.acousticalsurfaces.com/acoustic_IOI/101_13.htm).

Brick, unglazed, painted alpha ~ .01 - .03 -> Sound reflects back

An open door alpha equals 1 -> Sound goes through

Units are in [Sabins](http://zone.ni.com/devzone/nidzgloss.nsf/webmain/0174ABCAF438C613862568C6005C852A?OpenDocument).

## Sound Decay and Reverberation Time

In a large reverberant room, a sound can still propagate after the sound source has been turned off. This time when the sound intensity level has decay 60 dB is called the reverberation time of the room.

* * *

![Revtime.jpg](../../../upload.wikimedia.org/wikibooks/en/4/45/Revtime.jpg)           ![Rt2.jpg](../../../upload.wikimedia.org/wikibooks/en/c/c8/Rt2.jpg)

* * *

[Great Reverberation Source](http://hyperphysics.phy-astr.gsu.edu/hbase/acoustic/revtim.html)

  


## Great Halls in the World

[Foellinger Great Hall](http://www.kcpa.uiuc.edu/about/venues/foellinger.asp)

[Japan](http://www.danubecooperation.org/Content.Node/images/osi/Concert_Hall.gif)

[Budapest](http://budapest.hotelhungary.com/images/zeneakademia.jpg)

[Carnegie Hall in New York](http://www.puddingbench.com/images/carnegie_hall.jpg)

[Carnegie Hall](http://www.carnegiehallkids.50megs.com/images/carnegiechorus.jpg)

[Pick Staiger at Northwestern U](http://lshdesign.com/portfolio/cultural/popups/images/pick.jpg)

  


* * *

[Concert Hall Acoustics](http://www.acoustics.salford.ac.uk/research/arc/cox/interdisciplinary/inter_science_reviews.pdf)

* * *

  


## References

[1] Lord, Gatley, Evensen; _Noise Control for Engineers_, Krieger Publishing, 435 pgs

  


Back to [Engineering Acoustics](http://en.wikibooks.org/wiki/Engineering_Acoustics)

  
Created by Kevin Baldwin

# Bass Reflex Enclosure Design

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

![Bassreflex-Gehäuse \(enclosure\).png](../../../upload.wikimedia.org/wikipedia/commons/f/fe/Bassreflex-Gehäuse_\(enclosure\).png)

Bass-reflex enclosures improve the low-frequency response of loudspeaker systems. Bass-reflex enclosures are also called "vented-box design" or "ported-cabinet design". A bass-reflex enclosure includes a vent or port between the cabinet and the ambient environment. This type of design, as one may observe by looking at contemporary loudspeaker products, is still widely used today. Although the construction of bass-reflex enclosures is fairly simple, their design is not simple, and requires proper tuning. This reference focuses on the technical details of bass-reflex design. General loudspeaker information can be found [here](http://en.wikipedia.org/wiki/Loudspeaker).

## Effects of the Port on the Enclosure Response

Before discussing the bass-reflex enclosure, it is important to be familiar with the simpler sealed enclosure system performance. As the name suggests, the sealed enclosure system attaches the loudspeaker to a sealed enclosure (except for a small air leak included to equalize the ambient pressure inside). Ideally, the enclosure would act as an acoustical compiance element, as the air inside the enclosure is compressed and rarified. Often, however, an acoustic material is added inside the box to reduce standing waves, dissipate heat, and other reasons. This adds a resistive element to the acoustical lumped-element model. A non-ideal model of the effect of the enclosure actually adds an acoustical mass element to complete a series lumped-element circuit given in Figure 1. For more on sealed enclosure design, see the [Sealed Box Subwoofer Design](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) page.

_Figure 1. Sealed enclosure acoustic circuit._

In the case of a bass-reflex enclosure, a port is added to the construction. Typically, the port is cylindrical and is flanged on the end pointing outside the enclosure. In a bass-reflex enclosure, the amount of acoustic material used is usually much less than in the sealed enclosure case, often none at all. This allows air to flow freely through the port. Instead, the larger losses come from the air leakage in the enclosure. With this setup, a lumped-element acoustical circuit has the following form.

![Vented box ckt.gif](../../../upload.wikimedia.org/wikibooks/en/c/cf/Vented_box_ckt.gif)  
_Figure 2. Bass-reflex enclosure acoustic circuit._

In this figure, ![Z_{RAD}](../../../upload.wikimedia.org/math/f/e/9/fe963eaf7745ef7f949c606c245e0cd0.png) represents the radiation impedance of the outside environment on the loudspeaker diaphragm. The loading on the rear of the diaphragm has changed when compared to the sealed enclosure case. If one visualizes the movement of air within the enclosure, some of the air is compressed and rarified by the compliance of the enclosure, some leaks out of the enclosure, and some flows out of the port. This explains the parallel combination of ![M_{AP}](../../../upload.wikimedia.org/math/e/c/3/ec3af2d38953ddc2f26a6387497510a7.png), ![C_{AB}](../../../upload.wikimedia.org/math/b/3/c/b3cb4b586ee2f02e87e178b6a9514e4a.png), and ![R_{AL}](../../../upload.wikimedia.org/math/2/a/3/2a3276063cd0233bdf65a6c106f409a2.png). A truly realistic model would incorporate a radiation impedance of the port in series with ![M_{AP}](../../../upload.wikimedia.org/math/e/c/3/ec3af2d38953ddc2f26a6387497510a7.png), but for now it is ignored. Finally, ![M_{AB}](../../../upload.wikimedia.org/math/f/0/8/f0806a8d748d82b4ebd88d770f9dbc19.png), the acoustical mass of the enclosure, is included as discussed in the sealed enclosure case. The formulas which calculate the enclosure parameters are listed in [Appendix B](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design#Appendix_B:_Enclosure_Parameter_Formulas).

It is important to note the parallel combination of ![M_{AP}](../../../upload.wikimedia.org/math/e/c/3/ec3af2d38953ddc2f26a6387497510a7.png) and ![C_{AB}](../../../upload.wikimedia.org/math/b/3/c/b3cb4b586ee2f02e87e178b6a9514e4a.png). This forms a Helmholtz resonator ([click here for more information](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Acoustics_of_pipes,_enclosures,_and_cavities_at_low_frequency&action=edit&redlink=1)). Physically, the port functions as the “neck” of the resonator and the enclosure functions as the “cavity.” In this case, the resonator is driven from the piston directly on the cavity instead of the typical Helmholtz case where it is driven at the “neck.” However, the same resonant behavior still occurs at the enclosure resonance frequency, ![f_{B}](../../../upload.wikimedia.org/math/a/c/b/acbdff9e5fec9d20d0ec8c5d3edf082f.png). At this frequency, the impedance seen by the loudspeaker diaphragm is large (see Figure 3 below). Thus, the load on the loudspeaker reduces the velocity flowing through its mechanical parameters, causing an anti-resonance condition where the displacement of the diaphragm is a minimum. Instead, the majority of the volume velocity is actually emitted by the port itself instead of the loudspeaker. When this impedance is reflected to the electrical circuit, it is proportional to ![1/Z](../../../upload.wikimedia.org/math/d/c/0/dc0845cddb747b77e16dbb45438648d0.png), thus a minimum in the impedance seen by the voice coil is small. Figure 3 shows a plot of the impedance seen at the terminals of the loudspeaker. In this example, ![f_B](../../../upload.wikimedia.org/math/8/6/d/86dd38902c9ed35dee84b061ad935da1.png) was found to be about 40 Hz, which corresponds to the null in the voice-coil impedance.

![Za0 Zvc plots.gif](../../../upload.wikimedia.org/wikibooks/en/c/cb/Za0_Zvc_plots.gif)  
_Figure 3. Impedances seen by the loudspeaker diaphragm and voice coil._

## Quantitative Analysis of Port on Enclosure

The performance of the loudspeaker is first measured by its velocity response, which can be found directly from the equivalent circuit of the system. As the goal of most loudspeaker designs is to improve the bass response (leaving high-frequency production to a tweeter), low frequency approximations will be made as much as possible to simplify the analysis. First, the inductance of the voice coil, ![\\it{L_E}](../../../upload.wikimedia.org/math/b/e/b/beb6a72a45aa2f38b3178ee17d3d383a.png), can be ignored as long as ![\\omega \\ll R_E/L_E](../../../upload.wikimedia.org/math/5/c/7/5c770c38046359c12b9cf43119f3ddb9.png). In a typical loudspeaker, ![\\it{L_E}](../../../upload.wikimedia.org/math/b/e/b/beb6a72a45aa2f38b3178ee17d3d383a.png) is of the order of 1 mH, while ![\\it{R_E}](../../../upload.wikimedia.org/math/7/9/6/796104734100c358431201a8a8889165.png) is typically 8![\\Omega](../../../upload.wikimedia.org/math/b/9/d/b9d99db8626de63193c7fe96273a6cae.png), thus an upper frequency limit is approximately 1 kHz for this approximation, which is certainly high enough for the frequency range of interest.

Another approximation involves the radiation impedance, ![\\it{Z_{RAD}}](../../../upload.wikimedia.org/math/8/e/8/8e82362b6cad4e0b9dec93ee0fa40fa6.png). It can be shown [1] that this value is given by the following equation (in acoustical ohms):

![Z_{RAD} = \\frac{\\rho_0c}{\\pi a^2}\\left\[\\left\(1 - \\frac{J_1\(2ka\)}{ka}\\right\) + j\\frac{H_1\(2ka\)}{ka}\\right\]](../../../upload.wikimedia.org/math/4/b/2/4b21bbd711bf09435ad4547bc290fdc3.png)

Where ![J_1\(x\)](../../../upload.wikimedia.org/math/c/6/9/c6967c696efad53f513d6c5e394402cb.png) and ![H_1\(x\)](../../../upload.wikimedia.org/math/6/7/3/673c737ba9219add4269564fdbf36a01.png) are types of Bessel functions. For small values of _ka_,

![J_1\(2ka\) \\approx ka](../../../upload.wikimedia.org/math/e/a/5/ea561c612ed57c16b8eaa4eaab840bf5.png)
and
![H_1\(2ka\) \\approx \\frac{8\(ka\)^2}{3\\pi}](../../../upload.wikimedia.org/math/8/a/1/8a1eae1a50008ef20bd6c8592d3b49ff.png)
![\\Rightarrow Z_{RAD} \\approx j\\frac{8\\rho_0\\omega}{3\\pi^2a} = jM_{A1}](../../../upload.wikimedia.org/math/8/f/b/8fbffb0d27bb35f8155493058d448824.png)

Hence, the low-frequency impedance on the loudspeaker is represented with an acoustic mass ![M_{A1}](../../../upload.wikimedia.org/math/2/8/6/2866c9a78a624f49f6922076a0662259.png) [1]. For a simple analysis, ![R_E](../../../upload.wikimedia.org/math/e/2/9/e2945b3c5376bd0fc5fe90835a39192a.png), ![M_{MD}](../../../upload.wikimedia.org/math/d/e/1/de113d6fb6eb9ee8a4ca031c98cf9af3.png), ![C_{MS}](../../../upload.wikimedia.org/math/e/e/c/eecf38f84ce7088798db0a3dd0274ac1.png), and ![R_{MS}](../../../upload.wikimedia.org/math/3/b/8/3b896a2250e493867cdf98f3072364eb.png) (the transducer parameters, or _Thiele-Small_ parameters) are converted to their acoustical equivalents. All conversions for all parameters are given in [Appendix A](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design#Appendix_A:_Equivalent_Circuit_Parameters). Then, the series masses, ![M_{AD}](../../../upload.wikimedia.org/math/c/f/7/cf752d8624607d63378f4b8cb22ac3ff.png), ![M_{A1}](../../../upload.wikimedia.org/math/2/8/6/2866c9a78a624f49f6922076a0662259.png), and ![M_{AB}](../../../upload.wikimedia.org/math/f/0/8/f0806a8d748d82b4ebd88d770f9dbc19.png), are lumped together to create ![M_{AC}](../../../upload.wikimedia.org/math/d/7/b/d7b59c8362dc473356a30bce41e29578.png). This new circuit is shown below.

![VB LF ckt.gif](../../../upload.wikimedia.org/wikibooks/en/7/7e/VB_LF_ckt.gif)  
_Figure 4. Low-Frequency Equivalent Acoustic Circuit_

Unlike sealed enclosure analysis, there are multiple sources of volume velocity that radiate to the outside environment. Hence, the diaphragm volume velocity, ![U_D](../../../upload.wikimedia.org/math/5/8/7/5870b8e13cdadac329e8d88a3a8f5566.png), is not analyzed but rather ![U_0 = U_D + U_P + U_L](../../../upload.wikimedia.org/math/7/5/c/75cdd75852ae5540ba41d65c8abb96aa.png). This essentially draws a “bubble” around the enclosure and treats the system as a source with volume velocity ![U_0](../../../upload.wikimedia.org/math/2/d/4/2d43f9b9f80ff85809360c40a7ccb1ef.png). This “lumped” approach will only be valid for low frequencies, but previous approximations have already limited the analysis to such frequencies anyway. It can be seen from the circuit that the volume velocity flowing _into_ the enclosure, ![U_B = -U_0](../../../upload.wikimedia.org/math/5/1/4/514d4930f159e08dae88e7cebdf5947a.png), compresses the air inside the enclosure. Thus, the circuit model of Figure 3 is valid and the relationship relating input voltage, ![V_{IN}](../../../upload.wikimedia.org/math/5/8/9/58949b711d6a275aab33f68750950286.png) to ![U_0](../../../upload.wikimedia.org/math/2/d/4/2d43f9b9f80ff85809360c40a7ccb1ef.png) may be computed.

In order to make the equations easier to understand, several parameters are combined to form other parameter names. First, ![\\omega_B](../../../upload.wikimedia.org/math/d/f/0/df0af842175dbccceb9f91f136650a43.png) and ![\\omega_S](../../../upload.wikimedia.org/math/f/8/5/f8543480f46b5fd978ef5dfe27e735db.png), the enclosure and loudspeaker resonance frequencies, respectively, are:

![\\omega_B = \\frac{1}{\\sqrt{M_{AP}C_{AB}}}](../../../upload.wikimedia.org/math/7/a/d/7ade89283fe4885161d67843c85639d5.png)
![\\omega_S = \\frac{1}{\\sqrt{M_{AC}C_{AS}}}](../../../upload.wikimedia.org/math/6/b/0/6b032dee7c9074f213595b6ab3adb153.png)

Based on the nature of the derivation, it is convenient to define the parameters ![\\omega_0](../../../upload.wikimedia.org/math/d/4/d/d4df4d2cdd8cdb93b8868b4d5c22bcc2.png) and _h_, the Helmholtz tuning ratio:

![\\omega_0 = \\sqrt{\\omega_B\\omega_S}](../../../upload.wikimedia.org/math/d/8/9/d89d6cda6c7e4f4e3b39426f9e045958.png)
![h = \\frac{\\omega_B}{\\omega_S}](../../../upload.wikimedia.org/math/7/e/2/7e2e26662bcbcfecc9be1fc214cbc2e6.png)

A parameter known as the _compliance ratio_ or _volume ratio_, ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png), is given by:

![\\alpha = \\frac{C_{AS}}{C_{AB}} = \\frac{V_{AS}}{V_{AB}}](../../../upload.wikimedia.org/math/6/e/5/6e55110681b89ab871fb2eb96f725fe6.png)

Other parameters are combined to form what are known as _quality factors_:

![Q_L = R_{AL}\\sqrt{\\frac{C_{AB}}{M_{AP}}}](../../../upload.wikimedia.org/math/9/4/a/94af8f66d74ed0e34aa85db342c7821f.png)
![Q_{TS} = \\frac{1}{R_{AE}+R_{AS}}\\sqrt{\\frac{M_{AC}}{C_{AS}}}](../../../upload.wikimedia.org/math/f/f/0/ff09ff2dca9b87f4b02397cda06dd100.png)

This notation allows for a simpler expression for the resulting transfer function [1]:

![\\frac{U_0}{V_{IN}} = G\(s\) = \\frac{\(s^3/\\omega_0^4\)}{\(s/\\omega_0\)^4+a_3\(s/\\omega_0\)^3+a_2\(s/\\omega_0\)^2+a_1\(s/\\omega_0\)+1}](../../../upload.wikimedia.org/math/7/f/5/7f59f0a34022dfd4da565ade5a9319c2.png)

where

![a_1 = \\frac{1}{Q_L\\sqrt{h}}+\\frac{\\sqrt{h}}{Q_{TS}}](../../../upload.wikimedia.org/math/c/0/1/c01325f8283a4d325899c2174964bad7.png)
![a_2 = \\frac{\\alpha+1}{h}+h+\\frac{1}{Q_L Q_{TS}}](../../../upload.wikimedia.org/math/a/b/7/ab7549fe49750263d359dafb3f3b5e95.png)
![a_3 = \\frac{1}{Q_{TS}\\sqrt{h}}+\\frac{\\sqrt{h}}{Q_L}](../../../upload.wikimedia.org/math/3/a/1/3a14fb1b7df77bc4d34ceaf3ea057ee0.png)

## Development of Low-Frequency Pressure Response

It can be shown [2] that for ![ka < 1/2](../../../upload.wikimedia.org/math/e/8/c/e8cfba61361e8b5ffd197f1f87185059.png), a loudspeaker behaves as a spherical source. Here, _a_ represents the radius of the loudspeaker. For a 15” diameter loudspeaker in air, this low frequency limit is about 150 Hz. For smaller loudspeakers, this limit increases. This limit dominates the limit which ignores ![L_E](../../../upload.wikimedia.org/math/d/1/0/d10fd5b60d5f12b02810426073a611a5.png), and is consistent with the limit that models ![Z_{RAD}](../../../upload.wikimedia.org/math/f/e/9/fe963eaf7745ef7f949c606c245e0cd0.png) by ![M_{A1}](../../../upload.wikimedia.org/math/2/8/6/2866c9a78a624f49f6922076a0662259.png).

Within this limit, the loudspeaker emits a volume velocity ![U_0](../../../upload.wikimedia.org/math/2/d/4/2d43f9b9f80ff85809360c40a7ccb1ef.png), as determined in the previous section. For a simple spherical source with volume velocity ![U_0](../../../upload.wikimedia.org/math/2/d/4/2d43f9b9f80ff85809360c40a7ccb1ef.png), the far-field pressure is given by [1]:

![p\(r\) \\simeq j\\omega\\rho_0 U_0 \\frac{e^{-jkr}}{4\\pi r}](../../../upload.wikimedia.org/math/5/f/d/5fdb3513dea2f356ebef04023d0a1da2.png)

It is possible to simply let ![r = 1](../../../upload.wikimedia.org/math/7/c/6/7c6270537cb2cf1c86fd46bbc6975dd3.png) for this analysis without loss of generality because distance is only a function of the surroundings, not the loudspeaker. Also, because the transfer function magnitude is of primary interest, the exponential term, which has a unity magnitude, is omitted. Hence, the pressure response of the system is given by [1]:

![\\frac{p}{V_{IN}} = \\frac{\\rho_0s}{4\\pi}\\frac{U_0}{V_{IN}} = \\frac{\\rho_0Bl}{4\\pi S_DR_EM_AS}H\(s\)](../../../upload.wikimedia.org/math/0/d/a/0da92b78eae27fd1896d52ac07a57460.png)

Where ![H\(s\) = sG\(s\)](../../../upload.wikimedia.org/math/b/5/8/b584a6d249bd50ce2a306c496d44307e.png). In the following sections, design methods will focus on ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png) rather than ![H\(s\)](../../../upload.wikimedia.org/math/f/6/8/f68021749ff69bf0b89869d4358ea300.png), which is given by:

![|H\(s\)|^2 = \\frac{\\Omega^8}{\\Omega^8 + \\left\(a^2_3 - 2a_2\\right\)\\Omega^6 + \\left\(a^2_2 + 2 - 2a_1a_3\\right\)\\Omega^4 + \\left\(a^2_1 - 2a_2\\right\)\\Omega^2 + 1}](../../../upload.wikimedia.org/math/7/5/4/754738f78520294fb99d1e206a3b2042.png)
![\\Omega = \\frac{\\omega}{\\omega_0}](../../../upload.wikimedia.org/math/c/7/0/c70cc6e8bc8be052bce0ba8992614a92.png)

This also implicitly ignores the constants in front of ![|H\(s\)|](../../../upload.wikimedia.org/math/6/b/8/6b811b2e03ee1137b18495088719a0c3.png) since they simply scale the response and do not affect the shape of the frequency response curve.

## Alignments

A popular way to determine the ideal parameters has been through the use of alignments. The concept of alignments is based upon filter theory. Filter development is a method of selecting the poles (and possibly zeros) of a transfer function to meet a particular design criterion. The criteria are the desired properties of a magnitude-squared transfer function, which in this case is ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png). From any of the design criteria, the poles (and possibly zeros) of ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png) are found, which can then be used to calculate the numerator and denominator. This is the “optimal” transfer function, which has coefficients that are matched to the parameters of ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png) to compute the appropriate values that will yield a design that meets the criteria.

There are many different types of filter designs, each which have trade-offs associated with them. However, this design is limited because of the structure of ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png). In particular, it has the structure of a fourth-order high-pass filter with all zeros at _s_ = 0. Therefore, only those filter design methods which produce a low-pass filter with only poles will be acceptable methods to use. From the traditional set of algorithms, only Butterworth and Chebyshev low-pass filters have only poles. In addition, another type of filter called a quasi-Butterworth filter can also be used, which has similar properties to a Butterworth filter. These three algorithms are fairly simple, thus they are the most popular. When these low-pass filters are converted to high-pass filters, the ![s \\rightarrow 1/s](../../../upload.wikimedia.org/math/8/f/0/8f01304f393eb5b85631b2e8b305607c.png) transformation produces ![s^8](../../../upload.wikimedia.org/math/4/5/c/45c4971263153b3c0c227790a10b9bb6.png) in the numerator.

More details regarding filter theory and these relationships can be found in numerous resources, including [5].

## Butterworth Alignment

The Butterworth algorithm is designed to have a _maximally flat_ pass band. Since the slope of a function corresponds to its derivatives, a flat function will have derivatives equal to zero. Since as flat of a pass band as possible is optimal, the ideal function will have as many derivatives equal to zero as possible at _s_ = 0. Of course, if all derivatives were equal to zero, then the function would be a constant, which performs no filtering.

Often, it is better to examine what is called the _loss function_. Loss is the reciprocal of gain, thus

![|\\hat{H}\(s\)|^2 = \\frac{1}{|H\(s\)|^2}](../../../upload.wikimedia.org/math/7/0/7/70742c54d8be3a41f96d2f43ea3cebc7.png)

The loss function can be used to achieve the desired properties, then the desired gain function is recovered from the loss function.

Now, applying the desired Butterworth property of maximal pass-band flatness, the loss function is simply a polynomial with derivatives equal to zero at _s_ = 0. At the same time, the original polynomial must be of degree eight (yielding a fourth-order function). However, derivatives one through seven can be equal to zero if [3]

![|\\hat{H}\(\\Omega\)|^2 = 1 + \\Omega^8 \\Rightarrow |H\(\\Omega\)|^2 = \\frac{1}{1 + \\Omega^8}](../../../upload.wikimedia.org/math/8/1/2/81233fcd3be40ca546e067a1a68da3c9.png)

With the high-pass transformation ![\\Omega \\rightarrow 1/\\Omega](../../../upload.wikimedia.org/math/0/7/c/07c10f09ec0b1ff93a8937b26c699fb0.png),

![|H\(\\Omega\)|^2 = \\frac{\\Omega^8}{\\Omega^8 + 1}](../../../upload.wikimedia.org/math/f/7/f/f7f77d9620b0c1b19e21d32b35744533.png)

It is convenient to define ![\\Omega = \\omega/\\omega_{3dB}](../../../upload.wikimedia.org/math/3/a/f/3af8b777ce7679aaba1df284d05fc581.png), since ![\\Omega = 1 \\Rightarrow |H\(s\)|^2 = 0.5](../../../upload.wikimedia.org/math/a/2/0/a204167f4b916d474c72c62dabf84b06.png) or -3 dB. This definition allows the matching of coefficients for the ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png) describing the loudspeaker response when ![\\omega_{3dB} = \\omega_0](../../../upload.wikimedia.org/math/8/a/5/8a50cfb49819f4465d3643e91a171c85.png). From this matching, the following design equations are obtained [1]:

![a_1 = a_3 = \\sqrt{4+2\\sqrt{2}}](../../../upload.wikimedia.org/math/5/3/a/53a356489c71aa24eeb2ef5a9812b40e.png)
![a_2 = 2+\\sqrt{2}](../../../upload.wikimedia.org/math/9/f/7/9f72026b499f629f376365a7114bc4fb.png)

## Quasi-Butterworth Alignment

The quasi-Butterworth alignments do not have as well-defined of an algorithm when compared to the Butterworth alignment. The name “quasi-Butterworth” comes from the fact that the transfer functions for these responses appear similar to the Butterworth ones, with (in general) the addition of terms in the denominator. This will be illustrated below. While there are many types of quasi-Butterworth alignments, the simplest and most popular is the 3rd order alignment (QB3). The comparison of the QB3 magnitude-squared response against the 4th order Butterworth is shown below.

![\\left|H_{QB3}\(\\omega\)\\right|^2 = \\frac{\(\\omega/\\omega_{3dB}\)^8}{\(\\omega/\\omega_{3dB}\)^8 + B^2\(\\omega/\\omega_{3dB}\)^2 + 1}](../../../upload.wikimedia.org/math/0/a/1/0a1e7f4b9f113c058d962a5e62ee7bb9.png)
![\\left|H_{B4}\(\\omega\)\\right|^2 = \\frac{\(\\omega/\\omega_{3dB}\)^8}{\(\\omega/\\omega_{3dB}\)^8 + 1}](../../../upload.wikimedia.org/math/8/7/8/878f4e3bcf9d310410d5ab14163b1da1.png)

Notice that the case ![B = 0](../../../upload.wikimedia.org/math/e/e/8/ee829ea61bcc3fb3efccf2a3987528fc.png) is the Butterworth alignment. The reason that this QB alignment is called 3rd order is due to the fact that as _B_ increases, the slope approaches 3 dec/dec instead of 4 dec/dec, as in 4th order Butterworth. This phenomenon can be seen in Figure 5.

![QB3 gradient.GIF](../../../upload.wikimedia.org/wikibooks/en/d/db/QB3_gradient.GIF)  
_Figure 5: 3rd-Order Quasi-Butterworth Response for_ ![0.1 \\leq B \\leq 3](../../../upload.wikimedia.org/math/5/7/a/57a16e9e7104efedc0141b14be054095.png)

Equating the system response ![|H\(s\)|^2](../../../upload.wikimedia.org/math/7/9/a/79a8e6429b7b1a93a1a704c32ede7f57.png) with ![|H_{QB3}\(s\)|^2](../../../upload.wikimedia.org/math/d/4/a/d4afe4372ce26897242cb49892966100.png), the equations guiding the design can be found [1]:

![B^2 = a^2_1 - 2a_2](../../../upload.wikimedia.org/math/6/3/4/6345b0e7212ff5f34995fb47db8d2542.png)
![a_2^2 + 2 = 2a_1a_3](../../../upload.wikimedia.org/math/6/f/9/6f98170c683996fe6934f79cca6021b9.png)
![a_3 = \\sqrt{2a_2}](../../../upload.wikimedia.org/math/b/d/4/bd4666e139b0e899bea67cc9f2cb72c5.png)
![a_2 > 2 + \\sqrt{2}](../../../upload.wikimedia.org/math/5/1/0/510d13d2bf63ea2997613f977eaf37f9.png)

## Chebyshev Alignment

The Chebyshev algorithm is an alternative to the Butterworth algorithm. For the Chebyshev response, the maximally-flat passband restriction is abandoned. Now, a _ripple_, or fluctuation is allowed in the pass band. This allows a steeper transition or roll-off to occur. In this type of application, the low-frequency response of the loudspeaker can be extended beyond what can be achieved by Butterworth-type filters. An example plot of a Chebyshev high-pass response with 0.5 dB of ripple against a Butterworth high-pass response for the same ![\\omega_{3dB}](../../../upload.wikimedia.org/math/1/0/d/10dfe6a7fdbe629e60ed6bb68664ec48.png) is shown below.

![Butt vs Cheb HP.gif](../../../upload.wikimedia.org/wikibooks/en/e/ee/Butt_vs_Cheb_HP.gif)  
_Figure 6: Chebyshev vs. Butterworth High-Pass Response._

The Chebyshev response is defined by [4]:

![|\\hat{H}\(j\\Omega\)|^2 = 1 + \\epsilon^2C^2_n\(\\Omega\)](../../../upload.wikimedia.org/math/5/c/a/5ca09b1b5c94d80023e54c8ac6cdf7d2.png)  


![C_n\(\\Omega\)](../../../upload.wikimedia.org/math/e/2/7/e27aa47a2dd53e6730b0c401f3727d7a.png) is called the _Chebyshev polynomial_ and is defined by [4]:

![C_n\(\\Omega\) = \\big\\lbrace](../../../upload.wikimedia.org/math/b/a/2/ba2d8d12d5735864f578cecc61f9c0b5.png)
![\\rm{cos}\[\\it{n}\\rm{cos}^{-1}\(\\Omega\)\]](../../../upload.wikimedia.org/math/9/4/c/94c7a3093da4a66ab8070417c55df8c8.png)
![|\\Omega| < 1](../../../upload.wikimedia.org/math/f/d/b/fdbbc553bd1a90fe5da75bb6f412bf18.png)

![\\rm{cosh}\[\\it{n}\\rm{cosh}^{-1}\(\\Omega\)\]](../../../upload.wikimedia.org/math/6/5/7/6579758ac78862dcf32b9644f3d8dcbf.png)
![|\\Omega| > 1](../../../upload.wikimedia.org/math/5/5/3/5530d6a7d043adf34ff2f042e2c2e5cf.png)

Fortunately, Chebyshev polynomials satisfy a simple recursion formula [4]:

![C_0\(x\) = 1](../../../upload.wikimedia.org/math/4/5/2/45231dca9b53d9d6abecb4ddcacdd558.png)
![C_1\(x\) = x](../../../upload.wikimedia.org/math/6/4/7/647bf9cbc9bb8ca07df74b4a90d0f502.png)
![C_n\(x\) = 2xC_{n-1} - C_{n-2}](../../../upload.wikimedia.org/math/7/4/9/749f0e4a9a8e07ab510d9c97d161ba88.png)

For more information on Chebyshev polynomials, see the [Wolfram Mathworld: Chebyshev Polynomials](http://mathworld.wolfram.com/ChebyshevPolynomialoftheFirstKind.html) page.

When applying the high-pass transformation to the 4th order form of ![|\\hat{H}\(j\\Omega\)|^2](../../../upload.wikimedia.org/math/3/d/7/3d7401ae51066f8fd52d263fab484e71.png), the desired response has the form [1]:

![|H\(j\\Omega\)|^2 = \\frac{1+\\epsilon^2}{1+\\epsilon^2C^2_4\(1/\\Omega\)}](../../../upload.wikimedia.org/math/a/0/3/a037e754f1f25e31275faa52ab4b99d6.png)

The parameter ![\\epsilon](../../../upload.wikimedia.org/math/c/5/0/c50b9e82e318d4c163e4b1b060f7daf5.png) determines the ripple. In particular, the magnitude of the ripple is ![10\\rm{log}\[1+\\epsilon^2\]](../../../upload.wikimedia.org/math/7/d/e/7debbbc272d194717191db448dd61c04.png) dB and can be chosen by the designer, similar to _B_ in the quasi-Butterworth case. Using the recursion formula for ![C_n\(x\)](../../../upload.wikimedia.org/math/e/4/c/e4c32de11bc14c479c1c0ca31142feb1.png),

![C_4\\left\(\\frac{1}{\\Omega}\\right\) = 8\\left\(\\frac{1}{\\Omega}\\right\)^4 - 8\\left\(\\frac{1}{\\Omega}\\right\)^2 + 1](../../../upload.wikimedia.org/math/b/b/6/bb63c92d89c4e9334f1b55ffd5c7aa44.png)  


Applying this equation to ![|H\(j\\Omega\)|^2](../../../upload.wikimedia.org/math/d/b/1/db1fe37112c4e6eae6bc84454634d30d.png) [1],

![\\Rightarrow |H\(\\Omega\)|^2 = \\frac{\\frac{1 + \\epsilon^2}{64\\epsilon^2}\\Omega^8}{\\frac{1 + \\epsilon^2}{64\\epsilon^2}\\Omega^8 + \\frac{1}{4}\\Omega^6 + \\frac{5}{4}\\Omega^4 - 2\\Omega^2 + 1}](../../../upload.wikimedia.org/math/4/6/2/4626e8fc810c79cd64fd699aeb6309e5.png)

![\\Omega = \\frac{\\omega}{\\omega_n}](../../../upload.wikimedia.org/math/f/8/8/f884dbef02515acc2f82a613b7fbcc3f.png)
![\\omega_n = \\frac{\\omega_{3dB}}{2}\\sqrt{2 + \\sqrt{2 + 2\\sqrt{2+\\frac{1}{\\epsilon^2}}}}](../../../upload.wikimedia.org/math/2/0/7/20784c6e302aad24bc04977abc3b68d2.png)

Thus, the design equations become [1]:

![\\omega_0 = \\omega_n\\sqrt\[8\]{\\frac{64\\epsilon^2}{1+\\epsilon^2}}](../../../upload.wikimedia.org/math/5/5/6/55646830cdcfd897eef2ce380b328e1d.png)
![k = \\rm{tanh}\\left\[\\frac{1}{4}\\rm{sinh}^{-1}\\left\(\\frac{1}{\\epsilon}\\right\)\\right\]](../../../upload.wikimedia.org/math/2/0/c/20c10d48cbbfe9e4141a0bdd31bc3747.png)
![D = \\frac{k^4 + 6k^2 + 1}{8}](../../../upload.wikimedia.org/math/2/8/3/28321c04bb9d6f84429459828ec8e309.png)

![a_1 = \\frac{k\\sqrt{4 + 2\\sqrt{2}}}{\\sqrt\[4\]{D}},](../../../upload.wikimedia.org/math/f/7/6/f767abcfe1e45f852ed281acb672ea2b.png)
![a_2 = \\frac{1 + k^2\(1+\\sqrt{2}\)}{\\sqrt{D}}](../../../upload.wikimedia.org/math/b/9/e/b9ea26ab4cd8afb5566e96fdadf9a854.png)
![a_3 = \\frac{a_1}{\\sqrt{D}}\\left\[1 - \\frac{1 - k^2}{2\\sqrt{2}}\\right\]](../../../upload.wikimedia.org/math/e/2/c/e2c4720cd47e8c4dc94f5a4c7e69e7d0.png)

## Choosing the Correct Alignment

With all the equations that have already been presented, the question naturally arises, “Which one should I choose?” Notice that the coefficients ![a_1](../../../upload.wikimedia.org/math/8/e/6/8e6ba967645c302e1f2a60ec9c341e5c.png), ![a_2](../../../upload.wikimedia.org/math/0/f/7/0f768ac5d5dea8d93716a27da05871de.png), and ![a_3](../../../upload.wikimedia.org/math/a/7/9/a7913eeb6dcd09b24f125da908600585.png) are not simply related to the parameters of the system response. Certain combinations of parameters may indeed invalidate one or more of the alignments because they cannot realize the necessary coefficients. With this in mind, general guidelines have been developed to guide the selection of the appropriate alignment. This is very useful if one is designing an enclosure to suit a particular transducer that cannot be changed.

The general guideline for the Butterworth alignment focuses on ![Q_L](../../../upload.wikimedia.org/math/f/c/0/fc0fab7081443fa6b1cd7ff0578d1aa2.png) and ![Q_{TS}](../../../upload.wikimedia.org/math/5/2/b/52b561261168e32f021e15eefde3bde4.png). Since the three coefficients ![a_1](../../../upload.wikimedia.org/math/8/e/6/8e6ba967645c302e1f2a60ec9c341e5c.png), ![a_2](../../../upload.wikimedia.org/math/0/f/7/0f768ac5d5dea8d93716a27da05871de.png), and ![a_3](../../../upload.wikimedia.org/math/a/7/9/a7913eeb6dcd09b24f125da908600585.png) are a function of ![Q_L](../../../upload.wikimedia.org/math/f/c/0/fc0fab7081443fa6b1cd7ff0578d1aa2.png), ![Q_{TS}](../../../upload.wikimedia.org/math/5/2/b/52b561261168e32f021e15eefde3bde4.png), _h_, and ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png), fixing one of these parameters yields three equations that uniquely determine the other three. In the case where a particular transducer is already given, ![Q_{TS}](../../../upload.wikimedia.org/math/5/2/b/52b561261168e32f021e15eefde3bde4.png) is essentially fixed. If the desired parameters of the enclosure are already known, then ![Q_L](../../../upload.wikimedia.org/math/f/c/0/fc0fab7081443fa6b1cd7ff0578d1aa2.png) is a better starting point.

In the case that the rigid requirements of the Butterworth alignment cannot be satisfied, the quasi-Butterworth alignment is often applied when ![Q_{TS}](../../../upload.wikimedia.org/math/5/2/b/52b561261168e32f021e15eefde3bde4.png) is not large enough.. The addition of another parameter, _B_, allows more flexibility in the design.

For ![Q_{TS}](../../../upload.wikimedia.org/math/5/2/b/52b561261168e32f021e15eefde3bde4.png) values that are too large for the Butterworth alignment, the Chebyshev alignment is typically chosen. However, the steep transition of the Chebyshev alignment may also be utilized to attempt to extend the bass response of the loudspeaker in the case where the transducer properties can be changed.

In addition to these three popular alignments, research continues in the area of developing new algorithms that can manipulate the low-frequency response of the bass-reflex enclosure. For example, a 5th order quasi-Butterworth alignment has been developed [6]. Another example [7] applies root-locus techniques to achieve results. In the modern age of high-powered computing, other researchers have focused their efforts in creating computerized optimization algorithms that can be modified to achieve a flatter response with sharp roll-off or introduce quasi-ripples which provide a boost in sub-bass frequencies [8].

  
[Back to Engineering Acoustics](http://en.wikibooks.org/wiki/Engineering_Acoustics)

## References

[1] Leach, W. Marshall, Jr. _Introduction to Electroacoustics and Audio Amplifier Design_. 2nd ed. Kendall/Hunt, Dubuque, IA. 2001.

[2] Beranek, L. L. _Acoustics_. 2nd ed. Acoustical Society of America, Woodbridge, NY. 1993.

[3] DeCarlo, Raymond A. “The Butterworth Approximation.” Notes from ECE 445. Purdue University. 2004.

[4] DeCarlo, Raymond A. “The Chebyshev Approximation.” Notes from ECE 445. Purdue University. 2004.

[5] VanValkenburg, M. E. _Analog Filter Design_. Holt, Rinehart and Winston, Inc. Chicago, IL. 1982.

[6] Kreutz, Joseph and Panzer, Joerg. "Derivation of the Quasi-Butterworth 5 Alignments." _Journal of the Audio Engineering Society_. Vol. 42, No. 5, May 1994.

[7] Rutt, Thomas E. "Root-Locus Technique for Vented-Box Loudspeaker Design." _Journal of the Audio Engineering Society_. Vol. 33, No. 9, September 1985.

[8] Simeonov, Lubomir B. and Shopova-Simeonova, Elena. "Passive-Radiator Loudspeaker System Design Software Including Optimization Algorithm." _Journal of the Audio Engineering Society_. Vol. 47, No. 4, April 1999.

## Appendix A: Equivalent Circuit Parameters

Name Electrical Equivalent Mechanical Equivalent Acoustical Equivalent

Voice-Coil Resistance
![R_E](../../../upload.wikimedia.org/math/e/2/9/e2945b3c5376bd0fc5fe90835a39192a.png)
![R_{ME} = \\frac{\(Bl\)^2}{R_E}](../../../upload.wikimedia.org/math/c/2/1/c2107f4681af2b3de706f374d6b8875a.png)
![R_{AE} = \\frac{\(Bl\)^2}{R_ES^2_D}](../../../upload.wikimedia.org/math/4/5/6/456e436781369b01b0982ff552f3436b.png)

Driver (Speaker) Mass
See ![C_{MEC}](../../../upload.wikimedia.org/math/3/6/c/36cb0460f542efcf610daaa71104a463.png)
![M_{MD}](../../../upload.wikimedia.org/math/d/e/1/de113d6fb6eb9ee8a4ca031c98cf9af3.png)
![M_{AD} = \\frac{M_{MD}}{S^2_D}](../../../upload.wikimedia.org/math/b/7/f/b7f409f84b0d882062bec673231b93ff.png)

Driver (Speaker) Suspension Compliance
![L_{CES} = \(Bl\)^2C_{MS}](../../../upload.wikimedia.org/math/6/e/1/6e14cb8a77351bb830ab55016bc71dbc.png)
![C_{MS}](../../../upload.wikimedia.org/math/e/e/c/eecf38f84ce7088798db0a3dd0274ac1.png)
![C_{AS} = S^2_DC_{MS}](../../../upload.wikimedia.org/math/2/2/3/22390d23c17ee4959bb69c20a5e60c39.png)

Driver (Speaker) Suspension Resistance
![R_{ES} = \\frac{\(Bl\)^2}{R_{MS}}](../../../upload.wikimedia.org/math/3/b/9/3b92fcd504f14df75196ab6c609b4d5a.png)
![R_{MS}](../../../upload.wikimedia.org/math/3/b/8/3b896a2250e493867cdf98f3072364eb.png)
![R_{AS} = \\frac{R_{MS}}{S^2_D}](../../../upload.wikimedia.org/math/a/c/a/aca0665cc48d567080277741e40e3560.png)

Enclosure Compliance
![L_{CEB} = \\frac{\(Bl\)^2C_{AB}}{S^2_D}](../../../upload.wikimedia.org/math/d/a/0/da0004110971591a85203251b8c7519c.png)
![C_{MB} = \\frac{C_{AB}}{S^2_D}](../../../upload.wikimedia.org/math/8/9/1/8918bff9aedeb135adbe63622bd3a4cd.png)
![C_{AB}](../../../upload.wikimedia.org/math/b/3/c/b3cb4b586ee2f02e87e178b6a9514e4a.png)

Enclosure Air-Leak Losses
![R_{EL} = \\frac{\(Bl\)^2}{S^2_DR_{AL}}](../../../upload.wikimedia.org/math/9/9/1/991042dc3e8c6e123af2dcf949f26aa4.png)
![R_{ML} = S^2_DR_{AL}](../../../upload.wikimedia.org/math/7/0/d/70d5bdd48596be1ab6f6771d2ed65b21.png)
![R_{AL}](../../../upload.wikimedia.org/math/2/a/3/2a3276063cd0233bdf65a6c106f409a2.png)

Acoustic Mass of Port
![C_{MEP} = \\frac{S^2_DM_{AP}}{\(Bl\)^2}](../../../upload.wikimedia.org/math/1/8/6/1862a80dbed438045f26dc46d3b1ae4d.png)
![M_{MP} = S^2_DM_{AP}](../../../upload.wikimedia.org/math/7/9/a/79a4cd046ee9e5ba5bcb258bd7970ab9.png)
![M_{AP}](../../../upload.wikimedia.org/math/e/c/3/ec3af2d38953ddc2f26a6387497510a7.png)

Enclosure Mass Load
See ![C_{MEC}](../../../upload.wikimedia.org/math/3/6/c/36cb0460f542efcf610daaa71104a463.png)
See ![M_{MC}](../../../upload.wikimedia.org/math/0/7/3/073837c216007538290ebe475054e64b.png)
![M_{AB}](../../../upload.wikimedia.org/math/f/0/8/f0806a8d748d82b4ebd88d770f9dbc19.png)

Low-Frequency Radiation Mass Load
See ![C_{MEC}](../../../upload.wikimedia.org/math/3/6/c/36cb0460f542efcf610daaa71104a463.png)
See ![M_{MC}](../../../upload.wikimedia.org/math/0/7/3/073837c216007538290ebe475054e64b.png)
![M_{A1}](../../../upload.wikimedia.org/math/2/8/6/2866c9a78a624f49f6922076a0662259.png)

Combination Mass Load
![C_{MEC} = \\frac{S^2_DM_{AC}}{\(Bl\)^2}](../../../upload.wikimedia.org/math/3/9/0/390ebeeea52014f392c6fbc3d560a7c6.png)  
![ = \\frac{S^2_D\(M_{AB} + M_{A1}\) + M_{MD}}{\(Bl\)^2}](../../../upload.wikimedia.org/math/7/f/3/7f3477ef7a93a68f252613f81406a74c.png)
![M_{MC} = S^2_D\(M_{AB} + M_{A1}\) + M_{MD}](../../../upload.wikimedia.org/math/3/5/8/3587d4a0bd91b50905a9e7d141ea2170.png)
![M_{AC} = M_{AD} + M_{AB} + M_{A1}](../../../upload.wikimedia.org/math/f/6/1/f616a1de92d25ef31cce4742946550e8.png)  
![ = \\frac{M_{MD}}{S^2_D} + M_{AB} + M_{A1}](../../../upload.wikimedia.org/math/1/7/b/17b3c9a67b6f66c7674a902ef50bf890.png)

## Appendix B: Enclosure Parameter Formulas

![Vented enclosure.gif](../../../upload.wikimedia.org/wikibooks/en/c/cd/Vented_enclosure.gif)  
_Figure 7: Important dimensions of bass-reflex enclosure._

Based on these dimensions [1],

![C_{AB} = \\frac{V_{AB}}{\\rho_0c^2_0}](../../../upload.wikimedia.org/math/0/c/4/0c4c0609d90773a212112a92d0f07a47.png)
![M_{AB} = \\frac{B\\rho_{eff}}{\\pi a}](../../../upload.wikimedia.org/math/d/0/c/d0c222b7ba4baee80135722f5f18593b.png)

![B = \\frac{d}{3}\\left\(\\frac{S_D}{S_B}\\right\)^2\\sqrt{\\frac{\\pi}{S_D}} + \\frac{8}{3\\pi}\\left\[1 - \\frac{S_D}{S_B}\\right\]](../../../upload.wikimedia.org/math/8/6/8/86820082a15b268e8d1015feb75491db.png)
![\\rho_0 \\leq \\rho_{eff} \\leq \\rho_0\\left\(1 - \\frac{V_{fill}}{V_B}\\right\) + \\rho_{fill}\\frac{V_{fill}}{V_B}](../../../upload.wikimedia.org/math/2/5/b/25b12ffafaea86c7251a484da6044466.png)

![V_{AB} = V_B\\left\[1-\\frac{V_{fill}}{V_B}\\right\]\\left\[1 + \\frac{\\gamma - 1}{1 + \\gamma\\left\(\\frac{V_B}{V_{fill}} - 1\\right\)\\frac{\\rho_0c_{air}}{\\rho_{fill}c_{fill}}}\\right\]](../../../upload.wikimedia.org/math/e/f/1/ef1a0fb4f4511bc292d40c38e058ce23.png)

![V,= hwd](../../../upload.wikimedia.org/math/e/e/4/ee4c108128f30ced0235ad078a837c20.png) (inside enclosure volume)
![S_B = wh](../../../upload.wikimedia.org/math/e/9/c/e9cfada45289a7a2d319ea92179befa9.png) (inside area of the side the speaker is mounted on)

![c_{air} = ](../../../upload.wikimedia.org/math/c/d/1/cd100d610c309b2d822124429e3a5988.png)specific heat of air at constant volume
![c_{fill} = ](../../../upload.wikimedia.org/math/b/e/d/bedac26ec47be2714016346d3da40667.png)specific heat of filling at constant volume (![V_{filling}](../../../upload.wikimedia.org/math/c/3/8/c38f190c25405bef6cc855e99131fae0.png))

![\\rho_0 = ](../../../upload.wikimedia.org/math/d/1/a/d1aebf0552d18daac94eee548962aade.png)mean density of air (about 1.3 kg/![\\rm m^3](../../../upload.wikimedia.org/math/e/d/e/ede368e8313ede21fef0acedfd008d20.png))
![\\rho_{fill} = ](../../../upload.wikimedia.org/math/1/3/4/1340e422f2294b68845212340967232f.png) density of filling

![\\gamma = ](../../../upload.wikimedia.org/math/6/1/0/610e67da5f5e0ef359ee8fb90e82d697.png) ratio of specific heats for air (1.4)
![c_0 = ](../../../upload.wikimedia.org/math/0/d/1/0d17caa9a36a1bd6205f802521c87b50.png) speed of sound in air (about 344 m/s)

![\\rho_{eff}](../../../upload.wikimedia.org/math/7/3/e/73e1733488dbeb1a0bcd1ae700248ac3.png) = effective density of enclosure. If little or no filling (acceptable assumption in a bass-reflex system but not for sealed enclosures), ![\\rho_{eff} \\approx \\rho_0](../../../upload.wikimedia.org/math/7/a/4/7a4dbfb42fb710fbc4e022847a1eb333.png)

# New Acoustic Filter For Ultrasonics Media

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

Acoustic filters are used in many devices such as mufflers, noise control materials (absorptive and reactive), and loudspeaker systems to name a few. Although the waves in simple (single-medium) acoustic filters usually travel in gases such as air and carbon-monoxide (in the case of automobile mufflers) or in materials such as fiberglass, polyvinylidene fluoride (PVDF) film, or polyethylene (Saran Wrap), there are also filters that couple two or three distinct media together to achieve a desired acoustic response. General information about basic acoustic filter design can be perused at the following wikibook page [[Acoustic Filter Design & Implementation](http://en.wikibooks.org/wiki/Acoustic_Filter_Design_%26_Implementation)]. The focus of this article will be on acoustic filters that use multilayer air/polymer film-coupled media as its acoustic medium for sound waves to propagate through; concluding with an example of how these filters can be used to detect and extrapolate audio frequency information in high-frequency "carrier" waves that carry an audio signal. However, before getting into these specific type of acoustic filters, we need to briefly discuss how sound waves interact with the medium(media) in which it travels and how these factors can play a role when designing acoustic filters.

## Changes in Media Properties Due to Sound Wave Characteristics

As with any system being designed, the filter response characteristics of an acoustic filter are tailored based on the frequency spectrum of the input signal and the desired output. The input signal may be infrasonic (frequencies below human hearing), sonic (frequencies within human hearing range), or ultrasonic (frequencies above human hearing range). In addition to the frequency content of the input signal, the density, and, thus, the characteristic impedance of the medium (media) being used in the acoustic filter must also be taken into account. In general, the characteristic impedance ![ Z_0 \\,](../../../upload.wikimedia.org/math/1/9/3/193aa966b0ae0f6c041d27e11206077f.png) for a particular medium is expressed as... ![ Z_0 = \\pm \\rho_0 c  \\,](../../../upload.wikimedia.org/math/0/d/4/0d4d154d57a152f70850dca138044609.png) ![ \(Pa \\cdot s/m\) ](../../../upload.wikimedia.org/math/5/6/e/56e668e1694122418126957c662b4ad0.png) where 
    
    
         ![ \\pm \\rho_0  \\,](../../../upload.wikimedia.org/math/9/4/1/941b80e020eba90c7f4964c37662f6fb.png) = (equilibrium) density of medium  ![\(kg/m^3\)\\,](../../../upload.wikimedia.org/math/4/8/6/4864c2d8b57bd62072e2743a8e4e43db.png)
         ![ c \\,](../../../upload.wikimedia.org/math/0/8/1/08163b03d3a58471d7f88fc4e581a282.png) = speed of sound in medium  ![ \(m/s\) \\,](../../../upload.wikimedia.org/math/3/3/d/33d386e694e212358623303be858db30.png)  
    

The characteristic impedance is important because this value simultaneously gives an idea of how fast or slow particles will travel as well as how much mass is "weighting down" the particles in the medium (per unit area or volume) when they are excited by a sound source. The speed in which sound travels in the medium needs to be taken into consideration because this factor can ultimately affect the time response of the filter (i.e. the output of the filter may not radiate or attentuate sound fast or slow enough if not designed properly). The intensity ![ I_A \\,](../../../upload.wikimedia.org/math/f/1/1/f11f307f88055eaee48931e3d85804ff.png) of a sound wave is expressed as... ![ I_A = \\frac{1}{T}\\int_{0}^{T} pu\\quad dt = \\pm \\frac{P^2}{2\\rho_0c}  \\,](../../../upload.wikimedia.org/math/1/a/6/1a6c902fbc15d5b79132c6812f95618a.png) ![\(W/m^2\) \\,](../../../upload.wikimedia.org/math/c/1/9/c198858d3f8671b93812d70d918eba59.png).

![ I_A  \\,](../../../upload.wikimedia.org/math/f/1/1/f11f307f88055eaee48931e3d85804ff.png) is intrepreted as the (time-averaged) rate of energy transmission of a sound wave through a unit area normal to the direction of propagation, and this parameter is also an important factor in acoustic filter design because the characteristic properties of the given medium can change relative to intensity of the sound wave traveling through it. In other words, the reaction of the particles (atoms or molecules) that make up the medium will respond differently when the intensity of the sound wave is very high or very small relative to the size of the control area (i.e. dimensions of the filter, in this case). Other properties such as the elasticity and mean propagation velocity (of a sound wave) can change in the acoustic medium as well, but focusing on frequency, impedance, and/or intensity in the design process usually takes care of these other parameters because most of them will inevitably be dependent on the aforementioned properties of the medium.

## Why Coupled Acoustic Media in Acoustic Filters?

In acoustic transducers, media coupling is employed in acoustic transducers to either increase or decrease the impedance of the transducer, and, thus, control the intensity and speed of the signal acting on the transducer while converting the incident wave, or initial excitation sound wave, from one form of energy to another (e.g. converting acoustic energy to electrical energy). Specifically, the impedance of the transducer is augmented by inserting a solid structure (not necessarily rigid) between the transducer and the initial propagation medium (e.g. air). The reflective properties of the inserted medium is exploited to either increase or decrease the intensity and propagation speed of the incident sound wave. It is the ability to alter, and to some extent, control, the impedance of a propagation medium by (periodically) inserting (a) solid structure(s) such as thin, flexible films in the original medium (air) and its ability to concomitantly alter the frequency response of the original medium that makes use of multilayer media in acoustic filters attractive. The reflection factor and transmission factor ![ \\hat{R} \\,](../../../upload.wikimedia.org/math/3/a/e/3ae0f507003d99c095c3dedaa270827a.png) and ![ \\hat{T} \\, ](../../../upload.wikimedia.org/math/d/6/9/d69efe8c5cd4db723c6fdb0b7a7a8d9e.png), respectively, between two media, expressed as...

  


  


![ \\hat{R} = \\frac{pressure\\ of\\ reflected\\ portion\\ of\\ incident\\ wave}{pressure\\ of\\ incident\\ wave} = \\frac{\\rho c - Z_{in}}{\\rho c + Z_{in}} \\, ](../../../upload.wikimedia.org/math/4/0/2/402105cbbcf775246ffe30a10d950748.png)

and ![ \\hat{T} = \\frac{pressure\\ of\\ transmitted\\ portion\\ of\\ incident\\ wave}{pressure\\ of\\ incident\\ wave} = 1 + \\hat{R} \\,](../../../upload.wikimedia.org/math/a/1/4/a1440171ffb55a2701d0e35cb56e3363.png),

  
are the tangible values that tell how much of the incident wave is being reflected from and transmitted through the junction where the media meet. Note that ![ Z_{in} \\,](../../../upload.wikimedia.org/math/8/f/4/8f40391b55be943e4479f79da0b4f11c.png) is the (total) input impedance seen by the incident sound wave upon just entering an air-solid acoustic media layer. In the case of multiple air-columns as shown in Fig. 2, ![ Z_{in} \\,](../../../upload.wikimedia.org/math/8/f/4/8f40391b55be943e4479f79da0b4f11c.png) is the aggregate impedance of each air-column layer seen by the incident wave at the input. Below in Fig. 1, a simple illustration explains what happens when an incident sound wave propagating in medium (1) and comes in contact with medium (2) at the junction of the both media (x=0), where the sound waves are represented by vectors.

As mentioned above, an example of three such successive air-solid acoustic media layers is shown in Fig. 2 and the electroacoustic equivalent circuit for Fig. 2 is shown in Fig. 3 where ![ L = \\rho_s h_s \\,](../../../upload.wikimedia.org/math/3/7/3/373b11f336478227df5eb1d272cfc0d9.png) = (density of solid material)(thickness of solid material) = unit-area (or volume) mass, ![ Z = \\rho c = \\,](../../../upload.wikimedia.org/math/7/4/9/7494b1a4465fffd0586519ab2129aa33.png) characteristic acoustic impedance of medium, and ![ \\beta = k = \\omega/c = \\,](../../../upload.wikimedia.org/math/f/8/b/f8b7366c1d84a4467149002dbd6ce98b.png) wavenumber. Note that in the case of a multilayer, coupled acoustic medium in an acoustic filter, the impedance of each air-solid section is calculated by using the following general purpose impedance ratio equation (also referred to as transfer matrices)...

  


![ \\frac{Z_a}{Z_0} = \\frac{\\left\( \\frac{Z_b}{Z_0} \\right\) + j\\ \\tan\(kd\)}{1 + j\\ \\left\( \\frac{Z_b}{Z_0} \\right\) \\tan\(kd\)} \\,](../../../upload.wikimedia.org/math/d/8/8/d889b2577c1bb9bdf7775f513c256347.png)

where ![ Z_b \\,](../../../upload.wikimedia.org/math/9/4/4/9449174a8315b67b173663bf15288550.png) is the (known) impedance at the edge of the solid of an air-solid layer (on the right) and ![ Z_a \\,](../../../upload.wikimedia.org/math/f/2/6/f26bde8012ece3cea3d0b6c4da6bad8b.png) is the (unknown) impedance at the edge of the air column of an air-solid layer.

  


## Effects of High-Intensity, Ultrasonic Waves in Acoustic Media in Audio Frequency Spectrum

When an ultrasonic wave is used as a carrier to transmit audio frequencies, three audio effects are associated with extrapolating the audio frequency information from the carrier wave: (a) beating effects, (b) parametric array effects, and (c) radiation pressure.

  
Beating occurs when two ultrasonic waves with distinct frequencies ![ f_1 \\,](../../../upload.wikimedia.org/math/c/e/4/ce4bd19d1a079ec2285eb60f6593cbe0.png) and ![ f_2 \\,](../../../upload.wikimedia.org/math/7/f/7/7f753857f5d5891204f343c61d89fa04.png) propagate in the same direction, resulting in amplitude variations which consequently make the audio signal information go in and out of phase, or “beat”, at a frequency of ![ f_1 - f_2 \\,](../../../upload.wikimedia.org/math/a/d/e/ade45779b3c7b1d1d8e37e9d4aa801e3.png).

  
Parametric array effects occur when the intensity of an ultrasonic wave is so high in a particular medium that the high displacements of particles (atoms) per wave cycle changes properties of that medium so that it influences parameters like elasticity, density, propagation velocity, etc. in a non-linear fashion. The results of parametric array effects on modulated, high-intensity, ultrasonic waves in a particular medium (or coupled media) is the generation and propagation of audio frequency waves (not necessarily present in the original audio information) that are generated in a manner similar to the nonlinear process of amplitude demodulation commonly inherent in diode circuits (when diodes are forward biased).

  
Another audio effect that arises from high-intensity ultrasonic beams of sound is a static (DC) pressure called radiation pressure. Radiation pressure is similar to parametric array effects in that amplitude variations in the signal give rise to audible frequencies via amplitude demodulation. However, unlike parametric array effects, radiation pressure fluctuations that generate audible signals from amplitude demodulation can occur due to any low-frequency modulation and not just from pressure fluctuations occurring at the modulation frequency ![ \\omega_M \\,](../../../upload.wikimedia.org/math/0/d/c/0dca7f31e3b94376648a9f9b0a742735.png) or beating frequency ![ f_1 - f_2 \\,](../../../upload.wikimedia.org/math/a/d/e/ade45779b3c7b1d1d8e37e9d4aa801e3.png).

## An Application of Coupled Media in Acoustic Filters

Figs. 1 - 3 were all from a research paper entitled [New Type of Acoustics Filter Using Periodic Polymer Layers for Measuring Audio Signal Components Excited by Amplitude-Modulated High_Intensity Ultrasonic Waves](http://web.ics.purdue.edu/~vgant/AcousticFilterPaper.pdf)submitted to the Audio Engineering Society (AES) by Minoru Todo, Primary Innovator at Measurement Specialties, Inc., in the October 2005 edition of the AES Journal. Figs. 4 and 5 below, also from this paper, are illustrations of test setups referred to in this paper. Specifically, Fig. 4 is a test setup used to measure the transmission (of an incident ultrasonic sound wave) through the acoustic filter described by Figs. 1 and 2. Fig. 5 is a block diagram of the test setup used for measuring radiation pressure, one of the audio effects mentioned in the previous section. It turns out that out of all of the audio effects mentioned in the previous section that are caused by high-intensity ultrasonic waves propagating in a medium, sound waves produced from radiated pressure are the hardest to detect when microphones and preamplifiers are used in the detection/receiver system. Although nonlinear noise artifacts occur due to overloading of the preamplifier present in the detection/receiver system, the bulk of the nonlinear noise comes from the inherent nonlinear noise properties of microphones. This is true because all microphones, even specialized measurement microphones designed for audio spectrum measurements that have sensitivity well beyond the threshold of hearing, have nonlinearities artifacts that (periodically) increase in magnitude with respect to increase at ultrasonic frequencies. These nonlinearities essentially mask the radiation pressure generated because the magnitude of these nonlinearities are orders of magnitude greater than the radiation pressure. The acoustic (low-pass) filter referred to in this paper was designed in order to filter out the "detrimental" ultrasonic wave that was inducing high nonlinear noise artifacts in the measurement microphones. The high-intensity, ultrasonic wave was producing radiation pressure (which is audible) within the initial acoustic medium (i.e. air). By filtering out the ultrasonic wave, the measurement microphone would only detect the audible radiation pressure that the ultrasonic wave was producing in air. Acoustic filters like these could possibly be used to detect/receive any high-intensity, ultrasonic signal that may carry audio information which may need to be extrapolated with an acceptable level of fidelity.

  


  


## References

[1] Minoru Todo, "New Type of Acoustic Filter Using Periodic Polymer Layers for Measuring Audio Signal Components Excited by Amplitude-Modulated High-Intensity Ultrasonic Waves," Journal of Audio Engineering Society, Vol. 53, pp. 930-41 (2005 October)

[2] Fundamentals of Acoustics; Kinsler _et al._, John Wiley & Sons, 2000

[3] ME 513 Course Notes, Dr. Luc Mongeau, Purdue University

[4] <http://www.ieee-uffc.org/archive/uffc/trans/Toc/abs/02/t0270972.htm>

* * *

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

Created by Valdez L. Gant

# Noise in Hydraulic Systems

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Noise in Hydraulic Systems

Hydraulic systems are the most preferred source of power transmission in most of the industrial and mobile equipments due to their power density, compactness, flexibility, fast response and efficiency. The field hydraulics and pneumatics is also known as 'Fluid Power Technology'. Fluid power systems have a wide range of applications which include industrial, off-road vehicles, automotive system and aircrafts. But, one of the main problems with the hydraulic systems is the noise generated by them. The health and safety issues relating to noise have been recognized for many years and legislation is now placing clear demands on manufacturers to reduce noise levels [1]. Hence, noise reduction in hydraulic systems demands lot of attention from the industrial as well as academic researchers. It needs a good understanding of how the noise is generated and propagated in a hydraulic system in order to reduce it.

## Sound in fluids

The speed of sound in fluids can be determined using the following relation.

![c = \\sqrt {\\frac{K}{\\rho}} ](../../../upload.wikimedia.org/math/f/c/a/fcaaf4cc170b6322fc9d4fe932173946.png) where K - fluid bulk modulus, ![\\rho ](../../../upload.wikimedia.org/math/f/7/f/f7f177957cf064a93e9811df8fe65ed1.png)\- fluid density, c - velocity of sound

Typical value of bulk modulus range from **2e9 to 2.5e9 N/m2**. For a particular oil, with a density of **889 kg/m3**,

speed of sound ![ c = \\sqrt {\\frac{2e9}{889}}= 1499.9 m/s ](../../../upload.wikimedia.org/math/8/8/2/882f4191c8276739f1de4e7615a2ddf3.png)

## Source of Noise

The main source of noise in hydraulic systems is the pump which supplies the flow. Most of the pumps used are positive displacement pumps. Of the positive dispalcement pumps, axial piston swash plate type is mostly preferred due to their controllability and efficiency.

The noise generation in an axial piston pump can be classifeid under two categories (i) fluidborne nose and

(ii) Structureborne noise

## 

## Fluidborne Noise (FBN)

Among the positive displacement pumps, highest levels of FBN are generated by axial piston pumps and lowest levels by screw pumps and in between these lie the external gear pump and vane pump [1]. The discussion in this page is mainly focused on **axial piston swash plate type pumps**. An axial piston pump has a fixed number of displacement chambers arranged in a circular pattern separated from each other by an angular pitch equal to ![ \\phi = \\frac {360}{n} ](../../../upload.wikimedia.org/math/0/5/4/0545e76026a52b5f1096770b0cde4c1b.png) where n is the number of displacement chambers. As each chamber discharges a specific volume of fluid, the discharge at the pump outlet is sum of all the discharge from the individual chambers. The discontinuity in flow between adjacent chambers results in a kinematic flow ripple. The amplitude of the kinematic ripple can be theoretically determined given the size of the pump and the number of displament chambers. The kinematic ripple is the main cause of the fluidborne noise. The kinematic ripples is a theoretical value. The actual **flow ripple** at the pump outlet is much larger than the theoretical value because the **kinematic ripple** is combined with a **compressibility component** which is due to the fluid compressibility. These ripples (also referred as flow pulsations) generated at the pump are transmitted through the pipe or flexible hose connected to the pump and travel to all parts of the hydraulic circuit.

The pump is considered an ideal flow source. The pressure in the system will be decided by resistance to the flow or otherwise known as system load. The flow pulsations result in pressure pulsations. The pressure pulsations are superimposed on the mean system pressure. Both the **flow and pressure pulsations** easily travel to all part of the circuit and affect the performance of the components like control valve and actuators in the system and make the component vibrate, sometimes even resonate. This vibration of system components adds to the noise generated by the flow pulsations. The transmission of FBN in the circuit is discussed under transmission below.

A typical axial piston pump with 9 pistons running at 1000 rpm can produce a sound pressure level of more than 70 dBs.

## 

## Structureborne Noise (SBN)

In swash plate type pumps, the main sources of the structureborne noise are the fluctuating forces and moments of the swas plate. These fluctuating forces arise as a result of the varying pressure inside the displacement chamber. As the displacing elements move from suction stroke to discharge stroke, the pressure varies accordingly from few bars to few hundred bars. This pressure changes are reflected on the displacement elements (in this case, pistons) as forces and these force are exerted on the swash plate causing the swash plate to vibrate. This vibration of the swash plate is the main cause of **structureborne noise**. There are other components in the system which also vibrate and lead to structureborne noise, but the swash is the major contributor.

  


![Pump noise.png](../../../upload.wikimedia.org/wikibooks/en/f/f7/Pump_noise.png) **Fig. 1 shows an exploded view of axial piston pump. Also the flow pulsations and the oscillating forces on the swash plate, which cause FBN and SBN respectively are shown for one revolution of the pump.**

## Transmission

### **FBN**

The transmission of FBN is a complex phenomenon. Over the past few decades, considerable amount of research had gone into mathematical modeling of pressure and flow transient in the circuit. This involves the solution of wave equations, with piping treated as a distributed parameter system known as a transmission line [1] & [3].

Lets consider a simple pump-pipe-loading valve circuit as shown in Fig. 2. The pressure and flow ripple at ay location in the pipe can be described by the relations:

  


![ \\frac {}{} P = Ae^{-k x} + Be^{-k x}](../../../upload.wikimedia.org/math/6/a/b/6ab1db24db19c8c57b664323c3d734eb.png) .........(1) ![ Q = \\frac {1}{Z_{0}}\(Ae^{-k x} - Be^{-k x}\)](../../../upload.wikimedia.org/math/6/a/2/6a2c70a758ea5494bf92ee73ddfecfda.png).....(2)

where ![\\frac {}{} A ](../../../upload.wikimedia.org/math/8/5/9/8595a50ce6d9bca52595a030175e79d8.png) and ![\\frac {}{} B ](../../../upload.wikimedia.org/math/f/4/7/f47020c7aa1a82dc8adcc54c96f2dacb.png) are frequency dependent complex coefficients which are directly proportional to pump (source) flow ripple, but also functions of the source impedance ![\\frac {}{} Z_{s}](../../../upload.wikimedia.org/math/a/1/e/a1e3849559c3c40efd32577b596d4a53.png), characteristic impedance of the pipe ![\\frac {}{} Z_{0}](../../../upload.wikimedia.org/math/7/2/a/72ace711763b9aec8ea5a110674dbeec.png) and the termination impedance ![\\frac {}{} Z_{t}](../../../upload.wikimedia.org/math/f/1/7/f174fe02d249cba692b63b42f70e316f.png). These impedances ,usually vary as the system operating pressure and flow rate changes, can be determined experimentally.

**Fig.2 Schematic of a pump connected to a hydraulic line**

  


  


For complex systems with several system compenents, the pressure and flow ripples are estimated using the transformation matrix approach. For this, the system compenents can be treated as lumped impedances (a throttle valve or accumulator), or distributed impedances (flexible hose or silencer). Various software packages are available today to predict the pressure pulsations.

### **SBN**

The transmission of SBN follows the classic source-path-noise model. The vibrations of the swash plate, the main cause of SBN, is transferred to the pump casing which encloses all the rotating group in the pump including displacement chambers (also known as cylinder block), pistons and the swash plate. The pump case, apart from vibrating itself, transfers the vibration down to the mount on which the pump is mounted. The mount then passes the vibrations down to the main mounted structure or the vehicle. Thus the SBN is transferred from the swash plate to the main strucuture or vehicle via pumpcasing and mount.

Some of the machine structures, along the path of transmission, are good at transmitting this vribational energy and they even resonate and reinforce it. By converting only a fraction of 1% of the pump structureborne noise into sound, a member in the transmission path could radiate more ABN than the pump itself [4].

## Airborne noise (ABN)

Both FBN and SBN , impart high fatigue loads on the system components and make them vibrate. All of these vibrations are radiated as **airborne noise** and can be heard by a human operator. Also, the flow and pressure pulsations make the system components such as a control valve to resonate. This vibration of the particular component again radiates airborne noise.

## Noise reduction

The reduction of the noise radiated from the hydraulic system can be approached in two ways.

(i) **Reduction at Source** \- which is the reduction of noise at the pump. A large amount of open literature are availabale on the reduction techniques with some techniques focusing on reducing FBN at source and others focusing on SBN. Reduction in FBN and SBN at the source has a large influence on the ABN that is radiated. Even though, a lot of progress had been made in reducing the FBN and SBN separately, the problem of noise in hydraulic systems is not fully solved and lot need to be done. The reason is that the FBN and SBN are interlated, in a sense that, if one tried to reduce the FBN at the pump, it tends to affect the SBN characteristics. Currently, one of the main researches in noise reduction in pumps, is a systematic approach in understanding the coupling between FBN and SBN and targeting them simultaneously instead of treating them as two separte sources. Such an unified approach, demands not only well trained researchers but also sophisticated computer based mathematical model of the pump which can accurately output the necessary results for optimization of pump design. The amplitude of fluid pulsations can be reduced, at the source, with the use of an hydraulic attenuator(5).

(ii) **Reduction at Component level** \- which focuses on the reduction of noise from individual component like hose, control valve, pump mounts and fixtures. This can be accomplished by a suitable design modification of the component so that it radiates least amount of noise. Optimization using computer based models can be one of the ways.

## Hydraulic System noise

![Noise.png](../../../upload.wikimedia.org/wikibooks/en/6/67/Noise.png) **Fig.3 Domain of hydraulic system noise generation and transmission (Figure recreated from [1])**

## References

1\. _Designing Quieter Hydraulic Systems - Some Recent Developements and Contributions_, Kevin Edge, 1999, Fluid Power: Forth JHPS International Symposium.

2\. _Fundamentals of Acoustics_ L.E. Kinsler, A.R. Frey, A.B.Coppens, J.V. Sanders. Fourth Edition. John Wiley & Sons Inc.

3\. _Reduction of Axial Piston Pump Pressure Ripple_ A.M. Harrison. PhD thesis, University of Bath. 1997

4\. _Noise Control of Hydraulic Machinery_ Stan Skaistis, 1988. MARCEL DEKKER , INC.

5\. Hydraulic Power System Analysis, A. Akers, M. Gassman, & R. Smith, Taylor & Francis, New York, 2006, ISBN: 0-8247-9956-9

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Basic Acoustics of the Marimba

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a8/MarimbaGloriaAntiguena.jpg/220px-MarimbaGloriaAntiguena.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Marimba Band "La Gloria Antigueña", Antigua Guatemala, 1979

One of my favorite instruments is the marimba. Like a xylophone, a marimba has octaves of wooden bars that are struck with mallets to produce tones. Unlike the harsh sound of a xylophone, a marimba produces a deep, rich tone. Marimbas are not uncommon and are played in most high school bands.

Now, while all the trumpet and flute and clarinet players are busy tuning up their instruments, the marimba player is back in the percussion section with her feet up just relaxing. This is a bit surprising, however, since the marimba is a melodic instrument that needs to be in tune to sound good. So what gives? Why is the marimba never tuned? How would you even go about tuning a marimba? To answer these questions, the acoustics behind (or within) a marimba must be understood.

## Components of Sound

What gives the marimba its unique sound? It can be boiled down to two components: the bars and the resonators. Typically, the bars are made of rosewood (or some synthetic version of wood). They are cut to size depending on what note is desired, then the tuning is refined by shaving wood from the underside of the bar.

  


### Example: Rosewood bar, middle C, 1 cm thick

The equation that relates the length of the bar with the desired frequency comes from the theory of modeling a bar that is free at both ends. This theory yields the following equation:

![ Length = \\sqrt{\\frac{3.011^2\\cdot \\pi \\cdot t \\cdot v}{8 \\cdot \\sqrt{12}\\cdot f}}](../../../upload.wikimedia.org/math/1/4/a/14adbdd27e5a255afa8796de4c6eed72.png)

where t is the thickness of the bar, v is the speed of sound in the bar, and f is the frequency of the note. For rosewood, v = 5217 m/s. For middle C, f=262 Hz. Therefore, to make a middle C key for a rosewood marimba, cut the bar to be:

![ Length = \\sqrt{\\frac{3.011^2\\cdot \\pi \\cdot .01 \\cdot 5217}{8 \\cdot \\sqrt{12}\\cdot 262}}= .45 m = 45 cm](../../../upload.wikimedia.org/math/7/7/e/77e6c9d86ff81a81477e499e49d7256c.png)

  
The resonators are made from metal (usually aluminum) and their lengths also differ depending on the desired note. It is important to know that each resonator is open at the top but closed by a stopper at the bottom end.

### Example: Aluminum resonator, middle C

The equation that relates the length of the resonator with the desired frequency comes from modeling the resonator as a pipe that is driven at one end and closed at the other end. A "driven" pipe is one that has a source of excitation (in this case, the vibrating key) at one end. This model yields the following:

![Length = \\frac {c}{4\\cdot f}](../../../upload.wikimedia.org/math/e/e/7/ee7999d872f375614845a4abd5b2e93d.png)

where c is the speed of sound in air and f is the frequency of the note. For air, c = 343 m/s. For middle C, f = 262 Hz. Therefore, to make a resonator for the middle C key, the resonator length should be:

![ Length = \\frac {343}{4 \\cdot 262} = .327m = 32.7 cm ](../../../upload.wikimedia.org/math/b/1/f/b1ff3f375bc0903e8cb4c136fe31e012.png)

  


### Resonator Shape

The shape of the resonator is an important factor in determining the quality of sound that can be produced. The ideal shape is a sphere. This is modeled by the Helmholtz resonator. (For more see [Helmholtz Resonator page](http://en.wikibooks.org/wiki/Acoustic:Acoustics_of_pipes%2C_enclosures%2C_and_cavities_at_low_frequencyHelmholtz)) However, mounting big, round, beach ball-like resonators under the keys is typically impractical. The worst choices for resonators are square or oval tubes. These shapes amplify the non-harmonic pitches sometimes referred to as “junk pitches”. The round tube is typically chosen because it does the best job (aside from the sphere) at amplifying the desired harmonic and not much else.

As mentioned in the second example above, the resonator on a marimba can be modeled by a closed pipe. This model can be used to predict what type of sound (full and rich vs dull) the marimba will produce. Each pipe is a "quarter wave resonator" that amplifies the sound waves produced by of the bar. This means that in order to produce a full, rich sound, the length of the resonator must exactly match one-quarter of the wavelength. If the length is off, the marimba will produce a dull or off-key sound for that note.

## Why would the marimba need tuning?

In the theoretical world where it is always 72 degrees with low humidity, a marimba would not need tuning. But, since weather can be a factor (especially for the marching band) marimbas do not always perform the same way. Hot and cold weather can wreak havoc on all kinds of percussion instruments, and the marimba is no exception. On hot days, the marimba tends to be sharp and for cold days it tends to be flat. This is the exact opposite of what happens to string instruments. Why? The tone of a string instrument depends mainly on the tension in the string, which decreases as the string expands with heat. The decrease in tension leads to a flat note. Marimbas on the other hand produce sound by moving air through the resonators. The speed at which this air is moved is the speed of sound, which varies proportionately with temperature! So, as the temperature increases, so does the speed of sound. From the equation given in example 2 from above, you can see that an increase in the speed of sound (c) means a longer pipe is needed to resonate the same note. If the length of the resonator is not increased, the note will sound sharp. Now, the heat can also cause the wooden bars to expand, but the effect of this expansion is insignificant compared to the effect of the change in the speed of sound.

## Tuning Myths

It is a common myth among percussionists that the marimba can be tuned by simply moving the resonators up or down (while the bars remain in the same position.) The thought behind this is that by moving the resonators down, for example, you are in effect lengthening them. While this may sound like sound reasoning, it actually does not hold true in practice. Judging by how the marimba is constructed (cutting bars and resonators to specific lengths), it seems that there are really two options to consider when looking to tune a marimba: shave some wood off the underside of the bars, or change the length of the resonator. For obvious reasons, shaving wood off the keys every time the weather changes is not a practical solution. Therefore, the only option left is to change the length of the resonator. As mentioned above, each resonator is plugged by a stopper at the bottom end. So, by simply shoving the stopper farther up the pipe, you can shorten the resonator and sharpen the note. Conversely, pushing the stopper down the pipe can flatten the note. Most marimbas do not come with tunable resonators, so this process can be a little challenging. (Broomsticks and hammers are common tools of the trade.)

  


### Example: Middle C Resonator lengthened by 1 cm

For ideal conditions, the length of the middle C (262 Hz) resonator should be 32.7 cm as shown in example 2. Therefore, the change in frequency for this resonator due to a change in length is given by:

![\\Delta Frequency = 262 Hz - \\frac {c}{4\\cdot \(.327 + \\Delta L\)} ](../../../upload.wikimedia.org/math/9/1/3/913f6193c52c5b46ebfb04ec7e8cc38e.png)

If the length is increased by 1 cm, the change in frequency will be:

![\\Delta Frequency = \\frac {343}{4\\cdot \(.327 + .01\)} - 262 Hz = 7.5 Hz](../../../upload.wikimedia.org/math/b/5/d/b5d1df3a9b3b0704d2aff8191f429a1a.png)

  
The acoustics behind the tuning a marimba go back to the design that each resonator is to be ¼ of the total wavelength of the desired note. When marimbas get out of tune, this length is no longer exactly equal to ¼ the wavelength due to the lengthening or shortening of the resonator as described above. Because the length has changed, resonance is no longer achieved, and the tone can become muffled or off-key.

## Conclusions

Some marimba builders are now changing their designs to include tunable resonators. Since any leak in the end-seal will cause major loss of volume and richness of the tone, this is proving to be a very difficult task. At least now, though, armed with the acoustic background of their instruments, percussionists everywhere will now have something to do when the conductor says, “tune up!”

## Links and References

  1. <http://www.gppercussion.com/html/resonators.html>
  2. <http://www.mostlymarimba.com/>
  3. <http://www.craftymusicteachers.com/bassmarimba/>

  


[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# How an Acoustic Guitar works

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

There are three main parts of the guitar that contribute to sound production. First of all, there are the strings. Any string that is under tension will vibrate at a certain frequency. The weight and length of the string, the tension in the string, and the compliance of the string determine the frequency at which it vibrates. The guitar controls the length and tension of six differently weighted strings to cover a very wide range of frequencies. Second, there is the body of the guitar. The guitar body is connected directly to one end of each of the strings. The body receives the vibrations of the strings and transmits them to the air around the body. It is the body’s large surface area that allows it to “push” a lot more air than a string. Finally, there is the air inside the body. This is very important for the lower frequencies of the guitar. The air mass just inside the sound hole oscillates, compressing and decompressing the compliant air inside the body. In practice this concept is called a Helmholtz resonator. Without this, it would difficult to produce the wonderful timbre of the guitar.

![Zehme guitar.jpg](../../../upload.wikimedia.org/wikibooks/en/4/46/Zehme_guitar.jpg)

## The Strings

The strings of the guitar vary in linear density, length, and tension. This gives the guitar a wide range of attainable frequencies. The larger the linear density is, the slower the string vibrates. The same goes for the length; the longer the string is the slower it vibrates. This causes a low frequency. Inversely, if the strings are less dense and/or shorter they create a higher frequency. The lowest resonance frequencies of each string can be calculated by

![f_1 = \\frac{1}{2 L} \\sqrt{\\frac{T}{\\rho_1}} ](../../../upload.wikimedia.org/math/c/2/d/c2df9dd7338c5ea1a6e4a9a5bb87a0be.png) where ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png)= string tension, ![\\rho_1](../../../upload.wikimedia.org/math/c/a/c/cac22b6f21cd770b573b66b5d6b41a35.png)=linear density, ![L](../../../upload.wikimedia.org/math/d/2/0/d20caec3b48a1eef164cb4ca81ba2587.png) = string length

The string length, L, in the equation is what changes when a player presses on a string at a certain fret. This will shorten the string which in turn increases the frequency it produces when plucked. The spacing of these frets is important. The length from the nut to bridge determines how much space goes between each fret. If the length is 25 inches, then the position of the first fret should be located (25/17.817) inches from the nut. Then the second fret should be located (25-(25/17.817))/17.817 inches from the first fret. This results in the equation

![Zehme frets.jpg](../../../upload.wikimedia.org/wikibooks/en/4/4f/Zehme_frets.jpg)

When a string is plucked, a disturbance is formed and travels in both directions away from point where the string was plucked. These "waves" travel at a speed that is related to the tension and linear density and can be calculated by

![Zehme wavespeed.jpg](../../../upload.wikimedia.org/wikibooks/en/8/80/Zehme_wavespeed.jpg)

The waves travel until they reach the boundaries on each end where they are reflected back. The link below displays how the waves propagate in a string.

[Plucked String @ www.phys.unsw.edu](http://www.phys.unsw.edu.au/music/objects/waves&strings2.swf)

The strings themselves do not produce very much sound because they are so thin. This is why they are connected to the top plate of the guitar body. They need to transfer the frequencies they are producing to a large surface area which can create more intense pressure disturbances.

## The Body

The body of the guitar transfers the vibrations of the bridge to the air that surrounds it. The top plate contributes to most of the pressure disturbances, because the player dampens the back plate and the sides are relatively stiff. This is why it is important to make the top plate out of a light springy wood, like spruce. The more the top plate can vibrate, the louder the sound it produces will be. It is also important to keep the top plate flat, so a series of braces are located on the inside to strengthen it. Without these braces the top plate would bend and crack under the large stress created by the tension in the strings. This would also affect the magnitude of the sound being transmitted. The warped plate would not be able to "push" air very efficiently. A good experiment to try, in order to see how important this part of the guitar is in the amplification process, is as follows:

1\. Start with an ordinary rubber band, a large bowl, adhesive tape, and plastic wrap.

2\. Stretch the rubber band and pluck it a few times to get a good sense for how loud it is.

3\. Stretch the plastic wrap over the bowl to form a sort of drum.

4\. Tape down one end of the rubber band to the plastic wrap.

5\. Stretch the rubber band and pluck it a few times.

6\. The sound should be much louder than before.

## The Air

The final part of the guitar is the air inside the body. This is very important for the lower range of the instrument. The air just inside the soundhole oscillates compressing and expanding the air inside the body. This is just like blowing across the top of a bottle and listening to the tone it produces. This forms what is called a Helmholtz resonator. For more information on Helmholtz resonators go to [Helmholtz Resonance](http://www.phys.unsw.edu.au/~jw/Helmholtz.html). This link also shows the correlation to acoustic guitars in great detail. The acoustic guitar makers often tune these resonators to have a resonance frequency between F#2 and A2 (92.5 to 110.0 Hz). Having such a low resonance frequency is what aids the amplification of the lower frequency strings. To demonstrate the importance of the air in the cavity, simply play an open A on the guitar (the second string). Now, as the string is vibrating, place a piece of cardboard over the soundhole. The sound level is reduced dramatically. This is because you've stopped the vibration of the air mass just inside the soundhole, causing only the top plate to vibrate. Although the top plate still vibrates a transmitts sound, it isn't as effective at transmitting lower frequency waves, thus the need for the Helmholtz resonator.

  


  
[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Specific application-automobile muffler

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

* * *

**General information about Automobile muffler**

* * *

## Introduction

A muffler is a part of the exhaust system on an automobile that plays a vital role. It needs to have modes that are located away from the frequencies that the engine operates at, whether the engine be idling or running at the maximum amount of revolutions per second.A muffler that affects an automobile in a negative way is one that causes noise or discomfort while the car engine is running.Inside a muffler, you'll find a deceptively simple set of tubes with some holes in them. These tubes and chambers are actually as finely tuned as a musical instrument. They are designed to reflect the sound waves produced by the engine in such a way that they partially cancel themselves out.( cited from www.howstuffworks.com )

It is very important to have it on the automobile. The legal limit for exhaust noise in the state of California is 95dB (A) - CA. V.C. 27151 .Without a muffler the typical car exhaust noise would exceed 110dB.A conventional car muffler is capable of limiting noise to about 90 dB. The active-noise canceling muffler enables cancellation of exhaust noise to a wide range of frequencies.

## The Configuration of A automobile muffler

![ProRacer.jpg](../../../upload.wikimedia.org/wikibooks/en/0/09/ProRacer.jpg)

  


## How Does automobile muffler function?

### General Concept

The simple and main part of designing the automobile muffler is to use the low-pass filter. It typically makes use of the change of the cross section area which can be made as a chamber to filter or reduce the sound wave which the engine produced.

### Low-Pass Filter

A low-pass filter is a circuit that passes low frequency signals but stops the high frequency signals. Once the low pass filter is set by the user at a specific cutoff frequency, all frequencies lower than that will be passed through the filter, while higher frequencies will be attenuated in amplitude. This circuit made up of passive components (resistor, capacitors and inductors) capable of accomplishing this objective. [File:Inductive law pass filter.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Inductive_law_pass_filter.jpg)

the formula to be used:

### Human ear sound reaction feature

When these pressure pulses reach your ear, the eardrum vibrates back and forth. Your brain interprets this motion as sound. Two main characteristics of the wave determine how we perceive the sound:

  
1.sound wave frequency. 2.air wave pressure amplitude.

It turns out that it is possible to add two or more sound waves together and get less sound.

### Description of the muffler to cancel the noise

The key thing about sound waves is that the result at your ear is the sum of all the sound waves hitting your ear at that time. If you are listening to a band, even though you may hear several distinct sources of sound, the pressure waves hitting your ear drum all add together, so your ear drum only feels one pressure at any given moment. Now comes the cool part: It is possible to produce a sound wave that is exactly the opposite of another wave. This is the basis for those noise-canceling headphones you may have seen. Take a look at the figure below. The wave on top and the second wave are both pure tones. If the two waves are in phase, they add up to a wave with the same frequency but twice the amplitude. This is called constructive interference. But, if they are exactly out of phase, they add up to zero. This is called destructive interference. At the time when the first wave is at its maximum pressure, the second wave is at its minimum. If both of these waves hit your ear drum at the same time, you would not hear anything because the two waves always add up to zero.

### Benefits of an Active Noise-Canceling Muffler

1.By using an active muffler the exhaust noise can be easily tuned, amplified, or nearly eliminated.

2.The backpressure of a conventional muffler can be essentially eliminated, thus increasing engine performance and efficiency.

3.By increasing engine efficiency and performance, less fuel will be used and the emissions will be reduced.

  


## Absorptive muffler

[File:Open-twister.gif](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Open-twister.gif)

### Lined ducts

It can be regarded as simplest form of absorptive muffler. Attach absorptive material to the bare walls of the duct.( in car that is the exhaustion tube) The attenuation performance improves with the thickness of absorptive material.

The attenuation curves like a skewed bell. Increase the thickness of the wall will get the lower maximum attenuation frequency. For higher frequency though, thinner absorbent layers are effective, but the large gap allows noise to pass directly along. Thin layers and narrow passages are therefore more effective at high frequencies. For good absorption over the widest frequency range, thick absorbent layers and narrow passages are best.

  


### Parallel and block-line-of-sight baffles

Divide the duct into several channels or turn the flow channels so that there is no direct line-of-sight through the baffles. Frequently the materials line on the channels. Attenuation improves with the thickness of absorptive material and length of the baffle. Lined bends can be used to provide a greater attenuation and attenuate best at high frequency. Comparatively, at low frequency attenuation can be increased by adding thicker lining.

### Plenum chambers

They are relatively large volume chambers, usually fabricated from sheet metal, which interconnect two ducts. The interior of the chamber is lined with absorbing material to attenuate noise in the duct. Protective facing material may also be necessary if the temperature and velocity conditions of the gas stream are too severe.

The performance of a plenum chamber can be improved by: 1.increase the thickness of the absorbing lining 2.blocking the direct line of sight from the chamber inlet to the outlet. 3.increase the cross-sectional area of the chamber.

# Bessel Functions and the Kettledrum

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Abstract

In class, we have begun to discuss the solutions of multidimentional wave equations. A particularly interesting aspect of these multidimentional solutions are those of bessel functions for circular boundary condictions. The practical application of these solutions is the kettledrum. This page will explore in qualitative and quantitative terms how the of the kettledrum works. More specifically, the kettledrum will be introduced as a circular membrane and it solution will be discussed in visual (e.g. visualization of bessel functions, video of kettledrums and audio forms (wav files of kettledrums playing. In addition, links to more information about this material, including references will be included.

# What is a kettledrum

A kettledrum is a percussion instrument with a cirucal drumhead mounted on a "kettle-like" enclosure. When one strikes the drumhead with a mallet, it vibrates which produces its sound. The pitch of this sound is determined by the tension of the drumhead, which is precisely tuned before playing. The sound of the kettldrum (called the Timpani in classical music) is present in many forms of music from many difference places of the world.

![MyKettledrum.jpeg](../../../upload.wikimedia.org/wikibooks/en/d/d1/MyKettledrum.jpeg)

# The math behind the kettledrum:the brief version

When one looks at how a kettledrum produces sound, one should look no farther than the drumhead. The vibration of this circular membrane (and the air in the drum enclosure) is what produces the sound in this intrument. The mathematics behind this vibrating drum are relatively simple. If one looks at a small element of the drum head, it looks exactly like the situation for the vibrating string (see:). The only difference is that there are two dimensions where there are forces on the element, the two dimensions that are planar to the drum. As this is the same situation, we have the same equation, except with another spatial term in the other planar dimension. This allows us to model the drumhead using a helmholtz equation. The next step (solved in detail below) is to assume that the displacement of the drumhead (in polar coordinates) is a product of two separate functions for theta and r. This allows us to turn the PDE into two ODES which are readily solved and applied to the situation of the kettledrum head. For more info, see below.

  


# The math behind the kettledrum:the derivation

So starting with the trusty general Helmholtz equation:

![\\nabla^2\\Psi+k^2\\Psi=0](../../../upload.wikimedia.org/math/5/8/d/58de10d404f831223f2dcd814105cf50.png)

Where k is the wave number, the frequency of the forced oscillations divided by the speed of sound in the membrane.

Since we are dealing with a circular object, it make sense to work in polar coordinates (in terms of radius and angle) instead of rectangular coordinates. For polar coordinates the Laplacian term of the helmholtz relation (![\\nabla^2](../../../upload.wikimedia.org/math/6/d/d/6dd8035713e67f816cb0b819cf492ffd.png)) becomes ![\\partial^2 \\Psi/ \\partial r^2 + 1/r \\partial^2\\Psi/ \\partial r +1/r^2 \\partial^2 \\Psi /\\partial \\theta^2](../../../upload.wikimedia.org/math/1/8/7/187c250f592c8ac09b4ec8ae6abcb365.png)

Now lets assume that:![\\Psi \(r,\\theta\) = R\(r\) \\Theta\(\\theta\)](../../../upload.wikimedia.org/math/b/4/0/b40551a140077d3f2db78a5b7aa3daaa.png)

  
This assumption follows the method of separation of variables. (see Reference 3 for more info) Substituting this result back into our trusty Helmholtz equation gives the following:

![r^2 / R \(d^2 R/dr^2 + 1/r dR/dr\) + k^2 r^2 = -1/\\Theta d^2 \\Theta /d\\theta^2](../../../upload.wikimedia.org/math/6/a/5/6a5061609fb9d0b87d127dfe93b1c672.png)

Since we separated the variables of the solution into two one-dimensional functions, the partial dirivatives become ordinary dirivatives. Both sides of this result must equal the same constant. For simplicity, i will use ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png) as this constant. This results in the following two equations:

![ d^2 \\Theta / d\\theta^2 = -\\lambda^2 \\Theta ](../../../upload.wikimedia.org/math/0/0/1/00133900c2f8facc03eadce707163d08.png)

![ d^2 R / dr^2 + 1/r dR/dr + \(k^2 - \\lambda^2 / r^2\) R = 0 ](../../../upload.wikimedia.org/math/3/8/b/38bf17fa8623bfa144e7b9cdb379c720.png)

The first of these equations readily seen as the standard second order ordinary differencial equation which has a harmonic solution of sines and cosines with the frequency based on ![ \\lambda ](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png). The second equation is what is known as Bessel's Equation. The solution to this equation is cryptically called Bessel functions of order ![ \\lambda ](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png) of the first and second kind. These functions, while sounding very intimidating, are simply oscillatory functions of the radius times the wave number that are unbounded at when kr (for the function of the second kind) approaches zero and diminish as kr get larger. (For more information on what these functions look like see References 1,2, and 3)

Now that we have the general solution to this equation, we can now model a infinite radius kettledrum head. However, since i have yet to see an infinite kettle drum, we need to constrain this solution of a vibrating membrane to a finite radius. We can do this by applying what we know about our circular membrane: along the edges of the kettledrum, the drum head is attached to the drum. This means that there can be no displacement of the membrane at the termination at the radius of the kettle drum. This boundary condiction can be mathematically described as the following:

![ R\(a\) = 0 ](../../../upload.wikimedia.org/math/d/a/4/da4c2ca820b9dce3f3b252289f18dabd.png)

Where a is the arbirary radius of the kettledrum. In addition to this boundary condiction, the displacement of the drum head at the center must be finite. This second boundary condiction removes the bessel function of the second kind from the solution. This reductes the R part of our solution to:

![ R\(r\) = AJ_{\\lambda}\(kr\) ](../../../upload.wikimedia.org/math/d/b/2/db2816c4a897a77872e0fe6e98184a86.png)

Where ![ J_{\\lambda} ](../../../upload.wikimedia.org/math/d/a/0/da0a536d371b8005872da1adb3d68d3e.png) is a bessel function of the first kind of order ![ \\lambda ](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png). Apply our other boundary condiction at the radius of the drum requires that the wave number k must have discrete values, (![j_{mn}/a](../../../upload.wikimedia.org/math/b/a/b/bab4b3850d59fea3ead37a1c1a92828c.png)) which can be looked up. Combining all of these gives us our solution to how a drumhead behaves (which is the real part of the following):

![ y_{\\lambda n}\(r,\\theta,t\) = A_{\\lambda n} J_{\\lambda n}\(k_{\\lambda n} r\)e^{j \\lambda \\theta+j w_{\\lambda n} t} ](../../../upload.wikimedia.org/math/9/0/a/90af947ae6e3c88766658059c16599e5.png)

# The math behind the kettledrum:the entire drum

The above derivation is just for the drum head. An actual kettledrum has one side of this circular membrane surrounded by an enclosed cavity. This means that air is compressed in the cavity when the membrane is vibrating, adding more complications to the solution. In mathematical terms, this makes the partial differencial equation non-homogeneous or in simpler terms, the right side of the Helmholtz equation does not equal zero. This result requires significantly more derivation, and will not be done here. If the reader cares to know more, these results are discussed in the two books under references 6 and 7.

  


# Sites of interest

As one can see from the derivation above, the kettledrum is very interesting mathmatically. However, it also has a rich historical music tradition in various places of the world. As this page's emphasis is on math, there are few links provided below that reference this rich history.

  
A discussion of Persian kettledrums: [Kettle drums of Iran and other countries](http://www.drumdojo.com/world/persia/kettledrums.htm)

A discussion of kettledrums in classical music: [Kettle drum Lit.](http://cctr.umkc.edu/user/mgarlitos/timp.html)

A massive resource for kettledrum history, construction and technique" [Vienna Symphonic Library](http://www.vsl.co.at/en-us/70/3196/3198/5675.vsl)

Wikibooks sister cite, references under Timpani: [Wikipedia reference](http://en.wikipedia.org/wiki/Timpani)

# References

1.Eric W. Weisstein. "Bessel Function of the First Kind." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/BesselFunctionoftheFirstKind.html>

2.Eric W. Weisstein. "Bessel Function of the Second Kind." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/BesselFunctionoftheSecondKind.html>

3.Eric W. Weisstein. "Bessel Function." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/BesselFunction.html>

4.Eric W. Weisstein et al. "Separation of Variables." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/SeparationofVariables.html>

5.Eric W. Weisstein. "Bessel Differential Equation." From MathWorld--A Wolfram Web Resource. <http://mathworld.wolfram.com/BesselDifferentialEquation.html>

6\. Kinsler and Frey, "Fundamentals of Acoustics", fourth edition, Wiley & Sons

7\. Haberman, "Applied Partial Differential Equations", fourth edition, Prentice Hall Press

  
[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Filter Design and Implementation

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

Acoustic filters, or mufflers, are used in a number of applications requiring the suppression or attenuation of sound. Although the idea might not be familiar to many people, acoustic mufflers make everyday life much more pleasant. Many common appliances, such as refrigerators and air conditioners, use acoustic mufflers to produce a minimal working noise. The application of acoustic mufflers is mostly directed to machine components or areas where there is a large amount of radiated sound such as high pressure exhaust pipes, gas turbines, and rotary pumps.

Although there are a number of applications for acoustic mufflers, there are really only two main types which are used. These are absorptive and reactive mufflers. Absorptive mufflers incorporate sound absorbing materials to attenuate the radiated energy in gas flow. Reactive mufflers use a series of complex passages to maximize sound attenuation while meeting set specifications, such as pressure drop, volume flow, etc. Many of the more complex mufflers today incorporate both methods to optimize sound attenuation and provide realistic specifications.

In order to fully understand how acoustic filters attenuate radiated sound, it is first necessary to briefly cover some basic background topics. For more information on wave theory and other material necessary to study acoustic filters please refer to the references below.

## Basic Wave Theory

Although not fundamentally difficult to understand, there are a number of alternate techniques used to analyze wave motion which could seem overwhelming to a novice at first. Therefore, only 1-D wave motion will be analyzed to keep most of the mathematics as simple as possible. This analysis is valid, with not much error, for the majority of pipes and enclosures encountered in practice.

### Plane-Wave Pressure Distribution in Pipes

The most important equation used is the wave equation in 1-D form (See [1],[2], [[1-D Wave Equation](http://mathworld.wolfram.com/WaveEquation1-Dimensional.html)], [[Vibrations of Strings](http://en.wikibooks.org/wiki/Acoustic:Transverse_vibrations_of_strings#Characterization_of_the_mechanical_system)] for information).

Therefore, it is reasonable to suggest, if plane waves are propagating, that the pressure distribution in a pipe is given by:

![\\mathbf{p}=\\mathbf{Pi}e^{j\[\\omega t-kx\]}+\\mathbf{Pr}e^{j\[\\omega t+kx\]}](../../../upload.wikimedia.org/math/5/4/1/5415f35e930d185a111b09927e6e4697.png)

where Pi and Pr are incident and reflected wave amplitudes respectively. Also note that bold notation is used to indicate the possiblily of complex terms. The first term represents a wave travelling in the +x direction and the second term, -x direction.

Since acoustic filters or mufflers typically attenuate the radiated sound power as much as possible, it is logical to assume that if we can find a way to maximize the ratio between reflected and incident wave amplitude then we will effectively attenuated the radiated noise at certain frequencies. This ratio is called the reflection coefficient and is given by:

![\\mathbf{R}=\\left\( \\frac{\\mathbf{Pr}}{\\mathbf{Pi}} \\right\)](../../../upload.wikimedia.org/math/d/b/3/db35d8493240b277209c26d732bd9464.png)

It is important to point out that wave reflection only occurs when the impedance of a pipe changes. It is possible to match the end impedance of a pipe with the characteristic impedance of a pipe to get no wave reflection. For more information see [1] or [2].

Although the reflection coefficient isn't very useful in its current form since we want a relation describing sound power, a more useful form can be derived by recognizing that the power intensity coefficient is simply the magnitude of reflection coefficient square [1]:

![R_{\\pi}=\\left|\\mathbf{R}\\right|^2](../../../upload.wikimedia.org/math/d/7/f/d7f0e4da32bb89bb98f05febd1f9393e.png)

As one would expect, the power reflection coefficient must be less than or equal to one. Therefore, it is useful to define the transmission coefficient as:as it is said**Failed to parse (lexing error): {{NAMESPACE}}♀√**

  
![T_{\\pi}=\\left\(1-R_{\\pi}\\right\)](../../../upload.wikimedia.org/math/4/6/e/46e659c1c52650bd44ee373db4839c9d.png)

which is the amount of power transmitted. This relation comes directly from conservation of energy. When talking about the performance of mufflers, typically the power transmission coefficient is specified.

## Basic Filter Design

For simple filters, a long wavelength approximation can be made to make the analysis of the system easier. When this assumption is valid (e.g. low frequencies) the components of the system behave as lumped acoustical elements. Equations relating the various properties are easily derived under these circumstances, see [[Lumped Elements](http://en.wikibooks.org/wiki/Acoustic:Acoustics_of_pipes%2C_enclosures%2C_and_cavities_at_low_frequency)] for further information.

The following derivations assume long wavelength. Practical applications for most conditions are given later.

### Low-Pass Filter

![](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a6/Acoustics_filter_imp_lpass.jpg/220px-Acoustics_filter_imp_lpass.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Tpi for Low-Pass Filter

![Acoustics filter imp lpass1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/6/66/Acoustics_filter_imp_lpass1.jpg/220px-Acoustics_filter_imp_lpass1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

These are devices that attenuate the radiated sound power at higher frequencies. This means the power transmission coefficient is approximently 1 across the band pass at low frequencies(see figure to right).

This is equivalent to an expansion in a pipe, with the volume of gas located in the expansion having an acoustic compliance (see figure to right). Continuity of acoustic impedance (see Java Applet at: [[Acoustic Impedance Visualization](http://www.ndt-ed.org/EducationResources/CommunityCollege/Ultrasonics/Physics/acousticimpedance.htm)]) at the junction, see [1], gives a power transmission coefficient of:

  
![T_{\\pi}=\\left\(\\frac{1}{1+\\left\(\\frac{S_{1}-S}{2S}\\right\)kL}\\right\)](../../../upload.wikimedia.org/math/6/3/5/635a16f69dcdb8a355bd367f9268f671.png)

  
where k is the wavenumber (see [[Wave Properties](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations#Wave_Properties)]), L & ![S_{1}](../../../upload.wikimedia.org/math/a/e/3/ae30e59aca6d31430a1caa0749068f50.png) are length and area of expansion respectively, and S is the area of the pipe.

The cut-off frequency is given by:

  
![f_{c}=\\left\(\\frac{Sc}{\\pi L\(S_{1}-S\)}\\right\)](../../../upload.wikimedia.org/math/9/d/0/9d0fa911b29424148d7d74e0db092691.png)

  


### High-Pass Filter

![](../../../upload.wikimedia.org/wikibooks/en/thumb/8/85/Acoustics_filter_imp_hpass.jpg/220px-Acoustics_filter_imp_hpass.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Tpi for High-Pass Filter

![Acoustics filter imp hpass1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/1/11/Acoustics_filter_imp_hpass1.jpg/220px-Acoustics_filter_imp_hpass1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

These are devices that attenuate the radiated sound power at lower frequencies. Like before, this means the power transmission coefficient is approximately 1 across the band pass at high frequencies (see figure to right).

This is equivalent to a short side branch (see figure to right) with a radius and length much smaller than the wavelength (lumped element assumption). This side branch acts like an acoustic mass and applies a different acoustic impedance to the system than the low-pass filter. Again using continuity of acoustic impedance at the junction yields a power transmission coefficient of the form [1]:

  
![T_{\\pi}=\\left\(\\frac{1}{1+\\left\(\\frac{\\pi a^2}{2SLk}\\right\)^2}\\right\)](../../../upload.wikimedia.org/math/b/c/7/bc7c1b907e24b112132f4aac8d59daee.png)

  
where a and L are the radius and effective length of the small tube, respectively, and S is the area of the pipe.

The cut-off frequency is given by:

  
![f_{c}=\\left\(\\frac{ca^2}{2SL}\\right\)](../../../upload.wikimedia.org/math/4/3/2/4320dcb7e405c9ee31d18bd3981fd3ab.png)

### Band-Stop Filter

![](../../../upload.wikimedia.org/wikibooks/en/thumb/e/e0/Acoustics_filter_imp_bstop.jpg/220px-Acoustics_filter_imp_bstop.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Tpi for Band-Stop Filter

![Acoustics filter imp bstop1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/a/ab/Acoustics_filter_imp_bstop1.jpg/220px-Acoustics_filter_imp_bstop1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

These are devices that attenuate the radiated sound power over a certain frequency range (see figure to right). Like before, the power transmission coefficient is approximently 1 in the band pass region.

Since the band-stop filter is essentially a cross between a low and high pass filter, one might expect to create one by using a combination of both techniques. This is true in that the combination of a lumped acoustic mass and compliance gives a band-stop filter. This can be realized as a helmholtz resonator (see [[Helmholtz Resonator](http://en.wikibooks.org/wiki/Acoustic:Acoustics_of_pipes%2C_enclosures%2C_and_cavities_at_low_frequency#Examples_of_Electro-Acoustical_Analogies)] or figure to right). Again, since the impedance of the helmholtz resonator can be easily determined, continuity of acoustic impedance at the junction can give the power transmission coefficient as [1]:

  
![T_{\\pi}=\\left\(\\frac{1}{1+\\left\(\\frac{c/2S}{\\omega L/S_{b}-c^2/\\omega V}\\right\)^2}\\right\)](../../../upload.wikimedia.org/math/3/d/2/3d2684a848443499039627e5641da33b.png)

  
where ![S_{b}](../../../upload.wikimedia.org/math/f/d/c/fdc948d620dbc2a16f34f8948ebf6416.png) is the area of the neck, L is the effective length of the neck, V is the volume of the helmholtz resonator, and S is the area of the pipe. It is interesting to note that the power transmission coefficient is zero when the frequency is that of the resonance frequency of the helmholtz. This can be explained by the fact that at resonance the volume velocity in the neck is large with a phase such that all the incident wave is reflected back to the source [1].

The zero power transmission coefficient location is given by:

  
![f_{c}=\\left\(\\frac{c}{2\\pi}\\right\)\\sqrt{\\left\(\\frac{S_{b}}{LV}\\right\)}](../../../upload.wikimedia.org/math/5/7/9/5799b5b2d39bc2013282742fde6f1a9d.png)

  
This frequency value has powerful implications. If a system has the majority of noise at one frequency component, the system can be "tuned" using the above equation, with a helmholtz resonator, to perfectly attenuate any transmitted power (see examples below).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/37/Acoustics_filter_implem_helm1.gif/220px-Acoustics_filter_implem_helm1.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Helmholtz Resonator as a Muffler, f = 60 Hz

![](../../../upload.wikimedia.org/wikibooks/en/thumb/4/43/Acoustics_filter_implem_helm2.gif/220px-Acoustics_filter_implem_helm2.gif)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Helmholtz Resonator as a Muffler, f = fc

### Design

If the long wavelength assumption is valid, typically a combination of methods described above are used to design a filter. A specific design procedure is outlined for a helmholtz resonator, and other basic filters follow a similar procedure (see [[1](http://www.silex.com/pdfs/Exhaust%20Silencers.pdf)]).

Two main metrics need to be identified when designing a helmholtz resonator [3]:

(1) - Resonance frequency desired: ![f_{c}=\\frac{c}{2\\pi}\\frac{\\sqrt{C_{o}}}{V}](../../../upload.wikimedia.org/math/7/8/7/7876feb84b39e59ef477f909bbb4a4f8.png) where ![C_{o}=\\frac{S}{L}](../../../upload.wikimedia.org/math/9/6/1/961bf0e6d7cdfa83882b35c038ff1247.png).

(2) - Transmission loss: ![\\frac{\\sqrt{C_{o}V}}{2S}=const](../../../upload.wikimedia.org/math/d/7/c/d7cfaf8ae90ecd1caa83671cf745ad92.png) based on TL level. This constant is found from a TL graph (see [[HR](http://mecheng.osu.edu/~selamet/docs/2003_JASA_113\(4\)_1975-1985_helmholtz_ext_neck.pdf)] pp. 6).

This will result in two equations with two unknowns which can be solved for the unknown dimensions of the helmholtz resonator. It is important to note that flow velocities degrade the amount of transmission loss at resonance and tend to move the resonance location upwards [3].

In many situations, the long wavelength approximation is not valid and alternative methods must be examined. These are much more mathematically rigorous and require a complete understanding acoustics involved. Although the mathematics involved are not shown, common filters used are given in the section that follows.

## Actual Filter Design

As explained previously, there are two main types of filters used in practice: absorptive and reactive. The benefits and drawback of each will be briefly expained, along with their relative applications (see [[Absorptive Mufflers](http://en.wikibooks.org/wiki/Acoustic:specific_application-automobile_muffler#Absorptive_muffler)].

### Absorptive

These are mufflers which incorporate sound absorbing materials to transform acoustic energy into heat. Unlike reactive mufflers which use destructive interference to minimize radiated sound power, absorptive mufflers are typically straight through pipes lined with multiple layers of absorptive materials to reduce radiated sound power. The most important property of absorptive mufflers is the attenuation constant. Higher attenuation constants lead to more energy dissipation and lower radiated sound power.

  


Advantages of Absorptive Mufflers [3]:

(1) - High amount of absorption at higher frequencies. 

(2) - Good for applications involving broadband (constant across the spectrum) and narrowband (see [[1](http://en.wikipedia.org/wiki/Narrowband)]) noise.

(3) - Reduced amount of back pressure compared to reactive mufflers.

Disadvantages of Absorptive Mufflers [3]:

(1) - Poor performance at low frequencies. 

(2) - Material can degrade under certain circumstances (high heat, etc.).

#### Examples

![](../../../upload.wikimedia.org/wikibooks/en/thumb/8/8c/Cherrybomb_muffler.jpg/220px-Cherrybomb_muffler.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Absorptive Muffler

There are a number of applications for absorptive mufflers. The most well known application is in racecars, where engine performance is desired. Absorptive mufflers don't create a large amount of back pressure (as in reactive mufflers) to attenuate the sound, which leads to higher muffler performance. It should be noted however, that the radiate sound is much higher. Other applications include plenum chambers (large chambers lined with absorptive materials, see picture below), lined ducts, and ventilation systems.

### Reactive

Reactive mufflers use a number of complex passages (or lumped elements) to reduce the amount of acoustic energy transmitted. This is accomplished by a change in impedance at the intersections, which gives rise to reflected waves (and effectively reduces the amount of transmitted acoustic energy). Since the amount of energy transmitted is minimized, the reflected energy back to the source is quite high. This can actually degrade the performance of engines and other sources. Opposite to absorptive mufflers, which dissipate the acoustic energy, reactive mufflers keep the energy contained within the system. See [[Reactive Mufflers](http://en.wikibooks.org/wiki/Acoustic:Car_Mufflers#The_reflector_muffler)] for more information.

  


Advantages of Reactive Mufflers [3]:

(1) - High performance at low frequencies. 

(2) - Typically give high insertion loss, IL, for stationary tones.

(3) - Useful in harsh conditions.

Disadvantages of Reactive Mufflers [3]:

(1) - Poor performance at high frequencies. 

(2) - Not desirable characteristics for broadband noise.

#### Examples

![](../../../upload.wikimedia.org/wikibooks/en/thumb/a/ad/EXHAUSTCUT-OUTsm.jpg/220px-EXHAUSTCUT-OUTsm.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Reflective Muffler

Reactive mufflers are the most widely used mufflers in combustion engines[[1](http://www.eiwilliams.com/steel/index.php?p=EngineSilencers#All)]. Reactive mufflers are very efficient in low frequency applications (especially since simple lumped element analysis can be applied). Other application areas include: harsh environments (high temperature/velocity engines, turbines, etc.), specific frequency attenuation (using a helmholtz like device, a specific frequency can be toned to give total attenuation of radiated sound power), and a need for low radiated sound power (car mufflers, air conditioners, etc.).

### Performance

There are 3 main metrics used to describe the performance of mufflers; Noise Reduction, Insertion Loss, and Transmission Loss. Typically when designing a muffler, 1 or 2 of these metrics is given as a desired value.

  


#### Noise Reduction (NR)

Defined as the difference between sound pressure levels on the source and receiver side. It is essentially the amount of sound power reduced between the location of the source and termination of the muffler system (it doesn't have to be the termination, but it is the most common location) [3].

  
![NR = \\left\(L_{p1}-L_{p2}\\right\)](../../../upload.wikimedia.org/math/f/7/1/f7142b9394534c4e6682bd5b706bffd1.png)

  
where ![L_{p1}](../../../upload.wikimedia.org/math/6/3/2/632e57cea61a363db579baab92a5aaa4.png) and ![L_{p2}](../../../upload.wikimedia.org/math/1/2/5/125fb531151acbca943f36ac29f58959.png) is sound pressure levels at source and receiver respectively. Although NR is easy to measure, pressure typically varies at source side due to standing waves [3].

  


#### Insertion Loss (IL)

Defined as difference of sound pressure level at the receiver with and without sound attenuating barriers. This can be realized, in a car muffler, as the difference in radiated sound power with just a straight pipe to that with an expansion chamber located in the pipe. Since the expansion chamber will attenuate some of the radiate sound power, the pressure at the receiver with sound attenuating barriers will be less. Therefore, a higher insertion loss is desired [3].

  
![IL = \\left\(L_{p,without}-L_{p,with}\\right\)](../../../upload.wikimedia.org/math/5/e/d/5edd3200d6fe453562f75cb2ad296654.png)

  
where ![L_{p,without}](../../../upload.wikimedia.org/math/9/c/5/9c518f1a11b2dfc5f0f0e8345180e757.png) and ![L_{p,with}](../../../upload.wikimedia.org/math/9/2/5/925e1a0db41d48a1f6644ba7fd3dbcf8.png) are pressure levels at receiver without and with a muffler system respectively. Main problem with measuring IL is that the barrier or sound attenuating system needs to be removed without changing the source [3].

  


#### Transmission Loss (TL)

Defined as the difference between the sound power level of the incident wave to the muffler system and the transmitted sound power. For further information see [[Transmission Loss](http://freespace.virgin.net/mark.davidson3/TL/TL.html)] [3].

  
![TL = 10log\\left\(\\frac{1}{\\tau}\\right\)](../../../upload.wikimedia.org/math/5/1/8/518cdf1eca3acb4ba9a007ce286ea963.png) with ![\\tau =\\left\(\\frac{I_{t}}{I_{i}} \\right\)](../../../upload.wikimedia.org/math/4/6/f/46f5c02e27178e7ea9122ff83df92501.png)

  
where ![I_{t}](../../../upload.wikimedia.org/math/3/e/c/3ec25b6a9b5c877639965a46f89b994f.png) and ![I_{i}](../../../upload.wikimedia.org/math/d/c/a/dcab55aa1bf6f83754a4488dd44e8eff.png) are the transmitted and incident wave power respectively. From this expression, it is obvious the problem with measure TL is decomposing the sound field into incident and transmitted waves which can be difficult to do for complex systems (analytically).

#### Examples

(1) - For a plenum chamber (see figure below):

![TL = -10log\\left\(S\\left\(\\frac{cos\\theta}{2\\pi d^2}+\\frac{1-\\alpha}{\\alpha S_{w}}\\right\)\\right\)](../../../upload.wikimedia.org/math/a/1/1/a11088cea16ce0cd7816e2baf15867e7.png) in dB

where ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png) is average absorption coefficient.

![](../../../upload.wikimedia.org/wikibooks/en/thumb/b/ba/Acoustics_filter_implem_plenum1.jpg/220px-Acoustics_filter_implem_plenum1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Plenum Chamber

![](../../../upload.wikimedia.org/wikibooks/en/thumb/f/f9/Acoustics_filter_implem_plenum.jpg/220px-Acoustics_filter_implem_plenum.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Transmission Loss vs. Theta

(2) - For an expansion (see figure below):

![NR = 10log\\left\[ \\frac{1}{2}\\left| e^{-ikx_{s}}+\\left\( \\frac{1-S}{1+S} \\right\)e^{ikx_{s}} \\right|^2\\left\( 1+S \\right\)^2 \\right\]](../../../upload.wikimedia.org/math/1/1/c/11ce2506a1476d33a7324b939e794c83.png)

![IL = 10log\\left\[ \\frac{\\left\( 1+S \\right\)^2}{4} \\right\]](../../../upload.wikimedia.org/math/7/a/6/7a69448b0eb8e442b98595e671226b9a.png)

![TL = 10log\\left\[ \\frac{\\left\( 1+S \\right\)^2}{4S} \\right\]](../../../upload.wikimedia.org/math/3/4/0/34000628ab1e105c68bec90fcc4a846f.png)

where ![S=\\left\( \\frac{A_{2}}{A_{1}} \\right\)](../../../upload.wikimedia.org/math/3/7/c/37cb581ece26e7200dc452989d6315a1.png)

![](../../../upload.wikimedia.org/wikibooks/en/thumb/e/ef/Acoustics_filter_implem_expan1.jpg/220px-Acoustics_filter_implem_expan1.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Expansion in Infinite Pipe

![](../../../upload.wikimedia.org/wikibooks/en/thumb/9/9f/Acoustics_filter_implem_expan.jpg/220px-Acoustics_filter_implem_expan.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

NR, IL, & TL for Expansion

(3) - For a helmholtz resonator (see figure below):

![TL = 10log\\left\[ 1+\\left\( \\frac{\\left\( \\frac{c}{2S_{b}} \\right\)}{\\omega LS - \\left\( \\frac{c^2}{\\omega V} \\right\)} \\right\)^2 \\right\]](../../../upload.wikimedia.org/math/e/1/a/e1a5a424ad17d57568b455913d77c910.png) in dB

![](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7c/Acoustics_filter_implem_helm5.jpg/220px-Acoustics_filter_implem_helm5.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Helmholtz Resonator

![](../../../upload.wikimedia.org/wikibooks/en/thumb/f/fd/Acoustics_filter_implem_helm4.jpg/220px-Acoustics_filter_implem_helm4.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

TL for Helmholtz Resonator

## Links

[1] - Muffler/silencer applications and descriptions of performance criteria [[Exhaust Silencers](http://www.silex.com/pdfs/Exhaust%20Silencers.pdf)]

[2] - Engineering Acoustics, Purdue University - [[ME 513](http://widget.ecn.purdue.edu/~me513/)].

[3] - Sound Propagation [[Animations](http://widget.ecn.purdue.edu/~me513/animate.html)]

[4] - Exhaust Muffler [[Design](http://myfwc.com/boating/airboat/Section3.pdf)]

[5] - Project [Proposal](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_Proposal) & [Outline](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_Outline)

## References

[1] - Fundamentals of Acoustics; Kinsler _et al._, John Wiley & Sons, 2000

[2] - Acoustics; Pierce, Acoustical Society of America, 1989

[3] - ME 413 Noise Control, Dr. Mongeau, Purdue University

* * *

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Flow-induced oscillations of a Helmholtz resonator and applications

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

The importance of flow excited acoustic resonance lies in the large number of applications in which it occurs. Sound production in organ pipes, compressors, transonic wind tunnels, and open sunroofs are only a few examples of the many applications in which flow excited resonance of Helmholtz resonators can be found.[4] An instability of the fluid motion coupled with an acoustic resonance of the cavity produce large pressure fluctuations that are felt as increased sound pressure levels. Passengers of road vehicles with open sunroofs often experience discomfort, fatigue, and dizziness from self-sustained oscillations inside the car cabin. This phenomenon is caused by the coupling of acoustic and hydrodynamic flow inside a cavity which creates strong pressure oscillations in the passenger compartment in the 10 to 50 Hz frequency range. Some effects experienced by vehicles with open sunroofs when buffeting include: dizziness, temporary hearing reduction, discomfort, driver fatigue, and in extreme cases nausea. The importance of reducing interior noise levels inside the car cabin relies primarily in reducing driver fatigue and improving sound transmission from entertainment and communication devices. This Wikibook page aims to theoretically and graphically explain the mechanisms involved in the flow-excited acoustic resonance of Helmholtz resonators. The interaction between fluid motion and acoustic resonance will be explained to provide a thorough explanation of the behavior of self-oscillatory Helmholtz resonator systems. As an application example, a description of the mechanisms involved in sunroof buffeting phenomena will be developed at the end of the page.

# Feedback loop analysis

As mentioned before, the self-sustained oscillations of a Helmholtz resonator in many cases is a continuous interaction of hydrodynamic and acoustic mechanisms. In the frequency domain, the flow excitation and the acoustic behavior can be represented as transfer functions. The flow can be decomposed into two volume velocities.

qr: flow associated with acoustic response of cavity

qo: flow associated with excitation

Figure 1 shows the feedback loop of these two volume velocities.

_**Figure 1**_

# Acoustical characteristics of the resonator

## Lumped parameter model

The lumped parameter model of a Helmholtz resonator consists of a rigid-walled volume open to the environment through a small opening at one end. The dimensions of the resonator in this model are much less than the acoustic wavelength, in this way allowing us to model the system as a lumped system.

where re is the equivalent radius of the orifice.

Figure 2 shows a sketch of a Helmholtz resonator on the left, the mechanical analog on the middle section, and the electric-circuit analog on the right hand side. As shown in the Helmholtz resonator drawing, the air mass flowing through an inflow of volume velocity includes the mass inside the neck (Mo) and an end-correction mass (Mend). Viscous losses at the edges of the neck length are included as well as the radiation resistance of the tube. The electric-circuit analog shows the resonator modeled as a forced harmonic oscillator. [1] [2][3]

_**Figure 2**_

V: cavity volume

![\\rho](../../../upload.wikimedia.org/math/f/7/f/f7f177957cf064a93e9811df8fe65ed1.png): ambient density

c: speed of sound

S: cross-section area of orifice

K: stiffness

![M_a](../../../upload.wikimedia.org/math/0/8/4/0843dae813a7fd5e76f86100feda9ad0.png): acoustic mass

![C_a](../../../upload.wikimedia.org/math/7/6/b/76bfac4415d81123d0231a5950f29a17.png): acoustic compliance

  
The equivalent stiffness K is related to the potential energy of the flow compressed inside the cavity. For a rigid wall cavity it is approximately:

![ K =\(\\frac{\\rho c^2}{V}\)S^2 ](../../../upload.wikimedia.org/math/a/7/c/a7c45361649a67f146bfe79d74d77fae.png)

The equation that describes the Helmholtz resonator is the following:

![ S \\hat{P}_e =\\frac{\\hat{q}_e}{j\\omega S}\(-\\omega ^2 M + j\\omega R + K\) ](../../../upload.wikimedia.org/math/9/e/a/9ea94c3d4f59ba31e258592477c47022.png)

![\\hat{P}_e](../../../upload.wikimedia.org/math/c/9/e/c9e28b24095aa754bde6c55fcece6780.png): excitation pressure

M: total mass (mass inside neck Mo plus end correction, Mend)

R: total resistance (radiation loss plus viscous loss)

  
From the electrical-circuit we know the following:

![ M_a = \\frac{L \\rho}{S} ](../../../upload.wikimedia.org/math/a/0/c/a0c1c0bddacddb1b94b3d48e93529bfb.png)

  


![ C_a = \\frac{\\pi V}{\\rho c^2} ](../../../upload.wikimedia.org/math/8/e/a/8eab87914bd94a06b31ce0c8fa828aa2.png) ![ L ' = \\ L + \\ 1.7 \\ re ](../../../upload.wikimedia.org/math/8/c/2/8c2e6401b3e52df8c337da3ad947fffa.png)

The main cavity resonance parameters are resonance frequency and quality factor which can be estimated using the parameters explained above (assuming free field radiation, no viscous losses and leaks, and negligible wall compliance effects)

  


![ \\omega_r^2 = \\frac{1}{M_a C_a} ](../../../upload.wikimedia.org/math/7/1/4/7140b0055080fd7f4749f5130bd5d9d4.png)

  


![ f_r = c 2 \\pi \\sqrt{\\frac{S}{L' V}} ](../../../upload.wikimedia.org/math/d/0/7/d07cf250fc08dcd985ea826370b11d3f.png)

  
The sharpness of the resonance peak is measured by the quality factor Q of the Helmholtz resonator as follows:

![ Q = 2 \\pi \\sqrt{V \(\\frac{L'} {S}\)^3} ](../../../upload.wikimedia.org/math/8/f/4/8f407e706bc5180d5ffbe41cc4c75ed1.png)

  
![ f_r](../../../upload.wikimedia.org/math/0/b/f/0bf88e8d88ca8d43d187523d0c666d03.png): resonance frequency in Hz

![\\omega_r](../../../upload.wikimedia.org/math/f/2/6/f265962aa384dad8e3e1f8a2bba23fb1.png): resonance frequency in radians

L: length of neck

L': corrected length of neck

From the equations above, the following can be deduced:

-The greater the volume of the resonator, the lower the resonance frequencies.

-If the length of the neck is increased, the resonance frequency decreases.

## Production of self-sustained oscillations

The acoustic field interacts with the unstable hydrodynamic flow above the open section of the cavity, where the grazing flow is continuous. The flow in this section separates from the wall at a point where the acoustic and hydrodynamic flows are strongly coupled. [5]

The separation of the boundary layer at the leading edge of the cavity (front part of opening from incoming flow) produces strong vortices in the main stream. As observed in Figure 3, a shear layer crosses the cavity orifice and vortices start to form due to instabilities in the layer at the leading edge.

_**Figure 3**_

From Figure 3, L is the length of the inner cavity region, d denotes the diameter or length of the cavity length, D represents the height of the cavity, and ![\\delta](../../../upload.wikimedia.org/math/f/1/0/f10f03c9836c36537d2539196058bfa2.png) describes the gradient length in the grazing velocity profile (boundary layer thickness).

The velocity in this region is characterized to be unsteady and the perturbations in this region will lead to self-sustained oscillations inside the cavity. Vortices will continually form in the opening region due to the instability of the shear layer at the leading edge of the opening.

# Applications to Sunroof Buffeting

## How are vortices formed during buffeting?

In order to understand the generation and convection of vortices from the shear layer along the sunroof opening, the animation below has been developed. At a certain range of flow velocities, self-sustained oscillations inside the open cavity (sunroof) will be predominant. During this period of time, vortices are shed at the trailing edge of the opening and continue to be convected along the length of the cavity opening as pressure inside the cabin decreases and increases. Flow visualization experimentation is one method that helps obtain a qualitative understanding of vortex formation and conduction.

The animation below, shows in the middle, a side view of a car cabin with the sunroof open. As the air starts to flow at a certain mean velocity Uo, air mass will enter and leave the cabin as the pressure decreases and increases again. At the right hand side of the animation, a legend shows a range of colors to determine the pressure magnitude inside the car cabin. At the top of the animation, a plot of circulation and acoustic cavity pressure versus time for one period of oscillation is shown. The symbol x moving along the acoustic cavity pressure plot is synchronized with pressure fluctuations inside the car cabin and with the legend on the right. For example, whenever the x symbol is located at the point where t=0 (when the acoustic cavity pressure is minimum) the color of the car cabin will match that of the minimum pressure in the legend (blue).

  


![Theplot.gif](../../../upload.wikimedia.org/wikibooks/en/d/db/Theplot.gif)

  
The perturbations in the shear layer propagate with a velocity of the order of 1/2Uo which is half the mean inflow velocity. [5] After the pressure inside the cavity reaches a minimum (blue color) the air mass position in the neck of the cavity reaches its maximum outward position. At this point, a vortex is shed at the leading edge of the sunroof opening (front part of sunroof in the direction of inflow velocity). As the pressure inside the cavity increases (progressively to red color) and the air mass at the cavity entrance is moved inwards, the vortex is displaced into the neck of the cavity. The maximum downward displacement of the vortex is achieved when the pressure inside the cabin is also maximum and the air mass in the neck of the Helmholtz resonator (sunroof opening) reaches its maximum downward displacement. For the rest of the remaining half cycle, the pressure cavity falls and the air below the neck of the resonator is moved upwards. The vortex continues displacing towards the downstream edge of the sunroof where it is convected upwards and outside the neck of the resonator. At this point the air below the neck reaches its maximum upwards displacement.[4] And the process starts once again.

## How to identify buffeting

Flow induced tests performed over a range of flow velocities are helpful to determine the change in sound pressure levels (SPL) inside the car cabin as inflow velocity is increased. The following animation shows typical auto spectra results from a car cabin with the sunroof open at various inflow velocities. At the top right hand corner of the animation, it is possible to see the inflow velocity and resonance frequency corresponding to the plot shown at that instant of time.

![Curve.gif](../../../upload.wikimedia.org/wikibooks/en/f/f9/Curve.gif)

It is observed in the animation that the SPL increases gradually with increasing inflow velocity. Initially, the levels are below 80 dB and no major peaks are observed. As velocity is increased, the SPL increases throughout the frequency range until a definite peak is observed around a 100 Hz and 120 dB of amplitude. This is the resonance frequency of the cavity at which buffeting occurs. As it is observed in the animation, as velocity is further increased, the peak decreases and disappears. In this way, sound pressure level plots versus frequency are helpful in determining increased sound pressure levels inside the car cabin to find ways to minimize them. Some of the methods used to minimize the increased SPL levels achieved by buffeting include: notched deflectors, mass injection, and spoilers.

# Useful Websites

This link: [[4]](http://www.exa.com/)takes you to the website of EXA Corporation, a developer of PowerFlow for Computational Fluid Dynamics (CFD) analysis.

This link: [[5]](http://www.cd-adapco.com/press_room/dynamics/20/saab.html) is a small news article about the current use of(CFD) software to model sunroof buffeting.

This link: [[6]](http://www.cd-adapco.com/products/brochures/industry_applications/autoapps.pdf)is a small industry brochure that shows the current use of CFD for sunroof buffeting.

# References

[1] Acoustics: An introduction to its Physical Principles and Applications ; Pierce, Allan D., Acoustical Society of America, 1989.

[2] Prediction and Control of the Interior Pressure Fluctuations in a Flow-excited Helmholtz resonator ; Mongeau, Luc, and Hyungseok Kook., Ray W. Herrick Laboratories, Purdue University, 1997.

[3]Influence of leakage on the flow-induced response of vehicles with open sunroofs ; Mongeau, Luc, and Jin-Seok Hong., Ray W. Herrick Laboratories, Purdue University.

[4]Fluid dynamics of a flow excited resonance, part I: Experiment ; P.A. Nelson, Halliwell and Doak.; 1991.

[5]An Introduction to Acoustics ; Rienstra, S.W., A. Hirschberg., Report IWDE 99-02, Eindhoven University of Technology, 1999.

* * *

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics) Wiki page created by Paloma Y. Mejia

Questions and/or comments? Send e-mail to pmejia@purdue.edu

# Acoustics in Violins

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Acoustics of the Violin

For detail anatomy of violin, please refer to [Atelierla Bussiere](http://www.atelierlabussiere.com/pcom4englis.htm).

  
![Violin front view.jpg](../../../upload.wikimedia.org/wikipedia/commons/2/2f/Violin_front_view.jpg)![Backview.jpg](../../../upload.wikimedia.org/wikipedia/commons/a/aa/Backview.jpg)

## How Does A Violin Make Sound?

### General Concept

When a violinist bows a string, which can produce vibrations with abundant harmonics. The vibrations of the strings are structurally transmitted to the bridge and the body of the instrument through the bridge. The bridge transmits the vibrational energy produced by the strings to the body through its feet, further triggering the vibration of body. The vibration of the body determines sound radiation and sound quality, along with the resonance of the cavity.

  
![Procedure.jpg](../../../upload.wikimedia.org/wikibooks/en/b/bf/Procedure.jpg)

### String

The vibration pattern of the strings can be easily be observed. To the naked eye, the string appears to move back and forth in a parabolic shape (see figure), which resembles the first mode of free vibration of a stretched string. The vibration of strings was first investigated by [Hermann Von Helmholtz](http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Helmholtz.html), the famous mathematician and physicist in 19th century. A surprising scenario was discovered that the string actually moves in an inverse “V” shape rather than parabolas (see figure). What we see is just an envelope of the motion of the string. To honor his findings, the motion of bowed strings had been called “Helmholtz motion.”

![String.jpg](../../../upload.wikimedia.org/wikibooks/en/4/4b/String.jpg) ![Helmholtzmotion.jpg](../../../upload.wikimedia.org/wikibooks/en/8/83/Helmholtzmotion.jpg)

### Bridge

The primary role of the bridge is to transform the motion of vibrating strings into periodic driving forces by its feet to the top plate of the violin body. The configuration of the bridge can be referred to the figure. The bridge stands on the belly between f holes, which have two primary functions: One is to connect the air inside the body with outside air, and the other one is to make the belly between f holes move more easily than other parts of the body. The fundamental frequency of a violin bridge was found to be around 3000 Hz when it is on a rigid support, and it is an effective energy-transmitting medium to transmit the energy from the string to body at frequencies from 1 kHz to 4kHz, which is in the range of keen sensitivity of human hearing. If a violinist desires a darker sound from the violin, he or she may attach a mute to the top of the bridge. The mute is actually an additional mass which reduces the fundamental frequency of the bridge. As a result, the sound at higher frequencies is diminished since the force transferred to the body has been decreased. On the other hand, the fundamental frequency of the bridge can be raised by attaching an additional stiffness in the form of tiny wedges, and the sound at higher frequencies will be amplified accordingly.

The sound post connects the flexible belly to the much stiffer back plate. The sound post can prevent the collapse of the belly due to high tension force in the string, and, at the same time, couples the vibration of the plate. The bass bar under the belly extends beyond the f holes and transmits the force of the bridge to a larger area of the belly. As can be seen in the figure, the motion of the treble foot is restricted by the sound post, while, conversely, the foot over bass bar can move up and down more easily. As a result, the bridge tends to move up and down, pivoting about the treble foot. The forces appearing at the two feet remain equal and opposite up to 1 kHz. At higher frequencies, the forces become uneven. The force on the soundpost foot predominates at some frequencies, while it is the bass bar foot at some.

![Crossview.jpg](../../../upload.wikimedia.org/wikibooks/en/4/43/Crossview.jpg)

### Body

The body includes top plate, back plate, the sides, and the air inside, all of which serve to transmit the vibration of the bridge into the vibration of air surrounding the violin. For this reason, the violin needs a relatively large surface area to push enough amount of air back and forth. Thus, the top and back plates play important roles in the mechanism. Violin makers have traditionally pay much attention on the vibration of the top and back plates of the violin by listening to the tap tones, or, recently, by observing the vibration mode shapes of the body plates. The vibration modes of an assembled violin are, however, much more complicated.

The vibration modes of top and back plates can be easily observed in a similar technique first performed by Ernest Florens Friedrich Chaldni (1756 – 1827), who is often respectfully referred “the father of acoustics.” First, the fine sand is uniformly sprinkled on the plate. Then, the plate can be resonated, either by a powerful sound wave tuned to the desired frequencies, by being bowed by a violin bow, or by being excited mechanically or electromechanically at desired frequencies. Consequently, the sand disperses randomly due to the vibration of plate. Some of the sand falls outside the region of plate, while some of the sand is collected by the nodal regions, which have relatively small movement, of the plate. Hence, the mode shapes of the plate can be visualized in this manner, which can be referred to the figures in the reference site, [Violin Acoustics](http://www.phys.unsw.edu.au/~jw/patterns2.html). The first seven modes of the top and back plates of violin are presented, with nodal lines depicted by using black sands.

The air inside the body is also important, especially in the range of lower frequencies. It is like the air inside a bottle when you blow into the neck, or, as known as [Helmholtz resonance](http://en.wikibooks.org/wiki/Acoustic:Acoustics_of_pipes%2C_enclosures%2C_and_cavities_at_low_frequency), which has its own modes of vibration. The air inside the body can communicate with air outside through the f holes, and the outside air serves as medium carrying waves from the violin.

  
see www.violinbridges.co.uk for more articles on bridges and acoustics.

### Sound Radiation

A complete description of sound radiation of a violin should include the information about radiation intensity as functions both of frequency and location. The sound radiation can be measured by a microphone connected to a pressure level meter which is rotatably supported on a stand arm around the violin, while the violin is fastened at the neck by a clip. The force is introduced into the violin by using a miniature impact hammer at the upper edge of the bridge in the direction of bowing. The detail can be referred to [Martin Schleske, master studio for violinmaking](http://www.schleske.de/index.php?lang=en&http://www.schleske.de/06geigenbauer/en_akustik3schall3messmeth.shtml) . The radiation intensity of different frequencies at different locations can be represented by directional characteristics, or acoustic maps. The directional characteristics of a violin can be shown in the figure in the website of [Martin Schleske](http://www.schleske.de/picshoch/a0044_abstr_netz.gif), where the radial distance from the center point represents the absolute value of the sound level (re 1Pa/N) in dB, and the angular coordinate of the full circle indicates the measurement point around the instrument. According to the directional characteristics of violins, the principal radiation directions for the violin in the horizontal plane can be established. For more detail about the principal radiation direction for violins at different frequencies, please refer to reference (Meyer 1972).

  


## References And Other Links

  * [Violin Acoustics](http://www.phys.unsw.edu.au/music/violin/)
  * [Paul Galluzzo's Homepage](http://www2.eng.cam.ac.uk/~pmg26/home_frame.html)
  * [Martin Schleske, master studio for violinmaking](http://www.schleske.de/index.php?lang=en&http://www.schleske.de/06geigenbauer/en_akustik3schall3messmeth.shtml)
  * [Atelierla Bussiere](http://www.atelierlabussiere.com/)
  * Fletcher, N. H., and Rossing, T. D., _The physics of musical instrument_, Springer-Verlag, 1991
  * Meyer, J., "Directivity of bowed stringed instruments and its effect on orchestral sound in concert halls", J. Acoustic. Soc. Am., 51, 1972, pp. 1994-2009

[Back to the main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Moving Coil Loudspeaker

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Moving Coil Transducer

The purpose of the acoustic transducer is to convert electrical energy into acoustic energy. Many variations of acoustic transducers exist, although the most common is the moving coil-permanent magnet transducer. The classic loudspeaker is of the moving coil-permanent magnet type.

  
The classic electrodynamic loudspeaker driver can be divided into three key components:

1) The Magnet Motor Drive System

2) The Loudspeaker Cone System

3) The Loudspeaker Suspension

![Loud speaker.gif](../../../upload.wikimedia.org/wikibooks/en/6/60/Loud_speaker.gif) Figure 1 Cut-away of a moving coil-permanent magnet loudspeaker

## The Magnet Motor Drive System

The main purpose of the Magnet Motor Drive System is to establish a symmetrical magnetic field in which the voice coil will operate. The Magnet Motor Drive System is comprised of a front focusing plate, permanent magnet, back plate, and a pole piece. In figure 2, the assembled drive system is illustrated. In most cases, the back plate and the pole piece are built into one piece called the yoke. The yoke and the front focusing plate are normally made of a very soft cast iron. Iron is a material that is used in conjunction with magnetic structures because the iron is easily saturated when exposed to a magnetic field. Notice in figure 2, that an air gap was intentionally left between the front focusing plate and the yoke. The magnetic field is coupled through the air gap. The magnetic field strength (B) of the air gap is typically optimized for uniformity across the gap. [1]

Figure 2 Permanent Magnet Structure

When a coil of wire with a current flowing is place inside the permanent magnetic field, a force is produced. B is the magnetic field strength, l is the length of the coil, and I is the current flowing through the coil.

![F = Bli](../../../upload.wikimedia.org/math/4/c/5/4c59d8590f19385656298945869b7ffa.png)

![Magnet2.gif](../../../upload.wikimedia.org/wikibooks/en/c/c7/Magnet2.gif) Figure 3 Voice Coil Mounted in Permanent Magnetic Structure

The coil is excited with the AC signal that is intended for sound reproduction, when the changing magnetic field of the coil interacts with the permanent magnetic field then the coil moves back and forth in order to reproduce the input signal. The coil of a loudspeaker is known as the voice coil.

Figure 4 Photograph - Voice Coil

## The Loudspeaker Cone System

On a typical loudspeaker, the cone serves the purpose of creating a larger radiating area allowing more air to be moved when excited by the voice coil. The cone serves a piston that is excited by the voice coil. The cone then displaces air creating a sound wave. In an ideal environment, the cone should be infinitely rigid and have zero mass, but in reality neither is true. Cone materials vary from carbon fiber, paper, bamboo, and just about any other material that can be shaped into a stiff conical shape. The loudspeaker cone is a very critical part of the loudspeaker. Since the cone is not infinitely rigid, it tends to have different types of resonance modes form at different frequencies, which in turn alters and colors the reproduction of the sound waves. The shape of the cone directly influences the directivity and frequency response of the loudspeaker. When the cone is attached to the voice coil, a large gap above the voice coil is left exposed. This could be a problem if foreign particles make their way into the air gap of the voice coil and the permanent magnet structure. The solution to this problem is to place what is known as a dust cap on the cone to cover the air gap. Below a figure of the cone and dust cap are shown.

![Loud cone.gif](../../../upload.wikimedia.org/wikibooks/en/9/94/Loud_cone.gif) Figure 6 Cone and Dust Cap attached to Voice Coil

## The Loudspeaker Suspension

Most moving coil loudspeakers have a two piece suspension system, also known as a flexure system. The combination of the two flexures allows the voice coil to maintain linear travel as the voice coil is energized and provide a restoring force for the voice coil system. The two piece system consists of large flexible membrane surrounding the outside edge of the cone, called the surround, and an additional flexure connected directly to the voice coil, called the spider. The surround has another purpose and that is to seal the loudspeaker when mounted in an enclosure. Commonly, the surround is made of a variety of different materials, such as, folded paper, cloth, rubber, and foam. Construction of the spider consists of different woven cloth or synthetic materials that are compressed to form a flexible membrane. The following two figures illustrate where the suspension components are physically at on the loudspeaker and how they function as the loudspeaker operates.

![Loud suspension.gif](../../../upload.wikimedia.org/wikibooks/en/8/86/Loud_suspension.gif) Figure 7 Loudspeaker Suspension System ![Loudspk.gif](../../../upload.wikimedia.org/wikibooks/en/4/4b/Loudspk.gif) Figure 8 Moving Loudspeaker

## Modeling the Loudspeaker as a Lumped System

Before implementing a loudspeaker into a specific application, a series of parameters characterizing the loudspeaker must be extracted. The equivalent circuit of the loudspeaker is key when developing enclosures. The circuit models all aspects of the loudspeaker through an equivalent electrical, mechanical, and acoustical circuit. Figure 9 shows how the three equivalent circuits are connected. The electrical circuit is comprised of the DC resistance of the voice coil, Re, the imaginary part of the voice coil inductance, Le, and the real part of the voice coil inductance, Revc. The mechanical system has electrical components that model different physical parameters of the loudspeaker. In the mechanical circuit, Mm, is the electrical capacitance due to the moving mass, Cm, is the electrical inductance due to the compliance of the moving mass, and Rm, is the electrical resistance due to the suspension system. In the acoustical equivalent circuit, Ma models the air mass and Ra models the radiation impedance[2]. This equivalent circuit allows insight into what parameters change the characteristics of the loudspeaker. Figure 10 shows the electrical input impedance as a function of frequency developed using the equivalent circuit of the loudspeaker.

![Eq circuit.gif](../../../upload.wikimedia.org/wikibooks/en/1/12/Eq_circuit.gif) Figure 9 Loudspeaker Analogous Circuit ![Freq resp.gif](../../../upload.wikimedia.org/wikibooks/en/3/3e/Freq_resp.gif) Figure 10 Electrical Input Impedance

## References

[1] The Loudspeaker Design Cookbook 5th Edition; Dickason, Vance., Audio Amateur Press, 1997. [2] Beranek, L. L. Acoustics. 2nd ed. Acoustical Society of America, Woodbridge, NY. 1993.

## Links

[[7]](http://en.wikibooks.org/wiki/Acoustic:Sealed_Box_Subwoofer_Design) [[8]](http://en.wikibooks.org/wiki/Acoustic:Piezoelectric_Transducers) [[9]](http://en.wikibooks.org/wiki/Acoustic:Bass_Reflex_Enclosure_Design) [Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics) This page was created by Joe Land.

# Attenuation of Sound Waves

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

## Introduction

When sound travels through a medium, its intensity diminishes with distance. This weakening in the energy of the wave results from two basic causes, scattering and absorption. The combined effect of scattering and absorption is called attenuation. For small distances or short times the effects of attenuation in sound waves can usually be ignored. Yet, for practical reasons it should be considered. So far in our discussions, sound has only been dissipated by the spreading of the wave, such as when we consider spherical and cylindrical waves. However this dissipation of sound in these cases is due to geometric effects associated with energy being spread over an increasing area and not actually to any loss of total energy.

## Types of Attenuation

As mentioned above, attenuation is caused by both absorption and scattering. Absorption is generally caused by the media. This can be due to energy loss by both viscosity and heat conduction. Attenuation due to absorption is important when the volume of the material is large. Scattering, the second cause of attenuation, is important when the volume is small or in cases of thin ducts and porous materials.

#### Viscosity and Heat conduction

Whenever there is a relative motion between particles in a media, such as in wave propagation, energy conversion occurs. This is due to stress from viscous forces between particles of the medium. The energy lost is converted to heat. Because of this, the intensity of a sound wave decreases more rapidly than the inverse square of distance. Viscosity in gases is dependent upon temperature for the most part. Thus as you increase the temperature you increase the viscous forces.

#### Boundary Layer Losses

A special type of adsorption occurs when a sound wave travels over a boundary, such as a fluid flowing over a solid surface. In such a situation, the fluid in immediate contact with the surface must be at rest. Subsequent layers of fluid will have a velocity that increases as the distance from the solid surface increases such as in the figure below.

The velocity gradient causes an internal stress associated with viscosity, that leads to a loss of momentum. This loss of momentum leads to a decrease in the amplitude of a wave close to the surface. The region over which the velocity of the fluid decreases from its nominal velocity to that of zero is called the acoustic boundary layer. The thickness of the acoustic boundary layer due to viscosity can be expressed as

![\\delta_{visc}=\\sqrt{\\left\(\\frac{ 2*\\mu}{\\omega*\\rho_o}\\right\)}](../../../upload.wikimedia.org/math/e/7/b/e7b17ff41fcf4b4540f7d118eef99a83.png)

Where ![ \\mu \\,](../../../upload.wikimedia.org/math/9/3/9/939974a71dda1b83cce5ab82a2d2cec1.png) is the shear viscosity number. Ideal fluids would not have a boundary layer thickness since ![ \\mu=0 \\,](../../../upload.wikimedia.org/math/1/8/3/1832ac1e654952cb1e6dcda3f5aca0b2.png) .

### Relaxation

Attenuation can also occur by a process called relaxation. One of the basic assumptions prior to this discussion on attenuation was that when a pressure or density of a fluid or media depended only on the instantaneous values of density and temperature and not on the rate of change in these variables. However, whenever a change occurs, equilibrium is upset and the media adjusts until a new local equilibrium is achieved. This does not occur instantaneously, and pressure and density will vary in the media. The time it takes to achieve this new equilibrium is called the relaxation time, ![ \\theta \\,](../../../upload.wikimedia.org/math/1/f/0/1f09c25c5247c1eaf121df644ca42f8c.png) . As a consequence the speed of sound will increase from an initial value to that of a maximum as frequency increases. Again the losses associated with relaxation are due to mechanical energy being transformed into heat.

## Modeling of losses

The following is done for a plane wave. Losses can be introduced by the addition of a complex expression for the wave number

![k=\\ \\beta-j\\alpha](../../../upload.wikimedia.org/math/0/b/3/0b3341840487683398824d44885b6b11.png)

which when substituted into the time-solution yields

![\\ p = A e^{\\alpha x}e^{jwt-j\\beta x}](../../../upload.wikimedia.org/math/e/5/7/e572f4e759d89621e6433b7c1408ab98.png)

with a new term of ![\\ e^{\\alpha x}](../../../upload.wikimedia.org/math/1/8/a/18ab56afe5dd844dba6af5e4ded1c984.png) which resulted from the use of a complex wave number. ![\\ \\alpha](../../../upload.wikimedia.org/math/2/6/7/267bff78ef51ee21aa59189098e319cc.png) is known as the absorption coefficient with units of nepers per unit distance and ![\\ \\beta](../../../upload.wikimedia.org/math/c/e/e/cee782755bc81e71522773fea4d99244.png) is related to the phase speed. The absorption coefficient is frequency dependent and is generally proportional to the square of sound frequency. However, its relationship does vary when considering the different absorption mechanisms as shown below.

  
The velocity of the particles can be expressed as

![\\ u=\\frac{k}{w*\\rho_o}p= \\frac{1}{\\rho_o c}\\left\(1-j\\frac{\\alpha}{k}\\right\)p](../../../upload.wikimedia.org/math/4/1/c/41c6c61ff1d0ff33bdcbf50162ed510d.png)

The impedance for this traveling wave would be given by

![\\ z= \\rho_o c\\frac{1}{1-j\\frac{\\alpha}{k}}](../../../upload.wikimedia.org/math/d/a/6/da62065c41da53c00987eedf47fb8e77.png)

From this we can see that the rate of decrease in intensity of an attenuated wave is ![\\ a=8.7\\alpha](../../../upload.wikimedia.org/math/d/6/e/d6e324d864fdf8f99cabdb5778dd1f68.png)

## References

Wood, A. A Textbook of Sound. London: Bell, 1957.

Blackstock, David. Fundamentals of Physical Acoustics. New York: Wiley, 2000.

[Attenuation considerations in Ultrasound](http://www.ndt-ed.org/EducationResources/CommunityCollege/Ultrasonics/Physics/attenuation.htm)

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Car Mufflers

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

A car muffler is a component of the exhaust system of a car. The exhaust system has mainly 3 functions:

1) Getting the hot and noxious gas from the engine away from the vehicle

2) Reduce exhaust emission

3) Attenuating the noise output from the engine

  
The last specified function is the function of the car muffler. It is necessary because the gas coming from the combustion in the pistons of the engine would generate an extremely loud noise if it were sent directly in the ambient surrounding through the exhaust valves. There are mainly 2 techniques used to dampen the noise: the absorption and the reflection. Each technique has its advantages and inconveniences.

  


  


![Muffler type "Cherry bomb"](../../../upload.wikimedia.org/wikibooks/en/thumb/8/8c/Cherrybomb_muffler.jpg/150px-Cherrybomb_muffler.jpg)

## The absorber muffler

The muffler is composed of a tube covered by sound absorbing material. The tube is perforated so that some part of the sound wave goes through the perforation to the absorbing material. The absorbing material is usually made of fiberglass or steel wool. The dampening material is protected from the surrounding by a supplementary coat made of a bend metal sheet.

The advantages of this method are a low back pressure and the relatively simple design. The inconvenient aspect of this method is a low sound damping compared to the other techniques, especially at low frequency.

Mufflers using the absorption technique are usually installed on sports vehicles to increase the performances of the engine because of their low [back pressure](Print_version.html#Back_pressure) . A trick to improve their muffling ability consist of lining up several "straight" mufflers.===============================

## The reflector muffler

Principle: Sound wave reflection is used to create a maximum amount of destructive interferences

  


![Destructive interference](../../../upload.wikimedia.org/wikibooks/en/thumb/f/ff/Destructive_interference_.png/400px-Destructive_interference_.png)

  


### Definition of destructive interferences

Let's consider the noise a person would hear when a car drives past. This sound would physically correspond to the pressure variation of the air which would make his ear-drum vibrate. The curve A1 of the graph 1 could represent this sound. The pressure amplitude is a function of the time at a certain fixed place. If another sound wave A2 is produced at the same time, the pressure of the two waves will add. If the amplitude of A1 is exactly the opposite of the amplitude A2, then the sum will be zero, which corresponds physically to the atmospheric pressure. The listener would thus hear nothing although there are two radiating sound sources. A2 is called the destructive interference.

![Wave reflection](../../../upload.wikimedia.org/wikibooks/en/thumb/7/7e/Wave_reflection_medium.png/250px-Wave_reflection_medium.png)

  


### Definition of the reflection

The sound is a travelling wave i.e. its position changes in function of the time. As long as the wave travels in the same medium, there is no change of speed and amplitude. When the wave reaches a frontier between two mediums which have different impedances, the speed, and the pressure amplitude change (and so does the angle if the wave does not propagate perpendicularly to the frontier). The figure 1 shows two medium A and B and the 3 waves: incident transmitted and reflected.

### Example

If plane sound waves are propagating across a tube and the section of the tube changes at a point x, the impedance of the tube will change. A part of the incident waves will so be transmitted in the part of the tube with the new section value and the other part of the incident waves will be reflected.

[Animation](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers:Animation)

  


Mufflers using the reflection technique are most commonly used because they damp the noise much better than the absorber muffler. However, they often create higher [back pressure](Print_version.html#Back_pressure) which can lower the performance of the engine at higher rpm's. While some engines develope maximum horsepower at lower rpm's (say, under 2800 rpm), most do not and would thus yield a greater net horsepower (at the higher rpm's)with no muffler at all. ![Schema](../../../upload.wikimedia.org/wikibooks/en/thumb/8/83/Muffler_reflection_schema.png/400px-Muffler_reflection_schema.png)

The upper right image represents a Car Muffler typical architecture. It is composed of 3 tubes. There are 3 areas separated by plates, the part of the tubes located in the middle area are perforated. Small quantity of pressure "escapes" from the tubes through the perforation and cancel one another.

  
Some high-end mufflers use the reflection principle together with a cavity(shown in red below) known as a [Helmholtz Resonator](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_%26_Implementation#Band-Stop_Filter) to further dampen the noise.

![Muffler resonator.png](../../../upload.wikimedia.org/wikibooks/en/thumb/8/87/Muffler_resonator.png/300px-Muffler_resonator.png)

## Back pressure

Car engines are 4 stroke cycle engines. Out of these 4 strokes, only one produces the power, this is when the explosion occurs and pushes the pistons back. The other 3 strokes are necessary evil that don't produce energy. They on the contrary consume energy. During the exhaust stroke, the remaining gas from the explosion is expelled from the cylinder. The higher the pressure behind the exhaust valves (i.e. back pressure), and the higher effort necessary to expel the gas out of the cylinder. So, a low back pressure is preferable in order to have a higher engine horsepower.

  


## Muffler Modeling by Transfer Matrix Method

This method is easy to use on computer to obtain theoretical values for the transmission loss of a muffler. The transmission loss gives a value in dB that correspond to the ability of the muffler to dampen the noise.

  


### Example

![Muffler working with waves reflections](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4d/Transfer_matrice_muffler.png/500px-Transfer_matrice_muffler.png)

  


  
P stands for Pressure [Pa] and U stand for volumetric flowrate[m3/s]

  


![\\begin{bmatrix} P1 \\\\ U1 \\end{bmatrix}](../../../upload.wikimedia.org/math/1/4/5/145603ed4cbc37b5bf81eb1fa4e47640.png)=![\\begin{bmatrix}  T1 \\end{bmatrix}
\\begin{bmatrix} P2 \\\\ U2 \\end{bmatrix}](../../../upload.wikimedia.org/math/4/9/b/49b61f6181d0cd9c186e59e210ce11c1.png) and ![\\begin{bmatrix} P2 \\\\ U2 \\end{bmatrix}](../../../upload.wikimedia.org/math/3/9/1/391edb67f15aee03d177eba7f106f062.png)=![\\begin{bmatrix}  T2 \\end{bmatrix}
\\begin{bmatrix} P3 \\\\ U3 \\end{bmatrix}](../../../upload.wikimedia.org/math/4/3/d/43dbfb337f5cb808d0e7665f725d6180.png) and ![\\begin{bmatrix} P3 \\\\ U3 \\end{bmatrix}](../../../upload.wikimedia.org/math/5/1/0/5106c83f7a97c14ed6ce18530c383460.png)=![\\begin{bmatrix}  T3 \\end{bmatrix}
\\begin{bmatrix} P4 \\\\ U4 \\end{bmatrix}](../../../upload.wikimedia.org/math/a/7/4/a74d9c03a09ce964fe3cb77dc7f1b182.png)

  
So, finally: ![\\begin{bmatrix} P1 \\\\ U1 \\end{bmatrix}](../../../upload.wikimedia.org/math/1/4/5/145603ed4cbc37b5bf81eb1fa4e47640.png)= ![\\begin{bmatrix} T1 \\end{bmatrix}
\\begin{bmatrix} T2 \\end{bmatrix}
\\begin{bmatrix} T3 \\end{bmatrix}
\\begin{bmatrix} P4 \\\\ U4 \\end{bmatrix}](../../../upload.wikimedia.org/math/2/9/4/2949de8deb47dd16bee821c01a0b2c3e.png)

  
with

![\\begin{bmatrix} T_i \\end{bmatrix}](../../../upload.wikimedia.org/math/d/8/f/d8f9fc34afb5cb650fb7df1a05b3ab8d.png)=![\\begin{bmatrix}  cos \(k L_i\) & j sin \(k L_i\) \\frac{\\rho c}{S_i}  \\\\ j sin \(k L_i\) \\frac{\\rho c}{S_i} & cos \(k L_i\) \\end{bmatrix}](../../../upload.wikimedia.org/math/1/0/7/10770e7080cc813572689386fbf7d965.png)

  
Si stands for the cross section area

k is the [angular velocity](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations#Wave_Properties)

![\\ \\rho ](../../../upload.wikimedia.org/math/d/c/c/dcc4390d60c33bcca0db1085083ef70d.png) is the medium density

c is the speed of sound of the medium

### Results

![Schema](../../../upload.wikimedia.org/wikibooks/en/thumb/a/a2/Transmission_loss.png/400px-Transmission_loss.png)

[Matlab code](http://upload.wikimedia.org/wikibooks/en/6/69/Matlab_code.jpg) of the graph above.

  


### Comments

The higher the value of the transmission loss and the better the muffler.

The transmission loss depends on the frequency. The sound frequency of a car engine is approximately between 50 and 3000Hz. At resonance frequencies, the transmission loss is zero. These frequencies correspond to the lower peaks on the graph.

The transmission loss is independent of the applied pressure or velocity at the input.

The temperature (about 600 Fahrenheit) has an impact on the air properties : the speed of sound is higher and the mass density is lower.

The elementary transfer matrice depends on the element which is modelled. For instance the transfer matrice of a Helmholtz Resonator is ![\\begin{bmatrix} 1 & 0 \\\\ \\frac{1}{Z} & 1 \\end{bmatrix}](../../../upload.wikimedia.org/math/b/7/7/b77e14ae9f4692d93fafcd7d5ade261a.png) with ![\\ Z = j \\rho \( \\frac{\\omega L_i}{S_i} - \\frac{c^2}{\\omega V}\)](../../../upload.wikimedia.org/math/c/0/5/c05d1cc5634b40366a86ca439c90b479.png)

## Links

More informations about the Transfer Matrice Method : www.scielo.br/pdf/jbsmse/v27n2/25381.pdf

General informations about filters: [Filter Design & Implementation](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_%26_Implementation)

General information about car mufflers: <http://auto.howstuffworks.com/muffler.htm>

Example of car exhaust manufacturer <http://www.performancepeddler.com/manufacturer.asp?CatName=Magnaflow>

[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Noise from cooling fans

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/Merge-arrows.svg/50px-Merge-arrows.svg.png)

**A Wikibookian suggests that this book or chapter be [merged](http://en.wikibooks.org/wiki/Help:Pages#Merging) with _[Acoustics/Noise from Cooling Fans](http://en.wikibooks.org/wiki/Acoustics/Noise_from_Cooling_Fans)_.**  
Please discuss whether or not this merger should happen on the [discussion page](http://en.wikibooks.org/wiki/Talk:Acoustics/Noise_from_Cooling_Fans).

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Proposal

As electric/electronic devices get smaller and functional, the noise of cooling device becomes important. This page will explain the origins of noise generation from small axial cooling fans used in electronic goods like desktop/laptop computers. The source of fan noises includes aerodynamic noise as well as operating sound of the fan itself. This page will be focused on the aerodynamic noise generation mechanisms.

## Introduction

Inside a desktop computer, there may be three (or more) fans. Usually there is a fan on the heat sink of the CPU, in the rear of the power supply unit, on the case ventilation hole, and maybe on the graphics card, plus one on the motherboard chipset if it is a very recent one. The noise from a computer that annoys people is mostly due to cooling fans if the hard drive(s) is fairly quiet. When Intel Pentium processors were first introduced, there was no need to have a fan on the CPU at all, but most modern CPUs cannot function even for several seconds without a cooling fan, and some CPU's (such as Intel's [Prescott](http://en.wikibooks.org/w/index.php?title=Prescott&action=edit&redlink=1) core) have extreme cooling requirements, which often causes more and more noise. The type of fan used in a desktop computer is almost always an [axial fan](http://en.wikibooks.org/w/index.php?title=Fan_\(implement\)&action=edit&redlink=1), while centrifugal fans are commonly used in laptop computers. Several fan types are shown [here (pdf format)](http://www.etrinet.com/tech/pdf/aerodynamics.pdf). Different fan types have different characteristics of noise generation and performance. The axial flow fan is the main type considered in this page.

## Noise Generation Mechanisms

The figure below shows a typical noise spectrum of a 120 **mm** diameter electronic device cooling fan. One microphone is used at the point 1 **m** far from the upstream side of the fan. The fan has 7 blades, 4 struts for motor mounting and operates at 13V. Certain amount of load is applied. The blue plot is background noise of anechoic chamber, and the green one is sound loudness spectrum when the fan is running.

![Noisespectrum.gif](../../../upload.wikimedia.org/wikibooks/en/d/d8/Noisespectrum.gif)

(*BPF = Blade Passing Frequency) Each noise elements shown in this figure is caused by one or more of following generation mechanisms.

### Blade Thickness Noise - Monopole (But very weak)

Blade thickness noise is generated by volume displacement of fluid. Fan blades has its thickness and volume. As the rotor rotates, the volume of each blade displaces fluid volume, then they consequently fluctuate pressure of near field, and noise is generated. This noise is tonal at the running frequency and generally very weak for cooling fans, because their RPM is relatively low. Therefore, thickness of fan blades hardly affects to electronic cooling fan noise.

(This kind of noise can become severe for high speed turbomachines like helicopter rotors.)

### Tonal Noise by Aerodynamic Forces - Dipole

#### Uniform Inlet Flow (Negligible)

The sound generation due to uniform and steady aerodynamic force has very similar characteristic as the blade thickness noise. It is very weak for low speed fans, and depends on fan RPM. Since at least of ideal steady blade forces are necessary for a fan to do its duty, even in an ideal condition, this kind of noise is impossible to be avoided. It is known that this noise can be reduced by increasing the number of blades.

#### Non-uniform Inlet Flow

Non-uniform (still steady) inlet flow causes non-uniform aerodynamic forces on blades as their angular positions change. This generates noise at blade passing frequency and its harmonics. It is one of the major noise sources of electronic cooling fans.

#### Rotor-Casing interaction

If the fan blades are very close to a structure which is not symmetric, unsteady interaction forces to blades are generated. Then the fan experiences a similar running condition as lying in non-uniform flow field.

#### Impulsive Noise (Negligible)

This noise is caused by the interaction between a blade and blade-tip-vortex of the preceding blade, and not severe for cooling fans.

#### Rotating Stall

[Click here](http://en.wikipedia.org/wiki/Stall_\(flight\)) to read the definition and an aerodynamic description of **stall**.

The noise due to stall is a complex phenomenon that occurs at low flow rates. For some reason, if flow is locally disturbed, it can cause stall on one of the blades. As a result, the upstream passage on this blade is partially blocked. Therefore, the mean flow is diverted away from this passage. This causes increasing of the angle of attack on the closest blade at the upstream side of the originally stalled blade, the flow is again stalled there. On the other hand, the other side of the first blade is un-stalled because of reduction of flow angle.

![Stall.gif](../../../upload.wikimedia.org/wikibooks/en/a/ad/Stall.gif)

repeatedly, the stall cell turns around the blades at about 30~50% of the running frequency, and the direction is opposite to the blades. This seriese of phenomenon causes unstedy blade forces, and consequently generates noise and vibrations.

#### Non-uniform Rotor Geometry

Asymmetry of rotor causes noise at the rotating frequency and its harmonics (not blade passing frequency obviously), even when the inlet flow is uniform and steady.

#### Unsteady Flow Field

Unsteady flow causes random forces on the blades. It spreads the discrete spectrum noises and makes them continuous. In case of low-frequency variation, the spread continuous spectral noise is around rotating frequency, and narrowband noise is generated. The stochastic velocity fluctuations of inlet flow generates broadband noise spectrum. The generation of random noise components is covered by the following sections.

### Random Noise by Unsteady Aerodynamic Forces

#### Turbulent Boundary Layer

Even in the stady and uniform inlet flow, there exist random force fluctuations on the blades. That is from turbulent blade boundary layer. Some noise is generated for this reason, but dominant noise is produced by the boundary layer passing the blade trailing edge. The blade trailing edges scatter the non-propagating near-field pressure into a propagatable sound field.

#### Incident Turbulent

Velocity fluctuations of the intake flow with a stochastic time history generate random forces on blades, and a broadband spectrum noise.

#### Vortex Shedding

For some reason, a vortex can separate from a blade. Then the circulating flow around the blade starts to be changed. This causes non-uniform forces on blades, and noises. A classical example for this phenomenon is ['Karman vortex street'](http://www.galleryoffluidmechanics.com/vortex/karman.htm). ([some images and animations](http://www2.icfd.co.jp/menu1/karmanvortex/karman.html).) Vortex shedding mechanism can occur in a laminar boundary layer of low speed fan and also in a turbulent boundary layer of high frequency fan.

#### Flow Separation

Flow separation causes stall explained above. This phenomenon can cause random noise, which spreads all the discrete spectrum noises, and turns the noise into broadband.

#### Tip Vortex

Since cooling fans are ducted axial flow machines, the annular gap between the blade tips and the casing is important parameter for noise generation. While rotating, there is another flow through the annular gap due to pressure difference between upstream and downstream of fan. Because of this flow, tip vortex is generated through the gap, and broadband noise increases as the annular gap gets bigger.

## Installation Effects

Once a fan is installed, even though the fan is well designed acoustically, unexpected noise problem can come up. It is called as installation effects, and two types are applicable to cooling fans.

### Effect of Inlet Flow Conditions

A structure that affects the inlet flow of a fan causes installation effects. For example Hoppe & Neise [3] showed that with and without a bellmouth nozzle at the inlet flange of 500**mm** fan can change the noise power by 50**dB** (This application is for much larger and noisier fan though).

### Acoustic Loading Effect

This effect is shown on duct system applications. Some high performance graphic cards apply duct system for direct exhaustion.

The sound power generated by a fan is not only a function of its impeller speed and operating condition, but also depends on the acoustic impedances of the duct systems connected to its inlet and outlet. Therefore, fan and duct system should be matched not only for aerodynamic noise reasons but also because of acoustic considerations.

## Closing Comment

Noise reduction of cooling fans has some restrictions:

  1. Active noise control is not economically effective. 80mm cooling fans are only 5~10 US dollars. It is only applicable for high-end electronic products.
  2. Restricting certain aerodynamic phenomenon for noise reduction can cause serious performance reduction of the fan. Increasing RPM of the fan is of course much more dominant factor for noise.

Different stories of fan noise are introduced at some of the linked sites below like active RPM control or noise camparison of various bearings used in fans.

## Links to Interesting Sites about Fan Noise

Some practical issue of PC noise are presented at the following sites:

  * [Cooling Fan Noise Comparison - Sleeve Bearing vs. Ball Bearing (pdf format)](http://www.silentpcreview.com/files/ball_vs_sleeve_bearing.pdf)
  * [Brief explanation of fan noise origins and noise reduction suggestions](http://www.jmcproducts.com/cooling_info/noise.shtml)
  * [Effect of sweep angle comparison](http://www.ansys.com/industries/tm-fan-noise.htm)
  * [Comparisons of noise from various 80mm fans](http://www.directron.com/noise.html)
  * [Noise reduction of a specific desktop case](http://www.xlr8yourmac.com/G4ZONE/G4_fan_noise.html)
  * [Noise reduction of another specific desktop case](http://www.xlr8yourmac.com/systems/quicksilver_noise/quieting_quicksilver_noise.html)
  * [Informal study for noise from CPU cooling fan](http://www.roberthancock.com/dell/fannoise.htm)
  * [Informal study for noise from PC case fans](http://www.cpemma.co.uk/)
  * [Active fan speed optimizators for minimum noise from desktop computers](http://www.tomshardware.com/2004/06/15/fighting_fan_noise_pollution/index.html)
  * [Some general fan noise reduction technics](http://www.diracdelta.co.uk/science/source/f/a/fan%20noise/source.html)
  * [Various applications and training in - Brüel & Kjær](http://www.bkhome.com/)

## References

[1] Neise, W., and Michel, U., "Aerodynamic Noise of Turbomachines"  
[2] Anderson, J., "Fundamentals of Aerodynamics", 3rd edition, 2001, McGrawHill  
[3] Hoppe, G., and Neise, W., "Vergleich verschiedener Gerauschmessverfahren fur Ventilatoren. Forschungsbericht FLT 3/1/31/87, Forschungsvereinigung fur Luft- und Trocknungstechnik e. V., Frankfurt/Main, Germany

[back to **Engineering Acoustics**](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Human Vocal Fold

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Physiology of Vocal Fold

Human vocal fold is a set of lip-like tissues located inside the [larynx](http://en.wikipedia.org/wiki/Larynx), and is the source of sound for a human and many animals.

The Larynx is located at the top of trachea. It is mainly composed of cartilages and muscles, and the largest cartilage, thyroid, is well known as the "Adam's Apple."

The organ has two main functions; to act as the last protector of the airway, and to act as a sound source for voice. This page focuses on the latter function.

Links on Physiology: [Discover The Larynx](http://sprojects.mmi.mcgill.ca/larynx/notes/n_frames.htm)

## Voice Production

Although the science behind sound production for a vocal fold is complex, it can be thought of as similar to a brass player's lips, or a whistle made out of grass. Basically, vocal folds (or lips or a pair of grass) make a constriction to the airflow, and as the air is forced through the narrow opening, the vocal folds oscillate. This causes a periodical change in the air pressure, which is perceived as sound.

[Vocal Folds Video](http://www.entusa.com/normal_larynx.htm)

When the airflow is introduced to the vocal folds, it forces open the two vocal folds which are nearly closed initially. Due to the stiffness of the folds, they will then try to close the opening again. And now the airflow will try to force the folds open etc... This creates an oscillation of the vocal folds, which in turn, as I stated above, creates sound. However, this is a damped oscillation, meaning it will eventually achieve an equilibrium position and stop oscillating. So how are we able to "sustain" sound?

As it will be shown later, the answer seems to be in the changing shape of vocal folds. In the opening and the closing stages of the oscillation, the vocal folds have different shapes. This affects the pressure in the opening, and creates the extra pressure needed to push the vocal folds open and sustain oscillation. This part is explained in more detail in the "Model" section.

This flow-induced oscillation, as with many fluid mechanics problems, is not an easy problem to model. Numerous attempts to model the oscillation of vocal folds have been made, ranging from a single mass-spring-damper system to finite element models. In this page I would like to use my single-mass model to explain the basic physics behind the oscillation of a vocal fold.

Information on vocal fold models: [National Center for Voice and Speech](http://www.ncvs.org/ncvs/tutorials/voiceprod/tutorial/model.html)

## Model

![Schematics.png](../../../upload.wikimedia.org/wikibooks/en/a/a3/Schematics.png)
    
    
                                                           Figure 1: Schematics
    

The most simple way of simulating the motion of vocal folds is to use a single mass-spring-damper system as shown above. The mass represents one vocal fold, and the second vocal fold is assumed to be symmetry about the axis of symmetry. Position 3 respresents a location immediately past the exit (end of the mass), and position 2 represents the glottis (the region between the two vocal folds).

### The Pressure Force

The major driving force behind the oscillation of vocal folds is the pressure in the glottis. The Bernoulli's equation from fluid mechanics states that:

![P_1 + \\frac{1}{2}\\rho U^2 + \\rho gh = Constant](../../../upload.wikimedia.org/math/b/9/0/b904e1b518921f0a5a43acd018267e1e.png) \-----EQN 1

Neglecting potential difference and applying EQN 1 to positions 2 and 3 of Figure 1,

![P_2 + \\frac{1}{2}\\rho U_2^2 = P_3 + \\frac{1}{2}\\rho U_3^2](../../../upload.wikimedia.org/math/b/0/0/b0093b7119dc6f78e39ed4ec8248a5ea.png) \-----EQN 2

Note that the pressure and the velocity at position 3 cannot change. This makes the right hand side of EQN 2 constant. Observation of EQN 2 reveals that in order to have oscillating pressure at 2, we must have oscillation velocity at 2. The flow velocity inside the glottis can be studied through the theories of the orifice flow.

The constriction of airflow at the vocal folds is much like an orifice flow with one major difference: with vocal folds, the orifice profile is continuously changing. The orifice profile for the vocal folds can open or close, as well as change the shape of the opening. In Figure 1, the profile is converging, but in another stage of oscillation it takes a diverging shape.

The orifice flow is described by Blevins as:

![ U = C\\frac{2\(P_1 - P_3\)}{rho}](../../../upload.wikimedia.org/math/7/8/8/788523cf0167b4b3e93dbc63d00b7e95.png) \-----EQN 3

Where the constant C is the orifice coefficient, governed by the shape and the opening size of the orifice. This number is determined experimentally, and it changes throughout the different stages of oscillation.

Solving equations 2 and 3, the pressure force throughout the glottal region can be determined.

### The Collision Force

As the video of the vocal folds shows, vocal fods can completely close during oscillation. When this happens, the Bernoulli equation fails. Instead, the collision force becomes the dominating force. For this analysis, Hertz collision model was applied.

![ F_H = k_H delta^{3/2} \(1 + b_H delta'\)](../../../upload.wikimedia.org/math/e/9/7/e97b8489d8e58bf3df631024602099ab.png) \-----EQN 4

where

![ k_H = \\frac{4}{3} \\frac{E}{1 - \\mu_H^2} \\sqrt{r}](../../../upload.wikimedia.org/math/8/0/7/8074a05f1bf95e7105e334ddf4056050.png)

Here delta is the penetration distance of the vocal fold past the line of symmetry.

## Simulation of the Model

The pressure and the collision forces were inserted into the equation of motion, and the result was simulated.

![Matlab.png](../../../upload.wikimedia.org/wikibooks/en/4/45/Matlab.png)
    
    
                                                  Figure 2: Area Opening and Volumetric Flow Rate
    

Figure 2 shows that an oscillating volumetric flow rate was achieved by passing a constant airflow through the vocal folds. When simulating the oscillation, it was found that the collision force limits the amplitude of oscillation rather than drive the oscillation. Which tells us that the pressure force is what allows the sustained oscillation to occur.

## The Acoustic Output

This model showed that the changing profile of glottal opening causes an oscillating volumetric flow rate through the vocal folds. This will in turn cause an oscillating pressure past the vocal folds. This method of producing sound is unusual, because in most other means of sound production, air is compressed periodically by a solid such as a speaker cone.

Past the vocal folds, the produced sound enters the vocal tract. Basically this is the cavity in the mouth as well as the nasal cavity. These cavities act as acoustic filters, modifying the character of the sound. The acoustics of vocal tract have traditionally been described on the basis of a [source-filter theory](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version/Source-filter_Theory&action=edit&redlink=1). Whereas the glotis produces a sound of many frequencies, the vocal tract selects a subset of these frequencies for radiation from the mouth. These are the characters that define the unique voice each person produces.

## Related Links

[FEA Model](http://biorobotics.harvard.edu/pubs/gunter-jasa-pub.pdf)

[Two Mass Model](http://www.mat.unb.br/~lucero/JAS001362.pdf)

## References

[1] Fundamentals of Acoustics; Kinsler _et al._, John Wiley & Sons, 2000

[2] Acoustics: An introduction to its Physical Principles and Applications ; Pierce, Allan D., Acoustical Society of America, 1989.

[3] Blevins, R.D. (1984). Applied Fluid Dynamics Handbook. Van Nostrand Reinhold Co. 81-82.

[4] Horacek, J., Sidlof, P., Svec, J.G. Self-Oscillations of Human Vocal Folds. Institute of Thermomechanics, Academy of Sciences of the Czech Republic

[5] Lucero, J.C., Koenig, L.L. (2005). Simulations of temporal patterns of oral airflow in men and women using a two-mass model of the vocal folds under dynamic control, Journal of the Acoustical Society of America 117, 1362-1372.

[6] Titze, I.R. (1988). The physics of small-amplitude oscillation of the vocal folds. Journal of the Acoustical Society of America 83, 1536-1552

* * *

[Back to main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

Created by Shohei Shibata

# Microphone Design and Operation

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

![Mic Title.jpg](../../../upload.wikimedia.org/wikibooks/en/1/19/Mic_Title.jpg)

## Introduction

Microphones are devices which convert pressure fluctuations into electrical signals. Two main methods of achieving this are used in the mainstream entertainment industry today - **dynamic microphones** and **condenser microphones**. [Piezoelectric transducers](http://en.wikibooks.org/wiki/Acoustic:Piezoelectric_Transducers) can also be used as microphones but they are not commonly used in the entertainment industry.

## Dynamic microphones

Dynamic microphones utilise 'Faraday’s Law'. The principle states that when an electrical conductor is moved through a magnetic field, an electrical current is induced within the conductor. In these microphones the magnetic field comes from permanent magnets. There are two common arrangements for the conductor.

![Moving coil.JPG](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f2/Moving_coil.JPG/300px-Moving_coil.JPG)

Figure 1: Sectional View of Moving-Coil Dynamic Microphone

The first conductor arrangement has a moving coil of wire. The wire is typically copper and is attached to a circular membrane or piston usually made from lightweight plastic or occasionally aluminum. The impinging pressure fluctuation on the piston causes it to move in the magnetic field and thus creates the desired electrical current.

![Ribbon.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/33/Ribbon.jpg/300px-Ribbon.jpg)

Figure 2: Dynamic Ribbon Microphone

The second conductor arrangement is a ribbon of metallic foil suspended between magnets. The metallic ribbon moves in response to a pressure fluctuation and an electrical current is produced. In both configurations, dynamic microphones follow the same principals as [acoustical transducers](http://en.wikibooks.org/wiki/Acoustic:Acoustic_Transducers_-_The_Loudspeaker).

## Condenser Microphones

Condenser microphones convert pressure fluctuations into electrical potentials by changes in electrical capacitance, hence they are also known as capacitor microphones. An electrical capacitor consists of two charged electrical conductors placed at some relatively small distance to each other. The basic relation that describes capacitors is:

    **![Q=C\\times V](../../../upload.wikimedia.org/math/5/c/7/5c7cff13a66ebfb539b7c0c9ad85f753.png)**

where Q is the electrical charge of the capacitor’s conductors, C is the capacitance, and V is the electric potential between the capacitor’s conductors. If the electrical charge of the conductors is held at a constant value, then the voltage between the conductors will be inversely proportional to (a) the capacitance and (b) the distance between the conductors.

![Condenser.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/6/68/Condenser.jpg/600px-Condenser.jpg)

Figure 3: Sectional View of Condenser Microphone

The capacitor in a condenser microphone consists of two parts: the diaphragm and the backplate. The diaphragm moves due to impinging pressure fluctuations and the backplate is held in a stationary position. When the diaphragm moves closer to the backplate, the capacitance increases and a change in electric potential is produced. The diaphragm is typically made of metallic coated Mylar. The assembly that houses both the backplate and the diaphragm is commonly referred to as a capsule.

To keep the diaphragm and backplate at a constant charge, an electric potential must be presented to the capsule. There are various ways this can be achieved. The first uses a battery to supply the needed DC potential to the capsule (figure 4). The resistor across the leads of the capsule is very high, in the range of 10 mega ohms, to keep the charge on the capsule close to constant.

![Battery Powered.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4f/Battery_Powered.jpg/500px-Battery_Powered.jpg)

Figure 4: Internal Battery Powered Condenser Microphone

An alternative technique for providing a constant charge on the capacitor is to supply a DC electric potential through the microphone cable that carries the microphones output signal. Standard microphone cable is known as XLR cable and is terminated by three pin connectors. Pin one connects to the shield around the cable. The microphone signal is transmitted between pins two and three.

![XLR.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/1/18/XLR.jpg/700px-XLR.jpg)

Figure 5: Dynamic Microphone Connected to a Mixing Console via XLR Cable

### 48V Phantom Powering

The most popular method of providing a DC potential through a microphone cable is to supply +48 V to both of the microphone output leads, pins 2 and 3, and use the shield of the cable, pin 1, as the ground to the circuit. Because pins 2 and 3 see the same potential, any fluctuation of the microphone powering potential will not affect the microphone signal seen by the attached audio equipment. The +48 V will be stepped down at the microphone using a transformer and provide the potential to the backplate and diaphragm in a similar fashion as the battery solution.

![Powering.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4c/Powering.jpg/600px-Powering.jpg)

Figure 6: Condenser Microphone Powering Techniques

### 12V T-Powering

A less popular method of running the potential through the cable is to supply 12 V between pins 2 and 3. This method is referred to as T-powering. The main problem with T-powering is that potential fluctuation in the powering of the capsule will be transmitted into an audio signal because the audio equipment analyzing the microphone signal will not see a difference between a potential change across pins 2 and 3 due to a pressure fluctuation and one due to the power source electric potential fluctuation.

### Electret Condenser Microphones

Finally, the diaphragm and backplate can be manufactured from a material that maintains a fixed charge. These microphones are termed electrets. In early electret designs, the charge on the material tended to become unstable over time. Advances in science and manufacturing have effectively eliminated this problem in present designs.

## Conclusion

Two types of microphones are used in the entertainment industry.

  * Dynamic microphones, which are found in the moving-coil and ribbon configurations. The movement of the conductor in dynamic microphones induces an electric current which is then transformed into the reproduction of sound.
  * Condenser microphones which utilize the properties of capacitors. The charge on the capsule of condenser microphones can be can by battery, by phantom powering, by T-powering, and by using 'electrets' - materials with a fixed charge.

## References

-Sound Recording Handbook. Woram, John M. 1989.

-Handbook of Recording Engineering Fourth Edition. Eargle, John. 2003.

## Microphone Manufactures Links

[AKG](http://www.akgusa.com/)

[Audio Technica](http://www.audio-technica.com/cms/site/c35da94027e94819/index.html)

[Audix](http://www.audixusa.com/)

[Bruel & Kjaer](http://www.bkhome.com/bk_home.asp)

[Neumann](http://www.neumannusa.com/mat_dev/FLift/open.asp)

[Rode](http://www.rode.com.au/)

[Shure](http://www.shure.com/)

[sE Electronics](http://www.seelectronics.com/)

  
Back to [Engineering Acoustics](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Piezoelectric Transducers

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

# Introduction

Piezoelectricity from the Greek word "piezo" means pressure electricity. Certain crystalline substances generate electric charges under mechanical stress and conversely experience a mechanical strain in the presence of an electric field. The piezoelectric effect describes a situation where the transducing material senses input mechanical vibrations and produces a charge at the frequency of the vibration. An AC voltage causes the piezoelectric material to vibrate in an oscillatory fashion at the same frequency as the input current.

Quartz is the best known single crystal material with piezoelectric properties. Strong piezoelectric effects can be induced in materials with an ABO3, Perovskite crystalline structure. 'A' denotes a large divalent metal ion such as lead and 'B' denotes a smaller tetravalent ion such as titanium or zirconium.

For any crystal to exhibit the piezoelectric effect, its structure must have no center of symmetry. Either a tensile or compressive stress applied to the crystal alters the separation between positive and negative charge sights in the cell causing a net polarization at the surface of the crystal. The polarization varies directly with the applied stress and is direction dependent so that compressive and tensile stresses will result in electric fields of opposite voltages.

# Vibrations & Displacements

Piezoelectric ceramics have non-centrosymmetric unit cells below the Curie temperature and centrosymmetric unit cells above the Curie temperature. Non-centrosymmetric structures provide a net electric dipole moment. The dipoles are randomly oriented until a strong DC electric field is applied causing permanent polarization and thus piezoelectric properties.

A polerized ceramic may be subjected to stress causing the crystal lattice to distort changing the total dipole moment of the ceramic. The change in dipole moment due to an applied stress causes a net electric field which varies linearly with stress.

# Dynamic Performance

The dymanic performance of a piezoelectric material relates to how it behaves under alternating stresses near the mechanical resonance. The parallel combination of C2 with L1, C1, and R1 in the equivalent circuit below control the transducers reactance which is a function of frequency.

## Equivalent Electric Circuit

![Eqcct.gif](../../../upload.wikimedia.org/wikibooks/en/8/83/Eqcct.gif)

## Frequency Response

The graph below shows the impedance of a piezoelectric transducer as a function of frequency. The minimum value at fm corresponds to the resonance while the maximum value at fn corresponds to anti-resonance.

![Response.gif](../../../upload.wikimedia.org/wikibooks/en/6/6a/Response.gif)

# Resonant Devices

Non resonant devices may be modeled by a capacitor representing the capacitance of the piezoelectric with an impedance modeling the mechanically vibrating system as a shunt in the circuit. The impedance may be modeled as a capacitor in the non-resonant case which allows the circuit to reduce to a single capacitor replacing the parallel combination.

For resonant devices the impedance becomes a resistance or static capacitance at resonance. This is an undesirable effect. In mechanically driven systems this effect acts as a load on the transducer and decreases the electrical output. In electrically driven systems this effect shunts the driver requiring a larger input current. The adverse effect of the static capacitance experienced at resonant operation may be counteracted by using a shunt or series inductor resonating with the static capacitance at the operating frequency.

  
![Resonant device.gif](../../../upload.wikimedia.org/wikibooks/en/3/39/Resonant_device.gif)

# Applications

## Mechanical Measurement

Because of the dielectric leakage current of piezoelectrics they are poorly suited for applications where force or pressure have a slow rate of change. They are, however, very well suited for highly dynamic measurements that might be needed in blast gauges and accelerometers.

## Ultrasonic

High intensity ultrasound applications utilize half wavelength transducers with resonant frequencies between 18 kHz and 45 kHz. Large blocks of transducer material is needed to generate high intensities which makes manufacturing difficult and is economically impractical. Also, since half wavelength transducers have the highest stress amplitude in the center, the end sections act as inert masses. The end sections are often replaced with metal plates possessing a much higher mechanical quality factor; giving the composite transducer a higher mechanical quality factor than a single-piece transducer.

The overall electro-acoustic efficiency is:

![\\eta \\approx 1 - \\frac{1}{1 + k_{eff}^2Q_EQ_L} - \\frac{1}{1 + \\frac{Q_{m0}}{Q_L}}](../../../upload.wikimedia.org/math/7/2/5/7253773e2a17cef6e1af10a99fd0df08.png)
    
    
                 Qm0 = unloaded mechanical quality factor
                 QE  = electric quality factor
                 QL  = quality factor due to the acoustic load alone
    

The second term on the right hand side is the dielectric loss and the third term is the mechanical loss.

Efficiency is maximized when:

![Q_L = \\frac{1}{k_{eff}} \\sqrt{\\frac{Q_{m0}}{Q_E}} = Q_{Lopt}](../../../upload.wikimedia.org/math/7/7/4/7744cb4f46dc5d0bc9c2a3af40ddce7a.png)

then:

![\\eta_{\\max} = 1 - \\frac{2}{k_\\mathrm{eff} \\sqrt{Q_E Q_{m0}}} \\qquad \\left \( k_\\mathrm{eff} \\sqrt{Q_E Q_{m0}} \\ll 1 \\right \)](../../../upload.wikimedia.org/math/7/6/9/769520fe92e2baf6dc55cddfecbbb312.png)

The maximum ultrasonic efficiency is described by:

![I_{\\mathrm{w}max} = \\frac{1}{2} \( \\omega_5 u_l \)_{max}^2 \\ \\rho_{m\\mathrm{w}} \\nu_{\\mathrm{w}} \( W / m^2\)](../../../upload.wikimedia.org/math/6/7/7/677dd0817f7cdddc69eda34998e26add.png)

Applications of ultrasonic transducers include:
    
    
     Welding of plastics
     Atomization of liquids
     Ultrasonic drilling
     Ultrasonic cleaning
     Ultrasound
     Non destructive testing
     etc.
    

# More Information and Source of Information

[MorganElectroCeramics](http://morganelectroceramics.com)

# Microphone Technique

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## General Technique

  1. A microphone should be used whose frequency response will suit the frequency range of the voice or instrument being recorded.
  2. Vary microphone positions and distances until you achieve the monitored sound that you desire.
  3. In the case of poor room acoustics, place the microphone very close to the loudest part of the instrument being recorded or isolate the instrument.
  4. Personal taste is the most important component of microphone technique. Whatever sounds right to you, _is_ right.

## Working Distance

### Close Miking

When miking at a distance of 1 inch to about 3 feet from the sound source, it is considered close miking. This technique generally provides a tight, present sound quality and does an effective job of isolating the signal and excluding other sounds in the acoustic environment.

#### Leakage

Leakage occurs when the signal is not properly isolated and the microphone picks up another nearby instrument. This can make the mixdown process difficult if there are multiple voices on one track. Use the following methods to prevent leakage:

  * Place the microphones closer to the instruments.
  * Move the instruments farther apart.
  * Put some sort of acoustic barrier between the instruments.
  * Use directional microphones.

#### 3 to 1 Rule

The 3:1 distance rule is a general rule of thumb for close miking. To prevent phase anomalies and leakage, the microphones should be placed at least three times as far from each other as the distance between the instrument and the microphone.

![3:1 Rule](../../../upload.wikimedia.org/wikibooks/en/c/c3/Threetoone.gif)

### Distant Miking

Distant miking refers to the placement of microphones at a distance of 3 feet or more from the sound source. This technique allows the full range and balance of the instrument to develop and it captures the room sound. This tends to add a live, open feeling to the recorded sound, but careful consideration needs to be given to the [acoustic environment](http://en.wikibooks.org/wiki/Acoustic:Basic_Room_Acoustic_Treatments).

### Accent Miking

Accent miking is a technique used for solo passages when miking an ensemble. A soloist needs to stand out from an ensemble, but placing a microphone too close will sound unnaturally present compared the distant miking technique used with the rest of the ensemble. Therefore, the microphone should be placed just close enough to the soloist that the signal can be mixed effectively without sounding completely excluded from the ensemble.

### Ambient Miking

Ambient miking is placing the microphones at such a distance that the room sound is more prominent than the direct signal. This technique is used to capture audience sound or the [natural reverberation of a room or concert hall](http://en.wikibooks.org/wiki/Acoustic:Room_Acoustics_and_Concert_Halls).

## Stereo and Surround Technique

### Stereo

Stereo miking is simply using two microphones to obtain a stereo left-right image of the sound. A simple method is the use of a spaced pair, which is placing two identical microphones several feet apart and using the difference in time and amplitude to create the image. Great care should be taken in the method as phase anomalies can occur due to the signal delay. This risk of phase anomaly can be reduced by using the X/Y method, where the two microphones are placed with the grills as close together as possible without touching. There should be an angle of 90 to 135 degrees between the mics. This technique uses only amplitude, not time, to create the image, so the chance of phase discrepancies is unlikely.

![Spaced Pair](../../../upload.wikimedia.org/wikibooks/en/9/9b/Spacedpair.gif) ![X/Y Method](../../../upload.wikimedia.org/wikibooks/en/e/eb/Xypair.gif)

### Surround

To take advantage of 5.1 sound or some other surround setup, microphones may be placed to capture the surround sound of a room. This technique essentially stems from stereo technique with the addition of more microphones. Because every acoustic environment is different, it is difficult to define a general rule for surround miking, so placement becomes dependent on experimentation. Careful attention must be paid to the distance between microphones and potential phase anomalies.

## Placement for Varying Instruments

### Amplifiers

When miking an amplifier, such as for electric guitars, the mic should be placed 2 to 12 inches from the speaker. Exact placement becomes more critical at a distance of less than 4 inches. A brighter sound is achieved when the mic faces directly into the center of the speaker cone and a more mellow sound is produced when placed slightly off-center. Placing off-center also reduces amplifier noise.

### Brass Instruments

High sound-pressure levels are produced by brass instruments due to the directional characteristics of mid to mid-high frequencies. Therefore, for brass instruments such as trumpets, trombones, and tubas, microphones should face slightly off of the bell's center at a distance of one foot or more to prevent overloading from windblasts.

### Guitars

Technique for acoustic guitars is dependent on the desired sound. Placing a microphone close to the sound hole will achieve the highest output possible, but the sound may be bottom-heavy because of how the sound hole resonates at low frequencies. Placing the mic slightly off-center at 6 to 12 inches from the hole will provide a more balanced pickup. Placing the mic closer to the bridge with the same working distance will ensure that the full range of the instrument is captured.

### Pianos

Ideally, microphones would be placed 4 to 6 feet from the piano to allow the full range of the instrument to develop before it is captured. This isn't always possible due to room noise, so the next best option is to place the microphone just inside the open lid. This applies to both grand and upright pianos.

### Percussion

One overhead microphone can be used for a drum set, although two are preferable. If possible, each component of the drum set should be miked individually at a distance of 1 to 2 inches as if they were their own instrument. This also applies to other drums such as congas and bongos. For large, tuned instruments such as xylophones, multiple mics can be used as long as they are spaced according to the 3:1 rule.

### Voice

Standard technique is to put the microphone directly in front of the vocalist's mouth, although placing slightly off-center can alleviate harsh consonant sounds (such as "p") and prevent overloading due to excessive dynamic range. Several sources also recommend placing the microphone slightly above the mouth.

### Woodwinds

A general rule for woodwinds is to place the microphone around the middle of the instrument at a distance of 6 inches to 2 feet. The microphone should be tilted slightly towards the bell or sound hole, but not directly in front of it.

## Sound Propagation

It is important to understand how sound propagates due to the nature of the acoustic environment so that microphone technique can be adjusted accordingly. There are four basic ways that this occurs:

### Reflection

Sound waves are reflected by surfaces if the object is as large as the wavelength of the sound. It is the cause of echo (simple delay), reverberation (many reflections cause the sound to continue after the source has stopped), and standing waves (the distance between two parallel walls is such that the original and reflected waves in phase reinforce one another).

### Absorption

Sound waves are absorbed by materials rather than reflected. This can have both positive and negative effects depending on whether you desire to reduce reverberation or retain a live sound.

### Diffraction

Objects that may be between sound sources and microphones must be considered due to diffraction. Sound will be stopped by obstacles that are larger than its wavelength. Therefore, higher frequencies will be blocked more easily that lower frequencies.

### Refraction

Sound waves bend as they pass through mediums with varying density. Wind or temperature changes can cause sound to seem like it is literally moving in a different direction than expected.

## Sources

  * Huber, Dave Miles, and Robert E. Runstein. _Modern Recording Techniques_. Sixth Edition. Burlington: Elsevier, Inc., 2005.
  * Shure, Inc. (2003). _Shure Product Literature._ Retrieved November 28, 2005, from <http://www.shure.com/scripts/literature/literature.aspx>.

  
[Back to the main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Sealed Box Subwoofer Design

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Introduction

A sealed or closed box baffle is the most basic but often the cleanest sounding subwoofer box design. The subwoofer box in its most simple form, serves to isolate the back of the speaker from the front, much like the theoretical infinite baffle. The sealed box provides simple construction and controlled response for most subwoofer applications. The slow low end roll-off provides a clean transition into the extreme frequency range. Unlike ported boxes, the cone excursion is reduced below the resonant frequency of the box and driver due to the added stiffness provided by the sealed box baffle.

Closed baffle boxes are typically constructed of a very rigid material such as MDF (medium density fiber board) or plywood .75 to 1 inch thick. Depending on the size of the box and material used, internal bracing may be necessary to maintain a rigid box. A rigid box is important to design in order to prevent unwanted box resonance.

As with any acoustics application, the box must be matched to the loudspeaker driver for maximum performance. The following will outline the procedure to tune the box or maximize the output of the subwoofer box and driver combination.

## Closed Baffle Circuit

The sealed box encloser for subwoofers can be modeled as a lumped element system if the dimensions of the box are significantly shorter than the shortest wavelength reproduced by the subwoofer. Most subwoofer applications are crossed over around 80 to 100 Hz. A 100 Hz wave in air has a wavelength of about 11 feet. Subwoofers typically have all dimensions much shorter than this wavelength, thus the lumped element system analysis is accurate. Using this analysis, the following circuit represents a subwoofer enclosure system.

![Circuit.jpg](../../../upload.wikimedia.org/wikibooks/en/f/fe/Circuit.jpg)  


where all of the following parameters are in the mechanical mobility analog

Ve \- voltage supply

Re \- electrical resistance

Mm \- driver mass

Cm \- driver compliance

Rm \- resistance

RAr \- rear cone radiation resistance into the air

XAf \- front cone radiation reactance into the air

RBr \- rear cone radiation resistance into the box

XBr \- rear cone radiation reactance into the box

## Driver Parameters

In order to tune a sealed box to a driver, the driver parameters must be known. Some of the parameters are provided by the manufacturer, some are found experimentally, and some are found from general tables. For ease of calculations, all parameters will be represented in the SI units meter/kilogram/second. The parameters that must be known to determine the size of the box are as follows:

f0 \- driver free-air resonance

CMS \- mechanical compliance of the driver

SD \- effective area of the driver

#### Resonance of the Driver

The resonance of the driver is either provided by the manufacturer or must be found experimentally. It is a good idea to measure the resonance frequency even if it is provided by the manufacturer to account for inconsistent manufacturing processes.

The following diagram shows the setup for finding resonance:

[File:Frequency.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Frequency.jpg)  


Where voltage V1 is held constant and the variable frequency source is vaied until V2 is a maximum. The frequency where V2 is a maximum is the resonance frequency for the driver.

#### Mechanical Compliance

By definition compliance is the inverse of stiffness or what is commonly referred to as the spring constant. The compliance of a driver can be found by measuring the displacement of the cone when known masses are place on the cone when the driver is facing up. The compliance would then be the displacement of the cone in meters divided by the added weight in newtons.

#### Effective Area of the Driver

The physical diameter of the driver does not lead to the effective area of the driver. The effective diameter can be found using the following diagram:

![Effective area.jpg](../../../upload.wikimedia.org/wikibooks/en/a/a6/Effective_area.jpg)  


From this diameter, the area is found from the basic area of a circle equation.

## Acoustic Compliance

From the known mechanical compliance of the cone, the acoustic complaince can be found from the following equation:

CAS = CMSSD2

From the driver acoustic complaince, the box acoustic compliance is found. This is where the final application of the subwoofer is considered. The acoustic compliance of the box will determine the percent shift upwards of the resonant frequency. If a large shift is desire for high SPL applications, then a large ratio of driver to box acoustic compliance would be required. If a more flattened response is desire for high fidelity applications, then a lower ratio of driver to box acoustic compliance would be required. Specifically, the ratios can be found in the following figure using line (b) as reference.

CAS = CAB*r

r - driver to box acoustic complianc ratio

![Compliance.jpg](../../../upload.wikimedia.org/wikibooks/en/f/f4/Compliance.jpg)  


## Sealed Box Design

#### Volume of Box

The volume of the sealed box can now be found from the box acoustic compliance. The following equation is used to calculate the box volume

VB= CABγ

#### Box Dimensions

From the calculated box volume, the dimensions of the box can then be designed. There is no set formula for finding the dimensions of the box, but there are general guidelines to be followed. The face of the box which the driver is set in should not be a square. If the driver were mounted in the center of a square face, the waves generated by the cone would reach the edges of the box at the same time, thus when combined would create a strong diffracted wave in the listening space. In order to best prevent this, the driver should be either be mounted offset on a square face, or the face should be rectangular, with the driver closer to one edge.

The ratios between internal height, width and depth should never be integer (2:1, 3:1 etc.), as this would encourage the formation of standing waves inside the box. Some have suggested the use of the [Golden ratio](http://en.wikipedia.org/wiki/Golden_ratio) and others the [third](http://en.wikipedia.org/wiki/Cubic_root) root of 2, both of which are close to each other and close to the [IEC-recommended](http://en.wikipedia.org/wiki/International_Electrotechnical_Commission) ratios for room dimensions (which conform to the same acoustical requirements). In practice most manufacturers formulate their boxes based on aesthetic and cost considerations, while ensuring, through testing, that no major box resonances appear. In high quality units this entails the extensive use of rigid in-box bracing, sound absorption material, sophisticated alloys or polymers, complex geometrical shapes, including curves, etc.

# Acoustic Guitars

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

I plan to discuss the workings of an acoustic guitar, and how the topics that we have studied apply. This will largely be vibrations of strings and vibrations of cavities.

  


## Introduction

The acoustic guitar is one of the most well known musical instruments. Although precise dates are not known, the acoustic guitar is generally thought to have originated sometime during the Renaissance in the form of a lute, a smaller fretless form of what is known today. After evolving over the course of about 500 years, the guitar today consists of a few major components: the strings and neck, the bridge, soundboard, head, and internal cavity.

## Strings, Neck, and Head

The strings are what actually create vibration on the guitar. On a standard acoustic, there are six strings, each with a different constant linear density. Strings run along the length of the neck, and are wound around adjustable tuning pegs located on the head. These tuning pegs can be turned to adjust the tension in the string. This allows a modification of the wave speed, governed by the equation

![c^2=T/\\rho](../../../upload.wikimedia.org/math/0/0/d/00d9035959ae56c7bd7d826be84d59f8.png)

where c is the wave speed [m/s] as a function of tension [N], T, and rho is the linear density [kg/m^3]. The string is assumed to fixed at the head (x=0) and mass loaded at the bridge (x=L).

To determine the vibrating frequency of an open string, a general harmonic solution (GHS) is assumed, ![y\(x,t\)=Aexp\(j\(wt-kx\)\)+Bexp\(j\(wt-kx\)\)](../../../upload.wikimedia.org/math/7/3/5/735055a6dd2738665b6a0cc0c14c9c03.png)

To solve for coefficients A and B, boundary conditions at x=0 and x=L are evaluated. At x=0, string velocity (dy/dx) must be zero at all times because that end is assumed to be fixed. Applying this knowledge to the GHS produces

![y\(x,t\)=-2jAsin\(kx\)*exp\(jwt\)](../../../upload.wikimedia.org/math/7/2/4/724d3f465e2c39e5a2d378fed8f12ad9.png)

Alternatively, at the bridge (a.k.a the mass load at x=L), the bridge and soundboard (along with any other piece that may vibrate) is assumed to be a lumped element of mass m. The overall goal with this boundary condition is to determine the velocity of the mass. From Newton's second law (F=ma), the only force involved is the tension force in the string. The y-component of this force divided by mass m equals the acceleration. Knowing that acceleration equals velocity times jw (a=jwu),

[File:String tension.bmp](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=String_tension.bmp)

![u\(L,t\)=-T/\(j*w*m\)*\(dy/dx\)](../../../upload.wikimedia.org/math/4/9/8/498d28abf130b5a587b146d3923a3d33.png)

evaluated at x=L. Combining the two boundary equations and simplifying, a final equation can be obtained

![cot\(kL\)=\(m/ms\)kL](../../../upload.wikimedia.org/math/b/e/a/bead31ee6d539a8ff222f6f0df7d114b.png)

where k is the wavenumber (w/c), L is the string length, m is the lumped mass of the guitar body, ms is the total mass of the string (linear density times length), w is the frequency, and c is the wave speed. If the ratio of m/ms is large (which in a guitar's case, it is), these frequencies are designated by kL=n*pi. Simplified, the fundamental frequency can be given by

![f=sqrt\(T/rho\) / 2L](../../../upload.wikimedia.org/math/e/b/c/ebc5c47fa51971ce7e418130032b400d.png)

Therefore to adjust the resonance frequency of the string, either change the tension (turn the tuning knob), change the linear density (play a different string), or adjust the length (use the fretboard).

To determine the location of the frets, musical notes must be considered. In the musical world, it is common practice to use a tempered scale. In this scale, an A note is set at 440 Hz. To get the next note in the scale, multiply that frequency by the 12th root of 2 (approximately 1.059), and an A-sharp will be produced. Multiply by the same factor for the next note, and so on. With this in mind, to increase f by a factor of 1.059, a corresponding factor should be applied to L. That factor is 1/17.817, with L in inches. For example, consider an open A string, vibrating at 440 Hz. For a 26 inch string, the position of the first fret is (26/17.817=1.459) inches from the head. The second fret will be ((26-1.459)/17.817) inches from the first, and so on.

## Bridge

The bridge is the connection point between the strings and the soundboard. The vibration of the string moves the assumed mass load of the bridge, which vibrates the soundboard, described next.

## Soundboard

The soundboard increases the surface area of vibration, increasing the initial intensity of the note, and is assisted by the internal cavity.

## Internal Cavity

The internal cavity acts as a Helmholtz resonator, and helps to amplify the sound. As the sound board vibrates, the sound wave is able to resonate inside.

# Basic Room Acoustic Treatments

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

  


## Introduction

Many people use one or two rooms in their living space as "theatrical" rooms where theater or music room activities commence. It is a common misconseption that adding speakers to the room will enhance the quality of the room acoustics. There are other simple things that can be done to increase the acoustics of the room to produce sound that is similar to "theater" sound. This site will take you through some simple background knowledge on acoustics and then explain some solutions that will help improve sound quality in a room.

## Room Sound Combinations

The sound you hear in a room is a combination of direct sound and indirect sound. Direct sound will come directly from your speakers while the other sound you hear is reflected off of various objects in the room.

![Sound lady.jpg](../../../upload.wikimedia.org/wikibooks/en/b/ba/Sound_lady.jpg)

The Direct sound is coming right out of the TV to the listener, as you can see with the heavy black arrow. All of the other sound is reflected off surfaces before they reach the listener.

sound travels in the ground faster than in the air because the particles in the solid are closer so they vibrate faster and have a quicker reaction.

## Good and Bad Reflected Sound

Have you ever listened to speakers outside? You might have noticed that the sound is thin and dull. This occurs because when sound is reflected, it is fuller and louder than it would if it were in an open space. So when sound is reflected, it can add a fullness, or spaciousness. The bad part of reflected sound occurs when the reflections amplify some notes, while cancelling out others, changing the character of the sound. It can also affect tonal quality and create an echo-like effect. There are three types of reflected sound, pure reflection, absorption, and diffusion. Each reflection type is important in creating a "theater" type acoustic room.

![Sound.jpg](../../../upload.wikimedia.org/wikibooks/en/8/81/Sound.jpg)

### Reflected Sound

Reflected sound waves, good and bad, affect the sound you hear, where it comes from, and the quality of the sound when it gets to you. The bad news when it comes to reflected sound is standing waves.[more on standing waves](http://en.wikibooks.org/w/index.php?title=More_on_standing_waves&action=edit&redlink=1) These waves are created when sound is reflected back and forth between any two parallel surfaces in your room, ceiling and floor or wall to wall. Standing waves can distort noises 300Hz and down. These noises include the lower mid frequency and bass ranges. Standing waves tend to collect near the walls and in corners of a room, these collecting standing waves are called room resonance modes.

#### Finding your room resonance modes

First, specify room dimensions (length, width, and height). **Then follow this example:**

![Equationandexample.jpg](../../../upload.wikimedia.org/wikibooks/en/a/a3/Equationandexample.jpg)![Resmodelpic.jpg](../../../upload.wikimedia.org/wikibooks/en/7/70/Resmodelpic.jpg)![Exampletable.jpg](../../../upload.wikimedia.org/wikibooks/en/7/76/Exampletable.jpg)

#### Working with room resonance modes to increase sound quality

##### 1\. There are some room dimensions that produce the largest amount of standing waves.

a. Cube

b. Room with 2 out of the three dimensions equal

c. Rooms with dimensions that are multiples of each other

##### 2\. Move the chair or sofa away from the walls or corners to reduce standing wave effects

### Absorbed

The sound that humans hear is actually a form of acoustic energy. Different materials absorb different amounts of this energy at different frequencies. When considering room acoustics, there should be a good mix of high frequency absorbing materials and low frequency absorbing materials. A table including information on how different common household surfaces absorb sound can be found on the website <http://www.crutchfieldadvisor.com/learningcenter/home/speakers_roomacoustics.html?page=2#materials_table>

### Diffused Sound

Using devices that diffuse sound is a fairly new way of increasing acoustic performance in a room. It is a means to create sound that appears to be "live". They can replace echo-like reflections without absorbing too much sound.

Some ways of determining where diffusive items should be placed were found on <http://www.crutchfieldadvisor.com/S-hpU9sw2hgbG/learningcenter/home/speakers_roomacoustics.html?page=4>:

1.) If you have carpet or drapes already in your room, use diffusion to control side wall reflections.

2.) A bookcase filled with odd-sized books makes an effective diffusor.

3.) Use absorptive material on room surfaces between your listening position and your front speakers, and treat the back wall with diffusive material to re-distribute the reflections.

## How to Find Overall Trouble Spots In a Room

Every surface in a room does not have to be treated in order to have good room acoustics. Here is a simple method of finding trouble spots in a room.

1.) Grab a friend to hold a mirror along the wall near a certain speaker at speaker height.

2.) The listener sits in a spot of normal viewing.

3.) The friend then moves slowly toward the listening position (stay along the wall).

4.) Mark each spot on the wall where the listener can see any of the room speakers in the mirror.

5.) Congratulations! These are the trouble spots in the room that need an absorptive material in place. Don't forget that diffusive material can also be placed in those positions.

## References Sound

<http://www.ecoustics.com/Home/Accessories/Acoustic_Room_Treatments/Acoustic_Room_Treatment_Articles/>

<http://www.audioholics.com/techtips/roomacoustics/roomacoustictreatments.php>

<http://www.diynetwork.com/diy/hi_family_room/article/0,2037,DIY_13912_3471072,00.html>

<http://www.crutchfieldadvisor.com/S-hpU9sw2hgbG/learningcenter/home/speakers_roomacoustics.html?page=1>

  
[Back to the main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

# Boundary Conditions and Wave Properties

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

## Boundary Conditions

The functions representing the solutions to the wave equation previously discussed,

  
i.e. ![y\(x,t\)= f\(\\xi\)+g\(\\eta\)\\,](../../../upload.wikimedia.org/math/5/b/d/5bde1bdeb31bbd053f104b2c26b3a1ee.png) with ![\\xi=ct-x\\,](../../../upload.wikimedia.org/math/e/6/0/e60265c2cba12c368706363735656dd5.png) and ![\\eta=ct+x\\,](../../../upload.wikimedia.org/math/c/7/4/c74710f36ef778cb71b2524b4a3b8c76.png)

  
are dependent upon the boundary and initial conditions. If it is assumed that the wave is propagating through a string, the initial conditions are related to the specific disturbance in the string at t=0. These specific disturbances are determined by location and type of contact and can be anything from simple oscillations to violent impulses. The effects of boundary conditions are less subtle.

  
The most simple boundary conditions are the Fixed Support and Free End. In practice, the Free End boundary condition is rarely encountered since it is assumed there are no transverse forces holding the string (e.g. the string is simply floating).
    
    
    - For a Fixed Support:
    

The overall displacement of the waves travelling in the string, at the support, must be zero. Denoting x=0 at the support, This requires:

  
![y\(0,t\)= f\(ct-0\)+g\(ct+0\) = 0\\,](../../../upload.wikimedia.org/math/2/f/3/2f30470a2d9f8515ff300138fdba3dd2.png)

  
Therefore, the total transverse displacement at x=0 is zero.
    
    
    - For a Free Support:
    

Unlike the Fixed Support boundary condition, the transverse displacement at the support does not need to be zero, but must require the sum of transverse forces to cancel. If it is assumed that the angle of displacement is small,

![\\sin\(\\theta\)\\approx\\theta=\\left\( \\frac{\\partial y}{\\partial x} \\right\)\\,](../../../upload.wikimedia.org/math/7/d/0/7d03765c092a6d3f8d218a29f8797ae7.png)

and so,

![\\sum F_{y} = T\\sin\(\\theta\)\\approx T\\left\( \\frac{\\partial y}{\\partial x} \\right\)=0\\,](../../../upload.wikimedia.org/math/d/e/9/de9ae20cbeb161c30ef5ca14153702b6.png)

But of course, the tension in the string, or T, will not be zero and this requires the slope at x=0 to be zero:

i.e. ![ \\left\( \\frac{\\partial y}{\\partial x} \\right\)=0\\,](../../../upload.wikimedia.org/math/f/9/b/f9bc848febf40dc4fca453d2a32460da.png)

  

    
    
    - Other Boundary Conditions:
    

There are many other types of boundary conditions that do not fall into our simplified categories. As one would expect though, it isn't difficult to relate the characteristics of numerous "complex" systems to the basic boundary conditions. Typical or realistic boundary conditions include mass-loaded, resistance-loaded, damping-loaded, and impedance-loaded strings. For further information, see Kinsler, Fundamentals of Acoustics, pp 54-58.

## Wave Properties

To begin with, a few definitions of useful variables will be discussed. These include; the wave number, phase speed, and wavelength characteristics of wave travelling through a string.

  
The speed that a wave propagates through a string is given in terms of the phase speed, typically in m/s, given by:

  
![c = \\sqrt{T/\\rho_{L}}\\,](../../../upload.wikimedia.org/math/d/c/3/dc33a90471b41c59eaf52658b7fc33e2.png) where ![\\rho_{L}\\,](../../../upload.wikimedia.org/math/a/b/2/ab2c3239977d55f300af544ab555f22b.png) is the density per unit length of the string.

  
The wave number is used to reduce the transverse displacement equation to a simpler form and for simple harmonic motion, is multiplied by the lateral position. It is given by:

  
![k=\\left\( \\frac{\\omega}{c} \\right\)\\,](../../../upload.wikimedia.org/math/c/3/9/c392ef4467af25d03ea2217ebd05293e.png) where ![\\omega=2\\pi f\\,](../../../upload.wikimedia.org/math/5/7/e/57e34fb03d8c7f1b1a7d92bdee47afae.png)

  
Lastly, the wavelength is defined as:

![\\lambda=\\left\( \\frac{2\\pi}{k} \\right\)=\\left\( \\frac{c}{f} \\right\)\\,](../../../upload.wikimedia.org/math/7/0/6/7068259078f1aee13f963234343910de.png)

and is defined as the distance between two points, usually peaks, of a periodic waveform.

These "wave properties" are of practical importance when calculating the solution of the wave equation for a number of different cases. As will be seen later, the wave number is used extensively to describe wave phenomenon graphically and quantitatively.

For further information: [Wave Properties](http://scienceworld.wolfram.com/physics/Wavenumber.html)

  


  


[Back to Main page](http://en.wikibooks.org/wiki/Engineering_Acoustics)

* * *

Edited by: Mychal Spencer

# Rotor Stator Interactions

![EA1.jpg](../../../upload.wikimedia.org/wikibooks/en/thumb/3/30/EA1.jpg/200px-EA1.jpg)

[Authors](http://en.wikibooks.org/wiki/Engineering_Acoustics/Authors) · **Print** · [License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License)

[Edit this template](http://en.wikibooks.org/wiki/Template:Engineering_Acoustics)

_Part 1: Lumped Acoustical Systems_ – [1.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Simple_Oscillation) – [1.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Forced_Oscillations\(Simple_Spring-Mass_System\)) – [1.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Mechanical_Resistance) – [1.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Characterizing_Damped_Mechanical_Systems) – [1.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-Mechanical_Analogies) – [1.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/Methods_for_checking_Electro-Mechanical_Analogies) – [1.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Examples) – [1.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Primary_variables_of_interest) – [1.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Electro-acoustic_analogies) – [1.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transducers_-_Loudspeaker) – [1.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Resonators)

_Part 2: One-Dimensional Wave Motion_ – [2.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Transverse_vibrations_of_strings) – [2.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Time-Domain_Solutions) – [2.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Forced_Vibrations)

_Part 3: Applications_ – [3.1](http://en.wikibooks.org/wiki/Engineering_Acoustics/Room_Acoustics_and_Concert_Halls) – [3.2](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bass_Reflex_Enclosure_Design) – [3.3](http://en.wikibooks.org/wiki/Engineering_Acoustics/New_Acoustic_Filter_For_Ultrasonics_Media) – [3.4](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_in_Hydraulic_Systems) – [3.5](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Acoustics_of_the_Marimba) – [3.6](http://en.wikibooks.org/wiki/Engineering_Acoustics/How_an_Acoustic_Guitar_works) – [3.7](http://en.wikibooks.org/wiki/Engineering_Acoustics/Specific_application-automobile_muffler) – [3.8](http://en.wikibooks.org/wiki/Engineering_Acoustics/Bessel_Functions_and_the_Kettledrum) – [3.9](http://en.wikibooks.org/wiki/Engineering_Acoustics/Filter_Design_and_Implementation) – [3.10](http://en.wikibooks.org/wiki/Engineering_Acoustics/Flow-induced_oscillations_of_a_Helmholtz_resonator_and_applications) – [3.11](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustics_in_Violins) – [3.12](http://en.wikibooks.org/wiki/Engineering_Acoustics/Moving_Coil_Loudspeaker) – [3.13](http://en.wikibooks.org/wiki/Engineering_Acoustics/Attenuation_of_Sound_Waves) – [3.14](http://en.wikibooks.org/wiki/Engineering_Acoustics/Car_Mufflers) – [3.15](http://en.wikibooks.org/wiki/Engineering_Acoustics/Noise_from_cooling_fans) – [3.16](http://en.wikibooks.org/wiki/Engineering_Acoustics/Human_Vocal_Fold) – [3.17](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Design_and_Operation) – [3.18](http://en.wikibooks.org/wiki/Engineering_Acoustics/Piezoelectric_Transducers) – [3.19](http://en.wikibooks.org/wiki/Engineering_Acoustics/Microphone_Technique) – [3.20](http://en.wikibooks.org/wiki/Engineering_Acoustics/Sealed_Box_Subwoofer_Design) – [3.21](http://en.wikibooks.org/wiki/Engineering_Acoustics/Acoustic_Guitars) – [3.22](http://en.wikibooks.org/wiki/Engineering_Acoustics/Basic_Room_Acoustic_Treatments) – [3.23](http://en.wikibooks.org/wiki/Engineering_Acoustics/Boundary_Conditions_and_Wave_Properties) – [3.24](http://en.wikibooks.org/wiki/Engineering_Acoustics/Rotor_Stator_Interactions)

An important issue for the aeronautical industry is the reduction of aircraft noise. The characteristics of the turbomachinery noise are to be studied. The rotor/stator interaction is a predominant part of the noise emission. We will present an introduction to these interaction theory, whose applications are numerous. For example, the conception of air-conditioning ventilators requires a full understanding of this interaction.

[http://en.wikipedia.org/w/index.php?title=Rotor/Stator_Interaction&action=edit](http://en.wikipedia.org/w/index.php?title=Rotor/Stator_Interaction&action=edit) Edit this page

## Noise emission of a Rotor-Stator mechanism

A Rotor wake induces on the downstream Stator blades a fluctuating vane loading, which is directly linked to the noise emission.

We consider a B blades Rotor (at a rotation speed of ![\\Omega](../../../upload.wikimedia.org/math/b/9/d/b9d99db8626de63193c7fe96273a6cae.png)) and a V blades stator, in a unique Rotor/Stator configuration. The source frequencies are multiples of ![B \\Omega](../../../upload.wikimedia.org/math/d/7/9/d795f78d244c9e2ca67aac1f6e6715cf.png), that is to say ![mB \\Omega](../../../upload.wikimedia.org/math/f/a/7/fa7b027c10c206ec78e43436c2c0cac5.png). For the moment we don’t have access to the source levels ![F_{m}](../../../upload.wikimedia.org/math/9/1/d/91d1f422a9b78c965b22432cf02cbcb5.png). The noise frequencies are also ![mB \\Omega](../../../upload.wikimedia.org/math/f/a/7/fa7b027c10c206ec78e43436c2c0cac5.png), not depending on the number of blades of the stator. Nevertheless, this number V has a predominant role in the noise levels (![P_{m}](../../../upload.wikimedia.org/math/b/f/a/bfa5ad69796510ca34b8ad400fa99597.png)) and directivity, as it will be discussed later.

  


_Example_

_For an airplane air-conditioning ventilator, reasonable data are :_

_![B=13](../../../upload.wikimedia.org/math/8/4/f/84f0d4f53f8611b6bf19e843d0d7cada.png) and ![\\Omega = 12000](../../../upload.wikimedia.org/math/2/b/e/2bea06fd0378fcc0d8b202db3bc282ec.png) rnd/min_

_The blade passing frequency is 2600 Hz, so we only have to include the first two multiples (2600 Hz and 5200 Hz), because of the human ear high-sensibility limit. We have to study the frequencies m=1 and m=2._

  


  


## Optimization of the number of blades

As the source levels can't be easily modified, we have to focuse on the interaction between those levels and the noise levels.

The transfer function ![{{F_m } \\over {P_m }}](../../../upload.wikimedia.org/math/6/7/a/67ae39feb262fb64eabcc6d838fc0475.png) contains the following part :

  


![
\\sum\\limits_{s =  - \\infty }^{s =  + \\infty } {e^{ - {{i\(mB - sV\)\\pi } \\over 2}} J_{mB - sV} } \(mBM\)
](../../../upload.wikimedia.org/math/a/3/8/a3805e6186914bd399e9247ef4db9ea6.png)

  


Where m is the Mach number and ![J_{mB - sV}](../../../upload.wikimedia.org/math/3/7/6/376f450f948db5fdc783d9877136074d.png) the Bessel function of mB-sV order. In order to minimize the influence of the transfer function, the goal is to reduce the value of this Bessel function. To do so, the argument must be smaller than the order of the Bessel function.

  


_Back to the example :_

_For m=1, with a Mach number M=0.3, the argument of the Bessel function is about 4. We have to avoid having mB-sV inferior than 4. If V=10, we have 13-1x10=3, so there will be a noisy mode. If V=19, the minimum of mB-sV is 6, and the noise emission will be limited._

  
_Remark :_

_The case that is to be strictly avoided is when mB-sV can be nul, which causes the order of the Bessel function to be 0. As a consequence, we have to take care having B and V prime numbers._

  


  


## Determination of source levels

The minimization of the transfer function ![{{F_m } \\over {P_m }}](../../../upload.wikimedia.org/math/6/7/a/67ae39feb262fb64eabcc6d838fc0475.png) is a great step in the process of reducing the noise emission. Nevertheless, to be highly efficient, we also have to predict the source levels ![F_{m}](../../../upload.wikimedia.org/math/9/1/d/91d1f422a9b78c965b22432cf02cbcb5.png). This will lead us to choose to minimize the Bessel functions for the most significative values of m. For example, if the source level for m=1 is very higher than for m=2, we will not consider the Bessel functions of order 2B-sV. The determination of the source levels is given by the Sears theory,which will not be explicited here.

  


  


## Directivity

All this study was made for a privilegiate direction : the axis of the Rotor/Stator. All the results are acceptable when the noise reduction is ought to be in this direction. In the case where the noise to reduce is perpendicular to the axis, the results are very different, as those figures shown :

  
For B=13 and V=13, which is the worst case, we see that the sound level is very high on the axis (for ![\\theta = 0](../../../upload.wikimedia.org/math/1/9/f/19f79ae2c22ce446fc72582b4db5dfc7.png))

[File:1313bis.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=1313bis.jpg)

  
For B=13 and V=19, the sound level is very low on the axis but high perpendicularly to the axis (for ![\\theta = Pi/2](../../../upload.wikimedia.org/math/e/b/8/eb8cc1f572a2f349f7f4338621802080.png))

[File:1319bis.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=1319bis.jpg)

  


  


## External references

# License

## GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&oldid=2377706](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&oldid=2377706)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [Engineering Acoustics](http://en.wikibooks.org/wiki/Category:Engineering_Acoustics)

Hidden categories: 

  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [Books to be merged](http://en.wikibooks.org/wiki/Category:Books_to_be_merged)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Engineering+Acoustics%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=Engineering+Acoustics%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:Engineering_Acoustics/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * [Contact us](/wiki/Wikibooks:Contact_us)

### Tools

  * [What links here](/wiki/Special:WhatLinksHere/Engineering_Acoustics/Print_version)
  * [Related changes](/wiki/Special:RecentChangesLinked/Engineering_Acoustics/Print_version)
  * [Upload file](//commons.wikimedia.org/wiki/Special:UploadWizard)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/Engineering_Acoustics/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/Engineering_Acoustics/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&oldid=2377706)
    * [Page information](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=Engineering_Acoustics%2FPrint_version&id=2377706)

### In other languages

    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=Engineering+Acoustics%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Engineering+Acoustics%2FPrint+version&oldid=2377706&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=Engineering_Acoustics/Print_version&printable=yes)

    * This page was last modified on 14 July 2012, at 19:03.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/Engineering_Acoustics/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
