# European History/Print version

From Wikibooks, open books for an open world

< [European History](http://en.wikibooks.org/wiki/European_History)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [European History](http://en.wikibooks.org/wiki/European_History)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&action=purge&printable=yes) this page.

  


European History

The current, editable version of this book is available in Wikibooks, the open-content textbooks collection, at  
<http://en.wikibooks.org/wiki/European_History>

Permission is granted to copy, distribute, and/or modify this document under the terms of the [Creative Commons Attribution-ShareAlike 3.0 License](http://en.wikibooks.org/wiki/Wikibooks:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License).

  * [GNU Free Documentation License](Print_version.html#GNU_Free_Documentation_License)

  


# **Chapter 01** \- The Crises of the Middle Ages

## Introduction

The Middle Ages was a period of approximately 1000 years of history; generally accepted as spanning from the fall of the Roman Empire (toward the end of the 5th century) to the Protestant reformation in the 16th century. This period began with a demographic downturn at the end of the Roman imperial era, with European populations shrinking and many cities and rural estates abandoned. A cooling climate, disease, and political disorder each played a part in this opening period which saw Classical Mediterranean civilization eclipsed. Across Europe, there emerged smaller, more localized hybrid societies combining Roman, Christian and Germanic or Celtic barbarian influences. By the 9th and 10th centuries, populations had reached their minima, and Europe became a largely rural and somewhat backward region. Commerce and learning flourished in the Islamic world, China and India during this the same period. Islamic armies conquered Spain during the 7th and 8th centuries, but were defeated by the Frankish kingdom in 732 when they attempted to enter France.

The turn of the first millennium saw renewed growth and activity, as kings and cities consolidated their authority and began to repopulate lands left empty by Rome's decline. Warmer weather after 900 allowed more land to be brought into food production. The feudal system of agriculture, where peasants were tied to their estates by obligations to local lords or to the church, provided a degree of economic stability. This was aided by the arrival in Europe of the horse collar from Asia, which increased crop yields by allowing plows to be drawn by horse, rather than by slower oxen. Commercial towns flourished in England, France and the Low Countries. German rulers dispatched monks and peasants to clear forests and settle in Eastern Europe and the Baltic regions. The city-states of northern Italy rose in wealth and influence. Islamic Spain became a center of learning and culture where Christians, Muslims and Jews coexisted in relative amity. Despite many local wars and disputes between knights, the High Middle Ages, from 1000-1250, saw growing populations and prosperity enough to build great cathedrals and send European armies abroad on crusades.

After 1250, demographic stagnation emerged. Population growth slowed or stopped as the limits of medieval agriculture were reached. Major conflicts between powerful kingdoms, such as the Hundred Years' War between England and France, became more frequent. The Christian church, previously secure in its spiritual authority, was racked by schisms and increasing financial corruption. The year 1348 saw a catastrophe as the virulent bubonic plague (the "Black Death"), entered Italy, carried by ships from Asia. It spread across the continent over three years killing, by some estimates, one-third of all Europeans. Many believed it was the end of the world foretold by Christian myth. Along with its suffering, the plague wrought economic havoc, driving up the cost of labor and making the old feudal system untenable, as surviving peasants scorned its demands.

The following century and a half transformed Europe from a patchwork of feudal fiefdoms, under loose royal and church control, into a collection of newborn but increasingly unified national states. Towns became centers of resistance and dissent to the old royal and church authorities. Former noble and knightly influence declined, and rulers realigned themselves toward the increasingly wealthy and influential burgher and merchant classes. Emergence of the printing press and spreading literacy, increased religious and political conflict in many countries. By 1500, Christopher Columbus had sailed across the ocean to the New World, and Martin Luther was about to take much of Europe out of the orbit of the Roman church. These developments opened the modern era of history, and brought the Middle Ages to their true end.

A number of modern institutions have their roots in the Middle Ages. The concept of nation-states with strong central governmental power stems from the consolidation of powers by some kings of the Middle Ages. These kings formed royal courts, appointed sheriffs, formed royal armies, and began to collect taxes - all concepts central to modern government. A leading example was the French kingdom, ruled by the Capetian dynasty from 987 until the early 14th century. French provincial nobles and their castles and knights were brought under effective royal control during this time, and national unity benefited. Conversely Germany, which had strong kings in the 10th and early 11th centuries, suffered a series of political conflicts during the High Middle Ages between rulers and the Church, which weakened national cohesion and elevated regional lords to great influence.

During the Middle Ages, Kings originally called Parliaments to explain their policies and ask for money. Parliaments at this time represented the three collective estates - the clergy, nobles, and merchants - not individuals.

The idea of limited government also arose, challenging the traditional notion at the time that rulers were all-powerful (such as a Roman emperor or an Egyptian pharaoh). The most substantial occurrence was in 1215, when the nobles of England asserted their rights against King John in the _Magna Carta_. In addition, the notion of parliaments, as explained above, came into existence, and the reciprocal nature of the feudal and manorial contracts laid the most basic groundwork for the concept of the social contract.

In addition, the formation of governmental bureaucracy began during this time, as the royal councils of medieval kings evolved into modern government departments.

Finally, the regulation of goods and services became increasingly prominent during the Middle Ages, as guilds protected the consumer from poor products.

Thinkers of the Renaissance and the Enlightenment tended to look at the Middle Ages with scorn, but the Middle Ages were essential in laying the groundwork for the times to come.

## New Forms of Art

Both painting and literature received a new burst of life as the [Early Middle Ages](http://en.wikipedia.org/wiki/Early_Middle_Ages) came to an end.

### Painting

[Giotto](http://en.wikipedia.org/wiki/Giotto) began to express the [Human](http://en.wikipedia.org/wiki/Human) form more realistically. Although his forms seem primitive compared to those of the Renaissance artists, he was the first to attempt to bring back the realism of [Roman](http://en.wikipedia.org/wiki/Rome) art. He also began to develop techniques of perspective in paintings to achieve depth. Most of his art was in the form of plaster-based frescoes on the walls of chapels and churches.

### Literature

As the prestige of the Papacy began to decline, national consciousness began to increase; this nationalism was manifested in literature written in national languages, or [vernacular](http://en.wikipedia.org/wiki/vernacular), instead of traditional [Latin](http://en.wikipedia.org/wiki/Latin). This use of the vernacular opened up such that cultural peculiarities could be more naturally expressed. This allowed literature to feel more realistic and human to the readers, and is why pieces such as _[The Canterbury Tales](http://en.wikipedia.org/wiki/The_Canterbury_Tales)_ are considered depictions of life in the times in which they were written.

While the literacy of laypeople increased as a result of increased vernacular writings, society was still largely based on [oral culture](http://en.wikipedia.org/wiki/oral_culture).

#### Dante Alighieri (1265-1321)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Dante_Luca.jpg/220px-Dante_Luca.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dante Alighieri - detail from Luca Signorelli's fresco, Chapel of San Brizio, Orvieto Cathedral (1499-1502)

    _I am the way to the dolent city_
    _I am the way to eternal sorrow_
    _I am the way to a forsaken people_  

    _Abandon all hope ye who enter here._
        \-- Canto III, _Inferno_

[Dante Aligheri](http://en.wikipedia.org/wiki/Dante_Aligheri) was born in 1265 in [Florence](http://en.wikipedia.org/wiki/Florence), [Italy](http://en.wikipedia.org/wiki/Italy). His family was not rich but was considered an aristocratic line. He was taught by [Brunetto Latini](http://en.wikipedia.org/wiki/Brunetto_Latini), who trained him in the classical liberal arts, including [Latin](http://en.wikipedia.org/wiki/Latin) and [Greek](http://en.wikipedia.org/wiki/Greek). Yet, Dante set out to embrace his vernacular language and began to write _[The Divine Comedy](http://en.wikipedia.org/wiki/The_Divine_Comedy)_ in his local Tuscan dialect. Today he holds a place in history as the first author to do so. Alighieri considered his work a [comedy](http://en.wikipedia.org/wiki/comedy) due to the differences between his Italian writing style and the great Latin [tragedy](http://en.wikipedia.org/wiki/tragedies). His three-part [epic poem](http://en.wikipedia.org/wiki/epic_poem) sarcastically criticized the Church and commented on a variety of historical and contemporary individuals. The most important of these figures is [Virgil](http://en.wikipedia.org/wiki/Virgil), the Latin poet, who plays the role of Dante's guide through the [afterlife](http://en.wikipedia.org/wiki/afterlife). Dante's personal feelings towards many people are also evident in his writing. In the deepest layer of hell he punishes those for whom he personally had the greatest disdain. Much of this personal disdain came from his position as a politician in Florence. One of the victims of his deepest layer of hell is [Boniface VIII](http://en.wikipedia.org/wiki/Boniface_VIII), a pope whose political policy of expansion he opposed. Each of the poem's parts portray degrees of salvation, with "Inferno" being Hell, "Purgatorio" being Purgatory, and "Paradiso" being Heaven. Inferno includes many of the [archetype](http://en.wikipedia.org/wiki/archetypical) depictions of hell including the [River Styx](http://en.wikipedia.org/wiki/River_Styx), and the ferry man Charon who carries people across the river.

#### Geoffrey Chaucer (1340-1400)

[Chaucer](http://en.wikipedia.org/wiki/Chaucer)'s _[The Canterbury Tales](http://en.wikipedia.org/wiki/The_Canterbury_Tales)_, a collection of stories, exposed the materialistic, worldly interests of a variety of English people. This collection of stories was set in a frame based around a trip to [Canterbury](http://en.wikipedia.org/wiki/Canterbury) as a [pilgrimage](http://en.wikipedia.org/wiki/pilgrimage) to the shrine of [Saint Thomas Becket](http://en.wikipedia.org/wiki/Saint_Thomas_Becket). The stories are the individual tales of thirty people making this pilgrimage. The accounts range from romance to family to religion, providing a cross section of society at the time. A large percentage of the populace, and therefore a large percentage of the characters, seemed more focused on material pleasure than on their eternal souls. _The Canterbury Tales_ is also useful as a study of English [vernacular](http://en.wikipedia.org/wiki/vernacular) at the time. It is a classical example of [Middle English](http://en.wikipedia.org/wiki/Middle_English) that linguists and those studying medieval and early modern England continue to use to this day.

## The Hundred Years War (1337-1453)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Joan_of_arc_interrogation.jpg/220px-Joan_of_arc_interrogation.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Joan of Arc led a French army against the English during the Hundred Years war and succeeded in halting the English advance. She was captured by the English whilst on campaign and was taken to England to stand trial. This later painting (1824) by Paul Delaroche shows Joan Of Arc being interrogated by the Cardinal of Winchester

The Hundred Years War was a very complex war, fought between France and England (with the occasional intervention of other countries), over three main conflicts. In particular, the nations fought over control of the Gascony region in France, rebellions supported by Britain in French cloth production towns, and English claims to the French throne after the death of Charles IV.

The war, initially sparked by a dispute over who would become King of France after the death of King Charles IV, quickly became an amazingly complex and multi-faceted war. King Edward III and his son Edward, commonly known as "The Black Prince", invaded Aquitaine, a huge region in southwest France claimed by England. As time went on, the Kings of England and France involved themselves in many more operations, ranging from a civil war in Brittany, trade disputes in what became Belgium, even a war in Castile. The three major battles of the Hundred Years War, Crecy, Poitiers, and Agincourt, were resounding English victories, the flower of French nobility being cut down at every battle. However, even though the English won every major battle and many of the smaller ones, relatively poor England was never able to subdue southern France, by far the wealthiest portion of France, which eventually led to the English losing the war.

## The Rise of Towns and Commerce

From the 6th to 10th centuries, there were few commerce centers and only small merchant classes in Europe. What long-distance trade there was usually focussed on luxury goods for the nobility and church elites, and was mediated by traveling merchants such as Syrians or Jews. Crafts were carried on locally in manors. Populations were not large enough to support further economic developments, and Viking and Arab attacks made trade routes hazardous.

During the High Middle Ages of 1000-1500, long distance trading became safer and thus more profitable. As a result, craftsmen moved into growing centers of trade, forcing lords and serfs to have to get their goods from these centers of trade. Towns formed leagues and [urban federations](http://en.wikipedia.org/wiki/urban_federation), or communes, that worked together to fight crime or deal with monarchs and nobles. Guilds also arose, allowing for the collective supervision of affairs - the work was done by reliable people, and the guilds provided for vocational education. The spirit of the medieval economy, however, was to prevent competition.

The rise of towns had an emancipating effect. They forced the lords to offer freer terms to the peasantry. Often, peasants earned freedom in return for an annual payment to the lord. Allowing large numbers of people to move from agricultural to industrial work in the towns brought economic acceleration. Indeed, a sort of handicraft industrial revolution took place during the 12th and 13th centuries, especially in the Low Countries where great cloth-making centers such as Ghent and Bruges accumulated much wealth and stimulated growth in Western Europe generally. The Hansa, a widespread league of North Sea, Norwegian and Baltic trading towns, emerged in this period, opening up Scandinavian resources to supply Western Europe with furs, timber, beeswax, and fish.

The High Middle Ages also saw Europeans returning from Crusades in the Middle East, where they had developed tastes for goods not produced at home. These homecomings introduced medieval Europeans to exotic spices, silks, fruits, drugs, and other eastern products for the first time. Cities around the Mediterranean took part in the trade that developed, with Venice becoming the richest port of entry for Asian goods, the base from which Marco Polo and his companions set forth on their journey to China.

## Growth of National Monarchies

During this same time period, the monarchies began to grow, and as a result people began to see the formation of unified nation-states. Kings sent executive orders and began to institute royal courts, and they lived off of money from the manors that they owned and fees from their vassals. The king's royal council was a group of his vassals that advised him on state matters, which resulted in the formation of basic departments of government. When representatives of towns began to meet, this was an early formation of basic parliaments.

These parliaments didn't have the ability to dictate to the king, but could state grievances and the king could act upon them. This was a basic sort of legislation.

In addition, the formation of these parliaments led to the establishment of the three estates: the first estate, which was encompassed by the clergy; the second estate, made up of the landed and noble class; and the third estate, or the burghers of chartered towns. England had two houses of parliament - the House of Lords and the House of Commons. The House of Commons allowed lesser landholders to become members.

## The Black Death

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Bubonic_plague_map.PNG/250px-Bubonic_plague_map.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Spread of the Black Death in Europe.

Black Death, or Bubonic Plague, hit Europe in 1347. Transmitted primarily by fleas and rats, the bacteria _Y. Pestis_ swept across the continent, killing one third of the population by 1351. The bacteria is thought to have been endemic among rodent populations on the Asian steppes, and jumped to humans in Europe with great virulence. The onset of the disease was sudden; the symptoms were fever, weakness, delirium, lung distress, and dark-colored swellings (buboes) in the neck, armpit and groin areas. Quite often, those infected died within 1-2 days, including young and previously healthy individuals.

### Causes of the Plague

The revival of trade and commerce increased the potential for the spread of communicable diseases. Europe had not suffered a continent wide plague since the plague of Justinian in 535, and the unexposed populations of 1348 had no inherited immunity. Though prosperity had risen, nutrition and sanitation for most Europeans were very poor by modern standards, decreasing immune resistance in general. Many adults had also suffered as young children in the Great Famine of 1316-1321, when several years of cold and wet weather caused crops to fail across the continent. This experience in childhood may also have compromised their resistance to the plague bacillus in later life.

The plague is thought to have been brought to Europe during a Mongol attack on Kaffa (in the Black Sea); when sickness forced the Mongols to abandon their attack, they catapulted a few plague victims into town before leaving. Ironically, this became a common practice for Europeans in castle siege. From there, merchants spread the disease to Constantinople, where it propagated throughout Europe, first by ship to Mediterranean ports such as Messina and Genoa, and then by land in all directions.

A shortage of wood fuel, due to cutting of forests for agriculture, resulted in the shutting down of bath houses which relied on burning wood to heat the water. Particularly in winter, only the rich could afford to bathe. This further contributed to poor hygienic conditions. Cities were also very poorly designed for hygiene. Citizens commonly dumped waste into the street which attracted rats, and thus fleas. Living in cities was also very close, which meant that fleas had little area to travel to infect another person.

The plague was blamed on many things in particular the Jews were a common scapegoat for the plague, including city leaders claiming that members of the Jewish community had poisoned the water supply, or spread a poisonous salve on the gates of the city.

It is important to understand that Europeans did not understand the real cause of the plague. To them the plague was a curse brought on them by their lack of piety, or the failings of the church, the cities' Jewish population, or even the configuration of the stars. Others even attributed the plague to bad air. To combat it, they carried kerchiefs or bags of "aromatics" that they could hold to their noses as needed. (The opinion of Europe's leading medical faculty, at the University of Paris, was that the outbreak was brought on by an unfavorable astrological alignment in the year 1345). Lacking the real facts, many Europeans' attempts to quell the disease actually helped it spread.

### Responses to the Plague

Some people thought the plague was punishment by God against sinners. The [flagellants](http://en.wikipedia.org/wiki/flagellant) arose as a result. Flagellants whipped themselves to bleed, prayed for mercy, and called upon their congregations to repent sins. Wandering over plague-stricken central Europe, many groups of flagellants turned to banditry and violence. Towns and feudal lords eventually prohibited them or even tried to wipe them out. In addition, violence against Jews broke out, and mobs killed all who refused baptism. Many Jews were forced to flee their homes.

Physicians in medieval Europe used a mixture of trial-and-error methods and classical Greek or Roman sources to care for their patients. Without knowledge of microorganisms, or the role of rats and fleas in spreading the infection, doctors were unable to cure infected victims or limit the spread. As a result, plague sufferers survived or perished according to the general state of their health, and whatever genetic resistance they happened to possess.

### Consequences of the Plague

Massive death opened the ranks for advancement in society, and as a result landlords made more concessions to obtain new tenant farmers. The supply of laborers plummeted, resulting in higher wages for workers. A low grain demand resulted in the drop of overall grain prices. Noblemen lost a portion of their wealth, and became more dependent upon monarchs and war for income and power.

Additionally, the plague resulted in the improvement of living standards for the peasantry and the urban working population. Peasants and artisans now had more luxuries and a better diet, and production shifted from manufacturing for a mass market to a small luxury market. However, the monetary disparity grew, as fewer people possessed proportionately greater money.

Finally, Europeans saw that the church's prayer did not cure the plague, and that even leaders of the church were dying. This caused the general populace to lose a great deal of faith in the church, and opened the door to many new and local religious movements which had previously been suppressed, a factor which helped prepare the coming of the Reformation a century later.

## Challenges to Spiritual Authority at the End of the Middle Ages

The Middle Ages provided many foundations to the Reformation of the 16th century. During the time, the church provided order, stability, and a framework for the medieval world. The most essential foundation of medieval life was salvation - and the ultimate life goal of all people was to obtain salvation. As people lost faith in the church and its ability to provide salvation, the church began to lose its hold on the populace.

### Plague

As explained earlier, the plague contributed to the people's loss of faith in the church. However, some more ardent believers would have regarded such a plague as being sent from God to punish the world for its sins. The church of the day would have played upon such a notion so as to encourage more ardent belief and to attack any dissenters.

### Heretical Movements and People

A number of movements and people challenged the authority of the church during the end of the Middle Ages.

#### Free Spirits

The free spirits believed the church was not meeting the spiritual needs of the people, and advocated [mysticism](http://en.wikipedia.org/wiki/mysticism), or the belief that God and humans are of the same essence.

#### John Wycliffe (1328–1384)

John Wycliffe, an English priest and professor at Oxford, founded the Lollard movement. The Lollards argued that salvation didn't have to come through the pope, and that the king was superior to and more important than the pope and religion. He said that Bible reading and prayer were important to religion, not the interpretation by priests. He was one of the first to set out to translate the Bible into a [vernacular](http://en.wikipedia.org/wiki/vernacular) language rather than using the [Latin Vulgate](http://en.wikipedia.org/wiki/Latin_Vulgate). He also objected to the extreme wealth of the church and clergy.

#### Jan Hus (1369-1415) in Bohemia

[Jan Hus](http://en.wikipedia.org/wiki/Jan_Hus), by forming the [Hussites](http://en.wikipedia.org/wiki/Hussites), attempted to bring about reforms like those attempted by Wycliff in England. Hus was a priest in [Bohemia](http://en.wikipedia.org/wiki/Bohemia) when he learned of Wycliff's teachings. While the people around him thought them heretical and forbade them, Jan thought they had a right to be taught. Through his various disagreements and dealings, Hus came to think the church corrupt, and left his native land to pen _[On the Church](http://en.wikipedia.org/wiki/On_the_Church)_, a work which criticized the manner in which it was run. His teachings appealed to the masses, and he developed a group of followers known as [Hussites](http://en.wikipedia.org/wiki/Hussites). In 1413, Hus was invited to a council designed to reform the church, but when he arrived he was arrested for his views. The following trial was in many ways just a formality, as he was guilty the moment he stepped in. Hus was burned at the stake on July 6, 1415.

### Corruption in the Church

The vast corruption in the church also led many to doubt and question its authority. The excess wealth of clergy and the frequency of clergymen having mistresses and illegitimate children was a major concern. The people also questioned the church's sale of indulgences, or receiving payment to forgive people of their sins; nepotism; simony, or the sale of church office; pluralism, or holding multiple church offices; and the extreme luxury of cathedrals.

### The Great Schism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Great_schism_1378_1417.jpg/220px-Great_schism_1378_1417.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Allegiances during the Great Schism of 1378.

In 1305, the King of France invited the Pope to move the headquarters of the Church away from Rome, a city plagued by warring local factions, to Avignon in the Rhone Valley. After Pope Gregory XI's return of the papacy to Rome in 1377, elections were convened for a new Pope. The citizens of Rome, demanding the election of an Italian Pope, forced the Cardinals to elect Urban VI. Dissenting French Cardinals reconvened in Avignon and on their own elected their own pope, Clement VII. The French popes of the Great Schism, referred to by historians as _antipopes_, held papal power in some regions of Europe, and for 39 years there were two Popes. In an attempt to reconcile this Schism, Conciliarists held a conference at Pisa to elect a new Pope, but could not depose either of the two in power, resulting in a threefold split in the papacy. Not willing to give up, the Pisan convention elected yet another Pope, to the same result.

Finally the Council of Constance (1414-1418) stepped in and called for the abdication of the three popes in power. With the support of the Holy Roman Emperor, the three popes were deposed and Martin V was elected as a single pope, ending the Great Schism. The Council of Constance also took action against John Wycliffe and John Huss, two reformers within the Catholic Church.  


# **Chapter 02** \- Renaissance Europe

## Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/22/Da_Vinci_Vitruve_Luc_Viatour.jpg/150px-Da_Vinci_Vitruve_Luc_Viatour.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Vitruvian Man by Leonardo Da Vinci

The Italian Renaissance of the 14th and 15th centuries spread through the rest of Europe, representing a time when Europe sought knowledge from the ancient world and moved out of the Dark Ages. A renewed interest in science and experimentation, and a focus on the importance of living well in the present as opposed to the afterlife as promoted by the Church. The Renaissance brought on an explosion in art, poetry, and architecture. New techniques and styles developed as these art forms moved away from the colder and darker styles of the Middle Ages. This period, in this view, represents Europe emerging from a long period of backwardness and the rise of trade and exploration. The [Italian Renaissance](http://en.wikipedia.org/wiki/Italian_Renaissance) is often labeled as the beginning of the "modern" epoch.

However, it is important to recognize the countless modern institutions that did have their roots in the [Middle Ages](http://en.wikipedia.org/wiki/Middle_Ages), such as nation-states, parliaments, limited government, bureaucracies, and regulation of goods and services.

## Origins

In the wake of the [Black Death](http://en.wikipedia.org/wiki/Black_Death), which decreased in incidence in 1351, faith in the power and significance of the church declined. The multitude of deaths (approximately 25-30 million between 1347 and 1351) signaled the need for a revival in art, education, and society in general. A large decrease in workers led to demands for higher wages, and thus uprisings were staged in several countries throughout Europe, particularly Germany, France, and Italy.

The Renaissance began in northern Italy in the early 1300s. Although it was not inevitable, several factors—nationalism (due to an increased pride in the days of early Rome), the [Crusades](http://en.wikipedia.org/wiki/Crusades), revival of trade—helped to bring about reform. Throughout Italy (Florence, Genoa, Rome, Naples, and Milan in particular) scholars revived their studies of early Greek and Latin literature, derived from archived manuscripts. Upon examining these early works, they realized that culture was essential to living a meaningful life, and education (especially history) was important in understanding both the world of yesterday and contemporary times, as well as gaining insight into the future. Thus, Italian scholars called for a 'Renaissance' (French for rebirth) in European education and culture.

## Social Order and Cultural Change

### Florentine Social Divisions

The denizens of Florence fell into one of four main social classes. These included the _grandi_ (the great), the rulers of the city; the _popolo grosso_ (big people), the capitalist merchants (these challenged the _grandi_ for power); the smaller businesspeople, and the _popolo minuto_ (little people), the lower economic classes, such as the paupers, who, despite constituting a third of the Florentine population, had no wealth at all.[[1]](Print_version.html#cite_note-The_Western_Heritage-1)

This division of society was prone to conflict, and eventually resulted in the successful [Ciompi Revolt](http://en.wikipedia.org/wiki/Ciompi_Revolt) of 1378. The Ciompi Revolt was that of the poor, who revolted because of the constant feuds between the _grandi_ and the _popolo grosso_, the anarchy from the Black Death, and the collapse of banks, which made the _popolo minuto_ even poorer. After a while, the Ciompi Revolt led to a four-year reign by the _popolo minuto_ until Cosimo de’ Medici came into power in 1434 and restored the stability of Florence.

### The Household

The plague resulted in more favorable working positions for women, although the overall participation of women in public life varied with class as well as region. Married couples worked together frequently, and most men and women remarried quickly if their spouse died.

### Underclass

At the beginning of the Renaissance, the boundary between the poor and criminals was very thin. Larger cities frequently had problems with organized gangs. The so-called "decent society" treated the marginal elements of society with great suspicion and hatred. Women were featured prominently in the underclass, and many poor women found prostitution their only option. Male violence forced women into prostitution as well, as rape resulted in the stripping of a woman's social respectability and prospects for marriage.

### Hard Times for Business

The [Hundred Years' War](http://en.wikipedia.org/wiki/Hundred_Years%27_War) resulted in the various governments in Europe borrowing a great deal of money that they could not pay back. Thus, merchants were less likely to take risks, and instead invested in government bonds. The result of this was an overall decrease in trade.

## The Birth of Humanism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Pico_della_mirandola.jpg/200px-Pico_della_mirandola.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Pico della Mirandola**, 1463-1494, one of the most famous humanists of the Renaissance. By an unknown artist, in the Uffizi, Florence.

At the time, Italy was the center of culture in Europe. Middle class writers were supported by noble patronage, and as a result, during the beginning of the Renaissance literature blossomed alongside classic revival. This resulted in the rise of humanism, an intellectual movement that advocated the study of history and literature as the chief means of identifying with the glories of the ancient world. Humanism advocated classical learning and active participation of the individual in civic affairs.

Renaissance scholars advocated the concept of "returning to the sources," attempting to reconcile the disciplines of the Christian faith with ancient learning. In addition, the concept of [civic humanism](http://en.wikipedia.org/wiki/civic_humanism) arose, which advocated participation in government. Civilization was inspired by the writings of Roman emperors, and by the end of the 1400s intellectuals had a command of the Latin language.

In the 1440s, [Johannes Gutenberg](http://en.wikipedia.org/wiki/Johannes_Gutenberg) created a printing press with movable type. This revolution in communication greatly assisted in the spread of Renaissance ideals throughout Europe, allowing the ideas to be printed for mass circulation, for the first time in history. Gutenberg was the first European ever to create a printing press with a movable type, though the Chinese had long before innovated this technology.

The Renaissance conception of life and man's role on earth was more secular than in the past, but in no way was it nonreligious. It was now believed that God holds people above everything else, and that the greatest thing about being human is the human's free will to choose. People were celebrated, as Renaissance scholars argued that men are made in God's image, and that we should celebrate our God-given talents and abilities. People believed that life on Earth was intrinsically valuable, and that citizens should strive to be the best that they can. The emphasis of the Renaissance was on the individual rather than the collective.

### Italian Humanists

[Francesco Petrarch](http://en.wikipedia.org/wiki/Francesco_Petrarch) (1304-1374) was an Italian scholar, poet, and early humanist. In his sonnets, he created the image of real people with personality, debunking the typical Medieval conceptions and stereotypes of people.

[Giovanni Boccaccio](http://en.wikipedia.org/wiki/Giovanni_Boccaccio) (1313-1375) wrote _[The Decameron](http://en.wikipedia.org/wiki/The_Decameron)_, a short story about the lives of people living during the Black Death. The book focused on people's responses to the plague rather than God's wrath. In this sense, the book was not about religion, but rather about people, a relatively new concept at the time.

[Pico della Mirandola](http://en.wikipedia.org/wiki/Pico_della_Mirandola) (1463-1494) was an Italian Renaissance humanist philosopher and scholar. He authored the "Oration on the Dignity of Man," which has become known as the "Manifesto of the Renaissance." In this, he explained that man has unlimited potential, and with his free will can be anything he wants to be. He argued that man should make use of his abilities and not waste them. Finally, he explained that people should live their life with virtue, or the quality of being a man - shaping their own destiny, using all of their opportunities, and working aggressively through life.

### Northern Humanists

[Sir Thomas More](http://en.wikipedia.org/wiki/Thomas_More) was an English lawyer, writer, and politician. He was a devout Catholic who wrote _[Utopia](http://en.wikipedia.org/wiki/Utopia_\(book\))_, a novel that depicted [Christian Humanist](http://en.wikipedia.org/wiki/Christian_Humanism) ideals producing an ideal fictional society. In his utopia, there was no crime, poverty, nor war. Much of the novel is a conversation that criticizes European practices, especially capital punishment.

[Desiderius Erasmus](http://en.wikipedia.org/wiki/Desiderius_Erasmus) was a Dutch humanist and theologian. He was also a Catholic. In his _Handbook of a Christian Knight_, he argued that through education, society can be reformed in the pious Christian model. He believed faith, good works, and charity were the core Christian values, and that elaborate ceremonies were superfluous. In his _The Praise of Folly_, Erasmus claimed that the true Christian table of virtues, namely modesty, humility, and simplicity, had been replaced by a different, perverted value system of opulence, power, wealth, and so on.

## Arts

Renaissance art tended to focus on the human body with accurate proportions, and the most common subjects of art were religion, mythology, portraits, and the use of classical (Greco-Roman) subjects. Artisans of the Renaissance used oil paint to add shadow and light, and the use of the [vanishing point](http://en.wikipedia.org/wiki/vanishing_point) in art became prominent during this time.

Artists of the Renaissance depended on patronage, or financial support from the wealthy.

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Mona_Lisa,_by_Leonardo_da_Vinci,_from_C2RMF_retouched.jpg/175px-Mona_Lisa,_by_Leonardo_da_Vinci,_from_C2RMF_retouched.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

da Vinci's Mona Lisa.

### Leonardo da Vinci (1452–1519)

[Leonardo da Vinci](http://en.wikipedia.org/wiki/Leonardo_da_Vinci) of Florence was known as one of the great masters of the High Renaissance, as a result of his innovations in both art and science. Leonardo is often viewed as the archetype of the "Renaissance Man" or "polymath" because of his expertise and interest in many different areas, including art, science, music, mechanics, architecture and the arts of war and philosophy.

Leonardo is best known for his paintings, the most famous of which are [The Last Supper](http://en.wikipedia.org/wiki/The_Last_Supper) and The [Mona Lisa](http://en.wikipedia.org/wiki/Mona_Lisa). There remain about fifteen paintings attributed reliably to Leonardo, and many others to his pupils and imitators. He also left several important drawings of which the "Vitruvian Man" is the most famous and probably the most reproduced drawing in the world. Leonardo left many note books of studies of many subjects, often profusely illustrated. Much of his work was intended for publication but only a small percentage of his work was published, relating to art and mathematics.

In science, Leonardo practised meticulous observation and documentation. He dissected thirty corpses in order to study human anatomy and produced detailed drawings of the human skeletal, muscular, and internal organ systems including human fetuses. He made discoveries in anatomy, meteorology and geology, hydraulics, and aerodynamics. This led to his devising of many ingenious plans, including an underwater diving suit and non-functioning flying machines. He also sketched plans for elaborate killing machines. Many of these projects have proved impossible to create. On the other hand, he successfully built a mechanical lion that walked, roared and opened its chest to produce a bunch of flowers.

### Michelangelo (1475–1564)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d5/David_von_Michelangelo.jpg/170px-David_von_Michelangelo.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Michelangelo's _[David](http://en.wikipedia.org/wiki/David_\(Michelangelo\))_ statue, in Florence. Note that the original is kept at the Accademia in Florence. [[2]](Print_version.html#cite_note-2) The statue in the Piazza della Signoria is a copy.

[Michelangelo](http://en.wikipedia.org/wiki/Michelangelo) was one of the most prominent and important artists of the Renaissance, supported by the Medici family of Florence. Michelangelo's monumental sculpture of David preparing to kill the giant Goliath with his rock and sling is the perfect confirmation of the return to a humanistic appreciation of physical beauty from the austere medieval conception of emaciated, self-flagellated saints. Michelangelo also adorned the ceiling of the Vatican's Sistine Chapel with his "Creation of Adam" and other scenes and painted the _Last Judgment_ on one wall of the [Sistine Chapel](http://en.wikipedia.org/wiki/Sistine_Chapel) in present day Vatican City.

### Raphael (1483-1520)

[Raphael](http://en.wikipedia.org/wiki/Raphael) was a famous painter and architect during the Renaissance.

Some of Raphael's famous paintings include [The School Of Athens](http://en.wikipedia.org/wiki/The_School_of_Athens), [The Nymph Galatea](http://en.wikipedia.org/wiki/Galatea_\(Raphael\)), and [Portrait of Pope Leo X with two Cardinals](http://en.wikipedia.org/wiki/Portrait_of_Leo_X_\(Raphael\)).

## _The Prince_

_[The Prince_](http://en.wikipedia.org/wiki/The_Prince), a political treatise by the Florentine writer [Niccolò Machiavelli](http://en.wikipedia.org/wiki/Niccol%C3%B2_Machiavelli) (1464-1527), was an essential work of the Renaissance. For the first time, politics was presented as an objective science. Machiavelli recorded successful rulers and then drew conclusions without judgments. In other words, Machiavelli's politics were divorced from morality and religion.

Machiavelli's research showed that a successful leader of a nation acted in a number of ways:

  * His power should be held as more important than ethics and morals
  * It is better to be feared, not loved, but he should never be hated
  * His advisers should be truthful and loyal, he should avoid flatterers, and he should select old and experienced advisers because they lack ambition to attempt to steal his power
  * He should be both the lion (brave) and the fox (cunning)
  * He should break treaties and promises when it benefits him and he should assume everyone else will do the same

## Northern Renaissance vs. Italian Renaissance

The Southern Renaissance in Italy occurred earlier, from about 1300 to 1600, while the [Northern Renaissance](http://en.wikipedia.org/wiki/Northern_Renaissance) occurred later, ending in about 1630. The Southern Renaissance emphasized pagan and Greco-Roman ideals, and as a result was considerably more secular, while the Northern Renaissance advocated "Christian" humanism, or humility, tolerance, focus on the individual, and the importance of earnest life on earth. While the Southern Renaissance emphasized art and culture, the Northern Renaissance emphasized the sciences and new technology. This failed to occur in the south primarily because the Roman Catholic Church stunted learning and the sciences. While the Northern Renaissance was religiously diverse, with the rise of Protestantism and a great deal of religious division, the Southern Renaissance was entirely Roman Catholic. The Southern Renaissance saw far fewer universities, while the Northern Renaissance saw more universities and education. Also, Northern Renaissance humanists pushed for social reform based on Christian ideals.

## The New Monarchies

With the Renaissance came the rise of new monarchs. These new monarchs were kings who took responsibility for the welfare of all of society. They centralized power and consolidated authority - the kings now controlled tariffs, taxes, the army, many aspects of religion, and the laws and judiciary.

In the way of the rise of new monarchs stood the church and nobles, who feared losing their power to the king. In addition, these new monarchs needed money, and they needed to establish a competent military rather than mercenaries.

The middle class allied themselves with the new monarchs. The monarchs desired their support because their money came from trade, and this trade provided a great source of taxable revenue. The middle class supported the monarchs because they received the elimination of local tariffs, as well as peace and stability.

### France

From the tenth century onwards France had been governed by the Capetian dynasty. Although the family ruled over what might be, in theory, considered the most powerful country in Europe, the French monarchs had little control over their vassals, and many parts of France functioned as though they were independent states. The most powerful vassals of the French kings were the Plantagenet dynasty of England, who, through their Angevin ancestry, ruled large parts of western France. The ensuing conflicts, known as the Hundred Years War, helped to solidify the power of the French monarchs over their country.

In France, the [Valois dynasty](http://en.wikipedia.org/wiki/Valois_Dynasty) came to the throne in 1328.

[Charles VII](http://en.wikipedia.org/wiki/Charles_VII_of_France) expelled the English and lowered the church's power under the state in 1422.

[Louis XI](http://en.wikipedia.org/wiki/Louis_XI_of_France) expanded the French state, laying the foundations for absolutism, in 1461.

### England

[Edward IV](http://en.wikipedia.org/wiki/Edward_IV_of_England) began the restoration of royal authority, but the strengthening of the crown gained momentum only after the [Tudor family](http://en.wikipedia.org/wiki/Tudor_dynasty) came to power.

[Henry VII](http://en.wikipedia.org/wiki/Henry_VII_of_England) manipulated the Parliament to make it a tool of the king. He created the Royal court and the [Star Chamber](http://en.wikipedia.org/wiki/Star_Chamber), in which royalty had the power to torture while questioning; this legal system allowed the king to limit the power of the aristocracy. He also promoted trade in order to gain the support of the middle class.

His son, [Henry VIII](http://en.wikipedia.org/wiki/Henry_VIII_of_England), took this process still further when, as a result of his desire to have a male heir, he founded the [Anglican Church](http://en.wikipedia.org/wiki/Anglican_Church) in England and broke away from the [Catholic Church](http://en.wikipedia.org/wiki/Catholic_Church). After Henry married [Catherine of Aragon](http://en.wikipedia.org/wiki/Catherine_of_Aragon), she failed to produce a male heir, and Henry desired to divorce her in order to marry a new lady, [Anne Boleyn](http://en.wikipedia.org/wiki/Anne_Boleyn), who he hoped would be able to produce a son. The Catholic Church strictly prohibited divorce, however, and Henry found that the only way to sever his marriage was to separate from the Pope's jurisdiction. As a result, he withdrew England from the Catholic Church, establishing the Church of England, and in the [First Act of Supremacy](http://en.wikipedia.org/wiki/Acts_of_Supremacy) he established the monarch of England as the head of the Church.

### Spain

With the success of the Spanish _[reconquista_](http://en.wikipedia.org/wiki/reconquista), Spain expelled the Jews and Muslims. The marriage of [Queen Isabella I of Castile](http://en.wikipedia.org/wiki/Isabella_of_Castile) and [King Ferdinand II of Aragon](http://en.wikipedia.org/wiki/Ferdinand_II_of_Aragon), the Catholic monarchs (Spanish:_Los Reyes Católicos_), was the final element which unified Spain. They revived the [Spanish Inquisition](http://en.wikipedia.org/wiki/Spanish_Inquisition) to remove the last of the Jews.

### Holy Roman Empire

In the [Holy Roman Empire](http://en.wikipedia.org/wiki/Holy_Roman_Empire), which occupied Austria and [Bohemia](http://en.wikipedia.org/wiki/Bohemia), the [Hapsburg Dynasty](http://en.wikipedia.org/wiki/Hapsburg_Dynasty) began. The Empire expanded its territory, acquiring Burgundy and attempting to unite Germany. The emperor's son married the daughter of the Spanish monarchs Ferdinand and Isabella; their son, [Charles V](http://en.wikipedia.org/wiki/Charles_V,_Holy_Roman_Emperor), became heir to Spain, Austria, and Burgundy.

### Ottoman Turks

The [Ottoman Turks](http://en.wikipedia.org/wiki/Ottoman_Turks) were Muslims from Asia Minor who gradually conquered the old [Byzantine Empire](http://en.wikipedia.org/wiki/Byzantine_Empire), completed in 1453 with the [fall of Constantinople](http://en.wikipedia.org/wiki/Fall_of_Constantinople) (renamed to Istanbul).

## The Rise of Court Life

New monarchs began to utilize the court during this time to increase their power by setting themselves apart from the lay people and by allowing the king to control the nobles. The court became the center of politics and religion in their respective nations.

Nobles were required to live in the courts, and were as a result under constant watch by the king. Thus, the most important function of the court was that it allowed the king to control the nobles and prevent coup. In addition, however, the courts served an important social function, as the king's social circle was the nobles, and the court allowed him to interact with them.

Court life was incredibly lavish, with events including hunting, mock battles, balls, parties, dances, celebratory dinners, gambling, and general socialization. The middle class loved this, and frequently copied the behaviors of the nobility from the courts.

## References

  1. [↑](Print_version.html#cite_ref-The_Western_Heritage_1-0) Kagan, Donalt et al. The Western Heritage Since 1300. 3rd ed. New Jersey:Pearson Prentice Hall, 2004.
  2. [↑](Print_version.html#cite_ref-2) <http://www.tickitaly.com/galleries/accademia.php>

# **Chapter 03** \- Exploration and Discovery

## Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Portugal_Império_total.png/300px-Portugal_Império_total.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The [Portuguese Empire](http://en.wikipedia.org/wiki/Portuguese_Empire).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e4/Spanish_Empire-World_Map.png/300px-Spanish_Empire-World_Map.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The [Spanish Empire](http://en.wikipedia.org/wiki/Spanish_Empire).

During the fifteenth and the sixteenth century the states of Europe began their modern exploration of the world with a series of sea voyages. The Atlantic states of Spain and Portugal were foremost in this enterprise though other countries, notably England and the Netherlands, also took part.

These explorations increased European knowledge of the wider world, particularly in relation to [sub-Saharan Africa](http://en.wikipedia.org/wiki/sub-Saharan_Africa) and the [Americas](http://en.wikipedia.org/wiki/Americas). These explorations were frequently connected to conquest and missionary work, as the states of Europe attempted to increase their influence, both in political and religious terms, throughout the world.

## Causes of the Age of Exploration

The explorers of the fifteenth and sixteenth centuries had a variety of motivations, but were frequently motivated by the prospects of trade and wealth. The earliest explorations, round the coast of [West Africa](http://en.wikipedia.org/wiki/West_Africa), were designed to bypass the trade routes that brought gold across the [Sahara Desert](http://en.wikipedia.org/wiki/Sahara_Desert). The improved naval techniques that developed then allowed Europeans to travel further afield, to India and, ultimately, to the Americas.

The early explorations of Spain and Portugal were particularly aided by new ship designs. Prior to the fifteenth century Spain and Portugal largely relied on a ship known as the _[galley](http://en.wikipedia.org/wiki/Galley)_. Although galleys were fast and manoeuvrable, they were designed for use in the confined waters of the Mediterranean, and were unstable and inefficient in the open ocean. To cope with oceanic voyages, European sailors adapted a ship known as the _[cog](http://en.wikipedia.org/wiki/Cog_\(ship\))_, largely used in the [Baltic](http://en.wikipedia.org/wiki/Baltic_Sea) and [North Sea](http://en.wikipedia.org/wiki/North_Sea), which they improved by adding sail designs used in the Islamic world. These new ships, known as _[caravels](http://en.wikipedia.org/wiki/Caravel)_, had deep keels, which gave them stability, combined with [lateen sails](http://en.wikipedia.org/wiki/lateen_sails), which allowed them to best exploit oceanic winds.

The [astrolabe](http://en.wikipedia.org/wiki/astrolabe) was a new navigational instrument in Europe that borrowed from the Islamic world, which used it in deserts. Using coordinates via the sky, one rotation of the astrolabe's plate, called a [tympan](http://en.wikipedia.org/wiki/tympan), represented the passage of one day, allowing sailors to approximate the time, direction in which they were sailing, and the number of days passed. The astrolabe was replaced by the [sextant](http://en.wikipedia.org/wiki/sextant) as the chief navigational instrument in the 18th century. The sextant measured celestial objects in relation to the horizon, as opposed to measuring them in relation to the instrument. As a result, explorers were now able to sight the sun at noon and determine their latitude, which made this instrument more accurate than the astrolabe.

## Portuguese Roles in Early Exploration

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Treatytordesillas.gif/300px-Treatytordesillas.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The [Treaty of Tordesillas](http://en.wikipedia.org/wiki/Treaty_of_Tordesillas) divided the entire globe in half. The result, _pictured_, would result in incredible gains in wealth by Spain, who controlled the gold-laden continent of South America and the resource-rich Amazon River Basin.

In 1415, the Portuguese established a claim to some cities (Ceuta, Tangiers) on what is today the Kingdom of [Morocco](http://en.wikipedia.org/wiki/Morocco), and in 1433 they began the systematic exploration of the west African coast. In August 1492, [Christopher Columbus](http://en.wikipedia.org/wiki/Christopher_Columbus), whose nationality is still today subject to much debate, set sail on behalf of [Ferdinand](http://en.wikipedia.org/wiki/Ferdinand_II_of_Aragon) and [Isabella](http://en.wikipedia.org/wiki/Isabella_of_Castile) whose marriage had united their crowns forming what is still today the Kingdom of Spain, and on October 12 of that same year, he eventually reached the Bahamas thinking it was the [East Indies](http://en.wikipedia.org/wiki/East_Indies). In his mind he had reached the eastern end of the rich lands of India and China described in the thirteenth century by the Venetian explorer Marco Polo.

As a result, a race for more land, especially in the so-called "East Indies" arose. In 1481, a papal decree granted all land south of the [Canary Islands](http://en.wikipedia.org/wiki/Canary_Islands) to Portugal, however, and the areas explored by Columbus were thus Portuguese territories. In 1493, the Spanish-descendant [Pope Alexander VI](http://en.wikipedia.org/wiki/Pope_Alexander_VI), declared that all lands west of the longitude of the [Cape Verde Islands](http://en.wikipedia.org/wiki/Cape_Verde_Islands) should belong to Spain while new lands discovered east of that line would belong to Portugal. These events led to increasing tension between the two powers given the fact that the king of Portugal saw the role of Pope Alexander VI Borgia as biased towards Spain. His role in the matter is still today a matter of strong controversy between European historians of that period.

The resolution to this occurred in 1494 at the [Treaty of Tordesillas](http://en.wikipedia.org/wiki/Treaty_of_Tordesillas), creating, after long and tense diplomatic negotiations between the Kingdoms of Spain and Portugal, a dividing line 370 leagues west of the Cape Verde Islands. Portugal received the west African Coast and the Indian Ocean route to India, as well as part of the Pacific Ocean waterways, while Spain gained the Western Atlantic Ocean and the lands further to the west. «Unknowingly», Portugal received Brazil. King John II of Portugal, however, seems to have had prior knowledge of the location of that Brazilian territory, for in the difficult negotiations of the Treaty of Tordesillas he managed, in a move still open for debate amongst historians of the period today, to push the dividing line further to the west, making it possible to celebrate the official discovery of Brazil and the reclaiming of the land only in 1500, already under the auspices of the treaty.

## Important Portuguese Explorers

### Prince Henry (1394–1460)

Prince Henry "the Navigator" financially supported various voyages. He created a school for the advancement of navigation, laying the groundwork for Portugal to become a leader in the Age of Exploration.

### Bartolomeu Dias (1450-1500)

[Bartolomeu Dias](http://en.wikipedia.org/wiki/Bartolomeu_Dias), the first European to sail around the [Cape of Good Hope](http://en.wikipedia.org/wiki/Cape_of_Good_Hope), also found that India was reachable by sailing around the coast of the continent. As a result, trade with Asia and India was made considerably easier because travellers would no longer have to travel through the Middle East. Thus, there was a rise in Atlantic trading countries and a decline in Middle East and Mediterranean countries.

### Vasco da Gama (1460–1524)

[Vasco da Gama](http://en.wikipedia.org/wiki/Vasco_da_Gama) was the first to successfully sail directly from Europe to India in 1498. This was an important step for Europe because it created a sea route from Europe that would allow trade with the Far East instead of using the [Silk Road Caravan route](http://en.wikipedia.org/wiki/Silk_Road).

### Pedro Álvares Cabral (1467–1520)

On April 21, 1500, Pedro Álvares Cabral accidentally discovered Brazil while seeking a western route to the Indies. He first landed in modern-day Bahia.

### Ferdinand Magellan (1480–1521)

[Magellan](http://en.wikipedia.org/wiki/Ferdinand_Magellan) was a Portuguese explorer sailing in a Spanish expedition, and was the first person to sail the Pacific Ocean and around South America. He attempted to circumnavigate the globe but died in the Philippines, although his crew successfully completed the voyage. One of his ships led by Juan Sebastian Elcano, who took over after Magellan died, made all the way around the globe!

### Francis Xavier (1506 –1552)

Francis Xavier was a Spanish missionary, born in the castle of Xavier, a village near the city of Pamplona, from where he has his name. He was a member of the nobility and during his student years in Paris he became friends with Ignacio de Loiola with whom he would found the Jesuit Order He travelled extensively around Africa, India, the South Pacific, and even Japan and China.

## Early Spanish Explorers

There were a number of other important explorers that were involved in the Age of Exploration.

### Francisco Pizarro (1529-1541)

[Pizarro](http://en.wikipedia.org/wiki/Francisco_Pizarro) was a Spanish explorer who militarily fought and conquered the [Incan](http://en.wikipedia.org/wiki/Incan) people and culture, claiming most of South America for Spain. He gained immense gold and riches for Spain from the defeat of the Incan empire.

### Christopher Columbus (1451-1506)

[Columbus](http://en.wikipedia.org/wiki/Christopher_Columbus), an explorer thought to be of Genoa (Italy), who after many unsuccessful attempts at finding patronship, explored the possibility of a western passage to the East Indies for the Spanish crown. Due to miscalculations on the circumference of the world Columbus did not account for the possibility of another series of continents between Europe and Asia, Columbus discovered the Caribbean in 1492. He introduced Spanish trade with the Americas which allowed for an exchange of cultures, diseases and trade goods, known as [The Grand Exchange](http://en.wikipedia.org/wiki/The_Columbian_Exchange), whose consequences, good and bad, are still being experienced today.

### Ferdinand Magellan (1480-1521)

[Magellan](http://en.wikipedia.org/wiki/Ferdinand_Magellan) was a Portuguese explorer who served the King of Spain, and was the first person to sail the Pacific Ocean and around South America. He attempted to be the first to circumnavigate the globe but was killed in the Philippines. His crew managed to successfully complete the voyage under the leadership of the Spanish Juan Sebastian del Cano. His parents had died when he was ten years old and he was sent to Lisbon in Portugal when he was twelve.

### Vasco Nuñez de Balboa (1475-1519)

[Balboa](http://en.wikipedia.org/wiki/Vasco_Nu%C3%B1ez_de_Balboa) was a Spanish [conquistador](http://en.wikipedia.org/wiki/conquistador) who founded the colony of [Darién](http://en.wikipedia.org/wiki/Dari%C3%A9n_Province) in Panama. He was the first to see the Pacific Ocean from America, and he settled much of the island of [Hispaniola](http://en.wikipedia.org/wiki/Hispaniola).

### Hernando Cortés (1485-1547)

[Cortés](http://en.wikipedia.org/wiki/Hernando_Cort%C3%A9s) was a Spanish conquistador who assembled an army from the Spanish Colonies consisting of 600 men, 15 horsemen and 15 cannons. Using the assistance of a translator, [Doña Marina](http://en.wikipedia.org/wiki/Do%C3%B1a_Marina), he assembled alliances with discontented subdued tribes in the Aztec empire. Through decisive use of superior weapons and native assistance, also the help of European disease which had already wrecked native populations, successfully conquered the [Aztecs](http://en.wikipedia.org/wiki/Aztec_empire) capturing [Montezuma II](http://en.wikipedia.org/wiki/Motezuma), the current emperor, the city of Tenochtitlan and looting large amounts of Aztec gold.

### Bartolomé de las Casas (1484-1566)

[Las Casas](http://en.wikipedia.org/wiki/Bartolom%C3%A9_de_las_Casas) was a Spanish priest who advocated civil rights for Native Americans and strongly protested the way they were enslaved and badly treated. He wrote _[A Short Account of the Destruction of the Indies](http://en.wikipedia.org/wiki/A_Short_Account_of_the_Destruction_of_the_Indies)_ and _De thesauris in Peru_.

### Juan Ponce de León (1474-1521)

[Juan Ponce de León](http://en.wikipedia.org/wiki/Juan_Ponce_de_Le%C3%B3n) was a Spanish conquistador hailing from Valladolid, Spain. He had served as the Governor of Puerto Rico when he started his own expedition in 1513, discovering Florida on March 27 of the same year and reaching its eastern coast on April 2. He called the land _Florida_ (Spanish for flowery), either because of the vegetation he saw there, or it was Easter (Spanish: _Pascua Florida_) that time. De Leon then organized subsequent voyages to Florida; the last one occurring in 1521 when he died.

## English Explorers

### Sir Francis Drake (1540-1596)

[Sir Francis Drake](http://en.wikipedia.org/wiki/Sir_Francis_Drake) was a letter of marque, one who is a privateer, for Britain during the time of [Queen Elizabeth I](http://en.wikipedia.org/wiki/Queen_Elizabeth_I). Though he is most remembered for helping command the English fleet against the [Spanish Armada](http://en.wikipedia.org/wiki/Spanish_Armada_in_1588), he also spent many years in the Caribbean and successfully circumnavigated the world between 1577-1580.

### John Cabot (1450-1499)

John Cabot, originally Giovanni Caboto was born in Genoa, Italy.

## French Explorers

### Rene-Robert de La Salle

LaSalle was born in Rouen, France. He originally studied to be a Jesuit, but left the school to find adventure. He sailed to a French colony in Canada and became a fur trader. Indians told him of two great rivers (the Mississippi and Ohio). He made several explorations of them. He died when his men revelled in about 1687.

### Father Jacques Marquette

Marquette was born in Laon, France, in the summer of 1637. He joined the Jesuits at age seventeen. The Jesuits told him to go be a missionary in Quebec. He founded missions all over the place. He explored many rivers. He died, age 38.

### Louis Jolliet

Jolliet was born in a settlement near Quebec City. He was going to be a Jesuit priest, but abandoned these plans. He explored many rivers with Marquette. His place and date of death is unknown.

### Jacques Cartier (1491-1551)

Jacques Cartier was an explorer who claimed Canada for France. He was born in Saint Malo, France in 1491. He was also the first European, not just the first Frenchman to describe and chart Saint Lawrence River and Gulf of Saint Lawrence. He made three important voyages. He died in Saint Malo, in 1551, aged 65.

### Samuel de Champlain (1567-1635)

Samuel de Champlain was the "Father of New France". Founded Quebec City and today Lake Champlain is named in his honor.

## Dutch Explorers

In the late 16th century Dutch explorers began to head out all over the world.

### Willem Barentsz (1550-1597)

On June 5, 1594 Barentsz left the island of Texel aboard the small ship Mercury, as part of a group of three ships sent out in separate directions to try and enter the Kara Sea, with the hopes of finding the Northeast passage above Siberia. During this journey he discovered what is today Bjørnøya, also known as Bear Island.

Later in the journey, Barentsz reached the west coast of Novaya Zemlya, and followed it northward before being forced to turn back in the face of large icebergs. Although they did not reach their ultimate goal, the trip was considered a success.

Setting out on June 2 1595, the voyage went between the Siberian coast and Vaygach Island. On August 30, the party came across approximately 20 Samoyed "wilde men" with whom they were able to speak, due to a crewmember speaking their language. September 4 saw a small crew sent to States Island to search for a type of crystal that had been noticed earlier. The party was attacked by a polar bear, and two sailors were killed.

Eventually, the expedition turned back upon discovering that unexpected weather had left the Kara Sea frozen. This expedition was largely considered to be a failure.

In May of 1596, he set off once again, returning to Bear Island. Barentsz reached Novaya Zemlya on July 17. Anxious to avoid becoming entrapped in the surrounding ice, he intended to head for the Vaigatch Strait, but became stuck within the many icebergs and floes. Stranded, the 16-man crew was forced to spend the winter on the ice, along with their young cabin boy.

Proving successful at hunting, the group caught 26 Arctic foxes in primitive traps, as well as killing a number of polar bears. When June arrived, and the ice had still not loosened its grip on the ship, the scurvy-ridden survivors took two small boats out into the sea on June 13. Barentsz died while studying charts only seven days after starting out, but it took seven more weeks for the boats to reach Kola where they were rescued.

### Henry Hudson (1565-1611)

In 1609, Hudson was chosen by the Dutch East India Company to find an easterly passage to Asia. He was told to sail around the Arctic Ocean north of Russia, into the Pacific and to the Far East. Hudson could not continue his voyage due to the ice that had plagued his previous voyages, and many others before him. Having heard rumors by way of Jamestown and John Smith, he and his crew decided to try to seek out a Southwest Passage through North America.

After crossing the Atlantic Ocean, his ship, the Halve Maen (Half Moon), sailed around briefly in the Chesapeake and Delaware Bays, but Hudson concluded that these waterways did not lead to the Pacific.

He then sailed up to the river that today bears his name, the Hudson River. He made it as far as present-day Albany, New York, where the river narrows, before he was forced to turn around, realizing that it was not the Southwest Passage.

Along the way, Hudson traded with numerous native tribes and obtained different shells, beads and furs. His voyage established Dutch claims to the region and the fur trade that prospered there. New Amsterdam in Manhattan became the capital of New Netherland in 1625

### Willem Janszoon (1571-1638)

Early in Willem's life,1601 and 1602, he set out on two trips to the Dutch possessions in the East Indies. On November 18, 1605, he sailed from Bantam to the coast of western New Guinea. He then crossed the eastern end of the Arafura Sea, without seeing the Torres Strait, into the Gulf of Carpentaria, and on February 26 1606 made landfall at the Pennefather River on the western shore of Cape York in Queensland, near the modern town of Weipa. This is the first recorded European landfall on the Australian continent. Willem Janszoon proceeded to chart some 320 km of the coastline, which he thought to be a southerly extension of New Guinea.

Willem Janszoon returned to the Netherlands in the belief that the south coast of New Guinea was joined to the land along which he coasted, and Dutch maps reproduced this error for many years to come.

Janszoon reported that on July 31, 1618 he had landed on an island at 22° South with a length of 22 miles and 240 miles SSE of the Sunda Strait. This is generally interpreted as a description of the peninsula from Point Cloate to North West Cape on the Western Australian coast, which Janszoon presumed was an island without fully circumnavigating it.

### Abel Tasman (1603-1659)

In 1634 Tasman was sent as second in command of an exploring expedition in the north Pacific. His fleet included the ships Heemskerck and Zeehaen. After many hardships Formosa (now Taiwan) was reached in November, 40 out of the crew of 90 having died. Other voyages followed, to Japan in 1640 and 1641 and to Palembang in the south of Sumatra in 1642, where he made a friendly trading treaty with the Sultan. In August 1642 Tasman was sent in command of an expedition for the discovery of the "Unknown Southland", which was believed to be in the south Pacific but which had not been seen by Europeans

On November 24, 1642 Tasman sighted the west coast of Tasmania near Macquarie Harbour. He named his discovery Van Diemen's Land after Anthony van Diemen, Governor-General of the Dutch East Indies. Proceeding south he skirted the southern end of Tasmania and turned north-east until he was off Cape Frederick Hendrick on the Forestier Peninsula. An attempt at landing was made but the sea was too rough; however, the carpenter swam through the surf, and, planting a flag, Tasman claimed formal possession of the land on December 3, 1642.

Tasman had intended to proceed in a northerly direction but as the wind was unfavourable he steered east. On December 13 they sighted land on the north-west coast of the South Island, New Zealand. After some exploration he sailed further east, and nine days later was the first European known to sight New Zealand, which he named Staten Landt on the assumption that it was connected to an island (Staten Island, Argentina) at the south of the tip of South America. Proceeding north and then east one of his boats was attacked by Māori in waka, and four of his men were killed.

En route back to Batavia, Tasman came across the Tongan archipelago on January 21, 1643. While passing the Fiji Islands Tasman's ships came close to being wrecked on the dangerous reefs of the north-eastern part of the Fiji group. He charted the eastern tip of Vanua Levu and Cikobia before making his way back into the open sea. He eventually turned north-west to New Guinea, and arrived at Batavia on June 15, 1643.

With three ships on his second voyage (Limmen, Zeemeeuw and the tender Braek) in 1644, he followed the south coast of New Guinea eastward. He missed the Torres Strait between New Guinea and Australia, and continued his voyage along the Australian coast. He mapped the north coast of Australia making observations on the land and its people.

From the point of view of the Dutch East India Company Tasman's explorations were a disappointment: he had neither found a promising area for trade nor a useful new shipping route. For over a century, until the era of James Cook, Tasmania and New Zealand were not visited by Europeans - mainland Australia was visited, but usually only by accident

## Results of the Age of Exploration

The Age of Exploration led, directly to new communication and trade routes being established and the first truly global businesses to be established. Tea, several exotic fruits and new technologies were also introduced into Europe.

It also led to the decimation and extinction of Natives in other nations due to European diseases and poor working conditions. It also led indirectly to an increase in slavery (which was already widely practised throughout the world), as the explorations led to a rise in supply and thus demand for [cotton](http://en.wikipedia.org/wiki/cotton), [indigo](http://en.wikipedia.org/wiki/indigo), and [tobacco](http://en.wikipedia.org/wiki/tobacco).

Finally, as a result of the Age of Exploration, Spain dominated the end of the sixteenth century. The Age of Exploration provided the foundation for the European political and commercial worldwide imperialism of the late 1800s. From 1580 to 1640 Spain would inherit the right to reign over Portugal, whose interests where now in the hands of its political and geographical neighbour. Spain's power, under Spanish leader [Philip II](http://en.wikipedia.org/wiki/Philip_II_of_Spain), was bigger than ever before and renewed and financed the power of the Papacy to fight against Protestant Reformation. However, in the seventeenth century, as the explorations were coming to an end and money was becoming scarcer, other countries began to openly challenge the spirit of the Tordesilas treaty and the power of Spain, which began to lapse and lose its former power.

# **Chapter 04** \- Challenges to Spiritual Authority

## Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Europe_religions_1560.jpg/200px-Europe_religions_1560.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Spread of Protestantism During the 1500s

During this period of european history the Catholic church, which had become rich and powerful, came under scrutiny. For over a thousand years the Christian religion had bound european states together despite differences in language and customs. Its all-pervading power affected everyone from king to commoner. One of the main christian tenets is that wealth should be used to alleviate suffering and poverty and that the monetary funds of the church are there specifically for that reason. The central authority of the church had been in Rome for over a thousand years and this concentration of power and money led many to question whether this tenet was being met. In many respects, the northern europeans countries felt as though the Papal power was now a Papal business. However it must be noted that the Catholic church has always been the dominant institution in southern european countries and in that respect the Reformation can be described as the rise of a uniquely northern european form of Christianity. Whether its aim was to return the church to Christ's message or simply a politically motivated and regional response to the concentration of Papal wealth and power is still a question that divides people.

## Causes of the Protestant Reformation

### Accusations Of Corruption

The purchase of church offices (benefices) and the holding of multiple offices (pluralism) had become common during this period. As was the selling of indulgences, or forgiveness from God. To some christians this was proof that the church had become corrupt. Popes and bishops were accused of being pre-occupied with acquiring wealth rather than tending to ecclesiastical matters. The legal exemptions from taxes and criminal charges that they enjoyed led many to believe that they could exploit their position for their own benefit. Clergy were accused of ignoring the church's message on priestly celibacy and poverty therefore weakening the church's moral authority. These accusations eventually turned into a "protest" against Papal power and clerical abuses.

### Reactions to Church Corruption

These allegations of abuse of authority led some to call for a change. Some clergy and monarchs resented the tithes (a proportion of the sum collected by the church) that they paid to the central Catholic church in Italy. The Catholic church had become a major landowner all over europe and this ownership of extensive areas of land by religious orders, churches, monasteries and cathedrals had not gone unnoticed. With land comes political power and for any king or lord whose own clergy deferred to a foreign authority; the issue was now political rather than religious. The issue also arose about the use of the Latin bible. It was standard practice for masses to be conducted in Latin though by this period Latin had achieved the archaic nature of a dead language. Though Latin was still the language of scholarly publications; its use in the mass was questioned on evangelist grounds. Christ's message would be better served using the language of the congregation. The invention of the printing press, the decline in Latin and the need to allow the congregation to hear mass in the vernacular led to a break with christian tradition. John Wycliff initiated the first English translation of the Bible and this is cited by many as the precursor to the Protestant Reformation.

## Key Persons of the Reformation

From 1521 to 1555, Protestantism spread across Europe. The Reformation started as a religious movement, but became political, and as a result had economic and social impacts.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/61/Luther46c.jpg/200px-Luther46c.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Luther at age 46 (Lucas Cranach the Elder, 1529)

### Martin Luther (1486-1546)

Although there were some minor individual outbreaks such as that of [John Wycliffe](http://en.wikipedia.org/wiki/John_Wycliffe), a young German monk, called [Martin Luther](http://en.wikipedia.org/wiki/Martin_Luther) was the first to force the issue of the immorality of Church corruption. Disillusioned with the Church, Luther questioned the idea of _[good works_](http://en.wikipedia.org/wiki/Good_works) for salvation, including prayers, fasting, and particularly [indulgences](http://en.wikipedia.org/wiki/Indulgences).

#### _95 Theses_

In 1517, Luther posted his _[95 Theses_](http://en.wikipedia.org/wiki/95_theses), though it is debated whether these were nailed to Wittenburg's [All Saint's Church](http://en.wikipedia.org/wiki/Castle_Church), known as _Schlosskirche_, meaning Castle Church, or his church door. These theses attacked the ideas of salvation through works, the sale of indulgences, and the collection of wealth by the [papacy](http://en.wikipedia.org/wiki/Papacy). He formally requested a public debate to settle the issue.

#### Excommunication

[Pope Leo X](http://en.wikipedia.org/wiki/Leo_X) demanded that Luther stop preaching, which Luther refused. He was excommunicated because he did not recant his statements and allegations about indulgences and immoral salvation. He said only scripture can show what the pope has done is ok. [excommunicated](http://en.wikipedia.org/wiki/Excommunicated) in 1520; he burned the announcement in front of a cheering crowd.

#### Diet of Worms

Luther was demanded by the Holy Roman Emperor Charles to appear before the [Diet of Worms](http://en.wikipedia.org/wiki/Diet_of_worms) in 1521; Luther did not back down from his stance, and was declared a [heretic](http://en.wikipedia.org/wiki/heresy). The Edicts of Worms declared Luther an outlaw and heretic, giving anyone permission to kill Luther without recourse. Due to Luther's popularity in Germany, this could not be enforced.

#### Lutheranism

[Lutheranism](http://en.wikipedia.org/wiki/Lutheranism) stresses education for all, including females. According to Lutheran doctrine, marriage is important, and gender roles should be enforced: women belong in the home and should control the economy, while men should control the household. Clergy can marry.

[Salvation](http://en.wikipedia.org/wiki/salvation) is attained by [faith](http://en.wikipedia.org/wiki/faith) alone, instead of through works. Religious authority is found in the Bible instead of from the Pope; each man can be his own priest. Religious services are held in vernacular instead of Latin. Only two sacraments are followed: Baptism, and the Lord's Supper. Lutheranism teaches neither "transubstantiation" (the Roman Catholic view that the wine and bread change into the body and blood of Christ) nor "consubstantiation" (the view that the body and blood mingle with the bread and wine to become a third substance), but instead teaches that the Lord's Supper is the true body and blood of Jesus Christ, "in, with and under the bread and wine," given to believers to eat and drink. The benefits of receiving the sacrament come not from the physical eating and drinking, but from Jesus' spoken promise and assurance. In this sense, the sacrament is a proclamation of the Gospel. It is God's Word that makes the Lord's Supper a sacrament, and Luther taught that this means of grace is to be received in faith.

##### Justification by Faith

Chief among Luther's doctrines is Justification by Faith. In it, he attacks the Church's view that good works can get a Christian into heaven. For Luther, because humans are inherently flawed, they can only rely on God's grace to get to heaven, not their own works. Therefore only faith in the grace of God was necessary (and sufficient) to obtain entry to heaven.

##### The Bible as Supreme Authority

Luther said, "... when the Word accompanies the water, Baptism is valid, even though faith be lacking."

Luther challenged the role of the Pope as the supreme temporal authority for interpreting God's will. For Luther, the Bible was the supreme authority of God. As an extension of this philosophy, Luther believed that all Christians should be able to interpret the Scripture (in effect, acting as their own priest). This led Luther to place a heavy emphasis on universal literacy among Christians so that they could read the Bible and attain salvation (a doctrinal point which, along with the advent of the printing press barely more than half a century earlier, led to profound implications for Western society). It also led to Luther's translation of the Bible into German, which he did while in hiding from the wrath of the Holy Roman Emperor. This edition of the Bible became massively popular and made Luther's dialect of German the standard to this day. It also had the intended effect of moving Protestant liturgy into the vernacular.

##### The Sacraments

The Catholic Church at the time of Luther had seven sacraments (with little change today):

  * Baptism -- The dousing of infants with water to induct them into the church.
  * The Eucharist (Holy Communion) -- Taking bread and wine in remembrance of the Last Supper.
  * Matrimony -- Marriage.
  * Holy Orders -- Becoming a priest.
  * Penance -- Making contrition for your sins.
  * Confirmation -- a kind of coming-of-age rite in which young people are indoctrinated to the church's teachings.
  * Last Rites of Extreme Unction (Last Rites) -- At that time an anointing with oil to heal the sick, now more commonly a death rite.

Luther considered all but two of those to be unnecessary, and out of the two he accepted (Baptism and Holy Communion) he considered only baptism to be doctrinally sound. The present Roman Catholic view of the Holy Communion (transubstantiation) developed in the scholastic period. According to this understanding of the Eucharist, Roman Catholic priests were primarily responsible for the bread and wine of the Eucharist becoming the body and blood of Christ. Luther did not believe that the bread and wine changed into the flesh and blood of Christ, but rather that the flesh and blood of Christ was invisibly present "in, with, and under" the bread and wine in the ritual. This "Real Presence" is caused by God and not by a priest thus undercutting the Catholic authority over the sacrament.

### Ulrich Zwingli (1484-1531), Zwinglianism

Zwinglianism originated in Switzerland, introduced by Ulrich Zwingli. Zwinglism believed in the two sacraments of baptism and communion. The religion advocated most of the key Protestant beliefs. It believed that the Church is the ultimate authority, and it rejected rituals such as fasting and the elaborate ceremonies of Catholicism. Finally, it advocated reform through education.

### John Calvin (1504-1564), Calvinism

John Calvin founded Calvinism in Geneva, Switzerland; Calvinism later spread to Germany. Calvin was the leading reformer of the second generation of the Reformation, succeeding Martin Luther at the forefront of theological debate and discussion. His most important work was _Institutes of the Christian Religion_, published in 1541 at the age of 26. At the time, it had a tremendous impact, and many considered Calvin to be a Protestant equivalent of Thomas Aquinas. In it, Calvin outlined the central premises of the religious doctrine which was to bear his name.

#### Predestination

Foremost among these is Calvin's assertion of Double Predestination (often simply referred to as predestination). Single predestination was the doctrine held by most orthodox theologians, including Luther. It said, in essence, that the elect were predestined for heaven. However, they pointed out that those who went to hell went there on their own free will. Calvin objected to this, saying that because all mankind was born in sin, and God had chosen a specific few to go to Heaven through His grace, he must have also chosen an elect who are doomed to damnation. This assertion is based on the commonly accepted view of God as: Omnipotent, Omniscient, Omnipresent, and All-Loving. From these premises, Calvin concluded that not only is there an elect destined for Heaven, but also an elect destined for Hell, and that no one could know with certainty their destination.

#### The Sacraments

Like Martin Luther, Calvin believed that there were only two sacraments in the church: the Eucharist (Holy Communion) and Baptism. With regard to the Eucharist (Holy Communion), Calvin tried to eke out a middle path between the positions which had led to the schism of the Marburg Colloquy. While Luther insisted that the body and blood of Christ were made materially present in the bread and wine of the communion, and Zwingli insisted that the communion was merely a symbol of communion, Calvin said that participating in The Eucharist raised the heart and mind of the believer to feast with Christ in heaven. Calvin's view never took root within the Reformation and it was eventually overshadowed by Luther's and Zwingli's views.

### Huguenots

French Calvinists that were persecuted because of their religion. The Edict of Nantes gave them the freedom of worship, however during the reign of Louis XIV, the Edict of Fountainbleu was passed. The Edict of Fountainbleu revoked the rights given to the Huguenots.

## Chart of Key Religions

The below chart offers a simple summary of key details of the major Protestant religions that came to formation, as well as Catholicism.

  


**Religion**

**Key Beliefs/Documents**

**Sacraments**

**Key People and Locations**

**Church/State Relationship**

Lutheranism

  * Saved by faith alone
  * No sale of indulgences
  * Church attendance is not mandatory; instead individual prayer and Bible reading
  * There is no purgatory
  * Reject papal authority

Two:

  1. Baptism
  2. Communion ('Real Presence')

  * Martin Luther
  * Huss and Wycliffe (foundation of ideas)
  * Located in North Germany, Sweden, Norway, Denmark
The state is more important than the church

Calvinism (aka Prestbyterians, Puritans, Huguenots)

  * Predestination - God has saved an "elect" group of people, but a person's actions during his or her lifetime indicates the likelihood of him being one of the elect
  * Prayer and work are the hallmarks of society
  * Possession of luxury items indicate arrogance

Two:

  1. Baptism
  2. Communion, which is simply symbolic (or 'spiritual presence')

  * John Calvin
  * Nobles and middle class
  * Located in eastern parts France, Scotland, England, Bohemia, the Holy Roman Empire, Netherlands
The church is more important than the state

Catholicism

  * Saved by the grace of God alone through faith and works
  * You need to attend church, only valid authority for interpretation is the Magisterium's
  * Traditions, not just Scripture, are sources of doctrine
  * _Extra ecclesiam nulla salus_ \- there is no salvation outside the Church
  * Papal authority

Seven:

  1. Baptism
  2. Reconciliation: first confession
  3. First communion (transubstantiation)
  4. Confirmation
  5. Marriage
  6. Holy orders: priest(only men)
  7. Last rites (Anointing of the Sick)
Throughout Europe, especially in France, Bavaria, the Iberian countries, Austria, Poland and Italy
The church is more important than the state

## The Counter-Reformation

The Catholics, enraged at the rise of Protestantism and determined to restore their control over European society, began their reform movement, which gained momentum in Italy during the 1530s and 1540s. The Catholic Church worked to reform, reaffirm their key beliefs, and then defend their ideology. It is important to recognize that they changed nothing about their core beliefs.

### Council of Trent (1545-1563)

Pope Paul III and Charles V Hapsburg of Austria convened a general church council at Trent that met sporadically between 1545 and 1563. The Council reasserted the supremacy of clerics over the laity. It did, however, establish seminaries in each diocese to train priests. They reformed indulgences, though the process was continued. They did, however, eliminate pluralism, nepotism, simony, and other similar problems from the church. They reaffirmed their belief of [transubstantiation](http://en.wikipedia.org/wiki/Transubstantiation) that during the Eucharist, the bread and wine literally become Christ's body. The Council showed that the schism between Protestants and Catholics had become so severe that all hopes of reconciliation were gone.

### Catholic Attempts to Re-convert Protestants and Extend the Faith

The Catholic Church used Baroque art to show dramatic biblical scenes and large canvasses. This art was primarily spectator-oriented and was used to make religion more enjoyable to the lay person. In Spain and Rome, Inquisitions, or institutions within the Roman Catholic Church charged with the eradication of heresy, were used to root out heretics. In addition, the Church established the Index of Prohibited Books, which banned books they considered heretical. Finally, the Church sent missionaries around the globe to spread its beliefs and faith.

### Jesuits

The Society of Jesus, or Jesuits as it was known (founded on August 15, 1534 in France), was a new religious order that arose as a result of the Counter-Reformation. It was founded by former Spanish soldier and priest, St. Ignatius of Loyola (1491-1556), to convert Protestants and non-Christians to Catholicism and add lands to Christendom. The Jesuits vigorously defended the papal authority and the authority of the Catholic Church, thus their title as the "footmen of the Pope".

### Missionaries

Missionaries visited other distant nations to spread the ideals of Catholicism.

### Major Figures

The three most Catholic nations in Europe at the time were the Holy Roman Empire, Spain, and France. Important leaders of the Counter-Reformation included:

  * Paul III, the pope that called together the Council of Trent
  * Charles V Hapsburg, leader of Austria and the most vigorous defender of the Catholic Church at the time in Europe
  * Philip II Hapsburg, leader of Spain and Catholic son of Charles V; he married Mary Tudor of England
  * "Bloody" Mary Tudor, Catholic daughter of Henry VIII Tudor, she married Philip II
  * Catherine de Medici of Florence, regent of France
  * Ferdinand II

Prominent Protestant opponents of the Counter-Reformation included:

  * Elizabeth Tudor, the leader of England and half-sister of Mary Tudor
  * William of Orange, the leader of the Netherlands
  * Protestant Princes in the Holy Roman Empire and France
  * Gustavus Adolphus of Sweden

## The Spanish Reconquista of 1492

As a response to the reformation and in an attempt to preserve Catholicism in Spain, Ferdinand and Isabella forcibly expelled Jews and Muslims. Jews who either voluntarily or forced became Christians became known as _conversos_. Some of them were crypto-Jews who kept practicing Judaism. Eventually all Jews were forced to leave Spain in 1492 by Ferdinand and Isabella. Their _converso_ descendants became victims of the Spanish Inquisition.

## Religious Qualms in England

In 1547, 10 year old Edward VI, son of Henry VIII and Jane Seymour, took the throne. He was cold, serious, and cruel, and although he was incredibly intelligent and exceptionally capable for his age, he was represented by a regent who controlled the nation. From 1547 until 1549, the regent was Edward Seymour. From 1549 to 1553, the regent was John Dudley. Before Edward's death in 1553, he signed a will leaving the throne to Lady Jane Grey out of fear that his sister Mary would convert England back to Catholicism.

Lady Jane Grey ruled for nine days, but she and Dudley were soon arrested because Mary Tudor began to gain support since she was the rightful heir to the throne upon Edward's death.

"Bloody" Mary Tudor thus took the throne in 1553 and ruled until 1558. She was proud, stubborn, vain, vulnerable to flattery, but most of all, she was highly Catholic. In 1554, she converted England back to Catholicism and burnt hundreds of Protestants at the stake, thus earning her nickname "Bloody" Mary. She married Philip II of Spain. However, as a result of her illness from ovarian cancer, she was forced to recognize her Protestant sister Elizabeth as the heir.

# **Chapter 05** \- Religious Wars in Europe

## Introduction

During the period of 1525 until 1648, Europe was plagued by wars of religion. It is important to recognize, however, that while religion was given as the reason for war; there were many other reasons as well. These included land, money and economics, political power, natural resources, and more.

These wars included the Peasants' War of 1525 in the Holy Roman Empire, the Schmalkaldic War of the 1540s through 1555, an ongoing fight between the Holy Roman Empire and the Turks, the Reconquista of the Spanish versus Muslims, the Hussite rebellion, and missionaries and conquistadors versus Native Americans.

### Warfare

Religious fighting and warfare spread with Protestantism. The radical new doctrine in Germany brought other simmering social tensions to a boil; peasant revolts flared in 1525, resulting in chaos and bloodshed across Austria, Switzerland and southern Germany. Wealthy landowners were the target of downtrodden rebels demanding social equality and sharing of wealth in common. Armies loyal to ruling princes suppressed the revolt, and the leaders were executed. Martin Luther, chief initiator of the Reformation, turned against the rebels and defended the authorities' moves to put them down.

### Peace of Augsburg

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/16/Henry_IV_of_france_by_pourbous_younger.jpg/180px-Henry_IV_of_france_by_pourbous_younger.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Henry IV Bourbon of France by [Frans Pourbus the younger](http://en.wikipedia.org/wiki/Frans_Pourbus_the_younger).

The Peace of Augsburg in 1555 declared the Prince's religion to be the official religion of a region or country (_cuius regio, eius religio_). This resulted in the acceptance of toleration of Lutheranism in Germany by Catholics. When a new ruler of a different religion took power, large groups had to convert religions. Most people found this to be realistic, and the process did not end until 1648.

In northern Europe (north Germany, Netherlands, and France), the middle class tended to be Protestant, which corresponded with their work ethic and philosophy. Peasants readily converted religions in order to obtain jobs.

### Treaty of Cateau-Cambrésis

With the Treaty of Cateau-Cambrésis in 1559, Spain and France agreed to stop fighting with each other in order to unite against their common Protestant threat, particularly Calvinism, which was considered more of a threat than Lutheranism.

### French War of Religion

In France, religious civil war took place from 1562 to 1598 between Catholics and Protestants. The crown usually supported the Catholics but occasionally shifted sides, while the nobility was divided among the two camps. The three leading families in the nation competed for control of France. These families were the Valois family, which was currently in power and was Catholic, the Bourbon family, which consisted of Huguenots (French Protestants), and the Guise family, who was also Catholic. Ultimately, the Bourbon family won the war, but its leader Henry of Navarre was unable to be crowned because the strongly Catholic city of Paris shut itself down. Henry put Paris under a year of siege before finally deciding to convert to Catholicism himself in 1593. The civil war in France was ended by the Edict of Nantes in 1598, which reaffirmed that Catholicism was the official religion in France, but also granted a significant degree of religious and political freedom to Protestants.

Henry IV could be described as a _politique_, or one who cares more about his nation's peace and prosperity than he does the enforcement of religious toleration.

## Spanish Conflict with the Dutch

In 1566, on the Assumption of the Virgin day, a group of Calvinists in the Netherlands stormed Catholic churches, destroying statutes and relics in a town just outside of Antwerp. Dutch Calvinists resented the Catholic religion and their conflicts with the religion, as well as Spanish King Philip II's deep devoutness and close-mindedness toward other religions. The high nobility pleaded with him for more tolerance but some of them were put to death for their insolence. One of the underlying reasons was that Philip wanted to establish an absolute monarchy in the Netherlands and the religious issue gave him a way to put pressure on the parliament. William of Orange escaped to Germany from where he tried to incite a rebellion from 1568 onwards but with little success at first. In 1570 the coastal regions got hit by a weather-related disaster, the All Saints flood that left many regions devastated and the Spanish authorities showed little compassion. William of Orange, then encouraged Sea Beggars, or pirates, to invade the ports of the coast. In 1572 the small town of Brielle was taken by what were no more than outlaws, greeted enthusiastically by the population. The town declared itself for the prince of Orange and this example was followed by a number of other towns in the relatively inaccessible provinces of Holland and Zeeland.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/WilliamOfOrange1580.jpg/200px-WilliamOfOrange1580.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

William of Orange, or William the Silent.

Philip sent Spanish troops in response. They took Naarden and Haarlem and inflicted horrible suffering on the population. Other towns proved far harder to take and this caused Philip to run out of money. In what became known as the Spanish Fury, in November of 1576, Philip's unpaid mercenary armies attacked the city of Antwerp killing 7,000 in 11 days. Antwerp was by far the richest city at the time and the influential merchants got the parliament to convene and raise money to pay off the marauding mercenaries. By doing so the parliament basically took over control from the king in far Madrid and this was the last thing the king wanted. He sent more troops with an ultimatum to the parliament to surrender or else and appointed the Duke of Parma as the new governor of the Netherlands. In 1579, the southern ten provinces of the Netherlands, which were Catholic, signed the Union of Arras, expressing loyalty to Philip. During that same year, William of Orange united seven northern states in the Union of Utrecht, which formed the Dutch Republic that openly opposed Philip and Spain. In 1581, the Spanish army was sent to retake the United Provinces of the Netherlands, or the Dutch Republic, who had just declared their independence.

On July 10, 1584, William of Orange was assassinated, and after his death, the Duke of Parma made progress in his reconquest, capturing significant portions of the Dutch Republic. However, England, under the leadership of Elizabeth I, assisted the Dutch with troops and horses, and as a result Spain was never able to regain control of the north. Spain finally recognized Dutch independence in 1648.

## The Spanish Armada

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cc/Spanish_Armada.jpg/300px-Spanish_Armada.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Defeat of the Spanish Armada.

Catholic Philip II of Spain desired to remove Elizabeth I of England from the throne after her rise to power following "Bloody" Mary Tudor's fall to illness. Philip was primarily angry over Elizabeth's actions against English Catholics, but he was also upset as a result of attacks by English privateers upon Spanish vessels, Elizabeth's assisting enemies of Spain such as the Netherlands, and the execution of Mary, Queen of Scots.

Philip devised a plan to invade England. The four components of this plan were to bring a large army into the Netherlands under the lead of the Duke of Parma and get them prepared to invade England. In addition, the Duke of Medina-Sardonia would prepare a large fleet with extra men, and equip the men to join up with the Duke of Parma's army. Then, Spain would use its fleet to win control of the English Channel and protect the Duke of Parma's invading force as it crossed. Finally, the troops would invade England and force Elizabeth to agree to Spain's demands: to allow English Catholics to worship in the way that they wanted, to stop assisting Protestant Dutch rebels in the Spanish Netherlands, and to pay reparations for the cost of the invasion as well as English damage to Spanish ships. Philip did not, however, have any intent to conquer England - he simply desired Elizabeth to cede to Spain's demands. Although on 29 July 1587, Pope Sixtus V had granted Papal authority to overthrow Elizabeth, who had been declared a heretic by Pope Pius V, and place whomever he chose on the throne of England.

### Initial Problems with the Plan

There were a number of problems with Philip's plan. First, the Duke of Medina-Sardonia was appointed leader of the operation. He had no naval experience and was fatalistic. Moreover, the Duke of Parma refused to cooperate, as he wanted to be the commander. As a result, he did not assemble enough vessels. In addition, during the preparations, Sir Francis Drake of England raided the city of Cadiz and sank 30 Spanish vessels and burnt barrel staves, resulting in the food for the armada becoming spoiled. Finally, the invasion consisted of 131 ships, resulting in difficult communications.

### The Attack

The Armada arrived in late July of 1588, and was spotted immediately by English lookouts. At this time, the Duke of Parma still needed a few more days to prepare the troops. On July 20, Admiral Howard of England devised a plan using fireships, or ships filled with combustibles, to attack the Spanish fleet. These attacks resulted in the Spanish fleet cutting its anchors. On July 29, the major confrontation took place, called the Battle of Gravelines. The Spanish tactics were outdated - they were to sail in close, fire one volley at the English ships, and then proceed to board the English vessels. However, the English navy had devised new tactics, using smaller, more maneuverable ships with longer range, movable cannons. But this new tactic was not decisive, because little damage was done to ships in formation. On the other hand all attempts to leave the formation led to immediate destruction by combined fire of the English ships. When the English fleet was able to scatter the Spanish formation with burners, the Armada decided to retreat. This, coupled with the so-called "Protestant Wind" that blew the Spanish ships through the English Channel, resulted in the Spanish defeat. On May 28, 1588, the Armada had set sail with 131 ships and 30,000 men. 67 ships and around 10,000 men returned. Many ships sank along the Irish coast, about 5000 men died from starvation and others were executed in Ireland by English authorities.

### Results of the Spanish Armada

The Spanish fleet was able to recover from this defeat in numbers, but morale was shattered. The events marked the rise of English naval power. In addition, they resulted in Dutch independence since Spain could not defeat England. The events were thus a blow to the Counter-Reformation, leading to an overall decline in the Counter-Reformation's effects.

## The Decline of Spain

It is a common misconception that the failure of the armada resulted in the decline of Spain.

After the failed invasion of England, Spain soon began to enter a period of decline. This occurred for a number of reasons. The Counter-Reformation had drained considerable Spanish resources. Moreover, many of the resources of the Spanish colonies had been exhausted. Additionally, only one-third of Spain's population actually worked - one-third of the population belonged to the clergy and another one-third belonged to lower nobility - and there was no middle class in Spain, and a small higher class. Finally, inbreeding caused inept leadership in the monarchy.

## The Thirty Years' War

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Thirtywar.gif/300px-Thirtywar.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The victory of [Gustavus Adolphus](http://en.wikipedia.org/wiki/Gustavus_Adolphus_of_Sweden) at the [Battle of Breitenfeld (1631)](http://en.wikipedia.org/wiki/Battle_of_Breitenfeld_\(1631\)).

The Thirty Years' War was sparked by the [Defenestration of Prague](http://en.wikipedia.org/wiki/Defenestrations_of_Prague), at which Protestants threw Catholic ambassadors out of a window in the city of Prague.

The Thirty Years' War had started as a war along religious frontlines. In the end it was no more a war of religion. The Catholic French funded and traded the Protestant Dutch, Protestant Princes in the Holy Roman Empire, as well as other non-Catholic nations such as Sweden, Denmark, and Turkey, since all of these nations were fighting the Hapsburgs. France, led by Cardinal Richelieu, regent for Louis XIII, desired to reduce the power of Austria by funding Austria's enemies. The war was essentially a fight between the two powers to determine which would become the main power in Europe.

Although a high member of the Catholic Church, Richelieu can be described as a _politique_, as he put his nation's interests ahead of his religion. Indeed, Richelieu openly funded Protestant groups in his fight against Austria.

### Precursors to the War

The Schmalkaldic Wars and the Peace of Augsburg of the 1540s through 1555 created a number of issues for Charles V Hapsburg of Austria. The debate over what religion German states could adopt had not been resolved, as the Peace of Augsburg provided for the states' princes to adopt either Catholicism or Lutheranism, but not Calvinism. The issue of the German princes' power and sovereignty was also at bay, as the princes increasingly desired more power. Finally, the princes had been seizing Church land, angering Charles V.

### Bohemian Phase (1618-1625)

Protestant Bohemians rebelled for religious freedom and independence from Hapsburg rule. The Defenestration of Prague, in which rebels threw two of the Holy Roman Emperor's, Ferdinand II, Catholic officials from a castle window, initiated the war in 1618. After ruthless retaliation by Ferdinand, Bohemia was completely converted to Catholicism and defeated.

### Danish Phase (1625-1630)

King Christian of Denmark supported north German Protestants. Catholic general Albert Wallenstein was hired to defeat Protestant forces and restore Catholic land lost. As a result of Austrian victories, Ferdinand II issues the Edict of Restitution in 1629, ordering that no longer could Protestants seize and secularize Catholic land. In the Siege of Madgeburg, Wallenstein's mercenary force, out of control, massacred the entire town of Madgeburg, including both Protestants and Catholics. Again, Austria is victorious, and Denmark is relatively easily defeated.

### Swedish Phase (1630-1635)

Swedish King Gustavus Adolphus, devout Lutheran, came to Germany's aid. Austria ultimately defeated Sweden, and it looked like peace was likely. The Edict of Restitution was thus withdrawn.

### French/International Phase (1635-1648)

Though a Catholic state, France had felt threatened by the strengthened Hapsburg Empire, and joined the war in 1635 on the side of the Protestants, thus ending the strictly religious character of the war. A combined French/Swedish alliance triumphed over Hapsburg forces, while the Dutch, also allied to France, finally won their formal independence from Spain. In 1648, with all sides exhausted, a final series of peace treaties were prepared.

### Peace of Westphalia (1648)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Europe_map_1648.PNG/250px-Europe_map_1648.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Map of Europe in 1648, after the Thirty Years' War

The Treaty of Westphalia ended the last major religious war in Europe. The settlement would serve as a model for resolving conflict among warring European nations, as it represented the first time a diplomatic congress addressed and resolved a dispute. This was the first time that all parties were brought together at once rather than two or three at a time.

#### Beneficiaries of the Treaty of Westphalia

  * France, now the dominant power in Europe, surpassing Spain and Austria. France also got Alsace-Loraine and wins the Thirty Years' War, stopping German unity.
  * Dutch and the House of Orange. Spain and the Holy Roman Empire finally recognized their independence, and for the next 60 years, were the leaders in trade, shipping, and a major economic powerhouse in Europe.
  * Swiss. They earned independence from the Holy Roman Empire.
  * Sweden. They now controlled the Baltic Sea and became the most powerful nation in the north.
  * Prussia and the Hohenzollerns. This marked the start of Prussia's rise as a great military power.
  * German princes. The princes now won sovereignty and could select Calvinism for their states.
  * Protestants. The Peace of Westphalia marked the end of the Counter-Reformation and Calvinism was now tolerated.

#### Losers at Westphalia

  * Spain and the Spanish Hapsburgs. The Spanish lost colonies and territorial possessions, resulting in a loss in income.
  * The Holy Roman Empire, Austria, and the Austrian Hapsburgs. 1648 marked the effective end of the Holy Roman emperor and thus the influence of the Holy Roman Empire, as the princes are now sovereign.
  * Catholicism. The Peace of Westphalia marked the end of the enforced Counter-Reformation and thus the end of the church's supremacy and papal authority.
  * German Unity. Germany was kept disunited and was divided into hundreds of individual, sovereign states governed by princes.

# **Chapter 06** \- Absolutism in Europe

## Introduction

The era of absolutism, exemplified by the "Sun King" Louis XIV Bourbon of France, marks the rise of rulers throughout Europe who had absolute power over their nations. Mercantilism became the primary form of economy of the day, and the issue of religion disappeared in European wars, now replaced by the issue of the balance of power.

## Louis XIV (1638-1715), Model of Absolutism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Louis_XIV_of_France.jpg/180px-Louis_XIV_of_France.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Louis XIV**  
King of France and of Navarre  
_By [Hyacinthe Rigaud](http://en.wikipedia.org/wiki/Hyacinthe_Rigaud) (1701)_

Louis XIV Bourbon of France rose to power in 1643. He was married to Maria Theresa, daughter of Philip IV. His power stemmed from the fact that during his reign he maintained a powerful, unified France. Louis and William III Stuart of Orange were arch-enemies during this time; however, Louis maintained the upper hand and was on the offensive against William during that time.

Louis desired control over the Netherlands because of its economic power as a result of trade, because he wanted to crush Calvinists and Protestants, and because he desired increased territory. Indeed, he advised his heir, Louis XV, "Do not imitate me in my taste for war." His aggressive policy demanded to finance the largest European army of 280,000 men.

Louis' wars resulted in horrendous results and poverty for the French people, and Protestants despised Louis. His economic policy was headed by Colbert, and his nation was a model in enacting mercantilism. During his reign, France became the dominant country in language, culture, and dress.

Louis allegedly famously declared, "L'etat c'est moi," or "I am the state," and his reign exemplifies absolutism. French Bishop Bossuet declared that it was the divine right of monarchs to rule, concluding that kings were God's anointed representatives on earth. Louis acted upon this belief, governing France as if he were placed on earth by God to rule.

Overall, Louis' foreign goals were territorial expansion and the spread of Catholicism.

Louis was highly successful in his domestic ambitions to achieve absolute power through centralized bureaucracy. He successfully controlled rebellious nobles and made himself the center of French power and culture. People depended upon him for advancement and thrived on his goodwill. Louis also established the palace at Versailles, which took fourteen years to construct. Versailles was modeled by every other major European country, and it successfully kept nobles occupied, distracting them from the desire to have a say in government. In 1685, Louis revoked the Edict of Nantes, stripping Calvinists of their rights in France.

## The War of Spanish Succession

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Charles_II_\(1670-80\).jpg/200px-Charles_II_\(1670-80\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Charles II in his twenties

Philip IV Hapsburg of Spain married Marianna Hapsburg of Austria, and the two of them produced Charles II, the physically and mentally retarded ruler of Spain. Since Charles was incapable of producing heirs, upon his death bed he was left to decide who would rule Spain after his death. France argued that they had the best claim to the throne, since they were Catholic, strong, and Charles' half-sister was married to Louis XIV. As a result, Charles left the throne to Philip V Bourbon, the grandson of Louis XIV. War broke out as a result, pitting a coalition led by William III Orange of the Netherlands against France in an effort to maintain the European balance of power. The war resulted in the Peace of Utrecht (via the [Treaty of Utrecht](http://en.wikipedia.org/wiki/Treaty_of_Utrecht)), at which it was agreed that the ruler of Spain had to give up his or her claim to the French throne. Thus, Philip was recognized as the King of Spain, but the unification of France and Spain was barred. Spain also lost its territories in Belgium and Italy at the Peace of Utrecht, a source of much resentment of Spaniards towards their new government.

  


## The Balance of Power in Foreign Policy

The balance of power was a system in which European nations sought to maintain the national sovereignty of all European states. The concept was that all European nations had to seek to prevent one nation from becoming powerful, and thus national governments often changed their alliances in order to maintain the balance. The War of Spanish Succession marked the first war whose central issue was the balance of power. This marked an important change, as European powers would no longer have the pretext of being religious wars. Thus, the Thirty Years' War would be the last war to be labeled a religious war.

## The Economics of Mercantilism

The overall purpose of mercantilism was that mercantilist policies enriched the economy, thus resulting in prosperous citizens, higher tax revenues, and in the end funds for military and war. During the 1600s, mercantilist policies were adopted by most European nations.

### Key Characteristics

By exporting more goods than your country imports, gold and silver will flow into your country. The government should found colonies, gaining raw materials, and then the nation should sell finished goods back to the colony. The government should impose high external tariffs, helping to keep competing goods from other nations out and to protect native manufacturing, thus raising money for the government. The government should eliminate all internal tariffs, keeping goods flowing freely within the country. Finally, the nation should become self-sufficient in all of its needs.

## The Rise of Prussia (1701-1740)

Prussia became the power in northern Germany, as opposed to Austria which lay in the south. The issue of German Dualism arose - specifically asking the question, which of the two would unite Germany?

### Problems During Prussia's Rise

Prussia faced a number of problems during its rise to power. One major issue was that Prussia was divided into three sections that needed to be united - the central part, Brandenburg, which contained Berlin; the eastern part, called Prussia, and western territories. In addition, Prussia had few natural resources, a much smaller population than the other major powers in Europe, and was still suffering from the effects of the Thirty Years' War.

### Prussia Rises

Under Frederick William "The Great Elector", Prussia became highly militaristic, with all aspects society entirely bent toward the needs of the army. He doubled the army to 80,000 soldiers. It was still small compared to other powers, but it was the most well-trained and the most efficient on the continent.

Frederick William strengthened the Prussian army by enlisting Prussian citizens rather than mercenaries in what was known as the Canton system (not to be confused with the Chinese trade system). He cut all royal expenses, especially court life, and imposed high taxes on the lower and middle class. State service was required for the nobility, known as Junkers, and they frequently served as army officers while the peasants served as infantry. There was very strict social stratification. Government-subsidized textile industries resulted in standardized uniforms, and all members of the military were also required to maintain standardized hair and facial hair. Frederick established the first efficient bureaucracy in Europe, and was especially religiously tolerant, welcoming 20,000 Huguenot refugees after Louis XIV revoked the Edict of Nantes.

## Stuart England 1603-1714

In 1603, Elizabeth I died without leaving an inheritance and her nephew, James VI of Scotland (who was also the son of Mary Queen of Scots who was ordered to be executed under Elizabeth's orders in 1589) took the English throne as James I, making both Scotland and England ruled under the same monarch, and establishing the Stuart dynasty. However the two nations were anything but united - they each had different religions, laws, courts, parliaments, churches and customs, not forgetting a 700 year old mistrust and hatred.

### James I 1603-1625

James I Stuart ruled as an absolute monarch, who despised Parliament. He went as far as to dissolve parliament, and ruled without the voice of the people. He declared that the monarch was God's Lieutenant, his emissary, and reigned supreme over the land. He began the absolute rule of England, followed by his family for the next several generations. James advocated the divine rights of kings, and in turn wrote a book advocating the divine right of kings entitled _The Trew Law of Free Monarchies_ in 1598.

### Charles I 1625-1649

When Charles took the throne, he inherited a very angry Parliament, but he shared his father James I's beliefs in autocracy. He appointed Archbishop Laud to make the Anglican church more ceremonial, like Catholicism, instilling fears among the populace about a return to Catholicism.

In 1628 the Parliament issued the Petition of Right. This document declared that Charles could not enact taxes without Parliamentary consent. Charles proceeded to levy the ship money tax without Parliamentary consent, ordering all towns to pay taxes to support the English navy. This angered most of the populace as ship money was traditionally paid by coastal towns. The Parliament of 1640, dominated by Puritan landowners, fired Laud and repealed taxes imposed by Charles. These occurrences resulted in the outbreak of the English Civil War.

### English Civil War 1642-1649

The war pitted supporters of the Parliament against supporters of the king, and at stake were both political power and control of English economics. The war also pitted Puritans, known as "roundheads," against Anglicans, or "cavaliers." The supporters of Parliament were led by Oliver Cromwell.

Other movements sprang up during this time, including Baptists, Quakers, and diggers, seekers, and ranters, who equated the clergy with nobles.

Charles I was captured, and members of Parliament were torn. Presbyterians opposed the killing of the king, while Independents advocated the regicide, or the killing of the king. In "Pride's Purge," Cromwell forcibly removed all members of Parliament who opposed the killing of the king.

### The Governments of Cromwell

Afterwards, Cromwell formed a new government called the Commonwealth, which lasted from 1649 until 1653. This government was a democratic republic. However, in 1653, Cromwell formed the Protectorate, which was effectively a military dictatorship. He created the New Model Army, a paid force of devoted Puritans. His reign involved very strict laws, including no playing cards nor dancing. He, like many English monarchs, found Parliament difficult to control, it was when he disbanded Parliament, the only English Constitution was written, "Instruments of Government."

### Stuart Restoration and Charles II Stuart

In 1660, Cromwell resigned, resulting in the restoration of Charles II Stuart and thus the Stuart line to the throne. Charles II is commonly known as the "Merry Monarch" because he engaged in highly festive court life and encountered many mistresses. He did, however, drive England deeply into debt, and continued a war with the Dutch started under Cromwell from the 1650s until the 1670s. He practised mercantilist policies. During Charles II's reign, England encountered the Great Plague in 1665 and the Great Fire in 1666.

In 1670, Charles signed the Secret Treaty of Dover with Louis XIV, secretly pledging France and England as allies to work together to return England to the Catholic Church. In 1673 he signed the Declaration of Indulgence, which stated that Catholics could hold political and military office. Parliament responded that same year, issuing the Test Act, that stated that citizens would have to profess Anglicanism to join the Parliament and military by taking Anglican communion.

### James II 1685-1688

![](../../../upload.wikimedia.org/wikipedia/commons/7/7a/James_II_of_England.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

James II Stuart of England

James II, an overtly Catholic monarch, took the throne in 1685. With his first wife he bore two daughters, Mary and Anne, who were both Protestant, but with his second wife he bore a son, James, who was baptised Catholic. He upset Parliament at his demand to repeal the Test Act, and instituted the Declaration of Indulgences, which allowed for freedom of worship. Angry Protestants would call in William the Stadholder and Mary to bail them out.

### Glorious Revolution of 1688

Out of fear of James' open Catholicism and the birth of a male Catholic heir, Parliament invited Mary Stuart and William Stuart of Orange to rule England in 1688. Known as the Glorious Revolution or Bloodless Revolution because it was peaceful, William and Mary took the throne and signed the Bill of Rights. The bill guaranteed that the king would call Parliament every three years and not dismiss them, and that taxation and war must be approved by Parliament. England was no longer an absolute monarchy but rather a constitutional monarchy.

In 1701, Parliament passed the Act of Settlement, stating that all future monarchs of England must be Protestant above all other characteristics.

### Queen Anne Stuart and the End of the Stuart Line

Queen Anne ruled from 1702 until 1714, and issued the Act of Union in 1707, creating Great Britain by combining Wales, Scotland, and England. Under her, the House of Commons took dominance in Parliament. When she died in August 1714, she was succeeded by George I, the first of the Hanoverian line to rule in Britain. The expansion of parliamentary power at the expense of the Crown that had taken place since 1688 would continue under the Hanoverian monarchs, with the first Prime Minister, Sir Robert Walpole, taking office in 1721. By the accession of George III in 1760, the Crown had very little ability to influence national politics, and largely left the formation of governments to the parties that were slowly evolving in Parliament.

## The Glorious Dutch Republic

### Culture and Economy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Dutch_Empire35.PNG/400px-Dutch_Empire35.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dutch possessions

  
For a period in the 1600s called the _Dutch Golden Age_, the Dutch were the commercial, shipping, and financial leaders of Europe. They were also recognized for creating one of the most urbane and tolerant societies in Europe. Amsterdam became a centre of commerce, largely because of the sacking of Antwerp, and the Bank of Amsterdam led the entire European world in banking.

As a result of their trade, the Dutch were the wealthiest and most prosperous nation. There was a vast appreciation for the arts, and some of the most famous Baroque artists were Dutch, such as Vermeer, Rembrandt, and Reubens. Dutch society promoted freedom of expression and religious tolerance, with a wide array of religions from atheists to Catholics. There was a large and well-established middle class, and an excellent educational system. Finally, the Dutch had a confederative republic with a large amount of freedom for self governance of its provinces while most other European nations were still undergoing absolutist regimes.

### Overseas Colonies

The Dutch East India Company began immediately to prise away the string of coastal fortresses that at the time comprised the Portuguese Empire. The settlements were isolated, difficult to reinforce if attacked, and prone to being picked off one by one, but nevertheless the Dutch only enjoyed mixed success in its attempts to do so. Amboina was captured from the Portuguese in 1605, but an attack on Malacca the following year narrowly failed in its objective to provide a more strategically located base in the East Indies with favourable monsoon winds. The Dutch found what they were looking for in Jakarta, conquered by Jan Coen in 1619, later renamed Batavia after the Latin name for Holland, and which would become the capital of the Dutch East Indies. Meanwhile, the Dutch continued to drive out the Portuguese from their bases in Asia. Malacca finally succumbed in 1641 (after a second attempt to capture it), Colombo in 1656, Ceylon in 1658, Nagappattinam in 1662 and Cranganore and Cochin in 1662. Goa, the capital of the Portuguese Empire in the East, was attacked by the Dutch twice in 1603 and 1610, on both occasions unsuccessfully. Whilst the Dutch were unable in four attempts to capture Macau from where Portugal monopolised the lucrative China-Japan trade, the Japanese shogunate's increasing suspicion of the intentions of the Catholic Portuguese led to their expulsion in 1639. Under the subsequent sakoku policy, for two hundred years the Dutch were the only European power allowed to operate in Japan, confined in 1639 to Hirado and then from 1641 at Deshima.

By 1650, the Dutch had overtaken Portugal as the dominant player in the spice and silk trade, and in 1652 founded a colony at Cape Town on the coast of South Africa, as a way-station for its ships on the route between Europe and Asia.

In the Atlantic, the West India Company concentrated on wresting from Portugal its grip on the sugar and slave trade, and on opportunistic attacks on the Spanish treasure fleets on their homeward bound voyage. Bahia on the north east coast of Brazil was captured in 1624 but only held for a year before it was recaptured by a joint Spanish-Portuguese expedition. In 1628, Piet Heyn captured the entire Spanish treasure fleet, and made off with a vast fortune in precious metals and goods that enabled the Company two years later to pay its shareholders a cash dividend of 70%, though the Company was to have relatively few other successes against the Spanish. In 1630, the Dutch occupied the Portuguese sugar-settlement of Pernambuco and over the next few years pushed inland, annexing the sugar plantations that surrounded it. In order to supply the plantations with the manpower they required, an expedition was launched in 1637 from Brazil to capture the Portuguese slaving post of Elmina, and in 1641 successfully captured the Portuguese settlements in Angola. By 1650, the West India Company was firmly in control of both the sugar and slave trades, and had occupied the Caribbean islands of Sint Maarten, Curaçao, Aruba and Bonaire in order to guarantee access to the islands' salt-pans.

Unlike in Asia, Dutch successes against the Portuguese in Brazil and Africa were short-lived. Years of settlement had left large Portuguese communities under the rule of the Dutch, who were by nature traders rather than colonisers. In 1645, the Portuguese community at Pernambuco rebelled against their Dutch masters, and by 1654, the Dutch had been ousted from Brazil. In the intervening years, a Portuguese expedition had been sent from Brazil to recapture Luanda in Angola, by 1648 the Dutch were expelled from there also.

On the north-east coast of North America, the West India Company took over a settlement that had been established by the Company of New Netherland (1614-18) at Fort Orange at Albany on the Hudson River, relocated from Fort Nassau which had been founded in 1614. The Dutch had been sending ships annually to the Hudson River to trade fur since Henry Hudson's voyage of 1609. In order to protect its precarious position at Albany from the nearby English and French, the Company founded the fortified town of New Amsterdam in 1625 at the mouth of the Hudson, encouraging settlement of the surrounding areas of Long Island and New Jersey. The fur trade ultimately proved impossible for the Company to monopolise due to the massive illegal private trade in furs, and the settlement of New Netherland was unprofitable. In 1655, the nearby colony of New Sweden on the Delaware River was forcibly absorbed into New Netherland after ships and soldiers were sent to capture it by the Dutch governor, Pieter Stuyvesant.

Ever since its inception, the Dutch East India Company had been in competition with its counterpart, the English East India Company, founded two years earlier but with a capital base eight times smaller, for the same goods and markets in the East. In 1619, the rivalry resulted in the Amboyna massacre, when several English Company men were executed by agents of the Dutch. The event remained a source of English resentment for several decades, and in the late 1620s the English Company shifted its focus to from Indonesia to India.

### Anglo-Dutch Wars

In 1651, the English parliament passed the first of the Navigation Acts which excluded Dutch shipping from the lucrative trade between England and its Caribbean colonies, and led directly to the outbreak of hostilities between the two countries the following year. The war would prove to be indecisive, but the English had failed to replace the Dutch as the leader of World trade.

The Second Anglo-Dutch War was precipitated in 1664 when English forces moved to capture New Netherland. After two years of war, the Dutch, led by Michiel de Ruyter,destroyed or captured much of the British fleet at Medway, and England was forced to sue for peace. Under the Treaty of Breda (1667), New Netherland was ceded to England in exchange for the English settlements in Suriname, which had been conquered by Dutch forces earlier that year.

### Wars With France

In 1672 the French invaded the Republic, starting the Franco-Dutch War and were only stopped when they reached the Dutch Water Line. England and France had secretly agreed to split the Netherlands between themselves, but after defeats at sea, and unable to cross the waterline, the French Army began a slow and cautious retreat out of the Republic. Peace was signed in 1678.

The Glorious Revolution of 1688 saw the Dutch William of Orange invade England, and ascend to the throne, ending Fifty years of rivalry between the Netherlands and England, and brought the two countries into the Nine Years' War against France the same year. The Anglo-Dutch fleet(mostly Dutch) dominated the seas, and France was unsuccessful.

## Peter Romanov the Great of Russia (1689-1723)

Peter installed an absolute monarchy in Russia, with absolutely no concept of the social contract. Serfdom still remained strong in Russia, with no middle class nor urbanization. In Russia, advancement was based upon merit rather than birth or blood line.

The ultimate goal of Peter's foreign policy was to obtain warm water ports for his nation, which were essential for trade, naval power, and access to the west. He battled Sweden for a port on the Baltic and with the Ottoman Turks for a port on the Black Sea. In the Great Northern War against Sweden, Russia defeated the Swedish army in Poltava by using the [scorched earth policy](http://en.wikipedia.org/wiki/scorched_earth_policy), in which the Russians retreat, burn the crops or villages in the town, and wait for winter to take its toll upon the enemy troops. As a result, the Russians successfully obtained their warm water port on the Baltic, which was named St. Petersburg and known as the "window to the west."

Peter enacted the "Great Embassy," which was a tour of Peter and his nobles through many Western European nations. The ultimate goal of the Great Embassy was to use the information collected to westernize Russia, as Peter was afraid of increasing Western power. Through the Great Embassy, Peter acquired many important technological skills, especially military technology, such as naval instruments, army tactics, ship building techniques, and naval strategy. He imported foreign workers with technological skills as well, and introduced new attire that was being worn across the rest of Europe. He implemented the Julian calendar, which although was not the modern Gregorian calendar at the time, was more modern than what was being used in the past. He established much better education, and he also established the first modern Russian army with 200,000 men. Nobles were required to perform state service in either the army or the bureaucracy.

## Baroque Art

Baroque Art came to existence during the 1600s and lasted through the mid-1700s. Baroque art was used by Catholics in the Counter-Reformation. Baroque Art can be characterized by its rich and vibrant colors, its intense use of light, great drama, and exuberance. Unlike Renaissance art, which usually depicted mellow scenes, Baroque Art captured the climax of a scene. It used dynamic lighting to create a "spotlight" effect on the canvas.

Baroque art was used in archetecture, art, and even music. This form of work was included in the building of St. Petersburg.

### Caravaggio

Caravaggio was a famous Italian painter for the Catholic Counter-Reformation, painting such works as _Judith Slaying Holofernes_ and _The Incredulity of St. Thomas_. He introduced dramatic light and dark effects, and he helped transition from mannerism to new Baroque styles.

### Bernini

Bernini was a famous Italian sculptor, who perhaps most famously created _The Ecstasy of St. Theresa_. This sculpture was of the mystic nun in a trance in the height of religious rapture. Bernini was one of the first masters to realize the importance of the effect of light.  


# **Chapter 07** \- Scientific Revolution and Enlightenment

## Introduction

The Age of Science of the 1600s and the Enlightenment of the 1700s, also dubbed the Age of Enlightenment, introduced countless new concepts to European society. These ideas continue to permeate modern society. Many modern institutions have much of their foundations in the ideals of these times.

## An Era of Enlightened Rulers

A new form of government began to replace absolutism across the continent. Whilst monarchs were reluctant to give up their powers, many also recognized that their states could potentially benefit from the spread of Enlightenment ideas. The most prominent of these rulers were Frederick II the Great Hohenzollern of Prussia, Joseph II Hapsburg of Austria, and Catherine II the Great Romanov of Russia.

In order to understand the actions of the European monarchs of this period, it is important to understand their key beliefs. Enlightened despots rejected the concept of absolutism and the divine right to rule. They justified their position based on their usefulness to the state. These rulers based their decisions upon their reason, and they stressed religious toleration and the importance of education. They enacted codified, uniform laws, repressed local authority, nobles, and the church, and often acted impulsively and instilled change at an incredibly fast rate.

### Catherine the Great 1762-1796

Catherine the Great came to power because Peter III failed to bear a male heir to the throne and was killed.

Her enlightened reforms include:

  * Restrictions on torture
  * Religious toleration
  * Education for girls
  * 1767 Legislative Commission, which reported to her on the state of the Russian people
  * Trained and educated her grandson Alexander I so that he could progress in society because of his merit rather than his blood line

She was friends with Diderot, Rousseau, Voltaire. However, Catherine also took a number of decidedly unenlightened actions. In 1773 she violently suppressed Pugachev's Rebellion, a massive peasant rebellion against the degradation of the serfs. She conceded more power to the nobles and eliminated state service. Also, serfdom became equivalent to slavery under her.

#### Foreign Policy

Catherine combated the Ottoman Empire. In 1774, Russia gained a warm water port on the Black Sea.

### Frederick II the Great 1740-1786

Frederick II Hohenzollern of Prussia declared himself "The First Servant of the State," believing that it was his duty to serve the state and do well for his nation. He extended education to all classes, and established a professional bureaucracy and civil servants. He created a uniform judicial system and abolished torture. During his tenure, Prussia innovated agriculture by using potatoes and turnips to replenish the soil. Also, Frederick established religious freedom in Prussia.

### Joseph II Habsburg 1765-1790

Joseph II Habsburg (also spelled as Hapsburg) of Austria could be considered perhaps the greatest enlightened ruler, and he was purely enlightened, working solely for the good of his country. He was anti-feudalism, anti-church, and anti-nobility. He famously stated, "The state should provide the greatest good for the greatest number." He created equal punishment and taxation regardless of class, complete freedom of the press, toleration of all religions, and civil rights for Jews. Under Joseph II a uniform law code was established, and in 1781 he abolished serfdom and in 1789 ordered the General School Ordinance, which required compulsory education for Austrian children. However, Joseph failed because he angered people by making changes far too swiftly, and even the serfs weren't satisfied with their abrupt freedom.

### England

As a result of the Glorious Revolution of 1688, England already had a Parliament and thus the concept of enlightened ruler did not take hold in England.

### France

After Louis XIV the "Sun King," Louis XV took control from 1715 until 1774. Like his predecessor, he was an absolute monarch who enacted mercantilism. As a result of the influence and control of absolutism in France, France also did not encounter an enlightened ruler. In order to consummate an alliance between his nation and Austria, Maria Theresa of Austria married her daughter, Marie Antoinette, to Louis XV's heir, Louis XVI. Louis XV recognized that the fragile institutions of absolutism were crumbling in France, and he famously stated, _"Après moi, le déluge"_, or "After me, the flood."

## A War-Torn Europe

### War of Austrian Succession

The war of Austrian Succession of 1740 to 1748 pitted Austria, England, and the Dutch against Prussia, France, and Spain. Upon Maria Theresa's acquisition of the Austrian throne, Frederick the Great of Prussia attacked Silesia, and war broke out. In 1748 peace came at the Treaty of Aix la Chapelle. The treaty preserved the balance of power and the _status quo ante bellum_. Austria survived but lost Silesia, which began "German Dualism" or the fight between Prussia and Austria over who would dominate and eventually unite Germany.

### The Seven Years War

The peace in 1748 was recognized as temporary by all, and in 1756 Austria and France allied in what was known as the Diplomatic Revolution. The reversal of the traditional France versus Austria situation occurred as a result of both nation's fear of a rising, militant Prussia. To consummate the marriage, Louis XVI married Marie Antionette. The Seven Years War engaged Austria, France, Russia, Spain, Sweden, and Saxony against Prussia and England. The purpose of the war was to annihilate Prussia, and took place at a number of fronts: in Europe, in America (where American citizens know it as the French and Indian War) and in India. At the Peace of Paris in 1763, the war concluded, and Prussia retained all of its territory, including Silesia. France ceded Canada to Britain and the North American interior to Spain, and removed its armies from India. It did, however, get to keep its West Indies colonies.

At this point, Great Britain became the supreme naval power and it began its domination of India.

### The Partitioning of Poland

Poland was first partitioned on February 19, 1772, between Russia, Austria, and Prussia, in an agreement between them to gain more land and power in Europe. Poland was able to be partitioned because it was weak and had no ability to stop the larger and more powerful nations. The balance of power was not taken into consideration by France or England because the partitioning did not upset the great powers of Europe. The second partition involved Russia and Prussia taking additional land from Poland. After the second partition, which occurred on January 21, 1792, the majority of their remaining land was lost to Prussia and Russia. The third partition of Poland took place in October of 1795, giving Russia, Prussia, and Austria the remainder of the Polish land. Russia ended up with 120,000 square kilometres, Austria 47,000 square kilometres, and Prussia 55,000 square kilometres. This took Poland off of the map.

## Science and Technology

The Enlightenment was notable for its scientific revolution, which changed the manner in which the people of Europe approached both science and technology. This was the direct result of philosophic enquiry into the ways in which science should be approached. The most important figures in this change of thinking were Descartes and Bacon.

The philosopher René Descartes presented the notion of deductive reasoning - that is, to start with a premise and to then discard evidence that doesn't support the premise. However, Sir Francis Bacon introduced a new method of thought. He suggested that instead of using deductive reasoning, people should use inductive reasoning - in other words, they should gather evidence and then reach a conclusion based on the evidence. This line of thought also became known as the Scientific Method.

### Changes in Astronomy

The Scientific Revolution began with discoveries in astronomy, most importantly dealing with the concept of a solar system. These discoveries generated controversy, and some were forced by church authorities to recant their theories.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Aristotle_Altemps_Inv8575.jpg/100px-Aristotle_Altemps_Inv8575.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Aristotle

#### Pre-Revolution: Aristotle and Ptolemy

The geocentric (earth-centred) view of the universe had been taught since the days of Aristotle. Ptomely's "Almagest" (c.2nd century CE) was the standard text used to teach students astronomy and remained so for hundreds of years. Ptolemy's theories are a mixture of science and religion and to modern readers may come across as unusual though it must always be borne in mind that Ptolemy was building upon the works of earlier astronomers. Surprisingly a Greek philosopher called Aristarchus (310 BC - ca.230 BC) suggested that the earth moved around the sun and though this was common knowledge amongst all who studied astronomy it would be over a thousand years before he was proved right. The early christian church (c.4th century CE) adopted the Ptolemaic system since it was in accord with biblical teaching. A universe without the earth at its center would negate divine purpose and Ptolemy's idea of the spheres in harmony strengthened the creationist argument. The Enlightenment, which is also referred to as the Age of Reason, was a period when European philosophers emphasized the use of reason as the best method for learning the truth.

#### Nicolaus Copernicus (1473-1543)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/80/Heliocentric_solar_system.png/200px-Heliocentric_solar_system.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Heliocentric solar system

During the Renaissance, study of astronomy at universities began. [Regiomontanus](http://en.wikipedia.org/wiki/Johann_M%C3%BCller_Regiomontanus) and [Nicolas of Cusa](http://en.wikipedia.org/wiki/Cardinal_Nicolas_of_Cusa) developed new advances in mathematics and methods of calculation.

Copernicus, although a devout Christian, doubted whether the views held by Aristotle and Ptolemy were completely correct. Using mathematics and visual observations with only the naked eye, he developed the [Heliocentric](http://en.wikipedia.org/wiki/Heliocentrism), or Copernican, Theory of the Universe, stating that the Earth revolves around the sun.

#### Tycho Brahe (1546-1601)

Tycho Brahe created a mass of scientific data on astronomy during his lifetime; although he made no major contributions to science, he laid the groundwork for Kepler's discoveries.

#### Johannes Kepler (1571-1630)

Kepler was a student of Brahe. He used Brahe's body of data to write Kepler's Three Laws of Planetary Motion, most significantly noting that planets' orbits are elliptical instead of circular.

#### Galileo Galilei (1564-1642)

Galileo is generally given credit for invention of the telescope; although the device itself is not of Galileo's design, he was the first to use it for astronomy. With this tool, he proved the Copernican Theory of the Universe.

Galileo spread news of his work through letters to friends and colleagues. Although the Church forced him to recant his ideas and spend the rest of his life under house arrest, his works had already been published and could not be disregarded.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Hw-newton.jpg/100px-Hw-newton.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sir Isaac Newton

#### Isaac Newton (1642-1727)

Newton is often considered the greatest scientific mind in history. His _Principia Mathematica_ (1687) includes Newton's Law of Gravity, an incredibly ground-breaking study. Newton's work destroyed the old notion of an Earth-centred universe.

Newton also had a great influence outside of science. For example, he was to become the hero of Thomas Jefferson.

### Developments in Medicine

#### Andreas Vesalius (1514-1564)

Vesalius studied human cadavers, a practice forbidden by church doctrine. His writing _The Structure of the Human Body_ in 1543 renewed and modernized the study of the human body.

#### William Harvey (1578-1657)

William Harvey wrote _On the Movement of the Heart and Blood_ in 1628, on the circulatory system. He was a doctor and an anatomist.

## Society and Culture

As a result of new learning from the Scientific Revolution, the world was less of a mystical place, as natural phenomena became increasingly explainable by science. According to Enlightened philosophers:

  * The universe is a fully tangible place governed by natural rather than supernatural forces.
  * Rigorous application of the scientific method can answer fundamental questions in all areas of inquiry.
  * The human race can be educated to achieve nearly infinite improvement.

Perhaps most importantly, though, Enlightened philosophers stressed that people are all equal because all of us possess reason.

### Precursors

There were a number of precursors to the Enlightenment. One of the most important was the Age of Science of the 1600s, which presented inductive thinking, and using evidence to reach a conclusion. The ideas of Locke and Hobbes and the notion of the social contract challenged traditional thinking and also contributed to the Enlightenment. Scepticism, which questioned traditional authority and ideas, contributed as well. Finally, the idea of moral relativism arose - assailing people for judging people who are different from themselves.

### The Legacy of the Enlightenment

The Enlightenment began in France, as a result of its well-developed town and city life, as well as its large middle class that wanted to learn the ideas. The Enlightenment promoted the use of one's reason, rather than accepting tradition. It rejected the traditional attitudes of the Catholic Church. Many "philosophers," or people who thought about subjects in an enquiring, inductive manner, became prominent. Salons were hosted by upper-middle class women who wanted to discuss topics of the day, such as politics.

The Enlightenment stressed that we are products of experience and environment, and that we should have the utmost confidence in the unlimited capacity of the human mind. It stressed the unlimited progress of humans, and the ideas of atheism and deism became especially prominent. Adam Smith's concept of free market capitalism sent European economics in a new direction. Enlightened despots such as Catherine the Great and Joseph II replaced absolute monarchs and used their states as agents of progress. Education and literacy expanded vastly, and people recognized the importance of intellectual freedoms of speech, thought, and press.

### Conflict with the Church

Although the ideas of the Enlightenment clashed with Church dogma, it was mostly not a movement against the Church. Most Enlightened philosophers considered themselves to be followers of deism, believing that God created an utterly flawless universe and left it alone, some describing God as the "divine clockmaker."

### Thomas Hobbes (1588-1679)

  * dies before the enlightenment
  * English Revolution shapes his political outlook
  * _Leviathan_ (1651) - life is "nasty, brutish, and short" - people are naturally bad and need a strong government to control them.
  * may be considered to be the father of the enlightenment: because of all the opposition he inspired.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8a/JohnLocke.jpg/100px-JohnLocke.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

John Locke

### John Locke (1632-1704)

  * specifically refuted Hobbes
  * humanity is only governed by laws of nature, man has right to life, liberty, and property
  * there is a natural social contract that binds the people and their government together; the people have a responsibility to their government, and their government likewise has a responsibility to its people
  * _Two Treatises on Civil Government_ justified supremacy of Parliament
  * _Essay Concerning Human Understanding_ (1690) - Tabula rasa - human progress is in the hands of society

### Philosophers

#### [Voltaire](http://en.wikipedia.org/wiki/Voltaire) (1694-1776)

  * stressed religious tolerance

#### Baron de Montesquieu (1689-1755)

  * _Spirit of the Laws_ \- checks and balances on government, no one group having sole power

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Jean-Jacques_Rousseau_\(painted_portrait\).jpg/100px-Jean-Jacques_Rousseau_\(painted_portrait\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Jean-Jacques Rousseau

#### Jean-Jacques Rousseau (1712-1778)

  * social contract
  * "general will" - government acts for the majority

### Rococo Art

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Boucher_Diane_sortant_du_bain_Louvre_2712.jpg/300px-Boucher_Diane_sortant_du_bain_Louvre_2712.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Diana Leaving her Bath_ by [François Boucher](http://en.wikipedia.org/wiki/Fran%C3%A7ois_Boucher).

The Rococo Art movement of the 1700s emphasized elaborate, decorative, frivolous, and aristocratic art. Often depicted were playful intrigue, love, and courtship. The use of wispy brush strokes and pastels was common in Rococo Art. Rococo Art is especially associated with the reign of Louis XV Bourbon in France. The French artist Boucher painted for Madame Pompadour, the mistress of Louis XV. The most famous paintings of Boucher include _Diana Leaving her Bath_ and _Pastorale_, a painting of a wealthy couple under a tree.

# **Chapter 08** \- Revolution in France

## Introduction

The French Revolution of 1789 is one of the most important events in both French and European history. It marks the rise of the 3rd class after centuries of paying high tax to the King. The revolution centred around (at its peak) the weak King Louis XVI and the immature Queen Marie Antoinette , as the public saw them, and their lavish lifestyle hidden away at Versailles. The people of France at the time of 1789 were being influenced by the media, which did not help the situation. The press would make up stories of their “Wicked Queen's” lavish spending of public money, and her many love affairs which made her extremely unpopular among the French public. The 6th October 1789 marks the start of the Revolution when 100's of market women (and men dressed as women) marched on the Palace Of Versailles demanding the Queen's head and the King's immediate return to Paris. The women were successful in bringing the Royal family back to Paris, even if the Queen had not been killed as intended. The situation worsened once in Paris as the “Reign of Terror” came into power, and as Marie Antoinette famously said “Now they will make proper prisoners of us”.

## Diplomatic Revolution

The Diplomatic Revolution is a term applied to the reversal of longstanding diplomatic alliances in the wake of the Peace of Aix-la-Chapelle which concluded the War of the Austrian Succession in 1748. The traditional alliances of France and Prussia against Great Britain and Austria changed to France and Austria against Great Britain and Prussia. In order to cement the alliance, Maria Theresa of Austria married her daughter, Marie Antoinette, to Louis XVI, heir to the French throne. Despite hope that this alliance would create an unbeatable power bloc in Europe, it failed to win the Seven Years' War (fought in Europe from 1758-1763, known in America as the French and Indian War), as both Austria and France failed to stop the rising power of Prussia under Frederick the Great. Furthermore, public opinion on both sides was very skeptical of this alliance, for Austria and France had traditionally been enemies since the Habsburg-Valois wars of the 16th century.

The Austrian alliance, including the marriage of Louis XVI and Marie Antoinette is commonly considered one of the central causes of the French Revolution. The Queen was widely condemned for her extravagance, extreme even for a queen, and the most quoted remark never said; when told that the peasants of France were so poor that they could not put bread on the table, she was said to have replied, "let them eat cake," which supposedly "proved" that she was out of touch with the general populace. Although it is unlikely that the queen ever said such a thing, it is still an example of the French citizens' opinion of their royalty, that they would create such a story. As the historian Munro Price suggests, though, much of the criticism of Marie-Antoinette came from the fact that there was no one else to blame for bad policies. Under Louis XIV and Louis XV, both of whom were prolific womanizers who had many official mistresses during their respective reigns, public opinion often leveled the blame for society's ills at the King's current ministers who, more often than not, owed their position to the royal mistress (such as the Duc de Choiseul and Madame de Pompadour in the 1750s). When there was no mistress, however, as was the case with Louis XVI, opinion turned on the Queen, who was widely perceived, and to some extent correctly, to exercise influence with the King in the choice of ministers, as had happened with the intermittent appointments of the Baron de Breteuil (a favorite of the Queen's) to the royal council.

## Neoclassicism

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Death_of_Marat_by_David.jpg/200px-Death_of_Marat_by_David.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Death of Marat_ by [Jacques-Louis David](http://en.wikipedia.org/wiki/Jacques-Louis_David) (1793)

Neoclassicism is a genre of art that was prevalent mainly in the 18th and into the early 19th centuries that was based on the Greek style of decoration such as columns. Neoclassical art uses sharp colors as a replacement for more pastel colors. Neoclassicism was influenced by The Enlightenment, which took place in the 17th and 18th centuries, and was the thought of more individualization of the community. It emphasized reason rather than emotion.

One of the more popular french artists during neoclassic age was Jacques-Louis David. He was born August 30th 1748 and died on December 29th 1825. He painted the painting call “Tennis Court Oath” in 1792 of the Tennis Court Oath during the French Revolution. During the French Revolution, he became good friends with Maximilien Robespierre, the head of the Committee of Public Safety.

## Precursors to the French Revolution

Countless ideas from the Enlightenment contributed to the French Revolution. Locke's ideas of overthrowing government that does not respect the social contract, as well as Rousseau's ideas of the general will and the French government's failure to represent the general will of the people, were major factors. The Enlightenment also stripped away at religion, especially Catholicism, directly attacking the divine right theory that Louis XVI of France used to justify his position.

Additionally, there were massive food shortages across France, there was a constant war, anger over social inequality, and a weak queen and king. Moreover, a harsh winter had resulted in no harvest and the lack of food, especially bread, causing poverty, death, and destruction.

The immediate spark of the French Revolution, however, was the financial crisis in France. This problem stemmed from a number of issues. One of the most prominent of these issues was the fact that the nobles were tax-exempt, and the nobles resisted any attempt by Louis to tax them. In addition, France had accrued massive debt from assisting in the American Revolution, as well as from the Seven Years War. Finally, French tax collectors were corrupt. As a result, Louis called the Estates General for assistance and advice to resolve the financial crisis.

The Estates General consisted of three estates: the first estate was made up of clergymen, the second estate was made up of nobles, and the third estate was made up of commoners, who represented at least 95% of the populace. The third estate, angry over their disproportionate representation and their inability to act according to their needs, rebelled, and declared itself the National Assembly. Three days later members of the third estate took the Oath of the Tennis Court, swearing allegiance to the French nation and drawing up a list of grievances (cahiers de doléances) against the king. They aimed to democratically represent the will of the people and give the people a constitution, and they were clearly motivated by the Glorious Revolution of 1688 in England.

## End of a royal family

The terrified King Louis XVI, Queen Marie Antoinette their 2 young children (11 year old Marie Therese & 4 year old Louis-Charles) and the King's sister, Madam Elizabeth, on the 6th October 1789 were forced back to Paris from Versailles by a mob of market women. In a carriage, they traveled back to Paris surrounded by a mob of people screaming and shouting threats against the King and Queen. The mob of people forced the King And Queen to have their carriage windows wide open. At one point a member of the mob waved the head of a royal guard killed at Versailles in front of the terrified Queen. Despite Marie Antoinette's best efforts to please the mob in giving out bread from the carriage, it was thrown back, as the people refused to eat it as “It is sure to be poisoned”.

The next 4 years of the Royal family’s lives were to be of misery and hope although the efforts of Queen Marie Antoinette’s Austrian family, and close friends of the King and Queen such as Count Ferson and Count Mercy, and despite one failed rescue attempt, the royal family were imprisoned. The Royal family saw the terror of the French Revolution, the Queens nephew by 1792 was now Emperor of Austria and felt no need to rescue his Aunt who he had never met before. In 1792 the crown was abolished in favour of a republic making the now former Royal family of France to be nicknamed “The carpets”. Louis Carpet, the former King, stood trial in January of 1793 and was found guilty of treason and sentenced to death by Guillotine. An emotional scene followed in which the King said his goodbye to his devastated family. “And you came to France for this!” Louis exclaimed to his wife, Marie Antoinette, dressed in black upon hearing that her husband had been executed from that day on. However more sadness followed when the “Widow Carpet” Marie Antoinette’s 8 year old son Louis-Charles was to be taken away. Marie Antoinette leaped into his arms and did not let go for a full hour, despite threats to her life. It was not until they threatened to kill her Marie Therese that she let go. The boy who was hailed as King by Royalist around France and Europe was integrated and turned against his mother. The former Queen was also taken from Madam Elizabeth and her daughter, “Treat her like a second mother” Marie Antoinette told Marie Therese before departing form the tower. As Marie Antoinette was led down form the tower she hit her head on the last pillar of the staircases “Did that hurt Madam?” asked a guard “No I felt nothing” replied the former Queen drenched in black. The widow Carpet was taken to a Woman’s Prison. A man waiting a the reception was woken up by a guard (The man had worked at Versailles once as a pastry maker and instantly recognised the former Queen) “Name Please” he asked, Marie Antoinette replied blankly “Look at me”. Deprived of everything the former Queen spend days in her hot cell, reading books, making clothes for her daughter, and playing with a ring on her finger passing it on to finger to finger. Every now and then the Queen would look up when hearing of what sounded like a harp being played, reminding her of distant days long gone. The existence of the Royal family was a weak one of suffering and pain, Marie Antoinette’s sister wrote “Maybe natural death is the best fate” about Marie Antoinette. Finally in October 1793 a full 4 years into the French revolution Antoinette was trailed and found guilty of Treason among other things. She was executed on the 16th October 1793 by Guillotine, Before leaving for her death it was rumoured she said “Now I shall take my place in hell, with my mother and two emperor brothers, and as for my fat pompous of a husband, I want nothing more to do with him”. However Marie Antoinette properly did not say this, just another public stunt form the media. Her final words were simply “sorry mousier I did not do it on purpose” after stepping on the executioners foot. Madam Elizabeth followed her brother and sister in law foot steps to the blade a year later. Louis-Charles died alone in his cell in 1795. Marie Therese however out lived the revolution and lived until the 1850s becoming Queen of France for 20 minutes, and holding the title her mother made so iconic “Dauphine of France”. She died in Austria, places of exile (In which she spent most of her life) include, Scotland, Kent and Austria. Returning to France for a brief period of time before being forced to leave by Napoleon who said “She was the only man in her family” when Marie Therese gathered an army and refused to leave France.

## Storming of the Bastille

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Prise_de_la_Bastille.jpg/350px-Prise_de_la_Bastille.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The storming of the Bastille, July 14 1789

On July 14, 1789, the revolting Paris mob stormed the Bastille. While only seven prisoners were housed behind its walls, none of whom could be considered political in any way, this event was essential because it symbolized that the people were no longer standing for the power of the nobles and the king, or the rising of the people against the tyranny of absolutism. The fall of the Bastille was also the first time, but certainly not the last, during the Revolution that popular mobs would rise up and take action outside of the legislature. These later risings, known in French as journees, would prove to be both extremely influential on public opinion and a cause for major hand-wringing on the part of the legislature, who did not want to risk a massive popular revolution as opposed to the controlled "bourgeois" revolution.

  


## New Governments

The revolutionaries in France established a new government in order to accomplish what they desired.

### National Assembly 1789-1791

The members of the National Assembly came from the members of the third estate in the Estates General. These members tended to be from the upper middle class, or bourgeois, and were often referred to as "Jacobins" since they frequently met in Jacobin clubs to discuss the revolution.

The lower third estate, or the rest of the citizenry, led the fighting arm of the revolution and the National Assembly at this time. They did not, however, take part in the government. The urban middle class led the storming on the Bastille and the march on Versailles.

#### Efforts to Remake Society

The National Assembly took a number of actions to remake society. They established social equality, and signed the Declaration of Rights of Man and Citizen, which was a social contract. It provided for freedom of religion, taxation of equality, legal equality, and freedom of press and expression. They wrote a constitution that established a constitutional monarchy with a parliament. The parliament was to be run by the bourgeois, who were considered "active" citizens, while the rest of the citizens were considered "passive" citizens and would not be allowed to take part in government. People in government were to progress based upon merit. Finally, the National Assembly established the Civil Constitution of the Clergy (1790), which clergymen would eventually be required to swear an oath to in 1791. In addition to nationalizing church property, the Civil Constitution also abolished religious vows and turned all Church clerics (including monks and nuns) into civil servants who received their pay and assignments not from Rome, but from Paris. While this was initially well-received by many Frenchmen who applauded the "bringing home" of the church, the subsequent punitive measures taken against clergy who did not swear the oath (also known as the refractory clergy) would be a cause of great resentment in the Western provinces, and was one of the causes behind the Vendee rising in 1793.

### Legislative Assembly 1791-1792

The provisions of the National Assembly established what was supposed to be a permanent constitutional monarchy, the Legislative Assembly, with Louis XVI as the monarch. However, the Legislative Assembly failed very quickly for a number of reasons. The lower third estate felt abandoned by the bourgeois politically. In addition, the Legislative Assembly failed to fix the food and unemployment problems. As a result, the working men of France, or the sans-culottes, rose against the Legislative Assembly.

### War with Austria and Prussia

Emigres, or nobility that had fled France during the Revolution, in Austria wanted the Austrian government to crush the Revolution. Other nations feared revolution in their own countries. Austria signed the Declaration of Pillnitz (1791), which stated that if the other powers attack France, so would Austria. The French interpreted this as a virtual declaration of war.

The Brunswick Manifesto (1792) by Prussia stated that the Prussians would punish the citizens of Paris if they did anything to harm Louis XVI or Marie Antionette. Prussia and Austria allied for the balance of power, in order to weaken France. The draining of war on the newly formed government also contributed to its downfall.

### Convention 1792-1795

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/Robespierre.jpg/250px-Robespierre.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Anonymous Portrait of Maximilien de Robespierre c. 1793 ([Carnavalet Museum](http://en.wikipedia.org/wiki/Carnavalet_Museum)).

The Convention was an emergency republic with universal male suffrage. The leading body of the Convention was the Committee of Public Safety, who worked to suppress dissent and protect the revolution. The Committee was composed of twelve members, of whom the dominant individual was Maximilien de Robespierre. The leadership of the Convention split into two factions: the Montagnards (or "Mountain"), who was more radical and included Robespierre, and the Girondin, which was more middle class.

The Convention had a number of issues to address. First, and perhaps most importantly, they were actively engaged in war with Prussia and Austria. They instituted the first draft, called the _levee en masse_, and a nationalist feeling rose among troops. In 1794, the French army invaded Austria and was successful.

In addition, the Convention needed to remake society. Members instituted "dechristianization," which was essentially the purging of Christians in France.

The Convention also needed to address the food problem, and established the "General Maximum" that controlled bread prices and wages.

Finally, the Convention needed to stop the counter-revolution and write a new constitution. During a period known as "The Terror," Robespierre and the Committee of Public Safety utilized the newly invented guillotine to kill tens of thousands of counter-revolutionaries. The Convention successfully wrote a new constitution, establishing a government known as the Directory as a permanent republic.

On 27 July ("9 Thermidor" in the Revolutionary Calendar) 1794, Robespierre himself was arrested, and was executed the next day. The resulting "Thermidorian Reaction" was a response to France's swing to the left, during which the government briefly went to the right, and finally back to the center. The Jacobins and other Montagnards were replaced with the more moderate Girondins (Bourgeois), and many Montagnard members were executed.

### Directory 1795-1799

The Directory was the first constitutional republic, which had an executive body of five directors, as well as a bicameral legislative body consisting of the Council of Ancients and the Council of 500. In 1797, the first free elections were held, and the people of France astonished members of the Directory by electing a majority of royalists to the legislature. Unwilling to risk the reversal of everything achieved since 1789, left-wing members of the legislature, combined with support from the military, purged the Directory of rightist members in the coup of 18 Fructidor, which established a dictatorship controlled by left-wing Directors. However, people grew fearful of a possible return of the Terror, thus, when Napoleon Bonaparte and Abbe Sieyes launched the coup of 18 Brumaire to end the Directory and instead establish the Consulate, there was little opposition.

# **Chapter 09** \- Napoleon Bonaparte and the Rise of Nationalism

## Introduction

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Jacques-Louis_David_017.jpg/200px-Jacques-Louis_David_017.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Napoleon I of France, by Jacques-Louis David.

In a better attempt to prevent freely elected royalists from taking control of the Directory in 1799, members of the bourgeois sent Napoleon Bonaparte and his army to defend the Directory and the annulment of the elections. However, Napoleon took advantage of this situation and in the Coup of Brumaire took control of the nation.

## The Consulate 1799-1804

Napoleon seized control and initially installed an enlightened despotism known as the Consulate. During this time, Napoleon instituted a number of important Enlightened reforms. The most important of these is his Napoleonic Code, which provided freedom of religion, a uniform law codes, social and legal equality, property rights, and end feudal dues. He also implemented a state-wide compulsory education, known as the University of France. In 1801 he ended dechristianization.

## The Empire 1804-1814

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Europe_map_Napoleon_1811.png/250px-Europe_map_Napoleon_1811.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Napoleonic Empire, 1811: France in dark blue, satellite states in light blue

Napoleon declared himself French Emperor and became a military dictator. Napoleon was undefeated against his three main continental enemies, defeating Austria, Russia, and Prussia multiple times. During his tenure, he took control of large amounts of mainland Europe. However, Napoleon failed to subdue England, and was defeated in his attempt to crush the English Navy at the Battle of Trafalgar by Admiral Nelson. As a result, Napoleon employed the Continental System, a method of economic warfare. He prohibited trade with the British by blockading all coasts of Europe from English export. Unfortunately for Napoleon, this failed, as the British still were able to smuggle goods into Europe, and were also able to trade with their colonies, Asia, and the United States. Napoleon eliminated the Holy Roman Empire, and in 1806 consolidated it into 40 states and named it the Confederation of the Rhine.

After Alexander I of Russia withdrew from the Continental System, Napoleon invaded Russia in 1812. For the first time, Napoleon failed, as the Russian army employed scorched earth tactics to defeat Napoleon's army. However, Napoleon quickly raised a new army, but this army was crushed by the Quadruple Alliance of England, Austria, Russia, and Prussia at the Battle of Nations/Leipzig in 1813. Napoleon was exiled to the island of Elba, but he managed to escape and return in 1815 in a period known as the Hundred Days. The Quadruple Alliance again crushed his new army at the Battle of Waterloo, led by the great British General Wolsey (Duke of Wellington). Napoleon was then exiled to the island of Saint Helena where he died in 1821.

## The Congress of Vienna 1814-1815

The Quadruple Alliance assembled at the Congress of Vienna to create a post-Napoleonic Europe. Their representatives were Castlereagh of England, who assembled the Quadruple Alliance, Talleyrand of France, Metternich of Austria, and Alexander I of Russia.

The Congress of Vienna was incredibly lenient toward France. It simply restored the old boundaries and restored Louis XVIII to the throne. It imposed no reparations. This was done because the allies desired a stable, prosperous France that would not threaten them with revolution or invasion.

## The Restoration of Louis XVIII Bourbon

Louis XVIII did not wipe out the gains of the Revolution. Rather, out of fear of revolution, he signed the Charter of 1814 that provided legal equality, offices open to all men, a two chamber parliament, Napoleonic civil code, and the abolition of feudalism.

## A Shift in Foreign Policy

After Napoleon's fall, European foreign policy took a major shift. While preserving the balance of power was still important, now much more prominently featured in war would be advocates of liberalism (revolutionaries, republicans, nationalists) versus conservatism or the "Old Regime" (the monarchy, aristocrats, clergymen).

Old Regime monarchs, led by Klemens Wenzel von Metternich of Austria, used the Congress System, also known as the Concert of Europe, to prevent revolution and war. At the Congress System the leading of nations of Europe worked together to prevent the outbreak of revolution in each nation.

## A New Nationalism

Many of the territories occupied by Napoleon during his Empire began to feel a new sense of nationalism. During the occupation, Napoleon destroyed and disallowed many nation's individual cultures, and the people of these nations greatly resented this. As a result, Napoleon's conquests spurred a new nationalism in the occupied nations, particularly in Germany and Italy, at a level that had never previously existed.

# **Chapter 10** \- Age Of Revolutions

## Introduction

The early nineteenth century was dominated by the aftermath of the French Revolution and Napoleonic Wars. Although Napoleon was defeated in 1815 and the Bourbon monarchy restored to France, many European states were transformed by the 25 years of conflict. States such as Prussia, Austria and the Netherlands found themselves expanded by the peace settlement of 1815. Conversely, other countries, most notably Poland, were dissolved in this process of state consolidation. These national upheavals were accompanied by a heightened sense of nationalism amongst the population of many states, which had been encouraged by Enlightenment ideas, spread throughout Europe by the Napoleonic conquests.

In the decades following the peace of 1815 many European countries were beset by social conflicts as the populations sought to assert their rights against the often autocratic rulers of their states. This was to produce what the historian Eric Hobsbawn has dubbed _the Age of Revolutions_, as the tensions within states were to frequently erupt into large-scale political upheavals, such as the French revolutions of 1830 and 1848.

## Europe in the Age of Revolutions

Europe was a turbulent continent in the period after the Napoleonic Wars. Although the Treaty of Vienna had tried to restore many European states to their pre-war states, the influence of the war years was significant, particularly the Enlightenment ideas that were spread throughout Europe by Napoleon's armies. The result was an age of revolutions. A distinctive feature was the manner in which waves of revolutions could sweep through Europe, most notably in 1830 and 1848, when popular revolt in France influenced the people of other states to rebel against their rulers.

### Belgium

Prior to the nineteenth century the southern part of the Netherlands had been dominated by foreign powers, most notably the Hapsburg states of Spain and Austria. However, the critical geographical position of the area led the major powers of Europe, in the Treaty of Vienna, to cede the territory to the Dutch Republic in 1815, to create the United Kingdom of the Netherlands. This caused resentment within the region; local liberals resented the autocratic nature of the Dutch king, whilst conservative Catholics disliked the dominance of Dutch Protestantism.

These tensions were to lead to the revolution of 1830, when the region declared itself independent, taking the name Belgium in reference to the Celtic tribes who had lived in the area in ancient times. The response of the Dutch government came in August 1831, when the Dutch Army set off on a so called "Ten Days Campaign". It was very successful, as the Dutch army pushed into the heart of Belgium within just a few days, also capturing the key city of Antwerp. However, after a desperate Belgian appeal for French help, French troops crossed the border into Belgium. With Russia too busy to guard the Dutch back, both sides agreed to a ceasefire. On December 20, 1830, the European powers recognized Belgium's de facto independence from the Kingdom of the Netherlands. It was not until April 19, 1839 however, that the Treaty of London signed by the European powers (including the Netherlands) recognized Belgium as an independent and neutral country.

### France

The Treaty of Vienna saw the Bourbon monarchy restored to France. Although the first king after this restoration, Louis XVIII, managed the country well, his successor, Charles X, proved to be unpopular. An autocratic ruler, Charles passed a number of acts that stripped away power promised by Louis to the people. This concluded in the July Ordinances, which dissolved Parliament. As a result, the people of France broke into revolution, known as the July Revolution, replacing Charles X with Louis-Philippe Orleans in what is known as the July Monarchy.

#### The 1848 Revolution and Louis Napoleon

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c4/LodewijkNap.jpg/250px-LodewijkNap.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Louis Bonaparte

In February 1848, the citizens revolted again, this time forming a provisional government led by two men, Lamartine, a political republican who advocated freemarket, and Blanc, a social republican, who advocated socialism. Blanc created a system known as the national workships that provided employment to the masses in France.

The National Assembly of 1848 established universal male suffrage, and the people that year elected virtually no socialists. The new government threw out the national workshops, resulting in a revolt by the people. The people, looking to the former glory of France, installed Louis Napoleon Bonaparte, relative of Napoleon Bonaparte, the throne.

President Louis Napoleon Bonaparte rebuilt central Paris, installing new apartments, straight, long, and wide streets, sewage, and sanitation. He also widened the streets in Paris, in an attempt to subvert future revolution, since in the past, revolutionaries in France had used the streets to barricade themselves.

Emperor Napoleon III is often referred to as the socialist emperor because he gave many socialized programs to the citizens. He gave hospitals, socialized medicine, the right to unionize and strike, shorter hours, injured worker homes, a revamped prison system, and more.

However, Napoleon III was also militarily inept. He chose to get involved in wars which he didn't have to, trying to live up to the glory of Napoleon I. He was defeated in his involvement in the Italian unification movement where he sent troops to Rome to protect the Pope, in his involvement with the Mexican Empire from 1862-1867, and in the Franco-Prussian War from 1870-1871, during which he was actually captured by the Prussians.

### Great Britain

Whilst reform in many European states was only achieved with the aid of bloody revolution, British parliamentary democracy meant that Great Britain managed to reform and modernise relatively peacefully. The most notable instance of this is the Reform Act of 1832, which reallocated seats in the House of Commons to address the new industrial cities of Britain, and increased suffrage from 500,000 men to 800,000 men. This was to be followed thirty years later by the Reform Act of 1867 granted suffrage to 1/3 of British men. By 1884, 2 to 4.5 million men had suffrage in Britain, including urban workers.

Britain saw other reforms, such as the 1833 Factory Act, which outlawed the employment of children under the age of 9 and limited the workdays of all children. The Mines Act of 1842 was a similar piece of reformist legislation, formally prohibiting women and children from working underground.

#### British Corn Laws

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Robert_Peel.jpg/200px-Robert_Peel.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

British Prime Minister Robert Peel

One of the most entertaining pieces of political reform during this era was not related to working life, but to the economic management of Britain. The Corn Laws were taxes placed on imported goods to protect Britain's own goods. They forced the British people to buy the more expensive and lower quality British grain by putting a tariff on French grain, which tended to be less expensive and higher quality. The goal was to keep British money in Britain, rather than being spent on importing French grain.

The Corn Laws were passed by the members of the Tory party in Parliament. The Tories were populated by the Landed Gentry. The Whigs, which represented the working class, merchants, factory owners, and so forth in Britain, were opposed to the Corn Laws, but because the Tories controlled Parliament, they were unable to stop the passage of the Corn Laws. The expensive price of British grain necessitated a rise in wages, and factory owners such as David Ricardo were forced to pay higher wages so that their workers could afford the food. Ricardo thus concluded that the Corn Laws simply redistributed wealth from the industrialists to the landowners.

In 1819, 80,000 people gathered in Manchester demanding the repeal of the Corn Laws. British soldiers opened fire, killing 11 demonstrators, in what became known as the Peterloo Massacre. As a result, the Anti-Corn Law League was established in Manchester, and used pamphlets, mass demonstrations, and torchlight parades to protest the Corn Laws.

In 1846, the Corn Laws were repealed under Prime Minister Robert Peel. The government was still led by Tories, but the Irish Potato Famine led to the repeal, demonstrating the new power of the industrialists in England.

  


### Spain

Spain was a country in turmoil during the age of revolutions. Occupied by Napoleon from 1808 to 1814, a brutal "war of independence" was waged against the occupiers that led to an emergent Spanish nationalism. An era of reaction against the liberal ideas associated with revolutionary France followed the war, personified by the rule of Ferdinand VII and—to a lesser extent—his daughter Isabella II. Ferdinand's rule included the loss of the Spanish colonies in the New World, except for Cuba and Puerto Rico, in the 1810s and 1820s. A series of civil wars then broke out in Spain, pitting Spanish liberals and then republicans against conservatives, culminating in the Carlist Wars between the moderate Queen Isabella and her uncle, the reactionary Infante Carlos. Disaffection with Isabella's government from many quarters led to repeated military intervention in political affairs and to several revolutionary attempts against the government. Two of these revolutions were successful,the moderate Vicalvarada or "Vicálvaro Revolution" of 1854 and the more radical la Gloriosa (Glorious Revolution) in 1868. The latter marks the end of Isabella's monarchy. The brief rule of the liberal king Amadeo I of Spain ended in the establishment of the First Spanish Republic, only to be replaced in 1874 by the popular, moderate rule of Alfonso XII of Spain, which finally brought Spain into an period of stability and reform.

### 1848 Revolutions in the Rest of Europe

In Italy unemployment, demands for land, and higher wages led to revolts. King Charles Albert led a military campaign against Austria, while Garibaldi attempted to organize a republic in Rome. The movement largely failed, however, because different groups of nationalists could not agree on goals. The Austria defeated the campaign, and Napoleon Bonaparte sent troops to Rome.

In Germany revolts started in order to achieve more liberal rights, but the goals were soon replaced with nationalistic sentiments. The Constituent Assembly, under the direction of 800 delegates from the German states, offered Frederick William IV, King of Prussia, the crown of a unified Germany. However, this movement failed as well, as the Constituent Assembly had no actual power and Frederick would not accept a crown "from the gutter". Prussian troops put down revolts in Berlin as well as other revolts throughout Germany.

In Austria, demands for political reform and nationalism created demands for autonomy. Metternich fled to England, and Emperor Ferdinand fled in favor of Franz Joseph. Revolts occurred in Vienna, Prague, and Hungary. A Slavic congress was set up in Prague, Hungarians demanded autonomous rule. Eventually, with the aid of Russia, Austria was able to suppress the revolutions.

### The Era of Realpolitik

Before 1848, idealism and reason were at the forefront of people's minds. However, after 1848, the concept of Realpolitik and action arose. This new toughness of mind rejected high-minded ideology for action, and marked the end of the Enlightenment.

On the right, Otto von Bismarck of Germany took Realpolitik actions, manipulating the Ems Telegram in order to spur war with France (Franco-Prussian War) and thus assist the process of German unity. Emperor Napoleon III also did so, widening the streets of Paris during his reconstruction of Paris in order to prevent barricading in the case of revolution. Finally, Cavour of Italy is an excellent example of a practitioner of Realpolitik, as he got Napoleon III to attack Austria over Lombardy-Venetia.

On the left, Marx was a practitioner of Realpolitik, advocating violent revolution among the proletariat in order to install a new communist system.

## Industrial Revolution

The shift that precipitated many of the conflicts of the early nineteenth century was the industrial revolution. The growing industrial base of many European countries was to encourage urbanization, often at the expense of the living conditions of the workers. This was coupled with new agrarian technologies which required fewer people to work the land, whilst producing greater agricultural yields. In some countries this precipitated an industrial revolution, where urban industry played an increasingly dominant role in the economy. This process was first seen in Britain, Prussia and the Netherlands in the late eighteenth and early nineteenth century whilst other countries, such as France, Italy and the United States of America were to industrialize in the late nineteenth century. Some states, such as Russia and Austria, failed to industrialize significantly in this period, a factor that would lead to later difficulties during the First World War.

### The Prefiguration of Industry

The first evidence of industrial production can be found in the large cities of early modern Europe. Even the modest size of European capitals at the beginning of the modern period allowed for a specialization of trade and, as the cities grew, production increasingly took place in specialist workshops. Tradesmen, who had previously taken only one or two apprentices, began to take larger teams of workers, a process that transformed itself into the paid employment of labor in industrial enterprise. A similar shift took place in rural areas, with what was known as "putting out" or "cottage industry", where agricultural workers would take raw materials from contractors and use them to produce finished goods.

Despite these developments little could be done without a proper transportation system, which would allow goods to be moved and marketed. At the beginning of the eighteenth century the cost of transporting goods overland was prohibitively expensive for all but the shortest journeys.

### Beginnings of Industry

The age of industry for Europe began with slow progress in the 1780s. Western Europe tended to advance more quickly than the east. Britain initially led the way. Progress remained slow until the 1850s, because most people continued to use old methods, and population increases reduced the benefits of industrialization. As a result, the industrial age did not start in continental Europe until after 1815, and was not complete in Britain until 1850.

In 1750, Britain was only slightly ahead of France in its industrial production. By 1830, its industrialization was at twice the level of France, and by 1860, three times. Other countries were further behind; much of Europe's progress was retarded by political and social turmoil, as well as constant warfare. Industrialization also was limited by lack of transportation, reluctance to cease traditional business practices, and lack of technology.

Stephenson's rocket, a train engine, allowed wagons to be pulled along railroad tracks, allowing for the quick transportation of materials, goods, people, and communication. Population increased rapidly across Europe. Finally, the steam-powered engine was invented and improved, allowing for mechanization in industry.

By 1815, continental Europe had started to see progress. Its industrialization was facilitated by a large skilled labor force, strong governments, and no need to develop new ideas as Britain had already set a precedent for other nations to follow. European governments became much more involved in industrialization, building an infrastructure of railroads and canals. The German government created the [Zollverein](http://en.wikipedia.org/wiki/Zollverein), a customs-free trade union, which allowed goods to move freely within the German states without being hampered by tariffs. Governments also played a role in banking, and they allowed banks to become corporations, such as Crédit Mobilier of Paris.

By 1851, Britain was the "workshop of the world." Britain had 2/3 of the world's known coal supply, and 1/2 of its iron. Centers of continental industrialization included Belgium, France, and Germany.

### Social Impact of the Industrial Revolution

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c8/Dore_London.jpg/225px-Dore_London.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Over London by Rail_ [Gustave Doré](http://en.wikipedia.org/wiki/Gustave_Dor%C3%A9) c 1870. Shows the densely populated and polluted environments created in the new industrial cities

The Industrial Revolution resulted in poor urban living conditions with no sanitation. Urban and industrial growth went beyond the state's control. Public drunkenness as a reaction to the dismal lifestyle became prominent, and the cities were filthy and living conditions tight. Life expectancy was very short, and disease was rampant. New social classes, particularly the industrial middle class and urban workers, emerged as well. The standard of living decreased for many, with low wages and high prices, as well as horrible working conditions and the employment of children.

Noticing the poor crowded city conditions and impoverished workers in industrial Europe, several economists expressed their pessimistic predictions on the future of the industrial society.

#### Thomas Malthus (1766–1834)

[Thomas Malthus](http://en.wikipedia.org/wiki/Thomas_Malthus) was an English economist with a grim prediction for the future. _[An Essay on the Principle of Population](http://en.wikipedia.org/wiki/An_Essay_on_the_Principle_of_Population)_ stated that the population was outgrowing the food supply, and that this would inevitably cause a "great hunger," or massive food shortage. Malthus suggested, as a solution to this problem, marrying later in life to slow the population growth, but he was not optimistic that this plan would ever come to fruition.

#### David Ricardo (1772-1823)

[David Ricardo](http://en.wikipedia.org/wiki/David_Ricardo), in his _[Iron Law of Wages](http://en.wikipedia.org/wiki/Iron_Law_of_Wages)_, predicted that the income of wage-earning workers would remain below or just near subsistence levels, despite any attempts to raise wages.

### British Working Class Responses to Industrialisation

#### Luddism

The [Luddites](http://en.wikipedia.org/wiki/Luddites) were a group of workers opposed to the effects of the mechanisation of industry, particularly in textiles. The advent of large scale spinning and weaving machines meant that textiles could be produced at lower costs than previously, undercutting the prices of the traditional cottage industry of handloom weavers.

The attacks of the Luddites began in 1811 and were targeted at the machinery of factory and workshop owners. The campaigns of the Luddites were often closely targeted at specific forms of machinery and, despite the modern connotations of the name, the group were not opposed to progress in principle.

The name of the group is derived from its fictional leader, Ned Ludd. This figure was used as a focal point for demonstrations, and to distract attention from the real leaders of various protests.

The Luddites were followed some years later by the Swing rioters who, following a mythical leader, Captain Swing, opposed the mechanization of agriculture. The Swing riots mostly occurred during the early 1830s and were put down with often severe force.

#### Trade Unionism

The Luddites were, in essence, part of a reactive movement, fighting against the modernization of methods of production. An alternative, and often more effective, method of action, was the organisation of workers into trade unions, where rights could be secured through collective bargaining and the threat of strikes. Whilst such movements were often not illegal in themselves, many of their actions were. It was, for instance, considered a criminal offence for a workman to break his contract and striking workers could be charged for offences relating to conspiracy or breaches of public order.

Despite this there was a sustained demand on the part of the workers that their rights be recognized and the persistent campaigns of workers eventually achieved the legal recognition of unions.

#### Chartism

[Chartism](http://en.wikipedia.org/wiki/Chartism) was the first large-scale working class political movement.

The [London Working Men's Association](http://en.wikipedia.org/wiki/London_Working_Men%27s_Association) wrote reform goals in a charter, with six points:

  1. Universal male suffrage
  2. Annual election of House of Commons
  3. Secret ballots
  4. Equal electoral districts (to prevent "rotten boroughs")
  5. Abolition of property requirements for the House of Commons
  6. Salaries of members of the House of Commons

Although the Chartist movement did not see immediate success in its aims, all of the main points of the charter, with the exception of annual elections, were adopted by the early twentieth century.

## Society and Culture

### Capitalism

Industry of Britain, western Europe, and the United States developed within the system of [capitalism](http://en.wikipedia.org/wiki/capitalism). "Capital" is a medium of exchange for property or services that are valued. Capitalist systems require the [laissez-faire](http://en.wikipedia.org/wiki/laissez-faire) principle of minimal government intervention.

### Republicanism

Republicanism advocated liberty, fraternity, and equality, and was in favor of Constitutions, Parliaments, and democracies. It opposed the monarchy, aristocracy, and the church. Republicans tended to be students, writers, members of the intelligentsia, and also workers. Republicans were supporters of the French Revolution and its ideals.

### Liberalism

[Liberalism](http://en.wikipedia.org/wiki/Liberalism), or classic liberalism, at the time advocated free trade, laissez faire, constitutions, parliaments, and no violence. It didn't advocate democracy, but rather constitutional monarchy. Liberals tended to be middle class merchants and professionals.

### Conservatism

[Conservatism](http://en.wikipedia.org/wiki/Conservatism) rose as a reaction to the liberal ideas that began with the violence, terror, and social disorder of the [French Revolution](http://en.wikipedia.org/wiki/French_Revolution). It was supported by the traditional ruling class, as well as by the peasants. Conservatives believed in order of the society and state, based on faith and tradition. [Metternich](http://en.wikipedia.org/wiki/Metternich) was the champion of Conservatism and tried to preserve its ideals and the Old Regime through the Congress System. Conservatives were opposed to the Enlightenment and its effects, and were anti-revolution, anti-democracy, and anti-nationalism. They preferred tradition, gradual reform, and the maintenance of the Old Regime.

### Socialism

[Socialism](http://en.wikipedia.org/wiki/Socialism) is the theory or system of social organization in which the means of productions and distribution of goods are owned collectively or by a central government authority. The idea was fostered to combat the industrial society that allowed millions to toil endlessly while a few owners reaped all the benefits of their labor. Socialists argued that liberalism was fragmenting society, and that socialism would reunite it. After 1815, socialism became the new radical doctrine, especially in France. Socialists fought to protect the interests of the workers rather than capitalists, and argued that wealth is unfairly distributed and that thus workers deserve a larger share. Socialism was a diverse political philosophy and encompassed the views of many different thinkers, such as Saint-Simon, Fourier and Owen.

#### Henri de Saint-Simon

[Henry de Saint-Simon](http://en.wikipedia.org/wiki/Henry_de_Saint-Simon) believed that the elite of society lacked the skills necessary to be valued so highly. He believed that rewards should be in proportion to one's social contribution, and that society should be run by qualified technocrats, or a technically skilled elite.

#### Charles Fourier

[Charles Fourier](http://en.wikipedia.org/wiki/Charles_Fourier) was a French merchant, whose experiences of the French Revolution led him to believe that free market capitalism in general, and speculation in particular, was damaging to the welfare of all. His solution was to suggest a planned economy, based around idea communities known as _phalanstries_, where 1,620 people would live in a single building surrounded by 5,000 acres of land. By centralising production, efficient agriculture and industry could be achieved. Although his plans were never put into practice, his utopian socialism was an important influence on later thinkers.

#### Robert Owen

Robert Owen was a Scottish manufacturer. In his mills at New Lanark in Scotland he proved that investing in the welfare of employees could be profitable. He provided his workers with schools and free accommodation. By doing this Owen was rewarded with a hard-working and loyal workforce, and his mills were some of the most profitable and productive in Britain.

Owen was later to invest his profits in the community of New Harmony in the United States of America. The community was heavily reliant upon the leadership of Owen and quickly foundered. Although Owen's communities did not long outlast his lifetime, his thinking was highly influential amongst later socialists, and the term _communist_ was originally coined to describe Owen's followers.

#### Karl Marx (1818-1883)

Probably the most important socialist thinker of the nineteenth century was the German writer Karl Marx. Marx's rise to prominence began in the Year of Revolutions, 1848, with the publication of _The Communist Manifesto_, a volume which he wrote with the help of Frederick Engels. The book was an attempt to create political tension between economic classes around the world. He also wrote _Das Kapital_, a critique of capitalism that argues as to why Marx believed capitalism should fail. He sought to incite the violent revolution of the proletariat against the bourgeois. The proletariat described the working class, while the bourgeois described the middle and upper classes that owned the means of production. This revolution would be caused by what Marx described as a historic class struggle between these two groups. After this revolution, Marx argued for the formation of a classless society, in which no private property, religion, or government existed.

Marx also advocated the concept of dialectical materialism. The theory states that history is driven by economic conditions and material private property inequality. This theory was based on Hegel's dialectic theory, in which a thesis and antithesis are resolved into a synthesis. The end of Marx's concept of dialectical history is the synthesis of communism because private property is prohibited. Marx believed that the rise of the proletariat was inevitable, even if he had never existed and written his book. This is what separates Marxism from Utopian Socialism - Utopian Socialism required the benevolent and peaceful surrender of the means of production by capitalists.

### Utilitarianism

Proposed by Bentham, it suggested that the best form of government does the most good for the greatest number of people.

### Nationalism

Nationalism was spawned by Napoleon's empire, and emphasized pride in one's language, tradition, culture, and religion. Nationalism caused conflict over boundaries in Europe. Nationalists frequently looked to folktales, poems, songs, grammar, and dictionaries for sources of traditional culture in a nation. Nationalism especially came to rise in Germany, Italy, Ireland, Poland, and Hungary.

### Romantic Art

The romantic art movement took place in the 1800s, especially emphasizing emotion, imagination, drama, disorder, and dark colors. Romantic art typically portrays the mystical communion of art and nature, typically using picturesque or exotic subjects. Romantic art reinforced individualism.

#### Francisco Goya (1746-1828)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/48/El_Tres_de_Mayo,_by_Francisco_de_Goya,_from_Prado_in_Google_Earth.jpg/275px-El_Tres_de_Mayo,_by_Francisco_de_Goya,_from_Prado_in_Google_Earth.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Francisco Goya](http://en.wikipedia.org/wiki/Francisco_Goya). _The Third of May 1808: The Execution of the Defenders of Madrid_. 1814. Oil on canvas. 345 x 266 cm. Madrid: [Museo del Prado](http://en.wikipedia.org/wiki/Museo_del_Prado).

Francisco José de Goya y Lucientes was an influential Spanish painter of the Romantic period. Perhaps his most famous work was _The Third of May 1808: The Execution of the Defenders of Madrid_, which portrays the Napoleonic Wars in Spain, with a faceless French firing squad murdering members of the Spanish resistance.

#### Delacroix

Ferdinand Victor Eugène Delacroix was the leader of the French Romanticism in painting. Delacroix's techniques would prove to be an important influence on others. His use of expressive color profoundly shaped the work of the Impressionist and Symbolist movements.

# **Chapter 11** \- European Imperialism and Nationalism

## Introduction

The period between 1870 and 1914 saw a Europe that was considerably more stable than that of previous decades. To a large extent this was the product of the formation of new states in Germany and Italy, and political reformations in older, established states, such as Britain and Austria. This internal stability, along with the technological advances of the industrial revolution, meant that European states were increasingly able and willing to pursue political power abroad.

Imperialism was not, of course, a concept novel to the nineteenth century. A number of European states, most notably Spain, Portugal and the Netherlands, had carved out large overseas empires in the age of exploration. However, the new technologies of the nineteenth century encouraged imperial growth. [Quinine](http://en.wikipedia.org/wiki/Quinine), for instance, allowed for the conquest of inland Africa, whilst the telegraph enabled states to monitor their imperial possessions around the world. When the value of these new technologies became apparent, the states of Europe began to take control of large swathes of territory in Africa and Asia, heralding in a new era of imperialism.

## The States of Europe

### France

After France's defeat in the Franco-Prussian War, Bismarck required France to hold elections so that he could negotiate a peace. Elections were held for a provisional government, and monarchists were elected, which was unacceptable to revolutionaries of Paris. Paris responded by forming its own government, a 40 member council or "commune" with its own national guard. The commune established the equality of all citizens, promotion of women's rights, and communal workshops. On May 21, Adolph Theirs, leader of the French provisional government, sent in troops to "restore order" in Paris. Members of the commune killed the Archbishop, packed the Tuileries with gunpowder, and blew it up. When it was all over, however, 20,000 Parisians had been killed by the troops.

Thus began the 3rd Republic of France from 1871 until 1940. The 3rd Republic consisted of a ceremonial President and a two chamber Parliament with universal male suffrage.

### Germany

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Bismarck_pickelhaube.jpg/220px-Bismarck_pickelhaube.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Otto von Bismarck

The idea of a German state had existed since the formation of the Kingdom of Germany in the early Middle Ages. The kingdom was succeeded by the Holy Roman Empire, but the authority of the emperors was weak, and the power of the central state declined until its final abolition in 1806. In 1815 the German-speaking territories were divided into around 40 states, many of them small.

The beginnings of popular nationalism in Germany can be traced to Napoleon's invasion of German territory in 1806. Whilst this act helped precipitate the dissolution of the Holy Roman Empire, Napoleon's political machinations helped to encourage nationalist feeling. Many people within the German heartlands wished to escape the influence of foreign autocrats, such as the emperors of France and Austria, and build their own state.

This broad feeling was encouraged by the works of eighteenth century German writers and philosophers, such as Johann Wolfgang von Goethe and particularly Johann Gottfried von Herder. With his work on aesthetics, gothic art, and folk poetry, Herder encouraged an idea that the Germans had a rich common cultural heritage. Although Herder glorified the Germans, he was well travelled, feeling that every country had its unique features, and was worthy of some admiration.

However, the unification of Germany was not solely due to nationalism. It is worth noting that, in an era when Europe was increasingly dominated by large empires, many German states were small to the point of insignificance. Most German rulers understood that there was strength in working together. This understanding was to lead to inter-state co-operation across the region, the most notable example being the _Zollverein_, the customs union that encompassed most of northern Germany by the early 1830s.

This variety of factors, both nationalistic and economic, were exploited by the conservative King of Prussia, William I, and his chief minister, Otto von Bismarck. Both understood the value of a unified German state, particularly one which excluded Austrian influence.

#### Wars of Unification

Whilst he had a clear idea that the unification of Germany should be his goal, Bismarck was a shrewd politician and exploited, rather than initiated, events. The complicated dynastic successions within the German confederation proved to be a useful tool to this end.

The first such conflict was triggered by the Schleswig-Holstein problem. Schleswig and Holstein were German duchies whose ruler was also the Danish king, Frederick VII. Frederick's death in 1863 caused consternation amongst German nationalists as his successor, Christian IX, decided to annex Schleswig and Holstein, and make the German duchies into part of the Danish state. The Diet of the German Confederation demanded that this be prevented and encouraged Prussia and Austria, the only German states to have significant military strength, to invade Denmark.

The war between Denmark and the Germany states was short and decisive and the Danes were defeated in 1864. In the resultant peace treaty, the Danish king renounced his rights to the disputed territories of Schleswig and Holstein to Prussia and Austria respectively.

The occupation of Schleswig and Holstein was to prove the catalyst for the next German war, the Seven Weeks War of 1866. Whilst control of these provinces was regulated by the Gastein Convention of 1865, Bismarck was able to provoke the Austrians into declaring war. This was as decisive as the previous conflict. The meticulously planned Prussian advances outmaneuvered the Austrians, who were forced on the defensive, and quickly defeated.

In 1867, Prussia established the North German Confederation, made up of 21 small northern states with a constitution and Kaiser Wilhelm as king. The small states were still in a vacuum, however, and needed some form of encouragement to join with Prussia.

In 1870, Prince Leopold Hohenzollern was asked to take the crown in Spain, and France demanded that the Prussians agree that no Hohenzollern ever take the Spanish throne in the so-called "Ems Dispatch." Bismarck manipulated the telegram; his modifications made France and Germany appear more hostile than they actually were. After he released it to the press in Europe, France declared war on Prussia, and the remaining German states joined Prussia for protection.

The Franco-Prussian war lasted from 1870 to 1871, and resulted in the defeat of [Emperor Napoleon III](http://en.wikipedia.org/wiki/Napoleon_III). He was captured on September 2, 1870 at the Battle of Sedan. On January 18, 1871, the German Empire was proclaimed at Versailles as a major snub to the French. On May 1871, the Treaty of Frankfurt was signed, and France ceded Alsace-Lorraine and 5 billion gold francs to Germany.

### Italy

Throughout the Middle Ages and early modern period Italy consisted of a patchwork of small states. Its urbanization and position in the Mediterranean meant that Italy was a politically important region and, for much of this period it was dominated by foreign powers, most notably the Bourbon dynasty which, during the eighteenth century, provided kings for both France and Spain.

The dominance of foreign powers was brought to an end by the Napoleonic wars. Napoleon's attempts to dominate the peninsula failed, and the monarchies of France and Spain were weakened by long years of war. Moreover, Napoleon had attempted to conglomerate much of Italy into a single state, a process that encouraged a sense of the Italians belonging to a nation. It is notable, for instance, that Napoleon provided Italy with its national flag, the green, white, and red _tricolore_.

Although the Treaty of Vienna restored many of the small Italian states, nationalist feeling remained, and was preserved by nationalistic and revolutionary groups, such as the _Carbonari_ in southern Italy. These groups were inspired by revolutionary activity in other European states. As a result, the early nineteenth century saw numerous small insurrections against the autocrats ruling the Italian states, most notably with the French-inspired revolts of 1831, which afflicted the Papal States. Such revolts were frequently small in scale, however, and were easily dealt with by the rulers of Italy.

The Italian Unification movement was led primarily by two central figures: Count Camillo Benso di Cavour, who supplied much of the ideology for the movement, and Giuseppe Garibaldi, who led the fighting of the movement. Cavour was the Prime Minister of Piedmont-Sardinia and served King Victor Emmanuel II. He built up the strength of Piedmont-Sardinia, establishing a strong army, a healthy economy, and political freedoms, such as freedom of the press. He gained the support of Napoleon III by promising him Savoy and Nice. Austria invaded Italy, but the Italians, aided by French troops, defeated the Austrians at the battles of Magenta and Solferino.

Garibaldi led the Red Shirts, or guerrilla fighters in Italy. He was a supporter of a republic but conceded to a monarchy. He took his forces into southern Italy and successfully conquered Naples and the two Sicilies. Cavour sent troops south to stop Garibaldi from invading Rome, which was occupied by French troops, but both sides met in Naples and surprisingly became allies. In 1861, the Kingdom of Italy was declared with Piedmont's Victor Emmanuel as king. However, Italy's agrarian south and industrial north had difficulty uniting, and the unification was not complete until 1871, at the end of the Franco-Prussian War.

### Russia

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Cartetsar.JPG/220px-Cartetsar.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Tsar Alexander II, his wife Marie and son, the future Alexander III

During the late 1800s, Russia began to work to increase its power and to overall westernize itself. The state was considered weaker in military terms than other nations and had lost to Britain and France in the [Crimean War](Print_version.html#Crimean_War) of 1853–1856. It had an autocratic tsar with no social contract, and serfdom still existed in Russia. There was a small middle class with much less industrialization.

Nicholas I came to power after the death of his brother, Alexander I. His reign began marred by the Decembrist revolt of 1825 among the soldiers, some of whom supported his other brother. Thus, Nicholas ruled through police action and use of the army.

Alexander II came to power, using the defeat in the Crimean War as the major impetus to reform. He believed that Russia needed to follow the European model in order to become more powerful. As a result, in 1861, he gave the serfs freedom. However, the serfs were still bound in many ways to their formal feudal dues. The former serfs were given only half of the land, and the nobles were allowed to keep the other half. In addition, former serfs had to pay a communal redemption fee to their former lords.

In addition, Alexander II ended the secret police started by Nicholas I, and he created public trials that had professional judges with state salaries as well as juries. Zemstvos were created, which were local provincial councils, elected by the people, that dealt with local governmental issues such as roads and schools. Finally, Alexander reduced the draft from 25 years to 6 years.

Despite Alexander's actions, unrest continued in Russia. Peasant revolutionaries resented the redemption fees, and two new groups arose in Russia. The first, the nihilists, believed in nothing but science and rejected traditional society and culture. The second, the anarchists, led by Mikhail Bakunin, set out to destroy any government, even a reformist tsar like Alexander II. In 1881, an anarchist group known as the "People's Will" assassinated Alexander II with a bomb.

#### Russo-Japanese War 1904–1905

In 1860, the Russians founded the city of Vladivostok on the Pacific Ocean, and began work on the Trans-Siberian Railroad to connect the East to the West. The Russo-Japanese war was caused by the imperialist ambitions of Russia and Japan in Manchuria and Korea. In a number of key battles, the war resulted in a surprise victory for Japan in a peace agreement brokered by U.S. President Theodore Roosevelt in 1905.

The war resulted in the establishment of Japan as a major world power. Japan modeled European industrialization and militarism, and increased its focus on China, gaining dominion over Korea and establishing a claim to Manchuria. This expansion helped to cause World War I. The war marked the first major victory of a non-western power over a western power. As a result of the failure of the war in Russia, there was considerable discontent at home, and this discontent led to the Revolution of 1905. Finally, as a result of the defeat, Russia turned its interests back to the West and the Balkans.

#### The Revolution of 1905

Under Czar Nicholas II, who ruled from 1896 to 1917, the people believed that "papa czar" could hear their grievances and he would fix them. However, the people soon learned that the czar could not be trusted.

On what has become known as "Bloody Sunday," June 22, 1905, a peaceful march of thousands of St. Petersburg workers to the Winter Palace by Father Gapon took place. The marchers desired an eight hour work day, the establishment of a minimum wage, and a constitutional assembly. However, the Czar was not in the city, and Russian troops panicked and killed several hundred of the marchers.

As a result of Bloody Sunday, riots erupted throughout the country during 1905. Soviets formed the councils of workers in St. Petersburg and Moscow. Demands for representation increased, and the moral bond between the people and the czar was broken. As a result, the [October Manifesto](http://en.wikipedia.org/wiki/October_Manifesto) was granted to stop the disturbances. The October Manifesto provided a constitution, a parliament called the Duma, and some civil liberties. The Duma actually possessed little power, however, and was primarily intended to divide and subdue the revolutionaries.

#### Stolypin's Reforms

Pyotr Arkadyevich Stolypin was appointed minister by the Czar to address the problems of 1905. At Stolypin's recommendation, the czar ended redemption payments by the serfs, increased the power of the zemstvos, and allowed the peasants to own their land outright for the first time. Peasants were now allowed to buy more land to increase their holdings, and were even given loans. In some sense this was a sincere attempt at reform, and it created a new class of prosperous, entrepreneurial peasants called Kulaks. However, for the most part this was again an attempt to subdue revolutionaries, as the ulterior motive of the plan was to create a new class of peasant farmers who would be conservative and loyal to the czar. Under Stolypin's lead, revolutionaries and dissenters were brutally punished in what became known as "Stolypin Neckties." Stolypin was assassinated in 1911.

## International Relations

### Imperialism

In 1871, political stability of European nations resulted in renewed interest in imperialist endeavors. Britain became heavily involved in colonialism. The newly-unified Germany saw expansion as a sign of greatness. France also became involved in imperialist affairs due to foreign competition.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f2/The_white_mans_burden.gif/250px-The_white_mans_burden.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The white man's burden - a satiric take

Europe's political, military and economic domination of the world gave birth to the British notion of the [white man's burden](http://en.wikipedia.org/wiki/white_man%27s_burden). The white man's burden held that the white man had an obligation to forcefully spread their ideas and institutions with others. This, of course, was utilized by some European governments as moral justification for their imperialistic foreign policies.

In addition, as a result of European industrialization, nations had an increased need for various resources, such as cotton, rubber, and fuel. Moreover, a high level of nationalism was at the time being experienced across Europe, particularly as a result of Napoleon's Empire. As nationalism grew at home, citizens began to desire more troops for their army, and thus colonies were needed to provide more troops, as well as naval bases and refueling points for ships.

By the late 1800s, a number of nations across Europe possessed new colonial territories. Belgium had taken the Congo in central Africa. France controlled Algeria, and Italy controlled Somalia.

It was said that "The sun never sets on the British Empire." By this time, Britain's colonial territories spanned the world, and during the late 1800s Britain expanded their territorial possessions to include Egypt, Kenya, and South Africa.

In Asia, the British, Dutch and French all established or expanded their colonies.

### Crimean War

The Crimean War found its roots in the so-called "Eastern Question," or the question of what to do with the decaying Ottoman Empire.

The Crimean War was provoked by Russian tsar Nicholas I's continuing pressure on the dying Ottoman Empire, and by Russia's claims to be the protector of the Orthodox Christian subjects of the Ottoman sultan.

Britain and France became involved in order to block Russian expansion and prevent Russians from acquiring control of the Turkish Straits and eastern Mediterranean, and to prevent Russia from upsetting the European balance of power.

The Crimean War is considered one of the first "modern" wars and it introduced a number of "firsts" to warfare. The Crimean War marked the first time railroads were used tactically to transport troops and to transport goods to troops over vast distances. The War also marked the first time steam powered ships were used in war. Additionally, new weapons and techniques were used, including breech-loading rifles, which loaded from the rear, artillery, and the deployment of trenches. The telegraph was used for the first time as well, allowing for the first "live" war to be broadcast in the press.

The conflict marked the end of Metternich's Concert of Europe. At the end of the war, Russia was defeated and as a result looked weak. The shock of the defeat in the Crimean War in Russia led to Alexander II enacting sweeping internal reform. Alexander recognized that in order to compete with other nations, it would have to industrialize and modernize. As a step toward this, Alexander liberated the serfs in 1861. Finally, the Ottoman Empire was kept intact, and it would continue to decline until World War I.

## Science and Technology

### Darwin's Theory of Evolution

In his book _On the Origin of Species by Means of Natural Selection_, Charles Darwin (1809-1882) wrote that creatures experience genetic mutations prior to birth. Some of these random mutations are beneficial, and some are not. He wrote that in the world, the creatures who are the "most fit" are most likely to survive and thus pass on their genes. This process, known as [natural selection](http://en.wikipedia.org/wiki/natural_selection) results in the strongest creatures thriving and the weak dying off.

One of the most massive results of Darwin's theory of evolution was that it was another major challenge to the Catholic Church. This, coupled with the Reformation, Renaissance, the Enlightenment and its subsequent rise of deism, and other related movements, caused the Church to lose even more influence in society.

Also, Darwin's theory led to the rise of the concept of [social Darwinism](http://en.wikipedia.org/wiki/social_Darwinism), or "survival of the fittest." The theory was fathered by Herbert Spencer. Social Darwinism espoused the idea that consensual economic interaction and property rights enabled societies to progress by allowing productive members of society to flourish and unproductive members to be punished by poverty. Accordingly, the theory of social Darwinism had a large impact on classical liberal and libertarian theory. However, in non-libertarian circles, social Darwinism did not enjoy a favorable reputation, as it was perceived to have espoused apologism on behalf of the rich, while condemning the poor.

### New Mental Sciences

As a result of Darwin's theory, a new group of mental sciences arose. People now began to believe that life is a struggle, and they began to try to explain these struggles. These new mental sciences supported the concepts of real politik and capitalism, and rejected the notion that life is orderly, harmonious, predictable, or reasonable.

During this time, Sigmund Freud founded what is known as the psychoanalytical school of psychology. He argued that people are not creatures of reason, as the Enlightenment suggested, but rather that people act because of subconscious motivations. He broke these motivations into three areas:

Id 
    The id produces unconscious desires and is the most primitive of the three. The id desires instant gratification. Freud argued that people will use defense mechanisms and rationalization to justify acting upon the id.
Ego 
    The ego is the reality principle or the conscious self. It attempts to suppress the id and its intense desires.
Superego 
    The superego is a person's conscience.

Lombroso argued that you can tell criminals by their appearance. Pavlov argued that people's actions are a response to being conditioned by stimuli in an environment. Finally, Binet devised IQ tests, arguing that intelligence is a measurable quotient. As a result, eugenicists used this to try to prove that some people were more fit to live than others.

## Society and Culture

The Victorian Age was a period in which appearances were critical to social status. The dominating social class was the middle class, or bourgeosie. High moral standards and strict social codes, especially of etiquette and class status, were followed. This era also saw a middle-class interest in social reform for the lower classes.

Modern life was often unsettling to Europeans, as their old ways were being replaced by urbanization, industrialization, socialism, imperialism, and countless other new "ways."

The population was rising, with the Agricultural Revolution as well as advances in medicine allowing the citizens to live longer. This resulted in a portion of the rising population migrating to other locations, including emigrating to other nations. Europeans migrated from the country to the city in search of industrial jobs. In addition, many Europeans fled to the United States, South America, Canada, Australia, and New Zealand for a number of reasons - to escape anti-semitic persecution, to flee the Irish potato famine of 1840, and as a result of a general overcrowding in Italy.

However, at the same time, there were falling birth rates as a result of massive social changes in Europe. Child labor laws were being enacted across the continent, and compulsory education was enacted. Thus, the value of children to families fell since they could not generate income, and the overall cost of having children was now bore much more upon the parents.

White collar workers now arose in society, and Europe saw the entrance of educated females into clerical jobs in business and government. Disposable income became more common, and thus department stores and other similar stores began to open. People spent their extra income on fashion, home furnishings, cameras, and various other items. New leisure activities became popular, including hunting, travelling, and bicycling, as well as team sports, including polo, cricket, and soccer.

### Impressionist Art

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/00/Claude_Monet-Waterlilies.jpg/200px-Claude_Monet-Waterlilies.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

[Monet's](http://en.wikipedia.org/wiki/Claude_Monet) Water Lily Pond (_Le bassin aux Nympheas_) (1889)

Impressionism was a 19th-century art movement that began as a loose association of Paris-based artists exhibiting their art publicly in the 1860s. The name of the movement is derived from the title of a Claude Monet work, Impression, Sunrise (Impression, soleil levant), which provoked the critic Louis Leroy to coin the term in a satiric review published in Le Charivari.

Radicals in their time, early Impressionists broke the rules of academic painting. They began by giving colours, freely brushed, primacy over line, drawing inspiration from the work of painters such as Eugène Delacroix. They also took the act of painting out of the studio and into the world. Previously, still lifes and portraits as well as landscapes had usually been painted indoors. The Impressionists found that they could capture the momentary and transient effects of sunlight by painting en plein air. Painting realistic scenes of modern life, they emphasized vivid overall effects rather than details. They used short, "broken" brush strokes of pure and unmixed colour, not smoothly blended, as was customary, in order to achieve the effect of intense colour vibration.

### Post Impressionist Art

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cd/VanGogh-starry_night.jpg/225px-VanGogh-starry_night.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Vincent van Gogh's _Starry Night_, June 1889 (The Museum of Modern Art, New York)

Post-Impressionists extended Impressionism while rejecting its limitations: they continued using vivid colours, thick application of paint, distinctive brushstrokes and real-life subject matter, but they were more inclined to emphasize geometric forms, to distort form for expressive effect, and to use unnatural or arbitrary colour.

The Post-Impressionists were dissatisfied with the triviality of subject matter and the loss of structure in Impressionist paintings, though they did not agree on the way forward. Georges Seurat and his followers concerned themselves with Pointillism, the systematic use of tiny dots of colour. Paul Cézanne set out to restore a sense of order and structure to painting, to "make of Impressionism something solid and durable, like the art of the museums". He achieved this by reducing objects to their basic shapes while retaining the bright fresh colours of Impressionism. The Impressionist Camille Pissarro experimented with Neo-Impressionist ideas between the mid 1880s and the early 1890s. Discontented with what he referred to as romantic Impressionism, he investigated Pointillism which he called scientific Impressionism before returning to a purer Impressionism in the last decade of his life. Vincent van Gogh used colour and vibrant swirling brush strokes to convey his feelings and his state of mind. Although they often exhibited together, Post-Impressionist artists were not in agreement concerning a cohesive movement. Younger painters during the 1890s and early 20th century worked in geographically disparate regions and in various stylistic categories, such as Fauvism and Cubism.

### Christianity and Religion Questioned

New scientific theories such as Darwin's Theory of Evolution and Sigmund Freud's psychoanalysis threatened traditional values. Historical scholarship, especially archaeology, led to questioning the veracity of the Bible, and philosophers like Marx and Nietzsche cast doubt on the morality of Christianity. Due to government's expanding role in education, organized religion also came under attack from the secular state.

These pressures led Pope Pius IX to put forth the Doctrine of Papal Infallibility. Pope Leo XIII addressed the great social issues of the day, condemning Socialism but urging improvements in labor conditions.

# **Chapter 12** \- World War I

## Introduction

As a result of German unity and increasing German nationalism, as well as various other causes, Germany began on what Kaiser Wilhelm II called a "new course" to earn its "place in the sun." After 1871, Germany's trade and industry increased vigorously, challenging and, in some areas, even exceeding that of Great Britain, until then the premier industrial nation of Europe. A many-sided rivalry developed between Germany and Britain, intensifying when the sometimes-bellicose Wilhelm II assumed power and began building a strong, ocean-going navy.

Seeking to balance the rise of German power, Britain and France began to draw closer together diplomatically as the 20th century began. Germany, meanwhile, had allowed an implicit alliance with Tsarist Russia to lapse, and faced ongoing French resentment over the provinces of Alsace and Lorraine which Germany had annexed in 1871. The perceived danger of "encirclement" by hostile nations began to loom in the minds of German leaders. These factors together formed some of the tinder which would ignite the outbreak of war in 1914.

It is interesting to note, however, that all the ruling families of Europe were related to each other in some form or fashion. This led to many Europeans feeling that it was a family affair that they had been dragged into and forced to endure.

### The Road to War

World War One is one of the most hotly contested issues in history; the complexity and number of theorized causes can be a major cause for confusion. One of the main reasons for this complexity is the long period over which this war’s tension built, beginning with the unification of Germany by Bismarck, and escalating from there on. There is no doubt that Germany's misguided foreign policy contributed to the outbreak of war, however the extent to which it contributed is the contended issue.

Some historians suggest that Germany willed the war and engineered its outbreak, and others even suggest that Germany felt compelled to go to war at that time. However, some suggest that the war was brought about by poor leadership at the time, others argue that the war was brought about by accident - that Europe stumbled into war due to tension between alliance systems. Finally, some historians argue that World War I was the culmination of historical developments in Europe. This argument states that war was inevitable between Austria and Serbia, that imperial expansion by Russia eastward was also likely to provoke war, and that the French were still furious over their loss of Alsace-Lorraine in the Franco-Prussian war.

There was certainly a general rise in nationalism in Europe, which played a major role in the start of the conflict. The war became inevitable when the so-called "blank check" was created when Austro-Hungarian Emperor Franz Joseph sent a letter to German Kaiser Wilhelm II, asking for German support against Serbia. Theobald von Bethmann-Hollweg, Kaiser Wilhelm II's Imperial Chancellor, telegrammed back that Austria-Hungary could rely on Germany to support whatever action was necessary to deal with Serbia.

### The Alliance System

One factor which helped to escalate the conflict was the alliance system of the late nineteenth century. Although there had always been alliances between different European nations, the diplomatic trend during the nineteenth century was to have secret alliances, committing states to defensive military action. These were encouraged by Bismarck who, in the process of unifying Germany, sought to pacify those surrounding states which might proved hostile. Although Germany had originally allied itself with the empires of Austria and Russia at this time, by the beginning of the twentieth century alliances had shifted. Germany found itself allied with Austria-Hungary and Italy, the so-called "Central Powers"; together the countries formed what was known as the "Triple Alliance". Meanwhile, France, desperate for allies after the Franco-Prussian war, had cultivated a friendship with Russia. Great Britain, too, felt isolated in the increasingly factionalised European environment, and sought out an alliance with another of Europe's great powers. This led to the Entente Cordial with France, which was to develop into the "Triple Entente" between Britain, France and Russia.

By 1914 most of the smaller European states had been drawn into this web of alliances. Serbia had allied itself with Russia whilst its enemy, Bulgaria, chose the patronage of Germany. A number of small states maintained their neutrality in this complicated network of alliances. Belgium, for instance, was a neutral state, its independence guaranteed by Britain, France, and Germany.

## The War

### The Schlieffen Plan

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Schlieffen_Plan.jpg/220px-Schlieffen_Plan.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Map of the Schlieffen Plan and planned French counter-offensives

The Schlieffen Plan was designed by Field Marshall Count Alfred von Schlieffen, who became Chief of the Great General Staff in 1891 and submitted his plan in 1905. Out of fear of a two front war, which Germany was nearly certain it could not win, it devised the plan to eliminate one of the fronts of the war before the other side could prepare. The plan called for a rapid German mobilization, sweeping through Holland, Luxembourg and Belgium into France. Schlieffen called for overwhelming numbers on the far right flank, the northernmost spearhead of the force with only minimum troops making up the arm and axis of the formation as well as a minimum force stationed on the Russian eastern front. Swift elimination of the French threat would in theory allow Germany to better defend against a Russian, or a British force. However, the British involvement was not looked for under the Schlieffen plan, not at the commencement of action at least.  
In 1905 Count Schlieffen expected his overpowering right wing to move basically along the coast through Holland. He expected the Dutch to acquiesce and grant the army the right to cross their borders. Schlieffen knew that navigating around the Belgian fortress at Liege in this way would speed the advance while still defeating the fortress simply by encirclement. Schlieffen retired from his post in 1906 and was replaced by Helmuth von Moltke. In 1907-08 Moltke adjusted the plan, reducing the proportional distribution of the forces, lessening the crucial right wing in favor of a slightly more defensive strategy. Also, judging Holland as unlikely to grant permission to cross its borders the plan now called for a direct move through Belgium but expected the French force to officially invade neutral Belgium first in an attempt to take the advantageous position at Meuse. Moltke's variation called for an artillery assault on Liege, but with the rail lines and the unprecedented firepower the German army brought what he did not expect any significant defense of the fortress.

### August 1914: War Erupts

On June 28, 1914, Archduke Franz Ferdinand, heir to the Austria-Hungary throne, was assassinated in Sarajevo. As a result, Austria declared war on Serbia. Germany declared war on both Russia and France. On August 4, Germany invaded neutral Belgium before the French. This precipitated in Great Britain's declaration of war on Germany.

Enacting the Moltke variation of the Schlieffen Plan, German forces entered Belgium, attacking the fortress of Liege. Although they could not stop the large invading force, Belgian troops fought bravely, and the siege lasted 10 days, arguably upsetting the German timetable and allowing for mobilization of the French and the British Expeditionary forces. During the second half of August, however, a hasty French counteroffensive in Lorraine collapsed, with heavy casualties in the face of German machine-gun fire. French armies fell back in disarray as the Germans crossed from Belgium into France on a wide front.

Keeping its alliance with France, Russia's armies invaded Germany's easternmost province, East Prussia, in August. The German high command dispatched General Paul von Hindenburg to defend the province. Hindenburg took command and defeated the Russians at the Battle of Tannenberg, ending the hope of a Russian advance to Berlin.

The end of August was marked by near-panic in northern France as the German offensive rolled south toward Paris, seemingly unstoppable. On the German side, however, a gap developed between the westernmost army corps, and the rapid advance was exhausting the troops. The French rushed reinforcements from Paris -- some in taxicabs -- to the front, and by the first week of September, amid heavy fighting, the Germans had been halted along the River Marne. This marked the beginning of the static trench lines which would define the front in Western Europe for four years.

### 1915-1916

On February 4, 1915, Germany declared a submarine blockade of Great Britain, stating that any ship approaching England was a legitimate target. On May 7, 1915, Germany sank the passenger ship Lusitania, resulting in a massive uproar in the United States, as over 100 U.S. citizens perished. On August 30, Germany responded by ceasing to sink ships without warning.

The front in France became the focus of mass attacks that cost huge numbers of lives, but gained very little. Britain became fully engaged in France, raising a large conscript army for the first time in its history. 1915 saw the first attacks with chlorine gas by the Germans, and soon the Allies responded in kind. During much of the year 1916, the longest battle of the war, the Battle of Verdun, a German offensive against France and Britain, was fought to a draw and resulted in an estimated one million casualties. On July 1 through November 18, the Battle of Somme, a British and French offensive against the Germans, again resulted in approximately one million casualties but no breakthrough for either side.

### 1917-1918: Final Phases

On February 1, 1917, Germany again declares unrestricted submarine warfare. The Germans believed that it was possible to defeat the British in six months through this, and assumed it would take at least one year for America to mobilize as a result of the actions. Thus, they banked on the hope that they could defeat Britain before America would enter the war.

A mood of cultural despair had settled over much of Europe by this time, as an entire generation of young men was fed into the maw of combat. French armies came close to mutiny in 1917 when ordered into an attack they knew would be hopeless. Germany, blockaded from overseas trade, saw hunger and deprivation among the population, with labor strikes and political discontent growing. Russia underwent collapse, its armies defeated and the Tsar ousted in favor of a liberal-socialist regime.

On April 6, 1917, the United States entered the war by declaring war on Germany. This was in part due to the sinking of the Lusitania and the Zimmerman Telegram, which was a ploy to convince Mexico to attack the United States in exchange for the return of Texas, New Mexico, and Arizona should the United States enter the war. From July 31 through November 10, 1917, the Third Battle of Ypres, also known as Passchendaele, resulted in minor gains for the British, but there was still no breakthrough of the well-developed German defenses. During this time, on November 7, Bolsheviks, led by Lenin, overthrew the post-Tsar Russian government.

As a result, in March 1918, the new Russian government, represented by Leon Trotsky, signed an armistice treaty with Germany, removing the eastern front of the war for Germany. On March 21, Germany thus launched what is known as the Ludendorff offensive in the hope of winning the war before American troops arrived. The final German effort, however, fared no better in the end than the previous ones; the Germans pushed closer to Paris than ever before, but by the end of summer they had exhausted themselves against the Allied defenses, now including fresh American armies.

On September 29, 1918, allied troops broke through the German fortifications at the Hindenberg line, and the end of the war came into view. On November 9, 1918, Kaiser Wilhelm II abdicated, and on November 10 the German Weimar Republic was founded. On November 11, 1918, at eleven o'clock on the eleventh day of the eleventh month of 1918, the war ended as Germany and the Allies signed an armistice agreement.

### The War in Italy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Austro-Hungarian_mountain_corps.jpg/170px-Austro-Hungarian_mountain_corps.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Austro-Hungarian mountain corps in Tyrol

Italy had been allied with the German and Austro-Hungarian Empires since 1882 as part of the Triple Alliance. However, the nation had its own designs on Austrian territory in Province of Trento, Istria and Dalmatia. Rome had a secret 1902 pact with France, effectively nullifying its alliance. At the start of hostilities, Italy refused to commit troops, arguing that the Triple Alliance was defensive in nature, and that Austria-Hungary was an aggressor. The Austro-Hungarian government began negotiations to secure Italian neutrality, offering the French colony of Tunisia in return. The Allies made a counter-offer in which Italy would receive the Alpine province of South Tyrol and territory on the Dalmatian coast after the defeat of Austria-Hungary. This was formalised by the Treaty of London. Further encouraged by the Allied invasion of Turkey in April 1915, Italy joined the Triple Entente and declared war on Austria-Hungary on May 23. Fifteen months later Italy declared war on Germany.

Militarily, the Italians had numerical superiority. This advantage, however, was lost, not only because of the difficult terrain in which fighting took place, but also because of the strategies and tactics employed. Field Marshal Luigi Cadorna, a staunch proponent of the frontal assault, had dreams of breaking into the Slovenian plateau, taking Ljubljana and threatening Vienna. It was a Napoleonic plan, which had no realistic chance of success in an age of barbed wire, machine guns, and indirect artillery fire, combined with hilly and mountainous terrain.

On the Trentino front, the Austro-Hungarians took advantage of the mountainous terrain, which favoured the defender. After an initial strategic retreat, the front remained largely unchanged, while Austrian Kaiserschützen and Standschützen engaged Italian Alpini in bitter hand-to-hand combat throughout the summer. The Austro-Hungarians counter-attacked in the Asiago towards Verona and Padua, in the spring of 1916, but made little progress.

Beginning in 1915, the Italians under Cadorna mounted eleven offensives on the Isonzo front along the Isonzo River, north-east of Trieste. All eleven offensives were repelled by the Austro-Hungarians, who held the higher ground. In the summer of 1916, the Italians captured the town of Gorizia. After this minor victory, the front remained static for over a year, despite several Italian offensives. In the autumn of 1917, thanks to the improving situation on the Eastern front, the Austrians received large numbers of reinforcements, including German Stormtroopers and the elite Alpenkorps. The Central Powers launched a crushing offensive on 26 October 1917, spearheaded by the Germans. They achieved a victory at Caporetto. The Italian army was routed and retreated more than 100 km (60 miles) to reorganise, stabilizing the front at the Piave River. Since in the Battle of Caporetto Italian Army had heavy losses, the Italian Government called to arms the so called '_99 Boys_ (Ragazzi del '99), that is, all males who were 18 years old. In 1918, the Austro-Hungarians failed to break through, in a series of battles on the Asiago Plateau, finally being decisively defeated in the Battle of Vittorio Veneto in October of that year. Austria-Hungary surrendered in early November 1918.[[1]](Print_version.html#cite_note-3)[[2]](Print_version.html#cite_note-4)[[3]](Print_version.html#cite_note-5)

### The War at Sea

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Hochseeflotte_2.jpg/250px-Hochseeflotte_2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A battleship squadron of the Hochseeflotte at sea

At the start of the war, the German Empire had cruisers scattered across the globe, some of which were subsequently used to attack Allied merchant shipping. The British Royal Navy systematically hunted them down, though not without some embarrassment from its inability to protect Allied shipping. For example, the German detached light cruiser SMS Emden, part of the East-Asia squadron stationed at Tsingtao, seized or destroyed 15 merchantmen, as well as sinking a Russian cruiser and a French destroyer. However, the bulk of the German East Asia Squadron — consisting of the armoured cruisers SMS Scharnhorst and SMS Gneisenau, light cruisers SMS Nürnberg and SMS Leipzig and two transport ships — did not have orders to raid shipping and was instead underway to Germany when it encountered elements of the British fleet. The German flotilla, along with SMS Dresden, sank two armoured cruisers at the Battle of Coronel, but was almost completely destroyed at the Battle of the Falkland Islands in December 1914, with only _Dresden_ and a few auxiliaries escaping, but at the Battle of Más a Tierra these too were destroyed or interned.[[4]](Print_version.html#cite_note-6)

Soon after the outbreak of hostilities, Britain initiated a naval blockade of Germany. The strategy proved effective, cutting off vital military and civilian supplies, although this blockade violated generally accepted international law codified by several international agreements of the past two centuries.[[5]](Print_version.html#cite_note-isbn0-313-33181-2-7) Britain mined international waters to prevent any ships from entering entire sections of ocean, causing danger to even neutral ships.[[6]](Print_version.html#cite_note-isbn1-85728-498-4-8) Since there was limited response to this tactic, Germany expected a similar response to its unrestricted submarine warfare.[[7]](Print_version.html#cite_note-isbn0-8476-9645-6-9)

The 1916 Battle of Jutland (German: _Skagerrakschlacht_, or "Battle of the Skagerrak") developed into the largest naval battle of the war, the only full-scale clash of battleships during the war. It took place on 31 May–1 June 1916, in the North Sea off Jutland. The Kaiserliche Marine's High Seas Fleet, commanded by Vice Admiral Reinhard Scheer, squared off against the Royal Navy's Grand Fleet, led by Admiral Sir John Jellicoe. The engagement was a standoff, as the Germans, outmaneuvered by the larger British fleet, managed to escape and inflicted more damage to the British fleet than they received. Strategically, however, the British asserted their control of the sea, and the bulk of the German surface fleet remained confined to port for the duration of the war.

German U-boats attempted to cut the supply lines between North America and Britain.[[8]](Print_version.html#cite_note-10) The nature of submarine warfare meant that attacks often came without warning, giving the crews of the merchant ships little hope of survival.[[9]](Print_version.html#cite_note-isbn0-8050-7617-4-11) The United States launched a protest, and Germany modified its rules of engagement. After the notorious sinking of the passenger ship RMS Lusitania in 1915, Germany promised not to target passenger liners, while Britain armed its merchant ships, placing them beyond the protection of the "cruiser rules" which demanded warning and placing crews in "a place of safety" (a standard which lifeboats did not meet).[[10]](Print_version.html#cite_note-12) Finally, in early 1917 Germany adopted a policy of unrestricted submarine warfare, realizing the Americans would eventually enter the war.[[11]](Print_version.html#cite_note-isbn0-8420-2918-4-13) Germany sought to strangle Allied sea lanes before the U.S. could transport a large army overseas.

The U-boat threat lessened in 1917, when merchant ships entered convoys escorted by destroyers. This tactic made it difficult for U-boats to find targets, which significantly lessened losses; after the introduction of hydrophone and depth charges, accompanying destroyers might actually attack a submerged submarine with some hope of success. The convoy system slowed the flow of supplies, since ships had to wait as convoys were assembled. The solution to the delays was a massive program to build new freighters. Troop ships were too fast for the submarines and did not travel the North Atlantic in convoys.[[12]](Print_version.html#cite_note-14)[[13]](Print_version.html#cite_note-15) The U-boats had sunk almost 5,000 Allied ships, at a cost of 178 submarines.[[14]](Print_version.html#cite_note-16)

World War I also saw the first use of aircraft carriers in combat, with HMS Furious launching Sopwith Camels in a successful raid against the Zeppelin hangars at Tondern in July 1918, as well as blimps for antisubmarine patrol.[[15]](Print_version.html#cite_note-17)

## Science and Technology

### New Military Techniques and Technologies

[File:WW1 TitlePicture For Wikipedia Article.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=WW1_TitlePicture_For_Wikipedia_Article.jpg)

**Clockwise from top**: Trenches on the Western Front; a British Mark I Tank crossing a trench; Royal Navy battleship HMS _Irresistible_ sinking after striking a mine at the Battle of the Dardanelles; a Vickers machine gun crew with gas masks and a Sopwith Camel

World War I introduced the first time that total war was employed - that is, the full mobilization of society occurred in participant nations. In addition, it marked the end of war as a "glamorous occupation," showing how brutal and horrifying war could be when fought by industrial nations with mass production of weapons, and mass armies drawn from whole populations.

World War I introduced a number of new technologies and techniques. The outbreak of war took the world from the age of coal to an age where energy was largely derived from petroleum, a much higher-grade fuel source used in many new fighting machines and transport systems on land and sea. The deadliest product of this new industry was chemical warfare, with countless fighting men suffering and dying in gas attacks. Submarines also were used with effect, leading to the advent of depth charges and sonar. Rudimentary tanks and mechanized warfare also entered the battlefield near the end of the war. Finally, the machine gun took its toll for the first time in World War I. All this was aimed at breakthrough in trench warfare, in which both sides would dig deep trenches, and attempt to attack the other side, most often with little or no success.

## Society and Culture

### The Russian Revolution

The Russian Revolution marked the first outbreak of communism in Europe. Contrary to popular belief, however, there were in fact two specific and unique revolutions that took place during 1917 - a true Marxist revolution as well as a revolution led by Lenin that was not a true Marxist revolution.

#### March Revolution of 1917

The peasants were unhappy with the czar as a result of losses from World War I, the lack of real representation and the czar's dismissal of the Duma, the influence of Rasputin upon Alexandra, hunger, food shortages, and industrial working conditions.

As a result, on March 8, 1917, food riots broke out in St. Petersburg; however, the soldiers refused to fire upon the rioters. At this time, two forces were in competition for control of the revolution. Members of the Duma executive committee called for a moderate constitutional government, while Soviets, members of worker councils, pushed for revolution and industrial reform.

On March 15, 1917, the Czar attempted to return to Russia by train, but was stopped by the troops and was forced to abdicate.

From March through November, a provisional government was led by Alexander Kerensky, a socialist, and Prince Lvov. However, this government was destined to fail because it took no action in land distribution, continued to fight in World War I, and failed to fix food shortages. General Kornilov attempted a coup, but Kerensky used the Soviets and Bolsheviks to put down the coup. However, this action showed the weakness of Kerensky.

The March Revolution marked the first time that the class struggle predicted by Karl Marx took place. Thus, the March Revolution was a true Marxist revolution based upon the theories of Marx in _The Communist Manifesto_.

#### November Revolution of 1917

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/28/Lenin_loc_ggbain.jpg/230px-Lenin_loc_ggbain.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Vladimir Lenin

Vladimir Lenin realized that the time had come to seize the revolution. He authored the "April Theses," in which he promised peace with the Central Powers, redistribution of the land, transfer of the factories to the owners, and the recognition of the Soviets as the supreme power in Russia. In this sense, the November Revolution was led by Lenin rather than being an overall coup by the workers, and thus the November revolution cannot be dubbed a true Marxist revolution.

The Revolution may never have happened had not the Prime Minister of the Time, [Aleksandr Kerensky](http://en.wikipedia.org/wiki/Aleksandr_Kerensky), destroyed the power of authority within the Army and Navy by allowing the Bolshevik and Menshevik committees greater powers. Kerensky effectively disarmed the Man who could have prevented the Revolution ever happening. The man in question, was the Commander-in-Chief, General [Lavr Kornilov](http://en.wikipedia.org/wiki/Lavr_Kornilov) who attempted to bring to heel the populist Government of Kerensky and instill some authority back in to the state and the Army. Kerensky seized the opportunity to relieve Kornilov of his office and effectively gave the Bolsheviks, namely the Red Guard within the ranks of the Petrograd sailors, a _Carte Blanc_ to take up arms in the so called defense of the Provisional Government. The Army lost its Commander and the streets were handed over to the Bolsheviks.

In March 1918 Lenin established the "dictatorship of the proletariat," adopted the name "Communist Party," and signed the treaty of Brest-Litovsk, withdrawing Russia from World War I.

Civil war raged in Russia from 1918 until 1922, pitting the Reds (Bolsheviks led by Trotsky) against the Whites, which consisted of czarists, liberals, the bourgeois, Mensheviks, the U.S., Britain, and France.

The victorious Bolsheviks acted to eliminate their opposition using secret police groups such as the Cheka, the NKVD, and the KGB. Lenin attempted to maintain Marxism, hoping to reach Marx's state of a propertyless, classless utopia. However, the pursuit of communism generally failed and the economy declined. Accordingly, Lenin enacted the New Economic Policy in March 1921, which compromised many aspects of communism for capitalism's profits.

### Modern Art

The 1900s led to the creation of the new, modern art movement. Fauvism is a type of modern art that emphasized wild, extreme colors, abstraction, simplified lines, freshness, and spontaneity. Cubism is another form of modern art, which utilizes a geometrical depiction of subjects with planes and angles. The modern art movement arose because, with the advent of photography, art subjects no longer needed to be a realistic portrayal.

Perhaps the most famous modern artist is Pablo Picasso, a Spanish painter and sculptor.

## References

  1. [↑](Print_version.html#cite_ref-3) _[The Battles of the Isonzo, 1915-17_](http://www.firstworldwar.com/battles/isonzo.htm), FirstWorldWar.com, <http://www.firstworldwar.com/battles/isonzo.htm> 
  2. [↑](Print_version.html#cite_ref-4) _[Battlefield Maps: Italian Front_](http://www.firstworldwar.com/maps/italianfront.htm), FirstWorldWar.com, <http://www.firstworldwar.com/maps/italianfront.htm> 
  3. [↑](Print_version.html#cite_ref-5) [Hickey 2003](Print_version.html#CITEREFHickey2003), pp. 60-65
  4. [↑](Print_version.html#cite_ref-6) [Taylor2007](Print_version.html#CITEREFTaylor2007), pp. 39–47
  5. [↑](Print_version.html#cite_ref-isbn0-313-33181-2_7-0) [Keene 2006](Print_version.html#CITEREFKeene2006), pp. 5
  6. [↑](Print_version.html#cite_ref-isbn1-85728-498-4_8-0) [Halpern 1995](Print_version.html#CITEREFHalpern1995), p. 293
  7. [↑](Print_version.html#cite_ref-isbn0-8476-9645-6_9-0) [Zieger 2001](Print_version.html#CITEREFZieger2001), pp. 50
  8. [↑](Print_version.html#cite_ref-10) ["Coast Guard in the North Atlantic War"](http://www.uscg.mil/History/h_AtlWar.html). <http://www.uscg.mil/History/h_AtlWar.html>. Retrieved 2007-10-30. [_[dead link](http://en.wikipedia.org/wiki/Wikipedia:Link_rot)_]
  9. [↑](Print_version.html#cite_ref-isbn0-8050-7617-4_11-0) [Gilbert 2004](Print_version.html#CITEREFGilbert2004), pp. 306
  10. [↑](Print_version.html#cite_ref-12) [von der Porten 1969](Print_version.html#CITEREFvon_der_Porten1969)
  11. [↑](Print_version.html#cite_ref-isbn0-8420-2918-4_13-0) [Jones](Print_version.html#CITEREFJones), p. 80
  12. [↑](Print_version.html#cite_ref-14) ["Nova Scotia House of Assembly Committee on Veterans' Affairs"](http://www.gov.ns.ca/legislature/hansard//comm/va/va_2006nov09.htm). _Hansard_. <http://www.gov.ns.ca/legislature/hansard//comm/va/va_2006nov09.htm>. Retrieved 2007-10-30. 
  13. [↑](Print_version.html#cite_ref-15) ["Greek American Operational Group OSS, Part 3 continued"](http://www.pahh.com/oss/pt3/p23.html). <http://www.pahh.com/oss/pt3/p23.html>. Retrieved 2007-10-30. 
  14. [↑](Print_version.html#cite_ref-16) [The U-boat War in World War One](http://www.uboat.net/history/wwi/part6.htm)
  15. [↑](Print_version.html#cite_ref-17) [Price](Print_version.html#CITEREFPrice)

  


# **Chapter 13** \- Europe: 1918 to 1945

## Introduction

The end of World War I saw the European combatant nations exhausted, an entire generation of young men dead on the battlefield, and political conditions vastly changed from those before the war. The German, Austrian and Russian monarchies had been driven from power and replaced with democratic or revolutionary governments, and many European ethnic groups which had been subject to these three states seized the chance to obtain independence. It was against this background that the victorious powers attempted to bring permanent peace to Europe. The victors of the war were quick to blame Germany for starting the war and resolved to punish her, and this is exactly what took place at the Treaty of Versailles in 1919. the treaty was so harsh on Germany mostly because France and Italy were angry with them.

## The Treaty of Versailles of 1919

[File:WilsonVersailles.jpg](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=WilsonVersailles.jpg)

[Woodrow Wilson](http://en.wikipedia.org/wiki/Woodrow_Wilson) and the American peace commissioners during the negotiations on the Treaty of Versailles.

At the Peace of Paris or Treaty of Versailles, the "Big Four" convened to discuss what the result of the end of the war should be. The big four consisted of the United States, represented by President Woodrow Wilson; Britain, represented by Prime Minister Lloyd-George; France, represented by Clemenceau, who wanted most of all to get revenge against Germany; and Orlando of Italy. Germany and Russia were not invited, as Germany was defeated, and Russia had made a separate peace with Germany in 1917, and was feared because of the rise of the revolutionary Bolsheviks there.

At the discussions, many taking part looked to President Wilson for leadership, as the United States was the least damaged and seemingly the most neutral victor, and because the members saw Wilson's 14 Points plan provide an idealistic road map to a new future.

### Wilson's Fourteen Points

Wilson's Fourteen Points were democratic, liberal, enlightened, and progressive - a new type of treaty designed to make peace forever secure. The key aspects of his propositions were to disallow secret treaties in the future, allow freedom of the seas, provide for arms reduction, allow the self-determination of nations, and to establish the League of Nations, which Wilson saw as a key instrument to prevent future war.

### The Treaty's Treatment of Germany

In contrast to Wilson's idealism, the Treaty of Versailles was harsh, brutal, punitive, and retributive, especially because France still had lingering anger over the Franco-Prussian war. The aspects of the Treaty were designed to attempt to prevent Germany's ability to wage war in the future. It ordered that France would control the Saar valley, rich in coal and iron, for 15 years, and that France would have Alsace-Lorraine returned. The Rhineland between France and Germany would be demilitarized as a buffer zone between the two nations. Germany's colonies were divided between France and Britain, and Germany itself lost all together 13.5% of land and 12.5% of her population. The German navy was confiscated and the German army was limited to 100,000 members, and no submarines, planes, or artillery were permitted. Germany was forced to pay brutal war reparations in the amount of 132 billion gold marks. Finally, Article 231, or the War Guilt Clause, was a strictly retributive measure, ordering Germany and her allies to bear full responsibility for the war.

## Problems of Germany After World War I

Germany's new democratic government, the so-called Weimar Republic, faced serious problems following the Treaty of Versailles. Though Kaiser Wilhelm II had abdicated and the wartime military leadership had lost its authority, Germans widely refused to admit that their army had lost the war. A significant number believed that Germany could have continued to fight and eventually gotten the upper hand, and that surrender was a "stab in the back" of an army capable of winning the war.

While this severely undermined the credibility of the new republic, the notion that the German army could have continued the war and eventually won is rejected by most historians, due to the introduction of fresh U.S. forces and Germany's weakness after four years of battle. In fact, in late 1918 the German High Command, facing a powerful Allied offensive toward German soil and exhaustion of their own troops, turned in desperation to Germany's democratic politicians and asked them to form a government which the Allies would find acceptable for negotiations.

Immediately after the war, the Weimar Republic encountered severe economic problems. Millions of demobilized soldiers arrived home to find little or no work. Hunger was widespread. In addition, France and Britain owed war debts to the United States, and in order to pay them demanded reparation from Germany. Germany was unable to pay, so France seized the industrial towns of the Ruhr valley. The German response was to print money to pay the unemployed workers of the Ruhr, which resulted in massive hyperinflation in Germany.

Politically, there was near-chaos for several years, as fringe political groups on both the left and the right openly and violently battled each other and the central government. The Spartacists, or communists, staged uprisings in Berlin and other cities and briefly seized power in Bavaria. The Freikorps, various bands of demobilized soldiers who did not want to lay down their arms, crushed the Bavarian coup d'état. However, the Freikorps also sought to overthrow the Weimar Republic's government with a coup of their own in 1920, which failed when German workers responded with a general strike.

This was the atmosphere in 1919 when a small right-wing party in Munich took in a new member, an army corporal named Adolf Hitler. A skilled orator and politician, Hitler rapidly rose to head the National Socialist German Worker's Party, known as the Nazis.

## German Prosperity Returns

In the late 1920s, prosperity returned to Germany, primarily as a result of U.S. efforts through the Dawes Plan of 1924 and the Young Plan of 1929. These plans provided loans to the Weimar Republic and gave the Republic a realistic plan for reparation payments, helping to restore economic stability.

This prosperity had a diminishing effect on the radical groups of the right and left. The appeal of these groups was reduced as a result of a prosperous Germany.

## The Rise of Pacifism and Isolation in the 1920s

During the 1920s, the prevailing attitudes of most citizens and nations was that of pacifism and isolation. After seeing the horrors and atrocities of war during World War I, nations desired to avoid such a situation again in the future. Thus, Europe took a number of steps to ensure peace during the 1920s.

At the Washington Naval Conference in 1921, the United States, Great Britain, France, Japan, and Italy agreed to build no new battleships for ten years and to reduce the current size of their navies.

During the Locarno Treaties of 1925, Germany unconditionally guaranteed the borders of France and Belgium and pledged to never violate the borders of Czechoslovakia and Poland.

In 1926, Germany joined the League of Nations. The League was one of the major means that Europeans ensured peace during the time.

In 1928, 65 nations signed the Kellogg Briand Pact, rejecting war as a means of policy. In 1934, Russia joined the League of Nations.

## Democracies in Europe from 1919 through 1939

While fascism rose in Europe, the liberal democracies in the Britain and France were encountering isolationism and pacifism, as explained above, as well as problems with unemployment and colonial struggles. As a result of the Great Depression of the 1930s, the concept that government is responsible for meeting the social needs of its citizens became increasingly popular.

### Britain

After World War I, Britain faced a number of problems. One of the most serious was unemployment, with approximately 2 million people on the "dole," or Britain's welfare system. This resulted in the rise of the Labour party. The Labour party created a modern welfare state in Britain, creating an old age pension, medical care, public housing, and unemployment relief.

The British industries, now antiquated and falling behind, were selling less as the United States stepped up to the industrial plate.

Members of British colonies, such as Ireland, Egypt, India, and Palestine, were finding the ideals of the Enlightenment appealing and were beginning to resist British rule.

Finally, the Great Depression caused massive problems in Britain.

Prime Minister Ramsay MacDonald, a member of the Labour Party, enacted a policy of "retrenchment," which cut social spending, disallowed employment for women, and installed 100% tariffs on foreign goods. He enacted the ideas of [Keynesian Economics](http://en.wikipedia.org/wiki/Keynesian_economics), authored by J.M. Keynes, which advocated increased government spending during a depression in order to put money into the economy.

### France

The Third Republic of France was the governing body from 1870 until 1940. Although it was widely disliked for its political instability and corruption, it did manage to deliver a golden age, what became known as the _belle epoque_, for Paris. The city acquired many distinctive new monuments and public buildings, foremost among them the Eiffel Tower, constructed for the World Exhibition of 1889. It was renowned as a centre for the arts, with the Impressionists taking their inspiration from its new vistas. At the same time, Paris acquired a less savoury reputation as the "sin capital of Europe", with hundreds of brothels, revues and risqué cabarets such as the famous Moulin Rouge. The city also acquired its metro system, opened in 1900.

In 1877, President MacMahon tried to dissolve parliament out of disgust with the premier and to seize more power. However, the French people elected the same deputies to Parliament. The French people clearly wanted to prevent another dictator from taking power.

In 1886-1889, General Boulanger came close to overthrowing the government. He gained large support among monarchists, aristocrats, and workers, pleading to fight Germany. However, he lost his courage at the moment of the coup, and he fled to Belgium and committed suicide.

In 1894, a French Jewish army officer named Alfred Dreyfus was falsely accused of treason in what became known as the "Dreyfus Affair," showing that anti-Semitism was still strong in France, especially in the army and the Catholic Church. Émile Zola wrote the famous letter "J'Accuse!" which helped raised support for Dreyfus, who was eventually pardoned and restored to rank. Thus, in 1905 France enacted the separation of church and state.

After World War I, France encountered a number of problems. They had difficulty with the cost and burden of rebuilding the nation, and they lost all of their investments in Russia as a result of the Russian Revolution. The reparations were not paid by Germany as expected. Additionally, tax evasion was common in France at the time.

By the late 1920s, prosperity had been restored. However, the Great Depression of the 1930s triggered political unrest and social turmoil. In 1934, the socialists and communists fought the fascists in the Chamber of Deputies, one of the houses of parliament, and threw ink at each other. As a result of the unrest, the people elected a "Popular Front," a coalition of socialists, liberals, and communists, to govern. The leader of the Popular Front was Leon Blum, who during his tenure enacted family subsidies, welfare benefits, two weeks of vacation, a forty hour work week, and collective bargaining. Leon Blum was replaced in 1938 by Eduard Daladier.

## Challenges to Democracy in the 1930s

As a result of the Great Depression, fringe groups such as fascists and communists became more appealing to the general populace of Europe.

### Causes of the Great Depression

The Great Depression occurred because of a number of reasons. Low wages at the time resulted in less purchasing power. An agricultural depression and falling prices resulted in increased agricultural output but decreased demand. Overproduction in the factories, and overexpansion of credit, as well as the U.S. stock market crash of 1929 also contributed greatly. Actions pursued when the Great Depression was still in its infancy involved the [Fed](http://en.wikipedia.org/wiki/Fed)'s untimely raise in interest rates (in hopes to lure foreign investment), and later on, the [Smoot–Hawley Tariff](http://en.wikipedia.org/wiki/Smoot%E2%80%93Hawley_Tariff_Act) created immediate tariff backlash across the world and collapsed a great majority of world trade.

### Effects on the Colonies

These changes in Europe resulted in more calls for autonomy in the colonies, and the influence of Woodrow Wilson's proposed "self-determination" of nations grew.

In 1931, the Statute of Westminister created the "Commonwealth of Nations" consisting of Canada, New Zealand, Australia, the Irish Free State, and South Africa. These nations were given autonomy but were linked to Britain through trade.

In the 1930s, India began yearning for autonomy. The Muslim League and the Indian National Congress called for a greater role of Indians in their government. Gandhi's "civil disobedience" led to an end to British rule, and in 1935 the Government of India Act provided India with an internal self-government. In 1947 India gained its independence and split with Pakistan.

In 1908, "Young Turks" overthrew Abdul Hamid II of Turkey and ruled the nation until 1918. After World War I, Kemal Atatürk took the leadership of Turkey. In 1923 he moved the capital from Constantinople to Ankara, beginning the Republic of Turkey. Finally, in 1930, he changed the name of Constantinople to Istanbul. Atatürk established western dress, the Latin alphabet, and banned polygamy from Turkey. In 1936, women were given suffrage and were allowed to serve in parliament.

## Fascism in Germany and Italy

Italy experienced a turn to fascism after World War I, and Benito Mussolini took control as dictator of the nation. Soon afterward, Germany under Hitler took the same turn. Fascism was a new form of government, initiated by Mussolini, that promoted extreme nationalism and national unity; an emphasis on masculinity, youth, aggression, and violence; racial superiority; one supreme leader with superhuman abilities; the rejection of individual rights; the use of secret police, censorship, and propaganda; a militaristic and aggressive foreign policy; strict central control of the economy; and the holding of the individual as subordinate to the needs of society as a whole.

### The Italian Fascist Regime

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Benito_Mussolini_in_1937.jpg/100px-Benito_Mussolini_in_1937.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Benito Mussolini

The liberal establishment of Italy, fearing a socialist revolution inspired by the ideas of the Russian Revolution, endorsed the small National Fascist Party, led by Benito Mussolini. After several years of struggle, in October 1922 the fascists attempted a coup (the "Marcia su Roma", i.e. March on Rome); the fascist forces were largely inferior, but the king ordered the army not to intervene, formed an alliance with Mussolini, and convinced the liberal party to endorse a fascist-led government. Over the next few years, Mussolini (who became known as "Il Duce", the leader) eliminated all political parties (including the liberals) and curtailed personal liberties under the pretext of preventing revolution.

### The Rise of Fascism and Hitler in Germany

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Adolf_Hitler_1937.jpg/150px-Adolf_Hitler_1937.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Adolf Hitler

At the beginning of the 1930s, Germany was not far from a civil war. Paramilitary troops, which were set up by several parties, intimidated voters and seeded violence and anger among the public, who suffered from high unemployment and poverty. Meanwhile, elitists in influential positions, alarmed by the rise of anti-governmental parties, fought amongst themselves and exploited the emergency authority provided in the Weimar Constitution to rule undemocratically by presidential decree.

After a succession of unsuccessful cabinets, on January 29, 1933, President von Hindenburg, seeing little alternative and pushed by advisors, appointed Adolf Hitler Chancellor of Germany.

On 27 February, the Reichstag was set on fire. Basic rights were abrogated under an emergency decree. An Enabling Act gave Hitler's government full legislative power. A centralised totalitarian state was established, no longer based on the rule of democratic law, a policy that Hitler had outlined in his biography 'Mein Kampf.' The new regime made Germany a one-party state by outlawing all oppositional parties and repressing the different-minded parts of the public with the party's own organisations SA and SS, as well as the newly founded state security police Gestapo.

Industry was closely regulated with quotas and requirements in order to shift the economy towards a war production base. Massive public work projects and extensive deficit spending by the state helped to significantly lower the high unemployment rate. This and large welfare programmes are said to be the main factors that kept support of the public even late in the war.

In 1936, German troops entered the demilitarised Rhineland in an attempt to rebuild national self-esteem. Emboldened, Hitler followed from 1938 onwards a policy of expansionism to establish Greater Germany, that is, one German nation state, starting with the unification with Austria (called "Anschluss") and the annexation of the Sudetes region in Bohemia from Czechoslovakia. The British Prime Minister realized that his policies of appeasement towards Germany were being taken advantage of. To avoid a two-front war, Hitler concluded the [Molotov-Ribbentrop Pact](http://en.wikipedia.org/wiki/Molotov-Ribbentrop_Pact), a treaty of non-aggression, with the Soviet Union.

## The Spanish Civil War 1936-1939

In 1923, a coup led by General Miguel Primo de Rivera formed a new government in alliance with King Alfonso XIII Bourbon. In 1930, opposition to Primo de Rivera's right wing government led to his resignation. Out of a desire for democracy and socialism by the populace of Spain, Alfonso was overthrown in 1931 and a republic declared. In 1936, a Popular Front of leftists forces was elected to Parliament and took control of the government. Anticlerical actions of leftists and their direct attacks on Catholic churches and monasteries angered all conservative Spaniards. Left and right-wing political militants clashed on the streets. In July of 1936, rebellion broke out among a big part of army units. It was supported by conservative forces of all kinds of social background and the fighting began.

The nation broke into two factions. The Republicans, or "Loyalists," consisted of communists, socialists, anarchists, and liberals, and received some international support as well as big military and financial aid from Stalin. The "Nationalists" consisted of monarchists, angered Catholic believers, landowners, the army, members of the "Falange" party, traditionalists and received a great deal of direct aid from Italy and Germany.

In 1936, Great Britain, France, and the United States signed a non-intervention pact regarding the civil war. In 1937, the town of Guernica, a civilian town, was attacked and bombed by the German airforce. In 1939, nationalists took Barcelona and Madrid, and General Francisco Franco announced the end of the Civil War. From 1939 until 1975 Franco would rule as dictator in Spain.

## Again to War, the Outbreak of World War II

The Treaty of Versailles produced so-called "revisionist" powers. Germany, who was the loser of the war, had harsh reparations imposed against them. Italy got nothing out of the Peace of Paris. Hungary lost two thirds of her territory and each third ethnic Hungarian was placed under foreign rule. Japan didn't receive the racial equality clause they desired, even after defeating the Russians in the Russo-Japanese War. The Soviet Union was snubbed at the Peace of Paris as well, as it was not invited to attend.

### Aggressive Actions by the Axis Powers and Western Response

In 1933, Germany left the League of Nations. In 1934, Germany attempted to annex Austria. In 1935, Italy invaded Ethiopia while Germany reoccupied the Saar valley and began conscription and open rearmament. In 1936, Germany remilitarized the Rhineland. In 1938, Germany annexed Austria and the Sudetenland.

The prevalence of pacificism in the 1920s in Europe meant that European nations were reluctant to interfere in the actions of the revisionist powers. In addition, the nations of the Treaty of Versailles began to feel guilt for their treatment of Germany, and believed that they had wronged Germany. Moreover, the areas that Germany initially invaded were all of German heritage, and the leaders of the nations wondered if perhaps Germany should be allowed to take those territories. The leaders met at the Munich Conference in 1938, and Hitler promised to take no more aggressive actions.

In 1939, however, Germany seized the rest of Czechoslovakia, showing that war was inevitable and that appeasement had failed. Poland and Hungary also participated, taking sections of Czech and Slovak territory adjacent to their borders. During the same year, Italy and Germany signed the "Pact of Steel" alliance.

British Prime Minister Neville Chamberlain responded to the occupation of Czechoslovakia by giving a guarantee to Poland that Britain would go to war against Germany if Germany attacked Poland. The Polish government had not requested this alliance. Many historians have seen the guarantee as Chamberlain opening his eyes to Hitler's aggressive plans, but some others hold that it foolishly made war much more likely, by encouraging Poland to defy Germany in any negotiations over the Polish Corridor and the city of Danzig.

Possibly in response to Chamberlain's action, Germany and the Soviet Union shocked the Western powers by signing a non-aggression pact. This pact showed that war was imminent because two systems mutually pledged for the other's destruction came to agreement.

On September 1, 1939, Germany invaded Poland with its new war machine using what was called lightning warfare or Blitzkrieg. As a result, on September 3, 1939, Great Britain and France declared war on Germany. On September 17, 1939, the U.S.S.R. invaded Poland. In 1940, Germany, Italy, and Japan signed the Tripartite Treaty, forming the Axis powers.

### The Second World War

After the invasion of Poland on September 1st 1939, between the fall of 1939 and the spring of 1940 the Allies did not directly attack Germany in the west, but rather they engaged in harassing operations which had become known as the "phony war." This allowed Germany to finish the mobilization of its forces. In April of 1940, Germany invaded Denmark and Norway. The next month Belgium, the Netherlands, and France were attacked. Within six weeks, France had surrendered.

Winston Churchill became Prime Minister of Britain in May 1940. Churchill was dedicated to the destruction of Hitler, whatever the cost and using any means necessary. Churchill opened a new era in warfare by launching an unprecedented bombing campaign against civilian targets in Germany. The Germans retaliated, and the heroic British defense became what is known as the Battle of Britain. London and many other cities in England were hard-hit with large civilian casualties.

In 1941, Germany invaded Russia in an attempt to destroy communism, enslave the Russians, and get oil that was desperately needed to power the German war machine. However, the invasion failed, and winter hit Russia, causing massive death and destruction among Germany's army.

In 1942, Germany attempted to siege the Russian city of Stalingrad, but the attack ultimately ended in Soviet victory and the defeat of the Germans. Also during 1942, the British and the United States defeated German forces in North Africa.

By 1943, the Allies had landed in Italy and were beating back Mussolini's forces. During 1943, the Battle of Kursk, the largest armored engagement of all time, also took place on the Eastern Front. Again, the Soviets were highly victorious against German forces. On September 8, 1943, Italy surrendered to the allies.

By 1943, an immense bombing campaign by the U.S. and Britain was under way to break Germany's will to fight by destroying her cities and making her population homeless. Almost every major city was devastated with huge loss of life, but postwar studies showed that the bombing had little effect on industrial production, and may have strengthened Germans' will to fight.

On June 6, 1944, Allied forces landed on the beaches of Normandy on what has become known as D-Day. The offensive was successful for the Allies, and the Allies suffered far fewer casualties than expected. This marked the beginning of the end of the war. In December 1944, the Battle of the Bulge, the German's last major offensive in Western Europe, took place in Belgium. The result of this battle was a victory for the Allies and the crushing of much of the remainder of Germany's forces. On May 8, 1945, Victory in Europe Day occurred as the Russians took Berlin.

### Conclusion of the War

As the war neared the end, two major conferences took place to discuss how to most effectively terminate the war.

#### The Yalta Conference

The Yalta Conference began on February 11, 1945. In attendance were U.S. President Franklin D. Roosevelt, British Prime Minister Winston Churchill, and the Soviet leader Joseph Stalin. Yalta resulted in a number of essential provisions.

The first was the establishment of the United Nations, an international organization that describes itself as a "global association of governments facilitating cooperation in international law, international security, economic development, and social equity." The United Nations replaced the League of Nations, and was given the capacity to enforce itself militarily.

Yalta called for a four part dismemberment of Germany, with a portion going to each the United Kingdom, France, the United States, and Russia. This was based upon the fact that while Germany was not unified it did not present nearly the threat that it did as a unified nation.

War criminals were tried at Nuremberg, marking the first time that members of an army were held to international standards.

Poland was reconstituted, albeit with large territorial changes and placement in the Soviet sphere of influence. Reparations were enforced against Germany, and it was agreed that Russia would enter the war against Japan after the defeat with Germany.

Finally, the parties agreed to the Declaration of Liberated Europe. This provided that liberated countries would be given the right to hold free elections and choose their own government. This was an attempt to keep Stalin from annexing eastern Europe, but this attempt obviously failed.

#### The Potsdam Conference

The Potsdam Conference took place from July to August of 1945. In attendance were President Harry S. Truman, replacing President Roosevelt as a result of Roosevelt's death, British Prime Minister Attlee of the Labour party, who represented Britain after Churchill's Conservative Party's defeat in Britain, and Joseph Stalin. The Conference provided for German disarmament, demilitarization, and denazification. Poland was shifted to the west to reward the Soviet Union and to punish Germany, and as a result there was a massive post-war migration.

Finally, Japan was threatened with destruction by a "powerful new weapon" which turned out to be the atomic bomb.

# **Chapter 14** \- Europe: 1945 to Present

## Introduction

As Europe enters a new era, with two world wars still residing in the collective memory, peace and prosperity seems likely to continue. The Soviet Union dissolved in 1991, resulting in a europe whose countries and borders have returned to their pre-WW2 state. Its nations, however, are faced with ageing populations and falling birthrates, making it increasingly challenging to sustain expensive programs of social services. As the twenty-first century began, the continent is redefining itself with multiculturalism, a stengthening of europe's common economic policies and the formation of a European parliament. The Europe of Nations, whose nationalistic sentiments led to two world wars during the last century, is viewing the federalism of the USA as a possible solution to forging a United Europe.

## Western Europe 1945-Present

After World War II the countries of Europe were faced with finding ways to reconstruct their economies. Sweden, Switzerland, Ireland and Spain who had all remained neutral during the war fared slightly better. Sweden and Switzerland had provided banking and materials for the Nazi war effort and this meant that both countries had come out of the war relatively unscathed. Neutrality has its benefits but for those countries who were at the vanguard of military action the situation was far worse. Britain's industries had been almost exclusively dedicated to the war effort and coupled with the loss of economic and political influence amongst its former colonies the outlook for a quick recovery seemed unlikely. The countries that had been occupied by Germany had seen their industrial output directed to the German war effort and the influx of money and goods from occupied countries into the German economy meant that the shortages and austerity of war were not felt by the German population until the last year of the war. All over Europe the expectations was one of a return to normality and economic strength though it soon became obvious that this could only be achieved with American aid. In a speech given at Havard in 1947 by George C. Marshall, the American Secretary of State, proposed that the rebuilding of europe's economies including Germany's should in part be funded by American grants.

> _"The truth of the matter is that Europe's requirements for the next three or four years of foreign food and other essential products - principally from America - are so much greater than her present ability to pay that she must have substantial additional help or face economic, social, and political deterioration of a very grave character."_

Excerpt from the Havard Speech given by George C. Marshall.

  
The Marshall Plan was passed into law by President Truman in April 1948 under the formal name of the "European Recovery Program". The Marshall Plan was to apply to all the areas of Europe that had been ravaged by war regardless of whether the recipient had been an Ally or member of the Axis. Stalin rejected the plan therefore ensuring that East Germany, Poland, Romania, Yugoslavia and other countries then under post-war Soviet occupation or influence were excluded.

### Britain

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Thatcher-loc.jpg/250px-Thatcher-loc.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

British Prime Minister Margaret Thatcher

Britain after the war was heavily in debt. The bombing of major urban centers and exhaustion of manpower due to war casualties further added to the financial difficulties. The damage to the economy led to rationing being extended into the next decade. From 1945 until 1951, the Labour Party and Prime Minister Attlee replaced the Conservative Party. Winston Churchill was considered by the general populace to be a "War Prime Minister" and though having lost the first post-war election did serve a further term as Prime Minister from 1951 to 1955. In August 1947, India became independent of Britain. From 1950 to 1980 Britain, now without the full economic benefit of its colonies, embraced the free-market capitalism advanced by the USA though more emphasis was given to social programs and state ownership of major utilities. In many respects America's involvement in the war had been conditional on Britain dismantling its colonial power base with the USA viewing it as an obstacle to their own ideas of trade and free-market capitalism. This had first been proposed by Roosevelt to Churchill at the August 1941 meeting where the future of post-war europe was being discussed. America had viewed Britain's colonial trade as monopolistic and though it was Pearl Harbour and Japanese aggression that led to the USA entering the war; the agenda for colonial independence remained. America the Colony who had fought a war against the English for independence was pre-disposed culturally and economically to make this request.

Margaret Thatcher, leader of the Conservative Party, became Prime Minister from 1979 until 1990. She was the first Western female leader of the modern era, and was faced with depression and "stagflation" - high unemployment and inflation resulting from high oil prices. Thatcher was closely allied with U.S. President Ronald Reagan and employed "trickle-down" supply-side economics, cutting taxes on the wealthy in hopes that they would spend the additional money to hire new workers and endorsing privatization and deregulation. Thatcher cut many other social programs including education, health care, and welfare, and sold off nationalized industries such as BritOil and British Airways. She also broke the power of the unions in Britain.

Thatcher also deployed a taskforce to regain control of the Falkland Islands (Malvinas) after the invasion of the islands by Argentina in 1982.

John Major was the Conservative Prime Minister from 1990 until 1997. Tony Blair was the New Labour Prime Minister from 1997 until 2007. The Iraq invasion and Afghanistan conflicts. Gordon Brown was briefly the Prime Minister. The coalition of Conservatives and Liberal Democrats have formed the government since the general election of 2010, with a rumbling about possible Scottish independence from the UK and now possible departure form the EU.

### France

The Vichy regime installed by the Nazis after their invasion of France during World War II was replaced in 1946 by the Fourth Republic, which lasted until 1958. The Fourth Republic consisted of a strong Parliament with a Premier chosen by the majority party. There was also a weak ceremonial President. Charles De Gaulle, who led the Free French Resistance movement against the Nazis during their occupation of France in World War II, was elected but refused to participate and thus resigned. After World War II, France decolonized Indochina, Morocco, Tunisia, and the rest of West Africa. The Fourth Republic also allowed women's suffrage.

Violent conflict arose in Algeria, still a french colony. Bombings, terrorism, and the death of nearly one million people during anti-french actions led to this conflict taking center stage in French politics. When senior officers of the French military in Algeria rebelled in May of 1958 and fears of a coup d'état spread among the members of the government, the latter called upon Charles De Gaulle to resolve the problem. De Gaulle refused to take power unless the government would allow for a stronger Presidential position.

The people of France conceded, and in 1958 the Fifth Republic was formed with a strong authoritarian President. However, De Gaulle's solution to the problem was to simply free Algeria. In 1968, university students protest over their conditions, leading to a mass working-class strike. After the failed "régionalisation" referendum, De Gaulle resigned in 1969. He was followed by two right wing presidents: Georges Pompidou (elected in 1969 and deceased in 1974), and Valéry Giscard d'Estaing (elected in 1974). Abortion became legal under Giscard's rule.

From 1981 until 1995, François Mitterand served as President of France. He was a Socialist, and implemented numerous social programs. He abolished the death penalty. He instituted nationalized banks, insurance industries, and defense industries. Workers' wages increased during his tenure and working hours were reduced. However, when the French economy lagged, he abandoned socialism in 1984 and the French economy revived. In 1986, the right won the parliamentary elections, leading to the first "cohabitation" period, where the president and prime minister were not from the same political side. Jacques Chirac, mayor of Paris and founder of the RPR Gullist party, was chosen as prime minister. Mitterrand was re-elected in 1988, but had to face a second "cohabitation" from 1993 to 1995, with Édouard Balladur as a prime minister.

In 1995, Jacques Chirac, became President. He also had to face the third "cohabitation", with the socialist Lionel Jospin as prime minister from 1997 to 2002. Chirac was easily re-elected in 2002 against the extreme-right candidate Jean-Marie Le Pen, who had unexpectedly reached the runoff, eliminating Lionel Jospin at the first round. Jacques Chirac then founded a new party, the UMP, uniting the majority of the right wing. Jacques Chirac was followed by Nicolas Sarkozy, president of the UMP in 2007.

In 2012, Nicolas Sarkozy, very unpopular and having to deal with the economic crisis, was defeated by a socialist candidate, François Hollande.

### Germany

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/56/Occupied_Berlin.svg/250px-Occupied_Berlin.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Allied occupation zones in post-war Berlin

After World War II, Germany was divided into zones according to agreements reached between the ally powers. Western zones were placed under American and Western European control, while the eastern zones came under the control of the Soviet Union. Germany was to be occupied by the allies until some point in the future; how this was to be achieved itself became a source of conflict between the allies. This division of Germany also mirrored the presence of Allied troops in the now liberated countries of Europe. The Soviet army maintained a military presence in Poland, Romania and other eastern european states. American troops were still stationed in many western european states. With the war at an end the concord between the USA and Russia was now faltering and Germany and many of its neighbours were soon to become the center stage for an ideological battle between these once allies. The division of Berlin was a precursor to the Cold War; the first post-war arena for the entrenched differences between Russia and the USA and an ominous sign for the later conflicts of Vietnam and Korea.

In 1948, the Berlin Airlift took place. Berlin was in the eastern part of Germany administered by the Soviets though the city itself was administered by France, America, Britain and the Soviets. The western Allies had merged the three occupation zones they possessed after the end of World War II. The prelude to the blockade involved a gradual escalation of tension. At first the Soviets moved troops to borders and this itself prompted American intelligence to consider that the Soviets may be seeking further territorial expansion. The Russians then issued orders to General Dratvin (Russian command in Berlin) that all trains entering Berlin would now need to be inspected and the appropiate paperwork must be present. This was relayed to General Clay (US command in Berlin) who cabled the letter to Washington. The Washington administration came to the conclusion that imminent invasion of West Germany was highly unlikely and that the purpose of the recent Russian movement was aimed at removing the Allied powers from Berlin itself. The Russians increased the pressure with new inspection posts on roads and canals into Berlin. In March 1948 nine British registered barges were held at Buchhorst and in April British and American military trains were detained at Marienborn on the basis that the Russians had not been allowed to inspect them. The autobahns also came under pressure with the Russians insisting that Britain evacuate two Emergency Aid stations on the Belin to Helmstedt autobahn. On the 18th June 1948 the Allies issued a new currency called the Deutsche Mark which replaced the Reichsmark and on the same day Russia suspends all road and train travel to and from Berlin. On the 4th August the Allies officially started the airlift to supply Berlin.

In 1949, the two areas were formally split into the Federal Republic in the West and the German Democratic Republic (GDR) in the East. In addition, the Basic Law, Germany's constitution, came into effect in 1949.

From 1949 until 1963, Chancellor Konrad Adenauer, a member of the Christian Democrat Party (CDU), came to power in West Germany and pursued a policy of integration with NATO and the US led Western alliance. Adenauer successfully resisted domestic political pressures for Germany to adopt a policy of neutrality between the Cold War blocs as a path to reunification. Under him West Germany encountered the _Wirtschaftswunder_, or Economic Miracle, with great recovery throughout the nation. The country underwent denazification which involved censoring of fascist ideas and the showing of films taken at Dachau and other concentration camps to German cinema audiences. The education system in Germany was also subject to denazification with text books discarded due to their inclusion of Nazi propaganda. The Nuremberg Trials is the most visible example of denazification during this period since it involved the highest Nazi party members though thousands were tried at a local level by the Allies. One of the problems the Allies faced with denazification was that to remove all Nazis would have left a Germany struggling to reconstruct itself. In many respects Germans who had been complicit in Hitler's pogroms had escaped retribution because either they hadn't come to the attention of the Allies or they were part of the balancing act of German reconstruction.

In 1961, East German authorities, with Soviet backing, erected the Berlin Wall to stop the flood of refugees escaping to the west. Both Adenauer and his parliamentary opponents, the Social Democrats, considered the GDR to be an occupied part of a legally unified German nation, but were not in a position to change these circumstances because of the Cold War confrontation between the US and USSR. Berlin's importance as the first arena of the Cold War is reflected in the 1962 Cuban Missile Crisis. Released classified documents about the Cuban Crisis show an American administration worried that any sign of weakness during the Cuban Crisis may lead to Soviet aggression in Berlin. The zones of 1945 had become a border by 1962 and Berlin had a wall of concrete and barbwire. This is where the Cold War started and this is where it would have to end.

From 1963 until 1966, Chancellor Ludwig Erhard of the CDU served, followed by Kurt Georg Kiesinger.

From 1969 until 1974, Chancellor Willy Brandt, of the Social Democrats (SPD) came to power. He enacted _Ostpolitik_, a policy of economic friendship and trade with the eastern bloc and East Germany. Though he supported the NATO alliance, Brandt's overtures to the east earned him suspicion in some Western circles that he might trade off the alliance for German unification. Ironically, Brandt's government fell in a scandal over an East German spy within his office. His successor as chancellor, Helmut Schmidt, was also from the SPD (1974-1982).

From 1982 through 1998, Chancellor Helmut Kohl of the CDU served. In 1989 he was in office when the Berlin Wall fell, as Gorbachev abandoned the Brezhnev Doctrine of Soviet protection for other communist regimes. In 1990 the two portions of Germany reunified, but the East German economy lags far behind that of West Germany, even today. Chancellor Kohl, styling himself a conservative in a similar mold to Ronald Reagan and Margaret Thatcher, cut welfare spending and taxes, helping the economy.

From 1998 through 2006, Chancellor Gerhard Schroeder of the SPD served. He is most prominently known for his adamant opposition to the US led invasion of Iraq as well as for largely abolishing unemployment insurance benefits in the so-called Hartz reforms.

After elections in 2006, Angela Merkel became Chancellor and is a member of the CDU.

## The European Union

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Flag_of_Europe.svg/250px-Flag_of_Europe.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Flag of the European Union

The Franco-Prussian War, World War I, and World War II have left an indelible mark on modern Europe. The ferocity and destruction of these wars has led to a concerted effort by european leaders to secure a lasting peace in Europe. At a political level it was agreed that the best method would be to unite the nations economically and politically. Thus began the European Union (EU).

### Members

There are currently 27 members of the European Union. The original six members were France, (West) Germany, Italy, Luxembourg, Belgium, and the Netherlands. Between 1973 and 1986, Denmark, Ireland, Britain, Greece, Portugal, and [Spain](http://en.wikipedia.org/wiki/Spain) joined the EU. The emblem of the European Union is a blue flag with twelve gold stars on it. In 1995, Austria, Finland, and Sweden joined the EU. Nine years later ten countries were admitted - Poland, Czech Republic, Slovak Republic, Lithuania, Latvia, Estonia, Hungary, Slovenia, Malta and Cyprus. The number of EU members rose again in January 2007 with the addition of Romania and Bulgaria and in July 2013 when Croatia joined. Macedonia, Montenegro, Serbia, and Turkey are currently in talks about future possible membership of the EU.

### Background

In 1944 the Bretton Woods agreement created the World Trade Organization (WTO) that fights to eliminate tariffs and promote free trade. It established the World Bank, which provides loans to less-developed countries, and the International Monetary Fund (IMF), which loans to countries in economic crisis to prevent the collapse of their government. The agreement also fixed exchange rates for currencies, which became floating exchange rates in 1971.

In 1945 the United Nations was established.

In 1951, the European Coal and Steel Community (ECSC) was established with Belgium, West Germany, Luxembourg, France, Italy, and the Netherlands as members.

In 1957, the Treaties of Rome established the European Atomic Energy Community (EURATOM) and the European Economic Community (EEC). The members removed trade barriers between themselves and formed a "Common Market."

In 1992, the Treaty of Maastricht provided for cooperation in law enforcement, criminal justice, civil judicial matters, and asylum and immigration.

In 2004, Estonia, Latvia, Lithuania, Poland, the Czech Republic, Hungary, Slovakia, Slovenia, Malta, and Cyprus were admitted into the EU.

In 2007, Romania and Bulgaria were admitted as members of the EU.

In 2013, Croatia was admitted as a member of the EU.

## The Soviet Union

The Soviet Union after the war found itself in a position to secure its borders and to advance its own economic and political ideology into neighbouring states. They rejected the Marshall Plan and set up an alternative solution known as the Cominform. Russian troops had been first to enter Berlin and Stalin for all his faults was an astute politician who saw in this situation the chance to turn Russia into a world power. The Red Army was to maintain a presence in many of the countries it had liberated. The Americans who had wanted to extricate themselves from Europe's arena now found themselves drawn further into the tangled borders of Europe. The Cold War had started.

### Nikita Khrushchev 1953-1964

Khrushchev reversed many of Stalin's policies through a process which became known as "Destalinization". This time period is known as "The Thaw", since tensions between the US and the USSR became more relaxed. The theory of peaceful coexistence, which believed that the communist nations could live in peace with the democracies of the West, was spread throughout the Soviet Union by Khrushchev, who attended peace summits in Geneva and Camp David. In addition, Khrushchev attempted to modernize Russia and to give its citizens more freedom. He rid the USSR. of purges and eliminated show trials, replacing them with actual court systems. He gave more latitude to the 6 Eastern European states, and also allowed more freedom of speech and criticism of Stalin. At the 1956 XX Party Congress, Khrushchev announced that Stalin had indeed made many mistakes during his reign.

Khrushchev tried to reform collectivized agriculture and to shake up the Communist Party in order to remove inefficiency, so the Party forced him out in 1964.

The West regards Khrushchev as generally unpredictable, especially considering his actions in the Cuban Missile Crisis of 1962.

### Leonid Brezhnev (1964-1982)

After Khrushchev's removal from office, Leonid Brezhnev came to power. He was widely seen as humorless, colorless, and unimaginative. He brought an end to destalinization and is blamed for bringing an era of stagnation to the Soviet Union.

Brezhnev is well known for his Brezhnev Doctrine, which promised to intervene if a socialist regime was threatened. During Brezhnev's reign, in 1968, there was revolution in Czechoslovakia. Alexander Dubček was elected leader of the communist party, and he called for free press, democracy, and other parties. In this sense he curbed repression, and he advocated "Socialism with a Human Face" in what has become known as the "Prague Spring" - that is, more rights, more consumer goods, and more freedom. However, the Soviets invaded the country and crushed this new government in August 1968.

Under Brezhnev, the United States and the Soviet Union underwent _Détente_, which was in essence a relaxation of tensions between the two nations. This occurred primarily because both countries recognized the concept of _Mutually Assured Destruction_, which stems from a realisation that the proliferation of nuclear arms had ensured that each nation had enough warheads to guarantee each other's destruction. It was during this period that many countries witnessed the rise of campaigns for nuclear disarmament by the general public. These campaigns formed a defining social phenomena during the decades of the 60s and 70s, especially within the NATO countries, and in some part must have helped in the "thaw" of the Cold War.

In 1975 both NATO and Warsaw Pact members signed the Helsinki Accords. In these, the West recognized the Soviet occupation of Eastern Europe, and the Soviets promised to respect the civil rights of people living in the occupied territories.

Brezhnev had a great deal of trouble during his rule. In 1977 Czech dissidents, led by writer Václav Havel, signed a manifesto called the Charter 77 that demanded human rights, free expression, freedom of religion, and the right to organize. Then, from 1980 until 1989, the Soviet Union was engaged in military action in Afghanistan in support of the communist government who were fighting a war with Muslim anti-communists. The USSR eventually withdrew their troops after a stale-mate was reached and russian casualties had mounted.

Brezhnev presided over the USSR for longer than any other but Stalin, and there was never a plot to take his position. He was allowed to grow old in office, and died on November 10, 1982 at the age of 75. He was succeeded by Yuri Andropov, then Konstantin Chernenko, both of whom ruled for only around a year, and had little real impact on the Soviet Union. Both were very physically unhealthy, died soon after being in office, and Chernenko was succeeded by the reformist Mikhail Gorbachev.

### Mikhail Gorbachev (1985-1991)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Mikhail_Gorbachev_1987.jpg/200px-Mikhail_Gorbachev_1987.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Mikhail Gorbachev in 1987.

With the Soviet Union on the verge of economic collapse, a young, vigorous, and creative General Secretary, Mikhail Gorbachev, came to power. Gorbachev created the policy of _Glasnost_, or "Openness," which allowed criticism (albeit limited) of the system, examination of past mistakes, rehabilitated victims of the purge, and changed textbooks in the nation.

He also implemented _Perestroika_, or "Economic Restructuring." He decentralized the economy, offered incentives to managers for increased production and quality and allowed them to make more decisions, introduced elements of "working place democracy", and allowed peasants to lease their own land.

However, these economic policies actually failed, and the situation became increasingly worse. The Soviet Union encountered massive problems in the 1990s, including alcoholism, divorce, a high abortion rate, low life expectancy, and no consumer goods.

#### Revolutions of 1988-1990

In 1988 Lithuanian liberation movement - Sajudis, Latvian - Tautas fronte, Estonian - Rahvarinne were created and soon they started struggle for independence of the Baltic states.

In 1989, a number of Eastern bloc states began to revolt against Soviet authority.

The spark of it all occurred in 1989, when declining conditions in Poland forced Poland to legalize Lech Walesa's "Solidarity" Party. The party won control of the government in a landslide election. Gorbachev then told the Eastern Bloc satellite states that he cannot enforce the Brezhnev Doctrine. As a result, other nations followed Poland's lead. Hungary held elections, relaxed economic controls, and opened its door to the West. The Czechoslovakian and Bulgarian communist governments collapsed without bloodshed in what has become known as the "Velvet Revolution." In East Germany, Germans flooded to Hungary and then to the West. The Communist leader of East Germany, Honecker, was forced to step down, and the Berlin wall was torn down on November 9, 1989. In Romania, Nicolae Ceauşescu, a brutal Stalinist dictator, was executed on December 25th 1989. Ceauşescu was the only leader to be executed during the Eastern Bloc uprising and Romania itself the only country to violently overthrow its Communist regime.

#### The Break Up Of The Soviet Union

The failure of Glasnost and Perestroika to revive the situation in the Soviet Union resulted in its demise.

In 1989, the first competitive elections since 1917 were held for the Soviet Congress of People's Deputies. Boris Yeltsin was elected and became a leader of the opposition in the U.S.S.R. In 1990, other parties became officially tolerated, and in June 1991 Yeltsin was elected President of Russia. On August 19 - 21, 1991, a coup of communist hard-liners occurred while Gorbachev was in the Crimea. Yeltsin led non-violent resistance to the coup, which ultimately prevailed and saw all the coup leaders arrested or commit suicide. On August 24, 1991, the Communist Party was banned in Russia. December 31, 1991, the Soviet Union officially ceased to exist and was replaced with 15 independent states.

# **Glossary**

  [A](Print_version.html#A)   [B](Print_version.html#B)   [C](Print_version.html#C)   [D](Print_version.html#D)   [E](Print_version.html#E)   [F](Print_version.html#F)   [G](Print_version.html#G)   [H](Print_version.html#H)   [I](Print_version.html#I)   [J](Print_version.html#J)   [K](Print_version.html#K)   [L](Print_version.html#L)   [M](Print_version.html#M)   [N](Print_version.html#N)   [O](Print_version.html#O)   [P](Print_version.html#P)   [Q](Print_version.html#Q)   [R](Print_version.html#R)   [S](Print_version.html#S)   [T](Print_version.html#T)   [U](Print_version.html#U)   [V](Print_version.html#V)   [W](Print_version.html#W)   [X](Print_version.html#X)   [Y](Print_version.html#Y)   [Z](Print_version.html#Z)  

  


## A

  * **[Absolutism](http://en.wikipedia.org/wiki/Absolutism)** \- Political theory that one person should hold all power; in some cases justified by "Divine Right of Kings."
  * **[Act of Supremacy](http://en.wikipedia.org/wiki/Act_of_Supremacy)** _(1534)_ \- Act of Parliament under King Henry VIII of England declaring the king as the head of the Church of England, making official the English Reformation; (1559) reinstatement of the original act by Queen Elizabeth I.
  * **[Adam Smith](http://en.wikipedia.org/wiki/Adam_Smith)** _(1723-1790)_ \- Scottish economist and philosopher, author of _The Wealth of Nations_, thought of as the father of capitalist economics.
  * **[Age of Enlightenment](http://en.wikipedia.org/wiki/Age_of_Enlightenment)** \- An intellectual movement in 18th century Europe marked by rational thinking, in contrast with the superstition of the Dark Ages.
  * **[Albert Einstein](http://en.wikipedia.org/wiki/Albert_Einstein)** _(1879–1955)_ \- Physicist who proposed the theory of relativity and made advances in quantum mechanics, statistical mechanics, and cosmology.
  * **[Alexander Kerensky](http://en.wikipedia.org/wiki/Alexander_Kerensky)** _(1881-1970)_ \- The second prime minister of the Russian Provisional Government, immediately before the Bolsheviks and Lenin came to power.
  * **[Algeciras Conference](http://en.wikipedia.org/wiki/Algeciras_Conference)** \- Took place in 1906 in Algeciras, Spain. The purpose of the conference was to mediate the Moroccan dispute between France and Germany, and to assure the repayment of a large loan made to the Sultan in 1904. The Entente Cordiale between France and the United Kingdom gave the British a free hand in Egypt in exchange for a French free hand in Morocco. France tried to achieve a protectorate over Morocco, but was opposed by Germany.
  * **[Allied Powers](http://en.wikipedia.org/wiki/Allied_Powers)** _(World War I)_ \- Russia, France, British Empire, Italy, and United States.
  * **[Anschluss](http://en.wikipedia.org/wiki/Anschluss)** _(1938)_ \- The inclusion of Austria in a "Greater Germany"; in contast with the _Ausschluss_, the exclusion of Austria from Imperial Germany in 1871.
  * **[Ancien Régime](http://en.wikipedia.org/wiki/Ancien_R%C3%A9gime)** _("Old Order")_ \- the social and political system established in France under the absolute monarchy; removed by the French Revolution.
  * **[Appeasement](http://en.wikipedia.org/wiki/Appeasement)** \- Neville Chamberlain's policy of accepting conditions imposed by Nazi Germany.
  * **[April Theses](http://en.wikipedia.org/wiki/April_Theses)** _(1917)_ \- Lenin's writings on how Russia should be governed and the future of the Bolsheviks.
  * **[Aristotelian (Ptolemaic) Cosmology](http://en.wikipedia.org/wiki/Aristotelian_\(Ptolemaic\)_Cosmology)** \- The belief that Earth is at the center of the universe
  * **[Arms Race](http://en.wikipedia.org/wiki/Arms_Race)** \- A competition between two or more countries for military supremacy. This was perhaps most prominent during the Cold War, pitting the USA against the Soviet Union.
  * **[Aryans](http://en.wikipedia.org/wiki/Aryans)** \- In Nazism and neo-Nazism, a non-Jewish Caucasian, especially one of Nordic type, supposed to be part of a master race.
  * **[Autarky](http://en.wikipedia.org/wiki/Autarky)** \- An economy that does no trade with the outside world.
  * **[Avant-garde](http://en.wikipedia.org/wiki/Avant-garde)** \- People or actions that are novel or experimental, particularly with respect to the arts and culture.
  * **[Avignon Papacy](http://en.wikipedia.org/wiki/Avignon_Papacy)** _(1305-1378)_ \- Period during which the Papacy was moved from Rome to Avignon, France.

## B

  * **[Babylonian Captivity](http://en.wikipedia.org/wiki/Babylonian_Captivity)** \- A term referring to the Avignon Papacy which implies that the Popes were captives under the French kings.
  * **[Banalities](http://en.wikipedia.org/wiki/Banalities)** \- Fees imposed by a feudal lord on serfs for the use of his facilities.
  * **[Baroque](http://en.wikipedia.org/wiki/Baroque)** \- A cultural movement in art originating around 1600 in Rome; art designed for the illiterate rather than the well-informed _(Protestant Reformation)_.
  * **[Bastille](http://en.wikipedia.org/wiki/Bastille)** _("Stronghold")_ \- Generally refers to Bastille Saint-Antoine, demolished in the _Storming of the Bastille_ at the start of the French Revolution.
  * **[Battle of Gallipoli](http://en.wikipedia.org/wiki/Battle_of_Gallipoli)** _(1915)_ \- Failed attempt by the Allies to capture the Ottoman capital of Constantinople. _(World War I)_
  * **[Battle of Jutland](http://en.wikipedia.org/wiki/Battle_of_Jutland)** _(1916)_ \- Largest naval battle of World War I; fought in the North Sea between British and German fleets.
  * **[Battle of the Argonne](http://en.wikipedia.org/wiki/Battle_of_the_Argonne)** _(1918)_ \- Biggest operation and victory of the American Expeditionary Force (AEF) in World War I; in the Verdun Sector.
  * **[Battle of the Somme](http://en.wikipedia.org/wiki/Battle_of_the_Somme)** _(1916)_ \- Attempt by British and French forces to break through the German lines, to draw German forces away from Verdun.
  * **[Battle of Verdun](http://en.wikipedia.org/wiki/Battle_of_Verdun)** _(Feb-Dec 1916)_ \- Longest and possibly largest battle in history; resulted in over 1 million deaths and 450,000 wounded or missing.
  * **[Battle of Lepanto](http://en.wikipedia.org/wiki/Battle_of_Lepanto)** _(1571)_ \- The first major victory of any European power over the Ottoman Empire; destruction of most of the Ottoman Empire's ships resulted in its loss of control over the Mediterranean Sea.
  * **[Beer Hall Putsch](http://en.wikipedia.org/wiki/Beer_Hall_Putsch)** _(1923)_ \- An unsuccessful coup by Adolf Hitler and other leaders in Munich, Bavaria, Germany.
  * **[Belgian Congo](http://en.wikipedia.org/wiki/Belgian_Congo)** \- An area of central Africa, which was under formal control of the Belgian parliament from 1908 to 1960. The Belgian administration was one of paternalistic colonialism in which the educational and political system was dominated by the Roman Catholic Church and Protestant churches.
  * **[Benjamin Disraeli](http://en.wikipedia.org/wiki/Benjamin_Disraeli)** _(1804-1881)_ \- British author and Prime Minister, best known for his defense of the _Corn Laws_.
  * **[Berlin Crisis](http://en.wikipedia.org/wiki/Berlin_Crisis)** _(1948-1949)_ \- The Soviet blockade of West Berlin during the Cold War; abated after the Soviet Union did not act to stop American, British and French airlifts of food and other provisions to the Western-held sectors of Berlin
  * **[Bill of Rights 1689](http://en.wikipedia.org/wiki/Bill_of_Rights_1689)** \- One of the fundamental documents of English law; agreed to by _William and Mary_ in return for their being affirmed as co-rulers by the English Parliament after the Glorious Revolution.
  * **[Black Death](http://en.wikipedia.org/wiki/Black_Death)** \- The plague which killed one third of Europe's population in the 14th century.
  * **[Bloodless Revolution](http://en.wikipedia.org/wiki/Bloodless_Revolution)** \- A term used to refer to the _Glorious Revolution_; the description is largely accurate of William's succession to the English throne, although his struggle to gain the Scottish and Irish thrones was far from bloodless.
  * **[Boer War](http://en.wikipedia.org/wiki/Boer_War)** \- Two wars, one in 1880-81 and the second from October 11, 1899-1902 both between the British and the settlers of Dutch origin (called Boere, Afrikaners or Voortrekkers) in South Africa that put an end to the two independent republics that they had founded.
  * **[Bolsheviks](http://en.wikipedia.org/wiki/Bolsheviks)** \- A faction of the Russian revolutionary movement formed 1903 by followers of Vladimir Lenin, who believed in a small party of revolutionaries with a large fringe group of supporters.
  * **[Book of Common Prayer](http://en.wikipedia.org/wiki/Book_of_Common_Prayer)** \- The prayer book of the Church of England; was first published in 1544 and has been through many revisions.
  * **[Boxer-Rebellion](http://en.wikipedia.org/wiki/Boxer-Rebellion)** \- Uprising against Western influence in China.
  * **[Burschenschaften](http://en.wikipedia.org/wiki/Burschenschaften)** \- Liberal German associations of university students; helped initiate the _Revolution of 1848 in Germany_.

## C

  * **[Cahier des doléances](http://en.wikipedia.org/wiki/Cahier_des_dol%C3%A9ances)** _("Statement of Grievances")_ \- documents drawn up by electors of the French States-General, since 1484, listing complaints with the state.
  * **[Calvinism](http://en.wikipedia.org/wiki/Calvinism)** \- Protestant religion founded by John Calvin, centered upon "the sovereignty of God" _(Protestant Reformation)_.
  * **[Carbonari](http://en.wikipedia.org/wiki/Carbonari)** _("coal-burners")_ \- groups of secret revolutionary societies founded in early 19th century Italy, and instrumental in organizing revolution in Italy in 1820 and 1848.
  * **[Carlsbad Decrees](http://en.wikipedia.org/wiki/Carlsbad_Decrees)** _(1819)_ \- A set of restrictions placed on Germans, under influence of Metternich of Austria; dissolved the Burschenschaften, provided for university inspectors and press censors.
  * **[Catholic monarchs](http://en.wikipedia.org/wiki/Catholic_monarchs)** \- The Spanish rulers Queen Isabella I of Castile and King Ferdidand II of Aragon whose marriage marked the start of Christian dominance in Spain.
  * **[Cavaliers](http://en.wikipedia.org/wiki/Cavaliers)** \- Supporters of Charles I of England in the English Civil War; also known as _Royalists_.
  * **[Cecil Rhodes](http://en.wikipedia.org/wiki/Cecil_Rhodes)** \- (1853-1902) British imperialist and the effective founder of the state of Rhodesia (since 1980 known as Zimbabwe), named after himself. He profited greatly from southern Africa's natural resources, generally at the expense of the natives; severely racist.
  * **[Central Powers](http://en.wikipedia.org/wiki/Central_Powers)** _(World War I)_ \- Dual Alliance of Germany, Austria-Hungary, the Ottoman Empire, and Bulgaria.
  * **[Cesare Beccaria](http://en.wikipedia.org/wiki/Cesare_Beccaria)** _(1735-1794)_ \- Italian philosopher and mathematician, author of _On Crimes and Punishments_ resulting in penal code reforms.
  * **[Charles Fourier](http://en.wikipedia.org/wiki/Charles_Fourier)** _(1772-1837)_ \- French utopian socialist thinker; supported man's right to a minimum standard of life.
  * **[Charles I](http://en.wikipedia.org/wiki/Charles_I)** (of England, Scotland) _(1600-1649)_ \- Struggled against Parliament, favoring absolutism, hostile to religious reform efforts; executed at the end of the English Civil War.
  * **[Chartism](http://en.wikipedia.org/wiki/Chartism)** \- A movement for social and political reform in England, named from the _People's Charter_ of 1838.
  * **[Cheka](http://en.wikipedia.org/wiki/Cheka)** _(1917-1922)_ \- The first of many Soviet secret police organizations.
  * **[Chivalry](http://en.wikipedia.org/wiki/Chivalry)** \- Church-endorsed warrior code of ethics for knights, valuing bravery, loyalty, and self-sacrifice.
  * **[Cobden Chevalier Treaty](http://en.wikipedia.org/wiki/Cobden_Chevalier_Treaty)** _(1860)_ \- Treaty substantially lowering duties between the Britain and France, marking increasing cooperation between the two nations.
  * **[Classical](http://en.wikipedia.org/wiki/Classical)** \- Pertaining to the culture of ancient Greece and Rome.
  * **[Classical liberalism](http://en.wikipedia.org/wiki/Classical_liberalism)** \- A political and economic philosophy, originally founded on the Enlightenment tradition that tries to circumscribe the limits of political power and to define and support individual rights.
  * **[Claude Henri de Saint-Simon](http://en.wikipedia.org/wiki/Claude_Henri_de_Saint-Simon)** _(1760-1825)_ \- The founder of French socialism.
  * **[Comintern](http://en.wikipedia.org/wiki/Comintern)** _(Communist International)_ \- International Communist organization founded in March 1919 by Lenin, intended to fight for complete abolition of the State.
  * **[Committee of Public Safety](http://en.wikipedia.org/wiki/Committee_of_Public_Safety)** \- the executive government of France during the Reign of Terror of the French Revolution, established on April 6, 1793.
  * **[Common Market](http://en.wikipedia.org/wiki/Common_Market)** \- A customs union with common policies on product regulation, and freedom of movement of all the four factors of production (goods, services, capital and labour). It is established across most modern European nations.
  * **[Code Napoléon](http://en.wikipedia.org/wiki/Code_Napol%C3%A9on)** \- _(see Napoleonic code)_.
  * **[Collectivisation](http://en.wikipedia.org/wiki/Collectivisation)** \- An agriculture system in which peasants are not paid wages, but instead receive a share of the farm's net output.
  * **[Committee of Public Safety](http://en.wikipedia.org/wiki/Committee_of_Public_Safety)** \- The executive government of France during the Reign of Terror of the French Revolution.
  * **[Communist Manifesto](http://en.wikipedia.org/wiki/Communist_Manifesto)** \- Document laying out the purposes of the Communist League, first published on February 21, 1848, by Karl Marx and Friedrich Engels.
  * **[Concordat of 1801](http://en.wikipedia.org/wiki/Concordat_of_1801)** \- Agreement between Napoléon and Pope Pius VII after Napoléon's coup d'état of France.
  * **[Congress of Berlin](http://en.wikipedia.org/wiki/Congress_of_Berlin)** \- Prompted in 1878 by Otto von Bismarck to revise the Treaty of San Stefano. Proposed and ratified the Treaty of Berlin.
  * **[Congress of Vienna](http://en.wikipedia.org/wiki/Congress_of_Vienna)** _(1814-1815)_ \- a conference held in Vienna, Austria, to redraw Europe's political map after the defeat of Napoleonic France.
  * **[Consubstantiation](http://en.wikipedia.org/wiki/Consubstantiation)** \- Lutheran belief that in the Eucharist sacrament, the spirit of Christ is present in the bread and wine, but they are not actually the body and blood of Christ _(Protestant Reformation)_.
  * **[Continental System](http://en.wikipedia.org/wiki/Continental_System)** \- Foreign economic warfare policy of Napoléon, consisting of an embargo against Great Britain, which failed.
  * **[Corn Laws](http://en.wikipedia.org/wiki/Corn_Laws)** _(1815-1846)_ \- British import tariffs designed to protect farmers and landowners against foreign competition.
  * **[Corporative state](http://en.wikipedia.org/wiki/Corporative_state)** \- A political system in which legislative power is given to corporations that represent economic, industrial, and professional groups.
  * **[Corvée](http://en.wikipedia.org/wiki/Corv%C3%A9e)** \- In feudal societies, an annual tax on a serf that is payable by labor; used to complete royal projects, to maintain roads, and for other purposes.
  * **[Council of Constance](http://en.wikipedia.org/wiki/Council_of_Constance)** _(1414-1418)_ \- Called for the abdication of all three popes of the Western Schism; successfully elected Martin V as the single pope, ending the Schism.
  * **[Council of Trent](http://en.wikipedia.org/wiki/Council_of_Trent)** _(1545-1563)_ \- Council of the Catholic Church to condemn Protestantism and to initiate some internal reform of Church corruption _(Protestant Reformation)_.
  * **[Count Cavour](http://en.wikipedia.org/wiki/Count_Cavour)** _(1810-1861)_ \- Leader in the movement for Italian unification; first Prime Minister of Kingdom of Italy.
  * **[Coup d'état](http://en.wikipedia.org/wiki/Coup_d%27%C3%A9tat)** \- Sudden overthrow of a government, typically done by a small group that only replaces the top power figures.
  * **[Crédit Mobilier](http://en.wikipedia.org/wiki/Cr%C3%A9dit_Mobilier)** _(1872)_ \- Involved the Union Pacific Railroad and the Crédit Mobilier of America construction company. $47 million contracts had given Crédit Mobilier a profit of $21 million and left Union Pacific and other investors near bankruptcy. A Congressional investigation of thirteen members led to the censure of the board members and many political figures had their careers damaged.
  * **[Cuban Missile Crisis](http://en.wikipedia.org/wiki/Cuban_Missile_Crisis)** _(1962)_ \- Started on October 16, 1962, when U.S. reconnaissance was shown to U.S. President John F. Kennedy which revealed evidence for Soviet nuclear missile installations on the island, and lasted for 13 days until October 28, 1962, when Soviet leader Nikita Khrushchev announced that the installations would be dismantled.

## D

  * **[Dante Alighieri](http://en.wikipedia.org/wiki/Dante_Alighieri)** _(1265-1321)_ \- Author of _The Divine Comedy_, a highly sarcastic work criticizing the Church; one of the first authors to write in vernacular.
  * **[David Hume](http://en.wikipedia.org/wiki/David_Hume)** _(1711-1776)_ \- Philosopher and historian of the Scottish Enlightenment.
  * **[Decembrists](http://en.wikipedia.org/wiki/Decembrists)** \- Officers of the Russian Army that led 3,000 soldiers in the Decembrist Revolt, an attempted uprising at Senate Square in December, 1825.
  * **[Declaration of Pillnitz](http://en.wikipedia.org/wiki/Declaration_of_Pillnitz)** _(1791)_ \- A statement issued by Emperor Leopold II and Frederick William II of Prussia, warning French revolutionaries to allow restoration to power of Louis XVI.
  * **[Declaration of the Rights of Man and of the Citizen](http://en.wikipedia.org/wiki/Declaration_of_the_Rights_of_Man_and_of_the_Citizen)** _(1789)_ \- French Revolution document defining a set of individual rights, adopted by the National Constituent Assembly as a first step toward writing a constitution.
  * **[Defenestration of Prague](http://en.wikipedia.org/wiki/Defenestration_of_Prague)** (Second) _(1618)_ \- Act of revolt of the Bohemian aristocracy against the election of Ferdinand II, a Catholic zealot, as ruler of the Holy Roman Empire.
  * **[Deism](http://en.wikipedia.org/wiki/Deism)** \- Belief in a God as the creator, based on reason instead of faith _(Enlightenment)_.
  * **[Denis Diderot](http://en.wikipedia.org/wiki/Denis_Diderot)** _(1713-1784)_ \- French writer and philosopher dealing with free will, editor-in-chief of the early encyclopedia, Encyclopédie _(Enlightenment)_.
  * **[Destalinization](http://en.wikipedia.org/wiki/Destalinization)** \- Actions taken by Khruschev in the Soviet Union to allow greater dissent and to speak out against the actions of former USSR President Stalin.
  * **[Détente](http://en.wikipedia.org/wiki/D%C3%A9tente)** \- The relaxation of tensions between the Soviets and Americans.
  * **[Dialectical materialism](http://en.wikipedia.org/wiki/Dialectical_materialism)** \- The philosophical basis of Marxism as defined by later Communists; uses the concepts of thesis, antithesis and synthesis to explain the growth and development of human history.
  * **[Diggers](http://en.wikipedia.org/wiki/Diggers)** \- A group begun by Gerrard Winstanley in 1649 during Oliver Cromwell's England; called for a social revolution toward a communistic and agrarian lifestyle based on Christian Nationalism.
  * **[Directory](http://en.wikipedia.org/wiki/Directory)** \- A group of five men who held the executive power in France, according to the French Revolution constitution of 1795.
  * **[Duke of Alva](http://en.wikipedia.org/wiki/Duke_of_Alva)** \- Commonly refers to _Fernando Álvarez de Toledo_, the third Duke of Alva (or Alba).
  * **[Dutch East India Company](http://en.wikipedia.org/wiki/Dutch_East_India_Company)** _(1602-1798)_ \- The first joint-stock company; granted a trade monopoly with Asia by the government of the Netherlands.
  * **[Dutch Revolt](http://en.wikipedia.org/wiki/Dutch_Revolt)** \- Term referring to the _Eighty Years' War_.

## E

  * **[Edict of Nantes](http://en.wikipedia.org/wiki/Edict_of_Nantes)** _(1598)_ \- Declaration by Henry IV of France granting Huguenots substantial rights in a Catholic nation; introduction of religious tolerance _(Protestant Reformation)_.
  * **[Edict of Worms](http://en.wikipedia.org/wiki/Edict_of_Worms)** _(1521)_ \- Declaration by Holy Roman Emperor Charles V at the end of the Diet of Worms that Martin Luther was an outlaw and a heretic _(Protestant Reformation)_.
  * **[Edmund Burke](http://en.wikipedia.org/wiki/Edmund_Burke)** _(1729-1797)_ \- Irish philosopher, Whig politician, and founder of modern conservatism; criticized the French Revolution.
  * **[Eighty Years' War](http://en.wikipedia.org/wiki/Eighty_Years%27_War)** _(1568-1648)_ \- A war of secession in which the Netherlands first gained independence as the Dutch Republic.
  * **[Emigration](http://en.wikipedia.org/wiki/Emigration)** \- The action and the phenomenon of leaving one's native country to settle abroad. In particular, a large amount of emigration took place during the late 1800s in Europe.
  * **[Ems Telegram](http://en.wikipedia.org/wiki/Ems_Telegram)** _(1870)_ \- Document edited by Otto von Bismarck to provoke the Franco-Prussian War.
  * **[Enclosure](http://en.wikipedia.org/wiki/Enclosure)** \- The post-feudal process of enclosing open fields into individually owned fields; took off rapidly in 15th and 16th centuries as sheep farming became increasingly profitable.
  * **[Enlightenment](http://en.wikipedia.org/wiki/Enlightenment)** \- _(see Age of Enlightenment)_.
  * **[English Civil War](http://en.wikipedia.org/wiki/English_Civil_War)** _(1642-1649)_ \- A civil war fought between supporters of Charles I, (king of England, Scotland, and Ireland) and the Long Parliament led by Oliver Cromwell.
  * **[Erich Ludendorff](http://en.wikipedia.org/wiki/Erich_Ludendorff)** _(1865-1937)_ \- German general responsible for capturing the forts of Liège, critical to the Schlieffen Plan.
  * **[Erich Maria Remarque](http://en.wikipedia.org/wiki/Erich_Maria_Remarque)** _(1898-1970)_ \- German soldier on the front lines of World War I, wrote _All Quiet on the Western Front_ (1929).
  * **[Escorial](http://en.wikipedia.org/wiki/Escorial)** \- Large palace, monastery, museum, and library near Madrid, Spain; commanded by King Philip II, promoting study in aid of the Counter-Reformation.
  * **[Estates-General](http://en.wikipedia.org/wiki/Estates-General)** \- An assembly of the three classes, or Estates, of France before the French Revolution.
  * **[Excommunication](http://en.wikipedia.org/wiki/Excommunication)** \- Suspension of one's membership in the religious community; banning from the Church.

## F

  * **[Factory Act](http://en.wikipedia.org/wiki/Factory_Act)** _(1833)_ \- An attempt to establish normal working hours for workers in the textile industry.
  * **[Fall of Eagles](http://en.wikipedia.org/wiki/Fall_of_Eagles)** \- Refers to the collapse of tsarist Russia.
  * **[Fascism](http://en.wikipedia.org/wiki/Fascism)** \- Right-wing authoritarian political movement.
  * **[Fashoda Incident](http://en.wikipedia.org/wiki/Fashoda_Incident)** \- The climax of colonial disputes between imperial Britain and France in Eastern Africa; brought Britain and France to the verge of war but ended in a diplomatic victory for Britain.
  * **[February Revolution](http://en.wikipedia.org/wiki/February_Revolution)** _(1917)_ \- The first stage of the Russian Revolution of 1917, consisting of riots in Petrograd which resulted in the abdication of Tsar Nicholas II.
  * **[Ferdinand Foch, General](http://en.wikipedia.org/wiki/Ferdinand_Foch)** _(1851-1929)_ \- French soldier critical in stopping German advance during Spring 1918 and the Second Battle of Marne (July 1918); began the counter-attack leading to German defeat.
  * **[Ferdinand Lassalle](http://en.wikipedia.org/wiki/Ferdinand_Lassalle)** _(1825-1864)_ \- German politician whose actions led to the formation of the Social Democratic Party, which was strongly opposed by Karl Marx.
  * **[Fernando Álvarez de Toledo](http://en.wikipedia.org/wiki/Fernando_%C3%81lvarez_de_Toledo)** _(1508-1583)_ \- A Spanish general and governor of the Spanish Netherlands, nicknamed "the Iron Duke" for his cruelty; fought against Protestants in the Netherlands _(Eighty Years' War)_.
  * **[Feudalism](http://en.wikipedia.org/wiki/Feudalism)** \- Medieval system of holding land as a fief, provided by a lord to a vassal.
  * **[Fief](http://en.wikipedia.org/wiki/Fief)** \- Revenue-producing property granted by a lord to a vassal _(feudalism)_.
  * **[First Five-Year Plan](http://en.wikipedia.org/wiki/First_Five-Year_Plan)** \- Outline the goals of the Soviet bureaucracy, focusing on heavy industry.
  * **[Flora Tristan](http://en.wikipedia.org/wiki/Flora_Tristan)** _(1803-1844)_ \- One of the founders of modern feminism, author of several femenism works; grandmother of Paul Gauguin.
  * **[Fourteen Points](http://en.wikipedia.org/wiki/Fourteen_Points)** \- United States President Woodrow Wilson's outline for reconstructing Europe after World War I.
  * **[Francesco Sforza](http://en.wikipedia.org/wiki/Francesco_Sforza)** _(1401-1466)_ \- Founder of the Sforza dynasty in Milan, Italy; successfully modernized the city, which became a center of Renaissance learning and culture.
  * **[Francis Bacon](http://en.wikipedia.org/wiki/Francis_Bacon)** _(1561-1626)_ \- English philosopher, advocate of absolute duty to the sovereign, and defender of the Scientific Revolution.
  * **[Franco-Prussian War](http://en.wikipedia.org/wiki/Franco-Prussian_War)** _(1870-1871)_ \- War fought between France and Prussia over a possible German claim to the Spanish throne.
  * **[French Academy of Sciences](http://en.wikipedia.org/wiki/French_Academy_of_Sciences)** _(1666)_ \- Learned society founded by Louis XIV to encourage French scientific research.
  * **[Friedrich Engels](http://en.wikipedia.org/wiki/Friedrich_Engels)** _(1820-1895)_ \- German Socialist philosopher who co-published The Communist Manifesto with Karl Marx.

## G

  * **[Galileo Galilei](http://en.wikipedia.org/wiki/Galileo_Galilei)** _(1564-1642)_ \- First to use the telescope in astronomy; proved Copernicus' heliocentric theory _(Scientific Revolution)_.
  * **[Geoffrey Chaucer](http://en.wikipedia.org/wiki/Geoffrey_Chaucer)** _(1340-1400)_ \- Author of _The Canterbury Tales_, a collection of stories exposing the materialism of a variety of English people.
  * **[Gestapo](http://en.wikipedia.org/wiki/Gestapo)** \- The official secret police force of Nazi Germany, Geheime Staatspolizei _(secret state police)_.
  * **[Girolamo Savonarola](http://en.wikipedia.org/wiki/Girolamo_Savonarola)** _(1452-1498)_ \- Brief ruler of Florence known for religious anti-Renaissance preaching, book burning, and destruction of art.
  * **[Giuseppe Garibaldi](http://en.wikipedia.org/wiki/Giuseppe_Garibaldi)** _(1807-1885)_ \- Italy's most famous soldier of the Risorgimento.
  * **[Giuseppe Mazzini](http://en.wikipedia.org/wiki/Giuseppe_Mazzini)** _(1805–1872)_ \- Italian writer and politician who helped to bring about the modern, unified Italian state.
  * **[Glorious Revolution](http://en.wikipedia.org/wiki/Glorious_Revolution)** _(1688-1689)_ \- The removal of Stuart king James II from the thrones of England, Scotland, and Ireland; replaced by _William and Mary_; sometimes referred to as the _Bloodless Revolution_.
  * **[Great Fear](http://en.wikipedia.org/wiki/Great_Fear)** _(1789)_ \- Event at the start of the French Revolution; upon rumors that nobles planned to destroy the peasants' harvest, the peasants sacked nobles' castles and burned records of feudal obligations.
  * **[Great Purges](http://en.wikipedia.org/wiki/Great_Purges)** \- Campaigns of repression against social groups, often seen as a desire to consolidate the authority of Joseph Stalin.
  * **[Great Schism](http://en.wikipedia.org/wiki/Great_Schism)** \- Term used to refer to either the Western or Eastern Schism within the Catholic Church.
  * **[Gulag](http://en.wikipedia.org/wiki/Gulag)** \- The branch of the Soviet police that operated forced labor camps and prisons.

## H

  * **[Heinrich Himmler](http://en.wikipedia.org/wiki/Heinrich_Himmler)** _(1900-1945)_ \- The commander of the German Schutzstaffel and one of the most powerful men in Nazi Germany; one of the key figures in the organization of the Holocaust.
  * **[Henry Palmerston](http://en.wikipedia.org/wiki/Henry_Palmerston)** _(1784-1865)_ \- British Prime Minister and Liberal politician.
  * **[Henri-Phillippe Petain, General](http://en.wikipedia.org/wiki/Henri-Phillippe_Petain)** _(1856-1951)_ \- A French soldier and Head of State of Vichy France. He became a French hero because of his military leadership in World War I. **(ed: specifically...?)**
  * **[Henry V](http://en.wikipedia.org/wiki/Henry_V)** _(1387-1422)_ \- King of England _(1413-1422)_; accepted by the English as heir to Charles VI and the French throne, thus adding conflict to the Hundred Years' War.
  * **[Hermann Goering](http://en.wikipedia.org/wiki/Hermann_Goering)** _(1893–1946)_ \- A prominent and early member of the Nazi party, founder of the Gestapo, and one of the main architects of Nazi Germany.
  * **[Heresy](http://en.wikipedia.org/wiki/Heresy)** \- Holding of beliefs which are contrary to those of organized religion.
  * **[Huguenot](http://en.wikipedia.org/wiki/Huguenot)** \- Member of the Protestant Reformed Church of France _(Protestant Reformation)_.
  * **[Humanism](http://en.wikipedia.org/wiki/Humanism)** \- A secular ideology centered on human interests, stressing the value of the individual _(Renaissance)_.
  * **[Humanitarianism](http://en.wikipedia.org/wiki/Humanitarianism)** \- The belief that the sole moral obligation of humankind is the improvement of human welfare.
  * **[Hundred Years' War](http://en.wikipedia.org/wiki/Hundred_Years%27_War)** _(1337-1453)_ \- 116-year conflict between England and France.

## I

  * **[Ignatius of Loyola](http://en.wikipedia.org/wiki/Ignatius_of_Loyola)** _(1491-1556)_ \- Founder of the Society of Jesus, to strengthen the Church against Protestantism _(Protestant Reformation)_.
  * **[Il duce](http://en.wikipedia.org/wiki/Il_duce)** _(The Leader)_ \- Name adopted by Italian prime minister Benito Mussolini in 1923 to position himself as the nation's supreme leader.
  * **[Impressionism](http://en.wikipedia.org/wiki/Impressionism)** \- Art movement focused on creating an immediate visual impression, using primary colors and small strokes to simulate reflected light. _(19th century)_
  * **[Imperialism](http://en.wikipedia.org/wiki/Imperialism)** \- The policy of extending a nation's authority by territorial acquisition or by the establishment of economic and political hegemony over other nations.
  * **[Individualism](http://en.wikipedia.org/wiki/Individualism)** \- Emphasis of the individual as opposed to a group; humanism _(Renaissance)_.
  * **[Innocent III](http://en.wikipedia.org/wiki/Innocent_III)** \- Pope who organized the Fifth Crusade (1217); began the Papacy's interference in European affairs.
  * **[Irish Easter Rebellion](http://en.wikipedia.org/wiki/Irish_Easter_Rebellion)** _(Easter Monday, 1916)_ \- An unsuccessful rebellion against British rule in Ireland.
  * **[Iron Curtain](http://en.wikipedia.org/wiki/Iron_Curtain)** \- Boundary which separated Western and Eastern Europe during the Cold War.
  * **[Isaac Newton](http://en.wikipedia.org/wiki/Isaac_Newton)** _(1643-1727)_ \- English physicist, mathematician, astronomer, and philosopher; credited for universal gravitation, laws of motion, and calculus _(Scientific Revolution)_.

## J

  * **[James Hargreaves](http://en.wikipedia.org/wiki/James_Hargreaves)** _(1720-1778)_ \- English inventor of the spinning jenny in 1764.
  * **[James Watt](http://en.wikipedia.org/wiki/James_Watt)** _(1736-1819)_ \- Scottish engineer who improved the steam engine, a catalyst of the Industrial Revolution.
  * **[Jan Hus](http://en.wikipedia.org/wiki/Jan_Hus)** _(1369-1415)_ \- Founder of the Hussites, with reform goals similar to those of John Wyclif; author of _On the Church_, criticizing the Church; was burned at the stake.
  * **[Jean-Jacques Rousseau](http://en.wikipedia.org/wiki/Jean-Jacques_Rousseau)** _(1712-1778)_ \- Swiss-French philosopher and political theorist; "noble savage" idea that man is good by nature but corrupted by society.
  * **[Jesuits](http://en.wikipedia.org/wiki/Jesuits)** \- _see Society of Jesus_
  * **[Joan of Arc](http://en.wikipedia.org/wiki/Joan_of_Arc)** _(1412-1431)_ \- Peasant girl who defended an English siege on Orléans during the Hundred Years' War; was captured and burned as a heretic.
  * **[Johann Tetzel](http://en.wikipedia.org/wiki/Johann_Tetzel)** _(1465-1519)_ \- Dominican priest known for selling indulgences _(Protestant Reformation)_.
  * **[John Calvin](http://en.wikipedia.org/wiki/John_Calvin)** _(1509-1564)_ \- Founder of Calvinism in Geneva, Switzerland _(Protestant Reformation)_.
  * **[John Kay](http://en.wikipedia.org/wiki/John_Kay)** _(1704-1780)_ \- British inventor of the flying shuttle for weaving, a catalyst of the Industrial Revolution.
  * **[John Knox](http://en.wikipedia.org/wiki/John_Knox)** _(1505-1572)_ \- A Protestant reformer who founded Presbyterianism in Scotland _(Protestant Reformation)_.
  * **[John Locke](http://en.wikipedia.org/wiki/John_Locke)** _(1632-1704)_ \- An English philosopher of the Enlightenment who wrote about "government with the consent of the governed" and man's natural rights; provided justification for the _Glorious Revolution_.
  * **[John Wyclif](http://en.wikipedia.org/wiki/John_Wyclif)** _(1328-1384)_ \- Initiator of the first English translation of the Bible, an important step toward the Protestant Reformation.
  * **[Joseph Joffre, General](http://en.wikipedia.org/wiki/Joseph_Joffre)** _(1852-1931)_ \- Catalan French general; helped counter the Schlieffen Plan through retreat and counterattack at the First Battle of the Marne.

## K

  * **[Karl Marx](http://en.wikipedia.org/wiki/Karl_Marx)** _(1818-1883)_ \- An influential German political theorist, whose writing on class conflict formed the basis of the communist and socialist movements.
  * **[Khruschev](http://en.wikipedia.org/wiki/Khruschev)** \- See _Nikita Khrushchev_
  * **[Kristallnacht](http://en.wikipedia.org/wiki/Kristallnacht)** _(1938)_ \- A massive nationwide pogrom in Germany, directed at Jewish citizens throughout the country.
  * **[Kulturkampf](http://en.wikipedia.org/wiki/Kulturkampf)** _(Cultural Fight)_ \- Attempt by Chancellor Otto von Bismarck to reduce Catholic influence in the early years of the 1871 German Empire.

## L

  * **[Laissez-Faire](http://en.wikipedia.org/wiki/Laissez-Faire)** \- Libertarian philosophy of pure capitalism, without regulation of trade _(Enlightenment)_.
  * **[Law of Maximum Général](http://en.wikipedia.org/wiki/Law_of_Maximum_G%C3%A9n%C3%A9ral)** \- A comprehensive program of wage and price controls in Revolutionary France.
  * **[Lay](http://en.wikipedia.org/wiki/Lay)** \- in Catholicism, all non-clergy persons.
  * **[Lay investiture](http://en.wikipedia.org/wiki/Lay_investiture)** \- The induction of clerics by a king (a layman).
  * **[Lenin, Vladimir](http://en.wikipedia.org/wiki/Vladimir_Lenin)** _(1870-1924)_ \- The leader of the Bolshevik party and the first Premier of the Soviet Union; enacted the New Economic Policy.
  * **[Leonardo da Vinci](http://en.wikipedia.org/wiki/Leonardo_da_Vinci)** _(1452-1519)_ \- Italian Renaissance architect, inventor, engineer, sculptor, and painter; most known for _The Last Supper_ and _Mona Lisa_; the archetype of the "Renaissance man."
  * **[Leopold III](http://en.wikipedia.org/wiki/Leopold_III)** _(1835–1909)_ \- King of Belgium; founder of the Congo Free State, a private project to extract rubber and ivory.
  * **[Levée en masse](http://en.wikipedia.org/wiki/Lev%C3%A9e_en_masse)** \- French term for mass conscription, used to mobilize armies during the French Revolutionary Wars.
  * **[Lord](http://en.wikipedia.org/wiki/Lord)** \- The owner of land who grants a fief to a vassal _(feudal system)_.
  * **[Lorenzo de' Medici](http://en.wikipedia.org/wiki/Lorenzo_de%27_Medici)** _(1449-1492)_ \- Ruler of the Florentine Republic during the Renaissance; Christian supporter of Platonism and humanism.
  * **[Louis Napoleon Bonaparte](http://en.wikipedia.org/wiki/Louis_Napoleon_Bonaparte)** _(1808-1873)_ \- The nephew of the Emperor Napoleon I of France; member of the Carbonari in his youth; elected President of the Second Republic of France in 1848; reigned as Emperor Napoleon III of the Second French Empire from 1852 to 1870.

## M

  * **[Machiavellian](http://en.wikipedia.org/wiki/Machiavellian)** \- Having the qualities seen by Niccolò Machiavelli as ideal for a ruler; using ruthless authoritarian tactics to maintain power.
  * **[Manchurian Incident](http://en.wikipedia.org/wiki/Manchurian_Incident)** _(1931)_ \- Japan's military accused Chinese dissidents of blowing up a sectin of a Japanese railroad in Manchuria, thus providing an excuse for the Japanese annexation of Manchuria.
  * **[Mannerism](http://en.wikipedia.org/wiki/Mannerism)** \- Art after the High Renaissance in reaction to it, using exaggeration or distortion instead of balance and proportion.
  * **[Manor](http://en.wikipedia.org/wiki/Manor)** \- The local jurisdiction of a lord over which he has legal and economic power _(feudalism)_.
  * **[Marquis de Condorcet](http://en.wikipedia.org/wiki/Marquis_de_Condorcet)** _(1743-1794)_ \- French philosopher and mathematician, inventor of the Condorcet method, a voting system.
  * **[Marshall Plan](http://en.wikipedia.org/wiki/Marshall_Plan)** \- The primary plan of the United States for rebuilding the allied countries of Europe and repelling communism after World War II.
  * **[Martin Luther](http://en.wikipedia.org/wiki/Martin_Luther)** _(1483-1546)_ \- German theologian and Augustinian monk who began Lutheranism and initiated the Protestant Reformation.
  * **[Meiji Restoration](http://en.wikipedia.org/wiki/Meiji_Restoration)** _(1866-1869)_ \- Revolution in Japan; replaced the Tokugawa shogunate with imperial rule, and modernized the feudal country; provoked by the opening of Japan's ports to the West.
  * **[Mein Kampf](http://en.wikipedia.org/wiki/Mein_Kampf)** _(My Struggle)_ \- A book written by Adolf Hitler, combining elements of autobiography with an exposition of Hitler's political ideology of nazism.
  * **[Mensheviks](http://en.wikipedia.org/wiki/Mensheviks)** \- A faction of the Russian revolutionary movement formed 1903 by followers of Julius Martov, who believed in a large party of activists.
  * **[Mercantilism](http://en.wikipedia.org/wiki/Mercantilism)** \- The economic theory that a country's economic prosperity depends on its supply of gold and silver, and that a country should export more than it imports.
  * **[Metternich](http://en.wikipedia.org/wiki/Metternich)** _(1773-1858)_ \- Austrian foreign minister during and after the Era of Napoleon.
  * **[Michaelangelo](http://en.wikipedia.org/wiki/Michaelangelo)** _(1475-1564)_ \- Renaissance painter, sculptor, poet and architect; most known for the fresco ceiling of the Sistine Chapel.
  * **[Mir](http://en.wikipedia.org/wiki/Mir)** \- In Russian, "peace," Connotes "community." **(ed: relate this to the subject????)**
  * **[Monasticism](http://en.wikipedia.org/wiki/Monasticism)** \- Complete devotion to spiritual work.
  * **[Munich Agreement](http://en.wikipedia.org/wiki/Munich_Agreement)** _(1938)_ \- An agreement regarding the Munich Crisis; discussed the future of Czechoslovakia and ended up surrendering much of that state to Nazi Germany, standing as a major example of appeasement.

## N

  * **[Napoléon Bonaparte](http://en.wikipedia.org/wiki/Napol%C3%A9on_Bonaparte)** _(1769-1821)_ \- General and politician of France who ruled as First Consul (1779-1804) and then as Emperor (1804-1814).
  * **[Napoleonic code](http://en.wikipedia.org/wiki/Napoleonic_code)** \- French code of civil law, established by Napoléon on March 21, 1804, to reform the French legal system in accordance with the principles of the French Revolution.
  * **[National Socialist German Workers' Party](http://en.wikipedia.org/wiki/National_Socialist_German_Workers%27_Party)** \- The Nazi party which was led to power in Germany by Adolf Hitler in 1933.
  * **[Nationalism](http://en.wikipedia.org/wiki/Nationalism)** \- Ideology which sustains the nation as a concept of common identity among groups of people.
  * **[NATO (North Atlantic Treaty Organization)](http://en.wikipedia.org/wiki/NATO)** _(1769-1821)_ \- An international organization for collective security established in 1949, in support of the North Atlantic Treaty signed in Washington, DC, on 4 April 1949.
  * **[Nazi-Soviet Non-Aggression Pact](http://en.wikipedia.org/wiki/Nazi-Soviet_Non-Aggression_Pact)** _(1939)_ \- A non-aggression treaty between foreign ministers Ribbentrop of Germany (Third Reich) and Molotov of Russia (Soviet Union).
  * **[Neo-platonism](http://en.wikipedia.org/wiki/Neo-platonism)** \- Philosophy based on the teachings of Plato, which resurfaced during the Renaissance.
  * **[Neville Chamberlain](http://en.wikipedia.org/wiki/Neville_Chamberlain)** _(1869-1940)_ \- British Prime Minister who maintained a policy of appeasement toward Nazi Germany.
  * **[New Economic Policy](http://en.wikipedia.org/wiki/New_Economic_Policy)** _(NEP)_ _(1921)_ \- Lenin's system of economic reforms which restored private ownership to some parts of the economy.
  * **[New Model Army](http://en.wikipedia.org/wiki/New_Model_Army)** \- An army of professional soldiers led by trained generals; formed by Roundheads upon passage of the Self-denying Ordinance in 1645; became famous for their Puritan religious zeal _(English Civil War)_.
  * **[New Monarchies](http://en.wikipedia.org/wiki/New_Monarchies)** \- The states whose rulers in the 15th century began authoritarian rule using Machiavellian tactics _(Northern Renaissance)._
  * **[Niccolò Machiavelli](http://en.wikipedia.org/wiki/Niccol%C3%B2_Machiavelli)** _(1469-1527)_ \- Florentine political philosopher; author of _The Prince_ _(Renaissance)_.
  * **[Nicolaus Copernicus](http://en.wikipedia.org/wiki/Nicolaus_Copernicus)** _(1473-1543)_ \- Astronomer and mathematician who developed the heliocentric theory of the solar system _(Scientific Revolution)_.
  * **[Nietzsche's Superman](http://en.wikipedia.org/wiki/Nietzsche%27s_Superman)** _(Übermensch)_ \- Concept that the strong and gifted should dominate over the weak.
  * **[Night of the Long Knives](http://en.wikipedia.org/wiki/Night_of_the_Long_Knives)** _(1934)_ \- A purge ordered by Adolf Hitler of potential political rivals in the Sturmabteilung.
  * **[Nihilism](http://en.wikipedia.org/wiki/Nihilism)** \- Philosophy viewing the world and human existence as without meaning or purpose.
  * **[Nikita Khrushchev](http://en.wikipedia.org/wiki/Nikita_Khrushchev)** \- Leader of the Soviet Union after Stalin's death, from 1953 until 1964.
  * **[NKVD](http://en.wikipedia.org/wiki/NKVD)** \- An agency best known for its function as secret police of the Soviet Union; also handled other matters such as transport, fire guards, border troops, etc.
  * **[No man's land](http://en.wikipedia.org/wiki/No_man%27s_land)** _(World War I)_ \- In trench warfare, land between two opposing trenches which provides no cover.

## O

  * **[October Revolution](http://en.wikipedia.org/wiki/October_Revolution)** _(1917)_ \- The second stage of the Russian Revolution of 1917, led by Leon Trotsky; the first officially communist revolution, also known as the _Bolshevik Revolution_.
  * **[Old Regime](http://en.wikipedia.org/wiki/Ancien_R%C3%A9gime)** \- see _Ancien Régime_.
  * **[Oliver Cromwell](http://en.wikipedia.org/wiki/Oliver_Cromwell)** _(1599-1658)_ \- Military leader and politician who led an overthrow of the British monarchy in the English Civil War; established the Commonwealth of England over which he ruled as Lord Protector.
  * **[Open-Door Policy](http://en.wikipedia.org/wiki/Open-Door_Policy)** \- Maintenance of equal commercial and industrial rights for all nations in China after the Opium War.
  * **[Opium War](http://en.wikipedia.org/wiki/Opium_War)** _(1834-1860)_ \- Two wars between Britain and China over a Chinese attempt to eliminate the opium trade and reduce foreign influence within its borders.
  * **[Otto von Bismarck](http://en.wikipedia.org/wiki/Otto_von_Bismarck)** _(1815-1898)_ \- Prime Minister of Prussia who unified Germany and became the Chancellor of the German Empire.

## P

  * **[Pablo Picasso](http://en.wikipedia.org/wiki/Pablo_Picasso)** _(1881-1973)_ \- Founder, along with Georges Braque, of Cubism.
  * **[Pagan](http://en.wikipedia.org/wiki/Pagan)** \- Of or relating to classical, non-Christian religions.
  * **[Paris Commune](http://en.wikipedia.org/wiki/Paris_Commune)** _(1871)_ \- Socialist government briefly ruling Paris, formed by a civil uprising of post-Franco-Prussian War revolutionaries.
  * **[Parlements](http://en.wikipedia.org/wiki/Parlements)** \- Law courts of the ancien régime in France.
  * **[Parliamentarians](http://en.wikipedia.org/wiki/Parliamentarians)** \- Anything associated with a parliament; sometimes refers to _Roundheads_ _(English Civil War)_.
  * **[Paris Peace Conference](http://en.wikipedia.org/wiki/Paris_Peace_Conference)** _(1919)_ \- A six-month international conference between the Allied and Associated Powers and their former enemies; proposed Treaty of Versailles.
  * **[Paul von Hindenburg, General](http://en.wikipedia.org/wiki/Paul_von_Hindenburg)** _(1847-1934)_ \- German war general; Reich President of Germany (1925-1934).
  * **[Peace of Westphalia](http://en.wikipedia.org/wiki/Peace_of_Westphalia)** _(1648)_ \- A series of treaties ending the Thirty Years' War.
  * **[Peasants' War](http://en.wikipedia.org/wiki/Peasants%27_War)** _(1524-1526)_ \- A mass of economic and religious revolts in Germany _(Protestant Reformation)_.
  * **[Peninsular War](http://en.wikipedia.org/wiki/Peninsular_War)** _(1808-1814)_ \- A major conflict during the Napoleonic Wars, fought in the Iberian Peninsula; Spain, Portugal, and Britain vs. France.
  * **[Perspective](http://en.wikipedia.org/wiki/Perspective)** \- Artistic technique used to give a painting the appearance of having three dimensions by depicting foreground objects larger than those of the background _(Renaissance)_.
  * **[Philosophes](http://en.wikipedia.org/wiki/Philosophes)** \- A group of French philosophers of the Enlightenment, including Jean-Jacques Rousseau and Voltaire.
  * **[Pierre-Joseph Proudhon](http://en.wikipedia.org/wiki/Pierre-Joseph_Proudhon)** _(1809-1865)_ \- French anarchist, most famously asserting "Property is theft."
  * **[Politburo](http://en.wikipedia.org/wiki/Politburo)** _(Political Bureau)_ \- The executive organization for Communist Parties.
  * **[Politique](http://en.wikipedia.org/wiki/Politique)** \- A term used in the 16th century to describe a head of state who put politics and the nation's well being before religion.
  * **[Popolo](http://en.wikipedia.org/wiki/Popolo)** \- The poor, working class of Italy _(Renaissance)_.
  * **[Predestination](http://en.wikipedia.org/wiki/Predestination)** \- The religious idea that God's decisions determine destiny; particularly prevalent in Calvinism _(Protestant Reformation)_.
  * **[Presbyterianism](http://en.wikipedia.org/wiki/Presbyterianism)** \- A Protestant church based on the teachings of John Calvin and established in Scotland by John Knox _(Protestant Reformation)_.
  * **[Proletariat](http://en.wikipedia.org/wiki/Proletariat)** \- A lower social class; term used by Karl Marx to identify the working class.
  * **[Protectorate](http://en.wikipedia.org/wiki/Protectorate)** \- A relationship of protection and partial control assumed by a superior power over a dependent country or region; the protected country or region.
  * **[Protestant Wind](http://en.wikipedia.org/wiki/Protestant_Wind)** \- Term used to refer to one of two incidents in which weather favored Protestants in battle: 1) the storm which wrecked the Spanish Armada, preventing an invasion of England (1588); 2) the favorable winds that enabled William III to land in England and depose the Catholic King James II (1688).

## Q

  * **[Queen Victoria](http://en.wikipedia.org/wiki/Queen_Victoria)** _(1819–1901)_ \- Queen of the United Kingdom, reigning from 1837 until her death, longer than any other British monarch. As well as being queen of the United Kingdom of Great Britain and Ireland, she was also the first monarch to use the title Empress of India. The reign of Victoria was marked by a great expansion of the British Empire. The Victorian Era was at the height of the Industrial Revolution, a period of great social, economic, and technological change in the United Kingdom.

## R

  * **[Raphael](http://en.wikipedia.org/wiki/Raphael)** _(1483-1520)_ \- Florentine painter and architect of the Italian High Renaissance.
  * **[Rasputin, Father Grigori](http://en.wikipedia.org/wiki/Father_Grigori_Rasputin)** _(1872-1916)_ \- Russian mystic having great influence over the wife of Tsar Nicholas II's wife Alexandra, ultimately leading to the downfall of the Romanov dynasty and the Bolshevik Revolution.
  * **[Rationalism](http://en.wikipedia.org/wiki/Rationalism)** \- The philosophical idea that truth is derived from reason and analysis, instead of from faith and religious dogma (Renaissance).
  * **[Realism](http://en.wikipedia.org/wiki/Realism)** _(Renaissance)_ \- Depiction of images which is realistic instead of idealistic.
  * **[Realism](http://en.wikipedia.org/wiki/Realism)** _(19th century)_ \- Artistic movement originating in France as a reaction to _Romanticism_; depiction of commonplace instead of idealized themes.
  * **[Realpolitick](http://en.wikipedia.org/wiki/Realpolitick)** _(Politics of reality)_ \- A term coined by Otto von Bismarck which refers to foreign politics based on practical concerns rather than theory or ethics.
  * **[Reconquista](http://en.wikipedia.org/wiki/Reconquista)** \- The Spanish "reconquering" resulting in the removal of Jews and Muslims from the state, and a unification of Spain under Catholicism.
  * **[Red Guards](http://en.wikipedia.org/wiki/Red_Guards)** _(Russia)_ \- The main strike force of the Bolsheviks, created in March 1917.
  * **[Reichstag](http://en.wikipedia.org/wiki/Reichstag)** _(Imperial Diet)_ \- Between 1871 and 1945, the German parliament.
  * **[Rembrandt van Rijn](http://en.wikipedia.org/wiki/Rembrandt_van_Rijn)** _(1606-1669)_ \- A baroque painter and engraver of the Netherlands during the Dutch Golden Age.
  * **[Renaissance](http://en.wikipedia.org/wiki/Renaissance)** \- A cultural movement started in Italy in the 14th century marked by a rebirth of classic art and scientific learning of ancient Greece and Rome.
  * **[René Descartes](http://en.wikipedia.org/wiki/Ren%C3%A9_Descartes)** _(1596-1650)_ \- Mathematician (inventor of the Cartesian coordinate system) and rationalist philosopher ("I think, therefore I am").
  * **[Risorgimento](http://en.wikipedia.org/wiki/Risorgimento)** _(resurrection)_ \- The gradual unification of Italy, culminating in the declaration of the Kingdom of Italy (1861) and the conquest of Rome (1870).
  * **[Rite of Spring](http://en.wikipedia.org/wiki/Rite_of_Spring)** \- A ballet composed by Russian Igor Stravinsky; controversy due to its subject, pagan sacrifice.
  * **[Robert Owen](http://en.wikipedia.org/wiki/Robert_Owen)** _(1771-1858)_ \- Welsh social reformer, father of the cooperative movement.
  * **[Robespierre](http://en.wikipedia.org/wiki/Robespierre)** _(1758-1794)_ \- One of the best known leaders of the French Revolutions; known as "the Incorruptible"; leader of the Committee of Public Safety.
  * **[Romanticism](http://en.wikipedia.org/wiki/Romanticism)** _(18th century)_ \- Artistic and intellectual movement, after the Enlightenment period, stressing strong emotion, imagination, freedom from classical correctness in art forms, and rebellion against social conventions.
  * **[Rotten borough](http://en.wikipedia.org/wiki/Rotten_borough)** \- A small British parliamentary constituency which could be 'controlled' by a patron and used to exercise undue and unrepresentative influence within parliament.
  * **[Roundheads](http://en.wikipedia.org/wiki/Roundheads)** \- Puritans under Oliver Cromwell in the English Civil War; named after the round helmets they wore; also known as _Parliamentarians_.
  * **[Royal Society of London](http://en.wikipedia.org/wiki/Royal_Society_of_London)** _(1660)_ \- An institution of learning committed to open content, the free availability and flow of information.
  * **[Royalists](http://en.wikipedia.org/wiki/Royalists)** \- An adherent of a monarch or royal family; sometimes refers to _Cavaliers_ _(English Civil War)_.
  * **[Russian Civil War](http://en.wikipedia.org/wiki/Russian_Civil_War)** _(1918-1920)_ \- Conflict between communists and monarchists, after the Russian Revolution of 1917.

## S

  * **[Saint Bartholomew's Day Massacre](http://en.wikipedia.org/wiki/Saint_Bartholomew%27s_Day_Massacre)** _(1572)_ \- A wave of Catholic mob violence against the Huguenots, lasting for several months.
  * **[Sans-culottes](http://en.wikipedia.org/wiki/Sans-culottes)** _(without knee-breeches)_ \- Term referring to the ill-clad and ill-equipped volunteers of the French Revolutionary army.
  * **[Schleswig-Holstein](http://en.wikipedia.org/wiki/Schleswig-Holstein)** \- A region of northern Germany which Denmark surrendered to Otto von Bismarck in 1865.
  * **[Schutzstaffel (SS)](http://en.wikipedia.org/wiki/Schutzstaffel)** _(Protective Squadron)_ \- A large paramilitary organization that belonged to the Nazi party.
  * **[Secularism](http://en.wikipedia.org/wiki/Secularism)** \- Concern with worldly ideas, as science and rationalism, instead of religion and superstition _(Renaissance)_.
  * **[Self-denying Ordinance](http://en.wikipedia.org/wiki/Self-denying_Ordinance)** _(1645)_ \- A Bill passed by English Parliament, depriving members of Parliament from holding command in the army or navy, to promote professionalism in the armed forces; aided creation of the New Model Army _(English Civil War)_.
  * **[Sepoy mutiny](http://en.wikipedia.org/wiki/Sepoy_mutiny)** _(1857–1858)_ \- Rebellions against British colonial rule in India; caused the end of the British East India Company's rule in India, and led to a century of direct rule of India by Britain.
  * **[Sigmund Freud](http://en.wikipedia.org/wiki/Sigmund_Freud)** _(1856-1939)_ \- Austrian neurologist credited for psychoanalysis and the theory of unconscious motives.
  * **[Simony](http://en.wikipedia.org/wiki/Simony)** \- The ecclesiastical crime of paying for offices or positions in the hierarchy of a church _(Protestant Reformation)_.
  * **[Sir Richard Arkwright](http://en.wikipedia.org/wiki/Sir_Richard_Arkwright)** _(1732-1792)_ \- English inventor of the Water Frame, a water-powered cotton mill.
  * **[Sir Thomas More](http://en.wikipedia.org/wiki/Sir_Thomas_More)** \- Author of _Utopia_, a novel which extols the hypothetical ideal society, by the Northern Renaissance ideals of humanism and Christianity.
  * **[Social Darwinism](http://en.wikipedia.org/wiki/Social_Darwinism)** \- The application of Darwinism to the study of human society, specifically a theory in sociology that individuals or groups achieve advantage over others as the result of genetic or biological superiority.
  * **[Society of Jesus](http://en.wikipedia.org/wiki/Society_of_Jesus)** \- A Roman Catholic Order founded in 1534 by Ignatius of Loyola _(Protestant Reformation)_.
  * **[Spanish Civil War](http://en.wikipedia.org/wiki/Spanish_Civil_War)** _(1936–1939)_ \- The result of the complex political and even cultural rift in Spain.
  * **[Sphere of Influence](http://en.wikipedia.org/wiki/Sphere_of_Influence)** \- A territorial area over which political or economic influence is wielded by one nation.
  * **[Stalin, Joseph](http://en.wikipedia.org/wiki/Joseph_Stalin)** _(1879-1953)_ \- Bolshevik revolutionary who ruled the Soviet Union after the death of Lenin; responsible for the Great Purge and five year plans.
  * **[States-General](http://en.wikipedia.org/wiki/States-General)** \- _(see Estates-General)_.
  * **[Subsistence](http://en.wikipedia.org/wiki/Subsistence)** \- Production of food only in quantities needed for survival, without the creation of surpluses.
  * **[Sudetenland](http://en.wikipedia.org/wiki/Sudetenland)** \- The region inhabited mostly by Sudeten Germans in various places of Bohemia, Moravia, and Silesia; became part of Czechoslovakia in 1945.
  * **[Suez Canal](http://en.wikipedia.org/wiki/Suez_Canal)** _(constructed 1854-1869)_ \- A canal in Egypt between the Mediterranean and Red Seas, allowing access between Europe and Asia.

## T

  * **[Tabula rasa](http://en.wikipedia.org/wiki/Tabula_rasa)** (Blank slate) - John Locke's idea that humans are born with no innate ideas, and that identity is defined by events after birth.
  * **[Taille](http://en.wikipedia.org/wiki/Taille)** \- A direct land tax on the French peasantry in ancien régime France.
  * **[T.E. Lawrence](http://en.wikipedia.org/wiki/T.E._Lawrence)** _(1888-1935)_ \- also known as Lawrence of Arabia; a British liaison officer during the Arab Revolt of 1916–1918.
  * **[Tennis Court Oath](http://en.wikipedia.org/wiki/Tennis_Court_Oath)** _(1789)_ \- A pledge by France's Third Estate to continue to meet until a constitution had been written; may be considered the birth of the French Revolution.
  * **[Thirty Years' War](http://en.wikipedia.org/wiki/Thirty_Years%27_War)** _(1618-1648)_ \- Conflict principally taking place in the Holy Roman Empire involving a religious conflict between Protestants and Catholics, fought for the self-preservation of the Hapsburg dynasty.
  * **[Thomas Hobbes](http://en.wikipedia.org/wiki/Thomas_Hobbes)** _(1588-1679)_ \- English political philosopher advocating an authoritarian version of the social contract (_absolutism_).
  * **[Thomas Malthus](http://en.wikipedia.org/wiki/Thomas_Malthus)** _(1766–1834)_ \- English economist who, in _An Essay on the Principle of Population_, predicted that increasing population growth would cause a massive food shortage.
  * **[Thomas Newcomen](http://en.wikipedia.org/wiki/Thomas_Newcomen)** _(1664-1729)_ \- English inventor of the Newcomen engine, a steam engine for pumping water out of mines.
  * **[Tory](http://en.wikipedia.org/wiki/Tory)** \- A member of the British Conservative party.
  * **[Totalitarianism](http://en.wikipedia.org/wiki/Totalitarianism)** \- A form of government in which the political authority exercises absolute and centralized control over all aspects of life.
  * **[Treaties of Tilsit](http://en.wikipedia.org/wiki/Treaties_of_Tilsit)** _(1807)_ \- Treaties ending war between Russia and France; began a powerful secret alliance between the two countries.
  * **[Treaty of Brest-Litovsk](http://en.wikipedia.org/wiki/Treaty_of_Brest-Litovsk)** _(1918)_ \- Peace treaty which marked Russia's exit from World War I.
  * **[Treaty of Versailles](http://en.wikipedia.org/wiki/Treaty_of_Versailles)** _(1919)_ \- Peace treaty created by the Paris Peace Conference; which officially ended World War I.
  * **[Trotsky, Leon](http://en.wikipedia.org/wiki/Trotsky,_Leon)** _(1879-1940)_ \- Bolshevik revolutionary, early Soviet Union politician, and founding member of the Politburo; expelled from the Communist Party after a power struggle with Stalin.
  * **[Truman Doctrine](http://en.wikipedia.org/wiki/Truman_Doctrine)** _(1947)_ \- Harry S. Truman's statement initiating the U.S. policy of containment toward Russia.

## U

  * **[Ulrich Zwingli](http://en.wikipedia.org/wiki/Ulrich_Zwingli)** _(1484-1531)_ \- Founder of Zwinglianism in the Zürich, Switzerland; leader of the Swiss Reformation _(Protestant Reformation)_.
  * **[Usury](http://en.wikipedia.org/wiki/Usury)** \- Charging a fee generally in the form of interest on loans; forbidden by most religious doctrines _(Protestant Reformation)_. Usury was forbidden in the Catholic Church, so Jews became wealthy, successful merchants
  * **[Utopian Socialism](http://en.wikipedia.org/wiki/Utopian_Socialism)** \- The socialist ideals of creating a perfect communist society. Writers such as Charles Fourier, Henri de Saint-Simon and Robert Owen were prominent Utopian Socialists.

## V

  * **[Vassal](http://en.wikipedia.org/wiki/Vassal)** \- The tenant of land who receives a fief in exchange for knightly service _(feudalism)_.
  * **[Vernacular](http://en.wikipedia.org/wiki/Vernacular)** \- The standard, native language of a region (generally as opposed to Latin).
  * **[Virtu](http://en.wikipedia.org/wiki/Virtu)** \- Humanist value of the Renaissance emphasizing a nobility of spirit and action, stressing an individual's dignity and worth; replaced the chivalrous Medieval value of humility.
  * **[Voltaire](http://en.wikipedia.org/wiki/Voltaire)** _(1694-1778)_ \- French deist philosopher, author of _Candide_, which sarcastically attacks religious and philosophical optimism _(Enlightenment)_.

## W

  * **[War of the Three Henrys](http://en.wikipedia.org/wiki/War_of_the_Three_Henrys)** _(1584-1598)_ \- A series of three civil wars in France, also known as the Huguenot Wars; fought between the Catholic League and the Huguenots.
  * **[Wars of the Roses](http://en.wikipedia.org/wiki/Wars_of_the_Roses)** _(1455-1487)_ \- Intermittent civil war fought over the throne of England between the House of Lancaster and the House of York.
  * **[Warsaw Pact](http://en.wikipedia.org/wiki/Warsaw_Pact)** _(1455-1487)_ \- An organization of Central and Eastern European Communist states. It was established in 1955 to counter the threat from the NATO alliance.
  * **[Weimar Republic](http://en.wikipedia.org/wiki/Weimar_Republic)** _(1919-1933)_ \- The first attempt at liberal democracy in Germany; named after the city of Weimar, where the new constitution was written.
  * **[Western Schism](http://en.wikipedia.org/wiki/Western_Schism)** _(1378)_ \- Split within the Catholic Church at the end of the Avignon Papacy.
  * **[Whig](http://en.wikipedia.org/wiki/Whig)** \- A member of the British Liberal Democrat party.
  * **[White-collar](http://en.wikipedia.org/wiki/White-collar)** \- Class of labor performing less "laborious" tasks and are more highly paid than blue-collar manual workers.
  * **[White Man’s Burden](http://en.wikipedia.org/wiki/White_Man%E2%80%99s_Burden)** \- The concept of the white race's obligation to govern and impart it beliefs upon nonwhite people; often used to justify European colonialism.
  * **[William and Mary](http://en.wikipedia.org/wiki/William_and_Mary)** \- King William III and Queen Mary II; jointly ruled England and Scotland after the Glorious Revolution of 1688; they replaced the absolutist King James II and ruled as constitutional monarchs.
  * **[William Gladstone](http://en.wikipedia.org/wiki/William_Gladstone)** _(1809-1898)_ \- A British Liberal politician and Prime Minister (1868-1874, 1880-1885, 1886 and 1892-1894), a notable political reformer, known for his populist speeches, and was for many years the main political rival of Benjamin Disraeli.

## X

## Y

  * **[Yekaterinburg](http://en.wikipedia.org/wiki/Yekaterinburg)** \- The location at which the family of Tsar Nicholas II was murdered by Bolsheviks.

## Z

  * **[Zimmermann Telegram](http://en.wikipedia.org/wiki/Zimmermann_Telegram)** _(1917)_ \- Message sent by German Arthur Zimmermann, proposing that Mexico ally with Germany against the United States; hastened U.S. entry into World War I.

  


# **A Brief Outline of European History**

## Introduction

The purpose of this page is to give you a brief outline of the key events and happenings covered throughout this book. Events that are specifically outlined in the text are linked to the proper place to allow you to quickly research them. Broader events and occurrences are not linked to specific sections since they are general conclusions that should be reached by having a background in European history that would come from reading the text.

This segment of the wikibook would serve as an excellent review or study guide for students enrolled in Advanced Placement or International Baccalaureate European History courses, as well as students enrolled in introductory European History courses at the collegiate level. Readers could use this page to ensure that they know all of the major occurrences of each era, and can then review specific areas in which they may be weak by simply clicking the link.

## 1400s, Age of Renaissance

  * [Feudalism and Serfdom](http://en.wikibooks.org/wiki/European_History/A_Background_of_European_History#Society_in_the_Middle_Ages)
  * Aristocracy is the dominant class
  * [Invention of Printing Press: 1450](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#The_Birth_of_Humanism)
  * Italy dominant in trade and culture
  * HRE/Austria dominant politically/militarily
  * [Growth of town life from manors](http://en.wikibooks.org/wiki/European_History/Chapter_1#The_Rise_of_Towns_and_Commerce)
  * [Renaissance: 1350-1550](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe)
    * [Da Vinci](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#Leonardo_da_Vinci)
    * [Michelangelo](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#Michelangelo)
    * [Petrarch and Boccacio, Italian Humanists](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#Italian_Humanists)
    * [Diaz and da Gama, Portuguese Explorers](http://en.wikibooks.org/wiki/European_History/Chapter_3#Important_Portuguese_Explorers)
  * [Problems with Catholic Church](http://en.wikibooks.org/wiki/European_History/Chapter_1#Challenges_to_Spiritual_Authority_at_the_End_of_the_Middle_Ages)
    * [Great Schism](http://en.wikibooks.org/wiki/European_History/Chapter_1#The_Great_Schism)
    * [Simony and Nepotism](http://en.wikibooks.org/wiki/European_History/Chapter_1#Corruption_in_the_Church)
    * [Corruption of Clergy](http://en.wikibooks.org/wiki/European_History/Chapter_1#Corruption_in_the_Church)
    * [Sale of Indulgences](http://en.wikibooks.org/wiki/European_History/Chapter_1#Corruption_in_the_Church)
  * [Plague](http://en.wikibooks.org/wiki/European_History/Chapter_1#The_Black_Death)
  * [Humanism](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#The_Birth_of_Humanism)
  * [Rise of New Monarchies](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#The_New_Monarchies)
    * [Ferdinand and Isabella of Spain](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#Spain)
    * [Henry VII of England](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#England)
    * [Charles XI of France](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#France)
  * [Southern vs. Northern Humanism](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#Northern_Renaissance_vs._Southern_Renaissance) \- Northern had more education, science, Christianity; Southern had Civic Humanism, advocating involvement in politics, Greco-Roman secular thought
  * [Early Heretics](http://en.wikibooks.org/wiki/European_History/Chapter_1#Heretical_Movements_and_People): Jan Huss and Wycliffe
  * [Spain's 1492 Reconquista](http://en.wikibooks.org/wiki/European_History/Challenges_to_Spiritual_Authority#The_Spanish_Reconquista_of_1492): pushed out Jews and Muslims under Ferdinand and Isabella

## 1500s, Age of Reformation

  * [Protestant Reformation 1517](http://en.wikibooks.org/wiki/European_History/Challenges_to_Spiritual_Authority#Causes_of_the_Protestant_Reformation)
  * Austria slowly loses dominance to Spain
  * [Age of Exploration](http://en.wikibooks.org/wiki/European_History/Chapter_3), Spain, Portugal and other European Powers
  * [New Monarchs](http://en.wikibooks.org/wiki/European_History/Renaissance_Europe#The_New_Monarchies) prominent
  * [Church of England becomes Anglican under Henry VIII](http://en.wikibooks.org/wiki/European_History/Chapter_4#Religious_Qualms_in_England)
  * [Martin Luther and Lutheranism](http://en.wikibooks.org/wiki/European_History/Chapter_4#Martin_Luther)
  * Charles V of HRE/Austria
  * Philip II of Spain
  * [Counter-Reformation](http://en.wikibooks.org/wiki/European_History/Chapter_4#The_Counter-Reformation) and [Council of Trent](http://en.wikibooks.org/wiki/European_History/Chapter_4#Council_of_Trent.2C_1545-1563)
  * [Spanish Armada 1588](http://en.wikibooks.org/wiki/European_History/Chapter_5#The_Spanish_Armada)
  * [Dutch vs. Spanish](http://en.wikibooks.org/wiki/European_History/Chapter_5#Spanish_Conflict_with_the_Dutch) Philip II vs. William of Orange, or "William the Silent"
  * [French Civil War](http://en.wikibooks.org/wiki/European_History/Chapter_5#French_War_of_Religion): Valois vs. Guise vs. Bourbon - leads to Bourbon line in France
  * [Edict of Nantes 1598](http://en.wikibooks.org/wiki/European_History/Chapter_5#French_War_of_Religion)
  * [Peace of Augsburg ends Shmalkaldic War](http://en.wikibooks.org/wiki/European_History/Chapter_5#Peace_of_Augsburg) \- princes can choose between Lutheranism and Catholicism
  * [Elizabeth and "Bloody" Mary Tudor](http://en.wikibooks.org/wiki/European_History/Chapter_4#Religious_Qualms_in_England)
  * Decline of Italy
  * [Calvinism](http://en.wikibooks.org/wiki/European_History/Chapter_4#John_Calvin.2C_Calvinism), [Zwingli](http://en.wikibooks.org/wiki/European_History/Chapter_4#Huldrych_Zwingli.2C_Zwinglianism)

## 1600s, Age of Religious Wars and Absolutism

  * [Thirty Years' War](http://en.wikibooks.org/wiki/European_History/Chapter_5#The_Thirty_Years.27_War), 1618-1648
  * [English Civil War](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#English_Civil_War_1642-1649), 1642-1649
  * [Age of Science](http://en.wikibooks.org/wiki/European_History/Chapter_7#The_Scientific_Revolution)
  * [Age of Absolutism](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe), epitomized by [Louis XIV](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#Louis_XIV.2C_Model_of_Absolutism), "Sun King"
  * [Stuart Dynasty in England](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#Stuart_England_1603-1714), starting with James I and resulting in Glorious Revolution
  * [Peter the Great of Russia](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#Peter_Romanov_the_Great_of_Russia_1689-1723)
  * [Rise of Prussia](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#The_Rise_of_Prussia)
  * [Gustavus Adolphus of Sweden](http://en.wikibooks.org/wiki/European_History/Chapter_5#Swedish_Phase_.281630-1635.29)
  * [Peace of Westphalia](http://en.wikibooks.org/wiki/European_History/Chapter_5#Peace_of_Westphalia_.281648.29), 1648 - ends Thirty Years' War
  * [Oliver Cromwell's reign in England](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#The_Governments_of_Cromwell)
  * [Cardinal Richelieu with Louis XIII](http://en.wikibooks.org/wiki/European_History/Chapter_5#The_Thirty_Years.27_War)
  * [End of Counter-Reformation](http://en.wikibooks.org/wiki/European_History/Chapter_5#Peace_of_Westphalia_.281648.29)
  * [Baroque Art](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#Baroque_Art)
  * [Charles II, War of Spanish Succession](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#The_War_of_Spanish_Succession) result in end of Spanish rule by Hapsburg dynasty
  * Strongest Nation: France
  * English and [Dutch](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#The_Glorious_Dutch_Republic) on the Rise

## 1700s, Age of Enlightenment

  * [Enlightened Despotism](http://en.wikibooks.org/wiki/European_History/Chapter_7#Enlightened_Despotism)
    * [Catherine the Great](http://en.wikibooks.org/wiki/European_History/Chapter_7#Catherine_the_Great_1762-1796)
    * [Joseph II](http://en.wikibooks.org/wiki/European_History/Chapter_7#Joseph_II_Hapsburg_1765-1790)
    * [Frederick the Great](http://en.wikibooks.org/wiki/European_History/Chapter_7#Frederick_II_the_Great_1740-1786)
  * [War of Spanish Succession](http://en.wikibooks.org/wiki/European_History/Absolutism_in_Europe#The_War_of_Spanish_Succession), ending in Peace of Utrecht, 1701-1713
  * [War of Austrian Succession](http://en.wikibooks.org/wiki/European_History/Chapter_7#War_of_Austrian_Succession), 1740-1748
  * [Diplomatic Revolution](http://en.wikibooks.org/wiki/European_History/Revolution_in_France#Diplomatic_Revolution) \- Austria befriends France, Louis XVI and Marie Antoinette subsequently marry, 1748-1756
  * [French Revolution](http://en.wikibooks.org/wiki/European_History/Chapter_9), 1789-1799
  * [Enlightenment Philosophes](http://en.wikibooks.org/wiki/European_History/Chapter_7#Philosophes): Voltaire, Rousseau, Adam Smith
  * [Start of Industrial Revolution in Britain](http://en.wikibooks.org/wiki/European_History/Chapter_10#Industrial_Revolution), 1750

## 1800s, Age of Revolutions

  * Britain emerges as dominant nation
  * [Napoleon Bonaparte](http://en.wikibooks.org/wiki/European_History/Napoleon_Bonaparte_and_the_Rise_of_Nationalism#The_Consulate_1799-1804)'s [Consulate](http://en.wikibooks.org/wiki/European_History/Napoleon_Bonaparte_and_the_Rise_of_Nationalism#The_Consulate_1799-1804) and [Directory](http://en.wikibooks.org/wiki/European_History/Napoleon_Bonaparte_and_the_Rise_of_Nationalism#The_Empire_1804-1814)
  * [French Bourbon Restoration](http://en.wikibooks.org/wiki/European_History/Napoleon_Bonaparte_and_the_Rise_of_Nationalism#The_Restoration_of_Louis_XVIII_Bourbon)
  * [Rise of Nationalism](http://en.wikibooks.org/wiki/European_History/Napoleon_Bonaparte_and_the_Rise_of_Nationalism#A_New_Nationalism)
  * [French Revolution of 1830](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#French_Revolution_of_1830), as a result of the July Ordinances and ending with the July Monarchy of Louis Philippe
  * [1848 Revolution in France](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#1848_Revolution_in_France) results in [President Louis Napoleon Bonaparte](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#The_Second_Republic_and_President_Louis_Napoleon_Bonaparte) and [Emperor Napoleon III](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#The_Second_Empire_and_Emperor_Napoleon_III)
  * [1848 Revolutions Across Europe](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#1848_Revolutions_in_the_Rest_of_Europe) suppressed by the Old Regime and the Congress System
  * [Rise of New Ideologies](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#New_Ideologies_of_the_1800s) such as capitalism, republicanism, liberalism, conservatism, socialism, and communism
  * [Rise of Realpolitik](http://en.wikibooks.org/wiki/European_History/Age_Of_Revolutions#The_Era_of_Realpolitik)
  * [Italian](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Italian_Unification) and [German](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#German_Unification) Unification
  * [Revolt of the Paris Commune](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Revolt_of_the_Paris_Commune_.28March-May_1871.29)
  * [Darwin's Theory of Evolution](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Darwin.27s_Theory_of_Evolution)
  * [Rise of Imperialism](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Imperialism)
  * [Russia Struggling to Westernize](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Russia_in_the_1800s)
  * [Crimean War](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Crimean_War)
  * [Victorian Age](http://en.wikibooks.org/wiki/European_History/European_Imperialism_and_Nationalism#Victorian_Age)

## 1900s, The Modern Era

  * United States and Soviet Union compete for supremacy
  * [Modern Art](http://en.wikibooks.org/wiki/European_History/World_War_I#Modern_Art)
  * [World War I](http://en.wikibooks.org/wiki/European_History/World_War_I#Precipitating_Factors_of_World_War_I) pits the [Triple Entente](http://en.wikibooks.org/wiki/European_History/World_War_I#New_Alliances_for_the_War) against the [Triple Alliance](http://en.wikibooks.org/wiki/European_History/World_War_I#New_Alliances_for_the_War)
  * [Russian Revolution](http://en.wikibooks.org/wiki/European_History/World_War_I#The_Russian_Revolution)
  * [Victory in Europe Day](http://en.wikibooks.org/wiki/European_History/World_War_I#The_War_Finally_Comes_to_an_End) occurs, as the armistice is signed at eleven o'clock on the eleventh day of the eleventh month of 1918
  * [The Treaty of Versailles](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Treaty_of_Versailles_of_1919) is signed
  * [Weimar Republic](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#Problems_of_Germany_After_World_War_I) is undermined by a general feeling among German citizens that they were "stabbed in the back"
  * [Rise of Pacifism and Isolation in the 1920s](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Rise_of_Pacifism_and_Isolation_in_the_1920s)
  * [Challenges to Democracy in the 1930s](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Rise_of_Pacifism_and_Isolation_in_the_1920s)
  * [Fascism in Germany and Italy](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#Fascism_in_Germany_and_Italy)
  * [Spanish Civil War, 1936-1939](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Spanish_Civil_War_1936-1939)
  * [World War II](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#Again_to_War.2C_the_Outbreak_of_World_War_II)
    * [Yalta](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Yalta_Conference) and [Potsdam](http://en.wikibooks.org/wiki/European_History/Europe:_1918_to_1945#The_Potsdam_Conference) Conferences
  * [Rise and Fall of the Soviet Union](http://en.wikibooks.org/wiki/European_History/Europe:_1945_to_Present#The_Soviet_Union_and_Its_Fall)
  * [Modern Britain](http://en.wikibooks.org/wiki/European_History/Europe:_1945_to_Present#Britain) with Attlee, Thatcher, Major and Blair
  * [French Fifth Republic](http://en.wikibooks.org/wiki/European_History/Europe:_1945_to_Present#France) occurs under President Charles DeGaulle, followed by Mitterand and Chirac
  * [Post-War Germany](http://en.wikibooks.org/wiki/European_History/Europe:_1945_to_Present#Germany) is divided and in 1991 reunited
  * [The European Union](http://en.wikibooks.org/wiki/European_History/Europe:_1945_to_Present#The_European_Union) develops into a powerful organization

# **Authors**

Zach B is a sophomore at Unionville High School in Pennsylvania. He has edited much of the text and looks forward to making the book more easy to read and more interesting to the casual learner.

[Alex Botero-Lowry](http://en.wikibooks.org/wiki/User:Alexbl) is a senior in high school in the United States. He is interested in history and especially enjoys European History. He started this project because he could not believe there was not a European History text started, and has greatly enjoyed researching the material so far. He sadly has little time to work on the project but just decided to rearrange things so that he would be more able to work on the project. He tries to keep in contact with anyone who begins to work on or edit the project, so please email him if you become interested.

Payam Doostzadeh is currently a sophomore at Woodbridge High School, in Irvine, California. He is currently attending school on a regular basis while taking on a rigorous academic course and having fun on the weekends with his friends. He is a man with dreams, dreams that cannot be denied. Wisdom is the key to wisdom.

[Josh Harmon](http://en.wikibooks.org/wiki/User:Bodyjar89) is a sophomore at Brea Olinda High School. He wants to contribute as much as he can to this Wiki so that his fellow classmates, as well as future AP European history students will have a resource that can assist them with the course.

[Brandon Johnsonn](http://en.wikibooks.org/wiki/User:Peteturtle) is a pseudonym for this contributor. He is an avid learner and tweaked the chapter on exploration and discovery for easier understanding. He is in late junior high school.

  


# **Bibliography**

The below list represents all of the references used for the writing of this wikibook.

  * Baugh, Albert C. _A History of the English Language_. 2nd ed. New York: Appleton-Century-Crofts, Inc., 1963.
  * Fine Jr., John V.A. _The early medieval Balkans a critical survey from the sixth to the late twelfth century_ University of Michigan Press, 1983.
  * Fine Jr., John V.A. _The late medieval Balkans a critical survey from the late twelfth century to the Ottoman Conquest_. 1st paperback ed. University of Michigan Press 1994.
  * Durant, William. _The Story of Civilization_. 11 vols. New York: Simon and Schuster, 1950.
  * Gardner, Helen. _Art Through the Ages_. 5th ed. New York: Harcourt, Brace & World, Inc., 1970.
  * Gustavson, Carl G. _A Preface to History_. McGraw-Hill, 1955.
  * Heilbroner, Robert L. _The Wordly Philosophers: the Lives, Times, and Ideas of the Great Economic Thinkers_. 4th ed. New York: Simon and Schuster, 1972.
  * Hunt, Lynn, Thomas R. Martin, Barbara H. Rosenwein, R. Po-Chia Hsia, and Bonnie G. Smith. _The Making of the West: People and Cultures_. Vol. B. New York: Bedford/St. Martins, 2001.
  * Hunt, Lynn, Thomas R. Martin, Barbara H. Rosenwein, R. Po-Chia Hsia, and Bonnie G. Smith. _The Making of the West: People and Cultures_. Vol. C. New York: Bedford/St. Martins, 2001.
  * Turner, William. Catholic Encyclopedia. 11 pp. Online. Internet. 29 May 2004
  * Wikipedia: The Free Encyclopedia. 23 Oct. 2005. Wikimedia Foundation. 23 Oct. 2005 <<http://en.wikipedia.org>>.

  


# **GNU Free Documentation License**

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=European_History/Print_version&oldid=2500755](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&oldid=2500755)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [European History](http://en.wikibooks.org/wiki/Category:European_History)

Hidden categories: 

  * [Pages with dead external links](http://en.wikibooks.org/wiki/Category:Pages_with_dead_external_links)
  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=European+History%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=European+History%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:European_History/Print_version)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * [Community portal](/wiki/Wikibooks:Community_Portal)
  * [Bulletin Board](/wiki/Wikibooks:Reading_room/Bulletin_Board)
  * [Help out!](/wiki/Wikibooks:Maintenance)
  * [Policies and guidelines](/wiki/Wikibooks:Policies_and_guidelines)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/European_History/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/European_History/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&oldid=2500755)
    * [Page information](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=European_History%2FPrint_version&id=2500755)

### In other languages

    * [Tiếng Việt](http://vi.wikibooks.org/wiki/L%E1%BB%8Bch_s%E1%BB%AD_ch%C3%A2u_%C3%82u/Th%E1%BB%9Di_k%E1%BB%B3_Ph%E1%BB%A5c_H%C6%B0ng)
    * [Português](http://pt.wikibooks.org/wiki/Hist%C3%B3ria_da_Europa/Crises_da_Idade_M%C3%A9dia)
    * [Español](http://es.wikibooks.org/wiki/Historia_de_Europa/Las_reformas_religiosas)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=European+History%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=European+History%2FPrint+version&oldid=2500755&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=European_History/Print_version&printable=yes)

    * This page was last modified on 12 March 2013, at 18:57.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/European_History/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
