# FHSST Physics/Print version

From Wikibooks, open books for an open world

< [FHSST Physics](http://en.wikibooks.org/wiki/FHSST_Physics)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)The [latest reviewed version](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&stable=1) was [checked](http://en.wikibooks.org/w/index.php?title=Special:Log&type=review&page=FHSST_Physics/Print_version) on _14 July 2012_. There are [template/file changes](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&oldid=2377718&diff=cur&diffonly=0) awaiting review.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [FHSST_Physics](http://en.wikibooks.org/wiki/FHSST_Physics)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=purge&printable=yes) this page.

The Free High School Science Texts:

A Textbook for High School Students Studying Physics.

![FHST Physics smaller.jpg](../../../upload.wikimedia.org/wikipedia/commons/5/50/FHST_Physics_smaller.jpg)

  


# About FHSST[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=1)]

**Free High School Science Texts (FHSST)** is an initiative to develop and distribute free science textbooks to grade 11 - 12 learners in South Africa.

The primary objectives are:

  * To provide a *free* resource, that can be used alone or in conjunction with other education initiatives in South Africa, to all learners and teachers
  * To provide a quality, accurate and interesting text that adheres to the South African school curriculum and the outcomes-based education system
  * To make all developed content available internationally to support Education on the largest possible scale
  * To provide a text that is easy to read and understand even for second-language English speakers
  * To make a difference in South Africa through helping to educate young South Africans

[FHSST Website](http://www.fhsst.org/) \- [FHSST Physics on Wikibooks](http://en.wikibooks.org/wiki/FHSST_Physics)

Other FHSST books on Wikibooks:

  * [FHSST Biology](http://en.wikibooks.org/wiki/FHSST_Biology)
  * [FHSST Computer Literacy](http://en.wikibooks.org/wiki/FHSST_Computer_Literacy)
  * [FHSST Chemistry](http://en.wikibooks.org/w/index.php?title=FHSST_Chemistry&action=edit&redlink=1)

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=2)]

<<[ Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \-- [First Chapter (Units) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Introduction&action=edit&section=T-1)]

Physics is the study of the laws which govern space, structure and time. In a sense we are more qualified to do physics than any other science. From the day we are born we study the things around us in an effort to understand how they work and relate to each other. For example, learning how to catch or throw a ball is a physics undertaking.

In the field of study we refer to as physics we just try to make the things everyone has been studying more clear. We attempt to describe them through simple rules and mathematics. Mathematics is merely the language we use. The best approach to physics is to relate everything you learn to things you have already noticed in your everyday life. Sometimes when you look at things closely, you discover things you had initially overlooked.

It is the continued scrutiny of everything we know about the world around us that leads people to the lifelong study of physics. You can start with asking a simple question like "Why is the sky blue?", which could lead you to [electromagnetic waves](http://en.wikibooks.org/wiki/FHSST_Physics_Waves:Practical_Applications_Electromagnetic), which in turn could lead you to wave particle duality and energy levels of atoms. Before long you are studying quantum mechanics or the structure of the universe.

In the sections that follow notice that we will try to describe how we will communicate the things we are dealing with. This is our language. Once this is done we can begin the adventure of looking more closely at the world we live in.

# Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=3)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# Introduction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Introduction&action=edit&section=T-1)]

Science focuses on studying how things happen in the real world -- things you can see, touch, hear, smell,feel, or imagine such as time.

### Fractions and decimals[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Introduction&action=edit&section=T-2)]

Early society had primitive ideas (s h I t) such as **one, two or many**, then more sophisticated means of counting emerged, mainly relating to trade. Units of weight, volume and money were at first **integer** whole units, often recorded by notches in a tally stick or marks in clay tablets. About 6000 years ago, with the advent of writing came **units** such as the length of the king's arm, together with the idea of **multiples** such as dozens and scores, together with **vulgar fractions** based on halves, quarters and so on., In order to describe these things, it is necessary to carefully **measure** what is observed.

In 1791, following the French Revolution, the decimal system was published based on tens and multiples or fractions of ten. The idea of ten months per year and ten days in a week were quickly dropped, but for most purposes it was revolutionary, with integrated standard weights and measures, such as fixing the second to the length of a pendulum of one metre, and the weight of a kilo of water the same as a litre volume. Since the 1960s the International System of Units ("Système International d'Unités" in French, hence "SI") has been almost universal outside the United States of America, which still prefers a version of the Imperial Roman measuring system which emerged more than 2000 years go and which is complicated and illogical.

Measurements must always be reported with appropriate **units**, which specify what **type of quantity** is being discussed - weight, length or whatever. For science and engineering, the SI system is universal and is not 'owned' by anyone, so it remains constant and free of political manipulation. As recently as 1897 the Indiana State Legislature,attempted (unsuccessfully) to set the value of Pi to 3.2, and during 1940, in Britain, the weight of a pound (lb) loaf of bread was legislated at a lower weight to concerve supplies during food rationing, giving rise to the expression 'baker's dozen' because you needed thirteen new loaves or buns for the same quantity of bread as 12 of the correct weight!

### The Measurement and the Decimal Metric System[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Introduction&action=edit&section=T-3)]

As a simple example of the importance of units, imagine you had to make curtains and needed to buy material. The shop assistant would need to know how much material was required. Telling her you need material 2 wide and 6 long would be insufficient-- you have to specify the **unit** (i.e. 2 _metres_ wide and 6 _metres_ long). Without the unit, the information is incomplete and the shop assistant would have to guess. If you were making curtains for a doll's house the dimensions might be 2 centimetres wide and 6 centimetres long!

It is not just lengths that have units. Any measurement of any physical phenomenon--time, temperature, force, or voltage, just to name a few--has units.

> **Tip**: Many physics problems ask you to determine a specific numeric quantity. When you solve the problem, **do not forget** to specify the **units** of your answer: even if you have the right number, your answer is not correct unless you include the correct units.

### SI Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Introduction&action=edit&section=T-4)]

In the remainder of this class we will be using **SI** units, which are defined in the table below. These seven units are used to measure fundamental quantities, and are the basis of everything we will do, as will be discussed in more detail in the next section.

**Table 1.1:** SI Base Units

Base quantity Name Symbol

length
metre
m

mass
kilogram
kg

time
second
s

electric current
ampere
A

thermodynamic temperature
kelvin
K

countable amount of substance
mole
mol

luminous intensity
candela
cd

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

## SI Units (Système International d'Unités)[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Systems&action=edit&section=T-1)]

These units are internationally agreed upon and form the system we will use. Historically these units are based on the metric system which was developed in France at the time of the French Revolution.

  


**Table 1.1:** SI Base Units

Base quantity Name Symbol

length
metre
m

mass
kilogram
kg

time
second
s

electric current
ampere
A

thermodynamic temperature
kelvin
K

amount of substance
mole
mol

luminous intensity
candela
cd

  
All physical quantities have units which can be built from the 7 base units listed in Table 1.1 (incidentally the choice of these seven was arbitrary). They are called base units because none of them can be expressed as combinations of the other six. This is similar to breaking a language down into a set of sounds from which all words are made. Another way of viewing the base units is like the three primary colours. All other colours can be made from the primary colours but no primary colour can be made by combining the other two primaries.

Unit names are always written with lowercase initials (e.g. the metre). The symbols (or abbreviations) of units are also written with lowercase initials except if they are named after scientists (e.g. the kelvin (K) and the ampere (A)). An exception to this rule is the _litre_, which is abbreviated as either L or l.

To make life convenient, particular combinations of the base units are given special names. This makes working with them easier, but it is always correct to reduce everything to the base units. Table 1.2 lists some examples of combinations of SI base units assigned special names. Do not be concerned if the formulae look unfamiliar at this stage—we will deal with each in detail in the chapters ahead (as well as many others)!

It is very important that you are able to say the units correctly. For instance, the **newton** is another name for the **kilogram metre per second squared** (kg·m·s−2), while the **kilogram metre squared per second squared** (kg·m2·s−2) is called the **joule**.

**Table 1.2:** Some Examples of Combinations of SI Base Units Assigned Special Names

Quantity Formula Unit Expressed 

in

Name of

 
 
Base Units
Combination

Force
_m·a_
kg·m·s−2
N (newton)

Frequency
![{1\\over T} ](../../../upload.wikimedia.org/math/f/5/e/f5e7e8b56a02e3f1c09c164706653d15.png)
s−1
Hz (hertz)

Work & Energy
_F_·_s_
kg·m2·s−2
J (joule)

Electrical Potential
_W_/_A_
kg·m2·s−3·A−1
V (volt)

Another important aspect of dealing with units is the prefixes that they sometimes have (prefixes are words or letters written in front that change the meaning). The kilogram (kg) is a simple example: 1 kg is 1000 g or ![1\\times { 10^3\\mbox{ g}} ](../../../upload.wikimedia.org/math/3/5/1/3515b5119b9eb75bc7e5e9fb920fb82d.png). Grouping the 103 and the g together we can replace the 103 with the prefix k (kilo). Therefore the k takes the place of the 103. Incidentally the kilogram is unique in that it is the only SI base unit containing a prefix.

There are prefixes for many powers of 10 (Table 1.3 lists a large set of these prefixes). This is a larger set than you will need but it serves as a good reference. The case of the prefix symbol is very important. Where a letter features twice in the table, it is written in uppercase for exponents bigger than one and in lowercase for exponents less than one. **Those prefixes listed in boldface should be learnt.**

  


**Table 1.3:** Unit Prefixes

Prefix Symbol Exponent Prefix Symbol Exponent

yotta
Y
1024
yocto
y
10-24

zetta
Z
1021
zepto
z
10-21

exa
E
1018
atto
a
10-18

peta
P
1015
femto
f
10-15

tera
T
1012
pico
p
10-12

**giga**
G
109
**nano**
n
10-9

**mega**
M
106
**micro**
µ
10-6

**kilo**
k
103
**milli**
m
10-3

**hecto**
h
102
**centi**
c
10-2

**deca**
da
101
**deci**
d
10-1

As another example of the use of prefixes,

![1\\times10^{-3} \\mbox{ g} ](../../../upload.wikimedia.org/math/a/6/5/a65a8515f038656e4a3f8578df4b6d59.png) can be written as 1 mg (1 milligram).

## The Other Systems of Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Systems&action=edit&section=T-2)]

The remaining sets of units, although not used by us, are also internationally recognised and still in use by others. We will mention them briefly for interest only.

### CGS and MKS Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Systems&action=edit&section=T-3)]

In this system the basic measure of length is the centimetre, weight is in grams and time is in seconds. Later the metre is replaced the centimetre and the kilogram replaced the gram. The Second has remained the basic unit of time throughout. This is a simple change but it means that all units derived from these two are changed. For example, the units of force and work are different. These units are used most often in astrophysics and atomic physics.

When electromagnetism comes into play, there are three CGS systems, adapted to the fundamental equations each theory views as basic: The electric CGS, the magnetic CGS, and the combined Gaussian. The latter has the advantage that corresponding electric and magnetic phenomena have the same units and related equations.

It has the additional advantage that there is only one natural constant in the equations, the _speed of light_, where the SI system has two. And experience, i.e. measurements, has shown that there is only one constant. So the Gaussion system is a bit more 'right'.

These unit systems also show that the choice of base units is arbitrary. In SI, there is a base unit for the current, the ampere [A], derived from it the unit of charge, coulomb [C]. The Gaussian system does without a dedicated unit for electricity. It simply defines the factor in the law of force between two charged particles as one - and lo, the unit C disappears; the esu (electrostatic unit) can be derived from g, cm, s - the C cannot, it is As, and A is basic.

[The same could be done with mass, leading to kg vanishing, just by setting the gravitational constant in Newton's law to one. kg would then be replaced by a combination of m and s.

### Imperial Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Systems&action=edit&section=T-4)]

These units (as their name suggests) stem from the days when the Roman Empire decided measures. Some of these were later altered by local rulers. As a result, different countries used different base units for each quantity (except for time). The British abandoned the Roman measurement and money system in 1972. There were 12 pennies or denaries in a shilling or solidus, and 20 shillings in a pound or libra ergo there were 240 'old pennies' and are now 100 new pennies in the pound sterling or GBP - which large unit was unchanged. The British also used both avoirdupois and troy weight and other capricious local measures, but following its integration in the EU, Britain now officially use decimal SI units for all measurements.

Although the British once used an imperial metric system similar to that in use in the US, it is important to know that there are some differences, because the colonists made certain incorrect assumptions, such as that because there were 16 ounces in a pound weight, there were also 16 fluid ounces in a pint of liquid, when the Romans and British defined 20 fl oz. This matters, because during World War II, for example, great fraud was perpetrated by the British selling the smaller American gallons (8 pints) at the price for the larger British measure!

The decimal metric system was invented in France in 1791, following the French revolution. This later became the MKS (Meter/Kilogram/Second) system and is now the System International (SI) system, which is still close that early French system. Using different units in different places would make effective scientific communication very difficult. That is why the scientific community has adopted SI units as its internationally agreed upon standard. Therefore the SI is overwhelmingly predominant for nearly all international scientific and technical use.

### Natural Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Systems&action=edit&section=T-5)]

This is the most sophisticated choice of units. Here the most fundamental discovered quantities (such as the speed of light) are set equal to 1. The argument for this choice is that all other quantities should be built from these fundamental units. This system of units is used in high energy physics and quantum mechanics.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# The Importance of Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Importance&action=edit&section=T-1)]

Without units much of our work as scientists would be meaningless. We need to express our thoughts clearly and units give meaning to the numbers we calculate. Depending on which units we use, the numbers are different (e.g. 3.8 m and 3800 mm actually represent the same length). Units are an essential part of the language we use. Units must be specified when expressing physical quantities. In the case of the curtain example at the beginning of the chapter, the result of a misunderstanding would simply have been an incorrect amount of material cut. However, sometimes such misunderstandings have catastrophic results. Here is an extract from a story on CNN's website:

> **NASA: Human error caused loss of Mars orbiter November 10, 1999**  
WASHINGTON (AP) -- Failure to convert English measures to metric values caused the loss of the Mars Climate Orbiter, a spacecraft that smashed into the planet instead of reaching a safe orbit, a NASA investigation concluded Wednesday. The Mars Climate Orbiter, a key craft in the space agency's exploration of the red planet, vanished after a rocket firing September 23 that was supposed to put the spacecraft on orbit around Mars. An investigation board concluded that NASA engineers failed to convert English measures of rocket thrusts to newton, a metric system measuring rocket force. One English pound of force equals 4.45 newtons. A small difference between the two values caused the spacecraft to approach Mars at too low an altitude and the craft is thought to have smashed into the planet's atmosphere and was destroyed. The spacecraft was to be a key part of the exploration of the planet. From its station about the red planet, the Mars Climate Orbiter was to relay signals from the Mars Polar Lander, which is scheduled to touch down on Mars next month. ``The root cause of the loss of the spacecraft was a failed translation of English units into metric units and a segment of ground-based, navigation-related mission software," said Arthus Stephenson, chairman of the investigation board. Reported by CNN at <http://www.cnn.com/TECH/space/9911/10/orbiter.02/>

This story illustrates the importance of being aware that different systems of units exist. Furthermore, we must be able to convert between systems of units!

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# Choice of Units[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Choice&action=edit&section=T-1)]

There are no wrong units to use, but a clever choice of units can make a problem look simpler. The vast range of problems makes it impossible to use a single set of units for everything without making some problems look much more complicated than they should. We can't easily compare the mass of the sun and the mass of an electron, for instance. This is why astrophysicists and atomic physicists use different systems of units.

We won't ask you to choose between different unit systems. For your present purposes the SI system is perfectly sufficient. In some cases you may come across quantities expressed in units other than the standard SI units. You will then need to convert these quantities into the correct SI units. This is explained in the next section.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# How to Change Units-- the "Multiply by 1" Technique[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/How_to_Change&action=edit&section=T-1)]

Also known as fractional dimensional analysis, the technique involves multiplying a labeled quantity by a conversion ratio, or knowledge of conversion factors. First, a relationship between the two units that you wish to convert between must be found. Here's a simple example: converting millimetres (mm) to metres (m)-- the SI unit of length. We know that there are 1000 mm in 1 m which we can write as

![\\begin{matrix}1000 \\mbox{ mm} = 1 \\mbox{ m}\\end{matrix}](../../../upload.wikimedia.org/math/b/7/4/b7495a9d1cc3624bcd37cf9763be3afc.png)

Now multiplying both sides by

![\\frac{1}{1000 \\mbox{ mm}}](../../../upload.wikimedia.org/math/a/4/6/a4683a3d87cda99cbe7f5445ae34935f.png)

we get

![\\begin{matrix}\\frac{1}{1000 mm}1000 mm=\\frac{1}{1000 mm}1m,\\end{matrix}](../../../upload.wikimedia.org/math/0/9/b/09b4248c38af12a9ea685c8ac1248f12.png)

  
which simply gives us

![\\begin{matrix}1=\\frac{1m}{1000 mm}.\\end{matrix}](../../../upload.wikimedia.org/math/8/1/7/81720c140cec51c70d6c54fdf817abf9.png)

This is the conversion ratio from millimetres to metres. You can derive any conversion ratio in this way from a known relationship between two units. Let's use the conversion ratio we have just derived in an example:

  
**Question**: Express 3800 _mm_ in metres.

  
**Answer**:

  


![\\begin{matrix}3800 mm & = & 3800 mm \\times 1\\\\& = & 3800 mm \\times \\frac{1m}{1000 mm}\\\\& = & 3.8 m\\\\\\end{matrix}](../../../upload.wikimedia.org/math/f/2/3/f23f4cec783c6f69ea59176caaaec594.png)

  
Note that we wrote every unit in each step of the calculation. By writing them in and cancelling them properly, we can check that we have the right units when we are finished. We started with _mm_ and multiplied by ![\\frac{m}{mm}](../../../upload.wikimedia.org/math/9/4/b/94bf2754ca9c9ff21e6e0668973c6d93.png)

This cancelled the _mm_ leaving us with just _m_, which is the SI unit we wanted! If we wished to do the reverse and convert metres to millimetres, then we would need a conversion ratio with millimetres on the top and metres on the bottom.

  
It is helpful to understand that units cancel when one is in the numerator and the other is in the denominator. If the unit you are trying to cancel is on the top, then the conversion factor that you multiply it with must be on the bottom.

This same technique can be used to not just to convert units, but can also be used as a way to solve for an unknown quantity. For example: If I was driving at 65 miles per hour, then I could find how far I would go in 5 hours by using ![\\frac{65\\mbox{ miles}}{1\\mbox{ hour}}](../../../upload.wikimedia.org/math/c/d/2/cd2f41de34555d13b43fb1533fe2f693.png) as a conversion factor.

This would look like ![\\frac{5\\mbox{ hours}}{1}\\frac{65\\mbox{ miles}}{1\\mbox{ hour}}](../../../upload.wikimedia.org/math/6/a/7/6a797077880a968aa2a43b4f5ea8ad1f.png)

This would yield a result of 325 miles because the hours would cancel leaving miles as the only unit.

## Practice Problem[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/How_to_Change&action=edit&section=T-2)]

**Problem**: Convert 3 millennia into seconds.

Most people don't know how many seconds are in a millennium, but they do know enough to solve this problem. Since we know 1000 years = 1 millennium, 1 year = about 365.2425 days, 1 day = 24 hours, and 1 hour = 3600 seconds we can solve this problem by multiplying by one many times.

![\\frac{3\\mbox{ millennia}}{1}\\frac{1000\\mbox{ years}}{1\\mbox{ millennium}}\\frac{365.2425\\mbox{ days}}{1\\mbox{ year}}\\frac{24\\mbox{ hours}}{1\\mbox{ day}}\\frac{3600\\mbox{ seconds}}{1\\mbox{ hour}}](../../../upload.wikimedia.org/math/5/b/3/5b3e0159523ad05869a0ecf98962b7a8.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# How Units Can Help You[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/How_Units_Can_Help_You&action=edit&section=T-1)]

We conclude each section of this book with a discussion of the units most relevant to that particular section. It is important to try to understand what the units mean. That is why thinking about the examples and explanations of the units is essential.

If we are careful with our units then the numbers we get in our calculations can be checked in a 'sanity test'.

## What is a 'sanity test'?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/How_Units_Can_Help_You&action=edit&section=T-2)]

This isn't a special or secret test. All we do is stop, take a deep breath, and look at our answer. Sure we always look at our answers-- or do we? This time we mean stop and really look-- does our answer make sense?

Imagine you were calculating the number of people in a classroom. If the answer you got was 1 000 000 people you would know it was wrong—that's just an insane number of people to have in a classroom. That's all a sanity check is—is your answer insane or not? But what units were we using? We were using people as our unit. This helped us to make sense of the answer. If we had used some other unit (or no unit) the number would have lacked meaning and a sanity test would have been much harder (or even impossible).

It is useful to have an idea of some numbers before we start. For example, let's consider masses. An average person has mass 70 kg, while the heaviest person in medical history had a mass of 635 kg. If you ever have to calculate a person's mass and you get 7000 kg, this should fail your sanity check—your answer is insane and you must have made a mistake somewhere. In the same way an answer of 0.00001 kg should fail your sanity test.

The only problem with a sanity check is that you must know what typical values for things are. In the example of people in a classroom you need to know that there are usually 20-50 people in a classroom. Only then do you know that your answer of 1 000 000 must be wrong. Here is a table of typical values of various things (big and small, fast and slow, light and heavy—you get the idea):

**Table 1.4:** Everyday examples to help with sanity checks

Category
Quantity
Minimum
Maximum

People
Mass  
Height
 
 

  
(NOTE TO SELF: Add to this table as we go along with examples from each section)

Note that you do not have to memorize this table. However, read it so that you can refer to it when you do a calculation.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# Temperature[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Temperature&action=edit&section=T-1)]

In everyday life, many people measure temperatures in Celsius. But in physics, we prefer to use the Kelvin scale which starts at **absolute zero**(−273.15 °C).

As we all know, Celsius temperatures can be negative. This might suggest that any number is a valid temperature. In fact, the temperature of a gas is a measure of the average kinetic energy of the particles that make up the gas. As we lower the temperature so the motion of the particles is reduced until a point is reached where all motion ceases. The temperature at which this occurs is called absolute zero. There is no physically possible temperature colder than this. In Celsius, absolute zero is at -273.15 °C. In Kelvin, the ordinary freezing point of water 0°C is therefore 273.15 °K

Physicists have defined a new temperature scale called the **Kelvin scale**. According to this scale absolute zero is at 0 K and negative temperatures are not allowed. The size of one unit kelvin is exactly the same as that of one unit degree Celsius. This means that a change in temperature of 1 kelvin is equal to a change in temperature of 1 degree Celsius—the scales just start in different places. Think of two ladders with steps that are the same size but the bottom most step on the Celsius ladder is labelled -273, while the first step on the Kelvin ladder is labelled 0. There are still 100 'steps' or degrees (Celsius or Kelvin) between the points where water freezes and boils when it is at at 1.0 atmosphere of pressure (water boils at lower temperatures if the air pressure is lowerO.

  

    
    
                             |----|   102 degrees Celsius    |----|  375 kelvin
                             |----|   101 degrees Celsius    |----|  374 kelvin
     water boils  --->       |----|   100 degrees Celsius    |----|  373 kelvin
                             |----|   99  degrees Celsius    |----|  372 kelvin
                             |----|   98  degrees Celsius    |----|  371 kelvin
                                                 .
                                                 .
                                                 .
                             |----|   2   degrees Celsius    |----|  275 kelvin
                             |----|   1   degree Celsius     |----|  274 kelvin
     ice melts    --->       |----|   0   degrees Celsius    |----|  273 kelvin
                             |----|   -1  degree Celsius     |----|  272 kelvin
                             |----|   -2  degrees Celsius    |----|  271 kelvin
                                                 .
                                                 .
                                                 .
                             |----|  -269 degrees Celsius    |----|  4 kelvin
                             |----|  -270 degrees Celsius    |----|  3 kelvin
                             |----|  -271 degrees Celsius    |----|  2 kelvin
                             |----|  -272 degrees Celsius    |----|  1 kelvin
     absolute zero --->      |----|  -273 degrees Celsius    |----|  0 kelvin
     
    

(NOTE TO SELF: Come up with a decent picture of two ladders with the labels --water boiling and freezing--in the same place but with different labelling on the steps!)

This makes the conversion from kelvin to degree Celsius and back very easy. To convert from degrees Celsius to kelvins add 273. To convert from kelvins to degrees Celsius subtract 273. Representing the Kelvin temperature by _T_K and the Celsius temperature by _T_°C,

![\\begin{matrix}T_K &=& T_{oC} + 273\\end{matrix}](../../../upload.wikimedia.org/math/2/6/7/2677a99b96a6d34772e92873b7c91d15.png) or ![\\begin{matrix}T_{oC} &=& T_K - 273\\end{matrix}](../../../upload.wikimedia.org/math/b/e/1/be104777839375fb6c4e3ae624feaa46.png)

Converting between kelvin and Celsius is additive -- so a difference in temperature of 1 degree Celsius is equal to a difference of 1 kelvin. The majority of conversions between units are multiplicative. For example, to convert from metres to millimetres we **multiply** by 1000. Therefore a change of 1 m is equal to a change of 1000 mm.

Although it seems as though there is not much reason for the scientific community to use the Kelvin scale over the Celsius scale, there is actually a very remarkable difference in using the Kelvin scale other than the reminding effect stated above. It happens that the idealised form of some materials varies proportionately according to the Kelvin scale, such that some required values can be simply found by multiplication and division. In such calculations, it is just a chore to use the Celsius scale.

  


### Fahrenheit Scale[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Temperature&action=edit&section=T-2)]

Fahrenheit is a temperature scale previously used in meteorology until about 1970, and which is still widely used in the USA. It was devised by a German physicist in 1724. He needed a scale that went below the freezing point of water, and used a mixture of ice, water, and ammonium chloride which freezes at a much lower temperature.

In this scale, the freezing point of water (0°C) is 32 degrees Fahrenheit (32°F) and the boiling point (100°C) is 212 °F, placing the boiling and freezing points of water exactly 180 degrees apart. A temperature interval of one degree Fahrenheit is an interval of 5⁄9 of a degree Celsius. The Fahrenheit and Celsius scales coincide at −40 degrees (i.e. −40 °F and −40 °C describe the same temperature).

To convert Celsius to Fahrenheit:

1) Take your number in Celsius and multiply by 9.

2) Divide the result of step 1 by 5.

3) Add 32 to the result of step 2.

  


Converting Fahrenheit to Celsius:

1) Take your number in Fahrenheit and subtract 32

2) Multiply the result of step 1 by 5.

3) Divide the result of step 2 by 9.

### Rankine Scale[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Temperature&action=edit&section=T-3)]

Absolute zero is −459.67 °F. The Rankine temperature scale was created to use degrees the same size as those of the Fahrenheit scale, such that a temperature difference of one degree Rankine (1 °R) is the same as a temperature difference of 1 °F, but with absolute zero being 0 °R.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# Scientific Notation, Significant Figures and Rounding[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding&action=edit&section=T-1)]

If you are only sure of say, both digits of a two-digit number, and put it in a formula and get a long series of numbers to the right of the decimal place, then those digits are probably not very accurate. This is the idea of significant figures.

Take 10 and divide by 3. If you are not sure that the number 10 is perfectly accurate, then you do not need to write down 3.333... and can get away with something like 3.3 or 3.33

(NOTE TO SELF: still to be written)

The accuracy of a measurement using significant figures is represented by the number of digits that it contains. A number is said to have the number of significant figures equal to the number of digits in the number not including leading 0s or trailing 0s unless there is a decimal point. The table below contains a list of numbers and how many significant digits each contains.

**Table ?:** Significant Digits

Number Significant Digits

1000
1

1000.
4

10.0
3

010
2

232
3

23.2
3

![1\\times { 10^3} ](../../../upload.wikimedia.org/math/6/e/2/6e2e7ef9c465b52940784c0744dad064.png)
1

![1.00\\times { 10^3} ](../../../upload.wikimedia.org/math/c/3/d/c3dc0dc35a1257f8d9b2a81a599d2e46.png)
3

As you may have noted, some numbers cannot be shown in proper significant figure notation without the use of scientific notation. For example, the number 1000 can only be shown to have 1 or 4 or more significant digits by the inclusion of a decimal point. However, by rewriting 1000 as ![1.\\times {10^3} ](../../../upload.wikimedia.org/math/d/d/0/dd0d44cf44d5933d8f5adee76f1c7156.png) any number of significant digits may be added by simply add additional 0s after the decimal point.

Sometimes you may be asked to determine the number of significant figures in a given number. There are three rules to determine what numerals are significant.

  1. **Leading zeros** are never significant. Leading zeros are zeros that appear on the left end of the number.
  2. **All non-zero digits** are significant. **Trapped zeros** (zeros between non-zero digits) are also significant.
  3. **Trailing zeros** are never significant _unless_ there is a decimal point. Trailing zeros are zeros that appear on the right end of the number.

### **E** notation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding&action=edit&section=T-2)]

Very large numbers such as the speed of light (the C part of Einstein's famous ![E=MC^2 ](../../../upload.wikimedia.org/math/5/a/4/5a460d3ceb24723f7b2c2287222474bc.png)) are difficult to write accurately.

We could write 300,000,000 m/sec, ![3x10^8](../../../upload.wikimedia.org/math/3/1/4/3143b556adbb95ab806e60de716f5191.png), 300 million meters per second or some such. There is a much better way!

We simply separate the number (coefficient) part **3** from its multiplier **00000000** base!

But be careful, there is an **E**lephant trap here, and it is that in scientific notation the number is always expressed as a **decimal fraction with a maximum value of 1.0**, (in this case =0.3) so the multiplier part is one bigger than you might expect! ![ 3x10^8](../../../upload.wikimedia.org/math/3/1/4/3143b556adbb95ab806e60de716f5191.png) is the same as 0.3E9. (Because there are a total of nine digits after the decimal point)

A tiny dust particle might weigh as little as 0.000 000 000 678 kg.! This time we shift the decimal point 9 places to the right so the number (678) has a **negative** base so our weight is written as 0.678E**-**9 kg.

Now is that not a whole lot easier to write and understand? That is why many scientific calculators and most spread-sheets allow input and display in **E notation** format.

### Commas and points[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding&action=edit&section=T-3)]

Most English speaking people use the comma [ **,** ] to separate thousands and the dot (ful-stop, or point) [ **.** ] for the decimal indicator. Europeans often use these the other way around. Many spread-sheets allow both, but it is just one more complexity you need to know about!

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- [Next Chapter (Waves and Wavelike Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Units/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Units/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Introduction) \- [Unit Systems](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Systems) \- [The Importance of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Importance) \- [Choice of Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Choice) \- [How to Change Units](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_to_Change) \- [How Units Can Help You](http://en.wikibooks.org/wiki/FHSST_Physics/Units/How_Units_Can_Help_You) \- [Temperature](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Temperature) \- [Scientific Notation, Significant Figures, and Rounding](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Scientific_Notation,_Significant_Figures,_and_Rounding) \- [Conclusion](http://en.wikibooks.org/wiki/FHSST_Physics/Units/Conclusion)

# Conclusion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Units/Conclusion&action=edit&section=T-1)]

In this chapter we have discussed the importance of units. We have discovered that there are many different units to describe the same thing, although you should stick to SI units in your calculations. We have also discussed how to convert between different units. This is a skill you must acquire.

# Waves and Wavelike Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=4)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

## Waves and Wavelike Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves&action=edit&section=T-1)]

Waves occur frequently in nature. The most obvious examples are waves in water on a dam, in the ocean, or in a bucket, but sound waves and electromagnetic waves are other, less visible examples. We are most interested in the properties that waves have. All waves have the same basic properties, so by studying waves in water we can transfer our knowledge and predict how other types of waves will behave.

Waves are associated with energy. As the waves move, they carry energy from one point to another in space. It is true for water waves as well. You can see the wave energy working while a ship drifts along the wave in rough sea. The most spectacular example is the enormous amount of energy we receive from the sun in the form of light and heat, which are transmitted as electromagnetic waves - not even requiring a medium to propagate.

## Simple Harmonic Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves&action=edit&section=T-2)]

Simple Harmonic motion is a wavelike motion. It is considered wavelike because the graph of time vs. displacement from the equilibrium position is a sine curve.

An example of simple harmonic motion is a mass oscillating on a spring. It will be hard to understand the forces involved this early in the course that cause the motion to simple harmonic, but it is still possible to look at a mass oscillating on a spring and understand that it is indeed simple harmonic. When a mass is oscillating on a spring, the further the string stretches, the slower the mass will be moving. Then the mass reaches a point where the string won't stretch any further, so it quits moving and then it reverses direction. As it moves closer to the equilibrium position is moves faster.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# What are waves?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-1)]

Waves are phenomena that everyone experiences constantly; water waves, sound waves, light waves, human waves when the home team scores... the list goes on. When asked what makes a wave a wave, the most common responses would probably be that a wave is something that moves, or propagates, or perhaps that it is something that repeats over and over again. These properties do capture the essential qualities of waves. Now we must determine these properties quantitatively, and discover what governs their behavior.

Generally, a wave is defined as any phenomenon which can be modeled by a function of the form ![f\(\\overline{k} \\overline{r} - \\omega t\)](../../../upload.wikimedia.org/math/4/e/5/4e51d31fa43861ca0105213cb0459bb7.png) where the r-vector represents a position in space, and t represents a time, and the k-vector and omega are both constants. Don't be intimidated by the vectors in the argument - most of our time at first will be spent on one-dimensional waves. If the wave is in only one spatial dimension 'x', for instance a wave travelling on a taut string, it can be written simply as ![f\(k x - w t\)](../../../upload.wikimedia.org/math/5/e/9/5e96c41c5f049d6dcac4f445ed91d67a.png).

Any function of this form "propagates" along the ![\\overline{k}](../../../upload.wikimedia.org/math/a/8/6/a8671c9c1e21517355575447511770bc.png) direction over time. As time increases, the argument of the function increases; over time the form of the function effectively advances through space. Try coming up with functions of this form, and plot them at time t = 0, then plot them again at a later time. This progressive property will become obvious. Try to figure out the velocity with which your function advances! (we will study this later) The negative sign in front of the time term causes the wave to propagate in the direction defined as positive (if that seems confusing, try plotting more functions over time, and examine the results). If you replace the negative with a positive (or instead consider a negative value of omega), the wave will propagate in the negative direction.

A very special and important case of a wave is the mathematical function ![f\(\\overline{k} \\overline{r} - \\omega t\) = sin\(\\overline{k} \\overline{r} - \\omega t\) ](../../../upload.wikimedia.org/math/5/0/8/508481b544752028bd2bf90afef5e525.png), or in one dimension, ![f\(k x - \\omega t\) = sin\(k x - \\omega t\) ](../../../upload.wikimedia.org/math/7/b/b/7bb446d8ddeb172b4ae63449ff6052a1.png). This is a sinusoidal wave - it oscillates up and down infinitely in both directions, and moves as time progresses. I mentioned that waves have the quality of repeating over and over, the quality of **periodicity**. However, many functions of the form mentioned above do not seem to repeat. However, you will find that ALL waves can be decomposed into a sum of many of these simple, infinitely repeating waves when you learn about Fourier transformations.

More than any other concept, physicists are finding that **waves** characterize the structure of the universe at every scale imaginable. As you learn about the physics of waves in everyday life, keep an open mind towards finding waves and wave behavior everywhere you turn.

Let's consider a very well-known case of a wave phenomenon: water waves. Waves in water consist of moving peaks and troughs. A peak is a place where the water rises higher than when the water is still and a trough is a place where the water sinks lower than when the water is still.

So waves have peaks and troughs. This could be our first property for waves. The following diagram shows the peaks and troughs on a wave.

![Fhsst waves1.png](../../../upload.wikimedia.org/wikibooks/en/5/52/Fhsst_waves1.png)

In physics we try to be as quantitative as possible. If we look very carefully we notice that the height of the peaks above the level of the still water is the same as the depth of the troughs below the level of the still water.

Waves are repetitions of physical quantity in a periodic manner, carrying energy in the process. The water waves, for example, can be visualized to repeat any of the physical quantities like "peaks", "troughs", "potential energy" or "kinetic energy". Even, we can visualize water waves as the motion of disturbance (energy). It is the energy aspect of waves that is central to the understanding of different types of waves, many of which are not visible.

Looking closely at the water wave, we can recognize that crests and troughs basically represent of extreme potential and kinetic energies in addition to representing rise and fall of water from the still level. At the peak, energy is only potential, whereas energy is only kinetic at the trough. Similarly, propagation of electromagnetic wave is associated with repetitions of magnetic and electric field in space with certain periodicity. As existence of electrical or magnetic fields does not require any medium, electromagnetic waves can move even in the absence of any medium.

## Characteristics of Waves : Amplitude[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-2)]

We use symbols agreed upon by convention to label the characteristic quantities of the waves. The characteristic height of a peak and depth of a trough is called the amplitude of the wave. The vertical distance between the bottom of the trough and the top of the peak is twice the amplitude. To put it simply, the amplitude is the distance of the wave from the medium, to the crest or trough

![Fhsst waves2.png](../../../upload.wikimedia.org/wikibooks/en/5/56/Fhsst_waves2.png)

Worked Example 1

**Question:** (NOTE TO SELF: Make this a more exciting question) The height of the wave from the medium is 2m. What is the distance from the peak to the trough. What

**Answer:**

The amplitude is 2m. (Read above paragraph to know why). The distance from the peak to trough is 4m.

## Characteristics of Waves : Wavelength[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-3)]

Look a little closer at the peaks and the troughs. The distance between two adjacent (next to each other) peaks is the same no matter which two adjacent peaks you choose. So there is a fixed distance between the peaks.

Similarly, you'll notice that the distance between two adjacent troughs is the same no matter which two troughs you look at. But, more importantly, its is the same as the distance between the peaks. This distance which is a characteristic of the wave is called the wavelength.

Waves have a characteristic wavelength. The symbol for the wavelength is the Greek letter lambda, ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png).

![Fhsst waves3.png](../../../upload.wikimedia.org/wikibooks/en/3/3b/Fhsst_waves3.png)

The wavelength is the distance between any two adjacent points which are in phase. Two points in phase are separate by an integer (0,1,2,3,...) number of complete wave cycles. They don't have to be peaks or trough but they must be separated by a complete number of waves.

## Characteristics of Waves : Period[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-4)]

Now imagine you are sitting next to a pond and you watch the waves going past you. First one peak, then a trough and then another peak. If you measure the time between two adjacent peaks you'll find that it is the same. Now if you measure the time between two adjacent troughs you'll find that its always the same, no matter which two adjacent troughs you pick. The time you have been measuring is the time for one wavelength to pass by. We call this time the period and it is a characteristic of the wave.

The period of the wave is denoted with the symbol ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png).

## Characteristics of Waves : Frequency[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-5)]

There is another way of characterising the time interval of a wave. We timed how long it takes for one wavelength to go past. We could also turn this around and say how many waves go by in 1 second.

We can easily determine this number, which we call the frequency and denote f. To determine the frequency, how many waves go by in 1s, we work out what fraction of a waves goes by in 1 second by dividing 1 second by the time it takes T. If a wave takes 1/2 a second to go by then in 1 second two waves must go by. ![\\frac{1}{\\frac{1}{2}} =2](../../../upload.wikimedia.org/math/3/2/f/32fddb5713fc81eca1b893e1c66988cb.png). The unit of frequency is the _Hz_ or _s_-1.

Waves have a characteristic frequency.

![f=\\frac{1}{T}](../../../upload.wikimedia.org/math/c/f/5/cf56377ea780a8ce1586d2abed17482c.png)

 
 

_f_
 : frequency (_Hz_ or _s_-1)

_T_
 : period (_s_)

generally, the frequency of a wave is the number of crests that pass by per unit time.

## Characteristics of Waves : Speed[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-6)]

Now if you are watching a wave go by you will notice that they move at a constant velocity. Thinking back to rectilinear motion you will be able to remember that we know how to work out how fast something moves. The speed is the distance you travel divided by the time you take to travel that distance. This is excellent because we know that the waves travel a distance ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png) in a time T. This means that we can determine the speed.

  


![v = \\frac{\\lambda}{T}](../../../upload.wikimedia.org/math/b/2/7/b27f61a5bc5d9cb6cd834319f1b7fe5f.png)

 
 

_v_
 : speed (_m_._s_-1)

![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)
 : wavelength (_m_)

_T_
 : period (_s_)

There are a number of relationships involving the various characteristic quantities of waves. A simple example of how this would be useful is how to determine the velocity when you have the frequency and the wavelength. We can take the above equation and substitute the relationship between frequency and period to produce an equation for speed of the form

![v = f\\lambda](../../../upload.wikimedia.org/math/e/0/5/e058ecabfa54ca6b6717ed8fc7e67e54.png)

 
 

_v_
 : speed (_m_._s_-1)

![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)
 : wavelength (_m_)

_f_
 : frequency (_Hz_ or _s_-1)

Is this correct? Remember a simple first check is to check the units! On the right hand side we have speed which has units _ms_-1. On the left hand side we have frequency which is measured in _s_-1 multiplied by wavelength which is measure in _m_. On the left hand side we have _ms_-1 which is exactly what we want.

### Speed of a wave through strings[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Definition&action=edit&section=T-7)]

The speed of a wave traveling along a vibrating string (v) is directly proportional to the square root of the tension (_T_) over the linear density (μ):

    ![
v=\\sqrt{\\frac{T}{\\mu}} \\,
](../../../upload.wikimedia.org/math/8/1/6/816100dddb37b6df6ad1a0bf42c785de.png)

μ is equal to the mass of the string divided by the length of the string.

![
\\mu={\\frac{M}{L}}
](../../../upload.wikimedia.org/math/5/6/a/56a8d16597ed090f04a4af3095d2e47d.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# Two Types of Waves[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Types&action=edit&section=T-1)]

We agreed that a wave was a moving set of peaks and troughs and we used water as an example. Moving peaks and troughs, with all the characteristics we described, in any medium constitute a wave. It is possible to have waves where the peaks and troughs are perpendicular to the direction of motion, like in the case of water waves. These waves are called transverse waves.

There are two additional types of waves. The first is called longitudinal waves and have the peaks and troughs in the same direction as the wave is moving. The question is how do we construct such a wave?

An example of a longitudinal wave is pressure waves moving through a gas. The peaks in this wave are places where the pressure reaches a peak and the troughs are places where the pressure is a minimum.

  
In the picture below we show the random placement of the gas molecules in a tube. The piston at the end moves into the tube with a repetitive motion. Before the first piston stroke the pressure is the same throughout the tube.

![Fhsst waves4.png](../../../upload.wikimedia.org/wikibooks/en/thumb/3/36/Fhsst_waves4.png/236px-Fhsst_waves4.png)

When the piston moves in it compresses the gas molecules together at the end of the tube. If the piston stopped moving the gas molecules would all bang into each other and the pressure would increase in the tube.

![Fhsst waves5.png](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4f/Fhsst_waves5.png/236px-Fhsst_waves5.png)

When the piston moves out again before the molecules have time to bang around then the increase in pressure moves down the tube like a pulse (single peak and trough, a single wave cycle).

![Fhsst waves6.png](../../../upload.wikimedia.org/wikibooks/en/thumb/d/da/Fhsst_waves6.png/236px-Fhsst_waves6.png)

As this repeats we get waves of increased and decreased pressure moving down the tubes. We can describe these pulses of increased pressure (peaks in the pressure) and decreased pressure (troughs of pressure) by a sine or cosine graph.

![Fhsst waves7.png](../../../upload.wikimedia.org/wikibooks/en/thumb/e/ef/Fhsst_waves7.png/236px-Fhsst_waves7.png)

  
![Fhsst waves8.png](../../../upload.wikimedia.org/wikibooks/en/thumb/4/4d/Fhsst_waves8.png/236px-Fhsst_waves8.png)

The second additional type of wave is the torsional wave. The peaks and troughs rotate around the direction of motion. In simpler terms, a "twisting motion" is transmitted through the medium. Of the two wave types, this is the hardest one to describe and visualize.

There are a number of examples of each type of wave. Not all can be seen with the naked eye but all can be detected.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# Properties of Waves[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-1)]

We have discussed some of the simple properties of waves that we need to know. These have just been describing the characteristics that waves have. Now we can progress onto some more interesting and, perhaps, less intuitive properties of waves.

## Properties of Waves : Reflection[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-2)]

When waves strike a barrier they are reflected. This means that waves bounce off things. Sound waves bounce off walls, light waves bounce off mirrors, radar waves bounce off planes and how bats can fly at night and avoid things as small as telephone wires. etc. The property of reflection is a very important and useful one.

(NOTE TO SELF: Get an essay by an air traffic controller on radar) (NOTE TO SELF: Get an essay by on sonar usage for fishing or for submarines)

When waves are reflected, the process of reflection has certain properties. If a wave hits an obstacle at a right angle to the surface (NOTE TO SELF: diagrams needed) then the wave is reflected directly backwards.

![Fhsst waves9.png](../../../upload.wikimedia.org/wikibooks/en/4/48/Fhsst_waves9.png)

![Fhsst waves10.png](../../../upload.wikimedia.org/wikibooks/en/c/c5/Fhsst_waves10.png)

If the wave strikes the obstacle at some other angle then it is not reflected directly backwards. The angle that the waves arrives at is the same as the angle that the reflected waves leaves at. The angle that waves arrives at or is incident at equals the angle the waves leaves at or is reflected at. Angle of incidence equals angle of reflection

![\\begin{matrix}\\theta_{i}=\\theta_{r}\\end{matrix}](../../../upload.wikimedia.org/math/9/0/b/90b85dbcfca745804947dd718e9bb1fe.png)

(2.1)

> ![\\begin{matrix}\\theta_{i}=\\theta_{r}\\end{matrix}](../../../upload.wikimedia.org/math/9/0/b/90b85dbcfca745804947dd718e9bb1fe.png)
> 
>  
>  
> 
> ![\\theta_{i}](../../../upload.wikimedia.org/math/0/f/9/0f998b6f411439b867c3ecce1259d5a2.png)
>  : angle of incidence
> 
> ![\\theta_{r}](../../../upload.wikimedia.org/math/1/6/c/16c363eaa82a0683a8a687b7f6006010.png)
>  : angle of reflection

![Fhsst waves11.png](../../../upload.wikimedia.org/wikibooks/en/a/ad/Fhsst_waves11.png)

In the optics chapter you will learn that light is a wave. This means that all the properties we have just learnt apply to light as well. Its very easy to demonstrate reflection of light with a mirror. You can also easily show that angle of incidence equals angle of reflection.

If you look directly into you see yourself ....

**Need to mention that the incident wave, normal to the surface and the reflected wave all lie in the same plane. The same also holds for refraction at a surface.**

### Phase shift of reflected wave[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-3)]

When a wave is reflected from a more dense medium, it undergoes a phase shift. That means that the peaks and troughs are swapped around.

The easiest way to demonstrate this is to tie a piece of string to something. Stretch the string out flat and then flick the string once so a pulse moves down the string. When the pulse (a single peak in a wave) hits the barrier that the string is tied to, it will be reflected. The reflected wave will look like a trough instead of a peak. This is because the pulse had undergone a phase change. The fixed end is like reflection off a more dense medium.

![Fhsst waves12.png](../../../upload.wikimedia.org/wikibooks/en/9/98/Fhsst_waves12.png)

![Fhsst waves13.png](../../../upload.wikimedia.org/wikibooks/en/c/c0/Fhsst_waves13.png)

![Fhsst waves14.png](../../../upload.wikimedia.org/wikibooks/en/9/92/Fhsst_waves14.png)

If the end of the string was not fixed, i.e. it could move up and down then the wave would still be reflected but it would not undergo a phase shift.

![Fhsst waves15.png](../../../upload.wikimedia.org/wikibooks/en/e/e9/Fhsst_waves15.png)

![Fhsst waves16.png](../../../upload.wikimedia.org/wikibooks/en/b/bf/Fhsst_waves16.png)

![Fhsst waves17.png](../../../upload.wikimedia.org/wikibooks/en/a/a4/Fhsst_waves17.png)

## Properties of Waves : Refraction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-4)]

Sometimes waves move from one medium to another. The medium is the substance that is carrying the waves. In our first example this was the water. When the medium properties change it can affect the wave.

Let us start with the simple case of a water wave moving from one depth to another. The speed of the wave depends on the depth. If the wave moves directly from the one medium to the other than we should look closely at the boundary. When a peak arrives at the boundary and moves across it must remain a peak on the other side of the boundary. This means that the peaks pass by at the same time intervals on either side of the boundary. The period and frequency remain the same! But we said the speed of the wave changes, which means that the distance it travels in one time interval is different i.e. the wavelength has changed.

Going from one medium to another the period or frequency does not change only the wavelength can change.

Now if we consider a water wave moving at an angle of incidence not 90 degrees towards a change in medium then we immediately know that not the whole wave will arrive at once. So if a part of the wave arrives and slows down while the rest is still moving faster before it arrives the angle of the wavefront is going to change. This is known as refraction. When a wave bends or changes its direction when it goes from one medium to the next.

If it slows down it turns towards the perpendicular.

![Fhsst waves18.png](../../../upload.wikimedia.org/wikibooks/en/5/50/Fhsst_waves18.png)

If the wave speeds up in the new medium it turns away from the perpendicular to the medium surface.

When you look at a stick that emerges from water it looks like it is bent. This is because the light from below the surface of the water bends when it leaves the water. Your eyes project the light back in a straight line and so the object looks like it is a different place.

![Fhsst waves19.png](../../../upload.wikimedia.org/wikibooks/en/6/6b/Fhsst_waves19.png)

## Properties of Waves : Interference[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-5)]

If two waves meet interesting things can happen. Waves are basically collective motion of particles. So when two waves meet they both try to impose their collective motion on the particles. This can have quite different results.

If two identical (same wavelength, amplitude and frequency) waves are both trying to form a peak then they are able to achieve the sum of their efforts. The resulting motion will be a peak which has a height which is the sum of the heights of the two waves. If two waves are both trying to form a trough in the same place then a deeper trough is formed, the depth of which is the sum of the depths of the two waves. Now in this case the two waves have been trying to do the same thing and so add together constructively. This is called constructive interference.

![Fhsst waves20.png](../../../upload.wikimedia.org/wikibooks/en/9/90/Fhsst_waves20.png)

![Fhsst waves21.png](../../../upload.wikimedia.org/wikibooks/en/f/f1/Fhsst_waves21.png)

![Fhsst waves22.png](../../../upload.wikimedia.org/wikibooks/en/2/28/Fhsst_waves22.png)

If one wave is trying to form a peak and the other is trying to form a trough then they are competing to do different things. In this case they can cancel out. The height of the peak less the depth of the trough will be the resulting effect. If the depth of the trough is the same as the height of the peak nothing will happen. If the height of the peak is bigger than the depth of the trough a smaller peak will appear and if the trough is deeper then a less deep trough will appear. This is destructive interference.

[File:Fhsst waves23.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves23.png)

![Fhsst waves24.png](../../../upload.wikimedia.org/wikibooks/en/0/02/Fhsst_waves24.png)

![Fhsst waves25.png](../../../upload.wikimedia.org/wikibooks/en/7/77/Fhsst_waves25.png)

## Properties of Waves : Standing Waves[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-6)]

When two waves move in opposite directions, through each other, constructive interference happens. If the two waves have the same frequency and wavelength then a specific type of constructive interference can occur: standing waves can form.

Standing waves are disturbances which don't appear to move, they stand in the same place. Lets demonstrate exactly how this comes about. Imagine a long string with waves being sent down it from either end. The waves from both ends have the same amplitude, wavelength and frequency as you can see in the picture below:

![Fhsst waves26.png](../../../upload.wikimedia.org/wikibooks/en/9/93/Fhsst_waves26.png)

To stop from getting confused between the two waves we'll draw the wave from the left with a dashed line and the one from the right with a solid line. As the waves move closer together when they touch both waves have an amplitude of zero:

![Fhsst waves27.png](../../../upload.wikimedia.org/wikibooks/en/f/f7/Fhsst_waves27.png)

If we wait for a short time the ends of the two waves move past each other and the waves overlap. Now we know what happens when two waves overlap, we add them together to get the resulting wave.

![Fhsst waves28.png](../../../upload.wikimedia.org/wikibooks/en/f/f4/Fhsst_waves28.png)

Now we know what happens when two waves overlap, we add them together to get the resulting wave. In this picture we show the two waves as dotted lines and the sum of the two in the overlap region is shown as a solid line:

![Fhsst waves29.png](../../../upload.wikimedia.org/wikibooks/en/9/91/Fhsst_waves29.png)

The important thing to note in this case is that there are some points where the two waves always destructively interfere to zero. If we let the two waves move a little further we get the picture below:

![Fhsst waves30.png](../../../upload.wikimedia.org/wikibooks/en/f/fd/Fhsst_waves30.png)

Again we have to add the two waves together in the overlap region to see what the sum of the waves looks like.

![Fhsst waves31.png](../../../upload.wikimedia.org/wikibooks/en/5/54/Fhsst_waves31.png)

In this case the two waves have moved half a cycle past each other but because they are out of phase they cancel out completely. The point at 0 will always be zero as the two waves move past each other.

When the waves have moved past each other so that they are overlapping for a large region the situation looks like a wave oscillating in place. If we focus on the range -4, 4 once the waves have moved over the whole region. To make it clearer the arrows at the top of the picture show peaks where maximum positive constructive interference is taking place. The arrows at the bottom of the picture show places where maximum negative interference is taking place.

![Fhsst waves32.png](../../../upload.wikimedia.org/wikibooks/en/3/3e/Fhsst_waves32.png)

As time goes by the peaks become smaller and the troughs become shallower but they do not move.

[File:Fhsst waves33.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves33.png)

For an instant the entire region will look completely flat.

[File:Fhsst waves34.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves34.png)

The various points continue their motion in the same manner.

[File:Fhsst waves35.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves35.png)

Eventually the picture looks like the complete reflection through the x-axis of what we started with:

[File:Fhsst waves36.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves36.png)

Then all the points begin to move back. Each point on the line is oscillating up and down with a different amplitude.

![Fhsst waves37.png](../../../upload.wikimedia.org/wikibooks/en/2/29/Fhsst_waves37.png)

If we superimpose the two cases where the peaks where at a maximum and the case where the same waves where at a minimum we can see the lines that the points oscillate between. We call this the envelope of the standing wave as it contains all the oscillations of the individual points. A node is a place where the two waves cancel out completely as two waves destructively interfere in the same place. An anti-node is a place where the two waves constructively interfere.

![Fhsst waves38.png](../../../upload.wikimedia.org/wikibooks/en/0/08/Fhsst_waves38.png)

To make the concept of the envelope clearer let us draw arrows describing the motion of points along the line.

![Fhsst waves39.png](../../../upload.wikimedia.org/wikibooks/en/b/b6/Fhsst_waves39.png)

Every point in the medium containing a standing wave oscillates up and down and the amplitude of the oscillations depends on the location of the point. It is convenient to draw the envelope for the oscillations to describe the motion. We cannot draw the up and down arrows for every single point!

### Reflection from a fixed end[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-7)]

If waves are reflected from a fixed end, for example tying the end of a rope to a pole and then sending waves down it. The fixed end will always be a node. Remember: Waves reflected from a fixed end undergo a phase shift.

The wavelength, amplitude and speed of the wave cannot affect this, the fixed end is always a node.

### Reflection from an open end[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-8)]

If waves are reflected from end, which is free to move, it is an anti-node. For example tying the end of a rope to a ring, which can move up and down, around the pole. Remember: The waves sent down the string are reflected but do not suffer a phase shift.

### Wavelengths of standing waves with fixed and open ends[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-9)]

![Fhsst waves40.png](../../../upload.wikimedia.org/wikibooks/en/3/32/Fhsst_waves40.png)

![Fhsst waves41.png](../../../upload.wikimedia.org/wikibooks/en/e/e1/Fhsst_waves41.png)

## Beats[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-10)]

If the waves that are interfering are not identical then the waves form a modulated pattern with a changing amplitude. The peaks in amplitude are called beats. If you consider two sound waves interfering then you hear sudden beats in loudness or intensity of the sound.

The simplest illustration is to draw two different waves and then add them together. You can do this mathematically and draw them yourself to see the pattern that occurs.

Here is wave 1:

![Fhsst waves42.png](../../../upload.wikimedia.org/wikibooks/en/d/de/Fhsst_waves42.png)

Now we add this to another wave, wave 2:

![Fhsst waves43.png](../../../upload.wikimedia.org/wikibooks/en/8/84/Fhsst_waves43.png)

When the two waves are added (drawn in coloured dashed lines) you can see the resulting wave pattern:

![Fhsst waves44.png](../../../upload.wikimedia.org/wikibooks/en/2/26/Fhsst_waves44.png)

To make things clearer the resulting wave without the dashed lines is drawn below. Notice that the peaks are the same distance apart but the amplitude changes. If you look at the peaks they are modulated i.e. the peak amplitudes seem to oscillate with another wave pattern. This is what we mean by modulation.

![Fhsst waves45.png](../../../upload.wikimedia.org/wikibooks/en/d/d3/Fhsst_waves45.png)

The maximum amplitude that the new wave gets to is the sum of the two waves just like for constructive interference. Where the waves reach a maximum it is constructive interference.

The smallest amplitude is just the difference between the amplitudes of the two waves, exactly like in destructive interference.

The beats have a frequency which is the difference between the frequency of the two waves that were added. This means that the beat frequency is given by

![f_B=|f_1-f_2|](../../../upload.wikimedia.org/math/5/1/2/512fce114ea266802db633bf0eda3600.png)

(2.2)

> ![f_B=|f_1-f_2|](../../../upload.wikimedia.org/math/5/1/2/512fce114ea266802db633bf0eda3600.png)
> 
>  
>  
> 
> _f_B
>  : beat frequency (Hz or s-1)
> 
> _f_1
>  : frequency of wave 1 (Hz or s-1)
> 
> _f_2
>  : frequency of wave 2 (Hz or s-1)

## Properties of Waves : Diffraction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-11)]

One of the most interesting, and also very useful, properties of waves is diffraction. When a wave strikes a barrier with a hole, only part of the wave can move through the hole. If the hole is similar in size to the wavelength of the wave diffractions occurs. The waves that comes through the hole no longer looks like a straight wave front. It bends around the edges of the hole. If the hole is small enough it acts like a point source of circular waves.

This bending around the edges of the hole is called diffraction. To illustrate this behaviour we start with Huygen's principle.

### Huygen's Principle[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-12)]

Huygen's principle states that each point on a wavefront acts like a point source or circular waves. The waves emitted from each point interfere to form another wavefront on which each point forms a point source. A long straight line of points emitting waves of the same frequency leads to a straight wave front moving away.

To understand what this means lets think about a whole lot of peaks moving in the same direction. Each line represents a peak of a wave.

![Fhsst waves46.png](../../../upload.wikimedia.org/wikibooks/en/8/88/Fhsst_waves46.png)

If we choose three points on the next wave front in the direction of motion and make each of them emit waves isotropically (i.e. the same in all directions) we will get the sketch below:

![Fhsst waves47.png](../../../upload.wikimedia.org/wikibooks/en/c/cb/Fhsst_waves47.png)

What we have drawn is the situation if those three points on the wave front were to emit waves of the same frequency as the moving wave fronts. Huygens principle says that every point on the wave front emits waves isotropically and that these waves interfere to form the next wave front.

To see if this is possible we make more points emit waves isotropically to get the sketch below:

![Fhsst waves48.png](../../../upload.wikimedia.org/wikibooks/en/1/16/Fhsst_waves48.png)

You can see that the lines from the circles (the peaks) start to overlap in straight lines. To make this clear we redraw the sketch with dashed lines showing the wavefronts which would form. Our wavefronts are not perfectly straight lines because we didn't draw circles from every point. If we had it would be hard to see clearly what is going on.

![Fhsst waves49.png](../../../upload.wikimedia.org/wikibooks/en/4/46/Fhsst_waves49.png)

Huygen's principle is a method of analysis applied to problems of wave propagation. It recognizes that each point of an advancing wave front is in fact the center of a fresh disturbance and the source of a new train of waves and that the advancing wave as a whole may be regarded as the sum of all the secondary waves arising from points in the medium already traversed. This view of wave propagation helps better understand a variety of wave phenomena, such as diffraction.

### Wavefronts Moving Through an Opening[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-13)]

Now if we allow the wavefront to impinge on a barrier with a hole in it, then only the points on the wavefront that move into the hole can continue emitting forward moving waves - but because a lot of the wavefront have been removed the points on the edges of the hole emit waves that bend round the edges.

![Fhsst waves50.png](../../../upload.wikimedia.org/wikibooks/en/e/e5/Fhsst_waves50.png)

The wave front that impinges (strikes) the wall cannot continue moving forward. Only the points moving into the gap can. If you employ Huygens' principle you can see the effect is that the wavefronts are no longer straight lines.

[File:Fhsst waves51.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_waves51.png)

**Riaan Note: still cant find this image, have to get it from the pdf**

For example, if two rooms are connected by an open doorway and a sound is produced in a remote corner of one of them, a person in the other room will hear the sound as if it originated at the doorway. As far as the second room is concerned, the vibrating air in the doorway is the source of the sound. The same is true of light passing the edge of an obstacle, but this is not as easily observed because of the short wavelength of visible light.

This means that when waves move through small holes they appear to bend around the sides because there aren't enough points on the wavefront to form another straight wavefront. This is bending round the sides we call diffraction.

## Properties of Waves : Dispersion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Properties&action=edit&section=T-14)]

Dispersion is a property of waves where the speed of the wave through a medium depends on the wavelength. So if two waves enter the same dispersive medium and have different wavelengths they will have different speeds in that medium even if they both entered with the same speed.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# Practical Applications of Waves: Sound Waves[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Sound_Applications&action=edit&section=T-1)]

## Doppler Effect[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Sound_Applications&action=edit&section=T-2)]

The **Doppler Effect** is an interesting phenomenon that occurs when an object producing sound is moved relatively to the listener.

Consider the following: When a car blaring its horn is behind you, the pitch is higher as it is approaching, and becomes lower as it is moving away. This is only noticeable if the object is moving at a fairly high speed, although it is still theoretically present at any speed.

When an object is moving **away** from the listener, the sound waves are stretched over a further distance meaning they happen less often. The wavelength ends up being greater so the frequency is less and the pitch is lower. When an object is moving **towards** the listener, the waves are compressed over a small distance making a very small wavelength and therefore a large frequency and high pitch. Since the pitch of the sound depends on the _frequency_ of the waves, the pitch increases when the object is moving towards the listener.

![f' = f\( \\frac{v \\pm v_0}{v \\mp v_s} \)](../../../upload.wikimedia.org/math/e/a/1/ea15c1e0daca4b622ac733d078cb5bb4.png)

  
f' is the observed frequency, f is the actual frequency, v is the speed of sound (![ v=336+0.6T ](../../../upload.wikimedia.org/math/5/4/a/54a321b442341d8a7c60931bb2ec9722.png)) T is temperature in degrees Celsius, ![v_0](../../../upload.wikimedia.org/math/f/3/2/f32423d2b9868cef26c41e39c2d1edc3.png) is the speed of the observer, and ![v_s](../../../upload.wikimedia.org/math/5/f/8/5f898a06f87d31879822201c09a13757.png) is the speed of the source. If the observer is approaching the source, use the top operator (the +) in the numerator, and if the source is approaching the observer, use the top operator (the -) in the denominator. If the observer is moving away from the source, use the bottom operator (the -) in the numerator, and if the source is moving away from the observer, use the bottom operator (the +) in the denominator.

### Example problems[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Sound_Applications&action=edit&section=T-3)]

A. An ambulance, which is emitting a 40 Hz siren, is moving at a speed of 30 m/s towards a stationary observer. The speed of sound in this case is 339 m/s.

![f' = 40\( \\frac{339 + 0}{339 - 30} \)](../../../upload.wikimedia.org/math/f/6/8/f68fac35598963c75b5cfb8c9de3f2bf.png)

B. An M551 Sheridan, moving at 10 m/s is following a Renault FT-17 which is moving in the same direction at 5 m/s and emitting a 30 Hz tone. The speed of sound in this case is 342 m/s.

  
![f' = 30\( \\frac{342 + 10}{342 + 5} \)](../../../upload.wikimedia.org/math/6/3/1/63152943c82fffc8f515569aeb838d2c.png)

## Ultra-Sound[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Sound_Applications&action=edit&section=T-4)]

still to be completed

Ultrasound is sound that has too high a frequency for humans to hear. Some other animals can hear ultrasound though. Dog whistles are an example of ultrasound. We can't hear the sound, but dogs can. Audible sound is in the frequency range between 20 Hz and 20000 Hz. Anything above that is ultrasound, and anything below that is called infrasonic.

Ultrasound also has medical applications. It can be used to generate images with a sonogram. Ultrasound is commonly used to look at fetuses in the womb.

  


![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Book_important2.svg/40px-Book_important2.svg.png)

**This page or section is an undeveloped draft or outline.**  
You can help to [develop the work](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit), or you can ask for assistance in the [project room](http://en.wikibooks.org/wiki/Wikibooks:PROJECTS).

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# Practical Applications of Waves: Electromagnetic Waves[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Electromagnetic_Applications&action=edit&section=T-1)]

In physics, wave-particle duality holds that light and matter simultaneously exhibit properties of waves and of particles. This concept is a consequence of quantum mechanics.

In 1905, Einstein reconciled Huygens' view with that of Newton. He explained the photoelectric effect (an effect in which light did not seem to act as a wave) by postulating the existence of photons, quanta of energy with particulate qualities. Einstein postulated that the frequency of light, ![f](../../../upload.wikimedia.org/math/8/f/a/8fa14cdd754f91cc6554c9e71929cce7.png), is related to the energy, ![E](../../../upload.wikimedia.org/math/3/a/3/3a3ea00cfc35332cedf6e5e9a32e94da.png), of its photons:

  


![\\begin{matrix}E = hf\\end{matrix}](../../../upload.wikimedia.org/math/d/b/c/dbcf1310fc9b86bd0e13eca9a86d2bc5.png)

(2.3)

where ![h](../../../upload.wikimedia.org/math/2/5/1/2510c39011c5be704182423e3a695e91.png) is Planck's constant (![6.626\\times10^{-34}Js](../../../upload.wikimedia.org/math/6/2/3/623e2d450d6f0a8ed98af9d0d63d7a14.png)).

In 1924, De Broglie claimed that all matter has a wave-like nature. He related wavelength ![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png) and momentum p:

  


![\\begin{matrix}\\lambda=\\frac{h}{p}\\end{matrix}](../../../upload.wikimedia.org/math/8/3/3/833797f10449125d4a98a10f39cd7583.png)

(2.4)

This is a generalization of Einstein's equation above, since the momentum of a photon is given by

  


![\\begin{matrix}p = \\frac{E}{c},\\end{matrix}](../../../upload.wikimedia.org/math/f/2/2/f22fb9a6a77da07e8c39dbd241063dd0.png)

(2.5)

where ![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png) is the speed of light in vacuum, and ![f = \\frac{c}{\\lambda}](../../../upload.wikimedia.org/math/f/5/d/f5d381a811a0772c1fea5ccc4962092a.png).

De Broglie's formula was confirmed three years later by guiding a beam of electrons (which have rest mass) through a crystalline grid and observing the predicted interference patterns. Similar experiments have since been conducted with neutrons and protons. Authors of similar recent experiments with atoms and molecules claim that these larger particles also act like waves. This is still a controversial subject because these experimenters have assumed arguments of wave-particle duality and have assumed the validity of de Broglie's equation in their argument.

The Planck constant h is extremely small and that explains why we don't perceive a wave-like quality of everyday objects: their wavelengths are exceedingly small. The fact that matter can have very short wavelengths is exploited in electron microscopy.

In quantum mechanics, the wave-particle duality is explained as follows: every system and particle is described by state functions which encode the probability distributions of all measurable variables. The position of the particle is one such variable. Before an observation is made the position of the particle is described in terms of probability waves which can interfere with each other.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Units)](http://en.wikibooks.org/wiki/FHSST_Physics/Units) \- [Next Chapter (Vectors) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[Waves and Wavelike Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Waves)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Definition) \- [Types of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Types) \- [Properties of Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Properties) \- [Practical Applications: Sound Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Sound_Applications) \- [Practical Applications: Electromagnetic Waves](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Electromagnetic_Applications) \- [Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Waves/Equations_and_Quantities)

# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Waves/Equations_and_Quantities&action=edit&section=T-1)]

Frequency:

![\\begin{matrix}f = \\frac{1}{T}.\\end{matrix}](../../../upload.wikimedia.org/math/e/4/2/e42dea186f7c286822198251a69831bf.png)

(2.6)

  
Speed:

![\\begin{matrix}v &= &f\\lambda\\\\&=& \\frac{\\lambda}{T}\\end{matrix}](../../../upload.wikimedia.org/math/2/2/4/224d93a31cf047178be555d4a17e98ed.png)

**Table 2.1:** Units used in Waves

Quantity
Symbol
S.I. Units
Direction

Amplitude
_A_
_m_
\--

Period
_T_
_s_
\--

Wavelength
![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)
_m_
\--

Frequency
_f_
_Hz_ or _s_-1
\--

Speed
_v_
_m_._s_-1
\--

# Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=5)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

## Introduction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Introduction&action=edit&section=T-1)]

``A vector is `something' that has both magnitude and direction. _```Thing'? What sorts of `thing'?" Any piece of information which contains a magnitude and a related direction can be a vector. A vector should tell you how much and which way._

Consider a man driving his car east along a highway at 100 _km_/_h_. What we have given here is a vector — the car's velocity. The car is moving at 100 _km_/_h_ (this is the magnitude) and we know where it is going — east (this is the direction). Thus, we know the speed and direction of the car. These two quantities, a magnitude and a direction, form a vector we call velocity.

> **Definition:** A _vector_ is a measurement which has both magnitude and direction.

In physics, magnitudes often have directions associated with them. If you push something it is not very useful knowing just how hard you pushed. A direction is needed too. Directions are extremely important, especially when dealing with situations more complicated than simple pushes and pulls.

Different people like to write vectors in different ways. Any way of writing a vector so that it has both magnitude and direction is valid.

Are vectors physics? No, vectors themselves are not physics. Physics is just a description of the world around us. To describe something we need to use a language. The most common language used to describe physics is mathematics. Vectors form a very important part of the mathematical description of physics, so much so that it is absolutely essential to master the use of vectors.

## Mathematical representation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Introduction&action=edit&section=T-2)]

Numerous notations are commonly used to denote vectors. In this text, vectors will be denoted by symbols capped with an arrow. As an example, ![\\overrightarrow{s}](../../../upload.wikimedia.org/math/8/8/2/882cadc39f773f34dbf8ac862eded788.png), ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png) and ![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png)are all vectors (they have both magnitude and direction). Sometimes just the magnitude of a vector is required. In this case, the arrow is omitted. In other words, _F_ denotes the magnitude of vector ![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png). ![|\\overrightarrow{F}|](../../../upload.wikimedia.org/math/9/9/e/99e41fc0bfe2889b9888bcf7858c466a.png) is another way of representing the size of a vector.

## Graphical representation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Introduction&action=edit&section=T-3)]

Graphically vectors are drawn as arrows. An arrow has both a magnitude (how long it is) and a direction (the direction in which it points). For this reason, arrows are vectors.

In order to draw a vector accurately we must specify a scale and include a reference direction in the diagram. A scale allows us to translate the length of the arrow into the vector's magnitude. For instance if one chose a scale of 1_cm_ = 2_N_ (1_cm_ represents 2_N_), a force of magnitude 20_N_ would be represented as an arrow 10_cm_ long. A reference direction may be a line representing a horizontal surface or the points of a compass.

## Worked Example 2: Drawing vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Introduction&action=edit&section=T-4)]

**Question:** Using a scale of ![1cm=2m.s^{-1}](../../../upload.wikimedia.org/math/e/2/4/e248d2c9ea2a4e110d123f057f6cedd5.png) represent the following velocities:

a) ![6m.s^{-1}](../../../upload.wikimedia.org/math/b/8/1/b813046b0e2a4a5f2307ce4e8441dd02.png) north

b) ![16m.s^{-1}](../../../upload.wikimedia.org/math/d/e/5/de5b8c7b65fdced66e0e8225a5cc4e78.png) east

**Answer:**

![Fhsst vector1.png](../../../upload.wikimedia.org/wikibooks/en/0/0b/Fhsst_vector1.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Some Examples of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-1)]

## Displacement[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-2)]

Imagine you walked from your house to the shops along a winding path through the veld. Your route is shown in blue in Figure 3.1. Your sister also walked from the house to the shops, but she decided to walk along the pavements. Her path is shown in red and consisted of two straight stretches, one after the other.

![Fhsst vectors2.png](../../../upload.wikimedia.org/wikibooks/en/5/59/Fhsst_vectors2.png)

Figure 3.1: Illustration of Displacement

  
Although you took very different routes, both you and your sister walked from the house to the shops. The overall effect was the same! Clearly the shortest path from your house to the shops is along the straight line between these two points. The length of this line and the direction from the start point (the house) to the end point (the shops) forms a very special vector known as **displacement**. Displacement is assigned the symbol ![\\overrightarrow{s}](../../../upload.wikimedia.org/math/8/8/2/882cadc39f773f34dbf8ac862eded788.png)

> **Definition:** _Displacement_ is defined as the magnitude and direction of the straight line joining one's starting point to one's final point.

**OR**

> **Definition:** _Displacement_ is a vector with direction pointing from some initial (starting) point to some final (end) point and whose magnitude is the straight-line distance from the starting point to the end point.

**(NOTE TO SELF: choose one of the above)**

In this example both you and your sister had the same displacement. This is shown as the black arrow in Figure 3.1. Remember displacement is not concerned with the actual path taken. It is only concerned with your start and end points. It tells you the length of the straight-line path between your start and end points and the direction from start to finish. The distance travelled is the length of the path followed and is a scalar (just a number). Note that the magnitude of the displacement need not be the same as the distance travelled. In this case the magnitude of your displacement would be considerably less than the actual length of the path you followed through the veld!

## Velocity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-3)]

> **Definition:** _Velocity_ is the rate of change of displacement with respect to time.

The terms _rate of change_ and _with respect to_ are ones we will use often and it is important that you understand what they mean. Velocity describes how much displacement changes for a certain change in time.

We usually denote a change in something with the symbol ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png) (the Greek letter Delta). You have probably seen this before in maths — the gradient of a straight line is ![\\frac{\\Delta y}{\\Delta x}](../../../upload.wikimedia.org/math/2/a/4/2a433e72a7faef084c0b11e1ce72d4ea.png). The gradient is just how much _y_ changes for a certain change in _x_. In other words it is just the rate of change of _y_ with respect to _x_. This means that velocity must be

![\\begin{matrix}\\overrightarrow{v}=\\frac{\\Delta \\overrightarrow{s}}{\\Delta t} =\\frac{\\overrightarrow{s}_{final}-\\overrightarrow{s}_{initial}}{t_{final}-t_{initial}}\\end{matrix}](../../../upload.wikimedia.org/math/6/0/e/60ed2d8c74f2d244d686e50e299ce776.png)

**(NOTE TO SELF: This is actually average velocity. For instantaneous** ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)'s **change to differentials. Explain that if** ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png) **is large then we have average velocity else for infinitesimal time interval instantaneous!)**

What then is speed? Speed is how quickly something is moving. How is it different from velocity? Speed is not a vector. It does not tell you which direction something is moving, only how fast. Speed is the magnitude of the velocity vector **(NOTE TO SELF: instantaneous speed is the magnitude of the instantaneous velocity.... not true of averages!)**.

Consider the following example to test your understanding of the differences between velocity and speed.

### Worked Example 3: Speed and Velocity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-4)]

**Question:** A man runs around a circular track of radius 100_m_. It takes him 120_s_ to complete a revolution of the track. If he runs at constant speed, calculate:

  1. his speed,
  2. his instantaneous velocity at point A,
  3. his instantaneous velocity at point B,
  4. his average velocity between points A and B,
  5. his average velocity during a revolution.

![Fhsst vectors3.png](../../../upload.wikimedia.org/wikibooks/en/2/28/Fhsst_vectors3.png)

**Answer:**  


    1\. To determine the man's speed, we need to know the distance he travels and how long it takes. We know it takes ![120 s](../../../upload.wikimedia.org/math/a/a/7/aa78d96d330d8b3bfd0d1cb185f7e1be.png) to complete one revolution of the track. What distance is one revolution of the track? We know the track is a circle and we know its radius, so we can determine the perimeter or distance around the circle. We start with the equation for the circumference of a circle:
![\\begin{matrix}C & =& 2\\pi r \\\\ & = & 2\\pi \(100m\) \\\\& = & 628.3\\;m.\\end{matrix}](../../../upload.wikimedia.org/math/5/5/a/55acc9b8909bfb6ff2d8bd54e5a09b97.png)

    2\. Now that we have distance and time, we can determine speed. We know that speed is distance covered per unit time. If we divide the distance covered by the time it took, we will know how much distance was covered for every unit of time.
![\\begin{matrix} v & = &\\frac{Distance\\ travelled}{time\\ taken} \\\\ & = & \\frac{628.3m}{120s} \\\\ & = & 5.23\\ m.s^{-1} \\end{matrix}](../../../upload.wikimedia.org/math/e/a/a/eaa7534584e9b7f3d7cc5d9b48aa3ad3.png)

    3\. Consider point A in the diagram:

![Fhsst vectors4.png](../../../upload.wikimedia.org/wikibooks/en/8/8e/Fhsst_vectors4.png)

We know which way the man is running around the track, and we know his speed. His velocity at point A will be his speed (the magnitude of the velocity) plus his direction of motion (the direction of his velocity). He is moving at the instant that he arrives at A, as indicated in the diagram below.

![Fhsst vectors5.png](../../../upload.wikimedia.org/wikibooks/en/f/fc/Fhsst_vectors5.png)

His velocity vector will be ![5.23\\ m.s^{-1}](../../../upload.wikimedia.org/math/f/3/2/f3255d2c7019d9bc37c4b6bf952eff77.png) West.

    4\. Consider point B in the diagram:

![Fhsst vectors6.png](../../../upload.wikimedia.org/wikibooks/en/5/53/Fhsst_vectors6.png)

    We know which way the man is running around the track, and we know his speed. His velocity at point B will be his speed (the magnitude of the velocity) plus his direction of motion (the direction of his velocity). He is moving at the instant that he arrives at B, as indicated in the diagram below.

![Fhsst vectors7.png](../../../upload.wikimedia.org/wikibooks/en/2/28/Fhsst_vectors7.png)

    His velocity vector will be ![5.23\\ m.s^{-1}](../../../upload.wikimedia.org/math/f/3/2/f3255d2c7019d9bc37c4b6bf952eff77.png) South.

  


    4\. So, now, what is the man's average velocity between Point A and Point B?

As he runs around the circle, he changes direction constantly. (Imagine a series of vector arrows pointing out from the circle, one for each step he takes.) If you add up all these directions and find the average it turns out to be ...Right. South west. And, notice that if you just looked for the average between his velocity at Point A and at Point B, that comes out south west, too. So his average velocity between Point A and Point B is ![5.23\\ m.s^{-1}](../../../upload.wikimedia.org/math/f/3/2/f3255d2c7019d9bc37c4b6bf952eff77.png) south west.

  


    5\. Now we need to calculate his average velocity over a complete revolution. The definition of average velocity is given earlier and requires that you know the total displacement and the total time. The total displacement for a revolution is given by the vector from the initial point to the final point. If the man runs in a circle, then he ends where he started. This means the vector from his initial point to his final point has zero length. A calculation of his average velocity follows:
![\\begin{matrix} \\overrightarrow{v}&=&\\frac{\\Delta\\overrightarrow{s}}{\\Delta t} \\\\ &=& \\frac{0m}{120s} \\\\ &=& 0\\ m.s^{-1} \\end{matrix}](../../../upload.wikimedia.org/math/0/2/4/0240014860ea31571bf3047406ab075b.png)

> **Remember:** Displacement can be zero even when distance is not!

## Acceleration[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-5)]

> **Definition:** _Acceleration_ is the rate of change of velocity with respect to time.

Acceleration is also a vector. Remember that velocity was the rate of change of displacement with respect to time so we expect the velocity and acceleration equations to look very similar. In fact:

![\\begin{matrix}\\overrightarrow{a}=\\frac{\\Delta \\overrightarrow{v}}{\\Delta t} =\\frac{\\overrightarrow{v}_{final}-\\overrightarrow{v}_{initial}}{t_{final}-t_{initial}}\\end{matrix}](../../../upload.wikimedia.org/math/e/d/e/ede8d89c29039a0e2681174e076c0514.png)

(3.2)

**(NOTE TO SELF: average and instantaneous distinction again! expand further — what does it mean?)**

Acceleration will become very important later when we consider forces.

## Force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Examples&action=edit&section=T-6)]

Imagine that you and your friend are pushing a cardboard box kept on a smooth floor. Both of you are equally strong. Can you tell me in which direction the box will move ? Probably not. Because I have not told you in which direction each of you are pushing the box. If both of you push it towards north, the box would move northwards. If you push it towards north and you friend pushes it towards east, it would move north-eastwards. If you two push it in opposite directions, it wouldn't move at all !

Thus in dealing with force applied on any object, it is equally important to take into account the direction of the force, as the magnitude. This is the case with all vectors.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Mathematical Properties of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Mathematical_Properties&action=edit&section=T-1)]

Vectors are mathematical objects and we will use them to describe physics in the language of mathematics. However, first we need to understand the mathematical properties of vectors (e.g. how they add and subtract).

We will now use arrows representing displacements to illustrate the properties of vectors. Remember that displacement is just one example of a vector. We could just as well have decided to use forces to illustrate the properties of vectors.

## Addition of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Mathematical_Properties&action=edit&section=T-2)]

If we define a displacement vector as 2 steps in the forward direction and another as 3 steps in the forward direction then adding them together would mean moving a total of 5 steps in the forward direction. Graphically, this can be seen by first following the first vector two steps forward, and then following the second one three steps forward:

![Fhsst vectors8.png](../../../upload.wikimedia.org/wikibooks/en/d/d1/Fhsst_vectors8.png)

We add the second vector at the end of the first vector, since this is where we now are after the first vector has acted. The vector from the tail of the first vector (the starting point) to the head of the last (the end point) is then the sum of the vectors. This is the tail-to-head method of vector addition.

The order in which you add vectors does not matter. In the example above, if you decided to first go 3 steps forward and then another 2 steps forward, the end result would still be 5 steps forward.

The final answer when adding vectors is called the resultant.

> **Definition:** The _resultant_ of a number of vectors is the single vector whose effect is the same as the individual vectors acting together.

In other words, the individual vectors can be replaced by the resultant — the overall effect is the same. If vectors ![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png) and ![\\overrightarrow{b}](../../../upload.wikimedia.org/math/c/9/d/c9d230e448bbafeeb39dd2e50710f314.png) have a resultant ![\\overrightarrow{R}](../../../upload.wikimedia.org/math/3/2/8/32825e0039b8895c0ee7e0c47acd9197.png), this can be represented mathematically as, ![\\begin{matrix}\\overrightarrow{R} &=& \\overrightarrow{a} + \\overrightarrow{b}.\\end{matrix}](../../../upload.wikimedia.org/math/7/d/f/7df8f949846b6bc1cab539c8bb5e4f64.png)

Let us consider some more examples of vector addition using displacements. The arrows tell you how far to move and in what direction. Arrows to the right correspond to steps forward, while arrows to the left correspond to steps backward. Look at all of the examples below and check them.

![Fhsst vectors9.png](../../../upload.wikimedia.org/wikibooks/en/d/d6/Fhsst_vectors9.png)

![Fhsst vectors10.png](../../../upload.wikimedia.org/wikibooks/en/e/ef/Fhsst_vectors10.png)

Let us test the first one. It says one step forward and then another step forward is the same as an arrow twice as long — two steps forward.

It is possible that you end up back where you started. In this case the net result of what you have done is that you have gone nowhere (your start and end points are at the same place). In this case, your resultant displacement is a vector with length zero units. We use the symbol ![\\overrightarrow{0}](../../../upload.wikimedia.org/math/7/3/f/73fe0998252481811be8853d1331588d.png) to denote such a vector:

![Fhsst vectors11.png](../../../upload.wikimedia.org/wikibooks/en/8/81/Fhsst_vectors11.png)

  
![Fhsst vectors12.png](../../../upload.wikimedia.org/wikibooks/en/d/d3/Fhsst_vectors12.png)

Check the following examples in the same way. Arrows up the page can be seen as steps left and arrows down the page as steps right.

Try a couple to convince yourself!

![Fhsst vectors13.png](../../../upload.wikimedia.org/wikibooks/en/c/cb/Fhsst_vectors13.png)
![Fhsst vectors14.png](../../../upload.wikimedia.org/wikibooks/en/5/50/Fhsst_vectors14.png)

![Fhsst vectors15.png](../../../upload.wikimedia.org/wikibooks/en/0/0e/Fhsst_vectors15.png)
![Fhsst vectors16.png](../../../upload.wikimedia.org/wikibooks/en/5/5f/Fhsst_vectors16.png)

It is important to realise that the directions aren't special — _forward and backwards_ or _left and right_ are treated in the same way. The same is true of any set of parallel directions:

![Fhsst vectors17.png](../../../upload.wikimedia.org/wikibooks/en/d/da/Fhsst_vectors17.png)
![Fhsst vectors18.png](../../../upload.wikimedia.org/wikibooks/en/1/1e/Fhsst_vectors18.png)

![Fhsst vectors19.png](../../../upload.wikimedia.org/wikibooks/en/2/23/Fhsst_vectors19.png)

In the above examples the separate displacements were parallel to one another. However the same _tail-to-head_ technique of vector addition can be applied to vectors in any direction.

![Fhsst vectors20.png](../../../upload.wikimedia.org/wikibooks/en/0/0a/Fhsst_vectors20.png)
![Fhsst vectors21.png](../../../upload.wikimedia.org/wikibooks/en/0/02/Fhsst_vectors21.png)

  
![Fhsst vectors22.png](../../../upload.wikimedia.org/wikibooks/en/c/cd/Fhsst_vectors22.png)

Now you have discovered one use for vectors; describing resultant displacement — how far and in what direction you have travelled after a series of movements.

Although vector addition here has been demonstrated with displacements, all vectors behave in exactly the same way. Thus, if given a number of forces are acting on a body, you can use the same method to determine the resultant force acting on the body. We will return to vector addition in more detail later.

## Subtraction of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Mathematical_Properties&action=edit&section=T-3)]

What does it mean to subtract a vector? Well this is really simple: if we have 5 apples and we subtract 3 apples, we have only 2 apples left. Now lets work in steps — if we take 5 steps forward, and then subtract 3 steps forward, we are left with only two steps forward:

![Fhsst vectors23.png](../../../upload.wikimedia.org/wikibooks/en/9/99/Fhsst_vectors23.png)

What have we done? You originally took 5 steps forward but then you took 3 steps back. That backward displacement would be represented by an arrow pointing to the left (backwards) with length 3. The net result of adding these two vectors is 2 steps forward:

![Fhsst vectors24.png](../../../upload.wikimedia.org/wikibooks/en/6/69/Fhsst_vectors24.png)

**Thus, subtracting a vector from another is the same as adding a vector in the opposite direction** (i.e. subtracting 3 steps forwards is the same as adding 3 steps backwards).

This suggests that in this problem, arrows to the right are positive, and arrows to the left are negative. More generally, vectors in opposite directions differ in sign (i.e. if we define up as positive, then vectors acting down are negative). Thus, changing the sign of a vector simply reverses its direction:

![Fhsst vectors25.png](../../../upload.wikimedia.org/wikibooks/en/8/8f/Fhsst_vectors25.png)
![Fhsst vectors26.png](../../../upload.wikimedia.org/wikibooks/en/c/c6/Fhsst_vectors26.png)

  


![Fhsst vectors27.png](../../../upload.wikimedia.org/wikibooks/en/0/07/Fhsst_vectors27.png)
![Fhsst vectors28.png](../../../upload.wikimedia.org/wikibooks/en/7/75/Fhsst_vectors28.png)

![Fhsst vectors29.png](../../../upload.wikimedia.org/wikibooks/en/f/fb/Fhsst_vectors29.png)
![Fhsst vectors30.png](../../../upload.wikimedia.org/wikibooks/en/2/23/Fhsst_vectors30.png)

In mathematical form, subtracting ![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png) from ![\\overrightarrow{b}](../../../upload.wikimedia.org/math/c/9/d/c9d230e448bbafeeb39dd2e50710f314.png) gives a new vector ![\\overrightarrow{c}](../../../upload.wikimedia.org/math/e/f/8/ef8b2d2a52e62189795d2f08087a6845.png)

![\\begin{matrix}\\overrightarrow{c} &=& \\overrightarrow{b} - \\overrightarrow{a}\\\\&=& \\overrightarrow{b} + \(-\\overrightarrow{a}\)\\end{matrix}](../../../upload.wikimedia.org/math/9/d/3/9d376191c5819ad9e6a2f7f01eceb8b8.png)

  
This clearly shows that subtracting vector ![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png) from ![\\overrightarrow{b}](../../../upload.wikimedia.org/math/c/9/d/c9d230e448bbafeeb39dd2e50710f314.png) is the same as adding ![\(-\\overrightarrow{a}\)](../../../upload.wikimedia.org/math/8/b/6/8b69c7acb4e696cd2100110f0fd22922.png) to ![\\overrightarrow{b}](../../../upload.wikimedia.org/math/c/9/d/c9d230e448bbafeeb39dd2e50710f314.png). Look at the following examples of vector subtraction.

![Fhsst vectors31.png](../../../upload.wikimedia.org/wikibooks/en/f/f7/Fhsst_vectors31.png)

## Scalar Multiplication[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Mathematical_Properties&action=edit&section=T-4)]

What happens when you multiply a vector by a scalar (an ordinary number)?

Going back to normal multiplication we know that ![2 \\times 2](../../../upload.wikimedia.org/math/8/6/0/8608c2f6f82c35cf210f370f7885f1d0.png) is just 2 groups of 2 added together to give 4. We can adopt a similar approach to understand how vector multiplication works.

![Fhsst vectors32.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_vectors32.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Techniques of Vector Addition[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-1)]

Now that you have been acquainted with the mathematical properties of vectors, we return to vector addition in more detail. There are a number of techniques of vector addition. These techniques fall into two main categories- graphical and algebraic techniques.

## Graphical Techniques[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-2)]

Graphical techniques involve drawing accurate scale diagrams to denote individual vectors and their resultants. We next discuss the two primary graphical techniques, the tail-to-head technique and the parallelogram method.

### The Tail-to-head Method[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-3)]

In describing the mathematical properties of vectors we used displacements and the tail-to-head graphical method of vector addition as an illustration. In the tail-to-head method of vector addition the following strategy is followed:

  * Choose a scale and include a reference direction.
  * Choose any of the vectors to be summed and draw it as an arrow in the correct direction and of the correct length- remember to put an arrowhead on the end to denote its direction.
  * Take the next vector and draw it as an arrow starting from the arrowhead of the first vector in the correct direction and of the correct length.
  * Continue until you have drawn each vector- each time starting from the head of the previous vector. In this way, the vectors to be added are drawn one after the other tail-to-head.
  * The resultant is then the vector drawn from the tail of the first vector to the head of the last. Its magnitude can be determined from the length of its arrow using the scale. Its direction too can be determined from the scale diagram.

* * *

#### Worked Example 4 Tail-to-Head Graphical Addition I[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-4)]

**Question:** A ship leaves harbour H and sails 6_km_ north to port A. From here the ship travels 12_km_ east to port B, before sailing 5.5_km_ south-west to port C. Determine the ship's resultant displacement using the tail-to-head technique of vector addition.

  
**Answer:**

Now, we are faced with a practical issue: in this problem the displacements are too large to draw them their actual length! Drawing a 2_km_ long arrow would require a very big book. Just like cartographers (people who draw maps), we have to choose a scale. The choice of scale depends on the actual question- you should choose a scale such that your vector diagram fits the page. Before choosing a scale one should always draw a rough sketch of the problem. In a rough sketch one is interested in the approximate shape of the vector diagram.

Step 1 :

Let us draw a rough sketch of the situation

In a rough sketch one should include all of the information given in the problem. All of the magnitudes of the displacements are shown and a compass has been included as a reference direction.

Step 2 :

Next we choose a scale for our vector diagram. It is clear from the rough sketch that choosing a scale where 1_cm_ represents 1_km_ (scale: 1_cm_ = 1_km_) would be a good choice in this problem )- the diagram will then take up a good fraction of an A4 page. We now start the accurate construction.

Step 3 :

**Construction Step 1**: Starting at the harbour H we draw the first vector 6_cm_ long in the direction north (remember in the diagram 1_cm_ represents 1_km_):

  
**Construction Step 2**: Since the ship is now at port A we draw the second vector 12_cm_ long starting from this point in the direction east:

![Fhsst vectors33.png](../../../upload.wikimedia.org/wikibooks/en/4/46/Fhsst_vectors33.png)

**Construction Step 3**: Since the ship is now at port B we draw the third vector 5.5_cm_ long starting from this point in the direction south-west. A protractor is required to measure the angle of 45o.

![Fhsst vectors34.png](../../../upload.wikimedia.org/wikibooks/en/f/f2/Fhsst_vectors34.png)

**Construction Step 4**: As a final step we draw the resultant displacement from the starting point (the harbour H) to the end point (port C). We use a ruler to measure the length of this arrow and a protractor to determine its direction

![Fhsst vectors35.png](../../../upload.wikimedia.org/wikibooks/en/9/9f/Fhsst_vectors35.png)

Step 4 :

We now use the scale to convert the length of the resultant in the scale diagram to the actual displacement in the problem. Since we have chosen a scale of 1_cm_ = 1_km_ in this problem the resultant has a magnitude of 8.38   _km_. The direction can be specified in terms of the angle measured either as 75.4o east of north or on a bearing of 75.4o.

Step 5 :

Now we can quote the final answer: The resultant displacement of the ship is 8.38   _km_ on a bearing of 75.4o!

* * *

#### Worked Example 5 Tail-to-Head Graphical Addition II[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-5)]

**Question:** A man walks 40   _m_ East, then 30   _m_ North.

a) What was the total distance he walked?

b) What is his resultant displacement?

  
**Answer:**

Step 1 :

What distance did the man travel? In the first part of his journey he traveled 40   _m_ and in the second part he traveled 30   _m_. This gives us a total distance traveled of ![40+30=70\\ m](../../../upload.wikimedia.org/math/c/2/7/c27a426786fceb6a7130a32220ca5bd6.png)

Step 2 :

What is his resultant displacement? The man's resultant displacement is the **vector** from where he started to where he ended. It is the sum of his two separate displacements. We will use the tail-to-head method of accurate construction to find this vector. Firstly, we draw a rough sketch:

[File:Fhsst vectors36.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_vectors36.png)

Step 3 :

Next we choose a scale suitable for the problem. A scale of 1_cm_ represents 5_m_ (1_cm_ = 5_m_) is a good choice here. Now we can begin the process of construction.

Step 4 :

We draw the first displacement as an arrow 8_cm_ long (according to the scale ![8cm = 8\\times5m = 40m](../../../upload.wikimedia.org/math/1/4/2/1424d4ef7f42c86bfa4d44f63cab6703.png)) in the direction east:

![Fhsst vectors37.png](../../../upload.wikimedia.org/wikibooks/en/9/98/Fhsst_vectors37.png)

Step 5 :

Starting from the head of the first vector we draw the second displacement as an arrow 6_cm_ long (according to the scale ![6cm = 6\\times5m = 30m](../../../upload.wikimedia.org/math/f/3/0/f30060dd198f4c88573b02f746c5bbc8.png)) in the direction north:</math>

![Fhsst vectors38.png](../../../upload.wikimedia.org/wikibooks/en/6/6e/Fhsst_vectors38.png)

Step 6 :

Now we connect the starting point to the end point and measure the length and direction of this arrow (the resultant)

Step 7 :

Finally we use the scale to convert the length of the resultant in the scale diagram to the actual magnitude of the resultant displacement. According to the chosen scale 1_cm_ = 5_m_. Therefore 10_cm_ represents 50_m_. The resultant displacement is then 50_m_ 36.9o north of east.

* * *

### The Parallelogram Method[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-6)]

When needing to find the resultant of two vectors another graphical technique can be applied- the parallelogram method. The following strategy is employed:

  * Choose a scale and a reference direction.
  * Choose either of the vectors to be added and draw it as an arrow of the correct length in the correct direction.
  * Draw the second vector as an arrow of the correct length in the correct direction **from the tail of the first vector**.
  *   * Complete the parallelogram formed by these two vectors.
  *   * The resultant is then the diagonal of the parallelogram. Its magnitude can be determined from the length of its arrow using the scale. Its direction too can be determined from the scale diagram.
  * * * *

#### Worked Example 6[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-7)]

Parallelogram Method of Graphical Addition I

**Question:** A force of _F_1 = 5 N is applied to a block in a horizontal direction. A second force _F_2 = 4 N is applied to the object at an angle of 30° above the horizontal.

  
![Fhsst vectors39.png](../../../upload.wikimedia.org/wikibooks/en/f/ff/Fhsst_vectors39.png)

Determine the resultant force acting on the block using the parallelogram method of accurate construction.

**Answer:**

Step 1 :

Firstly we make a rough sketch of the vector diagram:

![Fhsst vectors40.png](../../../upload.wikimedia.org/wikibooks/en/8/89/Fhsst_vectors40.png)

Step 2 :

Now we choose a suitable scale. In this problem a scale of 1 cm = 0.5 N would be appropriate, since then the vector diagram would take up a reasonable fraction of the page. We can now begin the accurate scale diagram.

Step 3 :

Let us draw _F_1 first. According to the scale it has length 10 cm:

![Fhsst vectors41.png](../../../upload.wikimedia.org/wikibooks/en/d/d0/Fhsst_vectors41.png)

Step 4 :

Next we draw _F_2. According to the scale it has length 8 cm. We make use of a protractor to draw this vector at 30° to the horizontal:

  
![Fhsst vectors42.png](../../../upload.wikimedia.org/wikibooks/en/d/d3/Fhsst_vectors42.png)

Step 5 :

Next we complete the parallelogram and draw the diagonal:

**RIAAN NOTE: Image missing img155.png PDF page 51** [File:Fhsst vectors43.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_vectors43.png)

Step 6 :

Finally we use the scale to convert the measured length into the actual magnitude. Since 1 cm = 0.5 N, 17.4 cm represents 8.7 N. Therefore the resultant force is 8.7 N at 13.3° above the horizontal.

* * *

The parallelogram method is restricted to the addition of just two vectors. However, it is arguably the most intuitive way of adding two forces acting at a point.

## Algebraic Addition and Subtraction of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-8)]

### Vectors in a Straight Line[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-9)]

Whenever you are faced with adding vectors acting in a straight line (i.e. some directed left and some right, or some acting up and others down) you can use a very simple algebraic technique:

  * Choose a positive direction. As an example, for situations involving displacements in the directions west and east, you might choose west as your positive direction. In that case, displacements east are negative.
  *   * Next simply add (or subtract) the vectors with the appropriate signs.
  *   * As a final step the direction of the resultant should be included in words (positive answers are in the positive direction, while negative resultants are in the negative direction).
  * Let us consider a couple of examples.

* * *

#### Worked Example 7[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-10)]

Adding vectors algebraically I

**Question:** A tennis ball is rolled towards a wall which is 10_m_ away to the right. If after striking the wall the ball rolls a further 2.5_m_ along the ground to the left, calculate algebraically the ball's resultant displacement.

(NOTE TO SELF: PGCE suggest a `more real looking' diagram, followed by a diagram one would draw to solve the problem (like our existing one with the positive direction shown as an arrow))

**Answer:**

Step 1 :

Let us draw a picture of the situation:

![Fhsst vectors44.png](../../../upload.wikimedia.org/wikibooks/en/1/1f/Fhsst_vectors44.png)

Step 2 :

We know that the resultant displacement of the ball ( ![\\overrightarrow{s}_{resultant}](../../../upload.wikimedia.org/math/6/7/b/67b03fc2c19c28bfe2e739a669981294.png)) is equal to the sum of the ball's separate displacements (![\\overrightarrow{s}_1](../../../upload.wikimedia.org/math/7/4/8/74832b666ca7a627533a46ba41925119.png) and ![\\overrightarrow{s}_2](../../../upload.wikimedia.org/math/d/6/8/d6801d35acf25a538efa1d756650b8d9.png) ):

![\\begin{matrix}\\overrightarrow{s}_{resultant} & = & \\overrightarrow{s}_{1} + \\overrightarrow{s}_{2}\\end{matrix}](../../../upload.wikimedia.org/math/a/0/0/a007b27a91a62f79e9cfbb2bab7365e0.png)

Since the motion of the ball is in a straight line (i.e. the ball moves left and right), we can use the method of algebraic addition just explained.

Step 3 :

First we choose a positive direction. Let's make to the right the positive direction. This means that to the left becomes the negative direction.

Step 4 :

With right positive:

![\\begin{matrix}\\overrightarrow{s}_{1} & = & +10.0m \\\\& and & \\\\\\overrightarrow{s}_{2} & = & -2.5m\\end{matrix}](../../../upload.wikimedia.org/math/e/9/b/e9b47274754ecb32c76e5a76e675f55f.png)

Step 5 :

Next we simply add the two displacements to give the resultant:

![\\begin{matrix}\\overrightarrow{s}_{resultant} & = & \(+10m\) + \(-2.5m\) \\\\& = & \(+7.5\)m\\end{matrix}](../../../upload.wikimedia.org/math/d/f/9/df91624aca6b7fd0309967369af6a681.png)

Step 6 :

Finally, in this case _right_ means positive so:

![\\begin{matrix}\\overrightarrow{s}_{resultant} & = & 7.5m \\rm {\\ to \\ the \\ right}\\end{matrix}](../../../upload.wikimedia.org/math/0/7/9/07982ed3f61f807e1d57eac50a39ef34.png)

* * *

Let us consider an example of vector subtraction.

* * *

#### Worked Example 8[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-11)]

Subtracting vectors algebraically I

**Question:** Suppose that a tennis ball is thrown horizontally towards a wall at 3_m_._s_-1 to the right. After striking the wall, the ball returns to the thrower at 2_m_._s_-1. Determine the change in velocity of the ball.

**Answer:**

Step 1 :

Remember that velocity is a vector. The change in the velocity of the ball is equal to the difference between the ball's initial and final velocities:

![\\begin{matrix}\\Delta\\overrightarrow{v} & = & \\overrightarrow{v}_{final} -\\overrightarrow{v}_{initial}\\end{matrix}](../../../upload.wikimedia.org/math/2/6/c/26cdb075e51065637d57816870199806.png)

Since the ball moves along a straight line (i.e. left and right), we can use the algebraic technique of vector subtraction just discussed.

Step 2 :

Let's make to the right the positive direction. This means that to the left becomes the negative direction.

Step 3 :

With right positive:

![\\begin{matrix}\\overrightarrow{v}_{initial} & = & +3m.s^{-1} \\\\& and & \\\\\\overrightarrow{v}_{final} & = & -2m.s^{-1}\\end{matrix}](../../../upload.wikimedia.org/math/3/2/2/322d915ac8c0cdfccf654d9bc9680fa8.png)

Step 4 :

Thus, the change in velocity of the ball is:

![\\begin{matrix}\\Delta\\overrightarrow{v} & = & \(-2m.s^{-1}\) - \(+3m.s^{-1}\) \\\\& = & \(-5\)m.s^{-1}\\end{matrix}](../../../upload.wikimedia.org/math/6/6/a/66a76f51ae3a6059bd42f3a7d61e6e46.png)

Remember that in this case _right_ means positive so:

![\\begin{matrix}\\Delta\\overrightarrow{v} & = & 5m.s^{-1} \\rm \\textbf{\\ to \\ the \\ \\emph{left}}\\end{matrix}](../../../upload.wikimedia.org/math/4/e/5/4e5d6577248abfaa8ecf1ffb04547e2e.png)

* * *

Remember that the technique of addition and subtraction just discussed can only be applied to vectors acting along a straight line.

### A More General Algebraic technique[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-12)]

In worked example 3 the tail to head method of accurate construction was used to determine the resultant displacement of a man who travelled first east and then north. However, the man's resultant can be calculated without drawing an accurate scale diagram. Let us revisit this example.

* * *

#### Worked Example 9[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-13)]

An Algebraic solution to Worked Example 3

**Question:** A man walks 40 _m_ East, then 30  _m_ North.

  1. Calculate the man's resultant displacement.

  
**Answer:**

Step 1 :

As before, the rough sketch looks as follows:

![Fhsst vectors45.png](../../../upload.wikimedia.org/wikibooks/en/a/ab/Fhsst_vectors45.png)

Step 2 :

Note that the triangle formed by his separate displacement vectors and his resultant displacement vector is a right-angle triangle. We can thus use Pythogoras' theorem to determine the length of the resultant. If the length of the resultant vector is called _s_ then:

![\\begin{matrix}s^2&=&\(40m\)^2 + \(30m\)^2\\\\s^2&=&2500m^2\\\\s&=&50m\\\\\\end{matrix}](../../../upload.wikimedia.org/math/f/2/c/f2ced25a338cb49b955dc837f84d148e.png)

Step 3 : Now we have the length of the resultant displacement vector but not yet its direction. To determine its direction we calculate the angle ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png) between the resultant displacement vector and East.

We can do this using simple trigonometry:

![\\begin{matrix}\\tan \\alpha &=& \\frac{opposite}{adjacent}\\\\\\tan \\alpha &=& \\frac{30}{40}\\\\\\alpha& =& \\arctan \(0.75\) \\\\\\alpha &=& 36.9^o\\\\\\end{matrix}](../../../upload.wikimedia.org/math/5/9/3/593e86b0ec7f37afc7c9aea9bdaa6768.png)

Step 4 :

Our final answer is then:

  * Resultant Displacement: 50 m at 36.9o North of East
  * This is exactly the same answer we arrived at after drawing a scale diagram!

* * *

In the previous example we were able to use simple trigonometry to calculate a man's resultant displacement. This was possible since the man's directions of motion were perpendicular (north and east). Algebraic techniques, however, are not limited to cases where the vectors to be combined are along the same straight line or at right angles to one another. The following example illustrates this.

* * *

#### Worked Example 10[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Addition&action=edit&section=T-14)]

Further example of vector addition by calculation

**Question:** A man walks from point A to point B which is 12_km_ away on a bearing of 45o. From point B the man walks a further 8_km_ east to point C. Calculate the man's resultant displacement.

**Answer:**

Step 1 : Let us begin by drawing a rough sketch of the situation

**RIAAN NOTE: Image on page 56 is missing** [File:Fhsst vectors46.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_vectors46.png)

![B\\hat{A}F = 45^o](../../../upload.wikimedia.org/math/a/5/7/a5788023951417ed0f5a6d22f41d6238.png) since the man walks initially on a bearing of 45o.Then, ![A\\hat{B}G = B\\hat{A}F = 45^o](../../../upload.wikimedia.org/math/1/e/4/1e4bec04340da09bf12e23f9b7a1afda.png) (alternate angles parallel lines). Both of these angles are included in the rough sketch.

Step 2 :

Now let us calculate the length of the resultant (AC). Since we know both the lengths of ![AB](../../../upload.wikimedia.org/math/b/8/6/b86fc6b051f63d73de262d4c34e3a0a9.png) and ![BC](../../../upload.wikimedia.org/math/f/8/5/f85b7b377112c272bc87f3e73f10508d.png) and the included angle ![A\\hat{{B}}C](../../../upload.wikimedia.org/math/4/f/4/4f43ffdfb2bfdd0f2ef152a644df31c2.png), we can use the cosine rule:

![\\begin{matrix}AC^2 &=& AB^2 +BC^2 -2\\cdot AB\\cdot BC\\cos\(A\\hat{B}C\)\\\\&=& \(12\)^2 + \(8\)^2 -2\\cdot \(12\)\(8\)\\cos\(135^o\)\\\\&=& 343.8\\\\AC &=& 18.5\\ km\\end{matrix}](../../../upload.wikimedia.org/math/d/4/4/d44612e66ef4fe59c3989968ed3b872a.png)

Step 3 :

Next we use the sine rule to determine the angle ![\\theta](../../../upload.wikimedia.org/math/5/0/d/50d91f80cbb8feda1d10e167107ad1ff.png):

![\\begin{matrix}\\frac{\\sin\\theta}{8}&=&\\frac{\\sin 135^0}{18.5}\\\\\\sin\\theta &=& \\frac{8\\times\\sin 135^o}{18.5}\\\\\\theta &=& \\arcsin\(0.3058\)\\\\\\theta &=& 17.8^o\\end{matrix}](../../../upload.wikimedia.org/math/a/1/e/a1ea96040d376abe85f707bde6e79fd8.png)

Thus, ![F\\hat{A}C=62.8^o](../../../upload.wikimedia.org/math/a/e/d/aedfdf69b81fc4515405185c70bfcfbb.png)

Step 4 :

Our final answer is then:

  * Resultant Displacement: 18.5_km_ on a bearing of 62.8o
  * * * *

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Components of Vectors[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Components&action=edit&section=T-1)]

In the discussion of vector addition we saw that a number of vectors acting together can be combined to give a single vector (the resultant). In much the same way a single vector can be broken down into a number of vectors which when added give that original vector. These vectors which sum to the original are called **components** of the original vector. The process of breaking a vector into its components is called **resolving into components**.

While summing a given set of vectors gives just one answer (the resultant), a single vector can be resolved into infinitely many sets of components. In the diagrams below the same black vector is resolved into different pairs of components. These components are shown in red. When added together the red vectors give the original black vector (i.e. the original vector is the resultant of its components).

![Fhsst vectors47.png](../../../upload.wikimedia.org/wikibooks/en/e/ef/Fhsst_vectors47.png)

In practice it is most useful to resolve a vector into components which are at right angles to one another.

## Worked Example 11[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Components&action=edit&section=T-2)]

Resolving a vector into components

**Question:** A motorist undergoes a displacement of 250_km_ in a direction 30o north of east. Resolve this displacement into components in the directions north (![\\overrightarrow{s}_N](../../../upload.wikimedia.org/math/5/1/1/51193c59e18dbfa92fb551cad204e1eb.png) and east (![\\overrightarrow{s}_E](../../../upload.wikimedia.org/math/0/5/0/0500ade5b2da99286b536dbed27b8ebc.png)).

**Answer:**

Step 1 :

Firstly let us draw a rough sketch of the original vector

![Fhsst vectors48.png](../../../upload.wikimedia.org/wikibooks/en/8/81/Fhsst_vectors48.png)

Step 2 :

Next we resolve the displacement into its components north and east. Since these directions are orthogonal to one another, the components form a right-angled triangle with the original displacement as its hypotenuse:

![Fhsst vectors49.png](../../../upload.wikimedia.org/wikibooks/en/4/48/Fhsst_vectors49.png)

Notice how the two components acting together give the original vector as their resultant.

Step 3 :

Now we can use trigonometry to calculate the magnitudes of the components of the original displacement:

![\\begin{matrix}s_N &=& 250\\sin30^o\\\\&=& 125\\ km\\end{matrix}](../../../upload.wikimedia.org/math/9/c/b/9cb297d0e4ac6247cfc38f5d1ba2bab8.png)

and

![\\begin{matrix}s_E &=& 250\\cos30^o\\\\&=& 216.5\\ km\\end{matrix}](../../../upload.wikimedia.org/math/6/6/0/6602258e6b5911853bac66727eeb9256.png)

Remember _s_N and _s_E are the magnitudes of the components- they are in the directions north and east respectively.

## Block on an incline[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Components&action=edit&section=T-3)]

As a further example of components let us consider a block of mass _m_ placed on a frictionless surface inclined at some angle ![\\theta](../../../upload.wikimedia.org/math/5/0/d/50d91f80cbb8feda1d10e167107ad1ff.png) to the horizontal. The block will obviously slide down the incline, but what causes this motion?

The forces acting on the block are its weight _mg_ and the normal force _N_ exerted by the surface on the object. These two forces are shown in the diagram below.

![Fhsst vectors50.png](../../../upload.wikimedia.org/wikibooks/en/1/18/Fhsst_vectors50.png)

Now the object's weight can be resolved into components parallel and perpendicular to the inclined surface. These components are shown as red arrows in the diagram above and are at right angles to each other. The components have been drawn acting from the same point. Applying the parallelogram method, the two components of the block's weight sum to the weight vector.

To find the components in terms of the weight we can use trigonometry:

![\\begin{matrix}W_{\\|} &=& mg\\sin\\theta\\\\W_{\\perp} &=& mg\\cos\\theta\\end{matrix}](../../../upload.wikimedia.org/math/8/9/8/8984fa45335a3b0b01d66cd3a7d643b4.png)

The component of the weight perpendicular to the slope _W_![\\perp](../../../upload.wikimedia.org/math/d/2/1/d21e3d53f78769beee8ff7b6c4a9a92c.png) exactly balances the normal force _N_ exerted by the surface. The parallel component, however, ![W_{\\|}](../../../upload.wikimedia.org/math/5/4/b/54bb9876d38434e0cb355658a5f53e3d.png) is unbalanced and causes the block to slide down the slope.

## Vector addition using components[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Components&action=edit&section=T-4)]

In Figure 3.3 two vectors are added in a slightly different way to the methods discussed so far. It might look a little like we are making more work for ourselves, but in the long run things will be easier and we will be less likely to go wrong.

In Figure 3.3 the primary vectors we are adding are represented by solid lines and are the same vectors as those added in Figure 3.2 using the less complicated looking method.

**Figure 3.2:**An example of two vectors being added to give a resultant 

![Fhsst vectors51.png](../../../upload.wikimedia.org/wikibooks/en/c/c0/Fhsst_vectors51.png)

Each vector can be broken down into a component in the _x_-direction and one in the _y_-direction. These components are two vectors which when added give you the original vector as the resultant. Look at the red vector in figure 3.3. If you add up the two red dotted ones in the _x_-direction and _y_-direction you get the same vector. For all three vectors we have shown their respective components as dotted lines in the same colour.

But if we look carefully, addition of the _x_ components of the two original vectors gives the _x_ component of the resultant. The same applies to the _y_ components. So if we just added all the components together we would get the same answer! This is another important property of vectors.

* * *

### Worked Example 12[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Components&action=edit&section=T-5)]

Adding Vectors Using Components

**Question:** Lets work through the example shown in Figure 3.3 to determine the resultant.

**Answer:**

Step 1 :

The first thing we must realise is that the order that we add the vectors does not matter. Therefore, we can work through the vectors to be added in any order.

Step 2 :

Let us start with the bottom vector. If you are told that this vector has a length of 5.385 units and an angle of 21.8o to the horizontal then we can find its components. We do this by using known trigonometric ratios. First we find the vertical or _y_ component:

![\\begin{matrix}\\sin \\theta & = & \\frac{y}{\\mbox{hypotenuse}} \\\\\\sin \(21.8\) & = &\\frac{y}{5.385}\\\\y & = & 5.385 \\sin \(21.8\)\\\\y & = & 2\\end{matrix}](../../../upload.wikimedia.org/math/2/3/0/230baed46cce537b298c3427a248742a.png)

  
![Fhsst vectors53.png](../../../upload.wikimedia.org/wikibooks/en/b/ba/Fhsst_vectors53.png)

Secondly we find the horizontal or _x_ component:

![\\begin{matrix}\\cos \\theta & = & \\frac{x}{\\mbox{hypotenuse}} \\\\\\cos \(21.8\) & = &\\frac{x}{5.385}\\\\x & = & 5.385 \\cos \(21.8\)\\\\x & = & 5\\end{matrix}](../../../upload.wikimedia.org/math/0/7/3/073b08696180b88b27c46b06d4fd5ab6.png)

We now know the lengths of the sides of the triangle for which our vector is the hypotenuse. If you look at these sides we can assign them directions given by the dotted arrows. Then our original red vector is just the sum of the two dotted vectors (its components). When we try to find the final answer we can just add all the dotted vectors because they would add up to the two vectors we want to add.

Step 3 :

Now we move on to considering the second vector. The green vector has a length of 5 units and a direction of 53.13 degrees to the horizontal so we can find its components.

![\\begin{matrix}\\sin \\theta & = & \\frac{y}{\\mbox{hypotenuse}} \\\\\\sin \(53.13\) & = &\\frac{y}{5}\\\\y & = & 5 \\sin \(53.13\)\\\\y & = & 4\\end{matrix}](../../../upload.wikimedia.org/math/0/b/d/0bdcce2ce5b4acfc9ea5b2f384813d7b.png)

  
![Fhsst vectors54.png](../../../upload.wikimedia.org/wikibooks/en/3/35/Fhsst_vectors54.png)

![\\begin{matrix}\\cos \\theta & = & \\frac{x}{\\mbox{hypotenuse}} \\\\\\cos \(53.13\) & = &\\frac{x}{5}\\\\x & = & 5 \\cos \(53.13\)\\\\x & = & 3\\end{matrix}](../../../upload.wikimedia.org/math/e/1/0/e103f2a2bea03e68499d403606d0cb9b.png)

Step 4 :

Now we have all the components. If we add all the _x_-components then we will have the _x_-component of the resultant vector. Similarly if we add all the _y_-components then we will have the _y_-component of the resultant vector.

The _x_-components of the two vectors are 5 units right and then 3 units right. This gives us a final _x_-component of 8 units right.

The _y_-components of the two vectors are 2 units up and then 4 units up. This gives us a final _y_-component of 6 units up.

Step 5 :

Now that we have the components of the resultant, we can use Pythagoras' theorem to determine the length of the resultant. Let us call the length of the hypotenuse _l_ and we can calculate its value

![\\begin{matrix}l^2&=&\(6\)^2 + \(8\)^2\\\\l^2&=&100\\\\l&=&10.\\\\\\end{matrix}](../../../upload.wikimedia.org/math/4/3/1/431a865106efec4db5feaf23f3ed2c16.png)

  
![Fhsst vectors55.png](../../../upload.wikimedia.org/wikibooks/en/1/10/Fhsst_vectors55.png)

The resultant has length of 10 units so all we have to do is calculate its direction. We can specify the direction as the angle the vectors makes with a known direction. To do this you only need to visualize the vector as starting at the origin of a coordinate system. We have drawn this explicitly below and the angle we will calculate is labeled ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png).

![Fhsst vectors56.png](../../../upload.wikimedia.org/wikibooks/en/4/4d/Fhsst_vectors56.png)

Using our known trigonometric ratios we can calculate the value of ![\\alpha](../../../upload.wikimedia.org/math/b/c/c/bccfc7022dfb945174d9bcebad2297bb.png)

![\\begin{matrix}\\tan \\alpha & = & \\frac{6}{8} \\\\\\alpha & = & \\arctan \\frac{6}{8}\\\\\\alpha & = & 36.8^o.\\end{matrix}](../../../upload.wikimedia.org/math/7/6/6/766ed8884d0e6b997f456f08e02fbbd4.png)

Step 6 :

Our final answer is a resultant of 10 units at 36.8o to the positive _x_-axis.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Do I really need to learn about vectors? Are they really useful?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Importance&action=edit&section=T-1)]

Vectors are essential to do physics. Absolutely essential. This is an important warning. If something is essential we had better stop for a moment and make sure we understand it properly.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Waves and wavelike motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Waves) \- [Next Chapter (Forces) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[Vectors](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors)

[PGCE Comments](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/PGCE_Comments) \- [TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/TO_DO_LIST) \- [Introduction](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Introduction) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Examples) \- [Mathematical Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Mathematical_Properties) \- [Addition](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Addition) \- [Components](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Components) \- [Importance](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Importance) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors/Summary)

# Summary of Important Quantities, Equations and Concepts[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Vectors/Summary&action=edit&section=T-1)]

**Table 3.1:**Summary of the symbols and units of the quantities used in Vectors 

Quantity
Symbol
S.I. Units
Direction

Displacement
![\\overrightarrow{s}](../../../upload.wikimedia.org/math/8/8/2/882cadc39f773f34dbf8ac862eded788.png)
_m_
yes

Velocity
![\\overrightarrow{u}](../../../upload.wikimedia.org/math/7/5/d/75d7001f376072c3890668fec92fc328.png) ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
_m_._s_-1
yes

Distance
_d_
_m_
-

Speed
_v_
_m_._s_-1
-

Acceleration
![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png)
_m_._s_-2
yes

  


  
**Vector**: A vector is a measurement which has both magnitude and direction.

**Displacement**: Displacement is a vector with direction pointing from some initial (starting) point to some final (end) point and whose magnitude is the straight-line distance from the starting point to the final point.

**Distance**: The distance traveled is the length of your actual path.

**Velocity**: Velocity is the rate of change of displacement with respect to time.

**Acceleration**: Acceleration is the rate of change of velocity with respect to time.

**Resultant**: The resultant of a number of vectors is the single vector whose effect is the same as the individual vectors acting together

# Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=6)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# What is a force?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Definition&action=edit&section=T-1)]

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Force**_](http://en.wikipedia.org/wiki/Force)

The simplest way to describe force is to say that it is a `push' or a `pull'. The push or pull on an object may cause either deformation or may change the state of motion of the object under consideration. The harder you 'push' or 'pull', the more force you are applying.

If we leave aside the deformation aspects, then force can be considered to produce change in the state of the motion of the object i.e. velocity. We have, though, experienced in real life that a 'push' or 'pull' does not always manifest in the change of motion. The reason is simple. A change in the state of motion requires a net force. For example, if the force is great enough to overcome friction the object being pushed or pulled will move. So long as the forces on an object are balanced (i.e. net force is zero), the state of motion described by "velocity" will remain same.

  
In fact, the acceleration of a body is directly proportional to the _net_ force acting on it. The word _net_ is important- forces are vectors and what matters in any situation is the vector sum of all the forces acting on an object.

The unit of force is the newton (symbol N)

  


Force was first described by Archimedes. Archimedes of Syracuse (circa 287 BC - 212 BC), was a Greek mathematician, astronomer, philosopher, physicist and engineer. He was killed by a Roman soldier during the sack of the city, despite orders from the Roman general, Marcellus, that he was not to be harmed. 
    
    
                          EQUILIBRIUM OF FORCES.
    

DEFINITION-The Equilibrium of forces is the single fore required to produce an equilibrium When only three forces act on an object this closed figure is a triangle. This leads to the triangles law for three forces in equilibrium.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Force diagrams[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Diagrams&action=edit&section=T-1)]

The resultant force acting on an object is the vector sum of the set of forces acting on that one object. It is very important to remember that we consider all the forces that act on the object under consideration - not the forces that the object might, in turn, apply on other objects.

The easiest way to determine this resultant force is to construct what we call a force diagram. In a force diagram we represent the object by a point and draw all the force vectors connected to that point as arrows. Remember from the [Vectors](http://en.wikibooks.org/wiki/FHSST_Physics_Vectors:Vectors) chapter that we use the length of the arrow to indicate the vector's magnitude and the direction of the arrow to show which direction it acts in.

The second step is to rearrange the force vectors so that it is easy to add them together and find the resultant force.

Let us consider an example to get started:

Two people push on a box from opposite sides with a force of 5 N.

![Fhsst forces2.png](../../../upload.wikimedia.org/wikibooks/en/6/66/Fhsst_forces2.png)

When we draw the force diagram we represent the box by a dot. The two forces are represented by arrows, with their tails on the dot.

![Fhsst forces3.png](../../../upload.wikimedia.org/wikibooks/en/0/02/Fhsst_forces3.png)

See how the arrows point in opposite directions and have the same magnitude (length). This means that they cancel out and there is no _net_ force acting on the object.

This result can be obtained algebraically too, since the two forces act along the same line. Firstly we choose a positive direction and then add the two vectors taking their directions into account.

_Considering direction towards right as the positive direction_

![\\begin{matrix}F_{res} &=& \(+5\\mbox{ N}\)+\(-5\\mbox{ N}\)\\\\&=& 0N\\end{matrix}](../../../upload.wikimedia.org/math/8/3/d/83d0b701ab0b2bfb49c2be4bb919d53a.png)

As you work with more complex force diagrams, in which the forces do not exactly balance, you may notice that sometimes you get a negative answer (e.g. -2 N). What does this mean? Does it mean that we have something which is opposite of the force? No, all it means is that the force acts in the opposite direction to the one that you chose to be positive. You can choose the positive direction to be any way you want, but once you have chosen it you must stick with it.

Once a force diagram has been drawn the techniques of vector addition introduced in the previous chapter can be implemented. Depending on the situation you might choose to use a graphical technique such as the tail-to-head method or the parallelogram method, or else an algebraic approach to determine the resultant. Since force is a vector, all of these methods apply!

**Always remember to check your signs**

## Worked Example 13 Single Force on a block[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Diagrams&action=edit&section=T-2)]

**Question:** A block on a frictionless flat surface weighs 100 N. A 75 N force is applied to the block towards the right. What is the net force (or resultant force) on the block?

**Answer:**

Step 1 : Firstly let us draw a force diagram for the block:

[File:Fhsst forces4.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_forces4.png)

**RIAAN Note image on page 68 is missing**

Be careful not to forget the two forces perpendicular to the surface. Every object with mass is attracted to the centre of the earth with a force (the object's weight). However, if this were the only force acting on the block in the vertical direction then the block would fall through the table to the ground. This does not happen because the table exerts an upward force (the normal force) which exactly balances the object's weight.

Step 2 :

Thus, the only unbalanced force is the applied force. This applied force is then the resultant force acting on the block.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Equilibrium of Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Equilibrium_of_Forces&action=edit&section=T-1)]

At the beginning of this chapter it was mentioned that resultant forces cause objects to accelerate. If an object is stationary or moving at constant velocity then either:

  


  * no forces are acting on the object, or
  * the forces acting on that object are exactly balanced.

A resultant force would cause a stationary object to start moving or an object moving with a given velocity to speed up or slow down or change direction such that the velocity of the object changes.

  
In other words, for stationary objects or objects moving with constant velocity, the resultant force acting on the object is zero. The object is said to be in **equilibrium**.

If a resultant force acts on an object then that object can be brought into equilibrium by applying an additional force that exactly balances this resultant. Such a force is called the _equilibrant_ and is equal in magnitude but opposite in direction to the original resultant force acting on the object.

  

    
    
    **Definition:** The _equilibrant_ of any number of forces is the single force required to produce equilibrium.
    

  
As an example of an object in equilibrium, consider an object held stationary by two ropes in the arrangement below:

  


  
Let us draw a force diagram for the object. In the force diagram the object is drawn as a dot and all forces acting on the object are drawn in the correct directions starting from that dot. In this case, three forces are acting on the object.

Each rope exerts a force on the object in the direction of the rope away from the object. Since the object has mass, it is attracted towards the centre of the earth. This weight is represented in the force diagram as ![\\overrightarrow{W}](../../../upload.wikimedia.org/math/d/f/7/df7e60d79e061ec26fbbaf9dfaa3ba46.png).

Since the object is stationary, the resultant force acting on the object is zero. In other words the three force vectors drawn tail-to-head form a closed triangle:

[In general, when drawn tail-to-head the forces acting on an object in equilibrium form a closed figure with the head of the last vector joining up with the tail of the first vector. When only three forces act on an object this closed figure is a triangle. This leads to the **triangle law for three forces in equilibrium**:

**Triangle Law for Three Forces in Equilibrium:**

Three forces in equilibrium can be represented in magnitude and direction by the three sides of a triangle taken in order. 

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Newton's Laws of Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-1)]

Our current laws of motion were discovered by Sir Isaac Newton. It is said that Sir Isaac Newton started to think about the nature of motion and gravitation after being struck on the head by a falling apple.

Newton discovered 3 laws describing motion:

## First Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-2)]

Newton's first law basically says that a force has to be applied to an object to make it move or to make it stop. The first part of that statement definitely makes sense. The only way I can make something move is to have something give it a push. The second part of that statement might not be quite as easy to just take as fact. We've all witnessed objects slow down when nobody is pushing them. How then can we say that the only way to stop an object's motion is with a force? The answer is that there are forces that we don't always see. Most of the time, the force that we don't see is the force of friction.

Friction is the force that resists motion when two things are sliding past one another. To understand what friction is, think about sandpaper. If you try to rub 2 pieces of sandpaper together, it will be hard to get them to slide. This same phenomenon happens between all objects to some degree. This frictional force is what slows objects down or stops their motion.

## Second Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-3)]

> **Definition:** The time rate of change in momentum is proportional to the applied force and takes place in the direction of the force.

The law is represented in the following basic form (the system of measurement is chosen such that constant of proportionality is 1) :

    ![\\mathbf{F} = {d\(m \\mathbf{v}\) \\over dt}](../../../upload.wikimedia.org/math/b/a/d/bad383c10807c5e641bcb065335bfd04.png)

The product of mass and velocity i.e. _m_**v** is called the momentum. The net force on a particle is, thus, equal to rate change of momentum of the particle with time. Generally mass of the object under consideration is constant and thus can be taken out of the derivative :

    ![\\mathbf{F} = m {d\(\\mathbf{v}\) \\over dt}](../../../upload.wikimedia.org/math/e/4/d/e4d64d937f1b5d33c67fc62bee67d621.png)

    ![\\mathbf{F} = m \\mathbf{a}](../../../upload.wikimedia.org/math/7/e/8/7e8eeee0c85073d8a25eb9a28f1005cf.png)

> For constant mass,
> 
> ![
\\mathbf{F} = m\\mathbf{a}
](../../../upload.wikimedia.org/math/7/e/8/7e8eeee0c85073d8a25eb9a28f1005cf.png)

**Force** is equal to **mass** times **acceleration**. This version of Newton's Second Law of Motion assumes that the mass of the body does not change with time, and as such, does not represent a general mathematical form of the Law. Consequently, this equation cannot, for example, be applied to the motion of a rocket, which loses its mass (the lost mass is ejected at the rear of the rocket) with the passage of time.

It makes sense that the direction of the acceleration is in the direction of the resultant force. If you push something away from you it doesn't move toward you unless of course there is another force acting on the object towards you!

* * *

### Worked Example 16 Newton's Second Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-4)]

**Question:** A block of mass 10 kg is accelerating at 2 m·s−2. What is the magnitude of the net force acting on the block?

**Answer:**

Step 1 :

We are given

  * the block's mass
  * the block's acceleration

all in the correct units.

Step 2 :

We are asked to find the magnitude of the force applied to the block. Newton's Second Law tells us the relationship between acceleration and force for an object. Since we are only asked for the magnitude we do not need to worry about the directions of the vectors:

![\\begin{matrix}F_{Net} &=& ma \\\\&=& 10\\ \\mbox{kg} \\times 2 \\mbox{ m} \\cdot \\mbox{s}^{-2} \\\\&=& 20\\ \\mbox{N}\\end{matrix}](../../../upload.wikimedia.org/math/b/5/2/b52d3b7a16a916d57bd80a386dddb8a7.png)

Thus, there must be a net force of 20 N acting on the box.

* * *

### Worked Example 17 Newton's Second Law 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-5)]

**Question:** A 12 N force is applied in the positive _x_-direction to a block of mass 100 mg resting on a frictionless flat surface. What is the resulting acceleration of the block?

**Answer:**

Step 1 :

We are given

  * the block's mass
  * the applied force

but the mass is not in the correct units.

Step 2 :

Let us begin by converting the mass:

![\\begin{matrix}100 \\mbox{ mg} &=& 100 \\times 10^{-3} \\mbox{ g} = 0.1 \\mbox{ g} \\\\1000 \\mbox{ g} &=& 1 \\ \\mbox{kg} \\\\1 &=& 1kg\\times \\frac{1}{1000g} \\\\&=& \\frac{1kg}{1000g} \\\\0.1g &=& 0.1g \\times 1 \\\\&=& 0.1g \\times \\frac{1kg}{1000g} \\\\&=& 0.0001\\ kg \\\\\\end{matrix}](../../../upload.wikimedia.org/math/b/7/c/b7c70f0a0f9ed82e4fa4a7ce88bbf3ae.png)

Step 3 :

We know that net force results in acceleration. Since there is no friction the applied force is the resultant or net force on the block (refer to the earlier example of the block pushed on the surface of the table). The block will then accelerate in the direction of this force according to Newton's Second Law.

Step 4 :

To determine the magnitude of the acceleration:

![\\begin{matrix}F_{Res} &=& ma \\\\12 \\mbox{ N} &=& \(0.0001 \\mbox{ kg}\)a\\\\a &=& \\frac{12 \\mbox{ N}}{0.0001 \\mbox{kg}}\\\\&=& 120000\\frac{\\mbox{N}}{\\mbox{kg}} \\\\&=& 120000\\frac{\\mbox{kg} \\cdot \\mbox{m}}{\\mbox{s}^2 \\cdot \\mbox{kg}} \\\\&=& 120000\\frac{\\mbox{m}}{\\mbox{s}^2} \\\\&=& 1.2\\times 10^{5}\\ \\mbox{ m} \\cdot \\mbox{s}^{-2}\\end{matrix}](../../../upload.wikimedia.org/math/8/8/c/88c942511d260fe97970d3add863f4ad.png)

From Newton's Second Law the direction of the acceleration is the same as that of the resultant force. The final result is then that the block accelerates at ![1.2\\times10^{5}\\ \\mbox{ m} \\cdot \\mbox{s}^{-2}](../../../upload.wikimedia.org/math/a/9/5/a95c58d96c243d95a5d7d4eb3f4ac1ab.png) in the positive x-direction.

* * *

### Weight and Mass[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-6)]

You must have heard people saying ``My weight is _60 kg. This is actually correct, though physicists often have difficulty understanding it because it is mass that is measured in kilograms. This is a different meaning of the word weight from the one used in mechanics, where weight is the force of gravity exerted by the earth on an object with mass:_

![\\begin{matrix}F_{weight} = mg\\end{matrix}](../../../upload.wikimedia.org/math/4/2/e/42e4b3cc0754dafb5c0041980b4761fa.png)

As such, weight is measured in newtons.

If you compare this equation to Newton's Second Law you will see that it looks exactly the same with the _a_ replaced by _g_. Thus, when weight is the only force acting on an object (i.e. when ![F_{weight}](../../../upload.wikimedia.org/math/8/3/8/838d06d917938c15f7b0807c65d6d430.png)

_F_weight is the resultant force acting on the object) the object has an acceleration _g_. Such an object is said to be in free fall. The value for _g_ is the same for all objects (i.e. it is independent of the objects mass):

![\\begin{matrix}g=9.8 \\mbox{m} \\cdot \\mbox{s}^{-2} \\approx 10 \\mbox{m} \\cdot \\mbox{s}^{-2}\\end{matrix}](../../../upload.wikimedia.org/math/e/8/a/e8acd93572b53c64698be2c192964b42.png)

![\\begin{matrix}g=9.8 \\mbox{m} \\cdot \\mbox{s}^{-2} \\approx 10 \\mbox{m} \\cdot \\mbox{s}^{-2}\\end{matrix}](../../../upload.wikimedia.org/math/e/8/a/e8acd93572b53c64698be2c192964b42.png)

(4.3)

You will learn how to calculate this value from the mass and radius of the earth in Chapter ???. Actually the value of _g_ varies slightly from place to place on the Earth's surface.

The reason that we often get confused between weight and mass, is that scales measure your weight (in newtons) and then display your mass using the equation above.

* * *

### Worked Example 18 Calculating the resultant and then the acceleration[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-7)]

**Question:** A block (mass 20 kg) on a frictionless flat surface has a 45 N force applied to it in the positive x-direction. In addition a 25 N force is applied in the negative _x_-direction. What is the resultant force acting on the block and the acceleration of the block?

**Answer:**

Step 1 :

We are given

  * the block's mass
  * Force _F_1 = 45 N in the positive _x_-direction
  * Force _F_2 = 25 N in the negative _x_-direction

all in the correct units.

Step 2 :

We are asked to determine what happens to the block. We know that net force results in an acceleration. We need to determine the net force acting on the block.

Step 3 :

Since _F_1 and _F_2 act along the same straight line, we can apply the algebraic technique of vector addition discussed in the Vectors chapter to determine the resultant force. Choosing the positive _x_-direction as our positive direction:

_Positive x-direction is the positive direction:_

![\\begin{matrix}F_{Res}&=& \(+45 \\ \\mbox{N}\) + \(-25 \\mbox{ N}\) \\\\& = & +20 \\ \\mbox{N} \\\\&=& 20 \\mbox{N}\\ in\\ the\\ positive\\ x-direction\\end{matrix}](../../../upload.wikimedia.org/math/7/8/e/78e98cba58340ee5bf3edcf0dae350e9.png)

where we remembered in the last step to include the direction of the resultant force in words. By Newton's Second Law the block will accelerate in the direction of this resultant force.

Step 4 :

Next we determine the magnitude of the acceleration:

![\\begin{matrix}F_{Res} & =& ma \\\\20 \\mbox{N} &=& \(20 \\mbox{kg}\)a\\\\a &=& \\frac{20 \\mbox{N}}{20 \\mbox{kg}} \\\\&=& 1\\frac{ \\mbox{N}}{ \\mbox{kg}} \\\\&=& 1\\frac{ \\mbox{kg} \\cdot  \\mbox{m}}{ \\mbox{s}^2 \\cdot  \\mbox{kg}} \\\\&=& 1\\ \\mbox{ m} \\cdot \\mbox{s}^{-2} \\\\\\end{matrix}](../../../upload.wikimedia.org/math/1/f/c/1fc6de8e27410148e6ecadc6c2f56c9a.png)

The final result is then that the block accelerates at ![1\\ \\mbox{ m} \\cdot \\mbox{s}^{-2}](../../../upload.wikimedia.org/math/b/d/2/bd20ac1f0e27323a2f55803b9ae71a8f.png) in the positive x-direction (the same direction as the resultant force).

* * *

### Worked Example 19 Block on incline[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-8)]

**Question:** A block (mass 10 kg) is released on an inclined plane. What is the resulting rate of acceleration of the block if the angle theta is 25 degrees and the coefficient of friction between the block and the plane is 0.25?

![Fhsst forces11.png](../../../upload.wikimedia.org/wikibooks/en/6/60/Fhsst_forces11.png)

**Solution:**

**Step 1**: The acceleration of the block will be parallel to the plane, so we break the problem into two parts - forces perpendicular to the plane (which must cancel out since there is no acceleration perpendicular to the plane) and parallel to the plane.

**Step 2**: We know that there is no acceleration in the direction perpendicular to the surface of the inclined plane, or in other words ![a_{\\perp}=0](../../../upload.wikimedia.org/math/5/e/8/5e815e040688ae2da060ab320e781a91.png). Therefore we know that:

    ![\\begin{matrix} \\\\ \\sum{F_{\\perp}} &=& 0 
\\\\  N - W_{\\perp} &=& 0
\\\\  N - m \\   g \\  {\\cos \\theta} &=& 0
\\\\ N &=& m \\  g \\  {\\cos \\theta} 
\\\\ &=& \(10 \\  kg\)\(9.8 \\  {m \\over {s^2}}\) \\  {\\cos 25^\\circ} 
\\\\ &=& 88.82 \\  N \\end{matrix}](../../../upload.wikimedia.org/math/1/9/5/19567ce3eb581b7b6c903884f68993b6.png)

**Step 3**: Summing forces parallel to the plane yields:

    ![\\begin{matrix} \\\\ \\sum{F_{\\|}} &=& m \\  g \\  {\\sin \\theta} - \\mu \\  N 
\\\\  m a_{\\|} &=& m \\  g \\  {\\sin \\theta} - \\mu \\  N 
\\\\  \(10 kg\) a_{\\|} &=& \(10 kg\) \(9.8 \\  {m \\over s^2}\) \\sin 25^\\circ - \(0.25\) \\  \(88.82 \\  N\) 
\\\\ a_{\\|} &=& \(9.8 \\  {m \\over s^2}\) \\  \\sin 25^\\circ - \(0.25\) \\  {{88.82 \\ N} \\over {10 \\ kg}}
\\\\ &=& 5.5 \\ {m \\over {s^2}} \\end{matrix}](../../../upload.wikimedia.org/math/4/c/d/4cd04a4c944f8ecdda7a1acd5bd4b1bd.png)

The final result is that the block accelerates down the inclined plane with an acceleration of ![5.5 \\ m \\cdot s^{-2}](../../../upload.wikimedia.org/math/d/c/2/dc23d97f5185f67238eee701b3fed70a.png).

## Third Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-9)]

> **Definition:** For every force one body applies to another (action) there is always an equal but opposite in direction force another body applies back to the first one (reaction.)

This law is a direct consequence of the [Principle of Conservation of Linear Momentum](http://en.wikibooks.org/wiki/FHSST_Physics_Momentum:What_properties_does_momentum_have).

Newton's Third Law is easy to understand but it can get quite difficult to apply it. An important thing to realise is that the action and reaction forces can never act on the same object and hence cannot contribute to the same resultant.

* * *

### Worked Example 20 Identifying action-reaction Pairs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-10)]

**Question:** Consider pushing a box on the surface of a rough table.

  1. Draw a force diagram indicating all of the forces acting **on the box**.
  2. Identify the reaction force for each of the forces acting on the box.

**Answer:**

  1. The following force diagram shows all of the forces acting on the box

![Fhsst forces12.png](../../../upload.wikimedia.org/wikibooks/en/c/c9/Fhsst_forces12.png)

* * *

There is an important thing to realise which is related to Newton's Third Law. Think about dropping a stone off a cliff. It falls because the earth exerts a force on it (see Chapter ???) and it doesn't seem like there are any other forces acting. So is Newton's Third Law wrong? No, the reactionary force to the weight of the stone is the force exerted by the stone on the earth. This is illustrated in detail in the next worked example.

* * *

### Worked Example 21 Newton's Third Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-11)]

**Question:** A stone of mass 0.5 kg is accelerating at 10 m·s−2 towards the earth.

  1. What is the force exerted by the earth on the stone?
  2. What is the force exerted by the stone on the earth?
  3. What is the acceleration of the earth, given that its mass is 5.97 × 1027 kg?

**Answer:**

  1. Step 1 : We are given
  *     * the stone's mass
    * the stone's acceleration (_g_)
  1. By Newton's Third Law the stone must exert an equal but opposite force on the earth. Hence the stone exerts a force of 5 N towards the stone on the earth.
  2. We have
  *     * the force acting on the earth
    * the Earth's mass

[File:Fhsst forces13.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_forces13.png)

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)
Newton first published these laws in _Philosophiae Naturalis Principia Mathematica_ (1687) and used them to prove many results concerning the motion of physical objects. Only in 1916 were 

Newton's Laws superseded by Einstein's theory of relativity.

[File:Fhsst forces15.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_forces15.png)

The next two worked examples are quite long and involved but it is very important that you understand the discussion as they illustrate the importance of Newton's Laws.

* * *

### Worked Example 22 Rockets[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-12)]

**Question:** How do rockets accelerate in space?

**Answer:**

  * Gas explodes inside the rocket.
  * This exploding gas exerts a force on each side of the rocket (as shown in the picture below of the explosion chamber inside the rocket).

[File:Fhsst forces17.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_forces17.png)

_Note that the forces shown in this picture are representative. With an explosion there will be forces in all directions._

  * Due to the symmetry of the situation, all the forces exerted on the rocket are balanced by forces on the opposite side, except for the force opposite the open side. This force on the upper surface is unbalanced.
  * This is therefore the resultant force acting on the rocket and it makes the rocket accelerate forwards.

* * *

#### Systems and External Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Laws_of_Motion&action=edit&section=T-13)]

The concepts of a system and an external forces are very important in physics. A system is any collection of objects. If one draws an imaginary box around such a system then an external force is one that is applied by an object or person outside the box. Imagine for example a car pulling a trailer.

![Fhsst forces16.png](../../../upload.wikimedia.org/wikibooks/en/f/f7/Fhsst_forces16.png)

Concept of system is extremely important. Consider an example of a person holding a load (box) on his head and standing on a platform.

Now count the forces :

(i) Box presses the person down (ii) The person pushes the box up (reaction to box's weight) (iii) Box is pulled down by the earth (iv) Earth is pulled up by the box (v) Person presses the floor (vi) Floor pushes the person up (vii) Person is pulled down by earth and (viii) Earth is pulled up by the person.

Quite a mess. Which ones are internal forces and which ones are external forces? Identification of system comes handy here. We can select the box or the person as a system for analyzing forces or we may even consider box and person together as a single system. Only condition to watch while selecting a system is that all parts of the system should have same acceleration. If two parts are at different accelerations then each of them should be treated as a separate system.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Newton's Law of Universal Gravitation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation&action=edit&section=T-1)]

Why does the Earth stay in orbit around the Sun? Shouldn't it fly off tangentially into outer space?

These questions intrigued Newton and inspired his study of gravitation.

Newton realized that a force must be constantly pulling on the Earth, redirecting its motion and preventing it from being flung off. Newton reasoned that this force, which he termed 'gravity', acted between all bodies with mass and varied inversely to the square of the distance between the two bodies.

    ![F=\\frac{G m_1 m_2}{r^2}](../../../upload.wikimedia.org/math/b/1/3/b1365723a6484cc3ca9d0ce071b22f62.png)

where ![G](../../../upload.wikimedia.org/math/d/f/c/dfcf28d0734569a6a693bc8194de62bf.png) is a universal gravitational constant, ![m_1](../../../upload.wikimedia.org/math/b/7/6/b76530f37a5cbc3d17ebe8df6fed402f.png) and ![m_2](../../../upload.wikimedia.org/math/b/d/d/bdd1c7307b88ad20fe151890256e325a.png) are the 2 masses, and ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is the distance between the centers of mass.

Newton also realized that this same force which redirects the path of the Earth around the Sun, was also responsible for an apple falling to the ground. In this case, the two masses, the Earth, and the apple, are attracted each other and this exerts a force which pulls the apple towards the center of the Earth. While we can use the Universal Law of Gravitation formula to solve this problem it is often more convenient to realize two facts:

  * The Earths mass, ![M_E](../../../upload.wikimedia.org/math/0/d/c/0dcf1bd209c92e258d2f6af2d3d47d12.png) is constant
  * The distance between the apple (or other object) can usually be approximated with just ![R_E](../../../upload.wikimedia.org/math/e/2/9/e2945b3c5376bd0fc5fe90835a39192a.png), the radius of the Earth, because this is the dominating term.

Thus we can rewrite the equations such that

    ![F = mg](../../../upload.wikimedia.org/math/5/7/6/5760c8c6f23595e8ae731de06174be66.png)

where, ![g=\\frac{G M_E}{R_E^2}](../../../upload.wikimedia.org/math/d/4/1/d41eecdc10705efbf0eee301a338c5f8.png). g is the acceleration on Earth and is ![-9.8 m/s^2](../../../upload.wikimedia.org/math/4/a/5/4a5106c5d697c5ae23e08e170e6c420b.png).

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Examples of Forces Studied Later[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-1)]

Most of physics revolves around forces. Although there are many different forces we deal with them all in the same way. The methods to find resultants and acceleration do not depend on the type of force we are considering.

At first glance, the number of different forces may seem overwhelming - gravity, drag, electrical forces, friction and many others. However, physicists have found that all these forces can be classified into four groups. These are gravitational forces, electromagnetic forces, strong nuclear force and weak nuclear force. Even better, all the forces that you will come across at school are either gravitational or electromagnetic. Doesn't that make life easy?

## Newtonian Gravity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-2)]

Gravity is the attractive force between two objects due to the mass of the objects. When you throw a ball in the air, its mass and the Earth's mass attract each other, which leads to a force between them. The ball falls back towards the Earth, and the Earth accelerates towards the ball. The movement of the Earth toward the ball is, however, so small that you couldn't possibly measure it.

## Electromagnetic Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-3)]

Almost all of the forces that we experience in everyday life are electromagnetic in origin. They have this unusual name because long ago people thought that electric forces and magnetic forces were different things. After much work and experimentation, it has been realised that they are actually different manifestations of the same underlying theory.

### The Electric Force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-4)]

If we have objects carrying electrical charge, which are not moving, then we are dealing with electrostatic forces (Coulomb's Law). This force is actually much stronger than gravity. This may seem strange, since gravity is obviously very powerful, and holding a balloon to the wall seems to be the most impressive thing electrostatic forces have done, but think about it: for gravity to be detectable, we need to have a very large mass nearby. But a balloon rubbed in someone's hair can stick to a wall with a force so strong that it overcomes the force of gravity - with just the charges in the balloon and the wall!

### Magnetic force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-5)]

The magnetic force is a different manifestation of the electromagnetic force. It stems from the interaction between moving charges as opposed to the fixed charges involved in Coulomb's Law.

Examples of the magnetic force in action include magnets, compasses, car engines, computer data storage and your hair standing on end. Magnets are also used in the wrecking industry to pick up cars and move them around sites.

## = Friction[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-6)]

Newton's First Law states that an object moving without a force acting on it will keep moving. Then why does a box sliding on a table stop? The answer is friction. Friction arises from the interaction between the molecules on the bottom of a box with the molecules on a table. This interaction is electromagnetic in origin, hence friction is just another view of the electromagnetic force. The great part about school physics is that most of the time we are told to neglect friction but it is good to be aware that there is friction in the real world.

Friction is also useful . If there was no friction and you tried to prop a ladder up against a wall, it would simply slide to the ground. Rock climbers use friction to maintain their grip on cliffs.

Friction is a force that impedes motion. It is in parallel to the contact surface and acts against the motion of the body.

### Drag Force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Examples&action=edit&section=T-7)]

This is the force an object experiences while travelling through a medium. When something travels through the air it needs to displace air as it travels and because of this the air exerts a force on the object. This becomes an important force when you move fast and a lot of thought is taken to try and reduce the amount of drag force a sports car experiences.

The drag force is very useful for parachutists. They jump from high altitudes and if there was no drag force, then they would continue accelerating all the way to the ground. Parachutes are wide because the more surface area you show, the greater the drag force and hence the slower you hit the ground.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Vectors)](http://en.wikibooks.org/wiki/FHSST_Physics/Vectors) \- [Next Chapter (Rectilinear Motion) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces)

[TO DO LIST](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/TO_DO_LIST) \- [Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Definition) \- [Diagrams](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Diagrams) \- [Equilibrium of Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Equilibrium_of_Forces) \- [Newton's Laws of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Laws_of_Motion) \- [Newton's Law of Universal Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Newton%27s_Law_of_Universal_Gravitation) \- [Examples](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Examples) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Forces/Summary)

# Summary of Important Quantities, Equations and Concepts[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Forces/Summary&action=edit&section=T-1)]

**Table 4.1:** Summary of the symbols and units of the quantities used in Force

Units

Quantity
Symbol
S.I. Unit
Fundamental Units
Direction

Mass
_m_
kg
kg
no

Acceleration
![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png)
m·s-2
m·s-2
yes

Force
![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png)
N
kg·m·s−2
yes

  
**Equilibrium**: Objects at rest or moving with constant velocity are in _equilibrium_ and have a _zero_ _resultant force_.

**Equilibrant**: The _equilibrant_ of any number of forces is the single force required to produce equilibrium.

**Triangle Law for Forces in Equilibrium**: Three forces in equilibrium can be represented in magnitude and direction by the three sides of a triangle taken in order.

**Newton's First Law**: Every object will remain at rest or in uniform motion in a straight line unless it is made to change its state by the action of an external force.

**Newton's Second Law**: The resultant force acting on a body results in an acceleration which is in the same direction as the resultant force and is directly proportional to the magnitude of this force and inversely proportional to the mass of the object.

**Newton's Third Law**: For every force or action there is an equal but opposite force or reaction.

# Rectilinear Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=7)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Forces)](http://en.wikibooks.org/wiki/FHSST_Physics/Forces) \- [Next Chapter (Momentum) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Rectilinear Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Definition) \- [Speed and Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity) \- [Graphs](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Graphs) \- [Equations of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Equations_of_Motion) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Summary)

# What is rectilinear motion?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Definition&action=edit&section=T-1)]

Rectilinear motion means motion along a straight line. This is a useful topic to study for learning how to describe the movement of cars along a straight road or of trains along straight railway tracks. In this section you have only two directions to worry about: (1) along the direction of motion, and (2) opposite to the direction of motion.

To illustrate this imagine a train heading east.

If it is accelerating away from the station platform (P), the direction of acceleration is the same as the direction of the train's velocity — east. If it is braking the direction of acceleration is opposite to the direction of its motion, i.e. west.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Forces)](http://en.wikibooks.org/wiki/FHSST_Physics/Forces) \- [Next Chapter (Momentum) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Rectilinear Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Definition) \- [Speed and Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity) \- [Graphs](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Graphs) \- [Equations of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Equations_of_Motion) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Summary)

# Speed and Velocity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity&action=edit&section=T-1)]

Let's take a moment to review our definitions of velocity and speed by looking at the worked example below:

## Worked Example 23 Speed and Velocity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity&action=edit&section=T-2)]

![Fhsst rectmot2.png](../../../upload.wikimedia.org/wikibooks/en/1/19/Fhsst_rectmot2.png)

**Question:** A cyclist moves from A through B to C in 10 seconds. Calculate both his speed and his velocity.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the distance between A and B
  * the distance between B and C
  * the total time for the cyclist to go from A through B to C

all in the correct units!

Step 2 :

What is being asked? We are asked to calculate the average speed and the average velocity of the cyclist.

His speed - a scalar - will be

![\\begin{matrix}v&=&\\frac{s}{t}\\\\&=&\\frac{30m+40m}{10s}\\\\&=&7\\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/7/5/5/7558365f0c25cbce335e772d41d2eff5.png)

Since velocity is a vector we will first need to find the resultant displacement of the cyclist. His velocity will be

![\\begin{matrix}\\overrightarrow{v}=\\frac{\\overrightarrow{s}}{t}\\end{matrix}](../../../upload.wikimedia.org/math/0/f/b/0fb5fb91d83ca0c52fd293b56887a4dd.png)

  


The total displacement is the vector from A to C, and this is just the resultant of the two displacement vectors, i.e.

![\\begin{matrix}\\overrightarrow{s} = \\overrightarrow{AC} = \\overrightarrow{AB} + \\overrightarrow{BC}\\end{matrix}](../../../upload.wikimedia.org/math/2/a/e/2aed7afae504519c64d51b0128d99313.png)

Using the [rule of Pythagoras](http://en.wikipedia.org/wiki/Pythagorean_theorem):

![\\begin{matrix}\\overrightarrow{s} &=& \\sqrt{{\(30m\)}^2+{\(40m\)}^2}\\\\&=& 50m \\ in \\ the \\ direction \\ from \\ A \\ to \\ C\\end{matrix}](../../../upload.wikimedia.org/math/7/9/9/799f4d253f0cf1695c54106dd8fa6423.png)

∴

![\\begin{matrix}\\overrightarrow{v} &=&\\frac{50\\ \\mbox{m}}{10\\ \\mbox{s}}\\\\&=& 5\\ \\frac{\\mbox{m}}{\\mbox{s}} \\ in\\ the \\ direction \\ from \\ A \\ to \\ C\\end{matrix}](../../../upload.wikimedia.org/math/e/1/d/e1d7394045cccfeffd554f4d4f5a1014.png)

* * *

For this cyclist, his velocity is not the same as his speed because there has been a change in the direction of his motion. If the cyclist traveled directly from A to C _without_ passing through B his speed would be

![\\begin{matrix}v &=& \\frac{50m}{10s}\\\\&=& 5 \\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/6/3/3/633b1af34aef6da500bfabfb83ed0cd4.png)

and his velocity would be

![\\begin{matrix}\\overrightarrow{v} &=& \\frac{50m}{10s}\\\\&=& 5 \\frac{m}{s} \\ in \\ the\\ direction \\ from \\ A \\ to \\ C\\end{matrix}](../../../upload.wikimedia.org/math/6/c/4/6c447bdd15e0df883b2e4afde90c821e.png)

In this case where the cyclist is not undergoing any change of direction (i.e. he is traveling in a straight line) the magnitudes of the speed and the velocity are the same. This is the defining principle of rectilinear motion.

**Important:**

For motion along a straight line the magnitudes of speed and velocity are the same, and the magnitudes of the distance and displacement are the same.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Forces)](http://en.wikibooks.org/wiki/FHSST_Physics/Forces) \- [Next Chapter (Momentum) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Rectilinear Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Definition) \- [Speed and Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity) \- [Graphs](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Graphs) \- [Equations of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Equations_of_Motion) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Summary)

# Graphs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-1)]

In physics we often use graphs as important tools for picturing certain concepts. Below are some graphs that help us picture the concepts of displacement, velocity and acceleration.

## Displacement-Time Graphs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-2)]

Below is a graph showing the displacement of the cyclist from A to C:

![Fhsst rectmot3.png](../../../upload.wikimedia.org/wikibooks/en/5/5b/Fhsst_rectmot3.png)

This graphs shows us how, in 10 seconds time, the cyclist has moved from A to C. We know the gradient (slope) of a graph is defined as the change in y divided by the change in x, i.e. ![\\frac{\\Delta y}{\\Delta x}](../../../upload.wikimedia.org/math/2/a/4/2a433e72a7faef084c0b11e1ce72d4ea.png). In this graph the gradient of the graph is just ![\\frac{\\Delta \\overrightarrow{s}}{\\Delta t}](../../../upload.wikimedia.org/math/6/c/8/6c819ee03cc46678fb3f5cb78a99452a.png) \- and this is just the expression for velocity.

**Important:**

The slope of a displacement-time graph gives the velocity.

The slope is the same all the way from A to C, so the cyclist's velocity is constant over the entire displacement he travels. In figure 5.1 are examples of the displacement-time graphs you will encounter.

![Fhsst rectmot4.png](../../../upload.wikimedia.org/wikibooks/en/3/35/Fhsst_rectmot4.png)

a) shows the graph for an object stationary over a period of time. The gradient is zero, so the object has zero velocity.

b) shows the graph for an object moving at a constant velocity. You can see that the displacement is increasing as time goes on. The gradient, however, stays constant (remember: its the slope of a straight line), so the velocity is constant. Here the gradient is positive, so the object is moving in the direction we have defined as positive.

c) shows the graph for an object moving at a constant acceleration. You can see that both the displacement and the velocity (gradient of the graph) increase with time. The gradient is increasing with time, thus the velocity is increasing with time and the object is accelerating.

  


## Velocity-Time Graphs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-3)]

Look at the velocity-time graph below:

[File:Fhsst rectmot17.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_rectmot17.png)

**RIAAN Note: first image on page 89 is missing**

This is the velocity-time graph of a cyclist traveling from A to B at a constant acceleration, i.e. with steadily increasing velocity. The gradient of this graph is just ![\\frac{\\Delta \\overrightarrow{v}}{\\Delta t}](../../../upload.wikimedia.org/math/4/a/0/4a0cfc8e2644c54cd2e1810625733753.png) \- and this is just the expression for acceleration. Because the slope is the same at all points on this graph, the acceleration of the cyclist is constant.

Important:

Not only can we get the acceleration of an object from its velocity-time graph, but we can also get some idea of the displacement traveled. Look at the graph below:

![Fhsst rectmot5.png](../../../upload.wikimedia.org/wikibooks/en/f/fc/Fhsst_rectmot5.png)

This graph shows an object moving at a constant velocity of 10_m_/_s_ for a duration of 5_s_. The area between the graph and the time axis (the shaded area) of the above plot will give us the displacement of the object during this time. In this case we just need to calculate the area of a rectangle with width 5s and height 10m/s

![\\begin{matrix}\\mathrm{area \\ of \\ rectangle} &=& \\mathrm{height} \\times \\mathrm{width}\\\\&=& \\overrightarrow{v} \\times t\\\\&=& 10 \\frac{m}{s} \\times 5 s\\\\&=& 50 m\\\\&=& \\overrightarrow{s}= \\mathrm{displacement}\\\\\\end{matrix}](../../../upload.wikimedia.org/math/e/d/2/ed28e263f9e18ac4f3d1065299fff339.png)

So, here we've shown that an object traveling at 10m/s for 5s has undergone a displacement of 50m.

Important:

The area between a velocity-time graph and the `time' axis gives the displacement of the object.

Here are a couple more velocity-time graphs to get used to:

![Fhsst rectmot6.png](../../../upload.wikimedia.org/wikibooks/en/a/a4/Fhsst_rectmot6.png)

Figure 5.2: Some common velocity-time graphs:

In figure 5.2 are examples of the displacement-time graphs you may encounter.

a) shows the graph for an object moving at a constant velocity over a period of time. The gradient is zero, so the object is not accelerating.

b) shows the graph for an object which is decelerating. You can see that the velocity is decreasing with time. The gradient, however, stays constant (remember: its the slope of a straight line), so the acceleration is constant. Here the gradient is negative, so the object is accelerating in the opposite direction to its motion, hence it is decelerating.

## Acceleration-Time Graphs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-4)]

In this chapter on rectilinear motion we will only deal with objects moving at a constant acceleration, thus all acceleration-time graphs will look like these two:

![Fhsst rectmot7.png](../../../upload.wikimedia.org/wikibooks/en/7/7d/Fhsst_rectmot7.png)

Here is a description of the graphs below:

a) shows the graph for an object which is either stationary or traveling at a constant velocity. Either way, the acceleration is zero over time.

b) shows the graph for an object moving at a constant acceleration. In this case the acceleration is positive - remember that it can also be negative.

We can obtain the velocity of a particle at some given time from an acceleration time graph - it is just given by the area between the graph and the time-axis. In the graph below, showing an object at a constant positive acceleration, the increase in velocity of the object after 2 seconds corresponds to the shaded portion.

![Fhsst rectmot8.png](../../../upload.wikimedia.org/wikibooks/en/d/de/Fhsst_rectmot8.png)

![\\begin{matrix}\\mathrm{area \\ of \\ rectangle} &=& \\overrightarrow{a} \\times t \\\\&=& 5 \\frac{m}{s^2} \\times 2s\\\\&=& 10 \\frac{m}{s}\\\\&=& \\overrightarrow{v}\\\\\\end{matrix}](../../../upload.wikimedia.org/math/1/a/c/1ac83904b737bef72f186f13f35a3cd6.png)

Its useful to remember the set of graphs below when working on problems. Figure 5.3 shows how displacement, velocity and time relate to each other. Given a displacement-time graph like the one on the left, we can plot the corresponding velocity-time graph by remembering that the slope of a displacement-time graph gives the velocity. Similarly, we can plot an acceleration-time graph from the gradient of the velocity-time graph.

![Fhsst rectmot9.png](../../../upload.wikimedia.org/wikibooks/en/8/88/Fhsst_rectmot9.png)

Figure 5.3: A Relationship Between Displacement, Velocity and Acceleration

## Worked Examples[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-5)]

### Worked Example 24 Relating displacement-, velocity-, and acceleration-time graphs[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-6)]

**Question:** Given the displacement-time graph below, draw the corresponding velocity-time and acceleration-time graphs, and then describe the motion of the object.

![Fhsst rectmot10.png](../../../upload.wikimedia.org/wikibooks/en/7/7c/Fhsst_rectmot10.png)

**Answer:**

Step 1 : Analyse the question to determine what is given. The question explicitly gives a displacement-time graph.

Step 2 : What is asked?

3 things:

  1. Draw a velocity-time graph
  2. Draw an acceleration-time graph
  3. Describe the behaviour of the object

  
For the first 2 seconds we can see that the displacement remains constant - so the object is not moving, thus it has zero velocity during this time. We can reach this conclusion by another path too: remember that the gradient of a displacement-time graph is the velocity. For the first 2 seconds we can see that the displacement-time graph is a horizontal line, i.e. it has a gradient of zero. Thus the velocity during this time is zero and the object is stationary.

For the next 2 seconds, displacement is increasing with time so the object is moving. Looking at the gradient of the displacement graph we can see that it is not constant. In fact, the slope is getting steeper (the gradient is increasing) as time goes on. Thus, remembering that the gradient of a displacement-time graph is the velocity, the velocity must be increasing with time during this phase.

For the final 2 seconds we see that displacement is still increasing with time, but this time the gradient is constant, so we know that the object is now travelling at a constant velocity, thus the velocity-time graph will be a horizontal line during this stage.

So our velocity-time graph looks like this one below. Because we haven't been given any values on the vertical axis of the displacement-time graph, we cannot figure out what the exact gradients are and hence what the values of the velocity are. In this type of question it is just important to show whether velocities are positive or negative, increasing, decreasing or constant.

![Fhsst rectmot11.png](../../../upload.wikimedia.org/wikibooks/en/4/41/Fhsst_rectmot11.png)

Once we have the velocity-time graph its much easier to get the acceleration-time graph as we know that the gradient of a velocity-time graph is the just the acceleration.

For the first 2 seconds the velocity-time graph is horizontal at zero, thus it has a gradient of zero and there is no acceleration during this time. (This makes sense because we know from the displacement time graph that the object is stationary during this time, so it can't be accelerating).

For the next 2 seconds the velocity-time graph has a positive gradient. This gradient is not changing (i.e. its constant) throughout these 2 seconds so there must be a constant positive acceleration.

For the final 2 seconds the object is traveling with a constant velocity. During this time the gradient of the velocity-time graph is once again zero, and thus the object is not accelerating.

The acceleration-time graph looks like this:

![Fhsst rectmot12.png](../../../upload.wikimedia.org/wikibooks/en/4/47/Fhsst_rectmot12.png)

A brief description of the motion of the object could read something like this: At _t_ = 0_s_ and object is stationary at some position and remains stationary until _t_ = 2_s_ when it begins accelerating. It accelerates in a positive direction for 2 seconds until _t_ = 4_s_ and then travels at a constant velocity for a further 2 seconds.

* * *

### Worked Example 25 Calculating distance from a velocity-time graph[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-7)]

**Question:** The velocity-time graph of a car is plotted below. Calculate the displacement of the car has after 15 seconds.

![Fhsst rectmot13.png](../../../upload.wikimedia.org/wikibooks/en/thumb/8/81/Fhsst_rectmot13.png/377px-Fhsst_rectmot13.png)

**Answer:** We are asked to calculate the displacement of the car. All we need to remember here is that the area between the velocity-time graph and the time axis gives us the displacement.

For _t_ = 0_s_ to _t_ = 5_s_ this is the triangle on the left:

![\\begin{matrix}Area \\triangle &=& \\frac{1}{2}b \\times h\\\\&=& \\frac{1}{2}5s\\times 4m/s\\\\&=&10m\\end{matrix}](../../../upload.wikimedia.org/math/1/e/6/1e6607b20845873509c751c4b7b52ea2.png)

For _t_ = 5_s_ to _t_ = 12_s_ the displacement is equal to the area of the rectangle

![\\begin{matrix}Area \\Box &=& w \\times h\\\\&=&7s \\times 4m/s\\\\&=&28m\\end{matrix}](../../../upload.wikimedia.org/math/1/e/a/1ea144aedd50f5c4daf82317b4cef558.png)

For _t_ = 12_s_ to _t_ = 14_s_ the displacement is equal to the area of the triangle above the time axis on the right

![\\begin{matrix}Area \\triangle &=& \\frac{1}{2}b \\times h\\\\&=& \\frac{1}{2}2s \\times 4m/s\\\\&=&4m\\end{matrix}](../../../upload.wikimedia.org/math/3/f/3/3f3e53858ea47bad53a7a5fa521d5c47.png)

For _t_ = 14_s_ to _t_ = 15_s_ the displacement is equal to the area of the triangle below the time axis

![\\begin{matrix}Area \\triangle &=& \\frac{1}{2}b \\times h\\\\&=& \\frac{1}{2}1s \\times 2m/s\\\\&=&1m\\end{matrix}](../../../upload.wikimedia.org/math/c/2/8/c28952e5137a2c14c96ffa8ff2a8f7ea.png)

Now the total displacement of the car is just the sum of all of these areas. HOWEVER, because in the last second (from _t_ = 14_s_ to _t_ = 15_s_) the velocity of the car is negative, it means that the car was going in the opposite direction, i.e. back where it came from! So, to get the total displacement, we have to add the first 3 areas (those with positive displacements) and subtract the last one (because it signifies a displacement in the opposite direction).

![\\begin{matrix}\\overrightarrow{s}&=&10 +28 +4 -1\\\\&=&41m\\ in\\ the\\ positive\\ direction\\end{matrix}](../../../upload.wikimedia.org/math/4/c/0/4c0ea83561ae84d3277de4a6a0eed10d.png)

* * *

### Worked Example 26 Velocity from a displacement-time graph[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-8)]

**Question:** Given the diplacement-time graph below,

  1. what is the velocity of the object during the first 4 seconds?
  2. what is the velocity of the object from _t_ = 4_s_ to _t_ = 7_s_?

![Fhsst rectmot14.png](../../../upload.wikimedia.org/wikibooks/en/5/51/Fhsst_rectmot14.png)

**Answer:**

  1. for the first 4sec velocity is slope of the curve i.e. 2/4=0.5m/s
  1. For the last 3 seconds we can see that the displacement stays constant, and that the gradient is zero. Thus ![\\overrightarrow{v}=0m/s](../../../upload.wikimedia.org/math/e/5/f/e5f512bdac8a510d590807c966eb4f87.png).

* * *

### Worked Example 27 From an acceleration- to a velocity-time graph[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Graphs&action=edit&section=T-9)]

**Question:** Given the acceleration-time graph below, assume that the object starts from rest and draw its velocity-time graph.

  
**Answer:**

![Fhsst rectmot15.png](../../../upload.wikimedia.org/wikibooks/en/0/0e/Fhsst_rectmot15.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Forces)](http://en.wikibooks.org/wiki/FHSST_Physics/Forces) \- [Next Chapter (Momentum) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Rectilinear Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Definition) \- [Speed and Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity) \- [Graphs](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Graphs) \- [Equations of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Equations_of_Motion) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Summary)

# Equations of Motion[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-1)]

This section is about solving problems relating to uniformly accelerated motion. We'll first introduce the variables and the equations, then we'll show you how to derive them, and after that we'll do a couple of examples.

    _u_ = starting velocity (m/s) at _t_ = 0
    _v_ = final velocity (m/s) at time _t_
    _s_ = displacement (m)
    _t_ = time (s)
    _a_ = acceleration (m/s²}

![v = u + at \\,](../../../upload.wikimedia.org/math/a/a/1/aa18f61b4e7c9b1afebb4a98a91f0456.png)

(5.1)

![s = \\frac{\(u + v\)}{2} t](../../../upload.wikimedia.org/math/e/3/b/e3bc6e18fa748cbfd4832755372666ba.png)

(5.2)

![s = ut + \\frac{1}{2}at^2](../../../upload.wikimedia.org/math/6/e/5/6e551b7718cf4ab08290ff74ddc45ded.png)

(5.3)

![v^2 = u^2 + 2as \\,](../../../upload.wikimedia.org/math/7/4/2/742e18bc162bee7779b978e49561fa9e.png)

(5.4)

![\\Delta x = 1/2*a*\(\\Delta t\)^2 + u\(\\Delta t\)](../../../upload.wikimedia.org/math/6/4/9/649f8eaa82a4ca941ee285fe5957f886.png)

  
Make sure you can rhyme these off, they are very important! There are so many different types of questions for these equations. Basically when you are answering a question like this:

  1. Find out what values you have and write them down.
  2. Figure out which equation you need.
  3. Write it down!!!
  4. Fill in all the values you have and get the answer.

* * *

(-1.5,0) 

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)

Galileo Galilei of Pisa, Italy, was the first to determine the correct mathematical law for acceleration: the total distance covered, starting from rest, is proportional to the square of the time. He also concluded that 

objects retain their velocity unless a force - often friction - acts upon them, refuting the accepted Aristotelian hypothesis that objects "naturally" slow down and stop unless a force acts upon them. This principle was incorporated into Newton's laws of motion (1st law).

## Equation 5.1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-2)]

By the definition of acceleration ![a = \\frac{\\Delta v}{t}](../../../upload.wikimedia.org/math/5/4/0/540b8cecb9eea78cdd6abecee421b9d7.png) where ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_v_ is the change in velocity, i.e. ![\\Delta v = v - u](../../../upload.wikimedia.org/math/2/a/f/2af7a1ec5779a0060c391452a6d701eb.png). Thus we have

![\\begin{matrix}a &=& \\frac{v-u}{t} \\\\v &=& u +at\\end{matrix}](../../../upload.wikimedia.org/math/e/f/9/ef943e2d8054a97a3e783be328099f41.png)

  


## Equation 5.2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-3)]

In the previous section we saw that displacement can be calculated from the area between a velocity-time graph and the time-axis. For uniformly accelerated motion the most complicated velocity-time graph we can have is a straight line. Look at the graph below — it represents an object with a starting velocity of _u_, accelerating to a final velocity _v_ over a total time _t_.

To calculate the final displacement we must calculate the area under the graph — this is just the area of the rectangle added to the area of the triangle.

![\\begin{matrix}Area \\triangle &=& \\frac{1}{2}b \\times h\\\\&=& \\frac{1}{2}t \\times \(v-u\)\\\\&=& \\frac{1}{2}vt - \\frac{1}{2}ut\\end{matrix}](../../../upload.wikimedia.org/math/b/2/7/b2709fafe705086699ae64a315c482d5.png) ![\\begin{matrix}Area \\Box &=& w \\times h\\\\&=& t \\times u\\\\&=& ut\\end{matrix}](../../../upload.wikimedia.org/math/0/a/e/0aeb14d9f19eb7cc1cfaaa5f96716f93.png) ![\\begin{matrix}Displacement &=& Area \\Box + Area \\triangle\\\\s &=& ut + \\frac{1}{2}vt -\\frac{1}{2}ut\\\\&=& \\frac{\(u+v\)}{2}t\\end{matrix}](../../../upload.wikimedia.org/math/5/b/4/5b408cc89f57c4c14d5d876c14b51a5f.png)

## Equation 5.3[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-4)]

This equation is simply derived by eliminating the final velocity _v_ in equation 5.2. Remembering from equation 5.1 that

![v=u+at](../../../upload.wikimedia.org/math/d/a/1/da1199c1595ed1c6a7123b95cc0e9b98.png)

then equation 5.2 becomes

![\\begin{matrix}s &=& \\frac{u+u+at}{2}t\\\\&=&\\frac{2ut+at^2}{2}\\\\&=&ut+\\frac{1}{2}at^2\\end{matrix}](../../../upload.wikimedia.org/math/8/1/a/81a6e52de7baea70b14efade65677d8b.png)

## Equation 5.4[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-5)]

This equation is just derived by eliminating the time variable in the above equation. From Equation 5.1 we know

![t=\\frac{v-u}{a}](../../../upload.wikimedia.org/math/0/c/7/0c7c5c0d3dd8f1104f9766a2d2696e69.png)

Substituting this into Equation 5.3 gives

  


![\\begin{matrix}s &=& u\(\\frac{v-u}{a}\)+\\frac{1}{2}a\(\\frac{v-u}{a}\)^2 \\\\&=& \\frac{uv}{a}-\\frac{u^2}{a}+\\frac{1}{2}a\(\\frac{v^2-2uv+u^2}{a^2}\) \\\\&=& \\frac{uv}{a}-\\frac{u^2}{a}+\\frac{v^2}{2a}-\\frac{uv}{a}+\\frac{u^2}{2a}\\\\2as &=& -2u^2+v^2+u^2 \\\\v^2& =&u^2+2as\\end{matrix}](../../../upload.wikimedia.org/math/f/8/a/f8a7b3c78ed1b25639fb0d255a73222b.png)

(5.5)

  
This gives us the final velocity in terms of the initial velocity, acceleration and displacement and is independent of the time variable.

## Worked Example 28[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-6)]

**Question:** A racing car has an initial velocity of 100 m/s and it covers a displacement of 725 m in 10 s. Find its acceleration.

**Answer:**

Step 1 :

We are given the quantities _u_, _s_ and _t_ — all in the correct units. We need to find _a_.

Step 2 :

We can use equation 5.3 ![s=ut +\\frac{1}{2}at^2](../../../upload.wikimedia.org/math/6/e/5/6e551b7718cf4ab08290ff74ddc45ded.png)

Step 3 :

Rearranging equation 5.3 we have ![a=\\frac{2\(s-ut\)}{t^2}](../../../upload.wikimedia.org/math/2/8/c/28c36e095876aec68cd787ccc8184f01.png)

Substituting in the values of the known quantities this becomes

![\\begin{matrix}a &=& \\frac{2\(725 \\mbox{ m}-100\\frac{\\mbox{m}}{\\mbox{s}}\\cdot10\\mbox{ s}\)}{10^2 \\mbox{ s}^2}\\\\&=&\\frac{2\(-275 \\mbox{ m}\)}{100 \\mbox{ s}^2}\\\\&=&-5.5\\frac{\\mbox{m}}{\\mbox{s}^2}\\end{matrix}](../../../upload.wikimedia.org/math/0/c/1/0c1844baaa769f98ff621368e5d3f860.png)

The racing car is accelerating at -5.5 m/s², or we could say it is decelerating at 5.5 m/s². this ans is wrong

its better to use a=v-u/t then a=(725-100)/10s you will get a=625/10 which will be equal to 62.5m/s2

## Worked Example 29[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-7)]

**Question:** An object starts from rest, moves in a straight line with a constant acceleration and covers a distance of 64 m in 4 s. Calculate

  * its acceleration
  * its final velocity
  * at what time the object had covered half the total distance
  * what distance the object had covered in half the total time.

**Answer:**

Step 1 : We are given the quantities _u_, _s_ and _t_ in the correct units.

Step 2 : To calculate the acceleration we can use equation [#eq:eq3 5.3]. Rearranging it we have:

![a=\\frac{2\(s-ut\)}{t^2}](../../../upload.wikimedia.org/math/2/8/c/28c36e095876aec68cd787ccc8184f01.png)

Substituting in the values of the known quantities this becomes

![\\begin{matrix}a &=& \\frac{2\(64m-0\\frac{m}{s}4s}{4^2s^2}\\\\&=&\\frac{128m}{16s^2}\\\\&=&8\\frac{m}{s^2}\\end{matrix}](../../../upload.wikimedia.org/math/1/c/4/1c48d602c52f5884128a2da7baeb9eb2.png)

Step 3 : To calculate its final velocity we can use equation 5.1 - remember we now also know the acceleration of the object.

![\\begin{matrix}v&=&u+at\\\\&=&0\\frac{m}{s}+\(8\\frac{m}{s^2}\)\(4s\)\\\\&=&32\\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/b/1/0/b10927083e74d2c471fb2f7fa7ed26ee.png)

Step 4 : The time at which the object had covered half the total distance. Half the distance is 32_m_. Here we have the quantities _s_, _u_ and _a_ so we first use equation 5.4 to calculate the velocity at this distance:

![\\begin{matrix}v^2&=&u^2+2as\\\\&=&\(0m\)^2+2\(8m/s^2\)\(32m\)\\\\&=&512m^2/s^2\\\\v&=&22.6m/s\\end{matrix}](../../../upload.wikimedia.org/math/2/a/2/2a20b2f9b0a07d6d0797de2ff99a52ef.png)

Now we can use equation 5.2 to calculate the time:

![\\begin{matrix}t&=&\\frac{2s}{u+v}\\\\&=&\\frac{\(2\)\(32m\)}{0m/s+22.6m/s}\\\\&=&2.8s\\end{matrix}](../../../upload.wikimedia.org/math/5/2/d/52d919033c7e1c3a4b2d1f72df4715cd.png)

Step 5 : The distance the object had covered in half the time. Half the time is 2_s_. Thus we have _u_, _a_ and _t_ \- all in the correct units. We can use equation 5.3 to get the distance:

![\\begin{matrix}s&=&ut+\\frac{1}{2}at^2\\\\&=&\(0m/s\)\(2s\)+\\frac{1}{2}\(8\\frac{m}{s^2}\)\(2s\)^2\\\\&=&16m\\end{matrix}](../../../upload.wikimedia.org/math/e/1/e/e1eb128749bed9487ea7aac9825db616.png)

## Worked Example 30[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-8)]

**Question:** A ball is thrown vertically upwards with a velocity of 10 m/s from the balcony of a tall building. The balcony is 15 m above the ground and gravitational accleration is 10 m/s2. Find a) the time required for the ball to hit the ground, and b) the velocity with which it hits the ground.

### **Answer:1**[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-9)]

Step 1 : In this case it often helps to make the problem easier to understand if we draw ourselves a picture like the one below:

![Fhsst rectmot16.png](../../../upload.wikimedia.org/wikibooks/en/a/a3/Fhsst_rectmot16.png)

First the ball goes upwards with gravitational acceleration slowing it until it reaches its highest point — here its speed is 0 m/s — then it begins descending with gravitational acceleration causing it to increase its speed on the way down. We can separate the motion into 2 stages:

Stage 1 - the upward motion of the ball

Stage 2 - the downward motion of the ball.

We'll choose the upward direction as positive - this means that gravitation acceleraton is negative - and we'll begin by solving for all the variables of Stage 1. So far we have these quantities:

![\\begin{matrix}u_1&=&10m/s\\\\v_1&=&0m/s\\\\a_1&=&-10m/s^2\\\\t_1&=&?\\\\s_1&=&?\\end{matrix}](../../../upload.wikimedia.org/math/a/b/8/ab810b8ff8a1049e7ad4e440c0e43d03.png)

Using equation 5.1 to find _t_1:

![\\begin{matrix}v_1&=&u_1+a_1t_1\\\\t_1&=&\\frac{v_1-u_1}{a_1}\\\\&=&\\frac{0m/s-10m/s}{-10m/s^2}\\\\&=&1s\\end{matrix}](../../../upload.wikimedia.org/math/e/5/7/e57b510169ccb1832e114a0cc1f33cf5.png)

We can find _s_1 by using equation 5.4

![\\begin{matrix}v_1^2&=&u_1^2+2a_1s_1\\\\s_1&=&\\frac{v_1^2-u_1^2}{2a}\\\\&=&\\frac{\(0m/s\)^2-\(10m/s\)^2}{2\(-10m/s^2\)}\\\\&=&5m\\end{matrix}](../../../upload.wikimedia.org/math/8/0/4/8040bcc8732c7ea175e3029a74f1a794.png)

  
For Stage 2 we have the following quantities:

![\\begin{matrix}u_2&=&0m/s\\\\v_2&=&?\\\\a_2&=&-10m/s^2\\\\t_2&=&?\\\\s_2&=&-15m-5m=20m\\end{matrix}](../../../upload.wikimedia.org/math/c/3/b/c3bd3ee523c5dae9d1f1cd294fc5a98b.png)

We can determine the final velocity _v_2 using equation 5.4:

![\\begin{matrix}v_2^2&=&u_2^2+2a_2s_2\\\\&=&\(0m/s\)^2+2\(-10m/s^2\)\(-20m\)\\\\&=&400\(m/s\)^2\\\\v_2&=&20m/s \\mbox{ downwards}\\end{matrix}](../../../upload.wikimedia.org/math/9/1/5/9155e82ea02890bb6dd42e2f14253e37.png)

Now we can determine the time for Stage 2, _t_2, from equation 5.1:

![\\begin{matrix}v_2&=&u_2+a_2t_2\\\\t_2&=&\\frac{v_2-u_2}{a_2}\\\\&=&\\frac{-20m/s-0m/s}{-10m/s^2}\\\\&=&2s\\end{matrix}](../../../upload.wikimedia.org/math/8/4/e/84e2639526ca4ef82d426c3a7038e6a0.png)

  
Finally,

a) the time required for the stone to hit the ground is

![t=t_1+t_2=1 \\mbox{ s}+2 \\mbox{ s}=3 \\mbox{ s}](../../../upload.wikimedia.org/math/d/2/b/d2bca6929341df7488a0374034f20598.png)

b) the velocity with which it hits the ground is just

![v_2=-20 \\ \\mbox{m}/\\mbox{s}](../../../upload.wikimedia.org/math/5/3/b/53b3b5b77fb8b82825e45de4f04c6c9c.png)

### **Answer:2**[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Equations_of_Motion&action=edit&section=T-10)]

applying  
![\\vec s\(t\) = \\vec S_i + \\vec U_i \\ \(t- T_i\) + \\frac {\\vec A}{2} \(t - T_i\)^2 ](../../../upload.wikimedia.org/math/b/a/3/ba30eb292dca2c161e8e886b473aa329.png)  
![ 0 = 15 \\hat j + 10 \\hat j \(T_{total} - 0 \) + \\frac {-10 \\hat j}{2} \(T_{total} - 0\)^2  ](../../../upload.wikimedia.org/math/8/a/2/8a2f4a3acffcfaa2ee19a158c85b1262.png)  
![ T_{total}^2 - 2 \\ T_{total} - 3 = 0 ](../../../upload.wikimedia.org/math/7/0/4/70493112c1b524547be553fe65521e89.png)  
solving we will get  
![ T_{total} = 3 , -1 ](../../../upload.wikimedia.org/math/9/5/8/958aa798f0ebe581ab81c675d4e99804.png)  
so time to reach is 3 second , now applying  
![ \\vec v \(t\) = \\vec U_i + \\vec A \(t- T_i\)](../../../upload.wikimedia.org/math/b/c/7/bc7187c776ee886ab83814bab8e74cfd.png)  
![ \\vec v \(3\) = 10 \\hat j + \(-10 \\hat j\) \(3- 0\)](../../../upload.wikimedia.org/math/2/5/5/2553f95a6de4acdb21baa984ee54922e.png)  
![ \\vec v \(3\) = -20 \\hat j ](../../../upload.wikimedia.org/math/0/4/2/04270ea09a08d0e7219ebad797ff81f8.png)  


* * *

These questions do not have the working out in them, but they are all done in the manner described on the previous page.

**Question:** A car starts off at 10 m/s and accelerates at 1 m/s2 for 10 seconds. What is its final velocity?

**Answer:** 20 m/s

**Question:** A car starts from rest, and accelerates at 1 m/s2 for 10 seconds. How far does it move?

**Answer:** 50 m

**Question:** A car is going 30 m/s and stops in 2 seconds. What is its stopping distance for this speed?

**Answer:** 30 m

**Question:** A car going at 20 m/s stops in a distance of 20 m.

  1. What is its deceleration?
  2. If the car is 1 tonne (1000 kg, or 1 Mg) how much force do the brakes exert?

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Forces)](http://en.wikibooks.org/wiki/FHSST_Physics/Forces) \- [Next Chapter (Momentum) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Rectilinear Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Definition) \- [Speed and Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Speed_and_Velocity) \- [Graphs](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Graphs) \- [Equations of Motion](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Equations_of_Motion) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion/Summary)

  


# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Rectilinear_Motion/Summary&action=edit&section=T-1)]

**Table 5.1:** Units used in Rectilinear Motion

Units

Quantity
Symbol
Unit
S.I. Units
Direction

Displacement
![\\overrightarrow{s}](../../../upload.wikimedia.org/math/8/8/2/882cadc39f773f34dbf8ac862eded788.png)
-
m
yes

Velocity
![\\overrightarrow{u}](../../../upload.wikimedia.org/math/7/5/d/75d7001f376072c3890668fec92fc328.png), ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
-
m·s-1
yes

Distance
_s_
-
m
-

Speed
_v_
-
m·s-1
-

Acceleration
![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png)
-
m·s-2
yes

# Momentum[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=8)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

# What is Momentum?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Definition&action=edit&section=T-1)]

Momentum is a physical quantity which is closely related to forces. We will learn about this connection a little later. Remarkably momentum is a conserved quantity. This makes momentum extremely useful in solving a great variety of real-world problems. Firstly we must consider the definition of momentum.

> **Definition:**
> 
> The _momentum_ of an object is defined as its mass multiplied by its velocity.

Mathematically,

> ![\\overrightarrow{p} =  m\\overrightarrow{v}](../../../upload.wikimedia.org/math/c/8/2/c82906b5bbb52a33e300e7e1236e366c.png)
> 
> ![\\overrightarrow{p}](../../../upload.wikimedia.org/math/2/4/f/24fcb498cd5ba8373d9799381e27e49a.png)
>  : momentum (![kg.m.s^{-1}](../../../upload.wikimedia.org/math/e/8/b/e8b7a866e43865a38d6a8b179b186565.png) \+ direction)
> 
> _m_
>  : mass (_kg_)
> 
> ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
>  : velocity (_m_._s_-1 \+ direction)

Thus, momentum is a property of a moving object and is determined by its velocity and mass. A large truck travelling slowly can have the same momentum as a much smaller car travelling relatively fast.

Note the arrows in the equation defining momentum- momentum is a vector with the same direction as the velocity of the object.

Since the direction of an object's momentum is given by the direction of its motion, one can calculate an object's momentum in two steps:

  * include in the final answer the direction of the object's motion

## Worked Example 31 Calculating Momentum 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Definition&action=edit&section=T-2)]

**Question:** A ball of mass 3_kg_ moves at 2_m_._s_-1 to the right. Calculate the ball's momentum.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the ball's mass, and
  * the ball's velocity

in the correct units!

Step 2 :

What is being asked? We are asked to calculate the ball's momentum. From the definition of momentum,

![\\begin{matrix}\\overrightarrow{p} = m\\overrightarrow{v},\\end{matrix}](../../../upload.wikimedia.org/math/a/d/5/ad52d0f96dc35c8cecdab8fa1dd5f69a.png)

we see that we need the mass and velocity of the ball, which we are given.

Step 3 :

Firstly we calculate the magnitude of the ball's momentum,

![\\begin{matrix}p &=& mv \\\\&=& \(3kg\)\(2m.s^{-1}\) = 6\\ kg.m.s^{-1}.\\end{matrix}](../../../upload.wikimedia.org/math/d/4/2/d42cfa8af508f4d5e645669bbe998145.png)

Finally we quote the answer with the direction of the ball's motion included,

![\\begin{matrix}\\overrightarrow{p} = 6\\ kg.m.s^{-1}\\textbf{\\ to\\ the\\ right}\\end{matrix}](../../../upload.wikimedia.org/math/f/b/6/fb6da9c6580bb5be43c0dc4ebf230a0e.png)

## Worked Example 32 Calculating Momentum 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Definition&action=edit&section=T-3)]

**Question:** A ball of mass 500_g_ is thrown at 2_m_._s_-1. Calculate the ball's momentum.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the ball's mass, and
  * the magnitude of the ball's velocity

but with the ball's mass in the incorrect units!

Step 2 :

What is being asked? We are asked to calculate the momentum which is defined as

![\\begin{matrix}\\overrightarrow{p} = m\\overrightarrow{v}.\\end{matrix}](../../../upload.wikimedia.org/math/c/c/4/cc4d75b70658b886c88feb15f1fe3d2f.png)

Thus, we need the mass and velocity of the ball but we have only its mass and the magnitude of its velocity.

Step 3 :

In order to determine the velocity of the ball we need the direction of the ball's motion. If the problem does not give an explicit direction we are forced to be general. In a case like this we could say that the direction of the velocity is in the direction of motion of the ball. This might sound silly but the lack of information in the question has forced us to be, and we are certainly not wrong! The ball's velocity is then _m_._s_-1 in the direction of motion.

Step 4 :

Next we convert the mass to the correct units,

![\\begin{matrix}1000g&=&1kg \\\\1 & = & \\frac{1kg}{1000g}\\\\500g \\times 1 &=& 500g \\times \\frac{1kg}{1000g}\\\\& = & 0.500kg\\end{matrix}](../../../upload.wikimedia.org/math/1/b/8/1b8926c9a1d23aa4e8a97d02e1e4e207.png)

Step 5 :

Now, let us find the magnitude of the ball's momentum,

![\\begin{matrix}p &=& mv\\\\&=& \(0.500kg\)\(2m.s^{-1}\) = 1\\ kg.m.s^{-1}\\end{matrix}](../../../upload.wikimedia.org/math/a/5/4/a5459e200ddd9b8dc9b9a2e82b76fa85.png)

Step 6 :

Finally, we quote the answer with the direction of the momentum included,

![\\begin{matrix}\\overrightarrow{p} &=& 1\\ kg.m.s^{-1}\\textbf{\\ in\\ the\\ direction\\ of\\ motion\\ of\\ the\\ ball} \\end{matrix}](../../../upload.wikimedia.org/math/0/7/e/07e6159b85e6786cb0724017a24d72ce.png)

## Worked Example 33 Calculating the Momentum of the Moon[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Definition&action=edit&section=T-4)]

**Question:** The moon is ![384\\ 400km](../../../upload.wikimedia.org/math/8/a/6/8a60f7e0762ff50bc314d02728e7e8bc.png) away from the earth and orbits the earth in 27.3 days. If the moon has a mass of ![7.35\\times10^{22}kg](../../../upload.wikimedia.org/math/1/d/2/1d27a12abb6dbcf1a28f1f45ec28bbc2.png) [footnode.html#foot11743 6.1] what is the magnitude of its momentum if we assume a circular orbit?

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the moon's mass,
  * the distance to the moon, and
  * the time for one orbit of the moon

with mass in the correct units but all other quantities in the incorrect units.

The units we require are

  * seconds (_s_) for time, and
  * metres (_m_) for distance pesteng physics→→→→→→

Step 2 :

What is being asked? We are asked to calculate only the magnitude of the moon's momentum (i.e. we do not need to specify a direction). In order to do this we require the moon's mass and the magnitude of its velocity, since ![\\begin{matrix}p = mv.\\end{matrix}](../../../upload.wikimedia.org/math/7/5/1/7511e7e8240c5b449f08824ccc129343.png)

Step 3 :

How do we find the speed or magnitude of the moon's velocity? Speed is defined as,

![\\begin{matrix}speed &=& \\frac{Distance}{time}\\end{matrix}](../../../upload.wikimedia.org/math/3/e/2/3e2bbe11877fa72d8bcc0de3442f7eb3.png)

We are given the time the moon takes for one orbit but not how far it travels in that time. However, we can work this out from the distance to the moon and the fact that the moon's orbit is circular. Firstly let us convert the distance to the moon to the correct units,

![\\begin{matrix}1km &=& 1000m\\\\1 &=& \\frac{1000m}{1km}\\\\384\\ 400km \\times 1 &=& 384\\ 400km\\times\\frac{1000m}{1km}\\\\&=& 384\\ 400\\ 000 m\\\\&=& 3.844\\times10^8\\ m\\end{matrix}](../../../upload.wikimedia.org/math/c/f/8/cf886969b8eb40fa30a93d0fbc8cb08f.png)

Using the equation for the circumference, _C_, of a circle in terms of its radius, we can determine the distance travelled by the moon in one orbit:

![\\begin{matrix}C&=&2\\pi r\\\\&=&2\\pi \(3.844\\times10^8\\ m\)\\\\&=& 2.42\\times10^{9}\\ m.\\\\\\end{matrix}](../../../upload.wikimedia.org/math/0/3/d/03d4d6f43a08f655fe560a01f812f5b3.png)

Next we must convert the orbit time, _T_, into the correct units. Using the fact that a day contains 24 hours, an hour consists of 60 minutes, and a minute is 60 seconds long,

![\\begin{matrix}1 day&=&\(24\)\(60\)\(60\) seconds \\\\1 &=&\\frac{\(24\)\(60\)\(60\)s}{1 day}\\\\27.3days\\times 1 &=& 27.3 days \\frac{\(24\)\(60\)\(60\)s}{1day}\\\\& = & 2.36\\times10^{6}s\\end{matrix}](../../../upload.wikimedia.org/math/5/7/b/57b01c3b5d4a985ce50b355af911221c.png)

Therefore, ![\\begin{matrix}T = 2.36\\times10^{6}s. \\end{matrix}](../../../upload.wikimedia.org/math/f/3/f/f3f40a7e7601f73bf1fe055cccf000e9.png)

Combining the distance travelled by the moon in an orbit and the time taken by the moon to complete one orbit, we can determine the magnitude of the moon's velocity or speed,

![\\begin{matrix}v &=& \\frac{Distance}{time}\\\\&=& \\frac{C}{T}\\\\&=& 1.02\\times10^{3}\\ m.s^{-1}.\\end{matrix}](../../../upload.wikimedia.org/math/7/d/f/7dfd1a9afec86a33a82d805f86898bca.png)

Step 4 :

Finally we can calculate the magnitude of the moon's momentum,

![\\begin{matrix}p &=& mv\\\\&=& \(7.35\\times10^{22}kg\)\(1.02\\times10^{3}\\ m.s^{-1}\)\\\\&=& 7.50 \\times10^{25}\\ kg.m.s^{-1}.\\end{matrix}](../../../upload.wikimedia.org/math/4/1/a/41ad3daf8795727c03ca6470099c4ea7.png)

  

    
    
    →33→
    

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

# The Momentum of a System[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/System&action=edit&section=T-1)]

In Chapter 4 [Forces](http://en.wikibooks.org/wiki/FHSST_Physics_Forces:Forces) the concept of a system was introduced. The bodies that make up a system can have different masses and can be moving with different velocities. In other words they can have different momenta.

> **Definition:**
> 
> The _total momentum of a system_ is the sum of the momenta of each of the objects in the system.

Since momentum is a vector, the techniques of vector addition discussed in [This chapter](http://en.wikibooks.org/wiki/FHSST_Physics_Vectors:Techniques_of_Vector_Addition) must be used to calculate the total momentum of a system. Let us consider an example.

## Worked Example 34 Calculating the Total Momentum of a System[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/System&action=edit&section=T-2)]

**Question:** Two billiard balls roll towards each other. They each have a mass of 0.3_kg_. Ball 1 is moving at ![v_1=1\\ m.s^{-1}](../../../upload.wikimedia.org/math/7/a/c/7acdb607796c3959bef3a7d2f96b582c.png) to the right, while ball 2 is moving at ![v_2=0.8\\ m.s^{-1}](../../../upload.wikimedia.org/math/6/a/a/6aac2f628d1d526102624fb19d16041f.png) to the left.

Calculate the total momentum of the system.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the mass of each ball,
  * the velocity of ball 1, ![\\overrightarrow{v_1}](../../../upload.wikimedia.org/math/4/5/f/45f41564c73a5c8b4652b2364eed322a.png) and
  * the velocity of ball 2, ![\\overrightarrow{v_2}](../../../upload.wikimedia.org/math/a/8/f/a8f2cc9ebdc1f018cc0506faaa3a7c6b.png),

all in the correct units!

Step 2 :

What is being asked? We are asked to calculate the **total momentum of the system**. In this example our system consists of two balls. To find the total momentum we must sum the momenta of the balls,

![\\begin{matrix}\\overrightarrow{p}_{total} &=& \\overrightarrow{p_1}+\\overrightarrow{p_2}\\end{matrix}](../../../upload.wikimedia.org/math/5/c/a/5caee6374553838ac46323eaaefc0121.png)

Since ball 1 is moving to the right, its momentum is in this direction, while the second ball's momentum is directed towards the left.

![Fhsst mom1.png](../../../upload.wikimedia.org/wikibooks/en/5/5c/Fhsst_mom1.png)

Thus, we are required to find the sum of two vectors acting along the same straight line. The algebraic method of vector addition introduced in [this chapter](http://en.wikibooks.org/wiki/FHSST_Physics_Vectors:Techniques_of_Vector_Addition) can thus be used.

Step 3 :

Firstly we choose a positive direction. Let us choose right as the positive direction, then obviously left is negative.

Step 4 :

The total momentum of the system is then the sum of the two momenta taking the directions of the velocities into account. Ball 1 is travelling at ![1\\ m.s^{-1}\\ to\\ the\\ right](../../../upload.wikimedia.org/math/1/b/a/1ba6ed520ed599f1a099acb4bb5f3aab.png) or ![+1\\ m.s^{-1}](../../../upload.wikimedia.org/math/a/d/d/add512734820bb11dd505b094eb9b833.png). Ball 2 is travelling at ![0.8\\ m.s^{-1}\\ to\\ the\\ left](../../../upload.wikimedia.org/math/c/6/d/c6d525ba2a34616b09ec3ff1a58bd457.png) or ![-0.8\\ m.s^{-1}](../../../upload.wikimedia.org/math/b/7/c/b7c819459928e03530968d7d2b8dff47.png). Thus,

_Right is the positive direction_

![\\begin{matrix}\\overrightarrow{p}_{total} &=& m_1\\overrightarrow{v_1} +m_2\\overrightarrow{v_2}\\\\&=& \(0.3kg\)\(+1\\ m.s^{-1}\) + \(0.3kg\)\(-0.8\\ m.s^{-1}\)\\\\&=& \(+0.3\\ kg.m.s^{-1}\) + \(-0.24\\ kg.m.s^{-1}\) \\\\&=& +0.06\\ kg.m.s^{-1}\\\\&=& 0.06\\ kg.m.s^{-1}\\textbf{\\ to\\ the\\ right}\\end{matrix}](../../../upload.wikimedia.org/math/a/4/f/a4f79672dc7589817e6adeca76ad8e45.png)

In the last step the direction was added in words. Since the result in the second last line is positive, the total momentum of the system is in the positive direction (i.e. to the right).

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

# Change in Momentum[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Change&action=edit&section=T-1)]

If either an object's mass or velocity changes then its momentum too will change. If an object has an initial velocity ![\\overrightarrow{u}](../../../upload.wikimedia.org/math/7/5/d/75d7001f376072c3890668fec92fc328.png) and a final velocity ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png), then its change in momentum, ![\\Delta \\overrightarrow{p}](../../../upload.wikimedia.org/math/a/8/0/a80b272a1900d355a41d93aa5998141b.png), is

![\\Delta \\overrightarrow{p}](../../../upload.wikimedia.org/math/a/8/0/a80b272a1900d355a41d93aa5998141b.png)
= ![\\overrightarrow{p}_{final}-\\overrightarrow{p}_{initial}](../../../upload.wikimedia.org/math/6/9/9/699ac1df5a8f7bfcfe4d271398cca6b4.png) ![m\\overrightarrow{v}-m\\overrightarrow{u}](../../../upload.wikimedia.org/math/8/d/3/8d3a8bef75d6a072774cff322910bce9.png)

## Worked Example 35 Change in Momentum[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Change&action=edit&section=T-2)]

**Question:** A rubber ball of mass 0.8_kg_ is dropped and strikes the floor at a velocity of ![6\\ m.s^{-1}](../../../upload.wikimedia.org/math/f/1/c/f1c12f9aeed3e52a66004f410a631601.png). It bounces back with an initial velocity of ![4\\ m.s^{-1}](../../../upload.wikimedia.org/math/2/5/6/25617e9b895e9695a729970815981aba.png). Calculate the change in momentum of the rubber ball caused by the floor.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the ball's mass,
  * the ball's initial velocity, and
  * the ball's final velocity

all in the correct units.

Do not be confused by the question referring to the ball bouncing back with an ``initial velocity of ![4\\ m.s^{-1}](../../../upload.wikimedia.org/math/2/5/6/25617e9b895e9695a729970815981aba.png). The word _initial_ is included here since the ball will obviously slow down with time and ![4\\ m.s^{-1}](../../../upload.wikimedia.org/math/2/5/6/25617e9b895e9695a729970815981aba.png) is the speed immediately after bouncing from the floor.

Step 2 :

What is being asked? We are asked to calculate the change in momentum of the ball,

![\\begin{matrix}\\Delta\\overrightarrow{p} &=& m\\overrightarrow{v} - m\\overrightarrow{u}.\\end{matrix}](../../../upload.wikimedia.org/math/2/a/7/2a79e2b5fae1311c175c14bc9ef4dfb0.png)

We have everything we need to find ![\\Delta\\overrightarrow{p}](../../../upload.wikimedia.org/math/a/8/0/a80b272a1900d355a41d93aa5998141b.png). Since the initial momentum is directed downwards and the final momentum is in the upward direction, we can use the algebraic method of subtraction discussed in the vectors chapter.

Step 3 : Firstly, we choose a positive direction. Let us choose down as the positive direction. Then substituting,

_Down is the positive direction_

![\\begin{matrix}\\Delta\\overrightarrow{p} &=& m\\overrightarrow{v} -m\\overrightarrow{u}\\\\&=& \(0.8kg\)\(-4\\ m.s^{-1}\)-\(0.8kg\)\(+6\\ m.s^{-1}\)\\\\&=& \(0.8kg\)\(-10\\ m.s^{-1}\)\\\\&=& -8\\ kg.m.s^{-1}\\\\&=& 8\\ kg.m.s^{-1}\\textbf{\\ up}\\end{matrix}](../../../upload.wikimedia.org/math/e/d/d/eddae0cda4e502251291fcd96a0f6e7d.png)

where we remembered in the last step to include the direction of the change in momentum in words.

  


  

    
    
    i hate you marcos
    

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

# What properties does momentum have?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Properties&action=edit&section=T-1)]

You may at this stage be wondering why there is a need for introducing momentum. Remarkably momentum is a conserved quantity. Within an isolated system the total momentum is constant. No matter what happens to the individual bodies within an isolated system, the total momentum of the system never changes! Since momentum is a vector, its conservation implies that both its magnitude and its direction remains the same.

Momentum is conserved in isolated systems!

This **Principle of Conservation of Linear Momentum** is one of the most fundamental principles of physics and it alone justifies the definition of momentum. Since momentum is related to the motion of objects, we can use its conservation to make predictions about what happens in collisions and explosions. If we bang two objects together, by conservation of momentum, the total momentum of the objects before the collision is equal to their total momentum after the collision.

  


> **Principle of Conservation of Linear Momentum**:
> 
> The total linear momentum of an isolated system is constant.
> 
> or
> 
> In an isolated system the total momentum before a collision
> 
> (or explosion) is equal to the total momentum after the
> 
> collision (or explosion).

Let us consider a simple collision of two pool or billiard balls. Consider the first ball (mass _m_1) to have an initial velocity (![\\overrightarrow{u_1}](../../../upload.wikimedia.org/math/5/3/5/535a443d2706ea41b90ee99ae5541fcc.png)). The second ball (mass _m_2) moves towards the first ball with an initial velocity ![\\overrightarrow{u_2}](../../../upload.wikimedia.org/math/c/2/8/c28524bfa3a91a281cb6d9f87de693f0.png). This situation is shown in Figure 6.1. If we add the momenta of each ball we get a total momentum for the system. This total momentum is then

![\\begin{matrix}\\overrightarrow{p}_{total\\ before}=m_1\\overrightarrow{u_1}+m_2\\overrightarrow{u_2},\\end{matrix}](../../../upload.wikimedia.org/math/b/6/a/b6a4d4e4c8773399ae9311c17e80bbc9.png)

  


[File:Fhsst mom2.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_mom2.png)

Figure 6.1: Before the collision.

  


![Fhsst mom3.png](../../../upload.wikimedia.org/wikibooks/en/a/a5/Fhsst_mom3.png)

Figure 6.2: After the collision.

After the two balls collide and move away they each have a different momentum. If we call the final velocity of ball 1 ![\\overrightarrow{v_1}](../../../upload.wikimedia.org/math/4/5/f/45f41564c73a5c8b4652b2364eed322a.png) and the final velocity of ball 2 ![\\overrightarrow{v_2}](../../../upload.wikimedia.org/math/a/8/f/a8f2cc9ebdc1f018cc0506faaa3a7c6b.png) (see Figure 6.2), then the total momentum of the system after the collision is

![\\begin{matrix}\\overrightarrow{p}_{total\\ after}=m_1\\overrightarrow{v_1}+m_2\\overrightarrow{v_2},\\end{matrix}](../../../upload.wikimedia.org/math/1/5/e/15e48652f71def123d40cd24536d873b.png)

  
This system of two balls is isolated since there are no external forces acting on the balls. Therefore, by the principle of conservation of linear momentum, the total momentum before the collision is equal to the total momentum after the collision. This gives the equation for the conservation of momentum in a collision of two objects,

> ![m_1\\overrightarrow{u_1}+m_2\\overrightarrow{u_2}=m_1\\overrightarrow{v_1}+m_2\\overrightarrow{v_2}](../../../upload.wikimedia.org/math/2/b/6/2b6c238097f7bd6066a67b94f09a7ffb.png)
> 
> _m_1
>  : mass of object 1 (_kg_)
> 
> _m_2
>  : mass of object 2 (_kg_)
> 
> ![\\overrightarrow{u_1}](../../../upload.wikimedia.org/math/5/3/5/535a443d2706ea41b90ee99ae5541fcc.png)
>  : initial velocity of object 1 (_m_._s_-1 \+ direction)
> 
> ![\\overrightarrow{u_2}](../../../upload.wikimedia.org/math/c/2/8/c28524bfa3a91a281cb6d9f87de693f0.png)
>  : initial velocity of object 2 (_m_._s_-1 \+ direction)
> 
> ![\\overrightarrow{v_1}](../../../upload.wikimedia.org/math/4/5/f/45f41564c73a5c8b4652b2364eed322a.png)
>  : final velocity of object 1 (_m_._s_-1 \+ direction)
> 
> ![\\overrightarrow{v_2}](../../../upload.wikimedia.org/math/a/8/f/a8f2cc9ebdc1f018cc0506faaa3a7c6b.png)
>  : final velocity of object 2 (_m_._s_-1 \+ direction)

This equation is always true - momentum is always conserved in collisions.

The chapter `[Collisions and Explosions](http://en.wikibooks.org/wiki/FHSST_Physics_Collisions_Explosions:Collisions_and_Explosions)' deals with applications of momentum conservation.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

  
At the beginning of this chapter it was mentioned that momentum is closely related to force. We will now explain the nature of this connection.

Consider an object of mass _m_ moving with constant acceleration ![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png). During a time ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_t_ the object's velocity changes from an initial velocity ![\\overrightarrow{u}](../../../upload.wikimedia.org/math/7/5/d/75d7001f376072c3890668fec92fc328.png) to a final velocity ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png) (refer to Figure 6.3). We know from Newton's First Law that there must be a resultant force ![\\overrightarrow{F}_{Res}](../../../upload.wikimedia.org/math/6/7/c/67c0a62025694964e3486865e5f8437f.png) acting on the object.

![Fhsst mom4.png](../../../upload.wikimedia.org/wikibooks/en/thumb/3/33/Fhsst_mom4.png/272px-Fhsst_mom4.png)

Figure 6.3: An object under the action of a resultant force.

Starting from Newton's Second Law,

![\\begin{matrix}\\overrightarrow{F}_{Res}&=&m\\overrightarrow{a}\\\\&=&m\(\\frac{\\overrightarrow{v}-\\overrightarrow{u}}{\\Delta t}\)\\qquad\\qquad\\rm {since}\\qquad\\overrightarrow{a}=\\frac{\\overrightarrow{v}-\\overrightarrow{u}}{\\Delta t}\\\\&=&\\frac{m\\overrightarrow{v}-m\\overrightarrow{u}}{\\Delta t}\\\\&=&\\frac{\\overrightarrow{p}_{final}-\\overrightarrow{p}_{initial}}{\\Delta t}\\\\&=&\\frac{\\Delta \\overrightarrow{p}}{\\Delta t}\\end{matrix}](../../../upload.wikimedia.org/math/2/b/f/2bf3e491e2cb1ad84a8e6e4daf009ba3.png)

This alternative form of Newton's Second Law is called the **Law of Momentum**.

Mathematically,

> ![\\overrightarrow{F}_{Res} =\\frac{\\Delta \\overrightarrow{p}}{\\Delta t}](../../../upload.wikimedia.org/math/f/2/9/f2925142554e4eb1170fd78b106d80d1.png)
> 
> ![\\overrightarrow{F}_{Res}](../../../upload.wikimedia.org/math/6/7/c/67c0a62025694964e3486865e5f8437f.png)
>  : resultant force (_N_ \+ direction)
> 
> ![\\Delta \\overrightarrow{p}](../../../upload.wikimedia.org/math/a/8/0/a80b272a1900d355a41d93aa5998141b.png)
>  : change in momentum (![kg.m.s^{-1}](../../../upload.wikimedia.org/math/e/8/b/e8b7a866e43865a38d6a8b179b186565.png) \+ direction)
> 
> ![\\Delta](../../../upload.wikimedia.org/math/6/5/9/659d23f0ed16cdb87b1d41c7b58b52f4.png)_t_
>  : time over which ![\\overrightarrow{F}_{Res}](../../../upload.wikimedia.org/math/6/7/c/67c0a62025694964e3486865e5f8437f.png) acts (_s_)

Rearranging the Law of Momentum,

![\\begin{matrix}\\overrightarrow{F}_{Res}\\Delta t &=& \\Delta \\overrightarrow{p}.\\end{matrix}](../../../upload.wikimedia.org/math/4/d/b/4db762c05b36977252a408098c1876c4.png)

The product ![\\overrightarrow{F}_{Res}\\Delta t](../../../upload.wikimedia.org/math/7/7/8/778317e5a652f51cb6cdd5eeec26aeaf.png) is called impulse,

> ![\\mathrm{Impulse} \\equiv \\overrightarrow{F}_{Res}\\Delta t = \\Delta\\overrightarrow{p}](../../../upload.wikimedia.org/math/6/f/6/6f697bce6aee36668fb02a56fe461905.png)

From this equation we see, that for a given change in momentum,![\\overrightarrow{F}_{Res}\\Delta t](../../../upload.wikimedia.org/math/7/7/8/778317e5a652f51cb6cdd5eeec26aeaf.png) is fixed. Thus, if _F_Res is reduced, ![\\Delta t](../../../upload.wikimedia.org/math/5/a/7/5a72f1304af0783657605aed0e38201a.png) must be increased (i.e. the resultant force must be applied for longer). Alternatively if ![\\Delta t](../../../upload.wikimedia.org/math/5/a/7/5a72f1304af0783657605aed0e38201a.png) is reduced (i.e. the resultant force is applied for a shorter period) then the resultant force must be increased to bring about the same change in momentum.

## Worked Example 36 Impulse and Change in momentum[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Impulse&action=edit&section=T-1)]

**Question:** A 150   _N_ resultant force acts on a 300   _kg_ object. Calculate how long it takes this force to change the object's velocity from ![2\\ m.s^{-1}\\ to\\ the\\ right](../../../upload.wikimedia.org/math/9/7/d/97d88a09c58dd19f6d2ca20e7d1da8ee.png) to ![6\\ m.s^{-1}\\ to\\ the\\ right](../../../upload.wikimedia.org/math/6/7/d/67da15e0f46db2d9cd2324f87267da51.png)

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the object's mass,
  * the object's initial velocity,
  * the object's final velocity, and
  * the resultant force acting on the object

all in the correct units!

Step 2 :

What is being asked? We are asked to calculate the time taken ![\\Delta t](../../../upload.wikimedia.org/math/5/a/7/5a72f1304af0783657605aed0e38201a.png) to accelerate the object from the given initial velocity to final velocity. From the Law of Momentum,

![\\begin{matrix}\\overrightarrow{F}_{Res}\\Delta t &=& \\Delta \\overrightarrow{p} \\\\&=& m\\overrightarrow{v}-m\\overrightarrow{u}\\\\&=& m\(\\overrightarrow{v}-\\overrightarrow{u}\).\\end{matrix}](../../../upload.wikimedia.org/math/f/2/9/f291e823720e6149b52dd403a88b0b0c.png)

Thus we have everything we need to find ![\\Delta t](../../../upload.wikimedia.org/math/5/a/7/5a72f1304af0783657605aed0e38201a.png)!

Step 3 :

First we choose a positive direction. Although not explicitly stated, the resultant force acts to the right. This follows from the fact that the object's velocity increases in this direction. Let us then choose right as the positive direction.

Step 4 :

Substituting,

_Right is the positive direction_

![\\begin{matrix}\\overrightarrow{F}_{Res}\\Delta t &=& m\(\\overrightarrow{v}-\\overrightarrow{u}\)\\\\\(+150N\)\\Delta t &=& \(300kg\)\(\(+6\\frac{m}{s}\)-\(+2\\frac{m}{s}\)\)\\\\\(+150N\)\\Delta t &=& \(300kg\)\(+4\\frac{m}{s}\)\\\\\\Delta t &=& \\frac{\(300kg\)\(+4\\frac{m}{s}\)}{+150N}\\\\\\Delta t &=& 8s\\end{matrix}](../../../upload.wikimedia.org/math/9/8/5/9854dc869c3e08937fcfb0a87a9bc614.png)

## Worked Example 37 Calculating Impulse[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Impulse&action=edit&section=T-2)]

**Question:** A cricket ball weighing 156 g is moving at 54 km/h towards a batsman. It is hit by the batsman back towards the bowler at 36\ km/h. Calculate i) the ball's impulse, and ii) the average force exerted by the bat if the ball is in contact with the bat for 0.13 s.

**Answer:**

Step 1 :

Analyse the question to determine what is given. The question explicitly gives

  * the ball's mass,
  * the ball's initial velocity,
  * the ball's final velocity, and
  * the time of contact between bat and ball

all except the time in the wrong units!

Answer to (i):

Step 2 :

What is being asked? We are asked to calculate the impulse

![\\begin{matrix}\\mathrm{Impulse} = \\Delta\\overrightarrow{p} =\\overrightarrow{F}_{Res}\\Delta t. \\end{matrix}](../../../upload.wikimedia.org/math/1/a/b/1abe308d8a1f9dd1af37f5db6dab0b93.png)

Since we do not have the force exerted by the bat on the ball (![\\overrightarrow{F}_{Res}](../../../upload.wikimedia.org/math/6/7/c/67c0a62025694964e3486865e5f8437f.png)), we have to calculate the impulse from the change in momentum of the ball. Now, since

![\\begin{matrix}\\Delta\\overrightarrow{p} &=&\\overrightarrow{p}_{final}-\\overrightarrow{p}_{initial}\\\\&=& m\\overrightarrow{v} - m\\overrightarrow{u},\\end{matrix}](../../../upload.wikimedia.org/math/1/6/c/16c4ecc980469d95de411e295888f7de.png)

we need the ball's mass, initial velocity and final velocity, which we are given.

Step 3 : Firstly let us change units for the mass

![\\begin{matrix}1000g &=& 1kg\\\\1 &=& \\frac{1kg}{1000g}\\\\156g \\times 1 &=& 156g \\times \\frac{1kg}{1000g}\\\\&=& 0.156kg\\end{matrix}](../../../upload.wikimedia.org/math/d/d/a/ddaaa1478dacae74a6599bad7646ab73.png)

Step 4 :

Next we change units for the velocity

![\\begin{matrix}1km &=& 1000 m\\\\1 &=& \\frac{1000m}{1km}\\end{matrix}](../../../upload.wikimedia.org/math/d/c/6/dc6b7d0c12f9e73df1a91857b0a29b76.png) ![\\begin{matrix}3600s &=& 1hr\\\\1 &=& \\frac{1hr}{3600 s}\\end{matrix}](../../../upload.wikimedia.org/math/5/7/9/579184d76a0e0131b4f251d43bfbac86.png) ![\\begin{matrix}54\\frac{km}{hr}\\times 1\\times1 &=&54\\frac{km}{hr}\\times\\frac{1000m}{1km}\\times\\frac{1hr}{3600 s}\\\\&=& 15\\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/a/5/3/a5398a7ee8f3a8d45517d83cdc2b330f.png) ![\\begin{matrix}36\\frac{km}{hr}\\times 1\\times1 &=&36\\frac{km}{hr}\\times\\frac{1000m}{1km}\\times\\frac{1hr}{3600 s}\\\\&=& 10\\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/f/b/c/fbcab4e427153a4fbc34215827b63b21.png)

Step 5 :

Next we must choose a positive direction. Let us choose the direction from the batsman to the bowler as the positive direction. Then the initial velocity of the ball is ![\\overrightarrow{u}=-15\\ m.s^{-1}](../../../upload.wikimedia.org/math/3/f/d/3fd168c4434913d55a50342e6214bf2f.png), while the final velocity of the ball is ![\\overrightarrow{v}=+10\\ m.s^{-1}](../../../upload.wikimedia.org/math/3/b/9/3b936d9f7d1798f6911ce313e312b9d7.png)

Step 6 :

Now we calculate the change in momentum,

_Direction from batsman to bowler is the positive direction_

![\\begin{matrix}\\Delta\\overrightarrow{p} &=&\\overrightarrow{p}_{final}-\\overrightarrow{p}_{initial}\\\\&=& m\\overrightarrow{v}-m\\overrightarrow{u}\\\\&=& m\(\\overrightarrow{v}-\\overrightarrow{u}\)\\\\&=&\(0.156kg\)\(\(+10\\ m.s^{-1}\)-\(-15\\ m.s^{-1}\)\)\\\\&=& +3.9\\ kg.m.s^{-1}\\\\&=& 3.9\\ kg.m.s^{-1}\\ \\textbf{ in\\ the\\ direction\\ from\\ batsman\\ to\\ bowler}\\end{matrix}](../../../upload.wikimedia.org/math/c/e/3/ce3e608bbf3c30d60f5976fac034f61f.png)

where we remembered in the last step to include the direction of the change in momentum in words.

Step 7 :

Finally since impulse is just the change in momentum of the ball,

![\\begin{matrix}\\mathrm{Impulse} &=& \\Delta\\overrightarrow{p}\\\\&=& 3.9\\ \\mbox{kg} \\cdot \\mbox{m} \\cdot \\mbox{s}^{-1}\\\\&=& 3.9\\ \\mbox{N} \\cdot \\mbox{s} \\ \\textbf{ in\\ the\\ direction\\ from\\ batsman\\ to\\ bowler}\\end{matrix}](../../../upload.wikimedia.org/math/a/3/e/a3e1764e883f2e24e70121e952d128c7.png)

Answer to (ii):

Step 8 :

What is being asked? We are asked to calculate the average force exerted by the bat on the ball, ![\\overrightarrow{F}_{Res}](../../../upload.wikimedia.org/math/6/7/c/67c0a62025694964e3486865e5f8437f.png). Now,

![\\begin{matrix}\\mathrm{Impulse} = \\overrightarrow{F}_{Res}\\Delta t = \\Delta\\overrightarrow{p}.\\end{matrix}](../../../upload.wikimedia.org/math/b/a/4/ba42b5bf7977280fc8e34da41bace5bb.png)

We are given ![\\Delta t](../../../upload.wikimedia.org/math/5/a/7/5a72f1304af0783657605aed0e38201a.png) and we have calculated the change in momentum or impulse of the ball in part (i)!

Step 9 :

Next we choose a positive direction. Let us choose the direction from the batsman to the bowler as the positive direction. Then substituting,

_Direction from batsman to bowler is the positive direction_

![\\begin{matrix}\\overrightarrow{F}_{Res}\\Delta t &=& \\mathrm{Impulse}\\\\\\overrightarrow{F}_{Res}\(0.13s\) &=& +3.9\\frac{kg.m}{s}\\\\\\overrightarrow{F}_{Res} &=& \\frac{+3.9\\frac{\\mbox{kg} \\cdot \\mbox{m}}{\\mbox{s}}}{0.13 \\mbox{ s}}\\\\&=& 30 \\mbox{ N} \\ \\textbf{ in\\ the\\ direction\\ from\\ batsman\\ to\\ bowler}\\end{matrix}](../../../upload.wikimedia.org/math/4/1/b/41b1666a0a6e541a6636785da61678f8.png)

where we remembered in the final step to include the direction of the force in words.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics.**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Rectilinear Motion)](http://en.wikibooks.org/wiki/FHSST_Physics/Rectilinear_Motion) \- [Next Chapter (Work and Energy) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Definition) \- [Momentum of a System](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/System) \- [Change in Momentum](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Change) \- [Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Properties) \- [Impulse](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Impulse) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum/Summary)

# Summary of Important Quantities, Equations and Concepts[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Momentum/Summary&action=edit&section=T-1)]

**Table 6.1:** Summary of the symbols and units of the quantities used in Momentum

Units

Quantity
Symbol
Unit
SI base units
Direction

Momentum
![\\overrightarrow{p}](../../../upload.wikimedia.org/math/2/4/f/24fcb498cd5ba8373d9799381e27e49a.png)
-
kg·m·s-1
yes

Mass
_m_
kg
kg
\--

Velocity
![\\overrightarrow{u}](../../../upload.wikimedia.org/math/7/5/d/75d7001f376072c3890668fec92fc328.png), ![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
-
m·s-1
yes

Change in momentum
![\\Delta \\overrightarrow{p}](../../../upload.wikimedia.org/math/a/8/0/a80b272a1900d355a41d93aa5998141b.png)
-
kg·m·s-1
yes

Force
![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png)
N
kg·m·s-2
yes

Impulse
_J_
N·s
kg·m·s-1
yes

  


**Momentum**: The _momentum_ of an object is defined as its mass multiplied by its velocity.

**Momentum of a System**: The _total momentum of a system_ is the sum of the momenta of each of the objects in the system.

**Principle of Conservation of Linear Momentum:**: `The total linear momentum of an isolated system is constant' or `In an isolated system the total momentum before a collision (or explosion) is equal to the total momentum after the collision (or explosion)'.

**Law of Momentum:**: The applied resultant force acting on an object is equal to the rate of change of the object's momentum and this force is in the direction of the change in momentum.

# Work and Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=9)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Momentum)](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum) \- [Next Chapter (Collisions and Explosions) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions)

[Work and Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Definition) \- [Work](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Work) \- [Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Energy) \- [Mechanical Energy and Energy Conservation](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Summary) \- [Sources](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Sources)

# What are Work and Energy?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Definition&action=edit&section=T-1)]

During this chapter you will discover that work and energy are very closely related: We consider the _energy_ of an object as its _capacity to do work_ and doing _work_ as the process of transferring energy from one object or form to another. In other words,

  * an object with lots of energy can do lots of work.
  * when work is done, energy is lost by the object doing work and gained by the object on which the work is done.

Lifting objects or throwing them requires that you do work on them. Even making electricity flow requires that something does work. Something must have energy and transfer it through doing work to make things happen.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Momentum)](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum) \- [Next Chapter (Collisions and Explosions) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions)

[Work and Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Definition) \- [Work](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Work) \- [Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Energy) \- [Mechanical Energy and Energy Conservation](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Summary) \- [Sources](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Sources)

# Work[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Work&action=edit&section=T-1)]

To do work on an object, one must _move_ the object by applying a _force_ with at least a component in the direction of motion. The work done is given by

> ![W= F_{\\|} s](../../../upload.wikimedia.org/math/2/5/d/25d12e46846a2cadd522ccf26b3cf367.png)
> 
> _W_
>  : work done (_N_._m_ or _J_)
> 
> _F_|
>  : component of applied force parallel to motion (_N_)
> 
> _s_
>  : displacement of the object (_m_)

  
It is very important to note that for work to be done there must be a component of the applied force in the direction of motion. Forces perpendicular to the direction of motion do no work.

As with all physical quantities, work must have units. As follows from the definition, work is measured in _N_._m_. The name given to this combination of S.I. units is the joule (_J_).

> **Definition:**
> 
> 1 joule is the work done when an object is moved 1_m_ under the application of a force of 1_N_ in the direction of motion.

  
The work done by an object can be positive or negative. Since force (_F_|) and displacement (_s_) are both vectors, the result of the above equation depends on their directions:

  * If _F_| acts in the same direction as the motion then positive work is being done. In this case the object on which the force is applied gains energy.
  * If the direction of motion and _F_| are opposite, then negative work is being done. This means that energy is transferred in the opposite direction. For example, if you try to push a car uphill by applying a force up the slope and instead the car rolls down the hill you are doing negative work on the car. Alternatively, the car is doing positive work on you!

## Worked Example 38 Calculating Work Done I[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Work&action=edit&section=T-2)]

**Question:** If you push a box 20_m_ forward by applying a force of 15_N_ in the forward direction, what is the work you have done on the box?

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The force applied is _F_ = 15_N_.
  * The distance moved is _s_ = 20_m_.
  * The applied force and distance moved are in the same direction. Therefore, ![F_{\\|}=15N](../../../upload.wikimedia.org/math/b/7/3/b73137f433d9a078a90bf99081203980.png)

These quantities are all in the correct units, so no unit conversions are required.

  
Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the work done on the box. We know from the definition that work done is _W_ = _F_|_s_

Step 3 : Next we substitute the values and calculate the work done

![\\begin{matrix}W&=&F_{\\|} s\\\\&=& \(15N\)\(20m\)\\\\&=& 300\\ N\\cdot m\\\\&=& 300\\ J\\end{matrix}](../../../upload.wikimedia.org/math/9/6/5/9652c829f374264c1164f1aac123c062.png)

  
Remember that the answer must be _positive_ as the applied force and the motion are in the same direction (forwards). In this case, you (the pusher) lose energy, while the box gains energy.

## Worked Example 39 Calculating Work Done II[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Work&action=edit&section=T-3)]

**Question:** What is the work done by you on a car, if you try to push the car up a hill by applying a force of 40_N_ directed up the slope, but it slides downhill 30_cm_?

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The force applied is _F_ = 40_N_
  * The applied force and distance moved are in opposite directions. Therefore, if we take _s_ = 0.3_m_, then ![F_{\\|}=-40N](../../../upload.wikimedia.org/math/0/8/d/08db53c7284414a84167da4045c60d67.png).

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the work done on the car by you. We know that work done is _W_ = _F_|_s_

Step 3 : Substitute the values and calculate the work done

Again we have the applied force and the distance moved so we can proceed with calculating the work done:

![\\begin{matrix}W&=&F_{\\|} s\\\\&=& \(- 40N\)\(0.3m\)\\\\&=& -12N\\cdot m\\\\&=& -12\\ J\\end{matrix}](../../../upload.wikimedia.org/math/0/a/c/0ac9b0bc833d635cd0bbc91ccd9bbfbf.png)

Note that the answer must be _negative_ as the applied force and the motion are in opposite directions. In this case the car does work on the person trying to push.

* * *

What happens when the applied force and the motion are not parallel? If there is an angle between the direction of motion and the applied force then to determine the work done we have to calculate the _component_ of the applied force _parallel_ to the direction of motion. Note that this means a force perpendicular to the direction of motion can do no work.

## Worked Example 40 Calculating Work Done III[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Work&action=edit&section=T-4)]

**Question:** Calculate the work done on a box, if it is pulled 5_m_ along the ground by applying a force of _F_ = 10_N_ at an angle of 60o to the horizontal.

**Answer:**

Step 1 :

Analyse the question to determine what information is provided

  * The force applied is _F_ = 10_N_
  * The distance moved is _s_ = 5_m_ along the ground
  * The angle between the applied force and the motion is 60o

These quantities are in the correct units so we do not need to perform any unit conversions.

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the work done on the box.

Step 3 : Calculate the component of the applied force in the direction of motion

Since the force and the motion are not in the same direction, we must first calculate the component of the force in the direction of the motion.

![Fhsst wrkeng1.png](../../../upload.wikimedia.org/wikibooks/en/4/45/Fhsst_wrkeng1.png)

From the force diagram we see that the component of the applied force parallel to the ground is

![\\begin{matrix}F_{||}&=&F\\cdot \\cos\(60^o\)\\\\&=& 10N\\cdot \\cos\(60^o\)\\\\&=& 5\\ N\\end{matrix}](../../../upload.wikimedia.org/math/e/9/4/e94aedfb111693363d194e345da5fe5c.png)

Step 4 : Substitute and calculate the work done

Now we can calculate the work done on the box:

![\\begin{matrix}W&=&F_{\\|} s\\\\&=& \(5N\)\(5m\) \\\\&=& 25\\ J\\end{matrix}](../../../upload.wikimedia.org/math/4/a/0/4a05b86c7ebc5660301813b72ab9a8f7.png)

Note that the answer is positive as the component of the force _F_| is in the same direction as the motion.

* * *

We will now discuss energy in greater detail.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Momentum)](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum) \- [Next Chapter (Collisions and Explosions) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions)

[Work and Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Definition) \- [Work](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Work) \- [Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Energy) \- [Mechanical Energy and Energy Conservation](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Summary) \- [Sources](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Sources)

# Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-1)]

As we mentioned earlier, energy is the capacity to do work. When positive work is done on an object, the system doing the work loses energy. In fact, **the energy lost by a system is exactly equal to the work done by the system.**

Like work (_W_) the unit of energy (_E_) is the joule (J). This follows as work is just the transfer of energy.

A very important property of our universe which was discovered around 1890 is that energy is conserved.

> Energy is never created nor destroyed, but merely
> 
> transformed from one form to another.

Energy conservation and the conservation of matter are the principles on which classical mechanics is built.

> **IN THE ABSENCE OF FRICTION**
> 
> When work is done on an object by a system:
> 
> -the object gains energy equal to the work done by the system
> 
> **Work Done = Energy Transferred**

Thermal energy (heat) is the disorganized movement of microscopic particles. Once energy is converted to this form, it has limited usefulness for doing further work in the system. Friction is the general name for forces that converts energy to heat.

> **IN THE PRESENCE OF FRICTION**
> 
> When work is done by a system:
> 
> -only some of the energy lost by the system is transferred into useful energy
> 
> -the rest of the energy transferred is lost to heat by friction
> 
> **Total Work Done = Useful Work Done + Work Done Against Friction**

## Types of Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-2)]

So what different types of energy exist? Kinetic, mechanical, thermal, chemical, electrical, radiant, and atomic energy are just some of the types that exist. By the principle of conservation of energy, whenwork is done energy is merely transferred from one object to another and from one type of energy to another.

### Kinetic Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-3)]

Kinetic energy is the energy of motion that an object has. Objects moving in straight lines possess _translational kinetic energy_, which we often abbreviate as _E_k.

The translational kinetic energy of an object is given by

> ![E_k=\\frac{1}{2}mv^2](../../../upload.wikimedia.org/math/a/3/8/a38c32f3f00f593c1dc17692bc224c0f.png)
> 
> _E_k
>  : kinetic energy (_J_)
> 
> _m_
>  : mass of object (_kg_)
> 
> _v_
>  : speed of the object (_m_._s_-1)

Note the dependence of the kinetic energy on the speed of the object- kinetic energy is related to motion. The faster an object is moving the greater its kinetic energy.

* * *

#### Worked Example 41 Calculation of Kinetic Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-4)]

**Question:** If a rock has a mass of 1_kg_ and is thrown at 5_m_/_s_, what is its kinetic energy?

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The mass of the rock _m_ = 1_kg_
  * The speed of the rock _v_ = 5_m_/_s_

These are both in the correct units so we do not have to worry about unit conversions.

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the kinetic energy. From the definition we know that to work out _E_k, we need to know the mass and the velocity of the object and we are given both of these values.

Step 3 : Substitute and calculate the kinetic energy

![\\begin{matrix}E_k & = & \\frac{1}{2}mv^2 \\\\&= & \\frac{1}{2}\(1kg\)\(5\\frac{m}{s}\)^2 \\\\&= & 12.5\\frac{kg\\cdot m^2}{s^2} \\\\&=& 12.5\\ J\\end{matrix}](../../../upload.wikimedia.org/math/3/d/f/3df73a2a5960e6ff46fdc777bf7fdb80.png)

* * *

To check that the units in the above example are in fact correct:

![\\begin{matrix}\\frac{kg\\cdot m^2}{s^2}&=& \\left\(\\frac{kg\\cdot m}{s^2}\\right\)\\cdot m =N\\cdot m\\\\&=& J\\end{matrix}](../../../upload.wikimedia.org/math/4/7/2/472886d4c84b5b75d9459450d5f87493.png)

The units are indeed correct!

> Study hint: Checking units is an important cross-check 
> 
> and
> 
> you should get into a habit of doing this. If you, for example,
> 
> finish an exam early then checking the units in your calculations is a very good idea.

* * *

#### Worked Example 42 Mixing Units and Kinetic Energy Calculations 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-5)]

**Question:** If a car has a mass of 900_kg_ and is driving at 60_km_/_hr_, what is its kinetic energy?

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The mass of the car _m_ = 900_kg_

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the kinetic energy.

Step 3 : Substitute and calculate

We know we need the mass and the speed to work out _E_k and we are given both of these quantities. We thus simply substitute them into the equation for _E_k:

![\\begin{matrix}E_k & = & \\frac{1}{2}mv^2 \\\\&= & \\frac{1}{2}\(900kg\)\(16.67\\frac{m}{s}\)^2 \\\\&= & 125\\ 000\\frac{kgm^2}{s^2} \\\\&=& 125\\ 000\\ J\\end{matrix}](../../../upload.wikimedia.org/math/4/5/3/45369d9f8aa76842bc28d127a63fcf05.png)

* * *

#### Worked Example 43 Mixing Units and Kinetic Energy Calculations 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-6)]

**Question:** If a bullet has a mass of 150_kg_ and is shot at a muzzle velocity of 960_m_/_s_, what is its kinetic energy?

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * We are given the muzzle velocity which is just how fast the bullet leaves the barrel and it is _v_ = 960_m_/_s_.

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the kinetic energy.

Step 3 : Substitute and calculate

We just substitute the mass and velocity (which are known) into the equation for _E_k:

![\\begin{matrix}E_k & = & \\frac{1}{2}mv^2 \\\\&= & \\frac{1}{2}\(150kg\)\(960\\frac{m}{s}\)^2 \\\\&= & 69\\ 120 \\frac{kgm^2}{s^2} \\\\&=& 69\\ 120\\ J\\end{matrix}](../../../upload.wikimedia.org/math/e/c/0/ec072bfa16b7028fd98b55132b2cd71a.png)

* * *

### Potential Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-7)]

If you lift an object you have to do work on it. This means that energy is transferred to the object. But where is this energy? This energy is stored in the object and is called _potential energy_. The reason it is called potential energy is because if we let go of the object it would move.

> **Definition:**
> 
> Potential energy is the energy an object has due to its position or state.

As an object raised above the ground falls, its _potential energy_ is released and transformed into kinetic energy. The further it falls the faster it moves as more of the stored potential energy is transferred into kinetic energy. Remember, energy is never created nor destroyed, but merely transformed from one type to another. In this case potential energy is lost but an equal amount of kinetic energy is gained.

  
In the example of a falling mass the potential energy is known as _gravitational potential energy_ as it is the gravitational force exerted by the earth which causes the mass to accelerate towards the ground. The gravitational field of the earth is what does the work in this case.

  
Another example is a rubber-band. In order to stretch a rubber-band we have to do work on it. This means we transfer energy to the rubber-band and it gains potential energy. This potential energy is called _elastic potential energy_. Once released, the rubber-band begins to move and elastic potential energy is transferred into kinetic energy.

  


### Gravitational Potential Energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-8)]

As we have mentioned, when lifting an object it gains gravitational potential energy. One is free to define any level as corresponding to zero gravitational potential energy. Objects above this level then possess positive potential energy, while those below it have negative potential energy. To avoid negative numbers in a problem, always choose the lowest level as the zero potential mark. The change in gravitational potential energy of an object is given by:

> ![\\Delta E_{P}=mg\\Delta h](../../../upload.wikimedia.org/math/d/e/9/de9f756a85f2ed64da6ab1338fe8ddcb.png)
> 
> ![\\Delta E_{P}](../../../upload.wikimedia.org/math/a/7/3/a7397be2c8d475e8b25a7c23fbd6007c.png)
>  : Change in gravitational potential energy (_J_)
> 
> _m_
>  : mass of object (_kg_)
> 
> _g_
>  : acceleration due to gravity (_m_._s_-2)
> 
> ![\\Delta h](../../../upload.wikimedia.org/math/9/f/3/9f3c301fac67211fdde50417bb758907.png)
>  : change in height (_m_)

When an object is lifted it gains gravitational potential energy, while it loses gravitational potential energy as it falls.

* * *

#### Worked Example 44 Gravitational potential energy[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Energy&action=edit&section=T-9)]

**Question:** How much potential energy does a brick with a mass of 1_kg_ gain if it is lifted 4_m_.

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The mass of the brick is _m_ = 1_kg_
  * The height lifted is ![\\Delta h=4m](../../../upload.wikimedia.org/math/f/7/c/f7c18906c144fcbc61ec4b7ded85fdb6.png)

These are in the correct units so we do not have to worry about unit conversions.

Step 2 : Analyse the question to determine what is being asked

  * We are asked to find the gain in potential energy of the object.

Step 3 : Identify the type of potential energy involved

Since the block is being lifted we are dealing with gravitational potential energy. To work out ![\\Delta E_P](../../../upload.wikimedia.org/math/a/1/4/a14735daf76a9b4a5a5a8237bcb9fbaf.png), we need to know the mass of the object and the height lifted. As both of these are given, we just substitute them into the equation for ![\\Delta E_P](../../../upload.wikimedia.org/math/a/1/4/a14735daf76a9b4a5a5a8237bcb9fbaf.png).

Step 4 : Substitute and calculate

![\\begin{matrix}\\Delta E_P & = & mg\\Delta h \\\\&= & \(1kg\)\\left\(10\\frac{m}{s^2}\\right\)\(4m\) \\\\&= & 40\\frac{kg\\cdot m^2}{s^2} \\\\&=& 40\\ J\\end{matrix}](../../../upload.wikimedia.org/math/e/1/d/e1dd18f19edeb758763b21097eaf5ac3.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Momentum)](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum) \- [Next Chapter (Collisions and Explosions) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions)

[Work and Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Definition) \- [Work](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Work) \- [Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Energy) \- [Mechanical Energy and Energy Conservation](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Summary) \- [Sources](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Sources)

# Mechanical Energy and Energy Conservation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation&action=edit&section=T-1)]

**Kinetic energy and potential energy are together referred to as mechanical energy**. The total mechanical energy (_U_) of an object is then the sum of its kinetic and potential energies:

![\\begin{matrix}U&=&E_P+E_K  \\\\U&=& mgh +\\frac{1}{2}mv^2\\end{matrix}](../../../upload.wikimedia.org/math/6/7/d/67d9e346d873b7c7c67486e237805229.png)

(7.1)

Now,

> **IN THE ABSENCE OF FRICTION**
> 
> Mechanical energy is conserved
> 
> ![U_{before} = U_{after}](../../../upload.wikimedia.org/math/4/4/7/447652748aa0fc736262e62c2e978cc5.png)
> 
> ![\\frac{1}{2}mv_{0}^{2}+mgh_{0}=\\frac{1}{2}mv_{f}^{2}+mgh_{f}](../../../upload.wikimedia.org/math/7/e/e/7ee9892b65b0f8eb931a311f3b821991.png)

This principle of conservation of mechanical energy can be a very powerful tool for solving physics problems. However, in the presence of friction some of the mechanical energy is lost:

> **IN THE PRESENCE OF FRICTION**
> 
> Mechanical energy is **not** conserved
> 
> (The mechanical energy lost is equal to the work done against friction)
> 
> ![\\Delta U = U_{before} - U_{after} = \\mathrm{Work\\ Done\\ Against\\ Friction}](../../../upload.wikimedia.org/math/8/c/4/8c45ed3a49819df97832bce846dac414.png)

## Worked Example 45 Using Mechanical Energy Conservation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation&action=edit&section=T-2)]

**Question:** A 2_kg_ metal ball is suspended from a rope. If it is released from point _A_ and swings down to the point _B_ (the bottom of its arc) what is its velocity at point _B_?

![Fhsst wrkeng2.png](../../../upload.wikimedia.org/wikibooks/en/c/c7/Fhsst_wrkeng2.png)

**Answer:**

Step 1 : Analyse the question to determine what information is provided

  * The mass of the metal ball is _m_ = 2_kg_
  * The change in height going from point _A_ to point _B_ is _h_ = 0.5_m_
  * The ball is released from point _A_ so the velocity at point _A_ is zero (_v_A = 0_m_/_s_).

These are in the correct units so we do not have to worry about unit conversions.

  
Step 2 : Analyse the question to determine what is being asked

  * Find the velocity of the metal ball at point _B_.

Step 3 : Determine the Mechanical Energy at _A_ and _B_

To solve this problem we use conservation of mechanical energy as there is no friction. Since mechanical energy is conserved,

![\\begin{matrix}U_A=U_B\\end{matrix}](../../../upload.wikimedia.org/math/2/7/3/2734d04aa2d7c96491f16868f82f0d28.png)

Therefore we need to know the mechanical energy of the ball at point _A_ (_U_A) and at point _B_ (_U_B). The mechanical energy at point _A_ is

![\\begin{matrix}U_A = mgh_A + \\frac{1}{2}m\(v_A\)^2\\end{matrix}](../../../upload.wikimedia.org/math/a/0/5/a058ce456e4036dc5c5c6f9b76bd8789.png)

We already know _m_, _g_ and _v_A, but what is _h_A? Note that if we let _h_B = 0 then _h_A = 0.5_m_ as _A_ is 0.5_m_ above _B_. In problems you are always free to choose a line corresponding to _h_ = 0. In this example the most obvious choice is to make point _B_ correspond to _h_ = 0.

Now we have,

![\\begin{matrix}U_A &=& \(2kg\)\\left\(10\\frac{m}{s^2}\\right\)\(0.5m\)+\\frac{1}{2}\(2kg\)\(0\)^2\\\\&=& 10\\ J\\end{matrix}](../../../upload.wikimedia.org/math/b/0/1/b0158c205465c9c22043ee1e1e660974.png)

As already stated _U_B = _U_A. Therefore _U_B = 10_J_, but using the definition of mechanical energy

![\\begin{matrix}U_B &=& mgh_B + \\frac{1}{2}m\(v_B\)^2\\\\&=& \\frac{1}{2}m\(v_B\)^2\\end{matrix}](../../../upload.wikimedia.org/math/1/3/6/1363659480e799cdfa71e0589db6922c.png)

because _h_B = 0. This means that

![\\begin{matrix}10J&=&\\frac{1}{2}\(2kg\)\(v_B\)^2\\\\\(v_B\)^2 &=& 10\\frac{J}{kg}\\\\v_B &=& \\sqrt{10}\\frac{m}{s}\\end{matrix}](../../../upload.wikimedia.org/math/2/0/d/20d9520548c7e0ceb296b8600156ad7a.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Momentum)](http://en.wikibooks.org/wiki/FHSST_Physics/Momentum) \- [Next Chapter (Collisions and Explosions) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions)

[Work and Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Definition) \- [Work](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Work) \- [Energy](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Energy) \- [Mechanical Energy and Energy Conservation](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Mechanical_Energy_and_Energy_Conservation) \- [Important Quantities, Equations, and Concepts](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Summary) \- [Sources](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy/Sources)

# Summary of Important Quantities, Equations and Concepts[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Work_and_Energy/Summary&action=edit&section=T-1)]

**Table 7.1:** Summary of the symbols and units of the quantities used in Energy

Units

Quantity
Symbol
Unit
S.I. Units
Direction

Work
_W_
J
_N_._m_
or![kg.m^2.s^{-2}](../../../upload.wikimedia.org/math/8/9/a/89a73b7871e2e2dd70c3b34c670a080c.png)
\--

Kinetic Energy
_E_K
J
_N_._m_
or![kg.m^2.s^{-2}](../../../upload.wikimedia.org/math/8/9/a/89a73b7871e2e2dd70c3b34c670a080c.png)
\--

Potential Energy
_E_P
J
_N_._m_
or![kg.m^2.s^{-2}](../../../upload.wikimedia.org/math/8/9/a/89a73b7871e2e2dd70c3b34c670a080c.png)
\--

Mechanical Energy
_U_
J
_N_._m_
or![kg.m^2.s^{-2}](../../../upload.wikimedia.org/math/8/9/a/89a73b7871e2e2dd70c3b34c670a080c.png)
\--

  
**Principle of Conservation of Energy:** Energy is never created nor destroyed, but merely transformed from one form to another.

**Conservation of Mechanical Energy:** In the absence of friction, the total mechanical energy of an object is conserved.

# Collisions and Explosions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=10)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Work and Energy)](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy) \- [Next Chapter (Newtonian Gravitation) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Collisions and Explosions](http://en.wikibooks.org/wiki/FHSST_Physics_Collisions_Explosions:Collisions_and_Explosions)

[Tiny, Violent Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Tiny,_Violent_Collisions) \- [Types of Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions) \- [Explosions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Explosions) \- [Energy and Heat](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Summary)

# Types of Collisions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-1)]

We will consider two types of collisions in this section

  * Elastic collisions
  * Inelastic collisions

In both types of collision, total energy and total momentum is always conserved. Kinetic energy is conserved for elastic collisions, but not for inelastic collisions.

## Elastic Collisions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-2)]

> **Definition:**
> 
> An elastic collision is a collision where total momentum and total kinetic energy are both conserved.

This means that the total momentum and the total kinetic energy before an elastic collision is the same as after the collision. For these kinds of collisions, the kinetic energy is not changed into another type of energy.

  


### Before the Collision[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-3)]

In the following diagram,two balls are rolling toward each other, about to collide

![Fhsst expl1.png](../../../upload.wikimedia.org/wikibooks/en/1/17/Fhsst_expl1.png)

Before the balls collide, the total momentum of the system is equal to all the individual momenta added together. The ball on the left has a momentum which we call ![\\overrightarrow{p}_1](../../../upload.wikimedia.org/math/8/4/0/840362111c9a9903ac97037475f33a53.png) and the ball on the right has a momentum which we call ![\\overrightarrow{p}_2](../../../upload.wikimedia.org/math/a/2/d/a2dbef2469b742c3126dd391cc9e8836.png), it means the total momentum before the collision is

![\\begin{matrix}\\overrightarrow{p}_\\mathrm{Before} = \\overrightarrow{p}_1+\\overrightarrow{p}_2\\end{matrix}](../../../upload.wikimedia.org/math/b/4/a/b4a62a2be911de8bcb0d56753530d234.png)

(8.1)

We calculate the total kinetic energy of the system in the same way. The ball on the left has a kinetic energy which we call _K_1 and the ball on the right has a kinetic energy which we call _K_2, it means that the total kinetic energy before the collision is

![\\begin{matrix}K_\\mathrm{Before} = K_1+K_2\\end{matrix}](../../../upload.wikimedia.org/math/f/a/2/fa261e174258878caa0417a067c57139.png)

(8.2)

### After the Collision[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-4)]

The following diagram shows the balls after they collide

![Fhsst expl2.png](../../../upload.wikimedia.org/wikibooks/en/b/be/Fhsst_expl2.png)

After the balls collide and bounce off each other, they have new momenta and new kinetic energies. Like before, the total momentum of the system is equal to all the individual momenta added together. The ball on the left now has a momentum which we call ![\\overrightarrow{p}_3](../../../upload.wikimedia.org/math/b/6/7/b6762f8ff2cd485dbb405d65a8b15a26.png) and the ball on the right now has a momentum which we call ![\\overrightarrow{p}_4](../../../upload.wikimedia.org/math/6/0/d/60d056d78d36c22e200d2e1981562d7b.png), it means the total momentum after the collision is

  


![\\begin{matrix}\\overrightarrow{p}_\\mathrm{After} = \\overrightarrow{p}_3+\\overrightarrow{p}_4\\end{matrix}](../../../upload.wikimedia.org/math/8/f/1/8f1e2dcbd4a1bd90d84722402019f9dd.png)

(8.3)

The ball on the left now has a kinetic energy which we call _K_3 and the ball on the right now has a kinetic energy which we call _K_4, it means that the total kinetic energy after the collision is

![\\begin{matrix}K_\\mathrm{After} = K_3+K_4\\end{matrix}](../../../upload.wikimedia.org/math/3/3/e/33e3b5332f1ee7002e033f300654d447.png)

(8.4)

Since this is an _elastic_ collision, the total momentum before the collision equals the total momentum after the collision and the total kinetic energy before the collision equals the total kinetic energy after the collision

![\\begin{matrix}\\mbox{Before}&&\\mbox{After}\\\\\\overrightarrow{p}_\\mathrm{Before} &=& \\overrightarrow{p}_\\mathrm{After}\\\\\\overrightarrow{p}_1+\\overrightarrow{p}_2 &=&\\overrightarrow{p}_3+\\overrightarrow{p}_4 \\\\&\\rm {\\textbf{and}}&\\\\K_\\mathrm{Before} &=& K_\\mathrm{After} \\\\K_1+K_2 &=& K_3+K_4\\end{matrix}](../../../upload.wikimedia.org/math/b/7/e/b7ea67360a1992a05937779a5875e486.png)

* * *

### Worked Example 46 An Elastic Collision[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-5)]

We will have a look at the collision between two pool balls. Ball 1 is at rest and ball 2 is moving towards it with a speed of 2 m·s−1. The mass of each ball is 0.3 kg. After the balls collide elastically, ball 2 comes to a stop and ball 1 moves off. What is the final velocity of ball 1?

Step 1 : Draw the _before_ diagram

Before the collision, ball 2 is moving we will call it's momentum _P_2 and it's kinetic energy _K_2. Ball 1 is at rest, so it has zero kinetic energy and momentum.

![Fhsst expl3.png](../../../upload.wikimedia.org/wikibooks/en/f/fa/Fhsst_expl3.png)

Step 2 : Draw the _after_ diagram

After the collision, ball 2 is at rest but ball 1 has a momentum which we call _P_3 and a kinetic energy which we call _K_3.

**RIAAN Note: second image on page 145 is missing**

[File:Fhsst expl4.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_expl4.png)

Because the collision is elastic, we can solve the problem using momentum conservation or kinetic energy conservation. We will do it both ways to show that the answer is the same, whichever method you use.

Step 3 : Show the conservation of momentum

We start by writing down that the momentum before the collision ![\\overrightarrow{p}_\\mathrm{Before}](../../../upload.wikimedia.org/math/3/4/d/34dff140187b5a3a08c456326e09b838.png) is equal to the momentum after the collision ![\\overrightarrow{p}_\\mathrm{After}](../../../upload.wikimedia.org/math/d/1/0/d1027a1c614b581e53b9a93920a02e87.png)

  


![\\begin{matrix}\\mbox{Before}&&\\mbox{After}\\\\\\overrightarrow{p}_\\mathrm{Before}&=&\\overrightarrow{p}_\\mathrm{After}\\\\\\overrightarrow{p}_1+\\overrightarrow{p}_2&=&\\overrightarrow{p}_3+\\overrightarrow{p}_4\\\\0+\\overrightarrow{p}_2&=&\\overrightarrow{p}_3+0\\\\\\overrightarrow{p}_2&=&\\overrightarrow{p}_3\\end{matrix}](../../../upload.wikimedia.org/math/d/a/3/da31ac56c270aeca027ae66733a7192f.png)

(8.7)

We know that momentum is just _P_ = _mv_, and we know the masses of the balls, so we can rewrite the conservation of momentum in terms of the velocities of the balls

![\\begin{matrix}\\overrightarrow{p}_2&=&\\overrightarrow{p}_3\\\\m_2v_2&=&m_3v_3\\\\0.3v_2&=&0.3v_3\\\\v_2&=&v_3\\end{matrix}](../../../upload.wikimedia.org/math/d/8/5/d85c6c82ead5bd8db6c4e71f5efead88.png)

(8.8)

So ball 1 exits with the velocity that ball 2 started with!

  


![\\begin{matrix}v_3=2\[\\mathrm{m.s^{-1}}\]\\end{matrix}](../../../upload.wikimedia.org/math/4/4/4/444dddad25c52ba3be8d4cd2d37b253a.png)

(8.9)

  
Step 4 : Show the conservation of kinetic energy

We start by writing down that the kinetic energy before the collision ![K_\\mathrm{Before}](../../../upload.wikimedia.org/math/8/e/3/8e36dd888a81c156ac65c4193d390f7f.png) is equal to the kinetic energy after the collision ![K_\\mathrm{After}](../../../upload.wikimedia.org/math/4/9/5/4953befdac12a159586bcb9e52b505f3.png)

![\\begin{matrix}\\mbox{Before}&&\\mbox{After}\\\\K_\\mathrm{Before}&=&K_\\mathrm{After}\\\\K_1+K_2 &=& K_3+K_4\\\\0+K_2&=&K_3+0\\\\K_2&=&K_3\\end{matrix}](../../../upload.wikimedia.org/math/a/f/3/af3bf5a4a88adf0254c208c2db22043f.png)

(8.10)

We know that kinetic energy is just ![K=\\frac{mv^2}{2}](../../../upload.wikimedia.org/math/f/6/6/f661940926ca8dcceea866f25fbb8e63.png), and we know the masses of the balls, so we can rewrite the conservation of kinetic energy in terms of the velocities of the balls

![\\begin{matrix}K_2&=&K_3\\\\\\frac{m_2v_2^2}2&=&\\frac{m_3v_3^2}2\\\\0.15v_2^2&=&0.15v_3^2\\\\v_2^2&=&v_3^2\\\\v_2&=&v_3\\end{matrix}](../../../upload.wikimedia.org/math/5/8/8/58865b3c90b8c3c9f19b5e25940a11b0.png)

(8.11)

So ball 1 exits with the velocity that ball 2 started with, which agrees with the answer we got when we used the conservation of momentum.

![\\begin{matrix}v_3=2\[\\mathrm{m.s^{-1}}\]\\end{matrix}](../../../upload.wikimedia.org/math/4/4/4/444dddad25c52ba3be8d4cd2d37b253a.png)

(8.12)

* * *

### Worked Example 47 Elastic Collision 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-6)]

**Question:** Now for a slightly more difficult example. We have 2 marbles. Marble 1 has mass 50 g and marble 2 has mass 100&nbsp g. I roll marble 2 along the ground towards marble 1 in the positive _x_-direction. Marble 1 is initially at rest and marble 2 has a velocity of 3 ![\\mathrm{m.s^{-1}}](../../../upload.wikimedia.org/math/e/b/0/eb03962b4cc4c148ea37b84f682c5a89.png) in the positive _x_-direction. After they collide elastically, both marbles are moving. What is the final velocity of each marble?

**Answer:**

Step 1 :

Firstly, put all the quantities into S.I. units. So:

![\\begin{matrix}m_{1} = 0.05 \\rm {kg} &\\rm {and} & m_{2} = 0.1\\rm {kg}\\end{matrix}](../../../upload.wikimedia.org/math/8/4/9/8495243e50394393f790859f55888137.png)

Step 2 :

Draw the picture:

_Before the collision:_

![Fhsst expl5.png](../../../upload.wikimedia.org/wikibooks/en/9/94/Fhsst_expl5.png)

  
_After the collision:_

![Fhsst expl6.png](../../../upload.wikimedia.org/wikibooks/en/1/18/Fhsst_expl6.png)

Step 3 :

Since the collision is elastic, both momentum and kinetic energy are conserved in the collision. So:

![\\begin{matrix}E_{kBefore} &=& E_{kAfter} \\\\&\\rm {and}& \\\\\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}}\\end{matrix}](../../../upload.wikimedia.org/math/5/a/6/5a61d0fb40b4b4e0b9dda8861d6d23f8.png)

There are two unknowns (![\\overrightarrow{v_{1}}](../../../upload.wikimedia.org/math/c/c/8/cc8918484f0fc5db293e3a04a54b5a11.png) and ![\\overrightarrow{v_{2}}](../../../upload.wikimedia.org/math/2/3/9/2399c936b1348fdb86f4d6d5c79ffd25.png)) so we will need two equations to solve for them. We need to use both kinetic energy conservation and momentum conservation in this problem.

Step 4 : Let's start with energy conservation. Then:

![\\begin{matrix}E_{kBefore} &=& E_{kAfter} \\\\\\frac{1}{2}m_{1}{\\overrightarrow{u_{1}}}^2 +\\frac{1}{2}m_{2}{\\overrightarrow{u_{2}}}^2 &=&\\frac{1}{2}m_{1}{\\overrightarrow{v_{1}}}^2+ \\frac{1}{2}m_{2}{\\overrightarrow{v_{2}}}^2 \\\\m_{1}{\\overrightarrow{u_{1}}}^2 + m_{2}{\\overrightarrow{u_{2}}}^2 &=&m_{1}{\\overrightarrow{v_{1}}}^2+ m_{2}{\\overrightarrow{v_{2}}}^2 \\\\\\end{matrix}](../../../upload.wikimedia.org/math/7/c/7/7c790ec7e504eba79f6cff666ea9e390.png)

But ![\\overrightarrow{u_{1}}](../../../upload.wikimedia.org/math/c/e/4/ce48b017682ad06b8b529f64b9c692f1.png), and solving for ![{\\overrightarrow{v_{2}}}^2](../../../upload.wikimedia.org/math/2/6/1/26138b34dd270e3c629db8fbf1fa08ed.png)

![\\begin{matrix}{\\overrightarrow{v_{2}}}^2 &=&{\\overrightarrow{u_{2}}}^2-\\frac{m1}{m2}{\\overrightarrow{v_{1}}}^2\\\\{\\overrightarrow{v_{2}}}^2 &=& \(3\)^2 - \\frac{\(0.05\)}{\(0.10\)}{\\overrightarrow{v_{1}}}^2\\\\{\\overrightarrow{v_{2}}}^2 &=& 9-\\frac{1}{2}{\\overrightarrow{v_{1}}}^2\\rm {\\ \\ \\ \\ \(\\textbf{A}\)}\\\\\\end{matrix}](../../../upload.wikimedia.org/math/7/c/2/7c28de831b7d8b3e1f784bd1991426c4.png)

Step 5 : Now we have simplified as far as we can, we move onto momentum conservation:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\m_{1}\\overrightarrow{u_{1}} + m_{2}\\overrightarrow{u_{2}} &=&m_{1}\\overrightarrow{v_{1}}+m_{2}\\overrightarrow{v_{2}} \\\\\\end{matrix}](../../../upload.wikimedia.org/math/6/6/6/6664c4c65d62b1273988759aedaa874f.png)

But ![\\overrightarrow{u_{1}}](../../../upload.wikimedia.org/math/c/e/4/ce48b017682ad06b8b529f64b9c692f1.png)=0, and solving for ![\\overrightarrow{v_{1}}](../../../upload.wikimedia.org/math/c/c/8/cc8918484f0fc5db293e3a04a54b5a11.png)

![\\begin{matrix}m_{2}\\overrightarrow{u_{2}} &=& m_{1}\\overrightarrow{v_{1}}+m_{2}\\overrightarrow{v_{2}} \\\\m_{1}\\overrightarrow{v_{1}} &=& m_{2}\\overrightarrow{u_{2}} - m_{2}\\overrightarrow{v_{2}}\\\\\\overrightarrow{v_{1}} &=& \\frac{m_{2}}{m_{1}}\\overrightarrow{u_{2}} -\\frac{m_{2}}{m_{1}}\\overrightarrow{v_{2}}\\\\\\overrightarrow{v_{1}} &=& 2\(3\) - 2\\overrightarrow{v_{2}}\\\\\\overrightarrow{v_{1}} &=& 6 - 2\\overrightarrow{v_{2}} \\rm {\\ \\ \\ \\ \(\\textbf{B}\)}\\end{matrix}](../../../upload.wikimedia.org/math/8/7/8/8788c17a2dced7985a82944917a27fea.png)

Step 6 :

Now we can substitute (B) into (A) to solve for ![\\overrightarrow{v_{2}}](../../../upload.wikimedia.org/math/2/3/9/2399c936b1348fdb86f4d6d5c79ffd25.png):

![\\begin{matrix}{\\overrightarrow{v_{2}}}^2 &=& 9-\\frac{1}{2}{\\overrightarrow{v_{1}}}^2\\\\{\\overrightarrow{v_{2}}}^2 &=& 9 - \\frac{1}{2}\(6-2\\overrightarrow{v_{2}}\)^2 \\\\{\\overrightarrow{v_{2}}}^2 &=& 9 - \\frac{1}{2}\(36-24\\overrightarrow{v_{2}}+4{\\overrightarrow{v_{2}}}^2\) \\\\{\\overrightarrow{v_{2}}}^2 &=& 9 - 18 + 12\\overrightarrow{v_{2}}-2{\\overrightarrow{v_{2}}}^2 \\\\3{\\overrightarrow{v_{2}}}^2 &=& -9 + 12\\overrightarrow{v_{2}} \\\\{\\overrightarrow{v_{2}}}^2 &=& 4\\overrightarrow{v_{2}} -3 \\\\{\\overrightarrow{v_{2}}}^2 -4\\overrightarrow{v_{2}} +3 &=& 0 \\\\\(\\overrightarrow{v_{2}}-3\)\(\\overrightarrow{v_{2}}-1\)&=& 0 \\\\\\overrightarrow{v_{2}}=3 &\\rm {\\textbf{or}}& \\overrightarrow{v_{2}}=1\\end{matrix}](../../../upload.wikimedia.org/math/8/5/b/85b328e74a35724fb608774620dc00a2.png)

We were lucky in this question because we could factorise. If you can't factorise, then you can always solve using the formula for solving quadratic equations. Remember:

![\\begin{matrix}x = \\frac{-b \\pm \\sqrt{b^2 - 4ac}}{2a}\\end{matrix}](../../../upload.wikimedia.org/math/0/f/a/0fa7b3cfd82b34c322b1fa01a7a8a77b.png)

So, just to check:

![\\begin{matrix}\\overrightarrow{v_{2}} &=& \\frac{4 \\pm \\sqrt{4^2 - 4\(1\)\(3\)}}{2\(1\)} \\\\\\overrightarrow{v_{2}} &=& \\frac{4 \\pm \\sqrt{16 - 12}}{2} \\\\\\overrightarrow{v_{2}} &=& \\frac{4 \\pm \\sqrt{4}}{2} \\\\\\overrightarrow{v_{2}} &=& 2 \\pm 1 \\\\\\overrightarrow{v_{2}}=3 &\\rm {\\textbf{or}}& \\overrightarrow{v_{2}}=1\\rm {\\ \\ same \\ as \\ before}\\end{matrix}](../../../upload.wikimedia.org/math/f/1/f/f1f8bb673eac6e1051b1a8c18008b1ce.png)

Step 7 :

So finally, substituting into equation (B) to get ![\\overrightarrow{v_{1}}](../../../upload.wikimedia.org/math/c/c/8/cc8918484f0fc5db293e3a04a54b5a11.png):

![\\begin{matrix}\\overrightarrow{v_{1}}=6-2\\overrightarrow{v_{2}} \\\\\\end{matrix}](../../../upload.wikimedia.org/math/b/8/e/b8ebe59f316c648a942e4cb0cbf126e2.png)

If ![\\overrightarrow{v_{2}}= 3 \\ \\mathrm{m.s^{-1}}](../../../upload.wikimedia.org/math/5/2/e/52e2a0977613c4f4a3af0274ef5e9f71.png) then

![\\begin{matrix}\\overrightarrow{v_{1}}=6-2\(3\) = 0 \\ \\mathrm{m.s^{-1}}\\end{matrix}](../../../upload.wikimedia.org/math/b/9/e/b9e1c037eb82465b8cfb28d03dd3c9db.png)

  
But, according to the question, marble 1 is moving after the collision. So ![\\overrightarrow{v_{1}} \\neq 0](../../../upload.wikimedia.org/math/2/b/9/2b91deb8e91101d15e47d2bd2aae94d2.png) and ![\\overrightarrow{v_{2}} \\neq 3](../../../upload.wikimedia.org/math/4/b/3/4b3da661e30ce7b91811b93d67be44d3.png). Therefore:

![\\begin{matrix}\\overrightarrow{v_{2}} &=& \\underline{1 \\ \\mathrm{m.s^{-1}}\\rm {\\ \\ \\ in \\ the \\ positive \\ x-direction}}\\\\&\\rm {and}& \\\\\\overrightarrow{v_{1}} &=& \\underline{4 \\ \\mathrm{m.s^{-1}}\\rm {\\ \\ \\ in \\ the \\ positive \\ x-direction}}\\\\\\end{matrix}](../../../upload.wikimedia.org/math/b/9/2/b926d4f2d2ef8dcd770734c98a672230.png)

## Inelastic Collisions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-7)]

> **Definition:**
> 
> An inelastic collision is a collision in which total momentum is conserved but total kinetic energy is not conserved
> 
> the kinetic energy is transformed into other kinds of energy.

So the total momentum before an inelastic collisions is the same as after the collision. But the total kinetic energy before and after the inelastic collision is different. Of course this does not mean that total energy has not been conserved, rather the energy has been transformed into another type of energy.

As a rule of thumb, inelastic collisions happen when the colliding objects are distorted in some way. Usually they change their shape. To modify the shape of an object requires energy and this is where the _missing_ kinetic energy goes. A classic example of an inelastic collision is a car crash. The cars change shape and there is a noticeable change in the kinetic energy of the cars before and after the collision. This energy was used to bend the metal and deform the cars. Another example of an inelastic collision is shown in the following picture.

Here an asteroid (the small circle) is moving through space towards the moon (big circle). _Before_ the moon and the asteroid collide, the total momentum of the system is:

![\\begin{matrix}\\overrightarrow{p_{Before}} = \\overrightarrow{p_{m}}+\\overrightarrow{p_{a}}\\end{matrix}](../../../upload.wikimedia.org/math/2/1/b/21bad4858f05aa5328f6f0cf5ad1705a.png)

![\\overrightarrow{p_{m}}](../../../upload.wikimedia.org/math/0/5/c/05c8e55036eae588361e0f529e0f7371.png) stands for ![\\overrightarrow{p_{moon}}](../../../upload.wikimedia.org/math/2/5/f/25f1c2734d07ecdf7a21eb7defc0fda8.png) and ![\\overrightarrow{p_{a}}](../../../upload.wikimedia.org/math/0/b/d/0bd5fc37d8e3eb0bb02636a90a33f364.png) stands for ![\\overrightarrow{p_{asteroid}}](../../../upload.wikimedia.org/math/1/1/d/11df95d220ad1fae15ad1b0f044bad9a.png) and the total kinetic energy of the system is:

![\\begin{matrix}E_{Before} = E_{km} + E_{ka}\\end{matrix}](../../../upload.wikimedia.org/math/2/c/e/2ce20c46a1b9b58d662dc96859a570de.png)

![Fhsst expl7.png](../../../upload.wikimedia.org/wikibooks/en/a/a7/Fhsst_expl7.png)

When the asteroid collides **inelastically** with the moon, its kinetic energy is transformed mostly into heat energy. If this heat energy is large enough, it can cause the asteroid and the area of the moon's surface that it hit, to melt into liquid rock! From the force of impact of the asteroid, the molten rock flows outwards to form a moon crater.

![Fhsst expl8.png](../../../upload.wikimedia.org/wikibooks/en/d/d6/Fhsst_expl8.png)

_After_ the collision, the total momentum of the system will be the same as before. But since this collision is inelastic, (and you can see that a change in the shape of objects has taken place!), total kinetic energy is not the same as before the collision.

![Fhsst expl9.png](../../../upload.wikimedia.org/wikibooks/en/1/1e/Fhsst_expl9.png)

So:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{m}}+\\overrightarrow{p_{a}} &=&\\overrightarrow{p_{After}} \\\\&\\rm {\\textbf{but}}& \\\\E_{kBefore} &\\neq& E_{kAfter} \\\\E_{km} + E_{ka} &\\neq& E_{kAfter}\\end{matrix}](../../../upload.wikimedia.org/math/0/0/b/00bb185bbc0a07e1b0d1aadffdde8286.png)

* * *

### Worked Example 48 Inelastic Collision[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions&action=edit&section=T-8)]

**Question:** Let's consider the collision of two cars. Car 1 is at rest and Car 2 is moving at a speed of ![2\\mathrm{m.s^{-1}}](../../../upload.wikimedia.org/math/2/0/1/20101cd0cbd766010c4df5d342d040cc.png) in the negative _x_-direction. Both cars each have a mass of 500kg. The cars collide inelastically and stick together. What is the resulting velocity of the resulting mass of metal?

**Answer:**

Step 1 :

Draw the picture: _Before the collision:_

![Fhsst expl10.png](../../../upload.wikimedia.org/wikibooks/en/3/3f/Fhsst_expl10.png)

_After the collision:_

[File:Fhsst expl11.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_expl11.png)

Step 2 :

We know the collision is inelastic and there was a definite change in shape of the objects involved in the collision - there were two objects to start and after the collision there was one big mass of metal! Therefore, we know that kinetic energy is not conserved in the collision but total momentum is conserved.

So:

![\\begin{matrix}E_{kBefore} & \\neq & E_{kAfter} \\\\& \\rm {\\textbf{but}} & \\\\\\overrightarrow{p_{TBefore}} & = & \\overrightarrow{p_{After}}\\end{matrix}](../../../upload.wikimedia.org/math/c/e/5/ce57b2f60aac81e39508728c666ab128.png)

Step 3 :

So we must use conservation of momentum to solve this problem. Take the negative _x_-direction to have a negative sign:

![\\begin{matrix}\\overrightarrow{p_{TBefore}} & = & \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{1}} + \\overrightarrow{p_{2}} &=&\\overrightarrow{p_{After}} \\\\m_{1}\\overrightarrow{u_{1}} + m_{2}\\overrightarrow{u_{2}} &=& \(m_{1} +m_{2}\)\\overrightarrow{v} \\\\0 + 500\(-2\) &=& \(500+500\)\\overrightarrow{v} \\\\-1000 &=& 1000\\overrightarrow{v} \\\\\\overrightarrow{v} &=& -1 \\ \\mathrm{m.s^{-1}}\\end{matrix}](../../../upload.wikimedia.org/math/9/7/8/97817b74db6cd46dafa4e03b516ca5d2.png)

Therefore,

![\\begin{matrix}\\overrightarrow{v} = \\underline{1 \\ \\mathrm{m.s^{-1}}\\rm {\\ in \\ the \\ negative \\ x-direction} }\\end{matrix}](../../../upload.wikimedia.org/math/4/d/0/4d051e9e557df8bfba63f2620cbbb1be.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Work and Energy)](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy) \- [Next Chapter (Newtonian Gravitation) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Collisions and Explosions](http://en.wikibooks.org/wiki/FHSST_Physics_Collisions_Explosions:Collisions_and_Explosions)

[Tiny, Violent Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Tiny,_Violent_Collisions) \- [Types of Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions) \- [Explosions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Explosions) \- [Energy and Heat](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Summary)

# Explosions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Explosions&action=edit&section=T-1)]

When an object explodes, it breaks up into more than one piece and it therefore changes its shape. Explosions occur when energy is transformed from one kind _e.g. chemical potential energy_ to another _e.g. heat energy_ or kinetic energy extremely quickly.

So, like in inelastic collisions, total kinetic energy is not conserved in explosions. But total momentum is always conserved. Thus if the momenta of some of the parts of the exploding object are measured, we can use momentum conservation to solve the problem!

* * *

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)

The Tunguska event was an aerial explosion that occurred near the Podkamennaya (Stony) Tunguska River in what is now Evenkia, Siberia, at 7:17 AM on June 30, 1908. The size of the blast was later estimated to be equivalent to between 10 and 15 million tons of regular explosive. It felled an estimated 60 million trees over 2,150 square kilometers.

At around 7:15 AM, Tungus natives and Russian settlers in the hills northwest of Lake Baikal observed a huge fireball moving across the sky, nearly as bright as the Sun. A few minutes later, there was a flash that lit up half of the sky, followed by a shock wave that knocked people off their feet and broke windows up to 650 km away (the same as the distance from Bloemfontein to Durban!). The explosion registered on seismic stations across Europe and Asia, and produced fluctuations in atmospheric pressure strong enough to be detected in Britain. Over the next few weeks, night skies over Europe and western Russia glowed brightly enough for people to read by.

Had the object responsible for the explosion hit the Earth a few hours later, it would have exploded over Europe instead of the sparsely-populated Tunguska region, producing massive loss of human life.

In the following picture, a closed can of baked beans is put on a stove or fire:

![Fhsst expl13.png](../../../upload.wikimedia.org/wikibooks/en/8/85/Fhsst_expl13.png)

_Before_ the can heats up and explodes, the total momentum of the system is:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{can}} \\\\&=& 0\\end{matrix}](../../../upload.wikimedia.org/math/c/2/1/c21a4b64c3131fd6bb3e8c1d90778918.png)

and the total kinetic energy of the system is:

![\\begin{matrix}E_{kBefore} &=& E_{kcan} \\\\&=& 0\\end{matrix}](../../../upload.wikimedia.org/math/e/5/d/e5d7dc9ee2b7411ff723652ef8302fa1.png)

since the can isn't moving.Once the mixture of beans, juice and air inside the can reach a certain temperature, the pressure inside the can becomes so great that the can explodes! Beans and sharp pieces of metal can fly out in all directions. Energy in the system has been transformed from heat energy into kinetic energy.

![Fhsst expl14.png](../../../upload.wikimedia.org/wikibooks/en/2/22/Fhsst_expl14.png)

_After_ the explosion, the c an is completely destroyed. But momentum is always conserved, so:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{1}} +\\overrightarrow{p_{2}} +\\overrightarrow{p_{3}} + \\overrightarrow{p_{4}}\\\\0 &=& \\overrightarrow{p_{1}} +\\overrightarrow{p_{2}} +\\overrightarrow{p_{3}} + \\overrightarrow{p_{4}}\\end{matrix}](../../../upload.wikimedia.org/math/2/9/e/29ee4e04ce553b196820a9d3f3608e91.png)

However, the kinetic energy of the system is not conserved. The can's shape was changed in the explosion. Before the explosion the can was not moving, but after the explosion, the pieces of metal and baked beans were moving when they were flying out in all directions! So:

![\\begin{matrix}E_{kB} \\neq E_{kA}\\end{matrix}](../../../upload.wikimedia.org/math/a/e/c/aecc68925ab7b5e91061bbb4f668e068.png)

> **Safety tip:** Never heat a closed can on a stove or fire!
> 
> Always open the can or make a hole in the lid to allow the pressure inside and outside
> 
> the can to remain equal. This will prevent the can from exploding!

## Worked Example 49 Explosions 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Explosions&action=edit&section=T-2)]

**Question:** An object with mass _m_Tot = 10 kg is sitting at rest. Suddenly it explodes into two pieces. One piece has a mass of _m_1 = 5 kg and moves off in the negative x-direction at ![\\overrightarrow{v_1}=3{m}{s^{-1}}](../../../upload.wikimedia.org/math/0/0/2/002fdec32e3af1a12dace80f3fc9ed72.png). What is the velocity of the other piece?

**Answer:**

Step 1 :

Draw the picture. _Before_ the explosion, the object is at rest:

![Fhsst expl15.png](../../../upload.wikimedia.org/wikibooks/en/2/25/Fhsst_expl15.png)

  
_After_ the explosion, the two pieces move off:

**Riaan Note: second image on page 154 is missing**

[File:Fhsst expl16.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_expl16.png)

Step 2 :

Now we know that in an explosion, total kinetic energy is not conserved. There is a definite change in shape of the exploding object! But we can always use momentum conservation to solve the problem.

So:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\end{matrix}](../../../upload.wikimedia.org/math/d/a/3/da31952d568e327012e9bd7abccde9fb.png)

But the object was initially at rest so:

![\\begin{matrix}0 &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\\\0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad \(\\textbf{A}\)}\\end{matrix}](../../../upload.wikimedia.org/math/0/e/4/0e46b093cd3e098bd0bfd7fd1f602ccc.png)

Step 3 :

Now we know that _m_1= 5 kg but we do not know what the mass of _m_2 is. However, we do know that:

![\\begin{matrix}m_{Tot} &=& m_1+m_2 \\\\m_2 & =& m_{Tot} -m_1 \\\\&=&10 \\rm {\\ kg}-5 \\rm {\\ kg} \\\\&=&5 \\rm {\\ kg}\\end{matrix}](../../../upload.wikimedia.org/math/4/d/b/4dbee750a1857d88694662962797ca39.png)

Step 4 :

Now we can substitute all the values we know into equation (A) and solve for ![\\overrightarrow{v_{2}}](../../../upload.wikimedia.org/math/2/3/9/2399c936b1348fdb86f4d6d5c79ffd25.png). Let's choose the positive _x_-direction to have a postive sign and the negative _x_-direction to have a negative sign:

![\\begin{matrix}0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad \(\\textbf{A}\)} \\\\0 &=& 5\(-3\) + 5\\overrightarrow{v_{2}} \\\\0 &=& -15 + 5\\overrightarrow{v_{2}} \\\\5\\overrightarrow{v_{2}} &=& 15 \\\\\\overrightarrow{v_{2}} &=& +3 \\rm {\\ \\mathrm{m.s^{-1}}}\\end{matrix}](../../../upload.wikimedia.org/math/b/d/0/bd0e70d24ace1afc16a9e563b4f5e239.png)

Therefore,

![\\begin{matrix}\\overrightarrow{v_{2}} = \\underline{3 \\ \\mathrm{m.s^{-1}}\\rm {\\ in \\ the \\ positive \\ x-direction.} }\\end{matrix}](../../../upload.wikimedia.org/math/b/a/2/ba241adc071328ddde1a436bb4c114b5.png)

## Worked Example 50 Explosions 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Explosions&action=edit&section=T-3)]

**Question:** An object with mass _m_Tot =15 kg is sitting at rest. Suddenly it explodes into two pieces. One piece has a mass of _m_1 = 5000 g and moves off in the positive x-direction at ![v_1=7{m}{s^{-1}}](../../../upload.wikimedia.org/math/4/7/0/470d8f19300d363dc1d8039cbbcf5e87.png). What is the final velocity of the other piece?

**Answer:**

Step 1 :

Draw the picture. _Before_ the collision:

![Fhsst expl17.png](../../../upload.wikimedia.org/wikibooks/en/8/8a/Fhsst_expl17.png)

_After_ the collision:

**Riaan Note: image on page 156 is missing**

[File:Fhsst expl18.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_expl18.png)

Step 2 :

Convert all units into S.I. units:

![\\begin{matrix}m_{1} &=& 5000 \\rm {\\ g} \\\\m_{1} &=& 5 \\rm {\\ kg}\\end{matrix}](../../../upload.wikimedia.org/math/b/c/6/bc6834ea6fedab781635b0cebe4eaea8.png)

Step 3 :

Now we know that in an explosion, total kinetic energy is not conserved. There is a definite change in shape of the exploding object! But we can always use momentum conservation to solve the problem. So:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\end{matrix}](../../../upload.wikimedia.org/math/d/a/3/da31952d568e327012e9bd7abccde9fb.png)

But the object was initially at rest so:

![\\begin{matrix}0 &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\\\0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad \(\\textbf{A}\)}\\end{matrix}](../../../upload.wikimedia.org/math/0/e/4/0e46b093cd3e098bd0bfd7fd1f602ccc.png)

Step 4 :

Now we know that _m_1= 5 kg but we do not know what the mass of _m_2 is. However, we do know that:

![\\begin{matrix}m_{Tot} &=& m_1+m_2 \\\\m_2 & =& m_{Tot} -m_1 \\\\&=&15 \\rm {\\ kg}-5 \\rm {\\ kg} \\\\&=&10 \\rm {\\ kg}\\end{matrix}](../../../upload.wikimedia.org/math/9/7/d/97db27dbb362d532e8db777bfe13d525.png)

Step 5 :

Now we can substitute all the values we know into equation (A) and solve for ![\\overrightarrow{v_{2}}](../../../upload.wikimedia.org/math/2/3/9/2399c936b1348fdb86f4d6d5c79ffd25.png). Let's choose the positive _x_-direction to have a postive sign and the negative _x_-direction to have a negative sign:

![\\begin{matrix}0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad \(\\textbf{A}\)} \\\\0 &=& 5\(7\) + 10\(\\overrightarrow{v_{2}}\) \\\\0 &=& 35 + 10\(\\overrightarrow{v_{2}}\) \\\\10\(\\overrightarrow{v_{2}}\) &=& -35 \\\\\\overrightarrow{v_{2}} &=& -3.5 \\rm {\\ \\mathrm{m.s^{-1}}}\\end{matrix}](../../../upload.wikimedia.org/math/1/a/3/1a38751142a6605e4072e8a4555b7c64.png)

Therefore,

![\\begin{matrix}\\overrightarrow{v_{2}} = \\underline{3.5 \\ \\mathrm{m.s^{-1}}\\rm {\\ in \\ the \\ negative \\ x-direction.} }\\end{matrix}](../../../upload.wikimedia.org/math/f/d/f/fdf1503b9307054a3108c3ed1764681e.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Work and Energy)](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy) \- [Next Chapter (Newtonian Gravitation) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Collisions and Explosions](http://en.wikibooks.org/wiki/FHSST_Physics_Collisions_Explosions:Collisions_and_Explosions)

[Tiny, Violent Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Tiny,_Violent_Collisions) \- [Types of Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions) \- [Explosions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Explosions) \- [Energy and Heat](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Summary)

# Explosions: Energy and Heat[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat&action=edit&section=T-1)]

In explosions, you have seen that kinetic energy is not conserved. But remember that total energy is always conserved. Let's look at what happens to the energy in some more detail. If a given amount of energy is released in an explosion it is not necessarily all transformed into kinetic energy. Due to the deformation of the exploding object, often a large amount of the energy is used to break chemical bonds and heat up the pieces.

Energy is conserved but some of it is transferred through non-conservative processes like heating. This just means that we cannot get the energy back. It will be radiated into the environment as heat energy but it is all still accounted for.

Now we can start to mix the ideas of momentum conservation with energy transfer to make longer problems. These problems are not more complicated just longer. We will start off short and then combine the different ideas later on.

> Long problems should be treated like a number of smaller problems. Focus on them one at a time.

## Worked Example 51 Energy Accounting 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat&action=edit&section=T-2)]

**Question:** An object with a mass of _m_t = 17 kg explodes into two pieces of mass _m_1 = 7 kg and _m_2 = 10 kg; _m_1 has a velocity of 9 m·s-1 in the negative _x_-direction and _m_2 has a velocity of 6.3 m·s-1 in the positive _x_-direction. If the explosion released a total energy of 2000 J, how much was used in a non-conservative way?

**Answer:**

Step 1 :

Draw the picture. _Before_ the collision:

**Riaan Note: first image on page 157 is missing**

![Fhsst expl19.png](../../../upload.wikimedia.org/wikibooks/en/0/07/Fhsst_expl19.png)

_After_ the collision:

![Fhsst expl20.png](../../../upload.wikimedia.org/wikibooks/en/1/10/Fhsst_expl20.png)

  
Step 2 :

We are asked how much energy was used in a non-conservative fashion. This is the difference between how much energy was used in a conservative fashion and how much was used in total. We are lucky because we have everything we need to determine the kinetic energy of both pieces. The kinetic energy of the pieces is energy that was used in a conservative way.

Step 3 :

The sum of the kinetic energy for the two blocks is the total kinetic energy of the pieces. So:

![\\begin{matrix}E_{kTot} &=& E_{k1} + E_{k2} \\\\&=& \\frac{1}{2}m_{1}\\overrightarrow{v_{1}}^{2} +\\frac{1}{2}m_{2}\\overrightarrow{v_{2}}^{2} \\\\&=& \\frac{1}{2}\(7\)\(9\)^{2} + \\frac{1}{2}\(10\)\(6.3\)^{2} \\\\&=& 283.5 + 198.45 \\\\E_{kTot} &=& 481.95 \\rm {\\ J}\\end{matrix}](../../../upload.wikimedia.org/math/f/7/5/f75fbc29e5b45a73d1aad4cd1e5b7de2.png)

Step 4 :

The total energy that was transformed into kinetic energy is 481.95 J. We know that 2000 J of energy were released in total. the question makes no statements about other types of energy so we can assume that the difference was lost in a non-conservative way. Thus the total energy lost in non-conservative work is:

![\\begin{matrix}E - E_{kTot} &=& 2000 - 481.95 \\\\&=& 1518.05 \\rm {\\ J}\\end{matrix}](../../../upload.wikimedia.org/math/f/4/6/f464e0a271d97ee80ce0bb451f67a6e1.png)

## Worked Example 52 Energy Accounting 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat&action=edit&section=T-3)]

**Question:** An object at rest, with mass _m_Tot = 4 kg, explodes into two pieces (_m_1, _m_2) with _m_1 = 2.3 kg. _m_1 has a velocity of 17 m·s−1 in the negative _x_-direction. If the explosion released a total energy of 800 J,

  1. What is the velocity of _m_2?
  2. How much energy does it carry?
  3. And how much energy was used in a non-conservative way?

**Answer:**

Step 1 :

Draw the picture. _Before_ the collision:

![Fhsst expl21.png](../../../upload.wikimedia.org/wikibooks/en/0/00/Fhsst_expl21.png)

_After_ the collision:

![Fhsst expl22.png](../../../upload.wikimedia.org/wikibooks/en/0/07/Fhsst_expl22.png)

Step 2 :

Now we know that in an explosion, total kinetic energy is not conserved. There is a definite change in shape of the exploding object! But we can always use momentum conservation to solve the problem. So:

![\\begin{matrix}\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{After}} \\\\\\overrightarrow{p_{Before}} &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\end{matrix}](../../../upload.wikimedia.org/math/d/a/3/da31952d568e327012e9bd7abccde9fb.png)

But the object was initially at rest so:

![\\begin{matrix}0 &=& \\overrightarrow{p_{1}} + \\overrightarrow{p_{2}}\\\\0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad \(\\textbf{A}\)}\\end{matrix}](../../../upload.wikimedia.org/math/0/e/4/0e46b093cd3e098bd0bfd7fd1f602ccc.png)

Step 3 :

Now we know that _m_1= 2.3 kg but we do not know what the mass of _m_2 is. However, we do know that:

![\\begin{matrix}m_{Tot} &=& m_1+m_2 \\\\m_2 & =& m_{Tot} -m_1 \\\\&=&4 \\rm {\\ kg}-2.3 \\rm {\\ kg} \\\\&=&1.7 \\rm {\\ kg}\\end{matrix}](../../../upload.wikimedia.org/math/8/5/5/85531ba4963f6fbcf8e9ceaa00521d30.png)

Step 4 :

Now we can substitute all the values we know into equation (A) and solve for ![\\overrightarrow{v_{2}}](../../../upload.wikimedia.org/math/2/3/9/2399c936b1348fdb86f4d6d5c79ffd25.png). Let's choose the positive _x_-direction to have a postive sign and the negative _x_-direction to have a negative sign:

![\\begin{matrix}0 &=& m_{1}\\overrightarrow{v_{1}} + m_{2}\\overrightarrow{v_{2}} \\rm {\\qquad  \(\\textbf{A}\)} \\\\0 &=& \(2.3\)\(-17\) + 1.7\\overrightarrow{v_{2}}\\\\0 &=& -39.1 + 1.7\\overrightarrow{v_{2}}\\\\1.7\\overrightarrow{v_{2}} &=& 39.1 \\\\\\overrightarrow{v_{2}} &=& 23 \\rm {\\ \\mathrm{m.s^{-1}}}\\end{matrix}](../../../upload.wikimedia.org/math/6/0/c/60c206e978a0d906e780a0e0863524e0.png)

  


  * ![\\overrightarrow{v_{2}} = 23 \\mathrm{m.s^{-1}}](../../../upload.wikimedia.org/math/8/3/d/83de4f2020605a6bae9cc1e5b344d4c1.png) in the positive x-direction

Step 5 :

Now we need to calculate the energy that the second piece carries:

![\\begin{matrix}E_{k2} &=& \\frac{1}{2}m_{2}\\overrightarrow{v_{2}}^{2}\\\\&=& \\frac{1}{2}\(1.7\)\(23\)^2 \\\\&=& 449.65 \\rm {\\ J}\\end{matrix}](../../../upload.wikimedia.org/math/9/7/f/97f05c9d296efec722dfde834508c658.png)

  * The kinetic energy of the second piece is ![E_{k2}=449.65 J](../../../upload.wikimedia.org/math/3/8/8/388bfa4ac4e624ebba5d49f8ac7baeda.png)

Step 6 :

Now the amount of energy used in a non-conservative way in the explosion, is the difference between the amount of energy released in the explosion and the total kinetic energy of the exploded pieces:

![\\begin{matrix}E - E_{kTot} &=& 800 - E_{kTot} \\\\\\end{matrix}](../../../upload.wikimedia.org/math/5/7/b/57b7786a25879a3720b1fa5bbda9e183.png)

We know that:

![\\begin{matrix}E_{kTot} &=& E_{k1} + E_{k2} \\\\&=& \\frac{1}{2}m_{1}\\overrightarrow{v_{1}}^{2} + 449.65 \\\\&=& \\frac{1}{2}\(2.3\)\(17\)^{2} + 449.65 \\\\&=& 332.35 + 449.65 \\\\&=& 782 \\rm {\\ J}\\end{matrix}](../../../upload.wikimedia.org/math/d/3/8/d38d4c3b298b2a66dc053b2560f2f729.png)

Step 7 :

So going back to:

![\\begin{matrix}E - E_{kTot} &=& 800 - E_{kTot} \\\\&=& 800 - 782 \\\\&=& 18 \\rm {\\ J}\\end{matrix}](../../../upload.wikimedia.org/math/a/6/1/a617dca380bd8b0b1a0c7e15f6bd13f7.png)

  * _18 J of energy was used in a non-conservative way in the explosion_

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Work and Energy)](http://en.wikibooks.org/wiki/FHSST_Physics/Work_and_Energy) \- [Next Chapter (Newtonian Gravitation) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Collisions and Explosions](http://en.wikibooks.org/wiki/FHSST_Physics_Collisions_Explosions:Collisions_and_Explosions)

[Tiny, Violent Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Tiny,_Violent_Collisions) \- [Types of Collisions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Types_of_Collisions) \- [Explosions](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Explosions) \- [Energy and Heat](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Energy_and_Heat) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions/Summary)

# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Collisions_and_Explosions/Summary&action=edit&section=T-1)]

**Table 8.1:** Units commonly used in Collisions and Explosions

Units

Quantity
Symbol
Unit
SI base units
Direction

velocity
![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
\--
![\\frac{\\mbox{m}}{\\mbox{s}}](../../../upload.wikimedia.org/math/8/6/2/862873f75f401f7293e3aedea081a0ea.png) or ![\\ \\ \\mbox{m} \\cdot \\mbox{s}^{-1}](../../../upload.wikimedia.org/math/1/1/b/11badd76f4acf343f99686d9c049099e.png)
yes

momentum
![\\overrightarrow{p}](../../../upload.wikimedia.org/math/2/4/f/24fcb498cd5ba8373d9799381e27e49a.png)
\--
![\\frac{\\mbox{kg} \\cdot \\mbox{m}}{\\mbox{s}}](../../../upload.wikimedia.org/math/8/f/e/8fe0643e0fb9ddc123cb6aa1e072a3ad.png) or ![\\ \\ \\mbox{kg} \\cdot \\mbox{m} \\cdot \\mbox{s}^{-1}](../../../upload.wikimedia.org/math/9/7/d/97de8878575aaee9e7591aaf8ecac4f2.png)
yes

energy
_E_
J
![\\frac{\\mbox{kg} \\cdot \\mbox{m}^2}{\\mbox{s}^2}](../../../upload.wikimedia.org/math/6/f/7/6f73954ea3671adce9e3063acd0b054c.png) or ![\\ \\ \\mbox{kg} \\cdot \\mbox{m}^{2} \\cdot \\mbox{s}^{-2}](../../../upload.wikimedia.org/math/2/c/f/2cf2a48fa4644412c2e984cfd2f4d343.png)
no

  
Momentum:

![\\begin{matrix}\\overrightarrow{p} = m\\overrightarrow{v}\\end{matrix}](../../../upload.wikimedia.org/math/f/d/2/fd2cec1182e99fea66103add577454f9.png)

(8.13)

Kinetic energy:

![\\begin{matrix}E_{k} = \\frac{1}{2}m\\overrightarrow{v}^{2}\\end{matrix}](../../../upload.wikimedia.org/math/c/e/b/cebb4b6470380d46e29b717208f944f5.png)

(8.14)

# Newtonian Gravitation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=11)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Newtonian Gravitation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation&action=edit&section=T-1)]

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/39/GodfreyKneller-IsaacNewton-1689.jpg/220px-GodfreyKneller-IsaacNewton-1689.jpg)

![](http://bits.wikimedia.org/static-1.23wmf21/skins/common/images/magnify-clip.png)

Sir Isaac Newton

All objects on Earth are pulled downward, towards the ground. This phenomenon is called **gravity**. Every object falls just as fast as any other object (unless the air slows it down like a feather, or pushes it up like a balloon), as first shown by [Galileo](http://en.wikipedia.org/wiki/Galileo). In 1687 [Isaac Newton](http://en.wikipedia.org/wiki/Isaac_Newton) stated that gravity is not restricted to the Earth, but instead, there is gravity everywhere in the universe. Newton explained that planets, moons, and comets move in orbits because of the effect of gravity.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Properties[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Properties&action=edit&section=T-1)]

Gravitational attraction is a force and therefore must be described by a vector - so remember magnitude and direction. The force due to gravity acts between _any_ two objects with mass. To determine the magnitude of the force we use the following equation:

![\\begin{matrix}F = \\frac{G m_1 m_2}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/1/0/7/1075a5d0aff3b17b0d4f5d20a5bb5f85.png)
(9.1)

This equation describes the force between two bodies, one of mass _m_1, the other of mass _m_2 (both have units of kilograms, or kg for short). The _G_ is Newton's`Gravitational Constant' (6.673×10−11 N·m2·kg-2) and _r_ is the straight line distance between the two bodies in meters.

This means the bigger the masses, the greater the force between them. Simply put, big things matter big with gravity. The 1/_r_2 factor (or you may prefer to say _r_-2) tells us that the distance between the two bodies plays a role as well. The closer two bodies are, the stronger the gravitational force between them is. We feel the gravitational attraction of the Earth most at the surface since that is the closest we can get to it, but if we were in outer-space, we would barely even know the Earth's gravity existed!

Remember that

![\\begin{matrix}F=ma\\end{matrix}](../../../upload.wikimedia.org/math/1/2/c/12c155e3ccb82f9dee52073849cd7918.png)
(9.2)

which means that every object on the earth feels the same gravitational acceleration! That means whether you drop a pen or a book (from the same height), they will both take the same length of time to hit the ground... in fact they will be head to head for the entire fall if you drop them at the same time. We can show this easily by using the two equations above (9.1 and 9.2). The force between the Earth (which has the mass _m_e) and an object of mass _m_o is

![\\begin{matrix}F=\\frac{G m_o m_e}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/6/4/6/64658c0221b69edebab429159abf6e96.png)
(9.3)

and the acceleration of an object of mass _m_o (in terms of the force acting on it) is

![\\begin{matrix}a_o=\\frac{F}{m_o}\\end{matrix}](../../../upload.wikimedia.org/math/9/4/b/94b6abc138364c23a48508d54254da7d.png)
(9.4)

So we substitute equation (9.3) into equation (9.4), and we find that

![\\begin{matrix}a_o=\\frac{G m_e}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/0/0/7/007b26709632a37f3003b5a275634f3d.png)
(9.5)

Since it doesn't matter what _m_o is, this tells us that the acceleration on a body (due to the Earth's gravity) does not depend on the mass of the body. Thus all objects feel the same gravitational acceleration. The force on different bodies will be different but the acceleration will be the same. Due to the fact that this acceleration caused by gravity is the same on all objects we label it differently, instead of using _a_ we use _g_ which we call the gravitational acceleration.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Mass and Weight[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight&action=edit&section=T-1)]

Weight is a force which is measured in Newtons, it is the force on an object due to gravity. People are always asking other people "What is your weight?" when a physicist might ask the same question as "What is your mass?".

Mass is measured in kilograms (kg) and is the amount of matter in an object, it doesn't change unless you add or remove matter from the object (if you continue to study physics through to university level, you will find that Einstein's theory of relativity means that mass can change when you travel as fast as light does, but you don't need to worry about that right now). There are 1000 g in 1 kg and 1000 kg in a tonne.

To change mass into weight we use Newton's 2nd Law which is ![F = ma](../../../upload.wikimedia.org/math/9/1/e/91e943789905fa8f4f3d298b4f37a311.png). The weight is the force and gravity the acceleration, it can be rewritten as:

![\\begin{matrix}W=mg\\end{matrix}](../../../upload.wikimedia.org/math/f/a/3/fa3e53485074cda5b076a2818645c077.png)
(9.2)

  
_W_ is the weight, measured in newtons. _m_ is the mass, measured in kilograms and _g_ is the acceleration due to gravity, measured in metres per second squared; it is equal to about 10 on the Earth. The exact value of Earths equatorial surface gravity is 9.7801 ![m.s^{-2}](../../../upload.wikimedia.org/math/3/e/f/3efdee7bf90946bd19568392efb46faa.png).

## Examples[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight&action=edit&section=T-2)]

1\. A bag of sugar has a mass of 1 kg, what is it's weight? (Acceleration due to gravity = 10 ![m.s^{-2}](../../../upload.wikimedia.org/math/3/e/f/3efdee7bf90946bd19568392efb46faa.png))

Step 1: Always write out the equation, it helps you to understand the question, and you will get marks as well.

![\\begin{matrix}W=mg\\end{matrix}](../../../upload.wikimedia.org/math/f/a/3/fa3e53485074cda5b076a2818645c077.png)

(9.7)

Step 2: Fill in all the values you know. (remember to make sure the mass is in kilograms and NOT in grams or tonnes!)

![\\begin{matrix}W = 1 \\times 10\\end{matrix}](../../../upload.wikimedia.org/math/e/3/9/e39cbda9a2a9b2f2f58ab659901f82c7.png)

![W =  10](../../../upload.wikimedia.org/math/c/5/a/c5a65f66777c1d50a48d7622ed480d11.png)

(9.8)

Step 3: Write out the answer remembering to include the units! You will lose marks if you don't

![\\begin{matrix}W = 10 \\ newtons\\end{matrix}](../../../upload.wikimedia.org/math/a/0/c/a0c32e981222b10facb9f02ac48fdbda.png)

(9.9)

  
2\. A space-man has a mass of 90 kg, what is his weight (a) on the earth? (b) on the moon? (c) in outer space? (The acceleration due to gravity on the earth is 10 ![m.s^{-2}](../../../upload.wikimedia.org/math/3/e/f/3efdee7bf90946bd19568392efb46faa.png), on the moon gravity is about 1/6 of the gravity on earth).

1:

![\\begin{matrix}W=mg\\end{matrix}](../../../upload.wikimedia.org/math/f/a/3/fa3e53485074cda5b076a2818645c077.png)

![\\begin{matrix}W = 90 \\times 10 = 900\\end{matrix}](../../../upload.wikimedia.org/math/6/9/e/69e474aa489f9196c8c04e313adfef9f.png)

![W = 900 \\ newtons](../../../upload.wikimedia.org/math/e/7/4/e7465d3f394385358a7c5f31fe0b3b6d.png)

(9.10)

2:

![W = M \\ g](../../../upload.wikimedia.org/math/0/d/7/0d74677f774afee4b492f81d74ee3fae.png)

![\\begin{matrix}W = 90 \\times  \\ 10  \\times \\frac{1}{6} = 150 \\end{matrix}	](../../../upload.wikimedia.org/math/d/4/f/d4febaad0f22063333e369350a46737c.png)

![W = 150 \\ newtons](../../../upload.wikimedia.org/math/0/4/7/0476448ec779c316243695d43396cc11.png)

(9.10)

  
3: Weightless in outer space because _g_ = 0.

So now when somebody asks you your weight, you know to reply ``Anything!! But my mass is a different matter!"

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Normal Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Normal_Forces&action=edit&section=T-1)]

If you put a book on a table, it does not accelerate; it just lies on the table. We know that gravity is acting on it with a force

![\\begin{matrix}F= G\\frac{m_Em_{book}}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/f/1/3/f13e565342ac5f00cc2a1a58593819c4.png)

(9.12)

but if there is a net force there MUST be an acceleration and there isn't. This means that the gravitational force is being balanced by another force [Newton's third law!].

This force we call the normal force. It is the reaction force between the book and the table. It is equal to the force of gravity on the book. This is also the force we measure when we measure the weight of something.

The most interesting and illustrative normal force question, that is often asked, has to do with a scale in a lift. Using Newton's third law we can solve these problems quite easily.

When you stand on a scale to measure your weight you are pulled down by gravity. There is no acceleration downwards because there is a reaction force we call the normal force acting upwards on you. This is the force that the scale would measure. If the gravitational force were less than the reading on the scale would be less.

## Worked Example 53 Normal Forces 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Normal_Forces&action=edit&section=T-2)]

**Question:** A man weighing 100_kg_ stands on a scale (measuring newtons). What is the reading on the scale?

**Answer:**

Step 1 :

We are given the mass of the man. We know the gravitational acceleration that acts on him.

Step 2 :

The scale measures the normal force on the man. This is the force that balances gravity.

Step 3 :

Firstly we determine the net force acting downwards on the man due to gravity.

![\\begin{matrix}F_g&=&mg \\\\&=& 100kg\\times 9.8\\frac{m}{s^2} \\\\&=& 980\\frac{kgm}{s^2} \\\\&=& 980N\\ downwards \\\\\\end{matrix}](../../../upload.wikimedia.org/math/d/9/2/d92f57f38882812319e48552a3f95892.png)

Step 4 :

We now know the gravitational force downwards. We also know that there must be a reactionary force _F_N upwards. To determine the magnitude of this we use newton's laws again. We know that the sum of all the forces must equal the resultant acceleration times the mass. The overall resultant acceleration of the man on the scale is 0. if we write out the equation:

![\\begin{matrix}F_r&=&F_g+F_N \\\\0 &=& -980N+F_N\\\\F_N = 980N\\ upwards\\\\\\end{matrix}](../../../upload.wikimedia.org/math/4/3/4/434004126110b0d2a81ef316d8a4cce9.png)

The normal force is then 980_N_ upwards. It exactly balances the gravitational force downwards so there is no net force and no acceleration on the man.

* * *

Now we are going to add things to exactly the same problem to show how things change slightly. We will now move to a lift moving at constant velocity. Remember if velocity is constant then acceleration is zero.

## Worked Example 55 Normal Forces 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Normal_Forces&action=edit&section=T-3)]

**Question:** A man weighing 100_kg_ stands on a scale (measuring newtons) inside a lift accelerating downwards at ![2\\frac{m}{s^2}](../../../upload.wikimedia.org/math/e/f/d/efd3498583a4cb816afd30316a40de7d.png). What is the reading on the scale?

**Answer:**

Step 1 : We are given the mass of the man. We know the gravitational acceleration that acts on him.

Step 2 :

The scale measures the normal force on the man.

Step 3 :

Firstly we determine the net force acting downwards on the man due to gravity.

![\\begin{matrix}F_g&=&mg \\\\&=& 100kg\\times 9.8\\frac{m}{s^2} \\\\&=& 980\\frac{kgm}{s^2} \\\\&=& 980N\\ downwards \\\\\\end{matrix}](../../../upload.wikimedia.org/math/d/9/2/d92f57f38882812319e48552a3f95892.png)

Step 4 :

We now know the gravitational force downwards. We also know that there must be a reactionary force _F_N upwards. To determine the magnitude of this we use newton's laws again. We know that the sum of all the forces must equal the resultant acceleration times the mass. The overall resultant acceleration of the man on the scale is ![2\\frac{m}{s^2}](../../../upload.wikimedia.org/math/e/f/d/efd3498583a4cb816afd30316a40de7d.png). if we write out the equation:

![\\begin{matrix}F_r&=&F_g+F_N \\\\100kg\\times \(-2\)\\frac{m}{s^2} &=& -980N+F_N\\\\-200\\frac{kgm}{s^2} &=& -980N+F_N\\\\-200N &=& -980N+F_N\\\\F_N = 780N\\ upwards\\\\\\end{matrix}](../../../upload.wikimedia.org/math/a/b/0/ab0dc4f6679815884fca5c6bd16f2eb8.png)

The normal force is then 780_N_ upwards. It balances the gravitational force downwards just enough so that the man only accelerates downwards at ![2\\frac{m}{s^2}](../../../upload.wikimedia.org/math/e/f/d/efd3498583a4cb816afd30316a40de7d.png).

## Worked Example 56 Normal Forces 3[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Normal_Forces&action=edit&section=T-4)]

**Question:** A man weighing 100_kg_ stands on a scale (measuring newtons) inside a lift accelerating upwards at ![4\\frac{m}{s^2}](../../../upload.wikimedia.org/math/c/e/8/ce8800b4fa7637a32381dcca58b74a23.png)>. What is the reading on the scale?

**Answer:**

Step 1 : We are given the mass of the man. We know the gravitational acceleration that acts on him.

Step 2 :

The scale measures the normal force on the man.

Step 3 :

Firstly we determine the net force acting downwards on the man due to gravity.

![\\begin{matrix}F_g&=&mg \\\\&=& 100kg\\times 9.8\\frac{m}{s^2} \\\\&=& 980\\frac{kgm}{s^2} \\\\&=& 980N\\ downwards \\\\\\end{matrix}](../../../upload.wikimedia.org/math/d/9/2/d92f57f38882812319e48552a3f95892.png)

Step 4 :

We now know the gravitational force downwards. We also know that there must be a reactionary force _F_N upwards. To determine the magnitude of this we use newton's laws again. We know that the sum of all the forces must equal the resultant acceleration times the mass. The overall resultant acceleration of the man on the scale is ![4\\frac{m}{s^2}](../../../upload.wikimedia.org/math/c/e/8/ce8800b4fa7637a32381dcca58b74a23.png). if we write out the equation:

![\\begin{matrix}F_r&=&F_g+F_N \\\\100kg\\times \(4\)\\frac{m}{s^2} &=& -980N+F_N\\\\400\\frac{\\mbox{kg} \\cdot \\mbox{m}}{\\mbox{s}^2} &=& -980 \\mbox{ N}+F_N\\\\400\\mbox{ N} &=& -980 \\mbox{ N}+F_N\\\\F_N = 1380 \\mbox{ N}\\ upwards\\\\\\end{matrix}](../../../upload.wikimedia.org/math/2/2/b/22bd122c5f35ac46da9e40b888d223df.png)

The normal force is then 1380 N upwards. It balances the gravitational force and then in addition applies sufficient force to accelerate the man upwards at ![4\\frac{m}{s^2}](../../../upload.wikimedia.org/math/c/e/8/ce8800b4fa7637a32381dcca58b74a23.png).

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Comparative problems[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Comparative_Problems&action=edit&section=T-1)]

Here always work with multiplicative factors to find something new in terms of something old.

## Worked Example 57 Comparative Problem 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Comparative_Problems&action=edit&section=T-2)]

**Question:** On Earth a man weighs 700 N. Now if the same man was instantaneously beamed to the planet Zirgon, which has the same size as the Earth but twice the mass, what would he weigh?

**Answer:**

Step 1 :

We start with the situation on earth:

![\\begin{matrix}W = mg = G\\frac{m_Em}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/4/e/b/4eb3ec3deb9482f23912b04e0c5fb6c9.png)

(9.13)

  


Step 2 :

Now we consider the provje

![\\begin{matrix}W_Z= mg_Z = G\\frac{m_Zm}{r_Z^2}\\end{matrix}](../../../upload.wikimedia.org/math/0/2/2/02244b83b06b907e344e40fd36d2589d.png)

(9.14)

but we know that ![m_Z = 2m_E](../../../upload.wikimedia.org/math/c/7/7/c772cdcef44257f1b719d27939529e65.png) and we know that _r_Z = _r_ so we could write the equation again and substitute these relationships in:

Step 3 :

![\\begin{matrix}W_Z= mg_Z = G\\frac{\(m_Z\)m}{\(r_Z\)^2}\\end{matrix}](../../../upload.wikimedia.org/math/9/b/3/9b31e1fe02aaa6683591d9a3280644e4.png)

(9.15)

Step 4 :

![\\begin{matrix}W_Z= mg_Z = G\\frac{\(2m_E\)m}{\(r\)^2}\\end{matrix}](../../../upload.wikimedia.org/math/2/a/3/2a3589bdcba9e72c0be71c07d607eceb.png)

(9.16)

  


![\\begin{matrix}W_Z= 2\( G\\frac{\(m_E\)m}{\(r\)^2}\)\\end{matrix}](../../../upload.wikimedia.org/math/b/d/d/bdd99ed53f19fe7133ea004be6d5061d.png)

(9.17)

Step 5 :

![\\begin{matrix}W_Z= 2\(W\)\\end{matrix}](../../../upload.wikimedia.org/math/b/6/2/b62cc77b1b48052ab9ea2c5f6c24a85c.png)

(9.18)

so on Zirgon he weighs 1400 N.

## Principles[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Comparative_Problems&action=edit&section=T-3)]

  * Write out first case
  * Write out all relationships between variable from first and second case
  * Write out second case
  * Substitute all first case variables into second case
  * Write second case in terms of first case

* * *

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)
The acceleration due to gravity at the Earth's surface is, by 

convention, equal to 9.80665 _ms_-2. (The actual value varies slightly over the surface of the Earth). This quantity is known as _g_. The following is a list of the gravitational accelerations (in multiples of _g_) at the surfaces of each of the planets in our solar system:

Mercury
0.376

Venus
0.903

Earth
1

Mars
0.38

Jupiter
2.34

Saturn
1.16

Uranus
1.15

Neptune
1.19

Pluto
0.066

Note:

The "surface" is taken to mean the cloud tops of the gas giants (Jupiter, Saturn, Uranus and Neptune) in the above table.

## Worked Example 58 Comparative Problem 2[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Comparative_Problems&action=edit&section=T-4)]

**Question:** On Earth a man weighs 70 kg. On the planet Beeble how much will he weigh if Beeble has mass half of that of the Earth and a radius one quarter that of the earth.

**Answer:**

Step 1 :

We start with the situation on earth:

![\\begin{matrix}W = mg = G\\frac{m_Em}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/4/e/b/4eb3ec3deb9482f23912b04e0c5fb6c9.png)

(9.19)

Step 2 :

Now we consider the provje

![\\begin{matrix}W_B= mg_B = G\\frac{m_Bm}{r_B^2}\\end{matrix}](../../../upload.wikimedia.org/math/c/5/d/c5d41e140d437da18e2845063345d0c0.png)

(9.20)

but we know that ![m_Z = \\frac{1}{2}m_E](../../../upload.wikimedia.org/math/0/0/4/004ee3ebeaa60ae9770b79dbc20ba152.png) and we know that ![r_Z = \\frac{1}{4}r](../../../upload.wikimedia.org/math/f/e/b/feb1862522a966a89729b0b17cf6c143.png) so we could write the equation again and substitute these relationships in:

Step 3 :

![\\begin{matrix}W_Z= mg_Z = G\\frac{\(m_Z\)m}{\(r_Z\)^2}\\end{matrix}](../../../upload.wikimedia.org/math/9/b/3/9b31e1fe02aaa6683591d9a3280644e4.png)

(9.21)

Step 4 :

![\\begin{matrix}W_Z= mg_Z = G\\frac{\(\\frac{1}{2}m_E\)m}{\(\\frac{1}{4}r\)^2}\\end{matrix}](../../../upload.wikimedia.org/math/7/d/6/7d65616930b9bc43fb0e0fadf8690dee.png)

(9.22)

![\\begin{matrix}W_Z= 8\( G\\frac{\(m_E\)m}{\(r\)^2}\)\\end{matrix}](../../../upload.wikimedia.org/math/0/b/9/0b9df12e948ca65b81111891f366a361.png)

(9.23)

Step 5 :

![\\begin{matrix}W_Z= 8\(W\)\\end{matrix}](../../../upload.wikimedia.org/math/b/f/4/bf4dbad094e20976850fabec838d3dd8.png)

But although the man exerts 8 times as much force due to gravity, he still weighs 70 kg on Beeble!

* * *

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)

Did you know that the largest telescope in the Southern Hemisphere is the South African Large Telescope (SALT) which came online in 2004 outside Sutherland in the Karoo.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Falling bodies[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Falling_Bodies&action=edit&section=T-1)]

Objects on the earth fall because there is a gravitation force between them and the earth - which results in an acceleration - as we saw above. So if you hold something in front of you and let it go - it will fall.

It falls because of an acceleration toward the centre of the earth which results from the gravitational force between the two.

These bodies move in a straight line from the point where they start to the centre of the earth. This means we can reuse everything we learnt in rectilinear motion. the only thing that needs thinking about is the directions we are talking about.

We need to choose either up or down as positive just like we had to choose a positive direction in standard rectilinear motion problems. this is the hardest part. If you can do rectilinear motion you can do falling body problems. Just remember the acceleration they feel is constant and because of gravity - but once you have chosen your directions you can forget that gravity has anything to do with the problem - all you have is a rectilinear motion problem with a constant acceleration!!

What is the weight of a free falling body ? Would you be surprised to know that it is zero ?

Weight is measured using a spring balance. (Mass is measured using a physical balance). When a body is falling, the spring balance to which it is attached (the spring balance needs to fall along with the body too !) would show zero weight. When the body stops falling, then it would exert a force on the spring (equivalent to the force exerted by earth on itself) and hence it would show a reading.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Terminal Velocity[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity&action=edit&section=T-1)]

Physics is all about being simple - all we do is look at the world around us and notice how it really works. It is the one thing everyone is qualified to do - we spend most of our time when we are really young experimenting to find out how things work.

Take a book - wave it in the air - change the angle and direction. what happens of course there is resistance. different angles make it greater - the faster the book moves the greater it is. The bigger the area of the book moving in the direction of motion the greater the force.

So we know that air resistance exists! it is a force. So what happens when an object falls? of course there is air resistance - or drag as it is normally called. There is an approximate formula for the drag force as well.

The important thing to realise is that when the drag force and the gravitational force are equal for a falling body there is no net force acting on it - which means no net acceleration. That does not mean it does not move - but it means that its speed does not change.

It falls at a constant velocity! This velocity is called terminal velocity.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Drag force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Drag_Force&action=edit&section=T-1)]

The actual force of air resistance is quite complicated. Experiment by moving a book through the air with the face of the book and then the side of the book forward, you will agree that the area of the book makes a difference as to how much you must work in order to move the book at the same speed in both cases. This is why racing cars are slim-lined in design, and not shaped like a big box!

Get a plastic container lid (or anything waterproof) swing it around in air and then try to swing it around under water. The density of the water is much larger than the air, making you have to work harder at swinging the lid in water. This is why boats and submarines are a lot slower than aeroplanes!

So we know that density, area and speed all play a role in the drag force.The expression we use for drag force is

![\\begin{matrix}D=\\frac{1}{2}C\\rho Av^2\\end{matrix}](../../../upload.wikimedia.org/math/8/6/7/86735c88ed746b287c91d4c373ebfb19.png)

(9.25)

  
where _C_ is a constant which depends on the object and fluid interactions, ![\\rho](../../../upload.wikimedia.org/math/f/7/f/f7f177957cf064a93e9811df8fe65ed1.png) is the density, _A_ is the area and _v_ is the velocity.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Collisions and Explosions)](http://en.wikibooks.org/wiki/FHSST_Physics/Collisions_and_Explosions) \- [Next Chapter (Pressure) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Newtonian Gravitation](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation)

[Properties](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Properties) \- [Mass and Weight](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Mass_and_Weight) \- [Normal Forces](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Normal_Forces) \- [Comparative Problems](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Comparative_Problems) \- [Falling Bodies](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Falling_Bodies) \- [Terminal Velocity](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Terminal_Velocity) \- [Drag Force](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Drag_Force) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation/Summary)

# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Newtonian_Gravitation/Summary&action=edit&section=T-1)]

**Table 9.1:** Units used in Newtonian Gravitation

Units

Quantity
Symbol
Unit
SI base units
Direction

mass
_m_
\--
kg or --
\--

velocity
![\\overrightarrow{v}](../../../upload.wikimedia.org/math/2/c/0/2c06cee5012817db45565d4672e40025.png)
\--
![\\frac{\\mbox{m}}{\\mbox{s}}](../../../upload.wikimedia.org/math/8/6/2/862873f75f401f7293e3aedea081a0ea.png) or ![\\ \\ \\mbox{m} \\cdot \\mbox{s}^{-1}](../../../upload.wikimedia.org/math/1/1/b/11badd76f4acf343f99686d9c049099e.png)
yes

force
![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png)
N
![\\frac{\\mbox{kg} \\cdot \\mbox{m}}{\\mbox{s}^2}](../../../upload.wikimedia.org/math/0/1/f/01f3261e0e8da44ca2d648c46f3a1431.png) or ![\\ \\ \\mbox{kg} \\cdot \\mbox{m} \\cdot \\mbox{s}^{-2}](../../../upload.wikimedia.org/math/f/2/f/f2f95731b9e41648e837a51a6b3f3d1c.png)
yes

energy
_E_
J
![\\frac{\\mbox{kg} \\cdot \\mbox{m}^2}{\\mbox{s}^2}](../../../upload.wikimedia.org/math/6/f/7/6f73954ea3671adce9e3063acd0b054c.png) or ![\\ \\ \\mbox{kg} \\cdot \\mbox{m}^{2} \\cdot \\mbox{s}^{-2}](../../../upload.wikimedia.org/math/2/c/f/2cf2a48fa4644412c2e984cfd2f4d343.png)
\--

# Pressure[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=12)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Newtonian Gravitation)](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation) \- [Next Chapter (Heat and Properties of Matter) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter)

[Pressure](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure/Summary)

**Essay 3: Pressure and Forces**

Author: Asogan Moodaly

Asogan Moodaly received his Bachelor of Science degree (with honours) in Mechanical Engineering from the University of Natal, Durban in South Africa. For his final year design project he worked on a 3-axis filament winding machine for composite (Glass re-enforced plastic in this case) piping. He worked in Vereeniging, Gauteng at Mine Support Products (a subsidiary of Dorbyl Heavy Engineering) as the design engineer once he graduated. He currently lives in the Vaal Triangle area and is working for Sasol Technology Engineering as a mechanical engineer, ensuring the safety and integrity of equipment installed during projects.

# Pressure and Forces[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure&action=edit&section=T-1)]

In the mining industry, the roof (hangingwall) tends to drop as the face of the tunnel (stope) is excavated for rock containing gold.

As one can imagine, a roof falling on one's head is not a nice prospect! Therefore the roof needs to be supported.

![Fhsst press1.png](../../../upload.wikimedia.org/wikibooks/en/4/4f/Fhsst_press1.png)

The roof is not one big uniform chunk of rock. Rather it is broken up into smaller chunks. It is assumed that the biggest chunk of rock in the roof has a mass of less than 20 000 kg therefore each support has to be designed to resist a force related to that mass. The strength of the material (either wood or steel) making up the support is taken into account when working out the minimum required size and thickness of the parts to withstand the force of the roof.

![Fhsst press2.png](../../../upload.wikimedia.org/wikibooks/en/1/16/Fhsst_press2.png)

Sometimes the design of the support is such that the support needs to withstand the rock mass without the force breaking the roof..

Therefore hydraulic supports (hydro = water) use the principles of force and pressure such that as a force is exerted on the support, the water pressure increases. A pressure relief valve then squirts out water when the pressure (and thus the force) gets too large. Imagine a very large, modified doctor's syringe.

![Fhsst press3.png](../../../upload.wikimedia.org/wikibooks/en/7/79/Fhsst_press3.png)

In the petrochemical industry, there are many vessels and pipes that are under high pressures. A vessel is a containment unit (Imagine a pot without handles, that has the lid welded to the pot that would be a small vessel) where chemicals mix and react to form other chemicals, amongst other uses.

![Fhsst press4.png](../../../upload.wikimedia.org/wikibooks/en/b/b9/Fhsst_press4.png)

The end product chemicals are sold to companies that use these chemicals to make shampoo, dishwashing liquid, plastic containers, fertilizer, etc. Anyway, some of these chemical reactions require high temperatures and pressures in order to work. These pressures result in forces being applied to the insides of the vessels and pipes. Therefore the minimum thickness of the pipe and vessels walls must be determined using calculations, to withstand these forces. These calculations take into account the strength of the material (typically steel, plastic or composite), the diameter and of course the pressure inside the equipment.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Newtonian Gravitation)](http://en.wikibooks.org/wiki/FHSST_Physics/Newtonian_Gravitation) \- [Next Chapter (Heat and Properties of Matter) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter)

[Pressure](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure)

[Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Pressure/Summary)

# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure/Summary&action=edit&section=T-1)]

**Table 10.1:** Units used in Pressure

Units

Quantity
Symbol
Unit
S.I. Units
Direction

Pressure
P
pascal (Pa)
![Kg{m^{-1}}{s^{-2}}](../../../upload.wikimedia.org/math/f/d/5/fd5cddee0c895edd74059bacb90cb7fd.png)
No[1](Print_version.html#1)

  


  


## Non Si Units for pressure[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure/Summary&action=edit&section=T-2)]

**PSI:** PSI stands for pounds per square inch. One PSI is equal to 6,894.76 Pascals

**Atm:** Atm stands for Atmosphere. This is the atmospheric pressure at sea level. I atm is equal to 101,325 Pascals

### Hydrostatic pressure (head pressure)[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure/Summary&action=edit&section=T-3)]

[Hydrostatic pressure](http://en.wikibooks.org/w/index.php?title=Hydrostatic_pressure&action=edit&redlink=1) is the pressure due to the [weight](http://en.wikibooks.org/w/index.php?title=Weight&action=edit&redlink=1) of a fluid.

    ![
p = \\rho g h\\,
](../../../upload.wikimedia.org/math/1/e/b/1eb17f5cd068647ce464a89ddb52ed06.png)

where:
    
    
       ρ (rho) is the density of the fluid (i.e., the practical density of fresh water is 1000 kg/m3);
       g is the acceleration due to gravity (approximately 9.81 m/s2 on earth's surface);
       h is the height of the fluid column (in metres). Other units can be used if the rest of the units used in the equation are defined in a consistent way. 
    

It is important to realize that air is a fluid. This equation can be used to find the pressure created by air. This also means that if we are trying to find the pressure of a liquid open to the atmosphere, we must add in the atmospheric pressure to the pressure of the liquid to find the total pressure.

## Notes[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure/Summary&action=edit&section=T-4)]

### 1[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Pressure/Summary&action=edit&section=T-5)]

Pressure is force divided by area, so in a sense it does have a direction as force has a direction. The term pseudovector is sometimes used for such quantities.

# Electrostatics[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit&section=13)]

The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# What is Electrostatics?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Definition&action=edit&section=T-1)]

Electrostatics is the study of electric charge which is not moving i.e. _is static_.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Charge&action=edit&section=T-1)]

All objects surrounding us (including people!) contain large amounts of electric charge. Charge can be negative or positive and is measured in units called coulombs (C). Usually, objects contain the same amount of positive and negative charge so its effect is not noticeable and the object is called electrically neutral. However, if a small imbalance is created (i.e. there is a little bit more of one type of charge than the other on the object) then the object is said to be electrically charged.

Some rather amusing examples of what happens when a person becomes charged are for example when you charge your hair by combing it with a plastic comb and it stands right up on end! Another example is when you walk fast over a nylon carpet and then touch a metal doorknob and give yourself a small shock (alternatively you can touch your friend and shock them!)

Charge has 3 further important properties:

  * Charge is always conserved. Charge, just like energy, cannot be created or destroyed.
  * Charge comes in discrete packets. The smallest unit of charge is that carried by one electron called the elementary charge, e, and by convention, it has a negative sign ( ![e = -1.6 \\times 10^{-19} \\rm {C} ](../../../upload.wikimedia.org/math/0/7/0/070482431feb92b995292d3d0087bafc.png) ).
  * Charged objects exert electrostatic forces on each other. Like charges repel and unlike charges attract each other.

* * *

![Fhsst magnify.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_magnify.png)
The word `electron' comes from the Greek word for amber! The ancient Greeks observed that if you rubbed a piece of amber, 

you could use it to pick up bits of straw. (Attractive electrostatic force!)

  
You can easily test the fact that like charges repel and unlike charges attract by doing a very simple experiment. Take a glass rod and rub it with a piece of silk, then hang it from its middle with a piece string so that it is free to move. If you then bring another glass rod which you have also charged in the same way next to it, you will see the rod on the string turn away from the rod in your hand i.e. it is repelled. If, however, you take a plastic rod, rub it with a piece of fur and then bring it close to the rod on the string, you will see the rod on the string turn towards the rod in your hand i.e. it is attracted!

![Fhsst electrost1.png](../../../upload.wikimedia.org/wikibooks/en/4/4e/Fhsst_electrost1.png)

What actually happens is that when you rub the glass with silk, tiny amounts of negative charge are transferred from the glass onto the silk, which causes the glass to have less negative charge than positive charge, making it **positively charged**. When you rub the plastic rod with the fur, you transfer tiny amounts of negative charge onto the rod and so it has more negative charge than positive charge on it, making it **negatively charged**.

## Conductors and Insulators[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Charge&action=edit&section=T-2)]

Some materials allow charge carriers to move relatively freely through them (e.g. most metals, tap water, the human body) and these materials are called conductors. Other materials, which do not allow the charge carriers to move through them (e.g. plastic, glass), are called non-conductors or insulators.

> Aside: As mentioned above, the basic unit of charge, namely the elementary charge, e, is carried by the electron. In a conducting material (e.g. copper), when the atoms bond to form the material, some of the outermost, loosely bound electrons become detached from the individual atoms and so become free to move around. The charge carried by these electrons can move around in the material! In insulators, there are very few, if any, free electrons and so the charge cannot move around in the material.

  
If an excess of charge is put onto an insulator, it will stay where it is put and there will be a concentration of charge in that area on the object. However, if an excess of charge is put onto a conductor, the charges of like sign will repel each other and spread out over the surface of the object. When two conductors are made to touch, the total charge on them is shared between the two. If the two conductors are identical, then each conductor will be left with half of the total charge.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# Electrostatic Force[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrostatic_Force&action=edit&section=T-1)]

As we now know, charged objects exert a force on one another. If the charges are at rest then this force between them is known as the electrostatic force. An interesting characteristic of the electrostatic force is that it can be either attractive or repulsive, unlike the gravitational force which is only ever attractive. The relative charges on the two objects is what determines whether the force between the charged objects is attractive or repulsive. If the objects have opposite charges they attract each other, while if their charges are similar they repel each other (e.g. two metal balls which are negatively charged will repel each other, while a positively charged ball and negatively charged ball will attract one another).

It is this force that determines the arrangement of charge on the surface of conductors. When we place a charge on a spherical conductor the repulsive forces between the individual like charges cause them to spread uniformly over the surface of the sphere. However, for conductors with non-regular shape there is a concentration of charge near the point or points of the object.

![Fhsst electrost3.png](../../../upload.wikimedia.org/wikibooks/en/2/22/Fhsst_electrost3.png)

This collection of charge can actually allow charge to leak off the conductor if the point is sharp enough. It is for this reason that buildings often have a lightning rod on the roof to remove any charge the building has collected. This minimises the possibility of the building being struck by lightning.

This _spreading out_ of charge would not occur if we were to place the charge on an insulator since charge cannot move in insulators.

## Coulomb's Law[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrostatic_Force&action=edit&section=T-2)]

The behaviour of the electrostatic force was studied in detail by Charles Coulomb around 1784. Through his observations he was able to show that the electrostatic force between any point two point charges is directly proportional to their magnitude and inversely proportional to the square of the distance between the charges. Thus if F is the force, Q1 and Q2 are the charges and R is their distance apart. then the law is summarized as
    
    
                   ** F=(Q1Q2)/(R^2)** 
                              
    

where _Q_1 is the charge on the one point-like object, _Q_2 is the charge on the second, and _r_ is the distance between the two. Remember her F is the mutual force that acts on both the charges exerted by one another as in Newtons third law of motion.

The magnitude of the electrostatic force between two point-like charges is given by _Coulomb's Law_:

  


![\\begin{matrix}F = k \\frac{Q_1Q_2}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/7/a/8/7a85faff067d0e0bb170bf933919881e.png)

(12.1)

and the proportionality constant _k_ is called the _electrostatic constant_. We will use the value

![\\begin{matrix}k=8.99\\times10^9 {\\rm N\\cdot m^2/C^2.}\\end{matrix}](../../../upload.wikimedia.org/math/4/e/f/4ef5d2231b2c394bd7572a215afabf09.png)

The value of the electrostatic constant is known to a very high precision (9 decimal places). Not many physical constants are known to as high a degree of accuracy as _k_.

> Aside: Notice how similar Coulomb's Law is to the form of Newton's Universal Law of Gravitation between two point-like particles:
> 
> ![\\begin{matrix}F_G=G\\frac{m_1m_2}{r^2},\\end{matrix}](../../../upload.wikimedia.org/math/2/0/7/207b73bf58cbb300e7ea9e37ebd5811b.png)
> 
> where _m_1 and _m_2 are the masses of the two particles, _r_ is the distance between them, and _G_ is the gravitational constant. It is very interesting that Coulomb's Law has been shown to be correct no matter how small the distance, nor how large the charge: for example it still applies inside the atom (over distances smaller than ![10^{-10}\\rm {m}](../../../upload.wikimedia.org/math/c/2/2/c2213772c0a00e386a736cc06110b228.png)

Let's run through a simple example of electrostatic forces.

* * *

### Worked Example 59 Coulomb's Law I[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrostatic_Force&action=edit&section=T-3)]

**Question:** Two point-like charges carrying charges of +3×10−9 C and −5×10−9 C are 2 m apart. Determine the magnitude of the force between them and state whether it is attractive or repulsive.

**Answer:**

Step 1 :

First draw the situation:

![Fhsst electrost4.png](../../../upload.wikimedia.org/wikibooks/en/5/50/Fhsst_electrost4.png)

  
Step 2 :

Is everything in the correct units? Yes, charges are in coulombs [C] and distances in meters [m].

Step 3 :

Determine the magnitude of the force: Using Coulomb's Law we have

![\\begin{matrix}F &=& k\\frac{Q_1Q_2}{r^2}\\\\&=& \(8.99\\times10^{9} {\\rm N\\cdot m^2/C^2}\) \\frac{\(+3\\times10^{-9}{\\rm C}\)\(-5\\times 10^{-9}{\\rm C}\)}{\(2 {\\rm m}\)^2}\\\\ &=&-\\frac{\(8.99\)\(3\)\(5\)}{4}\(10^{-9}\)\\frac{\(N\\cdot m^2/C^2\\!\\!\\!/\)\(C^2\)}{m^2}\\\\&=& -3.37\\times10^{-8} \\rm N\\end{matrix}](../../../upload.wikimedia.org/math/c/e/4/ce4f7179ea05e93d411ef64a02fbd597.png)

Thus the _magnitude_ of the force is ![3.37\\times10^{-8}\\rm {N}](../../../upload.wikimedia.org/math/b/2/4/b24659b2c01cc25da815ed95b03d59f1.png). The minus sign is a result of the two point charges having opposite signs.

Step 4 :

Is the force attractive or repulsive? Well, since the two charges are oppositely charged, the force is _attractive_. We can also conclude this from the fact that Coulomb's Law gives a negative value for the force.

* * *

Next is another example that demonstrates the difference in magnitude between the gravitational force and the electrostatic force.

* * *

### Worked Example 60 Coulomb's Law II[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrostatic_Force&action=edit&section=T-4)]

**Question:** Determine the electrostatic force and gravitational force between two electrons 1Aring apart (i.e. the forces felt inside an atom) **Answer:** Å Step 1 :

First draw the situation:

![Fhsst electrost5.png](../../../upload.wikimedia.org/wikibooks/en/2/2a/Fhsst_electrost5.png)

**Riaan Note: this image is faulty, recreate**

  
Step 2 :

Get everything into S.I. units: The charge on an electron is ![-1.60\\times10^{-19}\\rm C](../../../upload.wikimedia.org/math/8/0/0/800feff84165d32ec6d1d7dc30920f25.png), the mass of an electron is ![9.11\\times10^{-31}\\rm kg](../../../upload.wikimedia.org/math/e/7/8/e788fcbe7d2e35f0dec6274a16d19368.png), and 1 Å = ![1\\times10^{-10}\\rm m](../../../upload.wikimedia.org/math/5/5/7/5571a63ab7a560c2129f1d9c04fa7e05.png)

Step 3 :

Calculate the electrostatic force using Coulomb's Law:

  


![\\begin{matrix}F_E&=&k\\frac{Q_1 Q_2}{r^2}=k\\frac{e\\cdot e}{1\\AA^2}\\\\&=&\(8.99\\times10^{9}\\rm N\\cdot m^2/C^2\)\\frac{\(-1.60\\times10^{-19}{\\rm C}\)\(-1.60\\times10^{-19}\\rm C\)}{\(10^{-10}\\rm m\)^2}\\\\&=&2.30\\times10^{-8}\\rm N\\end{matrix}](../../../upload.wikimedia.org/math/6/5/4/654ff87a34ef1726afeb88396ce7402a.png)

Hence the _magnitude_ of the electrostatic force between the electrons is ![2.30\\times10^{-8}\\rm N](../../../upload.wikimedia.org/math/d/8/7/d871f4a4fcd5c7dc8321750f9bea7ffb.png). (Note that the electrons carry like charge and from this we know the force must be repulsive. Another way to see this is that the force is positive and thus repulsive.)

Step 4 :

Calculate the gravitational force:

![\\begin{matrix}F_E&=&G\\frac{m_1m_2}{r^2}=G\\frac{m_e\\cdot m_e}{\(1\\AA\)^2}\\\\&=&\(6.67\\times10^{-11}{\\rm N\\cdot m^2/kg^2}\)\\frac{\(9.11\\times10^{-31}{\\rm C}\)\(9.11\\times10^{-31}{\\rm kg}\)}{\(10^{-10}{\\rm m}\)^2}\\\\&=&5.54\\times10^{-51}{\\rm N}\\end{matrix}](../../../upload.wikimedia.org/math/8/8/1/8817e310bd5105f5ccd9c03f26a154bc.png)

The magnitude of the gravitational force between the electrons is ![5.54\\times10^{-51}\\rm N](../../../upload.wikimedia.org/math/c/4/e/c4e4c30b4e95aa725fc221409b542bbd.png)

* * *

Notice that the gravitational force between the electrons is much smaller than the electrostatic force. For this reason, the gravitational force is usually neglected when determining the force between two charged objects.

We mentioned above that charge placed on a spherical conductor spreads evenly along the surface. As a result, if we are far enough from the charged sphere, electrostatically, it behaves as a point-like charge. Thus we can treat spherical conductors (e.g. metallic balls) as point-like charges, with all the charge acting at the centre.

* * *

### Worked Example 61 Coulomb's Law: Challenge Question[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrostatic_Force&action=edit&section=T-5)]

**Question:** In the picture below, X is a small negatively charged sphere with a mass of 10kg. It is suspended from the roof by an insulating rope which makes an angle of 60o with the roof. Y is a small positively charged sphere which has the same magnitude of charge as X. Y is fixed to the wall by means of an insulating bracket. Assuming the system is in equilibrium, what is the magnitude of the charge on X?

**Answer:** How are we going to determine the charge on X? Well, if we know the force between X and Y we can use Coulomb's Law to determine their charges as we know the distance between them. So, firstly, we need to determine the magnitude of the electrostatic force between X and Y.

Step 1 :

Is everything in S.I. units? The distance between X and Y is ![50{\\rm cm}=0.5\\rm m](../../../upload.wikimedia.org/math/c/8/c/c8cde436a351dda3846d017c2091c731.png), and the mass of X is 10kg.

Step 2 :

Draw the forces on X (with directions) and label.

Step 3 :

Determine the magnitude of the electrostatic force (_F_E). Since nothing is moving (system is in equilibrium) the vertical and horizontal components of the forces must cancel. Thus

![\\begin{matrix}F_E=T\\sin\(60^o\) \\qquad\\qquad F_g=T\\sin\(60^o\).\\end{matrix}](../../../upload.wikimedia.org/math/2/1/6/2165e914889c8acf9767963f45cfef90.png)

The only force we know is the gravitational force _F_g = _mg_. Now we can calculate the magnitude of _T_ from above:

![\\begin{matrix}T=\\frac{F_g}{\\sin\(60^o\)}=\\frac{\(10{\\rm kg}\)\(10\\rm m/s^2\)}{\\sin\(60^o\)}=1155{\\rm N}.\\end{matrix}](../../../upload.wikimedia.org/math/6/8/8/688ae38d36b5dfba3d0d8a59765d0172.png)

  
Which means that _F_E is:

![\\begin{matrix}F_E=T\\cos\(60^o\)=1154\\rm N\\cdot \\cos\(60^o\)=577.5\\rm N\\end{matrix}](../../../upload.wikimedia.org/math/2/4/f/24f6bdacc89996a8751d8da7610bfbe6.png)

Step 4 :

Now that we know the magnitude of the electrostatic force between X and Y, we can calculate their charges using Coulomb's Law. Don't forget that the magnitudes of the charges on X and Y are the same: ![|Q_{\\rm X}|=|Q_{\\rm Y}|](../../../upload.wikimedia.org/math/e/4/8/e48b69df70dfbe618713faedb1be9b0c.png). The magnitude of the electrostatic force is

![\\begin{matrix}F_E &=& k\\frac{|Q_{\\rm X}Q_{\\rm Y}|}{r^2}= k\\frac{Q_{\\rm X}^2}{r^2}\\\\ |Q_{\\rm X}|&=&\\sqrt{\\frac{F_E r^2}{k}}\\\\&=&\\sqrt{\\frac{\(577.5{\\rm N}\)\(0.5{\\rm m}\)^2}{8.99\\times10^{9}{\\rm N\\cdot m^2/C^2}}}\\\\&=&1.27\\times10^{-4}{\\rm C}\\end{matrix}](../../../upload.wikimedia.org/math/4/b/9/4b9c2988c28bcd6eef52bf075f26d879.png)

  
Thus the charge on X is ![-1.27\\times10^{-4}{\\rm C}](../../../upload.wikimedia.org/math/3/6/9/36913cbaae7206c785ee72367c649860.png)

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# Electric Fields[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-1)]

We have learnt that objects that carry charge feel forces from all other charged objects. It is useful to determine what the effect of a charge would be at every point surrounding it. To do this we need some sort of reference.

We know that the force that one charge feels due to another depends on both charges (_Q_1 and _Q_2). How then can we talk about forces if we only have one charge? The solution to this dilemma is to introduce a test charge. We then determine the force that would be exerted on it if we placed it at a certain location. If we do this for every point surrounding a charge we know what would happen if we put a test charge at any location.

This map of what would happen at any point we call a field map. It is a map of the electric field _due to a charge_. It tells us how large the force on a test charge would be and in what direction the force would be.

Our map consists of the lines that tell us how the test charge would move if it were placed there.

## Test Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-2)]

This is the key to mapping out an electric field. The equation for the force between two electric charges has been shown earlier and is:

![\\begin{matrix}F=k\\frac{Q_1Q_2}{r^2}.\\end{matrix}](../../../upload.wikimedia.org/math/1/2/a/12ac2bf4aaf01b26ae0c71732114230d.png)

(12.2)

If we want to map the field for _Q_1 then we need to know exactly what would happen if we put _Q_2 at every point around _Q_1. But this obviously depends on the value of _Q_2. This is a time when we need to agree on a convention. What should _Q_2 be when we make the map? By convention we choose _Q_2 = + 1_C_.

This means that if we want to work out the effects on any other charge we only have to multiply the result for the test charge by the magnitude of the new charge.

The electric field strength is then just the force per unit of charge and has the same magnitude and direction as the force on our test charge but has different units:

![\\begin{matrix}E=k\\frac{Q_1}{r^2}\\end{matrix}](../../../upload.wikimedia.org/math/f/d/f/fdfbbf6dfd84a91948a45e763e0e8fb4.png)

(12.3)

The electric field is the force per unit of charge and hence has units of newtons per coulomb [N/C].

So to get the force the electric field exerts we use:

![\\begin{matrix}F=EQ\\end{matrix}](../../../upload.wikimedia.org/math/8/6/c/86ccdb6f90bf6badf279eb22e46c5c00.png)

(12.4)

Notice we are just multiplying the electric field magnitude by the magnitude of the charge it is acting on.

## What do field maps look like?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-3)]

The maps depend very much on the charge or charges that the map is being made for. We will start off with the simplest possible case. Take a single positive charge with no other charges around it. First, we will look at what effects it would have on a test charge at a number of points.

### Positive Charge Acting on Test Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-4)]

At each point we calculate the force on a test charge, _q_, and represent this force by a vector.

![Fhsst electrost8.png](../../../upload.wikimedia.org/wikibooks/en/3/38/Fhsst_electrost8.png)

We can see that at every point the positive test charge, _q_, would experience a force pushing it away from the charge, _Q_. This is because both charges are positive and so they repel. Also notice that at points further away the vectors are shorter. That is because the force is smaller if you are further away.

If the charge were negative we would have the following result.

### Negative Charge Acting on Test Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-5)]

![Fhsst electrost9.png](../../../upload.wikimedia.org/wikibooks/en/8/8e/Fhsst_electrost9.png)

Notice that it is almost identical to the positive charge case. This is important - the arrows are the same length because the magnitude of the charge is the same and so is the magnitude of the test charge. Thus the magnitude of the force is the same. The arrows point in the opposite direction because the charges now have opposite sign and so the test charge is attracted to the charge.

Now, to make things simpler, we draw continuous lines showing the path that the test charge would travel. This means we don't have to work out the magnitude of the force at many different points.

### Electric Field Map due to a Positive Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-6)]

![Fhsst electrost10.png](../../../upload.wikimedia.org/wikibooks/en/2/24/Fhsst_electrost10.png)

Some important points to remember about electric fields:

  * There is an electric field at every point in space surrounding a charge.
  * Field lines are merely a representation - they are not real. When we draw them, we just pick convenient places to indicate the field in space.
  * Field lines always start at a right-angle (90o) to the charged object causing the field.
  * Field lines never cross!

## Combined Charge Distributions[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-7)]

We look at the field of a positive charge and a negative charge placed next to each other. The net resulting field would be the addition of the fields from each of the charges. To start off with let us sketch the field maps for each of the charges as though it were in isolation.

### Electric Field of Negative and Positive Charge in Isolation[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-8)]

![Fhsst electrost11.png](../../../upload.wikimedia.org/wikibooks/en/9/90/Fhsst_electrost11.png)

Notice that a test charge starting off directly between the two would be pushed away from the positive charge and pulled towards the negative charge in a straight line. The path it would follow would be a straight line between the charges.

![Fhsst electrost12.png](../../../upload.wikimedia.org/wikibooks/en/0/03/Fhsst_electrost12.png)

Now let's consider a test charge starting off a bit higher than directly between the charges. If it starts closer to the positive charge the force it feels from the positive charge is greater, but the negative charge does attract it, so it would move away from the positive charge with a tiny force attracting it towards the negative charge. As it gets further from the positive charge the force from the negative and positive charges change and they are equal in magnitude at equal distances from the charges. After that point the negative charge starts to exert a stronger force on the test charge. This means that the test charge moves towards the negative charge with only a small force away from the positive charge.

![Fhsst electrost13.png](../../../upload.wikimedia.org/wikibooks/en/f/f1/Fhsst_electrost13.png)

Now we can fill in the other lines quite easily using the same ideas. The resulting field map is:

![Fhsst electrost14.png](../../../upload.wikimedia.org/wikibooks/en/9/91/Fhsst_electrost14.png)

### Two Like Charges I: The Positive Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-9)]

For the case of two positive charges things look a little different. We can't just turn the arrows around the way we did before. In this case the test charge is repelled by both charges. This tells us that a test charge will never cross half way because the force of repulsion from both charges will be equal in magnitude.

![Fhsst electrost15.png](../../../upload.wikimedia.org/wikibooks/en/8/88/Fhsst_electrost15.png)

The field directly between the charges cancels out in the middle. The force has equal magnitude and opposite direction. Interesting things happen when we look at test charges that are not on a line directly between the two.

![Fhsst electrost16.png](../../../upload.wikimedia.org/wikibooks/en/0/0a/Fhsst_electrost16.png)

We know that a charge the same distance below the middle will experience a force along a reflected line, because the problem is symmetric (i.e. if we flipped vertically it would look the same). This is also true in the horizontal direction. So we use this fact to easily draw in the next four lines.

![Fhsst electrost17.png](../../../upload.wikimedia.org/wikibooks/en/5/58/Fhsst_electrost17.png)

Working through a number of possible starting points for the test charge we can show the electric field map to be:

![Fhsst electrost18.png](../../../upload.wikimedia.org/wikibooks/en/a/ab/Fhsst_electrost18.png)

### Two Like Charges II: The Negative Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-10)]

We can use the fact that the direction of the force is reversed for a test charge if you change the sign of the charge that is influencing it. If we change to the case where both charges are negative we get the following result:

![Fhsst electrost19.png](../../../upload.wikimedia.org/wikibooks/en/2/28/Fhsst_electrost19.png)

## Parallel plates[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-11)]

One very important example of electric fields which is used extensively is the electric field between two charged parallel plates. In this situation the electric field is constant. This is used for many practical purposes and later we will explain how Millikan used it to measure the charge on the electron.

### Field Map for Oppositely Charged Parallel Plates[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-12)]

![Fhsst electrost20.png](../../../upload.wikimedia.org/wikibooks/en/a/ab/Fhsst_electrost20.png)

This means that the force that a would feel at any point between the plates would be identical in magnitude and direction. The fields on the edges exhibit fringe effects, i.e. they bulge outwards. This is because a test charge placed here would feel the effects of charges only on one side (either left or right depending on which side it is placed). Test charges placed in the middle experience the effects of charges on both sides so they balance the components in the horizontal direction. This isn't the case on the edges.

### The Force on a Test Charge between Oppositely Charged Parallel Plates[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-13)]

![Fhsst electrost21.png](../../../upload.wikimedia.org/wikibooks/en/c/c2/Fhsst_electrost21.png)

## What about the Strength of the Electric Field?[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electric_Fields&action=edit&section=T-14)]

When we started making field maps we drew arrows to indicate the strength of the field and the direction. When we moved to lines you might have asked "Did we forget about the field strength?". We did not. Consider the case for a single positive charge again:

![Fhsst electrost22.png](../../../upload.wikimedia.org/wikibooks/en/e/e6/Fhsst_electrost22.png)

Notice that as you move further away from the charge the field lines become more spread out. In field map diagrams the closer field lines are together the stronger the field. This brings us to an interesting case. What is the electric field like if the object that is charged has an irregular shape.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# Electrical Potential[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-1)]

## Work Done and Energy Transfer in a Field[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-2)]

When a charged particle moves in an electric field work is done and energy transfers take place. This is exactly analogous to the case when a mass moves in a gravitational field such as that set up by any massive object.

### Work done by a field[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-3)]

#### Gravitational Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-4)]

A mass held at a height _h_ above the ground has **gravitational potential energy** since, if released, it will fall under the action of the gravitational field. Once released, in the absence of friction, only the force of gravity acts on the mass and the mass accelerates in the direction of the force (towards the Earth's centre).

![Fhsst electrost23.png](../../../upload.wikimedia.org/wikibooks/en/8/82/Fhsst_electrost23.png)

In this way, work is done by the field. When the mass falls a distance _h_ (from point A to B), the work done is,

![\\begin{matrix}W &=& Fs\\\\&=& mgh\\end{matrix}](../../../upload.wikimedia.org/math/2/7/a/27a4078a64817b3a953579faf570ab12.png)

In falling, the mass loses gravitational potential energy and gains kinetic energy.

**Energy is conserved!**

The work done by the field is equal to the energy transferred,

![\\begin{matrix}W = \\mathrm{Gain\\ in\\ }E_k = \\mathrm{Loss\\ in\\ }E_p\\qquad\\mathrm{\(a\\ falling\\ mass\)}\\end{matrix}](../../../upload.wikimedia.org/math/f/c/b/fcb2c78a36d818c6d5e0ab2b4a188dd5.png)

#### Electrical Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-5)]

A charge in an electric field has **electrical potential energy** since, if released, it will move under the action of the electric field. When released, in the absence of friction, only the electric force acts on the charge and the charge accelerates in the direction of the force (for positive charges the force and acceleration are in the direction of the electric field, while negative charges experience a force and acceleration in the opposite direction to the electric field.) Consider a positive charge +_Q_ placed in the uniform electric field between oppositely charged parallel plates.

![Fhsst electrost24.png](../../../upload.wikimedia.org/wikibooks/en/thumb/6/64/Fhsst_electrost24.png/182px-Fhsst_electrost24.png)

The positive charge will be repelled by the positive plate and attracted by the negative plate (i.e. it will move in the direction of the electric field lines). In this way, work is done by the field. In moving the charge a distance _s_ in the electric field, the work done is,

![\\begin{matrix}W &=& Fs\\\\&=& QEs\\qquad\\mathrm{since\\ }E={F\\over Q}.\\end{matrix}](../../../upload.wikimedia.org/math/d/8/7/d87d49d38baebff6d7d8f8558c2aeb6e.png)

In the process of moving, the charge loses electrical potential energy and gains kinetic energy. The work done by the field is equal to the energy transferred,

![\\begin{matrix}W &=& \\mathrm{Gain\\ in\\ }E_k = \\mathrm{Loss\\ in\\ }E_p\\qquad\\mathrm{\(charge\\ moving\\ under\\ the\\ influence\\ of\\ an\\ electric\\ field\)}\\end{matrix}](../../../upload.wikimedia.org/math/9/8/7/987e96f5d486937ebc1c9cc8c7426f9a.png)

### Work done by us[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-6)]

#### Gravitational Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-7)]

In order to return the mass _m_ in Figure 12.1 to its original position (i.e. lift it a distance _h_ from B back to A) we have to apply a force _mg_ to balance the force of gravity. An amount of work _mgh_ is done by the lifter. In the process, the mass gains gravitational potential energy,

![\\begin{matrix}mgh &=& \\mathrm{Gain\\ in\\ }E_p\\qquad\\mathrm{\(lifting\\ a\\ mass\)}\\end{matrix}](../../../upload.wikimedia.org/math/2/7/9/2793068517748592350a7b40b41dc744.png)

#### Electrical Case[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-8)]

In order to return the charge in Figure 12.2 to its original position (i.e. from B back to A) we have to exert a force _QE_ on the charge to balance the force exerted on it by the electric field. An amount of work _QEs_ is done by us. In the process, the charge gains electrical potential energy,

![\\begin{matrix}QEs &=& \\mathrm{Gain\\ in\\ }E_p\\qquad\\mathrm{\(charge\\ moved\\ against\\ an\\ electric\\ field\)}\\end{matrix}](../../../upload.wikimedia.org/math/a/f/c/afc95ec48bbed9f7a99710db79db4e93.png)

In summary, **when an object moves under the influence of a field, the field does work and potential energy is transferred into kinetic** energy. Potential energy is lost, while kinetic energy is gained. When an object is moved against a field we have to do work and the object gains potential energy.

* * *

##### Worked Example 62 Work done and energy transfers in a field[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-9)]

**Question:** A charge of +5nC is moved a distance of 4 cm against a uniform electric field of magnitude ![2\\times10^{12}\\mathrm{N.C^{-1}}](../../../upload.wikimedia.org/math/4/9/a/49a2c92567ee1341260ccefd5d5e3ecc.png) from A to B.

(a) Calculate the work done in moving the charge from A to B. (b) The charge is now released and returns to A. Calculate the kinetic energy of the charge at A.

**Answer:** (a) Step 1 :

We are given the values of the charge, the field and the distance the charge must move. All are in the correct units.

Step 2 :

Since the charge is positive we have to do work to move it from A to B (since this is against the field). This work is given by,

![\\begin{matrix}W &=& QEs\\\\&=& \(5\\times10^{-9}\)\(2\\times10^{12}\)\(0.04\)\\\\&=& 400\\ \\mathrm{J}\\end{matrix}](../../../upload.wikimedia.org/math/c/f/3/cf3d016f59be6cd121d83d7680c990f1.png)

(b)

Step 3 :

When released the charge moves under the influence of the electric field and returns to A. Work is now done by the field and the work done is equal to the kinetic energy gained,

![\\begin{matrix}\\mathrm{Gain\\ in\\ }E_k &=& QEs\\\\&=& \(5\\times10^{-9}\)\(2\\times10^{12}\)\(0.04\)\\\\&=& 400\\ \\mathrm{J}\\end{matrix}](../../../upload.wikimedia.org/math/3/2/5/3251bee4c4ccc57c2f0910cc6ef2511d.png)

Since the charge started at rest, the gain in kinetic energy is the final kinetic energy,

![\\begin{matrix}E_k^{\\mathrm{at\\ A}} &=& 400\\ \\mathrm{J}\\end{matrix}](../../../upload.wikimedia.org/math/0/1/1/01147cf963bdcb88039464acb06769e1.png)

## Electrical Potential Difference[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-10)]

Consider a positive test charge + _Q_ placed at A in the electric field of another positive point charge.

![Fhsst electrost25.png](../../../upload.wikimedia.org/wikibooks/en/3/35/Fhsst_electrost25.png)

The test charge moves towards B under the influence of the electric field of the other charge. In the process the test charge loses electrical potential energy and gains kinetic energy. Thus, at A, the test charge has more potential energy than at B - **A is said to** have a higher electrical potential than B**. The potential energy of a charge at a point in a field is defined as the work required to move that charge from infinity to that point.**

The **potential difference between two points** in an electric field is defined as the **work required to move a unit positive test charge from the point of lower potential to that of higher potential**. If an amount of work _W_ is required to move a charge _Q_ from one point to another, then the potential difference between the two points is given by,

![\\begin{matrix}V &=&{W\\over Q}\\qquad \\mathrm{unit:J.C^{-1}\\ or\\ V\\ \(the\\ volt\)}\\end{matrix}](../../../upload.wikimedia.org/math/b/a/e/bae26049105719322b75fd5fa32b9239.png)

From this equation it follows that one volt is the potential difference between two points in an electric field if one joule of work is done in moving one coulomb of charge from the one point to the other.

* * *

### Worked Example 63 Potential difference[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-11)]

**Question:** A positively charged object Q is placed as shown in the sketch. The potential difference between two points A and B is ![4\\times10^{-4}\\ \\mathrm{V}](../../../upload.wikimedia.org/math/8/b/d/8bd12beef3399f0b62e060da5159dd9c.png)

![Fhsst electrost26.png](../../../upload.wikimedia.org/wikibooks/en/1/14/Fhsst_electrost26.png)

(a) Calculate the change in electrical potential energy of a +2nC charge when it moves from A to B. (b) Which point, A or B, is at the higher electrical potential? Explain. (c) If this charge were replaced with another of charge -2nC, in what way would its change in energy be affected?

**Answer:** (a) The electrical potential energy of the positive charge decreases as it moves from A to B since it is moving in the direction of the electric field produced by the object Q. This loss in potential energy is equal to the work done by the field,

![\\begin{matrix}\\mathrm{Loss\\ in\\ Electrical\\ Potential\\ Energy} &=& W\\\\&=&VQ\\qquad \\mathrm{\(Since\\ }V={W\\over Q}\)\\\\&=& \(4\\times10^{-4}\)\(2\\times10^{-9}\)\\\\&=& 8\\times10^{-13}\\ \\mathrm{J}\\end{matrix}](../../../upload.wikimedia.org/math/f/7/b/f7bfb7326084f79353c705e733192626.png)

(b) Point A is at the higher electrical potential since work is required by us to move a positive test charge from B to A. (c) If the charge is replaced by one of negative charge, the electrical potential energy of the charge will increase in moving from A to B (in this case we would have to do work on the charge).

As an example consider the electric field between two oppositely charged parallel plates a distance _d_ apart maintained at a potential difference _V_.

![Fhsst electrost27.png](../../../upload.wikimedia.org/wikibooks/en/b/bb/Fhsst_electrost27.png)

This electric field is uniform so that a charge placed anywhere between the plates will experience the same force. Consider a positive test charge _Q_ placed at point O just off the surface of the negative plate. In order to move it towards the positive plate we have to apply a force _QE_. The work done in moving the charge from the negative to the positive plate is,

![\\begin{matrix}W &=& Fs \\\\&=& QEd,\\end{matrix}](../../../upload.wikimedia.org/math/3/a/4/3a4ea1ecaf44d2f50b9508e4b9eb60b1.png)

but from the definition of electrical potential,

![\\begin{matrix}W &=& VQ.\\end{matrix}](../../../upload.wikimedia.org/math/7/f/c/7fc175733236be5b8d5dced3a1dfc766.png)

Equating these two expressions for the work done,

![\\begin{matrix}QEd &=& VQ,\\end{matrix}](../../../upload.wikimedia.org/math/a/3/d/a3d2dc673efc091cb1c0774740914aa5.png)

and so, rearranging,

![\\begin{matrix}E &=& {V\\over d}.\\qquad \\end{matrix}](../../../upload.wikimedia.org/math/5/8/b/58bd2cc1f0c1c106efa47669e6a6ea92.png)

* * *

### Worked Example 64 Parallel plates[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-12)]

**Question:** Two charged parallel plates are at a distance of 180 mm from each other. The potential difference between them is ![3600\\ \\mathrm{V}](../../../upload.wikimedia.org/math/d/6/5/d658d92dc3cf673133901df0d9cc6e7e.png) as shown in the diagram.

![Fhsst electrost28.png](../../../upload.wikimedia.org/wikibooks/en/0/0c/Fhsst_electrost28.png)

(a) If a small oil drop of negligible mass, carrying a charge of ![+6.8\\times10^{-9}\\ \\mathrm{C}](../../../upload.wikimedia.org/math/0/7/7/07793120a92cfaa97e3a998f93e6d712.png), is placed between the plates at point X, calculate the magnitude and direction of the electrostatic force exerted on the droplet.

(b) If the droplet is now moved to point Y, would the force exerted on it be bigger, smaller or the same as in (a)?

**Answer:** (a)

Step 1 :

First find the electric field strength between the plates,

![\\begin{matrix}E &=& {V \\over d}\\\\&=& {3600\\over 0.180}\\\\&=& 20000\\ \\mathrm{N.C^{-1}\\ from\\ the\\ positive\\ to\\ the\\ negative\\ plate}\\end{matrix}](../../../upload.wikimedia.org/math/c/6/2/c622ff7882403347509687407e555ca9.png)

Step 2 :

Now the force exerted on the charge at X is,

![\\begin{matrix}F &=& QE\\\\&=& \(6.8\\times10^{-9}\)\(20000\)\\\\&=& 1.36\\times10^{-4}\\ \\mathrm{down}\\end{matrix}](../../../upload.wikimedia.org/math/2/f/8/2f8ea55148d344e261c69c851c0f2c6d.png)

(b)

Figure 12.3: An oil drop suspended between oppositely charged parallel plates.

[File:Fhsst electrost29.png](http://commons.wikimedia.org/wiki/Special:UploadWizard?wpDestFile=Fhsst_electrost29.png)

Step 3 :

The same. Since the electric field strength is uniform, the force exerted on a charge is the same at all points between the plates.

## Millikan's Oil-drop Experiment[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-13)]

Robert Millikan measured the charge on an electron by studying the motion of charged oil drops between oppositely charged parallel plates.

Consider one such negative drop between the plates in Figure 12.3. Since this drop is negative, the electric field exerts an upward force on the drop. In addition to this upward force, gravity exerts a downward force on the drop. Millikan adjusted the electric field strength between the plates by varying the potential difference applied across the plates. In this way, Millikan was able to bring the drops to rest. *EDIT* Millikan's experiment was ment to have the drops fall at a constant rate. At this constant rate the force of the earth on the drop and the force of the field on the drop are equal *End EDIT*

![\\begin{matrix}F_{\\mathrm{up}} &=& F_{\\mathrm{down}}\\\\QE &=& mg\\end{matrix}](../../../upload.wikimedia.org/math/b/1/c/b1c974962922a3d2b4feb3868effae4c.png)

Since ![E={V \\over d}](../../../upload.wikimedia.org/math/3/d/3/3d311b5fad2b2cccf86668a578da044e.png)

![\\begin{matrix}Q{V \\over d} &=& mg,\\\\\\end{matrix}](../../../upload.wikimedia.org/math/e/a/b/eabf6bd7e26cb603f2c85e10ca0da5d2.png)

and, therefore,

![\\begin{matrix}Q &=& {mgd\\over V}\\end{matrix}](../../../upload.wikimedia.org/math/0/c/c/0cc73a6e783f0c9a10f7b62dba389662.png)

Millikan found that all drops had charges which were multiples of ![1.6\\times10^{-19}\\ \\mathrm{C}](../../../upload.wikimedia.org/math/c/0/9/c09698b4abcd3d3a3283d299d956984f.png). Since objects become charged by gaining or losing electrons, the charge on an electron must be ![-1.6\\times10^{-19}\\ \\mathrm{C}](../../../upload.wikimedia.org/math/b/3/b/b3bbab912a49bbfd36165aed666eec4d.png). The magnitude of the electron's charge is denoted by _e_,

![\\begin{matrix}e &=& 1.6\\times10^{-19}\\ \\mathrm{C}\\end{matrix}](../../../upload.wikimedia.org/math/7/c/f/7cff9e2e7eb8864fc1030f5e1adeda6e.png)

* * *

### Worked Example 65 Charge[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-14)]

**Question:** A metal sphere carries a charge of ![+3.2\\times10^{-8}\\ \\mathrm{C}](../../../upload.wikimedia.org/math/4/d/3/4d361b9eb39fce0cda3578d8016ab888.png). How many electrons did it have to lose to attain its charge?

**Answer:** Since the sphere is positive it lost electrons in the process of charging (when an object loses negative charges it is left positive). In fact, it lost,

![\\begin{matrix}{3.2\\times10^{-8}\\over 1.6\\times10^{-19}}&=& 2\\times10^{11}\\ \\mathrm{electrons}\\end{matrix}](../../../upload.wikimedia.org/math/8/e/c/8ecab0a6fb41455fead70368fc9ae2f5.png)

* * *

### Worked Example 66 Millikan oil-drop experiment[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Electrical_Potential&action=edit&section=T-15)]

**Question:** In a Millikan-type experiment a positively charged oil drop is placed between two horizontal plates, 20 mm apart, as shown.

![Fhsst electrost30.png](../../../upload.wikimedia.org/wikibooks/en/3/3c/Fhsst_electrost30.png)

The potential difference across the plates is 4000V. The drop has a mass of ![1.2\\times10^{-14}](../../../upload.wikimedia.org/math/0/3/f/03f6976a8c0f604353688082a8111d36.png) and a charge of ![8\\times10^{-19}](../../../upload.wikimedia.org/math/2/5/e/25e0e3efccfb0446eb54c82c62c7b827.png). (a) Draw the electric field pattern between the two plates. (b) Calculate:

  1. the electric field intensity between the two plates.
  2. the magnitude of the gravitational force acting on the drop.
  3. the magnitude of the Coulomb force acting on the drop.

(c) The drop is observed through a microscope. What will the drop be seen to do? Explain. (d) Without any further calculations, give two methods that could be used to make the drop remain in a fixed position.

**Answer:** (a)

![Fhsst electrost31.png](../../../upload.wikimedia.org/wikibooks/en/9/9c/Fhsst_electrost31.png)

(b) 1.

![\\begin{matrix}E &=& {V \\over d}\\\\&=& {4000 \\over 0.02}\\\\&=& 2\\times 10^5\\ \\mathrm{V.m^{-1}\\ up}\\\\\\end{matrix}](../../../upload.wikimedia.org/math/e/c/1/ec11bc76f622694e28d7b9c2e7293dba.png)

2.

![\\begin{matrix}F_{\\mathrm{grav}} &=& mg\\\\&=& \(1.2\\times10^{-14}\)\(10\)\\\\&=& 1.2\\times 10^{-13}\\mathrm{N}\\end{matrix}](../../../upload.wikimedia.org/math/0/c/f/0cfd0a212d80e5d7083d96db585677c6.png)

3.

![\\begin{matrix}F_{\\mathrm{Coulomb}} &=& QE \\\\&=& \(8\\times10^{-19}\)\(s\\times10^5\)\\\\&=& 1.6\\times10^{-13}\\mathrm{N}\\end{matrix}](../../../upload.wikimedia.org/math/9/c/1/9c1098aca597e0b00dffdbd28393b749.png)

(c) Since ![F_{up}>F_{down}](../../../upload.wikimedia.org/math/5/a/6/5a6c87b3f546f16faf314934fcec523c.png), the drop accelerates upwards.

(d) The Coulomb force can be decreased by decreasing the electric field strength between the plates. Since ![E={V\\over d}](../../../upload.wikimedia.org/math/3/d/3/3d311b5fad2b2cccf86668a578da044e.png), this can be done either by increasing _d_ or decreasing _V_.

  


The Free High School Science Texts: **A Textbook for High School Students Studying Physics**

[Main Page](http://en.wikibooks.org/wiki/FHSST_Physics) \- <<[ Previous Chapter (Heat and Properties of Matter)](http://en.wikibooks.org/wiki/FHSST_Physics/Heat_and_Properties_of_Matter) \- [Next Chapter (Electricity) >>](http://en.wikibooks.org/wiki/FHSST_Physics/Electricity)

[Electrostatics](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics)

[Definition](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Definition) \- [Charge](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Charge) \- [Electrostatic Force](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrostatic_Force) \- [Electric Fields](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electric_Fields) \- [Electrical Potential](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Electrical_Potential) \- [Important Equations and Quantities](http://en.wikibooks.org/wiki/FHSST_Physics/Electrostatics/Summary)

# Important Equations and Quantities[[edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Electrostatics/Summary&action=edit&section=T-1)]

**Table 12.1:** Units used in Electrostatics

Units

Quantity Symbol Unit S.I. base units Direction

charge
_q_ or _Q_
C (coulomb)
A·s
\--

force
![\\overrightarrow{F}](../../../upload.wikimedia.org/math/8/3/5/83573b2f6ff0440a250e5dc745b2d0ea.png)
N (newton)
kg·m/s² _or_ kg·m·s²
yes

mass
_m_
kg (kilogram)
kg
\--

acceleration
![\\overrightarrow{a}](../../../upload.wikimedia.org/math/5/9/c/59cbaf839ff30b5020031e8f8d08b9dc.png)
metre per second squared
m/s² _or_ m·s²
yes

radial distance
_r_
m (metre)
m
\--

electric field
![\\overrightarrow{E}](../../../upload.wikimedia.org/math/6/a/f/6af495e1779e5ac9f7f1ac3ad0654299.png)
N/C _or_ V/m
kg·m/(A·s³) _or_ kg·m·A−-1·s−3
yes

work
_W_
J (joule)
kg·m2/s2 _or_ kg·m2·s−2
\--

potential difference
_V_
V (volt)
kg·m2/(A·s3) _or_ kg·m2·A−1·s−3
\--
![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&oldid=2377718](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&oldid=2377718)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [FHSST Physics](http://en.wikibooks.org/wiki/Category:FHSST_Physics)

Hidden categories: 

  * [Pages with broken file links](http://en.wikibooks.org/wiki/Category:Pages_with_broken_file_links)
  * [Stubs](http://en.wikibooks.org/wiki/Category:Stubs)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=FHSST+Physics%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=FHSST+Physics%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/w/index.php?title=Talk:FHSST_Physics/Print_version&action=edit&redlink=1)

### 

### Variants

### Views

  * [Read](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&stable=1)
  * [Latest draft](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&stable=0&redirect=no)
  * [Edit](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * [Browse](/wiki/Wikibooks:Card_Catalog_Office)
  * [Cookbook](/wiki/Cookbook:Table_of_Contents)
  * [Wikijunior](/wiki/Wikijunior)
  * [Featured books](/wiki/Wikibooks:Featured_books)
  * [Recent changes](/wiki/Special:RecentChanges)
  * [Donations](//donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
  * [Random book](/wiki/Special:RandomRootpage)
  * [Using Wikibooks](/wiki/Using_Wikibooks)

### Community

  * [Reading room](/wiki/Wikibooks:Reading_room)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/FHSST_Physics/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/FHSST_Physics/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&oldid=2377718)
    * [Page information](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=FHSST_Physics%2FPrint_version&id=2377718)

### In other languages

    * [Português](http://pt.wikibooks.org/wiki/Introdu%C3%A7%C3%A3o_%C3%A0_F%C3%ADsica/Grandezas_vetoriais)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=FHSST+Physics%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=FHSST+Physics%2FPrint+version&oldid=2377718&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=FHSST_Physics/Print_version&printable=yes)

    * This page was last modified on 14 July 2012, at 19:15.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/FHSST_Physics/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
