# General Chemistry/Print version

From Wikibooks, open books for an open world

< [General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)

![Unreviewed changes are displayed on this page](http://bits.wikimedia.org/static-1.24wmf1/extensions/FlaggedRevs/frontend/modules/img/1.png)This page may need to be [reviewed](http://en.wikibooks.org/wiki/Wikibooks:REVIEW) for quality.

Jump to: [navigation](Print_version.html#mw-navigation), [search](Print_version.html#p-search)

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&action=purge&printable=yes) this page.

  


  


General Chemistry

_A Free Online Textbook_

  


![Cover Graphic: A three-dimensional representation of an atomic 4f orbital](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/500px-F4M0.png)

_A three-dimensional representation of an atomic 4f orbital._

## About _General Chemistry_

_General Chemistry_ is an introduction to the basic concepts of chemistry, including atomic structure and bonding, chemical reactions, and solutions. Other topics covered include gases, thermodynamics, kinetics and equilibrium, thermodynamics, redox, and chemistry of the elements.

It is assumed that the reader has basic scientific understanding. Otherwise, minimal knowledge of chemistry is needed prior to reading this book.

  


## Beyond General Chemistry

  * Organic Chemistry - Chemistry studies focusing on the carbon atom and compounds.
  * Inorganic Chemistry - Chemistry studies focusing on salts, metals, and other compounds not based on carbon.
  * Biochemistry - Chemistry studies of or relating to living organisms.

## About Wikibooks

This is a wiki textbook. Anyone from around the world can read, as well as write it! All of the content in the book is covered by the [GNU Free Document Licence](http://www.gnu.org/copyleft/fdl.html), which means it is guaranteed to remain free and open.

### Authors and Significant Contributors

  * [NipplesMeCool](http://en.wikibooks.org/wiki/User:NipplesMeCool)
  * [Orngjce223](http://en.wikibooks.org/wiki/User:Orngjce223)

  


  


# Introduction

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

### Chemistry is Everywhere

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/VysokePece1.jpg/150px-VysokePece1.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chemistry: the study of the properties, composition, and transformation of matter.

The modern human experience places a large emphasis upon the material world. From the day of our birth to the day we die, we are frequently preoccupied with the world around us. Whether struggling to feed ourselves, occupying ourselves with modern inventions, interacting with other people or animals, or simply meditating on the air we breathe, our attention is focused on different aspects of the material world. In fact only a handful of disciplines—certain subsets of religion, philosophy, and abstract math—can be considered completely unrelated to the material world. Everything else is somehow related to **chemistry**, the scientific discipline which studies the properties, composition, and transformation of matter.

### Branches of Chemistry

Chemistry itself has a number of branches:

  * _Analytical chemistry_ seeks to determine the composition of substances.
  * _Biochemistry_ is the study of chemicals found in living things (such as DNA and proteins).
  * _Inorganic Chemistry_ studies substances that do not contain carbon.
  * _Organic chemistry_ studies carbon-based substances. Carbon, as described in more detail in this book, has unique properties that allow it to make complex chemicals, including those of living organisms. An entire field of chemistry is devoted to substances with this element.
  * _Physical chemistry_ is the study of the _physical properties_ of chemicals, which are characteristics that can be measured without changing the composition of the substance.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Sodium_chloride_crystal.png/200px-Sodium_chloride_crystal.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is the structure of table salt, or _sodium chloride_.

Chemistry as a discipline is based on a number of other fields. Because it is a measurement-based science, math plays an important role in its study and usage. A proficiency in high-school level algebra should be all that is needed in this text, and can be obtained from a number of [sources](http://en.wikibooks.org/wiki/Algebra). Chemistry itself is determined by the rules and principles of [physics](http://en.wikibooks.org/wiki/Physics_Study_Guide). Basic principles from physics may be introduced in this text when necessary.

### Why Study Chemistry?

There are many reasons to study chemistry. It is one pillar of the natural sciences necessary for detailed studies in the physical sciences or engineering. The principles of biology and psychology are rooted in the biochemistry of the animal world, in ways that are only now beginning to be understood. Modern medicine is firmly rooted in the chemical nature of the human body. Even students without long term aspirations in science find beauty in the infinite possibilities that originate from the small set of rules found in chemistry.

Chemistry has the power to explain everything in this world, from the ordinary to the bizarre. Why does iron rust? What makes propane such an efficient, clean burning fuel? How can soot and diamond be so different in appearance, yet so similar chemically? Chemistry has the answer to these questions, and so many more. Understanding chemistry is the key to understanding the world as we know it.

### This Book: General Chemistry

An introduction to the chemical world is set forth in this text. The units of study are organized as follows.

![Chemicals in flasks.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e1/Chemicals_in_flasks.jpg/150px-Chemicals_in_flasks.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

  1. **Properties of Matter**: An explanation of the most fundamental concept in chemistry: _matter_.
  2. **Atomic Structure**: While technically in the domain of physics, _atoms_ determine the behavior of matter, making them a necessary starting point for any discussion of chemistry.
  3. **Compounds and Bonding**: Chemical _bonding_ is introduced, which explains how less than one hundred naturally-occurring elements can combine to form all the different compounds that fill our world.
  4. **Chemical Reactions**: Things get interesting once chemical _reactions_ start making and breaking bonds.
  5. **Aqueous Solutions**: Substances _dissolved_ in water have special properties. This is when _acids and bases_ are introduced.
  6. **Phases of Matter**: A detailed look at the _organization of substances_, with particular focus on _gases_.
  7. **Chemical Equilibria**: Chemical reactions don't go on forever. _Equilibrium_ is the balance that reactions seek to achieve.
  8. **Chemical Kinetics**: _Kinetics_ explain why it takes years for an iron nail to rust, but only a split second for a hydrogen-filled hot air balloon to explode.
  9. **Thermodynamics**: Two things decide which reactions can occur and which reactions cannot: heat and chaos. Or _enthalpy and entropy_, as they are called in thermodynamics
  10. **Chemistries of Various Elements**: An exploration of the _elements_ that make up all substance. Includes an introduction to _nuclear chemistry_ and carbon, the essence of _organic chemistry_.

  


<<[ Begin Your Study of **General Chemistry**! >>](http://en.wikibooks.org/wiki/General_Chemistry)

  
  


Matter

  


  


# Basic Properties of Matter

* * *

← [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·[Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) →

[← Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Matter/Changes in Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## What is Matter?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Concrete_block.JPG/220px-Concrete_block.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Matter** has mass and volume, as exemplified by this concrete block.

Matter is defined as anything that has **mass** and **volume**.

**Mass** is a measure of an object's inertia. It is proportional to weight: the more mass an object has, the more weight it has. However, mass is not the same as weight. Weight is a force created by the action of gravity on a substance while mass is a measure of an object's resistance to change in motion. Mass is measured by comparing the substance of interest to a standard kilogram called the International Prototype Kilogram (IPK). The IPK is a metal cylinder where the height and diameter both equal 39.17 millimeters and is made of an alloy of 90% platinum and 10% iridium. Thus, the standard kilogram is defined and all other masses are a comparison to this kilogram. When atom masses are measured in a mass spectrometer, a different internal standard is used. Your take home lesson with regard to mass is that mass is a relative term judged by a comparison.

  
**Volume** is a measure of the amount of space occupied by an object. Volume can be measured directly with equipment designed using graduations marks or indirectly using length measurements depending on the state (gas, liquid, or solid) of the material. A _graduated cylinder_, for example, is a tube that can hold a liquid which is marked and labeled at regular intervals, usually every 1 or 10 mL. Once a liquid is placed in the cylinder, one can read the graduation marks and record the volume measurement. Since volume changes with temperature, graduated equipment has limits to the precision with which one can read the measurement. Solid objects that have regular shape can have their volume calculated by measuring their dimensions. In the case of a box, its volume equals length times width times height.

It is particularly interesting to note that measuring is different from calculating a specific value. While mass and volume can both be determined directly relative to either a defined standard or line marks on glass, calculating other values from measurements is not considered measuring. For example, once you have measured the mass and volume of a liquid directly, one can then calculate the density of a substance by dividing the mass by the volume. This is considered indirectly determining density. Interestingly enough, one can also measure density directly if an experiment which allows the comparison of density to a standard is set up.

Another quantity of matter directly or indirectly determined is the **amount of substance**. This can either represent a counted quantity of objects (e.g. three mice or a dozen bagels) or the indirectly determined number of particles of a substance being dealt with such as how many atoms are contained in a sample of a pure substance. The latter quantity is described in terms of moles. One mole is a specifically defined as the number of particles in 12 grams of the isotope Carbon-12. This number is 6.02214078(18)x 1023 particles.

Units of Measure

  * Mass: the kilogram (kg). Also, the gram (g) and milligram (mg). 
    * 1 kg = 1000 g
    * 1000 mg = 1 g.
  * Volume: the liter (L), milliliter (mL). Also, cubic centimeters (cc) and cubic meters (m3). 
    * 1 cc = 1 mL
    * 1000 mL = 1 L
    * 1000 L = 1 m3
  * Amount: the mole (mol). 
    * 1 mol = 6.02214078(18)x 1023 particles

  


## Atoms, Elements, and Compounds

The fundamental building block of matter is the atom.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e1/Stylised_Lithium_Atom.svg/220px-Stylised_Lithium_Atom.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The red dots are protons, the black dots are neutrons, and the blue dots are electrons.

Any atom is composed of a little nucleus surrounded by a "cloud" of electrons. In the nucleus there are protons and neutrons.

However, the term "atom" just refers to a building block of matter; it doesn't specify the identity of the atom. It could be an atom of carbon, or an atom of hydrogen, or any other kind of atom.

This is where the term "element" comes into play. When an atom is defined by the number of protons contained in its nucleus, chemists refer to it as an **element**. All elements have a very specific identity that makes them unique from other elements. For example, an atom with 6 protons in its nucleus is known as the element _carbon_. When speaking of the element _fluorine_, chemists mean an atom that contains 9 protons in its nucleus.

  * Atom: A fundamental building block of matter composed of protons, neutrons, and electrons.
  * Element: A uniquely identifiable atom recognized by the number of protons in the nucleus.

Despite the fact that we define an element as a unique identifiable atom, when we speak, for example, 5 elements, we don't usually mean those 5 atoms are of the same type (having the same number of protons in their nucleus). We mean 5 'types' of atoms. It is not necessary there are only 5 atoms. There may be 10, or 100, etc. atoms, but those atoms belong to one of 5 types of atoms. I'd rather define 'element' as 'type of atom'. I think it is more precise. If we'd like to refer to 5 atoms having the same 6 protons in their nucleus, I'd say '5 carbon atoms' or '5 atoms of carbon'.

It is important to note that if the number of protons in the nucleus of an atom changes, so does the identity of that element. If we could remove a proton from nitrogen (7 protons), it is no longer nitrogen. We would, in fact, have to identify the atom as carbon (6 protons). Remember, elements are unique and are always defined by the number of protons in the nucleus. The **[Periodic Table of the Elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)** shows all known elements organized by the number of protons they have.

An element is composed of the same type of atom; _elemental carbon_ contains any number of atoms, all having 6 protons in their nuclei. In contrast, **compounds** are composed of different type of atoms. More precisely, a compound is a chemical substance that consists of two or more elements. A _carbon compound_ contains some carbon atoms (with 6 protons each) and some other atoms with different numbers of protons.

Compounds have properties different from the elements that created them. Water, for example, is composed of hydrogen and oxygen. Hydrogen is an explosive gas and oxygen is a gas that fuels fire. Water has completely different properties, being a liquid that is used to extinguish fires.

The smallest representative for a compound (which means it retains characteristics of the compound) is called a **molecule**. Molecules are composed of atoms that have "bonded" together. As an example, the _formula_ of a water molecule is "H2O": two hydrogen atoms and one oxygen atom.

## Properties of Matter

Properties of matter can be divided in two ways: extensive/intensive, or physical/chemical.

  * _Extensive_ properties depend on the amount of matter that is being measured. These include mass and volume.
  * _Intensive_ properties do not depend on the amount of matter. These include density and color.

  * _Physical_ properties can be measured without changing the chemical's identity. The freezing point of a substance is physical. When water freezes, it's still H2O.
  * _Chemical_ properties deal with how one chemical reacts with another. We know that wood is flammable because it becomes heat, ash, and carbon dioxide when heated in the presence of oxygen.

## States of Matter

One important physical property is the _state of matter_. Three are common in everyday life: solid, liquid, and gas. The fourth, _plasma_, is observed in special conditions such as the ones found in the sun and fluorescent lamps. Substances can exist in any of the states. Water is a compound that can be liquid, solid (ice), or gas (steam).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/50/Icewithwater.JPG/220px-Icewithwater.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The ice in this picture is a solid. The water in the picture is a liquid. In the air there is water vapor, which is a gas.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Solid_liquid_gas.svg/220px-Solid_liquid_gas.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The states of matter depend on the bonding between molecules.

### Solids

Solids have a definite shape and a definite volume. Most everyday objects are solids: rocks, chairs, ice, and anything with a specific shape and size. The molecules in a solid are close together and connected by _intermolecular bonds_. Solids can be _amorphous_, meaning that they have no particular structure, or they can be arranged into crystalline structures or networks. For instance, soot, graphite, and diamond are all made of elemental carbon, and they are all solids. What makes them so different? Soot is amorphous, so the atoms are randomly stuck together. Graphite forms parallel layers that can slip past each other. Diamond, however, forms a crystal structure that makes it very strong.

### Liquids

Liquids have a definite volume, but they do not have a definite shape. Instead, they take the shape of their container to the extent they are indeed "contained" by something such as beaker or a cupped hand or even a puddle. If not "contained" by a formal or informal vessel, the shape is determined by other internal (e.g. intermolecular) and external (e.g. gravity, wind, inertial) forces. The molecules are close, but not as close as a solid. The intermolecular bonds are weak, so the molecules are free to slip past each other, flowing smoothly. A property of liquids is _viscosity_, the measure of "thickness" when flowing. Water is not nearly as viscous as molasses, for example.

### Gases

Gases have no definite volume and no definite shape. They expand to fill the size and shape of their container. The oxygen that we breathe and steam from a pot are both examples of gases. The molecules are very far apart in a gas, and there are minimal intermolecular forces. Each atom is free to move in any direction. Gases undergo effusion and diffusion. Effusion occurs when a gas seeps through a small hole, and diffusion occurs when a gas spreads out across a room. If someone leaves a bottle of ammonia on a desk, and there is a hole in it, eventually the entire room will reek of ammonia gas. That is due to the diffusion and effusion. These properties of gas occur because the molecules are not bonded to each other.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Technically, a gas is called a **vapor** if it does not occur at standard temperature and pressure (STP). STP is 0° C and 1.00 atm of pressure. This is why we refer to water _vapor_ rather than water gas.

  * In gases, intermolecular forces are very weak, hence molecules move randomly colliding with themselves, and with the wall of their container, thus exerting pressure on their container. When heat is given out by gases, the internal molecular energy decreases; eventually, the point is reached when the gas liquifies.

  


# Changes in Matter

* * *

← [Properties of Matter/Basic Properties of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Basic_Properties_of_Matter) ·[Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) →

[← Properties of Matter/Basic Properties of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Basic_Properties_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Matter/Classification of Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

There are two types of change in matter: _physical_ change and _chemical_ change. As the names suggest, physical changes affect physical properties, and chemical changes affect chemical properties.

Chemical changes are also known as chemical reactions. The "ingredients" of a reaction are the reactants, and the end results are called the "products". The change from reactants to products can be signified by an arrow.

A Chemical Reaction

Reactants → Products

Note that the number of reactants and products don't necessarily have to be the same. However, the number of each type of atom must remain constant. This is called the **Law of Conservation of Matter**. It states that matter can never be created or destroyed, only changed and rearranged. If a chemical reaction begins with 17 moles of carbon atoms, it must end with 17 moles of carbon atoms. They may be bonded into different molecules, or in a different state of matter, but they cannot disappear.

When changes occur, energy is often transformed. However, like atoms, energy cannot disappear. This is called the **Law of Conservation of Energy**. A simple example would be putting ice cubes into a soft drink. The ice cubes get warmer as the drink gets colder, because energy cannot be created or destroyed, only transferred. Note that energy can be "released" or "stored" by making and breaking bonds. When a plant converts the energy from sunlight into food, that energy is stored in the chemical bonds within the sugar molecules.

## Chemical or Physical?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Blender.jpg/220px-Blender.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Is blending together a smoothie a physical or chemical change?

Physical changes do not cause a substance to become a fundamentally different substance. Chemical changes, on the other hand, cause a substance to change into something entirely new. Chemical changes are typically irreversible, but that is not always the case. It is easier to understand the difference between physical and chemical changes with examples.

_State changes are physical._
Phase changes are when you melt, freeze, boil, condense, [sublimate](http://en.wikipedia.org/wiki/sublimation), or [deposit](http://en.wikipedia.org/wiki/deposition) a substance. They do not change the nature of the substance unless a chemical change occurs along with the physical change.

_Cutting, tearing, shattering, and grinding are physical._
These may be irreversible, but the result is still composed of the same molecules. When you cut your hair, that is a physical change, even though you can't put the hair back on your head again.

_Mixing together substances is physical._
For example, you could mix salt and pepper, dissolve salt in water, or mix molten metals together to produce an alloy.

_Gas bubbles forming is chemical._
Not to be confused with bubbles from boiling, which would be physical (a phase change). Gas bubbles indicate that a chemical reaction has occurred.

_Precipitates forming is chemical._
When dissolved substances are mixed, and a cloudy precipitate appears, there has been a chemical change.

_Rotting, burning, cooking, and rusting (for example) are chemical._
The resulting substances are entirely new chemical compounds. For instance, wood becomes ash and heat; iron becomes rust; sugar ferments into alcohol.

_Changes of color or release of odors (i.e. release of a gas) might be chemical._
As an example, the element chromium shows different colors when it is in different compounds, but a single chromium compound will not change color on its own without some sort of reaction.

_Release/absorption of energy (heat, light, sound) is generally not easily categorized._
Hot/cold packs involve dissolving a salt in water to change its temperature (more on that in later chapters); popping popcorn is mostly (but not completely).

  


# Classification of Matter

* * *

← [Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) ·[Numbers Used to Describe Atoms](http://en.wikibooks.org/wiki/General_Chemistry/Numbers_Used_to_Describe_Atoms) →

[← Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Numbers Used to Describe Atoms →](http://en.wikibooks.org/wiki/General_Chemistry/Numbers_Used_to_Describe_Atoms)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Matter can be classified by its state.

  * **Solids** have a set volume and shape.The inter molecular force of attraction for solid matter is very strong.
  * **Liquids** have a set volume, but change shape. The inter molecular force of attraction for liquid matter is weaker than solid matter.
  * **Gases** have neither definite volume nor shape. The inter molecular force of attraction for gaseous matter is negligible.
  * **Plasma** which are usually gaseous state of matter in which a part or all of the atoms or molecules are dissociated to form ions.

Matter can also be classified by its chemical composition.

  * An [element](http://en.wikipedia.org/wiki/Chemical_element) is a pure substance made up of atoms with the same number of protons. As of 2011, 118 elements have been observed, 92 of which occur naturally. Carbon (C), Oxygen (O), Hydrogen (H) are examples of elements. The [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) is a tabular representation of the known elements.
  * A [compound](http://en.wikipedia.org/wiki/Chemical_compound) consists of two or more chemical elements that are chemically bonded together. Water (H2O) and table sugar (C12H22O11) are examples of chemical compounds. The ratio of the elements in a compound is always the same. For example in water, the number of H atoms is always twice the number of O atoms.
  * A [mixture](http://en.wikipedia.org/wiki/mixture) consists of two or more substances (element or compound) mixed together without any chemical bond. Salad is a good example. A mixture can be separated into its individual components by mechanical means.

## Types of Mixtures

There are many kinds of mixtures. They are classified by the behavior of the **phases**, or substances that have been mixed.

### Homogeneous Mixtures

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Refraction-with-soda-straw.jpg/220px-Refraction-with-soda-straw.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Soda water is a homogeneous mixture. (The straw looks broken because of [refraction](http://en.wiktionary.org/wiki/refraction).)

A homogeneous mixture is uniform, which means that any given sample of the mixture will have the same composition. Air, sea water, and carbonation dissolved in soda are all examples of homogeneous mixtures, or solutions. No matter what sample you take from the mixture, it will always be composed of the same combination of phases. Chocolate chip ice cream is not homogeneous—one spoonful taken might have two chips, and then another spoonful might have several chips.

An example for a homogeneous mixture is a solution. The substance that gets dissolved is the **solute**. The substance that does the dissolving is the **solvent**. Together they make a **solution**. If you stir a spoonful of salt into a glass of water, salt is the solute that gets dissolved. Water is the solvent. The salty water is now a solution, or homogeneous mixture, of salt and water.

When different gases are mixed, they always form a solution. The gas molecules quickly spread out into a uniform composition.

### Heterogeneous Mixtures

A **heterogeneous mixture** is not uniform. Different samples may have different compositions, like the example of chocolate chip ice cream. Concrete, soil, blood, and salad are all examples of heterogeneous mixtures.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/DustWorkerStreet.jpg/220px-DustWorkerStreet.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This dust is a suspension because it settles after the work is done.

#### Suspensions

When sand gets kicked up in a pond, it clouds the water. Soon the sand settles down, and is no longer mixed into the water. This is an example of a **suspension**. Suspensions are heterogeneous mixtures that will eventually settle. They are usually, but not necessarily, composed of phases in different states of matter. Italian salad dressing has three phases: the water, the oil, and the small pieces of seasoning. The seasonings are solids that will sink to the bottom, and the oil and water are liquids that will separate.

#### Colloids

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Toothpaste.jpg/220px-Toothpaste.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Toothpaste is a colloid, because it's part solid and part liquid.

What exactly is toothpaste? We can't exactly classify it by its state of matter. It has a definite shape and volume, like a solid. But then you squeeze the tube, and it flows almost like a liquid. And then there's jelly, shaving cream, smoke, dough, and Silly Putty...

These are examples of **colloids**. A [colloid](http://en.wikipedia.org/wiki/Colloids) is a heterogeneous mixture of two substances of different phases. Shaving cream and other foams are gas dispersed in liquid. Jello, toothpaste, and other gels are liquid dispersed in solid. Dough is a solid dispersed in a liquid. Smoke is a solid dispersed in a gas.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Colloids differ from suspensions in that they will not settle.

Colloids consist of two phases: a _dispersed phase_ inside of a _continuous medium_.

#### The Tyndall Effect

The Tyndall effect distinguishes colloids from solutions. In a solution, the particles are so fine that they will not scatter light. This is not true for a colloid. If you shine light through a solution, the beam of light will not be visible. It will be visible in a colloid. For instance, if you have ever played with a laser pointer, you have seen the Tyndall effect. You cannot see the laser beam in air (a solution), but if you shine it into a mist (a colloid, or suspension, actually), the beam is visible. Clouds look white (or gray), as opposed to blue, because of the Tyndall effect - the light is scattered by the small droplets of suspended water.

## Methods for Separating Mixtures

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/Filtration_diagram.svg/220px-Filtration_diagram.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Filtration is one way to separate a mixture.

Because there is no chemical bonding in a mixture, the phases can be separated by mechanical means. In a heterogeneous mixture like a salad, the pieces can easily be picked out and separated. It is as simple as sifting through the salad and picking out all the tomatoes and radishes, for example. However, many mixtures contain particles that are too small, liquids, or too many particles to be separated manually. We must use more sophisticated methods to separate the mixture.

### Filtration

Imagine you have a sandbox, but there are bits of broken glass in it. All you would need is some sort of filter. The sand particles are much smaller than the glass chips, so a mesh filter would let sand pass but stop the glass. Filtration is used in all sorts of purification methods. Some filters, like dialysis tubing, are such fine filters that water can pass, but dissolved glucose cannot.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Filtration works with particles that are significantly different in size, like sand and rock, or water and glucose.

### Distillation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Simple_distillation_apparatus.svg/220px-Simple_distillation_apparatus.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A distillation apparatus has a boiling flask, a place to cool the vapor down, and a collecting flask.

If you were given a glass of saltwater, could you drink it? Sure, if you distill it first. Distillation is the boiling of a mixture to separate its phases. Salt is a solid at room temperature, and water is a liquid. Water will boil far before salt even begins to melt. So separating the two is as simple as boiling the water until all that remains is the solid salt. If desired, the water vapor can be collected, condensed, and used as a source of pure water.

Distillation can also be used if two liquids are mixed but have different boiling points. Separation of several liquids with similar boiling points can be achieved using [fractionation](http://en.wikipedia.org/wiki/fractionation).

### Centrifugation and Sedimentation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d5/Activated_Sludge_1.svg/220px-Activated_Sludge_1.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sedimentation is used to purify waste water, by letting it settle and removing the settled material (sludge, in this case).

These processes rely on differences in density. In a medical lab, blood often goes into a centrifuge. A centrifuge is a machine that spins a sample at fairly high rates of speed. Red blood cells are much denser than the watery substance (called plasma, but it's not the plasma state of matter) that makes up blood. As a result of the spinning, the denser phases move outward and the less dense phases move inward, towards the axis of rotation. Then, the red blood cells can be separated from the plasma.

Sedimentation is similar, but it happens when particles of different densities have settled within a liquid. If a jar of muddy water is left to settle, the heaviest particles sink to the bottom first. The lightest particles sink last and form a layer on top the heavier particles. You may have seen this effect in a bottle of salad dressing. The seasonings sink to the bottom, the water forms a lower layer, and the oil forms an upper layer. The separate phases can be skimmed out. To return it to a mixture, simply shake it up to disturb the layers.

### Unique Properties

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Chromatography_of_chlorophyll_-_Step_7.jpg/60px-Chromatography_of_chlorophyll_-_Step_7.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chromatography separates things dissolved in liquid.

The differences in substances' properties can be exploited to allow separation. Consider these examples:

  * A mixture of sand and iron filings can be separated by magnet.
  * Salt and sand can be separated by solution (sand will not dissolve in water, salt will)
  * Helium can be separated from a mixture with hydrogen by combustion (this is a very dangerous operation, since hydrogen in the presence of oxygen is highly explosive). Hydrogen is flammable, but helium is not.

### Other methods

There are countless other ways to [separate mixtures](http://en.wikipedia.org/wiki/Separation_process). For instance, gel electrophoresis is used to separate different sized pieces of DNA. They are placed into gel, and an electric current is applied. The smaller pieces move faster and separate from the larger pieces.

Chromatography separates phases dissolved in liquid. If you want to see an example, take a strip of paper and draw a dot on it with a colored marker. Dip the strip into water, and wait a while. You should see the ink separate into different colors as they spread out from the dot.  


# Numbers Used to Describe Atoms

* * *

← [Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) ·[Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) →

[← Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Atomic Structure →](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Numbers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Atomo_di_litio.svg/220px-Atomo_di_litio.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

If the red parts are protons and the green parts are neutrons, what's the atomic, neutron, and mass number of this atom? (lithium)

The **Atomic number** is the number of protons in the nucleus of an atom. This number determines the element type of the atom. For instance, all neon atoms have exactly ten protons. If an atom has ten protons, then it must be neon. If an atom is neon, then it must have ten protons.

The atomic number is sometimes denoted **Z**. Continuing with the example of neon, ![Z=10](../../../upload.wikimedia.org/math/e/7/0/e709c44c849288fd3bd7cea238a89a9a.png).

The **Neutron number** is the number of neutrons in the nucleus of an atom. Remember that neutrons have no electric charge, so they do not affect the chemistry of an element. However, they do affect the nuclear properties of the element. For instance, Carbon-12 has six neutrons, and it is stable. Carbon-14 has eight neutrons, and it happens to be radioactive. Despite these differences, both forms of carbon behave the same way when forming chemical compounds.

The neutron number is sometimes denoted **N**.

The **Mass number** is the sum of protons and neutrons in an atom. It is denoted **A**. To find the mass number of an atom, remember that **A = Z + N**. The mass number of an atom is always an integer. Because the number of neutrons can vary among different atoms of the same element, there can be different mass numbers of a given element. Look back to the example of carbon. Carbon-14 has a mass number of 14, and Carbon-12 has a mass number of 12. Every carbon atom _must_ have six protons, so Carbon-14 has eight neutrons and Carbon-12 has six neutrons.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Elements with the same atomic number but different atomic masses are **isotopes**.

Isotopes of the same element have nearly identical chemical properties (because they have the same number of protons and electrons). Their only difference is the number of neutrons, which changes their nuclear properties like radioactivity.

### Notation

There is a convenient way of writing the numbers that describe atoms. It is easiest to learn by examples.

Helpful Hint!

Keep in mind that any of the three numbers written around the element symbol are optional, but they should be written if it is important to the given situation. The charge number is left off if the atom has zero charge (equal number of protons and electrons). The mass number and atomic number are usually left off.

![_9^{19}\\text{F}](../../../upload.wikimedia.org/math/2/f/3/2f3176f11669e13d3a8fb4a243533ef4.png)
This is how we write fluorine-19. The atomic number is below and the mass number is above, followed by its symbol on the [periodic table of the elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

![^{12}\\text{C}](../../../upload.wikimedia.org/math/8/c/9/8c94cf727c500b517e721e182e59e3ea.png)
This example shows carbon-12. Notice how the atomic number is missing. You know which element it is because of the C, so there is no need to write the number of protons. The atomic number is rarely written because the element symbol implies how many protons there are.

![_{12}^{25}\\text{Mg}^{+2}](../../../upload.wikimedia.org/math/6/9/7/69720704a3235a5f3cecae2e9d3e90d1.png)
The last example shows both the atomic number and mass number, along with a charge. The charge is the difference in the number of protons compared to the number of electrons. You can read more about charge, protons, and electrons [later on](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles). From the example, you can see that this magnesium atom would have 12 protons, 13 neutrons, and 10 electrons. Its mass is 25 (12 p + 13 n) and its charge is +2 (12 p - 10 e).

Exercise for the reader!

Try writing the symbol for an atom with seven protons, seven neutrons, and eight electrons. You will need to look up its symbol on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

## Atomic Mass

The mass of an atom is measured in _atomic mass units (amu)_. An atom's mass can be found by summing the number of protons and neutrons. By definition, 12 amu equals the atomic mass of carbon-12. Protons and neutrons have an approximate mass of 1 amu, and electrons have a negligible mass.

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

There is a difference between an atom's mass number and an element's atomic mass. The mass number measures the number of protons and neutrons in the nucleus of a _particular atom_. The atomic mass measures the _average mass of all atoms for an element_. For example, a carbon atom might have a mass number of 12 or 14 (or something else), but carbon in general has a mass of 12.011 amu.

Usually, a pure element is made up of a number of isotopes in specific ratios. Because of this, the measured atomic mass of carbon is not exactly 12. It is an average of all the masses of all the isotopes, with the more common ones contributing more to the measured atomic mass. By convention atomic masses are given no units.

Example

Pretend that the element Wikibookium has two isotopes. The first has a mass number of 104, and the second has a mass number of 107. Considering that 75% of the naturally occurring atoms are of the first isotope, and the rest are of the second. The average atomic mass is calculated as

0.75 × 104 + 0.25 × 107 = 104.75

In this case, a bunch of Wikibookium atoms would have an average mass of 104.75 amu, but each individual atom might have a mass number of 104 or 107. Keep in mind that all of the atoms would have the same number of protons. Their masses are different because of the number of neutrons.

## Moles

A mole is defined as the amount of an element whose number of particles are equal to that in 12g of C-12 carbon, also known as Avogadro's number. Avogadro's number equals 6.022 × 1023. Moles are not very confusing: if you have a dozen atoms, you would have 12. If you have a mole of atoms, you would have 6.022 × 1023. Why is this ridiculously large number important? It can be used to convert between atomic mass units and grams. One mole of carbon-12 is exactly 12 grams, by definition. Similarly, one mole of any element is the atomic mass of that element expressed as a weight in grams. The atomic mass is equal to the number of grams per mole of that element.

Example

There are 128.2 g of rubidium (atomic mass = 85.47 amu). How many atoms are there?

(128.2 g) / (85.47 g/mol) = 1.5 mol  
(1.5 mol) × (6.022 × 1023) = **9.03 × 1023 atoms of rubidium**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8b/NO2-N2O4.jpg/220px-NO2-N2O4.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

These one-liter containers each hold 0.045 moles of nitrogen-based gas. (1 L) / (22.4 L/mol) = 0.045 mol

Moles are also important because every 22.4 liters of gas contain 1 mole of gas molecules at standard temperature and pressure (STP, 0 °C and 1 atmosphere of pressure). Avogadro discovered this. (That's why it's his number.) A container filled with fluorine gas would have to be 22.4 L large to hold one mole of F2 molecules. Knowing this fact allows you to determine the mass of a gas molecule if you know the volume of the container. This holds true for every gas.

Why every single gas? Atoms and molecules are _tiny_. The volume of a gas is mostly empty space, so the molecules have an insignificantly small volume. As you will [eventually learn](http://en.wikibooks.org/wiki/General_Chemistry/Gases), this ensures that there is always one mole of gas atoms for every 22.4 liters at STP.

  
  


Atomic Structure

  


  


# History of Atomic Structure

* * *

← [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) ·[Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) →

[← Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Atomic Structure/Subatomic Particles →](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Why is the history of the atom so important?

It is fundamental to the understanding of science that science is understood to be a process of trial and improvement and represents the best known at the time, not an unerring oracle of truth. Development of an idea and refinement through testing is shown more in the understanding of atomic structure.

## The Greek Theorists

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Democritus2.jpg/220px-Democritus2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A bust of Democritus (or Democrites), who came up with the idea of indivisible atoms.

The earliest known proponent of anything resembling modern atomic theory was the ancient Greek thinker Democritus. He proposed the existence of indivisible atoms as a response to the arguments of Parmenides, and the paradoxes of Zeno.

Parmenides argued against the possibility of movement, change, and plurality on the premise that something cannot come from nothing. Zeno attempted to prove Parmenides' point by a series of paradoxes based on difficulties with infinite divisibility.

In response to these ideas, Democritus posited the existence of indestructible atoms that exist in a void. Their indestructibility provided a retort to Zeno, and the void allowed him to account for plurality, change, and movement. It remained for him to account for the properties of atoms, and how they related to our experiences of objects in the world.

Democritus proposed that atoms possessed few actual properties, with size, shape, and mass being the most important. All other properties, he argued, could be explained in terms of the three primary properties. A smooth substance, for instance, might be composed of primarily smooth atoms, while a sour substance is composed of rough or sharp ones. Solid substances might be composed of atoms with numerous hooks, by which they connect to each other, while the atoms of liquid substances possess far fewer points of connection.

Democritus proposed 8 points to his theory of atoms. [[1]](Print_version.html#cite_note-1) These are:

  1. All matter is composed of atoms, which are bits of matter too small to be seen. These atoms CANNOT be further split into smaller portions.
  2. There is a void, which is empty space between atoms.
  3. Atoms are completely solid
  4. Atoms are homogeneous, with no internal structure.
  5. Atoms are different in: their sizes, their shapes, and their weights.
  6. Atoms are the building blocks of life

## Alchemy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Distillation_by_Retort.png/220px-Distillation_by_Retort.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Although alchemy was futile, the alchemists did come up with several useful methods, including distillation (shown here).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Streichholz.jpg/100px-Streichholz.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A fire, shown by Lavoisier to be a chemical reaction and not an element.

Empedocles proposed that there were four elements, air, earth, water, and fire and that everything else was a mixture of these. This belief was very popular in the medieval ages and introduced the science of alchemy. Alchemy was based on the belief that since everything was made of only four elements, you could transmute a mixture into another mixture of the same type. For example, it was believed that lead could be made into gold.

Alchemy's problem was exposed by Antoine Lavoisier when he heated metallic tin in a sealed flask. A grayish ash appeared on the surface of the melting tin, which Lavoisier heated until no more ash formed. After the flask cooled, he inverted it and opened it underwater. He discovered the water rose one-fifth of the way into the glass, leading Lavoisier to conclude that air itself is a mixture, with one-fifth of it having combined with the tin, yet the other four-fifths did not, showing that air was not an element.

Lavoisier repeated the experiment again, substituting mercury for tin, and found that the same happened. Yet after heating gently, he found that the ash released the air, showing that the experiment could be reversed. He concluded that the ash was a compound of the metal and oxygen, which he proved by weighing the metal and the ash, and showing that their combined weight was greater than that of the original metal.

Lavoisier then stated that combustion was not an element, but instead was a chemical reaction of a fuel and oxygen.

## John Dalton

![](../../../upload.wikimedia.org/wikipedia/commons/4/40/Hex2at.GIF)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Different elements, different atoms.

  
Modern atomic theory was born with Dalton when he published his theories in 1803. His theory consists of five important points, which are considered to be mostly true today: [(from Wikipedia)](http://en.wikipedia.org/wiki/John_Dalton#Five_main_points_of_Dalton.27s_Atomic_Theory)

  * Elements are composed of tiny particles called atoms.
  * All atoms of a given element are identical.
  * The atoms of a given element are different from those of any other element; the atoms of different elements can be distinguished from one another by their respective relative weights.
  * Atoms of one element can combine with atoms of other elements to form chemical compounds; a given compound always has the same relative numbers of types of atoms.
  * Atoms cannot be created, divided into smaller particles, nor destroyed in the chemical process; a chemical reaction simply changes the way atoms are grouped together.

We now know that elements have different isotopes, which have slightly different weights. Also, nuclear reactions can divide atoms into smaller parts (but nuclear reactions aren't really considered _chemical_ reactions). Otherwise, his theory still stands today.

## Dmitri Mendeleev

In the late 1800's, Russian scientist Dmitri Mendeleev was credited with creating one of the first organized periodic tables. Organizing each element by atomic weight, he cataloged each of the 56 elements discovered at the time. Aside from atomic weight, he also organized his table to group the elements according to known properties.

While writing a series of textbooks, Mendeleev realized he was running out of space to treat each element individually. He began to regularly "linewrap" the elements onto the next line, and create what is now called the periodic table of the elements. Using his table, he predicted the existence of later-discovered elements, such as "eka-aluminum" and "eka-silicon" (gallium and selenium) according to patterns found earlier. His predictions were a success, proving his table to be exceptionally accurate. Later theories, those of the electrons around the atom, explain why elements in the same period, or group, have similar chemical properties. Chemists would later organise each element by atomic number, not atomic weight, giving rise to the modern [Periodic Table of Elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

## J.J. Thompson

### Discovery of the Electron

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Cathode_ray_tube_diagram-en.svg/220px-Cathode_ray_tube_diagram-en.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Cathode rays are actually made of electrons.

In the year 1889 the British physicist J.J. Thomson discovered the electron. Thomson conducted a number of experiments using _cathode ray tube_. Cathode rays are constructed by sealing two electrodes in a glass tube and removing the air from it. When the electrodes are attached to high voltage, a beam of radiation is emitted from the negative electrode. These beams are called cathode rays.

Thompson discovered that cathode rays travel in straight lines except when they are bent by electric or magnetic fields. Because the cathode rays bent away from a negatively charged plate, Thomson concluded that these rays are made of negatively charged particles; today we call them electrons. Thompson found that he could produce cathode rays using electrodes of various materials. He then concluded that electrons were found in all atoms and are over a thousand times smaller than protons.

### The "Plum Pudding" Atomic Model

Soon after the discovery of the electron, Thompson began speculating on the nature of the atom. He suggested a "plum pudding" model. In this model the bits of "plum" were the electrons which were floating around in a "pudding" of positive charge to match that of the electrons and make an electrically neutral atom. A modern illustration of this idea would be a chocolate chip cookie, with the chips representing negatively charged electrons and the dough representing positive charge.

## Rutherford

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c3/Rutherford_gold_foil_experiment_results.svg/220px-Rutherford_gold_foil_experiment_results.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The results of the gold foil experiment disproved the "plum pudding" model: the alpha particles should have passed through (top), but a few of them deflected at large angles (bottom).

Ernest Rutherford is known for his famous **gold foil experiment** in 1911. Alpha particles, which are heavy and positively charged (actually, helium nuclei, but that's beside the point), were fired at a very thin layer of gold. Most of the alpha particles passed straight through, as expected. According to the plum pudding model _all_ of the particles should have slowed as they passed through the "pudding", but none should have been deflected. Surprisingly, a few alpha particles were deflected back the way they came. He stated that it was "as if you fired a 15-inch shell at a piece of tissue paper and it came back and hit you."

The result of the experiment allowed Rutherford to conclude that the plum pudding model is wrong.

  * Atoms have a **nucleus**, very small and dense, containing the positive charge and most of the atom's mass.
  * The atom consists of mostly empty space.
  * The electrons are attracted to the nucleus, but remain far outside it.

## Niels Bohr

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a1/Bohr_Model.svg/220px-Bohr_Model.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Bohr model of the atom has shells with numbered spherical energy levels - the larger numbers mean larger spheres and higher energy levels. The wave exiting the picture on the left has come from an electron jump, resulting in a photon. (Level sizes not to scale.)

Bohr created his own model of the atom, improving on Rutherford's. Bohr used an equation developed by [Rydberg](https://en.wikipedia.org/wiki/Johannes_Rydberg) that provided a mathematical relationship between the visible [spectral lines](https://en.wikipedia.org/wiki/Spectral_line) of the hydrogen atom. The equation requires that the wavelengths emitted from the hydrogen atom be related to the difference of two integers. Bohr theorized that these integers represent "shells" or "orbits" in which electrons travel around the nucleus, each with a certain energy level. The energy of an orbit is proportional to its distance from the nucleus. An atom will absorb and release photons that have a specific amount of energy. The energy is the result of an electron jumping to a different shell. Starting with Rydberg's equation, along with Planck and Einstein's work on the relationship between light and energy, Bohr was able to derive an equation to calculate the energy of each orbit in the hydrogen atom. The [Bohr model](https://en.wikipedia.org/wiki/Bohr_model) depicts the atom as a nucleus with electrons orbiting around it at specific distances. This model is also referred to as the Planetary Model.

## Millikan

[Robert Millikan](http://en.wikipedia.org/wiki/Robert_Millikan) is accredited for the "Oil Drop Experiment", in which the value of the electron charge was determined. He created a mechanism where he could spray oil drops that would settle into a beam of X rays. The beam of X rays caused the oil drops to become charged with electrons. The oil droplets were in between a positively charged plate and a negatively charged plate which, when proper electric voltage was applied, caused the oil droplet to remain still. Robert Millikan measured the diameter of each individual oil drop using a microscope.

Millikan was able to calculate the mass of each oil droplet because he knew the density of the oil (![volume * density = mass](../../../upload.wikimedia.org/math/e/6/5/e65c6e833e904fbbefbd62a5f92b897b.png)). Using the mass of each oil droplet and the equation for the force of gravitational attraction (which he rearranged from ![Force = mG](../../../upload.wikimedia.org/math/1/4/f/14f75ba66f99f82ed9962de9c976009c.png) to ![m_{droplet}G = Ee](../../../upload.wikimedia.org/math/c/6/f/c6fb9583ca3003a207c71af1a3dd6b04.png), where ![m_{droplet}](../../../upload.wikimedia.org/math/2/e/e/2ee7e0eb86c53f13f2d0246dbd574d8e.png) is the mass of each individual oil droplet, ![G](../../../upload.wikimedia.org/math/d/f/c/dfcf28d0734569a6a693bc8194de62bf.png) is the acceleration due to gravity, and ![Ee](../../../upload.wikimedia.org/math/f/0/c/f0c90485641e0f5b87380ed1d1ad5c49.png) is the electrical force which equals force in the first equation), Millikan was able to find the value of the charge of the electron, ![e](../../../upload.wikimedia.org/math/e/1/6/e1671797c52e15f763380b45e841ec32.png).

The X rays, however, did not always produce an oil drop with only one negative charge. Thus, the values Millikan obtained may have looked like this:

  * ![-8.0*10^{-19}](../../../upload.wikimedia.org/math/b/c/a/bcab6a02e39ea9096a707f78e6c7183a.png) coulomb
  * ![-6.4*10^{-19}](../../../upload.wikimedia.org/math/f/5/2/f52f881b1bda465d7497c705490e9c7c.png) coulomb
  * ![-4.8*10^{-19}](../../../upload.wikimedia.org/math/a/d/b/adb558a0a26ea5f5bfe45d6ad354200c.png) coulomb
  * ![-3.2*10^{-19}](../../../upload.wikimedia.org/math/1/3/4/1341bfa76bbdba84941d57c141226ce8.png) coulomb

Millikan found that these values all had a common divisor: ![-1.6*10^{-19}](../../../upload.wikimedia.org/math/4/9/c/49ce30706c970f3a4f3d4b70458e8626.png) coulomb. He concluded that different values occurred because the droplets acquired charges of -5, -4, -3, and -2, as in this example. Thus, he stated that the common divisor, ![-1.6*10^{-19}](../../../upload.wikimedia.org/math/4/9/c/49ce30706c970f3a4f3d4b70458e8626.png) coulomb, was the charge of the electron.

## References

  1. [↑](Print_version.html#cite_ref-1) <http://dbhs.wvusd.k12.ca.us/webdocs/AtomicStructure/Greeks.html>

  


# Subatomic Particles

* * *

← [Atomic Structure/History of Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/History_of_Atomic_Structure) ·[Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) →

[← Atomic Structure/History of Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/History_of_Atomic_Structure) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Introduction to Quantum Theory →](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Particle Properties

Before learning about subatomic particles, some basic properties should be understood.

### Charge

Particles may be electrically charged. **Charge** is a property which defines the force that a particle will exert on other charged particles. There is a well known saying that applies perfectly: "Opposites attract." (Likewise, like charges repel.) Positive charges and negative charges will attract each other and come together. Two positive or two negative charges will push each other away.

Helpful Hint!

Not all particles have charge.

The amount of charge a particle has is measured in [coulombs](http://en.wikipedia.org/wiki/Coulomb), but it is more conveniently expressed in terms of an integer. For instance, a helium ion that has 2 less electrons than usual has a charge of +2, and a bromide ion with one more electron than usual has a charge of -1. (This may seem backwards, but remember that an electron has a negative charge.) Notice that charge not only applies to subatomic particles, but also ions and other things as well. Always remember to specify if a charge is positive or negative. Unlike ordinary numbers, we _always write the plus sign for positive charges_ to avoid confusion with a negative charge.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

It may be useful to understand **Coulomb's Law**. It explains the electromagnetic force: ![ F = \\frac{k Q_1 Q_2}{r^2}](../../../upload.wikimedia.org/math/e/0/f/e0fdbd73d21671cb30cc717c43bfb9f3.png). ![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the charge on each particle, ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is the distance between them, and ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant. So, if the distance between two particles is doubled, the force will be reduced four times. Double the charge would mean double the force, be it attractive or repulsive. Coulomb's Law will be especially important when understanding periodic trends. However, there is no need to solve it exactly. Just remember the relationships between the variables.

### Mass

Mass is the measure of inertia. From a subatomic point of view, mass can also be understood in terms of energy, but that does not concern us when dealing with chemistry. Mass for particles, atoms, and molecules is not measured in grams, as with ordinary substances. Instead, it is measured in _atomic mass units_, or **amu**. For more information about mass and amu, read the previous chapters on properties of matter.

## The Nucleus

![](../../../upload.wikimedia.org/wikibooks/en/c/cd/Simple_atom_\(lithium\).png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An atom (not to scale!)

At the center of each atom lies the nucleus. It is incredibly small: if you were to take the average atom (itself miniscule in size) and expand it to the size of a football stadium, then the nucleus would be about the size of a marble. It is, however, astoundingly dense: despite the tiny percentage of the atom's volume it contains nearly all of the atom's mass. The nucleus almost never changes under normal conditions, remaining constant throughout chemical reactions. Nuclei are themselves made up of a pair of smaller and more dense particles, the **proton** and the **neutron**. These particles are collectively dubbed **nucleons**.

### Protons

Protons have a charge of +1 and a mass of 1 amu. They are often represented by a ![p](../../../upload.wikimedia.org/math/8/3/8/83878c91171338902e0fe0fb97a8c47a.png).

Protons will be important when learning about acids and bases—they are the essence of acid. Remember that the number of protons in an atom is its _atomic number_, and defines what element it will be. The number of protons in a nucleus ranges from **one** to over a hundred.

Consider the element hydrogen. Its atomic number is 1, so it has one proton and one electron. If it is made into an ion (an atom with missing or extra electrons), it will simply be a lone proton. Thus, a proton _is_ the nucleus of a hydrogen atom, and a proton _is_ a hydrogen ion. Therefore, a proton can be written as ![\\text{H}^+](../../../upload.wikimedia.org/math/5/7/7/577d662d305f8a05303d597c65296cd8.png) or ![_1^1\\text{H}^+](../../../upload.wikimedia.org/math/f/a/8/fa8b098a261d5c4ceedf2e561d1c07c9.png), both symbols for a hydrogen ion.

### Neutrons

Neutrons have no charge and a mass of 1 amu. A neutron is slightly heavier than a proton, but the difference is insignificant. Neutrons are often written ![n](../../../upload.wikimedia.org/math/7/b/8/7b8b965ad4bca0e41ab51de7b31363a1.png).

Our friends the physicists say that neutrons and protons are made of even smaller particles called _quarks_. Fortunately, we don't need to know about that because quarks do not affect chemistry. Instead, quarks fall in the field of [Quantum Mechanics](http://en.wikibooks.org/wiki/Quantum_Mechanics).

Unlike the protons, neutrons cannot exist outside the nucleus indefinitely as they become unstable and break down. Within one nucleus there can be many protons and neutrons all in close proximity to one another. The number of neutrons in a nucleus ranges from **zero** to over a hundred.

You may wonder why neutrons exist. They have no charge, so can they do anything? The answer is yes—neutrons are very important. Remember that opposites attract and likes repel. If so, then how can several protons stay clumped together in the dense nucleus of an atom? It would seem as if the protons would repel and scatter the nucleus. However, there is a **strong nuclear force** that holds the nucleus together. This incredible force causes nucleons to attract each other with much greater strength than the electric force can repel them, but only over extremely short distances.

A delicate balance exists between the number of protons and neutrons. Protons, which are attracted to one another via the strong force but simultaneously repelled by their electromagnetic charges, cannot exist in great numbers within the nucleus without the stabilizing action of neutrons, which are attracted via the strong force but are not charged. Conversely, neutrons lend their inherent instability to the nucleus and too many will destabilize it.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Neutrons are the reason for **isotopes**, or atoms with the same number of protons but different masses. The masses are different because of different numbers of neutrons. Isotopes of a given element have almost identical chemical properties (like color, melting point, reactions, etc.), but they have different nuclear properties. Some isotopes are stable, others are radioactive. Different isotopes decay in different ways.

Lastly, neutrons are very important in nuclear reactions, such as those used in power plants. Neutrons act like a bullet that can split an atom's nucleus. Because they have no charge, neutrons are neither attracted nor repelled by atoms and ions.

## The Electron Cloud

Surrounding the dense nucleus is a cloud of electrons. Electrons have a charge of -1 and a mass of 0 amu. That does not mean they are massless. Electrons do have mass, but it is so small that it has no effect on the overall mass of an atom. An electron has approximately 1/1800 the mass of a proton or neutron. Electrons are written ![e^-](../../../upload.wikimedia.org/math/e/2/1/e211fe26cb7b44c1c8feeb0b7580a147.png).

Electrons orbit the outside of a nucleus, unaffected by the strong nuclear force. They define the chemical properties of an atom because virtually every chemical reaction deals with the interaction or exchange of the outer electrons of atoms and molecules.

Electrons are attracted to the nucleus of an atom because they are negative and the nucleus (being made of protons and neutrons) is positive. Opposites attract. However, electrons don't fall into the nucleus. They orbit around it at specific distances because the electrons have a certain amount of energy. That energy prevents them from getting too close, as they must maintain a specific speed and distance. Changes in the energy levels of electrons cause different phenomena such as spectral lines, the color of substances, and the creation of ions (atoms with missing or extra electrons).

### Electron Interactions

_Atoms will always have equal numbers of protons and electrons_, so their overall charge is zero. Atoms are neutral. Ions, on the other hand, are atoms that have gained or lost electrons and now have an unequal number of protons and electrons. If there are extra electrons, the ion will be negatively charged. If there are missing electrons, the ion will be positively charged, due to the majority of positive protons.

**Valence electrons** (the outermost electrons) are responsible for an atom's behavior in chemical bonds. The _core electrons_ are all of the electrons not in the outermost shell, and they rarely get involved. An atom will attempt to fill its valence shell. This occurs when an atom has eight valence electrons (as explained in the next chapter), so atoms will undergo chemical bonds to either share, give, or take the electrons it needs. Sodium, for example, is very likely to give up its one valence electron, so that its outer shell is empty (the shell underneath it is full). Chlorine is very likely to take an electron because it has seven and wants eight. When sodium and chlorine are mixed, they exchange electrons and create sodium chloride (table salt). As a result, both elements have full valence shells, and a very stable compound is formed.  


# Introduction to Quantum Theory

* * *

← [Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) ·[The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) →

[← Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [The Quantum Model →](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction to Quantum Mechanics

In the late 18th century, many physicists believed that they had made great progress in physics, and there wasn't much more that needed to be discovered. The classical physics at the time was widely accepted in the scientific community. However, by the early 20th century, physicists discovered that the laws of classical mechanics break down in the atomic world, and experiments such as the photoelectric effect completely contradict the laws of classical physics. As a result of these crises, physicists began to construct new laws of physics which would apply to the atomic world; these theories would be collectively known as **quantum mechanics**. Quantum mechanics, in some ways, completely changed the way physicists view the universe, and it also marked the end of the idea of a clockwork universe (the idea that universe was predictable).

## Electromagnetic Radiation

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electromagnetic spectrum**_](http://en.wikipedia.org/wiki/Electromagnetic_spectrum)

Electromagnetic radiation (ER) is _a form of energy that sometimes acts like a wave, and other times acts like a particle_. Visible light is a well-known example. All forms of ER have two inversely proportional properties: wavelength and frequency. Wavelength is the distance from one wave peak to the next, which can be measured in meters. Frequency is the number of wave peaks observed in a given point during a second. The unit for frequency is hertz.

![Wavelength.png](../../../upload.wikimedia.org/wikipedia/commons/6/64/Wavelength.png)

Since wavelength and frequency are inversely related, their product (multiplication) always equals a constant — specifically, 3.0 x 108 m/sec, which is better known as the speed of light.

The wavelength and frequency of any specific occurrence of ER determine its position on the **electromagnetic spectrum**.

![TheElectromagneticSpectrum.jpg](../../../upload.wikimedia.org/wikipedia/commons/d/df/TheElectromagneticSpectrum.jpg)

As you can see, visible light is only a tiny fraction of the spectrum.

The energy of an electromagnetic wave is given by ![E = hf](../../../upload.wikimedia.org/math/a/c/0/ac0c8d2a52630bf77a96879668bc6713.png), where ![h](../../../upload.wikimedia.org/math/2/5/1/2510c39011c5be704182423e3a695e91.png) is Plank's constant and ![f](../../../upload.wikimedia.org/math/8/f/a/8fa14cdd754f91cc6554c9e71929cce7.png) is the frequency. Energy is directly proportional to frequency — doubling the frequency will double the energy.

## The Discovery of the Quantum

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Photoelectric_effect.svg/220px-Photoelectric_effect.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

As photons strike a metal, electrons are freed. The photoelectric effect depends only on the light's frequency, not intensity, which defies wave behavior.

So far we have only discussed the wave characteristics of energy. However, the wave model cannot account for something known as the **photoelectric effect**. This effect is observed when light focused on certain metals apparently causes electrons to be emitted. (Photoelectric or solar panels work on this principle.)

For each metal it was found that there is a minimum threshold frequency of electromagnetic radiation that is needed to be shone on it in order for it to emit electrons. One could not replace a certain amount of light at one frequency with twice as much light of half the frequency. If light only acts as a wave, the effect of light should be cumulative - the light should add up, little by little, until it causes electrons to be emitted. Instead, there is a clear-cut minimum of the frequency of light that triggers the electron emissions.

The implication of this is that frequency is directly linked to energy, the higher light frequencies having more energy. This observation led to the discovery of the minimum amount of energy that could be gained or lost by an atom. Max Planck named this minimum amount the **quantum**, plural "quanta", meaning "how much". One **photon** of light carries exactly one quantum of energy.

## More Evidence for a Particle Theory of Energy

When an electric current is passed through a gas, some of the gas molecules' electrons move from their _ground state_ to an _excited state_ that is further away from their nuclei. When the electrons return to the ground state, they emit energy of various wavelengths. A prism can be used to separate the wavelengths, making them easy to identify.

If light acted only as a wave, then there should have been a continuous rainbow created by the prism. Instead, there were discrete lines created by different wavelengths. This is because electrons release specific wavelengths of light when moving from an excited state to a ground state.

![](../../../upload.wikimedia.org/wikipedia/commons/3/38/Nitrogen.Spectrum.Vis.jpg)

The emission spectrum of nitrogen gas. The **spectral lines** occur at specific wavelengths, showing the particle behavior of light.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Introduction to quantum mechanics**_](http://en.wikipedia.org/wiki/Introduction_to_quantum_mechanics)

  


# The Quantum Model

* * *

← [Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) ·[The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) →

[← Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [The Quantum Atom →](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Uncertainty

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Werner_Heisenberg_at_1927_Solvay_Conference.JPG/220px-Werner_Heisenberg_at_1927_Solvay_Conference.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Werner Heisenberg (1927)

It turns out that photons are not the only thing that act like waves and particles. Electrons, too, have this dual characteristic. Electrons can be thought of as waves of a certain length, thus they would only be able to form a circle around the nucleus at certain distances. Of course, this brings up a problem: are electrons particles in a specific location, or waves in a general area? Werner Heisenberg tried using photons to locate electrons. Of course, when photons reach electrons, the electrons change velocity, and move to an excited state. As a result, it is impossible to know the velocity and location of an electron at the same time. This is known as the **Heisenberg uncertainty principle**. The Heisenberg uncertainty principle is a kind of scientific dilemma: the more you know about something's velocity, the less you know about its position; and the more you know about its position, the less you know about its velocity. The significance of this uncertainty is that you can never know exactly where an atom's electrons are.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Circular_Standing_Wave.gif/220px-Circular_Standing_Wave.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A wave forming a circle

On the tiny scale of an atom, the particle model of an electron does not accurately describe its properties. An electron tends to act more like a water wave than a billiard ball. At any one moment in time the ball is in some definite place; it is also moving in some definite direction at a definite speed. This is certainly not true for waves or electrons in general. The Heisenberg uncertainty principle states that the exact position and momentum of an electron cannot be simultaneously determined. This is because electrons simply don't have a definite position, and direction of motion, at the same time!

One way to try to understand this is to think of an electron not as a particle but as a wave. Think of dropping a stone into a pond. The ripples start to spread out from that point. We can answer the question "Where is the wave?" with "It's where you plonked the stone in". But we can't answer the question "What direction is the wave moving?" because it's moving in all directions. It's spreading out. Now think of a wave at the seaside. We know the direction of motion. It's straight in towards the beach. But where is the wave? We can't pinpoint an exact location. It's all along the water.

## The Wave Function

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Impact_Sprinkler_Mechanism_2.jpg/220px-Impact_Sprinkler_Mechanism_2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Think of the wave equation like a sprinkler—you cannot predict the exact path of a particular water droplet, but you do know (based on the range and shape of the sprinkler) where it is most likely to go.

If we can never know exactly where an electron is, then how do we keep track of them as they orbit atoms? Erwin Schrödinger made the concept of the **Schrödinger Wave Function**. It tells the probability of an electron being found at a given position. You don't know where the electron is, but you know where it is most likely and least likely to be found. The electron could be anywhere, but it is probably going to be a certain distance from the atom, staying within a certain shape.

## Orbitals

In the following sections, we will learn about the shells, subshells, and orbitals that the electrons are in. Try not to get confused; it can be difficult. Understanding this information will help you to learn about bonding, which is very important.

In essence, each electron orbiting an atom has a set of four numbers that describe it. Those four numbers, called _quantum numbers,_ tell us how far away the electron is, what shape of path it is likely to follow, and which direction its orbit goes. Each electron in an atom has a unique set of numbers, and the numbers can change if bonding occurs or an electron is energized into a higher-energy orbit. In the next chapter, we will learn the exact meaning of those four values and how they affect the path the electron follows.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that the pictures of the orbitals you will soon see show the area in which the electron is _most likely_ to be, not its exact orbit. It's like a picture of a sprinkler watering a lawn, and the electrons are drops of water. You know the general area of the water, but not the exact location of each droplet. In the orbital pictures, you know the general area the electron could be in, but not its exact path. This is a result of the Uncertainty Principle.

  


# The Quantum Atom

* * *

← [The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) ·[Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) →

[← The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Shells and Orbitals →](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## The Quantum Numbers

These four numbers are used to describe the location of an electron in an atom.

Number Symbol Possible Values

Principal Quantum Number
![n \\,](../../../upload.wikimedia.org/math/a/9/5/a957404c96e59f1746f97ab668c8e1f8.png)
![\\displaystyle 1, 2, 3, 4, \\ldots ](../../../upload.wikimedia.org/math/c/3/5/c35a7c89343dd0e1cfe8e84ed5fdc8af.png)

Angular Momentum Quantum Number
![\\ell \\,](../../../upload.wikimedia.org/math/5/e/3/5e3053de958787d091659909a0aeacee.png)
![\\displaystyle 0, 1, 2, 3, \\ldots , \(n - 1\)](../../../upload.wikimedia.org/math/a/6/8/a68dfd76bd89c36e2263dd80aa5e0f38.png)

Magnetic Quantum Number
![m_\\text{l} \\,](../../../upload.wikimedia.org/math/8/6/1/8614f04e67b903a5790a080879c3b13d.png)
![\\displaystyle -\\ell, \\ldots, -1, 0, 1, \\ldots ,\\ell \\,](../../../upload.wikimedia.org/math/0/4/9/0491b096566386480bbdc0a61b5f9ada.png)

Spin Quantum Number
![m_\\text{s} \\,](../../../upload.wikimedia.org/math/d/7/6/d76a6574ae5ff9e64592e4e0c546bdbe.png)
![\\displaystyle +1/2, -1/2](../../../upload.wikimedia.org/math/2/4/1/241f83adaef7b88a0a12197c02e887d6.png)

### Principal Quantum Number (_n_)

Determines the **shell** the electron is in. The shell is the main component that determines the energy of the electron (higher _n_ corresponds to higher energy), as well as nuclear distance (higher _n_ means further from the nucleus). The row that an element is placed on the periodic table tells how many shells there will be. Helium (_n_ = 1), neon (_n_ = 2), argon (_n_ = 3), etc.

### Angular Momentum Quantum Number (_l_)

Also known as azimuthal quantum number. Determines the **subshell** the electron is in. Each subshell has a unique shape and a letter name. The _s orbital_ is shaped like a sphere and occurs when _l_ = 0. The _p orbitals_ (there are three) are shaped like teardrops and occur when _l_ = 1. The _d orbitals_ (there are five) occur when _l_ = 2. The _f orbitals_ (there are seven) occur when _l_ = 3. (By the way, when _l_ = 4, the orbitals are "g orbitals", but they (and the _l_ = 5 "h orbitals") can safely be ignored in general chemistry.)

This number also gives information as to what the **angular node** of an orbital is. A [node](http://en.wikipedia.org/wiki/Node_\(physics\)) is defined as a point on a [standing wave](http://en.wikipedia.org/wiki/Standing_wave) where the wave has minimal [amplitude](http://en.wikipedia.org/wiki/Amplitude). When applied to chemistry this is the point of zero-displacement and thus where no electrons are found. In turn angular node means the planar or conical surface in which no electrons are found or where there is no electron density.

Here are pictures of the orbitals. Keep in mind that they do not show the actual path of the electrons, due to the Heisenberg Uncertainty Principle. Instead, they show the area where the electron is most likely to occur (say, 90% of the probability). The two colors represent the two different spin numbers (the choice is arbitrary).

m1 -3 -2 -1 0 1 2 3

S orbital →
![S1M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1d/S1M0.png/50px-S1M0.png)

P orbitals →
![P2M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/P2M0.png/50px-P2M0.png)
![P2M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/P2M1.png/50px-P2M1.png)
![P2M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/P2M-1.png/50px-P2M-1.png)

D orbitals →
![D3M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/D3M0.png/50px-D3M0.png)
![D3M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/D3M1.png/50px-D3M1.png)
![D3M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/D3M2.png/50px-D3M2.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/50px-D3M-1.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/50px-D3M-1.png)

F orbitals →
![F4M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/50px-F4M0.png)
![F4M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/F4M1.png/50px-F4M1.png)
![F4M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/F4M2.png/50px-F4M2.png)
![F4M3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/F4M3.png/50px-F4M3.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/50px-F4M-1.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/50px-F4M-1.png)
![F4M-3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/F4M-3.png/50px-F4M-3.png)

### Magnetic Quantum Number (_m_l)

Determines the **orbital** in which the electron lies. For example, there are three p orbitals in shell _n_ = 2: the magnetic quantum number determines which one of these orbitals the electrons reside in. The different orbitals are oriented at different angles around the nucleus. See how each p orbital has the same general shape, but they point in different directions around the nucleus.

### Spin Quantum Number (_m_s)

Determines the **spin** on the electron.

### Some Examples

Let's examine the quantum numbers of electrons from a magnesium atom. Remember that each list of numbers corresponds to (_n_, _l_, _m_l, _m_s).

Two s electrons:
(1, 0, 0, +½)
(1, 0, 0, -½)

Two s electrons:
(2, 0, 0, +½)
(2, 0, 0, -½)

Six p electrons:
(2, 1, -1, +½)
(2, 1, -1, -½)
(2, 1, 0, +½)
(2, 1, 0, -½)
(2, 1, 1, +½)
(2, 1, 1, -½)

Two s electrons:
(3, 0, 0, +½)
(3, 0, 0, -½)

### The Periodic Table

Notice a pattern on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table). Different areas, or blocks, have different types of electrons. The two columns on the left make the s-block. The six columns on the right make the p-block. The large area in the middle (transition metals) makes the d-block. The bottom portion makes the f-block. Each row introduces a new shell (aka energy level). Basically, the row tells you how many shells of electrons there will be, and the column tells you which subshells will occur (and which shells they occur in). The value of ml can be determined by some of the rules we will learn in the next chapter. The value of ms doesn't really matter as long as there are no repeating values in the same orbital.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

To see the pattern better, take a look at [this periodic table](http://en.wikipedia.org/wiki/Periodic_table_\(by_blocks\)).

  


# Shells and Orbitals

* * *

← [The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) ·[Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) →

[← The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Filling Electron Shells →](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Electron shells

Each **shell** is subdivided into **subshells**, which are made up of **orbitals**, each of which has electrons with different angular momentum. Each orbital in a shell has a characteristic shape, and is named by a letter. They are: **s**, **p**, **d**, and **f**. In a one-electron atom (e.g. H, He+, Li+, etc.) the energy of each orbital within a particular shell is identical. However, when there are multiple electrons, they interact and split the orbitals into slightly different energies. Within any particular shell, the energy of the orbitals depend on the angular momentum of orbitals s, p, d, and f in order of lowest to highest energy. No two orbitals have the same energy level.

This image shows the orbitals (along with hybrid orbitals for bonding and a sample electron configuration, explained later). ![Electron orbitals.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/Electron_orbitals.svg/600px-Electron_orbitals.svg.png)

## The s orbital

The simplest orbital in the atom is the 1s orbital. It has no radial or angular **nodes**: the 1s orbital is simply a sphere of electron density. A node is a point where the electron probability is zero. As with all orbitals the number of radial nodes increases with the principle quantum number (i.e. the 2s orbital has one radial node, the 3s has two etc.). Because the angular momentum quantum number is 0, there is only one choice for the magnetic quantum number - there is only one s orbital per shell. The s orbital can hold two electrons, as long as they have different spin quantum numbers.

![\\begin{matrix}
n &=& 1, 2, 3, ... \\\\
l &=& 0 \\\\
m_l &=& 0 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/4/5/4/4547abc36d58385cf659162e408c330a.png)

## The p orbitals

Starting from the 2nd shell, there is a set of p orbitals. The angular momentum quantum number of the electrons confined to p orbitals is 1, so each orbital has one **angular node**. There are 3 choices for the magnetic quantum number, which indicates 3 differently oriented p orbitals. Finally, each orbital can accommodate two electrons (with opposite spins), giving the p orbitals a total capacity of 6 electrons.

![\\begin{matrix}
n &=& 2, 3, 4, ... \\\\
l &=& 1 \\\\
m_l &=& -1,0,1 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/3/d/4/3d4d2368dfdc7e6b519e8b1e0be2bd8d.png)

The p orbitals all have two lobes of electron density pointing along each of the axes. Each one is symmetrical along its axis. The notation for the p orbitals indicate which axis it points down, i.e. px points along the x axis, py on the y axis and pz up and down the z axis. The p orbitals are **degenerate** — they all have the same energy. P orbitals are very often involved in **bonding**.

2px 2py 2pz

![P2M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/P2M1.png/100px-P2M1.png)
![P2M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/P2M0.png/100px-P2M0.png)
![P2M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/P2M-1.png/100px-P2M-1.png)

## The d orbitals

The first set of d orbitals is the 3d set. The angular momentum quantum number is 2, so each orbital has two **angular nodes**. There are 5 choices for the magnetic quantum number, which gives rise to 5 different d orbitals. Each orbital can hold two electrons (with opposite spins), giving the d orbitals a total capacity of 10 electrons.

![\\begin{matrix}
n &=& 3, 4, 5, ... \\\\
l &=& 2 \\\\
m_l &=& -2,-1,0,1,2 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/e/9/e/e9e0db906b16fc52b34c8b44884918d7.png)

Note that all the d orbitals have four lobes of electron density, except for the dz2 orbital, which has two opposing lobes and a doughnut of electron density around the middle. The d orbitals can be further subdivided into two smaller sets. The dx2-y2 and dz2 all point directly along the x, y, and z axes. They form an **eg** set. On the other hand, the lobes of the dxy, dxz and dyz all line up in the quadrants, with no electron density on the axes. These three orbitals form the **t2g** set. In most cases, the d orbitals are **degenerate**, but sometimes they can split, with the eg and t2g subsets having different energy. **Crystal Field Theory** predicts and accounts for this. D orbitals are sometimes involved in bonding, especially in inorganic chemistry.

![D3M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/D3M2.png/100px-D3M2.png)
![D3M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/D3M1.png/100px-D3M1.png)
![D3M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/D3M0.png/100px-D3M0.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/100px-D3M-1.png)
![D3M-2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/D3M-2.png/100px-D3M-2.png)

## The f orbitals

The first set of f orbitals is the 4f subshell. There are 7 possible magnetic quantum numbers, so there are 7 f orbitals. Their shapes are fairly complicated, and they rarely come up when studying chemistry. There are 14 f electrons because each orbital can hold two electrons (with opposite spins).

![\\begin{matrix}
n &=& 4, 5, 6, ... \\\\
l &=& 3 \\\\
m_l &=& -3,-2,-1,0,1,2,3 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/5/1/0/51062a3c1f72c6a56858ddcbb5605a8d.png)

![F4M-3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/F4M-3.png/100px-F4M-3.png)
![F4M-2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/F4M-2.png/100px-F4M-2.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/100px-F4M-1.png)
![F4M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/100px-F4M0.png)
![F4M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/F4M1.png/100px-F4M1.png)
![F4M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/F4M2.png/100px-F4M2.png)
![F4M3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/F4M3.png/100px-F4M3.png)

  


# Filling Electron Shells

* * *

← [Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) ·[Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) →

[← Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Periodicity and Electron Configurations →](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Filling Electron Shells

When an atom or ion receives electrons into its orbitals, the orbitals and shells fill up in a particular manner.

### Aufbau principle

You may consider an atom as being "built up" from a naked nucleus by gradually adding to it one electron after another, until all the electrons it will hold have been added. Much as one fills up a container with liquid from the bottom up, the orbitals of an atom are filled from the lowest energy orbitals to the highest energy orbitals.

Orbitals with the lowest principal quantum number (![n](../../../upload.wikimedia.org/math/7/b/8/7b8b965ad4bca0e41ab51de7b31363a1.png)) have the lowest energy and will fill up first. Within a shell, there may be several orbitals with the same principal quantum number. In that case, more specific rules must be applied. For example, the three p orbitals of a given shell all occur at the same energy level. So, how are they filled up? ans: all the three p orbitals have same energy so while filling the p orbitals we can fill any one of the Px, Py or Pz first. it is a convention that we chose to fill Px first ,then Py and then Pz for our simplicity. Hence you can opt for filling these three orbitals from right to left also.

### Hund's Rule

According to Hund's rule, orbitals of the same energy are each filled with one electron before filling any with a second. Also, these first electrons have the same spin.

This rule is sometimes called the "bus seating rule". As people load onto a bus, each person takes his own seat, sitting alone. Only after all the seats have been filled will people start doubling up.

### Pauli Exclusion principle

No two electrons can have all four quantum numbers the same. What this translates to in terms of our picture of orbitals is that each orbital can only hold two electrons, one "spin up" (+½) and one "spin down" (-½).

![](../../../upload.wikimedia.org/wikibooks/en/9/9a/FillingElectronDiagram.gif)

This animation demonstrates the Aufbau principle, Hund's Rule, and the Pauli Exclusion principle.

### Orbital Order

1s, 2s, 2p, 3s, 3p, 4s, 3d, 4p, 5s, 4d, 5p, 6s, 4f, 5d, 6p, 7s, 5f, 6d, 7p, 8s.

Although this looks confusing, there is an easy way to remember.

![Electron configuration order.gif](../../../upload.wikimedia.org/wikipedia/commons/d/dd/Electron_configuration_order.gif)

Understanding the above rules and diagrams will allow you to determine the electron configuration of almost any atom or ion.

## How to Write the Electron Configuration of an Atom

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electron configuration**_](http://en.wikipedia.org/wiki/Electron_configuration)

Electron-configuration notation is relatively straightforward. Calcium, for example, would be 1s22s22p63s23p64s2. This could be abbreviated by using the preceding _noble gas_ (the elements found all the way on the right of the periodic table) as [Ar]4s2, where Ar is argon. Noble gasses have very stable configurations, and are extremely reluctant to lose electrons.

## Rule of Stability

A subshell is particularly stable if it is half full or full. Given two configurations, the atom would "choose" the more stable one.

Example: In the following configuration, Cu: [Ar]4s23d9, copper's d shell is just one away from stability, and therefore, one electron from the s shell jumps into the d shell: [Ar]4s13d10. This way, the d shell is full, and is therefore stable, and the s shell is half full, and is also stable.

![CopperElectronDiagram.gif](../../../upload.wikimedia.org/wikibooks/en/c/cd/CopperElectronDiagram.gif)

Another example: Chromium has a configuration of [Ar]4s13d5, although you would expect to see four d electrons instead of five. This is because an s electron has jumped into the d orbital, giving the atom two half-full shells—much more stable than a d orbital with only four electrons.

The stability rule applies to atoms in the same group as chromium and copper.

If one of these atoms has been ionized, that is, it loses an electron, it will come from the s orbital rather than the d orbital. For instance, the configuration of Cu+ is [Ar]4s03d10. If more electrons are removed, they will come from the d orbital.

## Magnetism

![](../../../upload.wikimedia.org/wikibooks/en/1/1c/MagnetismElectronDiagram.gif)

The spin of an electron creates a magnetic field (albeit ridiculously weak), so unpaired electrons create a small magnetic field. Paired electrons have opposite spin, so the magnetic fields cancel each other out, leading to diamagnetism.

Magnetism is a well-known effect. Chances are, you have magnets on your refrigerator. As you already know, only certain elements are magnetic. Electron configurations help to explain why.

**Diamagnetism** is actually a very weak repulsion to magnetic fields. All elements have diamagnestism to some degree. It occurs when there are pair electrons.

**Paramagnetism** is an attraction to external magnetic fields. It is also very weak. It occurs whenever there is an unpaired electron in an orbital.

**Ferromagnetism** is the permanent magnetism that we encounter in our daily lives. It only occurs with three elements: iron (Fe), nickel (Ni), and cobalt (Co).  


# Periodicity and Electron Configurations

* * *

← [Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) ·[Octet Rule and Exceptions](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions) →

[← Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Octet Rule and Exceptions →](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Blocks of the Periodic Table

The [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) does more than just list the elements. The word _periodic_ means that in each row, or period, there is a pattern of characteristics in the elements. This is because the elements are listed in part by their electron configuration. The Alkali metals and Alkaline earth metals have one and two **valence electrons** (electrons in the outer shell) respectively. These elements lose electrons to form bonds easily, and are thus very reactive. These elements are the _s-block_ of the periodic table. The _p-block_, on the right, contains common non-metals such as chlorine and helium. The noble gases, in the column on the right, almost never react, since they have eight valence electrons, which makes it very stable. The halogens, directly to the left of the noble gases, readily gain electrons and react with metals. The s and p blocks make up the _main-group elements_, also known as **representative elements**. The _d-block_, which is the largest, consists of _transition metals_ such as copper, iron, and gold. The _f-block_, on the bottom, contains rarer metals including uranium. Elements in the same **Group** or **Family** have the same configuration of valence electrons, making them behave in chemically similar ways.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Subshells_of_Orbitals.jpg/220px-Subshells_of_Orbitals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Organization of Subshells

## Causes for Trends

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Electron_shell_019_Potassium.svg/220px-Electron_shell_019_Potassium.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Potassium has many core electrons; the lone outer electron can easily be peeled off due to the "shielding" effect.

There are certain phenomena that cause the periodic trends to occur. You must understand them before learning the trends.

### Effective Nuclear Charge

The _effective nuclear charge_ is the amount of positive charge acting on an electron. It is the number of protons in the nucleus minus the number of electrons in between the nucleus and the electron in question. Basically, the nucleus attracts an electron, but other electrons in lower shells repel it (opposites attract, likes repel).

### Shielding Effect

The _shielding_ (or _screening_) _effect_ is similar to effective nuclear charge. The _core electrons_ repel the valence electrons to some degree. The more electron shells there are (a new shell for each row in the periodic table), the greater the shielding effect is. Essentially, the core electrons _shield_ the valence electrons from the positive charge of the nucleus.

### Electron-Electron Repulsions

When two electrons are in the same shell, they will repel each other slightly. This effect is mostly canceled out due to the strong attraction to the nucleus, but it does cause electrons in the same shell to spread out a little bit. Lower shells experience this effect more because they are smaller and allow the electrons to interact more.

### Coulomb's Law

Coulomb's law is an equation that determines the amount of force with which two charged particles attract or repel each other. It is ![F = \\frac{k Q_1 Q_2}{r^2}](../../../upload.wikimedia.org/math/e/0/f/e0fdbd73d21671cb30cc717c43bfb9f3.png), where ![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the amount of charge (+1e for protons, -1e for electrons), ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is the distance between them, and ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant. You can see that doubling the distance would quarter the force. Also, a large number of protons would attract an electron with much more force than just a few protons would.

## Trends in the Periodic table

Most of the elements occur naturally on Earth. However, all elements beyond uranium (number 92) are called _trans-uranium elements_ and never occur outside of a laboratory. Most of the elements occur as solids or gases at STP. **STP** is _standard temperature and pressure_, which is 0° C and 1 atmosphere of pressure. There are only two elements that occur as liquids at STP: mercury (Hg) and bromine (Br).

Bismuth (Bi) is the last stable element on the chart. All elements after bismuth are radioactive and decay into more stable elements. Some elements _before_ bismuth are radioactive, however.

### Atomic Radius

Leaving out the noble gases, atomic radii are larger on the left side of the periodic chart and are progressively smaller as you move to the right across the period. Conversely, as you move down the group, radii increase.

Atomic radii decrease along a period due to greater effective nuclear charge. Atomic radii increase down a group due to the shielding effect of the additional core electrons, and the presence of another electron shell.

### Ionic Radius

For nonmetals, ions are bigger than atoms, as the ions have extra electrons. For metals, it is the opposite.

Extra electrons (negative ions, called anions) cause additional electron-electron repulsions, making them spread out farther. Fewer electrons (positive ions, called cations) cause fewer repulsions, allowing them to be closer.

### [Ionization Energy](http://en.wikipedia.org/wiki/Ionization_energy)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

_Ionization energy_ is the energy required to strip an electron from the atom (when in the gas state). ![X_{\(g\)} + energy \\rightarrow X_{\(g\)}^+ + e^-](../../../upload.wikimedia.org/math/b/3/9/b390fc1771c73d7c20cac4c9afce1764.png)

Ionization energy is also a periodic trend within the periodic table organization. Moving left to right within a period or upward within a group, the first ionization energy generally increases. As the atomic radius decreases, it becomes harder to remove an electron that is closer to a more positively charged nucleus.

Ionization energy decreases going left across a period because there is a lower effective nuclear charge keeping the electrons attracted to the nucleus, so less energy is needed to pull one out. It decreases going down a group due to the shielding effect. Remember Coulomb's Law: as the distance between the nucleus and electrons increases, the force decreases at a quadratic rate.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/IonizationEnergyAtomicWeight.PNG/300px-IonizationEnergyAtomicWeight.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Periodic trend for ionization energy. Each period begins at a minimum for the alkali metals, and ends at a maximum for the noble gases.

It is considered a measure of the tendency of an atom or ion to surrender an electron, or the strength of the electron binding; the greater the ionization energy, the more difficult it is to remove an electron. The ionization energy may be an indicator of the reactivity of an element. Elements with a low ionization energy tend to be reducing agents and form cations, which in turn combine with anions to form salts.

### Electron Affinity

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

_Electron affinity_ is the opposite of ionization energy. It is the energy released when an electron is added to an atom. ![X + e^- \\rightarrow X^- + energy](../../../upload.wikimedia.org/math/0/f/a/0fa102f512dca59e813134756b20f590.png)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Electron-affinity-1-Cl-3D-ionic.png/220px-Electron-affinity-1-Cl-3D-ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Electron affinity is the energy released when an electron is added to an atom, producing a negative ion.

Electron affinity is highest in the upper left, lowest on the bottom right. However, electron affinity is actually negative for the noble gasses. They already have a complete valence shell, so there is no room in their orbitals for another electron. Adding an electron would require creating a whole new shell, which _takes_ energy instead of releasing it. Several other elements have extremely low electron affinities because they are already in a stable configuration, and adding an electron would decrease stability.

Electron affinity occurs due to the same reasons as ionization energy.

### Electronegativity

_Electronegativity_ is how much an atom attracts electrons within a bond. It is measured on a scale with fluorine at 4.0 and francium at 0.7. Electronegativity decreases from upper right to lower left.

Electronegativity decreases because of atomic radius, shielding effect, and effective nuclear charge in the same manner that ionization energy decreases.

### Metallic Character

Metallic elements are shiny, usually gray or silver colored, and good conductors of heat and electricity. They are malleable (can be hammered into thin sheets), and ductile (can be stretched into wires). Some metals, like sodium, are soft and can be cut with a knife. Others, like iron, are very hard. Non-metallic atoms are dull, usually colorful or colorless, and poor conductors. They are brittle when solid, and many are gases at STP. Metals give away their valence electrons when bonding, whereas non-metals take electrons.

The metals are towards the left and center of the periodic table—in the s-block, d-block, and f-block . Poor metals and metalloids (somewhat metal, somewhat non-metal) are in the lower left of the p-block. Non-metals are on the right of the table.

Metallic character increases from right to left and top to bottom. Non-metallic character is just the opposite. This is because of the other trends: ionization energy, electron affinity, and electronegativity.

  * Metallic/Non-metallic
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Na_\(Sodium\).jpg/120px-Na_\(Sodium\).jpg)

Sodium, very metallic

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Sulfur2.jpg/120px-Sulfur2.jpg)

Sulfur, very non-metallic

  


# Octet Rule and Exceptions

* * *

← [Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) ·[Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) →

[← Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Compounds and Bonding →](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The **octet rule** refers to the tendency of atoms to prefer to have eight electrons in the _valence shell_. When atoms have fewer than eight electrons, they tend to react and form more stable compounds. When discussing the octet rule, we do not consider d or f electrons. Only the s and p electrons are involved in the octet rule, making it useful for the _representative elements_ (elements not in the transition metal or inner-transition metal blocks). An octet corresponds to an electron configuration ending with s2p6.

## Stability

Atoms will react to get in the most stable state possible. A complete octet is very stable because all orbitals will be full. Atoms with greater stability have less energy, so a reaction that increases the stability of the atoms will release energy in the form of heat or light. Reactions that decrease stability must absorb energy, getting colder.

The other tendency of atoms is to maintain a neutral charge. Only the [noble gases](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) (the elements on the right-most column of the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)) have zero charge with filled valence octets. All of the other elements have a charge when they have eight electrons all to themselves. The result of these two guiding principles is the explanation for much of the reactivity and bonding that is observed within atoms: **atoms seek to share electrons in a way that minimizes charge while fulfilling an octet in the valence shell**.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The noble gases rarely form compounds. They have the most stable configuration (full octet, no charge), so they have no reason to react and change their configuration. All other elements attempt to gain, lose, or share electrons to achieve a noble gas configuration.

### Example

The formula for table salt is NaCl. It is the result of Na+ ions and Cl- ions bonding together. If sodium metal and chlorine gas mix under the right conditions, they will form salt. The sodium loses an electron, and the chlorine gains that electron. In the process, a great amount of light and heat is released. The resulting salt is mostly unreactive — it is stable. It won't undergo any explosive reactions, unlike the sodium and chlorine that it is made of.

Why? Referring to the octet rule, atoms attempt to get a noble gas electron configuration, which is eight valence electrons. Sodium has one valence electron, so giving it up would result in the same electron configuration as neon. Chlorine has seven valence electrons, so if it takes one it will have eight (an octet). Chlorine has the electron configuration of argon when it gains an electron.

The octet rule could have been satisfied if chlorine gave up all seven of its valence electrons and sodium took them. In that case, both would have the electron configurations of noble gasses, with a full valence shell. However, their charges would be much higher. It would be Na7- and Cl7+, which is much less stable than Na+ and Cl-. Atoms are more stable when they have no charge, or a small charge.

## Exceptions

There is an exception to the octet rule

### Two Electrons

The main exception to the rule is hydrogen, which is at its lowest energy when it has two electrons in its valence shell. Helium (He) is similar in that it, too, only has room for two electrons in its only valence shell.

Hydrogen and helium have only one electron shell. The first shell has only one s orbital and no p orbital, so it holds only two electrons. Therefore, these elements are most stable when they have two electrons. You will occasionally see hydrogen with no electrons, but H+ is much less stable than hydrogen with one or two electrons.

Lithium, with three protons and electrons, is most stable when it gives up an electron.

### Less Than an Octet

Other notable exceptions are aluminum and boron, which can function well with six valence electrons. Consider BF3. The boron shares its three electrons with three fluorine atoms. The fluorines follow the octet rule, but boron has only six electrons. Although atoms with less than an octet may be stable, they will usually attempt to form a fourth bond to get eight electrons. BF3 is stable, but it will form BF4 when possible.

### More Than an Octet

In Period 3, the elements on the right side of the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) have empty d orbitals. The d orbitals may accept electrons, allowing elements like sulfur and phosphorus to have more than an octet. Compounds such as PCl5 and SF6 can form. These compounds have 10 and 12 electrons around their central atoms, respectively.

![Xenonhexafluorid.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Xenonhexafluorid.svg/80px-Xenonhexafluorid.svg.png)
Xenon hexafluoride uses d-electrons to form more than an octet. This compound shows another exception: a noble gas compound.

### Odd Numbers

Some elements, notably nitrogen, have an odd number of electrons and will form somewhat stable compounds. Nitric oxide has the formula NO. No matter how electrons are shared between the nitrogen and oxygen atoms, there is no way for nitrogen to have an octet. It will have seven electrons instead. An atom with an unpaired electron is called a _free radical_ and is highly reactive.

![Stickstoffdioxid.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Stickstoffdioxid.svg/295px-Stickstoffdioxid.svg.png)
Nitrogen dioxide has an unpaired electron. (Note the positive charge above the N).

  
  


Compounds and Bonding

  


  


# Overview of Bonding

* * *

← [Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) ·[Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) →

[← Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Electronegativity →](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction to Bonding

Put simply, **chemical bonds** join atoms together to form more complex structures (like molecules or crystals). Bonds can form between atoms of the same element, or between atoms of different elements. There are several types of chemical bonds which have different properties and give rise to different structures.

In general, atoms try to react to form valence shells containing eight electrons. The _octet rule_ describes this.

  * **[Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)** form between positive ions (cations) and negative ions (anions). In an ionic solid, the ions arrange themselves into a rigid crystal lattice. NaCl (common salt) is an example of an ionic substance. When ionic bonds form, there is an attractive force established between the positive cation and the negative anion. This attraction between oppositely-charged ions is the ionic bond.
  * **[Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds)** are formed when the orbitals of two non-metal atoms physically overlap and share electrons with each other. There are two types of structures to which this can give rise: molecules and covalent network solids. Methane (CH4) and water (H2O) are examples of covalently bonded molecules, and glass is a covalent network solid.
  * **[Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds)** occur between metal atoms. In a metallically bonded substance, the atoms' outer electrons are able to freely move around - they are delocalised to form an 'electron pool'. Iron is a metallically bonded substance.

Chemical bonding is one of the most crucial concepts in the study of chemistry. In fact, the properties of materials are basically defined by the type and number of atoms they contain and how they are bonded together.

So far, you have seen examples of **intramolecular bonds**. These bonds connect atoms into molecules. There are also **[intermolecular bonds](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds)** that connect molecules into large substances. Sometimes, there is no difference between intramolecular and intermolecular bonds. In the case of ionic crystals (like salt) or covalent networks (like diamond), the same bonding forces connect all of the atoms together. In the case of metallic bonding, the atoms are all interconnected into one large piece of metal.

On the other hand, there may be intermolecular bonds different from those that join atoms into molecules. Intermolecular bonds hold individual molecules of water into a puddle, and they are broken when the water boils into a gas.  


# Electronegativity

* * *

← [Overview of bonding](http://en.wikibooks.org/wiki/General_Chemistry/Overview_of_bonding) ·[Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) →

[← Overview of bonding](http://en.wikibooks.org/wiki/General_Chemistry/Overview_of_bonding) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Ionic bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

What determines the type of bond formed between two elements? There are two ways of classifying elements to determine the bond formed: by electronegativity, or by metallic/non-metallic character.

## Electronegativity

Electronegativity is a property of atoms which is reflected in the layout of the periodic table of the elements. Electronegativity is greatest in the elements in the upper right of the table (e.g., fluorine), and lowest in the lower left (e.g., francium).

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electronegativity**_](http://en.wikipedia.org/wiki/Electronegativity)

_Electronegativity_ is a relative measure of how strongly an atom will attract the electrons in a bond. Although bonds are the result of atoms sharing their electrons, the electrons can be shared unequally. The more electronegative atom in a bond will have a slight negative charge, and the less electronegative atom will have a slight positive charge. Overall, the molecule may have no charge, but the individual atoms will. This is a result of the electronegativity—by attracting the electrons in a bond, an atom gains a slight negative charge. Of course, if two elements have equal electronegativity, they will share the electrons equally.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Pauling.jpg/220px-Pauling.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Linus Pauling created a commonly-used measure of electronegativity.

Metallic elements have low electronegativity, and non-metallic elements have high electronegativity. If two elements are close to each other on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table), they will have similar electronegativities.

Electronegativity is measured on a variety of scales, the most common being the _Pauling scale_. Created by chemist Linus Pauling, it assigns 4.0 to fluorine (the highest) and 0.7 to francium (the lowest).

## Bonds

**Non-polar covalent** bonds occur when there is equal or near-equal sharing of electrons between the two bonded atoms. This should make sense because covalent bonds are the sharing of electrons between two atoms. Molecules such as Cl2, H2 and F2 are good examples. Typically, a difference in electronegativity between 0.0 and 0.4 indicates a non-polar covalent bond.

**Polar covalent** bonds occur when there is unequal sharing of the electrons between the atoms. Molecules such as NH3 and H2O are examples of this. The typical rule is that bonds with an electronegativity difference between 0.5 and 1.7 are considered polar. The electrons are still being shared between two atoms, but one atom attracts the electrons more than the other.

**Ionic** bonds occur when there is complete transfer of the electrons in the bond. This bond does not contain atoms at all, but rather consists of two ions. Substances such as NaCl and MgCl2 are examples. Generally, electronegativity differences of 1.8 or greater create ionic bonds. The electronegativity difference is so great that one atom can attract the electrons enough to "take" them from the other atom.

## Notation

When drawing diagrams of bonds, we indicate covalent bonds with a line. We may write the electronegativity using the symbols ![\\delta +](../../../upload.wikimedia.org/math/6/e/7/6e70ab2b57d8cae07cd52e81228e76c2.png) and ![\\delta -](../../../upload.wikimedia.org/math/9/7/c/97ccd95c8c499a93830f70b14450edfb.png). Look at this example.

Hydrogen fluoride (HF): ![\\begin{matrix}\\delta + & & \\delta - \\\\ H & - & F \\end{matrix}](../../../upload.wikimedia.org/math/3/b/d/3bdaaeca207969b9f1aabd06cca00a73.png)

The plus goes over the less electronegative atom. From the above diagram, we can see that the fluorine attracts the electrons in the covalent bond more than the hydrogen does. Fluorine will have a slight negative charge because of this, and hydrogen will have a slight positive charge. Overall, hydrogen fluoride is neutral.  


# Ionic Bonds

* * *

← [Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) ·[Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) →

[← Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Covalent bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## What are ions?

**Ions** are atoms or molecules which are electrically charged. **Cations** are positively charged and **anions** carry a negative charge. Ions form when atoms gain or lose electrons. Since electrons are negatively charged, an atom that loses one or more electrons will become positively charged; an atom that gains one or more electrons becomes negatively charged.

## Description of Ionic Bonds

Ionic bonding is the attraction between positively- and negatively-charged **ions**. These oppositely charged ions attract each other to form ionic networks (or lattices). Electrostatics explains why this happens: opposite charges attract and like charges repel. When many ions attract each other, they form large, ordered, crystal lattices in which each ion is surrounded by ions of the opposite charge. Generally, when metals react with non-metals, electrons are transferred from the metals to the non-metals. The metals form positively-charged ions and the non-metals form negatively-charged ions. The smallest unit of an ionic compound is the **formula unit**.

![](../../../upload.wikimedia.org/wikipedia/commons/e/eb/Sodium_chloride_crystal.png)

The ions arrange themselves into a lattice where each ion is surrounded by ions of the opposite type.

## Characteristics

Example ionic compounds: Sodium chloride (![NaCl](../../../upload.wikimedia.org/math/4/6/4/4643d082402ba04afaf0e2d82452ac69.png)), potassium nitrate (![KNO_3](../../../upload.wikimedia.org/math/b/4/a/b4ae7f4fcb1a3a62e9e68d1f3ad23f4c.png)).

Ionically bonded substances typically have the following characteristics.

  * High melting point (solid at room temperature)
  * Hard but brittle (can shatter)
  * Many dissolve in water
  * Conductors of electricity when dissolved or melted

## Formation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/99/NaCl_ionic.png/220px-NaCl_ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Lewis structure of the ionic bond between sodium and chlorine.

Ionic bonds form when metals and non-metals chemically react. By definition, a metal is relatively stable if it loses electrons to form a complete valence shell and becomes positively charged. Likewise, a non-metal becomes stable by gaining electrons to complete its valence shell and become negatively charged. When metals and non-metals react, the metals lose electrons by transferring them to the non-metals, which gain them. Consequently, ions are formed, which instantly attract each other—ionic bonding.

For instance, in the reaction of Na (sodium) and Cl (chlorine), each Cl atom takes one electron from a Na atom. Therefore each Na becomes a Na+ cation and each Cl atom becomes a Cl- anion. Due to their opposite charges, they attract each other to form an ionic lattice. The formula (ratio of positive to negative ions) in the lattice is **NaCl**.

The charges must balance because the overall compound is neutral. In the case of magnesium chloride, the magnesium atom gives up two electrons to become stable. Note that it is in the second group, so it has two valence electrons. The chlorine atom can only accept one electron, so there must be two chlorine ions for each magnesium ion. Therefore, the formula for magnesium chloride is **MgCl2**. If magnesium oxide were forming, the formula would be **MgO** because oxygen can accept both of magnesium's electrons.

Exercise for the reader

Try figuring out what the formula for [magnesium nitride](http://en.wikipedia.org/wiki/Magnesium_nitride) would be. Use the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) to help.

It should also be noted that some atoms can form more than one ion. This usually happens with the transition metals. For instance Fe (iron) can become Fe2+ (called iron(`II`) or ferrous). Fe can _also_ become Fe3+ (called iron(`III`) or ferric).

## Common Ions

Ionic bonding occurs almost exclusively between a metal and non-metal. There are also certain molecules called _polyatomic ions_ that undergo ionic bonding. Within the polyatomic ions, there is covalent bonding, but as a unit it undergoes ionic bonding. There are countless polyatomic ions, but you should be familiar with the most common ones. You would be well advised to memorize these ions.

Name Formula Name Formula

Ammonium
NH4+
Hydronium
H3O+

Peroxide
O22-
Hydroxide
OH-

Nitrite
NO2-
Nitrate
NO3-

Sulfite
SO32-
Sulfate
SO42-

Hydrogen sulfite
HSO3-
Phosphate
PO43-

Hypochlorite
ClO-
Chlorite
ClO2-

Chlorate
ClO3-
Perchlorate
ClO4-

Carbonate
CO32-
Hydrogen carbonate
HCO3-

  


# Covalent Bonds

* * *

← [Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) ·[Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) →

[← Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Metallic bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Covalent bonds create **molecules**, which can be represented by a **molecular formula**. For chemicals such as a basic sugar (C6H12O6), the ratios of atoms have a common multiple, and thus the **empirical formula** is CH2O. Note that a molecule with a certain empirical formula is not necessarily the same as one with the same molecular formula.

## Formation of Covalent Bonds

Covalent bonds form between two atoms which have incomplete octets — that is, their outermost shells have fewer than eight electrons. They can share their electrons in a _covalent bond_. The simplest example is water (H2O). Oxygen has six valence electrons (and needs eight) and the hydrogens have one electron each (and need two). The oxygen shares two of its electrons with the hydrogens, and the hydrogens share their electrons with the oxygen. The result is a covalent bond between the oxygen and each hydrogen. The oxygen has a complete octet and the hydrogens have the two electrons they each need.

When atoms move closer, their orbitals change shape, letting off energy. However, there is a limit to how close the atoms get to each other—too close, and the nuclei repel each other.

![Argon dimer potential.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/04/Argon_dimer_potential.png/400px-Argon_dimer_potential.png)

One way to think of this is a ball rolling down into a valley. It will settle at the lowest point. As a result of this potential energy "valley", there is a specific **bond length** for each type of bond. Also, there is a specific amount of energy, measured in kilojoules per mole (kJ/mol) that is required to break the bonds in one mole of the substance. Stronger bonds have a shorter bond length and a greater bond energy.

## The Valence Bond Model

One useful model of covalent bonding is called the _Valence Bond_ model. It states that covalent bonds form when atoms share electrons with each other in order to complete their valence (outer) electron shells. They are mainly formed between non-metals.

An example of a covalently bonded substance is hydrogen gas (H2). A hydrogen atom on its own has one electron—it needs two to complete its valence shell. When two hydrogen atoms bond, each one shares its electron with the other so that the electrons move about both atoms instead of just one. Both atoms now have access to two electrons: they become a stable H2 molecule joined by a **single covalent bond**.

![Diagram of a covalent bond between hydrogen atoms](../../../upload.wikimedia.org/wikibooks/en/c/c2/Covalent_bond_h.png)

### Double and Triple Bonds

Covalent bonds can also form between other non-metals, for example chlorine. A chlorine atom has 7 electrons in its valence shell—it needs 8 to complete it. Two chlorine atoms can share 1 electron each to form a single covalent bond. They become a Cl2 molecule.

Oxygen can also form covalent bonds, however, it needs a further 2 electrons to complete its valence shell (it has 6). Two oxygen atoms must share 2 electrons each to complete each other's shells, making a total of 4 shared electrons. Because twice as many electrons are shared, this is called a **double covalent bond**. Double bonds are much stronger than single bonds, so the bond length is shorter and the bond energy is higher.

Furthermore, nitrogen has 5 valence electrons (it needs a further 3). Two nitrogen atoms can share 3 electrons each to make a N2 molecule joined by a **triple covalent bond**. Triple bonds are stronger than double bonds. They have the shortest bond lengths and highest bond energies.

## Electron Sharing and Orbitals

Carbon, contrary to the trend, does not share four electrons to make a quadruple bond. The reason for this is that the fourth pair of electrons in carbon cannot physically move close enough to be shared. The valence bond model explains this by considering the **orbitals** involved.

Recall that electrons orbit the nucleus within a cloud of electron density (orbitals). The valence bond model works on the principle that orbitals on different atoms must **overlap** to form a bond. There are several different ways that the orbitals can overlap, forming several distinct kinds of covalent bonds.

### The Sigma Bond

The first and simplest kind of overlap is when two s orbitals come together. It is called a **sigma** bond (sigma, or σ, is the Greek equivalent of 's'). Sigma bonds can also form between two p orbitals that lie pointing towards each other. Whenever you see a single covalent bond, it exists as a sigma bond. When two atoms are joined by a sigma bond, they are held close to each other, but they are free to rotate like beads on a string.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Ligatio-covalens.jpg/220px-Ligatio-covalens.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The electron density is in between the two atoms in an σ bond.

### The Pi Bond

The second, and equally important kind of overlap is between two parallel p orbitals. Instead of overlapping head-to-head (as in the sigma bond), they join side-to-side, forming two areas of electron density above and below the molecule. This type of overlap is referred to as a **pi** (π, from the Greek equivalent of p) bond. Whenever you see a double or triple covalent bond, it exists as one sigma bond and one or two pi bonds. Due to the side-by-side overlap of a pi bond, there is no way the atoms can twist around each other as in a sigma bond. Pi bonds give the molecule a rigid shape.

Pi bonds are weaker than sigma bonds since there is less overlap. Thus, two single bonds are stronger than a double bond, and more energy is needed to break two single bonds than a single double bond.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/70/Pi-Bond.svg/220px-Pi-Bond.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The electron density lies above and below the atoms in a π bond.

### Hybridization

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Orbital hybridisation**_](http://en.wikipedia.org/wiki/Orbital_hybridisation)

Consider a molecule of methane: a carbon atom attached to four hydrogen atoms. Each atom is satisfying the octet rule, and each bond is a single covalent bond.

Now look at the electron configuration of carbon: 1s22s22p2. In its valence shell, it has two s electrons and two p electrons. It would not be possible for the four electrons to make equal bonds with the four hydrogen atoms (each of which has one s electron). We know, by measuring bond length and bond energy, that the four bonds in methane are equal, yet carbon has electrons in two different orbitals, which should overlap with the hydrogen 1s orbital in different ways.

To solve the problem, **hybridization** occurs. Instead of a s orbital and three p orbital, the orbitals mix, to form four orbitals, each with 25% s character and 75% p character. These hybrid orbitals are called **sp3** orbitals, and they are identical. Observe:

![C\\quad   \\frac{\\uparrow\\downarrow}{1s}\\;\\;   \\frac{\\uparrow\\downarrow}{2s}\\;   \\frac{\\uparrow\\,}{2p_x}\\;   \\frac{\\uparrow\\,}{2p_y}\\;   \\frac{\\,\\,}{2p_z}](../../../upload.wikimedia.org/math/a/f/3/af358b0f5c34f06dfc45260053ac64b4.png)

![C^{*}\\quad \\frac{\\uparrow\\downarrow}{1s}\\;\\;   \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3}](../../../upload.wikimedia.org/math/d/f/c/dfc33163fdea51cbc6fb4c665512d7ec.png)

Now these orbitals can overlap with hydrogen 1s orbitals to form four equal bonds. Hybridization may involve d orbitals in the atoms that have them, allowing up to a **sp3d2** hybridization.

Exercise for the reader

Predict the hybridized electron configuration of carbon in _ethene_. How many sigma bonds are there? How many pi bonds?

![Ethene-2D-flat.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Ethene-2D-flat.png/150px-Ethene-2D-flat.png)

_Hint: Hybridized electrons form only sigma bonds. Pi bonds form only between p electrons._

  


# Metallic Bonds

* * *

← [Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) ·[Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) →

[← Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Molecular Shape →](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Metallic bonds occur among metal atoms. Whereas ionic bonds join metals to non-metals, _metallic bonding joins a bulk of metal atoms_. A sheet of aluminum foil and a copper wire are both places where you can see metallic bonding in action.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Electrona_in_crystallo_fluentia.svg/220px-Electrona_in_crystallo_fluentia.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The "sea of electrons" is free to flow about the crystal of positive metal ions.

When metallic bonds form, the s and p electrons **delocalize**. Instead of orbiting their atoms, they form a "sea of electrons" surrounding the positive metal ions. The electrons are free to move throughout the resulting network. The delocalized nature of the electrons explains a number of unique characteristics of metals:

_Metals are good conductors of electricity_
The sea of electrons is free to flow, allowing electrical currents.

_Metals are ductile (able to draw into wires)  
and malleable (able to be hammered into thin sheets)_
As the metal is deformed, local bonds are broken but quickly reformed in a new position.

_Metals are gray and shiny_
Photons (particles of light) cannot penetrate the metal, so they bounce off the sea of electrons.

_Gold is yellow and copper is reddish-brown_
There is actually an upper limit to the frequency that is reflected. It is too high to be visible in most metals, but not gold and copper.

_Metals have very high melting and boiling points_
Metallic bonding is very strong, so the atoms are reluctant to break apart into a liquid or gas.

Metallic bonds can occur between different elements. A mixture of two or more metals is called an **alloy**. Depending on the size of the atoms being mixed, there are two different kinds of alloys that can form:

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/AlloySubstitutional.png/120px-AlloySubstitutional.png)

Substitutional alloy

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/AlloyInterstitial.png/120px-AlloyInterstitial.png)

Interstitial alloy

The resulting mixture will have a combination of the properties of both metals involved.  


# Molecular Shape

* * *

← [Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) ·[Intermolecular bonds](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) →

[← Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Intermolecular bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Covalent molecules are bonded to other atoms by electron pairs. Being mutually negatively charged, the electron pairs repel the other electron pairs and attempt to move as far apart as possible in order to stabilize the molecule. This repulsion causes covalent molecules to have distinctive shapes, known as the molecule's **molecular geometry**. There are several different methods of determining molecular geometry. A scientific model, called the VSEPR (valence shell electron pair repulsion) model can be used to qualitatively predict the shapes of molecules. Within this model, the **AXE method** is used in determining molecular geometry by counting the numbers of electrons and bonds related to the center atom(s) of the molecule.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[VSEPR**_](http://en.wikipedia.org/wiki/VSEPR)

The VSEPR model is by no means a perfect model of molecular shape! It is simply a system which explains the known shapes of molecular geometry as discovered by experiment. This can allow us to predict the geometry of similar molecules, making it a fairly useful model. Modern methods of quantitatively calculating the most stable (lowest energy) shapes of molecules can take several hours of supercomputer time, and is the domain of computational chemistry.

## Table of Geometries

Orbital Hybridization

sp  
sp2 sp3 sp3d sp3d2

2 Groups
Linear
Bent
Bent
Linear

3 Groups
Trigonal Planar
Trigonal Pyramidal
T-Shaped

4 Groups
Tetrahedral
See-saw
Square Planar

5 Groups
Trigonal Bipyramidal
Square Pyramidal

6 Groups
Octahedral

The hybridization is determined by how many "things" are attached to the central atom. Those "things" can be other atoms or non-bonding pairs of electrons. The number of groups is how many atoms or electron pairs are bonded to the central atom. For example, methane (CH4) is tetrahedral-shaped because the carbon is attached to four hydrogens. Ammonia (NH3) is not trigonal planar, however. It is trigonal pyramidal because it is attached to four "things": the three hydrogens and a non-bonding pair of electrons (to fulfill nitrogen's octet).

## Tetrahedral Shape

![Methane-3D-space-filling.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4b/Methane-3D-space-filling.svg/220px-Methane-3D-space-filling.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Consider a simple covalent molecule, methane (CH4). Four hydrogen atoms surround a carbon atom in three-dimensional space. Each CH bond consists of one pair of electrons, and these pairs try to move as far away from each other as possible (due to electrostatic repulsion). You might think this would lead to a flat shape, with each hydrogen atom 90° apart. However, in three dimensions, there is a more efficient arrangement of the hydrogen atoms. If each hydrogen atom is at a corner of a tetrahedron centered around the carbon atom, they are separated by about cos-1(-1/3) ≈ **109.5°**—the maximum possible.

### Hybridization

To align four orbitals in this tetrahedral shape requires the reformation of one s and three p orbitals into an sp3 orbital.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Methane-2D-small.png/220px-Methane-2D-small.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

CH4 is a tetrahedral molecule.

### Lone Electron Pairs

The VSEPR model treats lone electron pairs in a similar way to bonding electrons. In ammonia (NH3) for example, there are three hydrogen atoms and one lone pair of electrons surrounding the central nitrogen atom. Because there are four groups, ammonia has a tetrahedral shape but unlike methane, the angle between the hydrogen atoms is slightly smaller, **107.3°**. This can be explained by theorizing that lone electron pairs take up more space physically than bonding pairs. This is a reasonable theory: in a bond, the electron pair is distributed over two atoms whereas a lone pair is only located on one. Because it is bigger, the lone pair forces the other electron pairs together.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/25/Ammonia_lone_electron_pair.svg/100px-Ammonia_lone_electron_pair.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The lone pair occupies more space than a bonding pair, decreasing the angles.

Testing this assumption with water provides further evidence. In water (H2O) there are two hydrogen atoms and two lone pairs, again making four groups in total. The electron pairs repel each other into a tetrahedral shape. The angle between the hydrogen atoms is **104.5°**, which is what we expect from our model. The two lone pairs both push the bonds closer together, giving a smaller angle than in ammonia.

  


## Linear and Planar Shapes

### Electron-Poor Atoms

In some molecules, there are less than four pairs of valence electrons. This occurs in electron deficient atoms such as boron and beryllium, which don't conform to the octet rule (they can have 6 and 4 valence electrons respectively). In boron trifluoride (BF3), there are only three electron pairs which repel each other to form a flat plane. Each fluorine atom is separated by cos-1(-1/2) = 120°. A different set of hybrid orbitals is formed in this molecule: the 2s and two 2p orbitals combine to form three **sp2 hybrid orbitals**. The remaining p orbital is empty and sits above and below the plane of the molecule.

Beryllium, on the other hand, forms only two pairs of valence electrons. These repel each other at cos-1(-1) = 180°, forming a **linear** molecule. An example is beryllium chloride, which has two chlorine atoms situated on opposite sides of a beryllium atom. This time, one 2s and one 2p orbital combine to form two **sp hybrid orbitals**. The two remaining p orbitals sit above and to the side of the beryllium atom (they are empty).

### Bent vs. Linear

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Sulfur-dioxide-ve-B-2D.png/100px-Sulfur-dioxide-ve-B-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The non-bonding pair causes sp2 hybridization, leading to a bent shape.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/Carbon-dioxide.png/100px-Carbon-dioxide.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

No non-bonding pairs causes sp hybridization, leading to a linear shape.

Some elements will have a bent shape, others have a linear shape. Both are attached to two groups, so it depends on how many non-bonding pairs the central atom has.

Take a look at sulfur dioxide (SO2) and carbon dioxide (CO2). Both have two oxygen atoms attached with double covalent bonds. Carbon dioxide is linear, and sulfur dioxide is bent. The difference is in their valence shells. Carbon has four valence electrons, sulfur has six. When they bond, carbon has no non-bonding pairs, but sulfur has one.

## Five and Six Groups

Recall that some elements, especially sulfur and phosphorus, can bond with five or six groups. The hybridization is sp3d or sp3d2, with a trigonal bipyramidal or octahedral shape respectively. When there are non bonding pairs, other shape can arise (see the above chart).

## How The Shapes Look

The yellow groups are non-bonding electron pairs. The white groups are bonded atoms, and the pink is the central atom. This is referred to as the _AXE method_; A is the central atom, X's are bonded atoms, and E's are non-bonding electron pairs.

Molecules are not static; their bonds are continually twisting, stretching and bending. According to quantum theory, the energies of these bond movements are quantized, and this fact forms the basis of **infrared spectroscopy**, an important chemical tool in analyzing organic molecules.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/AX2E0-3D-balls.png/100px-AX2E0-3D-balls.png)

linear

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/AX3E0-3D-balls.png/100px-AX3E0-3D-balls.png)

trigonal planar

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e6/AX2E1-3D-balls.png/100px-AX2E1-3D-balls.png)

bent

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/AX4E0-3D-balls.png/99px-AX4E0-3D-balls.png)

tetrahedral

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/AX3E1-3D-balls.png/100px-AX3E1-3D-balls.png)

trigonal pyramidal

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/AX2E2-3D-balls.png/100px-AX2E2-3D-balls.png)

bent

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Trigonal-bipyramidal-3D-balls.png/88px-Trigonal-bipyramidal-3D-balls.png)

trigonal bipyramidal

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/AX4E1-3D-balls.png/100px-AX4E1-3D-balls.png)

seesaw

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/36/AX3E2-3D-balls.png/100px-AX3E2-3D-balls.png)

t-shape

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/AX6E0-3D-balls.png/94px-AX6E0-3D-balls.png)

octahedral

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/AX5E1-3D-balls.png/100px-AX5E1-3D-balls.png)

square pyramid

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/AX4E2-3D-balls.png/100px-AX4E2-3D-balls.png)

square planar

  


# Intermolecular Bonds

* * *

← [Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) ·[Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) →

[← Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Dipoles

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Dipole_H2O.svg/150px-Dipole_H2O.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The polar bonds are symmetric, but they don't point in opposite directions. The result is a _dipole_ (positive pointing down).

Covalent bonds can be polar or non-polar, and so can the overall compound depending on its shape. When a bond is polar, it creates a **dipole**, a pair of charges (one positive and one negative). If they are arranged in a symmetrical shape, so that they point in opposite directions, they will cancel each other. For example, since the four hydrogens in methane (CH4) are facing away from each other, there is no overall dipole and the molecule is non-polar. In ammonia (NH3), however, there is a negative dipole at the nitrogen, due to the asymmetry caused by the non-bonding electron pair. The polarity of a compound determines its intermolecular bonding abilities.

### Polar and Non-Polar Shapes

When a molecule has a linear, trigonal planar, tetrahedral, trigonal bipyramidal, or octahedral shape, it will be non-polar. These are the shapes that do not have non-bonding lone pairs. (e.g. Methane, CH4) But if some bonds are polar while others are not, there will be an overall dipole, and the molecule will be polar (e.g. Chloroform, CHCl3).

The other shapes (with non-bonding pairs) will be polar. (e.g. Water, H2O) Unless, of course, all the covalent bonds are non-polar, in which case there would be no dipoles to begin with.

### Dipole-Dipole Bonds

When two polar molecules are near each other, they will arrange themselves so that the negative and positive sides line up. There will be an attractive force holding the two molecules together, but it is not nearly as strong a force as the intramolecular bonds. This is how many types of molecules bond together to form large solids or liquids.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/Dipole-dipole-interaction-in-HCl-2D.png/220px-Dipole-dipole-interaction-in-HCl-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dipole-dipole forces hold these two HCl molecules together.

### Hydrogen Bonding

Certain chemicals with hydrogen in their chemical formula have a special type of intermolecular bond, called **hydrogen bonds**. Hydrogen bonds will occur when a hydrogen atom is attached to an oxygen, nitrogen, or fluorine atom. This is because there is a large [electronegativity](http://en.wikipedia.org/wiki/Electronegativity) difference between hydrogen and fluorine, oxygen, and nitrogen. Thus, molecules such as ![HF](../../../upload.wikimedia.org/math/4/9/8/498ab1ea4aab0295389f6c51484cca6c.png), ![H_2O](../../../upload.wikimedia.org/math/a/8/9/a8970556f82155430c09c99db24d4261.png), ![NH_3](../../../upload.wikimedia.org/math/8/e/d/8edfaa9c8d0ee947d3b5e328ad4d778d.png) are extremely polar molecules with very strong dipole-dipole forces. As a result of the high electronegativities of fluorine, oxygen, and nitrogen, these elements will pull the electrons almost completely away from the hydrogen. The hydrogen becomes a bare proton sticking out from the molecule, and it will be strongly attracted to the negative side of any other polar molecules. Hydrogen bonding is an extreme type of dipole-dipole bonding. These forces are weaker than intramolecular bonds, but are much stronger than other intermolecular forces, causing these compounds to have high boiling points.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Hydrogen-bonding-in-water-2D.png/220px-Hydrogen-bonding-in-water-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The dotted line represents a hydrogen bond.

## Covalent Networks

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/SiO2_-_Quarz_-_2D.png/150px-SiO2_-_Quarz_-_2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A covalent network

Silicon dioxide forms a covalent network. Unlike carbon dioxide (with double bonds), silicon dioxide forms only single covalent bonds. As a result, the individual molecules covalently bond into a large network. These bonds are very strong (being covalent) and there is no distinction between individual molecules and the overall network. Covalent networks hold diamonds together. Diamonds are made of nothing but carbon, and so is soot. Unlike soot, diamonds have covalent networks, making them very hard and crystalline.

## Van der Waals forces

**Van der Waals**, or _London dispersion_ forces are caused by temporary dipoles created when electron locations are lopsided. The electrons are constantly orbiting the nucleus, and by chance they could end up close together. The uneven concentration of electrons could make one side of the atom more negatively-charged than the other, creating a temporary dipole. As there are more electrons in an atom, and the shells are further away from the nucleus, these forces become stronger.

Van der Waals forces explain how nitrogen can be liquified. Nitrogen gas is diatomic; its equation is N2. Since both atoms have the same electronegativity, there is no dipole and the molecule is non-polar. If there are no dipoles, what would make the nitrogen atoms stick together to form a liquid? Van der Waals forces are the answer. They allow otherwise non-polar molecules to have attractive forces. These are by far the weakest forces that hold molecules together.

## Melting and Boiling Points

When comparing two substances, their melting and boiling points may be questioned. To determine which substance has the higher melting or boiling point, you must decide which one has the strongest intermolecular force. Metallic bonds, ionic bonds, and covalent networks are very strong, as they are actually intramolecular forces. These substances have the highest melting and boiling points because they only separate into individual molecules when the powerful bonds have been broken. Breaking these intramolecular forces requires great amounts of heat energy.

Substances with hydrogen bonding will have much higher melting and boiling points than those that have ordinary dipole-dipole forces. Non-polar molecules have the lowest melting and boiling points, because they are held together by the weak van der Waals forces.

If you need to compare the boiling points of two metals, the metal with the larger atomic radius will have weaker bonding, due to the lower concentration of charge. When comparing boiling points of the non-polar gases, like the noble gases, the gas with the largest radius will have the highest points because it has the most potential for van der Waals forces.

Ionic compounds can be compared using Coulomb's Law. Look for substances with high ionic charges and low ionic radii.

  
  


Chemical Reactions

  


  


# Naming Substances

* * *

← [Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) ·[Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) →

[← Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Formulas and Numbers →](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Substances with carbon and hydrogen are _organic compounds_. They have special names that are beyond the scope of this book. For more information, see the [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry) Wikibook.

Some compounds have common names, like _water_ for H2O. However, there are thousands of other compounds that are uncommon or have multiple names. Also, the common name is usually not recognized internationally. What looks like _water_ to you might look like _agua_ or _vatten_ to someone else. To allow chemists to communicate without confusion, there are naming conventions to determine the **systematic name** of a chemical.

## Naming Ions and Ionic Compounds

Ions are atoms that have lost or gained electrons. Note that in a **polyatomic ion**, the ion itself is held together by covalent bonds. Monoatomic cations (positive) are named the same way as their element, and they come first when naming a compound. Monoatomic anions (negative) have the suffix -_ide_ and come at the end of the compound's name.

Examples of ionic compounds

  * NaCl - _Sodium chloride_
  * MgCl2 \- _Magnesium chloride_
  * Ca3N2 \- _Calcium nitride_

Notice that there is no need to write how many ions there are. Between the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) and our knowledge of [ionic bonding](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds), we can determine the number of ions based on which elements are used.

### Polyatomic Ions

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Polyatomic ion**_](http://en.wikipedia.org/wiki/Polyatomic_ion)

Polyatomic ions have special names. Many of them contain oxygen and are called **oxyanions**. When different oxyanions are made of the same element but have a different number of oxygen atoms, prefixes and suffixes are used to tell them apart. The chlorine family of ions is an excellent example.

Name Formula

Chloride
Cl-

Hypochlorite
ClO-

Chlorite
ClO2-

Chlorate
ClO3-

Perchlorate
ClO4-

The -_ate_ suffix is used on the most common oxyanion (like sulfate SO42- or nitrate NO3-). The -_ite_ suffix is used on the oxyanion with one less oxygen (like sulfite SO32- or nitrite NO2-). Sometimes there can be a _hypo_\- prefix, meaning one less oxygen than the -_ite_. There is also a _per_\- prefix, meaning one more oxygen than the -_ate_.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Occasionally, you will see a _bi_\- prefix. This is an older prefix, and is usually replaced with the word _hydrogen_. In either case, the oxyanion will have a hydrogen in it, decreasing its charge by one. For instance, there is carbonate (CO32-) and bicarbonate or hydrogen carbonate (HCO3-).

One last prefix you may find is _thio_-. It means an oxygen has been replaced with a sulfur within the oxyanion. Cyanate is OCN-, and thiocyanate is SCN-.

Examples of polyatomic ions

  * NH4Cl - _Ammonium chloride_
  * K(HCO3) - _Potassium hydrogen carbonate_
  * AgNO3 \- _Silver nitrate_
  * CuSO3 \- _Copper (`II`) sulfite_

In the last example, copper had a roman numeral 2 after its name because the transition metals can have more than one charge. The charge on the ion must be known, so it is written out for ions that have more than one common charge. Silver always has a charge of 1+, so it isn't necessary (but not wrong) to name its charge. Zinc always has a charge of 2+, so you don't have to name its charge either. Aluminum will always have a charge of +3. All other metals (except the Group 1 and 2 elements) must have roman numerals to show their charge.

Common polyatomic ions that you should know are listed in the following table

Name Formula

Acetate
C2H3O2-

Ammonium
NH4+

Cyanide
CN-

Cyanate
CNO-

Thiocyanate
CNS-

Hypochlorite
ClO-

Chlorite
ClO2-

Chlorate
ClO3-

Perchlorate
ClO4-

Hypobromite
BrO-

Bromite
BrO2-

Bromate
BrO3-

Perbromate
BrO4-

Hypoiodite
IO-

Iodite
IO2-

Iodate
IO3-

Periodate
IO4-

Nitrite
NO2-

Nitrate
NO3-

Peroxide
O22-

Permanganate
MnO4-

Sulfite
SO32-

Sulfate
SO42-

### Stock System

In older texts, ions were assigned names based on their Latin root and a suffix. Common ions with this naming system include "plumbous/plumbic" for lead(II)/lead(IV) and "ferrous/ferric" for iron(II)/iron(III). These Latin-based names are outdated, so it's not important to learn them. We now use the _Stock system_ instead.

Further explanation of the roman numerals is in order. Many atoms (especially the transition metals) are capable of ionizing in more than one way. The name of an ionic compound must make it very clear what the exact chemical formula is. If you wrote "copper chloride", it could be CuCl or CuCl2 because copper can lose one or two electrons when it forms an ion. The charge must be balanced, so there would be one or two chloride ions to accept the electrons. To be correct, you must write "copper(`II`) chloride" if you want CuCl2 and "copper (`I`) chloride" if you want CuCl. Keep in mind that the roman numerals refer to the charge of the cation, not how many anions are attached.

Common metal ions are listed below and should be learned:

Name Formula

Iron(II)/Ferrous
Fe2+

Iron(III)/Ferric
Fe3+

Copper(I)/Cuprous
Cu+

Copper(II)/Cupric
Cu2+

Tin (II)/Stannous
Sn2+

Tin (IV)/Stannic
Sn4+

Lead (II)/Plumbous (most common)
Pb2+

Lead (IV)/Plumbic
Pb4+

Mercury (I) (Note: Mercury (I) is a polyatomic ion)
Hg22+

Mercury (II)
Hg2+

## Naming Molecules

There are two systems of naming molecular compounds. The first uses prefixes to indicate the number of atoms of an element that are in the compound. If the substance is binary (containing only two elements), the suffix -_ide_ is added to the second element. Thus water is _dihydrogen monoxide_. A prefix is not necessary for the first element if there is only one, so SF6 is _sulfur hexafluoride_. The prefix system is used when both elements are non-metallic.

Number Prefix

1
Mono-

2
Di-

3
Tri-

4
Tetra-

5
Penta-

6
Hexa-

7
Hepta-

8
Octa-

9
Nona-

10
Deca-

11
Undeca-

12
Dodeca-

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If the last letter of the prefix is an _a_ and the first letter of the element is a vowel, the _a_ is dropped. That makes V2O5 divanadium pentoxide (instead of pentaoxide). Similar dropping occurs with _mono_\- and elements beginning with _o_, as in the case of _monoxide_. This does not, however, happen with _di_\- and _tri_-. A molecule containing three iodine atoms would be named _triiodide_.

The second system, the **stock system**, uses _oxidation numbers_ to represent how the electrons are distributed through the compound. This is essentially the roman numeral system that has already been explained, but it applies to non-ionic compounds as well. The most electronegative component of the molecule has a negative oxidation number that depends on the number of pairs of electrons it shares. The less electronegative part is assigned a positive number. In the stock system, only the cation's number is written, and in Roman numerals. The stock system is used when there is a metallic element in the compound. In the case of V2O5, it could also be called vanadium(`V`) oxide. Knowing that oxygen's charge is always -2, we can determine that there are five oxygens and two vanadiums if we were given the name without the formula.

## Naming acids

If an acid is a binary compound, it is named as hydro[element]ic acid. If it contains a polyatomic ion, then it is named [ion name]ic acid if the ion ends in -_ate_. If the ion ends in -_ite_ then the acid will end in -_ous_. These examples should help.

Examples of acid names

  * HCl - _Hydrochloric acid_
  * HClO - _Hypochlorous acid_
  * HClO2 \- _Chlorous acid_
  * HClO3 \- _Chloric acid_
  * HClO4 \- _Perchloric acid_

  


# Formulas and Numbers

* * *

← [Naming Substances](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances) ·[Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) →

[← Naming Substances](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Stoichiometry →](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Calculating Formula Masses

In molecules but not ionic compounds, the formula mass is also known as the **molecular mass**.

The calculation of a compound's formula mass (the mass of its molecule or formula unit) is straightforward. Simply add the individual mass of each atom in the compound (found on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)). For example, the formula mass of glucose (C6H12O6) is 180 amu.

Molar masses are just as easy to calculate. The molar mass is equal to the formula mass, except that the unit is grams per mole instead of amu.

## Calculating Percentage Composition

Percentage composition is the relative mass of one substance in a compound compared to the whole. For example, in methane (CH4), the percentage mass of hydrogen is 25% because hydrogen makes up a total of 4 amu out of 16 amu overall.

### Using Percentage Composition

Percentage composition can be used to find the **empirical formula** of a compound, which shows the ratios of elements in the compound. However, this is not the same as the molecular formula. For example, many sugars have the empirical formula CH2O, which could correspond to a molecular formula of CH2O, C2H4O2, C6H12O6, etc.

To find the empirical formula from percentage composition, follow these procedures for each element.

  1. Convert from percentage to grams (for simplicity, assume a 100 g sample).
  2. Divide by the element's molar mass to find moles.
  3. Simplify to lowest whole-number ratio.

For example, a compound is composed of 75% carbon and 25% hydrogen by mass. Find the empirical formula.

  * 75g C / (12 g/mol C) = 6.25 mol C
  * 25g H / (1 g/mol H) = 25 mol H
  * 6.25 mol C / 6.25 = 1 mol C
  * 25 mol H / 6.25 = 4 mol H

Thus the empirical formula is CH4.

### Calculating Molecular Formula

If you find the empirical formula of a compound and its molar/molecular mass, then you can find its exact molecular formula. Remember that the molecular formula is always a whole-number multiple of the empirical formula. For example, a compound with the empirical formula HO has a molecular mass of 34.0 amu. Since HO would only be 17.0 amu, which is half of 34.0, the molecular formula must be H2O2.

Exercise for the reader

An unknown substance must be identified. Lab analysis has found that the substance is composed of 80% Fluorine and 20% Nitrogen with a molecular mass of 71 amu. What is the empirical formula? What is the molecular formula?

  


# Stoichiometry

* * *

← [Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) ·[Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) →

[← Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical equations →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The word _stoichiometry_ derives from two Greek words: _stoicheion_ (meaning "element") and _metron_ (meaning "measure"). Stoichiometry deals with calculations about the masses (sometimes volumes) of reactants and products involved in a chemical reaction. It is a very mathematical part of chemistry, so be prepared for lots of calculator use.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Stoichiometry**_](http://en.wikipedia.org/wiki/Stoichiometry)

Jeremias Benjaim Richter (1762-1807) was the first to lay down the principles of stoichiometry. In 1792 he wrote: "_Die stöchyometrie (Stöchyometria) ist die Wissenschaft die quantitativen oder Massenverhältnisse zu messen, in welchen die chymischen Elemente gegen einander stehen._" [Stoichiometry is the science of measuring the quantitative proportions or mass ratios in which chemical elements stand to one another.]

## Molar Calculations

### Your Tool: Dimensional Analysis

Luckily, almost all of stoichiometry can be solved relatively easily using dimensional analysis. Dimensional analysis is just using units, instead of numbers or variables, to do math, usually to see how they cancel out. For instance, it is easy to see that:

![grams \\times \\dfrac{moles}{grams} \\times \\dfrac{atoms}{moles} = atoms](../../../upload.wikimedia.org/math/6/5/3/6532b3feab4b55bc7d710da6469b3f8f.png)

It is this principle that will guide you through solving most of the stoichiometry problems (chemical reaction problems) you will see in General Chemistry. Before you attempt to solve a problem, ask yourself: what do I have now? where am I going? As long as you know how many (units) per (other units), this will make stoichiometry significantly easier.

### Moles to Mass

Where can you find the molar mass of these elements? [The periodic table.](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) You should always have one on hand—don't expect to get very far without one!

_How heavy is 1.5 mol of lead? How many moles in 22.34g of water?_ Calculating the mass of a sample from the number of moles it contains is quite simple. We use the **molar mass** (mass of one mole) of the substance to convert between mass and moles. When writing calculations, we denote the molar mass of a substance by an upper case "M" (e.g. M(Ne) means "the molar mass of neon"). As always, "n" stands for the number of moles and "m" indicates the mass of a substance. To find the solutions to the two questions we just asked, let's apply some dimensional analysis:

![1.5 \\; mol \\; Pb \\; \\times \\dfrac{207.2 \\; g \\; Pb}{1 \\; mol \\; Pb} = 310.8 \\; g \\; Pb](../../../upload.wikimedia.org/math/e/6/5/e657e4fe9b7b2198219519f8f27bbc76.png)

Can you see how the units cancel to give you the answer you want? All you needed to know was that you had 1.5 mol Pb (lead), and that 1 mol Pb weighs 207.2 grams. Thus, multiplying 1.5 mol Pb by 207.2 g Pb and dividing by 1 mol Pb gives you 310.8 g Pb, your answer.

### Mass to Moles

But we had one more question: "How many moles in 22.34g of water?" This is just as easy:

![22.34 \\; g \\; H_2 O \\; \\times \\dfrac{1 \\; mol \\; H_2 O}{18 \\; g \\; H_2 O} = 1.24 \\; mol \\; H_2 O](../../../upload.wikimedia.org/math/f/5/e/f5ed33d2288f0209ad576185225896ee.png)

Where did the 18 g H2O come from? We looked at the periodic table and simply added up the atomic masses of two hydrogens and an oxygen to get the molecular weight of water. This turned out to be 18, and since all the masses on the periodic table are given with respect to 1 mole, we knew that 1 mol of water weighed 18 grams. This gave us the relationship above, which is really just (again) watching units cancel out!

### Calculating Molar Masses

Before we can do these types of calculations, we first have to know the molar mass. Fortunately, this is not difficult, as the molar mass is exactly the same as the **atomic weight** of an element. A table of atomic weights can be used to find the molar mass of elements (this information is often included in the periodic table). For example, the atomic weight of oxygen is **16.00** amu, so its molar mass is 16.00 g/mol.

For species with more than one element, we simply add up the atomic weights of each element to obtain the molar mass of the compound. For example, sulfur trioxide gas is made up of sulfur and oxygen, whose atomic weights are 32.06 and 16.00 respectively.

![\\begin{matrix}
\\hbox{M\(SO}_3\\hbox{\)} &=& 32.06 + 3 \\times 16.00 \\\\
\\ &=& 80.06 \\hbox{g}/\\hbox{mol} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/7/c/b/7cbe17826cfba0b9cce55bca7d40b620.png)

The procedure for more complex compounds is essentially the same. Aluminium carbonate, for example, contains aluminium, carbon, and oxygen. To find the molar mass, we have to be careful to find the _total_ number of atoms of each element. Three carbonate ions each containing three oxygen atoms gives a total of nine oxygens. The atomic weights of aluminium and carbon are 26.98 and 12.01 respectively.

![\\begin{matrix}
\\hbox{M}\(\\hbox{Al}_2\(\\hbox{CO}_3\)_3\) &=& 2 \\times 26.98 + 3 \\times 12.01 + 9 \\times 16.00 \\\\
\\ &=& 233.99 \\hbox{g}/\\hbox{mol} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/f/2/c/f2c6fe95fd5ffbaa86f5953e16d07719.png)

## Empirical Formulae

The empirical formula of a substance is _the simplest ratio of the number of moles of each element in a compound_. The empirical formula is ambiguous, e.g. the formula CH could represent CH, C2H2, C3H3 etc. These latter formulae are called **molecular formulae**. It follows that the molecular formula is always a _whole number multiple_ of the empirical formula for a compound.

Calculating the empirical formula is easy if the relative amounts of each element in the compound are known. For example, if a sample contains 1.37 mol oxygen and 2.74 mol hydrogen, we can calculate the empirical formula. A good strategy to use is to divide all amounts given by the smallest **non-integer** amount, then multiply by whole numbers until the simplest ratio is found. We can make a table showing the successive ratios.

Hydrogen Oxygen

2.74
1.37
divide by 1.37

2
1
ANSWER

The empirical formula of the compound is H2O.

Here's another example. A sample of piperonal contains 1.384 mol carbon, 1.033 mol hydrogen and 0.519 mol oxygen.

Carbon Hydrogen Oxygen

1.384
1.033
0.519
divide by 0.519

2.666
2
1
multiply by 3

8
6
3
ANSWER

The empirical formula of piperonal is C8H6O3.

### Converting from Masses

Often, we are given the relative composition by mass of a substance and asked to find the empirical formula. These masses must first be converted to moles using the techniques outlined above. For example, a sample of ethanol contains 52.1% carbon, 13.2% hydrogen, and 34.7% oxygen by mass. Hypothetically, 100g of this substance will contain 52.1 g carbon, 13.2 g hydrogen and 34.7 g oxygen. Dividing these by their respective molar masses gives the amount in moles of each element (as we learned above). These are 4.34 mol, 13.1 mol, and 2.17 mol respectively.

Carbon Hydrogen Oxygen

4.34
13.1
2.17
divide by 2.17

2
6
1
ANSWER

The empirical formula of ethanol is C2H6O.

### Molecular Formula

**Beware:** In the case of H2O, the whole number multiple is 1, so its empirical formula is the same as its molecular formula. This is not always the case!

As mentioned above, the molecular formula for a substance equals the count of atoms of each type in a molecule. This is always a _whole number multiple_ of the empirical formula. To calculate the molecular formula from the empirical formula, we need to know the **molar mass** of the substance. For example, the empirical formula for **benzene** is CH, and its molar mass is 78.12 g/mol. Divide the actual molar mass by the mass of the empirical formula, 13.02 g/mol, to determine the multiple of the empirical formula, "n". The molecular formula equals the empirical formula multiplied by "n".

![\\begin{matrix}
\\hbox{M\(CH\)} &=& 13.02 \\hbox{ g/mol} \\\\
\\hbox{M\(benzene\)} &=& 78.12 \\hbox{ g/mol}\\\\
\\hbox{M\(benzene\)} / \\hbox{M\(CH\)} &= \(78.12\\ g/mol\)/\(13.02\\ g/mol\)&= 6 \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/a/3/a/a3aba9b89cdd86f44291f630c9d54b29.png)

This shows that the molecular formula for benzene is 6 times the empirical formula of CH. The molecular formula for benzene is C6H6.

## Solving Mass-Mass Equations

A typical mass-mass equation will give you an amount in grams and ask for another answer in grams.

To solve a mass-mass equation, follow these rules

  1. [Balance the equation](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) if it is not already.
  2. Convert the given quantity to moles.
  3. Multiply by the molar ratio of the demanded substance over the given substance.
  4. Convert the demanded substance into grams.

For example, given the equation ![Cu^{2+} + 2 AgNO_3 \\to Cu\(NO_3\)_2 + 2 Ag^+](../../../upload.wikimedia.org/math/b/2/c/b2c8c1fe0694d0752d1eff53ef154cb7.png), find out how many grams of silver (Ag) will result from 43.0 grams of copper (Cu) reacting.

  * Convert the given quantity to moles.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu}](../../../upload.wikimedia.org/math/8/8/a/88a9444ff52f3d620cbca8ebe172d82f.png)

  * Multiply by the molar ratio of the demanded substance and the given substance.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu} \\times \\frac{2~mol~Ag}{1~mol~Cu}](../../../upload.wikimedia.org/math/4/b/8/4b85ca865d426288cc5da6d461d4e199.png)

  * Convert the demanded substance to grams.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu} \\times \\frac{2~mol~Ag}{1~mol~Cu} \\times \\frac{107.86g~Ag}{1~mol~Ag} = 1.46 \\times 10^2~g~Ag](../../../upload.wikimedia.org/math/1/5/0/1509f52d147b72f3988b9c2602282dd7.png)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Notice how dimensional analysis applies to this technique. All units will cancel except for the desired one (grams of silver, in this case).

## Summary

To solve a stoichiometric problem, you need to know what you already have and what you want to find. Everything in between is basic algebra.

Key Terms

  * _Molar mass:_ mass (in grams) of one mole of a substance.
  * _Empirical formula:_ the simplest ratio of the number of moles of each element in a compound
  * _Molecular formula:_ the actual ratio of the number of moles of each element in a compound

In general, all you have to do is keep track of the units and how they cancel, and you will be on your way!  


# Chemical Equations

* * *

← [Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) ·[Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) →

[← Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Balancing Equations →](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical equations are a convenient, standardized system for describing [chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_reactions). They contain the following information.

  * The type of **reactants** consumed and **products** formed
  * The relative amounts of reactants and products
  * The electrical charges on [ions](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)
  * The physical state of each species (e.g. solid, liquid)
  * The reaction conditions (e.g. temperature, catalysts)

The final two points are optional and sometimes omitted.

## Anatomy of an Equation

![\\hbox{H}_{2 \(g\)} + \\hbox{Cl}_{2 \(g\)} \\to 2\\hbox{HCl}_{\(g\)}](../../../upload.wikimedia.org/math/b/2/5/b25a60e361846b9010875cfdb3aedbec.png)

Hydrogen gas and chlorine gas will react vigorously to produce hydrogen chloride gas. The equation above illustrates this reaction. The reactants, hydrogen and chlorine, are written on the left and the products (hydrogen chloride) on the right. The large number 2 in front of HCl indicates that two molecules of HCl are produced for each 1 molecule of hydrogen and chlorine gas consumed. The 2 in subscript below H indicates that there are two hydrogen atoms in each molecule of hydrogen gas. Finally, the (g) symbols subscript to each species indicates that they are gases.

### Reacting Species

**Species** in a chemical reaction is a general term used to mean atoms, molecules or ions. A species can contain more than one chemical element (HCl, for example, contains hydrogen and chlorine). Each species in a chemical equation is written:

![\\hbox{E}_{x\(s\)}^y](../../../upload.wikimedia.org/math/a/4/a/a4abbf013c5d1baecb08d1eb3522d9d3.png)

**E** is the chemical symbol for the element, **x** is the number of atoms of that element in the species, **y** is the charge (if it is an ion) and **(s)** is the physical state.

The symbols in parentheses (in subscript below each species) indicate the physical state of each reactant or product.

  * **(s)** means solid
  * **(l)** means liquid
  * **(g)** means gas
  * **(aq)** means aqueous solution (i.e. dissolved in water)

For example, ethyl alcohol would be written ![\\hbox{C}_2\\hbox{H}_6\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/2/b/d/2bdfde964ba324b01b3e324a845762c7.png) because each molecule contains 2 carbon, 6 hydrogen and 1 oxygen atom. A magnesium ion would be written ![\\hbox{Mg}^{2+}](../../../upload.wikimedia.org/math/c/6/1/c61df209724671b93e4d49a3c1befc1e.png) because it has a double positive ("two plus") charge. Finally, an ammonium ion would be written ![\\hbox{NH}_4^+](../../../upload.wikimedia.org/math/7/d/f/7df281ade3088ae5c461b336a462e5b0.png) because each molecule contains 1 nitrogen and 4 hydrogen atoms and has a charge of 1+.

### Coefficients

The numbers in front of each species have a very important meaning—they indicate the relative amounts of the atoms that react. The number in front of each species is called a **coefficient**. In the above equation, for example, one H2 molecule reacts with one Cl2 molecule to produce two molecules of HCl. This can also be interpreted as _moles_ (i.e. 1 mol H2 and 1 mol Cl2 produces 2 mol HCl).

It is important that the _Law of Conservation of Mass_ is not violated. There must be the same number of each type of atoms on either side of the equation. Coefficients are useful for keeping the same number of atoms on both sides:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/6/a/36a520001f697305c342d6d62b1795ad.png)

If you count the atoms, there are four hydrogens and two oxygens on each side. The coefficients allow us to **balance the equation**; without them the equation would have the wrong number of atoms. Balancing equations is the topic of the next chapter.

### Other Information

Occasionally, other information about a chemical reaction will be supplied in an equation (such as temperature or other reaction conditions). This information is often written to the right of the equation or above the reaction arrow. A simple example would be the melting of ice.

![\\hbox{H}_2\\hbox{O}_{\(s\)} + heat \\to \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/6/a/6/6a60f22f02fb92edafbf0ae0016341df.png), which could be written as ![\\hbox{H}_2\\hbox{O}_{\(s\)} \\xrightarrow{heat} \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/9/f/8/9f8b45d8773abc7bcd8db8ded7571575.png)

Reactions commonly involve **catalysts**, which are substances that speed up a reaction without being consumed. Catalysts are often written over the arrow. A perfect example of a catalyzed reaction is photosynthesis. Inside plant cells, a substance called _chlorophyll_ converts sunlight into food. The reaction is written:

![6\\hbox{CO}_2 + 6\\hbox{H}_2\\hbox{O} + sunlight \\xrightarrow{chlorophyll} \\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_6  +  6\\hbox{O}_2](../../../upload.wikimedia.org/math/c/6/1/c61edee4fbcd842e3bc6feafbf3a9645.png)

## Examples

![\\hbox{CH}_{4\(g\)} + 2\\hbox{O}_{2\(g\)} \\to \\hbox{CO}_{2\(g\)} + 2\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/c/a/d/cad4d421c9a13c1f09b2377a810a6377.png)
This is the equation for burning methane gas (CH4) in the presence of oxygen (O2) to form carbon dioxide and water: CO2 and H2O respectively. Notice the use of coefficients to obey the Law of Conservation of Matter.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)}](../../../upload.wikimedia.org/math/2/8/6/28695f3472f1df6ba8aa491f4036ae86.png)
This is a _precipitation_ reaction in which dissolved lead cations and iodide anions combine to form a solid yellow precipitate of lead iodide (an [ionic](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) solid).

![2\\hbox{SO}_{2\(g\)} + 2\\hbox{V}_2\\hbox{O}_{5\(s\)} \\to 2\\hbox{SO}_{3\(g\)} + 4\\hbox{V}_2\\hbox{O}_{\(s\)}](../../../upload.wikimedia.org/math/c/7/2/c724503c9c5139f4c0a8595706c65269.png)  


![4\\hbox{V}_2\\hbox{O}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{V}_2\\hbox{O}_{5\(s\)}](../../../upload.wikimedia.org/math/2/5/9/259a50bf23ea270a3f16cf2a158bc24e.png)

These two equations involve a catalyst. They occur one after another, using divanadium pentoxide to convert sulfur dioxide into sulfur trioxide. If you look closely, you can see that the vanadium catalyst is involved in the reaction, but it does not get consumed. It is both a reactant and a product, but it is necessary for the reaction to occur, making it a catalyst.

![2\\hbox{SO}_{2\(g\)} + \\hbox{O}_{2\(g\)} \\xrightarrow{V_2O_5} 2\\hbox{SO}_{3\(g\)}](../../../upload.wikimedia.org/math/d/9/c/d9c1539383b96832fb8fbbdfe53f8cf0.png)
If we add both equations together, we can cancel out terms that appear on both sides. The resulting equation is much simpler and self-explanatory (although the original pair of equations is more accurate in describing how the reaction proceeds).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The last example demonstrates another important principle of chemical equations: they can be added together. Simply list _all_ reactants from the equations you are adding, then list _all_ products. If the same term appears on both sides, it is either a catalyst, an _intermediate product_, or it is not involved in the reaction. Either way, it can be canceled out from both sides (if the coefficients are equal). Try adding the first two vanadium equations together and see if you can cancel out terms to get the final equation.

  


# Balancing Equations

* * *

← [Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) ·[Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) →

[← Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Limiting Reactants and Percent Yield →](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Balancing Equations

Chemical equations are useful because they give the relative amounts of the substances that react in a chemical equation. For example, from the chemical equation for the formation of ammonia, we can see that one mole of nitrogen gas will combine with three moles of hydrogen gas to form two moles of ammonia gas.

![\\hbox{N}_{2} + 3{\\hbox{H}_{2}} \\to 2\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/5/3/a/53a1862985c0eb580d5d397c6d7579ad.png)

  
In some cases, however, we may not know the relative amounts of each substance that reacts. Fortunately, we can always find the correct **coefficients** of an equation (the relative amounts of each reactant and product). The process of finding the coefficients is known as _balancing the equation_.

During a chemical reaction, atoms are neither created or destroyed. The same atoms are present before and after a reaction takes place; they are just rearranged. This is called the **Law of Conservation of Matter**, and we can use this law to help us find the right coefficients to balance an equation.

For example, assume in the above equation that we do not know how many moles of ammonia gas will be produced:

![\\hbox{N}_{2} + 3{\\hbox{H}_{2}} \\to {\\color{Red}?}\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/7/d/8/7d81b8fa9cc60b3e2b5abe7281b88ca8.png)

  
From the left side of this equation, we see that there are 2 atoms of nitrogen gas in the molecule N2 (2 atoms per molecule x 1 molecule), and 6 atoms of hydrogen gas in the 3 H2 molecules (2 atoms per molecule x 3 molecules). Because of the Law of Conservation of Matter, there must also be 2 atoms nitrogen gas and 6 atoms of hydrogen gas on the right side. Since each molecule of the resultant ammonia gas (NH3) contains 1 atom of nitrogen and 3 atoms of hydrogen, 2 molecules are needed to obtain 2 atoms of nitrogen and 6 atoms of hydrogen.

### An Example

![\\hbox{O}_2 + {\\hbox{H}_{2}} \\to \\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/3/2/d/32d6be894f0aadb3f93a8b8595a3463d.png)
This chemical equation shows the compounds being consumed and produced; however, it does not appropriately deal with the quantities of the compounds. There appear to be two oxygen atoms on the left and only one on the right. But we know that there should be the same number of atoms on both sides. This equation is said to be **unbalanced**, because the number of atoms are different.

![\\hbox{O}_{{\\color{Blue}2}} + {\\color{Blue}2}{\\hbox{H}_{2}} \\to {\\color{Blue}2}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/e/c/c/ecce20a81cd37d22eb276db86c490ade.png)
To make the equation balanced, add coefficients in front of each molecule as needed. The 2 in front of hydrogen on the left indicates that twice as many atoms of hydrogen are needed to react with a certain number of oxygen atoms. The coefficient 1 is not written, since it assumed in the absence of any coefficient.

![\\hbox{N}_{2} + {\\hbox{H}_{2}} \\to \\hbox{NH}_{3}](../../../upload.wikimedia.org/math/f/9/b/f9b02a2c50cc3e078688e262c558ae51.png)
Now, let's consider a similar reaction between hydrogen and nitrogen.

![\\hbox{N}_{{\\color{Blue}2}} + {\\hbox{H}_{2}} \\to {\\color{Blue}2}\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/0/3/9/039177688d28dccb7948e12c42b86368.png)
Typically, it is easiest to balance all pure elements last, especially hydrogen. First, by placing a two in front of ammonia, the nitrogens are balanced.

![\\hbox{N}_{{\\color{Blue}2}} + {\\color{Red}3}{\\hbox{H}_{\\color{Blue}2}} \\to {\\color{Blue}2}\\hbox{NH}_{\\color{Red}3}](../../../upload.wikimedia.org/math/4/5/2/45279f0b998d326dd811932f9d46ffc9.png)
This leaves 6 moles of atomic hydrogen in the products and only two moles in the reactants. A coefficient of 3 is then placed in front of the hydrogen to give a fully balanced reaction.

  


![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

When balancing a reaction, only coefficients can be changed because changing a subscript would give a different reaction.

  


## Tricks in balancing certain reactions

### Combustion

A combustion reaction is a reaction between a carbon chain (basically, a molecule consisting of carbons, hydrogen, and perhaps oxygen) with oxygen to form carbon dioxide and water, plus heat. Combustion reactions could get very complex:

![2\\hbox{C}_6\\hbox{H}_6 + 15\\hbox{O}_2 \\to 12 \\hbox{CO}_2 + 6\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/a/8/1/a8121a228d27fa6eed72d822c90649d7.png)

Fortunately, there is an easy way to balance these reactions.

First, note that the carbon in C6H6 can only appear on the product side in CO2. Thus, we can write a coefficient of 6 in front of CO2.

Next, note that the hydrogen in C6H6 can only go to H2O. Thus, we put a 3 in front of H2O.

We have 15 oxygen atoms on the product side, so there are ![\\frac{15}{2}](../../../upload.wikimedia.org/math/1/b/3/1b361ca47d9402de946fb259bc7f2dc2.png) O2 molecules on the reactant side. To make this an integer, we multiply all coefficients by 2.

### Another Example

Helpful Hint!

**Note:** Fractions are technically allowed as coefficients, but they are generally avoided. Multiply all coefficients by the denominator to remove a fraction.

![\\hbox{C}_{4}\\hbox{H}_{10} + {\\hbox{O}_{2}} \\to \\hbox{CO}_{2} + \\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/a/2/4/a24011a77fe86e71ba754339e7d804a9.png)
As reactions become more complex, they become more difficult to balance. For example, the combustion of [butane](http://en.wikipedia.org/wiki/butane) (lighter fluid).

![\\hbox{C}_{\\color{Red}4}\\hbox{H}_{\\color{Blue}10} + {\\hbox{O}_{2}} \\to {\\color{Red}4}\\hbox{CO}_{2} + {\\color{Blue}5}\\hbox{H}_{\\color{Blue}2}\\hbox{O}](../../../upload.wikimedia.org/math/6/f/4/6f43547221159f7acd9ae444f206954f.png)
Once again, it is better to leave pure elements until the end, so first we'll balance carbon and hydrogen. Oxygen can then be balanced after. It is easy to see that one mole of butane will produce four moles of carbon dioxide and five moles of water.

![{\\color{OliveGreen}2}\\hbox{C}_{4}\\hbox{H}_{10} + {\\hbox{O}_{\\color{OliveGreen}2}} \\to {\\color{OliveGreen}8}\\hbox{CO}_{2} + {\\color{OliveGreen}10}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/9/7/d/97d81df2f9ad0610c17629f8cf152d8c.png)
Now there are 13 oxygen atoms on the right and two on the left. The odd number of oxygens prevents balancing with elemental oxygen. Because elemental oxygen is diatomic, this problem comes up in nearly every combustion reaction. Simply double every species except for oxygen to get an even number of oxygen atoms in the product.

![2\\hbox{C}_{4}\\hbox{H}_{10} + {\\color{Blue}13}{\\hbox{O}_{\\color{Blue}2}} \\to {\\color{Blue}8}\\hbox{CO}_{\\color{Blue}2} + {\\color{Blue}10}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/7/7/f/77f4cbc4809bffa9342eeb5944689194.png)
The carbon and hydrogens are still balanced, and now there are an even number of oxygens in the product. Finally, the reaction can be balanced.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that every equation must _always_ be balanced. If it's not balanced, it is incorrect.

  


# Limiting Reactants and Percent Yield

* * *

← [Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) ·[Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) →

[← Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Types of chemical reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Limiting Reactants

When chemical reactions occur, the reactants undergo change to create the products. The _coefficients_ of the chemical equation show the relative amounts of substance needed for the reaction to occur. Consider the combustion of propane:

![\\hbox{C}_3\\hbox{H}_8 + 5\\hbox{O}_2 \\to 3\\hbox{CO}_2 + 4\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/9/5/2/95201ed4b9e9957af9cc9aff12187753.png)

For every one mole of propane, there must be five moles of oxygen. For every one mole of propane combusted, there will be three moles of carbon dioxide and four moles of water produced (along with much heat). If a propane grill is burning, there will be a very large amount of oxygen available to react with the propane gas. In this case, oxygen is the **excess reactant**. There is so much oxygen that the exact amount doesn't matter—it will not run out.

On the other hand, there is not an unlimited amount of propane. It will run out far before the oxygen runs out, making it a **limiting reactant**. The amount of propane available will decide how far the reaction will go.

Example
2H2 \+ O2 → 2H2O

_If there are three moles of hydrogen, and one mole of oxygen, which is the limiting reactant? How much product is created?_

Twice as much hydrogen than oxygen is required. However, there is more than twice as much hydrogen. Thus hydrogen is the excess reactant and oxygen is the limiting reactant. If the reaction proceeds to completion, all of the oxygen will be used up, and one mole of hydrogen will remain. You can imagine this situation like this:

3H2 \+ O2 → 2H2O + H2

The reactant that is left over after the reaction is complete is called the "excess reactant". Often, you will want to figure out how much of the excess reactant is left after the reaction is complete. to do this, first use mole ratios to determine how much excess reactant is used up in the reaction.

Here are the ratios that need to be used:

![\\left \( \\frac{\\text{moles  of  limiting  reactant}}{1} \\right \)	*\\left \( \\frac{\\text{coefficient  of  product}}{\\text{coefficient of limiting reactant}} \\right \)	=  \\text{moles of excess remaining}](../../../upload.wikimedia.org/math/a/b/f/abf823262529ed47a17e2eca3728d197.png)

## Percent Yield

Usually, less product is made than theoretically possible. The **actual yield** is lower than the **theoretical yield**. To compare the two, one can calculate **percent yield**, which is ![ \\frac{actual~yield}{theoretical~yield} \\times 100](../../../upload.wikimedia.org/math/7/0/7/707c83067bb00fabc45c4c25326b87cf.png).

The percent yield tells us how far the reaction actually went.  


# Types of Chemical Reactions

* * *

← [Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) ·[Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) →

[← Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Energy changes in chemical reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical reactions can be divided into several classes each having similar characteristics. These different types of reactions will be discussed in greater detail throughout the book. You will find that almost every reaction you see can fall into one of these categories, so make sure that you understand them.

## Synthesis Reactions

Helpful Hint!

Synthesis reactions always yield one product. Reversing a synthesis reaction will give you a _decomposition reaction_.

The general form of a synthesis reaction is A + B → AB. Synthesis reactions "put things together".

![2\\hbox{H}_{2\(g\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/8/8/f/88f0f26c82f526005c39350f17289430.png)
This is the most well-known example of a synthesis reaction—the formation of water via the fusion of hydrogen gas and oxygen gas.

![2\\hbox{Na}_{\(s\)} + \\hbox{Cl}_{2\(g\)} \\to 2\\hbox{NaCl}_{\(s\)}](../../../upload.wikimedia.org/math/d/a/6/da6eb65db17b911ef498fad5be0854a4.png)
Another example of a synthesis reaction is the formation of sodium chloride (table salt).

Because of the very high reactivities of sodium metal and chlorine gas, this reaction releases a tremendous amount of heat and light energy. Recall that atoms release energy as they become stable, and consider the octet rule when determining why this reaction is so favorable.

## Decomposition Reactions

These are the opposite of synthesis reactions, with the format AB → A + B. Decomposition reactions "take things apart". Just as synthesis reactions can only form one product, decomposition reactions can only start with one reactant. Compounds that are unstable will decompose quickly without outside assistance.

![2\\hbox{H}_2\\hbox{O}_{\(l\)} \\xrightarrow{electricity} 2\\hbox{H}_{2\(g\)} + \\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/f/b/9/fb9e7b6fcdae936639e2d1aedc1899a0.png)
One example is the electrolysis of water (passing water through electrical current) to form hydrogen gas and oxygen gas.

![2\\hbox{H}_2\\hbox{O}_{2\(l\)} \\to 2\\hbox{H}_{2}\\hbox{O}_{\(l\)} + \\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/5/d/e/5de859fd4776b224b1ca7278a41942b2.png)
Hydrogen peroxide slowly decomposes into water and oxygen because it is somewhat unstable. The process is sped up by the energy from light, so hydrogen peroxide is stored in dark containers to slow down the decomposition.

![\\hbox{H}_2\\hbox{CO}_{3\(aq\)} \\to \\hbox{H}_{2}\\hbox{O}_{\(l\)} + \\hbox{C}\\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/0/5/e/05ebd7b1e24bafbd60184a03cbe6efcc.png)
Carbonic acid is the carbonation that is dissolved in soda. It decomposes into carbon dioxide and water, which is why an opened drink will not lose its fizz.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Decomposition, aside from happening spontaneously in unstable compounds, occurs under three conditions: thermal, electrolytic, and catalytic. _Thermal decomposition_ occurs when a substance is heated. _Electrolytic decomposition_, as shown above, is the result of an electric current. _Catalytic decomposition_ happens because a catalyst breaks apart a substance.

## Single Replacement Reactions

Single replacement reactions, also called single displacement, swap one component with another, in the format AB + C → AC + B.

Adding hydrochloric acid to zinc will cause a gas to bubble out:

![\\hbox{Zn}_{\(s\)} + 2\\hbox{HCl}_{\(aq\)} \\to \\hbox{ZnCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/5/4/4/5443d91d54f5e61832a04dea90a07fb9.png)

## Double Replacement Reactions

In these reactions, also known as "double displacement reactions", two compounds swap components, in the format AB + CD → AD + CB

## Double Displacement

this is also called an "exchange". Here are the examples below:

1.) HCl + NaOH ----> NaCl + H2O

### Precipitation

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Precipitation (chemistry)**_](http://en.wikipedia.org/wiki/Precipitation_\(chemistry\))

A precipitation reaction occurs when an **ionic** substance comes out of solution and forms an insoluble (or slightly soluble) solid. The solid which comes out of solution is called a **precipitate**. This can occur when two soluble salts (ionic compounds) are mixed and form an insoluble one—the precipitate.

![\\hbox{2Pb}\(\\hbox{NO}_3\)_{2\(aq\)} + heat_{\(aq\)} \\to \\hbox{2PbO}_{\(s\)} + 4\\hbox{NO}_{2\(aq\)}+{2O}_2](../../../upload.wikimedia.org/math/5/d/e/5deecefe08537174a3b7eaabd720c52c.png)
An example is lead nitrate mixed with potassium iodide, which forms a bright yellow precipitate of lead iodide.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{NO}_{3\(aq\)}^- + 2\\hbox{K}_{\(aq\)}^+ + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)} + 2\\hbox{K}_{\(aq\)}^+ + 2\\hbox{NO}_{3\(aq\)}^-](../../../upload.wikimedia.org/math/3/b/2/3b2dcedc29c8bc179f445d2c72c1b431.png)
Note that the lead iodide is formed as a solid. The previous equation is written in molecular form, which is not the best way of describing the reaction. Each of the elements really exist in solution as individual ions, not bonded to each other (as in potassium iodide crystals). If we write the above as an **ionic equation**, we get a much better idea of what is actually happening.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)}](../../../upload.wikimedia.org/math/2/8/6/28695f3472f1df6ba8aa491f4036ae86.png)
Notice the like terms on both sides of the equation. These are called _spectator ions_ because they do not participate in the reaction. They can be ignored, and the **net ionic equation** is written.

In the solution, there exists both lead and iodide ions. Because lead iodide is insoluble, they spontaneously crystallise and form the precipitate.

### Acid-Base Neutralization

In simple terms, an acid is a substance which can lose a H+ ion (i.e. a proton) and a base is a substance which can accept a proton. When equal amounts of an acid and base react, they **neutralize** each other, forming species which aren't as acidic or basic.

![\\hbox{HCl}_{\(aq\)} + \\hbox{NaOH}_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{NaCl}_{\(aq\)}](../../../upload.wikimedia.org/math/9/d/f/9df18f2bd22cbc0b5a2e1ebdced333e8.png)
For example, when hydrochloric acid and sodium hydroxide react, they form water and sodium chloride (table salt).

![\\hbox{H}^+_{\(aq\)} + \\hbox{OH}^-_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/8/d/7/8d79066a4cb91c9f9f0989a7d776d134.png)
Again, we get a clearer picture of what's happening if we write a net ionic equation.

Acid base reactions often happen in aqueous solution, but they can also occur in the gaseous state. Acids and bases will be discussed in much greater detail in the [acids and bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) section.

## Combustion

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Combustion_methane_intl.png/220px-Combustion_methane_intl.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The combustion of methane (releasing heat and light)

Combustion, better known as burning, is the combination of a substance with oxygen. The products are carbon dioxide, water, and possible other waste products. Combustion reactions release large amounts of heat. C3H8, better known as propane, undergoes combustion. The balanced equation is:

![\\hbox{C}_3\\hbox{H}_8 + 5\\hbox{O}_2 \\to 3\\hbox{CO}_2 + 4\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/9/5/2/95201ed4b9e9957af9cc9aff12187753.png)

Combustion is similar to a decomposition reaction, except that oxygen and heat are required for it to occur. If there is not enough oxygen, the reaction may not occur. Sometimes, with limited oxygen, the reaction will occur, but it produces carbon monoxide (CO) or even soot. In that case, it is called _incomplete combustion_. If the substances being burned contain atoms other than hydrogen and oxygen, then waste products will also form. Coal is burned for heating and energy purposes, and it contains sulfur. As a result, sulfur dioxide is released, which is a pollutant. Coal with lower sulfur content is more desirable, but more expensive, because it will release less of the sulfur-based pollutants.

## Organic Reactions

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Carboxyl3D.png/170px-Carboxyl3D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is _carboxylic acid_. All functional groups end with an "R"—a placeholder for the rest of the molecule.

Organic reactions occur between organic molecules (molecules containing carbon and hydrogen). Since there is a virtually unlimited number of organic molecules, the scope of organic reactions is very large. However, many of the characteristics of organic molecules are determined by **functional groups**—small groups of atoms that react in predictable ways.

Another key concept in organic reactions is Lewis basicity. Parts of organic molecules can be electrophillic (electron-loving) or nucleophillic (nucleus, or positive loving). Nucleophillic regions have an _excess_ of electrons—they act as Lewis bases—whereas electrophillic areas are electron deficient and act as Lewis acids. The nucleophillic and electrophillic regions attract and react with each other (needless to say, this has inspired many terrible organic chemistry jokes).

Organic reactions are beyond the scope of this book, and are covered in more detail in [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry). However, most organic substances can undergo replacement reactions and combustion reactions, as you have already learned.

## Redox

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Redox_reaction.png/220px-Redox_reaction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The formation of hydrogen fluoride causes fluoride to oxidize and hydrogen to reduce.

Redox is an abbreviation of **reduction/oxidation** reactions. This is exactly what happens in a redox reaction, one species is **reduced** and another is **oxidized**. Reduction involves a gain of electrons and oxidation involves a loss, so a redox reaction is one in which electrons are _transferred_ between species. Reactions where something is "burnt" (burning means being oxidised) are examples of redox reactions, however, oxidation reactions also occur in solution, which is very useful and forms the basis of electrochemistry.

Redox reactions are often written as two **half-reactions** showing the reduction and oxidation processes separately. These half-reactions are balanced (by multiplying each by a coefficient) and added together to form the full equation. When magnesium is burnt in oxygen, it loses electrons (it is oxidised). Conversely, the oxygen gains electrons from the magnesium (it is reduced).

![\\begin{matrix}
\\hbox{Mg} &\\to& \\hbox{Mg}^{2+} + 2e^- & \\times 2 \\\\
\\hbox{O}_2 + 4e^- &\\to& 2\\hbox{O}^{2-} & \\times 1 \\\\
2\\hbox{Mg} + \\hbox{O}_2 + 4e^- &\\to& 2\\hbox{MgO} + 4e^- & \\ \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/4/9/e/49ec980c2b9b29bb012e0c61a954ea98.png)

Redox reactions will be discussed in greater detail in the [redox](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) section.  


# Energy Changes in Chemical Reactions

* * *

← [Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) ·[Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) →

[← Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Predicting Chemical Reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Exothermic and Endothermic Reactions

The release of energy in chemical reactions occurs when the reactants have higher chemical energy than the products. The chemical energy in a substance is a type of potential energy stored within the substance. This stored chemical potential energy is the _heat content_ or **enthalpy** of the substance.

The collection of substances that is involved in a chemical reaction is referred to as a _system_ and anything else around it is called the _surroundings_.

If the enthalpy decreases during a chemical reaction, a corresponding amount of energy must be released to the surroundings. Conversely, if the enthalpy increases during a reaction, a corresponding amount of energy must be absorbed from the surroundings. This is simply the **Law of Conservation of Energy**.

**Endothermic** reactions increase their enthalpy by absorbing heat. They feel cold to the touch after they have occurred.

**Exothermic** reactions decrease their enthalpy by releasing heat. They will get warm, and may even burn or explode if they release enough heat.

You are already familiar with enthalpy: melting ice is endothermic and freezing water is exothermic.

**Examples**

When methane burns in air the heat given off equals the decrease in enthalpy that occurs as the reactants are converted to products. 

  


![\\hbox{CH}_{4\(g\)} + 2\\hbox{O}_{2\(g\)} \\to \\hbox{CO}_{2\(g\)} + 2\\hbox{H}_2\\hbox{O}_{\(g\)} + energy](../../../upload.wikimedia.org/math/9/3/e/93efbc80b1a41c3647a85f0fa3905d1e.png)

  
The enthalpy difference between the reactants and the products is equal to the amount of energy released to the surroundings. A reaction in which energy is released to the surroundings is called an _exothermic_ reaction. In this type of reaction the enthalpy, or stored chemical energy, is lower for the products than the reactants.

When ammonium nitrate is dissolved in water, energy is absorbed and the water cools. This concept is used in "cold packs". 

  


![\\hbox{NH}_{4}\\hbox{NO}_{3\(s\)} + water + energy \\to \\hbox{NH}^+_{4\(aq\)} + \\hbox{NO}^-_{3\(aq\)}](../../../upload.wikimedia.org/math/8/c/4/8c4f4928e4038ec9861d8f9a9507c108.png)

  
The enthalpy difference between the reactants and the products is equal to the amount of energy absorbed from the surroundings. A reaction in which energy is absorbed from the surroundings is called an _endothermic_ reaction. In endothermic reactions the enthalpy of the products is greater than the enthalpy of the reactants.

Because reactions release or absorb energy, they affect the temperature of their surroundings. Exothermic reactions heat up their surroundings while endothermic reactions cool them down. The study of enthalpy, along with many other energy-related topics, is covered in the [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) Unit.

## Activation Energy

Think about the combustion of methane. It releases enough heat energy to cause a fire. However, the reaction does not occur automatically. When methane and oxygen are mixed, an explosion does not instantly occur. First, the methane must be ignited, usually with a lighter or matchstick. This reveals something about reactions: they will not occur unless a certain amount of **activation energy** is added first. In this sense, all reactions absorb energy before they begin, but the exothermic reactions release even more energy. This can be explained with a graph of potential energy:

![Ac com.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Ac_com.svg/220px-Ac_com.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This graph shows an exothermic reaction because the products are at a lower energy than the reactants (so heat has been released). Before that can happen, the energy must actually _increase_. The amount of energy added before the reaction can complete is the activation energy, symbolized **Ea**.  


# Predicting Chemical Reactions

* * *

← [Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) ·[Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) →

[← Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Oxidation state →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Types of Reactions

There are several guidelines that can help you predict what kind of chemical reaction will occur between a mixture of chemicals.

  * Several pure elements mixed together may undergo a [synthesis reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Synthesis_Reactions).
  * A single compound may undergo a [decomposition reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Decomposition_Reactions). It often forms water or hydrogen gas.
  * A pure element mixed with an ionic compound may undergo a [single replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Single_Replacement_Reactions).
  * Two different ionic compounds are very likely to undergo a [double replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reactions).
  * An organic compound (containing carbon and hydrogen) can usually react with oxygen in a [combustion reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Combustion).

However, not all elements will react with each other. To better predict a chemical reaction, knowledge of the _reactivity series_ is needed.

## Reactivity

When combining two chemicals, a single- or double-replacement reaction doesn't always happen. This can be explained by a list known as the **reactivity series**, which lists elements in order of reactivity. The higher on the list an element is, the more elements it can replace in a single- or double-replacement reaction. When deciding if a replacement reaction will occur, look up the two elements in question. The higher one will replace the lower one.

Elements at the very top of the series are so reactive that they can replace hydrogen from water. This explains the explosive reaction between sodium and water:

![2\\hbox{Na}_{\(s\)} + 2\\hbox{H}_2\\hbox{O}_{\(l\)} \\to 2\\hbox{NaOH}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/7/3/6/7369fe187a824b823c0c78c06ccbf99d.png)

Elements in the middle of the list will react with acids (but not water) to produce a salt and hydrogen gas. Elements at the bottom of the list are mostly nonreactive.

Elements near the top of the list will corrode (rust, tarnish, etc.) in oxygen much faster than those at the bottom of the list.

### The Reactivity Series

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Reactivity series**_](http://en.wikipedia.org/wiki/Reactivity_series)

  * Red: elements that react with water and acids to form hydrogen gas, and with oxygen.
  * Orange: elements that react very slowly with water but strongly with acids.
  * Yellow: elements that react with acid to form hydrogen gas, and with oxygen.
  * Grey: elements that react with oxygen (tarnish).
  * White: elements that are often found pure; relatively nonreactive.

**Most Reactive**

Cs

K

Na

Li

Sr

Ca

Rb

Ba

Mg

Al

_(C)_

Mn

Zn

Cr

Fe

Cd

Co

Ni

Sn

Pb

_(H2)_

Sb

Bi

Cu

Hg

Ag

Pt

Au

**Least Reactive**

  


# Oxidation States

* * *

← [Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) ·[Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) →

[← Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Oxidation and Reduction equations →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Oxidation state**_](http://en.wikipedia.org/wiki/Oxidation_state)

**Oxidation states** are used to determine the degree of _oxidation_ or _reduction_ that an element has undergone when bonding. The oxidation state of a compound is the sum of the oxidation states of all atoms within the compound, which equals zero unless the compound is ionic.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

*_Gaining_ electrons is **reduction**. 

  * _Losing_ electrons is **oxidation**.

The oxidation state of an atom within a molecule is the charge it _would_ have _if_ the bonding were completely ionic, even though covalent bonds do not actually result in charged ions.

## Method of notation

Oxidation states are written above the element or group of elements that they belong to (when drawing the molecule), or written with roman numerals in parenthesis when naming the elements.

**Examples**

![\\begin{matrix} _0 \\\\ Al \\end{matrix}](../../../upload.wikimedia.org/math/5/e/2/5e218127cb534ada2d1581356d11294a.png)
aluminum

![\\begin{matrix} _{+3} \\\\ Al \\end{matrix}](../../../upload.wikimedia.org/math/4/b/9/4b90af0f8870b073ff526bf98df81711.png)
aluminum(III), an ion

## Determining oxidation state

### For single atoms or ions

Because oxidation numbers are just the sum of the electrons gained or lost, calculating them for single elements is easy.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The oxidation state of a single element is the same as its charge. Pure elements always have an oxidation states of zero.

**Examples**

![\\begin{matrix} _1 \\\\ K^+ \\end{matrix}](../../../upload.wikimedia.org/math/b/4/7/b47155457b5ad16253dbd328780d280f.png)

![\\begin{matrix} _0 \\\\ Br \\end{matrix}](../../../upload.wikimedia.org/math/2/b/7/2b765c1e9919b8a458923a5dd38a7d27.png)

![\\begin{matrix} _1 & _{-1} \\\\ Na & Cl \\end{matrix}](../../../upload.wikimedia.org/math/5/d/a/5da3113daea16f75eba835db3f0487cd.png)

Notice that the oxidation states of ionic compounds are simple to determine.

### For larger molecules

Helpful Hint!

Remember that all the individual oxidation states must add up to the charge on the whole substance.

Although covalent bonds do not result in charges, oxidation states are still useful. They label the hypothetical transfer of electrons _if_ the substance were ionic. Determining the oxidation states of atoms in a covalent molecule is very important when analyzing "redox" reactions. When substances react, they may transfer electrons when they form the products, so comparing the oxidation states of the products and reactants allows us to keep track of the electrons.

**Examples**

![\\begin{matrix} _{+1} & _{-1} \\\\ H & Cl \\end{matrix}](../../../upload.wikimedia.org/math/a/4/4/a441a12f1effa190eab3b1e5daa98f5b.png)
for hydrogen chloride

![\\begin{matrix} _{2\(+1\)} & _{-2} \\\\ H_2 & O \\end{matrix}](../../../upload.wikimedia.org/math/1/9/4/194a5d1349b06abb81cfb13b7e81d935.png)
for water

![\\begin{matrix} _{+3} & _{2\(-2\)} \\\\ Cl & O_2 \\end{matrix}](../../../upload.wikimedia.org/math/7/1/1/711ae9e078c2e86a48429cce40916f7e.png)
for the chlorite ion  


(notice the overall charge)

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Oxidation states do not necessarily represent the actual charges on an atom in a molecule. They are simply numbers that indicate what the charges would be if that atom had gained or lost the electrons involved in the bonding. For example, ![CH_4](../../../upload.wikimedia.org/math/3/b/9/3b9d05a6865f6f9aa3e1ed43601459bc.png) is a covalent molecule—the C has no charge nor does the H, however the molecule can be assigned a -4 oxidation state for the C and a +1 oxidation state for the H's.

  
DETERMINING OXIDATION STATES

  
The determination of oxidation states is based on knowing which elements can have only one oxidation state other than the elemental state and which elements are able to form more than one oxidation state other than the elemental state. Let's look at some of the "rules" for determining the oxidation states.

1\. The oxidation state of an element is always zero.

2\. For metals, the charge of the ion is the same as the oxidation state. The following metals form only one ion: Group IA, Group IIA, Group IIIA (except Tl), Zn2+, Cd2+.

3\. For monatomic anions and cations, the charge is the same as the oxidation state.

4\. Oxygen in a compound is -2, unless a peroxide is present. The oxidation state of oxygen in peroxide ion , O22- is -1.

5\. For compounds containing polyatomic ions, use the overall charge of the polyatomic ion to determine the charge of the cation. Here is a convenient method for determining oxidation states. Basically, you treat the charges in the compound as a simple algebraic expression. For example, let's determine the oxidation states of the elements in the compound, KMnO4. Applying rule 2, we know that the oxidation state of potassium is +1. We will assign "x" to Mn for now, since manganese may be of several oxidation states. There are 4 oxygens at -2. The overall charge of the compound is zero: K Mn O4 +1 x 4(-2)

The algebraic expression generated is: 1 + x -8 = 0

Solving for x gives the oxidation state of manganese: x - 7 = 0 x = +7 K Mn O4 +1 +7 4(-2)

Suppose the species under consideration is a polyatomic ion. For example, what is the oxidation state of chromium in dichromate ion, (Cr2O72-)?

As before, assign the oxidation state for oxygen, which is known to be -2. Since the oxidation state for chromium is not known, and two chromium atoms are present, assign the algebraic value of 2x for chromium: Cr2 O7 2- 2x 7(-2)

Set up the algebraic equation to solve for x. Since the overall charge of the ion is -2, the expression is set equal to -2 rather than 0: 2x + 7(-2) = -2

Solve for x: 2x - 14 = -2 2x = 12 x = +6

Each chromium in the ion has an oxidation state of +6. Let's do one last example, where a polyatomic ion is involved. Suppose you need to find the oxidation state of all atoms in Fe2(CO3)3. Here two atoms, iron and carbon, have more than one possible oxidation state. What happens if you don't know the oxidation state of carbon in carbonate ion? In fact, knowledge of the oxidation state of carbon is unnecessary. What you need to know is the charge of carbonate ion (-2). Set up an algebraic expression while considering just the iron ion and the carbonate ion: Fe2 (CO3)3 2x 3(-2) 2x - 6 = 0 2x = 6 x = 3

Each iron ion in the compound has an oxidation state of +3. Next consider the carbonate ion independent of the iron(III) ion: C O3 2- x 3(-2) x - 6 = -2 x = +4

The oxidation state of carbon is +4 and each oxygen is -2.

## Guidelines

Determining oxidation states is not always easy, but there are many guidelines that can help. This guidelines in this table are listed in order of importance. The highest oxidation state that any element can reach is +8 in XeO4.

Element Usual Oxidation State

Fluorine
Fluorine, being the most electronegative element, will always have an oxidation of -1 (except when it is bonded to itself in F2, when its oxidation state is 0).

Hydrogen
Hydrogen always has an oxidation of +1, -1, or 0. It is +1 when it is bonded to a non-metal (e.g. HCl, hydrochloric acid). It is -1 when it is bonded to metal (e.g. NaH, sodium hydride). It is 0 when it is bonded to itself in H2.

Oxygen
Oxygen is usually given an oxidation number of -2 in its compounds, such as H2O. The exception is in peroxides (O2-2) where it is given an oxidation of -1. Also, in F2O oxygen is given an oxidation of +2 (because fluorine must have -1), and in O2, where it is bonded only to itself, the oxidation is 0.

Alkali Metals
The Group 1A metals always have an oxidation of +1, as in NaCl. The Group 2A metals always have an oxidation of +2, as in CaF2. There are some rare exceptions that don't need consideration.

Halogens
The other halogens (Cl, Br, I, As) usually have an oxidation of -1. When bonded to another halogen, its oxidation will be 0. However, they can also have +1, +3, +5, or +7. Looking at the family of chlorides, you can see each oxidation state (Cl2 (0), Cl- (-1), ClO- (+1), ClO2- (+3), ClO3- (+5), ClO4- (+7)).

Nitrogen
Nitrogen (and the other Group 5A elements, such as phosphorus, P) often have -3 (as in ammonia, NH3), but may have +3 (as in NI3) or +5 (as in phosphate, PO43-).

Carbon
Carbon can literally have any oxidation state (from -4, as in CH4, to +4, as in CF4). It is best to find the oxidation of other elements first.

In general, _the more electronegative element has the negative number_. Using a chart of electronegativities, you can determine the oxidation state of any atom within a compound.

## Periodicity

Oxidation states are another periodic trend. They seem to repeat a pattern across each period.

![Langmuir valence.png](../../../upload.wikimedia.org/wikipedia/commons/8/89/Langmuir_valence.png)

  


# Redox Reactions

* * *

← [Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) ·[Redox Reactions/Electrochemistry](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Electrochemistry) →

[← Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Electrochemistry →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Electrochemistry)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Redox

Redox reactions are chemical reactions in which elements are oxidized and reduced.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

*_Losing_ electrons is **oxidation**. 

  * _Gaining_ electrons is **reduction**.

Specifically, at the most basic level one element gets _oxidized_ by losing, or donating, electrons to the _oxidizing agent_. In doing so, the oxidizing agent gets _reduced_ by accepting the electrons lost, or donated, by the _reducing agent_ (i.e. the element getting oxidized).

If it seems as though there are two separate things going on here, you are correct: redox reactions can be split into two **half-reactions**, one dealing with oxidation, the other, reduction.

### Mnemonic

Oil Rig

**O**xidation **I**s **L**oss. **R**eduction **I**s **G**ain

Alternatively:

LEO GER

**L**oose **E**lectrons **O**xidation. **G**ain **E**lectrons **R**eduction

### Example

![\\hbox{Fe} + \\hbox{Cu}^{2+} \\to \\hbox{Fe}^{2+} + \\hbox{Cu}](../../../upload.wikimedia.org/math/7/2/6/72640d39df6f1232647f804dbbc10fe3.png)
This is the complete reaction. Iron is oxidized, thus it is the reducing agent. Copper is reduced, making it the oxidizing agent.

![\\hbox{Fe} \\to \\hbox{Fe}^{2+} + 2e^-](../../../upload.wikimedia.org/math/8/b/8/8b80358cc40b82b52d5a772bc538a81e.png)
This is the oxidation half-reaction.

![\\hbox{Cu}^{2+} + 2e^-\\to \\hbox{Cu}](../../../upload.wikimedia.org/math/a/9/f/a9f86b703a9ed54e2249d64f9caaf7e9.png)
This is the reduction half-reaction.

When the two half-reactions are summed, the result is:

Helpful Hint!

If you cancel out the electrons on both sides, you get the original equation.
![\\begin{align}
\\hbox{Fe} & \\to \\hbox{Fe}^{2+} + 2e^- \\\\
\\hbox{Cu}^{2+} + 2e^- & \\to \\hbox{Cu} \\\\
\\hline
\\hbox{Fe} + \\hbox{Cu}^{2+} + 2e^- & \\to \\hbox{Cu} + \\hbox{Fe}^{2+} + 2e^- \\\\
\\end{align}
](../../../upload.wikimedia.org/math/e/0/3/e0370b3158e93708ab74ed4603f9c68a.png)

## Balancing Redox Equations

In a redox reaction, _all electrons must cancel out_. If you are adding two half-reactions with unequal numbers of electrons, then the equations must be multiplied by a common denominator. This process is similar to balancing regular equations, but now you are trying to balance the electrons between two half-reactions.

### Example

![\\begin{align}
\\hbox{Fe}^{2+} & \\to \\hbox{Fe}^{3+} + e^- \\\\
\\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- \\\\
\\hline
\\hbox{Fe}^{2+} + \\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- + \\hbox{Fe}^{3+} + e^- \\\\
\\end{align}
](../../../upload.wikimedia.org/math/f/1/8/f184bf61a39e7085df13f71649ba6f7b.png)

The electrons don't completely cancel out. There is one electron more on the left. However, if you double _all_ terms in the first half-reaction, then add it to the second half-reaction, the electrons will cancel out completely. That means the half-reactions for this redox reaction are actually:

![\\begin{align}
2\\hbox{Fe}^{2+} & \\to 2\\hbox{Fe}^{3+} + 2e^- \\\\
\\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- \\\\
\\hline
2\\hbox{Fe}^{2+} + \\hbox{H}_2\\hbox{O}_2 & \\to 2 \\hbox{OH}^- + 2\\hbox{Fe}^{3+} \\\\
\\end{align}
](../../../upload.wikimedia.org/math/a/1/e/a1e878cafb6008e278035ce189cc0e54.png)

  


## Balancing Redox Equations in an Acidic or Basic Solution

If a reaction occurs in an [acidic or basic](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) environment, the redox equation is balanced as follows:

  1. Write the oxidation and reduction half reactions, but with the whole compound, not just the element that is reduced/oxidized.
  2. Balance both reactions for all elements _except_ oxygen and hydrogen.
  3. If the oxygen atoms are not balanced in either reaction, add water molecules to the side missing the oxygen.
  4. If the hydrogen atoms are not balanced, add hydrogen ions until the hydrogen atoms are balanced.
  5. Multiply the half reactions by the appropriate number (so that they have equal numbers of electrons).
  6. Add the two equations to cancel out the electrons, as in the previous method, and the equation is balanced!

If the reaction occurs in a basic environment, proceed as if it is in an acid environment, but, after step 4, for each hydrogen ion added, add a hydroxide ion to both sides of the equation. Then, combine the hydroxide ions and hydrogen ions to form water. Then, cancel all the water molecules that appear on both sides.  


# Electrochemistry

* * *

← [Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) ·[Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) →

[← Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Aqueous Solutions →](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Redox Reactions (review)

Redox (shorthand for reduction/oxidation reaction) describes all chemical reactions in which atoms have their oxidation number (oxidation state) changed.

This can be either a simple redox process such as the oxidation of carbon to yield carbon dioxide, or the reduction of carbon by hydrogen to yield methane (CH4), or it can be a complex process such as the oxidation of sugar in the human body through a series of very complex electron transfer processes.

The term redox comes from the two concepts of reduction and oxidation. It can be explained in simple terms:

Non-redox reactions, which do not involve changes in formal charge, are known as _metathesis reactions_.

  * _Oxidation_ describes the loss of electrons by a molecule, atom, or ion
  * _Reduction_ describes the gain of electrons by a molecule, atom, or ion

However, these descriptions (though sufficient for many purposes) are not truly correct. Oxidation and reduction properly refer to a change in oxidation number—the actual transfer of electrons may never occur. Thus, oxidation is better defined as an increase in oxidation number, and reduction as a decrease in oxidation number. In practice, the transfer of electrons will always cause a change in oxidation number, but there are many reactions which are classed as "redox" even though no electron transfer occurs (such as those involving covalent bonds).

## Electrochemistry

**Electrochemistry** is a branch of chemistry that deals with the flow of electricity by chemical reactions. The electrons in a balanced half-reaction show the direct relationship between electricity and the specific redox reaction. Electrochemical reactions are either spontaneous, or nonspontaneous. A spontaneous redox reaction generates a voltage itself. A nonspontaneous redox reaction occurs when an external voltage is applied. The reactions that occur in an electric battery are electrochemical reactions.

Three components of an electrochemical reaction

  * A solution where redox reactions may occur (solutions are substances dissolved in liquid, usually water)
  * A conductor for electrons to be transferred (such as a metal wire)
  * A conductor for ions to be transferred (usually a _salt bridge_)

e.g. filter paper dipped in a salt solution.

### Electrolysis

An **electrolysis** experiment forces a nonspontaneous chemical reaction to occur. This is achieved when two [electrodes](http://en.wikipedia.org/wiki/Electrode) are submersed in an electrically conductive solution, and the electrical voltage applied to the two electrodes is increased until electrons flow. The electrode receiving the electrons, or where the reduction reactions occur, is called the [cathode](http://en.wikipedia.org/wiki/Cathode). The electrode which supplies the electrons, or where the oxidation reactions occur, is called the [anode](http://en.wikipedia.org/wiki/Anode).

A molten salt is an example of something that may be electrolyzed because salts are composed of ions. When the salt is in its solid state, the ions are not able to freely move. However, when the salt is heated enough until it melts (making it a molten salt), the ions are free to move. This mobility of the ions in the molten salt makes the salt electrically conductive. In the electrolysis of a molten salt, for example melted ![NaCl](../../../upload.wikimedia.org/math/4/6/4/4643d082402ba04afaf0e2d82452ac69.png), the cation of the salt (in this case ![Na^+](../../../upload.wikimedia.org/math/c/7/e/c7e0b608f324bba49719969f3394a11a.png)) will be reduced at the cathode, and the anion of the salt (in this case ![Cl^-](../../../upload.wikimedia.org/math/1/f/7/1f7305cf8c7126766df02a54b89c3a12.png)) will be oxidized at the anode:

    Cathode reaction: Na+ \+ e− → Na
    Anode reaction: 2Cl → Cl2 \+ 2e−

Aqueous solutions of salts can be electrolyzed as well because they are also electrically conductive. In aqueous solutions, there is an additional reaction possible at each the cathode and the anode:

    Cathode: 2H2O \+ 2e− → H2 \+ 2OH− (reduction of water)
    Anode: 2H2O → 4H+ \+ O2 \+ 4e− (oxidation of water)

With the addition of these two reactions, there are now two possible reactions at each electrode. At the cathode, either the reduction of the cation or the reduction of water will occur. At the anode, either the oxidation of the anion or the oxidation of water will occur. The following rules determine which reaction takes place at each electrode:

  * Cathode: If the cation is a very active metal, water will be reduced. Very active metals include Li, Na, K, Rb, Cs, Ca, Sr, and Ba. If the cation is an active or inactive metal, the cation will be reduced.
  * Anode: If the anion is a polyatomic ion, water will generally be oxidized. Specifically, sulfate, perchlorate, and nitrate ions are not oxidized; water will oxidize instead. Chloride, bromide, and iodide ions will be oxidized. If the anion in one salt is oxidized in an aqueous electrolysis, that same anion will also be oxidized in any other salt.

### Galvanic Cells

The energy of a spontaneous redox reaction is captured using a **galvanic cell**. The following parts are necessary to make a galvanic cell:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Electrochemical_element_with_salt_bridge.png/220px-Electrochemical_element_with_salt_bridge.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The "ammeter" at the top measures the electrical current flowing through the wire. Electrons are flowing from copper to zinc, making zinc the oxidizing agent.

  1. Two [half cells](http://en.wikipedia.org/wiki/Half_cell)
  2. Two [electrodes](http://en.wikipedia.org/wiki/Electrode)
  3. One electrically conductive wire
  4. One [salt bridge](http://en.wikipedia.org/wiki/Salt_bridge)
  5. One device, usually an [ammeter](http://en.wikipedia.org/wiki/Ammeter) or a [voltmeter](http://en.wikipedia.org/wiki/Voltmeter)

A galvanic cell is constructed as shown in the image to the right. The two half-reactions are separated into two half cells. All of the reactants in the oxidation half-reaction are placed in one half cell (the anode), and all the reactants of the reduction half-reaction are placed in the other half cell (the cathode). If the half-reaction contains a metal, the metal serves as the electrode for that half cell. Otherwise, an inert electrode made of platinum, silver, or gold is used. The electrodes are connected with a wire which allows the flow of electrons. The electrons always flow from the anode to the cathode. The half cells are connected by a salt bridge which allows the ions in the solution to move from one half cell to the other, so that the reaction can continue. Since the overall reaction is spontaneous, the flow of electrons will move spontaneously through the outer circuitry from which the energy can be extirpated. The energy harnessed is useful because it can be used to do work. For example, if an electrical component such as a light bulb is attached to the wire, it will receive power from the flowing electrons.

Consistent results from a galvanic cell are dependent on three variables: pressure, temperature, and concentration. Thus, chemists defined a standard state for galvanic cells. The standard state for the galvanic cell is a pressure of 1.00 [atmospheric pressure](http://en.wikipedia.org/wiki/Atmospheric_pressure) (_atm_) for all gases, a temperature of 298 [kelvin](http://en.wikipedia.org/wiki/Kelvin) (_K_) and concentrations of 1.00 [molarity](http://en.wikipedia.org/wiki/Molarity) (_M_) for all soluble compounds, liquids, and solids.

## Voltage

Voltage is a measure of spontaneity of redox reactions, and it can be measured by a voltmeter. If the voltage of a reaction is positive, the reaction occurs spontaneously, but when negative, it does not occur spontaneously.

To compute the voltage of a redox equation, split the equation into its oxidation component and reduction component. Then, look up the voltages of each component on a [standard electrode potential table](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials). This table will list the voltage for the reduction equation. The oxidation reaction's voltage is negative of the corresponding reduction equation's voltage. To find the equation's voltage, add the standard voltages for each half reaction.

  


  


Aqueous Solutions

  


  


# Solubility

* * *

← [Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) ·[Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) →

[← Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Solutions →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Types of Solutions

A **solution** is a homogenous mixture, composed of solvent(s) and solute(s). A **solvent** is any substance which allows other substances to dissolve in it. Therefore, it is usually present in the greater amount. **Solutes** are substances present in a solution. Note that when a solute dissolves in a solvent, no chemical bonds form between the solvent and solute.

Solutions have variable composition, unlike pure compounds whose composition is fixed. For example, a 500 mL solution of lemonade can consist of 70% water, 20% lemon juice, and 10% sugar. There can also be a 500 mL solution of lemonade consisting of 60% water, 25% lemon juice, and 15% sugar.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The most common type of solution is an **aqueous** solution, which is a solution where water is the solvent. Aqueous solutions are quite important. For example, acids and bases exist typically as aqueous solutions.

When two liquids can be readily combined in any proportions, they are said to be **miscible**. An example would be alcohol and water. Either of the two can totally dissolve each other in any proportion. Two liquids are defined as **immiscible** if they will not form a solution, such as oil and water. Solid solutes in a metallic solvent are known as **alloys**. Gold is an example of an alloy. It is too soft in its pure form, so other metals are dissolved in it. Jewelers may use 14-karat gold, which contains two-thirds gold and one-third other metals.

## Variables Affecting Solubility

Factor Concept Example

_Surface area_
More surface area gives more opportunity for solute-solvent contact
Powdered sugar will dissolve in water faster than rock candy.

_Temperature_
Solids are more soluble in hot solvents, gases are more soluble in cold solvents
Sugar dissolves more readily in hot water, but CO2 dissolves better in cold soda than warm soda.

_Polarity_
Non-polar compounds dissolve in non-polar solvents, and polar compounds dissolve in polar solvents. If one liquid is polar, and the other isn't, they are immiscible.
Alcohol and water are both polar, and they are miscible. Oil is non-polar and is immiscible in water.

_Pressure_
Gases dissolve better under higher pressure, due to greater forces pushing the gas molecules into the solvent.
Leaving the cap off a soda bottle will let the carbonation out.

_Agitation_
If a solution is agitated by stirring or shaking, there is an increase in kinetic motion and contact of particles. Therefore, the rate of solubility increases.
Everyone knows to stir their coffee after adding sugar.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In general, the rate of solubility is dependent on the intermolecular forces between substances. The maxim **"like dissolves like"** will help you remember that substances must both be polar or non-polar to dissolve.

## Dissolving at the Molecular Level

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Na+H2O.svg/220px-Na+H2O.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A sodium ion in _solvation_ with water.

  1. The forces between the particles in the solid must be broken. This is an endothermic process called _dissociation_.
  2. Some of the intermolecular forces between the particles in the liquid must also be broken. This is endothermic.
  3. The particles of the solid and the particles in a liquid become attracted. This is an exothermic process called _solvation_.

### Example: Dissolving NaCl

When sodium chloride is added to water, it will dissolve. Water molecules are polar, and sodium chloride is ionic (which is very polar). The positive ends of the water molecules (the hydrogens) will be attracted to the negative chloride ions, and the negative ends of the water molecules (the oxygens) will be attracted to the positive sodium ions. The attractions are strong enough to separate sodium from chloride, so the solute _dissociates_, or breaks apart. The solute is then spread throughout the solvent. The polar water molecules prevent the ions from reattaching to each other, so the salt stays in solution.

## Important Concepts

### Saturation

  * When a solution can hold no more solute, it is said to be **saturated**. This occurs when there is an _equilibrium_ between the dissolved and undissolved solute.
  * If more solute can be added, the solution is **unsaturated**.
  * If a solution has more solute than is normally possible, due to the lowering or heightening of temperature, it is said to be **supersaturated**. If disturbed, the solution will rapidly form solid crystals.
  * **Solubility** is the measure of how many grams of solute can dissolve in 100 grams of solvent (or in the case of water, solute per 100 milliliters.)

### Hydration

Sometimes, compounds form crystals with a specific amount of water in them. For example, copper(II) sulfate is written as CuSO4 • 5H2O. For every mole of copper(II) sulfate, there are five moles of water attached. The atoms are arranged in a crystal lattice. Even if dried, the compound will still be hydrated. It will not feel moist, but there are water molecules within the crystal structure of the solid.

Intense heat will release the water from the compound. Its color may change, indicating a chemical change. When the **anhydrous** compound is dissolved in water, it will become hydrated again.

### Heats of Solution

Some chemicals change temperature when dissolved. This is due to a release or absorption of heat. The specific change is known as the **heat of solution**, measured in kJ/mol.

### Electrolytes

Some substances break up into ions and conduct electricity when dissolved. These are called **electrolytes**. All ionic compounds are electrolytes. Nonelectrolytes, on the other hand, do not conduct electricity when dissolved. Electrolytes are the reason that tap water conducts electricity. Tap water contains salts and other ions. If you have purified water, you will find that it does not conduct electricity at all. Upon dissolving some salt, it conducts electricity very well. The presence of ions allows electrons to move through the solution, and electricity will be conducted.

## Solubility Practice Questions

1\. In a mixture of 50 mL of benzene and 48 mL of octane,

    a) which substance is the solute?
    b) would these two substances form a solution?

2\. Solutions are formed as physical reactions. Using this principle, name two ways in which solutes can be separated from solvents.

3\. Three different clear, colourless liquids were gently heated in an evaporating dish. Liquid A left a white residue, liquid B left no residue, and liquid C left water. Identify each liquid solution as a pure substance or a solution.

4\. Compare three bottles of soda. Bottle A was stored at room temperature (25°C), bottle B was stored at 10°C, and bottle C was stored at 30°C.

    a) If you wanted a fizzy drink, which bottle would you choose?
    b) If you wanted to change the gas pressure of bottle C to that of bottle B, what could you do?

[Answers to Solubility Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Solubility/Answers)  


# Properties of Solutions

* * *

← [Solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) ·[Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) →

[← Solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties and Theories of Acids and Bases →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Concentration

The **concentration** of a solution is the measure of how much solute and solvent there is. A solution is _concentrated_ if it contains a large amount of solute, or _dilute_ if contains a small amount.

### Molarity

Molarity is the number of moles of solute per liter of solution. It is abbreviated with the symbol M, and is sometimes used as a unit of measurement, e.g. a 0.3 molar solution of HCl. In that example, there would be 3 moles of HCl for every 10 liters of water (or whatever the solvent was).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Molarity is by far the most commonly used measurement of concentration.

### Molality

Molality is the number of moles of solute per kilogram of solvent. It is abbreviated with the symbol m (lowercase), and is sometimes used as a unit of measurement, e.g. a 0.3 molal solution of HBr. In that example, there would be 3 moles of HBr for every 10 kilograms of water (or whatever the solvent was).

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

One kilogram of water is one liter of water (near room temperature), but the molality is _not_ the same as the molarity. The molarity is the ratio of solute to solution, whereas the molality is the ratio of solute to solvent.

### Mole Fraction

The mole fraction is simply the moles of solute per moles of solution. As an example, you dissolve one mole of NaCl into three moles of water. Remember that the NaCl will dissociate into its ions, so there are now five moles of particles: one mole Na+, one mole Cl-, and three moles water. The mole fraction of sodium is 0.2, the mole fraction of chloride is 0.2, and the mole fraction of water is 0.6.

The mole fraction is symbolized with the Greek letter ![\\chi](../../../upload.wikimedia.org/math/7/9/c/79c40dd2b43f3c03eaf88b5fc4c199b8.png) (chi), which is often written simply as an X.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The sum of all mole fractions for a solution must equal 1.

## Dilution

_Dilution_ is adding solvent to a solution to obtain a less concentrated solution. Perhaps you have used dilution when running a lemonade stand. To cut costs, you could take a half-full jug of rich, concentrated lemonade and fill it up with water. The resulting solution would have the same total amount of sugar and lemon juice, but double the total volume. Its flavor would be weaker due to the added water.

Chemists often keep highly concentrated solutions of useful chemicals. They can quickly obtain more dilute solutions of known concentration by this method.

The key concept is that the amount of solute is constant before and after the dilution process. The concentration is decreased (and volume increased) only by adding solvent.

![moles_1 = moles_2](../../../upload.wikimedia.org/math/7/2/5/7251ce6badba5574932faff970db7a68.png)
Thus, the number of moles of solute before and after dilution are equal.

![M \\times V = moles](../../../upload.wikimedia.org/math/a/8/1/a81fb7ff8137107a2eca4e536a223197.png)
By definition of molarity, you can find the moles of solvent.

![M_1 \\times V_1 = M_2 \\times V_2](../../../upload.wikimedia.org/math/8/b/2/8b2b61a2d95994a7c5708ee96a4e962c.png)
Substituting the second equation into the first gives the **dilution equation**.

To determine the amount of solvent (usually water) that must be added, you must know the initial volume and concentration, and the desired concentration. Solving for ![V_2](../../../upload.wikimedia.org/math/4/9/2/4925ee5356b4ace0e28f0324cf3a81de.png) in the above equation will give you the _total_ volume of the diluted solution. Subtracting the initial volume from the total volume will determine the amount of pure solvent that must be added.

## Ionic Solutes

When ionic compounds dissolve in water, they separate into ions. This process is called **dissociation**. Note that because of dissociation, there are more moles of particles in the solution containing ions than there would be with the solute and solvent separated.

If you have two glasses of water, and you dissolve salt into one and sugar into the other, there will be a big difference in concentration. The salt will dissociate into its ions, but sugar (a molecule) will not dissociate. If the salt were NaCl, the concentration would be double that of the sugar. If the salt were MgCl2, the concentration would be triple (there are three ions).

### Solubility Rules

Not all ionic compounds are soluble. Some ionic compounds have so much attractive force between their anions and cations that they will not dissociate. These substances are _insoluble_ and will not dissolve. Instead, they clump together as a solid in the bottom of solution. Many ionic compounds, however, will dissociate in water and dissolve. In these cases, the attractive force between ion and water is greater than that between cation and anion. There are several rules to help you determine which compounds will dissolve and which will not.

Solubility Rules

  1. All compounds with Group 1 ions or ammonium ions are soluble.
  2. Nitrates, acetates, and chlorates are soluble.
  3. Compounds containing a halogen are soluble, except those with fluorine, silver, or mercury. If they have lead, they are soluble only in hot water.
  4. Sulfates are soluble, except when combined with silver, lead, calcium, barium, or strontium.
  5. Carbonates, sulfides, oxides, silicates, and phosphates are insoluble, except for rule #1.
  6. Hydroxides are insoluble except when combined with calcium, barium, strontium, or rule #1.

Sometimes, when two different ionic compounds are dissolved, they react, forming a **precipitate** that is insoluble. Predicting these reactions requires knowledge of the [activity series](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) and solubility rules. These reactions can be written with all ions, or without the **spectator ions** (the ion that don't react, present on both sides of the reaction), a format known as the **net ionic equation**.

For example, silver nitrate is soluble, but silver chloride is not soluble (see the above rules). Mixing silver nitrate into sodium chloride would cause a cloudy white precipitate to form. This happens because of a [double replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reactions).

## Electrolytes

When solutes dissociate (or if a molecule _ionizes_), the solution can conduct electricity. Compounds that readily form ions, thus being good conductors, are known as **strong electrolytes**. If only a small amount of ions are formed, electricity is poorly conducted, meaning the compound is a **weak electrolyte**.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

A _strong electrolyte_ will dissolve completely. All ions dissociate. A _weak electrolyte_, on the other hand, will partially dissociate, but some ions will remain bonded together.

## Colligative Properties

Some properties are the same for all solute particles regardless of what kind. These are known as the **colligative properties**. These properties apply to **ideal solutions**, so in reality, the properties may not be exactly as calculated. In an ideal solution, there are no forces acting between the solute particles, which is generally not the case.

### Vapor Pressure

All liquids have a tendency for their surface molecules to escape and evaporate, even if the liquid is not at its boiling point. This is because the average energy of the molecules is too small for evaporation, but some molecules could gain above average energy and escape. **Vapor pressure** is the measure of the pressure of the evaporated vapor, and it depends on the temperature of the solution and the quantities of solute. More solute will decrease vapor pressure.

![P_{solution} = P_{pure~solvent} \\times \\chi_{solvent}](../../../upload.wikimedia.org/math/2/7/9/27905ae5913ccaddced319bdb4ea69ac.png)
The vapor pressure is given by **Rauolt's Law**, where ![\\chi](../../../upload.wikimedia.org/math/7/9/c/79c40dd2b43f3c03eaf88b5fc4c199b8.png) is the mole fraction of the solvent. Notice that the vapor pressure equals that of the pure solvent when there is no solute (![\\chi = 1](../../../upload.wikimedia.org/math/f/e/b/febd03282d7428d7acd800318c428bbe.png)). If ![\\chi = 0](../../../upload.wikimedia.org/math/1/3/f/13f65cf477f6c6d011da37590c715240.png), there would be no vapor pressure at all. This could only happen if there were no solvent, only solute. A solid solute has no vapor pressure.

![P_{solution} = P_{1} \\times \\chi_{1} + P_{2} \\times \\chi_{2}](../../../upload.wikimedia.org/math/a/4/5/a4526f6aba85813415b4f09768b2a12c.png)
If two **volatile** substances (both have vapor pressures) are in solution, Rauolt's Law is still used. In this case, Rauolt's Law is essentially a linear combination of the vapor pressures of the substances. Two liquids in solution both have vapor pressures, so this equation must be used.

The second equation shows the relationship between the solvents. If two liquids were mixed exactly half-and-half, the vapor pressure of the resulting solution would be exactly halfway between the vapor pressures of the two solvents.

Another relation in **Henry's Law**, which shows the relationship between gas and pressure. It is given by Cg = k Pg , where C is concentration and P is pressure. As the pressure goes up, the concentration of gas in solution must also increase. This is why soda cans release gas when they are opened - The decrease in pressure results in a decrease in concentration of CO2 in the soda.

Exercise for the reader

At 50 °C the vapor pressure of water is 11 kPa and the vapor pressure of ethanol is 30 kPa. Determine the resulting vapor pressure if a solution contains 75% water and 25% ethanol (by moles, not mass).

### Boiling Point Elevation

A liquid reaches its boiling point when its vapor pressure is equal to the atmosphere around it. Because the presence of solute lowers the vapor pressure, the boiling point is raised. The boiling point increase is given by:

![\\Delta T_{solution} = K_b \\times m_{solute}](../../../upload.wikimedia.org/math/3/2/8/3281cf94a50e65ccb932de7986e2c487.png)

The reduced vapor pressure increases the boiling point of the liquid only if the solute itself is **non-volatile**, meaning it doesn't have a tendency to evaporate. For every mole of non-volatile solute per kilogram of solvent, the boiling point increases by a constant amount, known as the **molal boiling-point constant** (![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png)). Because this is a colligative property, ![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png) is not affected by the kind of solute.

### Freezing Point Depression

This explains why roads are salted in the winter.

A liquid reaches its freezing temperature when its vapor pressure is equal to that of its solid form. Because the presence of the solute lowers the vapor pressure, the freezing point is lowered. The freezing point depression is given by:

![\\Delta T_{solution} = K_f \\times m_{solute}](../../../upload.wikimedia.org/math/8/5/7/85784596391e0b46edb4f0a472dcaa74.png)

Again, this equation works only for non-volatile solutes. The temperature of the freezing point decreases by a constant amount for every one mole of solute added per kilogram solvent. This constant (![K_f](../../../upload.wikimedia.org/math/2/c/6/2c66b431fc43db01228704bde2876127.png)) is known as the **molar freezing-point constant**.

### Osmosis

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b3/Pressione_osmotica.jpg/220px-Pressione_osmotica.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Osmosis results from the tendency for concentration to distribute itself evenly.

If you studied biology, you would know that **osmosis** is the movement of water through a membrane. If two solutions of different molarity are placed on opposite sides of a _semipermiable membrane_, then water will travel through the membrane to the side with higher molarity. This happens because the water molecules are "attached" to the solvent molecules, so they cannot travel through the membrane. As a result, the water on the side with lower molarity can more easily travel through the membrane than the water on the other side.

The pressure of this osmosis is given in the equation

    ![\\pi = MRT](../../../upload.wikimedia.org/math/c/d/5/cd5ca7de229efeb0b6ce25358e31b6c7.png)

Where pi is the pressure, M is molarity, R is the gas constant, and T is temperature in Kelvin.

### Electrolytes and Colligative Properties

When one mole of table salt is added to water, the colligative effects are _double_ those that would have occurred if sugar were added instead. This is because the salt dissociates, forming twice as many particles as sugar would. This dissociation, called the **Van't Hoff Factor** describes how many particles that are dissociated into the solution and must be multiplied into the Boiling Point Elevation or Vapor Pressure Lowering equations.

![1~mol~\\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_{2\(s\)} \\to 1~mol~\\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_{2\(aq\)}](../../../upload.wikimedia.org/math/1/5/2/152d7bf9acc201c91b73b9bf6551c516.png)
Sugar is a covalent molecule. No dissociation occurs when dissolved.

![1~mol~\\hbox{NaCl}_{\(s\)} \\to 1~mol~\\hbox{Na}^+_{\(aq\)} + 1~mol~\\hbox{Cl}^-_{\(aq\)} = 2~mol~particles](../../../upload.wikimedia.org/math/d/9/e/d9eb4073cb3e44d0927fd10680fb22ae.png)
Table salt is an ionic compound and a strong electrolyte. Total dissociation occurs when dissolved, doubling the effects of colligative properties.

![1~mol~\\hbox{MgBr}_{2\(s\)} \\to 1~mol~\\hbox{Mg}^{2+}_{\(aq\)} + 2~mol~\\hbox{Br}^-_{\(aq\)} = 3~mol~particles](../../../upload.wikimedia.org/math/7/6/9/7697b6859ca70a488d33defc510cd5d3.png)
Magnesium bromide is also ionic. The colligative effects will be tripled.

Though extremely useful for calculating the general Van't Hoff Factor, this system of calculation is slightly inaccurate when considering ions. This is because when ions are in solution, they may interact and clump together, lessing the effect of the Van't Hoff factor. In addition, more strongly charged ions may have a smaller effect. For example, CaO would be less effective as an electrolyte than NaCl.

  


# Acids and Bases

* * *

← [Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) ·[Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) →

[← Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Titration and pH →](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Acid-Base Reaction Theories

Acids and bases are everywhere. Some foods contain acid, like the citric acid in lemons and the lactic acid in dairy. Cleaning products like bleach and ammonia are bases. Chemicals that are acidic or basic are an important part of chemistry.

Helpful Hint!

You may need to refresh your memory on [naming acids](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances#Naming_acids).

Several different theories explain what composes an **acid** and a **base**. The first scientific definition of an acid was proposed by the French chemist Antoine Lavoisier in the eighteenth century. He proposed that acids contained oxygen, although he did not know the dual composition of acids such as hydrochloric acid (HCl). Over the years, much more accurate definitions of acids and bases have been created.

### Arrhenius Theory

The Swedish chemist Svante Arrhenius published his theory of acids and bases in 1887. It can be simply explained by these two points:

Arrhenius Acids and Bases

  1. An acid is a substance which dissociates in water to produce one or more hydrogen ions (H+).
  2. A base is a substance which dissociates in water to produce one or more hydroxide ions (OH-).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Arrhenius2.jpg/220px-Arrhenius2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Svante Arrhenius

Based on this definition, you can see that Arrhenius acids must be soluble in water. Arrhenius acid-base reactions can be summarized with three generic equations:

![\\hbox{HA} \\to \\hbox{H}^+ + \\hbox{A}^-](../../../upload.wikimedia.org/math/c/2/0/c20164e0d22c4231579d55ac5e31a9a6.png)
An acid will dissociate in water producing hydrogen ions.

![\\hbox{MOH} \\to \\hbox{M}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/7/d/d/7dd0a84272cadd1f4d4a66cf7239f2ed.png)
A base (usually containing a metal) will dissociate in water to product hydroxide ions.

![\\hbox{HA}_{\(aq\)} + \\hbox{MOH}_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{MA}_{\(aq\)}](../../../upload.wikimedia.org/math/d/e/0/de0f912c03f7453d39d1d1dc5c49eb90.png)
Acids and bases will neutralize each other when mixed. They produce water and an ionic salt, neither of which are acidic or basic.

The Arrhenius theory is simple and useful. It explains many properties and reactions of acids and bases. For instance, mixing hydrochloric acid (HCl) with sodium hydroxide (NaOH) results in a neutral solution containing table salt (NaCl).

However, the Arrhenius theory is not without flaws. There are many well known bases, such as ammonia (NH3) that do not contain the hydroxide ion. Furthermore, acid-base reactions are observed in solutions that do not contain water. To resolve these problems, there is a more advanced acid-base theory.

### Brønsted-Lowry Theory

The Brønsted-Lowry theory was proposed in 1923. It is more general than the Arrhenius theory—all Arrhenius acids/bases are also Brønsted-Lowry acids/bases (but not necessarily vice versa).

Brønsted-Lowry Acids and Bases

  1. An acid is a substance from which a proton (H+ ion) can be removed. Essentially, an acid _donates_ protons to bases.
  2. A base is a substance to which a proton (H+) can be added. Essentially, a base _accepts_ protons from acids.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Acid–base reaction**_](http://en.wikipedia.org/wiki/Acid%E2%80%93base_reaction)

Acids that can donate only one proton are **monoprotic**, and acids that can donate more than one proton are **polyprotic**.

These reactions demonstrate the behavior of Brønsted-Lowry acids and bases:

![\\hbox{HCl} + \\hbox{H}_2\\hbox{O} \\to \\hbox{Cl}^- + \\hbox{H}_3\\hbox{O}^+](../../../upload.wikimedia.org/math/3/8/d/38d1088328ab661d3194d483a5fa3e28.png)
An acid (in this case, hydrochloric acid) will donate a proton to a base (in this case, water is the base). The acid loses its proton and the base gains it.

![\\hbox{HCl} + \\hbox{N}\\hbox{H}_3 \\to \\hbox{Cl}^- + \\hbox{N}\\hbox{H}_4^+](../../../upload.wikimedia.org/math/d/3/2/d3243b7226eca96767d4860749947c09.png)
Water is not necessary. In this case, hydrochloric acid is still the acid, but ammonia acts as the base.

![\\hbox{Cl}^- + \\hbox{N}\\hbox{H}_4^+ \\to \\hbox{HCl} + \\hbox{N}\\hbox{H}_3](../../../upload.wikimedia.org/math/6/b/8/6b8d426311a403f0571936e1534254bc.png)
The same reaction is happening, but now in reverse. What was once an acid is now a base (HCl → Cl-) and what was once a base is now an acid (NH3 → NH4+). This concept is called _conjugates_, and it will be explained in more detail later.

![\\hbox{HCl} + \\hbox{NaOH} \\to \\hbox{NaCl} + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/6/f/d/6fd4833af7d0880973e3a07c8c65f1c8.png)  


![\\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^- \\to 2 \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/3/8/3383b558285ae9257f61703f4f8c487a.png)

Two examples of acids (HCl and H3O+) mixing with bases (NaOH and OH-) to form neutral substances (NaCl and H2O).

![\\hbox{NaOH} + \\hbox{N}\\hbox{H}_3 \\to \\hbox{Na}^+ + \\hbox{H}_2\\hbox{O} + \\hbox{N}\\hbox{H}_2^-](../../../upload.wikimedia.org/math/9/9/b/99b9897d91b022d46e9f03567951622a.png)
A base (sodium hydroxide) will accept a proton from an acid (ammonia). A neutral substance is produced (water), which is not necessarily a part of every reaction. Compare this reaction to the second one. Ammonia was a base, and now it is an acid. This concept, called _amphoterism_, is explained later.

The Brønsted-Lowry theory is by far the most useful and commonly-used definition. For the remainder of General Chemistry, you can assume that any acids/bases use the Brønsted-Lowry definition, unless stated otherwise.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Acetic-acid-dissociation-3D-balls.png/220px-Acetic-acid-dissociation-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This Brønsted-Lowry acid donates a proton (in green) to water (the base).

### Lewis Theory

The Lewis definition is the most general theory, having no requirements for solubility or protons.

Lewis Acids and Bases

  1. An acid is a substance that accepts a lone pair of electrons.
  2. A base is a substance that donates a lone pair electrons.

Lewis acids and bases react to create an **adduct**, a compound in which the acid and base have bonded by sharing the electron pair. Lewis acid/base reactions are different from redox reactions because there is no change in oxidation state.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/85/Coordinate_Covalent_Bonding.svg/220px-Coordinate_Covalent_Bonding.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This reaction shows a Lewis base (NH3) donating an electron pair to a Lewis acid (H+) to form an adduct (NH4+).

## Amphoterism and Water

Substances capable of acting as either an acid or a base are **amphoteric**. Water is the most important amphoteric substance. It can ionize into hydroxide (OH-, a base) or hydronium (H3O+, an acid). By doing so, water is

  1. Increasing the H+ or OH- concentration (Arrhenius),
  2. Donating or accepting a proton (Brønsted-Lowry), and
  3. Accepting or donating an electron pair (Lewis).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

 ;Important A bare proton (H+ ion) cannot exist in water. It will form a hydrogen bond to the nearest water molecule, creating the **hydronium ion** (H3O+). Although many equations and definitions may refer to the "concentration of H+ ions", that is a misleading abbreviation. Technically, there are no H+ ions, only hydronium (H3O+) ions. Fortunately, the number of hydronium ions formed is exactly equal to the number of hydrogen ions, so the two can be used interchangeably.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Hydronium-3D-balls.png/220px-Hydronium-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

H+ ions actually exist as hydronium, H3O+.

Water will dissociate very slightly (which further explains its amphoteric properties).

![\\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/7/0/c/70c6697a49c8cd28af18976eebab3699.png)
The presence of hydrogen ions indicates an acid, whereas the presence of hydroxide ions indicates a base. Being neutral, water dissociates into both equally.

![2 \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/2/5/3/25311e9753bdcc0d973b38185d6d4d4b.png)
This equation is more accurate—hydrogen ions do not exist in water because they bond to form hydronium.

### Ammonia

Another common example of an amphoteric substance is ammonia. Ammonia is normally a base, but in some reactions it can act like an acid.

![\\hbox{NH}_3 + \\hbox{HCl} \\to \\hbox{NH}_4^+ + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/1/c/6/1c6ab85c55445ba80ee0f313cb799583.png)
Ammonia acts as a base. It accepts a proton to form _ammonium_.

![\\hbox{Li}_3\\hbox{N} + 2 \\hbox{NH}_3 \\to 3\\hbox{Li}^+ + 3\\hbox{NH}_2^-](../../../upload.wikimedia.org/math/c/8/7/c870b78f8f5cac079a7d60f62d6b6f84.png)
Ammonia also acts as an acid. Here, it donates a proton to form _amide_.

Ammonia's amphoteric properties are not often seen because ammonia typically acts like a base. Water, on the other hand, is completely neutral, so its acid and base behaviors are both observed commonly.

## Conjugate Acids and Bases

In all the theories, the products of an acid-base reaction are related to the initial reactants of the reaction. For example, in the Brønsted-Lowry theory, this relationship is the difference of a proton between a reactant and product. Two substances which exhibit this relationship form a **conjugate acid-base pair**.

Brønsted-Lowry Conjugate Pairs

  * An acid that has donated its proton becomes a _conjugate base_.
  * A base that has accepted a proton becomes a _conjugate acid_.

![{\\color{Red}\\mathcal{HI}_{\(aq\)}} + {\\color{Blue}\\mathbf{H}_2\\mathbf{O}_{\(l\)}} \\to {\\color{Blue}\\mathcal{I}^-_{\(aq\)}} + {\\color{Red}\\mathbf{H}_3\\mathbf{O}^+_{\(aq\)}}](../../../upload.wikimedia.org/math/d/0/c/d0c145742bf974586058a9bc43094761.png)
Hydroiodic acid reacts with water (which serves as a base). The conjugate base is the iodide ion and the conjugate acid is the hydronium ion. The acids are written in red, and the bases are written in blue. One conjugate pair is written bold and the other conjugate pair is in cursive.

![{\\color{Blue}\\mathcal{NH}_{3\(aq\)}} + {\\color{Red}\\mathbf{H}_2\\mathbf{O}_{\(l\)}} \\to {\\color{Red}\\mathcal{NH}^+_{4\(aq\)}} + {\\color{Blue}\\mathbf{OH}^-_{\(aq\)}}](../../../upload.wikimedia.org/math/1/7/a/17ad3fa1f0eeac1d08abb5b5d075c94d.png)
Ammonia (basic) reacts with water (the acid). The conjugate acid is ammonium and the conjugate base is hydroxide. Again, acids are written in red, and the bases are written in blue. The conjugate pairs are distinguished with matching fonts.

## Strong and Weak Acids/Bases

A **strong acid** is an acid which dissociates completely in water. That is, _all_ the acid molecules break up into ions and solvate (attach) to water molecules. Therefore, the concentration of hydronium ions in a strong acid solution is equal to the concentration of the acid.

The majority of acids exist as **weak acids**, an acid which dissociates only partially. On average, only about 1% of a weak acid solution dissociates in water in a 0.1 mol/L solution. Therefore, the concentration of hydronium ions in a weak acid solution is always less than the concentration of the dissolved acid.

**Strong bases** and **weak bases** do not require additional explanation; the concept is the same.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The conjugate of a strong acid/base is very weak. The conjugate of a weak acid/base is not necessarily strong.

This explains why, in all of the above example reactions, the reverse chemical reaction does not occur. The stronger acid/base will prevail, and the weaker one will not contribute to the overall acidity/basicity. For example, hydrochloric acid is strong, and upon dissociation chloride ions are formed. Chloride ions are a weak base, but the solution is not basic because the acidity of HCl is overwhelmingly stronger than basicity of Cl-.

Helpful Hint!

Although the other halogens make strong acids, **hydrofluoric acid** (HF) is a weak acid. Despite being weak, it is incredibly corrosive—hydrofluoric acid dissolves glass and metal!

Most acids and bases are weak. You should be familiar with the most common strong acids and assume that any other acids are weak.

Formula Strong Acid

HClO4
Perchloric acid

HNO3
Nitric acid

H2SO4
Sulfuric acid

HCl, HBr, HI
Hydrohalic acids

Within a series of _oxyacids_, the ions with the greatest number of oxygen molecules are the strongest. For example, nitric acid (HNO**3**) is strong, but nitrous acid (HNO**2**) is weak. Perchloric acid (HClO4) is stronger than chloric acid (HClO3), which is stronger than the weak chlorous acid (HClO2). Hypochlorous acid (HClO) is the weakest of the four.

Common strong bases are the hydroxides of Group 1 and most Group 2 metals. For example, potassium hydroxide and calcium hydroxide are some of the strongest bases. You can assume that any other bases (including ammonia and ammonium hydroxide) are weak.

Formula Strong Base

LiOH
Lithium hydroxide

NaOH
Sodium hydroxide

KOH
Potassium hydroxide

RbOH
Rubidium hydroxide

CsOH
Cesium hydroxide

Ca(OH)2
Calcium hydroxide

Sr(OH)2
Strontium hydroxide

Ba(OH)2
Barium hydroxide

[[1]](Print_version.html#endnote_Brown_2009)

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Acids and bases that are strong are not necessarily concentrated, and weak acids/bases are not necessarily dilute. Concentration has nothing to do with the ability of a substance to dissociate. Furthermore, _polyprotic_ acids are not necessarily stronger than _monoprotic_ acids.

## Properties of Acids and Bases

Now that you are aware of the acid-base theories, you can learn about the physical and chemical properties of acids and bases. Acids and bases have very different properties, allowing them to be distinguished by observation.

### Indicators

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Bromothymol_blue_colors.jpg/220px-Bromothymol_blue_colors.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Bromothymol blue** is an indicator that turns blue in a base, or yellow in acid.

Made with special chemical compounds that react slightly with an acid or base, **indicators** will change color in the presence of an acid or base. A common indicator is **litmus paper**. Litmus paper turns red in acidic conditions and blue in basic conditions. **Phenolphthalein purple** is colorless in acidic and neutral solutions, but it turns purple once the solution becomes basic. It is useful when attempting to neutralize an acidic solution; once the indicator turns purple, enough base has been added.

### Conductivity

A less informative method is to test for conductivity. Acids and bases in aqueous solutions will conduct electricity because they contain dissolved ions. Therefore, acids and bases are _electrolytes_. Strong acids and bases will be strong electrolytes. Weak acids and bases will be weak electrolytes. This affects the amount of conductivity.

However, acids will react with metal, so testing conductivity may not be plausible.

### Physical properties

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

The following is for informative purposes only. **Do not sniff, touch, or taste any acids or bases** as they may result in injury or death.

The physical properties of acids and bases are opposites.

Acids Bases

Taste
sour
bitter

Feel
stinging
slippery

Odor
sharp
odorless

These properties are very general; they may not be true for every single acid or base.

Another warning: if an acid or base is spilled, it must be cleaned up immediately and properly (according to the procedures of the lab you are working in). If, for example, sodium hydroxide is spilled, the water will begin to evaporate. Sodium hydroxide does not evaporate, so the concentration of the base steadily increases until it becomes damaging to its surrounding surfaces.

### Chemical Reactions

#### Neutralization

Acids will react with bases to form a salt and water. This is a **neutralization** reaction. The products of a neutralization reaction are much less acidic or basic than the reactants were. For example, sodium hydroxide (a base) is added to hydrochloric acid.

![\\hbox{NaOH}_{\(aq\)} + \\hbox{HCl}_{\(aq\)} \\to \\hbox{NaCl}_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/d/d/2/dd22d1516fe89e4366dad9937017367e.png)

This is a [double replacement](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reaction) reaction.

#### Acids

![2 \\hbox{HCl}_{\(aq\)} + \\hbox{Zn}_{\(s\)} \\to \\hbox{ZnCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/b/b/2/bb28884592aaf638d19cd966155c5a6e.png)
Acids react with metal to produce a metal salt and hydrogen gas bubbles.

![\\hbox{H}_2\\hbox{SO}_{4\(aq\)} + \\hbox{CaCO}_{3\(s\)} \\to \\hbox{CaSO}_{4\(s\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{CO}_{2\(g\)}](../../../upload.wikimedia.org/math/e/7/9/e7979733ad2ce273be03718a299d7381.png)
Acids react with metal carbonates to produce water, CO2 gas bubbles, and a salt.

![2 \\hbox{HNO}_{3\(aq\)} + \\hbox{Na}_2\\hbox{O}_{\(s\)} \\to 2 \\hbox{NaNO}_{3\(aq\)} + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/e/d/e/edef021b14d820be8823714645f05f9e.png)
Acids react with metal oxides to produce water and a salt.

#### Bases

Bases are typically less reactive and violent than acids. They do still undergo many chemical reactions, especially with organic compounds. A common reactions is _saponificiation_: the reaction of a base with fat or oil to create soap.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Saponification.png/250px-Saponification.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Saponification converts an "ester" into an "alcohol" and salt. This is an [organic reaction](http://en.wikibooks.org/wiki/Organic_Chemistry) outside the scope of General Chemistry.

## Practice Questions

1\. Name the following compounds that will form, and identify as an acid or base:

    a) Br + H
    b) 2H + SO3
    c) K + H
    d) 2H + SO6
    e) 3He + P2
    f) H + BrO100
    g) N + C

  


  
2.justify your answer with equation that sodium acetate gives basic solution while ammonium chloride an acidic solution with water.

  
3\. In a conductivity test, 5 different solutions were set up with light bulbs. The following observations were recorded:

    

    Solution A glowed brightly.
    Solution B glowed dimly.
    Solution C glowed dimly.
    Solution D did not glow.
    Solution E glowed brightly.

    a) Which solution(s) could contain strong bases?
    b) Which solution(s) could contain weak acids?
    c) Which solution(s) could contain ions?
    d) Which solution(s) could contain pure water?
    e) Based solely on these observations, would it be possible to distinguish between acidic and basic solutions?

  
4\. Identity the conjugate base and conjugate acid in these following equations:

    a) HCl + H2O → H3O+ \+ Cl-
    b) HClO + H2O → ClO- \+ H3O+
    c) CH3CH2NH2 \+ H2O → CH3CH2NH3+ \+ OH-

  
5\. Identify these bases as Arrhenius, Brønsted-Lowry, or both.

    a) strontium hydroxide
    b) [butyllithium](http://en.wikipedia.org/wiki/butyllithium) (C4H9Li)
    c) ammonia
    d) potassium hydroxide
    e) potassium iodide

  
6\. Based on the Brønsted-Lowry Theory of Acids and Bases, would you expect pure water to have no dissolved ions whatsoever? Explain, using a balanced chemical equation.

Answers:
    
    
        1. 
        2.
        3.
        4.
        5.
        6.
    

# Notes

  1. **[^](Print_version.html#ref_Brown_2009)** Brown, Theodore E.; Lemay, H. Eugene; Bursten, Bruce E.; Murphy, Catherine; Woodward, Patrick (2009), Chemistry: The Central Science (11th ed.), New York: Prentice-Hall, [ISBN 0136006175](http://en.wikibooks.org/wiki/Special:BookSources/0136006175).

[Answers to Properties of Acids and Bases Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases/Answers)  


# Titration and pH

* * *

← [Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) ·[Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) →

[← Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Buffer Systems →](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Ionization of Water

Water is a very weak electrolyte. It will dissociate into hydroxide and hydronium ions, although only in a very small amount. Because pure water is completely neutral, it always dissociates in equal amounts of both hydroxide and hydronium. Once acidic or basic substances have been added to pure water, the concentration of the ions will change. Regardless of which acid-base theory is used, acids and bases all have one important thing in common:

  * All acids increase the H+ concentration of water.
  * All bases increase the OH- concentration of water.

Furthermore, the concentration of hydrogen ions multiplied by the concentration of hydroxide ions is a constant. This constant is known as the _ionization constant of water_, or **Kw**. At room temperature it equals 10-14 mol2/L2. Thus:

![K_w = \[\\hbox{H}^+\] \\times \[\\hbox{OH}^-\] = 1.00 \\times 10^{-14} mol^{2}/L^{2}](../../../upload.wikimedia.org/math/b/b/c/bbc8a90d9d8015d718d6e0aa9126116e.png)

In a neutral solution, the concentrations of H+ and OH- are both equal to 10-7. Using the above equation, the concentration of one ion can be determined if the concentration of the other ion is known. This equation further demonstrates the relationship between acids and bases: as the acidity (H+) increases, the basicity (OH-) must decrease.

## The pH Scale

To measure the acidity or basicity of a substance, the pH scale is employed.

The pH Scale

  * A completely neutral substance has a pH of 7.
  * Acids have a pH below 7
  * Bases have a pH above 7.

pH usually ranges between 0 and 14, but it can be any value. Battery acid, for example, has a negative pH because it is so acidic.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/PH_scale.png/300px-PH_scale.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Various pH values.

### Definition of pH

The pH scale is mathematically defined as:

![pH = -\\log{\[\\hbox{H}^+\]}](../../../upload.wikimedia.org/math/d/7/c/d7c21b51b85274047c8db99bb4710069.png)

Substances that release protons or increase the concentration of hydrogen ions (or hydronium ions) will lower the pH value.

### pOH

There is also a less common scale, the pOH scale. It is defined as:

![pOH = -\\log{\[\\hbox{OH}^-\]}](../../../upload.wikimedia.org/math/9/5/f/95fc4d3f58a63342c9224b5586c86ff8.png)

Substances that absorb protons or increase the concentration of hydroxide ions will lower the pOH value.

The sum of pH and pOH is always 14 at room temperature:

![pH + pOH = 14](../../../upload.wikimedia.org/math/3/8/f/38f7956059fe0adb807d97fabecdd75d.png)

### Calculating pH

A strong acid or strong base will completely dissociate in water, so the concentration of the acid/base is equal to the concentration of H+ or OH-. If you know the concentration of the acid or base, then you can simply plug that number into the pH or pOH formula. The sum of pH and pOH will always equal 14 at room temperature, so you can interconvert these two values.

If you know the H+ concentration and need to know the OH- concentration (or vice versa), use the definition of Kw above. The product of the two ion concentrations will always equal 10-14 at room temperature.

## Titration

_Titration_ is the controlled mixing of a solution with known concentration (the **standard solution**) to another solution to determine its concentration. One solution is acidic and the other is basic. An _indicator_ is added to the mixture. An indicator must be selected so that it changes color when equal amounts of acid and base have been added. This is known as the **equivalence point**. This does not necessarily mean that the pH is 7.0.

Polyprotic acids have multiple equivalence points.

Once the equivalence point has been reached, the unknown concentration can be determined mathematically.

## Practice Questions

1) 5.00g of NaOH are dissolved to make 1.00L of solution.

    a What is the concentration of H+?
    b What is the pH?

[Answers for Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH/Answers)  


# Buffer Systems

* * *

← [Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) ·[Reactions of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases) →

[← Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reactions of Acids and Bases →](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

Buffer systems are systems in which there is a significant (and nearly equivalent) amount of a weak acid and its conjugate base—or a weak base and its conjugate acid—present in solution. This coupling provides a resistance to change in the solution's pH. When strong acid is added, it is neutralized by the conjugate base. When strong base is added, it is neutralized by the weak acid. However, too much acid or base will exceed the buffer's _capacity_, resulting in significant pH changes.

![\\hbox{HA} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{A}^- ](../../../upload.wikimedia.org/math/4/c/6/4c6c53b02bf89d8cb6eb9965ffccea27.png)
Consider an arbitrary weak acid, HA, and its conjugate base, A-, in equilibrium.

![\\hbox{A}^- + \\hbox{H}^+ \\rightarrow \\hbox{HA}](../../../upload.wikimedia.org/math/1/f/7/1f715884c62eeecabf90c0372b88b7f5.png)
The addition of a strong acid will cause only a slight change in pH due to neutralization.

![\\hbox{HA} + \\hbox{OH}^- \\rightarrow \\hbox{H}_2\\hbox{O} + \\hbox{A}^-](../../../upload.wikimedia.org/math/5/c/5/5c5c606adc1cebbcef308c59b165bd06.png)
Likewise, the addition of a strong base will cause only a slight change in pH.

Buffers are useful when a solution must maintain a specific pH. For example, blood is a buffer system because the life processes in a human only function within a specific pH range of 7.35 to 7.45. When, for example, lactic acid is released by the muscles during exercise, buffers within the blood neutralize it to maintain a healthy pH.

## Making a Buffer

Once again, let's consider an arbitrary weak acid, HA, which is present in a solution. If we introduce a salt of the acid's conjugate base, say NaA (which will provide the A- ion), we now have a buffer solution. Ideally, the buffer would contain equal amounts of the weak acid and conjugate base.

Instead of adding NaA, what if a strong base were added, such as NaOH? In that case, the hydroxide ions would neutralize the weak acid and create water and A- ions. If the solution contained only A- ions, then a strong acid like HCl were added, they would neutralize and create HA.

As you can see, there are three ways to create a buffer:

**Buffers**

  * 1 HA + 1 A-
  * 1 HA + ½ OH-
  * 1 A- \+ ½ H+

  * 1 B + 1 HB+
  * 1 B + ½ H+
  * 1 HB+ \+ ½ OH-

All six of the combinations will create equal amounts of a weak acid and its conjugate base, or a weak base and its conjugate acid.

## Buffers and pH

To determine the pH of a buffer system, you must know the acid's **dissociation constant**. This value, ![K_a](../../../upload.wikimedia.org/math/c/b/1/cb108e5afcbac4112ebe9a4f4f6cc9d4.png) (or ![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png) for a base) determines the strength of an acid (or base). It is explored more thoroughly in the [Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) unit, but for now it suffices to say that this value is simply a measure of strength for acids and bases. The dissociation constants for acids and bases are determined experimentally.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The pKa of an acid is the negative logarithm of its acid dissociation constant. This is analogous to pH (the negative logarithm of the H+ concentration).

The **Henderson-Hasselbalch equation** allows the calculation of a buffer's pH. It is:

![\\hbox{pH} = \\hbox{pK}_a + \\log \\frac{\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/8/3/6/8361b38edbe0f80981f021501db87f59.png)

For a buffer created from a base, the equation is:

![\\hbox{pH} = \\hbox{pK}_b + \\log \\frac{\[\\hbox{B}\]}{\[\\hbox{HB}^+\]}](../../../upload.wikimedia.org/math/0/c/d/0cd316405b6de6065eba7658a1db3a46.png)

Using these equations requires determining the ratio of base to acid in the solution.  


# Reactions of Acids and Bases

* * *

← [Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) ·[Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) →

[← Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Phases of Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Overview

To summarize the properties and behaviors of acids and bases, this chapter lists and explains the various chemical reactions that they undergo. You may wish to review [chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) and [types of reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) before attempting this chapter.

The following reactions are **net ionic equations**. In other words, _spectator ions_ are not written. If an ion does not partake in the reaction, it is simply excluded. The spectator ions can be found because they occur on both the reactant and the product side of the equation. Cross them out and rewrite the equation without them. Of course, the coefficients must be equal.

Canceling out the spectator ions explains the _net_ of net ionic equations. The _ionic_ part means that dissolved compounds are written as ions instead of compounds. Acids, bases, and salts are all ionic, so they are written as separate ions if they have dissociated.

Net Ionic Equations

  * Soluble salts are written as ions.

    

    e.g.: Na+ \+ Cl-

  * Solids, liquids, and gases are written as compounds.

    

    e.g.: NaCl(s), H2O(l), HCl(g)

  * Strong acids and strong bases are written as ions (because they dissociate almost completely).

    

    e.g.: H+ \+ NO3-

  * Weak acids and weak bases are written as compounds (because they barely dissociate).

    

    e.g.: HNO2

As an example, sodium bicarbonate (NaHCO3) would be written as Na+ and HCO3- because the salt will dissociate, but the bicarbonate will not dissociate (it's a _weak_ acid).

## Neutralization

When an acid and a base react, they form a neutral substance, often water and a salt.

First, let's examine the neutralization of a strong acid with a strong base.

![\\hbox{KOH} + \\hbox{H}^+ + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/9/3/f/93f85e7ad43d8e3ae3ed2836fb912706.png)
Solid potassium hydroxide is added to an aqueous solution of hydrochloric acid. Notice how the solid is written as a compound, but the acid is written as ions because it dissociates.

![\\hbox{K}^+ + \\hbox{OH}^- + \\hbox{H}^+ + \\hbox{Cl}^- \\to \\hbox{K}^+ + \\hbox{Cl}^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/e/e/2/ee21258f10ae9956bb9738d8894556da.png)
The hydrogen ions will react with hydroxide ions to form water.

![\\hbox{H}^+ + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/c/b/d/cbd31f622b6cf0ba876192762f5018d6.png)
Ignoring spectator ions, this is the _net ionic equation_.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Whenever a strong acid neutralizes a strong base, the net ionic equation is always H+ \+ OH- → H2O

Now, let's see some examples involving weak acids and weak bases.

![\\hbox{PO}_4^{3-} + 3\\hbox{H}^+ \\to \\hbox{H}_3\\hbox{PO}_4](../../../upload.wikimedia.org/math/c/7/d/c7d13b8261f8fce258ab22815a58af76.png)
Excess hydrochloric acid is added to a solution of sodium phosphate. Phosphoric acid is weak, so the phosphate ions will react with hydrogen ions. The result is a solution with some, but much less, hydrogen ions, so it is much closer to neutral than either of the original reactants.

![\\hbox{PO}_4^{3-} + \\hbox{H}^+ \\to \\hbox{H}\\hbox{PO}_4^{-2}](../../../upload.wikimedia.org/math/7/9/d/79dcbc96d2000b42089d5671987c39f6.png)
_Equimolar_ amounts of sodium phosphate and hydrochloric acid are mixed. Notice the difference between this reaction and the previous one.

![\\hbox{HCO}_3^- + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{CO}_3^{-2}](../../../upload.wikimedia.org/math/6/b/6/6b6499c8fe09b045dabda6002b2b5d8d.png)
A strong base is added to a solution of calcium bicarbonate. (Bicarbonate is a weak acid.)

![\\hbox{HCO}_3^- + \\hbox{H}^+ \\to \\hbox{H}_2\\hbox{O} + \\hbox{CO}_2](../../../upload.wikimedia.org/math/e/2/6/e26f6b3208a8bc62fd908fe4a407e623.png)
A strong acid is added to a solution of calcium bicarbonate. Gas bubbles appear.

Many reactions result in the formation of gas bubbles or a solid precipitate that will make the solution cloudy. The last equation brings up an interesting application. Many rocks and minerals contain calcium carbonate or calcium bicarbonate. To identify these rocks, geologists can perform the "acid test". A drop of acid is applied, and the presence of gas bubbles indicates carbonate.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Many ions and compounds are **amphoteric**. They can react with (or behave as) acids _and_ bases. Bicarbonate is a good example, as you can see by comparing the last two equations above.

Here are more examples of neutralization reactions.

![\\hbox{NH}_4\\hbox{Cl} + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{NH}_3 + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/b/2/3/b23a933489adb609c1dffd5fcb373c20.png)
Solid ammonium chloride crystals are dissolved into a solution of sodium hydroxide. The smell of ammonia is detected.

![\\hbox{NH}_3 + \\hbox{H}^+ \\to \\hbox{NH}_4^+](../../../upload.wikimedia.org/math/1/a/0/1a0c1efae816064d25ab4859532c1491.png)
Ammonia gas is bubbled through a solution of hydrochloric acid. This reaction is essentially the opposite of the previous. In that reaction, ammonium ions react with base to form ammonia gas. In this reaction, ammonia gas reacts with acid to form ammonium ions.

![\\hbox{NH}_3 + \\hbox{CH}_3\\hbox{COOH} \\to \\hbox{NH}_4^+ + \\hbox{CH}_3\\hbox{COO}^-](../../../upload.wikimedia.org/math/a/8/5/a85b51fd88b1e48707e36e2e5899469e.png)
Ammonia (a weak base) reacts with acetic acid (also weak). The resulting solution is nearly neutral, but it will be slightly basic because ammonia is stronger than acetic acid.

![\\hbox{H}_2\\hbox{S} + 2\\hbox{OH}^- \\to 2\\hbox{H}_2\\hbox{O} + \\hbox{S}^{2-}](../../../upload.wikimedia.org/math/f/2/d/f2de1d19a41258c8bb1959e22f9977df.png)
Hydrogen sulfide gas is bubbled into a strong base.

![2\\hbox{H}^+ + \\hbox{S}^{2-} \\to \\hbox{H}_2\\hbox{S}](../../../upload.wikimedia.org/math/f/1/5/f158ccd2321529f1df2df5eb4d8ddb17.png)
A strong acid is added to the above result, and hydrogen sulfide gas is released.

## Anhydrides

An _anhydride_ is a substance that does not contain water. More specifically, it is a substance that reacts with water to form an acid or base. Anhydrides are usually in the form of a gas that dissolves into water and reacts to form an acid or base. They can also be solids that will react with water.

![\\hbox{N}_2\\hbox{O}_5 + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{H}^+ + 2\\hbox{NO}_3^-](../../../upload.wikimedia.org/math/b/6/3/b6321944a2180dcaf07049ad30185a33.png)
Gaseous dinitrogen pentoxide is bubbled through water to form nitric acid.

![\\hbox{N}_2\\hbox{O}_3 + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{HNO}_2](../../../upload.wikimedia.org/math/0/4/0/040ace3dca3800b512ee4839912c3f43.png)
Dinitrogen trioxide is mixed with water to form nitrous acid.

The main difference between those two equations is the fact that nitrous acid is weak and thus does not dissociate, whereas nitric acid is strong and dissociates into ions.

Here are a few more examples of anhydride reactions.

![\\hbox{K}_2\\hbox{O} + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{K}^+ + 2\\hbox{OH}^-](../../../upload.wikimedia.org/math/b/0/4/b04fa9039326adaef3e268602dc76db2.png)
Solid potassium oxide is added to water to form a strong base.

![\\hbox{P}_2\\hbox{O}_5 + 3\\hbox{H}_2\\hbox{O} \\to 2\\hbox{H}_3\\hbox{PO}_4](../../../upload.wikimedia.org/math/1/4/8/1489a8f3e451d7a9d848821d6fb4871b.png)
Phosphorus(V) oxide powder is mixed into water to form a weak acid.

It is important to remember which acids are strong and which are weak. [Review this](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases#Strong_and_Weak_Acids.2FBases) if necessary.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Anhydrides can also react with acidic or basic solutions. In that case, you may find it helpful to first determine the anhydride's reaction with water, then determine that reaction with the acid or base.

For example, sulfur dioxide gas (acidic anhydride) is bubbled through a solution of calcium hydroxide (basic).

![\\hbox{SO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{H}_2\\hbox{SO}_3](../../../upload.wikimedia.org/math/3/0/5/305e5c096557949c4575cd100ea83836.png)
First, determine the reaction of the anhydride with water.

![\\hbox{H}_2\\hbox{SO}_3 + \\hbox{Ca}\(\\hbox{OH}\)_2 \\to \\hbox{CaSO}_3 + 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/7/d/b/7db798cd5d8990e834f53e3b13c82bd5.png)
Then, determine the reaction of the acid and base. This is a double replacement reaction.

![\\hbox{SO}_2 + \\hbox{H}_2\\hbox{O} + \\hbox{H}_2\\hbox{SO}_3 + \\hbox{Ca}\(\\hbox{OH}\)_2  \\to \\hbox{H}_2\\hbox{SO}_3 + \\hbox{CaSO}_3 + 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/d/7/6/d765aa6c9857f87824d3a094eb2cb944.png)
Add the two reactions together.

![\\hbox{SO}_2 + \\hbox{Ca}^{2-} + 2\\hbox{OH}^- \\to \\hbox{CaSO}_3 + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/1/8/c/18c23f80688eb0038e81cfd22cc3e2c7.png)
Cancel out spectators. Also, calcium hydroxide should be ionized (but calcium sulfite is a solid precipitate). This is the final _net ionic equation_.

Here are more examples.

![\\hbox{CaO} + 2\\hbox{H}^+ \\to \\hbox{H}_2\\hbox{O} + \\hbox{Ca}^{2+}](../../../upload.wikimedia.org/math/1/3/4/13472729670e9adf9ffae40bac3cc6f6.png)
Calcium oxide crystals (basic anhydrides) are added to a strong acid. Notice that it does not matter what the acid is (nitric, sulfuric, etc.) because it is strong and this reaction only requires the hydrogen ions. In other words, the anions of the strong acid are spectators and are not written.

![\\hbox{SO}_2 + \\hbox{OH}^- \\to \\hbox{HSO}_3^-](../../../upload.wikimedia.org/math/9/5/d/95d3792ed9683e4eb8e508e21e028f75.png)
Excess sulfur dioxide gas is bubbled into a dilute solution of strong base. The base is the limiting reactant.

![\\hbox{SO}_2 + 2\\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{SO}_3^-](../../../upload.wikimedia.org/math/e/3/e/e3e5bfb81d9a710985e5a001a5d5fb1e.png)
Sulfur dioxide gas is bubbled into an excess of basic solution.

Remember that water is involved in these reactions, but it not written if it occurs on both sides of the equation.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Anhydrides can undergo neutralization reactions, even without the presence of water.

![\\hbox{CaO} + \\hbox{CO}_2 \\to \\hbox{CaCO}_3](../../../upload.wikimedia.org/math/2/2/2/22225314a4cdc10b2540752bb361baab.png)
Solid calcium oxide (basic anhydride) is exposed to dry ice gas (acidic anhydride). The resulting solid is a salt.

![\\hbox{CaO} + \\hbox{SO}_3 \\to \\hbox{CaSO}_4](../../../upload.wikimedia.org/math/5/1/7/51782382ed2cc4c1b133793e4623bdb0.png)
Solid calcium oxide is exposed to a stream of sulfur trioxde gas. The resulting solid is a neutral salt.

## Hydrolysis

A salt of a weak acid and strong base dissociates and reacts in water to form OH-. A salt of a strong acid and weak base dissociates and reacts in water to form H+. This process is called _hydrolysis_.

In this first example, aluminum nitrate is dissolved in water.

![\\hbox{Al}\(\\hbox{NO}_3\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}^{3+} + 3\\hbox{NO}_3^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/5/6/1/56179be2947b0fc93d4eed1d8580904f.png)
First, the salt dissociates in the water. It isn't necessary to write H2O in this reaction.

![\\hbox{Al}^{3+} + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}\(\\hbox{OH}\)^{2+} + \\hbox{H}^+](../../../upload.wikimedia.org/math/1/6/e/16e2822295cf9432ccc4c3743575e461.png)
Now, at least one of the ions will react with water. You know that nitric acid is strong, so the nitrate ion will not take an H+ ion from water. Instead, the aluminum ion will react with water, releasing a hydrogen ion.

![\\hbox{Al}\(\\hbox{NO}_3\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}\(\\hbox{OH}\)^{2+} + \\hbox{H}^+ + 3\\hbox{NO}_3^- ](../../../upload.wikimedia.org/math/4/6/3/463e0985e5c5e18c1e3df81f07d1a0aa.png)
This is the _net ionic equation_. The resulting solution is acidic.

The solution is acidic not because nitric acid is strong, but because aluminum is a weak base.

Here is an easier example.

![\\hbox{NaNO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Na}^+ + \\hbox{NO}_2^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/2/1/321d31244f2695508caba754031196d1.png)
First, the salt dissociates. Again, the H2O need not be written.

![\\hbox{NO}_2^- + \\hbox{H}_2\\hbox{O} \\to \\hbox{HNO}_2 + \\hbox{OH}^-](../../../upload.wikimedia.org/math/9/1/1/911d2439f28ad30de63f9c86539d27cc.png)
Sodium ions will not react with water. Even if they did, they would form NaOH, which is a strong base, so it would immediately dissociate. Instead, the NO2 reacts with water. Being the conjugate of a weak acid, the nitrite ions will accept a proton from water to form nitrous acid (weak) and hydroxide ions (basic).

![\\hbox{NaNO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Na}^+ + \\hbox{HNO}_2 + \\hbox{OH}^-](../../../upload.wikimedia.org/math/3/3/0/330f3853b49d093dfd1d22dd6d1f0f1c.png)
This is the net ionic equation for the hydrolysis of sodium nitrite. The resulting solution is basic.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

There is no hydrolysis reaction for _neutral salts_. Salts like NaCl and K2SO4 (and any other composed of the conjugates of both a strong acid and strong base) will not react with water. They create neutral solutions when dissolved.

## Lewis Acids/Bases

Lewis acids accept an electron pair. Lewis bases donate an electron pair. Together they react and bond to form an _adduct_.

Lewis acids/bases do not require the presence of water. However, H+ can be though of as a Lewis acid because it accepts electron pairs. OH- can donate an electron pair, making it a Lewis base.

![\\hbox{BF}_3 + \\ddot{\\hbox{N}}\\hbox{H}_3 \\to \\hbox{F}_3\\hbox{B}-\\hbox{NH}_3](../../../upload.wikimedia.org/math/a/7/f/a7f62d6d2a57ebcddee89efd710e1d02.png)
Boron trifluoride (Lewis acid) is exposed to ammonia (a Lewis base, as shown by the electron pair over the N). The electron pair is shared between the nitrogen and boron, creating a bond. (The boron trifluoride is written backwards as F3B only to demonstrate the B-N bond. Its structure has not changed.)

![\\hbox{B}_2\\hbox{H}_6 + 2\\hbox{H}^- \\to 2\\hbox{BH}_4^-](../../../upload.wikimedia.org/math/a/b/4/ab482a8c026795663fcab35abea28ad2.png)
Diborane accepts the two electrons from H- and forms a Lewis adduct.

## Practice Problems

Write the net ionic equations for the following. Make note of any solid precipitates or gas bubbles that would form.

  1. Equimolar solutions of sodium biphosphate and potassium hydroxide are mixed.
  2. Equimolar solutions of sodium biphosphate and hydrochloric acid are mixed.
  3. Excess sulfur dioxide gas is bubbled into a dilute solution of sodium hydroxide. Acid is then added.
  4. Aluminum chloride is dissolved into water.
  5. Sodium fluoride is dissolved into water. Strong acid is then added.
  6. Solid calcium oxide is exposed to a stream of sulfur trioxide gas. If the resulting compound is dissolved, will the solution be acidic, basic, or neutral?
  7. Gaseous hydrogen chloride is bubbled into a solution of silver nitrate.
  8. Ammonium chloride crystals are dissolved in water. Sodium hydroxide is then added.
  9. Calcium hydroxide crystals are dissolved into a solution of sodium bicarbonate.
  10. Phosphine gas is sprayed onto pebbles of aluminum trichloride. (Hint: these are Lewis acids/bases.)

[Answers to Practice Problems](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases/Answers)

  


  


Phases of Matter

  


  


# Solids

* * *

← [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) ·[Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) →

[← Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Liquids →](http://en.wikibooks.org/wiki/General_Chemistry/Liquids)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Characteristics of Solids

**Shape and volume** are both definite in solids. Although solids have a rigid shape, a large amount of force can cause deformation to the structure of a solid. There are three types of deformation:

  * _Brittle_ deformation causes bonds to break in an irregular way. Shredding paper and shattering glass are good examples.
  * _Elastic_ deformation is temporary. The molecules will return to their original positions as soon as the force is removed. Rubber bands and tires are elastic, as well as steel rods and wooden boards.
  * _Plastic_ deformation is permanent. Plastic deformation can be observed by bending a metal spoon.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/be/Ductility.svg/220px-Ductility.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

(a) Brittle; (b) and (c) shows _ductility_

Most materials are capable of all three types of deformation. Small amounts of stress cause elastic deformation, but large amounts will cause plastic deformation. In the event of repeated deformation or tremendous stress, brittle deformation occurs.

Solids are **incompressible**. Solids may break or deform under stress, but they tolerate little compression. For instance, a wooden plank will break if force is applied, but it will not compress like a sponge. The only reason sponges compress is because they contain air pockets and undergo elastic deformation. Otherwise, solids will not compress. At the molecular level, this happens because the intermolecular bonds do not change size without breaking.

Some solids, usually metals, have properties like **ductility** and **malleability**. A ductile material can be stretched into long, thin wires. A malleable substance can be hammered into very thin sheets. Gold and copper are some of the most malleable and ductile substances known. These properties occur as a result of the [metallic bonding](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds).

## Solids at the Molecular Level

Solids occur when there is enough intermolecular bonding to hold the molecules of a substance into a relatively rigid structure. The molecules are close together, and their movement is restricted to vibration. Solids occur at the lowest temperatures and highest pressures. As the temperature of a solid increases, so does the kinetic energy of its molecules. At the _melting point_, the molecules have enough energy to overcome their bonds and **melt** into a liquid. Likewise, a liquid will **freeze** once its molecules are not moving fast enough to avoid strong intermolecular bonds.

Compounds that have ionic bonding or metallic bonding are most likely to be found in the solid phase due to their high melting points. Also, covalent network substances (like diamond or quartz) are solids because the atoms are secured with covalent bonds, requiring extreme amounts of energy to separate them.

### Types of Solids

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Crystal structure**_](http://en.wikipedia.org/wiki/Crystal_structure)

  * **Crystalline** solids have a molecular structure with a specific geometric shape. The solid has a specific melting point at which all molecules begin to break free of their bonds. Substances like salt, diamond, and quartz are crystalline solids. These solids usually form by cooling a liquid slowly, so that the molecules have time to arrange themselves in a crystalline structure as their bonds form.
  * **Amorphous** solids have a molecular structure with no specific shape. The solid melts over a range of temperatures because the amount of energy needed to break the bonds varies from molecule to molecule. Substances like coal and glass are amorphous. Amorphous solids usually form when a liquid is cooled quickly, so there is no time for the molecules to arrange themselves into a crystal.

Crystalline solids are typically harder and more rigid. Coal and diamond are both made from elemental carbon, but coal is amorphous and diamond is crystalline. Because of its crystal structure, diamond is one of the hardest substances known, whereas coal can be scratched away with a fingernail. The crystal structure also explains diamond's brilliant, transparent appearance. Coal is black and dull because the disorder of the atoms does not allow light to pass.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ionic solids and metallic solids are always crystalline. Covalent network solids can be crystalline or amorphous. Van der Waals solids are always amorphous.

### Packing and Unit Cells

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Sodium-chloride-unit-cell-3D-ionic.png/220px-Sodium-chloride-unit-cell-3D-ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The unit cell of sodium chloride

In crystalline solids, the atoms are arranged in a specific pattern. The smallest repeating part of this pattern is called the **unit cell**. The unit cell may have more atoms than the empirical formula of a substance because the geometric shape may require several atoms. In the case of sodium chloride, the empirical formula contains only two atoms, but the unit cell has 27 atoms.

The molecules of a solid are _close packed_. They arrange themselves in the densest shape possible. Usually, two different patterns occur.

  * _Face-centered cubic_ or **FCC**
  * _Hexagonal close-packed_ or **HCP**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/ImgSalt.jpg/220px-ImgSalt.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Halite, or rock salt, exhibits FCC packing.

FCC crystals have three alternating layers, described as ABCABCABC (every third layer is the same). The layers are arranged so that each unit cell is half-way between the two unit cells above or below it. HCP crystals have two alternating layers, described as ABABABAB (every other layer is the same).

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Close-packed_spheres.jpg/120px-Close-packed_spheres.jpg)

FCC lattice

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Hexagonal_close-packed_unit_cell.jpg/120px-Hexagonal_close-packed_unit_cell.jpg)

HCP lattice

  


# Liquids

* * *

← [Solids](http://en.wikibooks.org/wiki/General_Chemistry/Solids) ·[Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) →

[← Solids](http://en.wikibooks.org/wiki/General_Chemistry/Solids) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Gases →](http://en.wikibooks.org/wiki/General_Chemistry/Gases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Liquids at a Molecular Level

Liquids have some intermolecular bonding, but it is not nearly as strong as that of a solid. As a result, the molecules are somewhat close together, but they are not tightly packed. Instead, they are free to slide past each other. Liquids occur at temperatures above the _melting point_ of a substance, but below its _boiling point_. At the melting point, the molecules are moving slow enough to form rigid bonds and become a solid. At the boiling point, the molecules are moving so fast that they cannot form any bonds and become a gas.

## Characteristics of Liquids

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Dispersion.gif/220px-Dispersion.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Diffusion is the chaotic mixing of fluids. The jar on the left has warmer water.

Liquids have **definite volume**, but **indefinite shape**. They are free to form droplets and puddles when they are not inside a container. When a liquid is inside a container, it will take its shape. Unlike gases, a liquid will not change its volume to spread out and completely fill a container. There is enough intermolecular bonding to give liquids a definite volume.

Liquids are **fluid**, able to flow and take any shape. This occurs due to the weak intermolecular bonding that allows the molecules to slide past each other freely. As a result of being fluid, liquids exhibit many interesting properties that solids do not, including capillary action and diffusion.

Liquids, like gases, undergo **diffusion** when mixed. This can be seen by adding food coloring to water. Different liquids, when added, will chaotically spread out and mix together. Diffusion will occur faster when the liquid is warmer because the increased kinetic energy allows the molecules to move faster and collide more frequently.

Liquids are usually considered **incompressible**. The molecules are already close together, so it is difficult to compress them any more. Under very high pressures, liquids will actually compress, but not very much.

Liquids, unlike gases, have a distinct **surface**—they need not take their container's shape. This allows the formation of droplets and puddles.

## Special Properties

### Cohesion and Adhesion

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/43/Spider_web_Luc_Viatour.jpg/220px-Spider_web_Luc_Viatour.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Water droplets _adhere_ to a spiderweb. Their round shape is caused by _cohesion_.

The molecules of a liquid are attracted to each other. This is called **cohesion**. Molecules like methane are non-polar, so they are held together only by van der Waals forces (the weakest). These molecules will have minimal cohesion. In contrast, water molecules use hydrogen bonding (very strong), so they display strong cohesion. A cohesive liquid will form more spherical droplets and have much higher _surface tension_ (explained below).

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Adhesion**_](http://en.wikipedia.org/wiki/Adhesion)

Adhesion is the attraction of a liquid molecule to its surroundings. Adhesive liquids will demonstrate _capillary action_ (explained below). They are also more "wet". Mercury is very cohesive, but not adhesive. As a result, it doesn't leave behind residue as it rolls across a surface. Water, on the other hand, is much more adhesive. When water rolls across a surface, it wets that surface because some of the molecules adhere to it.

### Surface Tension and Capillary Action

When water drops are on an _impermeable_ (waterproof) surface, they tend to form beads. This is due to its **surface tension**. Liquid molecules pull at each other, and as a result they decrease their surface area. The molecules at the boundary of the liquid are pulled in, causing a droplet shape. When water is on a _permeable_ surface, it spreads out, as can be seen with water on a paper towel. This **capillary action** explains how water in the ground reaches the top of trees that are hundreds of feet tall.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/04/Capillary_Attraction_Repulsion_\(PSF\).jpg/120px-Capillary_Attraction_Repulsion_\(PSF\).jpg)

Adhesive liquids (like water but not mercury) will rise up a narrow tube.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/WassermoleküleInTröpfchen.svg/118px-WassermoleküleInTröpfchen.svg.png)

Cohesive liquids have _surface tension_ to hold themselves into droplets.

### Pressure

Liquids will distribute pressure evenly. This concept, known as _Pascal's Law_, is crucial for equipment like hydraulic brakes. It is a result of their incompressibility.

Helpful Hint!

If there is no atmospheric pressure (a vacuum, like outer space), liquids cannot form.

Liquids will **evaporate**. Although the average kinetic energy of the molecules is too low to overcome bonding and become a gas, individual molecules will occasionally have above-average energy and break free from the surface of the liquid. The molecule then escapes escapes to the gas phase. At the same time, however, a gas molecule may hit the surface of the liquid and slow down enough to join the liquid. A glass of water left outside in the sun will eventually become empty. The sunlight adds energy to the molecules, allowing some to escape as a gas. Eventually, all molecules will escape. The tendency of a liquid to evaporate depends on its intermolecular forces. **Volatile** liquids tend to evaporate quickly have relatively weak intermolecular forces keeping the molecules together, making it easier for them to escape the liquid phase. Conversely, non-volatile liquids do not evaporate to any visible extent due to the presence very strong intermolecular forces.

The evaporation increases with temperature. It can be measured by **vapor pressure**, the amount of pressure exerted by the evaporated gas above the liquid's surface. Vapor pressure increases with temperature, and once it reaches the pressure of the surrounding atmosphere, the liquid will boil. Vapor pressure also depends on the intensity of intermolecular forces in the liquid.

### Viscosity

**Viscosity** refers to the liquid's resistance to flow. For example, [maple syrup](http://en.wikipedia.org/wiki/Maple_syrup) has a relatively high viscosity when compared to water because maple syrup flows much slower than water, which flows relatively quickly and easily. The difference in viscosity between these two liquids is due to the attractive forces within the specific liquid. In order to flow, molecules must roll and move over each other. A solution with low attractive forces would allow the molecules to move in a more free and easy manner, decreasing the viscosity.

In most cases, the viscosity of a liquid decreases as the temperature of a liquid is increased. Increasing the temperature of a liquid causes the molecules to have a higher [kinetic energy](http://en.wikipedia.org/wiki/Kinetic_energy). This increase in kinetic energy breaks down the intermolecular forces present in the liquid. Since viscosity is dependent on these attractive forces, the viscosity will decrease when the kinetic energy is increased.  


# Gases

* * *

← [Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) ·[Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) →

[← Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Phase Changes →](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Characteristics of Gases

Gases have a number of special characteristics that differentiate them from other states of matter. Here is a list of characteristics of gases:

Characteristics of Gases

  * Gases have neither **definite shape** nor **definite volume**. They expand to the size of their container.
  * Gases are **fluid**, and flow easily.
  * Gases have **low density**, unless compressed. Being made of tiny particles in a large, open space, gases are very compressible.
  * Gases **diffuse** (mix and spread out) and **effuse** (travel through small holes).

### Standard Temperature and Pressure

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Standard conditions for temperature and pressure**_](http://en.wikipedia.org/wiki/Standard_conditions_for_temperature_and_pressure)

_Standard Temperature and Pressure_, or **STP**, is 0 °C and 1 atmosphere of pressure. Expressed in other units, STP is 273 **K** and 760 **torr**. The Kelvin and torr are useful units of temperature and pressure respectively that we will discuss later in the following sections.  


### Avogadro's Law

![](../../../upload.wikimedia.org/wikipedia/commons/3/3c/Amedeo_Avogadro2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Amedeo Avogadro, the Italian chemist. Avogadro's Law is named after him and his discoveries about the behavior of gases

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Avogadro's Law**_](http://en.wikipedia.org/wiki/Avogadro%27s_Law)

**Avogadro's Law** states that equal volumes of gases at the same temperature and pressure contain the same number of molecules. So both one mole of Xenon at STP (131.3 grams) and one mole of helium at STP (4.00 grams) take up 22.4 liters. Even 1 mole of air, which is a mixture of several gases, takes up 22.4 liters of volume. 22.4 L is the standard molar volume of a gas.

  


[Avogadro's Law]

    ![\\frac{V}{n} = k\\,](../../../upload.wikimedia.org/math/8/a/8/8a805414b2c8361bc9abaf1f68e07bc8.png).

where:

    _V_ is the volume of the gas.
    _n_ is the number of moles of the gas.
    _k_ is a proportionality constant.

The most important consequence of Avogadro's law is that the '**ideal gas constant** has the same value for all gases. This means that the constant

    ![\\frac{p_1\\cdot V_1}{T_1\\cdot n_1}=\\frac{p_2\\cdot V_2}{T_2 \\cdot n_2} = const](../../../upload.wikimedia.org/math/3/f/6/3f6378ab7c118f89a839c7a95ec5b0be.png)

where:

    _p_ is the pressure of the gas
    _T_ is the temperature of the gas

has the same value for all gases, independent of the size or mass of the gas molecules.  


### Pressure

Gases exert pressure on their containers and all other objects. Pressure is measured as force per unit area. A barometer is a device that measures pressure. There are a number of different units to measure pressure:

  * **torr**, equal to millimeters of mercury (mm Hg): if a glass cylinder with no gas in it is placed in a dish of liquid mercury, the mercury will rise in the cylinder to a certain number of millimeters.
  * atmosphere (**atm**), the pressure of air at sea level.
  * pascal (**Pa**), equal to one newton (N) per square meter. A newton is the force necessary to accelerate one kilogram by one meter per second squared.

You should know that **1 atm = 760 torr = 101.3 kPa**.

## Ideal Gases

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Ideal gas**_](http://en.wikipedia.org/wiki/Ideal_gas)

Gases are complicated things composed a large numbers of tiny particles zipping around at high speeds. There are a number of complex forces governing the interactions between molecules in the gas, which in turn affect the qualities of the gas as a whole. To get around these various complexities and to simplify our study, we will talk about **ideal gases**.

An ideal gas is a simplified model of a gas that follows several strict rules and satisfies several limiting assumptions. Ideal gases can be perfectly modeled and predicted with a handful of equations.

Ideal gases follow, among others, these important rules:

**Rules of Ideal Gasses**

  1. The molecules that make up a gas are a point masses, meaning **they have no volume**.
  2. Gas particles are spread out with very great distance between each molecule. Thus, **intermolecular forces are essentially zero**, meaning that they neither attract nor repel each other.
  3. If collisions do occur between gas particles, these **collisions are elastic**, meaning there is no loss of kinetic (motion) energy.
  4. Gas molecules are in **continuous random motion**.
  5. Temperature is directly proportionate to kinetic energy.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

**Note:** Ideal gases never truly exist (because the nature of gases is so complicated), but gases are often close enough to an ideal gas that the equations still hold fairly accurate.

### Ideal Gas Law

Ideal gases can be completely described using the **ideal gas law**:

  


[Ideal Gas Law]

    ![\\ pV = nRT   ](../../../upload.wikimedia.org/math/c/e/8/ce8dc304ae19dd87ab48ddfd9ecf7525.png)

where

    ![\\ p  ](../../../upload.wikimedia.org/math/8/6/d/86d089c4cd0c12f98c26c289d52f2b49.png) is the absolute pressure of the gas,
    ![\\ V  ](../../../upload.wikimedia.org/math/c/4/f/c4fab1659eecd0901dbc5ae64cf2d117.png) is the volume of the gas,
    ![\\ n  ](../../../upload.wikimedia.org/math/9/5/a/95ae10911ccd94b57da5535ac94fec03.png) is the number of moles of gas,
    ![\\ R  ](../../../upload.wikimedia.org/math/c/9/7/c97811b12c3a42dc75d17140400c4f35.png) is the ideal gas constant,
    ![\\ T  ](../../../upload.wikimedia.org/math/c/2/6/c26e071b57ddece0b9834fc1f4de65cc.png) is the absolute temperature, in Kelvin.

### Ideal Gas Constant

Values of _R_ Units

8.314 472(15)
J K−1 mol−1

8.314 472(15)
m3 Pa K−1 mol−1

8.314 472(15)
cm3 MPa K−1 mol−1

0.082 057 46(14)
L atm K−1 mol−1

62.363 67(11)
L Torr K−1 mol−1

The ideal gas constant, _R_, is a constant from the ideal gas equation, above, that helps to relate the various quantities together. The gas constant represents the same value, but the exact numerical representation of it may be different depending on the units used for each term. The table at right shows some values of _R_ for different units. Here is the value of _R_ using Joules for energy, Kelvin for temperature, and moles for quantity:

  


[Ideal Gas Constant]

    ![R = 8.314472\\ \\ JK^{-1}mol^{-1}](../../../upload.wikimedia.org/math/7/9/a/79ad363941648015d45560c1525c961b.png)

  


### Real Gases

All **real gases** (or _non-ideal_ gases) deviate from the ideal gas laws that we discussed above. These deviations can occur for several reasons:

  * Real molecules have mass and volume. They are too big and no longer behave like ideal point masses
  * Low volumes and high pressures cause molecules to be close enough for intermolecular forces. Polar molecules exaggerate the problem.
  * Low temperature means low kinetic energy. At lower temperatures, intermolecular forces become significant and cannot be ignored like they are in ideal gasses
  * Other complicated factors may prevent ideal behavior.

When these issues are present, gas molecules attract each other, and may even condense into a liquid. Gases act most like ideal gases when the molecules have low mass (small volume), are not polar, and are at high temperature and low pressure. Noble gases like Xenon or Argon act the most like ideal gases because they are mostly electrical neutral and non-interactive.

## Kinetic Molecular Theory

This theory describes why gases exhibit their properties. It only applies accurately to ideal gases. Because there is no such thing as an ideal gas, the **Kinetic Molecular Theory** can only approximate gas behavior. It is still very useful to chemists.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Kinetic theory**_](http://en.wikipedia.org/wiki/Kinetic_theory)

The Kinetic Molecular Theory explains the pressure, temperature, kinetic energy, and speed of gases and their molecules. See Wikipedia for the exact equations of the Kinetic Molecular Theory, as well as detailed explanations. What is most important is understanding the general concepts, not the specific equations.

### Kinetic Energy and Temperature

Kinetic energy is the mechanical, or movement, energy. It is given by the equation:

    ![KE = \\frac{1}{2}mv^2_{rms}](../../../upload.wikimedia.org/math/b/b/f/bbf30a1f35d862478b64014d8ec38e91.png)

where

    ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png) is mass and
    ![v_{rms}](../../../upload.wikimedia.org/math/9/6/e/96ed8f1a765e24c6638c39ed5ec3fe62.png) is the average velocity

Explained with words, kinetic energy is dependent on the product of a particle's mass and its velocity squared. The more kinetic energy, the faster a particle moves. Conversely, the faster a particle moves, the more kinetic energy it has.

The Kinetic Molecular Theory states that kinetic energy and temperature are directly proportionate. Thus, a double in temperature will result in a double in kinetic energy and an increase in velocity by a factor of 1.4 (the square root of 2, see the KE equation). This means that the higher the temperature of a gas, the faster the individual particles in that gas are moving.

A hotter gas has more kinetic energy than a colder gas. If two gases are at the same temperature, they will have the same kinetic energy. The lighter-massed gas will have a higher average speed for its particles at the same energy level. It is important to know that gas temperature **must be measured in kelvin**. Zero degrees Celsius is 273 kelvin. One Celsius degree is equal to one kelvin, but the kelvin scale has water's freezing point at 273 and boiling point at 373. It is necessary to use kelvin because temperatures must always be positive when using the Kinetic Molecular Theory.

Question for the reader

A gas's temperature is increased from 20 °C to 40° C. What factor does its kinetic energy increase? Velocity?

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that gases are all about averages. For a temperature increase, there will be an average increase in the kinetic energy of the particles in that gas. Even in a very hot gas there will be some particles moving very slowly. However, the average will be high.

### Pressure and Collisions

Pressure exists because the gas molecules are in continuous random motion, and they will constantly strike the walls of their container. Pressure will increase as the speed of the molecules increases, due to greater forces of collision. Pressure will also increase as the mass of the molecules increase. A small, slow molecule has less momentum than a large, fast molecule, which explains their difference in pressure.

Question for the reader

There are two jars of ideal gas, for example. In Jar A there is nitrogen gas (N2). In Jar B there is methane gas (CH4). Both jars are at the same temperature. Which will have greater pressure?

Question for the reader

Now, Jars A and B both have propane gas (C3H8). Jar A is at 300 K and Jar B is at 500 K. Which will have greater pressure?

  


# Phase Changes

* * *

← [Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) ·[Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) →

[← Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Behaviour of Gases →](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Phase Diagrams

Phase diagrams predict the phase of a substance at a certain pressure and temperature.

![Phase-diag2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/34/Phase-diag2.svg/530px-Phase-diag2.svg.png)

The **triple point** is where all three phases of matter can exist in equilibrium. Points that are on a line are where two phases of matter can coexist.

The **critical point** is the highest pressure and temperature that the three normal phases can exist. Any further, and the characteristics become a blend of liquid and gas.

## Changes in State

![Phase change - en.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/Phase_change_-_en.svg/300px-Phase_change_-_en.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

If the temperature and pressure change and move across a line in the diagram, the phase will also to change. There are six ways this can happen:

  * Solid to liquid: **melting**
  * Liquid to solid: **freezing**
  * Liquid to gas: **evaporation**
  * Gas to liquid: **condensation**
  * Gas to solid: **deposition**
  * Solid to gas: **sublimation**

The diagram on the right also shows the _plasma_ state of matter. A [plasma](http://en.wikipedia.org/wiki/Plasma) is simply a gas that has been completely ionized, so that there is a mixture of positive ions and electrons. It has interesting electrical properties, but it is not important in the scope of General Chemistry.

### Energy Changes

Helpful Hint!

The _kinetic energy_ of a molecule is directly proportional to its temperature. _Potential energy_ is used to break bonds.

If you boil water, it never goes above 100 degrees Celsius. Only after it has completely evaporated will it get any hotter. This is because once water reaches the boiling point, extra energy is used to change the state of matter and increase the potential energy instead of the kinetic energy. The opposite happens when water freezes. To boil or melt one mole of a substance, a certain amount of energy is required. These amounts of energy are the **molar heat of vaporization** and **molar heat of fusion**. If that amount of energy is added to a mole of that substance at boiling or freezing point, all of it will melt or boil, but the temperature won't change.

![Phase Heat Diagram.png](../../../upload.wikimedia.org/wikibooks/en/b/b7/Phase_Heat_Diagram.png)

The graph shows the temperature of ice as heat is added. Temperature increases linearly with heat, until the melting point. Then, the heat added does not change the temperature. That heat energy is instead used to break intermolecular bonds and convert ice into water. At this point, there is a mixture of both ice and water. Once all ice has been melted, the temperature again rises linearly with heat added. At the boiling point, temperature no longer rises with heat added because the energy is once again being used to break intermolecular bonds. Once all water has been boiled to steam, the temperature will continue to rise linearly as heat is added.  


# Behavior of Gases

* * *

← [Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) ·[Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) →

[← Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Diffusion and Effusion →](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Evaporation of Liquids

An open bottle of vinegar standing at room temperature will spread odor across the room despite the fact that it is not boiling. This is because kinetic energy is unevenly distributed throughout a liquid. Some molecules are moving faster than others. This allows the liquid to **evaporate** into a gas. In order for evaporation to occur, the entire liquid does not need to be at the boiling temperature; only some individual molecules. At a given temperature a liquid evaporates at a specific rate, causing gas pressure above the liquid in the system that contains it. Can you guess the vapor pressure of water at 100 degrees Celsius? If you guessed 760 torr or 1 atm, you're right. Liquids boil when their vapor pressures equal the atmospheric pressure around them. Some liquids are more **volatile** than others, meaning they evaporate more readily.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/36/Maxwell-Boltzmann_distribution_1.png/220px-Maxwell-Boltzmann_distribution_1.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A Boltzmann distribution at various temperatures.

Evaporation occurs because of the uneven distribution of kinetic energy. This is called a _Boltzmann distribution_. Although the average kinetic energy of the liquid is below the boiling point, some molecules have above average energy. That gives them enough energy to overcome their bonds and break free of the liquid. At the same time, a gas molecule could strike the liquid and slow down enough to become part of it. There is an _equilibrium_ between the amount of evaporating liquid and the amount of liquifying gas. Higher temperatures will have an equilibrium that favors more gas.

## Motion of Gas Particles

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Translational_motion.gif/220px-Translational_motion.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This animation demonstrates the motion of gas particles.

Gas particles move in random, straight-line motion. Gas particles possess a greater kinetic energy than the particles of a liquid or solid. The greater kinetic energy is due to gases existing at higher temperatures than liquids or solids. As temperature increases, particles move faster and, thus, have greater kinetic energy. The particles of a gas have minimal interactions, except collisions with each other.

### Diffusion and Effusion

Due to their random motion, gases will eventually escape from a container if there is a hole in it. This is called **effusion**. Gases also spread out across a room, or mix together in a container. This is called **diffusion**.

More information about diffusion and effusion is presented in the [next chapter](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion).

## Dalton's Law of Partial Pressures

The total amount of pressure exerted by a gas is equal to the sum of its components:

![P_{total} = P_1 + P_2 + P_3 + ...](../../../upload.wikimedia.org/math/7/2/c/72cb1b7ca7fb7a9478741da15402cb26.png)

For instance, if you add 300 torr of nitrogen gas to a container, then you add 250 torr of oxygen to that container, the total pressure will be 550 torr (assuming volume and temperature stayed constant).

Another way of stating this law is that the pressure exerted by a particular gas in a mixture (gases always form homogeneous mixtures with each other) is equal to its mole fraction multiplied by the total pressure.  


# Diffusion and Effusion

* * *

← [Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) ·[Gas Laws](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws) →

[← Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Gas Laws →](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Diffusion and Effusion

### Diffusion

**Diffusion** is the process of a substance spreading out to evenly fill its container or environment. In a solution, a concentrated solute diffuses to spread evenly in its solvent. In air, gas molecules diffuse to mix thoroughly. Substances diffuse from areas of high concentration to low concentration. Diffusion explains why an open bottle of ammonia will fill an entire room with odor. The gas molecules escaping from the bottle spread out to fill their new container: the room. As a result, the whole room smells. Upon opening the windows, the gas will diffuse into the environment.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Diffusion occurs because the gas molecules are in continuous random motion. This motion is called **Brownian Motion**. The molecules will eventually reach anywhere they can.

Diffusion is also the process of two gases mixing together, if both stored in the same container. They will spread out evenly, resulting in a solution (homogeneous mixture).

### Effusion

**Effusion** is the process of gas molecules escaping from a small hole in the container. Effusion explains why fumes are noticeable near a leaky fuel pipe.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Effusion is also explained by the continuous random motion of the molecules. The random motion prevents molecules from avoiding the small hole. Slowly but steadily, gas molecules will pass through the hole.

Effusion obviously depends on the size of the hole. If small enough, effusion may not occur because, like a beach ball hitting a basketball hoop, the molecules can't fit. Larger holes obviously allow molecules to escape faster. If the hole is large enough, the process may be considered diffusion instead of effusion.

Effusion can be seen with balloons. Effusion proves that the balloon has holes in it, even though it looks totally impassable. When left alone for several days, a balloon filled with helium will eventually deflate. If that balloon were filled with hydrogen, it would deflate in less time because the molecules are smaller and escape with ease. and you can try that

## Graham's Law of Effusion

Graham's Law can be used to approximate diffusion. However, diffusion involves two or more gases interacting with each other, so the equation is not accurate.

The more massive a gas is, the slower it effuses. The relationship is given by **Graham's Law**.

![\\frac{Rate_1}{Rate_2} = \\sqrt \\frac{M_2}{M_1}](../../../upload.wikimedia.org/math/1/0/a/10ade730a78efec7e1cbafd67025d9b2.png), where M is the molar mass of a gas molecule.

As an example, assume there are two identical containers with holes. Container A has hydrogen gas (M=2 g/mol) and Container B has helium gas (M=4 g/mol). If the hydrogen gas effuses at a rate of 4 mol/hr, the helium gas would effuse at a slower rate (being heavier). Using Graham's Law, we can see that it would effuse at a rate of about 2.8 mol/hr.  


# Gas Laws

* * *

← [Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) ·[Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) →

[← Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Gas Laws

As the result of many different scientists and experiments, several _gas laws_ have been discovered. These laws relate the various **state variables** of a gas.

State Variables of a Gas

  * Pressure (P)
  * Volume (V)
  * Temperature (T)
  * Molar mass (n)

These gas laws can be used to compare two different gases, or determine the properties of a gas after one of its state variables have changed.

![\\frac{V}{n} = constant](../../../upload.wikimedia.org/math/a/f/5/af537f191950e02c88f024c5c24c26c1.png)
![\\frac{n_1}{V_1} = \\frac{n_2}{V_2}](../../../upload.wikimedia.org/math/a/5/b/a5bbf604b80b85852a9b47cb55500ef4.png)
**Avogadro's Law** states that equal volumes of all ideal gases (at the same temperature and pressure) contain the same number of molecules.

![P \\times V = constant](../../../upload.wikimedia.org/math/3/1/3/313b9dcfa793a17d3eb5fd1c4ef0e968.png)
![P_1 \\times V_1 = P_2 \\times V_2](../../../upload.wikimedia.org/math/e/5/0/e507ac9b8e06cf2961dd447222c0e8f6.png)
**Boyle's Law** states that equal pressure is inversely proportional to volume (when temperature is constant).

![\\frac{V}{T} = constant](../../../upload.wikimedia.org/math/b/9/7/b975d5498497a1e053181de03de6cb55.png)
![\\frac{V_1}{T_1} = \\frac{V_2}{T_2}](../../../upload.wikimedia.org/math/9/e/d/9edc086929bf33c962e15f9a3f6a31c0.png)
**Charles's Law** states that volume is proportional to temperature (when pressure is constant). Remember that temperature must be measured in Kelvin.

![\\frac{P}{T} = constant](../../../upload.wikimedia.org/math/6/f/8/6f8ad8a07bee1baf92c5d02a7144434d.png)
![\\frac{P_1}{T_1} = \\frac{P_2}{T_2}](../../../upload.wikimedia.org/math/b/6/7/b675039439b8541bf7aa2e1026299ead.png)
**Gay-Lussac's Law** states that pressure is proportional to temperature (when volume is constant).

### Combined Gas Law

Combining Charles's Law, Boyle's Law, and Gay-Lussac's Law gives us the **combined gas law**.

![\\frac{P \\times V}{T} = constant](../../../upload.wikimedia.org/math/c/0/0/c007bc10bfccb08fdefe44dc8be72025.png)
For a gas with constant molar mass, the three other state variables are interrelated.

![\\frac{P_1 \\times V_1}{T_1} = \\frac{P_2 \\times V_2}{T_2}](../../../upload.wikimedia.org/math/9/b/b/9bb5aa42f731c89d67950f34cc0c16bf.png)
The Combined Gas Law can be used for comparisons between gases.

## Ideal Gas Law

When Avogadro's Law is considered, all four state variables can be combined into one equation. Furthermore, the "constant" that is used in the above gas laws becomes the Universal Gas Constant (R).

To better understand the Ideal Gas Law, you should first see how it is derived from the above gas laws.

![V \\propto n \\,](../../../upload.wikimedia.org/math/9/1/b/91b52ef9706a6eb888ca96f150982e8e.png) and ![V \\propto \\frac{T}{P}](../../../upload.wikimedia.org/math/c/5/c/c5c9167afa0a78723d90dca732b41842.png)
This is simply a restatement of Avogadro's Law and the Combined Gas Law.

![V \\propto \\frac{n \\times T}{P}](../../../upload.wikimedia.org/math/6/1/2/612c6a4f0220ff8bbb91255dac02eeb2.png)
We can now combine the laws together.

![\\frac{V}{\\frac{n \\times T}{P}} = R](../../../upload.wikimedia.org/math/2/c/2/2c28ebaab505c65380b11d25dabdc698.png)
Let R be a constant, and write the proportion in the form of an equation.

![\\frac{P \\times V}{n \\times T} = R](../../../upload.wikimedia.org/math/8/9/f/89f797278be17eb169767eff98edad17.png)
Rearranging the fraction gives one form of the **ideal gas law**.

The ideal gas law is the most useful law, and it should be memorized. If you know the ideal gas law, you do not need to know any other gas laws, for it is a combination of all the other laws. If you know any three of the four state variables of a gas, the unknown can be found with this law. If you have two gases with different state variables, they can be compared.

There are three ways of writing the ideal gas law, but all of them are simply algebraic rearrangements of each other.

![PV = nRT \\,](../../../upload.wikimedia.org/math/e/d/6/ed61a77f4dc06aed316a30b3553c1fb9.png)
This is the most common form.

![\\frac{PV}{nT} = R](../../../upload.wikimedia.org/math/e/2/e/e2eb8f45b5c6050f204234233a079fc2.png)
This form is useful for predicting the effects of changing a state variable. To maintain a constant value of R, an change in the numerator must result in a proportional change in the denominator, and vice versa. If, for example, the pressure is decreased in a constant-volume container, you can use this form to easily predict that the temperature must decrease.

![\\frac{P_1V_1}{n_1T_1} = \\frac{P_2V_2}{n_2T_2}](../../../upload.wikimedia.org/math/d/b/7/db7b8a8bc1a7a4f56e32360be5fb9fe9.png)
Because R is the same constant for all gases, this equation can be used to relate two gases to each other.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

 ;Rules for Using the Ideal Gas Law 

  * Always convert the temperature to kelvins (K).
  * Always convert mass to moles (mol).
  * Always convert volume to liters (L).
  * It is preferable to convert pressure to kilopascals (kPa). R, the Universal Gas Constant, would be 8.314 (L·kPa)/(mol·K).

## Kinetic Molecular Theory

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Kinetic theory**_](http://en.wikipedia.org/wiki/Kinetic_theory)

The Kinetic Molecular Theory attempts to explain the gas laws. It describes the behavior of microscopic gas molecules to explain the macroscopic behavior of gases. According to this theory, an ideal gas is composed of continually moving molecules of negligible volume. The molecules move in straight lines unless they collide into each other or the walls of their container.

![P = \\frac{F}{A}](../../../upload.wikimedia.org/math/1/4/0/1408371582dda9305af3303f50dc7ea3.png)
The **pressure** of the gas on the container is explained as the force the molecules exert on the walls during a collision. Pressure is equal to the average force of collisions divided by the total surface area of the container.

![T=\\frac{2}{3k_B} K](../../../upload.wikimedia.org/math/c/7/b/c7b59ba262bdff76c4ad9e8de5e797d7.png)
The **temperature** of the gas is proportional to the average kinetic energy of the molecules. ![K](../../../upload.wikimedia.org/math/a/5/f/a5f3c6a11b03839d46af9fb43c97c188.png) denotes the average kinetic energy of the molecules, and ![k_B](../../../upload.wikimedia.org/math/4/9/9/499ea482f0642e2bd203a3f560d4dd97.png) is the _Boltzman constant_ (1.388 x 10-23).

The gas laws are now explained by the microscopic behavior of gas molecules:

  * Boyle's Law: The pressure of a gas is inversely proportional to its volume. A container's volume and surface area are obviously proportional. Based on the pressure equation, an increase in volume (and thus surface area) will decrease pressure.
  * Charles' Law: the volume of a gas is proportional to its temperature. As the volume (and surface area) increases, the pressure will decrease unless the force also increase. When pressure is constant, the volume and temperature must be proportional. The temperature equation above explains why: the energy of the molecules (and their collision force) is proportional to temperature.
  * Gay-Lussac's Law: The temperature of a gas is directly proportional to its pressure. An increase in temperature will increase the kinetic energy of the molecules (shown by the temperature equation). Greater kinetic energy causes the molecules to move faster. Their collisions with the container will have more force, which increases pressure.
  * Avogadro's Law: Equal volumes of all ideal gases (at the same temperature and pressure) contain the same number of molecules. According to the Kinetic Molecular Theory, the size of individual molecules is negligible compared to distances between molecules. Even though different gases have different sized molecules, the size difference is negligible, and the volumes are the same.

### Derivation of Ideal Gas Law

Suppose there are ![N](../../../upload.wikimedia.org/math/8/d/9/8d9c307cb7f3c4a32822a51922d1ceaa.png) molecules, each with mass ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png), in a cubic container with side length ![s](../../../upload.wikimedia.org/math/0/3/c/03c7c0ace395d80182db07ae2c30f034.png). Even though the molecules are moving in all directions, we may assume, on average, that one third of the molecules are moving along the x-axis, one third along the y-axis, and one third along the z-axis. We may assume this because the motion of the molecules is random, so no direction is preferred.

Suppose the average speed of the molecules is ![u](../../../upload.wikimedia.org/math/7/b/7/7b774effe4a349c6dd82ad4f4f21d34c.png). Let a specific wall of the container be labeled A. Because the collisions in Kinetic Molecular Theory are perfectly elastic, the speed after a collision is ![-u](../../../upload.wikimedia.org/math/8/7/4/874e080502787f148888ca8b609114a6.png). Therefore, the average change in _momentum_ (the product of mass and velocity) per collision is ![2mu](../../../upload.wikimedia.org/math/e/f/c/efc00022a11ccf986ac892fda81aac68.png). 

Each molecule, on average, travels a distance of ![2s](../../../upload.wikimedia.org/math/c/8/0/c804c3a15ebe05b5baf40ad5ee12be1f.png) between two consecutive collisions with wall A. Therefore, it will collide ![u/2s](../../../upload.wikimedia.org/math/d/8/c/d8cb5ef6ce29c29a314858160f784fa9.png) times per second with wall A.

![2mu \\times \\frac{u}{2s}=\\frac{mu^2}{s}](../../../upload.wikimedia.org/math/a/f/0/af0b6c018afdd704d4be3515d94b7281.png)
The average change in momentum per molecule per second.

![\\frac{Nmu^2}{3s}](../../../upload.wikimedia.org/math/e/6/f/e6f5c5723a1360abc6090c0566741618.png)
Therefore, this is the total change in momentum per second for the ![\(1/3\)N](../../../upload.wikimedia.org/math/a/3/a/a3ad626e9ec945d003513ac092353bd5.png) molecules that collide into wall A. This is the momentum per second that was exerted onto wall A. Because force equals the change in momentum over time, this value is the force exerted on wall A.

![\\frac{Nmu^2}{3s} \\times \\frac{1}{s^2}=\\frac{Nmu^2}{3s^3}](../../../upload.wikimedia.org/math/d/c/e/dce1f0b390e96503af2620d3beef79c1.png)
Pressure is defined as force per unit area, so this is the pressure ![P](../../../upload.wikimedia.org/math/4/4/c/44c29edb103a2872f519ad0c9a0fdaaa.png) of the gas.

![PV=\\frac{Nmu^2}{3}](../../../upload.wikimedia.org/math/8/7/6/876a682227c9afc7f3008c93f25d052d.png)
Because the volume of the container is ![V=s^3](../../../upload.wikimedia.org/math/4/3/6/4369d10adca4e2589dff8b4a2b85dffb.png), we can rearrange the equation.

![K=\\frac{1}{2}mu^2](../../../upload.wikimedia.org/math/4/f/1/4f11c3f177f8f9e333e518f1b8d0a38f.png)
The kinetic energy of a single particle is given by this equation.

![PV=\\frac{2}{3}NK](../../../upload.wikimedia.org/math/c/c/5/cc5bbfe19eea6d35cb97e55e8b553f72.png)
Substitute kinetic energy into the ![PV](../../../upload.wikimedia.org/math/a/5/6/a565153df227b0510b1c789d5cdc39ec.png) equation.

![PV=N k_B T](../../../upload.wikimedia.org/math/4/f/9/4f940e0a010a3bef240e4fd878edae27.png)
Substitute the temperature equation (from the previous section).

![PV = N_A n k_B T](../../../upload.wikimedia.org/math/5/7/f/57f4a24fc927bf7710e0b12b0001f32a.png)
Avogadro's number ![N_A](../../../upload.wikimedia.org/math/4/2/9/4297971aea2d28d336bcfba8a42fe4bc.png) is equal to the number of molecules per mole.

![R = k_B N_A](../../../upload.wikimedia.org/math/d/7/6/d76a585e9dcf0708dae0a9dbee6f1e39.png)
By definition, the ideal gas constant is equal to the Boltzmann constant times Avogadro's number.

![PV=nRT](../../../upload.wikimedia.org/math/e/0/4/e0412dbb6e50de76a383b8f6e7d81dce.png)
The ideal gas law is derived from the Kinetic Molecular Theory.

## Deviations from the Ideal Gas Law

In an ideal gas, there are no intermolecular attractions, and the volume of the gas particles is negligible. However, there is no real gas that can perfectly fits this behavior, so the Ideal Gas Law only approximates the behavior of gases. This approximation is very good at high temperatures and low pressures.

At high temperature the molecules have high kinetic energy, so intermolecular attractions are minimized. At low pressure the gas occupies more volume, making the size of the individual molecules negligible. These two factors make the gas behave ideally.

At low temperature or high pressure, the size of the individual molecules and intermolecular attractions becomes significant, and the ideal gas approximation becomes inaccurate.

## Eudiometers and Water Vapor

Helpful Hint!

In calculations for a gas above a liquid, the vapor pressure of the liquid must be considered.

A **eudiometer** is a device that measures the _downward displacement_ of a gas. The apparatus for this procedure involves an inverted container or jar filled with water and submerged in a water basin. The lid of the jar has an opening for a tube through which the gas to be collected can pass. As the gas enters the inverted container, it forces water to leave the jar (displacing it downward). To fill the entire container with gas, there must enough gas pumped into the container to expel all of the water.

![](../../../upload.wikimedia.org/wikibooks/en/2/22/DDofgas.jpg)

Gas is created by burning a substance that releases methane. The _eudiometer_ on the right was full of water before the gas was created. By measuring the change in volume, the amount of gas can be calculated.

As seen in this diagram, the downward displacement involves water. Therefore, in the container where the gas is collected, there is unwanted water vapor. To account for the water vapor, subtract the pressure of water vapor from the pressure of the gases in the container to find the pressure of the collected gas. This is simply a restatement of Dalton's Law of Partial Pressure:

![P_{total} = P_{water~vapor} + P_{gas}](../../../upload.wikimedia.org/math/0/7/1/071658bed955c4363a8a5086ecd00f43.png)

The pressure of water vapour can be found on [this webpage](http://eweb.chemeng.ed.ac.uk/chemeng/water.html).

## Gas Laws Practice Questions

  1. Between the Combined Gas Law and the Ideal Gas Law, which one accounts for chemical change? Explain.
  2. Calculate the density of hydrogen at a temperature of 298 K and pressure of 100.0 kPa.
  3. What volume does 5.3 moles of oxygen take up at 313 K and 96.0 kPa?
  4. Hydrogen and sulfur chemically combine to form the gas hydrogen sulfide, according to the reaction: H2 (g) \+ S(s) → H2S(g). How many liters of hydrogen are required to form 7.4 L of hydrogen sulfide (at STP: 273 K, 101.3 kPa)?

  
[Answers to Gas Laws Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws/Answers)

  
  


Equilibria

  


  


# Chemical Equilibrium

* * *

← [Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) ·[Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) →

[← Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Le Chatelier's Principle →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

**Chemical equilibrium** occurs when a **reversible reaction** is occurring backwards and forwards at the same time by the same amount. It is the balancing point of a chemical reaction, when it seems to stop happening. Although some reactions (like the combustion of propane) occur to completion (no backwards reaction), most reactions occur in both the forward and backward direction. One reaction will occur at a faster rate than the other, causing a net result. As the reaction progresses, the forward reaction slows down and the backward reaction speeds up. When the rates are equal, **equilibrium** has occurred. The reaction appears to have stopped, and the total amount of products and reactants remains stable.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Chemical reactions never really stop, but they no longer make any progress once the forwards and backwards reactions are occurring at the same rate. This is _equilibrium_.

## The Equilibrium Constant

The ratio of products to reactants, or ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png) is known as the **equilibrium constant**. For the generic reaction mA + nB → xC + yD, the equilibrium constant is

![K_{eq} = \\frac{\[C\]^x\[D\]^y}{\[A\]^m\[B\]^n}](../../../upload.wikimedia.org/math/0/8/b/08ba3ec26d0944791d7581953bb2f982.png)

where [X] detonates the **activity** of X. The activity of X is:

  * its concentration if X is a gas or in a solution
  * 1 if X is a pure solid or pure liquid

In other words, pure solids and liquids don't affect the equilibrium constant, as long as there is enough for the reaction to proceed. Their activity is 1, so they don't need to be written in the equilibrium constant.

### Kp and Kc

There are two types of ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png). One is ![K_c](../../../upload.wikimedia.org/math/e/c/2/ec21d446b70b80046b86f7da9ae771a0.png), and the activities are _concentrations_. You are already familiar with this expression; it is the normally-used ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png). For gaseous reactions, you may use the concentration equilibrium. You may also use _partial pressures_ instead of concentrations. This expression is denoted ![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png). The activities are partial pressures instead of concentrations. This can only be used when all products and reactants are in the gaseous phase.

To convert between ![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png) and ![K_c](../../../upload.wikimedia.org/math/e/c/2/ec21d446b70b80046b86f7da9ae771a0.png), there is an equation:

![K_p = K_c \(RT\)^{\\Delta n}](../../../upload.wikimedia.org/math/e/9/d/e9d8479b79a01cc9352e15e83b0e8301.png)

R is the Universal Gas Constant and T is the temperature at which the reaction is occurring. ![\\Delta n](../../../upload.wikimedia.org/math/5/f/5/5f57f9ea3b04c517e5af710d5cf42ca7.png) is the change (in moles) of gas molecules between products and reactants. It may be zero (in which case Kp = Kc).

### Examples

Example 1

15.0 moles of X and 20.0 moles of Y are put into an empty 2.0 liter container. They react, and eventually reach equilibrium with 7.0 moles of Z according to the hypothetical equation:

![\\hbox{X} + 2\\hbox{Y} \\to \\hbox{Z}](../../../upload.wikimedia.org/math/b/a/b/bab74fd8de35bac3a4ef33cdf603bbf4.png)

Calculate the equilibrium constant.

Solution: Because the container was originally empty and at equilibrium, all 7.0 moles of Z are produced by the reaction. Therefore, 7.0 moles of X and 14.0 moles of Y are consumed in the reaction, so at equilibrium there remain 8.0 moles of X, 6.0 moles of Y, and 7.0 moles of Z. Divide these values by 2.0 liters to determine the concentration, then substitute into the equilibrium expression:

![K_{eq} = \\frac{\[Z\]}{\[X\]\[Y\]^2} = \\frac{\[3.5\]}{\[4.0\]\[3.0\]^2} = 0.097](../../../upload.wikimedia.org/math/2/0/e/20ef9c6f6f446de55c5bf9abb71dd19e.png)

Example 2

5.00 moles of hydrogen are put into an empty 1.00-L container with 5.00 moles of iodine, where they react according to this equation:

![\\hbox{H}_2 + \\hbox{I}_2 \\to 2\\hbox{HI}](../../../upload.wikimedia.org/math/4/1/d/41d9ced455dadea23fa29adb210a708a.png)

The equilibrium constant is 51.5 at the temperature of the reaction. Calculate the number of moles of HI that will form.

Solution: Suppose 2_y_ moles of HI forms. Then, _y_ moles of H2 and I2 are consumed. Therefore, at equilibrium, there are 2_y_ moles of HI, and (5.00 - _y_) moles of both H2 and I2. Dividing by 1.00 liters (to find concentration) and writing an equilibrium expression gives:

![51.5 = \\frac{\[2y\]^2}{\[5.00-y\]\[5.00-y\]}](../../../upload.wikimedia.org/math/3/8/c/38ca88394994e4b5bdec0cd22f4bda40.png)

Solving this equation gives y = 3.91 (reject the other solution, as it is greater than 5.00). At equilibrium, there are 7.82 mol of HI.

## Calculations With K

The exact value of K doesn't really matter. What is important is its _magnitude_.

**K > 1**
Reactions favors products

**K < 1**
Reaction favors reactants

If the reaction favors products, it will occur in the forward (left-to-right) direction. If K is very large, the reaction will occur mostly to completion, using up almost all the reactants.

If the reaction favors reactants, it will occur in the reverse (right-to-left) direction. If K is very small, the reaction will use up almost all the products and make them into reactants. The reverse reaction is favored.

### Reaction Arithmetic

If you reverse the reaction (changing the direction of the arrow, or flipping the left and right sides), the new value of Keq will be its reciprocal.

A → B
(K = x)

B → A
(K = 1/x)

If you add two reactions, their equilibrium constants are multiplied.

A → B  
G → H
(K = x)  
(K = y)

A + G → B + H
(K = xy)

These basic principles can help you determine an unknown equilibrium constant by combining known constants.

### Q

Keq is only used when a reaction is in equilibrium. To find it, write its concentration (or partial pressure) expression, then plug in all the measured values. The resulting K can be used to predict other equilibrium positions.

If a reaction is not at equilibrium, you can still plug in the measured concentrations. Instead of calling this value Keq, it is called Q.

**Q > K**
The products must decrease and the reactants will increase.

**Q = K**
There is equilibrium.

**Q < K**
The reactants must decrease and the products will increase.

So, if you know the equilibrium constant for a reaction, and you know all the concentrations, you can predict what direction the reaction will proceed.

### I-C-E Charts

Let's say you know K for a reaction, and you know some concentrations. You can calculate the final (equilibrium) concentrations using an "Initial-Change-Equilibrium" chart. Here is an example.

![\\hbox{CO}_{\(g\)} + \\hbox{H}_2\\hbox{O}_{\(g\)} \\to \\hbox{CO}_{2\(g\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/1/4/3/143f76af3ffdb1feb899932328d77a64.png)

At 25°C, Kc = 23.2 for this reaction.

First, write the equilibrium expression:

![K_c = \\frac{\[H_2\]\[CO_2\]}{\[CO\]\[H_2O\]}](../../../upload.wikimedia.org/math/1/5/3/153aef3847ca2a3eae3384eb748e1440.png)

In a sealed container of 2.00 L: 3 mol H2O, 4 mol CO, 1 mol H2 have been added. (Write the ICE chart):

CO H2O CO2 H2

Initial
2
1.5
0
0.5

Change
-x
-x
+x
+x

Equilibrium
2-x
1.5-x
x
0.5+x

Now, plug in the "equilibrium" values into the K expression. Substitute all known values and solve for x. Then, substitute x for the final values to determine the equilibrium concentrations.

By substituting everything into the K expression, we have:

![ 23.3 = \\frac{\(0.5+x\) \\times \(x\)}{\(2-x\) \\times \(1.5-x\)}](../../../upload.wikimedia.org/math/7/a/a/7aa4ae91db36c1797e6b1888a887e7b6.png)

Solving this will require the use of the quadratic equation. It may be easier to use approximations or a graphing calculator. When solved, ![x = 1.34](../../../upload.wikimedia.org/math/1/b/9/1b93f7b20366db86dab29b73021c0efb.png) (disregard values of x that would give negative concentrations). By substituting x into the "equilibrium" values in the ICE chart, we can determine the concentrations of all substances when the reaction reaches equilibrium.

CO H2O CO2 H2

0.66 M
0.16 M
1.34 M
1.84 M

To check your answer, you could substitute these values into the equilibrium expression and see if it equals 23.3 (the given Keq value).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

This was a fairly simple example. There were no coefficients in the reaction, so no exponents in the expression.

The purpose of doing this is to see the final concentrations of the substances involved in a chemical reaction. Unless Keq is incredibly large, not all the reactants will be consumed.

## Equilibrium in Detail

The next few chapters in this book will provide more details on equilibrium.

### Shifts in Equilibrium

**Le Chatelier's principle** states that a system will adapt to minimize a change. If reactants are added, they will be consumed and products will form. Likewise, if products are added, they will be consumed (by the reverse reaction) and reactants will form.

The only change in a system that will affect the value of Keq is temperature. The value of Keq is never changed by the concentrations or pressures of the substances.

### Special Constants

![K_a = \\frac{\[H^+\] \[A^-\]}{\[HA\]}](../../../upload.wikimedia.org/math/1/7/9/1797ef4d5bb0d98ca3803b0932e09832.png)
Acids and bases have special **ionization constants**, which show how they react with water. The acid ionization constant, or Ka, tells how strong an acid is.

![K_b = \\frac{\[\\mbox{OH}^-\]\[\\mbox{BH}\]} {\[\\mbox{B}\]}](../../../upload.wikimedia.org/math/a/9/f/a9fdd81af59848ac143120055826bf09.png)
The base ionization constant, Kb, similarly tells how strong a base is.

![K_{sp} = \\frac{\[A^+\] \[B^-\]}{\[AB\]}](../../../upload.wikimedia.org/math/4/d/a/4da07bcdadb3439f87f7587d75f14ebd.png)
The **solubility product** Ksp shows how much an ionic substance will dissociate when dissolved.

### Relation to E

There is a special relation between the standard potential of a redox reaction and the equilibrium constant ![E=\\frac{0.0592 \\log K}{n}](../../../upload.wikimedia.org/math/7/a/0/7a02f5e9d0d6a12b17ed0598026f910e.png), where n is the number of moles of electrons transferred. This is a significant equation, because this allows us to calculate the hard to measure K from the easy to measure E.  


# Le Chatelier's Principle

* * *

← [Chemical Equilibria/Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Equilibrium) ·[Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) →

[← Chemical Equilibria/Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Equilibrium) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Acid-Base Equilibrium →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Le Chatelier's Principle

Le Chatelier's Principle states that when a system that is in [dynamic equilibrium](http://en.wikipedia.org/wiki/Dynamic_equilibrium) is disrupted in some way, the system will respond with chemical or physical changes to restore a new equilibrium state.

There are several changes that can effect the equilibrium position of a system:

  * Concentration
  * Pressure/Volume
  * Temperature

### Concentration

If the concentrations in a system are changed, Le Chatelier's Principle predicts that the equilibrium position will shift to minimize the change.

![CO\(g\) + H_2O\(g\) \\rightleftharpoons CO_2\(g\) + H_2\(g\)](../../../upload.wikimedia.org/math/e/c/9/ec9128a8e45f32adb9a296252d126497.png)

For example, let us say that the reaction above is at equilibrium. Adding more reactants (![CO\(g\)](../../../upload.wikimedia.org/math/6/4/a/64a5d59c6b1889fa348c877ccccfa1ba.png) and ![H_2O\(g\)](../../../upload.wikimedia.org/math/1/4/d/14dd8f9aabe12fb8c73c872f9e9f1919.png)) will disturb the equilibrium system because it raises the reactant concentration. The system will then produce more products (![CO_2\(g\)](../../../upload.wikimedia.org/math/7/9/f/79fb8281c05b98f53b7fc83a8d7c7fac.png) and ![H_2\(g\)](../../../upload.wikimedia.org/math/9/2/8/9288764416ac9a88dd49c02ec5211cbc.png)) and will decrease the reactant concentration in order to obtain equilibrium again. The system is now at a new equilibrium position, and the change created has been minimized.

The above example shows that increasing the reactants in an equilibrium system favors the products because the system produces more products and reduces the amount of reactants. The table below shows the response of an equilibrium system to changes in concentration:

Change in Concentration System response

Increase reactant
Favors products

Decrease reactant
Favors reactants

Increase product
Favors reactants

Decrease product
Favors products

### Pressure/Volume

If some the substances in a system are gas, changing their partial pressure is the same as changing their concentrations.

If the volume is increased, the overall pressure decreases (and vice versa). Consider the reaction A + B → 3C. There are three moles of products for every two moles of reactants. The product side has higher pressure than the reactant side. So, if pressure is increased (or volume decreased), equilibrium will shift towards the lower pressure side. Products will be consumed (by the reverse reaction) and reactants will form.

If pressure is decreased (or volume increased), equilibrium will shift towards the higher pressure side.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If an inert gas (such as neon) is added to a system, it will raise the overall pressure. However, the partial pressures of all products and reactants are unchanged, so no shift in equilibrium occurs.

### Temperature

Changes in concentration, pressure, and volume affect the equilibrium position, but the equilibrium constant Keq is unchanged. These changes can be calculated using the equilibrium expression and known values of Keq and concentrations.

Temperature, however, does change the value of Keq. When given a value of K, you will also be given a temperature because K is dependent on the temperature.

An increase in temperature will favor the endothermic (heat-absorbing) side of a reaction. A decrease in temperature will favor the exothermic (heat-releasing) side of a reaction.

For example, the following reaction is very exothermic:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/6/a/36a520001f697305c342d6d62b1795ad.png)

Because it is exothermic, you can think of it like this:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} + heat](../../../upload.wikimedia.org/math/2/b/8/2b8310b928b3bc5d9ac394b357879d6c.png)

At room temperature, Keq for this reaction is 3.2 x 1081. If this reaction happens at a very high temperature, what will happen? Less product will form (or maybe the reverse reaction will occur if the temperature is high enough) and Keq will be smaller. What will happen if this reaction occurs at a very low temperature? More product will form and Keq will be larger.  


# Acid-Base Equilibrium

* * *

← [Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) ·[Chemical Equilibria/Solutions in Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Solutions_in_Equilibrium) →

[← Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Solutions in Equilibrium →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Solutions_in_Equilibrium)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Consider an acid, HA, in water. According to the Brønsted-Lowry acid/base theory, the acid should protonate the water to form hydronium and the _conjugate base_, A-. There will be an **equilibrium** between the acid and water, and hydronium and the conjugate base.

![\\hbox{HA} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{A}^-](../../../upload.wikimedia.org/math/4/c/6/4c6c53b02bf89d8cb6eb9965ffccea27.png)

This equilibrium can be used to calculate the concentrations of species in the solution.

## Acid Dissociation Constant

Like all equilibria, an acid/base dissociation will have a particular **equilibrium constant** which will determine the extent of the reaction (whether it lies to the left or right of the equation). As the equilibrium constant approaches zero, the reaction tends to form 100% reactants. As the equilibrium constant approaches infinity, the reaction tends to form 100% products. The equilibrium constant K=1 states that there will be 50% products and 50% reactants.

![K = \\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{H}_2\\hbox{O}\]\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/7/4/6/74609bb781108c26c43cd82b29c7fc2e.png)

Helpful Hint!

Strong acids/bases dissociate completely, so their equilibrium constants are overwhelmingly large.

Because the equilibrium is used for calculating the concentrations of weak acids, very little water actually reacts. The concentration of water during the reaction is, therefore, a constant, and can be excluded from the expression for K. This gives rise to a special equilibrium constant, Ka, known as the **acid dissociation constant**. It is simply K multiplied by the concentration of water.

![K_a = \\hbox{K}\[\\hbox{H}_2\\hbox{O}\] = \\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/4/6/7/467643697d30e4b1a3cb65207064363d.png)

_The Ka of a weak acid determines how acidic it is, i.e., how far its equilibrium lies to the right._ The Ka values of weak acids can and have been determined experimentally.

## Base Dissociation Constant

A similar equilibrium exists when a weak base is dissolved in water. The base will accept a proton from water and form a conjugate acid, BH+.

![\\hbox{B} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{OH}^- + \\hbox{BH}^+](../../../upload.wikimedia.org/math/3/0/8/3082d7410c805cad4a92a8dfdb8f9f47.png)

This equilibrium has its own special constant, Kb, known as the **base dissociation constant**. Like the acid dissociation constant, it is defined as the equilibrium constant multiplied by the concentration of water.

![K_b = K\[\\hbox{H}_2\\hbox{O}\] = \\frac{\[\\hbox{BH}^+\]\[\\hbox{OH}^-\]}{\[\\hbox{B}\]}](../../../upload.wikimedia.org/math/e/3/7/e37350018d23a5ee855a673efd99ed12.png)

## Ion Product Constant

A special equilibrium exists between ordinary water molecules. Occasionally, one water molecule will act as an acid, and donate a proton to another water molecule (which acts as a base). This is the _auto-ionization_ of water.

![\\hbox{H}_2\\hbox{O} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/1/e/a/1ea94bb0d6e561f43a2ff11e098366fa.png)

By the Le Chatelier Principle, we can see that if the hydronium ion concentration is increased (by adding an acid), the equilibrium will move to the left and there will be a _lower_ concentration of hydroxide. Thus, hydronium and hydroxide concentration are inversely related—an increase in one will result in a decrease in the other, and vice versa.

The equilibrium expression for this reaction is given a special name, Kw. Because it simplifies to the product of hydronium and hydroxide concentration, it is sometimes called the **ion product** constant. The value of this constant is 1.0 × 10-14 at 25°C.

![K_w = \[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{OH}^-\] = 1.0 \\times 10^{-14}](../../../upload.wikimedia.org/math/9/2/9/929e3ca6b7e054b1a6a9aac71feefe75.png)

This expression can be used to find the pH of pure water. Recall that pH is the negative logarithm of hydronium ion concentration. If we set the hydronium ion concentration in the above expression to be x, we can derive the pH. The hydroxide ion concentration must also be x (since each molecule of hydroxide is a result of a molecule of hydronium forming). We have:

![\\begin{matrix}x^2 &=& 1.0 \\times 10^{-14} \\\\
x &=& \\sqrt{1.0 \\times 10^{-14}} \\\\
x &=& 1.0 \\times 10^{-7} \\\\
\\hbox{pH} &=& -\\log{1.0 \\times 10^{-7}} \\\\
\\hbox{pH} &=& 7.0\\end{matrix}](../../../upload.wikimedia.org/math/9/b/c/9bce9f6ef2511ecc4aa9210ec0f1dbbe.png)

This technique can be used to determine the pH of any solution if either one of the ion concentrations are known.

## Conjugate Base Expressions

The conjugate bases of weak acids have a relationship with their parent acids. Consider the equilibrium expression of the conjugate base, A-, of the weak acid HA.

![K_b = {\\frac{\[\\hbox{HA}\]\[\\hbox{OH}^-\]}{\\hbox{A}^-}}](../../../upload.wikimedia.org/math/a/2/7/a278207ba16d74b8bba6251c87a99bab.png)

If we multiply the expression for an acid by the expression for its conjugate base, the concentrations of the acid and conjugate base cancel and we obtain the ion product constant for water! This allows us to calculate the Kb of a base if the Ka of its conjugate acid is known (and vice versa).

![\\begin{matrix}
\\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]} &\\times& \\frac{\[\\hbox{HA}\]\[\\hbox{OH}^-\]}{\[\\hbox {A}^-\]} &=& \[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{OH}^-\] \\\\
K_a &\\times& K_b &=& K_w \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/f/2/a/f2a51d1979554b9aaa617a9ca093fc88.png)

## Summary

The definitions of the acid and base **dissociation constants** are very important. They are presented here for reference.

![K_a = \\frac{\[\\hbox{H}_3{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/3/b/5/3b5207c4c15712b0149c9ccb7dce0b80.png)
The _acid dissociation constant_ measures the strength of an acid dissolved in water.

![K_b = \\frac{\[\\hbox{BH}^+\]\[\\hbox{OH}^-\]}{\[\\hbox{B}\]}](../../../upload.wikimedia.org/math/3/9/9/399617f17dcd71a5765ba99fb543bdf9.png)
The _base dissociation constant_ measures the strength of a base dissolved in water.

![K_w = K_a \\times K_b](../../../upload.wikimedia.org/math/6/f/b/6fb3f105cb442c36097983c8bf49d13b.png)
The _ion product constant_ relates the concentrations of acids/bases and their conjugates in a solution.

  


# Solutions in Equilibrium

* * *

← [Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) ·[Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) →

[← Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Kinetics →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Solution

Helpful Hint!

You may need to review [solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) and [the properties of solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions).

All ionic compounds are soluble in water to some extent, but the degree of solubility varies. While some compounds dissolve almost completely, others dissolve to such a small extent that they are simply called _insoluble_ compounds. Such compounds include calcium sulfate, silver chloride, and lead hydroxide. Generally, ionic compounds whose component ions have larger charge magnitudes are less soluble because the ions are attracted too much to dissociate. A soluble compound will dissociate because of the attractions with the surrounding water molecules are strong enough to separate the ions.

For an ionic compound to dissociate, the forces of attraction between its component ions and the surrounding water molecules must be greater than the forces of attraction between the ions within the compound. When introduced to an aqueous environment, ionic compounds such as sodium chloride, sodium hydroxide, and ammonium bromide dissolve because of this.

## Solubility Constant

![\\hbox{AB}_{\(s\)} \\xrightarrow{water} \\hbox{A}^+_{\(aq\)} + \\hbox{B}^-_{\(aq\)}](../../../upload.wikimedia.org/math/f/d/c/fdc1d8b13e08463e6a2cced736ce4853.png)
This reaction shows an ionic compound AB dissolving into its ions A+ and B-.

![K = \\frac{\[\\hbox{A}^+\] \[\\hbox{B}^-\]}{\[\\hbox{AB}\]}](../../../upload.wikimedia.org/math/f/3/a/f3ad688d327902d34ddeb496af055d2a.png)
This is the equilibrium constant for the reaction. Water is excluded because, although involved, it is not a product or reactant.

![K_{sp} = \[\\hbox{A}^+\] \[\\hbox{B}^-\]](../../../upload.wikimedia.org/math/6/0/2/602e56d58e3add825a77f63167af52cb.png)
Because the undissolved AB is a solid, pure substance, it can be excluded from the expression. The result is the **solubility constant Ksp**. It measures the degree of solubility of an ionic compound.

If two or more of the same ion are created by the dissociation of one particle of the ionic compound, the molar concentration of this ion is raised to the power of how many such ions there are. For example, when calcium chloride dissociates, two chloride ions are created in the dissociation of one particle, so the concentration of the chloride ion is squared when calculating Ksp.

![K_{sp} = \[\\hbox{Ca}^{2+}\] \[\\hbox{Cl}^-\]^2](../../../upload.wikimedia.org/math/f/6/e/f6ec8be7a4c832f1ca480093964a4c8e.png)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ksp is the equilibrium constant for the dissolution reaction above. 

  * If Ksp is much _greater_ than 1, the substance is **soluble**.
  * If Ksp is very _close_ to 1, the substance is **slightly soluble**, or soluble only in very low quantities.
  * If Ksp is _less_ than 1, the substance is **insoluble**.

An example of a slightly soluble substance is calcium hydroxide. In very minute quantities, it will dissolve completely, but in large quantities it remains mostly undissolved.

## Calculations with Ksp

### Finding Ksp

It would not be an uncommon situation if you know a substance's _solubility_ (g/mL), but you need to know its Ksp value. Follow this example:

![K_{sp} = \[\\hbox{Ca}^{2+}\]\[\\hbox{OH}^-\]^2](../../../upload.wikimedia.org/math/6/9/4/694b2f7f75291639c5448ff6a471d266.png)
This is the solubility constant for calcium hydroxide. We wish to determine is numerical value, but we only know that its solubility is 0.185 g per 100 mL.

![ \\frac{0.185~g}{0.100~L} \\times \\frac{1.00~mol}{74.09~g} = 2.497 \\times 10^{-2}~mol/L](../../../upload.wikimedia.org/math/3/1/a/31aeaa4057874238420e2b08fab35983.png)
We need to know its **molar solubility**, so we convert units and divide by molar mass.

![K_{sp} = \(2.497 \\times 10^{-2}\)\(4.994 \\times 10^{-2}\)^2 = 6.23 \\times 10^{-5}](../../../upload.wikimedia.org/math/d/a/f/dafdadec48a45d609397d86fe7d2d4fd.png)
Now, plug in the molar solubility into the Ksp expression. Notice that the hydroxide concentration is doubled because there will be twice as many moles as the undissolved substance.

We have now determined the Ksp value for calcium hydroxide. It will allow us to determine other information about solutions containing these ions, such as percent ionization and the formation of precipitates.

Questions for the reader

Lead(II) iodide is slightly soluble in water. It forms a bright yellow precipitate if too much is dissolved. You have determined that 0.75 g will dissolve in one liter of cold water. What is the molar solubility of lead(II) iodide? What is the Ksp value?

After heating the water, the solubility rises to 4.3 g per liter. What is the new Ksp value?

A similar process can be used to determine a substance's solubility by working backwards from the solubility constant.

### Percent Ionization

Once an ionic compound's Ksp value is known, it is possible to determine the _percent ionization_, or relative amount of dissociated ions.

![K_{sp} = \[Ag^+\]^2\[SO_4^{2-}\] = 1.20 \\times 10^{-5}](../../../upload.wikimedia.org/math/8/3/4/834f4647b43b8604766c75c0cfe10afc.png)
We know the Ksp for silver sulfate, which is slightly soluble, and we want to know the percent ionization.

![1.20 \\times 10^{-5} = \(2x\)^2 \\times \(x\)](../../../upload.wikimedia.org/math/0/a/0/0a0ef0423102448f3f28ba5ce3ebb57f.png)  
![x = 0.0144](../../../upload.wikimedia.org/math/1/5/7/1570067616088920ea10a671a85d2726.png)
Substitute _x_ for the concentration of sulfate and _2x_ for silver. Solve for x.

![percent~ionized = \\frac{0.0144~mol/L}{2.00~mol/L} = 0.72 %](../../../upload.wikimedia.org/math/5/c/c/5ccf585955b9958d7f066184ff111154.png)
We now know the maximum concentration of the ions. Any remaining silver nitrate will be undissolved because the solubility has been exceeded and the solution is saturated. To determine percent ionization, we must know how much silver sulfate was dissolved. For this example, assume 1.00 mole was dissolved into 0.500 L of water.

As you can see, the percent ionization decreases as the amount of solute increases. This is because the solution is saturated and no more ions will dissociate.

Question for the reader

Lithium fluoride has a Ksp of 1.84 x 10-3. If 1.5 g are dissolved, what will be the percent ionization?

  


### Precipitates

Obviously, the dissociate reaction occurs in reverse if there are too many ions. In this case, the solution is saturated, and any excess ions will solidify and form a precipitate.

If two soluble solutions are mixed, but the can form an insoluble compound, a precipitate will form.

![K_{sp} = \[\\hbox{Ag}^+\]\[\\hbox{Cl}^-\] = 1.77 \\times 10^{-10}](../../../upload.wikimedia.org/math/1/1/3/11370924f6b3c57c563cbbc69b8552a0.png)
For example, a solution of silver nitrate is mixed with a solution of sodium chloride. Both are soluble. Silver chloride, however, is insoluble.

![\\frac{.001~g~\\hbox{AgNO}_3}{170~g/mol} = 5.9 \\times 10^{-6}~mol~\\hbox{Ag}^+](../../../upload.wikimedia.org/math/2/8/d/28d2f3ea591bd0711aa0b3f7e9d62eb5.png)  
  


![\\frac{.001~g~\\hbox{NaCl}}{58~g/mol} = 1.7 \\times 10^{-5}~mol~\\hbox{Cl}^-](../../../upload.wikimedia.org/math/2/6/f/26f87c69a88a67f12df2a95307910b95.png)

If 1.00 mg NaCl and 1.00 mg AgNO3 are dissolved into 1.00 L of water, will a precipitate form?

![Q = \(5.9 \\times 10^{-6}\)\(1.7 \\times 10^{-5}\) = 1.0 \\times 10^{-10}](../../../upload.wikimedia.org/math/3/8/b/38b4d4653d0225c74ff6bc87ec7c8866.png)  
![Q < K_{sp}](../../../upload.wikimedia.org/math/3/f/1/3f14566b814088393c1af8990ffff6ec.png)
No, a precipitate will not form.

![\\frac{.002~g~\\hbox{NaCl}}{58~g/mol} = 3.4 \\times 10^{-5}~mol~\\hbox{Cl}^-](../../../upload.wikimedia.org/math/7/c/c/7cc3fc65547f873b7aa88450ee9293c4.png)  
  


![Q = \(5.9 \\times 10^{-6}\)\(3.4 \\times 10^{-5}\) = 2.0 \\times 10^{-10}](../../../upload.wikimedia.org/math/5/2/5/525b2c624b6defd6a0628d0c61a3141f.png)

Now, another milligram of sodium chloride is dissolved.

![Q > K_{sp}](../../../upload.wikimedia.org/math/0/a/5/0a56cb6548d4414a59cafd3195e23d06.png)
The extra chloride ions will bond with silver ions and form a solid precipitate.

In this case, the precipitate would probably be too small and dilute to be noticed. As more ions are added, however, the solution will become visibly cloudy.

Question for the reader

Calcium carbonate has a Ksp of 3.36 x 10-9. In a 0.01 M solution of calcium chloride (soluble), how many moles of sodium carbonate (also soluble) can be added before precipitates form?

  
  


Kinetics

  


  


# Introduction

* * *

← [Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) ·[Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) →

[← Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reaction Rates →](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical kinetics is the study of the rates of chemical reactions. You may know if a reaction is capable of happening, and you may know how far the reaction will proceed, but you don't know fast it will happen. Consider two reactions: the rusting of an iron nail and the combustion of propane. Both reactions will occur, and both will occur to completion. The rusting will take years to complete, but propane will combust in an instant. Furthermore, the nail will rust faster when it's moist, and slower in the presence of less oxygen. Obviously, there are factors that affect the rates of chemical reactions. The study of these factors and rates is **chemical kinetics**.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Stacheldraht_05.jpg/120px-Stacheldraht_05.jpg)

This iron wire has taken years to become rusty.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Sechselauten_2007_Boegg_Explosion.JPG/90px-Sechselauten_2007_Boegg_Explosion.JPG)

This fire took only a moment to start.

## Reaction Rate

![a\\hbox{A} + b\\hbox{B} \\to c\\hbox{C} + d\\hbox{D}](../../../upload.wikimedia.org/math/f/b/b/fbb69b5fc0ae982ea42f140e2f829745.png)
Consider this generic chemical reaction. (Lower case letters represent the molar coefficients.)

![r = -\\frac{1}{a} \\frac{d\[\\hbox{A}\]}{dt} = -\\frac{1}{b} \\frac{d\[\\hbox{B}\]}{dt} = \\frac{1}{c} \\frac{d\[\\hbox{C}\]}{dt} = \\frac{1}{d} \\frac{d\[\\hbox{D}\]}{dt}](../../../upload.wikimedia.org/math/f/f/3/ff3eaf82e72fd74d514456822d1ec55b.png)
The reaction rate ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is defined as the rate of change of the concentration of the substances. Remember that a substance written inside brackets is its concentration, and it is always raised to the power of its coefficient in the reaction (just like equilibrium expressions). The reaction rate involves [Calculus](http://en.wikibooks.org/wiki/Calculus), but in non-mathematical terms it is simply the rate of change of the concentrations.

![r = k\[\\hbox{A}\]^a\[\\hbox{B}\]^b](../../../upload.wikimedia.org/math/5/d/c/5dc01fb7aaa1c44486fd64b3d4eadf02.png)
Actually measuring the rate of change of the reactants and products is difficult. Instead, the reaction rate can be accurately modeled by a **rate equation**. This is an example of a rate equation that might model the above reaction, where ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant.

In summary, the _reaction rate_ can be determined using a _rate equation_, which depends on (among other things) the concentration of the reactants. The reaction rate essentially measures the speed at which a reaction proceeds.

## Collision Theory

All reactions have activation energy regardless of being endothermic or exothermic.

Collision theory predicts that reactions occur when molecules collide. In order for reactants to form products, the reactant molecules must physically collide so that they can rearrange themselves into product molecules. Only some collisions are _effective_ because the collision must involve enough energy to allow the reaction to occur. This is called **activation energy**, the energy needed to begin a reaction.

Activation energy explains why gasoline will not spontaneously ignite. First, a small spark or flame must be present. The heat generated by the spark gives the gasoline molecules enough energy to activate the reaction. Being highly exothermic, the combustion of gasoline releases a large amount of heat—more than enough to activate further reactions and create a fire.

Collision theory allows us to predict the **rate constant** ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) for a rate equation (see above). At a given temperature ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png), the rate constant is:

![k = Z \\rho e^{-E_a / \(RT\)}](../../../upload.wikimedia.org/math/c/c/7/cc7295df9a32bab799c93df26c844d51.png),

where ![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas Constant, ![E_a](../../../upload.wikimedia.org/math/7/0/6/706147204f35ca44a72fd767aab6fa6e.png) is the activation energy for the reaction, ![\\rho](../../../upload.wikimedia.org/math/f/7/f/f7f177957cf064a93e9811df8fe65ed1.png) is a predicted-to-actual correction factor, and ![Z](../../../upload.wikimedia.org/math/2/1/c/21c2e59531c8710156d34a3c30ac81d5.png) is the **collision factor**. The collision factor can also be calculated mathematically. It is the average number of reactant particle collisions per unit time.

## Factors Affecting Rate

The rate of a reaction is affected by many factors. These effects can be measured empirically or explained by collision theory.

### Concentration

This is the most obvious factor affecting rate. Increasing the concentration of the reactants will increase the rate they react. This is the main purpose of writing a rate equation; the concentrations can be plugged in like variables and the rate can be solved mathematically. In a rate equation in the form ![r = k\[\\hbox{A}\]^a\[\\hbox{B}\]^b](../../../upload.wikimedia.org/math/5/d/c/5dc01fb7aaa1c44486fd64b3d4eadf02.png), the concentrations are the variables (raised to the powers of their coefficients in the reaction). All other factors that can affect rate are lumped into ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png), which is considered a constant.

Collision theory explains this. Higher concentrations means more molecules packed into a given space. Therefore, there will be more collisions and thus a faster reaction.

### Pressure

In a reaction of gaseous reactants, the partial pressure of the gases has the same function as the concentration.

Adding an inert gas like argon will not affect the rate because the partial pressures of the reacting gases remain the same.

However, increasing the overall pressure (or decreasing the volume if you remember the [gas laws](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws)) will also result in a greater reaction rate. The increased pressure causes the molecules to collide with more force. More collisions will be effective and therefore products will form faster.

### Temperature

As you should already know, a molecule's kinetic energy is directly proportional to its temperature. By increasing the temperature, molecules collide more vigorously, and more collisions will be effective.

### Stirring

In a _heterogeneous reaction_ there are two or more phases of matter interacting, such as a solid dissolving into a liquid. Stirring or shaking the mixture will speed up the reaction rate. This is common sense. When you add sugar to a drink, you stir it because you know it will dissolve faster. Collision theory would predict this because the stirring would increase the number of collisions between reactant molecules.

In a similar manner, increasing the surface area of a solid reactant will increase the reaction rate.

### Catalysts/Enzyme

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/CatalysisScheme.png/220px-CatalysisScheme.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The activation energy Ea is decreased by a catalyst, but the overall reaction does not change.

A **catalyst** is a substance that helps a reaction proceed without being consumed. [Catalysts](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations#Other_Information) have already been explored in this book. A Catalyst provides a reaction pathway with lower activation energy.

In biochemistry, an **enzyme** is a protein that serves as a catalyst.  


# Reaction Rates

* * *

← [Introduction to Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Kinetics) ·[Reaction Mechanisms](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Mechanisms) →

[← Introduction to Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Kinetics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reaction Mechanisms →](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Mechanisms)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

Reaction rates of a chemical system provide the underpinnings of many theories in thermodynamics and chemical equilibria.

Elementary reactions are one-step processes in which the reactants become the products without any _intermediate_ steps. The reactions are unimolecular (A → products) or bimolecular (A + B → products). Very rarely, they could be trimolecular (A + B + C → products), but this is not common due to the rarity of three molecules colliding at the same time.

A complex reaction is made up of several elementary reactions, with the products of one reaction becoming the reactants of the next until the overall reaction is complete.

## Rate Equation

![m\\hbox{A} + n\\hbox{B} \\rightarrow p\\hbox{C} + q\\hbox{D}](../../../upload.wikimedia.org/math/6/c/3/6c366c4f5b993199e9deeae55493d353.png)
Consider an arbitrary chemical reaction.

![r = k\[\\hbox{A}\]^m\[\\hbox{B}\]^n](../../../upload.wikimedia.org/math/d/3/f/d3f9f36b85f7cabe4c1fb7ae1f98d865.png)
The rate at which the products will form from the reactants is given by this _rate equation_.

![r = k\[\\hbox{C}\]^p\[\\hbox{D}\]^q](../../../upload.wikimedia.org/math/e/7/c/e7c3ea58eb2552c405e3c56a8eaa57a5.png)
The rate of the reverse reaction (which also occurs to a lesser extent) has its own rate equation.

Note [A] is raised to the power of m, its coefficient, just like an equilibrium expression. The rate of the reaction may rely on the molar coefficients of the reactant species, but it might not. However, for an elementary reaction, the concentrations of the species A and B are always raised to their molar coefficients. This only applies to **elementary reactions**, which is a very important distinction to make.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is the rate reaction coefficient, which is reaction-specific. It can be considered a constant, although it does change with temperature (and possible other factors).

### Order

The order of an equation is what the concentration of a substance is raised to in the rate equation. The greater the number, the greater effect it will have on rate. For example, zero order equations do not effect the rate. To find the order, you must alter one concentration and keep the rest the same, Dividing gives an equation which can be used to solve for the order. To find overall order, simply add all orders together.

### Zero-Order Equations

Zero-order equations do not depend on the concentrations of the reactants.

![r = k \\,](../../../upload.wikimedia.org/math/a/9/7/a97312955ee1477cb3001ed50d8a149c.png)
There is only a rate coefficient with no concentrations. The rate probably depends on temperature, and possibly other factors like surface area, sunlight intensity, or anything else except for concentration. These reactions usually occur when a substance is reacting with some sort of catalyst or solid surface.

![\[\\hbox{A}\] = \[\\hbox{A}\]_0 - kt \\,](../../../upload.wikimedia.org/math/5/2/c/52ca795c3f429e5f5ec443b8f945bf7a.png)
The **integrated rate law** tells us how much reactant will remain after a given amount of time. Integrated rate laws can be found using [calculus](http://en.wikibooks.org/wiki/Calculus), but that isn't necessary. In this zero-order integrated rate law, ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is the rate coefficient from the rate equation, ![t](../../../upload.wikimedia.org/math/e/3/5/e358efa489f58062f10dd7316b65649e.png) is time, and ![\[\\hbox{A}\]_0](../../../upload.wikimedia.org/math/a/c/2/ac254e983b473732d2e78ea6491f4d8a.png) is the starting concentration.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If you make a graph of concentration vs. time, you will see a straight line. The slope of that line is equal to ![-k](../../../upload.wikimedia.org/math/f/f/2/ff2bddd61609f26dc3255408781890ad.png). This is how you can identify a zero-order rate.

### First-Order Equations

First-order equations depend on the concentration of a unimolecular reaction.

![r = k \[\\hbox{A}\] \\,](../../../upload.wikimedia.org/math/f/b/1/fb1ddf175a346e1dc667b1cf1d7b3bec.png)
There is a rate coefficient multiplied by the concentration of the reactant. As with a zero-order equation, the coefficient can be though of as a constant, but it actually varies by the other factors like temperature. There can be other reactants present in the reaction, but their concentrations do not effect the rate. First-order equations are often seen in [decomposition reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions).

![ \\ln \[\\hbox{A}\] = -kt + \\ln \[\\hbox{A}\]_0 \\,](../../../upload.wikimedia.org/math/a/3/f/a3f7c70610e55cb79da2619fc104c076.png)
This is the integrated rate law.

![t_{1/2} = \\frac{\\ln 2}{k} \\,](../../../upload.wikimedia.org/math/f/4/6/f466a2df5964d4fe31653dacc970d979.png)
The **half-life** of a reaction is the amount of time it takes for one half of the reactants to become products. One half-life is 50% completion, two half-lives would lead to 75% completion, three half-lives 88%, and so on. The reaction never quite reaches 100%, but it does come close enough. To find the half-life, you can algebraically manipulate the integrated rate law.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If you make a graph of the _logarithm_ of concentration vs. time, you will see a straight line with a slope of ![-k](../../../upload.wikimedia.org/math/f/f/2/ff2bddd61609f26dc3255408781890ad.png). This is how you can identify a first-order rate.

### Second-Order Equations

Second-order equations depend on the two concentrations of a bimolecular reaction.

![r = k \[\\hbox{A}\] \[\\hbox{B}\] \\,](../../../upload.wikimedia.org/math/6/7/1/6716e59de42cbc3f7f3ab839133b515b.png)
This is the rate law for a second-order equation.

![r = k \[\\hbox{A}\]^2 \\,](../../../upload.wikimedia.org/math/5/c/8/5c8a5d85cc01ac305f57e4de63af6efa.png)
If there are two molecules of the same kind reacting together, the rate law can be simplified.

![\\frac{1}{\[\\hbox{A}\]} = \\frac{1}{\[\\hbox{A}\]_0} + kt \\,](../../../upload.wikimedia.org/math/6/6/0/660d14afe39af6fa1ce90be688acb79f.png)
In that case, this is the integrated rate law.

![t_{1/2} = \\frac{1}{k\[\\hbox{A}\]_0} \\,](../../../upload.wikimedia.org/math/1/d/e/1decb48fc29b6a4cd26041882b4e8a11.png)
This is the half-life for a second-order reaction (with only one reactant).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

To see a graph with a straight line of slope ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png), graph the reciprocal of concentration vs. time.

## Equilibrium

Equilibrium will occur when the forward and reverse rates are equal. As you may have already noticed, the equilibrium expression of a reaction is equal to the rate equations divided.

![2 \\hbox{NO}_2 \\to \\hbox{N}_2\\hbox{O}_4](../../../upload.wikimedia.org/math/d/1/2/d12e1fc5e982bca5ee3a673d7715ac50.png)
Consider this reaction, the _dimerization_ of nitrogen dioxide into dinitrogen tetraoxide.

![r_f = k_f\[\\hbox{NO}_2\]^2 \\,](../../../upload.wikimedia.org/math/b/2/3/b23346600999516fd4a9f97ed4b861f7.png)

  
![r_r = k_r\[\\hbox{N}_2\\hbox{O}_4\] \\,](../../../upload.wikimedia.org/math/2/9/9/299c14a2204782be6ddb9b5791a236e1.png)

The forward reaction rate is second-order, and the reverse reaction rate is first-order.

![k_f\[\\hbox{NO}_2\]^2 = k_r\[\\hbox{N}_2\\hbox{O}_4\] \\,](../../../upload.wikimedia.org/math/c/d/5/cd5fa8f5dfd4689ee8d6535740c8c174.png)
The rate coefficients may be different for the two reactions. If the reaction is in equilibrium, the forward and reverse rates must be equal.

![K_{eq} = \\frac{k_f}{k_r} = \\frac{\[\\hbox{N}_2\\hbox{O}_4\]}{\[\\hbox{NO}_2\]^2}](../../../upload.wikimedia.org/math/9/8/2/982f5b526c1b5a65c222647fadfc2d5d.png)
Rearranging the equation gives the equilibrium expression.

Understanding kinetics explains various concepts of equilibrium. Now it should make sense why increasing the reactant concentration will make more products. The forward rate increases, which uses up reactants, which decreases the forward rate. At the same time, products are made, which increases the reverse reaction, until both reaction rates are equal again.

## Arrhenius Equation

The Arrhenius equation determines a rate coefficient based on temperature and activation energy. It is surprisingly accurate and very useful. The Arrhenius equation is:

![k = Ae^{-E_a / RT}](../../../upload.wikimedia.org/math/a/d/3/ad348893866bd152881709fee0ce6e36.png)

![E_a](../../../upload.wikimedia.org/math/7/0/6/706147204f35ca44a72fd767aab6fa6e.png) is the activation energy for the reaction, in joules per mole. ![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas Constant, ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) is the temperature (in kelvin), and ![A](../../../upload.wikimedia.org/math/7/f/c/7fc56270e7a70fa81a5935b72eacbe29.png) is the _prefactor_. Prefactors are usually determined experimentally.  


# Reaction Mechanisms

* * *

← [Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) ·[Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) →

[← Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

![](../../../upload.wikimedia.org/wikipedia/commons/8/8c/Wohler_synthesis.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A step-by-step breakdown of a reaction shows its _mechanism_, the actual process of reactions becoming products.

Chemists often write chemical equations for reactions as a single step, which only shows the net result of a reaction. However, most chemical reactions occur in a series of steps called [elementary reactions](http://en.wikipedia.org/wiki/Elementary_reaction). All of these elementary reactions must add up to equal the overall balanced equation. The complete sequence of these elementary steps is called a **reaction mechanism**. The reaction mechanism is the step-by-step process by which reactants actually become products. It is the "how" of the reaction, whereas the overall balanced equation only shows the "what" of the reaction.

## Rate-Determining Steps

Sometimes, **intermediate substances** are created in the process that disappear in the end. Take the following example of a homogeneous reaction (where products and reactants are all in the same phase):

![\\hbox{CO} + \\hbox{NO}_2 \\to \\hbox{CO}_2 + \\hbox{NO}](../../../upload.wikimedia.org/math/d/1/2/d127dbb3046b871876af9f45c5df0d7a.png)

There are actually two reactions occurring at different speeds.

  * ![2\\hbox{NO}_2 \\to \\hbox{NO}_3 + \\hbox{NO}](../../../upload.wikimedia.org/math/8/4/2/8423296adad9db6d41e7dfba8922d59a.png) (slow)
  * ![\\hbox{NO}_3 + \\hbox{CO} \\to \\hbox{NO}_2 + \\hbox{CO}_2](../../../upload.wikimedia.org/math/f/9/e/f9ec325fc2605ae3814c39a6915d875c.png) (fast)

Since the first step is the slowest, and the entire reaction must wait for it, it is known as the **rate-determining step**. The overall reaction rate depends almost entirely on the rate of the slowest step. The other steps are fast enough that their rate is insignificant, as they are always waiting for the slower step to complete.

Why is the first step slower? Collision theory explains whether or not particles react when they collide. The particles must collide with a minimum energy and a proper orientation if a reaction is to occur.

The minimum energy needed for a reaction to occur is its **activation energy**. The particles must be moving fast enough for their collision to satisfy the activation energy. Without the necessary energy, the particles will bounce off each other with no reaction. A good example of activation energy is a butane lighter, which needs a spark before the fluid burns. The spark provides enough energy to the particles to make their collisions effective.

Reactions with high activation energy will be slower than those with low activation energy. With a high activation energy, less particles are likely to generate the needed energy when they collide. Reactions that break bonds, especially double or triple covalent bonds, will have higher activation energy.

The particles must also collide with the proper orientation. For example, the reaction in the animation above shows an ammonium ion reacting with a NCO- ion. For the reaction to occur, the ammonium ion must collide with the nitrogen of the NCO-. If the ions don't collide in the right place while facing in the right direction, the reaction cannot occur.

Reactions that have very specific requirements for the orientation of the colliding particles will be much slower. Reactions that can occur without a specific orientation will happen faster.

## Determining the Validity of an Elementary Step Model

In order for a proposed elementary step equation to be valid it must fulfil these requirements.

1\. The rate equation of the slow step much match the rate equation of the overall reaction.

2\. The reactants and products of all the elementary steps added together must equal the one of the actual equation.

3\. The rate law for the elementary step must be able to be written without the concentration of the intermediates, because the intermediates are too small to be accurately measured.

For example, if given this equation and asked to prove the rate mechanism

Equation ![\\hbox{2O}_3 \\to \\hbox{3O}_2 + \\hbox{NO}](../../../upload.wikimedia.org/math/8/2/2/822bee76a65e812746e1ee11840dc56b.png)

Proposed Mechanism

![\\hbox{O}_3 \\to \\hbox{O}_2 + \\hbox{O}](../../../upload.wikimedia.org/math/e/1/0/e10a4c862f822075dcac88f82c20f0dd.png) (fast)

![\\hbox{O}_3 \\hbox{O} \\to \\hbox{2O}_2 ](../../../upload.wikimedia.org/math/4/0/0/400d0dab95e649b80b646cbee20496c7.png) (slow)

![ rate = k \[O_3\]^2/\[O_2\] ](../../../upload.wikimedia.org/math/0/8/6/086f9fb623f9e3a79587986ec0068fdc.png)

We know that when the reaction occurs backwards, the k changes from k to k^{-1}. So, we substitute in the backwards rate for O_3, and plug it into the slow step. Then, take the rate equation of the slow step. We find that it is the same as the rate law for the overall equation and meets the three criteria above, so this proposed mechanism is valid.

  
  


Thermodynamics

  


  


# Introduction

* * *

← [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) ·[Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) →

[← Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Enthalpy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Thermodynamics is the study of the changes in energy that occur in reactions.

## Systems

A **system** is the set of substances and energy that is being studied. If, for example, reactions are occurring in a jar, everything inside the jar is the system, and everything outside the jar is the **surroundings**. The surroundings are everything not in the system, which means the rest of the universe. The system and the surroundings together are called the "universe".

One important issue is what kind of interactions exist between the system and its surroundings. Some systems may exchange matter and heat with the surroundings (like a system of boiling liquid losing matter and heat with the vapor). This is called an **open system**. If there is just heat exchange occurring between the system and its surroundings it is called a **closed system**. No matter can enter or leave a closed system. And, finally, if there is no exchange of heat and no exchange of matter, the system is completely **isolated**.

## Temperature vs. Heat

If you put a hot iron pot under cold water, it cools down very quickly. This is because iron has a low **specific heat**, which is the amount of energy required to increase the temperature of one gram of a substance by one degree Celsius (or Kelvin). Solid iron only requires 0.45 J/(g*K), while liquid water holds about nine times as much energy (heat) per degree (temperature). So when water receives energy from the pot, it only warms up by a few degrees, while the pot cools down substantially.

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

**Temperature** is the measure of the kinetic energy of a particle. **Heat** is energy, measured in joules (J). There is a very big difference between the two.

## Thermochemical Equations

Equations don't just show chemicals; they also show how much energy is required or released. This energy is called **enthalpy**. There are two ways to write a thermochemical reaction, for example:

  * ![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} + 571.6\\ kJ](../../../upload.wikimedia.org/math/8/5/1/851adf4aa7b7bd7b1ee29f438c741d81.png)
  * ![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} \\quad \(\\Delta H = -285.8~kJ\)](../../../upload.wikimedia.org/math/6/1/1/611713666b4a0cfe1a1fafa257590078.png)

Note that the number is negative in the second format. Also, notice how the first equation has double the energy because there are two moles of water. The second equation shows the amount of heat _per mole_, so the number of moles does not affect it.

From a thermochemical reaction, one can tell the **molar heat of formation** of a compound. Usually, this is measured at 25°C, and is written as ΔHf°. It is the amount of heat required to make one mole of the substance. The small ° symbol means "standard", as in Standard Temperature and Pressure.

**Molar heat of combustion** is the opposite of the molar heat of formation. It measures the amount of energy released when a mole of the compound is burned. It is written as ΔHc°.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In thermochemistry, if a reaction takes multiple steps, the heats from each reaction are simply added or subtracted. This is known as **Hess's Law**.

  


# Enthalpy

* * *

← [Thermodynamics/Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Introduction) ·[Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) →

[← Thermodynamics/Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Introduction) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Entropy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The absolute enthalpy of a system cannot be measured directly. However, it is possible to measure changes in enthalpy (ΔH) by measuring temperature changes, which represent heat being lost or gained.

The enthalpy of a chemical system is the "heat content" of the system—the energy it contains. Enthalpy is represented by the symbol ![H](../../../upload.wikimedia.org/math/c/1/d/c1d9f50f86825a1a2302ec2449c17196.png).

## Enthalpy of Reaction

All reactions have some amount of enthalpy. It is simply the amount of heat absorbed or released by the reaction. Combustion reactions obviously release large amounts of heat. They have negative enthalpy. A negative enthalpy represents an exothermic reaction, releasing heat. A reaction that absorbs heat is endothermic. Its enthalpy will be positive, and it will cool down its surroundings.

Consider these two reactions:

![3\\hbox{C} + 4 \\hbox{H}_2 \\to \\hbox{C}_3\\hbox{H}_8 \\quad\(\\Delta H = -104.67\\ kJ/mol\)](../../../upload.wikimedia.org/math/2/d/9/2d9dfd10bcd342968604daa0be0fd118.png)
This reaction is exothermic (negative enthalpy, release of heat). When the reaction occurs, the surroundings will increase in temperature due to the gain of heat the system releases. For every mole of propane (C3H8) formed, 104.67 kilojoules of energy are released.

![\\hbox{N}_2 + \\hbox{O}_2 \\to 2 \\hbox{NO} \\quad \(\\Delta H = +756.05\\ kJ/mol\)](../../../upload.wikimedia.org/math/d/9/7/d974980a3f9a9e3fc363e881a7f1de30.png)
This reaction is endothermic (positive enthalpy, absorption of heat). When the reaction occurs, the surroundings will decrease in temperature due to the loss of heat the system absorbed. For every mole of NO formed, 378.3 kilojoules of heat are absorbed. (Note that the reaction shows _two_ moles being formed, so the enthalpy is double that of _one_ mole being formed.)

Although every reaction has a change in enthalpy, the amount depends on the temperature. The same reaction could be endothermic at one temperature and exothermic at another. Enthalpies must be given at a specific temperature. The reactions above show the enthalpies at 25 °C.

## Temperature and Heat

There is a relationship between temperature and heat. If an object gains or loses heat _without_ any phase changes, this reaction relates temperature to heat:

![Q = mc\\Delta T](../../../upload.wikimedia.org/math/1/7/1/171079c0088a9cbc7823d190b207034d.png)

![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the amount of heat (in joules or kilojoules) and ![\\Delta T](../../../upload.wikimedia.org/math/3/e/c/3ecdbbc9a64a9bfc57883ae306bf51cd.png) is the change in temperature (Celsius degrees). ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png) is the mass of the object (in grams, usually) and ![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png) is the object's **specific heat**.

Specific heat is a constant that depends on the particular material of the object. It is measured in joules per gram-degree. It is determined experimentally. You can look it up in a chart, or you can calculate it if you measure the amount of heat added and the change in temperature. The toe in here heat of water is 4.186 J/g-degree. For one gram of water, the temperature rises/falls by one degree Celsius for every 4.186 joules of heat added/removed.  


# Entropy

* * *

← [Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) ·[Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) →

[← Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/The First Law of Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Entropy is the measure of disorder in a system.

## An Example

First, let's examine a non-chemistry example. Say you have one card from a deck of playing cards. It can have one of 52 possible values. Now you pick up four more cards. If the deck were shuffled randomly, the odds of you holding, say, a "straight flush" are 0.00154%. The odds of having a "high card", which is essentially a "nothing" hand, is 50.12%. In the case of a straight flush, the cards you are holding are highly organized. They must be in a specific, exact pattern (like 10 9 8 7 6 of the same suit). To have a high card, no two cards must have the same rank and the cards cannot be in order.

There is a very low probability of having a straight flush because the cards are in a very orderly state. There is a large probability of having "nothing" because the cards are in a random, disorderly state. In our card-playing system, straight flushes have **low entropy** because they are so orderly. "Nothing" hands have **high entropy** because they are disorderly and random. Furthermore, it takes minimal effort to toss all the cards in the air and randomize their order. Increasing the entropy of the system comes naturally. On the other hand, sorting the cards in order takes time and effort. It does not happen randomly. Decreasing the entropy of the system is unnatural and takes effort, or energy.

### In Chemistry

The entropy of a chemical system is a measure of its disorder or chaos. More precisely, it is a measure of the _dispersion of energy_. A solid has low entropy (low chaos, orderly) because the molecules are locked into a rigid structure. Their energy is not dispersed freely. A gas has high entropy (high chaos, disorderly) because the molecules are free to move about randomly. The energy of the system is dispersed over a large area with unlimited possibilities of the location of each molecule.

Absolute zero can never be achieved.

As temperature decreases, so does entropy. Theoretically, at **absolute zero** (0 K, or -273 °C), the entropy of the system would be zero. This is because the solid would be perfectly crystallized so that its energy is not dispersed at all.

As you will soon learn, [the Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) tells us that the entropy of the universe always increases. Think about it. If you have built a house of cards, the entropy of the system is low. A house of cards is very orderly, with each card having a very specific location. The house of cards will undoubtedly collapse. The resulting pile of cards is very disorderly. The cards can be in any position and still be a random pile of cards. The entropy has increased spontaneously. Houses of cards will spontaneously collapse, but they never spontaneously build themselves up. This is because high entropy is natural and low entropy is unnatural.

## Entropy Changes

When analyzing the entropy change of a chemical reaction, you would need specific numbers. As a guideline, you can estimate the entropy change based on some basic rules:

  * Melting and boiling _increases_ entropy
  * Freezing and condensing _decreases_ entropy
  * Dissolving a solute _increases_ entropy
  * Forming precipitates _decreases_ entropy

If you do happen to know the absolute entropy of substances in a reaction (by looking it up in a chart), you can calculate the change in entropy. Entropy is symbolized with ![S](../../../upload.wikimedia.org/math/5/d/b/5dbc98dcc983a70728bd082d1a47546e.png). The change in entropy is ![\\Delta S](../../../upload.wikimedia.org/math/9/2/b/92bbde703193217f1110b0ab9c60810b.png). As with enthalpy, the degree symbol (![\\Delta S^o](../../../upload.wikimedia.org/math/5/9/a/59a0ca4712a3d54932b9883069b2b8a0.png)) represents STP. The change in entropy is the absolute entropy of the products minus the absolute entropy of the reactants.

## See also

  * [Entropy for beginners](http://en.wikibooks.org/wiki/Entropy_for_beginners)\- a Wikibook that provides a mathematical explanation.

  


# The First Law

* * *

← [Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) ·[Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) →

[← Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/The Second Law of Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The _First Law of Thermodynamics_ is simply a restatement of the **Law of Conservation of Energy**. There are a few ways of stating it, but they all mean the same thing:

  * "Energy is neither created nor destroyed. It can only change form."
  * "The change in the system's thermal energy is equal to the heat added to the system minus the work done by the system."

The first definition is self-explanatory. As an example, a propane grill does not "create" energy when it cooks food. The energy stored within propane molecules and oxygen atoms is released in the form of heat and light when the propane molecules reassemble themselves into carbon dioxide and water (the combustion reaction). Energy has not been created or destroyed. It has simply changed from chemical potential energy into light and thermal energy.

The second explanation comes from a physics point of view. It means that adding heat to a system increases its internal energy, and a system that does work (like breaking bonds or assembling large molecules from small ones) decreases its internal energy. Overall, the total amount of heat, work, and energy remains constant. This should make sense because heat is energy and work is energy being applied, so based on the first definition, all forms of energy must be accounted for.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The First Law is much more useful in [Physics](http://en.wikibooks.org/wiki/Subject:Physics) than it is in General Chemistry.

  


# The Second Law

* * *

← [Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) ·[Thermodynamics/Free Energy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Free_Energy) →

[← Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Free Energy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Free_Energy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction: A powerful law.

The second law of thermodynamics is based on our common human experience. It didn't begin with complicated apparatus or complex theories, but rather with thinking about how old-fashioned steam engines worked and the first important equation appeared to be very simple: just q/T.

Yet the second law is probably our most powerful aid in helping us understand why the world works as it does both in simple and in complex ways: why hot pans cool down, why ping pong balls don't bounce forever when they are dropped, why gasoline (plus the oxygen in air) makes engines run, why our "engines"—our bodies—run and we continue to live and our bodies stay warm even when it's cold, but also why we die when some chemical reactions within us fail. In fact, the second law helps to explain everything that happens in our physical world. In chemistry, it's especially important because it can tell us whether any chemical reaction that we write on paper will probably be spontaneous and go as we have written it.

## The Big Problem

Unfortunately, for almost a century and a half, the second law has been expressed by experts in ways that a beginner in chemistry could not possibly understand without a great deal of additional explanation. Here are just three of some 25 explanations that have been most prominent:

  * "The entropy of the universe increases toward a maximum" (Clausius)
  * "It is impossible in any way to diminish the entropy of a system of bodies without thereby leaving behind changes in other bodies" (Planck)
  * "In any irreversible process the total entropy of all bodies concerned is increased." (Lewis)

Entropy, entropy, entropy! But what is entropy? Even some textbooks still say something like "Don't ask about understanding it. Just work the problems that have entropy in them and you'll gradually understand it because you will be able to work with it"! That's the old way which fortunately has been discarded by most US general chemistry texts. (See list at <http://www.entropysite.com/#whatsnew>.) The good news of the twenty-first century is that now entropy can be described as a simple **idea** (no matter how complex to calculate and deal with in advanced courses and research.) Because of our new conceptual approach, a basic version of the second law can be understood easily.

## A Modern Version

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

"Energy of all types changes from being localized to becoming dispersed or spread out, if it is not hindered from doing so. Entropy change is the quantitative measure of that kind of a spontaneous process: how much energy has flowed or how widely it has become spread out at a specific temperature." (<http://www.entropysite.com/entropy_isnot_disorder.html>)

What does that "energy of all types" and "becoming dispersed" mean? Let's first think about light (which technically is electromagnetic radiation). Does the radiation from a light bulb stay inside that glass of the bulb? Of course not. It spreads out just as far as it can, hindered from dispersing to miles and even farther only by dust or air density differences. What about the sound from a stereo speaker—does it stay inside a dorm room or a car? It disperses farther than other people want to hear it, usually! And what happens to the kinetic energy of a fast moving car if the car should hit a brick wall? It spreads out in a crashing sound, in twisting metal and heating it and tearing apart the bricks of the wall so that they fly around, slightly warmer than they were. Those are just a few examples of different types of energy and some ways in which they become dispersed or spread out.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Energy of all types disperses...if it is not hindered from doing so.

## The Importance of the Second Law

In chemistry, the type of energy in which we are most often interested is the kinetic energy of molecules, molecular motion energy. We know from [Kinetic Molecular Theory](http://en.wikibooks.org/wiki/General_Chemistry/Gases) that molecules are in constant motion if their temperatures are above 0 K. In gases like nitrogen and oxygen, they are moving at an average speed of a thousand miles (1600 km) an hour at 298 K and go about 200 times their diameter before bumping into another molecule[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_]. The molecules in liquids may be moving approximately as fast even though they are constantly hitting one another as they move a little here and there. In solids the particles, molecules or atoms or ions, can only "dance in one place" (vibrating in coordination with the other particles in the solid). This is a kinetic energy of vibration that is equivalent to the motion energy of gases or liquids at the same temperature.

The motion energy of molecules consists of their translation, rotation, and vibration (Figure 1 of <http://www.2ndlaw.com/entropy.html>.) Note that this vibration is vibration _inside_ a molecule and by itself, as though the chemical bonds between atoms were like springs. The vibration in a crystal that we were just talking about is a vibration of a whole molecule or other particle in one place and coordinated with the other molecules in the crystal.

## Examples from Everyday Life

Let's see how the second law helps us to understand our common experience better, to see how so many totally different events really are just examples of energy dispersing or spreading out, i.e., of the second law. A rock will fall if you lift it up and then let go. Hot frying pans cool down when taken off the stove. Iron rusts (oxidizes) in the air. Air in a tire is at a high pressure and shoots out even from a small puncture to the lower pressure atmosphere. Ice cubes melt in a warm room.

### A Falling Rock

A rock has potential energy (PE) localized in it when you lift it up above the ground. The rock is the _system_; everything else it encounters is the _surroundings_. Drop the rock and its PE changes to kinetic energy (energy of movement, KE), pushing air aside as it falls (therefore spreading out the rock’s KE a bit) before it hits the ground, dispersing a tiny bit of sound energy (compressed air) and causing a little heating (molecular motion energy) of the ground it hits and in the rock itself. The rock is unchanged (after a minute when it disperses to the air the small amount of heat it got from hitting the ground). But the potential energy that your muscles localized in by lifting it up is now totally spread out and dispersed all over in a little air movement and a little heating of the air and ground.

### A Hot Frying Pan

A hot frying pan? The iron atoms in a hot frying pan (system) in a room (surroundings) are vibrating very rapidly, like fast "dancing in place". Therefore, considering both the pan and the room, the motion energy in the hot pan is localized. That motion energy will disperse—if it is not hindered, according to the second law. Whenever the less rapidly moving molecules in the cooler air of the room hit the hot pan, the fast-vibrating iron atoms transfer some of their energy to the air molecules. The pan’s localized energy thus becomes dispersed, spread out more widely to molecules in the room air.

### Some Rusting Iron

In a chemical reaction such as iron rusting, i.e., iron plus oxygen to form iron oxide (rust), the reactants of iron and oxygen don't have to be at a high temperature to have energy localized within them. Iron atoms (as -Fe-Fe-Fe-) plus oxygen molecules of the air (O-O) have more energy localized within their bonds than does the product of their reaction, iron rust (iron oxide).

That’s why iron reacts with oxygen—to release energy from their combined total of higher energy bonds and form the lower energy bonds in iron oxide. Then, all that difference in energy becomes dispersed to the surroundings as _heat_ i.e., the reaction is exothermic and makes molecules in the surroundings move faster. But remember how chemical reactions occur! Remember that it requires energy to break bonds and therefore to start any reaction there must be some extra energy, an activation energy supplied somehow to break a bond or many bonds in the reacting substances. (For information about activation energies, see <http://www.2ndlaw.com/obstructions.html>) Then, if the bonds that are being formed in the product are much stronger than those being broken in the reactants, that difference in energy (which usually causes greater motion energy of all the molecules) can feed back to break more bonds in the reactants.

However, in the case of iron reacting with oxygen at normal room temperature around 298 K, the process is very slow because only a few oxygen atoms are moving exceptionally fast and hit the iron just right so an Fe-Fe bond and an O-O bond are broken and an Fe-O bond can form. There isn't enough heat (motion energy) localized in nearby iron atoms, and there are no other unusually fast-moving oxygen molecules. It's a slow process depending on collision of the small amount of fast moving oxygen atoms in the surroundings to make it happen.

Therefore, even in moist air (that speeds up another process yielding iron oxide), iron doesn't react very rapidly with oxygen but it steadily does so and in time, both the iron atoms and the oxygen molecule spread out to the surroundings the portion of their bond energy that iron oxide doesn't need for its existence at that temperature.

### A Leaky Tire

Air in a tire is at a higher pressure than the atmosphere around it, so it shoots out even from a small hole. What could that have to do with a big deal like the Second Law of Thermodynamics? (Every spontaneous physical or chemical process involves the second law!) Those nitrogen and oxygen molecules in the tire each have motion energy but it is far more localized, compressed in the small volume of the tire, than it would be in the huge volume of the atmosphere. Thus, the second law explains why punctures or blowouts occur: the motion energy of those localized molecules will become dispersed and spread out to the lower-pressure, larger-volume atmosphere if it is no longer hindered by the tire walls from becoming so.

### A Melting Ice Cube

An ice cube melts in a big warm room. How can the melting of a little ice cube in a warm room maybe 200,000 times bigger than it is be an example of the second law? How could that possibly be a spreading out of energy? But the second law has to do with energy dispersal and there's a little spreading out in that 200,001st part of that total of system plus surroundings!

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Hotter goes to cooler spontaneously. Always.

Lots of things are happening when molecules of the warm air disperse some of their energy to the molecules that are vibrating (like dancing rapidly in one place) in the ice cube. Right at the surface many hydrogen bonds between the water molecules of the ice are broken by the motion energy of the air molecules being transferred to the those surface molecules. (This doesn't change the amount of motion energy of those molecules and therefore their temperature doesn't change. They increase in _potential energy_ due to the hydrogen-bond breaking.) Now, because the water molecules whose hydrogen bonds to other molecules in the rigid ice structure are broken, they are free to form hydrogen bonds to other water molecules that are liquid—they can exchange partners and move from one to another. The vibrational energy that allowed them to dance in place in the crystal is changed to translational energy in the liquid and the molecules can move just a bit.

Thus, although the true picture is just a bit more complex (i.e., it is the closer energy levels in translation than in solid vibration that make the energy far more dispersed in liquid than solid), we can sense that the movement of molecules in liquid water allows the energy to be more spread out than in crystalline ice, even at melting temperature. It is not a matter of order and "disorder"! (That's as misleading as magic and as obsolete as 1898 fashions. <http://www.entropysite.com/order_to_disorder.pdf>)

### Order to Disorder

The second law tells us about energy dispersal, and _entropy_ is the word for how that energy dispersal is measured—how spread out the energy becomes in a system, how much more dispersed it has become compared to how localized it was. Such energy changes and consequent entropy changes are the focus for understanding how and why spontaneous events occur in nature. Only sometimes do the structures or arrangements of molecules in an object help us to see greater or lesser localization of energy (that used to be called "order to disorder").

Now we can understand what scientists have been talking about the last century and a half when they spoke in apparently mysterious sentences like "The entropy of the universe increases toward a maximum." All they meant was simply that energy, everywhere, spreads out as much as it can (and that spreading out of energy is measured by entropy).

## Recap and Conclusion

Rocks falling down mountains, hot pans cooling in cool rooms, anything made of iron rusting, anything burning or reacting with oxygen, all these types of spontaneous events and chemical reactions that occur by themselves are due to energy dispersing or spreading out. Entropy is the quantitative measure of how much energy and how much dispersal occurs in a process or a reaction. Therefore, entropy is constantly increasing because spontaneous events continue to occur in our energy-rich universe. Thus, we can decipher the following statement of the second law:

"In any irreversible process the total entropy of all bodies concerned is increased."

That just means: "In any process in which energy becomes spread out, the measure of that spreading out or dispersing (i.e., the total entropy) increases when you include both what happens in the system AND its surroundings.”

Now we can translate "second law language"! It seems very confusing if you read it rapidly, but taking it a few words at a time and knowing what we have just reviewed, the ideas are not complicated.  


# Free Energy

* * *

← [Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) ·[Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) →

[← Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

What's the point of entropy and enthalpy? So far, you have studied equilibrium to tell you how far a reaction occurs and kinetics to tell you how fast a reaction occurs. Thermodynamics can tell you _if_ a reaction will occur, and at what temperatures. It may seem too obvious, but why does an ice cube spontaneously melt when it is at 30 °C? Melting is endothermic, so it would seem that the reverse reaction (freezing) is favored. After all, reactions that release heat are usually more favorable than those that absorb heat.

The answer is **free energy** (also called _Gibbs Free Energy_). The change in free energy for a reaction ultimately determines if it can occur spontaneously or not. Free energy is a combination of entropy and enthalpy, and when a reaction decreases the free energy, it will occur spontaneously.

## The Equation

Free energy is defined by ![\\Delta G = \\Delta H - T \\Delta S](../../../upload.wikimedia.org/math/c/0/b/c0b1e02c37f0bbb8f6aede060ef2568e.png). By measuring or calculating the entropy change and enthalpy change of a reaction, you can determine the change in free energy. Notice that free energy depends on temperature as well. In this equation (as with all other thermo equations) ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) must be an **absolute temperature**, measured in Kelvin. So the freezing point of water is not zero but rather 273 K. By using the Kelvin temperature scale, all temperatures will be greater than zero.

When you have solved for ![\\Delta G](../../../upload.wikimedia.org/math/3/7/f/37f593659cc996c4991266398ba13af6.png) for a particular reaction at a certain temperature, you will find one of three possible outcomes:

Reaction type Means...

![\\Delta G < 0](../../../upload.wikimedia.org/math/0/d/3/0d38865899e706ef5b1923a66a7dae30.png)
_exergonic_
the reaction occurs spontaneously.

![\\Delta G = 0](../../../upload.wikimedia.org/math/0/c/f/0cfe1898865bd90828546b52d83e2c58.png)
the reaction is at equilibrium.

![\\Delta G > 0](../../../upload.wikimedia.org/math/9/2/8/9287e4bae64db7339666a8f931a3c8b3.png)
_endergonic_
the reaction will not occur.

Equipped with this knowledge, you can determine the temperature at which a reaction will be at equilibrium (by setting G to 0 and solving for T). If a reaction is endergonic, it will not occur _spontaneously_. However, at a different temperature, the reaction might occur. Also, the reverse reaction will have an opposite value for G. For example, the combustion of propane will have a large negative value for its change in free energy. The reverse reaction would have the same large value, but positive. This makes sense, knowing that propane does not spontaneously precipitate from the smokey exhaust of a grill.

### Spontaneity

Let's return to the example of a melting ice cube. At T = 273 K (0 °C) the processes of freezing and melting are at equilibrium. ΔG must equal zero. At higher temperatures, the melting process occurs spontaneously, so we can deduce that ΔH is positive and ΔS is also positive. We already know that melting is endothermic and increases entropy, so it seems the free energy equation works.

Between entropy and enthalpy, there can be four possible outcomes:

![\\Delta H](../../../upload.wikimedia.org/math/1/9/e/19e2c87dfcd499d96746ef27b99584a5.png) ![\\Delta S](../../../upload.wikimedia.org/math/9/2/b/92bbde703193217f1110b0ab9c60810b.png) ![\\Delta G](../../../upload.wikimedia.org/math/3/7/f/37f593659cc996c4991266398ba13af6.png) Result

+
-
always +
never spontaneous

-
+
always -
always spontaneous

+
+
\+ for low T, and - for high T
depends on T

-
-
\- for low T, and + for high T
depends on T

We can see that the melting of an ice cube is spontaneous for high temperatures.

### Relating Free Energy

Free energy is related to equilibrium, as we have already seen. There is an equation that will allow you to convert between reaction free energy and the equilibrium constant for a particular reaction at a given temperature:

![\\Delta G = -RT \\times \\ln  K_{eq}](../../../upload.wikimedia.org/math/0/a/3/0a31ddb262d8ca2b859870c0de26fbd9.png)

![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas constant, and ![\\ln](../../../upload.wikimedia.org/math/3/c/1/3c178b05d8a108e6346e61420651bedf.png) is the _natural logarithm_. A scientific calculator will have a `[LN]` to calculate logarithms and a `[e^]` button to calculate anti-logarithms.

  
  


The Elements

  


  


# Group 1

* * *

← [Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) ·[Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) →

[← Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 2 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Alkali Metals

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Na_\(Sodium\).jpg/220px-Na_\(Sodium\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sodium metal is soft enough to be cut with a knife.

The _alkali metals_ are the elements in **Group 1 (1A)**. They are [lithium](http://en.wikipedia.org/wiki/Lithium), [sodium](http://en.wikipedia.org/wiki/Sodium), [potassium](http://en.wikipedia.org/wiki/Potassium), [rubidium](http://en.wikipedia.org/wiki/Rubidium), [cesium](http://en.wikipedia.org/wiki/Cesium), and [francium](http://en.wikipedia.org/wiki/Francium).

These elements are best marked by their reactivity. Physically they are soft, shiny (when freshly prepared) solids with low melting points; they conduct electricity well. They all have one valence electron that they lose easily to almost any electronegative substance. Alkali metals are never found in their elemental form outside the lab because they are too reactive. Even the smallest amount of oxygen or water would react with the metal. For this reason, alkali metals have no structural use. They must be kept under inert liquids such as kerosene or in inert gases (nitrogen suffices for any of these elements other than lithium).

Alkali metals have many uses in both biological life and industry. Francium, however, is radioactive and decays rapidly to other elements, so it has no commercial use and its chemical properties are vaguely understood.

All oxidize easily to the +1 oxidation state.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The alkali metals have very similar chemical and physical properties. They can be studied as a whole, rather than element-by-element, due to this similarity.

## Safety

Leave experiments with alkali metals to the experienced chemists.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Alkali metals are dangerous. Their reactions release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Never cast any alkali metal into water or acids. These metals should never be allowed to touch flesh because they react with any water upon them and yield corrosive hydroxides that damage flesh.

## Reactions

Alkali metals react violently with water, halogens, and acids. The reactions release surprising amounts of heat and light. In a chemical equation, alkali metals are represented with an M. Here are some example equations:

![4 \\hbox{M}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2 \\hbox{M}_{2}\\hbox{O}_{\(s\)}](../../../upload.wikimedia.org/math/a/7/d/a7da51c514359161ad751b7aa768da1c.png)
Alkali metals react with oxygen to form **oxides**, which have a duller appearance and lower reactivity. The oxides are much less reactive than the pure metals.

![\\hbox{M}_2\\hbox{O}_{\(s\)} + \\hbox{H}_2\\hbox{O} \\to 2 \\hbox{MOH}_{\(aq\)}](../../../upload.wikimedia.org/math/4/0/d/40d9503a4b8f6826f0d121933d94ef8f.png)
However, the oxides do react vigorously with water to form a **hydroxide**. The resulting hydroxides of these elements dissociate completely in water to form some of the strongest [bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) known. "Lye" is an industrial-strength base, which is sodium hydroxide (NaOH).

![\\hbox{NaOH}_{\(aq\)} + \\hbox{HCl}_{\(aq\)} \\to \\hbox{NaCl}_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/d/d/2/dd22d1516fe89e4366dad9937017367e.png)
These hydroxides react readily with acids to form water and their corresponding alkali **salt** in a [neutralization](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Neutralization) reaction.

![2 \\hbox{M}_{\(s\)}+ 2 \\hbox{H}_2\\hbox{O} \\to 2 \\hbox{MOH}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/1/3/7/137897c4b8bb8fe3a25663178f4dba7b.png)
The pure alkali metal can also react directly with water. In this case, the metal is a [basic **anhydride**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Anhydrides). Gaseous hydrogen is released, which is flammable.

![2 \\hbox{M}_{\(s\)} + \\hbox{Cl}_{2\(g\)} \\to 2 \\hbox{MCl}_{\(s\)}](../../../upload.wikimedia.org/math/6/b/6/6b68fdc38e31cbd6c3496f1f31551032.png)
Exposing an alkali metal to a [halogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) will cause an extremely exothermic reaction that results in an [ionic **salt**](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds).

Almost every salt of an alkali metal is highly soluble in water. They form conducting solutions, proving their ionic nature.

### Flame Tests

When burned in a flame, the alkali metals give off a unique color that can be used to identify them.

  * Flame Tests
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/FlammenfärbungLi.png/35px-FlammenfärbungLi.png)

Lithium (pinkish-red flame)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Flametest--Na.swn.jpg/60px-Flametest--Na.swn.jpg)

Sodium (yellow flame)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/FlammenfärbungK.png/33px-FlammenfärbungK.png)

Potassium (pale violet flame)

  


# Group 2

* * *

← [Chemistries of Various Elements/Group 1](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) ·[Chemistries of Various Elements/Group 13](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13) →

[← Chemistries of Various Elements/Group 1](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 13 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Alkaline Earth Metals

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/Magnesium_crystals.jpg/220px-Magnesium_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Pure magnesium crystals

The _alkaline earth metals_ are the elements in **Group 2 (2A)**. They are [beryllium](http://en.wikipedia.org/wiki/Beryllium), [magnesium](http://en.wikipedia.org/wiki/Magnesium), [calcium](http://en.wikipedia.org/wiki/Calcium), [strontium](http://en.wikipedia.org/wiki/Strontium), [barium](http://en.wikipedia.org/wiki/Barium), and [radium](http://en.wikipedia.org/wiki/Radium). They are similar to [alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1), but less reactive.

Alkaline earth metals all have two valence electrons, and they easily oxidize to the +2 state. With increasing mass, these elements become softer, have lower melting and boiling points, and become more reactive. None appear uncombined in nature, and all are separated from their compounds with difficulty. Alkaline earth metals react with halogens and (except for beryllium) with water and oxygen. Magnesium, being less reactive, reacts only at higher temperatures than the other alkaline earth metals. Radium is radioactive, so its chemical properties are difficult to study.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The alkaline-earth metals have very similar chemical and physical properties. They can be studied as a whole, rather than element-by-element, due to this similarity.

The alkaline earth metals are chemically and physically similar to the [alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1), but they are less reactive.

## Safety

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Alkaline earth metals are very flammable. Their reactions could release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Use caution when handling these metals. Calcium, strontium, and barium react with water and form corrosive hydroxides. Salts of beryllium are toxic, and water-soluble or acid-soluble salts of barium are toxic.

## Reactions

The alkaline earth metals undergo reactions similar to the alkali metals, but their +2 oxidation state causes their compounds to be different. The following reactions use magnesium as an example, but the other alkaline earth metals undergo the same reactions as well.

![2\\hbox{Mg}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{MgO}_{\(s\)}](../../../upload.wikimedia.org/math/5/f/2/5f2800d22751eaf27c65366910b734d1.png)
Magnesium **oxide** forms slowly unless ignited. Powders or thin slices of magnesium can be ignited with a match, so magnesium is used in fire-starting devices.

![3\\hbox{Mg}_{\(s\)} + \\hbox{N}_{2\(g\)} \\to \\hbox{Mg}_3\\hbox{N}_{2\(s\)}](../../../upload.wikimedia.org/math/1/a/5/1a5411afc3fa4fc120ef78ebd66d92a3.png)
Magnesium burns readily in oxygen, and surprisingly nitrogen as well. Air is composed mostly of nitrogen, but most elements will not react with nitrogen because nitrogen is so stable.

![\\hbox{MgO}_{\(s\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{Mg}\(\\hbox{OH}\)_{2\(aq\)}](../../../upload.wikimedia.org/math/d/3/1/d31b0c998ac0e831bd3d1b5971ee7489.png)
Magnesium oxide is a [basic **anhydride**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Anhydrides). Magnesium hydroxide is a [strong base](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases), although its [solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) is too low for this property to be significant.

![\\hbox{Mg}_3\\hbox{N}_{2\(s\)} + 6\\hbox{H}_2\\hbox{O} \\to 3\\hbox{Mg}\(\\hbox{OH}\) + 2\\hbox{NH}_{3\(g\)}](../../../upload.wikimedia.org/math/a/1/9/a199342d340ff9f4132a989f14ac19fb.png)
Magnesium **nitride** will react with water or the moisture in air. This reaction is detected by the pungent smell of ammonia.

![\\hbox{Mg}_{\(s\)} + 2\\hbox{H}_2\\hbox{O} \\to \\hbox{Mg}\(\\hbox{OH}\)_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/3/8/9/389d4168586d3c08d3d4d5c6ef5c4976.png)
Magnesium metal reacts with water to form a **hydroxide**, but only at high temperatures or in the presence of acid. Calcium, being more reactive, will react with water as long as its hot. The other elements will react in warm water. Notice the flammable hydrogen gas that is released.

![\\hbox{Mg}_{\(s\)} + 2\\hbox{HCl}_{\(aq\)} \\to \\hbox{MgCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/9/4/1/941788db231d3c1e54e470627fe50cce.png)
Magnesium will react exothermically with acids to form an [ionic **salt**](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) and hydrogen gas.

Remember that all of the alkaline earth metals can undergo these reactions; magnesium was just an example. Beryllium, however, is much _less_ reactive than the other metals, so it might not react.

## Uses

Beryllium is rare and its compounds are toxic, so it is in little use.

Magnesium metal has some use in applications needing a soft, light metal. Magnesium metal can be used an easily-burned substance with a bright light in photographic flash bulbs. Magnesium hydroxide is commonly used as a strong but generally safe antacid. Magnesium sulfate is commonly known as Epsom salts.

Even more significantly, magnesium appears in a compound known as [chlorophyll](http://en.wikibooks.org/w/index.php?title=Chlorophyll&action=edit&redlink=1), the greenish pigment in plants and algae that allows plants to perform [photosynthesis](http://en.wikibooks.org/w/index.php?title=Photosynthesis&action=edit&redlink=1). It is essential to animal life.

Calcium has no use as a structural metal, but its compound calcium carbonate is a major building material as limestone. Calcium carbonate is essential to bones and to plant life. Calcium and heavier elements in this group react with warm water to form highly-alkaline hydroxides.

Strontium, much rarer than calcium, has few uses. Barium, also rarer, has few uses other than its sulfate, a coating used for lining the digestive organs for X-rays.

Radium is rare and strongly radioactive; it is extremely dangerous due to its intense radioactivity.  


# Group 13

* * *

← [Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) ·[Chemistries of Various Elements/Group 14](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14) →

[← Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 14 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

**Group 13 (IIIA)** consists of [boron](http://en.wikipedia.org/wiki/Boron), [aluminum](http://en.wikipedia.org/wiki/Aluminum), [gallium](http://en.wikipedia.org/wiki/Gallium), [indium](http://en.wikipedia.org/wiki/Indium), and [thallium](http://en.wikipedia.org/wiki/Thallium). Boron is a metalloid, but the other elements are metals. All elements in this group have three valence electrons.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Because these elements have varying properties, they will be studied element-by-element, rather than as a group.

## Boron

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Borax_crystals.jpg/220px-Borax_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A borax crystal. Borax (a mineral containing boron) has many uses including laundry detergent.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Boroxin.png/100px-Boroxin.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Boroxin_. Notice boron's three bonds.

Boron is a **metalloid**, exhibiting characteristics of both metals and non-metals. It is never found in its pure form in Earth, but it is a component of some minerals. However, pure boron can form as a result of chemical reactions. It can be a brown amorphous solid, or a crystalline solid. In the crystalline form, it is black and very hard.

Boron is a poor conductor of electricity at normal temperatures, but at high temperatures it does conduct electricity. Its chemical properties are mostly, but not entirely, non-metallic. Boron is the least electronegative non-metal, so it readily loses electrons when reacting. Boron is almost entirely in the +3 oxidation state. Boron has an oxide B2O3, and it is acidic.

![\\hbox{BCl}_3 + 3 \\hbox{H}_2\\hbox{O} \\to \\hbox{B}\(\\hbox{OH}\)_3 + 3 \\hbox{HCl}](../../../upload.wikimedia.org/math/9/4/c/94cc837bb3a202968fd32f98181905c7.png)
Boric **halides** are volatile substances that attack water with the formation of boric acid B(OH)3 and hydrogen halides.

![\\hbox{B}\(\\hbox{OH}\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{B}\(\\hbox{OH}\)_4^- + \\hbox{H}^+](../../../upload.wikimedia.org/math/b/b/7/bb74ee858368d61a6a62fce9ed1f66b2.png)
Boric **acid** reacts with water to release a proton. It is a [weak acid](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases).

![2\\hbox{B}_2\\hbox{O}_3 + 7\\hbox{C} \\to \\hbox{B}_4\\hbox{C} + 6\\hbox{CO}](../../../upload.wikimedia.org/math/8/4/0/840f1c3141dfc497e692b5879379d0a1.png)
Boric oxide, at extremely high temperatures, can react with carbon to form boron **carbide**. Boron carbide is incredibly strong, finding use as tank armor.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In a manner similar to [carbon](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14), boron can form stable [covalent network](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) solids. Each boron atom bonds to three other borons, forming a large crystal.

Boron has interesting properties when it bonds covalently. It has three electrons, so it usually forms three single covalent bonds, an [exception to the octet rule](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions). Substances like boron trichloride (BCl3), boric acid, and the borate ion (BO33-) are examples of boron's tendency to form three covalent bonds.

## Aluminum

Aluminum (British spelling aluminium) is a metal, although it is too reactive to exist in pure form. Instead, it is found in a wide variety of minerals including _bauxite_, the primary source for extracting aluminum. Aluminum is the third most abundant element in Earth's crust.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/19/Aluminum_Metal_coinless.jpg/220px-Aluminum_Metal_coinless.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Aluminum metal

Unlike boron, aluminum is an almost [stereotypical metal](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) in its physical properties: it is malleable and ductile, and it conducts heat and electricity very well. Because of its lightness, resistance to corrosion, attractiveness (approaching that of silver), and inexpensiveness to process along with adequate strength for many commercial and domestic uses, it is the third-most used of all metals. Only iron and zinc exceed it in production.

Aluminum compounds typically exist in the +3 oxidation state. Because of its durability and light weight, aluminum is used in many **alloys**, mixtures of metals. Two metals, each with desirable characteristics, can be mixed together to produce an alloy that has the properties of both metals. Aluminum used to be used for household wiring, but it expands too much when heated. The expansion causes the wires to come loose, and house fires can start.

Aluminum seems unreactive because of a thin, hard surface of aluminum oxide Al2O3 which does not react with water or oxygen and preserves the aluminum metal underneath it from chemical attack. Pure aluminum will immediately form this layer when exposed to air. Although aluminum is very conductive, aluminum oxide does not conduct electricity.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Aluminium-trichloride-3D-structures.png/220px-Aluminium-trichloride-3D-structures.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Aluminum trichloride

![\\hbox{Al}_2\\hbox{O}_{3\(s\)} + 3\\hbox{H}_2\\hbox{O}_{\(l\)} + 2\\hbox{OH}^-_{\(aq\)} \\to 2\\hbox{Al}\(\\hbox{OH}\)^-_{4\(aq\)}](../../../upload.wikimedia.org/math/3/3/8/338039c6b04d8277bacb4fabf2fa4ddc.png)

  
![\\hbox{Al}_2\\hbox{O}_{3\(s\)} + 6\\hbox{H}^+_{\(aq\)} \\to 2\\hbox{Al}^{3+}_{\(aq\)} + 3\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/f/e/1/fe168583415c54075c1b94219d472e46.png)

Aluminum **oxide** is [amphoteric](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases)—it reacts violently to neutralize strong bases or strong acids.

![2\\hbox{Al} + 3\\hbox{Cl}_2 \\to 2\\hbox{AlCl}_3](../../../upload.wikimedia.org/math/c/a/3/ca377557cb452b609119af1544fc7b81.png)
Reacting aluminum with a [halogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) results in an aluminum **halide**. Aluminum chloride can exist as an [ionic solid](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) or a [covalent solid](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds), but either way it is a weak conductor.

![2\\hbox{AlCl}_{3\(aq\)} + 3\\hbox{NaOH}_{\(aq\)} \\to \\hbox{Al}\(\\hbox{OH}\)_{3\(aq\)} +  3\\hbox{NaCl}_{\(aq\)}](../../../upload.wikimedia.org/math/e/c/5/ec5ab98b7f1748115a0ce892e8ba56c1.png)
Aluminum chloride is a **[Lewis acid**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Lewis_Acids.2FBases), able to neutralize bases.

![\\hbox{Fe}_2\\hbox{O}_3 + 2 \\hbox{Al} \\to 2 \\hbox{Fe} + \\hbox{Al}_2\\hbox{O}_3](../../../upload.wikimedia.org/math/e/f/0/ef05f3e0ad5449b751381566a7f14edc.png)
Molten aluminum reacts violently with some metal oxides in the **thermite reaction**, in which a substance like iron oxide is [reduced](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) to iron and aluminum is oxidized to its oxide. This is a highly exothermic reaction, releasing enough heat to weld metal.

Generally, aqueous aluminum is found as a hydroxide Al(OH)3.

## Others

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Gallium_crystals.jpg/220px-Gallium_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Gallium

Gallium is a brittle metal that melts slightly above room temperature, so holding it in your hand would liquefy it. One magic trick, the 'melting spoon' involves stirring a hot liquid (usually hot water) with a spoon specially made of gallium. The spoon melts in the water and 'disappears'. (The gallium simply sinks to the bottom of the cup; after the magic trick is done the 'magician removes the water and the molten gallium and pours the gallium into a mold that makes a new spoon for doing the trick again). Gallium is used in many semiconductor devices and LEDs (light emitting diodes). Gallium(III) arsenide is an important semiconductor used in many electronics.

Indium's most common isotope is radioactive and decays slowly into tin. Indium typically has the +3 oxidation state.

Thallium tends to appear in the +1 (thallous) oxidation state as well as the +3 (thallic) oxidation state. Oddly, thallium acts much like an [alkali metal](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) in its physical and chemical properties. Thallous oxide (Tl2O) and the metal react violently with water to form a hydroxide TlOH that completely dissociates into Tl+ and OH- ions as if it were an alkali metal hydroxide. Its halides are quite salt-like, dissociating into ions into solutions that, like solutions of salts of the alkali metals, conduct electricity.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Thallium has a violent reaction with water that could release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Thallium hydroxide that results from this reaction is as strongly alkaline as alkali-metal hydroxides and is similarly corrosive. In addition, thallium compounds are extremely toxic.

Neither thallium metal nor any thallium compound is readily available in the United States because it is so dangerous and has few legitimate uses.  


# Group 14

* * *

← [Chemistries of Various Elements/Group 13](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13) ·[Chemistries of Various Elements/Group 15](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_15) →

[← Chemistries of Various Elements/Group 13](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 15 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_15)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## The Carbon Family

**Group 14 (IVA)** consists of [carbon](http://en.wikipedia.org/wiki/Carbon), [silicon](http://en.wikipedia.org/wiki/Silicon), [germanium](http://en.wikipedia.org/wiki/Germanium), [tin](http://en.wikipedia.org/wiki/Tin), and [lead](http://en.wikipedia.org/wiki/Lead). Carbon is a non-metal, silicon and germanium are metalloids, and tin and lead are metals.

With 4 valence shell electrons, elements of the carbon family tend to form covalent compounds. With increasing mass and atomic radius these elements become increasingly metallic and have lower melting and boiling points.

Group 14 elements form gaseous hydrogen compounds with difficulty. These are either unstable or combustible. All but lead form oxides, sulfides, and halides in the +4 oxidation state. The +4 oxidation state predominates in carbon, silicon, and germanium; the +2 and +4 oxidation states both appear in tin, and the +2 oxidation state prevails in lead. Halides in the +4 state form for all of these elements, and they are covalent.

Carbon compounds are much more [covalent](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) than analogous compounds of silicon, germanium, tin, or lead. Even more significantly, carbon forms double and even triple bonds with itself or other elements, forming compounds that the heavier elements of this group cannot form like acetylene (C2H2). Silicon and the heavier elements of this group can form only single bonds.

Thus carbon dioxide CO2 is a gas at normal temperatures because the double bonds between carbon and oxygen create single molecules, but silicon dioxide SiO2 forms a hard rock known as quartz because it is a [covalent network solid](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds). Each silicon atom bonds to four different oxygen atoms with single bonds, and each oxygen atom bonds with two silicon atoms. Similar properties apply to the oxides of germanium, tin, and lead. Carbon dioxide dissolves in water to form carbonic acid, a weak acid that reacts with bases to form carbonates; oxides of the other elements of this group are practically nonreactive in water.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Because of its unparalleled importance in chemistry, carbon is the main focus of our study of the Group 14 elements.

## Carbon

Carbon is a very important element. It is abundant in the earth and atmosphere, and it is found in the substances that make all living things. Carbon has many properties that make it different from other elements, so it deserves thorough study.

### Allotropes

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f8/Eight_Allotropes_of_Carbon.png/200px-Eight_Allotropes_of_Carbon.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

a) diamond; b) graphite; c) lonsdaleite; d/e/f) buckyballs; g) amorphous; h) nanotubes

_Allotropes_ are different forms of a pure element. Carbon has several allotropes, three of which are common.

  * **Amorphous** carbon is coal and soot. The carbon molecules are covalently bonded, but there is no order or arrangement.
  * **Graphite** occurs when carbon forms flat covalent networks. These flat "sheets" are not bonded to each other, making them free to slide past each other. Graphite composes the "lead" in pencils.
  * **Diamond** occurs when carbon forms a three-dimensional covalent network. Diamonds are much different from graphite and amorphous carbon. They are transparent, brilliant-looking, and incredibly hard. Diamond only forms at heat and intense pressures.

There are also several rare and exotic allotropes of carbon, including:

  * **Buckeyballs**, or fullerenes, are spherical shaped balls of carbon. Covalent bonds join the carbon atoms into a soccer ball pattern that looks much like the geodesic domes of Buckminster Fuller. The most common buckeyball has the molecular formula C60. Buckeyballs are large enough for a small atom to get trapped inside.
  * **Lonsdaleite** forms upon meteorite impact with the Earth.
  * Carbon **nanotubes** are incredibly small but rigid tubes made of carbon. They are created in labs and are a subject of research.

Keep in mind that allotropes are composed of only one element. In this case, these allotropes contain only carbon atoms and no other elements.

### Inorganic Compounds

Although carbon is known mainly for its organic compounds, it does form many important inorganic compounds.

#### Oxides

_Oxides_ of carbon contain only carbon atoms and oxygen atoms. There are two oxides that occur commonly:

  * Carbon monoxide (**CO**): a poisonous gas released when carbon-based fuels burn in limited oxygen.
  * Carbon dioxide (**CO2**): found naturally in the air, but too much is considered pollution. Animals exhale carbon dioxide, and plants absorb it. It is slightly acidic. Carbon dioxide, when solid, is "dry ice".

There are other oxides that could form, but they are unstable or unnatural:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/40/Co3-geometries.png/150px-Co3-geometries.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Carbon trioxide

  * Carbon suboxide (**C3O2**): Consists of double bonds, with oxygens at the ends. O = C = C = C = O. It breaks apart into carbon dioxide and dicarbon monoxide.
  * Dicarbon monoxide (**C2O**): Very reactive. Contains only double bonds, but the end carbon has a non-bonding pair. ![Dicarbon-monoxide-2D.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/62/Dicarbon-monoxide-2D.svg/48px-Dicarbon-monoxide-2D.svg.png)
  * Carbon trioxide (**CO3**): Exists in three different shapes, very unstable

#### Compounds Derived from Oxides

**Carbonic acid** forms when carbon dioxide is dissolved in water. It is given by the reaction:

![\\hbox{CO}_2 + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_2\\hbox{CO}_3](../../../upload.wikimedia.org/math/4/4/2/4428099cf6020b4dc1c90196d6022d91.png)

  


![Carbonic-acid-2D.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Carbonic-acid-2D.svg/100px-Carbonic-acid-2D.svg.png)

**Carbonate** and **bicarbonate** are two ions that carbon forms.

![Carbonate-ion-localised-2D.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Carbonate-ion-localised-2D.png/100px-Carbonate-ion-localised-2D.png) ![Bicarbonate.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/16/Bicarbonate.png/100px-Bicarbonate.png)

Their formulas are CO32- and HCO3-, respectively.

#### Ionic Compounds

Along with the oxyanions (carbonate and bicarbonate), carbon can form several other [ions](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cd/Carbid.jpg/220px-Carbid.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Calcium carbide CaC2

  * Cyanide (**CN-**)
  * Cyanate (**OCN-**)
  * Thiocyante (**SCN-**)
  * Carbides (**C22-** and **C34-**)

#### Alloys

Carbon is used in some **alloys**, mixtures of metals. If a small amount (between 0.2% and 2.1% by weight) of carbon is mixed into iron, the result is **steel**.

### Organic Compounds

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Methane-2D-stereo.svg/150px-Methane-2D-stereo.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Methane

Compounds containing carbon (except for the above inorganic compounds) are considered **organic**. They were once thought to be produced only by living things, but they have since been created in laboratories. Most organic compounds contain hydrogen as well as carbon.

Many substances are organic compounds. **Polymers** are organic compounds consisting of long chains of repeating patterns containing carbon and other atoms. Plastics, rubbers, and nylon are all organic polymers. **Hydrocarbons** are compounds containing only hydrogen and carbon, methane being a simple example. Crude oil is a sludge of various hydrocarbons mixed together. Propane, butane, and octane are well-known hydrocarbons used for fuel. Perhaps the most interesting type of organic compound is the **biomolecule**. Carbohydrates, proteins, lipids (fats), and nucleic acids (like DNA) are the most basic biomolecules. They, too, are polymers (except for lipids), being made of long chains of small, repeating chemicals that have bonded together. Biomolecules make up the chemicals found in the living cells that compose all living things.

Organic chemistry and biochemistry are very broad and thorough topics. They are far outside the scope of General Chemistry. Fortunately, your knowledge of General Chemistry is sufficient to begin the Wikibooks [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry) and [Biochemistry](http://en.wikibooks.org/wiki/Biochemistry) if you are interested.

## Silicon

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3d/Surface_Mount_Components.jpg/220px-Surface_Mount_Components.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Transistor electronics exist because of silicon's semiconductor properties.

**Silicon** is found in _semiconductors_, the basis of all electronic devices. Its electron configuration allows it to donate or accept electrons. When pure silicon is "doped" with elements that have more or fewer electrons than silicon, the slightly-impure silicon becomes a semiconductor. These substances make up complex electronics by acting like a switch that can turn on or off depending on electrical signals.

Silicon does not exist uncombined in nature; it most commonly occurs in silica (including the very common rock quartz and most sand grains) and in silicates. Most silicates are insoluble. So-called 'magic rocks' react with dissolved sodium silicate in water reacts with the ions of some dissolved metal salts to form columns of rock-like silicates.

Silicon dioxide, a hard substance that melts only at high temperatures, is very different in its chemical properties from carbon dioxide, a gas until it freezes into dry ice. Molten silica can be cast as glass, a hard and useful material resistant to attack by almost all chemicals except fluorine, hydrofluoric acid, and strong alkalis. Glass is extremely useful in household containers and drinking utensils because it is resistant to chemicals, heat, and the attack of micro-organisms. Glass can be very clear if pure or containing certain chemicals, or it can take on attractive colors, making it a favorite material for art objects. Some small living creatures turn dissolved silica in the sea into their shells to create structure. A great variety of silicon compounds known as [silicones](http://en.wikipedia.org/wiki/silicone) have widespread and varied uses.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/97/Canterbury_Cathedral_window_at_crossing.jpg/220px-Canterbury_Cathedral_window_at_crossing.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A large [Perpendicular style](http://en.wikibooks.org/w/index.php?title=Perpendicular_style&action=edit&redlink=1) [Gothic](http://en.wikibooks.org/w/index.php?title=Gothic_architecture&action=edit&redlink=1) window of eight lights in [Canterbury Cathedral](http://en.wikibooks.org/w/index.php?title=Canterbury_Cathedral&action=edit&redlink=1), c. 1400, which contains medieval glass.

## Others

**Germanium** is another element used in semiconductors.

**Tin** is considered a "poor metal". It has two allotropes at STP: _grey tin_ and _white tin_. Grey tin has non-metallic characteristics, but white tin is metallic. Tin is used frequently as an alloy. "Tin cans" are actually steel cans with a tin plating to resist corrosion. _Pewter_ is an alloy of copper and tin, containing mostly tin. _Bronze_ is an alloy of copper and tin containing mostly copper. _Solder_ is an alloy of tin and lead used for its low melting point for attaching wires.

**Lead** is a heavy, gray metal. It had a tremendous number of uses, but it is now known to be a neurotoxin if ingested. Water-carrying pipes were made out of lead, but they are now made from copper or plastic because lead could contaminate the water. Lead compounds especially if soluble in water (like lead acetate used as a preservative and sweetener of wines in Roman times) or stomach acids (like the lead oxide once used in paints) or in gaseous or liquid form (like tetraethyl lead once used in gasoline), and powdered lead are very dangerous. Use of lead in foodstuffs, paint, and vehicle fuels is now illegal almost everywhere.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Lead compounds and vapors are insidious poisons that accumulate in the brain and create learning disabilities and personality disorders.

Lead-crystal glass has lead oxide in it but so tightly bound with silica that it can't escape easily. Pencil 'leads' are not lead at all, but instead harmless graphite (really carbon) bound with clay. Lead remains useful in automobile batteries (that contain necessary sulfuric acid much more dangerous than lead) and in nuclear use as a shield against radiation much more dangerous than lead metal.

![2 \\hbox{PbO} + \\hbox{PbS} \\to 3 \\hbox{Pb} + \\hbox{SO}_2](../../../upload.wikimedia.org/math/3/6/d/36db1eb2a329bf027391770c81301abc.png)
Lead **oxides** are easily [reduced](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations).

![3 \\hbox{Pb}_{\(s\)} + 8 \\hbox{HNO}_{3\(aq\)} \\to 3 \\hbox{Pb}^{2+}_{\(aq\)} + 6 \\hbox{NO}_{3\(aq\)}^- + 2 \\hbox{NO}_{\(g\)} + 4 \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/0/c/5/0c59420dd1b77fe25cb52c3e016d4442.png)
Lead does not dissolve in hydrochloric acid or sulfuric acid, but it will dissolve in nitric acid because nitric acid is a strong oxidizer.

![\\hbox{PbO}_{\(s\)} + 2\\hbox{OH}^-_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{Pb}\(\\hbox{OH}\)_{4\(aq\)}^{2-}](../../../upload.wikimedia.org/math/c/1/d/c1d61b8658a75c546e354fd6afd2804a.png)
Lead(II) oxide will form **plumbite** ions when added to basic solutions.

![\\hbox{Pb}\(\\hbox{OH}\)_{4\(aq\)}^{2-} + \\hbox{Cl}_{2\(aq\)} \\to \\hbox{PbO}_{2\(s\)} + 2 \\hbox{Cl}^-_{\(aq\)} + 2 \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/0/4/5/045237980fd78517b58a753166997c93.png)
Plumbites form lead(IV) dioxide when _chlorinated_.

![\\hbox{PbO}_{2\(s\)} + 2 \\hbox{OH}^-_{\(aq\)} + 2 \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{Pb}\(\\hbox{OH}\)_{6\(aq\)}^{2-}](../../../upload.wikimedia.org/math/8/4/d/84d69755af416e3d5df80dcd58d6b2d3.png)
Adding lead(IV) dioxide to a basic solution will form **plumbate** ions.

  


# Group 15

* * *

← [Chemistries of Various Elements/Group 14](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14) ·[Chemistries of Various Elements/Group 16](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16) →

[← Chemistries of Various Elements/Group 14](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 16 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## The Nitrogen Family

**Group 15 (VA)** contains [nitrogen](http://en.wikipedia.org/wiki/Nitrogen), [phosphorous](http://en.wikipedia.org/wiki/Phosphorous), [arsenic](http://en.wikipedia.org/wiki/Arsenic), [antimony](http://en.wikipedia.org/wiki/Antimony), and [bismuth](http://en.wikipedia.org/wiki/Bismuth). Elements in Group 15 have five valence electrons. Because the elements can either gain three electrons or lose five to gain a stable configuration, they more often form covalent compounds unless bonded to an active metal. Their electron affinities are not very large. Metallic properties increase markedly from gaseous nitrogen to barely-metallic bismuth with increasing size and mass. Nitrogen and phosphorus are non-metallic, and arsenic and antimony are metalloids.

Elements of this group are known as **pnicogens** and their compounds as **pniconides**. The name is derived from from the Greek word **pnicomigs** meaning **suffocation**.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The Group 15 elements are unique enough to be studied individually, rather than as a group.

These elements are much less reactive than the elements of [Group 16](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16), and their chemistries are more complicated. Most of the chemistry of these elements is in the +3 or +5 oxidation states, although they form gaseous compounds with hydrogen in the -3 oxidation state: ammonia NH3, phosphine PH3, arsine AsH3, stibine AsH3, and bismuthine BiH3; these all burn in oxygen to give oxides or the free element (in the case of nitrogen).

![4 \\hbox{NH}_3 + 3\\hbox{O}_2 \\to 6 \\hbox{H}_2\\hbox{O} + 2 \\hbox{N}_2](../../../upload.wikimedia.org/math/6/4/f/64f4e906c004638a3ffe5addc61c8ac1.png)

  
All form oxides—nitrogen with difficulty, the others with ease. Most of the oxides are acidic, exceptions being nitrous oxide N2O, nitric oxide NO, and bismuth oxide Bi2O3. Except for nitrogen, typical oxides are in the +3 or +5 (bismuth excluded) oxidation states. All form [halides](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17)—nitrogen with difficulty, but those of phosphorus, arsenic, and antimony fully hydrolyze in water.

Nitrogen and phosphorus form important acids in the +5 oxidation state. Nitrogen forms nitric acid HNO3, a substance used to create medicines and explosives (but this acid is corrosive and dangerous, so don't touch it or even spill it on anything), and salts known as **nitrates** such as potassium nitrate KNO3, an important fertilizer. Phosphorus forms phosphoric acid, H3PO4; **phosphates** are salts of phosphoric acid. Some phosphates are essential to respiration and thus life itself.

## Nitrogen

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Nitrogen_Cycle.jpg/220px-Nitrogen_Cycle.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The _nitrogen cycle_ shows how nitrogen is passed along organisms and the atmosphere.

Nitrogen occurs naturally as the diatomic gas N2. It composes about 70% of the air we breathe. The bond holding the two nitrogen atoms together is triple covalent, so it is very strong. Because of that, nitrogen is very unreactive. It is used in many places when an inert gas is needed. However, nitrogen will react with some substances:

![6 \\hbox{Li}_{\(s\)} + \\hbox{N}_{2\(g\)} \\to 2 \\hbox{Li}_3\\hbox{N}_{\(s\)}](../../../upload.wikimedia.org/math/c/3/d/c3d7b7ebdde06248fc32e63d36032b02.png)  


![3 \\hbox{Mg}_{\(s\)} + \\hbox{N}_{2\(g\)} \\to \\hbox{Mg}_3\\hbox{N}_{2\(s\)}](../../../upload.wikimedia.org/math/1/a/5/1a5411afc3fa4fc120ef78ebd66d92a3.png)

Although nitrogen gas is usually considered inert, it does react with some elements by burning.

![\\hbox{Li}_3\\hbox{N}_{\(s\)} + 3 \\hbox{H}_2\\hbox{O} \\to 3 \\hbox{LiOH}_{\(aq\)} + \\hbox{NH}_{3\(g\)}](../../../upload.wikimedia.org/math/f/9/e/f9e8214b4b6937b19e4e4165988e9408.png)  


![\\hbox{Mg}_3\\hbox{N}_{2\(s\)} + 6 \\hbox{H}_2\\hbox{O} \\to 3 \\hbox{Mg}\(\\hbox{OH}\)_{2\(aq\)} + 2 \\hbox{NH}_{3\(g\)}](../../../upload.wikimedia.org/math/a/e/a/aeaa22e0d1f52776fd910fefe6e68b32.png)

The **nitrides** react violently with water to form ammonia gas and a [basic](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) solution.

In its pure form, nitrogen is not very useful. It is much more important when it is a component of ammonia, nitrate, oxides, or biomolecules like protein. Due it is very unreactive nature, it is difficult to get nitrogen to react and form these useful substances. Any process that can convert elemental nitrogen into a nitrogen compound is called **nitrogen fixation**. Nitrogen fixation is biologically important because amino acids, proteins, and enzymes contain nitrogen. It is commercially important because it is used in explosives, rocket fuels, and fertilizers.

There are many nitrogen fixation reactions:

![\\hbox{N}_2 + 8 \\hbox{H}^+ + 8 \\hbox{e}^- + energy \\to 2 \\hbox{NH}_3 + \\hbox{H}_2](../../../upload.wikimedia.org/math/0/c/b/0cbeef6272719ebe4e6f065fcdcfcc2c.png)
This occurs in bacterial enzymes. The ammonia (NH3) quickly becomes ammonium (NH4+). The nitrogen in the bacteria enters the soil where plants can absorb it. Humans and animals that eat those plants can get the nitrogen.

![\\hbox{N}_2 + 3 \\hbox{H}_2 \\leftrightarrow 2 \\hbox{NH}_3](../../../upload.wikimedia.org/math/0/d/1/0d1c5221c35f51105c68540f2ac29bdd.png)
The **Haber process** is used for commercially producing ammonia. This reaction only occurs at very high pressures and temperatures (around 20 MPa and 500 °C) and in the presence of an iron catalyst. Also, the reaction occurs in somewhat complex equipment that must input pure reactants and extract the ammonia.

Keep in mind that ammonia is a gas at STP. The household product called "ammonia" is actually an [aqueous solution](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) of ammonium hydroxide (NH4OH) that forms when ammonia gas is dissolved in water. Ammonia, quite unlike hydrogen compounds of Groups 16 and 17, is a base in its reactions, forming salts with weak and strong acids alike. Such a substance as ammonium chloride (NH4Cl) is a soluble, strongly ionic salt.

Nitrogen compounds are often extremely unstable because nitrogen atoms in nitrogen compounds tend to seek each other to recombine as nitrogen gas. Many nitrogen compounds are literal explosives, including TNT and nitroglycerin. These explosives are in common use in construction projects for the demolition of buildings and other obstacles to new construction, or to get access to minerals in mining operations.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Handling of any explosive or making them is appropriately left to experts.

## Phosphorus

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/df/White_phosphrous_molecule.jpg/90px-White_phosphrous_molecule.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

White phosphorus atomic structure

Phosphorus has two common allotropes: red phosphorus and white phosphorus. White phosphorus (P4) has a waxy appearance and turns yellow when exposed to light. When exposed to oxygen in the dark, it glows pale green.

  


![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

White phosphorus is extremely dangerous. It causes severe burns and is very toxic. It ignites with a very hot flame and can be explosive. Leave all experiments with white phosphorus to experienced chemists

.

White phosphorus ignites under all but the most delicate conditions. The combustion of white phosphorus produces phosphorus(V) oxide:

![\\hbox{P}_4 + 5 \\hbox{O}_2 \\to \\hbox{P}_4\\hbox{O}_{10}](../../../upload.wikimedia.org/math/b/f/d/bfd12db38654d3227880ba7535c30d31.png)

One of its most common uses is in military weapons that cause severe burning of the object hit by the weapon.

  
Red phosphorus is an amorphous solid. It is more stable and explodes at temperatures higher than those of white phosphorus. It is still, however, dangerously reactive. Both forms of phosphorus are insoluble in water and can be interconverted with various applications of heat, pressure, and light.

There also exist black phosphorus and violet phosphorus. Unlike nitrogen, phosphorus will not readily form a diatomic molecule with a triple bond. Diphosphorus does exist, but only between a temperature range of 1200 °C and 2000 °C.

Phosphorus is essential to life in the form of phosphates in bones and in substances known as ADP and ATP that transform food into useful energy in cells.

## Others

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3c/Bismuth-crystal.jpg/220px-Bismuth-crystal.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A crystal of bismuth, showing its colorful _iridescent_ tarnish.

Arsenic is similar to phosphorus. It has three allotropes: grey arsenic, yellow arsenic, and black arsenic. Grey arsenic is the most common form. Its structure is similar to graphite.

Antimony has the physical properties of a metal, but behaves chemically as a non-metal.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Arsenic and antimony, as well as practically all of their compounds, are dangerous poisons.

Bismuth is a brittle, silvery metal. Bismuth _is_ actually radioactive, decaying into thallium-205. Because its _half-life_ is 19 x 1018 years, about a million times the age of the universe, bismuth is usually considered stable.

Bismuth is much less radioactive than the nearly-harmless and unavoidable radioactive isotopes of carbon and potassium in living things. Unlike arsenic and antimony, its compounds aren't toxic unless something else in the compound is itself toxic or the substance is very acidic or alkaline. In fact, a bismuth compound is very common in a heavily-used stomach medication that requires no prescription. there another type of phosphorous is also exists i.e.,black P .It is prepared by heating white P to 470K at inert atmosphere.  


# Group 16

* * *

← [Chemistries of Various Elements/Group 15](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_15) ·[Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17) →

[← Chemistries of Various Elements/Group 15](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_15) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 17 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## The Oxygen Family

**Group 16 (VIA)** is made of [oxygen](http://en.wikipedia.org/wiki/Oxygen), [sulphur](http://en.wikipedia.org/wiki/Sulfur), [selenium](http://en.wikipedia.org/wiki/Selenium), [tellurium](http://en.wikipedia.org/wiki/Tellurium), and [polonium](http://en.wikipedia.org/wiki/Polonium). Oxygen, sulphur, and selenium are non-metals. Tellurium is a metalloid and polonium is a metal.

Group 16 elements have 6 valence electrons, meaning that they require two more electrons to complete a stable electron octet. They still have relatively large electron affinities and are rather reactive, forming ions with a -2 charge. All form volatile compounds with hydrogen: water H2O, hydrogen sulphide H2S, hydrogen selenide H2Se, hydrogen telluride H2Te, and polonium hydride PoH2.

Electronegativity decreases in this group with increasing atomic mass, and oxygen is more electronegative than any element except fluorine; it acts much like a halogen except for its -2 oxidation state. Fluorine and oxygen oxidize these elements (except oxygen) to the +6 oxidation state, resulting in such substances (for sulfur) as sulfur hexafluoride SF6 and sulfur trioxide SO3 and its derivative sulfuric acid H2SO4, one of the most heavily-used industrial chemicals. (Note that use of sulfuric acid requires extreme care because it causes chemical burns upon flesh, cloth, and paper). Typically, these elements will attain an oxidation state of -2.

Oxides of sulfur, selenium, and tellurium are acidic. Strong radioactivity largely masks the chemical properties of polonium.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The elements of Group 16 have somewhat varied properties; however, out study of these elements will focus on oxygen because of its abundance and significance.

## Oxygen

Oxygen is a diatomic gas that makes up about 20% of the air we breath. It is essential for the life of animals, and plants release it. Plants absorb sunlight and produce _glucose_ (sugar) and oxygen. Cells of plants and animals alike "burn" glucose with oxygen to gain energy.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Chloroplasten.jpg/220px-Chloroplasten.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Close-up of chloroplasts, the part of plant cells where photosynthesis occurs

![6 \\hbox{CO}_2 + 6 \\hbox{H}_2\\hbox{O} + sunlight \\to \\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_6 + 6 \\hbox{O}_2](../../../upload.wikimedia.org/math/5/b/b/5bbcf8edd598a929ffab58c52d8de0e6.png)
**Photosynthesis** is actually a series of complex chemical reactions, involving several substances found in the chloroplasts of plants. This is the overall reaction.

![\\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_6 + 6 \\hbox{O}_2 \\to 6\\hbox{CO}_2 + 6 \\hbox{H}_2\\hbox{O} + 2880~kJ/mol](../../../upload.wikimedia.org/math/b/5/c/b5cc95db6c9822957660a77b6af3da1d.png)
Cellular **respiration** is the reverse process: converting glucose into energy.

Oxygen has a few allotropes, but only two are common: dioxygen and ozone. Dioxygen is the regular form of oxygen, O2, held together with a double covalent bond. Ozone, O3, is found naturally in the upper atmosphere and can form when normal oxygen is exposed to high voltage.

### Ozone

Ozone is not very stable. It will decompose: 2 O3 → 3 O2. Ozone is a very powerful [oxidizing agent](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations). Metals and non-metals are both susceptible to oxidation when exposed to ozone.

![\\hbox{C} + 2 \\hbox{O}_3 \\to \\hbox{CO}_2 + 2 \\hbox{O}_2](../../../upload.wikimedia.org/math/2/e/2/2e2f8c3cdcd247ff0370554ab10511c6.png)
Carbon is oxidized by ozone.

![\\hbox{NO} + \\hbox{O}_3 \\to \\hbox{NO}_2 + \\hbox{O}_2](../../../upload.wikimedia.org/math/1/e/7/1e724fd6fa36784baaa346605971950d.png)
Nitric oxide becomes nitrogen dioxide.

Although considered a pollutant when at ground level (it is toxic), ozone is a very important chemical found in the upper atmosphere. The Sun emits dangerous ultraviolet light that would damage living cells, but ozone absorbs the light energy and converts it safely into heat energy:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Ozone_cycle.jpg/220px-Ozone_cycle.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The ozone cycle

![\\hbox{O}_3 + radiation \\to \\hbox{O}_2 + \\hbox{O}](../../../upload.wikimedia.org/math/6/6/7/6679daea835442e6f432b0cecbd37300.png)
High-powered radiation from the sun splits ozone molecules.

![\\hbox{O}_2 + \\hbox{O} \\to \\hbox{O}_3 + energy](../../../upload.wikimedia.org/math/4/3/f/43fb0e3920e9c9ce224e65fc1fa2045e.png)
Atomic oxygen can reattach itself to dioxygen to recreate ozone.

You can see that the net result of the above reactions is a system of ozone that converts dangerous radiation into heat energy.

Atomic oxygen is extremely unstable and will attach itself to form O2 or O3 immediately:

  * ![\\hbox{O}_3 + \\hbox{O} \\to 2 \\hbox{O}_2](../../../upload.wikimedia.org/math/f/6/4/f6425fc8f2c89472fa5e41ddc4558ab3.png)
  * ![\\hbox{O} + \\hbox{O} \\to \\hbox{O}_2](../../../upload.wikimedia.org/math/2/0/e/20e1d256600d63c0c5ee37e35a23dff4.png)

The amount of ozone in the atmosphere is small, but solar radiation will split O2 into two O atoms, so there is a small but steady supply of ozone. Unfortunately, many man-made products called _chlorofluorocarbons_ (CFCs) have entered the upper atmosphere over the years. The chemicals release chlorine radicals that act as catalysts for an ozone-destroying reaction. As a result, the amount of ozone in the atmosphere has decreased, which could lead to an increase in dangerous solar radiation.

![\\hbox{CFCl}_3 + radiation \\to \\hbox{CFCl}_2 + \\hbox{Cl}\\cdot](../../../upload.wikimedia.org/math/1/3/e/13e88cec4a8f329e62dca3b09cc2a5db.png)
A chlorine **radical** forms from a CFC. _Radicals_ have a single non-bonding electron (instead of the usual pair), so they are extremely reactive. A chlorine radical is simply a single atom of chlorine (which has seven electrons).

![\\hbox{Cl}\\cdot + \\hbox{O}_3 \\to \\hbox{ClO} + \\hbox{O}_2](../../../upload.wikimedia.org/math/6/f/7/6f71292ec003c4e5d89f35ade413a471.png)
Chlorine radicals will become stable by "stealing" an oxygen atom from ozone.

![\\hbox{ClO} + \\hbox{O}_3 \\to \\hbox{Cl}\\cdot + 2 \\hbox{O}_2](../../../upload.wikimedia.org/math/9/b/1/9b11edff2fd126d3f01343cc74c17a6a.png)
The chlorine monoxide reacts to eliminate another ozone molecule. The original radical is now available to repeat the entire process.

As you can see, chlorine radicals convert ozone into regular oxygen without being used up. Over the years, products have been created that replace CFCs and cause less environmental damage.

### Oxides

Any chemical compound consisting of oxygen and some other element covalently bonded is an **oxide**. Metals form oxides easily, except for a few including gold, platinum, and mercury. Besides being called _[oxidation_](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations), the process is also called _tarnishing_ or _rusting_. In other words, an iron nail that turns to rust has formed iron oxide. The dull, dirty-looking film that coats otherwise shiny copper is copper oxide. Oxides form because oxygen is so electronegative. When substances burn (including hydrocarbons and metals), they oxidize and release large amounts of heat quickly.

The oxide ion is O2-. There is also peroxide O22- and superoxide O2-.

## Sulfur

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7e/Cyclooctasulfur-above-3D-balls.png/220px-Cyclooctasulfur-above-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

S8

Sulfur behaves similarly to oxygen, but it has over 30 allotropes. The most common is S8. Sulfur is a solid at STP. It is yellow and is actually odorless. The distinct odor of sulfur is actually H2S, hydrogen sulfide. Sulfur is a part of many organic and inorganic compounds. Sulfur is part of some proteins necessary for life.

Chemical names beginning with "thio"- mean an oxygen atom has been replaced with a sulfur atom. For example, cyanate is OCN-, whereas thiocyanate is SCN-.

## Others

Selenium conducts electricity better in the light than in the dark, so it is found in photocells, electrical components that detect light.

Tellurium is extremely rare and very poisonous.

Polonium is dangerously radioactive and very rare. It is usually associated with uranium ore as a product of radioactive decay of uranium.  


# Group 17

* * *

← [Chemistries of Various Elements/Group 16](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16) ·[Chemistries of Various Elements/Group 18](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) →

[← Chemistries of Various Elements/Group 16](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 18 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Halogens

The _halogens_ are found in **Group 17(VIIA)**. The halogens are [fluorine](http://en.wikipedia.org/wiki/Fluorine), [chlorine](http://en.wikipedia.org/wiki/Chlorine), [bromine](http://en.wikipedia.org/wiki/Bromine), [iodine](http://en.wikipedia.org/wiki/Iodine), and [astatine](http://en.wikipedia.org/wiki/Astatine).

Like the [alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1), the halogens are extremely reactive. They have seven valence electrons, meaning they require only one more electron for a noble configuration. This gives them very large electron affinities and extreme reactivity to form ions with a -1 charge. They are so reactive that in their homogeneous state, UV light will catalyze a radical reaction.

The halogens exist in **diatomic** form. Under normal conditions, they will always occur in pairs, covalently bonded. The covalent bond allows them to share an electron and possess a complete octet. F2 is a pale yellowish-brown gas. It is highly reactive, causing organic compounds and hydrogen gas to explode, even without a spark. Cl2 is a pale yellow-green gas. It reacts with water to form disinfectants and bleaches. Br2 is a reddish-brown liquid, but, being **volatile**, it readily evaporates into a reddish vapor. I2 is a gray solid that forms a violet gas if heated.

Fluorine is the most [electronegative](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) of all elements, and it is so reactive that it attacks almost any other element (noble gases, oxygen, nitrogen, and gold are the exceptions) to form fluorides. Chlorine is somewhat less reactive, bromine somewhat less reactive than chlorine, and iodine even less, but even iodine is a formidable ionizer. Extreme radioactivity masks the chemical properties of astatine. With increasing atomic weight for these elements, the elements have higher boiling and melting points. At normal temperatures, fluorine and chlorine are gases, bromine is a liquid, and iodine is a solid.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The halogens have very similar chemical properties. They can be studied as a whole, rather than element-by-element, due to this similarity.

  * The Halogens
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Fluorid_m�%259B�%258Fnatý.PNG/120px-Fluorid_m�%259B�%258Fnatý.PNG)

Copper (II) Fluoride

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Chlorinegas.jpg/67px-Chlorinegas.jpg)

Chlorine gas

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Bromine2.jpg/58px-Bromine2.jpg)

Bottle containing both liquid and gaseous bromine

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c2/Iodine-sample.jpg/120px-Iodine-sample.jpg)

Solid iodine pieces

## Safety

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

All of these pure elements are dangerous and should never be touched. Fluorine is extremely dangerous in that it corrodes almost anything—even glass. Breathing the vapors of these elements, even in minute amounts, can cause death. Soluble fluorides are highly toxic to living things and hazardous to the environment.

## Reactions

![2 \\hbox{F}_{2\(g\)} + 2 \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{O}_{2\(g\)} + 4 \\hbox{HF}_{\(aq\)}](../../../upload.wikimedia.org/math/6/d/8/6d8b5afd9ebaa9bd513f83f2a8fe5e47.png)  


![\\hbox{Cl}_{2\(g\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{HCl}_{\(aq\)} + \\hbox{HClO}_{\(aq\)}](../../../upload.wikimedia.org/math/3/a/5/3a51af500097695feedacc6f22782380.png)  
![\\hbox{Br}_{2\(g\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{HBr}_{\(aq\)} + \\hbox{HBrO}_{\(aq\)}](../../../upload.wikimedia.org/math/b/0/f/b0f37c1a23b74d7468e392d526b294db.png)

The halogens in diatomic form react with water to produce **[acids**](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases).  


Iodine does not react with water and is only slightly [soluble](http://en.wikibooks.org/wiki/General_Chemistry/Solubility). Chlorine also has low solubility, but it will react in water to form hypochlorous acid and hydrochloric acid.

![\\hbox{X}_2 + \\hbox{H}_{2\(g\)} \\to 2 \\hbox{HX}_{\(g\)}](../../../upload.wikimedia.org/math/b/c/5/bc5a2a82604b0ea02ab29ca9da5aa7c4.png)
In chemical reactions, an X is used to symbolize any halogen element. All halogens form gaseous compounds with hydrogen: hydrogen fluoride HF, hydrogen chloride HCl, hydrogen bromide HBr, and hydrogen iodide HI. These are acidic, strongly reactive substances called **hydrogen halides**.

![\\hbox{HX}_{\(g\)} + 2\\hbox{H}_2\\hbox{O}_{\(g\)} \\to \\hbox{H}_3\\hbox{O}^+_{\(aq\)} + \\hbox{X}^-_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/c/1/f/c1f207edf84165b70774d3ed694c6598.png)
When hydrogen halides are dissolved in water, they are known as **hydrohalic acids**. Except for hydrogen fluoride, they are among the [strongest](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) known acids.

![2 \\hbox{M}_{\(s\)} + \\hbox{X}_{2\(g\)} \\to 2 \\hbox{MX}_{\(s\)}](../../../upload.wikimedia.org/math/5/2/7/5273600788f3352f092a3d00717d40f0.png)  


![\\hbox{HX}_{\(g\)} + \\hbox{NH}_{3\(g\)} \\to \\hbox{NH}_4\\hbox{X}_{\(g\)}](../../../upload.wikimedia.org/math/e/c/5/ec56db796f56bc7251525aefec4c1528.png)

These reactions show reactions with metals and ammonia gas to form **[salts** and **ammonium halides**](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds), respectively.

![\\hbox{SiCl}_4 + 2\\hbox{H}_2\\hbox{O} \\to \\hbox{SiO}_2 + 4 \\hbox{HCl}](../../../upload.wikimedia.org/math/b/7/9/b7981bb78042870f83de767231740fe3.png)
Many non-metallic halides react with water to release hydrogen halides. For example, silicon chloride and water react.

## Other Compounds

Halides of metals are known as **salts**. Sodium chloride, better known as "table salt", is the crystalline substance often used to enhance the flavor of food. Note, however, that not all salts are halides (for example, sodium sulfate Na2SO4), and not all halides are salts (carbon tetrachloride, CCl4).

**Interhalogens** are molecules composed of two or more different halogen atoms. They are similar to the diatomic halogens. Some examples are chlorine monofluoride ClF and bromine monochloride BrCl. There are many others, and they are all very reactive and somewhat unstable. Interhalogens take the form XYn, where n is 1, 3, 5, or 7. X and Y are both halogens, X being the less electronegative.

**Noble gas compounds** have been formed using fluorine. Although noble gases are supposedly inert, the larger ones like xenon will form covalent bonds with a very electronegative element like fluorine. Xenon difluoride XeF2, xenon tetrafluoride XeF4, and xenon hexafluoride XeF6 are among the noble gas compounds that have been created.  


# Group 18

* * *

← [Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17) ·[Chemistries of Various Elements/Hydrogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen) →

[← Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Hydrogen →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Noble Gases

The _noble gases_ are in **Group 18 (8A)**. They are [helium](http://en.wikipedia.org/wiki/Helium), [neon](http://en.wikipedia.org/wiki/Neon), [argon](http://en.wikipedia.org/wiki/Argon), [krypton](http://en.wikipedia.org/wiki/Krypton), [xenon](http://en.wikipedia.org/wiki/Xenon), and [radon](http://en.wikipedia.org/wiki/Radon). They were once called _inert gases_ because they were thought to be completely **inert**—unable to form compounds. This is a reasonable belief because the noble gases have a complete [octet](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions), making them very stable and unlikely to gain or lose any electrons. However, some compounds have been formed with the larger elements of this group, like xenon tetrafluoride (XeF4). No normal compounds of helium, neon, or argon are stable at any but the coldest of temperatures.

Radon is dangerously radioactive; it causes cancer. It is so unstable that its radioactivity makes any chemical experiments with it nearly impossible.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Noble gases all have a complete octet (eight valence electrons), except for helium (which has only two electrons). Because this configuration is extremely stable as well as symmetrical, the noble gases are very unreactive.

## Ionization

If an electric current is passed through a gas, its electrons will become excited. The electron will jump to a higher energy level, but then it falls back down to a stable state and releases the energy that it had absorbed. The energy is released in the form of a _photon_, or particle of light. In other words, gases can be used to convert electricity into light—the concept of "neon signs". Neon signs are not necessarily filled with neon. They are filled with any mixture of gases to get the desired color. Each gas has a unique color that it emits.

  * Colors of different noble gases when used in "neon" signs
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/HeTube.jpg/120px-HeTube.jpg)

Helium (pink)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/88/NeTube.jpg/120px-NeTube.jpg)

Neon (red-orange)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2f/ArTube.jpg/120px-ArTube.jpg)

Argon (blue)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/KrTube.jpg/120px-KrTube.jpg)

Krypton (pale green)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/XeTube.jpg/120px-XeTube.jpg)

Xenon (pale blue)

Of course, other gases can be used besides the noble gases.

## Helium

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Helium-II-creep.svg/120px-Helium-II-creep.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Helium will not freeze. Instead, it becomes a superfluid.

Helium is a unique noble gas. It is the second most abundant element in the universe. Lighter than air, it is used in blimps because it will allow them to float without the risk of an explosion. Neon is the only element less reactive than helium.

Helium will not freeze under normal pressure. There cannot be enough [intermolecular force](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) to lock the atoms into a solid. It remains a gas until 4 K, then becomes a liquid. With the right conditions, helium becomes a _superfluid_. It is a liquid that will creep along the edges of its container with zero viscosity.  


# Hydrogen

* * *

← [Chemistries of Various Elements/Group 18](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) ·[Chemistries of Various Elements/Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals) →

[← Chemistries of Various Elements/Group 18](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Transition Metals →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Hydrogen

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Hydrogen is an element like no other. It does not fit into any of the groups.

[Hydrogen](http://en.wikipedia.org/wiki/Hydrogen) is by far the most common element in the universe; as a gas it is too light for Earth's gravity to hold. It is by far the largest constituent of the Sun and all other stars and of the gas giant planets of our solar system. It exists on or just under the surface of the Earth as a component of water and in innumerable compounds of carbon, many essential to life.

The heat and light from the sun (or any other star) arises largely from the nuclear fusion of hydrogen into helium. Nuclear reactions are [discussed later](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals#Nuclear_Chemistry). Essentially, the nuclei of two atoms can combine at very high temperatures, which releases tremendous amounts of energy in the form of heat and light.

## Reactions

Hydrogen, although having one outermost electron, does not fit into the alkali metals or any other group. It forms compounds analogous to those of the alkali metals, but such hydrogen compounds are much less alkaline (or more acidic), much less ionic, and more volatile. Sodium chloride, common salt, is neutral and clearly ionic; hydrogen chloride is a non-ionic gas under normal conditions and is a strong acid. The hydrogen analogue of sodium hydroxide is a volatile liquid (water, its most common compound) under normal situations—unlike the strongly alkaline and solid sodium hydroxide, water is slightly ionic and effectively neutral.

Hydrogen is a non-metal, forming a diatomic gas which results from the sharing of the single electrons of hydrogen atoms. It can achieve a stable ionic structure (no electrons!) by losing an electron or by gaining an electron and achieving the completed shell configuration of helium. The hydrogen molecule is best described as sharing the two electrons between two hydrogen atoms. This structure is highly stable and has little inclination to form bonds between other hydrogen molecules; hydrogen is a gas down to some of the lowest temperatures known. It is also the lightest of gases, weighing less even than helium.

![\\hbox{H}_{2 \(g\)} + \\hbox{F}_{2\(g\)} \\to 2 \\hbox{HF}_{\(g\)} + heat](../../../upload.wikimedia.org/math/0/9/9/099ac9db3d684e770fff6f8bf3c9bd03.png)
Hydrogen readily shares its electron with a strongly electronegative element, like any halogen, oxygen, or sulfur. The combination with fluorine is particularly violent and possible down to very low temperatures. Light is enough to force combustion between hydrogen and chlorine, and a spark is enough to cause combustion between hydrogen and oxygen.

![2 \\hbox{H}_{2 \(g\)} + \\hbox{O}_{2 \(g\)} \\to 2 \\hbox{H}_2\\hbox{O}_{\(g\)} + heat](../../../upload.wikimedia.org/math/b/7/c/b7cffdbccf72548c1f165633bf180262.png)
Due to the _Hindenburg_ disaster of 1936, helium has long replaced hydrogen in lighter-than-air aircraft. The reaction responsible for that disaster was simply the combustion of hydrogen and oxygen. (Note that at the temperatures associated with such a combustion, water is in the gaseous state)

![\\hbox{H}_{2\(g\)} + 2 \\hbox{Na}_{\(s\)} \\to 2 \\hbox{NaH}_{\(s\)}](../../../upload.wikimedia.org/math/b/d/7/bd725767d8a5c1871f3dc11374aaf9cf.png)  


![\\hbox{NaH}_{\(s\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{NaOH}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/9/5/c/95c4076c3754bad98bef177f1a493fa3.png)

Hydrogen can act somewhat like a halogen, forming **hydrides** with some metals. Most of these react violently with water to form hydrogen gas and the metal hydroxide. Hydrogen compounds with non-metals are typically among the most volatile substances of those elements.

![2 \\hbox{Zn}_{\(s\)} + 2 \\hbox{HCl}_{\(aq\)} \\to 2 \\hbox{ZnCl}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/8/6/b/86b9cec758f698d63745b2bd679a2de7.png)  


![\\hbox{M} + 2 \\hbox{H}^+ \\to \\hbox{M}^{2+} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/2/5/7/25752665c80711a5a6269c1950a9d72a.png) _(general net ionic equation)_

Under pressure, in aqueous solutions, or in non-solid acids, hydrogen is a good [reducing agent](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations). Strong acids attack most metals. This example shows hydrochloric acid added to zinc. 

In the atmospheres of gas giant planets (Jupiter, Saturn, Uranus, and Neptune) gaseous hydrogen under great pressure reduces nitrogen to ammonia, carbon compounds to methane and other hydrocarbons, and oxides to water.

## Compounds

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Hydrogen forms more chemical compounds than any other element including carbon.

Almost all carbon compounds contain hydrogen, and vice versa, but more substances containing hydrogen (without carbon) exist than do compounds of carbon (without hydrogen). Hydrogen forms bonds with most non-metals, including oxygen, nitrogen, and carbon. Although a hydrogen atom can bond with only one other element, and then only in a single bond, hydrogen allows very long chains of carbon atoms to form. Most of the hydrogen compounds with carbon alone are combustible gases or volatile liquids or waxy solids that can be vaporized and burned to produce water, carbon dioxide, and much heat. Natural gas, gasoline (a mixture of liquid hydrocarbons), and waxes as found in candles make suitable fuels. With such other elements as oxygen, nitrogen, sulfur, and in some cases metals, hydrogen allows the formation of substances necessary for life, including carboxylic acids, sugars, proteins, nucleic acids, haemoglobin, and chlorophyll.

Such complex compounds are ordinarily discussed in [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry), a study associated more obviously with carbon.

## Forms

Hydrogen has three _isotopes_. All hydrogen atoms contain exactly one proton in the nucleus, but there can be zero, one, or two neutrons. 99.98% of all hydrogen atoms naturally found on Earth have no neutrons. This is called _protium_, or **1H**. It is stable, along with _deuterium_, or **2H**. Deuterium has one neutron. It behaves exactly like regular hydrogen, but it weighs twice as much. Thus, "heavy water" is D2O, where D is deuterium. _Tritium_, or **3H**, has two neutrons. It is unstable (radioactive) and decays into helium.

If hydrogen loses an electron, it becomes H+, simply a bare proton. In an aqueous solution, H+ forms hydrogen bonds with a surrounding water molecule to create _hydronium_ H3O+. As the hydronium concentration of a solution increases, so does its [acidity](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases).

Although uncommon, hydrogen can gain an electron to become an H- ion.  


# Transition Metals

* * *

← [Chemistries of Various Elements/Hydrogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen) ·[Chemistries of Various Elements/Inner Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals) →

[← Chemistries of Various Elements/Hydrogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Inner Transition Metals →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Transition Metals

The transition metals are found in the middle of the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table). There are two definitions of _transition metals_:

  1. All d-block elements (Groups 3-12)
  2. Elements with partially occupied d-orbitals or that can form cations with partially occupied d-orbitals

The first definition is more common and is used casually, but the second definition emphasizes the unique properties of transition metals and is the one used by IUPAC (The International Union of Pure and Applied Chemistry). The second definition is commonly considered to exclude Zn, Cd and Hg because these elements have a _d10_ electronic configuration (the d-orbitals being fully, not partially, occupied). However, recently reported fluoride Hg(IV) compounds, which have a _d8_ configuration put this exemption into doubt and make it reasonable to consider Hg (and possibly Zn and Cd too) as transition metals.

Transition metals behave differently than other metals because of their partially occupied d-orbitals. Adding electrons to a transition metal does not affect its valence shell because the electrons go into the d-orbital (which is not part of the valence shell). All transition metals have one or two valence electrons.

### Electrons and Oxidation

Transition metals are interesting because they can have several [oxidation states](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state), unlike most other metals. This happens because the transition metals can lose their d electrons in addition to their s electrons when forming ions.

![](../../../upload.wikimedia.org/wikipedia/commons/1/19/Transition_metal_oxidation_states_2.png)

The solid dots show common oxidation states, and the hollow dots show possible but unlikely states.

Remember that an electron orbital is most stable when it is full or half-full (or empty). Studying the electron configurations of the transition metals shows an interesting pattern:

Sc:
[Ar]4s23d1

Ti:
[Ar]4s23d2

V :
[Ar]4s23d3

Cr:
[Ar]4s**1**3d**5**

Mn:
[Ar]4s23d5

Fe:
[Ar]4s23d6

Co:
[Ar]4s23d7

Ni:
[Ar]4s23d8

Cu:
[Ar]4s**1**3d**10**

Zn:
[Ar]4s23d10

To be more stable, an s-electron "jumps up" to the d-orbital in chromium and copper. This also occurs in in heavier transition metals like molybdenum, tungsten, and platinum. With heavier transition metals in Periods 5, 6, and 7, the effects of _relativity_ cause changes in the energy levels of the orbitals. In those elements, s-electrons "jump up" to d-shells more often than expected with the full/half-full rule.

When ions of the transition metals form, they lose their s-electrons first, then they lose their d-electrons if further ionized. For example, copper can form two different ions, and titanium can form three:

Cu:
[Ar]4s13d10

Cu+:
[Ar]4s03d10

Cu2+:
[Ar]4s03d9

Ti:
[Ar]4s23d2

Ti2+:
[Ar]4s03d2

Ti3+:
[Ar]4s03d1

Ti4+:
[Ar]4s03d0

### Colors

Transition metals and their oxides, when dissolved, form colored compounds. Group 1 and 2 metals are clear when dissolved and white when precipitated. Other metals, like lead, are clear when dissolved and may have color when precipitated (lead precipitates are yellow). Transition metals, on the other hand, are colored when dissolved. Different metals are known for their specific colors, finding use as inks or paints.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/Coloured-transition-metal-solutions.jpg/400px-Coloured-transition-metal-solutions.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Left to right: cobalt(II) nitrate (red); potassium dichromate (orange); potassium chromate (yellow); nickel(II) chloride (green); copper(II) sulfate (blue); potassium permanganate (purple).

## Families

### Coinage Metals

The "coinage metals" are [copper](http://en.wikipedia.org/wiki/Copper), [silver](http://en.wikipedia.org/wiki/Silver), [gold](http://en.wikipedia.org/wiki/Gold), and [roentgenium](http://en.wikipedia.org/wiki/Roentgenium). These elements are used for much more than just coins, and many other elements besides these are made into coins. Furthermore, roentgenium is radioactive with a half-life of 3.6 seconds, making it useless for commercial applications. Consequently, the "coinage metals" are more appropriately called **Group 11 (IB)** elements.

Copper, silver, and gold, although relatively rare (copper), rare (silver), or extremely rare (gold), are among the longest-known and most familiar elements. They are soft, shiny, dense metals resistant to corrosion and very good conductors of electricity. Roentgenium, a recently-discovered synthetic element, is so short-lived that its physical and chemical properties are ill-defined.

Copper is by far the most heavily used of these elements due to its electrical properties, its commonness (contrasted to silver and gold) and the attractiveness of its alloys brass and bronze. Until aluminum became commonplace, copper was second only to iron in production among the metals.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Kupferfittings_4062.jpg/150px-Kupferfittings_4062.jpg)

Copper pipes

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/64/SilverUSGOV.jpg/150px-SilverUSGOV.jpg)

Silver, the shiniest

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9e/Gold1oz.jpg/150px-Gold1oz.jpg)

Gold

They are easy to identify when found because copper (reddish) and gold (yellow) are the only two colored metals that people are likely to encounter. Silver is the shiniest of metals, and it is usually found in the presence of copper or gold and gives an obvious contrast. They are often found uncombined.

Because of their softness they are easily struck as coins, and their comparative rarity and attractiveness, along with their resistance to corrosion make them compact stores of wealth. They are too soft to have structural value, but copper alloys with such elements as zinc and tin to form harder brasses and bronzes. Brass and bronze were essential in the earliest metal tools; without them, civilization as we know would be impossible. Gold and silver, due to their attractiveness and their resistance to oxidation, have been used heavily in jewelry and other ornamental works. Gold, although extremely expensive, is so malleable that at modest cost a small amount can be pounded into a foil of extreme thinness that allows it to be used as a covering of some architectural objects; a little gold goes a long way.

Copper oxidizes with some difficulty to the +1 state in halides and an oxide and to the +2 state in salts such as copper sulfate CuSO4. Soluble copper compounds are easily identified by their distinctive blue-green color. Silver oxidizes to the +1 state in such substances as silver nitrate AgNO3 and silver sulfide Ag2S, the latter the typical blackening of silver. Gold oxidizes to the +1 and +3 state with great difficulty.

These elements are poor (copper) to extremely-poor (gold) reducing agents and their compounds are very good oxidizing agents. Copper ions oxidize most metals:

![\\hbox{Cu}^{2+}_{\(aq\)} + \\hbox{Fe}_{\(s\)} \\to \\hbox{Cu}_{\(s\)} + \\hbox{Fe}^{2+}_{\(aq\)}](../../../upload.wikimedia.org/math/c/5/a/c5a9bd647c8fa9ead04009e5a57920e6.png)

The reaction is even stronger with either silver or gold. In effect a solution of one of these metals' salts plates most other metals.

Silver is most electrically conductive metal, followed by copper then gold. This makes copper a favorite material for electrical wires. Gold-tipped wires are employed in situations that need electrical precision (like high-quality audio) because gold will not tarnish (the tarnish of copper is much less conductive).

### Zinc Family

The _Zinc Family_ is **Group 12 (IIB)** and consists of [zinc](http://en.wikipedia.org/wiki/zinc), [cadmium](http://en.wikipedia.org/wiki/cadmium), [mercury](http://en.wikipedia.org/wiki/mercury), and [copernicum](http://en.wikipedia.org/wiki/copernicum).

Zinc, cadmium, and mercury are metals with low melting points for metals. This is because they have an especially stable electron configuration. Mercury is so poor at forming metallic bonds that it is liquid at room temperature.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7a/10_Pfennig_1921.jpg/120px-10_Pfennig_1921.jpg)

A zinc coin

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Cd,48.jpg/120px-Cd,48.jpg)

Cadmium pieces

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Hg_Mercury.jpg/120px-Hg_Mercury.jpg)

A puddle of mercury

Zinc and cadmium are soft metals that easily oxidize to the +2 oxidation state. Neither of these two metals appears uncombined in nature. Zinc is heavily used in alloys with copper to create a harder metal known as brass; as a coating for iron (the process is called "galvanizing"), it oxidizes to form a protective layer of zinc oxide (ZnO) that protects the iron from oxidation, also known as rust. Zinc oxide is much safer than lead oxide and is often used in white paint. Since 1982, zinc has been the main metal used in American pennies. It is now used in new organ pipes.

Cadmium forms two substances, cadmium yellow (cadmium sulfide, CdS) and cadmium red (cadmium selenide, CdSe) that appeared in paints. These paints had strong colors that many of the great artists of the Impressionist periods cherished in their paintings. But these substances are very poisonous, and painters who used them often died young and crippled. Modern painters ordinarily use different paints that do not use these two poisonous chemicals.

Mercury, in contrast, is a shiny liquid at room temperature and oxidizes with some difficulty. It conducts electricity well. Because it is liquid it is an unusual metal—but it is a metal. It has been used in thermometers (but not so often after it has been identified as a dangerous poison) because it expands with heat and in switches where it can flow into a closed space to close a circuit. Mercury oxidizes to the +2 state in mercuric chloride (HgCl2); in some strange compounds, two mercury atoms share an electron and offer their "spare" electrons to form substances in the +1 state, such as mercurous chloride (Hg2Cl2).

Zinc is an essential trace element for living things; it has some germicidal properties and is toxic (poisonous) in large quantities. Zinc pennies should never be swallowed. Cadmium, mercury, and their compounds are very dangerous poisons. Although mercury is attractive and has remarkable properties, it should be used with extreme care, and only by workers who have appropriate knowledge of its hazards.

The artificial Element 112 named copernicum in 2010 is probably part of this group in its properties, but it is extremely difficult to produce and too unstable to have a well-defined chemistry. Few atoms of this element have ever been made.

The elements of Groups 8, 9, and 10 are in two distinct groups: the common elements iron, cobalt, and nickel of the upper row of transition metals and the platinum metals of the second and third rows, and the far-scarcer platinum metals of the two lower rows of transition elements.

## Iron, cobalt, and nickel

These elements are fairly-good reducing agents -- so good that they rarely appear uncombined in nature. [Iron](http://en.wikipedia.org/wiki/iron) is by far the most common of these. One of the most common elements in the universe, it is the heaviest metal that forms in normal fusion in stars (but only the largest stars). Once a star begins to produce iron in its core, that star is doomed in short order to a violent explosion that destroys the star and scatters its matter, including all of the elements that it has formed in fusion.

Uncombined iron, cobalt, and nickel -- but especially iron -- are to be found in meteors, solid objects that strike the earth. Iron is by far the most common of the transition elements, and one of the most useful. It's hard to count all the uses of iron, the metal most used (whether pure or in alloys) in almost all machines. Giant "glass box" skyscrapers depend upon iron bars within their concrete "skeletons" to give them strength and stability. The rails of railroads are long iron bars. Concrete highways and airstrips have iron re-enforcing bars to give them the strength to hold heavy vehicles. The vehicles themselves are largely iron and a harder material known as steel, an alloy of iron, carbon, and often metals other than iron.

Iron is the cheapest of all structural metals. With some skill of an artisan known as a [blacksmith](http://en.wikibooks.org/w/index.php?title=Blacksmith&action=edit&redlink=1) it can be worked into many useful objects such as horseshoes, nails, plows, chains, pails, ladders, and many tools. In foundries, iron and steel are shaped in far greater quantities into such objects as furniture and parts of aircraft, ships, motor vehicles, and appliances.

Iron has one fault as a structural material: it rusts easily. In the presence of water (especially salt water) it corrodes into oxides:

Fe(s) \+ 1/2 O2(g) → FeO(s) 2 Fe(s) \+ 3/2 O2(g) → Fe2O3(s)

and a mixed oxide known as hematite

2 Fe(s) \+ 3/2 O2(g) → Fe2O3(s)

one of the most common ores of iron. Iron oxides are mildly alkaline, so iron resists attacks by alkalis; acids attack it. For example,

Fe (s) \+ H2SO4(l) → Fe2+(aq) \+ SO42-(aq) \+ H2(g)

Even a comparatively weak acid, like phosphoric acid, can attack iron oxide. This is the "naval jelly" reaction that removes rust from iron:

FeO(s) \+ H3PO4(l) → Fe2+(aq) \+ HPO4(aq)-2 \+ H2O(l)

A great advance of humanity, the beginning of the Iron Age, began when people found that they could separate iron from oxygen by burning it with carbon (usually charcoal) which can reduce iron oxides to iron:

Fe3O4(s) \+ 4 C(s) → 3 Fe(s) \+ 4 CO(g)

Much of existing economic activity depends upon the extraction of iron ore, the reduction of iron ore to iron, the strengthening of iron to steel, the creation of iron and steel objects, and the various practices used in protecting iron from corrosion.

Important as that activity is, our lives would be impossible without an important compound of iron known as hemoglobin which carries oxygen through the bloodstream to cells where the cells can use the oxygen to release energy from food also delivered to cells through the bloodstream.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Hell_Gate_Bridge_by_Dave_Frieder.jpg/148px-Hell_Gate_Bridge_by_Dave_Frieder.jpg)

two suspension bridges

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/OldPlow2006-05-21.JPG/150px-OldPlow2006-05-21.JPG)

an old iron plow

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Redbloodcells.jpg/104px-Redbloodcells.jpg)

red blood cells contain hemoglobin

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Industrial_lifting_magnet.jpg/68px-Industrial_lifting_magnet.jpg)

an electromagnet attracting scrap iron

The earth itself has a hot, dense core of largely iron and nickel. At the temperatures characteristic of the Earth's core the iron and nickel form a giant natural magnet that creates a magnetic field that goes beyond the Earth itself into the atmosphere. That magnetic field drives off much dangerous radiation that would kill life on the Earth's surface if it reached the Earth's surface.

Cobalt and nickel are both far scarcer than iron and not as extensively used in commerce as iron, although they have specialized uses.

  


### Platinum Family

The Platinum group metals are [ruthenium](http://en.wikipedia.org/wiki/ruthenium), [rhodium](http://en.wikipedia.org/wiki/rhodium), [palladium](http://en.wikipedia.org/wiki/palladium), [osmium](http://en.wikipedia.org/wiki/osmium), [iridium](http://en.wikipedia.org/wiki/iridium), and [platinum](http://en.wikipedia.org/wiki/platinum). These elements are found in the second two rows of **Groups 8/9/10 (IIIB)**.

Unlike their lighter counterparts in Groups 8, 9, and 10 of these elements are resistant to corrosion and tarnish. They serve as **catalysts** for many chemical reactions, speeding up the reaction without being consumed by it.

Palladium, osmium, and the other platinum group metals absorb hydrogen when powdered.

Rhodium is used in _catalytic converters_—metallic structures found inside vehicles. Catalytic converters convert nitric oxides (which are toxic pollutants) into elemental nitrogen and oxygen (both of which make up breathable air):

![2 \\hbox{NO}_x \\to x \\hbox{O}_2 + \\hbox{N}_2](../../../upload.wikimedia.org/math/a/c/7/ac71a33227e862598292c6bda9d1b62b.png)

That reaction would not occur without rhodium to serve as a catalyst.  


# Inner Transition Metals

* * *

← [Chemistries of Various Elements/Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals) ·[Chemistries of Various Elements/Synthetic Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Synthetic_Elements) →

[← Chemistries of Various Elements/Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Synthetic Elements →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Synthetic_Elements)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Inner Transition Metals

The inner transition metals are found in the **f-block**, usually put at the bottom of the [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table). These elements were sometimes called _rare earth metals_ due to their extremely low natural occurrence. Except for extremely-unstable promethium which quickly decays to another lanthanoid metal, these elements are not rare. Indeed cerium is abundant in Earth's crust.) Many of them do not occur naturally, but are instead created in labs artificially. Furthermore, these elements all have nearly identical properties, both chemically and physically, making them very difficult to identify and separate. They are almost as reactive as the alkali metals, and all actinoids are radioactive, so they have little commercial significance. However, the radioactive elements can be used in nuclear power plants or as weapons.

Most of the inner transition metals form ions with a +3 charge. Some of the lighter actinoids can use their f-electrons for bonding, giving them a wider range of oxidation states, but the rest do not use f-electrons and have only a +3 oxidation state. Cerium is a notable exception: it has a somewhat common +4 oxidation state, seen in curium(IV) oxide CeO2.

These elements tarnish quickly in oxygen. Some will ignite in oxygen. They react with water to release hydrogen:

![2 \\hbox{M} + 3 \\hbox{H}_2\\hbox{O} \\to \\hbox{M}_2\\hbox{O}_3 + 3 \\hbox{H}_2](../../../upload.wikimedia.org/math/c/4/8/c480d35ec947df56eaf774d02ac7541f.png)

### Lanthanoids

Lanthanoids burn in oxygen easily and react violently with non-metals. They are used in lasers and sometimes steels depending on the element.

Neodymium magnets (Nd2Fe14B) are the strongest known permanent magnets. Gadolinium exhibits _ferromagnetism_ below room temperature.

The terbium(III) cation is very _fluorescent_—it glows in the dark.

**Lanthanoid contraction** is a phenomenon that causes the lanthanoids (and all elements after them) to have much smaller atomic radii than expected. The f-electrons do not shield the nuclear charge as much as expected, so the outermost electrons are attracted to the nucleus more.

### Actinoids

Only thorium and uranium occur naturally in Earth's crust (along with neptunium and plutonium in trace amounts).

The actinoids are radioactive and decay into more stable elements. The actinoids that do not occur naturally have been created in labs for experiments and research.

## Nuclear Chemistry

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/Nuclear_fission.svg/220px-Nuclear_fission.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A nuclear reaction

Throughout your study of General Chemistry, you have undoubtedly heard of "radioactive elements" and "unstable isotopes". These elements are the study of **nuclear chemistry**. Normal chemical reactions occur between atoms and electrons. Atoms gain, lose, and share electrons to form different substances. Chemical reactions are essentially interactions of electrons. _Nuclear reactions_, on the other hand, occur within the nucleus of an atom. They involve the gaining, losing, and transformation of protons, neutrons, and sometimes other particles (electrons and photons). Nuclear chemistry is something that you can study only within your textbook—radioactive substances are deadly to living things, can cause explosions, and are difficult to procure.

You should already know what **isotopes** are: elements with the same number of protons, but different numbers of neutrons (and a different total mass). Some isotopes are _stable_ and do not decay. They last indefinitely. Other isotopes are _unstable_, meaning that they are radioactive. They will undergo nuclear reactions to become a more stable isotope. Some elements are always unstable, regardless of how many neutrons, so all of their isotopes are unstable.

For example, carbon-12 (6 protons, 6 neutrons) is stable. Carbon-14 (6 protons, 8 neutrons) is unstable and decays into nitrogen-14. This is unusual from a chemical point of view—there is no way for an atom to change into a different element. This is nuclear chemistry, though, and elements _do_ change frequently in their quest to become more stable.

### Stability

There is no formula or exact rule to determine which isotopes are stable and which are unstable. That must be determined experimentally. Patterns have emerged throughout the study of the elements, and there are some general guidelines you can use to guess if an isotope will be stable or radioactive:

  * Lighter elements are stable when they have roughly equal numbers of protons and neutrons.
  * Heavier elements are stable when they have more neutrons than protons in about a 3:2 ratio.
  * Elements that have a "magic number" of protons or neutrons are especially stable: 2, 8, 20, 28, 50, 82, 126.

In regard to the magic numbers, notice how helium-4 (2 p, 2 n) is the most abundant isotope in the universe. Lead-208 is the heaviest stable isotope known (82 p, 126 n). The air we breathe is filled with oxygen-16 (8 p, 8 n). The stability of these isotopes is no coincidence.

  


### Fusion and Fission

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/78/FusionintheSun.svg/220px-FusionintheSun.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The fusion reaction that powers the Sun

**Fusion** reactions take two small nuclei and "fuses" them together into one large nucleus. **Fission** reactions split a large nucleus into smaller nuclei. Fission releases tremendous amounts of energy, which is why fission reactions are used in both nuclear power plants (to provide electricity to an entire city) and nuclear bombs (to destroy an entire city). Fusion reactions release even greater amounts of energy, but they only occur at unfathomably high temperatures. Fusion reactions occur in stars in outer space. Our sun is basically one giant fusion reactor. Hydrogen nuclei fuse together into helium nuclei, releasing the light and heat that warms our planet. Here are some example nuclear reactions:

![^2_1\\hbox{H} + ^6_3\\hbox{Li} \\to 2 ^4_2\\hbox{He}](../../../upload.wikimedia.org/math/4/d/4/4d479570fafb933cdbfeb9a718fbab4d.png)
Fusion

![^{235}_{92}\\hbox{U} + ^1_0n \\to ^{141}_{52}\\hbox{Te} + ^{91}_{40}\\hbox{Zr} + 3 ^1_0n](../../../upload.wikimedia.org/math/5/b/8/5b88ff28d6df5c7b2279154989c7209a.png)
Fission

Notice that the Law of Conservation of Matter is bent but not broken. If you add up the mass numbers, they will be equal on both sides of the reaction. The total charge numbers will also be equal.

### Decay Modes

An unstable isotope will decay to become more stable. There are many decay modes, but a few are common:

Common Decay Modes

  * **Alpha decay** releases an alpha particle (helium-4, 2 p + 2 n). Occurs when the isotope is too big to be stable.
  * **Beta+ decay** converts a neutron into a proton, releasing a beta particle (electron). Occurs when there are too many neutrons to be stable.
  * **Beta— decay** converts a proton into a neutron, releasing a beta particle (positron). Occurs when there are too many protons to be stable.
  * **Gamma decay** releases a gamma particle (photon). Occurs when the nucleus has too much energy.
  * **Electron capture** converts a proton into a neutron by absorbing an electron. Occurs when there are too many protons to be stable.

As far as health concerns, alpha particles are the most dangerous. They can be inhaled, causing bodily damage. They are heavy and have a double positive charge, but they are easily stopped by a piece of paper or skin. Beta particles are simply electrons (or positrons, an antielectron). They are somewhat dangerous, and they are stopped by a piece of wood or aluminum foil. Gamma rays are only stopped by thick slabs of lead. They are essentially x-rays that have extreme amounts of energy. Although they have the most energy, they only cause damage to things directly exposed to a radioactive substance. The other particles are worse because they can travel through the atmosphere.

A particular isotope always uses the same decay mode. These reactions will summarize the decay modes (notice the law of conservation):

![^{238}_{92}\\hbox{U} \\to ^{234}_{90}\\hbox{Th} + ^4_2\\hbox{He}^{2+}](../../../upload.wikimedia.org/math/f/3/1/f317e3fa4e9b0702a44a90385ae65284.png)
Alpha decay

![^{238}_{92}\\hbox{U} \\to ^{234}_{90}\\hbox{Th} + \\alpha](../../../upload.wikimedia.org/math/e/1/3/e131343fbe00f465e1874316a0b76ba4.png)
The same reaction, written with the more common notation.

![^{137}_{55}\\hbox{Cs} \\to ^{137}_{56}\\hbox{Ba} + ^0_{-1}e^-](../../../upload.wikimedia.org/math/a/3/2/a3200c4fd5169fa8060fa282ac0de86e.png)
Beta— decay

![^{22}_{11}\\hbox{Na} \\to ^{22}_{10}\\hbox{Ne} + ^0_{1}e^+](../../../upload.wikimedia.org/math/8/6/6/8663d0fd8dbde729ab857351d7190112.png)
Beta+ decay

  


# Synthetic Elements

* * *

← [Chemistries of Various Elements/Inner Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals) ·[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) →

[← Chemistries of Various Elements/Inner Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Book Cover →](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Short-lived natural elements and synthetic elements

91 elements of the known 118 elements occur naturally on Earth. The other seventeen -- all elements beyond plutonium on the Periodic table, and three others -- technetium (43 electrons), promethium (61), and neptunium (93) -- are too unstable to exist on Earth and are not among the rare elements that are parts of the nuclear decay process of either thorium or uranium. The elements that do not occur naturally are **synthetic**. Synthetic elements are elements that have been created in a laboratory by artificial means. Synthetic elements are very unstable and have few commercial purposes. They decay into other elements in a fraction of a second. Most are created purely for research and experiment.

Synthetic elements are created in _particle accelerators_. Two smaller elements are accelerated to incredible speeds and collided into each other. Their nuclei merge together into a larger element. The element is studied by lab equipment before it decays.

Seven of the 91 naturally-occurring elements (polonium, astatine, radon, francium, radium, actinium, and protactinium) exist only in the presence of naturally-occurring radioactive elements uranium and thorium. These comprise all elements with atomic numbers 84 through 91 except for thorium (90). All isotopes of these elements are very short-lived, and those of them in use are used only for their radioactive properties (most notably in radium, and then as a desperate therapy for some cancers). Because of their short half-lives and the hazards associated with their radioactivity the chemistries of these elements are often extremely difficult to study.

  


### Naming

Most synthetic elements have been named by the IUPAC, the international authority for naming chemicals. They are named after famous scientists or places where the element was formed. For example, einsteinium (Es, 99) and americium (Am, 95). Some elements are too new to have official names. Before it can be named, an element must be discovered and proven to exist by a scientist or team. Then, the element's discoverer(s) will be allowed to choose a name. Until the element has a name, it is given a _provisional name_. Provisional names are made of a chain of words, each representing a digit in the element's atomic number. For example, [ununseptium](http://en.wikibooks.org/w/index.php?title=Ununseptium&action=edit&redlink=1) is element 117 , [unnilpentium](http://en.wikibooks.org/w/index.php?title=Unnilpentium&action=edit&redlink=1) was element 105 (since renamed as dubnium), and unbioctium would be element element 128 (not believed to exist).[General Chemistry/Chemistries of Various Elements/Salsal Liquidity](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Chemistries_of_Various_Elements/Salsal_Liquidity&action=edit&redlink=1)

  
  


Appendices

  


  


# Periodic Table

This **Printable Huge Table** is a detailed periodic table that does not fit on most computer screens. However, in print with a small font, or in landscape mode, this table can be printed onto a single normal-sized paper (A4 or 8.5 x 11"). It makes minimal use of color and can be printed with only black ink. _Click **Printable Version** on the left under "Toolbox" before printing._

Group 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18

I II III IV V VI VII VIII

Period

1
hydrogen  
1  
**H**  
1.0079
helium  
2  
**He**  
4.0026

2
lithium  
3  
**Li**  
6.9412
beryllium  
4  
**Be**  
9.0122
boron  
5  
**B**  
10.811
carbon  
6  
**C**  
12.011
nitrogen  
7  
**N**  
14.007
oxygen  
8  
**O**  
15.999
fluorine  
9  
**F**  
18.998
neon  
10  
**Ne**  
20.180

3
sodium  
11  
**Na**  
22.990
magnesium  
12  
**Mg**  
24.305
aluminum  
13  
**Al**  
26.982
silicon  
14  
**Si**  
28.086
phosphorus  
15  
**P**  
30.974
sulfur  
16  
**S**  
32.066
chlorine  
17  
**Cl**  
35.453
argon  
18  
**Ar**  
39.948

4
potassium  
19  
**K**  
39.098
calcium  
20  
**Ca**  
40.078
scandium  
21  
**Sc**  
44.956
titanium  
22  
**Ti**  
47.867
vanadium  
23  
**V**  
50.942
chromium  
24  
**Cr**  
51.996
manganese  
25  
**Mn**  
54.938
iron  
26  
**Fe**  
55.845
cobalt  
27  
**Co**  
58.933
nickel  
28  
**Ni**  
58.693
copper  
29  
**Cu**  
63.546
zinc  
30  
**Zn**  
65.382
gallium  
31  
**Ga**  
69.723
germanium  
32  
**Ge**  
72.612
arsenic  
33  
**As**  
74.922
selenium  
34  
**Se**  
78.963
bromine  
35  
**Br**  
79.904
krypton  
36  
**Kr**  
83.798

5
rubidium  
37  
**Rb**  
85.468
strontium  
38  
**Sr**  
87.621
yttrium  
39  
**Y**  
88.906
zirconium  
40  
**Zr**  
91.224
niobium  
41  
**Nb**  
92.906
molybdenum  
42  
**Mo**  
95.962
technetium  
43  
**Tc**  
98.906
ruthenium  
44  
**Ru**  
101.07
rhodium  
45  
**Rh**  
102.91
palladium  
46  
**Pd**  
106.42
silver  
47  
**Ag**  
107.87
cadmium  
48  
**Cd**  
112.41
indium  
49  
**In**  
114.82
tin  
50  
**Sn**  
118.71
antimony  
51  
**Sb**  
121.76
tellurium  
52  
**Te**  
127.60
iodine  
53  
**I**  
126.90
xenon  
54  
**Xe**  
131.29

6
caesium  
55  
**Cs**  
132.91
barium  
56  
**Ba**  
137.33
Inner-transition metal  
*  
**Itm**  

hafnium  
72  
**Hf**  
178.49
tantalum  
73  
**Ta**  
180.95
tungsten  
74  
**W**  
183.84
rhenium  
75  
**Re**  
186.21
osmium  
76  
**Os**  
190.23
iridium  
77  
**Ir**  
192.22
platinum  
78  
**Pt**  
195.08
gold  
79  
**Au**  
196.97
mercury  
80  
**Hg**  
200.59
thallium  
81  
**Tl**  
204.38
lead  
82  
**Pb**  
207.21
bismuth  
83  
**Bi**  
208.98
polonium  
84  
**Po**  
[209]
astatine  
85  
**At**  
[210]
radon  
86  
**Rn**  
[222]

7
francium  
87  
**Fr**  
[223]
radium  
88  
**Ra**  
[226]

 

* **Lanthanides**  
lanthanum  
57  
**La**  
138.91
cerium  
58  
**Ce**  
140.12
praseodymium  
59  
**Pr**  
140.91
neodymium  
60  
**Nd**  
144.24
promethium  
61  
**Pm**  
146.92
samarium  
62  
**Sm**  
150.36
europium  
63  
**Eu**  
151.96
gadolinium  
64  
**Gd**  
157.25
terbium  
65  
**Tb**  
158.93
dysprosium  
66  
**Dy**  
162.50
holmium  
67  
**Ho**  
164.93
erbium  
68  
**Er**  
167.26
thulium  
69  
**Tm**  
168.93
ytterbium  
70  
**Yb**  
173.05
lutetium  
71  
**Lu**  
174.97

** **Actinide**  
actinium  
89  
**Ac**  
227.03
thorium  
90  
**Th**  
232.04
protactinium  
91  
**Pa**  
231.04
uranium  
92  
**U**  
238.03
neptunium  
93  
**Np**  
[237]
plutonium  
94  
**Pu**  
[244]
americium  
95  
**Am**  
[243]
curium  
96  
**Cm**  
[247]
berkelium  
97  
**Bk**  
[247]
californium  
98  
**Cf**  
[251]
einsteinium  
99  
**Es**  
[252]
fermium  
100  
**Fm**  
[257]
mendelevium  
101  
**Md**  
[258]
nobelium  
102  
**No**  
[262]
lawrencium  
103  
**Lr**  
[263]

Atomic masses in brackets are the most stable isotope.

Chemical Series of the Periodic Table

[Alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1)
[Alkaline earths](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2)
[Lanthaniods](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals#Lanthanoids)
[Actinoids](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals#Actinoids)
[Transition metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals)

[Poor metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)
[Metalloids](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)
[Nonmetals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)
[Halogens](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17)
[Noble gases](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18)

  


# Units of Measure

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## SI Fundamental Units

These are the seven basic SI units from which all other units are constructed.

Quantity Symbol Unit Unit Symbol

Length
_l_
**metre**
m

Time
_t_
**second**
s

Mass
_m_
**kilogram**
kg

Thermodynamic temperature
_T_
**kelvin**
K

Amount
_n_
**mole**
mol

Electrical charge
_Q_
**coulomb**
C

Luminous intensity
_IV_
candela
_cd_

## SI Derived Units

All other units are _derived units_. They are built from fundamental units. This is a small selection of units that may be found in General Chemistry.

Quantity Symbol Unit Unit Symbol Derived From

Force
_F_
newton
N
kg·m·s-2

Energy
_U_
joule
J
kg·m2·s-2

Pressure
_P_
pascal
Pa
kg·m-1·s-2

Power
watt
W
kg·m2·s-3

Electrical current
_I_
ampere
A
C·s-1

Electrical potential
_V_
volt
V
J·C-1

## SI Prefixes

A prefix appears before a unit's symbol when expressing very large or very small quantities. For example: 0.001 kg = 1 g = 1000 mg.

1000n 10n Prefix Symbol Decimal

10008
1024
yotta
Y
1 000 000 000 000 000 000 000 000

10007
1021
zetta
Z
1 000 000 000 000 000 000 000

10006
1018
exa
E
1 000 000 000 000 000 000

10005
1015
peta
P
1 000 000 000 000 000

10004
1012
tera
T
1 000 000 000 000

10003
109
giga
G
1 000 000 000

10002
106
mega
M
1 000 000

10001
103
kilo
k
1 000

102
hecto
h
100

101
deca
da
10

10000
100
_(none)_
_(none)_
1

10−1
deci
d
0.1

10−2
centi
c
0.01

1000−1
10−3
milli
m
0.001

1000−2
10−6
micro
µ
0.000 001

1000−3
10−9
nano
n
0.000 000 001

1000−4
10−12
pico
p
0.000 000 000 001

1000−5
10−15
femto
f
0.000 000 000 000 001

1000−6
10−18
atto
a
0.000 000 000 000 000 001

1000−7
10−21
zepto
z
0.000 000 000 000 000 000 001

1000−8
10−24
yocto
y
0.000 000 000 000 000 000 000 001

## Solution Concentration Units

Quantity Symbol Units Description

Molarity
M
mol/L
moles of solute per liter of solution

Molality
m
mol/kg
moles of solute per kilogram of _solvent_

Mole Fraction
χ
(none)
moles of solute per moles of solution

Parts per million
ppm
(none)
milligrams of solute per kilogram of solution

Parts per billion
ppb
(none)
micrograms of solute per kilogram of solution

## Other Useful Units

### Volume

Volume Unit Conversion Mass of Water (4 °C)

1 L
= 1000 cm3
1 kg

1 cm3
= 1 m/L
1 kg

1 m3
= 1000 L
1000 kg

### Pressure

Name Symbol Conversion

Atmosphere
atm
= 760 torr
= 101.325 kPa

Pascal
Pa
≈ 7.5 x 10-3 torr

Torr (mm Hg)
torr
≈ 133.3 Pa

Pound-per-square inch
psi
≈ 51.7 torr
≈ 6.894 kPa

### Temperature

One degree Celsius is equal to one Kelvin (in magnitude).

Name Symbol Abs. Zero M.P. of Water B.P. of Water

Fahrenheit
°F
-456.67 °F
32 °F
212 °F

Celsius
°C
-273.15 °C
0 °C
100 °C

Kelvin
K
0 K
273.15 K
373.15 K

* Notice it is _not_ "degrees Kelvin".  


# Constants

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Useful Physical/Chemical Constants

Constant Value

Avogadro's Number
_NA_ = 6.022 14 × 1023 mol-1

Faraday Constant
_F_ = 96 485.33 C mol-1

Atomic Mass Constant
1 amu = 1.660 538 × 10-27 kg

Molar Gas Constant
_R_ = 8.314 4 J mol-1 K-1

Molar Gas Constant
_R_ = 0.082 057 46 L atm K-1 mol-1

Coulomb's Constant
_ke_ = 8.987 551 × 109 N m2 C-2

Speed of Light (Vacuum)
_c_ = 299 792 458 m s-1

Boltzmann Constant
_k_ = 1.380 65 × 10-23 J K-1

Charge on a Proton/Electron
_e_ = 1.602 176 × 10-19 C

Standard acceleration of gravity
_g_ = 9.806 65 m s-2

Rydberg constant
_R∞_ = 1.0973 731 568 539 m-1

These constants were obtained from [The NIST Reference on Constants, Units and Uncertainty](http://physics.nist.gov/cuu/).  


# Useful Equations

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

### General

Density
![\\frac{mass}{volume}](../../../upload.wikimedia.org/math/a/7/0/a70fbe919fc84348fc292cdbdbf9e832.png)

Moles
![\\frac{given~mass~\(g\)}{gram~formula~mass}](../../../upload.wikimedia.org/math/1/2/7/127744943789e51430ae13f2de15dbbf.png)

Percent Error
![\\frac{measured - accepted}{accepted} \\times 100%](../../../upload.wikimedia.org/math/4/7/9/4794a0a3d62eba50ea8b2cd527b3fb19.png)

Percent Composition (by mass)
![\\frac{mass~of~part}{mass~of~whole} \\times 100%](../../../upload.wikimedia.org/math/3/6/f/36f84ea329c9e8dd4c3ec2c269938970.png)

Molarity
![\\frac{moles~of~solute}{volume~of~solution}](../../../upload.wikimedia.org/math/f/d/3/fd3199cd75e954ce0af38a00cf5acf17.png)

### Atomic Structure

Symbol Meaning Symbol Meaning

![E](../../../upload.wikimedia.org/math/3/a/3/3a3ea00cfc35332cedf6e5e9a32e94da.png)
energy
![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png)
speed of light

![v](../../../upload.wikimedia.org/math/9/e/3/9e3669d19b675bd57058fd4664205d2a.png)
frequency
![\\lambda](../../../upload.wikimedia.org/math/e/0/5/e05a30d96800384dd38b22851322a6b5.png)
wavelength

![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png)
charge
![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png)
distance

![k_e](../../../upload.wikimedia.org/math/a/b/c/abc99d15b5fd5234bc8f837cbbd1ab4b.png)
Coulomb's constant
![h](../../../upload.wikimedia.org/math/2/5/1/2510c39011c5be704182423e3a695e91.png)
Plank's constant

Energy of Wave
![E = h v](../../../upload.wikimedia.org/math/7/2/d/72df6bde4f603f3551ddf2557259af98.png)

Wave Relation
![c = \\lambda v](../../../upload.wikimedia.org/math/3/9/d/39d59ca371eba871414927e570c4f68c.png)

Coulomb's Law
![F_e = k_e\\frac{Q_1Q_2}{r^2}](../../../upload.wikimedia.org/math/4/8/4/48432847053b49835b71e826418080b7.png)

### Solutions, Liquids, and Gases

Symbol Meaning

![P](../../../upload.wikimedia.org/math/4/4/c/44c29edb103a2872f519ad0c9a0fdaaa.png)
pressure

![V](../../../upload.wikimedia.org/math/5/2/0/5206560a306a2e085a437fd258eb57ce.png)
volume

![n](../../../upload.wikimedia.org/math/7/b/8/7b8b965ad4bca0e41ab51de7b31363a1.png)
number of moles

![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png)
temperature (in Kelvin)

![K_f](../../../upload.wikimedia.org/math/2/c/6/2c66b431fc43db01228704bde2876127.png)
molal freezing point constant

![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png)
molal boiling point constant

![\\chi](../../../upload.wikimedia.org/math/7/9/c/79c40dd2b43f3c03eaf88b5fc4c199b8.png)
mole fraction

![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png)
molality

![M](../../../upload.wikimedia.org/math/6/9/6/69691c7bdcc3ce6d5d8a1361f22d04ac.png)
molarity

  


Rauolt's Law
![P_{solution} = P_{1} \\chi_{1} + P_{2} \\chi_{2} + \\dots](../../../upload.wikimedia.org/math/a/b/f/abfb542b615a9842d27f57f3fb99d718.png)

Boiling Point Elevation
![\\Delta T_{solution} = K_b \\cdot m_{solute}](../../../upload.wikimedia.org/math/2/6/8/2683e4d2c76090b031406fdce3db6a53.png)

Freezing Point Depression
![\\Delta T_{solution} = K_f \\cdot m_{solute}](../../../upload.wikimedia.org/math/1/f/7/1f72c1deec8228a8466cab43f47ddbed.png)

Ideal Gas Law
![PV = nRT](../../../upload.wikimedia.org/math/e/0/4/e0412dbb6e50de76a383b8f6e7d81dce.png)

Combined Gas Law
![\\frac{P_1 V_1}{n_1 T_1} = \\frac{P_2 V_2}{n_2 T_2}](../../../upload.wikimedia.org/math/d/b/7/db7b8a8bc1a7a4f56e32360be5fb9fe9.png)

Titration
![M_A V_A = M_B V_B](../../../upload.wikimedia.org/math/5/4/c/54cdc8dab324102286acfe4c29ef937d.png)

Dilution
![M_1 V_1 = M_2 V_2](../../../upload.wikimedia.org/math/3/d/5/3d5668dd613bc403a93680ae7bd0c8cc.png)

### Equilibrium

Symbol Meaning

![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png)
equilibrium constant (general)

![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png)
pressure equilibrium constant

![K_c](../../../upload.wikimedia.org/math/e/c/2/ec21d446b70b80046b86f7da9ae771a0.png)
concentration equilibrium constant

![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png)
gas law constant

![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png)
temperature (in Kelvin)

![\\Delta n](../../../upload.wikimedia.org/math/5/f/5/5f57f9ea3b04c517e5af710d5cf42ca7.png)
moles of product – moles of reactant

pH
![\\mathrm{pH} = - \\log{\[\\mathrm{H^+}\]}](../../../upload.wikimedia.org/math/7/2/4/724488edb397edcd93790e227e7086a4.png)

pOH
![\\mathrm{pOH} = - \\log{\[\\mathrm{OH^-}\]}](../../../upload.wikimedia.org/math/f/4/3/f4321d42525812c8003d78ea3341b683.png)

(for water)
![\\mathrm{pH} + \\mathrm{pOH} = 14](../../../upload.wikimedia.org/math/9/a/f/9af91bc2d4cf6e6905d052721df9d939.png)

Pressure/Concentration
![K_p = K_c\(RT\)^{\\Delta n}](../../../upload.wikimedia.org/math/e/9/d/e9d8479b79a01cc9352e15e83b0e8301.png)

Equilibrium,  
for a reaction ![a\\mathrm{A} + b\\mathrm{B} \\rightarrow c\\mathrm{C} + d\\mathrm{D}](../../../upload.wikimedia.org/math/1/f/9/1f9304bb2196fba9821c32d8c908beae.png)
![K_{eq} = \\frac{\[\\mathrm{C}\]^c \[\\mathrm{D}\]^d}{\[\\mathrm{A}\]^a \[\\mathrm{B}\]^b}](../../../upload.wikimedia.org/math/3/e/6/3e61b5b8c24eda7bad0a2b065a36894b.png)

### Thermochemistry

Symbol Meaning

![q](../../../upload.wikimedia.org/math/7/6/9/7694f4a66316e53c8cdd9d9954bd611d.png)
heat energy

![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png)
mass

![s](../../../upload.wikimedia.org/math/0/3/c/03c7c0ace395d80182db07ae2c30f034.png)
specific heat

![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png)
temperature (in Kelvin)

Heat Transfer
![q = m s \\Delta T](../../../upload.wikimedia.org/math/8/9/a/89aec0456c58f0fdacee158236ec7f57.png)

Enthalpy
![\\Delta H = H_{products} - H_{reactants}](../../../upload.wikimedia.org/math/7/7/0/77025e0f690892abab03d6053f2fdaa5.png)

Entropy
![\\Delta S = S_{products} - S_{reactants}](../../../upload.wikimedia.org/math/9/4/8/94880242d11b79c387f1aa777e2602d3.png)

Free Energy
![\\Delta G = \\Delta H - T \\Delta S](../../../upload.wikimedia.org/math/c/0/b/c0b1e02c37f0bbb8f6aede060ef2568e.png)

  


# Standard Reduction Potentials

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Half Reaction Eo (V)

F2(_g_) + 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 F-
2.87

Co3+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Co2+

1.82

Au3+ \+ 3_e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Au(_s_)
1.50

Cl2 (_g_) + 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 Cl-
1.36

O2 (_g_) + 4 H+ \+ 4 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 H2O(_l_)
1.23

Br2(_l_) + 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 Br-
1.07

2 Hg2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Hg22+
0.92

Ag+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Ag(_s_)
0.80

Hg22+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 Hg (_l_)
0.79

Fe3+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Fe2+
0.77

I2(_s_) + 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
2 I-
0.53

Cu+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cu(_s_)
0.52

Cu2+\+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cu(_s_)
0.34

Cu2+\+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cu+
0.15

Sn4+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Sn2+
0.15

S(s) + 2 H+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
H2S(_g_)
0.15

2 H+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
H2(_g_)
0.00

Pb2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Pb(_s_)
-0.13

Sn2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Sn(_s_)
-0.14

Ni2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Ni(_s_)
-0.25

Co2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Co(_s_)
-0.28

Tl+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Tl(_s_)
-0.34

Cd2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cd(_s_)
-0.40

Cr3+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cr2+
-0.41

Fe2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Fe(_s_)
-0.44

Cr3+ \+ 3 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cr(_s_)
-0.74

Zn2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Zn(_s_)
-0.76

Mn2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Mn(_s_)
-1.18

Al3+ \+ 3 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Al(_s)_
-1.66

Be2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Be(_s_)

-1.70

Mg2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Mg(s)
-2.37

Na+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Na(_s_)
-2.71

Ca2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Ca(_s_)
-2.87

Sr2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Sr(_s_)
-2.89

Ba2+ \+ 2 _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Ba(_s_)
-2.90

Rb+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Rb(_s_)
-2.92

K+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
K(_s_)
-2.92

Cs+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Cs(_s_)
-2.92

Li+ \+ _e_-
![\\rightarrow](../../../upload.wikimedia.org/math/8/3/e/83e37b7246fdfcb99b2754210ebeae27.png)
Li(_s_)
-3.05

  


# Elements and their Properties

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Name Symbol Number Atomic mass Density at 20°C (g/cm3) Melting point (°C) Boiling point (°C) Phase * Oxidation **

Actinium
Ac
89
227.0278
10.07
1047
3197
S
+3

Aluminium
Al
13
26.982
2.70
660.5
2467
S
+3

Americium
Am
95
(243)
13.67
994
2607
X S
+3 +4 +5 +6

Antimony
Sb
51
121.75
6.69
630.7
1750
S
-3 +3 +5

Argon
Ar
18
39.948
1.66
-189.4
-185.9
G
0

Arsenic
As
33
74.92159
5.72
613 (sublimation)
613
S
-3 +3 +5

Astatine
At
85
209.9871
7 (approx.)
302
337
S
+1 +3 (prob.)

Barium
Ba
56
137.327
3.65
725
1640
S
+2

Berkelium
Bk
97
(247)
13.25
986
710
X S
+3 +4

Beryllium
Be
4
9.012182
1.85
1278
2970
S
+2

Bismuth
Bi
83
208.98037
9.80
271.4
1560
S
+3 +5

Bohrium
Bh
107
38 (est.)
X S

Boron
B
5
10.811
2.46
2300
2550
S
+3

Bromine
Br
35
79.904
3.14
-7.3
58.8
D L
-1 +1 +5

Cadmium
Cd
48
112.411
8.64
321
765
S
+2

Caesium
Cs
55
132.90543
1.90
28.4
690
S
+1

Calcium
Ca
20
40.078
1.54
839
1487
S
+2

Californium
Cf
98
(251)
15.1
X S
+3

Carbon
C
6
12.011
3.51
3550
4827
S
-4 +2 +4

Cerium
Ce
58
140.115
6.77
798
3257
S
+3 +4

Chlorine
Cl
17
35.4527
2.95
-101
-34.6
D G
-1 +1 +3 +5 +7

Chromium
Cr
24
51.9961
7.14
1857
2482
S
+2 +3 +6

Cobalt
Co
27
58.9332
8.89
1495
2870
S
+2 +3

Copper
Cu
29
63.546
8.92
1083.5
2595
S
+1 +2

Copernicium
Cn
112
13.5336
X L

Curium
Cm
96
(247)
13.51
1067
3110
X S
+3

Darmstadtium
Ds
110
21.46
X S

Dubnium
Db
105
39 (est.)
X S

Dysprosium
Dy
66
162.5
8.56
1409
2335
S
+3

Einsteinium
Es
99
(252)
13.5 (est.)
860
X S

Erbium
Er
68
167.26
9.05
1522
2510
S
+3

Europium
Eu
63
151.965
5.25
822
1597
S
+2 +3

Fermium
Fm
100
(257)
2781
X S

Fluorine
F
9
18.9984032
1.58
-219.6
-188.1
D G
-1

Francium
Fr
87
223.0197
1.87
27
677
S
+1

Gadolinium
Gd
64
157.25
7.89
1311
3233
S
+3

Gallium
Ga
31
69.723
5.91
29.8
2403
S
+3

Germanium
Ge
32
72.61
5.32
937.4
2830
S
-4 +2 +4

Gold
Au
79
196.96654
19.32
1064.4
2940
S
+1 +3

Hafnium
Hf
72
178.49
13.31
2150
5400
S
+4

Hassium
Hs
108
41 (est.)
X S

Helium
He
2
4.002602
0.17
-273 (n/a)
-268.9
G
0

Holmium
Ho
67
164.93032
8.78
1470
2720
S
+3

Hydrogen
H
1
1.00794
0.084
-259.1
-252.9
D G
+1 -1

Indium
In
49
114.82
7.31
156.2
2080
S
+3

Iodine
I
53
126.90447
4.94
113.5
184.4
D S
-1 +1 +5 +7

Iridium
Ir
77
192.22
22.65
2410
4130
S
+3 +4

Iron
Fe
26
55.847
7.87
1535
2750
S
+2 +3

Krypton
Kr
36
83.8
3.48
-156.6
-152.3
G
0 +2

Lanthanum
La
57
138.9055
6.16
920
3454
S
+3

Lawrencium
Lr
103
(263)
9.84
2961
X S

Lead
Pb
82
207.2
11.34
327.5
1740
S
+2 +4

Lithium
Li
3
6.941
0.53
180.5
1317
S
+1

Lutetium
Lu
71
174.967
9.84
1656
3315
S
+3

Magnesium
Mg
12
24.305
1.74
648.8
1107
S
+2

Manganese
Mn
25
54.93805
7.44
1244
2097
S
+2 +3 +4 +7

Meitnerium
Mt
109
35 (est.)
X S

Mendelevium
Md
101
(258)
1521
X S

Mercury
Hg
80
200.59
13.55
-38.9
356.6
L
+1 +2

Molybdenum
Mo
42
95.94
10.28
2617
5560
S
+3 +6

Neodymium
Nd
60
144.24
7.00
1010
3127
S
+3

Neon
Ne
10
20.1797
0.84
-248.7
-246.1
G
0

Neptunium
Np
93
(237)
20.48
640
3902
S
+3 +4 +5 +6

Nickel
Ni
28
58.69
8.91
1453
2732
S
+2 +3

Niobium
Nb
41
92.90638
8.58
2468
4927
S
+3 +5

Nitrogen
N
7
14.00674
1.17
-209.9
-195.8
D G
-3 +3 +5

Nobelium
No
102
(259)
1521
X S

Osmium
Os
76
190.2
22.61
3045
5027
S
+3 +4

Oxygen
O
8
15.9994
1.33
-218.4
-182.9
D G
-2

Palladium
Pd
46
106.42
12.02
1552
3140
S
+2 +4

Phosphorus
P
15
30.973762
1.82
44 (P4)
280 (P4)
S
-3 +3 +5

Platinum
Pt
78
195.08
21.45
1772
3827
S
+2 +4

Plutonium
Pu
94
(244)
19.74
641
3327
S
+3 +4 +5 +6

Polonium
Po
84
208.9824
9.20
254
962
S
+2 +4

Potassium
K
19
39.0983
0.86
63.7
774
S
+1

Praseodymium
Pr
59
140.90765
6.48
931
3212
S
+3

Promethium
Pm
61
146.9151
7.22
1080
2730
S
+3

Protactinium
Pa
91
231.0359
15.37
1554
4030
S
+4 +5

Radium
Ra
88
226.0254
5.50
700
1140
S
+2

Radon
Rn
86
222.0176
9.23
-71
-61.8
G
0

Rhenium
Re
75
186.207
21.03
3180
5627
S
+4 +6 +7

Rhodium
Rh
45
102.9055
12.41
1966
3727
S
+3

Roentgenium
Rg
111
19.282
X S

Rubidium
Rb
37
85.4678
1.53
39
688
S
+1

Ruthenium
Ru
44
101.07
12.45
2310
3900
S
+3

Rutherfordium
Rf
104
18.1
X S

Samarium
Sm
62
150.36
7.54
1072
1778
S
+2 +3

Scandium
Sc
21
44.95591
2.99
1539
2832
S
+3

Seaborgium
Sg
106
35 (est.)
X S

Selenium
Se
34
78.96
4.82
217
685
S
-2 +4 +6

Silver
Ag
47
107.8682
10.49
961.9
2212
S
+1

Silicon
Si
14
28.0855
2.33
1410
2355
S
-4 +2 +4

Sodium
Na
11
22.989768
0.97
97.8
892
S
+1

Strontium
Sr
38
87.62
2.63
769
1384
S
+2

Sulfur
S
16
32.066
2.06
113
444.7
S
-2 +4 +6

Tantalum
Ta
73
180.9479
16.68
2996
5425
S
+5

Technetium
Tc
43
98.9063
11.49
2172
5030
S
+4 +6 +7

Tellurium
Te
52
127.6
6.25
449.6
990
S
-2 +4 +6

Terbium
Tb
65
158.92534
8.25
1360
3041
S
+3

Thallium
Tl
81
204.3833
11.85
303.6
1457
S
+1 +3

Thorium
Th
90
232.0381
11.72
1750
4787
S
+4

Thulium
Tm
69
168.93421
9.32
1545
1727
S
+3

Tin
Sn
50
118.71
7.29
232
2270
S
+2 +4

Titanium
Ti
22
47.88
4.51
1660
3260
S
+2 +3 +4

Tungsten
W
74
183.85
19.26
3407
5927
S
+6

Ununhexium
Uuh
116
9.32
X

Ununoctium
Uuo
118
X

Ununpentium
Uup
115
9.807
X

Ununquadium
Uuq
114
11.342
X

Ununseptium
Uus
117
X

Ununtrium
Uut
113
11.85
X

Uranium
U
92
238.0289
18.97
1132.4
3818
S
+3 +4 +5 +6

Vanadium
V
23
50.9415
6.09
1890
3380
S
+2 +3 +4 +5

Xenon
Xe
54
131.29
4.49
-111.9
-107
G
0 +2 +4 +6

Ytterbium
Yb
70
173.04
6.97
824
1193
S
+2 +3

Yttrium
Y
39
88.90585
4.47
1523
3337
S
+3

Zinc
Zn
30
65.39
7.14
419.6
907
S
+2

Zirconium
Zr
40
91.224
6.51
1852
4377
S
+4

(*) Phase at STP, where S is solid, L is liquid, and G is gas. X is for synthetic (laboratory) elements, and D is for diatomic elements.

(**) Most common oxidation states, not an exhaustive list.

  
Atomic weights in parentheses are the atomic weights for the most stable isotope.

  


# GNU Free Documentation License

![Caution](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/74/Ambox_warning_yellow.svg/40px-Ambox_warning_yellow.svg.png)

As of July 15, 2009 Wikibooks has moved to a dual-licensing system that supersedes the previous GFDL only licensing. In short, this means that text licensed under the GFDL only can no longer be imported to Wikibooks, retroactive to 1 November 2008. Additionally, Wikibooks text might or might not now be exportable under the GFDL depending on whether or not any content was added and not removed since July 15.

Version 1.3, 3 November 2008 Copyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc. <<http://fsf.org/>>

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

## 0\. PREAMBLE

The purpose of this License is to make a manual, textbook, or other functional and useful document "free" in the sense of freedom: to assure everyone the effective freedom to copy and redistribute it, with or without modifying it, either commercially or noncommercially. Secondarily, this License preserves for the author and publisher a way to get credit for their work, while not being considered responsible for modifications made by others.

This License is a kind of "copyleft", which means that derivative works of the document must themselves be free in the same sense. It complements the GNU General Public License, which is a copyleft license designed for free software.

We have designed this License in order to use it for manuals for free software, because free software needs free documentation: a free program should come with manuals providing the same freedoms that the software does. But this License is not limited to software manuals; it can be used for any textual work, regardless of subject matter or whether it is published as a printed book. We recommend this License principally for works whose purpose is instruction or reference.

## 1\. APPLICABILITY AND DEFINITIONS

This License applies to any manual or other work, in any medium, that contains a notice placed by the copyright holder saying it can be distributed under the terms of this License. Such a notice grants a world-wide, royalty-free license, unlimited in duration, to use that work under the conditions stated herein. The "Document", below, refers to any such manual or work. Any member of the public is a licensee, and is addressed as "you". You accept the license if you copy, modify or distribute the work in a way requiring permission under copyright law.

A "Modified Version" of the Document means any work containing the Document or a portion of it, either copied verbatim, or with modifications and/or translated into another language.

A "Secondary Section" is a named appendix or a front-matter section of the Document that deals exclusively with the relationship of the publishers or authors of the Document to the Document's overall subject (or to related matters) and contains nothing that could fall directly within that overall subject. (Thus, if the Document is in part a textbook of mathematics, a Secondary Section may not explain any mathematics.) The relationship could be a matter of historical connection with the subject or with related matters, or of legal, commercial, philosophical, ethical or political position regarding them.

The "Invariant Sections" are certain Secondary Sections whose titles are designated, as being those of Invariant Sections, in the notice that says that the Document is released under this License. If a section does not fit the above definition of Secondary then it is not allowed to be designated as Invariant. The Document may contain zero Invariant Sections. If the Document does not identify any Invariant Sections then there are none.

The "Cover Texts" are certain short passages of text that are listed, as Front-Cover Texts or Back-Cover Texts, in the notice that says that the Document is released under this License. A Front-Cover Text may be at most 5 words, and a Back-Cover Text may be at most 25 words.

A "Transparent" copy of the Document means a machine-readable copy, represented in a format whose specification is available to the general public, that is suitable for revising the document straightforwardly with generic text editors or (for images composed of pixels) generic paint programs or (for drawings) some widely available drawing editor, and that is suitable for input to text formatters or for automatic translation to a variety of formats suitable for input to text formatters. A copy made in an otherwise Transparent file format whose markup, or absence of markup, has been arranged to thwart or discourage subsequent modification by readers is not Transparent. An image format is not Transparent if used for any substantial amount of text. A copy that is not "Transparent" is called "Opaque".

Examples of suitable formats for Transparent copies include plain ASCII without markup, Texinfo input format, LaTeX input format, SGML or XML using a publicly available DTD, and standard-conforming simple HTML, PostScript or PDF designed for human modification. Examples of transparent image formats include PNG, XCF and JPG. Opaque formats include proprietary formats that can be read and edited only by proprietary word processors, SGML or XML for which the DTD and/or processing tools are not generally available, and the machine-generated HTML, PostScript or PDF produced by some word processors for output purposes only.

The "Title Page" means, for a printed book, the title page itself, plus such following pages as are needed to hold, legibly, the material this License requires to appear in the title page. For works in formats which do not have any title page as such, "Title Page" means the text near the most prominent appearance of the work's title, preceding the beginning of the body of the text.

The "publisher" means any person or entity that distributes copies of the Document to the public.

A section "Entitled XYZ" means a named subunit of the Document whose title either is precisely XYZ or contains XYZ in parentheses following text that translates XYZ in another language. (Here XYZ stands for a specific section name mentioned below, such as "Acknowledgements", "Dedications", "Endorsements", or "History".) To "Preserve the Title" of such a section when you modify the Document means that it remains a section "Entitled XYZ" according to this definition.

The Document may include Warranty Disclaimers next to the notice which states that this License applies to the Document. These Warranty Disclaimers are considered to be included by reference in this License, but only as regards disclaiming warranties: any other implication that these Warranty Disclaimers may have is void and has no effect on the meaning of this License.

## 2\. VERBATIM COPYING

You may copy and distribute the Document in any medium, either commercially or noncommercially, provided that this License, the copyright notices, and the license notice saying this License applies to the Document are reproduced in all copies, and that you add no other conditions whatsoever to those of this License. You may not use technical measures to obstruct or control the reading or further copying of the copies you make or distribute. However, you may accept compensation in exchange for copies. If you distribute a large enough number of copies you must also follow the conditions in section 3.

You may also lend copies, under the same conditions stated above, and you may publicly display copies.

## 3\. COPYING IN QUANTITY

If you publish printed copies (or copies in media that commonly have printed covers) of the Document, numbering more than 100, and the Document's license notice requires Cover Texts, you must enclose the copies in covers that carry, clearly and legibly, all these Cover Texts: Front-Cover Texts on the front cover, and Back-Cover Texts on the back cover. Both covers must also clearly and legibly identify you as the publisher of these copies. The front cover must present the full title with all words of the title equally prominent and visible. You may add other material on the covers in addition. Copying with changes limited to the covers, as long as they preserve the title of the Document and satisfy these conditions, can be treated as verbatim copying in other respects.

If the required texts for either cover are too voluminous to fit legibly, you should put the first ones listed (as many as fit reasonably) on the actual cover, and continue the rest onto adjacent pages.

If you publish or distribute Opaque copies of the Document numbering more than 100, you must either include a machine-readable Transparent copy along with each Opaque copy, or state in or with each Opaque copy a computer-network location from which the general network-using public has access to download using public-standard network protocols a complete Transparent copy of the Document, free of added material. If you use the latter option, you must take reasonably prudent steps, when you begin distribution of Opaque copies in quantity, to ensure that this Transparent copy will remain thus accessible at the stated location until at least one year after the last time you distribute an Opaque copy (directly or through your agents or retailers) of that edition to the public.

It is requested, but not required, that you contact the authors of the Document well before redistributing any large number of copies, to give them a chance to provide you with an updated version of the Document.

## 4\. MODIFICATIONS

You may copy and distribute a Modified Version of the Document under the conditions of sections 2 and 3 above, provided that you release the Modified Version under precisely this License, with the Modified Version filling the role of the Document, thus licensing distribution and modification of the Modified Version to whoever possesses a copy of it. In addition, you must do these things in the Modified Version:

  1. Use in the Title Page (and on the covers, if any) a title distinct from that of the Document, and from those of previous versions (which should, if there were any, be listed in the History section of the Document). You may use the same title as a previous version if the original publisher of that version gives permission.
  2. List on the Title Page, as authors, one or more persons or entities responsible for authorship of the modifications in the Modified Version, together with at least five of the principal authors of the Document (all of its principal authors, if it has fewer than five), unless they release you from this requirement.
  3. State on the Title page the name of the publisher of the Modified Version, as the publisher.
  4. Preserve all the copyright notices of the Document.
  5. Add an appropriate copyright notice for your modifications adjacent to the other copyright notices.
  6. Include, immediately after the copyright notices, a license notice giving the public permission to use the Modified Version under the terms of this License, in the form shown in the Addendum below.
  7. Preserve in that license notice the full lists of Invariant Sections and required Cover Texts given in the Document's license notice.
  8. Include an unaltered copy of this License.
  9. Preserve the section Entitled "History", Preserve its Title, and add to it an item stating at least the title, year, new authors, and publisher of the Modified Version as given on the Title Page. If there is no section Entitled "History" in the Document, create one stating the title, year, authors, and publisher of the Document as given on its Title Page, then add an item describing the Modified Version as stated in the previous sentence.
  10. Preserve the network location, if any, given in the Document for public access to a Transparent copy of the Document, and likewise the network locations given in the Document for previous versions it was based on. These may be placed in the "History" section. You may omit a network location for a work that was published at least four years before the Document itself, or if the original publisher of the version it refers to gives permission.
  11. For any section Entitled "Acknowledgements" or "Dedications", Preserve the Title of the section, and preserve in the section all the substance and tone of each of the contributor acknowledgements and/or dedications given therein.
  12. Preserve all the Invariant Sections of the Document, unaltered in their text and in their titles. Section numbers or the equivalent are not considered part of the section titles.
  13. Delete any section Entitled "Endorsements". Such a section may not be included in the Modified version.
  14. Do not retitle any existing section to be Entitled "Endorsements" or to conflict in title with any Invariant Section.
  15. Preserve any Warranty Disclaimers.

If the Modified Version includes new front-matter sections or appendices that qualify as Secondary Sections and contain no material copied from the Document, you may at your option designate some or all of these sections as invariant. To do this, add their titles to the list of Invariant Sections in the Modified Version's license notice. These titles must be distinct from any other section titles.

You may add a section Entitled "Endorsements", provided it contains nothing but endorsements of your Modified Version by various parties—for example, statements of peer review or that the text has been approved by an organization as the authoritative definition of a standard.

You may add a passage of up to five words as a Front-Cover Text, and a passage of up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts in the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover Text may be added by (or through arrangements made by) any one entity. If the Document already includes a cover text for the same cover, previously added by you or by arrangement made by the same entity you are acting on behalf of, you may not add another; but you may replace the old one, on explicit permission from the previous publisher that added the old one.

The author(s) and publisher(s) of the Document do not by this License give permission to use their names for publicity for or to assert or imply endorsement of any Modified Version.

## 5\. COMBINING DOCUMENTS

You may combine the Document with other documents released under this License, under the terms defined in section 4 above for modified versions, provided that you include in the combination all of the Invariant Sections of all of the original documents, unmodified, and list them all as Invariant Sections of your combined work in its license notice, and that you preserve all their Warranty Disclaimers.

The combined work need only contain one copy of this License, and multiple identical Invariant Sections may be replaced with a single copy. If there are multiple Invariant Sections with the same name but different contents, make the title of each such section unique by adding at the end of it, in parentheses, the name of the original author or publisher of that section if known, or else a unique number. Make the same adjustment to the section titles in the list of Invariant Sections in the license notice of the combined work.

In the combination, you must combine any sections Entitled "History" in the various original documents, forming one section Entitled "History"; likewise combine any sections Entitled "Acknowledgements", and any sections Entitled "Dedications". You must delete all sections Entitled "Endorsements".

## 6\. COLLECTIONS OF DOCUMENTS

You may make a collection consisting of the Document and other documents released under this License, and replace the individual copies of this License in the various documents with a single copy that is included in the collection, provided that you follow the rules of this License for verbatim copying of each of the documents in all other respects.

You may extract a single document from such a collection, and distribute it individually under this License, provided you insert a copy of this License into the extracted document, and follow this License in all other respects regarding verbatim copying of that document.

## 7\. AGGREGATION WITH INDEPENDENT WORKS

A compilation of the Document or its derivatives with other separate and independent documents or works, in or on a volume of a storage or distribution medium, is called an "aggregate" if the copyright resulting from the compilation is not used to limit the legal rights of the compilation's users beyond what the individual works permit. When the Document is included in an aggregate, this License does not apply to the other works in the aggregate which are not themselves derivative works of the Document.

If the Cover Text requirement of section 3 is applicable to these copies of the Document, then if the Document is less than one half of the entire aggregate, the Document's Cover Texts may be placed on covers that bracket the Document within the aggregate, or the electronic equivalent of covers if the Document is in electronic form. Otherwise they must appear on printed covers that bracket the whole aggregate.

## 8\. TRANSLATION

Translation is considered a kind of modification, so you may distribute translations of the Document under the terms of section 4. Replacing Invariant Sections with translations requires special permission from their copyright holders, but you may include translations of some or all Invariant Sections in addition to the original versions of these Invariant Sections. You may include a translation of this License, and all the license notices in the Document, and any Warranty Disclaimers, provided that you also include the original English version of this License and the original versions of those notices and disclaimers. In case of a disagreement between the translation and the original version of this License or a notice or disclaimer, the original version will prevail.

If a section in the Document is Entitled "Acknowledgements", "Dedications", or "History", the requirement (section 4) to Preserve its Title (section 1) will typically require changing the actual title.

## 9\. TERMINATION

You may not copy, modify, sublicense, or distribute the Document except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, or distribute it is void, and will automatically terminate your rights under this License.

However, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.

Moreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.

Termination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, receipt of a copy of some or all of the same material does not give you any rights to use it.

## 10\. FUTURE REVISIONS OF THIS LICENSE

The Free Software Foundation may publish new, revised versions of the GNU Free Documentation License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns. See <http://www.gnu.org/copyleft/>.

Each version of the License is given a distinguishing version number. If the Document specifies that a particular numbered version of this License "or any later version" applies to it, you have the option of following the terms and conditions either of that specified version or of any later version that has been published (not as a draft) by the Free Software Foundation. If the Document does not specify a version number of this License, you may choose any version ever published (not as a draft) by the Free Software Foundation. If the Document specifies that a proxy can decide which future versions of this License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Document.

## 11\. RELICENSING

"Massive Multiauthor Collaboration Site" (or "MMC Site") means any World Wide Web server that publishes copyrightable works and also provides prominent facilities for anybody to edit those works. A public wiki that anybody can edit is an example of such a server. A "Massive Multiauthor Collaboration" (or "MMC") contained in the site means any set of copyrightable works thus published on the MMC site.

"CC-BY-SA" means the Creative Commons Attribution-Share Alike 3.0 license published by Creative Commons Corporation, a not-for-profit corporation with a principal place of business in San Francisco, California, as well as future copyleft versions of that license published by that same organization.

"Incorporate" means to publish or republish a Document, in whole or in part, as part of another Document.

An MMC is "eligible for relicensing" if it is licensed under this License, and if all works that were first published under this License somewhere other than this MMC, and subsequently incorporated in whole or in part into the MMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated prior to November 1, 2008.

The operator of an MMC Site may republish an MMC contained in the site under CC-BY-SA on the same site at any time before August 1, 2009, provided the MMC is eligible for relicensing.

# How to use this License for your documents

To use this License in a document you have written, include a copy of the License in the document and put the following copyright and license notices just after the title page:

    Copyright (c) YEAR YOUR NAME.
    Permission is granted to copy, distribute and/or modify this document
    under the terms of the GNU Free Documentation License, Version 1.3
    or any later version published by the Free Software Foundation;
    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
    A copy of the license is included in the section entitled "GNU
    Free Documentation License".

If you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace the "with...Texts." line with this:

    with the Invariant Sections being LIST THEIR TITLES, with the
    Front-Cover Texts being LIST, and with the Back-Cover Texts being LIST.

If you have Invariant Sections without Cover Texts, or some other combination of the three, merge those two alternatives to suit the situation.

If your document contains nontrivial examples of program code, we recommend releasing these examples in parallel under your choice of free software license, such as the GNU General Public License, to permit their use in free software.

![Printer.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/23/Printer.svg/40px-Printer.svg.png)

**This is the [print version](http://en.wikibooks.org/wiki/Help:Print_versions) of [General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**  
You won't see this message or any elements not part of the book's content when you print or [preview](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&action=purge&printable=yes) this page.

  


  


General Chemistry

_A Free Online Textbook_

  


![Cover Graphic: A three-dimensional representation of an atomic 4f orbital](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/500px-F4M0.png)

_A three-dimensional representation of an atomic 4f orbital._

## About _General Chemistry_

_General Chemistry_ is an introduction to the basic concepts of chemistry, including atomic structure and bonding, chemical reactions, and solutions. Other topics covered include gases, thermodynamics, kinetics and equilibrium, thermodynamics, redox, and chemistry of the elements.

It is assumed that the reader has basic scientific understanding. Otherwise, minimal knowledge of chemistry is needed prior to reading this book.

  


## Beyond General Chemistry

  * Organic Chemistry - Chemistry studies focusing on the carbon atom and compounds.
  * Inorganic Chemistry - Chemistry studies focusing on salts, metals, and other compounds not based on carbon.
  * Biochemistry - Chemistry studies of or relating to living organisms.

## About Wikibooks

This is a wiki textbook. Anyone from around the world can read, as well as write it! All of the content in the book is covered by the [GNU Free Document Licence](http://www.gnu.org/copyleft/fdl.html), which means it is guaranteed to remain free and open.

### Authors and Significant Contributors

  * [NipplesMeCool](http://en.wikibooks.org/wiki/User:NipplesMeCool)
  * [Orngjce223](http://en.wikibooks.org/wiki/User:Orngjce223)

  


  


# Introduction

* * *

**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

### Chemistry is Everywhere

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/VysokePece1.jpg/150px-VysokePece1.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chemistry: the study of the properties, composition, and transformation of matter.

The modern human experience places a large emphasis upon the material world. From the day of our birth to the day we die, we are frequently preoccupied with the world around us. Whether struggling to feed ourselves, occupying ourselves with modern inventions, interacting with other people or animals, or simply meditating on the air we breathe, our attention is focused on different aspects of the material world. In fact only a handful of disciplines—certain subsets of religion, philosophy, and abstract math—can be considered completely unrelated to the material world. Everything else is somehow related to **chemistry**, the scientific discipline which studies the properties, composition, and transformation of matter.

### Branches of Chemistry

Chemistry itself has a number of branches:

  * _Analytical chemistry_ seeks to determine the composition of substances.
  * _Biochemistry_ is the study of chemicals found in living things (such as DNA and proteins).
  * _Inorganic Chemistry_ studies substances that do not contain carbon.
  * _Organic chemistry_ studies carbon-based substances. Carbon, as described in more detail in this book, has unique properties that allow it to make complex chemicals, including those of living organisms. An entire field of chemistry is devoted to substances with this element.
  * _Physical chemistry_ is the study of the _physical properties_ of chemicals, which are characteristics that can be measured without changing the composition of the substance.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/eb/Sodium_chloride_crystal.png/200px-Sodium_chloride_crystal.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is the structure of table salt, or _sodium chloride_.

Chemistry as a discipline is based on a number of other fields. Because it is a measurement-based science, math plays an important role in its study and usage. A proficiency in high-school level algebra should be all that is needed in this text, and can be obtained from a number of [sources](http://en.wikibooks.org/wiki/Algebra). Chemistry itself is determined by the rules and principles of [physics](http://en.wikibooks.org/wiki/Physics_Study_Guide). Basic principles from physics may be introduced in this text when necessary.

### Why Study Chemistry?

There are many reasons to study chemistry. It is one pillar of the natural sciences necessary for detailed studies in the physical sciences or engineering. The principles of biology and psychology are rooted in the biochemistry of the animal world, in ways that are only now beginning to be understood. Modern medicine is firmly rooted in the chemical nature of the human body. Even students without long term aspirations in science find beauty in the infinite possibilities that originate from the small set of rules found in chemistry.

Chemistry has the power to explain everything in this world, from the ordinary to the bizarre. Why does iron rust? What makes propane such an efficient, clean burning fuel? How can soot and diamond be so different in appearance, yet so similar chemically? Chemistry has the answer to these questions, and so many more. Understanding chemistry is the key to understanding the world as we know it.

### This Book: General Chemistry

An introduction to the chemical world is set forth in this text. The units of study are organized as follows.

![Chemicals in flasks.jpg](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e1/Chemicals_in_flasks.jpg/150px-Chemicals_in_flasks.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

  1. **Properties of Matter**: An explanation of the most fundamental concept in chemistry: _matter_.
  2. **Atomic Structure**: While technically in the domain of physics, _atoms_ determine the behavior of matter, making them a necessary starting point for any discussion of chemistry.
  3. **Compounds and Bonding**: Chemical _bonding_ is introduced, which explains how less than one hundred naturally-occurring elements can combine to form all the different compounds that fill our world.
  4. **Chemical Reactions**: Things get interesting once chemical _reactions_ start making and breaking bonds.
  5. **Aqueous Solutions**: Substances _dissolved_ in water have special properties. This is when _acids and bases_ are introduced.
  6. **Phases of Matter**: A detailed look at the _organization of substances_, with particular focus on _gases_.
  7. **Chemical Equilibria**: Chemical reactions don't go on forever. _Equilibrium_ is the balance that reactions seek to achieve.
  8. **Chemical Kinetics**: _Kinetics_ explain why it takes years for an iron nail to rust, but only a split second for a hydrogen-filled hot air balloon to explode.
  9. **Thermodynamics**: Two things decide which reactions can occur and which reactions cannot: heat and chaos. Or _enthalpy and entropy_, as they are called in thermodynamics
  10. **Chemistries of Various Elements**: An exploration of the _elements_ that make up all substance. Includes an introduction to _nuclear chemistry_ and carbon, the essence of _organic chemistry_.

  


<<[ Begin Your Study of **General Chemistry**! >>](http://en.wikibooks.org/wiki/General_Chemistry)

  
  


Matter

  


  


# Basic Properties of Matter

* * *

← [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·[Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) →

[← Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Matter/Changes in Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## What is Matter?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Concrete_block.JPG/220px-Concrete_block.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Matter** has mass and volume, as exemplified by this concrete block.

Matter is defined as anything that has **mass** and **volume**.

**Mass** is a measure of an object's inertia. It is proportional to weight: the more mass an object has, the more weight it has. However, mass is not the same as weight. Weight is a force created by the action of gravity on a substance while mass is a measure of an object's resistance to change in motion. Mass is measured by comparing the substance of interest to a standard kilogram called the International Prototype Kilogram (IPK). The IPK is a metal cylinder where the height and diameter both equal 39.17 millimeters and is made of an alloy of 90% platinum and 10% iridium. Thus, the standard kilogram is defined and all other masses are a comparison to this kilogram. When atom masses are measured in a mass spectrometer, a different internal standard is used. Your take home lesson with regard to mass is that mass is a relative term judged by a comparison.

  
**Volume** is a measure of the amount of space occupied by an object. Volume can be measured directly with equipment designed using graduations marks or indirectly using length measurements depending on the state (gas, liquid, or solid) of the material. A _graduated cylinder_, for example, is a tube that can hold a liquid which is marked and labeled at regular intervals, usually every 1 or 10 mL. Once a liquid is placed in the cylinder, one can read the graduation marks and record the volume measurement. Since volume changes with temperature, graduated equipment has limits to the precision with which one can read the measurement. Solid objects that have regular shape can have their volume calculated by measuring their dimensions. In the case of a box, its volume equals length times width times height.

It is particularly interesting to note that measuring is different from calculating a specific value. While mass and volume can both be determined directly relative to either a defined standard or line marks on glass, calculating other values from measurements is not considered measuring. For example, once you have measured the mass and volume of a liquid directly, one can then calculate the density of a substance by dividing the mass by the volume. This is considered indirectly determining density. Interestingly enough, one can also measure density directly if an experiment which allows the comparison of density to a standard is set up.

Another quantity of matter directly or indirectly determined is the **amount of substance**. This can either represent a counted quantity of objects (e.g. three mice or a dozen bagels) or the indirectly determined number of particles of a substance being dealt with such as how many atoms are contained in a sample of a pure substance. The latter quantity is described in terms of moles. One mole is a specifically defined as the number of particles in 12 grams of the isotope Carbon-12. This number is 6.02214078(18)x 1023 particles.

Units of Measure

  * Mass: the kilogram (kg). Also, the gram (g) and milligram (mg). 
    * 1 kg = 1000 g
    * 1000 mg = 1 g.
  * Volume: the liter (L), milliliter (mL). Also, cubic centimeters (cc) and cubic meters (m3). 
    * 1 cc = 1 mL
    * 1000 mL = 1 L
    * 1000 L = 1 m3
  * Amount: the mole (mol). 
    * 1 mol = 6.02214078(18)x 1023 particles

  


## Atoms, Elements, and Compounds

The fundamental building block of matter is the atom.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e1/Stylised_Lithium_Atom.svg/220px-Stylised_Lithium_Atom.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The red dots are protons, the black dots are neutrons, and the blue dots are electrons.

Any atom is composed of a little nucleus surrounded by a "cloud" of electrons. In the nucleus there are protons and neutrons.

However, the term "atom" just refers to a building block of matter; it doesn't specify the identity of the atom. It could be an atom of carbon, or an atom of hydrogen, or any other kind of atom.

This is where the term "element" comes into play. When an atom is defined by the number of protons contained in its nucleus, chemists refer to it as an **element**. All elements have a very specific identity that makes them unique from other elements. For example, an atom with 6 protons in its nucleus is known as the element _carbon_. When speaking of the element _fluorine_, chemists mean an atom that contains 9 protons in its nucleus.

  * Atom: A fundamental building block of matter composed of protons, neutrons, and electrons.
  * Element: A uniquely identifiable atom recognized by the number of protons in the nucleus.

Despite the fact that we define an element as a unique identifiable atom, when we speak, for example, 5 elements, we don't usually mean those 5 atoms are of the same type (having the same number of protons in their nucleus). We mean 5 'types' of atoms. It is not necessary there are only 5 atoms. There may be 10, or 100, etc. atoms, but those atoms belong to one of 5 types of atoms. I'd rather define 'element' as 'type of atom'. I think it is more precise. If we'd like to refer to 5 atoms having the same 6 protons in their nucleus, I'd say '5 carbon atoms' or '5 atoms of carbon'.

It is important to note that if the number of protons in the nucleus of an atom changes, so does the identity of that element. If we could remove a proton from nitrogen (7 protons), it is no longer nitrogen. We would, in fact, have to identify the atom as carbon (6 protons). Remember, elements are unique and are always defined by the number of protons in the nucleus. The **[Periodic Table of the Elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)** shows all known elements organized by the number of protons they have.

An element is composed of the same type of atom; _elemental carbon_ contains any number of atoms, all having 6 protons in their nuclei. In contrast, **compounds** are composed of different type of atoms. More precisely, a compound is a chemical substance that consists of two or more elements. A _carbon compound_ contains some carbon atoms (with 6 protons each) and some other atoms with different numbers of protons.

Compounds have properties different from the elements that created them. Water, for example, is composed of hydrogen and oxygen. Hydrogen is an explosive gas and oxygen is a gas that fuels fire. Water has completely different properties, being a liquid that is used to extinguish fires.

The smallest representative for a compound (which means it retains characteristics of the compound) is called a **molecule**. Molecules are composed of atoms that have "bonded" together. As an example, the _formula_ of a water molecule is "H2O": two hydrogen atoms and one oxygen atom.

## Properties of Matter

Properties of matter can be divided in two ways: extensive/intensive, or physical/chemical.

  * _Extensive_ properties depend on the amount of matter that is being measured. These include mass and volume.
  * _Intensive_ properties do not depend on the amount of matter. These include density and color.

  * _Physical_ properties can be measured without changing the chemical's identity. The freezing point of a substance is physical. When water freezes, it's still H2O.
  * _Chemical_ properties deal with how one chemical reacts with another. We know that wood is flammable because it becomes heat, ash, and carbon dioxide when heated in the presence of oxygen.

## States of Matter

One important physical property is the _state of matter_. Three are common in everyday life: solid, liquid, and gas. The fourth, _plasma_, is observed in special conditions such as the ones found in the sun and fluorescent lamps. Substances can exist in any of the states. Water is a compound that can be liquid, solid (ice), or gas (steam).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/50/Icewithwater.JPG/220px-Icewithwater.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The ice in this picture is a solid. The water in the picture is a liquid. In the air there is water vapor, which is a gas.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/13/Solid_liquid_gas.svg/220px-Solid_liquid_gas.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The states of matter depend on the bonding between molecules.

### Solids

Solids have a definite shape and a definite volume. Most everyday objects are solids: rocks, chairs, ice, and anything with a specific shape and size. The molecules in a solid are close together and connected by _intermolecular bonds_. Solids can be _amorphous_, meaning that they have no particular structure, or they can be arranged into crystalline structures or networks. For instance, soot, graphite, and diamond are all made of elemental carbon, and they are all solids. What makes them so different? Soot is amorphous, so the atoms are randomly stuck together. Graphite forms parallel layers that can slip past each other. Diamond, however, forms a crystal structure that makes it very strong.

### Liquids

Liquids have a definite volume, but they do not have a definite shape. Instead, they take the shape of their container to the extent they are indeed "contained" by something such as beaker or a cupped hand or even a puddle. If not "contained" by a formal or informal vessel, the shape is determined by other internal (e.g. intermolecular) and external (e.g. gravity, wind, inertial) forces. The molecules are close, but not as close as a solid. The intermolecular bonds are weak, so the molecules are free to slip past each other, flowing smoothly. A property of liquids is _viscosity_, the measure of "thickness" when flowing. Water is not nearly as viscous as molasses, for example.

### Gases

Gases have no definite volume and no definite shape. They expand to fill the size and shape of their container. The oxygen that we breathe and steam from a pot are both examples of gases. The molecules are very far apart in a gas, and there are minimal intermolecular forces. Each atom is free to move in any direction. Gases undergo effusion and diffusion. Effusion occurs when a gas seeps through a small hole, and diffusion occurs when a gas spreads out across a room. If someone leaves a bottle of ammonia on a desk, and there is a hole in it, eventually the entire room will reek of ammonia gas. That is due to the diffusion and effusion. These properties of gas occur because the molecules are not bonded to each other.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Technically, a gas is called a **vapor** if it does not occur at standard temperature and pressure (STP). STP is 0° C and 1.00 atm of pressure. This is why we refer to water _vapor_ rather than water gas.

  * In gases, intermolecular forces are very weak, hence molecules move randomly colliding with themselves, and with the wall of their container, thus exerting pressure on their container. When heat is given out by gases, the internal molecular energy decreases; eventually, the point is reached when the gas liquifies.

  


# Changes in Matter

* * *

← [Properties of Matter/Basic Properties of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Basic_Properties_of_Matter) ·[Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) →

[← Properties of Matter/Basic Properties of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Basic_Properties_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Matter/Classification of Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

There are two types of change in matter: _physical_ change and _chemical_ change. As the names suggest, physical changes affect physical properties, and chemical changes affect chemical properties.

Chemical changes are also known as chemical reactions. The "ingredients" of a reaction are the reactants, and the end results are called the "products". The change from reactants to products can be signified by an arrow.

A Chemical Reaction

Reactants → Products

Note that the number of reactants and products don't necessarily have to be the same. However, the number of each type of atom must remain constant. This is called the **Law of Conservation of Matter**. It states that matter can never be created or destroyed, only changed and rearranged. If a chemical reaction begins with 17 moles of carbon atoms, it must end with 17 moles of carbon atoms. They may be bonded into different molecules, or in a different state of matter, but they cannot disappear.

When changes occur, energy is often transformed. However, like atoms, energy cannot disappear. This is called the **Law of Conservation of Energy**. A simple example would be putting ice cubes into a soft drink. The ice cubes get warmer as the drink gets colder, because energy cannot be created or destroyed, only transferred. Note that energy can be "released" or "stored" by making and breaking bonds. When a plant converts the energy from sunlight into food, that energy is stored in the chemical bonds within the sugar molecules.

## Chemical or Physical?

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Blender.jpg/220px-Blender.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Is blending together a smoothie a physical or chemical change?

Physical changes do not cause a substance to become a fundamentally different substance. Chemical changes, on the other hand, cause a substance to change into something entirely new. Chemical changes are typically irreversible, but that is not always the case. It is easier to understand the difference between physical and chemical changes with examples.

_State changes are physical._
Phase changes are when you melt, freeze, boil, condense, [sublimate](http://en.wikipedia.org/wiki/sublimation), or [deposit](http://en.wikipedia.org/wiki/deposition) a substance. They do not change the nature of the substance unless a chemical change occurs along with the physical change.

_Cutting, tearing, shattering, and grinding are physical._
These may be irreversible, but the result is still composed of the same molecules. When you cut your hair, that is a physical change, even though you can't put the hair back on your head again.

_Mixing together substances is physical._
For example, you could mix salt and pepper, dissolve salt in water, or mix molten metals together to produce an alloy.

_Gas bubbles forming is chemical._
Not to be confused with bubbles from boiling, which would be physical (a phase change). Gas bubbles indicate that a chemical reaction has occurred.

_Precipitates forming is chemical._
When dissolved substances are mixed, and a cloudy precipitate appears, there has been a chemical change.

_Rotting, burning, cooking, and rusting (for example) are chemical._
The resulting substances are entirely new chemical compounds. For instance, wood becomes ash and heat; iron becomes rust; sugar ferments into alcohol.

_Changes of color or release of odors (i.e. release of a gas) might be chemical._
As an example, the element chromium shows different colors when it is in different compounds, but a single chromium compound will not change color on its own without some sort of reaction.

_Release/absorption of energy (heat, light, sound) is generally not easily categorized._
Hot/cold packs involve dissolving a salt in water to change its temperature (more on that in later chapters); popping popcorn is mostly (but not completely).

  


# Classification of Matter

* * *

← [Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) ·[Numbers Used to Describe Atoms](http://en.wikibooks.org/wiki/General_Chemistry/Numbers_Used_to_Describe_Atoms) →

[← Properties of Matter/Changes in Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Changes_in_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Numbers Used to Describe Atoms →](http://en.wikibooks.org/wiki/General_Chemistry/Numbers_Used_to_Describe_Atoms)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Matter can be classified by its state.

  * **Solids** have a set volume and shape.The inter molecular force of attraction for solid matter is very strong.
  * **Liquids** have a set volume, but change shape. The inter molecular force of attraction for liquid matter is weaker than solid matter.
  * **Gases** have neither definite volume nor shape. The inter molecular force of attraction for gaseous matter is negligible.
  * **Plasma** which are usually gaseous state of matter in which a part or all of the atoms or molecules are dissociated to form ions.

Matter can also be classified by its chemical composition.

  * An [element](http://en.wikipedia.org/wiki/Chemical_element) is a pure substance made up of atoms with the same number of protons. As of 2011, 118 elements have been observed, 92 of which occur naturally. Carbon (C), Oxygen (O), Hydrogen (H) are examples of elements. The [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) is a tabular representation of the known elements.
  * A [compound](http://en.wikipedia.org/wiki/Chemical_compound) consists of two or more chemical elements that are chemically bonded together. Water (H2O) and table sugar (C12H22O11) are examples of chemical compounds. The ratio of the elements in a compound is always the same. For example in water, the number of H atoms is always twice the number of O atoms.
  * A [mixture](http://en.wikipedia.org/wiki/mixture) consists of two or more substances (element or compound) mixed together without any chemical bond. Salad is a good example. A mixture can be separated into its individual components by mechanical means.

## Types of Mixtures

There are many kinds of mixtures. They are classified by the behavior of the **phases**, or substances that have been mixed.

### Homogeneous Mixtures

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Refraction-with-soda-straw.jpg/220px-Refraction-with-soda-straw.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Soda water is a homogeneous mixture. (The straw looks broken because of [refraction](http://en.wiktionary.org/wiki/refraction).)

A homogeneous mixture is uniform, which means that any given sample of the mixture will have the same composition. Air, sea water, and carbonation dissolved in soda are all examples of homogeneous mixtures, or solutions. No matter what sample you take from the mixture, it will always be composed of the same combination of phases. Chocolate chip ice cream is not homogeneous—one spoonful taken might have two chips, and then another spoonful might have several chips.

An example for a homogeneous mixture is a solution. The substance that gets dissolved is the **solute**. The substance that does the dissolving is the **solvent**. Together they make a **solution**. If you stir a spoonful of salt into a glass of water, salt is the solute that gets dissolved. Water is the solvent. The salty water is now a solution, or homogeneous mixture, of salt and water.

When different gases are mixed, they always form a solution. The gas molecules quickly spread out into a uniform composition.

### Heterogeneous Mixtures

A **heterogeneous mixture** is not uniform. Different samples may have different compositions, like the example of chocolate chip ice cream. Concrete, soil, blood, and salad are all examples of heterogeneous mixtures.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/DustWorkerStreet.jpg/220px-DustWorkerStreet.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This dust is a suspension because it settles after the work is done.

#### Suspensions

When sand gets kicked up in a pond, it clouds the water. Soon the sand settles down, and is no longer mixed into the water. This is an example of a **suspension**. Suspensions are heterogeneous mixtures that will eventually settle. They are usually, but not necessarily, composed of phases in different states of matter. Italian salad dressing has three phases: the water, the oil, and the small pieces of seasoning. The seasonings are solids that will sink to the bottom, and the oil and water are liquids that will separate.

#### Colloids

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Toothpaste.jpg/220px-Toothpaste.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Toothpaste is a colloid, because it's part solid and part liquid.

What exactly is toothpaste? We can't exactly classify it by its state of matter. It has a definite shape and volume, like a solid. But then you squeeze the tube, and it flows almost like a liquid. And then there's jelly, shaving cream, smoke, dough, and Silly Putty...

These are examples of **colloids**. A [colloid](http://en.wikipedia.org/wiki/Colloids) is a heterogeneous mixture of two substances of different phases. Shaving cream and other foams are gas dispersed in liquid. Jello, toothpaste, and other gels are liquid dispersed in solid. Dough is a solid dispersed in a liquid. Smoke is a solid dispersed in a gas.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Colloids differ from suspensions in that they will not settle.

Colloids consist of two phases: a _dispersed phase_ inside of a _continuous medium_.

#### The Tyndall Effect

The Tyndall effect distinguishes colloids from solutions. In a solution, the particles are so fine that they will not scatter light. This is not true for a colloid. If you shine light through a solution, the beam of light will not be visible. It will be visible in a colloid. For instance, if you have ever played with a laser pointer, you have seen the Tyndall effect. You cannot see the laser beam in air (a solution), but if you shine it into a mist (a colloid, or suspension, actually), the beam is visible. Clouds look white (or gray), as opposed to blue, because of the Tyndall effect - the light is scattered by the small droplets of suspended water.

## Methods for Separating Mixtures

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/Filtration_diagram.svg/220px-Filtration_diagram.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Filtration is one way to separate a mixture.

Because there is no chemical bonding in a mixture, the phases can be separated by mechanical means. In a heterogeneous mixture like a salad, the pieces can easily be picked out and separated. It is as simple as sifting through the salad and picking out all the tomatoes and radishes, for example. However, many mixtures contain particles that are too small, liquids, or too many particles to be separated manually. We must use more sophisticated methods to separate the mixture.

### Filtration

Imagine you have a sandbox, but there are bits of broken glass in it. All you would need is some sort of filter. The sand particles are much smaller than the glass chips, so a mesh filter would let sand pass but stop the glass. Filtration is used in all sorts of purification methods. Some filters, like dialysis tubing, are such fine filters that water can pass, but dissolved glucose cannot.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Filtration works with particles that are significantly different in size, like sand and rock, or water and glucose.

### Distillation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Simple_distillation_apparatus.svg/220px-Simple_distillation_apparatus.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A distillation apparatus has a boiling flask, a place to cool the vapor down, and a collecting flask.

If you were given a glass of saltwater, could you drink it? Sure, if you distill it first. Distillation is the boiling of a mixture to separate its phases. Salt is a solid at room temperature, and water is a liquid. Water will boil far before salt even begins to melt. So separating the two is as simple as boiling the water until all that remains is the solid salt. If desired, the water vapor can be collected, condensed, and used as a source of pure water.

Distillation can also be used if two liquids are mixed but have different boiling points. Separation of several liquids with similar boiling points can be achieved using [fractionation](http://en.wikipedia.org/wiki/fractionation).

### Centrifugation and Sedimentation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d5/Activated_Sludge_1.svg/220px-Activated_Sludge_1.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sedimentation is used to purify waste water, by letting it settle and removing the settled material (sludge, in this case).

These processes rely on differences in density. In a medical lab, blood often goes into a centrifuge. A centrifuge is a machine that spins a sample at fairly high rates of speed. Red blood cells are much denser than the watery substance (called plasma, but it's not the plasma state of matter) that makes up blood. As a result of the spinning, the denser phases move outward and the less dense phases move inward, towards the axis of rotation. Then, the red blood cells can be separated from the plasma.

Sedimentation is similar, but it happens when particles of different densities have settled within a liquid. If a jar of muddy water is left to settle, the heaviest particles sink to the bottom first. The lightest particles sink last and form a layer on top the heavier particles. You may have seen this effect in a bottle of salad dressing. The seasonings sink to the bottom, the water forms a lower layer, and the oil forms an upper layer. The separate phases can be skimmed out. To return it to a mixture, simply shake it up to disturb the layers.

### Unique Properties

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Chromatography_of_chlorophyll_-_Step_7.jpg/60px-Chromatography_of_chlorophyll_-_Step_7.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Chromatography separates things dissolved in liquid.

The differences in substances' properties can be exploited to allow separation. Consider these examples:

  * A mixture of sand and iron filings can be separated by magnet.
  * Salt and sand can be separated by solution (sand will not dissolve in water, salt will)
  * Helium can be separated from a mixture with hydrogen by combustion (this is a very dangerous operation, since hydrogen in the presence of oxygen is highly explosive). Hydrogen is flammable, but helium is not.

### Other methods

There are countless other ways to [separate mixtures](http://en.wikipedia.org/wiki/Separation_process). For instance, gel electrophoresis is used to separate different sized pieces of DNA. They are placed into gel, and an electric current is applied. The smaller pieces move faster and separate from the larger pieces.

Chromatography separates phases dissolved in liquid. If you want to see an example, take a strip of paper and draw a dot on it with a colored marker. Dip the strip into water, and wait a while. You should see the ink separate into different colors as they spread out from the dot.  


# Numbers Used to Describe Atoms

* * *

← [Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) ·[Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) →

[← Properties of Matter/Classification of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter/Classification_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Atomic Structure →](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Numbers

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Atomo_di_litio.svg/220px-Atomo_di_litio.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

If the red parts are protons and the green parts are neutrons, what's the atomic, neutron, and mass number of this atom? (lithium)

The **Atomic number** is the number of protons in the nucleus of an atom. This number determines the element type of the atom. For instance, all neon atoms have exactly ten protons. If an atom has ten protons, then it must be neon. If an atom is neon, then it must have ten protons.

The atomic number is sometimes denoted **Z**. Continuing with the example of neon, ![Z=10](../../../upload.wikimedia.org/math/e/7/0/e709c44c849288fd3bd7cea238a89a9a.png).

The **Neutron number** is the number of neutrons in the nucleus of an atom. Remember that neutrons have no electric charge, so they do not affect the chemistry of an element. However, they do affect the nuclear properties of the element. For instance, Carbon-12 has six neutrons, and it is stable. Carbon-14 has eight neutrons, and it happens to be radioactive. Despite these differences, both forms of carbon behave the same way when forming chemical compounds.

The neutron number is sometimes denoted **N**.

The **Mass number** is the sum of protons and neutrons in an atom. It is denoted **A**. To find the mass number of an atom, remember that **A = Z + N**. The mass number of an atom is always an integer. Because the number of neutrons can vary among different atoms of the same element, there can be different mass numbers of a given element. Look back to the example of carbon. Carbon-14 has a mass number of 14, and Carbon-12 has a mass number of 12. Every carbon atom _must_ have six protons, so Carbon-14 has eight neutrons and Carbon-12 has six neutrons.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Elements with the same atomic number but different atomic masses are **isotopes**.

Isotopes of the same element have nearly identical chemical properties (because they have the same number of protons and electrons). Their only difference is the number of neutrons, which changes their nuclear properties like radioactivity.

### Notation

There is a convenient way of writing the numbers that describe atoms. It is easiest to learn by examples.

Helpful Hint!

Keep in mind that any of the three numbers written around the element symbol are optional, but they should be written if it is important to the given situation. The charge number is left off if the atom has zero charge (equal number of protons and electrons). The mass number and atomic number are usually left off.

![_9^{19}\\text{F}](../../../upload.wikimedia.org/math/2/f/3/2f3176f11669e13d3a8fb4a243533ef4.png)
This is how we write fluorine-19. The atomic number is below and the mass number is above, followed by its symbol on the [periodic table of the elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

![^{12}\\text{C}](../../../upload.wikimedia.org/math/8/c/9/8c94cf727c500b517e721e182e59e3ea.png)
This example shows carbon-12. Notice how the atomic number is missing. You know which element it is because of the C, so there is no need to write the number of protons. The atomic number is rarely written because the element symbol implies how many protons there are.

![_{12}^{25}\\text{Mg}^{+2}](../../../upload.wikimedia.org/math/6/9/7/69720704a3235a5f3cecae2e9d3e90d1.png)
The last example shows both the atomic number and mass number, along with a charge. The charge is the difference in the number of protons compared to the number of electrons. You can read more about charge, protons, and electrons [later on](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles). From the example, you can see that this magnesium atom would have 12 protons, 13 neutrons, and 10 electrons. Its mass is 25 (12 p + 13 n) and its charge is +2 (12 p - 10 e).

Exercise for the reader!

Try writing the symbol for an atom with seven protons, seven neutrons, and eight electrons. You will need to look up its symbol on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

## Atomic Mass

The mass of an atom is measured in _atomic mass units (amu)_. An atom's mass can be found by summing the number of protons and neutrons. By definition, 12 amu equals the atomic mass of carbon-12. Protons and neutrons have an approximate mass of 1 amu, and electrons have a negligible mass.

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

There is a difference between an atom's mass number and an element's atomic mass. The mass number measures the number of protons and neutrons in the nucleus of a _particular atom_. The atomic mass measures the _average mass of all atoms for an element_. For example, a carbon atom might have a mass number of 12 or 14 (or something else), but carbon in general has a mass of 12.011 amu.

Usually, a pure element is made up of a number of isotopes in specific ratios. Because of this, the measured atomic mass of carbon is not exactly 12. It is an average of all the masses of all the isotopes, with the more common ones contributing more to the measured atomic mass. By convention atomic masses are given no units.

Example

Pretend that the element Wikibookium has two isotopes. The first has a mass number of 104, and the second has a mass number of 107. Considering that 75% of the naturally occurring atoms are of the first isotope, and the rest are of the second. The average atomic mass is calculated as

0.75 × 104 + 0.25 × 107 = 104.75

In this case, a bunch of Wikibookium atoms would have an average mass of 104.75 amu, but each individual atom might have a mass number of 104 or 107. Keep in mind that all of the atoms would have the same number of protons. Their masses are different because of the number of neutrons.

## Moles

A mole is defined as the amount of an element whose number of particles are equal to that in 12g of C-12 carbon, also known as Avogadro's number. Avogadro's number equals 6.022 × 1023. Moles are not very confusing: if you have a dozen atoms, you would have 12. If you have a mole of atoms, you would have 6.022 × 1023. Why is this ridiculously large number important? It can be used to convert between atomic mass units and grams. One mole of carbon-12 is exactly 12 grams, by definition. Similarly, one mole of any element is the atomic mass of that element expressed as a weight in grams. The atomic mass is equal to the number of grams per mole of that element.

Example

There are 128.2 g of rubidium (atomic mass = 85.47 amu). How many atoms are there?

(128.2 g) / (85.47 g/mol) = 1.5 mol  
(1.5 mol) × (6.022 × 1023) = **9.03 × 1023 atoms of rubidium**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8b/NO2-N2O4.jpg/220px-NO2-N2O4.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

These one-liter containers each hold 0.045 moles of nitrogen-based gas. (1 L) / (22.4 L/mol) = 0.045 mol

Moles are also important because every 22.4 liters of gas contain 1 mole of gas molecules at standard temperature and pressure (STP, 0 °C and 1 atmosphere of pressure). Avogadro discovered this. (That's why it's his number.) A container filled with fluorine gas would have to be 22.4 L large to hold one mole of F2 molecules. Knowing this fact allows you to determine the mass of a gas molecule if you know the volume of the container. This holds true for every gas.

Why every single gas? Atoms and molecules are _tiny_. The volume of a gas is mostly empty space, so the molecules have an insignificantly small volume. As you will [eventually learn](http://en.wikibooks.org/wiki/General_Chemistry/Gases), this ensures that there is always one mole of gas atoms for every 22.4 liters at STP.

  
  


Atomic Structure

  


  


# History of Atomic Structure

* * *

← [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) ·[Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) →

[← Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Atomic Structure/Subatomic Particles →](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Why is the history of the atom so important?

It is fundamental to the understanding of science that science is understood to be a process of trial and improvement and represents the best known at the time, not an unerring oracle of truth. Development of an idea and refinement through testing is shown more in the understanding of atomic structure.

## The Greek Theorists

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Democritus2.jpg/220px-Democritus2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A bust of Democritus (or Democrites), who came up with the idea of indivisible atoms.

The earliest known proponent of anything resembling modern atomic theory was the ancient Greek thinker Democritus. He proposed the existence of indivisible atoms as a response to the arguments of Parmenides, and the paradoxes of Zeno.

Parmenides argued against the possibility of movement, change, and plurality on the premise that something cannot come from nothing. Zeno attempted to prove Parmenides' point by a series of paradoxes based on difficulties with infinite divisibility.

In response to these ideas, Democritus posited the existence of indestructible atoms that exist in a void. Their indestructibility provided a retort to Zeno, and the void allowed him to account for plurality, change, and movement. It remained for him to account for the properties of atoms, and how they related to our experiences of objects in the world.

Democritus proposed that atoms possessed few actual properties, with size, shape, and mass being the most important. All other properties, he argued, could be explained in terms of the three primary properties. A smooth substance, for instance, might be composed of primarily smooth atoms, while a sour substance is composed of rough or sharp ones. Solid substances might be composed of atoms with numerous hooks, by which they connect to each other, while the atoms of liquid substances possess far fewer points of connection.

Democritus proposed 8 points to his theory of atoms. [[1]](Print_version.html#cite_note-1) These are:

  1. All matter is composed of atoms, which are bits of matter too small to be seen. These atoms CANNOT be further split into smaller portions.
  2. There is a void, which is empty space between atoms.
  3. Atoms are completely solid
  4. Atoms are homogeneous, with no internal structure.
  5. Atoms are different in: their sizes, their shapes, and their weights.
  6. Atoms are the building blocks of life

## Alchemy

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/17/Distillation_by_Retort.png/220px-Distillation_by_Retort.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Although alchemy was futile, the alchemists did come up with several useful methods, including distillation (shown here).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Streichholz.jpg/100px-Streichholz.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A fire, shown by Lavoisier to be a chemical reaction and not an element.

Empedocles proposed that there were four elements, air, earth, water, and fire and that everything else was a mixture of these. This belief was very popular in the medieval ages and introduced the science of alchemy. Alchemy was based on the belief that since everything was made of only four elements, you could transmute a mixture into another mixture of the same type. For example, it was believed that lead could be made into gold.

Alchemy's problem was exposed by Antoine Lavoisier when he heated metallic tin in a sealed flask. A grayish ash appeared on the surface of the melting tin, which Lavoisier heated until no more ash formed. After the flask cooled, he inverted it and opened it underwater. He discovered the water rose one-fifth of the way into the glass, leading Lavoisier to conclude that air itself is a mixture, with one-fifth of it having combined with the tin, yet the other four-fifths did not, showing that air was not an element.

Lavoisier repeated the experiment again, substituting mercury for tin, and found that the same happened. Yet after heating gently, he found that the ash released the air, showing that the experiment could be reversed. He concluded that the ash was a compound of the metal and oxygen, which he proved by weighing the metal and the ash, and showing that their combined weight was greater than that of the original metal.

Lavoisier then stated that combustion was not an element, but instead was a chemical reaction of a fuel and oxygen.

## John Dalton

![](../../../upload.wikimedia.org/wikipedia/commons/4/40/Hex2at.GIF)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Different elements, different atoms.

  
Modern atomic theory was born with Dalton when he published his theories in 1803. His theory consists of five important points, which are considered to be mostly true today: [(from Wikipedia)](http://en.wikipedia.org/wiki/John_Dalton#Five_main_points_of_Dalton.27s_Atomic_Theory)

  * Elements are composed of tiny particles called atoms.
  * All atoms of a given element are identical.
  * The atoms of a given element are different from those of any other element; the atoms of different elements can be distinguished from one another by their respective relative weights.
  * Atoms of one element can combine with atoms of other elements to form chemical compounds; a given compound always has the same relative numbers of types of atoms.
  * Atoms cannot be created, divided into smaller particles, nor destroyed in the chemical process; a chemical reaction simply changes the way atoms are grouped together.

We now know that elements have different isotopes, which have slightly different weights. Also, nuclear reactions can divide atoms into smaller parts (but nuclear reactions aren't really considered _chemical_ reactions). Otherwise, his theory still stands today.

## Dmitri Mendeleev

In the late 1800's, Russian scientist Dmitri Mendeleev was credited with creating one of the first organized periodic tables. Organizing each element by atomic weight, he cataloged each of the 56 elements discovered at the time. Aside from atomic weight, he also organized his table to group the elements according to known properties.

While writing a series of textbooks, Mendeleev realized he was running out of space to treat each element individually. He began to regularly "linewrap" the elements onto the next line, and create what is now called the periodic table of the elements. Using his table, he predicted the existence of later-discovered elements, such as "eka-aluminum" and "eka-silicon" (gallium and selenium) according to patterns found earlier. His predictions were a success, proving his table to be exceptionally accurate. Later theories, those of the electrons around the atom, explain why elements in the same period, or group, have similar chemical properties. Chemists would later organise each element by atomic number, not atomic weight, giving rise to the modern [Periodic Table of Elements](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table).

## J.J. Thompson

### Discovery of the Electron

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e2/Cathode_ray_tube_diagram-en.svg/220px-Cathode_ray_tube_diagram-en.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Cathode rays are actually made of electrons.

In the year 1889 the British physicist J.J. Thomson discovered the electron. Thomson conducted a number of experiments using _cathode ray tube_. Cathode rays are constructed by sealing two electrodes in a glass tube and removing the air from it. When the electrodes are attached to high voltage, a beam of radiation is emitted from the negative electrode. These beams are called cathode rays.

Thompson discovered that cathode rays travel in straight lines except when they are bent by electric or magnetic fields. Because the cathode rays bent away from a negatively charged plate, Thomson concluded that these rays are made of negatively charged particles; today we call them electrons. Thompson found that he could produce cathode rays using electrodes of various materials. He then concluded that electrons were found in all atoms and are over a thousand times smaller than protons.

### The "Plum Pudding" Atomic Model

Soon after the discovery of the electron, Thompson began speculating on the nature of the atom. He suggested a "plum pudding" model. In this model the bits of "plum" were the electrons which were floating around in a "pudding" of positive charge to match that of the electrons and make an electrically neutral atom. A modern illustration of this idea would be a chocolate chip cookie, with the chips representing negatively charged electrons and the dough representing positive charge.

## Rutherford

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c3/Rutherford_gold_foil_experiment_results.svg/220px-Rutherford_gold_foil_experiment_results.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The results of the gold foil experiment disproved the "plum pudding" model: the alpha particles should have passed through (top), but a few of them deflected at large angles (bottom).

Ernest Rutherford is known for his famous **gold foil experiment** in 1911. Alpha particles, which are heavy and positively charged (actually, helium nuclei, but that's beside the point), were fired at a very thin layer of gold. Most of the alpha particles passed straight through, as expected. According to the plum pudding model _all_ of the particles should have slowed as they passed through the "pudding", but none should have been deflected. Surprisingly, a few alpha particles were deflected back the way they came. He stated that it was "as if you fired a 15-inch shell at a piece of tissue paper and it came back and hit you."

The result of the experiment allowed Rutherford to conclude that the plum pudding model is wrong.

  * Atoms have a **nucleus**, very small and dense, containing the positive charge and most of the atom's mass.
  * The atom consists of mostly empty space.
  * The electrons are attracted to the nucleus, but remain far outside it.

## Niels Bohr

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a1/Bohr_Model.svg/220px-Bohr_Model.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The Bohr model of the atom has shells with numbered spherical energy levels - the larger numbers mean larger spheres and higher energy levels. The wave exiting the picture on the left has come from an electron jump, resulting in a photon. (Level sizes not to scale.)

Bohr created his own model of the atom, improving on Rutherford's. Bohr used an equation developed by [Rydberg](https://en.wikipedia.org/wiki/Johannes_Rydberg) that provided a mathematical relationship between the visible [spectral lines](https://en.wikipedia.org/wiki/Spectral_line) of the hydrogen atom. The equation requires that the wavelengths emitted from the hydrogen atom be related to the difference of two integers. Bohr theorized that these integers represent "shells" or "orbits" in which electrons travel around the nucleus, each with a certain energy level. The energy of an orbit is proportional to its distance from the nucleus. An atom will absorb and release photons that have a specific amount of energy. The energy is the result of an electron jumping to a different shell. Starting with Rydberg's equation, along with Planck and Einstein's work on the relationship between light and energy, Bohr was able to derive an equation to calculate the energy of each orbit in the hydrogen atom. The [Bohr model](https://en.wikipedia.org/wiki/Bohr_model) depicts the atom as a nucleus with electrons orbiting around it at specific distances. This model is also referred to as the Planetary Model.

## Millikan

[Robert Millikan](http://en.wikipedia.org/wiki/Robert_Millikan) is accredited for the "Oil Drop Experiment", in which the value of the electron charge was determined. He created a mechanism where he could spray oil drops that would settle into a beam of X rays. The beam of X rays caused the oil drops to become charged with electrons. The oil droplets were in between a positively charged plate and a negatively charged plate which, when proper electric voltage was applied, caused the oil droplet to remain still. Robert Millikan measured the diameter of each individual oil drop using a microscope.

Millikan was able to calculate the mass of each oil droplet because he knew the density of the oil (![volume * density = mass](../../../upload.wikimedia.org/math/e/6/5/e65c6e833e904fbbefbd62a5f92b897b.png)). Using the mass of each oil droplet and the equation for the force of gravitational attraction (which he rearranged from ![Force = mG](../../../upload.wikimedia.org/math/1/4/f/14f75ba66f99f82ed9962de9c976009c.png) to ![m_{droplet}G = Ee](../../../upload.wikimedia.org/math/c/6/f/c6fb9583ca3003a207c71af1a3dd6b04.png), where ![m_{droplet}](../../../upload.wikimedia.org/math/2/e/e/2ee7e0eb86c53f13f2d0246dbd574d8e.png) is the mass of each individual oil droplet, ![G](../../../upload.wikimedia.org/math/d/f/c/dfcf28d0734569a6a693bc8194de62bf.png) is the acceleration due to gravity, and ![Ee](../../../upload.wikimedia.org/math/f/0/c/f0c90485641e0f5b87380ed1d1ad5c49.png) is the electrical force which equals force in the first equation), Millikan was able to find the value of the charge of the electron, ![e](../../../upload.wikimedia.org/math/e/1/6/e1671797c52e15f763380b45e841ec32.png).

The X rays, however, did not always produce an oil drop with only one negative charge. Thus, the values Millikan obtained may have looked like this:

  * ![-8.0*10^{-19}](../../../upload.wikimedia.org/math/b/c/a/bcab6a02e39ea9096a707f78e6c7183a.png) coulomb
  * ![-6.4*10^{-19}](../../../upload.wikimedia.org/math/f/5/2/f52f881b1bda465d7497c705490e9c7c.png) coulomb
  * ![-4.8*10^{-19}](../../../upload.wikimedia.org/math/a/d/b/adb558a0a26ea5f5bfe45d6ad354200c.png) coulomb
  * ![-3.2*10^{-19}](../../../upload.wikimedia.org/math/1/3/4/1341bfa76bbdba84941d57c141226ce8.png) coulomb

Millikan found that these values all had a common divisor: ![-1.6*10^{-19}](../../../upload.wikimedia.org/math/4/9/c/49ce30706c970f3a4f3d4b70458e8626.png) coulomb. He concluded that different values occurred because the droplets acquired charges of -5, -4, -3, and -2, as in this example. Thus, he stated that the common divisor, ![-1.6*10^{-19}](../../../upload.wikimedia.org/math/4/9/c/49ce30706c970f3a4f3d4b70458e8626.png) coulomb, was the charge of the electron.

## References

  1. [↑](Print_version.html#cite_ref-1) <http://dbhs.wvusd.k12.ca.us/webdocs/AtomicStructure/Greeks.html>

  


# Subatomic Particles

* * *

← [Atomic Structure/History of Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/History_of_Atomic_Structure) ·[Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) →

[← Atomic Structure/History of Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/History_of_Atomic_Structure) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Introduction to Quantum Theory →](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Particle Properties

Before learning about subatomic particles, some basic properties should be understood.

### Charge

Particles may be electrically charged. **Charge** is a property which defines the force that a particle will exert on other charged particles. There is a well known saying that applies perfectly: "Opposites attract." (Likewise, like charges repel.) Positive charges and negative charges will attract each other and come together. Two positive or two negative charges will push each other away.

Helpful Hint!

Not all particles have charge.

The amount of charge a particle has is measured in [coulombs](http://en.wikipedia.org/wiki/Coulomb), but it is more conveniently expressed in terms of an integer. For instance, a helium ion that has 2 less electrons than usual has a charge of +2, and a bromide ion with one more electron than usual has a charge of -1. (This may seem backwards, but remember that an electron has a negative charge.) Notice that charge not only applies to subatomic particles, but also ions and other things as well. Always remember to specify if a charge is positive or negative. Unlike ordinary numbers, we _always write the plus sign for positive charges_ to avoid confusion with a negative charge.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

It may be useful to understand **Coulomb's Law**. It explains the electromagnetic force: ![ F = \\frac{k Q_1 Q_2}{r^2}](../../../upload.wikimedia.org/math/e/0/f/e0fdbd73d21671cb30cc717c43bfb9f3.png). ![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the charge on each particle, ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is the distance between them, and ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant. So, if the distance between two particles is doubled, the force will be reduced four times. Double the charge would mean double the force, be it attractive or repulsive. Coulomb's Law will be especially important when understanding periodic trends. However, there is no need to solve it exactly. Just remember the relationships between the variables.

### Mass

Mass is the measure of inertia. From a subatomic point of view, mass can also be understood in terms of energy, but that does not concern us when dealing with chemistry. Mass for particles, atoms, and molecules is not measured in grams, as with ordinary substances. Instead, it is measured in _atomic mass units_, or **amu**. For more information about mass and amu, read the previous chapters on properties of matter.

## The Nucleus

![](../../../upload.wikimedia.org/wikibooks/en/c/cd/Simple_atom_\(lithium\).png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

An atom (not to scale!)

At the center of each atom lies the nucleus. It is incredibly small: if you were to take the average atom (itself miniscule in size) and expand it to the size of a football stadium, then the nucleus would be about the size of a marble. It is, however, astoundingly dense: despite the tiny percentage of the atom's volume it contains nearly all of the atom's mass. The nucleus almost never changes under normal conditions, remaining constant throughout chemical reactions. Nuclei are themselves made up of a pair of smaller and more dense particles, the **proton** and the **neutron**. These particles are collectively dubbed **nucleons**.

### Protons

Protons have a charge of +1 and a mass of 1 amu. They are often represented by a ![p](../../../upload.wikimedia.org/math/8/3/8/83878c91171338902e0fe0fb97a8c47a.png).

Protons will be important when learning about acids and bases—they are the essence of acid. Remember that the number of protons in an atom is its _atomic number_, and defines what element it will be. The number of protons in a nucleus ranges from **one** to over a hundred.

Consider the element hydrogen. Its atomic number is 1, so it has one proton and one electron. If it is made into an ion (an atom with missing or extra electrons), it will simply be a lone proton. Thus, a proton _is_ the nucleus of a hydrogen atom, and a proton _is_ a hydrogen ion. Therefore, a proton can be written as ![\\text{H}^+](../../../upload.wikimedia.org/math/5/7/7/577d662d305f8a05303d597c65296cd8.png) or ![_1^1\\text{H}^+](../../../upload.wikimedia.org/math/f/a/8/fa8b098a261d5c4ceedf2e561d1c07c9.png), both symbols for a hydrogen ion.

### Neutrons

Neutrons have no charge and a mass of 1 amu. A neutron is slightly heavier than a proton, but the difference is insignificant. Neutrons are often written ![n](../../../upload.wikimedia.org/math/7/b/8/7b8b965ad4bca0e41ab51de7b31363a1.png).

Our friends the physicists say that neutrons and protons are made of even smaller particles called _quarks_. Fortunately, we don't need to know about that because quarks do not affect chemistry. Instead, quarks fall in the field of [Quantum Mechanics](http://en.wikibooks.org/wiki/Quantum_Mechanics).

Unlike the protons, neutrons cannot exist outside the nucleus indefinitely as they become unstable and break down. Within one nucleus there can be many protons and neutrons all in close proximity to one another. The number of neutrons in a nucleus ranges from **zero** to over a hundred.

You may wonder why neutrons exist. They have no charge, so can they do anything? The answer is yes—neutrons are very important. Remember that opposites attract and likes repel. If so, then how can several protons stay clumped together in the dense nucleus of an atom? It would seem as if the protons would repel and scatter the nucleus. However, there is a **strong nuclear force** that holds the nucleus together. This incredible force causes nucleons to attract each other with much greater strength than the electric force can repel them, but only over extremely short distances.

A delicate balance exists between the number of protons and neutrons. Protons, which are attracted to one another via the strong force but simultaneously repelled by their electromagnetic charges, cannot exist in great numbers within the nucleus without the stabilizing action of neutrons, which are attracted via the strong force but are not charged. Conversely, neutrons lend their inherent instability to the nucleus and too many will destabilize it.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Neutrons are the reason for **isotopes**, or atoms with the same number of protons but different masses. The masses are different because of different numbers of neutrons. Isotopes of a given element have almost identical chemical properties (like color, melting point, reactions, etc.), but they have different nuclear properties. Some isotopes are stable, others are radioactive. Different isotopes decay in different ways.

Lastly, neutrons are very important in nuclear reactions, such as those used in power plants. Neutrons act like a bullet that can split an atom's nucleus. Because they have no charge, neutrons are neither attracted nor repelled by atoms and ions.

## The Electron Cloud

Surrounding the dense nucleus is a cloud of electrons. Electrons have a charge of -1 and a mass of 0 amu. That does not mean they are massless. Electrons do have mass, but it is so small that it has no effect on the overall mass of an atom. An electron has approximately 1/1800 the mass of a proton or neutron. Electrons are written ![e^-](../../../upload.wikimedia.org/math/e/2/1/e211fe26cb7b44c1c8feeb0b7580a147.png).

Electrons orbit the outside of a nucleus, unaffected by the strong nuclear force. They define the chemical properties of an atom because virtually every chemical reaction deals with the interaction or exchange of the outer electrons of atoms and molecules.

Electrons are attracted to the nucleus of an atom because they are negative and the nucleus (being made of protons and neutrons) is positive. Opposites attract. However, electrons don't fall into the nucleus. They orbit around it at specific distances because the electrons have a certain amount of energy. That energy prevents them from getting too close, as they must maintain a specific speed and distance. Changes in the energy levels of electrons cause different phenomena such as spectral lines, the color of substances, and the creation of ions (atoms with missing or extra electrons).

### Electron Interactions

_Atoms will always have equal numbers of protons and electrons_, so their overall charge is zero. Atoms are neutral. Ions, on the other hand, are atoms that have gained or lost electrons and now have an unequal number of protons and electrons. If there are extra electrons, the ion will be negatively charged. If there are missing electrons, the ion will be positively charged, due to the majority of positive protons.

**Valence electrons** (the outermost electrons) are responsible for an atom's behavior in chemical bonds. The _core electrons_ are all of the electrons not in the outermost shell, and they rarely get involved. An atom will attempt to fill its valence shell. This occurs when an atom has eight valence electrons (as explained in the next chapter), so atoms will undergo chemical bonds to either share, give, or take the electrons it needs. Sodium, for example, is very likely to give up its one valence electron, so that its outer shell is empty (the shell underneath it is full). Chlorine is very likely to take an electron because it has seven and wants eight. When sodium and chlorine are mixed, they exchange electrons and create sodium chloride (table salt). As a result, both elements have full valence shells, and a very stable compound is formed.  


# Introduction to Quantum Theory

* * *

← [Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) ·[The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) →

[← Atomic Structure/Subatomic Particles](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure/Subatomic_Particles) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [The Quantum Model →](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction to Quantum Mechanics

In the late 18th century, many physicists believed that they had made great progress in physics, and there wasn't much more that needed to be discovered. The classical physics at the time was widely accepted in the scientific community. However, by the early 20th century, physicists discovered that the laws of classical mechanics break down in the atomic world, and experiments such as the photoelectric effect completely contradict the laws of classical physics. As a result of these crises, physicists began to construct new laws of physics which would apply to the atomic world; these theories would be collectively known as **quantum mechanics**. Quantum mechanics, in some ways, completely changed the way physicists view the universe, and it also marked the end of the idea of a clockwork universe (the idea that universe was predictable).

## Electromagnetic Radiation

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electromagnetic spectrum**_](http://en.wikipedia.org/wiki/Electromagnetic_spectrum)

Electromagnetic radiation (ER) is _a form of energy that sometimes acts like a wave, and other times acts like a particle_. Visible light is a well-known example. All forms of ER have two inversely proportional properties: wavelength and frequency. Wavelength is the distance from one wave peak to the next, which can be measured in meters. Frequency is the number of wave peaks observed in a given point during a second. The unit for frequency is hertz.

![Wavelength.png](../../../upload.wikimedia.org/wikipedia/commons/6/64/Wavelength.png)

Since wavelength and frequency are inversely related, their product (multiplication) always equals a constant — specifically, 3.0 x 108 m/sec, which is better known as the speed of light.

The wavelength and frequency of any specific occurrence of ER determine its position on the **electromagnetic spectrum**.

![TheElectromagneticSpectrum.jpg](../../../upload.wikimedia.org/wikipedia/commons/d/df/TheElectromagneticSpectrum.jpg)

As you can see, visible light is only a tiny fraction of the spectrum.

The energy of an electromagnetic wave is given by ![E = hf](../../../upload.wikimedia.org/math/a/c/0/ac0c8d2a52630bf77a96879668bc6713.png), where ![h](../../../upload.wikimedia.org/math/2/5/1/2510c39011c5be704182423e3a695e91.png) is Plank's constant and ![f](../../../upload.wikimedia.org/math/8/f/a/8fa14cdd754f91cc6554c9e71929cce7.png) is the frequency. Energy is directly proportional to frequency — doubling the frequency will double the energy.

## The Discovery of the Quantum

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Photoelectric_effect.svg/220px-Photoelectric_effect.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

As photons strike a metal, electrons are freed. The photoelectric effect depends only on the light's frequency, not intensity, which defies wave behavior.

So far we have only discussed the wave characteristics of energy. However, the wave model cannot account for something known as the **photoelectric effect**. This effect is observed when light focused on certain metals apparently causes electrons to be emitted. (Photoelectric or solar panels work on this principle.)

For each metal it was found that there is a minimum threshold frequency of electromagnetic radiation that is needed to be shone on it in order for it to emit electrons. One could not replace a certain amount of light at one frequency with twice as much light of half the frequency. If light only acts as a wave, the effect of light should be cumulative - the light should add up, little by little, until it causes electrons to be emitted. Instead, there is a clear-cut minimum of the frequency of light that triggers the electron emissions.

The implication of this is that frequency is directly linked to energy, the higher light frequencies having more energy. This observation led to the discovery of the minimum amount of energy that could be gained or lost by an atom. Max Planck named this minimum amount the **quantum**, plural "quanta", meaning "how much". One **photon** of light carries exactly one quantum of energy.

## More Evidence for a Particle Theory of Energy

When an electric current is passed through a gas, some of the gas molecules' electrons move from their _ground state_ to an _excited state_ that is further away from their nuclei. When the electrons return to the ground state, they emit energy of various wavelengths. A prism can be used to separate the wavelengths, making them easy to identify.

If light acted only as a wave, then there should have been a continuous rainbow created by the prism. Instead, there were discrete lines created by different wavelengths. This is because electrons release specific wavelengths of light when moving from an excited state to a ground state.

![](../../../upload.wikimedia.org/wikipedia/commons/3/38/Nitrogen.Spectrum.Vis.jpg)

The emission spectrum of nitrogen gas. The **spectral lines** occur at specific wavelengths, showing the particle behavior of light.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Introduction to quantum mechanics**_](http://en.wikipedia.org/wiki/Introduction_to_quantum_mechanics)

  


# The Quantum Model

* * *

← [Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) ·[The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) →

[← Introduction to Quantum Theory](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Quantum_Theory) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [The Quantum Atom →](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Uncertainty

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Werner_Heisenberg_at_1927_Solvay_Conference.JPG/220px-Werner_Heisenberg_at_1927_Solvay_Conference.JPG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Werner Heisenberg (1927)

It turns out that photons are not the only thing that act like waves and particles. Electrons, too, have this dual characteristic. Electrons can be thought of as waves of a certain length, thus they would only be able to form a circle around the nucleus at certain distances. Of course, this brings up a problem: are electrons particles in a specific location, or waves in a general area? Werner Heisenberg tried using photons to locate electrons. Of course, when photons reach electrons, the electrons change velocity, and move to an excited state. As a result, it is impossible to know the velocity and location of an electron at the same time. This is known as the **Heisenberg uncertainty principle**. The Heisenberg uncertainty principle is a kind of scientific dilemma: the more you know about something's velocity, the less you know about its position; and the more you know about its position, the less you know about its velocity. The significance of this uncertainty is that you can never know exactly where an atom's electrons are.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Circular_Standing_Wave.gif/220px-Circular_Standing_Wave.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A wave forming a circle

On the tiny scale of an atom, the particle model of an electron does not accurately describe its properties. An electron tends to act more like a water wave than a billiard ball. At any one moment in time the ball is in some definite place; it is also moving in some definite direction at a definite speed. This is certainly not true for waves or electrons in general. The Heisenberg uncertainty principle states that the exact position and momentum of an electron cannot be simultaneously determined. This is because electrons simply don't have a definite position, and direction of motion, at the same time!

One way to try to understand this is to think of an electron not as a particle but as a wave. Think of dropping a stone into a pond. The ripples start to spread out from that point. We can answer the question "Where is the wave?" with "It's where you plonked the stone in". But we can't answer the question "What direction is the wave moving?" because it's moving in all directions. It's spreading out. Now think of a wave at the seaside. We know the direction of motion. It's straight in towards the beach. But where is the wave? We can't pinpoint an exact location. It's all along the water.

## The Wave Function

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Impact_Sprinkler_Mechanism_2.jpg/220px-Impact_Sprinkler_Mechanism_2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Think of the wave equation like a sprinkler—you cannot predict the exact path of a particular water droplet, but you do know (based on the range and shape of the sprinkler) where it is most likely to go.

If we can never know exactly where an electron is, then how do we keep track of them as they orbit atoms? Erwin Schrödinger made the concept of the **Schrödinger Wave Function**. It tells the probability of an electron being found at a given position. You don't know where the electron is, but you know where it is most likely and least likely to be found. The electron could be anywhere, but it is probably going to be a certain distance from the atom, staying within a certain shape.

## Orbitals

In the following sections, we will learn about the shells, subshells, and orbitals that the electrons are in. Try not to get confused; it can be difficult. Understanding this information will help you to learn about bonding, which is very important.

In essence, each electron orbiting an atom has a set of four numbers that describe it. Those four numbers, called _quantum numbers,_ tell us how far away the electron is, what shape of path it is likely to follow, and which direction its orbit goes. Each electron in an atom has a unique set of numbers, and the numbers can change if bonding occurs or an electron is energized into a higher-energy orbit. In the next chapter, we will learn the exact meaning of those four values and how they affect the path the electron follows.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that the pictures of the orbitals you will soon see show the area in which the electron is _most likely_ to be, not its exact orbit. It's like a picture of a sprinkler watering a lawn, and the electrons are drops of water. You know the general area of the water, but not the exact location of each droplet. In the orbital pictures, you know the general area the electron could be in, but not its exact path. This is a result of the Uncertainty Principle.

  


# The Quantum Atom

* * *

← [The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) ·[Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) →

[← The Quantum Model](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Model) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Shells and Orbitals →](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## The Quantum Numbers

These four numbers are used to describe the location of an electron in an atom.

Number Symbol Possible Values

Principal Quantum Number
![n \\,](../../../upload.wikimedia.org/math/a/9/5/a957404c96e59f1746f97ab668c8e1f8.png)
![\\displaystyle 1, 2, 3, 4, \\ldots ](../../../upload.wikimedia.org/math/c/3/5/c35a7c89343dd0e1cfe8e84ed5fdc8af.png)

Angular Momentum Quantum Number
![\\ell \\,](../../../upload.wikimedia.org/math/5/e/3/5e3053de958787d091659909a0aeacee.png)
![\\displaystyle 0, 1, 2, 3, \\ldots , \(n - 1\)](../../../upload.wikimedia.org/math/a/6/8/a68dfd76bd89c36e2263dd80aa5e0f38.png)

Magnetic Quantum Number
![m_\\text{l} \\,](../../../upload.wikimedia.org/math/8/6/1/8614f04e67b903a5790a080879c3b13d.png)
![\\displaystyle -\\ell, \\ldots, -1, 0, 1, \\ldots ,\\ell \\,](../../../upload.wikimedia.org/math/0/4/9/0491b096566386480bbdc0a61b5f9ada.png)

Spin Quantum Number
![m_\\text{s} \\,](../../../upload.wikimedia.org/math/d/7/6/d76a6574ae5ff9e64592e4e0c546bdbe.png)
![\\displaystyle +1/2, -1/2](../../../upload.wikimedia.org/math/2/4/1/241f83adaef7b88a0a12197c02e887d6.png)

### Principal Quantum Number (_n_)

Determines the **shell** the electron is in. The shell is the main component that determines the energy of the electron (higher _n_ corresponds to higher energy), as well as nuclear distance (higher _n_ means further from the nucleus). The row that an element is placed on the periodic table tells how many shells there will be. Helium (_n_ = 1), neon (_n_ = 2), argon (_n_ = 3), etc.

### Angular Momentum Quantum Number (_l_)

Also known as azimuthal quantum number. Determines the **subshell** the electron is in. Each subshell has a unique shape and a letter name. The _s orbital_ is shaped like a sphere and occurs when _l_ = 0. The _p orbitals_ (there are three) are shaped like teardrops and occur when _l_ = 1. The _d orbitals_ (there are five) occur when _l_ = 2. The _f orbitals_ (there are seven) occur when _l_ = 3. (By the way, when _l_ = 4, the orbitals are "g orbitals", but they (and the _l_ = 5 "h orbitals") can safely be ignored in general chemistry.)

This number also gives information as to what the **angular node** of an orbital is. A [node](http://en.wikipedia.org/wiki/Node_\(physics\)) is defined as a point on a [standing wave](http://en.wikipedia.org/wiki/Standing_wave) where the wave has minimal [amplitude](http://en.wikipedia.org/wiki/Amplitude). When applied to chemistry this is the point of zero-displacement and thus where no electrons are found. In turn angular node means the planar or conical surface in which no electrons are found or where there is no electron density.

Here are pictures of the orbitals. Keep in mind that they do not show the actual path of the electrons, due to the Heisenberg Uncertainty Principle. Instead, they show the area where the electron is most likely to occur (say, 90% of the probability). The two colors represent the two different spin numbers (the choice is arbitrary).

m1 -3 -2 -1 0 1 2 3

S orbital →
![S1M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1d/S1M0.png/50px-S1M0.png)

P orbitals →
![P2M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/P2M0.png/50px-P2M0.png)
![P2M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/P2M1.png/50px-P2M1.png)
![P2M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/P2M-1.png/50px-P2M-1.png)

D orbitals →
![D3M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/D3M0.png/50px-D3M0.png)
![D3M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/D3M1.png/50px-D3M1.png)
![D3M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/D3M2.png/50px-D3M2.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/50px-D3M-1.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/50px-D3M-1.png)

F orbitals →
![F4M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/50px-F4M0.png)
![F4M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/F4M1.png/50px-F4M1.png)
![F4M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/F4M2.png/50px-F4M2.png)
![F4M3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/F4M3.png/50px-F4M3.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/50px-F4M-1.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/50px-F4M-1.png)
![F4M-3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/F4M-3.png/50px-F4M-3.png)

### Magnetic Quantum Number (_m_l)

Determines the **orbital** in which the electron lies. For example, there are three p orbitals in shell _n_ = 2: the magnetic quantum number determines which one of these orbitals the electrons reside in. The different orbitals are oriented at different angles around the nucleus. See how each p orbital has the same general shape, but they point in different directions around the nucleus.

### Spin Quantum Number (_m_s)

Determines the **spin** on the electron.

### Some Examples

Let's examine the quantum numbers of electrons from a magnesium atom. Remember that each list of numbers corresponds to (_n_, _l_, _m_l, _m_s).

Two s electrons:
(1, 0, 0, +½)
(1, 0, 0, -½)

Two s electrons:
(2, 0, 0, +½)
(2, 0, 0, -½)

Six p electrons:
(2, 1, -1, +½)
(2, 1, -1, -½)
(2, 1, 0, +½)
(2, 1, 0, -½)
(2, 1, 1, +½)
(2, 1, 1, -½)

Two s electrons:
(3, 0, 0, +½)
(3, 0, 0, -½)

### The Periodic Table

Notice a pattern on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table). Different areas, or blocks, have different types of electrons. The two columns on the left make the s-block. The six columns on the right make the p-block. The large area in the middle (transition metals) makes the d-block. The bottom portion makes the f-block. Each row introduces a new shell (aka energy level). Basically, the row tells you how many shells of electrons there will be, and the column tells you which subshells will occur (and which shells they occur in). The value of ml can be determined by some of the rules we will learn in the next chapter. The value of ms doesn't really matter as long as there are no repeating values in the same orbital.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

To see the pattern better, take a look at [this periodic table](http://en.wikipedia.org/wiki/Periodic_table_\(by_blocks\)).

  


# Shells and Orbitals

* * *

← [The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) ·[Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) →

[← The Quantum Atom](http://en.wikibooks.org/wiki/General_Chemistry/The_Quantum_Atom) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Filling Electron Shells →](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Electron shells

Each **shell** is subdivided into **subshells**, which are made up of **orbitals**, each of which has electrons with different angular momentum. Each orbital in a shell has a characteristic shape, and is named by a letter. They are: **s**, **p**, **d**, and **f**. In a one-electron atom (e.g. H, He+, Li+, etc.) the energy of each orbital within a particular shell is identical. However, when there are multiple electrons, they interact and split the orbitals into slightly different energies. Within any particular shell, the energy of the orbitals depend on the angular momentum of orbitals s, p, d, and f in order of lowest to highest energy. No two orbitals have the same energy level.

This image shows the orbitals (along with hybrid orbitals for bonding and a sample electron configuration, explained later). ![Electron orbitals.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/11/Electron_orbitals.svg/600px-Electron_orbitals.svg.png)

## The s orbital

The simplest orbital in the atom is the 1s orbital. It has no radial or angular **nodes**: the 1s orbital is simply a sphere of electron density. A node is a point where the electron probability is zero. As with all orbitals the number of radial nodes increases with the principle quantum number (i.e. the 2s orbital has one radial node, the 3s has two etc.). Because the angular momentum quantum number is 0, there is only one choice for the magnetic quantum number - there is only one s orbital per shell. The s orbital can hold two electrons, as long as they have different spin quantum numbers.

![\\begin{matrix}
n &=& 1, 2, 3, ... \\\\
l &=& 0 \\\\
m_l &=& 0 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/4/5/4/4547abc36d58385cf659162e408c330a.png)

## The p orbitals

Starting from the 2nd shell, there is a set of p orbitals. The angular momentum quantum number of the electrons confined to p orbitals is 1, so each orbital has one **angular node**. There are 3 choices for the magnetic quantum number, which indicates 3 differently oriented p orbitals. Finally, each orbital can accommodate two electrons (with opposite spins), giving the p orbitals a total capacity of 6 electrons.

![\\begin{matrix}
n &=& 2, 3, 4, ... \\\\
l &=& 1 \\\\
m_l &=& -1,0,1 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/3/d/4/3d4d2368dfdc7e6b519e8b1e0be2bd8d.png)

The p orbitals all have two lobes of electron density pointing along each of the axes. Each one is symmetrical along its axis. The notation for the p orbitals indicate which axis it points down, i.e. px points along the x axis, py on the y axis and pz up and down the z axis. The p orbitals are **degenerate** — they all have the same energy. P orbitals are very often involved in **bonding**.

2px 2py 2pz

![P2M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/P2M1.png/100px-P2M1.png)
![P2M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d4/P2M0.png/100px-P2M0.png)
![P2M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/89/P2M-1.png/100px-P2M-1.png)

## The d orbitals

The first set of d orbitals is the 3d set. The angular momentum quantum number is 2, so each orbital has two **angular nodes**. There are 5 choices for the magnetic quantum number, which gives rise to 5 different d orbitals. Each orbital can hold two electrons (with opposite spins), giving the d orbitals a total capacity of 10 electrons.

![\\begin{matrix}
n &=& 3, 4, 5, ... \\\\
l &=& 2 \\\\
m_l &=& -2,-1,0,1,2 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/e/9/e/e9e0db906b16fc52b34c8b44884918d7.png)

Note that all the d orbitals have four lobes of electron density, except for the dz2 orbital, which has two opposing lobes and a doughnut of electron density around the middle. The d orbitals can be further subdivided into two smaller sets. The dx2-y2 and dz2 all point directly along the x, y, and z axes. They form an **eg** set. On the other hand, the lobes of the dxy, dxz and dyz all line up in the quadrants, with no electron density on the axes. These three orbitals form the **t2g** set. In most cases, the d orbitals are **degenerate**, but sometimes they can split, with the eg and t2g subsets having different energy. **Crystal Field Theory** predicts and accounts for this. D orbitals are sometimes involved in bonding, especially in inorganic chemistry.

![D3M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/45/D3M2.png/100px-D3M2.png)
![D3M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5b/D3M1.png/100px-D3M1.png)
![D3M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/57/D3M0.png/100px-D3M0.png)
![D3M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e3/D3M-1.png/100px-D3M-1.png)
![D3M-2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9b/D3M-2.png/100px-D3M-2.png)

## The f orbitals

The first set of f orbitals is the 4f subshell. There are 7 possible magnetic quantum numbers, so there are 7 f orbitals. Their shapes are fairly complicated, and they rarely come up when studying chemistry. There are 14 f electrons because each orbital can hold two electrons (with opposite spins).

![\\begin{matrix}
n &=& 4, 5, 6, ... \\\\
l &=& 3 \\\\
m_l &=& -3,-2,-1,0,1,2,3 \\\\
m_s &=& +\\frac{1}{2},  -\\frac{1}{2} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/5/1/0/51062a3c1f72c6a56858ddcbb5605a8d.png)

![F4M-3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/F4M-3.png/100px-F4M-3.png)
![F4M-2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/5a/F4M-2.png/100px-F4M-2.png)
![F4M-1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/12/F4M-1.png/100px-F4M-1.png)
![F4M0.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/F4M0.png/100px-F4M0.png)
![F4M1.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/F4M1.png/100px-F4M1.png)
![F4M2.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/86/F4M2.png/100px-F4M2.png)
![F4M3.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a5/F4M3.png/100px-F4M3.png)

  


# Filling Electron Shells

* * *

← [Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) ·[Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) →

[← Shells and Orbitals](http://en.wikibooks.org/wiki/General_Chemistry/Shells_and_Orbitals) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Periodicity and Electron Configurations →](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Filling Electron Shells

When an atom or ion receives electrons into its orbitals, the orbitals and shells fill up in a particular manner.

### Aufbau principle

You may consider an atom as being "built up" from a naked nucleus by gradually adding to it one electron after another, until all the electrons it will hold have been added. Much as one fills up a container with liquid from the bottom up, the orbitals of an atom are filled from the lowest energy orbitals to the highest energy orbitals.

Orbitals with the lowest principal quantum number (![n](../../../upload.wikimedia.org/math/7/b/8/7b8b965ad4bca0e41ab51de7b31363a1.png)) have the lowest energy and will fill up first. Within a shell, there may be several orbitals with the same principal quantum number. In that case, more specific rules must be applied. For example, the three p orbitals of a given shell all occur at the same energy level. So, how are they filled up? ans: all the three p orbitals have same energy so while filling the p orbitals we can fill any one of the Px, Py or Pz first. it is a convention that we chose to fill Px first ,then Py and then Pz for our simplicity. Hence you can opt for filling these three orbitals from right to left also.

### Hund's Rule

According to Hund's rule, orbitals of the same energy are each filled with one electron before filling any with a second. Also, these first electrons have the same spin.

This rule is sometimes called the "bus seating rule". As people load onto a bus, each person takes his own seat, sitting alone. Only after all the seats have been filled will people start doubling up.

### Pauli Exclusion principle

No two electrons can have all four quantum numbers the same. What this translates to in terms of our picture of orbitals is that each orbital can only hold two electrons, one "spin up" (+½) and one "spin down" (-½).

![](../../../upload.wikimedia.org/wikibooks/en/9/9a/FillingElectronDiagram.gif)

This animation demonstrates the Aufbau principle, Hund's Rule, and the Pauli Exclusion principle.

### Orbital Order

1s, 2s, 2p, 3s, 3p, 4s, 3d, 4p, 5s, 4d, 5p, 6s, 4f, 5d, 6p, 7s, 5f, 6d, 7p, 8s.

Although this looks confusing, there is an easy way to remember.

![Electron configuration order.gif](../../../upload.wikimedia.org/wikipedia/commons/d/dd/Electron_configuration_order.gif)

Understanding the above rules and diagrams will allow you to determine the electron configuration of almost any atom or ion.

## How to Write the Electron Configuration of an Atom

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electron configuration**_](http://en.wikipedia.org/wiki/Electron_configuration)

Electron-configuration notation is relatively straightforward. Calcium, for example, would be 1s22s22p63s23p64s2. This could be abbreviated by using the preceding _noble gas_ (the elements found all the way on the right of the periodic table) as [Ar]4s2, where Ar is argon. Noble gasses have very stable configurations, and are extremely reluctant to lose electrons.

## Rule of Stability

A subshell is particularly stable if it is half full or full. Given two configurations, the atom would "choose" the more stable one.

Example: In the following configuration, Cu: [Ar]4s23d9, copper's d shell is just one away from stability, and therefore, one electron from the s shell jumps into the d shell: [Ar]4s13d10. This way, the d shell is full, and is therefore stable, and the s shell is half full, and is also stable.

![CopperElectronDiagram.gif](../../../upload.wikimedia.org/wikibooks/en/c/cd/CopperElectronDiagram.gif)

Another example: Chromium has a configuration of [Ar]4s13d5, although you would expect to see four d electrons instead of five. This is because an s electron has jumped into the d orbital, giving the atom two half-full shells—much more stable than a d orbital with only four electrons.

The stability rule applies to atoms in the same group as chromium and copper.

If one of these atoms has been ionized, that is, it loses an electron, it will come from the s orbital rather than the d orbital. For instance, the configuration of Cu+ is [Ar]4s03d10. If more electrons are removed, they will come from the d orbital.

## Magnetism

![](../../../upload.wikimedia.org/wikibooks/en/1/1c/MagnetismElectronDiagram.gif)

The spin of an electron creates a magnetic field (albeit ridiculously weak), so unpaired electrons create a small magnetic field. Paired electrons have opposite spin, so the magnetic fields cancel each other out, leading to diamagnetism.

Magnetism is a well-known effect. Chances are, you have magnets on your refrigerator. As you already know, only certain elements are magnetic. Electron configurations help to explain why.

**Diamagnetism** is actually a very weak repulsion to magnetic fields. All elements have diamagnestism to some degree. It occurs when there are pair electrons.

**Paramagnetism** is an attraction to external magnetic fields. It is also very weak. It occurs whenever there is an unpaired electron in an orbital.

**Ferromagnetism** is the permanent magnetism that we encounter in our daily lives. It only occurs with three elements: iron (Fe), nickel (Ni), and cobalt (Co).  


# Periodicity and Electron Configurations

* * *

← [Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) ·[Octet Rule and Exceptions](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions) →

[← Filling Electron Shells](http://en.wikibooks.org/wiki/General_Chemistry/Filling_Electron_Shells) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Octet Rule and Exceptions →](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Blocks of the Periodic Table

The [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) does more than just list the elements. The word _periodic_ means that in each row, or period, there is a pattern of characteristics in the elements. This is because the elements are listed in part by their electron configuration. The Alkali metals and Alkaline earth metals have one and two **valence electrons** (electrons in the outer shell) respectively. These elements lose electrons to form bonds easily, and are thus very reactive. These elements are the _s-block_ of the periodic table. The _p-block_, on the right, contains common non-metals such as chlorine and helium. The noble gases, in the column on the right, almost never react, since they have eight valence electrons, which makes it very stable. The halogens, directly to the left of the noble gases, readily gain electrons and react with metals. The s and p blocks make up the _main-group elements_, also known as **representative elements**. The _d-block_, which is the largest, consists of _transition metals_ such as copper, iron, and gold. The _f-block_, on the bottom, contains rarer metals including uranium. Elements in the same **Group** or **Family** have the same configuration of valence electrons, making them behave in chemically similar ways.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Subshells_of_Orbitals.jpg/220px-Subshells_of_Orbitals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Organization of Subshells

## Causes for Trends

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Electron_shell_019_Potassium.svg/220px-Electron_shell_019_Potassium.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Potassium has many core electrons; the lone outer electron can easily be peeled off due to the "shielding" effect.

There are certain phenomena that cause the periodic trends to occur. You must understand them before learning the trends.

### Effective Nuclear Charge

The _effective nuclear charge_ is the amount of positive charge acting on an electron. It is the number of protons in the nucleus minus the number of electrons in between the nucleus and the electron in question. Basically, the nucleus attracts an electron, but other electrons in lower shells repel it (opposites attract, likes repel).

### Shielding Effect

The _shielding_ (or _screening_) _effect_ is similar to effective nuclear charge. The _core electrons_ repel the valence electrons to some degree. The more electron shells there are (a new shell for each row in the periodic table), the greater the shielding effect is. Essentially, the core electrons _shield_ the valence electrons from the positive charge of the nucleus.

### Electron-Electron Repulsions

When two electrons are in the same shell, they will repel each other slightly. This effect is mostly canceled out due to the strong attraction to the nucleus, but it does cause electrons in the same shell to spread out a little bit. Lower shells experience this effect more because they are smaller and allow the electrons to interact more.

### Coulomb's Law

Coulomb's law is an equation that determines the amount of force with which two charged particles attract or repel each other. It is ![F = \\frac{k Q_1 Q_2}{r^2}](../../../upload.wikimedia.org/math/e/0/f/e0fdbd73d21671cb30cc717c43bfb9f3.png), where ![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the amount of charge (+1e for protons, -1e for electrons), ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is the distance between them, and ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant. You can see that doubling the distance would quarter the force. Also, a large number of protons would attract an electron with much more force than just a few protons would.

## Trends in the Periodic table

Most of the elements occur naturally on Earth. However, all elements beyond uranium (number 92) are called _trans-uranium elements_ and never occur outside of a laboratory. Most of the elements occur as solids or gases at STP. **STP** is _standard temperature and pressure_, which is 0° C and 1 atmosphere of pressure. There are only two elements that occur as liquids at STP: mercury (Hg) and bromine (Br).

Bismuth (Bi) is the last stable element on the chart. All elements after bismuth are radioactive and decay into more stable elements. Some elements _before_ bismuth are radioactive, however.

### Atomic Radius

Leaving out the noble gases, atomic radii are larger on the left side of the periodic chart and are progressively smaller as you move to the right across the period. Conversely, as you move down the group, radii increase.

Atomic radii decrease along a period due to greater effective nuclear charge. Atomic radii increase down a group due to the shielding effect of the additional core electrons, and the presence of another electron shell.

### Ionic Radius

For nonmetals, ions are bigger than atoms, as the ions have extra electrons. For metals, it is the opposite.

Extra electrons (negative ions, called anions) cause additional electron-electron repulsions, making them spread out farther. Fewer electrons (positive ions, called cations) cause fewer repulsions, allowing them to be closer.

### [Ionization Energy](http://en.wikipedia.org/wiki/Ionization_energy)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

_Ionization energy_ is the energy required to strip an electron from the atom (when in the gas state). ![X_{\(g\)} + energy \\rightarrow X_{\(g\)}^+ + e^-](../../../upload.wikimedia.org/math/b/3/9/b390fc1771c73d7c20cac4c9afce1764.png)

Ionization energy is also a periodic trend within the periodic table organization. Moving left to right within a period or upward within a group, the first ionization energy generally increases. As the atomic radius decreases, it becomes harder to remove an electron that is closer to a more positively charged nucleus.

Ionization energy decreases going left across a period because there is a lower effective nuclear charge keeping the electrons attracted to the nucleus, so less energy is needed to pull one out. It decreases going down a group due to the shielding effect. Remember Coulomb's Law: as the distance between the nucleus and electrons increases, the force decreases at a quadratic rate.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/IonizationEnergyAtomicWeight.PNG/300px-IonizationEnergyAtomicWeight.PNG)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Periodic trend for ionization energy. Each period begins at a minimum for the alkali metals, and ends at a maximum for the noble gases.

It is considered a measure of the tendency of an atom or ion to surrender an electron, or the strength of the electron binding; the greater the ionization energy, the more difficult it is to remove an electron. The ionization energy may be an indicator of the reactivity of an element. Elements with a low ionization energy tend to be reducing agents and form cations, which in turn combine with anions to form salts.

### Electron Affinity

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

_Electron affinity_ is the opposite of ionization energy. It is the energy released when an electron is added to an atom. ![X + e^- \\rightarrow X^- + energy](../../../upload.wikimedia.org/math/0/f/a/0fa102f512dca59e813134756b20f590.png)

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/29/Electron-affinity-1-Cl-3D-ionic.png/220px-Electron-affinity-1-Cl-3D-ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Electron affinity is the energy released when an electron is added to an atom, producing a negative ion.

Electron affinity is highest in the upper left, lowest on the bottom right. However, electron affinity is actually negative for the noble gasses. They already have a complete valence shell, so there is no room in their orbitals for another electron. Adding an electron would require creating a whole new shell, which _takes_ energy instead of releasing it. Several other elements have extremely low electron affinities because they are already in a stable configuration, and adding an electron would decrease stability.

Electron affinity occurs due to the same reasons as ionization energy.

### Electronegativity

_Electronegativity_ is how much an atom attracts electrons within a bond. It is measured on a scale with fluorine at 4.0 and francium at 0.7. Electronegativity decreases from upper right to lower left.

Electronegativity decreases because of atomic radius, shielding effect, and effective nuclear charge in the same manner that ionization energy decreases.

### Metallic Character

Metallic elements are shiny, usually gray or silver colored, and good conductors of heat and electricity. They are malleable (can be hammered into thin sheets), and ductile (can be stretched into wires). Some metals, like sodium, are soft and can be cut with a knife. Others, like iron, are very hard. Non-metallic atoms are dull, usually colorful or colorless, and poor conductors. They are brittle when solid, and many are gases at STP. Metals give away their valence electrons when bonding, whereas non-metals take electrons.

The metals are towards the left and center of the periodic table—in the s-block, d-block, and f-block . Poor metals and metalloids (somewhat metal, somewhat non-metal) are in the lower left of the p-block. Non-metals are on the right of the table.

Metallic character increases from right to left and top to bottom. Non-metallic character is just the opposite. This is because of the other trends: ionization energy, electron affinity, and electronegativity.

  * Metallic/Non-metallic
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Na_\(Sodium\).jpg/120px-Na_\(Sodium\).jpg)

Sodium, very metallic

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Sulfur2.jpg/120px-Sulfur2.jpg)

Sulfur, very non-metallic

  


# Octet Rule and Exceptions

* * *

← [Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) ·[Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) →

[← Periodicity and Electron Configurations](http://en.wikibooks.org/wiki/General_Chemistry/Periodicity_and_Electron_Configurations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Compounds and Bonding →](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The **octet rule** refers to the tendency of atoms to prefer to have eight electrons in the _valence shell_. When atoms have fewer than eight electrons, they tend to react and form more stable compounds. When discussing the octet rule, we do not consider d or f electrons. Only the s and p electrons are involved in the octet rule, making it useful for the _representative elements_ (elements not in the transition metal or inner-transition metal blocks). An octet corresponds to an electron configuration ending with s2p6.

## Stability

Atoms will react to get in the most stable state possible. A complete octet is very stable because all orbitals will be full. Atoms with greater stability have less energy, so a reaction that increases the stability of the atoms will release energy in the form of heat or light. Reactions that decrease stability must absorb energy, getting colder.

The other tendency of atoms is to maintain a neutral charge. Only the [noble gases](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) (the elements on the right-most column of the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)) have zero charge with filled valence octets. All of the other elements have a charge when they have eight electrons all to themselves. The result of these two guiding principles is the explanation for much of the reactivity and bonding that is observed within atoms: **atoms seek to share electrons in a way that minimizes charge while fulfilling an octet in the valence shell**.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The noble gases rarely form compounds. They have the most stable configuration (full octet, no charge), so they have no reason to react and change their configuration. All other elements attempt to gain, lose, or share electrons to achieve a noble gas configuration.

### Example

The formula for table salt is NaCl. It is the result of Na+ ions and Cl- ions bonding together. If sodium metal and chlorine gas mix under the right conditions, they will form salt. The sodium loses an electron, and the chlorine gains that electron. In the process, a great amount of light and heat is released. The resulting salt is mostly unreactive — it is stable. It won't undergo any explosive reactions, unlike the sodium and chlorine that it is made of.

Why? Referring to the octet rule, atoms attempt to get a noble gas electron configuration, which is eight valence electrons. Sodium has one valence electron, so giving it up would result in the same electron configuration as neon. Chlorine has seven valence electrons, so if it takes one it will have eight (an octet). Chlorine has the electron configuration of argon when it gains an electron.

The octet rule could have been satisfied if chlorine gave up all seven of its valence electrons and sodium took them. In that case, both would have the electron configurations of noble gasses, with a full valence shell. However, their charges would be much higher. It would be Na7- and Cl7+, which is much less stable than Na+ and Cl-. Atoms are more stable when they have no charge, or a small charge.

## Exceptions

There is an exception to the octet rule

### Two Electrons

The main exception to the rule is hydrogen, which is at its lowest energy when it has two electrons in its valence shell. Helium (He) is similar in that it, too, only has room for two electrons in its only valence shell.

Hydrogen and helium have only one electron shell. The first shell has only one s orbital and no p orbital, so it holds only two electrons. Therefore, these elements are most stable when they have two electrons. You will occasionally see hydrogen with no electrons, but H+ is much less stable than hydrogen with one or two electrons.

Lithium, with three protons and electrons, is most stable when it gives up an electron.

### Less Than an Octet

Other notable exceptions are aluminum and boron, which can function well with six valence electrons. Consider BF3. The boron shares its three electrons with three fluorine atoms. The fluorines follow the octet rule, but boron has only six electrons. Although atoms with less than an octet may be stable, they will usually attempt to form a fourth bond to get eight electrons. BF3 is stable, but it will form BF4 when possible.

### More Than an Octet

In Period 3, the elements on the right side of the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) have empty d orbitals. The d orbitals may accept electrons, allowing elements like sulfur and phosphorus to have more than an octet. Compounds such as PCl5 and SF6 can form. These compounds have 10 and 12 electrons around their central atoms, respectively.

![Xenonhexafluorid.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Xenonhexafluorid.svg/80px-Xenonhexafluorid.svg.png)
Xenon hexafluoride uses d-electrons to form more than an octet. This compound shows another exception: a noble gas compound.

### Odd Numbers

Some elements, notably nitrogen, have an odd number of electrons and will form somewhat stable compounds. Nitric oxide has the formula NO. No matter how electrons are shared between the nitrogen and oxygen atoms, there is no way for nitrogen to have an octet. It will have seven electrons instead. An atom with an unpaired electron is called a _free radical_ and is highly reactive.

![Stickstoffdioxid.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Stickstoffdioxid.svg/295px-Stickstoffdioxid.svg.png)
Nitrogen dioxide has an unpaired electron. (Note the positive charge above the N).

  
  


Compounds and Bonding

  


  


# Overview of Bonding

* * *

← [Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) ·[Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) →

[← Compounds and Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Electronegativity →](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction to Bonding

Put simply, **chemical bonds** join atoms together to form more complex structures (like molecules or crystals). Bonds can form between atoms of the same element, or between atoms of different elements. There are several types of chemical bonds which have different properties and give rise to different structures.

In general, atoms try to react to form valence shells containing eight electrons. The _octet rule_ describes this.

  * **[Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)** form between positive ions (cations) and negative ions (anions). In an ionic solid, the ions arrange themselves into a rigid crystal lattice. NaCl (common salt) is an example of an ionic substance. When ionic bonds form, there is an attractive force established between the positive cation and the negative anion. This attraction between oppositely-charged ions is the ionic bond.
  * **[Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds)** are formed when the orbitals of two non-metal atoms physically overlap and share electrons with each other. There are two types of structures to which this can give rise: molecules and covalent network solids. Methane (CH4) and water (H2O) are examples of covalently bonded molecules, and glass is a covalent network solid.
  * **[Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds)** occur between metal atoms. In a metallically bonded substance, the atoms' outer electrons are able to freely move around - they are delocalised to form an 'electron pool'. Iron is a metallically bonded substance.

Chemical bonding is one of the most crucial concepts in the study of chemistry. In fact, the properties of materials are basically defined by the type and number of atoms they contain and how they are bonded together.

So far, you have seen examples of **intramolecular bonds**. These bonds connect atoms into molecules. There are also **[intermolecular bonds](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds)** that connect molecules into large substances. Sometimes, there is no difference between intramolecular and intermolecular bonds. In the case of ionic crystals (like salt) or covalent networks (like diamond), the same bonding forces connect all of the atoms together. In the case of metallic bonding, the atoms are all interconnected into one large piece of metal.

On the other hand, there may be intermolecular bonds different from those that join atoms into molecules. Intermolecular bonds hold individual molecules of water into a puddle, and they are broken when the water boils into a gas.  


# Electronegativity

* * *

← [Overview of bonding](http://en.wikibooks.org/wiki/General_Chemistry/Overview_of_bonding) ·[Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) →

[← Overview of bonding](http://en.wikibooks.org/wiki/General_Chemistry/Overview_of_bonding) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Ionic bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

What determines the type of bond formed between two elements? There are two ways of classifying elements to determine the bond formed: by electronegativity, or by metallic/non-metallic character.

## Electronegativity

Electronegativity is a property of atoms which is reflected in the layout of the periodic table of the elements. Electronegativity is greatest in the elements in the upper right of the table (e.g., fluorine), and lowest in the lower left (e.g., francium).

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Electronegativity**_](http://en.wikipedia.org/wiki/Electronegativity)

_Electronegativity_ is a relative measure of how strongly an atom will attract the electrons in a bond. Although bonds are the result of atoms sharing their electrons, the electrons can be shared unequally. The more electronegative atom in a bond will have a slight negative charge, and the less electronegative atom will have a slight positive charge. Overall, the molecule may have no charge, but the individual atoms will. This is a result of the electronegativity—by attracting the electrons in a bond, an atom gains a slight negative charge. Of course, if two elements have equal electronegativity, they will share the electrons equally.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/db/Pauling.jpg/220px-Pauling.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Linus Pauling created a commonly-used measure of electronegativity.

Metallic elements have low electronegativity, and non-metallic elements have high electronegativity. If two elements are close to each other on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table), they will have similar electronegativities.

Electronegativity is measured on a variety of scales, the most common being the _Pauling scale_. Created by chemist Linus Pauling, it assigns 4.0 to fluorine (the highest) and 0.7 to francium (the lowest).

## Bonds

**Non-polar covalent** bonds occur when there is equal or near-equal sharing of electrons between the two bonded atoms. This should make sense because covalent bonds are the sharing of electrons between two atoms. Molecules such as Cl2, H2 and F2 are good examples. Typically, a difference in electronegativity between 0.0 and 0.4 indicates a non-polar covalent bond.

**Polar covalent** bonds occur when there is unequal sharing of the electrons between the atoms. Molecules such as NH3 and H2O are examples of this. The typical rule is that bonds with an electronegativity difference between 0.5 and 1.7 are considered polar. The electrons are still being shared between two atoms, but one atom attracts the electrons more than the other.

**Ionic** bonds occur when there is complete transfer of the electrons in the bond. This bond does not contain atoms at all, but rather consists of two ions. Substances such as NaCl and MgCl2 are examples. Generally, electronegativity differences of 1.8 or greater create ionic bonds. The electronegativity difference is so great that one atom can attract the electrons enough to "take" them from the other atom.

## Notation

When drawing diagrams of bonds, we indicate covalent bonds with a line. We may write the electronegativity using the symbols ![\\delta +](../../../upload.wikimedia.org/math/6/e/7/6e70ab2b57d8cae07cd52e81228e76c2.png) and ![\\delta -](../../../upload.wikimedia.org/math/9/7/c/97ccd95c8c499a93830f70b14450edfb.png). Look at this example.

Hydrogen fluoride (HF): ![\\begin{matrix}\\delta + & & \\delta - \\\\ H & - & F \\end{matrix}](../../../upload.wikimedia.org/math/3/b/d/3bdaaeca207969b9f1aabd06cca00a73.png)

The plus goes over the less electronegative atom. From the above diagram, we can see that the fluorine attracts the electrons in the covalent bond more than the hydrogen does. Fluorine will have a slight negative charge because of this, and hydrogen will have a slight positive charge. Overall, hydrogen fluoride is neutral.  


# Ionic Bonds

* * *

← [Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) ·[Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) →

[← Electronegativity](http://en.wikibooks.org/wiki/General_Chemistry/Electronegativity) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Covalent bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## What are ions?

**Ions** are atoms or molecules which are electrically charged. **Cations** are positively charged and **anions** carry a negative charge. Ions form when atoms gain or lose electrons. Since electrons are negatively charged, an atom that loses one or more electrons will become positively charged; an atom that gains one or more electrons becomes negatively charged.

## Description of Ionic Bonds

Ionic bonding is the attraction between positively- and negatively-charged **ions**. These oppositely charged ions attract each other to form ionic networks (or lattices). Electrostatics explains why this happens: opposite charges attract and like charges repel. When many ions attract each other, they form large, ordered, crystal lattices in which each ion is surrounded by ions of the opposite charge. Generally, when metals react with non-metals, electrons are transferred from the metals to the non-metals. The metals form positively-charged ions and the non-metals form negatively-charged ions. The smallest unit of an ionic compound is the **formula unit**.

![](../../../upload.wikimedia.org/wikipedia/commons/e/eb/Sodium_chloride_crystal.png)

The ions arrange themselves into a lattice where each ion is surrounded by ions of the opposite type.

## Characteristics

Example ionic compounds: Sodium chloride (![NaCl](../../../upload.wikimedia.org/math/4/6/4/4643d082402ba04afaf0e2d82452ac69.png)), potassium nitrate (![KNO_3](../../../upload.wikimedia.org/math/b/4/a/b4ae7f4fcb1a3a62e9e68d1f3ad23f4c.png)).

Ionically bonded substances typically have the following characteristics.

  * High melting point (solid at room temperature)
  * Hard but brittle (can shatter)
  * Many dissolve in water
  * Conductors of electricity when dissolved or melted

## Formation

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/99/NaCl_ionic.png/220px-NaCl_ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Lewis structure of the ionic bond between sodium and chlorine.

Ionic bonds form when metals and non-metals chemically react. By definition, a metal is relatively stable if it loses electrons to form a complete valence shell and becomes positively charged. Likewise, a non-metal becomes stable by gaining electrons to complete its valence shell and become negatively charged. When metals and non-metals react, the metals lose electrons by transferring them to the non-metals, which gain them. Consequently, ions are formed, which instantly attract each other—ionic bonding.

For instance, in the reaction of Na (sodium) and Cl (chlorine), each Cl atom takes one electron from a Na atom. Therefore each Na becomes a Na+ cation and each Cl atom becomes a Cl- anion. Due to their opposite charges, they attract each other to form an ionic lattice. The formula (ratio of positive to negative ions) in the lattice is **NaCl**.

The charges must balance because the overall compound is neutral. In the case of magnesium chloride, the magnesium atom gives up two electrons to become stable. Note that it is in the second group, so it has two valence electrons. The chlorine atom can only accept one electron, so there must be two chlorine ions for each magnesium ion. Therefore, the formula for magnesium chloride is **MgCl2**. If magnesium oxide were forming, the formula would be **MgO** because oxygen can accept both of magnesium's electrons.

Exercise for the reader

Try figuring out what the formula for [magnesium nitride](http://en.wikipedia.org/wiki/Magnesium_nitride) would be. Use the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) to help.

It should also be noted that some atoms can form more than one ion. This usually happens with the transition metals. For instance Fe (iron) can become Fe2+ (called iron(`II`) or ferrous). Fe can _also_ become Fe3+ (called iron(`III`) or ferric).

## Common Ions

Ionic bonding occurs almost exclusively between a metal and non-metal. There are also certain molecules called _polyatomic ions_ that undergo ionic bonding. Within the polyatomic ions, there is covalent bonding, but as a unit it undergoes ionic bonding. There are countless polyatomic ions, but you should be familiar with the most common ones. You would be well advised to memorize these ions.

Name Formula Name Formula

Ammonium
NH4+
Hydronium
H3O+

Peroxide
O22-
Hydroxide
OH-

Nitrite
NO2-
Nitrate
NO3-

Sulfite
SO32-
Sulfate
SO42-

Hydrogen sulfite
HSO3-
Phosphate
PO43-

Hypochlorite
ClO-
Chlorite
ClO2-

Chlorate
ClO3-
Perchlorate
ClO4-

Carbonate
CO32-
Hydrogen carbonate
HCO3-

  


# Covalent Bonds

* * *

← [Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) ·[Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) →

[← Ionic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Metallic bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Covalent bonds create **molecules**, which can be represented by a **molecular formula**. For chemicals such as a basic sugar (C6H12O6), the ratios of atoms have a common multiple, and thus the **empirical formula** is CH2O. Note that a molecule with a certain empirical formula is not necessarily the same as one with the same molecular formula.

## Formation of Covalent Bonds

Covalent bonds form between two atoms which have incomplete octets — that is, their outermost shells have fewer than eight electrons. They can share their electrons in a _covalent bond_. The simplest example is water (H2O). Oxygen has six valence electrons (and needs eight) and the hydrogens have one electron each (and need two). The oxygen shares two of its electrons with the hydrogens, and the hydrogens share their electrons with the oxygen. The result is a covalent bond between the oxygen and each hydrogen. The oxygen has a complete octet and the hydrogens have the two electrons they each need.

When atoms move closer, their orbitals change shape, letting off energy. However, there is a limit to how close the atoms get to each other—too close, and the nuclei repel each other.

![Argon dimer potential.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/04/Argon_dimer_potential.png/400px-Argon_dimer_potential.png)

One way to think of this is a ball rolling down into a valley. It will settle at the lowest point. As a result of this potential energy "valley", there is a specific **bond length** for each type of bond. Also, there is a specific amount of energy, measured in kilojoules per mole (kJ/mol) that is required to break the bonds in one mole of the substance. Stronger bonds have a shorter bond length and a greater bond energy.

## The Valence Bond Model

One useful model of covalent bonding is called the _Valence Bond_ model. It states that covalent bonds form when atoms share electrons with each other in order to complete their valence (outer) electron shells. They are mainly formed between non-metals.

An example of a covalently bonded substance is hydrogen gas (H2). A hydrogen atom on its own has one electron—it needs two to complete its valence shell. When two hydrogen atoms bond, each one shares its electron with the other so that the electrons move about both atoms instead of just one. Both atoms now have access to two electrons: they become a stable H2 molecule joined by a **single covalent bond**.

![Diagram of a covalent bond between hydrogen atoms](../../../upload.wikimedia.org/wikibooks/en/c/c2/Covalent_bond_h.png)

### Double and Triple Bonds

Covalent bonds can also form between other non-metals, for example chlorine. A chlorine atom has 7 electrons in its valence shell—it needs 8 to complete it. Two chlorine atoms can share 1 electron each to form a single covalent bond. They become a Cl2 molecule.

Oxygen can also form covalent bonds, however, it needs a further 2 electrons to complete its valence shell (it has 6). Two oxygen atoms must share 2 electrons each to complete each other's shells, making a total of 4 shared electrons. Because twice as many electrons are shared, this is called a **double covalent bond**. Double bonds are much stronger than single bonds, so the bond length is shorter and the bond energy is higher.

Furthermore, nitrogen has 5 valence electrons (it needs a further 3). Two nitrogen atoms can share 3 electrons each to make a N2 molecule joined by a **triple covalent bond**. Triple bonds are stronger than double bonds. They have the shortest bond lengths and highest bond energies.

## Electron Sharing and Orbitals

Carbon, contrary to the trend, does not share four electrons to make a quadruple bond. The reason for this is that the fourth pair of electrons in carbon cannot physically move close enough to be shared. The valence bond model explains this by considering the **orbitals** involved.

Recall that electrons orbit the nucleus within a cloud of electron density (orbitals). The valence bond model works on the principle that orbitals on different atoms must **overlap** to form a bond. There are several different ways that the orbitals can overlap, forming several distinct kinds of covalent bonds.

### The Sigma Bond

The first and simplest kind of overlap is when two s orbitals come together. It is called a **sigma** bond (sigma, or σ, is the Greek equivalent of 's'). Sigma bonds can also form between two p orbitals that lie pointing towards each other. Whenever you see a single covalent bond, it exists as a sigma bond. When two atoms are joined by a sigma bond, they are held close to each other, but they are free to rotate like beads on a string.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Ligatio-covalens.jpg/220px-Ligatio-covalens.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The electron density is in between the two atoms in an σ bond.

### The Pi Bond

The second, and equally important kind of overlap is between two parallel p orbitals. Instead of overlapping head-to-head (as in the sigma bond), they join side-to-side, forming two areas of electron density above and below the molecule. This type of overlap is referred to as a **pi** (π, from the Greek equivalent of p) bond. Whenever you see a double or triple covalent bond, it exists as one sigma bond and one or two pi bonds. Due to the side-by-side overlap of a pi bond, there is no way the atoms can twist around each other as in a sigma bond. Pi bonds give the molecule a rigid shape.

Pi bonds are weaker than sigma bonds since there is less overlap. Thus, two single bonds are stronger than a double bond, and more energy is needed to break two single bonds than a single double bond.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/70/Pi-Bond.svg/220px-Pi-Bond.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The electron density lies above and below the atoms in a π bond.

### Hybridization

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Orbital hybridisation**_](http://en.wikipedia.org/wiki/Orbital_hybridisation)

Consider a molecule of methane: a carbon atom attached to four hydrogen atoms. Each atom is satisfying the octet rule, and each bond is a single covalent bond.

Now look at the electron configuration of carbon: 1s22s22p2. In its valence shell, it has two s electrons and two p electrons. It would not be possible for the four electrons to make equal bonds with the four hydrogen atoms (each of which has one s electron). We know, by measuring bond length and bond energy, that the four bonds in methane are equal, yet carbon has electrons in two different orbitals, which should overlap with the hydrogen 1s orbital in different ways.

To solve the problem, **hybridization** occurs. Instead of a s orbital and three p orbital, the orbitals mix, to form four orbitals, each with 25% s character and 75% p character. These hybrid orbitals are called **sp3** orbitals, and they are identical. Observe:

![C\\quad   \\frac{\\uparrow\\downarrow}{1s}\\;\\;   \\frac{\\uparrow\\downarrow}{2s}\\;   \\frac{\\uparrow\\,}{2p_x}\\;   \\frac{\\uparrow\\,}{2p_y}\\;   \\frac{\\,\\,}{2p_z}](../../../upload.wikimedia.org/math/a/f/3/af358b0f5c34f06dfc45260053ac64b4.png)

![C^{*}\\quad \\frac{\\uparrow\\downarrow}{1s}\\;\\;   \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3} \\frac{\\uparrow\\,}{sp^3}](../../../upload.wikimedia.org/math/d/f/c/dfc33163fdea51cbc6fb4c665512d7ec.png)

Now these orbitals can overlap with hydrogen 1s orbitals to form four equal bonds. Hybridization may involve d orbitals in the atoms that have them, allowing up to a **sp3d2** hybridization.

Exercise for the reader

Predict the hybridized electron configuration of carbon in _ethene_. How many sigma bonds are there? How many pi bonds?

![Ethene-2D-flat.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Ethene-2D-flat.png/150px-Ethene-2D-flat.png)

_Hint: Hybridized electrons form only sigma bonds. Pi bonds form only between p electrons._

  


# Metallic Bonds

* * *

← [Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) ·[Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) →

[← Covalent bonds](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Molecular Shape →](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Metallic bonds occur among metal atoms. Whereas ionic bonds join metals to non-metals, _metallic bonding joins a bulk of metal atoms_. A sheet of aluminum foil and a copper wire are both places where you can see metallic bonding in action.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Electrona_in_crystallo_fluentia.svg/220px-Electrona_in_crystallo_fluentia.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The "sea of electrons" is free to flow about the crystal of positive metal ions.

When metallic bonds form, the s and p electrons **delocalize**. Instead of orbiting their atoms, they form a "sea of electrons" surrounding the positive metal ions. The electrons are free to move throughout the resulting network. The delocalized nature of the electrons explains a number of unique characteristics of metals:

_Metals are good conductors of electricity_
The sea of electrons is free to flow, allowing electrical currents.

_Metals are ductile (able to draw into wires)  
and malleable (able to be hammered into thin sheets)_
As the metal is deformed, local bonds are broken but quickly reformed in a new position.

_Metals are gray and shiny_
Photons (particles of light) cannot penetrate the metal, so they bounce off the sea of electrons.

_Gold is yellow and copper is reddish-brown_
There is actually an upper limit to the frequency that is reflected. It is too high to be visible in most metals, but not gold and copper.

_Metals have very high melting and boiling points_
Metallic bonding is very strong, so the atoms are reluctant to break apart into a liquid or gas.

Metallic bonds can occur between different elements. A mixture of two or more metals is called an **alloy**. Depending on the size of the atoms being mixed, there are two different kinds of alloys that can form:

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/ce/AlloySubstitutional.png/120px-AlloySubstitutional.png)

Substitutional alloy

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d7/AlloyInterstitial.png/120px-AlloyInterstitial.png)

Interstitial alloy

The resulting mixture will have a combination of the properties of both metals involved.  


# Molecular Shape

* * *

← [Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) ·[Intermolecular bonds](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) →

[← Metallic bonds](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Intermolecular bonds →](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Covalent molecules are bonded to other atoms by electron pairs. Being mutually negatively charged, the electron pairs repel the other electron pairs and attempt to move as far apart as possible in order to stabilize the molecule. This repulsion causes covalent molecules to have distinctive shapes, known as the molecule's **molecular geometry**. There are several different methods of determining molecular geometry. A scientific model, called the VSEPR (valence shell electron pair repulsion) model can be used to qualitatively predict the shapes of molecules. Within this model, the **AXE method** is used in determining molecular geometry by counting the numbers of electrons and bonds related to the center atom(s) of the molecule.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[VSEPR**_](http://en.wikipedia.org/wiki/VSEPR)

The VSEPR model is by no means a perfect model of molecular shape! It is simply a system which explains the known shapes of molecular geometry as discovered by experiment. This can allow us to predict the geometry of similar molecules, making it a fairly useful model. Modern methods of quantitatively calculating the most stable (lowest energy) shapes of molecules can take several hours of supercomputer time, and is the domain of computational chemistry.

## Table of Geometries

Orbital Hybridization

sp  
sp2 sp3 sp3d sp3d2

2 Groups
Linear
Bent
Bent
Linear

3 Groups
Trigonal Planar
Trigonal Pyramidal
T-Shaped

4 Groups
Tetrahedral
See-saw
Square Planar

5 Groups
Trigonal Bipyramidal
Square Pyramidal

6 Groups
Octahedral

The hybridization is determined by how many "things" are attached to the central atom. Those "things" can be other atoms or non-bonding pairs of electrons. The number of groups is how many atoms or electron pairs are bonded to the central atom. For example, methane (CH4) is tetrahedral-shaped because the carbon is attached to four hydrogens. Ammonia (NH3) is not trigonal planar, however. It is trigonal pyramidal because it is attached to four "things": the three hydrogens and a non-bonding pair of electrons (to fulfill nitrogen's octet).

## Tetrahedral Shape

![Methane-3D-space-filling.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4b/Methane-3D-space-filling.svg/220px-Methane-3D-space-filling.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Consider a simple covalent molecule, methane (CH4). Four hydrogen atoms surround a carbon atom in three-dimensional space. Each CH bond consists of one pair of electrons, and these pairs try to move as far away from each other as possible (due to electrostatic repulsion). You might think this would lead to a flat shape, with each hydrogen atom 90° apart. However, in three dimensions, there is a more efficient arrangement of the hydrogen atoms. If each hydrogen atom is at a corner of a tetrahedron centered around the carbon atom, they are separated by about cos-1(-1/3) ≈ **109.5°**—the maximum possible.

### Hybridization

To align four orbitals in this tetrahedral shape requires the reformation of one s and three p orbitals into an sp3 orbital.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Methane-2D-small.png/220px-Methane-2D-small.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

CH4 is a tetrahedral molecule.

### Lone Electron Pairs

The VSEPR model treats lone electron pairs in a similar way to bonding electrons. In ammonia (NH3) for example, there are three hydrogen atoms and one lone pair of electrons surrounding the central nitrogen atom. Because there are four groups, ammonia has a tetrahedral shape but unlike methane, the angle between the hydrogen atoms is slightly smaller, **107.3°**. This can be explained by theorizing that lone electron pairs take up more space physically than bonding pairs. This is a reasonable theory: in a bond, the electron pair is distributed over two atoms whereas a lone pair is only located on one. Because it is bigger, the lone pair forces the other electron pairs together.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/25/Ammonia_lone_electron_pair.svg/100px-Ammonia_lone_electron_pair.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The lone pair occupies more space than a bonding pair, decreasing the angles.

Testing this assumption with water provides further evidence. In water (H2O) there are two hydrogen atoms and two lone pairs, again making four groups in total. The electron pairs repel each other into a tetrahedral shape. The angle between the hydrogen atoms is **104.5°**, which is what we expect from our model. The two lone pairs both push the bonds closer together, giving a smaller angle than in ammonia.

  


## Linear and Planar Shapes

### Electron-Poor Atoms

In some molecules, there are less than four pairs of valence electrons. This occurs in electron deficient atoms such as boron and beryllium, which don't conform to the octet rule (they can have 6 and 4 valence electrons respectively). In boron trifluoride (BF3), there are only three electron pairs which repel each other to form a flat plane. Each fluorine atom is separated by cos-1(-1/2) = 120°. A different set of hybrid orbitals is formed in this molecule: the 2s and two 2p orbitals combine to form three **sp2 hybrid orbitals**. The remaining p orbital is empty and sits above and below the plane of the molecule.

Beryllium, on the other hand, forms only two pairs of valence electrons. These repel each other at cos-1(-1) = 180°, forming a **linear** molecule. An example is beryllium chloride, which has two chlorine atoms situated on opposite sides of a beryllium atom. This time, one 2s and one 2p orbital combine to form two **sp hybrid orbitals**. The two remaining p orbitals sit above and to the side of the beryllium atom (they are empty).

### Bent vs. Linear

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/21/Sulfur-dioxide-ve-B-2D.png/100px-Sulfur-dioxide-ve-B-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The non-bonding pair causes sp2 hybridization, leading to a bent shape.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/Carbon-dioxide.png/100px-Carbon-dioxide.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

No non-bonding pairs causes sp hybridization, leading to a linear shape.

Some elements will have a bent shape, others have a linear shape. Both are attached to two groups, so it depends on how many non-bonding pairs the central atom has.

Take a look at sulfur dioxide (SO2) and carbon dioxide (CO2). Both have two oxygen atoms attached with double covalent bonds. Carbon dioxide is linear, and sulfur dioxide is bent. The difference is in their valence shells. Carbon has four valence electrons, sulfur has six. When they bond, carbon has no non-bonding pairs, but sulfur has one.

## Five and Six Groups

Recall that some elements, especially sulfur and phosphorus, can bond with five or six groups. The hybridization is sp3d or sp3d2, with a trigonal bipyramidal or octahedral shape respectively. When there are non bonding pairs, other shape can arise (see the above chart).

## How The Shapes Look

The yellow groups are non-bonding electron pairs. The white groups are bonded atoms, and the pink is the central atom. This is referred to as the _AXE method_; A is the central atom, X's are bonded atoms, and E's are non-bonding electron pairs.

Molecules are not static; their bonds are continually twisting, stretching and bending. According to quantum theory, the energies of these bond movements are quantized, and this fact forms the basis of **infrared spectroscopy**, an important chemical tool in analyzing organic molecules.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/AX2E0-3D-balls.png/100px-AX2E0-3D-balls.png)

linear

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/AX3E0-3D-balls.png/100px-AX3E0-3D-balls.png)

trigonal planar

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e6/AX2E1-3D-balls.png/100px-AX2E1-3D-balls.png)

bent

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f4/AX4E0-3D-balls.png/99px-AX4E0-3D-balls.png)

tetrahedral

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/AX3E1-3D-balls.png/100px-AX3E1-3D-balls.png)

trigonal pyramidal

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/d9/AX2E2-3D-balls.png/100px-AX2E2-3D-balls.png)

bent

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Trigonal-bipyramidal-3D-balls.png/88px-Trigonal-bipyramidal-3D-balls.png)

trigonal bipyramidal

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/cf/AX4E1-3D-balls.png/100px-AX4E1-3D-balls.png)

seesaw

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/36/AX3E2-3D-balls.png/100px-AX3E2-3D-balls.png)

t-shape

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/52/AX6E0-3D-balls.png/94px-AX6E0-3D-balls.png)

octahedral

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/AX5E1-3D-balls.png/100px-AX5E1-3D-balls.png)

square pyramid

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/4d/AX4E2-3D-balls.png/100px-AX4E2-3D-balls.png)

square planar

  


# Intermolecular Bonds

* * *

← [Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) ·[Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) →

[← Molecular Shape](http://en.wikibooks.org/wiki/General_Chemistry/Molecular_Shape) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Dipoles

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Dipole_H2O.svg/150px-Dipole_H2O.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The polar bonds are symmetric, but they don't point in opposite directions. The result is a _dipole_ (positive pointing down).

Covalent bonds can be polar or non-polar, and so can the overall compound depending on its shape. When a bond is polar, it creates a **dipole**, a pair of charges (one positive and one negative). If they are arranged in a symmetrical shape, so that they point in opposite directions, they will cancel each other. For example, since the four hydrogens in methane (CH4) are facing away from each other, there is no overall dipole and the molecule is non-polar. In ammonia (NH3), however, there is a negative dipole at the nitrogen, due to the asymmetry caused by the non-bonding electron pair. The polarity of a compound determines its intermolecular bonding abilities.

### Polar and Non-Polar Shapes

When a molecule has a linear, trigonal planar, tetrahedral, trigonal bipyramidal, or octahedral shape, it will be non-polar. These are the shapes that do not have non-bonding lone pairs. (e.g. Methane, CH4) But if some bonds are polar while others are not, there will be an overall dipole, and the molecule will be polar (e.g. Chloroform, CHCl3).

The other shapes (with non-bonding pairs) will be polar. (e.g. Water, H2O) Unless, of course, all the covalent bonds are non-polar, in which case there would be no dipoles to begin with.

### Dipole-Dipole Bonds

When two polar molecules are near each other, they will arrange themselves so that the negative and positive sides line up. There will be an attractive force holding the two molecules together, but it is not nearly as strong a force as the intramolecular bonds. This is how many types of molecules bond together to form large solids or liquids.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/Dipole-dipole-interaction-in-HCl-2D.png/220px-Dipole-dipole-interaction-in-HCl-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Dipole-dipole forces hold these two HCl molecules together.

### Hydrogen Bonding

Certain chemicals with hydrogen in their chemical formula have a special type of intermolecular bond, called **hydrogen bonds**. Hydrogen bonds will occur when a hydrogen atom is attached to an oxygen, nitrogen, or fluorine atom. This is because there is a large [electronegativity](http://en.wikipedia.org/wiki/Electronegativity) difference between hydrogen and fluorine, oxygen, and nitrogen. Thus, molecules such as ![HF](../../../upload.wikimedia.org/math/4/9/8/498ab1ea4aab0295389f6c51484cca6c.png), ![H_2O](../../../upload.wikimedia.org/math/a/8/9/a8970556f82155430c09c99db24d4261.png), ![NH_3](../../../upload.wikimedia.org/math/8/e/d/8edfaa9c8d0ee947d3b5e328ad4d778d.png) are extremely polar molecules with very strong dipole-dipole forces. As a result of the high electronegativities of fluorine, oxygen, and nitrogen, these elements will pull the electrons almost completely away from the hydrogen. The hydrogen becomes a bare proton sticking out from the molecule, and it will be strongly attracted to the negative side of any other polar molecules. Hydrogen bonding is an extreme type of dipole-dipole bonding. These forces are weaker than intramolecular bonds, but are much stronger than other intermolecular forces, causing these compounds to have high boiling points.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Hydrogen-bonding-in-water-2D.png/220px-Hydrogen-bonding-in-water-2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The dotted line represents a hydrogen bond.

## Covalent Networks

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/fd/SiO2_-_Quarz_-_2D.png/150px-SiO2_-_Quarz_-_2D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A covalent network

Silicon dioxide forms a covalent network. Unlike carbon dioxide (with double bonds), silicon dioxide forms only single covalent bonds. As a result, the individual molecules covalently bond into a large network. These bonds are very strong (being covalent) and there is no distinction between individual molecules and the overall network. Covalent networks hold diamonds together. Diamonds are made of nothing but carbon, and so is soot. Unlike soot, diamonds have covalent networks, making them very hard and crystalline.

## Van der Waals forces

**Van der Waals**, or _London dispersion_ forces are caused by temporary dipoles created when electron locations are lopsided. The electrons are constantly orbiting the nucleus, and by chance they could end up close together. The uneven concentration of electrons could make one side of the atom more negatively-charged than the other, creating a temporary dipole. As there are more electrons in an atom, and the shells are further away from the nucleus, these forces become stronger.

Van der Waals forces explain how nitrogen can be liquified. Nitrogen gas is diatomic; its equation is N2. Since both atoms have the same electronegativity, there is no dipole and the molecule is non-polar. If there are no dipoles, what would make the nitrogen atoms stick together to form a liquid? Van der Waals forces are the answer. They allow otherwise non-polar molecules to have attractive forces. These are by far the weakest forces that hold molecules together.

## Melting and Boiling Points

When comparing two substances, their melting and boiling points may be questioned. To determine which substance has the higher melting or boiling point, you must decide which one has the strongest intermolecular force. Metallic bonds, ionic bonds, and covalent networks are very strong, as they are actually intramolecular forces. These substances have the highest melting and boiling points because they only separate into individual molecules when the powerful bonds have been broken. Breaking these intramolecular forces requires great amounts of heat energy.

Substances with hydrogen bonding will have much higher melting and boiling points than those that have ordinary dipole-dipole forces. Non-polar molecules have the lowest melting and boiling points, because they are held together by the weak van der Waals forces.

If you need to compare the boiling points of two metals, the metal with the larger atomic radius will have weaker bonding, due to the lower concentration of charge. When comparing boiling points of the non-polar gases, like the noble gases, the gas with the largest radius will have the highest points because it has the most potential for van der Waals forces.

Ionic compounds can be compared using Coulomb's Law. Look for substances with high ionic charges and low ionic radii.

  
  


Chemical Reactions

  


  


# Naming Substances

* * *

← [Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) ·[Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) →

[← Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Formulas and Numbers →](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Substances with carbon and hydrogen are _organic compounds_. They have special names that are beyond the scope of this book. For more information, see the [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry) Wikibook.

Some compounds have common names, like _water_ for H2O. However, there are thousands of other compounds that are uncommon or have multiple names. Also, the common name is usually not recognized internationally. What looks like _water_ to you might look like _agua_ or _vatten_ to someone else. To allow chemists to communicate without confusion, there are naming conventions to determine the **systematic name** of a chemical.

## Naming Ions and Ionic Compounds

Ions are atoms that have lost or gained electrons. Note that in a **polyatomic ion**, the ion itself is held together by covalent bonds. Monoatomic cations (positive) are named the same way as their element, and they come first when naming a compound. Monoatomic anions (negative) have the suffix -_ide_ and come at the end of the compound's name.

Examples of ionic compounds

  * NaCl - _Sodium chloride_
  * MgCl2 \- _Magnesium chloride_
  * Ca3N2 \- _Calcium nitride_

Notice that there is no need to write how many ions there are. Between the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) and our knowledge of [ionic bonding](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds), we can determine the number of ions based on which elements are used.

### Polyatomic Ions

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Polyatomic ion**_](http://en.wikipedia.org/wiki/Polyatomic_ion)

Polyatomic ions have special names. Many of them contain oxygen and are called **oxyanions**. When different oxyanions are made of the same element but have a different number of oxygen atoms, prefixes and suffixes are used to tell them apart. The chlorine family of ions is an excellent example.

Name Formula

Chloride
Cl-

Hypochlorite
ClO-

Chlorite
ClO2-

Chlorate
ClO3-

Perchlorate
ClO4-

The -_ate_ suffix is used on the most common oxyanion (like sulfate SO42- or nitrate NO3-). The -_ite_ suffix is used on the oxyanion with one less oxygen (like sulfite SO32- or nitrite NO2-). Sometimes there can be a _hypo_\- prefix, meaning one less oxygen than the -_ite_. There is also a _per_\- prefix, meaning one more oxygen than the -_ate_.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Occasionally, you will see a _bi_\- prefix. This is an older prefix, and is usually replaced with the word _hydrogen_. In either case, the oxyanion will have a hydrogen in it, decreasing its charge by one. For instance, there is carbonate (CO32-) and bicarbonate or hydrogen carbonate (HCO3-).

One last prefix you may find is _thio_-. It means an oxygen has been replaced with a sulfur within the oxyanion. Cyanate is OCN-, and thiocyanate is SCN-.

Examples of polyatomic ions

  * NH4Cl - _Ammonium chloride_
  * K(HCO3) - _Potassium hydrogen carbonate_
  * AgNO3 \- _Silver nitrate_
  * CuSO3 \- _Copper (`II`) sulfite_

In the last example, copper had a roman numeral 2 after its name because the transition metals can have more than one charge. The charge on the ion must be known, so it is written out for ions that have more than one common charge. Silver always has a charge of 1+, so it isn't necessary (but not wrong) to name its charge. Zinc always has a charge of 2+, so you don't have to name its charge either. Aluminum will always have a charge of +3. All other metals (except the Group 1 and 2 elements) must have roman numerals to show their charge.

Common polyatomic ions that you should know are listed in the following table

Name Formula

Acetate
C2H3O2-

Ammonium
NH4+

Cyanide
CN-

Cyanate
CNO-

Thiocyanate
CNS-

Hypochlorite
ClO-

Chlorite
ClO2-

Chlorate
ClO3-

Perchlorate
ClO4-

Hypobromite
BrO-

Bromite
BrO2-

Bromate
BrO3-

Perbromate
BrO4-

Hypoiodite
IO-

Iodite
IO2-

Iodate
IO3-

Periodate
IO4-

Nitrite
NO2-

Nitrate
NO3-

Peroxide
O22-

Permanganate
MnO4-

Sulfite
SO32-

Sulfate
SO42-

### Stock System

In older texts, ions were assigned names based on their Latin root and a suffix. Common ions with this naming system include "plumbous/plumbic" for lead(II)/lead(IV) and "ferrous/ferric" for iron(II)/iron(III). These Latin-based names are outdated, so it's not important to learn them. We now use the _Stock system_ instead.

Further explanation of the roman numerals is in order. Many atoms (especially the transition metals) are capable of ionizing in more than one way. The name of an ionic compound must make it very clear what the exact chemical formula is. If you wrote "copper chloride", it could be CuCl or CuCl2 because copper can lose one or two electrons when it forms an ion. The charge must be balanced, so there would be one or two chloride ions to accept the electrons. To be correct, you must write "copper(`II`) chloride" if you want CuCl2 and "copper (`I`) chloride" if you want CuCl. Keep in mind that the roman numerals refer to the charge of the cation, not how many anions are attached.

Common metal ions are listed below and should be learned:

Name Formula

Iron(II)/Ferrous
Fe2+

Iron(III)/Ferric
Fe3+

Copper(I)/Cuprous
Cu+

Copper(II)/Cupric
Cu2+

Tin (II)/Stannous
Sn2+

Tin (IV)/Stannic
Sn4+

Lead (II)/Plumbous (most common)
Pb2+

Lead (IV)/Plumbic
Pb4+

Mercury (I) (Note: Mercury (I) is a polyatomic ion)
Hg22+

Mercury (II)
Hg2+

## Naming Molecules

There are two systems of naming molecular compounds. The first uses prefixes to indicate the number of atoms of an element that are in the compound. If the substance is binary (containing only two elements), the suffix -_ide_ is added to the second element. Thus water is _dihydrogen monoxide_. A prefix is not necessary for the first element if there is only one, so SF6 is _sulfur hexafluoride_. The prefix system is used when both elements are non-metallic.

Number Prefix

1
Mono-

2
Di-

3
Tri-

4
Tetra-

5
Penta-

6
Hexa-

7
Hepta-

8
Octa-

9
Nona-

10
Deca-

11
Undeca-

12
Dodeca-

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If the last letter of the prefix is an _a_ and the first letter of the element is a vowel, the _a_ is dropped. That makes V2O5 divanadium pentoxide (instead of pentaoxide). Similar dropping occurs with _mono_\- and elements beginning with _o_, as in the case of _monoxide_. This does not, however, happen with _di_\- and _tri_-. A molecule containing three iodine atoms would be named _triiodide_.

The second system, the **stock system**, uses _oxidation numbers_ to represent how the electrons are distributed through the compound. This is essentially the roman numeral system that has already been explained, but it applies to non-ionic compounds as well. The most electronegative component of the molecule has a negative oxidation number that depends on the number of pairs of electrons it shares. The less electronegative part is assigned a positive number. In the stock system, only the cation's number is written, and in Roman numerals. The stock system is used when there is a metallic element in the compound. In the case of V2O5, it could also be called vanadium(`V`) oxide. Knowing that oxygen's charge is always -2, we can determine that there are five oxygens and two vanadiums if we were given the name without the formula.

## Naming acids

If an acid is a binary compound, it is named as hydro[element]ic acid. If it contains a polyatomic ion, then it is named [ion name]ic acid if the ion ends in -_ate_. If the ion ends in -_ite_ then the acid will end in -_ous_. These examples should help.

Examples of acid names

  * HCl - _Hydrochloric acid_
  * HClO - _Hypochlorous acid_
  * HClO2 \- _Chlorous acid_
  * HClO3 \- _Chloric acid_
  * HClO4 \- _Perchloric acid_

  


# Formulas and Numbers

* * *

← [Naming Substances](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances) ·[Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) →

[← Naming Substances](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Stoichiometry →](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Calculating Formula Masses

In molecules but not ionic compounds, the formula mass is also known as the **molecular mass**.

The calculation of a compound's formula mass (the mass of its molecule or formula unit) is straightforward. Simply add the individual mass of each atom in the compound (found on the [periodic table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table)). For example, the formula mass of glucose (C6H12O6) is 180 amu.

Molar masses are just as easy to calculate. The molar mass is equal to the formula mass, except that the unit is grams per mole instead of amu.

## Calculating Percentage Composition

Percentage composition is the relative mass of one substance in a compound compared to the whole. For example, in methane (CH4), the percentage mass of hydrogen is 25% because hydrogen makes up a total of 4 amu out of 16 amu overall.

### Using Percentage Composition

Percentage composition can be used to find the **empirical formula** of a compound, which shows the ratios of elements in the compound. However, this is not the same as the molecular formula. For example, many sugars have the empirical formula CH2O, which could correspond to a molecular formula of CH2O, C2H4O2, C6H12O6, etc.

To find the empirical formula from percentage composition, follow these procedures for each element.

  1. Convert from percentage to grams (for simplicity, assume a 100 g sample).
  2. Divide by the element's molar mass to find moles.
  3. Simplify to lowest whole-number ratio.

For example, a compound is composed of 75% carbon and 25% hydrogen by mass. Find the empirical formula.

  * 75g C / (12 g/mol C) = 6.25 mol C
  * 25g H / (1 g/mol H) = 25 mol H
  * 6.25 mol C / 6.25 = 1 mol C
  * 25 mol H / 6.25 = 4 mol H

Thus the empirical formula is CH4.

### Calculating Molecular Formula

If you find the empirical formula of a compound and its molar/molecular mass, then you can find its exact molecular formula. Remember that the molecular formula is always a whole-number multiple of the empirical formula. For example, a compound with the empirical formula HO has a molecular mass of 34.0 amu. Since HO would only be 17.0 amu, which is half of 34.0, the molecular formula must be H2O2.

Exercise for the reader

An unknown substance must be identified. Lab analysis has found that the substance is composed of 80% Fluorine and 20% Nitrogen with a molecular mass of 71 amu. What is the empirical formula? What is the molecular formula?

  


# Stoichiometry

* * *

← [Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) ·[Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) →

[← Formulas and Numbers](http://en.wikibooks.org/wiki/General_Chemistry/Formulas_and_Numbers) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical equations →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The word _stoichiometry_ derives from two Greek words: _stoicheion_ (meaning "element") and _metron_ (meaning "measure"). Stoichiometry deals with calculations about the masses (sometimes volumes) of reactants and products involved in a chemical reaction. It is a very mathematical part of chemistry, so be prepared for lots of calculator use.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Stoichiometry**_](http://en.wikipedia.org/wiki/Stoichiometry)

Jeremias Benjaim Richter (1762-1807) was the first to lay down the principles of stoichiometry. In 1792 he wrote: "_Die stöchyometrie (Stöchyometria) ist die Wissenschaft die quantitativen oder Massenverhältnisse zu messen, in welchen die chymischen Elemente gegen einander stehen._" [Stoichiometry is the science of measuring the quantitative proportions or mass ratios in which chemical elements stand to one another.]

## Molar Calculations

### Your Tool: Dimensional Analysis

Luckily, almost all of stoichiometry can be solved relatively easily using dimensional analysis. Dimensional analysis is just using units, instead of numbers or variables, to do math, usually to see how they cancel out. For instance, it is easy to see that:

![grams \\times \\dfrac{moles}{grams} \\times \\dfrac{atoms}{moles} = atoms](../../../upload.wikimedia.org/math/6/5/3/6532b3feab4b55bc7d710da6469b3f8f.png)

It is this principle that will guide you through solving most of the stoichiometry problems (chemical reaction problems) you will see in General Chemistry. Before you attempt to solve a problem, ask yourself: what do I have now? where am I going? As long as you know how many (units) per (other units), this will make stoichiometry significantly easier.

### Moles to Mass

Where can you find the molar mass of these elements? [The periodic table.](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) You should always have one on hand—don't expect to get very far without one!

_How heavy is 1.5 mol of lead? How many moles in 22.34g of water?_ Calculating the mass of a sample from the number of moles it contains is quite simple. We use the **molar mass** (mass of one mole) of the substance to convert between mass and moles. When writing calculations, we denote the molar mass of a substance by an upper case "M" (e.g. M(Ne) means "the molar mass of neon"). As always, "n" stands for the number of moles and "m" indicates the mass of a substance. To find the solutions to the two questions we just asked, let's apply some dimensional analysis:

![1.5 \\; mol \\; Pb \\; \\times \\dfrac{207.2 \\; g \\; Pb}{1 \\; mol \\; Pb} = 310.8 \\; g \\; Pb](../../../upload.wikimedia.org/math/e/6/5/e657e4fe9b7b2198219519f8f27bbc76.png)

Can you see how the units cancel to give you the answer you want? All you needed to know was that you had 1.5 mol Pb (lead), and that 1 mol Pb weighs 207.2 grams. Thus, multiplying 1.5 mol Pb by 207.2 g Pb and dividing by 1 mol Pb gives you 310.8 g Pb, your answer.

### Mass to Moles

But we had one more question: "How many moles in 22.34g of water?" This is just as easy:

![22.34 \\; g \\; H_2 O \\; \\times \\dfrac{1 \\; mol \\; H_2 O}{18 \\; g \\; H_2 O} = 1.24 \\; mol \\; H_2 O](../../../upload.wikimedia.org/math/f/5/e/f5ed33d2288f0209ad576185225896ee.png)

Where did the 18 g H2O come from? We looked at the periodic table and simply added up the atomic masses of two hydrogens and an oxygen to get the molecular weight of water. This turned out to be 18, and since all the masses on the periodic table are given with respect to 1 mole, we knew that 1 mol of water weighed 18 grams. This gave us the relationship above, which is really just (again) watching units cancel out!

### Calculating Molar Masses

Before we can do these types of calculations, we first have to know the molar mass. Fortunately, this is not difficult, as the molar mass is exactly the same as the **atomic weight** of an element. A table of atomic weights can be used to find the molar mass of elements (this information is often included in the periodic table). For example, the atomic weight of oxygen is **16.00** amu, so its molar mass is 16.00 g/mol.

For species with more than one element, we simply add up the atomic weights of each element to obtain the molar mass of the compound. For example, sulfur trioxide gas is made up of sulfur and oxygen, whose atomic weights are 32.06 and 16.00 respectively.

![\\begin{matrix}
\\hbox{M\(SO}_3\\hbox{\)} &=& 32.06 + 3 \\times 16.00 \\\\
\\ &=& 80.06 \\hbox{g}/\\hbox{mol} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/7/c/b/7cbe17826cfba0b9cce55bca7d40b620.png)

The procedure for more complex compounds is essentially the same. Aluminium carbonate, for example, contains aluminium, carbon, and oxygen. To find the molar mass, we have to be careful to find the _total_ number of atoms of each element. Three carbonate ions each containing three oxygen atoms gives a total of nine oxygens. The atomic weights of aluminium and carbon are 26.98 and 12.01 respectively.

![\\begin{matrix}
\\hbox{M}\(\\hbox{Al}_2\(\\hbox{CO}_3\)_3\) &=& 2 \\times 26.98 + 3 \\times 12.01 + 9 \\times 16.00 \\\\
\\ &=& 233.99 \\hbox{g}/\\hbox{mol} \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/f/2/c/f2c6fe95fd5ffbaa86f5953e16d07719.png)

## Empirical Formulae

The empirical formula of a substance is _the simplest ratio of the number of moles of each element in a compound_. The empirical formula is ambiguous, e.g. the formula CH could represent CH, C2H2, C3H3 etc. These latter formulae are called **molecular formulae**. It follows that the molecular formula is always a _whole number multiple_ of the empirical formula for a compound.

Calculating the empirical formula is easy if the relative amounts of each element in the compound are known. For example, if a sample contains 1.37 mol oxygen and 2.74 mol hydrogen, we can calculate the empirical formula. A good strategy to use is to divide all amounts given by the smallest **non-integer** amount, then multiply by whole numbers until the simplest ratio is found. We can make a table showing the successive ratios.

Hydrogen Oxygen

2.74
1.37
divide by 1.37

2
1
ANSWER

The empirical formula of the compound is H2O.

Here's another example. A sample of piperonal contains 1.384 mol carbon, 1.033 mol hydrogen and 0.519 mol oxygen.

Carbon Hydrogen Oxygen

1.384
1.033
0.519
divide by 0.519

2.666
2
1
multiply by 3

8
6
3
ANSWER

The empirical formula of piperonal is C8H6O3.

### Converting from Masses

Often, we are given the relative composition by mass of a substance and asked to find the empirical formula. These masses must first be converted to moles using the techniques outlined above. For example, a sample of ethanol contains 52.1% carbon, 13.2% hydrogen, and 34.7% oxygen by mass. Hypothetically, 100g of this substance will contain 52.1 g carbon, 13.2 g hydrogen and 34.7 g oxygen. Dividing these by their respective molar masses gives the amount in moles of each element (as we learned above). These are 4.34 mol, 13.1 mol, and 2.17 mol respectively.

Carbon Hydrogen Oxygen

4.34
13.1
2.17
divide by 2.17

2
6
1
ANSWER

The empirical formula of ethanol is C2H6O.

### Molecular Formula

**Beware:** In the case of H2O, the whole number multiple is 1, so its empirical formula is the same as its molecular formula. This is not always the case!

As mentioned above, the molecular formula for a substance equals the count of atoms of each type in a molecule. This is always a _whole number multiple_ of the empirical formula. To calculate the molecular formula from the empirical formula, we need to know the **molar mass** of the substance. For example, the empirical formula for **benzene** is CH, and its molar mass is 78.12 g/mol. Divide the actual molar mass by the mass of the empirical formula, 13.02 g/mol, to determine the multiple of the empirical formula, "n". The molecular formula equals the empirical formula multiplied by "n".

![\\begin{matrix}
\\hbox{M\(CH\)} &=& 13.02 \\hbox{ g/mol} \\\\
\\hbox{M\(benzene\)} &=& 78.12 \\hbox{ g/mol}\\\\
\\hbox{M\(benzene\)} / \\hbox{M\(CH\)} &= \(78.12\\ g/mol\)/\(13.02\\ g/mol\)&= 6 \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/a/3/a/a3aba9b89cdd86f44291f630c9d54b29.png)

This shows that the molecular formula for benzene is 6 times the empirical formula of CH. The molecular formula for benzene is C6H6.

## Solving Mass-Mass Equations

A typical mass-mass equation will give you an amount in grams and ask for another answer in grams.

To solve a mass-mass equation, follow these rules

  1. [Balance the equation](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) if it is not already.
  2. Convert the given quantity to moles.
  3. Multiply by the molar ratio of the demanded substance over the given substance.
  4. Convert the demanded substance into grams.

For example, given the equation ![Cu^{2+} + 2 AgNO_3 \\to Cu\(NO_3\)_2 + 2 Ag^+](../../../upload.wikimedia.org/math/b/2/c/b2c8c1fe0694d0752d1eff53ef154cb7.png), find out how many grams of silver (Ag) will result from 43.0 grams of copper (Cu) reacting.

  * Convert the given quantity to moles.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu}](../../../upload.wikimedia.org/math/8/8/a/88a9444ff52f3d620cbca8ebe172d82f.png)

  * Multiply by the molar ratio of the demanded substance and the given substance.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu} \\times \\frac{2~mol~Ag}{1~mol~Cu}](../../../upload.wikimedia.org/math/4/b/8/4b85ca865d426288cc5da6d461d4e199.png)

  * Convert the demanded substance to grams.
![43.0g~Cu \\times \\frac{1~mol~Cu}{63.55g~Cu} \\times \\frac{2~mol~Ag}{1~mol~Cu} \\times \\frac{107.86g~Ag}{1~mol~Ag} = 1.46 \\times 10^2~g~Ag](../../../upload.wikimedia.org/math/1/5/0/1509f52d147b72f3988b9c2602282dd7.png)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Notice how dimensional analysis applies to this technique. All units will cancel except for the desired one (grams of silver, in this case).

## Summary

To solve a stoichiometric problem, you need to know what you already have and what you want to find. Everything in between is basic algebra.

Key Terms

  * _Molar mass:_ mass (in grams) of one mole of a substance.
  * _Empirical formula:_ the simplest ratio of the number of moles of each element in a compound
  * _Molecular formula:_ the actual ratio of the number of moles of each element in a compound

In general, all you have to do is keep track of the units and how they cancel, and you will be on your way!  


# Chemical Equations

* * *

← [Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) ·[Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) →

[← Stoichiometry](http://en.wikibooks.org/wiki/General_Chemistry/Stoichiometry) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Balancing Equations →](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical equations are a convenient, standardized system for describing [chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_reactions). They contain the following information.

  * The type of **reactants** consumed and **products** formed
  * The relative amounts of reactants and products
  * The electrical charges on [ions](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds)
  * The physical state of each species (e.g. solid, liquid)
  * The reaction conditions (e.g. temperature, catalysts)

The final two points are optional and sometimes omitted.

## Anatomy of an Equation

![\\hbox{H}_{2 \(g\)} + \\hbox{Cl}_{2 \(g\)} \\to 2\\hbox{HCl}_{\(g\)}](../../../upload.wikimedia.org/math/b/2/5/b25a60e361846b9010875cfdb3aedbec.png)

Hydrogen gas and chlorine gas will react vigorously to produce hydrogen chloride gas. The equation above illustrates this reaction. The reactants, hydrogen and chlorine, are written on the left and the products (hydrogen chloride) on the right. The large number 2 in front of HCl indicates that two molecules of HCl are produced for each 1 molecule of hydrogen and chlorine gas consumed. The 2 in subscript below H indicates that there are two hydrogen atoms in each molecule of hydrogen gas. Finally, the (g) symbols subscript to each species indicates that they are gases.

### Reacting Species

**Species** in a chemical reaction is a general term used to mean atoms, molecules or ions. A species can contain more than one chemical element (HCl, for example, contains hydrogen and chlorine). Each species in a chemical equation is written:

![\\hbox{E}_{x\(s\)}^y](../../../upload.wikimedia.org/math/a/4/a/a4abbf013c5d1baecb08d1eb3522d9d3.png)

**E** is the chemical symbol for the element, **x** is the number of atoms of that element in the species, **y** is the charge (if it is an ion) and **(s)** is the physical state.

The symbols in parentheses (in subscript below each species) indicate the physical state of each reactant or product.

  * **(s)** means solid
  * **(l)** means liquid
  * **(g)** means gas
  * **(aq)** means aqueous solution (i.e. dissolved in water)

For example, ethyl alcohol would be written ![\\hbox{C}_2\\hbox{H}_6\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/2/b/d/2bdfde964ba324b01b3e324a845762c7.png) because each molecule contains 2 carbon, 6 hydrogen and 1 oxygen atom. A magnesium ion would be written ![\\hbox{Mg}^{2+}](../../../upload.wikimedia.org/math/c/6/1/c61df209724671b93e4d49a3c1befc1e.png) because it has a double positive ("two plus") charge. Finally, an ammonium ion would be written ![\\hbox{NH}_4^+](../../../upload.wikimedia.org/math/7/d/f/7df281ade3088ae5c461b336a462e5b0.png) because each molecule contains 1 nitrogen and 4 hydrogen atoms and has a charge of 1+.

### Coefficients

The numbers in front of each species have a very important meaning—they indicate the relative amounts of the atoms that react. The number in front of each species is called a **coefficient**. In the above equation, for example, one H2 molecule reacts with one Cl2 molecule to produce two molecules of HCl. This can also be interpreted as _moles_ (i.e. 1 mol H2 and 1 mol Cl2 produces 2 mol HCl).

It is important that the _Law of Conservation of Mass_ is not violated. There must be the same number of each type of atoms on either side of the equation. Coefficients are useful for keeping the same number of atoms on both sides:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/6/a/36a520001f697305c342d6d62b1795ad.png)

If you count the atoms, there are four hydrogens and two oxygens on each side. The coefficients allow us to **balance the equation**; without them the equation would have the wrong number of atoms. Balancing equations is the topic of the next chapter.

### Other Information

Occasionally, other information about a chemical reaction will be supplied in an equation (such as temperature or other reaction conditions). This information is often written to the right of the equation or above the reaction arrow. A simple example would be the melting of ice.

![\\hbox{H}_2\\hbox{O}_{\(s\)} + heat \\to \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/6/a/6/6a60f22f02fb92edafbf0ae0016341df.png), which could be written as ![\\hbox{H}_2\\hbox{O}_{\(s\)} \\xrightarrow{heat} \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/9/f/8/9f8b45d8773abc7bcd8db8ded7571575.png)

Reactions commonly involve **catalysts**, which are substances that speed up a reaction without being consumed. Catalysts are often written over the arrow. A perfect example of a catalyzed reaction is photosynthesis. Inside plant cells, a substance called _chlorophyll_ converts sunlight into food. The reaction is written:

![6\\hbox{CO}_2 + 6\\hbox{H}_2\\hbox{O} + sunlight \\xrightarrow{chlorophyll} \\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_6  +  6\\hbox{O}_2](../../../upload.wikimedia.org/math/c/6/1/c61edee4fbcd842e3bc6feafbf3a9645.png)

## Examples

![\\hbox{CH}_{4\(g\)} + 2\\hbox{O}_{2\(g\)} \\to \\hbox{CO}_{2\(g\)} + 2\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/c/a/d/cad4d421c9a13c1f09b2377a810a6377.png)
This is the equation for burning methane gas (CH4) in the presence of oxygen (O2) to form carbon dioxide and water: CO2 and H2O respectively. Notice the use of coefficients to obey the Law of Conservation of Matter.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)}](../../../upload.wikimedia.org/math/2/8/6/28695f3472f1df6ba8aa491f4036ae86.png)
This is a _precipitation_ reaction in which dissolved lead cations and iodide anions combine to form a solid yellow precipitate of lead iodide (an [ionic](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) solid).

![2\\hbox{SO}_{2\(g\)} + 2\\hbox{V}_2\\hbox{O}_{5\(s\)} \\to 2\\hbox{SO}_{3\(g\)} + 4\\hbox{V}_2\\hbox{O}_{\(s\)}](../../../upload.wikimedia.org/math/c/7/2/c724503c9c5139f4c0a8595706c65269.png)  


![4\\hbox{V}_2\\hbox{O}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{V}_2\\hbox{O}_{5\(s\)}](../../../upload.wikimedia.org/math/2/5/9/259a50bf23ea270a3f16cf2a158bc24e.png)

These two equations involve a catalyst. They occur one after another, using divanadium pentoxide to convert sulfur dioxide into sulfur trioxide. If you look closely, you can see that the vanadium catalyst is involved in the reaction, but it does not get consumed. It is both a reactant and a product, but it is necessary for the reaction to occur, making it a catalyst.

![2\\hbox{SO}_{2\(g\)} + \\hbox{O}_{2\(g\)} \\xrightarrow{V_2O_5} 2\\hbox{SO}_{3\(g\)}](../../../upload.wikimedia.org/math/d/9/c/d9c1539383b96832fb8fbbdfe53f8cf0.png)
If we add both equations together, we can cancel out terms that appear on both sides. The resulting equation is much simpler and self-explanatory (although the original pair of equations is more accurate in describing how the reaction proceeds).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The last example demonstrates another important principle of chemical equations: they can be added together. Simply list _all_ reactants from the equations you are adding, then list _all_ products. If the same term appears on both sides, it is either a catalyst, an _intermediate product_, or it is not involved in the reaction. Either way, it can be canceled out from both sides (if the coefficients are equal). Try adding the first two vanadium equations together and see if you can cancel out terms to get the final equation.

  


# Balancing Equations

* * *

← [Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) ·[Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) →

[← Chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Limiting Reactants and Percent Yield →](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Balancing Equations

Chemical equations are useful because they give the relative amounts of the substances that react in a chemical equation. For example, from the chemical equation for the formation of ammonia, we can see that one mole of nitrogen gas will combine with three moles of hydrogen gas to form two moles of ammonia gas.

![\\hbox{N}_{2} + 3{\\hbox{H}_{2}} \\to 2\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/5/3/a/53a1862985c0eb580d5d397c6d7579ad.png)

  
In some cases, however, we may not know the relative amounts of each substance that reacts. Fortunately, we can always find the correct **coefficients** of an equation (the relative amounts of each reactant and product). The process of finding the coefficients is known as _balancing the equation_.

During a chemical reaction, atoms are neither created or destroyed. The same atoms are present before and after a reaction takes place; they are just rearranged. This is called the **Law of Conservation of Matter**, and we can use this law to help us find the right coefficients to balance an equation.

For example, assume in the above equation that we do not know how many moles of ammonia gas will be produced:

![\\hbox{N}_{2} + 3{\\hbox{H}_{2}} \\to {\\color{Red}?}\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/7/d/8/7d81b8fa9cc60b3e2b5abe7281b88ca8.png)

  
From the left side of this equation, we see that there are 2 atoms of nitrogen gas in the molecule N2 (2 atoms per molecule x 1 molecule), and 6 atoms of hydrogen gas in the 3 H2 molecules (2 atoms per molecule x 3 molecules). Because of the Law of Conservation of Matter, there must also be 2 atoms nitrogen gas and 6 atoms of hydrogen gas on the right side. Since each molecule of the resultant ammonia gas (NH3) contains 1 atom of nitrogen and 3 atoms of hydrogen, 2 molecules are needed to obtain 2 atoms of nitrogen and 6 atoms of hydrogen.

### An Example

![\\hbox{O}_2 + {\\hbox{H}_{2}} \\to \\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/3/2/d/32d6be894f0aadb3f93a8b8595a3463d.png)
This chemical equation shows the compounds being consumed and produced; however, it does not appropriately deal with the quantities of the compounds. There appear to be two oxygen atoms on the left and only one on the right. But we know that there should be the same number of atoms on both sides. This equation is said to be **unbalanced**, because the number of atoms are different.

![\\hbox{O}_{{\\color{Blue}2}} + {\\color{Blue}2}{\\hbox{H}_{2}} \\to {\\color{Blue}2}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/e/c/c/ecce20a81cd37d22eb276db86c490ade.png)
To make the equation balanced, add coefficients in front of each molecule as needed. The 2 in front of hydrogen on the left indicates that twice as many atoms of hydrogen are needed to react with a certain number of oxygen atoms. The coefficient 1 is not written, since it assumed in the absence of any coefficient.

![\\hbox{N}_{2} + {\\hbox{H}_{2}} \\to \\hbox{NH}_{3}](../../../upload.wikimedia.org/math/f/9/b/f9b02a2c50cc3e078688e262c558ae51.png)
Now, let's consider a similar reaction between hydrogen and nitrogen.

![\\hbox{N}_{{\\color{Blue}2}} + {\\hbox{H}_{2}} \\to {\\color{Blue}2}\\hbox{NH}_{3}](../../../upload.wikimedia.org/math/0/3/9/039177688d28dccb7948e12c42b86368.png)
Typically, it is easiest to balance all pure elements last, especially hydrogen. First, by placing a two in front of ammonia, the nitrogens are balanced.

![\\hbox{N}_{{\\color{Blue}2}} + {\\color{Red}3}{\\hbox{H}_{\\color{Blue}2}} \\to {\\color{Blue}2}\\hbox{NH}_{\\color{Red}3}](../../../upload.wikimedia.org/math/4/5/2/45279f0b998d326dd811932f9d46ffc9.png)
This leaves 6 moles of atomic hydrogen in the products and only two moles in the reactants. A coefficient of 3 is then placed in front of the hydrogen to give a fully balanced reaction.

  


![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

When balancing a reaction, only coefficients can be changed because changing a subscript would give a different reaction.

  


## Tricks in balancing certain reactions

### Combustion

A combustion reaction is a reaction between a carbon chain (basically, a molecule consisting of carbons, hydrogen, and perhaps oxygen) with oxygen to form carbon dioxide and water, plus heat. Combustion reactions could get very complex:

![2\\hbox{C}_6\\hbox{H}_6 + 15\\hbox{O}_2 \\to 12 \\hbox{CO}_2 + 6\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/a/8/1/a8121a228d27fa6eed72d822c90649d7.png)

Fortunately, there is an easy way to balance these reactions.

First, note that the carbon in C6H6 can only appear on the product side in CO2. Thus, we can write a coefficient of 6 in front of CO2.

Next, note that the hydrogen in C6H6 can only go to H2O. Thus, we put a 3 in front of H2O.

We have 15 oxygen atoms on the product side, so there are ![\\frac{15}{2}](../../../upload.wikimedia.org/math/1/b/3/1b361ca47d9402de946fb259bc7f2dc2.png) O2 molecules on the reactant side. To make this an integer, we multiply all coefficients by 2.

### Another Example

Helpful Hint!

**Note:** Fractions are technically allowed as coefficients, but they are generally avoided. Multiply all coefficients by the denominator to remove a fraction.

![\\hbox{C}_{4}\\hbox{H}_{10} + {\\hbox{O}_{2}} \\to \\hbox{CO}_{2} + \\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/a/2/4/a24011a77fe86e71ba754339e7d804a9.png)
As reactions become more complex, they become more difficult to balance. For example, the combustion of [butane](http://en.wikipedia.org/wiki/butane) (lighter fluid).

![\\hbox{C}_{\\color{Red}4}\\hbox{H}_{\\color{Blue}10} + {\\hbox{O}_{2}} \\to {\\color{Red}4}\\hbox{CO}_{2} + {\\color{Blue}5}\\hbox{H}_{\\color{Blue}2}\\hbox{O}](../../../upload.wikimedia.org/math/6/f/4/6f43547221159f7acd9ae444f206954f.png)
Once again, it is better to leave pure elements until the end, so first we'll balance carbon and hydrogen. Oxygen can then be balanced after. It is easy to see that one mole of butane will produce four moles of carbon dioxide and five moles of water.

![{\\color{OliveGreen}2}\\hbox{C}_{4}\\hbox{H}_{10} + {\\hbox{O}_{\\color{OliveGreen}2}} \\to {\\color{OliveGreen}8}\\hbox{CO}_{2} + {\\color{OliveGreen}10}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/9/7/d/97d81df2f9ad0610c17629f8cf152d8c.png)
Now there are 13 oxygen atoms on the right and two on the left. The odd number of oxygens prevents balancing with elemental oxygen. Because elemental oxygen is diatomic, this problem comes up in nearly every combustion reaction. Simply double every species except for oxygen to get an even number of oxygen atoms in the product.

![2\\hbox{C}_{4}\\hbox{H}_{10} + {\\color{Blue}13}{\\hbox{O}_{\\color{Blue}2}} \\to {\\color{Blue}8}\\hbox{CO}_{\\color{Blue}2} + {\\color{Blue}10}\\hbox{H}_{2}\\hbox{O}](../../../upload.wikimedia.org/math/7/7/f/77f4cbc4809bffa9342eeb5944689194.png)
The carbon and hydrogens are still balanced, and now there are an even number of oxygens in the product. Finally, the reaction can be balanced.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that every equation must _always_ be balanced. If it's not balanced, it is incorrect.

  


# Limiting Reactants and Percent Yield

* * *

← [Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) ·[Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) →

[← Balancing Equations](http://en.wikibooks.org/wiki/General_Chemistry/Balancing_Equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Types of chemical reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Limiting Reactants

When chemical reactions occur, the reactants undergo change to create the products. The _coefficients_ of the chemical equation show the relative amounts of substance needed for the reaction to occur. Consider the combustion of propane:

![\\hbox{C}_3\\hbox{H}_8 + 5\\hbox{O}_2 \\to 3\\hbox{CO}_2 + 4\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/9/5/2/95201ed4b9e9957af9cc9aff12187753.png)

For every one mole of propane, there must be five moles of oxygen. For every one mole of propane combusted, there will be three moles of carbon dioxide and four moles of water produced (along with much heat). If a propane grill is burning, there will be a very large amount of oxygen available to react with the propane gas. In this case, oxygen is the **excess reactant**. There is so much oxygen that the exact amount doesn't matter—it will not run out.

On the other hand, there is not an unlimited amount of propane. It will run out far before the oxygen runs out, making it a **limiting reactant**. The amount of propane available will decide how far the reaction will go.

Example
2H2 \+ O2 → 2H2O

_If there are three moles of hydrogen, and one mole of oxygen, which is the limiting reactant? How much product is created?_

Twice as much hydrogen than oxygen is required. However, there is more than twice as much hydrogen. Thus hydrogen is the excess reactant and oxygen is the limiting reactant. If the reaction proceeds to completion, all of the oxygen will be used up, and one mole of hydrogen will remain. You can imagine this situation like this:

3H2 \+ O2 → 2H2O + H2

The reactant that is left over after the reaction is complete is called the "excess reactant". Often, you will want to figure out how much of the excess reactant is left after the reaction is complete. to do this, first use mole ratios to determine how much excess reactant is used up in the reaction.

Here are the ratios that need to be used:

![\\left \( \\frac{\\text{moles  of  limiting  reactant}}{1} \\right \)	*\\left \( \\frac{\\text{coefficient  of  product}}{\\text{coefficient of limiting reactant}} \\right \)	=  \\text{moles of excess remaining}](../../../upload.wikimedia.org/math/a/b/f/abf823262529ed47a17e2eca3728d197.png)

## Percent Yield

Usually, less product is made than theoretically possible. The **actual yield** is lower than the **theoretical yield**. To compare the two, one can calculate **percent yield**, which is ![ \\frac{actual~yield}{theoretical~yield} \\times 100](../../../upload.wikimedia.org/math/7/0/7/707c83067bb00fabc45c4c25326b87cf.png).

The percent yield tells us how far the reaction actually went.  


# Types of Chemical Reactions

* * *

← [Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) ·[Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) →

[← Limiting Reactants and Percent Yield](http://en.wikibooks.org/wiki/General_Chemistry/Limiting_Reactants_and_Percent_Yield) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Energy changes in chemical reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical reactions can be divided into several classes each having similar characteristics. These different types of reactions will be discussed in greater detail throughout the book. You will find that almost every reaction you see can fall into one of these categories, so make sure that you understand them.

## Synthesis Reactions

Helpful Hint!

Synthesis reactions always yield one product. Reversing a synthesis reaction will give you a _decomposition reaction_.

The general form of a synthesis reaction is A + B → AB. Synthesis reactions "put things together".

![2\\hbox{H}_{2\(g\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/8/8/f/88f0f26c82f526005c39350f17289430.png)
This is the most well-known example of a synthesis reaction—the formation of water via the fusion of hydrogen gas and oxygen gas.

![2\\hbox{Na}_{\(s\)} + \\hbox{Cl}_{2\(g\)} \\to 2\\hbox{NaCl}_{\(s\)}](../../../upload.wikimedia.org/math/d/a/6/da6eb65db17b911ef498fad5be0854a4.png)
Another example of a synthesis reaction is the formation of sodium chloride (table salt).

Because of the very high reactivities of sodium metal and chlorine gas, this reaction releases a tremendous amount of heat and light energy. Recall that atoms release energy as they become stable, and consider the octet rule when determining why this reaction is so favorable.

## Decomposition Reactions

These are the opposite of synthesis reactions, with the format AB → A + B. Decomposition reactions "take things apart". Just as synthesis reactions can only form one product, decomposition reactions can only start with one reactant. Compounds that are unstable will decompose quickly without outside assistance.

![2\\hbox{H}_2\\hbox{O}_{\(l\)} \\xrightarrow{electricity} 2\\hbox{H}_{2\(g\)} + \\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/f/b/9/fb9e7b6fcdae936639e2d1aedc1899a0.png)
One example is the electrolysis of water (passing water through electrical current) to form hydrogen gas and oxygen gas.

![2\\hbox{H}_2\\hbox{O}_{2\(l\)} \\to 2\\hbox{H}_{2}\\hbox{O}_{\(l\)} + \\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/5/d/e/5de859fd4776b224b1ca7278a41942b2.png)
Hydrogen peroxide slowly decomposes into water and oxygen because it is somewhat unstable. The process is sped up by the energy from light, so hydrogen peroxide is stored in dark containers to slow down the decomposition.

![\\hbox{H}_2\\hbox{CO}_{3\(aq\)} \\to \\hbox{H}_{2}\\hbox{O}_{\(l\)} + \\hbox{C}\\hbox{O}_{2\(g\)}](../../../upload.wikimedia.org/math/0/5/e/05ebd7b1e24bafbd60184a03cbe6efcc.png)
Carbonic acid is the carbonation that is dissolved in soda. It decomposes into carbon dioxide and water, which is why an opened drink will not lose its fizz.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Decomposition, aside from happening spontaneously in unstable compounds, occurs under three conditions: thermal, electrolytic, and catalytic. _Thermal decomposition_ occurs when a substance is heated. _Electrolytic decomposition_, as shown above, is the result of an electric current. _Catalytic decomposition_ happens because a catalyst breaks apart a substance.

## Single Replacement Reactions

Single replacement reactions, also called single displacement, swap one component with another, in the format AB + C → AC + B.

Adding hydrochloric acid to zinc will cause a gas to bubble out:

![\\hbox{Zn}_{\(s\)} + 2\\hbox{HCl}_{\(aq\)} \\to \\hbox{ZnCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/5/4/4/5443d91d54f5e61832a04dea90a07fb9.png)

## Double Replacement Reactions

In these reactions, also known as "double displacement reactions", two compounds swap components, in the format AB + CD → AD + CB

## Double Displacement

this is also called an "exchange". Here are the examples below:

1.) HCl + NaOH ----> NaCl + H2O

### Precipitation

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Precipitation (chemistry)**_](http://en.wikipedia.org/wiki/Precipitation_\(chemistry\))

A precipitation reaction occurs when an **ionic** substance comes out of solution and forms an insoluble (or slightly soluble) solid. The solid which comes out of solution is called a **precipitate**. This can occur when two soluble salts (ionic compounds) are mixed and form an insoluble one—the precipitate.

![\\hbox{2Pb}\(\\hbox{NO}_3\)_{2\(aq\)} + heat_{\(aq\)} \\to \\hbox{2PbO}_{\(s\)} + 4\\hbox{NO}_{2\(aq\)}+{2O}_2](../../../upload.wikimedia.org/math/5/d/e/5deecefe08537174a3b7eaabd720c52c.png)
An example is lead nitrate mixed with potassium iodide, which forms a bright yellow precipitate of lead iodide.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{NO}_{3\(aq\)}^- + 2\\hbox{K}_{\(aq\)}^+ + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)} + 2\\hbox{K}_{\(aq\)}^+ + 2\\hbox{NO}_{3\(aq\)}^-](../../../upload.wikimedia.org/math/3/b/2/3b2dcedc29c8bc179f445d2c72c1b431.png)
Note that the lead iodide is formed as a solid. The previous equation is written in molecular form, which is not the best way of describing the reaction. Each of the elements really exist in solution as individual ions, not bonded to each other (as in potassium iodide crystals). If we write the above as an **ionic equation**, we get a much better idea of what is actually happening.

![\\hbox{Pb}_{\(aq\)}^{2+} + 2\\hbox{I}_{\(aq\)}^- \\to \\hbox{PbI}_{2\(s\)}](../../../upload.wikimedia.org/math/2/8/6/28695f3472f1df6ba8aa491f4036ae86.png)
Notice the like terms on both sides of the equation. These are called _spectator ions_ because they do not participate in the reaction. They can be ignored, and the **net ionic equation** is written.

In the solution, there exists both lead and iodide ions. Because lead iodide is insoluble, they spontaneously crystallise and form the precipitate.

### Acid-Base Neutralization

In simple terms, an acid is a substance which can lose a H+ ion (i.e. a proton) and a base is a substance which can accept a proton. When equal amounts of an acid and base react, they **neutralize** each other, forming species which aren't as acidic or basic.

![\\hbox{HCl}_{\(aq\)} + \\hbox{NaOH}_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{NaCl}_{\(aq\)}](../../../upload.wikimedia.org/math/9/d/f/9df18f2bd22cbc0b5a2e1ebdced333e8.png)
For example, when hydrochloric acid and sodium hydroxide react, they form water and sodium chloride (table salt).

![\\hbox{H}^+_{\(aq\)} + \\hbox{OH}^-_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/8/d/7/8d79066a4cb91c9f9f0989a7d776d134.png)
Again, we get a clearer picture of what's happening if we write a net ionic equation.

Acid base reactions often happen in aqueous solution, but they can also occur in the gaseous state. Acids and bases will be discussed in much greater detail in the [acids and bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) section.

## Combustion

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Combustion_methane_intl.png/220px-Combustion_methane_intl.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The combustion of methane (releasing heat and light)

Combustion, better known as burning, is the combination of a substance with oxygen. The products are carbon dioxide, water, and possible other waste products. Combustion reactions release large amounts of heat. C3H8, better known as propane, undergoes combustion. The balanced equation is:

![\\hbox{C}_3\\hbox{H}_8 + 5\\hbox{O}_2 \\to 3\\hbox{CO}_2 + 4\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/9/5/2/95201ed4b9e9957af9cc9aff12187753.png)

Combustion is similar to a decomposition reaction, except that oxygen and heat are required for it to occur. If there is not enough oxygen, the reaction may not occur. Sometimes, with limited oxygen, the reaction will occur, but it produces carbon monoxide (CO) or even soot. In that case, it is called _incomplete combustion_. If the substances being burned contain atoms other than hydrogen and oxygen, then waste products will also form. Coal is burned for heating and energy purposes, and it contains sulfur. As a result, sulfur dioxide is released, which is a pollutant. Coal with lower sulfur content is more desirable, but more expensive, because it will release less of the sulfur-based pollutants.

## Organic Reactions

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Carboxyl3D.png/170px-Carboxyl3D.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This is _carboxylic acid_. All functional groups end with an "R"—a placeholder for the rest of the molecule.

Organic reactions occur between organic molecules (molecules containing carbon and hydrogen). Since there is a virtually unlimited number of organic molecules, the scope of organic reactions is very large. However, many of the characteristics of organic molecules are determined by **functional groups**—small groups of atoms that react in predictable ways.

Another key concept in organic reactions is Lewis basicity. Parts of organic molecules can be electrophillic (electron-loving) or nucleophillic (nucleus, or positive loving). Nucleophillic regions have an _excess_ of electrons—they act as Lewis bases—whereas electrophillic areas are electron deficient and act as Lewis acids. The nucleophillic and electrophillic regions attract and react with each other (needless to say, this has inspired many terrible organic chemistry jokes).

Organic reactions are beyond the scope of this book, and are covered in more detail in [Organic Chemistry](http://en.wikibooks.org/wiki/Organic_Chemistry). However, most organic substances can undergo replacement reactions and combustion reactions, as you have already learned.

## Redox

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Redox_reaction.png/220px-Redox_reaction.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The formation of hydrogen fluoride causes fluoride to oxidize and hydrogen to reduce.

Redox is an abbreviation of **reduction/oxidation** reactions. This is exactly what happens in a redox reaction, one species is **reduced** and another is **oxidized**. Reduction involves a gain of electrons and oxidation involves a loss, so a redox reaction is one in which electrons are _transferred_ between species. Reactions where something is "burnt" (burning means being oxidised) are examples of redox reactions, however, oxidation reactions also occur in solution, which is very useful and forms the basis of electrochemistry.

Redox reactions are often written as two **half-reactions** showing the reduction and oxidation processes separately. These half-reactions are balanced (by multiplying each by a coefficient) and added together to form the full equation. When magnesium is burnt in oxygen, it loses electrons (it is oxidised). Conversely, the oxygen gains electrons from the magnesium (it is reduced).

![\\begin{matrix}
\\hbox{Mg} &\\to& \\hbox{Mg}^{2+} + 2e^- & \\times 2 \\\\
\\hbox{O}_2 + 4e^- &\\to& 2\\hbox{O}^{2-} & \\times 1 \\\\
2\\hbox{Mg} + \\hbox{O}_2 + 4e^- &\\to& 2\\hbox{MgO} + 4e^- & \\ \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/4/9/e/49ec980c2b9b29bb012e0c61a954ea98.png)

Redox reactions will be discussed in greater detail in the [redox](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) section.  


# Energy Changes in Chemical Reactions

* * *

← [Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) ·[Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) →

[← Types of chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Predicting Chemical Reactions →](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Exothermic and Endothermic Reactions

The release of energy in chemical reactions occurs when the reactants have higher chemical energy than the products. The chemical energy in a substance is a type of potential energy stored within the substance. This stored chemical potential energy is the _heat content_ or **enthalpy** of the substance.

The collection of substances that is involved in a chemical reaction is referred to as a _system_ and anything else around it is called the _surroundings_.

If the enthalpy decreases during a chemical reaction, a corresponding amount of energy must be released to the surroundings. Conversely, if the enthalpy increases during a reaction, a corresponding amount of energy must be absorbed from the surroundings. This is simply the **Law of Conservation of Energy**.

**Endothermic** reactions increase their enthalpy by absorbing heat. They feel cold to the touch after they have occurred.

**Exothermic** reactions decrease their enthalpy by releasing heat. They will get warm, and may even burn or explode if they release enough heat.

You are already familiar with enthalpy: melting ice is endothermic and freezing water is exothermic.

**Examples**

When methane burns in air the heat given off equals the decrease in enthalpy that occurs as the reactants are converted to products. 

  


![\\hbox{CH}_{4\(g\)} + 2\\hbox{O}_{2\(g\)} \\to \\hbox{CO}_{2\(g\)} + 2\\hbox{H}_2\\hbox{O}_{\(g\)} + energy](../../../upload.wikimedia.org/math/9/3/e/93efbc80b1a41c3647a85f0fa3905d1e.png)

  
The enthalpy difference between the reactants and the products is equal to the amount of energy released to the surroundings. A reaction in which energy is released to the surroundings is called an _exothermic_ reaction. In this type of reaction the enthalpy, or stored chemical energy, is lower for the products than the reactants.

When ammonium nitrate is dissolved in water, energy is absorbed and the water cools. This concept is used in "cold packs". 

  


![\\hbox{NH}_{4}\\hbox{NO}_{3\(s\)} + water + energy \\to \\hbox{NH}^+_{4\(aq\)} + \\hbox{NO}^-_{3\(aq\)}](../../../upload.wikimedia.org/math/8/c/4/8c4f4928e4038ec9861d8f9a9507c108.png)

  
The enthalpy difference between the reactants and the products is equal to the amount of energy absorbed from the surroundings. A reaction in which energy is absorbed from the surroundings is called an _endothermic_ reaction. In endothermic reactions the enthalpy of the products is greater than the enthalpy of the reactants.

Because reactions release or absorb energy, they affect the temperature of their surroundings. Exothermic reactions heat up their surroundings while endothermic reactions cool them down. The study of enthalpy, along with many other energy-related topics, is covered in the [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) Unit.

## Activation Energy

Think about the combustion of methane. It releases enough heat energy to cause a fire. However, the reaction does not occur automatically. When methane and oxygen are mixed, an explosion does not instantly occur. First, the methane must be ignited, usually with a lighter or matchstick. This reveals something about reactions: they will not occur unless a certain amount of **activation energy** is added first. In this sense, all reactions absorb energy before they begin, but the exothermic reactions release even more energy. This can be explained with a graph of potential energy:

![Ac com.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/91/Ac_com.svg/220px-Ac_com.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This graph shows an exothermic reaction because the products are at a lower energy than the reactants (so heat has been released). Before that can happen, the energy must actually _increase_. The amount of energy added before the reaction can complete is the activation energy, symbolized **Ea**.  


# Predicting Chemical Reactions

* * *

← [Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) ·[Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) →

[← Energy changes in chemical reactions](http://en.wikibooks.org/wiki/General_Chemistry/Energy_changes_in_chemical_reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Oxidation state →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Types of Reactions

There are several guidelines that can help you predict what kind of chemical reaction will occur between a mixture of chemicals.

  * Several pure elements mixed together may undergo a [synthesis reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Synthesis_Reactions).
  * A single compound may undergo a [decomposition reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Decomposition_Reactions). It often forms water or hydrogen gas.
  * A pure element mixed with an ionic compound may undergo a [single replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Single_Replacement_Reactions).
  * Two different ionic compounds are very likely to undergo a [double replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reactions).
  * An organic compound (containing carbon and hydrogen) can usually react with oxygen in a [combustion reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Combustion).

However, not all elements will react with each other. To better predict a chemical reaction, knowledge of the _reactivity series_ is needed.

## Reactivity

When combining two chemicals, a single- or double-replacement reaction doesn't always happen. This can be explained by a list known as the **reactivity series**, which lists elements in order of reactivity. The higher on the list an element is, the more elements it can replace in a single- or double-replacement reaction. When deciding if a replacement reaction will occur, look up the two elements in question. The higher one will replace the lower one.

Elements at the very top of the series are so reactive that they can replace hydrogen from water. This explains the explosive reaction between sodium and water:

![2\\hbox{Na}_{\(s\)} + 2\\hbox{H}_2\\hbox{O}_{\(l\)} \\to 2\\hbox{NaOH}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/7/3/6/7369fe187a824b823c0c78c06ccbf99d.png)

Elements in the middle of the list will react with acids (but not water) to produce a salt and hydrogen gas. Elements at the bottom of the list are mostly nonreactive.

Elements near the top of the list will corrode (rust, tarnish, etc.) in oxygen much faster than those at the bottom of the list.

### The Reactivity Series

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Reactivity series**_](http://en.wikipedia.org/wiki/Reactivity_series)

  * Red: elements that react with water and acids to form hydrogen gas, and with oxygen.
  * Orange: elements that react very slowly with water but strongly with acids.
  * Yellow: elements that react with acid to form hydrogen gas, and with oxygen.
  * Grey: elements that react with oxygen (tarnish).
  * White: elements that are often found pure; relatively nonreactive.

**Most Reactive**

Cs

K

Na

Li

Sr

Ca

Rb

Ba

Mg

Al

_(C)_

Mn

Zn

Cr

Fe

Cd

Co

Ni

Sn

Pb

_(H2)_

Sb

Bi

Cu

Hg

Ag

Pt

Au

**Least Reactive**

  


# Oxidation States

* * *

← [Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) ·[Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) →

[← Predicting Chemical Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Oxidation and Reduction equations →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Oxidation state**_](http://en.wikipedia.org/wiki/Oxidation_state)

**Oxidation states** are used to determine the degree of _oxidation_ or _reduction_ that an element has undergone when bonding. The oxidation state of a compound is the sum of the oxidation states of all atoms within the compound, which equals zero unless the compound is ionic.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

*_Gaining_ electrons is **reduction**. 

  * _Losing_ electrons is **oxidation**.

The oxidation state of an atom within a molecule is the charge it _would_ have _if_ the bonding were completely ionic, even though covalent bonds do not actually result in charged ions.

## Method of notation

Oxidation states are written above the element or group of elements that they belong to (when drawing the molecule), or written with roman numerals in parenthesis when naming the elements.

**Examples**

![\\begin{matrix} _0 \\\\ Al \\end{matrix}](../../../upload.wikimedia.org/math/5/e/2/5e218127cb534ada2d1581356d11294a.png)
aluminum

![\\begin{matrix} _{+3} \\\\ Al \\end{matrix}](../../../upload.wikimedia.org/math/4/b/9/4b90af0f8870b073ff526bf98df81711.png)
aluminum(III), an ion

## Determining oxidation state

### For single atoms or ions

Because oxidation numbers are just the sum of the electrons gained or lost, calculating them for single elements is easy.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The oxidation state of a single element is the same as its charge. Pure elements always have an oxidation states of zero.

**Examples**

![\\begin{matrix} _1 \\\\ K^+ \\end{matrix}](../../../upload.wikimedia.org/math/b/4/7/b47155457b5ad16253dbd328780d280f.png)

![\\begin{matrix} _0 \\\\ Br \\end{matrix}](../../../upload.wikimedia.org/math/2/b/7/2b765c1e9919b8a458923a5dd38a7d27.png)

![\\begin{matrix} _1 & _{-1} \\\\ Na & Cl \\end{matrix}](../../../upload.wikimedia.org/math/5/d/a/5da3113daea16f75eba835db3f0487cd.png)

Notice that the oxidation states of ionic compounds are simple to determine.

### For larger molecules

Helpful Hint!

Remember that all the individual oxidation states must add up to the charge on the whole substance.

Although covalent bonds do not result in charges, oxidation states are still useful. They label the hypothetical transfer of electrons _if_ the substance were ionic. Determining the oxidation states of atoms in a covalent molecule is very important when analyzing "redox" reactions. When substances react, they may transfer electrons when they form the products, so comparing the oxidation states of the products and reactants allows us to keep track of the electrons.

**Examples**

![\\begin{matrix} _{+1} & _{-1} \\\\ H & Cl \\end{matrix}](../../../upload.wikimedia.org/math/a/4/4/a441a12f1effa190eab3b1e5daa98f5b.png)
for hydrogen chloride

![\\begin{matrix} _{2\(+1\)} & _{-2} \\\\ H_2 & O \\end{matrix}](../../../upload.wikimedia.org/math/1/9/4/194a5d1349b06abb81cfb13b7e81d935.png)
for water

![\\begin{matrix} _{+3} & _{2\(-2\)} \\\\ Cl & O_2 \\end{matrix}](../../../upload.wikimedia.org/math/7/1/1/711ae9e078c2e86a48429cce40916f7e.png)
for the chlorite ion  


(notice the overall charge)

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Oxidation states do not necessarily represent the actual charges on an atom in a molecule. They are simply numbers that indicate what the charges would be if that atom had gained or lost the electrons involved in the bonding. For example, ![CH_4](../../../upload.wikimedia.org/math/3/b/9/3b9d05a6865f6f9aa3e1ed43601459bc.png) is a covalent molecule—the C has no charge nor does the H, however the molecule can be assigned a -4 oxidation state for the C and a +1 oxidation state for the H's.

  
DETERMINING OXIDATION STATES

  
The determination of oxidation states is based on knowing which elements can have only one oxidation state other than the elemental state and which elements are able to form more than one oxidation state other than the elemental state. Let's look at some of the "rules" for determining the oxidation states.

1\. The oxidation state of an element is always zero.

2\. For metals, the charge of the ion is the same as the oxidation state. The following metals form only one ion: Group IA, Group IIA, Group IIIA (except Tl), Zn2+, Cd2+.

3\. For monatomic anions and cations, the charge is the same as the oxidation state.

4\. Oxygen in a compound is -2, unless a peroxide is present. The oxidation state of oxygen in peroxide ion , O22- is -1.

5\. For compounds containing polyatomic ions, use the overall charge of the polyatomic ion to determine the charge of the cation. Here is a convenient method for determining oxidation states. Basically, you treat the charges in the compound as a simple algebraic expression. For example, let's determine the oxidation states of the elements in the compound, KMnO4. Applying rule 2, we know that the oxidation state of potassium is +1. We will assign "x" to Mn for now, since manganese may be of several oxidation states. There are 4 oxygens at -2. The overall charge of the compound is zero: K Mn O4 +1 x 4(-2)

The algebraic expression generated is: 1 + x -8 = 0

Solving for x gives the oxidation state of manganese: x - 7 = 0 x = +7 K Mn O4 +1 +7 4(-2)

Suppose the species under consideration is a polyatomic ion. For example, what is the oxidation state of chromium in dichromate ion, (Cr2O72-)?

As before, assign the oxidation state for oxygen, which is known to be -2. Since the oxidation state for chromium is not known, and two chromium atoms are present, assign the algebraic value of 2x for chromium: Cr2 O7 2- 2x 7(-2)

Set up the algebraic equation to solve for x. Since the overall charge of the ion is -2, the expression is set equal to -2 rather than 0: 2x + 7(-2) = -2

Solve for x: 2x - 14 = -2 2x = 12 x = +6

Each chromium in the ion has an oxidation state of +6. Let's do one last example, where a polyatomic ion is involved. Suppose you need to find the oxidation state of all atoms in Fe2(CO3)3. Here two atoms, iron and carbon, have more than one possible oxidation state. What happens if you don't know the oxidation state of carbon in carbonate ion? In fact, knowledge of the oxidation state of carbon is unnecessary. What you need to know is the charge of carbonate ion (-2). Set up an algebraic expression while considering just the iron ion and the carbonate ion: Fe2 (CO3)3 2x 3(-2) 2x - 6 = 0 2x = 6 x = 3

Each iron ion in the compound has an oxidation state of +3. Next consider the carbonate ion independent of the iron(III) ion: C O3 2- x 3(-2) x - 6 = -2 x = +4

The oxidation state of carbon is +4 and each oxygen is -2.

## Guidelines

Determining oxidation states is not always easy, but there are many guidelines that can help. This guidelines in this table are listed in order of importance. The highest oxidation state that any element can reach is +8 in XeO4.

Element Usual Oxidation State

Fluorine
Fluorine, being the most electronegative element, will always have an oxidation of -1 (except when it is bonded to itself in F2, when its oxidation state is 0).

Hydrogen
Hydrogen always has an oxidation of +1, -1, or 0. It is +1 when it is bonded to a non-metal (e.g. HCl, hydrochloric acid). It is -1 when it is bonded to metal (e.g. NaH, sodium hydride). It is 0 when it is bonded to itself in H2.

Oxygen
Oxygen is usually given an oxidation number of -2 in its compounds, such as H2O. The exception is in peroxides (O2-2) where it is given an oxidation of -1. Also, in F2O oxygen is given an oxidation of +2 (because fluorine must have -1), and in O2, where it is bonded only to itself, the oxidation is 0.

Alkali Metals
The Group 1A metals always have an oxidation of +1, as in NaCl. The Group 2A metals always have an oxidation of +2, as in CaF2. There are some rare exceptions that don't need consideration.

Halogens
The other halogens (Cl, Br, I, As) usually have an oxidation of -1. When bonded to another halogen, its oxidation will be 0. However, they can also have +1, +3, +5, or +7. Looking at the family of chlorides, you can see each oxidation state (Cl2 (0), Cl- (-1), ClO- (+1), ClO2- (+3), ClO3- (+5), ClO4- (+7)).

Nitrogen
Nitrogen (and the other Group 5A elements, such as phosphorus, P) often have -3 (as in ammonia, NH3), but may have +3 (as in NI3) or +5 (as in phosphate, PO43-).

Carbon
Carbon can literally have any oxidation state (from -4, as in CH4, to +4, as in CF4). It is best to find the oxidation of other elements first.

In general, _the more electronegative element has the negative number_. Using a chart of electronegativities, you can determine the oxidation state of any atom within a compound.

## Periodicity

Oxidation states are another periodic trend. They seem to repeat a pattern across each period.

![Langmuir valence.png](../../../upload.wikimedia.org/wikipedia/commons/8/89/Langmuir_valence.png)

  


# Redox Reactions

* * *

← [Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) ·[Redox Reactions/Electrochemistry](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Electrochemistry) →

[← Redox Reactions/Oxidation state](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_state) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Redox Reactions/Electrochemistry →](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Electrochemistry)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Redox

Redox reactions are chemical reactions in which elements are oxidized and reduced.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

*_Losing_ electrons is **oxidation**. 

  * _Gaining_ electrons is **reduction**.

Specifically, at the most basic level one element gets _oxidized_ by losing, or donating, electrons to the _oxidizing agent_. In doing so, the oxidizing agent gets _reduced_ by accepting the electrons lost, or donated, by the _reducing agent_ (i.e. the element getting oxidized).

If it seems as though there are two separate things going on here, you are correct: redox reactions can be split into two **half-reactions**, one dealing with oxidation, the other, reduction.

### Mnemonic

Oil Rig

**O**xidation **I**s **L**oss. **R**eduction **I**s **G**ain

Alternatively:

LEO GER

**L**oose **E**lectrons **O**xidation. **G**ain **E**lectrons **R**eduction

### Example

![\\hbox{Fe} + \\hbox{Cu}^{2+} \\to \\hbox{Fe}^{2+} + \\hbox{Cu}](../../../upload.wikimedia.org/math/7/2/6/72640d39df6f1232647f804dbbc10fe3.png)
This is the complete reaction. Iron is oxidized, thus it is the reducing agent. Copper is reduced, making it the oxidizing agent.

![\\hbox{Fe} \\to \\hbox{Fe}^{2+} + 2e^-](../../../upload.wikimedia.org/math/8/b/8/8b80358cc40b82b52d5a772bc538a81e.png)
This is the oxidation half-reaction.

![\\hbox{Cu}^{2+} + 2e^-\\to \\hbox{Cu}](../../../upload.wikimedia.org/math/a/9/f/a9f86b703a9ed54e2249d64f9caaf7e9.png)
This is the reduction half-reaction.

When the two half-reactions are summed, the result is:

Helpful Hint!

If you cancel out the electrons on both sides, you get the original equation.
![\\begin{align}
\\hbox{Fe} & \\to \\hbox{Fe}^{2+} + 2e^- \\\\
\\hbox{Cu}^{2+} + 2e^- & \\to \\hbox{Cu} \\\\
\\hline
\\hbox{Fe} + \\hbox{Cu}^{2+} + 2e^- & \\to \\hbox{Cu} + \\hbox{Fe}^{2+} + 2e^- \\\\
\\end{align}
](../../../upload.wikimedia.org/math/e/0/3/e0370b3158e93708ab74ed4603f9c68a.png)

## Balancing Redox Equations

In a redox reaction, _all electrons must cancel out_. If you are adding two half-reactions with unequal numbers of electrons, then the equations must be multiplied by a common denominator. This process is similar to balancing regular equations, but now you are trying to balance the electrons between two half-reactions.

### Example

![\\begin{align}
\\hbox{Fe}^{2+} & \\to \\hbox{Fe}^{3+} + e^- \\\\
\\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- \\\\
\\hline
\\hbox{Fe}^{2+} + \\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- + \\hbox{Fe}^{3+} + e^- \\\\
\\end{align}
](../../../upload.wikimedia.org/math/f/1/8/f184bf61a39e7085df13f71649ba6f7b.png)

The electrons don't completely cancel out. There is one electron more on the left. However, if you double _all_ terms in the first half-reaction, then add it to the second half-reaction, the electrons will cancel out completely. That means the half-reactions for this redox reaction are actually:

![\\begin{align}
2\\hbox{Fe}^{2+} & \\to 2\\hbox{Fe}^{3+} + 2e^- \\\\
\\hbox{H}_2\\hbox{O}_2 + 2e^- & \\to 2 \\hbox{OH}^- \\\\
\\hline
2\\hbox{Fe}^{2+} + \\hbox{H}_2\\hbox{O}_2 & \\to 2 \\hbox{OH}^- + 2\\hbox{Fe}^{3+} \\\\
\\end{align}
](../../../upload.wikimedia.org/math/a/1/e/a1e878cafb6008e278035ce189cc0e54.png)

  


## Balancing Redox Equations in an Acidic or Basic Solution

If a reaction occurs in an [acidic or basic](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) environment, the redox equation is balanced as follows:

  1. Write the oxidation and reduction half reactions, but with the whole compound, not just the element that is reduced/oxidized.
  2. Balance both reactions for all elements _except_ oxygen and hydrogen.
  3. If the oxygen atoms are not balanced in either reaction, add water molecules to the side missing the oxygen.
  4. If the hydrogen atoms are not balanced, add hydrogen ions until the hydrogen atoms are balanced.
  5. Multiply the half reactions by the appropriate number (so that they have equal numbers of electrons).
  6. Add the two equations to cancel out the electrons, as in the previous method, and the equation is balanced!

If the reaction occurs in a basic environment, proceed as if it is in an acid environment, but, after step 4, for each hydrogen ion added, add a hydroxide ion to both sides of the equation. Then, combine the hydroxide ions and hydrogen ions to form water. Then, cancel all the water molecules that appear on both sides.  


# Electrochemistry

* * *

← [Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) ·[Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) →

[← Redox Reactions/Oxidation and Reduction equations](http://en.wikibooks.org/wiki/General_Chemistry/Redox_Reactions/Oxidation_and_Reduction_equations) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Aqueous Solutions →](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Redox Reactions (review)

Redox (shorthand for reduction/oxidation reaction) describes all chemical reactions in which atoms have their oxidation number (oxidation state) changed.

This can be either a simple redox process such as the oxidation of carbon to yield carbon dioxide, or the reduction of carbon by hydrogen to yield methane (CH4), or it can be a complex process such as the oxidation of sugar in the human body through a series of very complex electron transfer processes.

The term redox comes from the two concepts of reduction and oxidation. It can be explained in simple terms:

Non-redox reactions, which do not involve changes in formal charge, are known as _metathesis reactions_.

  * _Oxidation_ describes the loss of electrons by a molecule, atom, or ion
  * _Reduction_ describes the gain of electrons by a molecule, atom, or ion

However, these descriptions (though sufficient for many purposes) are not truly correct. Oxidation and reduction properly refer to a change in oxidation number—the actual transfer of electrons may never occur. Thus, oxidation is better defined as an increase in oxidation number, and reduction as a decrease in oxidation number. In practice, the transfer of electrons will always cause a change in oxidation number, but there are many reactions which are classed as "redox" even though no electron transfer occurs (such as those involving covalent bonds).

## Electrochemistry

**Electrochemistry** is a branch of chemistry that deals with the flow of electricity by chemical reactions. The electrons in a balanced half-reaction show the direct relationship between electricity and the specific redox reaction. Electrochemical reactions are either spontaneous, or nonspontaneous. A spontaneous redox reaction generates a voltage itself. A nonspontaneous redox reaction occurs when an external voltage is applied. The reactions that occur in an electric battery are electrochemical reactions.

Three components of an electrochemical reaction

  * A solution where redox reactions may occur (solutions are substances dissolved in liquid, usually water)
  * A conductor for electrons to be transferred (such as a metal wire)
  * A conductor for ions to be transferred (usually a _salt bridge_)

e.g. filter paper dipped in a salt solution.

### Electrolysis

An **electrolysis** experiment forces a nonspontaneous chemical reaction to occur. This is achieved when two [electrodes](http://en.wikipedia.org/wiki/Electrode) are submersed in an electrically conductive solution, and the electrical voltage applied to the two electrodes is increased until electrons flow. The electrode receiving the electrons, or where the reduction reactions occur, is called the [cathode](http://en.wikipedia.org/wiki/Cathode). The electrode which supplies the electrons, or where the oxidation reactions occur, is called the [anode](http://en.wikipedia.org/wiki/Anode).

A molten salt is an example of something that may be electrolyzed because salts are composed of ions. When the salt is in its solid state, the ions are not able to freely move. However, when the salt is heated enough until it melts (making it a molten salt), the ions are free to move. This mobility of the ions in the molten salt makes the salt electrically conductive. In the electrolysis of a molten salt, for example melted ![NaCl](../../../upload.wikimedia.org/math/4/6/4/4643d082402ba04afaf0e2d82452ac69.png), the cation of the salt (in this case ![Na^+](../../../upload.wikimedia.org/math/c/7/e/c7e0b608f324bba49719969f3394a11a.png)) will be reduced at the cathode, and the anion of the salt (in this case ![Cl^-](../../../upload.wikimedia.org/math/1/f/7/1f7305cf8c7126766df02a54b89c3a12.png)) will be oxidized at the anode:

    Cathode reaction: Na+ \+ e− → Na
    Anode reaction: 2Cl → Cl2 \+ 2e−

Aqueous solutions of salts can be electrolyzed as well because they are also electrically conductive. In aqueous solutions, there is an additional reaction possible at each the cathode and the anode:

    Cathode: 2H2O \+ 2e− → H2 \+ 2OH− (reduction of water)
    Anode: 2H2O → 4H+ \+ O2 \+ 4e− (oxidation of water)

With the addition of these two reactions, there are now two possible reactions at each electrode. At the cathode, either the reduction of the cation or the reduction of water will occur. At the anode, either the oxidation of the anion or the oxidation of water will occur. The following rules determine which reaction takes place at each electrode:

  * Cathode: If the cation is a very active metal, water will be reduced. Very active metals include Li, Na, K, Rb, Cs, Ca, Sr, and Ba. If the cation is an active or inactive metal, the cation will be reduced.
  * Anode: If the anion is a polyatomic ion, water will generally be oxidized. Specifically, sulfate, perchlorate, and nitrate ions are not oxidized; water will oxidize instead. Chloride, bromide, and iodide ions will be oxidized. If the anion in one salt is oxidized in an aqueous electrolysis, that same anion will also be oxidized in any other salt.

### Galvanic Cells

The energy of a spontaneous redox reaction is captured using a **galvanic cell**. The following parts are necessary to make a galvanic cell:

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Electrochemical_element_with_salt_bridge.png/220px-Electrochemical_element_with_salt_bridge.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The "ammeter" at the top measures the electrical current flowing through the wire. Electrons are flowing from copper to zinc, making zinc the oxidizing agent.

  1. Two [half cells](http://en.wikipedia.org/wiki/Half_cell)
  2. Two [electrodes](http://en.wikipedia.org/wiki/Electrode)
  3. One electrically conductive wire
  4. One [salt bridge](http://en.wikipedia.org/wiki/Salt_bridge)
  5. One device, usually an [ammeter](http://en.wikipedia.org/wiki/Ammeter) or a [voltmeter](http://en.wikipedia.org/wiki/Voltmeter)

A galvanic cell is constructed as shown in the image to the right. The two half-reactions are separated into two half cells. All of the reactants in the oxidation half-reaction are placed in one half cell (the anode), and all the reactants of the reduction half-reaction are placed in the other half cell (the cathode). If the half-reaction contains a metal, the metal serves as the electrode for that half cell. Otherwise, an inert electrode made of platinum, silver, or gold is used. The electrodes are connected with a wire which allows the flow of electrons. The electrons always flow from the anode to the cathode. The half cells are connected by a salt bridge which allows the ions in the solution to move from one half cell to the other, so that the reaction can continue. Since the overall reaction is spontaneous, the flow of electrons will move spontaneously through the outer circuitry from which the energy can be extirpated. The energy harnessed is useful because it can be used to do work. For example, if an electrical component such as a light bulb is attached to the wire, it will receive power from the flowing electrons.

Consistent results from a galvanic cell are dependent on three variables: pressure, temperature, and concentration. Thus, chemists defined a standard state for galvanic cells. The standard state for the galvanic cell is a pressure of 1.00 [atmospheric pressure](http://en.wikipedia.org/wiki/Atmospheric_pressure) (_atm_) for all gases, a temperature of 298 [kelvin](http://en.wikipedia.org/wiki/Kelvin) (_K_) and concentrations of 1.00 [molarity](http://en.wikipedia.org/wiki/Molarity) (_M_) for all soluble compounds, liquids, and solids.

## Voltage

Voltage is a measure of spontaneity of redox reactions, and it can be measured by a voltmeter. If the voltage of a reaction is positive, the reaction occurs spontaneously, but when negative, it does not occur spontaneously.

To compute the voltage of a redox equation, split the equation into its oxidation component and reduction component. Then, look up the voltages of each component on a [standard electrode potential table](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials). This table will list the voltage for the reduction equation. The oxidation reaction's voltage is negative of the corresponding reduction equation's voltage. To find the equation's voltage, add the standard voltages for each half reaction.

  


  


Aqueous Solutions

  


  


# Solubility

* * *

← [Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) ·[Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) →

[← Aqueous Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties of Solutions →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Types of Solutions

A **solution** is a homogenous mixture, composed of solvent(s) and solute(s). A **solvent** is any substance which allows other substances to dissolve in it. Therefore, it is usually present in the greater amount. **Solutes** are substances present in a solution. Note that when a solute dissolves in a solvent, no chemical bonds form between the solvent and solute.

Solutions have variable composition, unlike pure compounds whose composition is fixed. For example, a 500 mL solution of lemonade can consist of 70% water, 20% lemon juice, and 10% sugar. There can also be a 500 mL solution of lemonade consisting of 60% water, 25% lemon juice, and 15% sugar.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The most common type of solution is an **aqueous** solution, which is a solution where water is the solvent. Aqueous solutions are quite important. For example, acids and bases exist typically as aqueous solutions.

When two liquids can be readily combined in any proportions, they are said to be **miscible**. An example would be alcohol and water. Either of the two can totally dissolve each other in any proportion. Two liquids are defined as **immiscible** if they will not form a solution, such as oil and water. Solid solutes in a metallic solvent are known as **alloys**. Gold is an example of an alloy. It is too soft in its pure form, so other metals are dissolved in it. Jewelers may use 14-karat gold, which contains two-thirds gold and one-third other metals.

## Variables Affecting Solubility

Factor Concept Example

_Surface area_
More surface area gives more opportunity for solute-solvent contact
Powdered sugar will dissolve in water faster than rock candy.

_Temperature_
Solids are more soluble in hot solvents, gases are more soluble in cold solvents
Sugar dissolves more readily in hot water, but CO2 dissolves better in cold soda than warm soda.

_Polarity_
Non-polar compounds dissolve in non-polar solvents, and polar compounds dissolve in polar solvents. If one liquid is polar, and the other isn't, they are immiscible.
Alcohol and water are both polar, and they are miscible. Oil is non-polar and is immiscible in water.

_Pressure_
Gases dissolve better under higher pressure, due to greater forces pushing the gas molecules into the solvent.
Leaving the cap off a soda bottle will let the carbonation out.

_Agitation_
If a solution is agitated by stirring or shaking, there is an increase in kinetic motion and contact of particles. Therefore, the rate of solubility increases.
Everyone knows to stir their coffee after adding sugar.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In general, the rate of solubility is dependent on the intermolecular forces between substances. The maxim **"like dissolves like"** will help you remember that substances must both be polar or non-polar to dissolve.

## Dissolving at the Molecular Level

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/67/Na+H2O.svg/220px-Na+H2O.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A sodium ion in _solvation_ with water.

  1. The forces between the particles in the solid must be broken. This is an endothermic process called _dissociation_.
  2. Some of the intermolecular forces between the particles in the liquid must also be broken. This is endothermic.
  3. The particles of the solid and the particles in a liquid become attracted. This is an exothermic process called _solvation_.

### Example: Dissolving NaCl

When sodium chloride is added to water, it will dissolve. Water molecules are polar, and sodium chloride is ionic (which is very polar). The positive ends of the water molecules (the hydrogens) will be attracted to the negative chloride ions, and the negative ends of the water molecules (the oxygens) will be attracted to the positive sodium ions. The attractions are strong enough to separate sodium from chloride, so the solute _dissociates_, or breaks apart. The solute is then spread throughout the solvent. The polar water molecules prevent the ions from reattaching to each other, so the salt stays in solution.

## Important Concepts

### Saturation

  * When a solution can hold no more solute, it is said to be **saturated**. This occurs when there is an _equilibrium_ between the dissolved and undissolved solute.
  * If more solute can be added, the solution is **unsaturated**.
  * If a solution has more solute than is normally possible, due to the lowering or heightening of temperature, it is said to be **supersaturated**. If disturbed, the solution will rapidly form solid crystals.
  * **Solubility** is the measure of how many grams of solute can dissolve in 100 grams of solvent (or in the case of water, solute per 100 milliliters.)

### Hydration

Sometimes, compounds form crystals with a specific amount of water in them. For example, copper(II) sulfate is written as CuSO4 • 5H2O. For every mole of copper(II) sulfate, there are five moles of water attached. The atoms are arranged in a crystal lattice. Even if dried, the compound will still be hydrated. It will not feel moist, but there are water molecules within the crystal structure of the solid.

Intense heat will release the water from the compound. Its color may change, indicating a chemical change. When the **anhydrous** compound is dissolved in water, it will become hydrated again.

### Heats of Solution

Some chemicals change temperature when dissolved. This is due to a release or absorption of heat. The specific change is known as the **heat of solution**, measured in kJ/mol.

### Electrolytes

Some substances break up into ions and conduct electricity when dissolved. These are called **electrolytes**. All ionic compounds are electrolytes. Nonelectrolytes, on the other hand, do not conduct electricity when dissolved. Electrolytes are the reason that tap water conducts electricity. Tap water contains salts and other ions. If you have purified water, you will find that it does not conduct electricity at all. Upon dissolving some salt, it conducts electricity very well. The presence of ions allows electrons to move through the solution, and electricity will be conducted.

## Solubility Practice Questions

1\. In a mixture of 50 mL of benzene and 48 mL of octane,

    a) which substance is the solute?
    b) would these two substances form a solution?

2\. Solutions are formed as physical reactions. Using this principle, name two ways in which solutes can be separated from solvents.

3\. Three different clear, colourless liquids were gently heated in an evaporating dish. Liquid A left a white residue, liquid B left no residue, and liquid C left water. Identify each liquid solution as a pure substance or a solution.

4\. Compare three bottles of soda. Bottle A was stored at room temperature (25°C), bottle B was stored at 10°C, and bottle C was stored at 30°C.

    a) If you wanted a fizzy drink, which bottle would you choose?
    b) If you wanted to change the gas pressure of bottle C to that of bottle B, what could you do?

[Answers to Solubility Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Solubility/Answers)  


# Properties of Solutions

* * *

← [Solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) ·[Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) →

[← Solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Properties and Theories of Acids and Bases →](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Concentration

The **concentration** of a solution is the measure of how much solute and solvent there is. A solution is _concentrated_ if it contains a large amount of solute, or _dilute_ if contains a small amount.

### Molarity

Molarity is the number of moles of solute per liter of solution. It is abbreviated with the symbol M, and is sometimes used as a unit of measurement, e.g. a 0.3 molar solution of HCl. In that example, there would be 3 moles of HCl for every 10 liters of water (or whatever the solvent was).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Molarity is by far the most commonly used measurement of concentration.

### Molality

Molality is the number of moles of solute per kilogram of solvent. It is abbreviated with the symbol m (lowercase), and is sometimes used as a unit of measurement, e.g. a 0.3 molal solution of HBr. In that example, there would be 3 moles of HBr for every 10 kilograms of water (or whatever the solvent was).

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

One kilogram of water is one liter of water (near room temperature), but the molality is _not_ the same as the molarity. The molarity is the ratio of solute to solution, whereas the molality is the ratio of solute to solvent.

### Mole Fraction

The mole fraction is simply the moles of solute per moles of solution. As an example, you dissolve one mole of NaCl into three moles of water. Remember that the NaCl will dissociate into its ions, so there are now five moles of particles: one mole Na+, one mole Cl-, and three moles water. The mole fraction of sodium is 0.2, the mole fraction of chloride is 0.2, and the mole fraction of water is 0.6.

The mole fraction is symbolized with the Greek letter ![\\chi](../../../upload.wikimedia.org/math/7/9/c/79c40dd2b43f3c03eaf88b5fc4c199b8.png) (chi), which is often written simply as an X.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The sum of all mole fractions for a solution must equal 1.

## Dilution

_Dilution_ is adding solvent to a solution to obtain a less concentrated solution. Perhaps you have used dilution when running a lemonade stand. To cut costs, you could take a half-full jug of rich, concentrated lemonade and fill it up with water. The resulting solution would have the same total amount of sugar and lemon juice, but double the total volume. Its flavor would be weaker due to the added water.

Chemists often keep highly concentrated solutions of useful chemicals. They can quickly obtain more dilute solutions of known concentration by this method.

The key concept is that the amount of solute is constant before and after the dilution process. The concentration is decreased (and volume increased) only by adding solvent.

![moles_1 = moles_2](../../../upload.wikimedia.org/math/7/2/5/7251ce6badba5574932faff970db7a68.png)
Thus, the number of moles of solute before and after dilution are equal.

![M \\times V = moles](../../../upload.wikimedia.org/math/a/8/1/a81fb7ff8137107a2eca4e536a223197.png)
By definition of molarity, you can find the moles of solvent.

![M_1 \\times V_1 = M_2 \\times V_2](../../../upload.wikimedia.org/math/8/b/2/8b2b61a2d95994a7c5708ee96a4e962c.png)
Substituting the second equation into the first gives the **dilution equation**.

To determine the amount of solvent (usually water) that must be added, you must know the initial volume and concentration, and the desired concentration. Solving for ![V_2](../../../upload.wikimedia.org/math/4/9/2/4925ee5356b4ace0e28f0324cf3a81de.png) in the above equation will give you the _total_ volume of the diluted solution. Subtracting the initial volume from the total volume will determine the amount of pure solvent that must be added.

## Ionic Solutes

When ionic compounds dissolve in water, they separate into ions. This process is called **dissociation**. Note that because of dissociation, there are more moles of particles in the solution containing ions than there would be with the solute and solvent separated.

If you have two glasses of water, and you dissolve salt into one and sugar into the other, there will be a big difference in concentration. The salt will dissociate into its ions, but sugar (a molecule) will not dissociate. If the salt were NaCl, the concentration would be double that of the sugar. If the salt were MgCl2, the concentration would be triple (there are three ions).

### Solubility Rules

Not all ionic compounds are soluble. Some ionic compounds have so much attractive force between their anions and cations that they will not dissociate. These substances are _insoluble_ and will not dissolve. Instead, they clump together as a solid in the bottom of solution. Many ionic compounds, however, will dissociate in water and dissolve. In these cases, the attractive force between ion and water is greater than that between cation and anion. There are several rules to help you determine which compounds will dissolve and which will not.

Solubility Rules

  1. All compounds with Group 1 ions or ammonium ions are soluble.
  2. Nitrates, acetates, and chlorates are soluble.
  3. Compounds containing a halogen are soluble, except those with fluorine, silver, or mercury. If they have lead, they are soluble only in hot water.
  4. Sulfates are soluble, except when combined with silver, lead, calcium, barium, or strontium.
  5. Carbonates, sulfides, oxides, silicates, and phosphates are insoluble, except for rule #1.
  6. Hydroxides are insoluble except when combined with calcium, barium, strontium, or rule #1.

Sometimes, when two different ionic compounds are dissolved, they react, forming a **precipitate** that is insoluble. Predicting these reactions requires knowledge of the [activity series](http://en.wikibooks.org/wiki/General_Chemistry/Predicting_Chemical_Reactions) and solubility rules. These reactions can be written with all ions, or without the **spectator ions** (the ion that don't react, present on both sides of the reaction), a format known as the **net ionic equation**.

For example, silver nitrate is soluble, but silver chloride is not soluble (see the above rules). Mixing silver nitrate into sodium chloride would cause a cloudy white precipitate to form. This happens because of a [double replacement reaction](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reactions).

## Electrolytes

When solutes dissociate (or if a molecule _ionizes_), the solution can conduct electricity. Compounds that readily form ions, thus being good conductors, are known as **strong electrolytes**. If only a small amount of ions are formed, electricity is poorly conducted, meaning the compound is a **weak electrolyte**.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

A _strong electrolyte_ will dissolve completely. All ions dissociate. A _weak electrolyte_, on the other hand, will partially dissociate, but some ions will remain bonded together.

## Colligative Properties

Some properties are the same for all solute particles regardless of what kind. These are known as the **colligative properties**. These properties apply to **ideal solutions**, so in reality, the properties may not be exactly as calculated. In an ideal solution, there are no forces acting between the solute particles, which is generally not the case.

### Vapor Pressure

All liquids have a tendency for their surface molecules to escape and evaporate, even if the liquid is not at its boiling point. This is because the average energy of the molecules is too small for evaporation, but some molecules could gain above average energy and escape. **Vapor pressure** is the measure of the pressure of the evaporated vapor, and it depends on the temperature of the solution and the quantities of solute. More solute will decrease vapor pressure.

![P_{solution} = P_{pure~solvent} \\times \\chi_{solvent}](../../../upload.wikimedia.org/math/2/7/9/27905ae5913ccaddced319bdb4ea69ac.png)
The vapor pressure is given by **Rauolt's Law**, where ![\\chi](../../../upload.wikimedia.org/math/7/9/c/79c40dd2b43f3c03eaf88b5fc4c199b8.png) is the mole fraction of the solvent. Notice that the vapor pressure equals that of the pure solvent when there is no solute (![\\chi = 1](../../../upload.wikimedia.org/math/f/e/b/febd03282d7428d7acd800318c428bbe.png)). If ![\\chi = 0](../../../upload.wikimedia.org/math/1/3/f/13f65cf477f6c6d011da37590c715240.png), there would be no vapor pressure at all. This could only happen if there were no solvent, only solute. A solid solute has no vapor pressure.

![P_{solution} = P_{1} \\times \\chi_{1} + P_{2} \\times \\chi_{2}](../../../upload.wikimedia.org/math/a/4/5/a4526f6aba85813415b4f09768b2a12c.png)
If two **volatile** substances (both have vapor pressures) are in solution, Rauolt's Law is still used. In this case, Rauolt's Law is essentially a linear combination of the vapor pressures of the substances. Two liquids in solution both have vapor pressures, so this equation must be used.

The second equation shows the relationship between the solvents. If two liquids were mixed exactly half-and-half, the vapor pressure of the resulting solution would be exactly halfway between the vapor pressures of the two solvents.

Another relation in **Henry's Law**, which shows the relationship between gas and pressure. It is given by Cg = k Pg , where C is concentration and P is pressure. As the pressure goes up, the concentration of gas in solution must also increase. This is why soda cans release gas when they are opened - The decrease in pressure results in a decrease in concentration of CO2 in the soda.

Exercise for the reader

At 50 °C the vapor pressure of water is 11 kPa and the vapor pressure of ethanol is 30 kPa. Determine the resulting vapor pressure if a solution contains 75% water and 25% ethanol (by moles, not mass).

### Boiling Point Elevation

A liquid reaches its boiling point when its vapor pressure is equal to the atmosphere around it. Because the presence of solute lowers the vapor pressure, the boiling point is raised. The boiling point increase is given by:

![\\Delta T_{solution} = K_b \\times m_{solute}](../../../upload.wikimedia.org/math/3/2/8/3281cf94a50e65ccb932de7986e2c487.png)

The reduced vapor pressure increases the boiling point of the liquid only if the solute itself is **non-volatile**, meaning it doesn't have a tendency to evaporate. For every mole of non-volatile solute per kilogram of solvent, the boiling point increases by a constant amount, known as the **molal boiling-point constant** (![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png)). Because this is a colligative property, ![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png) is not affected by the kind of solute.

### Freezing Point Depression

This explains why roads are salted in the winter.

A liquid reaches its freezing temperature when its vapor pressure is equal to that of its solid form. Because the presence of the solute lowers the vapor pressure, the freezing point is lowered. The freezing point depression is given by:

![\\Delta T_{solution} = K_f \\times m_{solute}](../../../upload.wikimedia.org/math/8/5/7/85784596391e0b46edb4f0a472dcaa74.png)

Again, this equation works only for non-volatile solutes. The temperature of the freezing point decreases by a constant amount for every one mole of solute added per kilogram solvent. This constant (![K_f](../../../upload.wikimedia.org/math/2/c/6/2c66b431fc43db01228704bde2876127.png)) is known as the **molar freezing-point constant**.

### Osmosis

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b3/Pressione_osmotica.jpg/220px-Pressione_osmotica.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Osmosis results from the tendency for concentration to distribute itself evenly.

If you studied biology, you would know that **osmosis** is the movement of water through a membrane. If two solutions of different molarity are placed on opposite sides of a _semipermiable membrane_, then water will travel through the membrane to the side with higher molarity. This happens because the water molecules are "attached" to the solvent molecules, so they cannot travel through the membrane. As a result, the water on the side with lower molarity can more easily travel through the membrane than the water on the other side.

The pressure of this osmosis is given in the equation

    ![\\pi = MRT](../../../upload.wikimedia.org/math/c/d/5/cd5ca7de229efeb0b6ce25358e31b6c7.png)

Where pi is the pressure, M is molarity, R is the gas constant, and T is temperature in Kelvin.

### Electrolytes and Colligative Properties

When one mole of table salt is added to water, the colligative effects are _double_ those that would have occurred if sugar were added instead. This is because the salt dissociates, forming twice as many particles as sugar would. This dissociation, called the **Van't Hoff Factor** describes how many particles that are dissociated into the solution and must be multiplied into the Boiling Point Elevation or Vapor Pressure Lowering equations.

![1~mol~\\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_{2\(s\)} \\to 1~mol~\\hbox{C}_6\\hbox{H}_{12}\\hbox{O}_{2\(aq\)}](../../../upload.wikimedia.org/math/1/5/2/152d7bf9acc201c91b73b9bf6551c516.png)
Sugar is a covalent molecule. No dissociation occurs when dissolved.

![1~mol~\\hbox{NaCl}_{\(s\)} \\to 1~mol~\\hbox{Na}^+_{\(aq\)} + 1~mol~\\hbox{Cl}^-_{\(aq\)} = 2~mol~particles](../../../upload.wikimedia.org/math/d/9/e/d9eb4073cb3e44d0927fd10680fb22ae.png)
Table salt is an ionic compound and a strong electrolyte. Total dissociation occurs when dissolved, doubling the effects of colligative properties.

![1~mol~\\hbox{MgBr}_{2\(s\)} \\to 1~mol~\\hbox{Mg}^{2+}_{\(aq\)} + 2~mol~\\hbox{Br}^-_{\(aq\)} = 3~mol~particles](../../../upload.wikimedia.org/math/7/6/9/7697b6859ca70a488d33defc510cd5d3.png)
Magnesium bromide is also ionic. The colligative effects will be tripled.

Though extremely useful for calculating the general Van't Hoff Factor, this system of calculation is slightly inaccurate when considering ions. This is because when ions are in solution, they may interact and clump together, lessing the effect of the Van't Hoff factor. In addition, more strongly charged ions may have a smaller effect. For example, CaO would be less effective as an electrolyte than NaCl.

  


# Acids and Bases

* * *

← [Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) ·[Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) →

[← Properties of Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Titration and pH →](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Acid-Base Reaction Theories

Acids and bases are everywhere. Some foods contain acid, like the citric acid in lemons and the lactic acid in dairy. Cleaning products like bleach and ammonia are bases. Chemicals that are acidic or basic are an important part of chemistry.

Helpful Hint!

You may need to refresh your memory on [naming acids](http://en.wikibooks.org/wiki/General_Chemistry/Naming_Substances#Naming_acids).

Several different theories explain what composes an **acid** and a **base**. The first scientific definition of an acid was proposed by the French chemist Antoine Lavoisier in the eighteenth century. He proposed that acids contained oxygen, although he did not know the dual composition of acids such as hydrochloric acid (HCl). Over the years, much more accurate definitions of acids and bases have been created.

### Arrhenius Theory

The Swedish chemist Svante Arrhenius published his theory of acids and bases in 1887. It can be simply explained by these two points:

Arrhenius Acids and Bases

  1. An acid is a substance which dissociates in water to produce one or more hydrogen ions (H+).
  2. A base is a substance which dissociates in water to produce one or more hydroxide ions (OH-).

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6c/Arrhenius2.jpg/220px-Arrhenius2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Svante Arrhenius

Based on this definition, you can see that Arrhenius acids must be soluble in water. Arrhenius acid-base reactions can be summarized with three generic equations:

![\\hbox{HA} \\to \\hbox{H}^+ + \\hbox{A}^-](../../../upload.wikimedia.org/math/c/2/0/c20164e0d22c4231579d55ac5e31a9a6.png)
An acid will dissociate in water producing hydrogen ions.

![\\hbox{MOH} \\to \\hbox{M}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/7/d/d/7dd0a84272cadd1f4d4a66cf7239f2ed.png)
A base (usually containing a metal) will dissociate in water to product hydroxide ions.

![\\hbox{HA}_{\(aq\)} + \\hbox{MOH}_{\(aq\)} \\to \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{MA}_{\(aq\)}](../../../upload.wikimedia.org/math/d/e/0/de0f912c03f7453d39d1d1dc5c49eb90.png)
Acids and bases will neutralize each other when mixed. They produce water and an ionic salt, neither of which are acidic or basic.

The Arrhenius theory is simple and useful. It explains many properties and reactions of acids and bases. For instance, mixing hydrochloric acid (HCl) with sodium hydroxide (NaOH) results in a neutral solution containing table salt (NaCl).

However, the Arrhenius theory is not without flaws. There are many well known bases, such as ammonia (NH3) that do not contain the hydroxide ion. Furthermore, acid-base reactions are observed in solutions that do not contain water. To resolve these problems, there is a more advanced acid-base theory.

### Brønsted-Lowry Theory

The Brønsted-Lowry theory was proposed in 1923. It is more general than the Arrhenius theory—all Arrhenius acids/bases are also Brønsted-Lowry acids/bases (but not necessarily vice versa).

Brønsted-Lowry Acids and Bases

  1. An acid is a substance from which a proton (H+ ion) can be removed. Essentially, an acid _donates_ protons to bases.
  2. A base is a substance to which a proton (H+) can be added. Essentially, a base _accepts_ protons from acids.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Acid–base reaction**_](http://en.wikipedia.org/wiki/Acid%E2%80%93base_reaction)

Acids that can donate only one proton are **monoprotic**, and acids that can donate more than one proton are **polyprotic**.

These reactions demonstrate the behavior of Brønsted-Lowry acids and bases:

![\\hbox{HCl} + \\hbox{H}_2\\hbox{O} \\to \\hbox{Cl}^- + \\hbox{H}_3\\hbox{O}^+](../../../upload.wikimedia.org/math/3/8/d/38d1088328ab661d3194d483a5fa3e28.png)
An acid (in this case, hydrochloric acid) will donate a proton to a base (in this case, water is the base). The acid loses its proton and the base gains it.

![\\hbox{HCl} + \\hbox{N}\\hbox{H}_3 \\to \\hbox{Cl}^- + \\hbox{N}\\hbox{H}_4^+](../../../upload.wikimedia.org/math/d/3/2/d3243b7226eca96767d4860749947c09.png)
Water is not necessary. In this case, hydrochloric acid is still the acid, but ammonia acts as the base.

![\\hbox{Cl}^- + \\hbox{N}\\hbox{H}_4^+ \\to \\hbox{HCl} + \\hbox{N}\\hbox{H}_3](../../../upload.wikimedia.org/math/6/b/8/6b8d426311a403f0571936e1534254bc.png)
The same reaction is happening, but now in reverse. What was once an acid is now a base (HCl → Cl-) and what was once a base is now an acid (NH3 → NH4+). This concept is called _conjugates_, and it will be explained in more detail later.

![\\hbox{HCl} + \\hbox{NaOH} \\to \\hbox{NaCl} + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/6/f/d/6fd4833af7d0880973e3a07c8c65f1c8.png)  


![\\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^- \\to 2 \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/3/8/3383b558285ae9257f61703f4f8c487a.png)

Two examples of acids (HCl and H3O+) mixing with bases (NaOH and OH-) to form neutral substances (NaCl and H2O).

![\\hbox{NaOH} + \\hbox{N}\\hbox{H}_3 \\to \\hbox{Na}^+ + \\hbox{H}_2\\hbox{O} + \\hbox{N}\\hbox{H}_2^-](../../../upload.wikimedia.org/math/9/9/b/99b9897d91b022d46e9f03567951622a.png)
A base (sodium hydroxide) will accept a proton from an acid (ammonia). A neutral substance is produced (water), which is not necessarily a part of every reaction. Compare this reaction to the second one. Ammonia was a base, and now it is an acid. This concept, called _amphoterism_, is explained later.

The Brønsted-Lowry theory is by far the most useful and commonly-used definition. For the remainder of General Chemistry, you can assume that any acids/bases use the Brønsted-Lowry definition, unless stated otherwise.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/96/Acetic-acid-dissociation-3D-balls.png/220px-Acetic-acid-dissociation-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This Brønsted-Lowry acid donates a proton (in green) to water (the base).

### Lewis Theory

The Lewis definition is the most general theory, having no requirements for solubility or protons.

Lewis Acids and Bases

  1. An acid is a substance that accepts a lone pair of electrons.
  2. A base is a substance that donates a lone pair electrons.

Lewis acids and bases react to create an **adduct**, a compound in which the acid and base have bonded by sharing the electron pair. Lewis acid/base reactions are different from redox reactions because there is no change in oxidation state.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/85/Coordinate_Covalent_Bonding.svg/220px-Coordinate_Covalent_Bonding.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This reaction shows a Lewis base (NH3) donating an electron pair to a Lewis acid (H+) to form an adduct (NH4+).

## Amphoterism and Water

Substances capable of acting as either an acid or a base are **amphoteric**. Water is the most important amphoteric substance. It can ionize into hydroxide (OH-, a base) or hydronium (H3O+, an acid). By doing so, water is

  1. Increasing the H+ or OH- concentration (Arrhenius),
  2. Donating or accepting a proton (Brønsted-Lowry), and
  3. Accepting or donating an electron pair (Lewis).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

 ;Important A bare proton (H+ ion) cannot exist in water. It will form a hydrogen bond to the nearest water molecule, creating the **hydronium ion** (H3O+). Although many equations and definitions may refer to the "concentration of H+ ions", that is a misleading abbreviation. Technically, there are no H+ ions, only hydronium (H3O+) ions. Fortunately, the number of hydronium ions formed is exactly equal to the number of hydrogen ions, so the two can be used interchangeably.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Hydronium-3D-balls.png/220px-Hydronium-3D-balls.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

H+ ions actually exist as hydronium, H3O+.

Water will dissociate very slightly (which further explains its amphoteric properties).

![\\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/7/0/c/70c6697a49c8cd28af18976eebab3699.png)
The presence of hydrogen ions indicates an acid, whereas the presence of hydroxide ions indicates a base. Being neutral, water dissociates into both equally.

![2 \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/2/5/3/25311e9753bdcc0d973b38185d6d4d4b.png)
This equation is more accurate—hydrogen ions do not exist in water because they bond to form hydronium.

### Ammonia

Another common example of an amphoteric substance is ammonia. Ammonia is normally a base, but in some reactions it can act like an acid.

![\\hbox{NH}_3 + \\hbox{HCl} \\to \\hbox{NH}_4^+ + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/1/c/6/1c6ab85c55445ba80ee0f313cb799583.png)
Ammonia acts as a base. It accepts a proton to form _ammonium_.

![\\hbox{Li}_3\\hbox{N} + 2 \\hbox{NH}_3 \\to 3\\hbox{Li}^+ + 3\\hbox{NH}_2^-](../../../upload.wikimedia.org/math/c/8/7/c870b78f8f5cac079a7d60f62d6b6f84.png)
Ammonia also acts as an acid. Here, it donates a proton to form _amide_.

Ammonia's amphoteric properties are not often seen because ammonia typically acts like a base. Water, on the other hand, is completely neutral, so its acid and base behaviors are both observed commonly.

## Conjugate Acids and Bases

In all the theories, the products of an acid-base reaction are related to the initial reactants of the reaction. For example, in the Brønsted-Lowry theory, this relationship is the difference of a proton between a reactant and product. Two substances which exhibit this relationship form a **conjugate acid-base pair**.

Brønsted-Lowry Conjugate Pairs

  * An acid that has donated its proton becomes a _conjugate base_.
  * A base that has accepted a proton becomes a _conjugate acid_.

![{\\color{Red}\\mathcal{HI}_{\(aq\)}} + {\\color{Blue}\\mathbf{H}_2\\mathbf{O}_{\(l\)}} \\to {\\color{Blue}\\mathcal{I}^-_{\(aq\)}} + {\\color{Red}\\mathbf{H}_3\\mathbf{O}^+_{\(aq\)}}](../../../upload.wikimedia.org/math/d/0/c/d0c145742bf974586058a9bc43094761.png)
Hydroiodic acid reacts with water (which serves as a base). The conjugate base is the iodide ion and the conjugate acid is the hydronium ion. The acids are written in red, and the bases are written in blue. One conjugate pair is written bold and the other conjugate pair is in cursive.

![{\\color{Blue}\\mathcal{NH}_{3\(aq\)}} + {\\color{Red}\\mathbf{H}_2\\mathbf{O}_{\(l\)}} \\to {\\color{Red}\\mathcal{NH}^+_{4\(aq\)}} + {\\color{Blue}\\mathbf{OH}^-_{\(aq\)}}](../../../upload.wikimedia.org/math/1/7/a/17ad3fa1f0eeac1d08abb5b5d075c94d.png)
Ammonia (basic) reacts with water (the acid). The conjugate acid is ammonium and the conjugate base is hydroxide. Again, acids are written in red, and the bases are written in blue. The conjugate pairs are distinguished with matching fonts.

## Strong and Weak Acids/Bases

A **strong acid** is an acid which dissociates completely in water. That is, _all_ the acid molecules break up into ions and solvate (attach) to water molecules. Therefore, the concentration of hydronium ions in a strong acid solution is equal to the concentration of the acid.

The majority of acids exist as **weak acids**, an acid which dissociates only partially. On average, only about 1% of a weak acid solution dissociates in water in a 0.1 mol/L solution. Therefore, the concentration of hydronium ions in a weak acid solution is always less than the concentration of the dissolved acid.

**Strong bases** and **weak bases** do not require additional explanation; the concept is the same.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The conjugate of a strong acid/base is very weak. The conjugate of a weak acid/base is not necessarily strong.

This explains why, in all of the above example reactions, the reverse chemical reaction does not occur. The stronger acid/base will prevail, and the weaker one will not contribute to the overall acidity/basicity. For example, hydrochloric acid is strong, and upon dissociation chloride ions are formed. Chloride ions are a weak base, but the solution is not basic because the acidity of HCl is overwhelmingly stronger than basicity of Cl-.

Helpful Hint!

Although the other halogens make strong acids, **hydrofluoric acid** (HF) is a weak acid. Despite being weak, it is incredibly corrosive—hydrofluoric acid dissolves glass and metal!

Most acids and bases are weak. You should be familiar with the most common strong acids and assume that any other acids are weak.

Formula Strong Acid

HClO4
Perchloric acid

HNO3
Nitric acid

H2SO4
Sulfuric acid

HCl, HBr, HI
Hydrohalic acids

Within a series of _oxyacids_, the ions with the greatest number of oxygen molecules are the strongest. For example, nitric acid (HNO**3**) is strong, but nitrous acid (HNO**2**) is weak. Perchloric acid (HClO4) is stronger than chloric acid (HClO3), which is stronger than the weak chlorous acid (HClO2). Hypochlorous acid (HClO) is the weakest of the four.

Common strong bases are the hydroxides of Group 1 and most Group 2 metals. For example, potassium hydroxide and calcium hydroxide are some of the strongest bases. You can assume that any other bases (including ammonia and ammonium hydroxide) are weak.

Formula Strong Base

LiOH
Lithium hydroxide

NaOH
Sodium hydroxide

KOH
Potassium hydroxide

RbOH
Rubidium hydroxide

CsOH
Cesium hydroxide

Ca(OH)2
Calcium hydroxide

Sr(OH)2
Strontium hydroxide

Ba(OH)2
Barium hydroxide

[[2]](Print_version.html#endnote_Brown_2009)

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Acids and bases that are strong are not necessarily concentrated, and weak acids/bases are not necessarily dilute. Concentration has nothing to do with the ability of a substance to dissociate. Furthermore, _polyprotic_ acids are not necessarily stronger than _monoprotic_ acids.

## Properties of Acids and Bases

Now that you are aware of the acid-base theories, you can learn about the physical and chemical properties of acids and bases. Acids and bases have very different properties, allowing them to be distinguished by observation.

### Indicators

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/7/7d/Bromothymol_blue_colors.jpg/220px-Bromothymol_blue_colors.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

**Bromothymol blue** is an indicator that turns blue in a base, or yellow in acid.

Made with special chemical compounds that react slightly with an acid or base, **indicators** will change color in the presence of an acid or base. A common indicator is **litmus paper**. Litmus paper turns red in acidic conditions and blue in basic conditions. **Phenolphthalein purple** is colorless in acidic and neutral solutions, but it turns purple once the solution becomes basic. It is useful when attempting to neutralize an acidic solution; once the indicator turns purple, enough base has been added.

### Conductivity

A less informative method is to test for conductivity. Acids and bases in aqueous solutions will conduct electricity because they contain dissolved ions. Therefore, acids and bases are _electrolytes_. Strong acids and bases will be strong electrolytes. Weak acids and bases will be weak electrolytes. This affects the amount of conductivity.

However, acids will react with metal, so testing conductivity may not be plausible.

### Physical properties

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

The following is for informative purposes only. **Do not sniff, touch, or taste any acids or bases** as they may result in injury or death.

The physical properties of acids and bases are opposites.

Acids Bases

Taste
sour
bitter

Feel
stinging
slippery

Odor
sharp
odorless

These properties are very general; they may not be true for every single acid or base.

Another warning: if an acid or base is spilled, it must be cleaned up immediately and properly (according to the procedures of the lab you are working in). If, for example, sodium hydroxide is spilled, the water will begin to evaporate. Sodium hydroxide does not evaporate, so the concentration of the base steadily increases until it becomes damaging to its surrounding surfaces.

### Chemical Reactions

#### Neutralization

Acids will react with bases to form a salt and water. This is a **neutralization** reaction. The products of a neutralization reaction are much less acidic or basic than the reactants were. For example, sodium hydroxide (a base) is added to hydrochloric acid.

![\\hbox{NaOH}_{\(aq\)} + \\hbox{HCl}_{\(aq\)} \\to \\hbox{NaCl}_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/d/d/2/dd22d1516fe89e4366dad9937017367e.png)

This is a [double replacement](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions#Double_Replacement_Reaction) reaction.

#### Acids

![2 \\hbox{HCl}_{\(aq\)} + \\hbox{Zn}_{\(s\)} \\to \\hbox{ZnCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/b/b/2/bb28884592aaf638d19cd966155c5a6e.png)
Acids react with metal to produce a metal salt and hydrogen gas bubbles.

![\\hbox{H}_2\\hbox{SO}_{4\(aq\)} + \\hbox{CaCO}_{3\(s\)} \\to \\hbox{CaSO}_{4\(s\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} + \\hbox{CO}_{2\(g\)}](../../../upload.wikimedia.org/math/e/7/9/e7979733ad2ce273be03718a299d7381.png)
Acids react with metal carbonates to produce water, CO2 gas bubbles, and a salt.

![2 \\hbox{HNO}_{3\(aq\)} + \\hbox{Na}_2\\hbox{O}_{\(s\)} \\to 2 \\hbox{NaNO}_{3\(aq\)} + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/e/d/e/edef021b14d820be8823714645f05f9e.png)
Acids react with metal oxides to produce water and a salt.

#### Bases

Bases are typically less reactive and violent than acids. They do still undergo many chemical reactions, especially with organic compounds. A common reactions is _saponificiation_: the reaction of a base with fat or oil to create soap.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/de/Saponification.png/250px-Saponification.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Saponification converts an "ester" into an "alcohol" and salt. This is an [organic reaction](http://en.wikibooks.org/wiki/Organic_Chemistry) outside the scope of General Chemistry.

## Practice Questions

1\. Name the following compounds that will form, and identify as an acid or base:

    a) Br + H
    b) 2H + SO3
    c) K + H
    d) 2H + SO6
    e) 3He + P2
    f) H + BrO100
    g) N + C

  


  
2.justify your answer with equation that sodium acetate gives basic solution while ammonium chloride an acidic solution with water.

  
3\. In a conductivity test, 5 different solutions were set up with light bulbs. The following observations were recorded:

    

    Solution A glowed brightly.
    Solution B glowed dimly.
    Solution C glowed dimly.
    Solution D did not glow.
    Solution E glowed brightly.

    a) Which solution(s) could contain strong bases?
    b) Which solution(s) could contain weak acids?
    c) Which solution(s) could contain ions?
    d) Which solution(s) could contain pure water?
    e) Based solely on these observations, would it be possible to distinguish between acidic and basic solutions?

  
4\. Identity the conjugate base and conjugate acid in these following equations:

    a) HCl + H2O → H3O+ \+ Cl-
    b) HClO + H2O → ClO- \+ H3O+
    c) CH3CH2NH2 \+ H2O → CH3CH2NH3+ \+ OH-

  
5\. Identify these bases as Arrhenius, Brønsted-Lowry, or both.

    a) strontium hydroxide
    b) [butyllithium](http://en.wikipedia.org/wiki/butyllithium) (C4H9Li)
    c) ammonia
    d) potassium hydroxide
    e) potassium iodide

  
6\. Based on the Brønsted-Lowry Theory of Acids and Bases, would you expect pure water to have no dissolved ions whatsoever? Explain, using a balanced chemical equation.

Answers:
    
    
        1. 
        2.
        3.
        4.
        5.
        6.
    

# Notes

  1. **[^](Print_version.html#ref_Brown_2009)** Brown, Theodore E.; Lemay, H. Eugene; Bursten, Bruce E.; Murphy, Catherine; Woodward, Patrick (2009), Chemistry: The Central Science (11th ed.), New York: Prentice-Hall, [ISBN 0136006175](http://en.wikibooks.org/wiki/Special:BookSources/0136006175).

[Answers to Properties of Acids and Bases Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases/Answers)  


# Titration and pH

* * *

← [Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) ·[Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) →

[← Properties and Theories of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Buffer Systems →](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Ionization of Water

Water is a very weak electrolyte. It will dissociate into hydroxide and hydronium ions, although only in a very small amount. Because pure water is completely neutral, it always dissociates in equal amounts of both hydroxide and hydronium. Once acidic or basic substances have been added to pure water, the concentration of the ions will change. Regardless of which acid-base theory is used, acids and bases all have one important thing in common:

  * All acids increase the H+ concentration of water.
  * All bases increase the OH- concentration of water.

Furthermore, the concentration of hydrogen ions multiplied by the concentration of hydroxide ions is a constant. This constant is known as the _ionization constant of water_, or **Kw**. At room temperature it equals 10-14 mol2/L2. Thus:

![K_w = \[\\hbox{H}^+\] \\times \[\\hbox{OH}^-\] = 1.00 \\times 10^{-14} mol^{2}/L^{2}](../../../upload.wikimedia.org/math/b/b/c/bbc8a90d9d8015d718d6e0aa9126116e.png)

In a neutral solution, the concentrations of H+ and OH- are both equal to 10-7. Using the above equation, the concentration of one ion can be determined if the concentration of the other ion is known. This equation further demonstrates the relationship between acids and bases: as the acidity (H+) increases, the basicity (OH-) must decrease.

## The pH Scale

To measure the acidity or basicity of a substance, the pH scale is employed.

The pH Scale

  * A completely neutral substance has a pH of 7.
  * Acids have a pH below 7
  * Bases have a pH above 7.

pH usually ranges between 0 and 14, but it can be any value. Battery acid, for example, has a negative pH because it is so acidic.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/46/PH_scale.png/300px-PH_scale.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Various pH values.

### Definition of pH

The pH scale is mathematically defined as:

![pH = -\\log{\[\\hbox{H}^+\]}](../../../upload.wikimedia.org/math/d/7/c/d7c21b51b85274047c8db99bb4710069.png)

Substances that release protons or increase the concentration of hydrogen ions (or hydronium ions) will lower the pH value.

### pOH

There is also a less common scale, the pOH scale. It is defined as:

![pOH = -\\log{\[\\hbox{OH}^-\]}](../../../upload.wikimedia.org/math/9/5/f/95fc4d3f58a63342c9224b5586c86ff8.png)

Substances that absorb protons or increase the concentration of hydroxide ions will lower the pOH value.

The sum of pH and pOH is always 14 at room temperature:

![pH + pOH = 14](../../../upload.wikimedia.org/math/3/8/f/38f7956059fe0adb807d97fabecdd75d.png)

### Calculating pH

A strong acid or strong base will completely dissociate in water, so the concentration of the acid/base is equal to the concentration of H+ or OH-. If you know the concentration of the acid or base, then you can simply plug that number into the pH or pOH formula. The sum of pH and pOH will always equal 14 at room temperature, so you can interconvert these two values.

If you know the H+ concentration and need to know the OH- concentration (or vice versa), use the definition of Kw above. The product of the two ion concentrations will always equal 10-14 at room temperature.

## Titration

_Titration_ is the controlled mixing of a solution with known concentration (the **standard solution**) to another solution to determine its concentration. One solution is acidic and the other is basic. An _indicator_ is added to the mixture. An indicator must be selected so that it changes color when equal amounts of acid and base have been added. This is known as the **equivalence point**. This does not necessarily mean that the pH is 7.0.

Polyprotic acids have multiple equivalence points.

Once the equivalence point has been reached, the unknown concentration can be determined mathematically.

## Practice Questions

1) 5.00g of NaOH are dissolved to make 1.00L of solution.

    a What is the concentration of H+?
    b What is the pH?

[Answers for Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH/Answers)  


# Buffer Systems

* * *

← [Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) ·[Reactions of Acids and Bases](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases) →

[← Titration and pH](http://en.wikibooks.org/wiki/General_Chemistry/Titration_and_pH) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reactions of Acids and Bases →](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

Buffer systems are systems in which there is a significant (and nearly equivalent) amount of a weak acid and its conjugate base—or a weak base and its conjugate acid—present in solution. This coupling provides a resistance to change in the solution's pH. When strong acid is added, it is neutralized by the conjugate base. When strong base is added, it is neutralized by the weak acid. However, too much acid or base will exceed the buffer's _capacity_, resulting in significant pH changes.

![\\hbox{HA} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{A}^- ](../../../upload.wikimedia.org/math/4/c/6/4c6c53b02bf89d8cb6eb9965ffccea27.png)
Consider an arbitrary weak acid, HA, and its conjugate base, A-, in equilibrium.

![\\hbox{A}^- + \\hbox{H}^+ \\rightarrow \\hbox{HA}](../../../upload.wikimedia.org/math/1/f/7/1f715884c62eeecabf90c0372b88b7f5.png)
The addition of a strong acid will cause only a slight change in pH due to neutralization.

![\\hbox{HA} + \\hbox{OH}^- \\rightarrow \\hbox{H}_2\\hbox{O} + \\hbox{A}^-](../../../upload.wikimedia.org/math/5/c/5/5c5c606adc1cebbcef308c59b165bd06.png)
Likewise, the addition of a strong base will cause only a slight change in pH.

Buffers are useful when a solution must maintain a specific pH. For example, blood is a buffer system because the life processes in a human only function within a specific pH range of 7.35 to 7.45. When, for example, lactic acid is released by the muscles during exercise, buffers within the blood neutralize it to maintain a healthy pH.

## Making a Buffer

Once again, let's consider an arbitrary weak acid, HA, which is present in a solution. If we introduce a salt of the acid's conjugate base, say NaA (which will provide the A- ion), we now have a buffer solution. Ideally, the buffer would contain equal amounts of the weak acid and conjugate base.

Instead of adding NaA, what if a strong base were added, such as NaOH? In that case, the hydroxide ions would neutralize the weak acid and create water and A- ions. If the solution contained only A- ions, then a strong acid like HCl were added, they would neutralize and create HA.

As you can see, there are three ways to create a buffer:

**Buffers**

  * 1 HA + 1 A-
  * 1 HA + ½ OH-
  * 1 A- \+ ½ H+

  * 1 B + 1 HB+
  * 1 B + ½ H+
  * 1 HB+ \+ ½ OH-

All six of the combinations will create equal amounts of a weak acid and its conjugate base, or a weak base and its conjugate acid.

## Buffers and pH

To determine the pH of a buffer system, you must know the acid's **dissociation constant**. This value, ![K_a](../../../upload.wikimedia.org/math/c/b/1/cb108e5afcbac4112ebe9a4f4f6cc9d4.png) (or ![K_b](../../../upload.wikimedia.org/math/6/f/0/6f05a94f5f23a52ef960263e42cdf629.png) for a base) determines the strength of an acid (or base). It is explored more thoroughly in the [Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) unit, but for now it suffices to say that this value is simply a measure of strength for acids and bases. The dissociation constants for acids and bases are determined experimentally.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The pKa of an acid is the negative logarithm of its acid dissociation constant. This is analogous to pH (the negative logarithm of the H+ concentration).

The **Henderson-Hasselbalch equation** allows the calculation of a buffer's pH. It is:

![\\hbox{pH} = \\hbox{pK}_a + \\log \\frac{\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/8/3/6/8361b38edbe0f80981f021501db87f59.png)

For a buffer created from a base, the equation is:

![\\hbox{pH} = \\hbox{pK}_b + \\log \\frac{\[\\hbox{B}\]}{\[\\hbox{HB}^+\]}](../../../upload.wikimedia.org/math/0/c/d/0cd316405b6de6065eba7658a1db3a46.png)

Using these equations requires determining the ratio of base to acid in the solution.  


# Reactions of Acids and Bases

* * *

← [Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) ·[Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) →

[← Buffer Systems](http://en.wikibooks.org/wiki/General_Chemistry/Buffer_Systems) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Phases of Matter →](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Overview

To summarize the properties and behaviors of acids and bases, this chapter lists and explains the various chemical reactions that they undergo. You may wish to review [chemical equations](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations) and [types of reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions) before attempting this chapter.

The following reactions are **net ionic equations**. In other words, _spectator ions_ are not written. If an ion does not partake in the reaction, it is simply excluded. The spectator ions can be found because they occur on both the reactant and the product side of the equation. Cross them out and rewrite the equation without them. Of course, the coefficients must be equal.

Canceling out the spectator ions explains the _net_ of net ionic equations. The _ionic_ part means that dissolved compounds are written as ions instead of compounds. Acids, bases, and salts are all ionic, so they are written as separate ions if they have dissociated.

Net Ionic Equations

  * Soluble salts are written as ions.

    

    e.g.: Na+ \+ Cl-

  * Solids, liquids, and gases are written as compounds.

    

    e.g.: NaCl(s), H2O(l), HCl(g)

  * Strong acids and strong bases are written as ions (because they dissociate almost completely).

    

    e.g.: H+ \+ NO3-

  * Weak acids and weak bases are written as compounds (because they barely dissociate).

    

    e.g.: HNO2

As an example, sodium bicarbonate (NaHCO3) would be written as Na+ and HCO3- because the salt will dissociate, but the bicarbonate will not dissociate (it's a _weak_ acid).

## Neutralization

When an acid and a base react, they form a neutral substance, often water and a salt.

First, let's examine the neutralization of a strong acid with a strong base.

![\\hbox{KOH} + \\hbox{H}^+ + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/9/3/f/93f85e7ad43d8e3ae3ed2836fb912706.png)
Solid potassium hydroxide is added to an aqueous solution of hydrochloric acid. Notice how the solid is written as a compound, but the acid is written as ions because it dissociates.

![\\hbox{K}^+ + \\hbox{OH}^- + \\hbox{H}^+ + \\hbox{Cl}^- \\to \\hbox{K}^+ + \\hbox{Cl}^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/e/e/2/ee21258f10ae9956bb9738d8894556da.png)
The hydrogen ions will react with hydroxide ions to form water.

![\\hbox{H}^+ + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/c/b/d/cbd31f622b6cf0ba876192762f5018d6.png)
Ignoring spectator ions, this is the _net ionic equation_.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Whenever a strong acid neutralizes a strong base, the net ionic equation is always H+ \+ OH- → H2O

Now, let's see some examples involving weak acids and weak bases.

![\\hbox{PO}_4^{3-} + 3\\hbox{H}^+ \\to \\hbox{H}_3\\hbox{PO}_4](../../../upload.wikimedia.org/math/c/7/d/c7d13b8261f8fce258ab22815a58af76.png)
Excess hydrochloric acid is added to a solution of sodium phosphate. Phosphoric acid is weak, so the phosphate ions will react with hydrogen ions. The result is a solution with some, but much less, hydrogen ions, so it is much closer to neutral than either of the original reactants.

![\\hbox{PO}_4^{3-} + \\hbox{H}^+ \\to \\hbox{H}\\hbox{PO}_4^{-2}](../../../upload.wikimedia.org/math/7/9/d/79dcbc96d2000b42089d5671987c39f6.png)
_Equimolar_ amounts of sodium phosphate and hydrochloric acid are mixed. Notice the difference between this reaction and the previous one.

![\\hbox{HCO}_3^- + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{CO}_3^{-2}](../../../upload.wikimedia.org/math/6/b/6/6b6499c8fe09b045dabda6002b2b5d8d.png)
A strong base is added to a solution of calcium bicarbonate. (Bicarbonate is a weak acid.)

![\\hbox{HCO}_3^- + \\hbox{H}^+ \\to \\hbox{H}_2\\hbox{O} + \\hbox{CO}_2](../../../upload.wikimedia.org/math/e/2/6/e26f6b3208a8bc62fd908fe4a407e623.png)
A strong acid is added to a solution of calcium bicarbonate. Gas bubbles appear.

Many reactions result in the formation of gas bubbles or a solid precipitate that will make the solution cloudy. The last equation brings up an interesting application. Many rocks and minerals contain calcium carbonate or calcium bicarbonate. To identify these rocks, geologists can perform the "acid test". A drop of acid is applied, and the presence of gas bubbles indicates carbonate.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Many ions and compounds are **amphoteric**. They can react with (or behave as) acids _and_ bases. Bicarbonate is a good example, as you can see by comparing the last two equations above.

Here are more examples of neutralization reactions.

![\\hbox{NH}_4\\hbox{Cl} + \\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{NH}_3 + \\hbox{Cl}^-](../../../upload.wikimedia.org/math/b/2/3/b23a933489adb609c1dffd5fcb373c20.png)
Solid ammonium chloride crystals are dissolved into a solution of sodium hydroxide. The smell of ammonia is detected.

![\\hbox{NH}_3 + \\hbox{H}^+ \\to \\hbox{NH}_4^+](../../../upload.wikimedia.org/math/1/a/0/1a0c1efae816064d25ab4859532c1491.png)
Ammonia gas is bubbled through a solution of hydrochloric acid. This reaction is essentially the opposite of the previous. In that reaction, ammonium ions react with base to form ammonia gas. In this reaction, ammonia gas reacts with acid to form ammonium ions.

![\\hbox{NH}_3 + \\hbox{CH}_3\\hbox{COOH} \\to \\hbox{NH}_4^+ + \\hbox{CH}_3\\hbox{COO}^-](../../../upload.wikimedia.org/math/a/8/5/a85b51fd88b1e48707e36e2e5899469e.png)
Ammonia (a weak base) reacts with acetic acid (also weak). The resulting solution is nearly neutral, but it will be slightly basic because ammonia is stronger than acetic acid.

![\\hbox{H}_2\\hbox{S} + 2\\hbox{OH}^- \\to 2\\hbox{H}_2\\hbox{O} + \\hbox{S}^{2-}](../../../upload.wikimedia.org/math/f/2/d/f2de1d19a41258c8bb1959e22f9977df.png)
Hydrogen sulfide gas is bubbled into a strong base.

![2\\hbox{H}^+ + \\hbox{S}^{2-} \\to \\hbox{H}_2\\hbox{S}](../../../upload.wikimedia.org/math/f/1/5/f158ccd2321529f1df2df5eb4d8ddb17.png)
A strong acid is added to the above result, and hydrogen sulfide gas is released.

## Anhydrides

An _anhydride_ is a substance that does not contain water. More specifically, it is a substance that reacts with water to form an acid or base. Anhydrides are usually in the form of a gas that dissolves into water and reacts to form an acid or base. They can also be solids that will react with water.

![\\hbox{N}_2\\hbox{O}_5 + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{H}^+ + 2\\hbox{NO}_3^-](../../../upload.wikimedia.org/math/b/6/3/b6321944a2180dcaf07049ad30185a33.png)
Gaseous dinitrogen pentoxide is bubbled through water to form nitric acid.

![\\hbox{N}_2\\hbox{O}_3 + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{HNO}_2](../../../upload.wikimedia.org/math/0/4/0/040ace3dca3800b512ee4839912c3f43.png)
Dinitrogen trioxide is mixed with water to form nitrous acid.

The main difference between those two equations is the fact that nitrous acid is weak and thus does not dissociate, whereas nitric acid is strong and dissociates into ions.

Here are a few more examples of anhydride reactions.

![\\hbox{K}_2\\hbox{O} + \\hbox{H}_2\\hbox{O} \\to 2\\hbox{K}^+ + 2\\hbox{OH}^-](../../../upload.wikimedia.org/math/b/0/4/b04fa9039326adaef3e268602dc76db2.png)
Solid potassium oxide is added to water to form a strong base.

![\\hbox{P}_2\\hbox{O}_5 + 3\\hbox{H}_2\\hbox{O} \\to 2\\hbox{H}_3\\hbox{PO}_4](../../../upload.wikimedia.org/math/1/4/8/1489a8f3e451d7a9d848821d6fb4871b.png)
Phosphorus(V) oxide powder is mixed into water to form a weak acid.

It is important to remember which acids are strong and which are weak. [Review this](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases#Strong_and_Weak_Acids.2FBases) if necessary.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Anhydrides can also react with acidic or basic solutions. In that case, you may find it helpful to first determine the anhydride's reaction with water, then determine that reaction with the acid or base.

For example, sulfur dioxide gas (acidic anhydride) is bubbled through a solution of calcium hydroxide (basic).

![\\hbox{SO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{H}_2\\hbox{SO}_3](../../../upload.wikimedia.org/math/3/0/5/305e5c096557949c4575cd100ea83836.png)
First, determine the reaction of the anhydride with water.

![\\hbox{H}_2\\hbox{SO}_3 + \\hbox{Ca}\(\\hbox{OH}\)_2 \\to \\hbox{CaSO}_3 + 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/7/d/b/7db798cd5d8990e834f53e3b13c82bd5.png)
Then, determine the reaction of the acid and base. This is a double replacement reaction.

![\\hbox{SO}_2 + \\hbox{H}_2\\hbox{O} + \\hbox{H}_2\\hbox{SO}_3 + \\hbox{Ca}\(\\hbox{OH}\)_2  \\to \\hbox{H}_2\\hbox{SO}_3 + \\hbox{CaSO}_3 + 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/d/7/6/d765aa6c9857f87824d3a094eb2cb944.png)
Add the two reactions together.

![\\hbox{SO}_2 + \\hbox{Ca}^{2-} + 2\\hbox{OH}^- \\to \\hbox{CaSO}_3 + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/1/8/c/18c23f80688eb0038e81cfd22cc3e2c7.png)
Cancel out spectators. Also, calcium hydroxide should be ionized (but calcium sulfite is a solid precipitate). This is the final _net ionic equation_.

Here are more examples.

![\\hbox{CaO} + 2\\hbox{H}^+ \\to \\hbox{H}_2\\hbox{O} + \\hbox{Ca}^{2+}](../../../upload.wikimedia.org/math/1/3/4/13472729670e9adf9ffae40bac3cc6f6.png)
Calcium oxide crystals (basic anhydrides) are added to a strong acid. Notice that it does not matter what the acid is (nitric, sulfuric, etc.) because it is strong and this reaction only requires the hydrogen ions. In other words, the anions of the strong acid are spectators and are not written.

![\\hbox{SO}_2 + \\hbox{OH}^- \\to \\hbox{HSO}_3^-](../../../upload.wikimedia.org/math/9/5/d/95d3792ed9683e4eb8e508e21e028f75.png)
Excess sulfur dioxide gas is bubbled into a dilute solution of strong base. The base is the limiting reactant.

![\\hbox{SO}_2 + 2\\hbox{OH}^- \\to \\hbox{H}_2\\hbox{O} + \\hbox{SO}_3^-](../../../upload.wikimedia.org/math/e/3/e/e3e5bfb81d9a710985e5a001a5d5fb1e.png)
Sulfur dioxide gas is bubbled into an excess of basic solution.

Remember that water is involved in these reactions, but it not written if it occurs on both sides of the equation.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Anhydrides can undergo neutralization reactions, even without the presence of water.

![\\hbox{CaO} + \\hbox{CO}_2 \\to \\hbox{CaCO}_3](../../../upload.wikimedia.org/math/2/2/2/22225314a4cdc10b2540752bb361baab.png)
Solid calcium oxide (basic anhydride) is exposed to dry ice gas (acidic anhydride). The resulting solid is a salt.

![\\hbox{CaO} + \\hbox{SO}_3 \\to \\hbox{CaSO}_4](../../../upload.wikimedia.org/math/5/1/7/51782382ed2cc4c1b133793e4623bdb0.png)
Solid calcium oxide is exposed to a stream of sulfur trioxde gas. The resulting solid is a neutral salt.

## Hydrolysis

A salt of a weak acid and strong base dissociates and reacts in water to form OH-. A salt of a strong acid and weak base dissociates and reacts in water to form H+. This process is called _hydrolysis_.

In this first example, aluminum nitrate is dissolved in water.

![\\hbox{Al}\(\\hbox{NO}_3\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}^{3+} + 3\\hbox{NO}_3^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/5/6/1/56179be2947b0fc93d4eed1d8580904f.png)
First, the salt dissociates in the water. It isn't necessary to write H2O in this reaction.

![\\hbox{Al}^{3+} + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}\(\\hbox{OH}\)^{2+} + \\hbox{H}^+](../../../upload.wikimedia.org/math/1/6/e/16e2822295cf9432ccc4c3743575e461.png)
Now, at least one of the ions will react with water. You know that nitric acid is strong, so the nitrate ion will not take an H+ ion from water. Instead, the aluminum ion will react with water, releasing a hydrogen ion.

![\\hbox{Al}\(\\hbox{NO}_3\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Al}\(\\hbox{OH}\)^{2+} + \\hbox{H}^+ + 3\\hbox{NO}_3^- ](../../../upload.wikimedia.org/math/4/6/3/463e0985e5c5e18c1e3df81f07d1a0aa.png)
This is the _net ionic equation_. The resulting solution is acidic.

The solution is acidic not because nitric acid is strong, but because aluminum is a weak base.

Here is an easier example.

![\\hbox{NaNO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Na}^+ + \\hbox{NO}_2^- + \\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/2/1/321d31244f2695508caba754031196d1.png)
First, the salt dissociates. Again, the H2O need not be written.

![\\hbox{NO}_2^- + \\hbox{H}_2\\hbox{O} \\to \\hbox{HNO}_2 + \\hbox{OH}^-](../../../upload.wikimedia.org/math/9/1/1/911d2439f28ad30de63f9c86539d27cc.png)
Sodium ions will not react with water. Even if they did, they would form NaOH, which is a strong base, so it would immediately dissociate. Instead, the NO2 reacts with water. Being the conjugate of a weak acid, the nitrite ions will accept a proton from water to form nitrous acid (weak) and hydroxide ions (basic).

![\\hbox{NaNO}_2 + \\hbox{H}_2\\hbox{O} \\to \\hbox{Na}^+ + \\hbox{HNO}_2 + \\hbox{OH}^-](../../../upload.wikimedia.org/math/3/3/0/330f3853b49d093dfd1d22dd6d1f0f1c.png)
This is the net ionic equation for the hydrolysis of sodium nitrite. The resulting solution is basic.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

There is no hydrolysis reaction for _neutral salts_. Salts like NaCl and K2SO4 (and any other composed of the conjugates of both a strong acid and strong base) will not react with water. They create neutral solutions when dissolved.

## Lewis Acids/Bases

Lewis acids accept an electron pair. Lewis bases donate an electron pair. Together they react and bond to form an _adduct_.

Lewis acids/bases do not require the presence of water. However, H+ can be though of as a Lewis acid because it accepts electron pairs. OH- can donate an electron pair, making it a Lewis base.

![\\hbox{BF}_3 + \\ddot{\\hbox{N}}\\hbox{H}_3 \\to \\hbox{F}_3\\hbox{B}-\\hbox{NH}_3](../../../upload.wikimedia.org/math/a/7/f/a7f62d6d2a57ebcddee89efd710e1d02.png)
Boron trifluoride (Lewis acid) is exposed to ammonia (a Lewis base, as shown by the electron pair over the N). The electron pair is shared between the nitrogen and boron, creating a bond. (The boron trifluoride is written backwards as F3B only to demonstrate the B-N bond. Its structure has not changed.)

![\\hbox{B}_2\\hbox{H}_6 + 2\\hbox{H}^- \\to 2\\hbox{BH}_4^-](../../../upload.wikimedia.org/math/a/b/4/ab482a8c026795663fcab35abea28ad2.png)
Diborane accepts the two electrons from H- and forms a Lewis adduct.

## Practice Problems

Write the net ionic equations for the following. Make note of any solid precipitates or gas bubbles that would form.

  1. Equimolar solutions of sodium biphosphate and potassium hydroxide are mixed.
  2. Equimolar solutions of sodium biphosphate and hydrochloric acid are mixed.
  3. Excess sulfur dioxide gas is bubbled into a dilute solution of sodium hydroxide. Acid is then added.
  4. Aluminum chloride is dissolved into water.
  5. Sodium fluoride is dissolved into water. Strong acid is then added.
  6. Solid calcium oxide is exposed to a stream of sulfur trioxide gas. If the resulting compound is dissolved, will the solution be acidic, basic, or neutral?
  7. Gaseous hydrogen chloride is bubbled into a solution of silver nitrate.
  8. Ammonium chloride crystals are dissolved in water. Sodium hydroxide is then added.
  9. Calcium hydroxide crystals are dissolved into a solution of sodium bicarbonate.
  10. Phosphine gas is sprayed onto pebbles of aluminum trichloride. (Hint: these are Lewis acids/bases.)

[Answers to Practice Problems](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases/Answers)

  


  


Phases of Matter

  


  


# Solids

* * *

← [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) ·[Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) →

[← Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Liquids →](http://en.wikibooks.org/wiki/General_Chemistry/Liquids)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Characteristics of Solids

**Shape and volume** are both definite in solids. Although solids have a rigid shape, a large amount of force can cause deformation to the structure of a solid. There are three types of deformation:

  * _Brittle_ deformation causes bonds to break in an irregular way. Shredding paper and shattering glass are good examples.
  * _Elastic_ deformation is temporary. The molecules will return to their original positions as soon as the force is removed. Rubber bands and tires are elastic, as well as steel rods and wooden boards.
  * _Plastic_ deformation is permanent. Plastic deformation can be observed by bending a metal spoon.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/be/Ductility.svg/220px-Ductility.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

(a) Brittle; (b) and (c) shows _ductility_

Most materials are capable of all three types of deformation. Small amounts of stress cause elastic deformation, but large amounts will cause plastic deformation. In the event of repeated deformation or tremendous stress, brittle deformation occurs.

Solids are **incompressible**. Solids may break or deform under stress, but they tolerate little compression. For instance, a wooden plank will break if force is applied, but it will not compress like a sponge. The only reason sponges compress is because they contain air pockets and undergo elastic deformation. Otherwise, solids will not compress. At the molecular level, this happens because the intermolecular bonds do not change size without breaking.

Some solids, usually metals, have properties like **ductility** and **malleability**. A ductile material can be stretched into long, thin wires. A malleable substance can be hammered into very thin sheets. Gold and copper are some of the most malleable and ductile substances known. These properties occur as a result of the [metallic bonding](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds).

## Solids at the Molecular Level

Solids occur when there is enough intermolecular bonding to hold the molecules of a substance into a relatively rigid structure. The molecules are close together, and their movement is restricted to vibration. Solids occur at the lowest temperatures and highest pressures. As the temperature of a solid increases, so does the kinetic energy of its molecules. At the _melting point_, the molecules have enough energy to overcome their bonds and **melt** into a liquid. Likewise, a liquid will **freeze** once its molecules are not moving fast enough to avoid strong intermolecular bonds.

Compounds that have ionic bonding or metallic bonding are most likely to be found in the solid phase due to their high melting points. Also, covalent network substances (like diamond or quartz) are solids because the atoms are secured with covalent bonds, requiring extreme amounts of energy to separate them.

### Types of Solids

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Crystal structure**_](http://en.wikipedia.org/wiki/Crystal_structure)

  * **Crystalline** solids have a molecular structure with a specific geometric shape. The solid has a specific melting point at which all molecules begin to break free of their bonds. Substances like salt, diamond, and quartz are crystalline solids. These solids usually form by cooling a liquid slowly, so that the molecules have time to arrange themselves in a crystalline structure as their bonds form.
  * **Amorphous** solids have a molecular structure with no specific shape. The solid melts over a range of temperatures because the amount of energy needed to break the bonds varies from molecule to molecule. Substances like coal and glass are amorphous. Amorphous solids usually form when a liquid is cooled quickly, so there is no time for the molecules to arrange themselves into a crystal.

Crystalline solids are typically harder and more rigid. Coal and diamond are both made from elemental carbon, but coal is amorphous and diamond is crystalline. Because of its crystal structure, diamond is one of the hardest substances known, whereas coal can be scratched away with a fingernail. The crystal structure also explains diamond's brilliant, transparent appearance. Coal is black and dull because the disorder of the atoms does not allow light to pass.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ionic solids and metallic solids are always crystalline. Covalent network solids can be crystalline or amorphous. Van der Waals solids are always amorphous.

### Packing and Unit Cells

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Sodium-chloride-unit-cell-3D-ionic.png/220px-Sodium-chloride-unit-cell-3D-ionic.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The unit cell of sodium chloride

In crystalline solids, the atoms are arranged in a specific pattern. The smallest repeating part of this pattern is called the **unit cell**. The unit cell may have more atoms than the empirical formula of a substance because the geometric shape may require several atoms. In the case of sodium chloride, the empirical formula contains only two atoms, but the unit cell has 27 atoms.

The molecules of a solid are _close packed_. They arrange themselves in the densest shape possible. Usually, two different patterns occur.

  * _Face-centered cubic_ or **FCC**
  * _Hexagonal close-packed_ or **HCP**

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b9/ImgSalt.jpg/220px-ImgSalt.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Halite, or rock salt, exhibits FCC packing.

FCC crystals have three alternating layers, described as ABCABCABC (every third layer is the same). The layers are arranged so that each unit cell is half-way between the two unit cells above or below it. HCP crystals have two alternating layers, described as ABABABAB (every other layer is the same).

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Close-packed_spheres.jpg/120px-Close-packed_spheres.jpg)

FCC lattice

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Hexagonal_close-packed_unit_cell.jpg/120px-Hexagonal_close-packed_unit_cell.jpg)

HCP lattice

  


# Liquids

* * *

← [Solids](http://en.wikibooks.org/wiki/General_Chemistry/Solids) ·[Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) →

[← Solids](http://en.wikibooks.org/wiki/General_Chemistry/Solids) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Gases →](http://en.wikibooks.org/wiki/General_Chemistry/Gases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Liquids at a Molecular Level

Liquids have some intermolecular bonding, but it is not nearly as strong as that of a solid. As a result, the molecules are somewhat close together, but they are not tightly packed. Instead, they are free to slide past each other. Liquids occur at temperatures above the _melting point_ of a substance, but below its _boiling point_. At the melting point, the molecules are moving slow enough to form rigid bonds and become a solid. At the boiling point, the molecules are moving so fast that they cannot form any bonds and become a gas.

## Characteristics of Liquids

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Dispersion.gif/220px-Dispersion.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Diffusion is the chaotic mixing of fluids. The jar on the left has warmer water.

Liquids have **definite volume**, but **indefinite shape**. They are free to form droplets and puddles when they are not inside a container. When a liquid is inside a container, it will take its shape. Unlike gases, a liquid will not change its volume to spread out and completely fill a container. There is enough intermolecular bonding to give liquids a definite volume.

Liquids are **fluid**, able to flow and take any shape. This occurs due to the weak intermolecular bonding that allows the molecules to slide past each other freely. As a result of being fluid, liquids exhibit many interesting properties that solids do not, including capillary action and diffusion.

Liquids, like gases, undergo **diffusion** when mixed. This can be seen by adding food coloring to water. Different liquids, when added, will chaotically spread out and mix together. Diffusion will occur faster when the liquid is warmer because the increased kinetic energy allows the molecules to move faster and collide more frequently.

Liquids are usually considered **incompressible**. The molecules are already close together, so it is difficult to compress them any more. Under very high pressures, liquids will actually compress, but not very much.

Liquids, unlike gases, have a distinct **surface**—they need not take their container's shape. This allows the formation of droplets and puddles.

## Special Properties

### Cohesion and Adhesion

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/43/Spider_web_Luc_Viatour.jpg/220px-Spider_web_Luc_Viatour.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Water droplets _adhere_ to a spiderweb. Their round shape is caused by _cohesion_.

The molecules of a liquid are attracted to each other. This is called **cohesion**. Molecules like methane are non-polar, so they are held together only by van der Waals forces (the weakest). These molecules will have minimal cohesion. In contrast, water molecules use hydrogen bonding (very strong), so they display strong cohesion. A cohesive liquid will form more spherical droplets and have much higher _surface tension_ (explained below).

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Adhesion**_](http://en.wikipedia.org/wiki/Adhesion)

Adhesion is the attraction of a liquid molecule to its surroundings. Adhesive liquids will demonstrate _capillary action_ (explained below). They are also more "wet". Mercury is very cohesive, but not adhesive. As a result, it doesn't leave behind residue as it rolls across a surface. Water, on the other hand, is much more adhesive. When water rolls across a surface, it wets that surface because some of the molecules adhere to it.

### Surface Tension and Capillary Action

When water drops are on an _impermeable_ (waterproof) surface, they tend to form beads. This is due to its **surface tension**. Liquid molecules pull at each other, and as a result they decrease their surface area. The molecules at the boundary of the liquid are pulled in, causing a droplet shape. When water is on a _permeable_ surface, it spreads out, as can be seen with water on a paper towel. This **capillary action** explains how water in the ground reaches the top of trees that are hundreds of feet tall.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/04/Capillary_Attraction_Repulsion_\(PSF\).jpg/120px-Capillary_Attraction_Repulsion_\(PSF\).jpg)

Adhesive liquids (like water but not mercury) will rise up a narrow tube.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f9/WassermoleküleInTröpfchen.svg/118px-WassermoleküleInTröpfchen.svg.png)

Cohesive liquids have _surface tension_ to hold themselves into droplets.

### Pressure

Liquids will distribute pressure evenly. This concept, known as _Pascal's Law_, is crucial for equipment like hydraulic brakes. It is a result of their incompressibility.

Helpful Hint!

If there is no atmospheric pressure (a vacuum, like outer space), liquids cannot form.

Liquids will **evaporate**. Although the average kinetic energy of the molecules is too low to overcome bonding and become a gas, individual molecules will occasionally have above-average energy and break free from the surface of the liquid. The molecule then escapes escapes to the gas phase. At the same time, however, a gas molecule may hit the surface of the liquid and slow down enough to join the liquid. A glass of water left outside in the sun will eventually become empty. The sunlight adds energy to the molecules, allowing some to escape as a gas. Eventually, all molecules will escape. The tendency of a liquid to evaporate depends on its intermolecular forces. **Volatile** liquids tend to evaporate quickly have relatively weak intermolecular forces keeping the molecules together, making it easier for them to escape the liquid phase. Conversely, non-volatile liquids do not evaporate to any visible extent due to the presence very strong intermolecular forces.

The evaporation increases with temperature. It can be measured by **vapor pressure**, the amount of pressure exerted by the evaporated gas above the liquid's surface. Vapor pressure increases with temperature, and once it reaches the pressure of the surrounding atmosphere, the liquid will boil. Vapor pressure also depends on the intensity of intermolecular forces in the liquid.

### Viscosity

**Viscosity** refers to the liquid's resistance to flow. For example, [maple syrup](http://en.wikipedia.org/wiki/Maple_syrup) has a relatively high viscosity when compared to water because maple syrup flows much slower than water, which flows relatively quickly and easily. The difference in viscosity between these two liquids is due to the attractive forces within the specific liquid. In order to flow, molecules must roll and move over each other. A solution with low attractive forces would allow the molecules to move in a more free and easy manner, decreasing the viscosity.

In most cases, the viscosity of a liquid decreases as the temperature of a liquid is increased. Increasing the temperature of a liquid causes the molecules to have a higher [kinetic energy](http://en.wikipedia.org/wiki/Kinetic_energy). This increase in kinetic energy breaks down the intermolecular forces present in the liquid. Since viscosity is dependent on these attractive forces, the viscosity will decrease when the kinetic energy is increased.  


# Gases

* * *

← [Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) ·[Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) →

[← Liquids](http://en.wikibooks.org/wiki/General_Chemistry/Liquids) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Phase Changes →](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Characteristics of Gases

Gases have a number of special characteristics that differentiate them from other states of matter. Here is a list of characteristics of gases:

Characteristics of Gases

  * Gases have neither **definite shape** nor **definite volume**. They expand to the size of their container.
  * Gases are **fluid**, and flow easily.
  * Gases have **low density**, unless compressed. Being made of tiny particles in a large, open space, gases are very compressible.
  * Gases **diffuse** (mix and spread out) and **effuse** (travel through small holes).

### Standard Temperature and Pressure

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Standard conditions for temperature and pressure**_](http://en.wikipedia.org/wiki/Standard_conditions_for_temperature_and_pressure)

_Standard Temperature and Pressure_, or **STP**, is 0 °C and 1 atmosphere of pressure. Expressed in other units, STP is 273 **K** and 760 **torr**. The Kelvin and torr are useful units of temperature and pressure respectively that we will discuss later in the following sections.  


### Avogadro's Law

![](../../../upload.wikimedia.org/wikipedia/commons/3/3c/Amedeo_Avogadro2.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Amedeo Avogadro, the Italian chemist. Avogadro's Law is named after him and his discoveries about the behavior of gases

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Avogadro's Law**_](http://en.wikipedia.org/wiki/Avogadro%27s_Law)

**Avogadro's Law** states that equal volumes of gases at the same temperature and pressure contain the same number of molecules. So both one mole of Xenon at STP (131.3 grams) and one mole of helium at STP (4.00 grams) take up 22.4 liters. Even 1 mole of air, which is a mixture of several gases, takes up 22.4 liters of volume. 22.4 L is the standard molar volume of a gas.

  


[Avogadro's Law]

    ![\\frac{V}{n} = k\\,](../../../upload.wikimedia.org/math/8/a/8/8a805414b2c8361bc9abaf1f68e07bc8.png).

where:

    _V_ is the volume of the gas.
    _n_ is the number of moles of the gas.
    _k_ is a proportionality constant.

The most important consequence of Avogadro's law is that the '**ideal gas constant** has the same value for all gases. This means that the constant

    ![\\frac{p_1\\cdot V_1}{T_1\\cdot n_1}=\\frac{p_2\\cdot V_2}{T_2 \\cdot n_2} = const](../../../upload.wikimedia.org/math/3/f/6/3f6378ab7c118f89a839c7a95ec5b0be.png)

where:

    _p_ is the pressure of the gas
    _T_ is the temperature of the gas

has the same value for all gases, independent of the size or mass of the gas molecules.  


### Pressure

Gases exert pressure on their containers and all other objects. Pressure is measured as force per unit area. A barometer is a device that measures pressure. There are a number of different units to measure pressure:

  * **torr**, equal to millimeters of mercury (mm Hg): if a glass cylinder with no gas in it is placed in a dish of liquid mercury, the mercury will rise in the cylinder to a certain number of millimeters.
  * atmosphere (**atm**), the pressure of air at sea level.
  * pascal (**Pa**), equal to one newton (N) per square meter. A newton is the force necessary to accelerate one kilogram by one meter per second squared.

You should know that **1 atm = 760 torr = 101.3 kPa**.

## Ideal Gases

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Ideal gas**_](http://en.wikipedia.org/wiki/Ideal_gas)

Gases are complicated things composed a large numbers of tiny particles zipping around at high speeds. There are a number of complex forces governing the interactions between molecules in the gas, which in turn affect the qualities of the gas as a whole. To get around these various complexities and to simplify our study, we will talk about **ideal gases**.

An ideal gas is a simplified model of a gas that follows several strict rules and satisfies several limiting assumptions. Ideal gases can be perfectly modeled and predicted with a handful of equations.

Ideal gases follow, among others, these important rules:

**Rules of Ideal Gasses**

  1. The molecules that make up a gas are a point masses, meaning **they have no volume**.
  2. Gas particles are spread out with very great distance between each molecule. Thus, **intermolecular forces are essentially zero**, meaning that they neither attract nor repel each other.
  3. If collisions do occur between gas particles, these **collisions are elastic**, meaning there is no loss of kinetic (motion) energy.
  4. Gas molecules are in **continuous random motion**.
  5. Temperature is directly proportionate to kinetic energy.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

**Note:** Ideal gases never truly exist (because the nature of gases is so complicated), but gases are often close enough to an ideal gas that the equations still hold fairly accurate.

### Ideal Gas Law

Ideal gases can be completely described using the **ideal gas law**:

  


[Ideal Gas Law]

    ![\\ pV = nRT   ](../../../upload.wikimedia.org/math/c/e/8/ce8dc304ae19dd87ab48ddfd9ecf7525.png)

where

    ![\\ p  ](../../../upload.wikimedia.org/math/8/6/d/86d089c4cd0c12f98c26c289d52f2b49.png) is the absolute pressure of the gas,
    ![\\ V  ](../../../upload.wikimedia.org/math/c/4/f/c4fab1659eecd0901dbc5ae64cf2d117.png) is the volume of the gas,
    ![\\ n  ](../../../upload.wikimedia.org/math/9/5/a/95ae10911ccd94b57da5535ac94fec03.png) is the number of moles of gas,
    ![\\ R  ](../../../upload.wikimedia.org/math/c/9/7/c97811b12c3a42dc75d17140400c4f35.png) is the ideal gas constant,
    ![\\ T  ](../../../upload.wikimedia.org/math/c/2/6/c26e071b57ddece0b9834fc1f4de65cc.png) is the absolute temperature, in Kelvin.

### Ideal Gas Constant

Values of _R_ Units

8.314 472(15)
J K−1 mol−1

8.314 472(15)
m3 Pa K−1 mol−1

8.314 472(15)
cm3 MPa K−1 mol−1

0.082 057 46(14)
L atm K−1 mol−1

62.363 67(11)
L Torr K−1 mol−1

The ideal gas constant, _R_, is a constant from the ideal gas equation, above, that helps to relate the various quantities together. The gas constant represents the same value, but the exact numerical representation of it may be different depending on the units used for each term. The table at right shows some values of _R_ for different units. Here is the value of _R_ using Joules for energy, Kelvin for temperature, and moles for quantity:

  


[Ideal Gas Constant]

    ![R = 8.314472\\ \\ JK^{-1}mol^{-1}](../../../upload.wikimedia.org/math/7/9/a/79ad363941648015d45560c1525c961b.png)

  


### Real Gases

All **real gases** (or _non-ideal_ gases) deviate from the ideal gas laws that we discussed above. These deviations can occur for several reasons:

  * Real molecules have mass and volume. They are too big and no longer behave like ideal point masses
  * Low volumes and high pressures cause molecules to be close enough for intermolecular forces. Polar molecules exaggerate the problem.
  * Low temperature means low kinetic energy. At lower temperatures, intermolecular forces become significant and cannot be ignored like they are in ideal gasses
  * Other complicated factors may prevent ideal behavior.

When these issues are present, gas molecules attract each other, and may even condense into a liquid. Gases act most like ideal gases when the molecules have low mass (small volume), are not polar, and are at high temperature and low pressure. Noble gases like Xenon or Argon act the most like ideal gases because they are mostly electrical neutral and non-interactive.

## Kinetic Molecular Theory

This theory describes why gases exhibit their properties. It only applies accurately to ideal gases. Because there is no such thing as an ideal gas, the **Kinetic Molecular Theory** can only approximate gas behavior. It is still very useful to chemists.

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Kinetic theory**_](http://en.wikipedia.org/wiki/Kinetic_theory)

The Kinetic Molecular Theory explains the pressure, temperature, kinetic energy, and speed of gases and their molecules. See Wikipedia for the exact equations of the Kinetic Molecular Theory, as well as detailed explanations. What is most important is understanding the general concepts, not the specific equations.

### Kinetic Energy and Temperature

Kinetic energy is the mechanical, or movement, energy. It is given by the equation:

    ![KE = \\frac{1}{2}mv^2_{rms}](../../../upload.wikimedia.org/math/b/b/f/bbf30a1f35d862478b64014d8ec38e91.png)

where

    ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png) is mass and
    ![v_{rms}](../../../upload.wikimedia.org/math/9/6/e/96ed8f1a765e24c6638c39ed5ec3fe62.png) is the average velocity

Explained with words, kinetic energy is dependent on the product of a particle's mass and its velocity squared. The more kinetic energy, the faster a particle moves. Conversely, the faster a particle moves, the more kinetic energy it has.

The Kinetic Molecular Theory states that kinetic energy and temperature are directly proportionate. Thus, a double in temperature will result in a double in kinetic energy and an increase in velocity by a factor of 1.4 (the square root of 2, see the KE equation). This means that the higher the temperature of a gas, the faster the individual particles in that gas are moving.

A hotter gas has more kinetic energy than a colder gas. If two gases are at the same temperature, they will have the same kinetic energy. The lighter-massed gas will have a higher average speed for its particles at the same energy level. It is important to know that gas temperature **must be measured in kelvin**. Zero degrees Celsius is 273 kelvin. One Celsius degree is equal to one kelvin, but the kelvin scale has water's freezing point at 273 and boiling point at 373. It is necessary to use kelvin because temperatures must always be positive when using the Kinetic Molecular Theory.

Question for the reader

A gas's temperature is increased from 20 °C to 40° C. What factor does its kinetic energy increase? Velocity?

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Keep in mind that gases are all about averages. For a temperature increase, there will be an average increase in the kinetic energy of the particles in that gas. Even in a very hot gas there will be some particles moving very slowly. However, the average will be high.

### Pressure and Collisions

Pressure exists because the gas molecules are in continuous random motion, and they will constantly strike the walls of their container. Pressure will increase as the speed of the molecules increases, due to greater forces of collision. Pressure will also increase as the mass of the molecules increase. A small, slow molecule has less momentum than a large, fast molecule, which explains their difference in pressure.

Question for the reader

There are two jars of ideal gas, for example. In Jar A there is nitrogen gas (N2). In Jar B there is methane gas (CH4). Both jars are at the same temperature. Which will have greater pressure?

Question for the reader

Now, Jars A and B both have propane gas (C3H8). Jar A is at 300 K and Jar B is at 500 K. Which will have greater pressure?

  


# Phase Changes

* * *

← [Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) ·[Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) →

[← Gases](http://en.wikibooks.org/wiki/General_Chemistry/Gases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Behaviour of Gases →](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Phase Diagrams

Phase diagrams predict the phase of a substance at a certain pressure and temperature.

![Phase-diag2.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/34/Phase-diag2.svg/530px-Phase-diag2.svg.png)

The **triple point** is where all three phases of matter can exist in equilibrium. Points that are on a line are where two phases of matter can coexist.

The **critical point** is the highest pressure and temperature that the three normal phases can exist. Any further, and the characteristics become a blend of liquid and gas.

## Changes in State

![Phase change - en.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/0/0b/Phase_change_-_en.svg/300px-Phase_change_-_en.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

If the temperature and pressure change and move across a line in the diagram, the phase will also to change. There are six ways this can happen:

  * Solid to liquid: **melting**
  * Liquid to solid: **freezing**
  * Liquid to gas: **evaporation**
  * Gas to liquid: **condensation**
  * Gas to solid: **deposition**
  * Solid to gas: **sublimation**

The diagram on the right also shows the _plasma_ state of matter. A [plasma](http://en.wikipedia.org/wiki/Plasma) is simply a gas that has been completely ionized, so that there is a mixture of positive ions and electrons. It has interesting electrical properties, but it is not important in the scope of General Chemistry.

### Energy Changes

Helpful Hint!

The _kinetic energy_ of a molecule is directly proportional to its temperature. _Potential energy_ is used to break bonds.

If you boil water, it never goes above 100 degrees Celsius. Only after it has completely evaporated will it get any hotter. This is because once water reaches the boiling point, extra energy is used to change the state of matter and increase the potential energy instead of the kinetic energy. The opposite happens when water freezes. To boil or melt one mole of a substance, a certain amount of energy is required. These amounts of energy are the **molar heat of vaporization** and **molar heat of fusion**. If that amount of energy is added to a mole of that substance at boiling or freezing point, all of it will melt or boil, but the temperature won't change.

![Phase Heat Diagram.png](../../../upload.wikimedia.org/wikibooks/en/b/b7/Phase_Heat_Diagram.png)

The graph shows the temperature of ice as heat is added. Temperature increases linearly with heat, until the melting point. Then, the heat added does not change the temperature. That heat energy is instead used to break intermolecular bonds and convert ice into water. At this point, there is a mixture of both ice and water. Once all ice has been melted, the temperature again rises linearly with heat added. At the boiling point, temperature no longer rises with heat added because the energy is once again being used to break intermolecular bonds. Once all water has been boiled to steam, the temperature will continue to rise linearly as heat is added.  


# Behavior of Gases

* * *

← [Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) ·[Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) →

[← Phase Changes](http://en.wikibooks.org/wiki/General_Chemistry/Phase_Changes) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Diffusion and Effusion →](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Evaporation of Liquids

An open bottle of vinegar standing at room temperature will spread odor across the room despite the fact that it is not boiling. This is because kinetic energy is unevenly distributed throughout a liquid. Some molecules are moving faster than others. This allows the liquid to **evaporate** into a gas. In order for evaporation to occur, the entire liquid does not need to be at the boiling temperature; only some individual molecules. At a given temperature a liquid evaporates at a specific rate, causing gas pressure above the liquid in the system that contains it. Can you guess the vapor pressure of water at 100 degrees Celsius? If you guessed 760 torr or 1 atm, you're right. Liquids boil when their vapor pressures equal the atmospheric pressure around them. Some liquids are more **volatile** than others, meaning they evaporate more readily.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/36/Maxwell-Boltzmann_distribution_1.png/220px-Maxwell-Boltzmann_distribution_1.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A Boltzmann distribution at various temperatures.

Evaporation occurs because of the uneven distribution of kinetic energy. This is called a _Boltzmann distribution_. Although the average kinetic energy of the liquid is below the boiling point, some molecules have above average energy. That gives them enough energy to overcome their bonds and break free of the liquid. At the same time, a gas molecule could strike the liquid and slow down enough to become part of it. There is an _equilibrium_ between the amount of evaporating liquid and the amount of liquifying gas. Higher temperatures will have an equilibrium that favors more gas.

## Motion of Gas Particles

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Translational_motion.gif/220px-Translational_motion.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

This animation demonstrates the motion of gas particles.

Gas particles move in random, straight-line motion. Gas particles possess a greater kinetic energy than the particles of a liquid or solid. The greater kinetic energy is due to gases existing at higher temperatures than liquids or solids. As temperature increases, particles move faster and, thus, have greater kinetic energy. The particles of a gas have minimal interactions, except collisions with each other.

### Diffusion and Effusion

Due to their random motion, gases will eventually escape from a container if there is a hole in it. This is called **effusion**. Gases also spread out across a room, or mix together in a container. This is called **diffusion**.

More information about diffusion and effusion is presented in the [next chapter](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion).

## Dalton's Law of Partial Pressures

The total amount of pressure exerted by a gas is equal to the sum of its components:

![P_{total} = P_1 + P_2 + P_3 + ...](../../../upload.wikimedia.org/math/7/2/c/72cb1b7ca7fb7a9478741da15402cb26.png)

For instance, if you add 300 torr of nitrogen gas to a container, then you add 250 torr of oxygen to that container, the total pressure will be 550 torr (assuming volume and temperature stayed constant).

Another way of stating this law is that the pressure exerted by a particular gas in a mixture (gases always form homogeneous mixtures with each other) is equal to its mole fraction multiplied by the total pressure.  


# Diffusion and Effusion

* * *

← [Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) ·[Gas Laws](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws) →

[← Behaviour of Gases](http://en.wikibooks.org/wiki/General_Chemistry/Behaviour_of_Gases) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Gas Laws →](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Diffusion and Effusion

### Diffusion

**Diffusion** is the process of a substance spreading out to evenly fill its container or environment. In a solution, a concentrated solute diffuses to spread evenly in its solvent. In air, gas molecules diffuse to mix thoroughly. Substances diffuse from areas of high concentration to low concentration. Diffusion explains why an open bottle of ammonia will fill an entire room with odor. The gas molecules escaping from the bottle spread out to fill their new container: the room. As a result, the whole room smells. Upon opening the windows, the gas will diffuse into the environment.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Diffusion occurs because the gas molecules are in continuous random motion. This motion is called **Brownian Motion**. The molecules will eventually reach anywhere they can.

Diffusion is also the process of two gases mixing together, if both stored in the same container. They will spread out evenly, resulting in a solution (homogeneous mixture).

### Effusion

**Effusion** is the process of gas molecules escaping from a small hole in the container. Effusion explains why fumes are noticeable near a leaky fuel pipe.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Effusion is also explained by the continuous random motion of the molecules. The random motion prevents molecules from avoiding the small hole. Slowly but steadily, gas molecules will pass through the hole.

Effusion obviously depends on the size of the hole. If small enough, effusion may not occur because, like a beach ball hitting a basketball hoop, the molecules can't fit. Larger holes obviously allow molecules to escape faster. If the hole is large enough, the process may be considered diffusion instead of effusion.

Effusion can be seen with balloons. Effusion proves that the balloon has holes in it, even though it looks totally impassable. When left alone for several days, a balloon filled with helium will eventually deflate. If that balloon were filled with hydrogen, it would deflate in less time because the molecules are smaller and escape with ease. and you can try that

## Graham's Law of Effusion

Graham's Law can be used to approximate diffusion. However, diffusion involves two or more gases interacting with each other, so the equation is not accurate.

The more massive a gas is, the slower it effuses. The relationship is given by **Graham's Law**.

![\\frac{Rate_1}{Rate_2} = \\sqrt \\frac{M_2}{M_1}](../../../upload.wikimedia.org/math/1/0/a/10ade730a78efec7e1cbafd67025d9b2.png), where M is the molar mass of a gas molecule.

As an example, assume there are two identical containers with holes. Container A has hydrogen gas (M=2 g/mol) and Container B has helium gas (M=4 g/mol). If the hydrogen gas effuses at a rate of 4 mol/hr, the helium gas would effuse at a slower rate (being heavier). Using Graham's Law, we can see that it would effuse at a rate of about 2.8 mol/hr.  


# Gas Laws

* * *

← [Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) ·[Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) →

[← Diffusion and Effusion](http://en.wikibooks.org/wiki/General_Chemistry/Diffusion_and_Effusion) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Gas Laws

As the result of many different scientists and experiments, several _gas laws_ have been discovered. These laws relate the various **state variables** of a gas.

State Variables of a Gas

  * Pressure (P)
  * Volume (V)
  * Temperature (T)
  * Molar mass (n)

These gas laws can be used to compare two different gases, or determine the properties of a gas after one of its state variables have changed.

![\\frac{V}{n} = constant](../../../upload.wikimedia.org/math/a/f/5/af537f191950e02c88f024c5c24c26c1.png)
![\\frac{n_1}{V_1} = \\frac{n_2}{V_2}](../../../upload.wikimedia.org/math/a/5/b/a5bbf604b80b85852a9b47cb55500ef4.png)
**Avogadro's Law** states that equal volumes of all ideal gases (at the same temperature and pressure) contain the same number of molecules.

![P \\times V = constant](../../../upload.wikimedia.org/math/3/1/3/313b9dcfa793a17d3eb5fd1c4ef0e968.png)
![P_1 \\times V_1 = P_2 \\times V_2](../../../upload.wikimedia.org/math/e/5/0/e507ac9b8e06cf2961dd447222c0e8f6.png)
**Boyle's Law** states that equal pressure is inversely proportional to volume (when temperature is constant).

![\\frac{V}{T} = constant](../../../upload.wikimedia.org/math/b/9/7/b975d5498497a1e053181de03de6cb55.png)
![\\frac{V_1}{T_1} = \\frac{V_2}{T_2}](../../../upload.wikimedia.org/math/9/e/d/9edc086929bf33c962e15f9a3f6a31c0.png)
**Charles's Law** states that volume is proportional to temperature (when pressure is constant). Remember that temperature must be measured in Kelvin.

![\\frac{P}{T} = constant](../../../upload.wikimedia.org/math/6/f/8/6f8ad8a07bee1baf92c5d02a7144434d.png)
![\\frac{P_1}{T_1} = \\frac{P_2}{T_2}](../../../upload.wikimedia.org/math/b/6/7/b675039439b8541bf7aa2e1026299ead.png)
**Gay-Lussac's Law** states that pressure is proportional to temperature (when volume is constant).

### Combined Gas Law

Combining Charles's Law, Boyle's Law, and Gay-Lussac's Law gives us the **combined gas law**.

![\\frac{P \\times V}{T} = constant](../../../upload.wikimedia.org/math/c/0/0/c007bc10bfccb08fdefe44dc8be72025.png)
For a gas with constant molar mass, the three other state variables are interrelated.

![\\frac{P_1 \\times V_1}{T_1} = \\frac{P_2 \\times V_2}{T_2}](../../../upload.wikimedia.org/math/9/b/b/9bb5aa42f731c89d67950f34cc0c16bf.png)
The Combined Gas Law can be used for comparisons between gases.

## Ideal Gas Law

When Avogadro's Law is considered, all four state variables can be combined into one equation. Furthermore, the "constant" that is used in the above gas laws becomes the Universal Gas Constant (R).

To better understand the Ideal Gas Law, you should first see how it is derived from the above gas laws.

![V \\propto n \\,](../../../upload.wikimedia.org/math/9/1/b/91b52ef9706a6eb888ca96f150982e8e.png) and ![V \\propto \\frac{T}{P}](../../../upload.wikimedia.org/math/c/5/c/c5c9167afa0a78723d90dca732b41842.png)
This is simply a restatement of Avogadro's Law and the Combined Gas Law.

![V \\propto \\frac{n \\times T}{P}](../../../upload.wikimedia.org/math/6/1/2/612c6a4f0220ff8bbb91255dac02eeb2.png)
We can now combine the laws together.

![\\frac{V}{\\frac{n \\times T}{P}} = R](../../../upload.wikimedia.org/math/2/c/2/2c28ebaab505c65380b11d25dabdc698.png)
Let R be a constant, and write the proportion in the form of an equation.

![\\frac{P \\times V}{n \\times T} = R](../../../upload.wikimedia.org/math/8/9/f/89f797278be17eb169767eff98edad17.png)
Rearranging the fraction gives one form of the **ideal gas law**.

The ideal gas law is the most useful law, and it should be memorized. If you know the ideal gas law, you do not need to know any other gas laws, for it is a combination of all the other laws. If you know any three of the four state variables of a gas, the unknown can be found with this law. If you have two gases with different state variables, they can be compared.

There are three ways of writing the ideal gas law, but all of them are simply algebraic rearrangements of each other.

![PV = nRT \\,](../../../upload.wikimedia.org/math/e/d/6/ed61a77f4dc06aed316a30b3553c1fb9.png)
This is the most common form.

![\\frac{PV}{nT} = R](../../../upload.wikimedia.org/math/e/2/e/e2eb8f45b5c6050f204234233a079fc2.png)
This form is useful for predicting the effects of changing a state variable. To maintain a constant value of R, an change in the numerator must result in a proportional change in the denominator, and vice versa. If, for example, the pressure is decreased in a constant-volume container, you can use this form to easily predict that the temperature must decrease.

![\\frac{P_1V_1}{n_1T_1} = \\frac{P_2V_2}{n_2T_2}](../../../upload.wikimedia.org/math/d/b/7/db7b8a8bc1a7a4f56e32360be5fb9fe9.png)
Because R is the same constant for all gases, this equation can be used to relate two gases to each other.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

 ;Rules for Using the Ideal Gas Law 

  * Always convert the temperature to kelvins (K).
  * Always convert mass to moles (mol).
  * Always convert volume to liters (L).
  * It is preferable to convert pressure to kilopascals (kPa). R, the Universal Gas Constant, would be 8.314 (L·kPa)/(mol·K).

## Kinetic Molecular Theory

![Wikipedia-logo.png](../../../upload.wikimedia.org/wikipedia/commons/thumb/6/63/Wikipedia-logo.png/40px-Wikipedia-logo.png)

[Wikipedia](http://en.wikipedia.org/wiki/) has related information at _**[Kinetic theory**_](http://en.wikipedia.org/wiki/Kinetic_theory)

The Kinetic Molecular Theory attempts to explain the gas laws. It describes the behavior of microscopic gas molecules to explain the macroscopic behavior of gases. According to this theory, an ideal gas is composed of continually moving molecules of negligible volume. The molecules move in straight lines unless they collide into each other or the walls of their container.

![P = \\frac{F}{A}](../../../upload.wikimedia.org/math/1/4/0/1408371582dda9305af3303f50dc7ea3.png)
The **pressure** of the gas on the container is explained as the force the molecules exert on the walls during a collision. Pressure is equal to the average force of collisions divided by the total surface area of the container.

![T=\\frac{2}{3k_B} K](../../../upload.wikimedia.org/math/c/7/b/c7b59ba262bdff76c4ad9e8de5e797d7.png)
The **temperature** of the gas is proportional to the average kinetic energy of the molecules. ![K](../../../upload.wikimedia.org/math/a/5/f/a5f3c6a11b03839d46af9fb43c97c188.png) denotes the average kinetic energy of the molecules, and ![k_B](../../../upload.wikimedia.org/math/4/9/9/499ea482f0642e2bd203a3f560d4dd97.png) is the _Boltzman constant_ (1.388 x 10-23).

The gas laws are now explained by the microscopic behavior of gas molecules:

  * Boyle's Law: The pressure of a gas is inversely proportional to its volume. A container's volume and surface area are obviously proportional. Based on the pressure equation, an increase in volume (and thus surface area) will decrease pressure.
  * Charles' Law: the volume of a gas is proportional to its temperature. As the volume (and surface area) increases, the pressure will decrease unless the force also increase. When pressure is constant, the volume and temperature must be proportional. The temperature equation above explains why: the energy of the molecules (and their collision force) is proportional to temperature.
  * Gay-Lussac's Law: The temperature of a gas is directly proportional to its pressure. An increase in temperature will increase the kinetic energy of the molecules (shown by the temperature equation). Greater kinetic energy causes the molecules to move faster. Their collisions with the container will have more force, which increases pressure.
  * Avogadro's Law: Equal volumes of all ideal gases (at the same temperature and pressure) contain the same number of molecules. According to the Kinetic Molecular Theory, the size of individual molecules is negligible compared to distances between molecules. Even though different gases have different sized molecules, the size difference is negligible, and the volumes are the same.

### Derivation of Ideal Gas Law

Suppose there are ![N](../../../upload.wikimedia.org/math/8/d/9/8d9c307cb7f3c4a32822a51922d1ceaa.png) molecules, each with mass ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png), in a cubic container with side length ![s](../../../upload.wikimedia.org/math/0/3/c/03c7c0ace395d80182db07ae2c30f034.png). Even though the molecules are moving in all directions, we may assume, on average, that one third of the molecules are moving along the x-axis, one third along the y-axis, and one third along the z-axis. We may assume this because the motion of the molecules is random, so no direction is preferred.

Suppose the average speed of the molecules is ![u](../../../upload.wikimedia.org/math/7/b/7/7b774effe4a349c6dd82ad4f4f21d34c.png). Let a specific wall of the container be labeled A. Because the collisions in Kinetic Molecular Theory are perfectly elastic, the speed after a collision is ![-u](../../../upload.wikimedia.org/math/8/7/4/874e080502787f148888ca8b609114a6.png). Therefore, the average change in _momentum_ (the product of mass and velocity) per collision is ![2mu](../../../upload.wikimedia.org/math/e/f/c/efc00022a11ccf986ac892fda81aac68.png). 

Each molecule, on average, travels a distance of ![2s](../../../upload.wikimedia.org/math/c/8/0/c804c3a15ebe05b5baf40ad5ee12be1f.png) between two consecutive collisions with wall A. Therefore, it will collide ![u/2s](../../../upload.wikimedia.org/math/d/8/c/d8cb5ef6ce29c29a314858160f784fa9.png) times per second with wall A.

![2mu \\times \\frac{u}{2s}=\\frac{mu^2}{s}](../../../upload.wikimedia.org/math/a/f/0/af0b6c018afdd704d4be3515d94b7281.png)
The average change in momentum per molecule per second.

![\\frac{Nmu^2}{3s}](../../../upload.wikimedia.org/math/e/6/f/e6f5c5723a1360abc6090c0566741618.png)
Therefore, this is the total change in momentum per second for the ![\(1/3\)N](../../../upload.wikimedia.org/math/a/3/a/a3ad626e9ec945d003513ac092353bd5.png) molecules that collide into wall A. This is the momentum per second that was exerted onto wall A. Because force equals the change in momentum over time, this value is the force exerted on wall A.

![\\frac{Nmu^2}{3s} \\times \\frac{1}{s^2}=\\frac{Nmu^2}{3s^3}](../../../upload.wikimedia.org/math/d/c/e/dce1f0b390e96503af2620d3beef79c1.png)
Pressure is defined as force per unit area, so this is the pressure ![P](../../../upload.wikimedia.org/math/4/4/c/44c29edb103a2872f519ad0c9a0fdaaa.png) of the gas.

![PV=\\frac{Nmu^2}{3}](../../../upload.wikimedia.org/math/8/7/6/876a682227c9afc7f3008c93f25d052d.png)
Because the volume of the container is ![V=s^3](../../../upload.wikimedia.org/math/4/3/6/4369d10adca4e2589dff8b4a2b85dffb.png), we can rearrange the equation.

![K=\\frac{1}{2}mu^2](../../../upload.wikimedia.org/math/4/f/1/4f11c3f177f8f9e333e518f1b8d0a38f.png)
The kinetic energy of a single particle is given by this equation.

![PV=\\frac{2}{3}NK](../../../upload.wikimedia.org/math/c/c/5/cc5bbfe19eea6d35cb97e55e8b553f72.png)
Substitute kinetic energy into the ![PV](../../../upload.wikimedia.org/math/a/5/6/a565153df227b0510b1c789d5cdc39ec.png) equation.

![PV=N k_B T](../../../upload.wikimedia.org/math/4/f/9/4f940e0a010a3bef240e4fd878edae27.png)
Substitute the temperature equation (from the previous section).

![PV = N_A n k_B T](../../../upload.wikimedia.org/math/5/7/f/57f4a24fc927bf7710e0b12b0001f32a.png)
Avogadro's number ![N_A](../../../upload.wikimedia.org/math/4/2/9/4297971aea2d28d336bcfba8a42fe4bc.png) is equal to the number of molecules per mole.

![R = k_B N_A](../../../upload.wikimedia.org/math/d/7/6/d76a585e9dcf0708dae0a9dbee6f1e39.png)
By definition, the ideal gas constant is equal to the Boltzmann constant times Avogadro's number.

![PV=nRT](../../../upload.wikimedia.org/math/e/0/4/e0412dbb6e50de76a383b8f6e7d81dce.png)
The ideal gas law is derived from the Kinetic Molecular Theory.

## Deviations from the Ideal Gas Law

In an ideal gas, there are no intermolecular attractions, and the volume of the gas particles is negligible. However, there is no real gas that can perfectly fits this behavior, so the Ideal Gas Law only approximates the behavior of gases. This approximation is very good at high temperatures and low pressures.

At high temperature the molecules have high kinetic energy, so intermolecular attractions are minimized. At low pressure the gas occupies more volume, making the size of the individual molecules negligible. These two factors make the gas behave ideally.

At low temperature or high pressure, the size of the individual molecules and intermolecular attractions becomes significant, and the ideal gas approximation becomes inaccurate.

## Eudiometers and Water Vapor

Helpful Hint!

In calculations for a gas above a liquid, the vapor pressure of the liquid must be considered.

A **eudiometer** is a device that measures the _downward displacement_ of a gas. The apparatus for this procedure involves an inverted container or jar filled with water and submerged in a water basin. The lid of the jar has an opening for a tube through which the gas to be collected can pass. As the gas enters the inverted container, it forces water to leave the jar (displacing it downward). To fill the entire container with gas, there must enough gas pumped into the container to expel all of the water.

![](../../../upload.wikimedia.org/wikibooks/en/2/22/DDofgas.jpg)

Gas is created by burning a substance that releases methane. The _eudiometer_ on the right was full of water before the gas was created. By measuring the change in volume, the amount of gas can be calculated.

As seen in this diagram, the downward displacement involves water. Therefore, in the container where the gas is collected, there is unwanted water vapor. To account for the water vapor, subtract the pressure of water vapor from the pressure of the gases in the container to find the pressure of the collected gas. This is simply a restatement of Dalton's Law of Partial Pressure:

![P_{total} = P_{water~vapor} + P_{gas}](../../../upload.wikimedia.org/math/0/7/1/071658bed955c4363a8a5086ecd00f43.png)

The pressure of water vapour can be found on [this webpage](http://eweb.chemeng.ed.ac.uk/chemeng/water.html).

## Gas Laws Practice Questions

  1. Between the Combined Gas Law and the Ideal Gas Law, which one accounts for chemical change? Explain.
  2. Calculate the density of hydrogen at a temperature of 298 K and pressure of 100.0 kPa.
  3. What volume does 5.3 moles of oxygen take up at 313 K and 96.0 kPa?
  4. Hydrogen and sulfur chemically combine to form the gas hydrogen sulfide, according to the reaction: H2 (g) \+ S(s) → H2S(g). How many liters of hydrogen are required to form 7.4 L of hydrogen sulfide (at STP: 273 K, 101.3 kPa)?

  
[Answers to Gas Laws Practice Questions](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws/Answers)

  
  


Equilibria

  


  


# Chemical Equilibrium

* * *

← [Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) ·[Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) →

[← Chemical Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Le Chatelier's Principle →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

**Chemical equilibrium** occurs when a **reversible reaction** is occurring backwards and forwards at the same time by the same amount. It is the balancing point of a chemical reaction, when it seems to stop happening. Although some reactions (like the combustion of propane) occur to completion (no backwards reaction), most reactions occur in both the forward and backward direction. One reaction will occur at a faster rate than the other, causing a net result. As the reaction progresses, the forward reaction slows down and the backward reaction speeds up. When the rates are equal, **equilibrium** has occurred. The reaction appears to have stopped, and the total amount of products and reactants remains stable.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Chemical reactions never really stop, but they no longer make any progress once the forwards and backwards reactions are occurring at the same rate. This is _equilibrium_.

## The Equilibrium Constant

The ratio of products to reactants, or ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png) is known as the **equilibrium constant**. For the generic reaction mA + nB → xC + yD, the equilibrium constant is

![K_{eq} = \\frac{\[C\]^x\[D\]^y}{\[A\]^m\[B\]^n}](../../../upload.wikimedia.org/math/0/8/b/08ba3ec26d0944791d7581953bb2f982.png)

where [X] detonates the **activity** of X. The activity of X is:

  * its concentration if X is a gas or in a solution
  * 1 if X is a pure solid or pure liquid

In other words, pure solids and liquids don't affect the equilibrium constant, as long as there is enough for the reaction to proceed. Their activity is 1, so they don't need to be written in the equilibrium constant.

### Kp and Kc

There are two types of ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png). One is ![K_c](../../../upload.wikimedia.org/math/e/c/2/ec21d446b70b80046b86f7da9ae771a0.png), and the activities are _concentrations_. You are already familiar with this expression; it is the normally-used ![K_{eq}](../../../upload.wikimedia.org/math/9/b/8/9b86a46f8d5d72f82284b40ef5232a5b.png). For gaseous reactions, you may use the concentration equilibrium. You may also use _partial pressures_ instead of concentrations. This expression is denoted ![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png). The activities are partial pressures instead of concentrations. This can only be used when all products and reactants are in the gaseous phase.

To convert between ![K_p](../../../upload.wikimedia.org/math/b/3/c/b3cc86cb8d6e751560751bd13037f029.png) and ![K_c](../../../upload.wikimedia.org/math/e/c/2/ec21d446b70b80046b86f7da9ae771a0.png), there is an equation:

![K_p = K_c \(RT\)^{\\Delta n}](../../../upload.wikimedia.org/math/e/9/d/e9d8479b79a01cc9352e15e83b0e8301.png)

R is the Universal Gas Constant and T is the temperature at which the reaction is occurring. ![\\Delta n](../../../upload.wikimedia.org/math/5/f/5/5f57f9ea3b04c517e5af710d5cf42ca7.png) is the change (in moles) of gas molecules between products and reactants. It may be zero (in which case Kp = Kc).

### Examples

Example 1

15.0 moles of X and 20.0 moles of Y are put into an empty 2.0 liter container. They react, and eventually reach equilibrium with 7.0 moles of Z according to the hypothetical equation:

![\\hbox{X} + 2\\hbox{Y} \\to \\hbox{Z}](../../../upload.wikimedia.org/math/b/a/b/bab74fd8de35bac3a4ef33cdf603bbf4.png)

Calculate the equilibrium constant.

Solution: Because the container was originally empty and at equilibrium, all 7.0 moles of Z are produced by the reaction. Therefore, 7.0 moles of X and 14.0 moles of Y are consumed in the reaction, so at equilibrium there remain 8.0 moles of X, 6.0 moles of Y, and 7.0 moles of Z. Divide these values by 2.0 liters to determine the concentration, then substitute into the equilibrium expression:

![K_{eq} = \\frac{\[Z\]}{\[X\]\[Y\]^2} = \\frac{\[3.5\]}{\[4.0\]\[3.0\]^2} = 0.097](../../../upload.wikimedia.org/math/2/0/e/20ef9c6f6f446de55c5bf9abb71dd19e.png)

Example 2

5.00 moles of hydrogen are put into an empty 1.00-L container with 5.00 moles of iodine, where they react according to this equation:

![\\hbox{H}_2 + \\hbox{I}_2 \\to 2\\hbox{HI}](../../../upload.wikimedia.org/math/4/1/d/41d9ced455dadea23fa29adb210a708a.png)

The equilibrium constant is 51.5 at the temperature of the reaction. Calculate the number of moles of HI that will form.

Solution: Suppose 2_y_ moles of HI forms. Then, _y_ moles of H2 and I2 are consumed. Therefore, at equilibrium, there are 2_y_ moles of HI, and (5.00 - _y_) moles of both H2 and I2. Dividing by 1.00 liters (to find concentration) and writing an equilibrium expression gives:

![51.5 = \\frac{\[2y\]^2}{\[5.00-y\]\[5.00-y\]}](../../../upload.wikimedia.org/math/3/8/c/38ca88394994e4b5bdec0cd22f4bda40.png)

Solving this equation gives y = 3.91 (reject the other solution, as it is greater than 5.00). At equilibrium, there are 7.82 mol of HI.

## Calculations With K

The exact value of K doesn't really matter. What is important is its _magnitude_.

**K > 1**
Reactions favors products

**K < 1**
Reaction favors reactants

If the reaction favors products, it will occur in the forward (left-to-right) direction. If K is very large, the reaction will occur mostly to completion, using up almost all the reactants.

If the reaction favors reactants, it will occur in the reverse (right-to-left) direction. If K is very small, the reaction will use up almost all the products and make them into reactants. The reverse reaction is favored.

### Reaction Arithmetic

If you reverse the reaction (changing the direction of the arrow, or flipping the left and right sides), the new value of Keq will be its reciprocal.

A → B
(K = x)

B → A
(K = 1/x)

If you add two reactions, their equilibrium constants are multiplied.

A → B  
G → H
(K = x)  
(K = y)

A + G → B + H
(K = xy)

These basic principles can help you determine an unknown equilibrium constant by combining known constants.

### Q

Keq is only used when a reaction is in equilibrium. To find it, write its concentration (or partial pressure) expression, then plug in all the measured values. The resulting K can be used to predict other equilibrium positions.

If a reaction is not at equilibrium, you can still plug in the measured concentrations. Instead of calling this value Keq, it is called Q.

**Q > K**
The products must decrease and the reactants will increase.

**Q = K**
There is equilibrium.

**Q < K**
The reactants must decrease and the products will increase.

So, if you know the equilibrium constant for a reaction, and you know all the concentrations, you can predict what direction the reaction will proceed.

### I-C-E Charts

Let's say you know K for a reaction, and you know some concentrations. You can calculate the final (equilibrium) concentrations using an "Initial-Change-Equilibrium" chart. Here is an example.

![\\hbox{CO}_{\(g\)} + \\hbox{H}_2\\hbox{O}_{\(g\)} \\to \\hbox{CO}_{2\(g\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/1/4/3/143f76af3ffdb1feb899932328d77a64.png)

At 25°C, Kc = 23.2 for this reaction.

First, write the equilibrium expression:

![K_c = \\frac{\[H_2\]\[CO_2\]}{\[CO\]\[H_2O\]}](../../../upload.wikimedia.org/math/1/5/3/153aef3847ca2a3eae3384eb748e1440.png)

In a sealed container of 2.00 L: 3 mol H2O, 4 mol CO, 1 mol H2 have been added. (Write the ICE chart):

CO H2O CO2 H2

Initial
2
1.5
0
0.5

Change
-x
-x
+x
+x

Equilibrium
2-x
1.5-x
x
0.5+x

Now, plug in the "equilibrium" values into the K expression. Substitute all known values and solve for x. Then, substitute x for the final values to determine the equilibrium concentrations.

By substituting everything into the K expression, we have:

![ 23.3 = \\frac{\(0.5+x\) \\times \(x\)}{\(2-x\) \\times \(1.5-x\)}](../../../upload.wikimedia.org/math/7/a/a/7aa4ae91db36c1797e6b1888a887e7b6.png)

Solving this will require the use of the quadratic equation. It may be easier to use approximations or a graphing calculator. When solved, ![x = 1.34](../../../upload.wikimedia.org/math/1/b/9/1b93f7b20366db86dab29b73021c0efb.png) (disregard values of x that would give negative concentrations). By substituting x into the "equilibrium" values in the ICE chart, we can determine the concentrations of all substances when the reaction reaches equilibrium.

CO H2O CO2 H2

0.66 M
0.16 M
1.34 M
1.84 M

To check your answer, you could substitute these values into the equilibrium expression and see if it equals 23.3 (the given Keq value).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

This was a fairly simple example. There were no coefficients in the reaction, so no exponents in the expression.

The purpose of doing this is to see the final concentrations of the substances involved in a chemical reaction. Unless Keq is incredibly large, not all the reactants will be consumed.

## Equilibrium in Detail

The next few chapters in this book will provide more details on equilibrium.

### Shifts in Equilibrium

**Le Chatelier's principle** states that a system will adapt to minimize a change. If reactants are added, they will be consumed and products will form. Likewise, if products are added, they will be consumed (by the reverse reaction) and reactants will form.

The only change in a system that will affect the value of Keq is temperature. The value of Keq is never changed by the concentrations or pressures of the substances.

### Special Constants

![K_a = \\frac{\[H^+\] \[A^-\]}{\[HA\]}](../../../upload.wikimedia.org/math/1/7/9/1797ef4d5bb0d98ca3803b0932e09832.png)
Acids and bases have special **ionization constants**, which show how they react with water. The acid ionization constant, or Ka, tells how strong an acid is.

![K_b = \\frac{\[\\mbox{OH}^-\]\[\\mbox{BH}\]} {\[\\mbox{B}\]}](../../../upload.wikimedia.org/math/a/9/f/a9fdd81af59848ac143120055826bf09.png)
The base ionization constant, Kb, similarly tells how strong a base is.

![K_{sp} = \\frac{\[A^+\] \[B^-\]}{\[AB\]}](../../../upload.wikimedia.org/math/4/d/a/4da07bcdadb3439f87f7587d75f14ebd.png)
The **solubility product** Ksp shows how much an ionic substance will dissociate when dissolved.

### Relation to E

There is a special relation between the standard potential of a redox reaction and the equilibrium constant ![E=\\frac{0.0592 \\log K}{n}](../../../upload.wikimedia.org/math/7/a/0/7a02f5e9d0d6a12b17ed0598026f910e.png), where n is the number of moles of electrons transferred. This is a significant equation, because this allows us to calculate the hard to measure K from the easy to measure E.  


# Le Chatelier's Principle

* * *

← [Chemical Equilibria/Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Equilibrium) ·[Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) →

[← Chemical Equilibria/Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Equilibrium) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Acid-Base Equilibrium →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Le Chatelier's Principle

Le Chatelier's Principle states that when a system that is in [dynamic equilibrium](http://en.wikipedia.org/wiki/Dynamic_equilibrium) is disrupted in some way, the system will respond with chemical or physical changes to restore a new equilibrium state.

There are several changes that can effect the equilibrium position of a system:

  * Concentration
  * Pressure/Volume
  * Temperature

### Concentration

If the concentrations in a system are changed, Le Chatelier's Principle predicts that the equilibrium position will shift to minimize the change.

![CO\(g\) + H_2O\(g\) \\rightleftharpoons CO_2\(g\) + H_2\(g\)](../../../upload.wikimedia.org/math/e/c/9/ec9128a8e45f32adb9a296252d126497.png)

For example, let us say that the reaction above is at equilibrium. Adding more reactants (![CO\(g\)](../../../upload.wikimedia.org/math/6/4/a/64a5d59c6b1889fa348c877ccccfa1ba.png) and ![H_2O\(g\)](../../../upload.wikimedia.org/math/1/4/d/14dd8f9aabe12fb8c73c872f9e9f1919.png)) will disturb the equilibrium system because it raises the reactant concentration. The system will then produce more products (![CO_2\(g\)](../../../upload.wikimedia.org/math/7/9/f/79fb8281c05b98f53b7fc83a8d7c7fac.png) and ![H_2\(g\)](../../../upload.wikimedia.org/math/9/2/8/9288764416ac9a88dd49c02ec5211cbc.png)) and will decrease the reactant concentration in order to obtain equilibrium again. The system is now at a new equilibrium position, and the change created has been minimized.

The above example shows that increasing the reactants in an equilibrium system favors the products because the system produces more products and reduces the amount of reactants. The table below shows the response of an equilibrium system to changes in concentration:

Change in Concentration System response

Increase reactant
Favors products

Decrease reactant
Favors reactants

Increase product
Favors reactants

Decrease product
Favors products

### Pressure/Volume

If some the substances in a system are gas, changing their partial pressure is the same as changing their concentrations.

If the volume is increased, the overall pressure decreases (and vice versa). Consider the reaction A + B → 3C. There are three moles of products for every two moles of reactants. The product side has higher pressure than the reactant side. So, if pressure is increased (or volume decreased), equilibrium will shift towards the lower pressure side. Products will be consumed (by the reverse reaction) and reactants will form.

If pressure is decreased (or volume increased), equilibrium will shift towards the higher pressure side.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If an inert gas (such as neon) is added to a system, it will raise the overall pressure. However, the partial pressures of all products and reactants are unchanged, so no shift in equilibrium occurs.

### Temperature

Changes in concentration, pressure, and volume affect the equilibrium position, but the equilibrium constant Keq is unchanged. These changes can be calculated using the equilibrium expression and known values of Keq and concentrations.

Temperature, however, does change the value of Keq. When given a value of K, you will also be given a temperature because K is dependent on the temperature.

An increase in temperature will favor the endothermic (heat-absorbing) side of a reaction. A decrease in temperature will favor the exothermic (heat-releasing) side of a reaction.

For example, the following reaction is very exothermic:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O}](../../../upload.wikimedia.org/math/3/6/a/36a520001f697305c342d6d62b1795ad.png)

Because it is exothermic, you can think of it like this:

![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} + heat](../../../upload.wikimedia.org/math/2/b/8/2b8310b928b3bc5d9ac394b357879d6c.png)

At room temperature, Keq for this reaction is 3.2 x 1081. If this reaction happens at a very high temperature, what will happen? Less product will form (or maybe the reverse reaction will occur if the temperature is high enough) and Keq will be smaller. What will happen if this reaction occurs at a very low temperature? More product will form and Keq will be larger.  


# Acid-Base Equilibrium

* * *

← [Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) ·[Chemical Equilibria/Solutions in Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Solutions_in_Equilibrium) →

[← Chemical Equilibria/Le Chatelier's Principle](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Le_Chatelier%27s_Principle) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Equilibria/Solutions in Equilibrium →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Solutions_in_Equilibrium)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Consider an acid, HA, in water. According to the Brønsted-Lowry acid/base theory, the acid should protonate the water to form hydronium and the _conjugate base_, A-. There will be an **equilibrium** between the acid and water, and hydronium and the conjugate base.

![\\hbox{HA} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{A}^-](../../../upload.wikimedia.org/math/4/c/6/4c6c53b02bf89d8cb6eb9965ffccea27.png)

This equilibrium can be used to calculate the concentrations of species in the solution.

## Acid Dissociation Constant

Like all equilibria, an acid/base dissociation will have a particular **equilibrium constant** which will determine the extent of the reaction (whether it lies to the left or right of the equation). As the equilibrium constant approaches zero, the reaction tends to form 100% reactants. As the equilibrium constant approaches infinity, the reaction tends to form 100% products. The equilibrium constant K=1 states that there will be 50% products and 50% reactants.

![K = \\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{H}_2\\hbox{O}\]\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/7/4/6/74609bb781108c26c43cd82b29c7fc2e.png)

Helpful Hint!

Strong acids/bases dissociate completely, so their equilibrium constants are overwhelmingly large.

Because the equilibrium is used for calculating the concentrations of weak acids, very little water actually reacts. The concentration of water during the reaction is, therefore, a constant, and can be excluded from the expression for K. This gives rise to a special equilibrium constant, Ka, known as the **acid dissociation constant**. It is simply K multiplied by the concentration of water.

![K_a = \\hbox{K}\[\\hbox{H}_2\\hbox{O}\] = \\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/4/6/7/467643697d30e4b1a3cb65207064363d.png)

_The Ka of a weak acid determines how acidic it is, i.e., how far its equilibrium lies to the right._ The Ka values of weak acids can and have been determined experimentally.

## Base Dissociation Constant

A similar equilibrium exists when a weak base is dissolved in water. The base will accept a proton from water and form a conjugate acid, BH+.

![\\hbox{B} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{OH}^- + \\hbox{BH}^+](../../../upload.wikimedia.org/math/3/0/8/3082d7410c805cad4a92a8dfdb8f9f47.png)

This equilibrium has its own special constant, Kb, known as the **base dissociation constant**. Like the acid dissociation constant, it is defined as the equilibrium constant multiplied by the concentration of water.

![K_b = K\[\\hbox{H}_2\\hbox{O}\] = \\frac{\[\\hbox{BH}^+\]\[\\hbox{OH}^-\]}{\[\\hbox{B}\]}](../../../upload.wikimedia.org/math/e/3/7/e37350018d23a5ee855a673efd99ed12.png)

## Ion Product Constant

A special equilibrium exists between ordinary water molecules. Occasionally, one water molecule will act as an acid, and donate a proton to another water molecule (which acts as a base). This is the _auto-ionization_ of water.

![\\hbox{H}_2\\hbox{O} + \\hbox{H}_2\\hbox{O} \\leftrightarrow \\hbox{H}_3\\hbox{O}^+ + \\hbox{OH}^-](../../../upload.wikimedia.org/math/1/e/a/1ea94bb0d6e561f43a2ff11e098366fa.png)

By the Le Chatelier Principle, we can see that if the hydronium ion concentration is increased (by adding an acid), the equilibrium will move to the left and there will be a _lower_ concentration of hydroxide. Thus, hydronium and hydroxide concentration are inversely related—an increase in one will result in a decrease in the other, and vice versa.

The equilibrium expression for this reaction is given a special name, Kw. Because it simplifies to the product of hydronium and hydroxide concentration, it is sometimes called the **ion product** constant. The value of this constant is 1.0 × 10-14 at 25°C.

![K_w = \[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{OH}^-\] = 1.0 \\times 10^{-14}](../../../upload.wikimedia.org/math/9/2/9/929e3ca6b7e054b1a6a9aac71feefe75.png)

This expression can be used to find the pH of pure water. Recall that pH is the negative logarithm of hydronium ion concentration. If we set the hydronium ion concentration in the above expression to be x, we can derive the pH. The hydroxide ion concentration must also be x (since each molecule of hydroxide is a result of a molecule of hydronium forming). We have:

![\\begin{matrix}x^2 &=& 1.0 \\times 10^{-14} \\\\
x &=& \\sqrt{1.0 \\times 10^{-14}} \\\\
x &=& 1.0 \\times 10^{-7} \\\\
\\hbox{pH} &=& -\\log{1.0 \\times 10^{-7}} \\\\
\\hbox{pH} &=& 7.0\\end{matrix}](../../../upload.wikimedia.org/math/9/b/c/9bce9f6ef2511ecc4aa9210ec0f1dbbe.png)

This technique can be used to determine the pH of any solution if either one of the ion concentrations are known.

## Conjugate Base Expressions

The conjugate bases of weak acids have a relationship with their parent acids. Consider the equilibrium expression of the conjugate base, A-, of the weak acid HA.

![K_b = {\\frac{\[\\hbox{HA}\]\[\\hbox{OH}^-\]}{\\hbox{A}^-}}](../../../upload.wikimedia.org/math/a/2/7/a278207ba16d74b8bba6251c87a99bab.png)

If we multiply the expression for an acid by the expression for its conjugate base, the concentrations of the acid and conjugate base cancel and we obtain the ion product constant for water! This allows us to calculate the Kb of a base if the Ka of its conjugate acid is known (and vice versa).

![\\begin{matrix}
\\frac{\[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]} &\\times& \\frac{\[\\hbox{HA}\]\[\\hbox{OH}^-\]}{\[\\hbox {A}^-\]} &=& \[\\hbox{H}_3\\hbox{O}^+\]\[\\hbox{OH}^-\] \\\\
K_a &\\times& K_b &=& K_w \\\\
\\end{matrix}](../../../upload.wikimedia.org/math/f/2/a/f2a51d1979554b9aaa617a9ca093fc88.png)

## Summary

The definitions of the acid and base **dissociation constants** are very important. They are presented here for reference.

![K_a = \\frac{\[\\hbox{H}_3{O}^+\]\[\\hbox{A}^-\]}{\[\\hbox{HA}\]}](../../../upload.wikimedia.org/math/3/b/5/3b5207c4c15712b0149c9ccb7dce0b80.png)
The _acid dissociation constant_ measures the strength of an acid dissolved in water.

![K_b = \\frac{\[\\hbox{BH}^+\]\[\\hbox{OH}^-\]}{\[\\hbox{B}\]}](../../../upload.wikimedia.org/math/3/9/9/399617f17dcd71a5765ba99fb543bdf9.png)
The _base dissociation constant_ measures the strength of a base dissolved in water.

![K_w = K_a \\times K_b](../../../upload.wikimedia.org/math/6/f/b/6fb3f105cb442c36097983c8bf49d13b.png)
The _ion product constant_ relates the concentrations of acids/bases and their conjugates in a solution.

  


# Solutions in Equilibrium

* * *

← [Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) ·[Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) →

[← Chemical Equilibria/Acid-Base Equilibrium](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria/Acid-Base_Equilibrium) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemical Kinetics →](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Solution

Helpful Hint!

You may need to review [solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) and [the properties of solutions](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Solutions).

All ionic compounds are soluble in water to some extent, but the degree of solubility varies. While some compounds dissolve almost completely, others dissolve to such a small extent that they are simply called _insoluble_ compounds. Such compounds include calcium sulfate, silver chloride, and lead hydroxide. Generally, ionic compounds whose component ions have larger charge magnitudes are less soluble because the ions are attracted too much to dissociate. A soluble compound will dissociate because of the attractions with the surrounding water molecules are strong enough to separate the ions.

For an ionic compound to dissociate, the forces of attraction between its component ions and the surrounding water molecules must be greater than the forces of attraction between the ions within the compound. When introduced to an aqueous environment, ionic compounds such as sodium chloride, sodium hydroxide, and ammonium bromide dissolve because of this.

## Solubility Constant

![\\hbox{AB}_{\(s\)} \\xrightarrow{water} \\hbox{A}^+_{\(aq\)} + \\hbox{B}^-_{\(aq\)}](../../../upload.wikimedia.org/math/f/d/c/fdc1d8b13e08463e6a2cced736ce4853.png)
This reaction shows an ionic compound AB dissolving into its ions A+ and B-.

![K = \\frac{\[\\hbox{A}^+\] \[\\hbox{B}^-\]}{\[\\hbox{AB}\]}](../../../upload.wikimedia.org/math/f/3/a/f3ad688d327902d34ddeb496af055d2a.png)
This is the equilibrium constant for the reaction. Water is excluded because, although involved, it is not a product or reactant.

![K_{sp} = \[\\hbox{A}^+\] \[\\hbox{B}^-\]](../../../upload.wikimedia.org/math/6/0/2/602e56d58e3add825a77f63167af52cb.png)
Because the undissolved AB is a solid, pure substance, it can be excluded from the expression. The result is the **solubility constant Ksp**. It measures the degree of solubility of an ionic compound.

If two or more of the same ion are created by the dissociation of one particle of the ionic compound, the molar concentration of this ion is raised to the power of how many such ions there are. For example, when calcium chloride dissociates, two chloride ions are created in the dissociation of one particle, so the concentration of the chloride ion is squared when calculating Ksp.

![K_{sp} = \[\\hbox{Ca}^{2+}\] \[\\hbox{Cl}^-\]^2](../../../upload.wikimedia.org/math/f/6/e/f6ec8be7a4c832f1ca480093964a4c8e.png)

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Ksp is the equilibrium constant for the dissolution reaction above. 

  * If Ksp is much _greater_ than 1, the substance is **soluble**.
  * If Ksp is very _close_ to 1, the substance is **slightly soluble**, or soluble only in very low quantities.
  * If Ksp is _less_ than 1, the substance is **insoluble**.

An example of a slightly soluble substance is calcium hydroxide. In very minute quantities, it will dissolve completely, but in large quantities it remains mostly undissolved.

## Calculations with Ksp

### Finding Ksp

It would not be an uncommon situation if you know a substance's _solubility_ (g/mL), but you need to know its Ksp value. Follow this example:

![K_{sp} = \[\\hbox{Ca}^{2+}\]\[\\hbox{OH}^-\]^2](../../../upload.wikimedia.org/math/6/9/4/694b2f7f75291639c5448ff6a471d266.png)
This is the solubility constant for calcium hydroxide. We wish to determine is numerical value, but we only know that its solubility is 0.185 g per 100 mL.

![ \\frac{0.185~g}{0.100~L} \\times \\frac{1.00~mol}{74.09~g} = 2.497 \\times 10^{-2}~mol/L](../../../upload.wikimedia.org/math/3/1/a/31aeaa4057874238420e2b08fab35983.png)
We need to know its **molar solubility**, so we convert units and divide by molar mass.

![K_{sp} = \(2.497 \\times 10^{-2}\)\(4.994 \\times 10^{-2}\)^2 = 6.23 \\times 10^{-5}](../../../upload.wikimedia.org/math/d/a/f/dafdadec48a45d609397d86fe7d2d4fd.png)
Now, plug in the molar solubility into the Ksp expression. Notice that the hydroxide concentration is doubled because there will be twice as many moles as the undissolved substance.

We have now determined the Ksp value for calcium hydroxide. It will allow us to determine other information about solutions containing these ions, such as percent ionization and the formation of precipitates.

Questions for the reader

Lead(II) iodide is slightly soluble in water. It forms a bright yellow precipitate if too much is dissolved. You have determined that 0.75 g will dissolve in one liter of cold water. What is the molar solubility of lead(II) iodide? What is the Ksp value?

After heating the water, the solubility rises to 4.3 g per liter. What is the new Ksp value?

A similar process can be used to determine a substance's solubility by working backwards from the solubility constant.

### Percent Ionization

Once an ionic compound's Ksp value is known, it is possible to determine the _percent ionization_, or relative amount of dissociated ions.

![K_{sp} = \[Ag^+\]^2\[SO_4^{2-}\] = 1.20 \\times 10^{-5}](../../../upload.wikimedia.org/math/8/3/4/834f4647b43b8604766c75c0cfe10afc.png)
We know the Ksp for silver sulfate, which is slightly soluble, and we want to know the percent ionization.

![1.20 \\times 10^{-5} = \(2x\)^2 \\times \(x\)](../../../upload.wikimedia.org/math/0/a/0/0a0ef0423102448f3f28ba5ce3ebb57f.png)  
![x = 0.0144](../../../upload.wikimedia.org/math/1/5/7/1570067616088920ea10a671a85d2726.png)
Substitute _x_ for the concentration of sulfate and _2x_ for silver. Solve for x.

![percent~ionized = \\frac{0.0144~mol/L}{2.00~mol/L} = 0.72 %](../../../upload.wikimedia.org/math/5/c/c/5ccf585955b9958d7f066184ff111154.png)
We now know the maximum concentration of the ions. Any remaining silver nitrate will be undissolved because the solubility has been exceeded and the solution is saturated. To determine percent ionization, we must know how much silver sulfate was dissolved. For this example, assume 1.00 mole was dissolved into 0.500 L of water.

As you can see, the percent ionization decreases as the amount of solute increases. This is because the solution is saturated and no more ions will dissociate.

Question for the reader

Lithium fluoride has a Ksp of 1.84 x 10-3. If 1.5 g are dissolved, what will be the percent ionization?

  


### Precipitates

Obviously, the dissociate reaction occurs in reverse if there are too many ions. In this case, the solution is saturated, and any excess ions will solidify and form a precipitate.

If two soluble solutions are mixed, but the can form an insoluble compound, a precipitate will form.

![K_{sp} = \[\\hbox{Ag}^+\]\[\\hbox{Cl}^-\] = 1.77 \\times 10^{-10}](../../../upload.wikimedia.org/math/1/1/3/11370924f6b3c57c563cbbc69b8552a0.png)
For example, a solution of silver nitrate is mixed with a solution of sodium chloride. Both are soluble. Silver chloride, however, is insoluble.

![\\frac{.001~g~\\hbox{AgNO}_3}{170~g/mol} = 5.9 \\times 10^{-6}~mol~\\hbox{Ag}^+](../../../upload.wikimedia.org/math/2/8/d/28d2f3ea591bd0711aa0b3f7e9d62eb5.png)  
  


![\\frac{.001~g~\\hbox{NaCl}}{58~g/mol} = 1.7 \\times 10^{-5}~mol~\\hbox{Cl}^-](../../../upload.wikimedia.org/math/2/6/f/26f87c69a88a67f12df2a95307910b95.png)

If 1.00 mg NaCl and 1.00 mg AgNO3 are dissolved into 1.00 L of water, will a precipitate form?

![Q = \(5.9 \\times 10^{-6}\)\(1.7 \\times 10^{-5}\) = 1.0 \\times 10^{-10}](../../../upload.wikimedia.org/math/3/8/b/38b4d4653d0225c74ff6bc87ec7c8866.png)  
![Q < K_{sp}](../../../upload.wikimedia.org/math/3/f/1/3f14566b814088393c1af8990ffff6ec.png)
No, a precipitate will not form.

![\\frac{.002~g~\\hbox{NaCl}}{58~g/mol} = 3.4 \\times 10^{-5}~mol~\\hbox{Cl}^-](../../../upload.wikimedia.org/math/7/c/c/7cc3fc65547f873b7aa88450ee9293c4.png)  
  


![Q = \(5.9 \\times 10^{-6}\)\(3.4 \\times 10^{-5}\) = 2.0 \\times 10^{-10}](../../../upload.wikimedia.org/math/5/2/5/525b2c624b6defd6a0628d0c61a3141f.png)

Now, another milligram of sodium chloride is dissolved.

![Q > K_{sp}](../../../upload.wikimedia.org/math/0/a/5/0a56cb6548d4414a59cafd3195e23d06.png)
The extra chloride ions will bond with silver ions and form a solid precipitate.

In this case, the precipitate would probably be too small and dilute to be noticed. As more ions are added, however, the solution will become visibly cloudy.

Question for the reader

Calcium carbonate has a Ksp of 3.36 x 10-9. In a 0.01 M solution of calcium chloride (soluble), how many moles of sodium carbonate (also soluble) can be added before precipitates form?

  
  


Kinetics

  


  


# Introduction

* * *

← [Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) ·[Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) →

[← Chemical Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reaction Rates →](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Chemical kinetics is the study of the rates of chemical reactions. You may know if a reaction is capable of happening, and you may know how far the reaction will proceed, but you don't know fast it will happen. Consider two reactions: the rusting of an iron nail and the combustion of propane. Both reactions will occur, and both will occur to completion. The rusting will take years to complete, but propane will combust in an instant. Furthermore, the nail will rust faster when it's moist, and slower in the presence of less oxygen. Obviously, there are factors that affect the rates of chemical reactions. The study of these factors and rates is **chemical kinetics**.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b2/Stacheldraht_05.jpg/120px-Stacheldraht_05.jpg)

This iron wire has taken years to become rusty.

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Sechselauten_2007_Boegg_Explosion.JPG/90px-Sechselauten_2007_Boegg_Explosion.JPG)

This fire took only a moment to start.

## Reaction Rate

![a\\hbox{A} + b\\hbox{B} \\to c\\hbox{C} + d\\hbox{D}](../../../upload.wikimedia.org/math/f/b/b/fbb69b5fc0ae982ea42f140e2f829745.png)
Consider this generic chemical reaction. (Lower case letters represent the molar coefficients.)

![r = -\\frac{1}{a} \\frac{d\[\\hbox{A}\]}{dt} = -\\frac{1}{b} \\frac{d\[\\hbox{B}\]}{dt} = \\frac{1}{c} \\frac{d\[\\hbox{C}\]}{dt} = \\frac{1}{d} \\frac{d\[\\hbox{D}\]}{dt}](../../../upload.wikimedia.org/math/f/f/3/ff3eaf82e72fd74d514456822d1ec55b.png)
The reaction rate ![r](../../../upload.wikimedia.org/math/4/b/4/4b43b0aee35624cd95b910189b3dc231.png) is defined as the rate of change of the concentration of the substances. Remember that a substance written inside brackets is its concentration, and it is always raised to the power of its coefficient in the reaction (just like equilibrium expressions). The reaction rate involves [Calculus](http://en.wikibooks.org/wiki/Calculus), but in non-mathematical terms it is simply the rate of change of the concentrations.

![r = k\[\\hbox{A}\]^a\[\\hbox{B}\]^b](../../../upload.wikimedia.org/math/5/d/c/5dc01fb7aaa1c44486fd64b3d4eadf02.png)
Actually measuring the rate of change of the reactants and products is difficult. Instead, the reaction rate can be accurately modeled by a **rate equation**. This is an example of a rate equation that might model the above reaction, where ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is a constant.

In summary, the _reaction rate_ can be determined using a _rate equation_, which depends on (among other things) the concentration of the reactants. The reaction rate essentially measures the speed at which a reaction proceeds.

## Collision Theory

All reactions have activation energy regardless of being endothermic or exothermic.

Collision theory predicts that reactions occur when molecules collide. In order for reactants to form products, the reactant molecules must physically collide so that they can rearrange themselves into product molecules. Only some collisions are _effective_ because the collision must involve enough energy to allow the reaction to occur. This is called **activation energy**, the energy needed to begin a reaction.

Activation energy explains why gasoline will not spontaneously ignite. First, a small spark or flame must be present. The heat generated by the spark gives the gasoline molecules enough energy to activate the reaction. Being highly exothermic, the combustion of gasoline releases a large amount of heat—more than enough to activate further reactions and create a fire.

Collision theory allows us to predict the **rate constant** ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) for a rate equation (see above). At a given temperature ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png), the rate constant is:

![k = Z \\rho e^{-E_a / \(RT\)}](../../../upload.wikimedia.org/math/c/c/7/cc7295df9a32bab799c93df26c844d51.png),

where ![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas Constant, ![E_a](../../../upload.wikimedia.org/math/7/0/6/706147204f35ca44a72fd767aab6fa6e.png) is the activation energy for the reaction, ![\\rho](../../../upload.wikimedia.org/math/f/7/f/f7f177957cf064a93e9811df8fe65ed1.png) is a predicted-to-actual correction factor, and ![Z](../../../upload.wikimedia.org/math/2/1/c/21c2e59531c8710156d34a3c30ac81d5.png) is the **collision factor**. The collision factor can also be calculated mathematically. It is the average number of reactant particle collisions per unit time.

## Factors Affecting Rate

The rate of a reaction is affected by many factors. These effects can be measured empirically or explained by collision theory.

### Concentration

This is the most obvious factor affecting rate. Increasing the concentration of the reactants will increase the rate they react. This is the main purpose of writing a rate equation; the concentrations can be plugged in like variables and the rate can be solved mathematically. In a rate equation in the form ![r = k\[\\hbox{A}\]^a\[\\hbox{B}\]^b](../../../upload.wikimedia.org/math/5/d/c/5dc01fb7aaa1c44486fd64b3d4eadf02.png), the concentrations are the variables (raised to the powers of their coefficients in the reaction). All other factors that can affect rate are lumped into ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png), which is considered a constant.

Collision theory explains this. Higher concentrations means more molecules packed into a given space. Therefore, there will be more collisions and thus a faster reaction.

### Pressure

In a reaction of gaseous reactants, the partial pressure of the gases has the same function as the concentration.

Adding an inert gas like argon will not affect the rate because the partial pressures of the reacting gases remain the same.

However, increasing the overall pressure (or decreasing the volume if you remember the [gas laws](http://en.wikibooks.org/wiki/General_Chemistry/Gas_Laws)) will also result in a greater reaction rate. The increased pressure causes the molecules to collide with more force. More collisions will be effective and therefore products will form faster.

### Temperature

As you should already know, a molecule's kinetic energy is directly proportional to its temperature. By increasing the temperature, molecules collide more vigorously, and more collisions will be effective.

### Stirring

In a _heterogeneous reaction_ there are two or more phases of matter interacting, such as a solid dissolving into a liquid. Stirring or shaking the mixture will speed up the reaction rate. This is common sense. When you add sugar to a drink, you stir it because you know it will dissolve faster. Collision theory would predict this because the stirring would increase the number of collisions between reactant molecules.

In a similar manner, increasing the surface area of a solid reactant will increase the reaction rate.

### Catalysts/Enzyme

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/15/CatalysisScheme.png/220px-CatalysisScheme.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

The activation energy Ea is decreased by a catalyst, but the overall reaction does not change.

A **catalyst** is a substance that helps a reaction proceed without being consumed. [Catalysts](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_equations#Other_Information) have already been explored in this book. A Catalyst provides a reaction pathway with lower activation energy.

In biochemistry, an **enzyme** is a protein that serves as a catalyst.  


# Reaction Rates

* * *

← [Introduction to Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Kinetics) ·[Reaction Mechanisms](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Mechanisms) →

[← Introduction to Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Introduction_to_Kinetics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Reaction Mechanisms →](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Mechanisms)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

Reaction rates of a chemical system provide the underpinnings of many theories in thermodynamics and chemical equilibria.

Elementary reactions are one-step processes in which the reactants become the products without any _intermediate_ steps. The reactions are unimolecular (A → products) or bimolecular (A + B → products). Very rarely, they could be trimolecular (A + B + C → products), but this is not common due to the rarity of three molecules colliding at the same time.

A complex reaction is made up of several elementary reactions, with the products of one reaction becoming the reactants of the next until the overall reaction is complete.

## Rate Equation

![m\\hbox{A} + n\\hbox{B} \\rightarrow p\\hbox{C} + q\\hbox{D}](../../../upload.wikimedia.org/math/6/c/3/6c366c4f5b993199e9deeae55493d353.png)
Consider an arbitrary chemical reaction.

![r = k\[\\hbox{A}\]^m\[\\hbox{B}\]^n](../../../upload.wikimedia.org/math/d/3/f/d3f9f36b85f7cabe4c1fb7ae1f98d865.png)
The rate at which the products will form from the reactants is given by this _rate equation_.

![r = k\[\\hbox{C}\]^p\[\\hbox{D}\]^q](../../../upload.wikimedia.org/math/e/7/c/e7c3ea58eb2552c405e3c56a8eaa57a5.png)
The rate of the reverse reaction (which also occurs to a lesser extent) has its own rate equation.

Note [A] is raised to the power of m, its coefficient, just like an equilibrium expression. The rate of the reaction may rely on the molar coefficients of the reactant species, but it might not. However, for an elementary reaction, the concentrations of the species A and B are always raised to their molar coefficients. This only applies to **elementary reactions**, which is a very important distinction to make.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is the rate reaction coefficient, which is reaction-specific. It can be considered a constant, although it does change with temperature (and possible other factors).

### Order

The order of an equation is what the concentration of a substance is raised to in the rate equation. The greater the number, the greater effect it will have on rate. For example, zero order equations do not effect the rate. To find the order, you must alter one concentration and keep the rest the same, Dividing gives an equation which can be used to solve for the order. To find overall order, simply add all orders together.

### Zero-Order Equations

Zero-order equations do not depend on the concentrations of the reactants.

![r = k \\,](../../../upload.wikimedia.org/math/a/9/7/a97312955ee1477cb3001ed50d8a149c.png)
There is only a rate coefficient with no concentrations. The rate probably depends on temperature, and possibly other factors like surface area, sunlight intensity, or anything else except for concentration. These reactions usually occur when a substance is reacting with some sort of catalyst or solid surface.

![\[\\hbox{A}\] = \[\\hbox{A}\]_0 - kt \\,](../../../upload.wikimedia.org/math/5/2/c/52ca795c3f429e5f5ec443b8f945bf7a.png)
The **integrated rate law** tells us how much reactant will remain after a given amount of time. Integrated rate laws can be found using [calculus](http://en.wikibooks.org/wiki/Calculus), but that isn't necessary. In this zero-order integrated rate law, ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png) is the rate coefficient from the rate equation, ![t](../../../upload.wikimedia.org/math/e/3/5/e358efa489f58062f10dd7316b65649e.png) is time, and ![\[\\hbox{A}\]_0](../../../upload.wikimedia.org/math/a/c/2/ac254e983b473732d2e78ea6491f4d8a.png) is the starting concentration.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If you make a graph of concentration vs. time, you will see a straight line. The slope of that line is equal to ![-k](../../../upload.wikimedia.org/math/f/f/2/ff2bddd61609f26dc3255408781890ad.png). This is how you can identify a zero-order rate.

### First-Order Equations

First-order equations depend on the concentration of a unimolecular reaction.

![r = k \[\\hbox{A}\] \\,](../../../upload.wikimedia.org/math/f/b/1/fb1ddf175a346e1dc667b1cf1d7b3bec.png)
There is a rate coefficient multiplied by the concentration of the reactant. As with a zero-order equation, the coefficient can be though of as a constant, but it actually varies by the other factors like temperature. There can be other reactants present in the reaction, but their concentrations do not effect the rate. First-order equations are often seen in [decomposition reactions](http://en.wikibooks.org/wiki/General_Chemistry/Types_of_chemical_reactions).

![ \\ln \[\\hbox{A}\] = -kt + \\ln \[\\hbox{A}\]_0 \\,](../../../upload.wikimedia.org/math/a/3/f/a3f7c70610e55cb79da2619fc104c076.png)
This is the integrated rate law.

![t_{1/2} = \\frac{\\ln 2}{k} \\,](../../../upload.wikimedia.org/math/f/4/6/f466a2df5964d4fe31653dacc970d979.png)
The **half-life** of a reaction is the amount of time it takes for one half of the reactants to become products. One half-life is 50% completion, two half-lives would lead to 75% completion, three half-lives 88%, and so on. The reaction never quite reaches 100%, but it does come close enough. To find the half-life, you can algebraically manipulate the integrated rate law.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

If you make a graph of the _logarithm_ of concentration vs. time, you will see a straight line with a slope of ![-k](../../../upload.wikimedia.org/math/f/f/2/ff2bddd61609f26dc3255408781890ad.png). This is how you can identify a first-order rate.

### Second-Order Equations

Second-order equations depend on the two concentrations of a bimolecular reaction.

![r = k \[\\hbox{A}\] \[\\hbox{B}\] \\,](../../../upload.wikimedia.org/math/6/7/1/6716e59de42cbc3f7f3ab839133b515b.png)
This is the rate law for a second-order equation.

![r = k \[\\hbox{A}\]^2 \\,](../../../upload.wikimedia.org/math/5/c/8/5c8a5d85cc01ac305f57e4de63af6efa.png)
If there are two molecules of the same kind reacting together, the rate law can be simplified.

![\\frac{1}{\[\\hbox{A}\]} = \\frac{1}{\[\\hbox{A}\]_0} + kt \\,](../../../upload.wikimedia.org/math/6/6/0/660d14afe39af6fa1ce90be688acb79f.png)
In that case, this is the integrated rate law.

![t_{1/2} = \\frac{1}{k\[\\hbox{A}\]_0} \\,](../../../upload.wikimedia.org/math/1/d/e/1decb48fc29b6a4cd26041882b4e8a11.png)
This is the half-life for a second-order reaction (with only one reactant).

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

To see a graph with a straight line of slope ![k](../../../upload.wikimedia.org/math/8/c/e/8ce4b16b22b58894aa86c421e8759df3.png), graph the reciprocal of concentration vs. time.

## Equilibrium

Equilibrium will occur when the forward and reverse rates are equal. As you may have already noticed, the equilibrium expression of a reaction is equal to the rate equations divided.

![2 \\hbox{NO}_2 \\to \\hbox{N}_2\\hbox{O}_4](../../../upload.wikimedia.org/math/d/1/2/d12e1fc5e982bca5ee3a673d7715ac50.png)
Consider this reaction, the _dimerization_ of nitrogen dioxide into dinitrogen tetraoxide.

![r_f = k_f\[\\hbox{NO}_2\]^2 \\,](../../../upload.wikimedia.org/math/b/2/3/b23346600999516fd4a9f97ed4b861f7.png)

  
![r_r = k_r\[\\hbox{N}_2\\hbox{O}_4\] \\,](../../../upload.wikimedia.org/math/2/9/9/299c14a2204782be6ddb9b5791a236e1.png)

The forward reaction rate is second-order, and the reverse reaction rate is first-order.

![k_f\[\\hbox{NO}_2\]^2 = k_r\[\\hbox{N}_2\\hbox{O}_4\] \\,](../../../upload.wikimedia.org/math/c/d/5/cd5fa8f5dfd4689ee8d6535740c8c174.png)
The rate coefficients may be different for the two reactions. If the reaction is in equilibrium, the forward and reverse rates must be equal.

![K_{eq} = \\frac{k_f}{k_r} = \\frac{\[\\hbox{N}_2\\hbox{O}_4\]}{\[\\hbox{NO}_2\]^2}](../../../upload.wikimedia.org/math/9/8/2/982f5b526c1b5a65c222647fadfc2d5d.png)
Rearranging the equation gives the equilibrium expression.

Understanding kinetics explains various concepts of equilibrium. Now it should make sense why increasing the reactant concentration will make more products. The forward rate increases, which uses up reactants, which decreases the forward rate. At the same time, products are made, which increases the reverse reaction, until both reaction rates are equal again.

## Arrhenius Equation

The Arrhenius equation determines a rate coefficient based on temperature and activation energy. It is surprisingly accurate and very useful. The Arrhenius equation is:

![k = Ae^{-E_a / RT}](../../../upload.wikimedia.org/math/a/d/3/ad348893866bd152881709fee0ce6e36.png)

![E_a](../../../upload.wikimedia.org/math/7/0/6/706147204f35ca44a72fd767aab6fa6e.png) is the activation energy for the reaction, in joules per mole. ![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas Constant, ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) is the temperature (in kelvin), and ![A](../../../upload.wikimedia.org/math/7/f/c/7fc56270e7a70fa81a5935b72eacbe29.png) is the _prefactor_. Prefactors are usually determined experimentally.  


# Reaction Mechanisms

* * *

← [Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) ·[Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) →

[← Reaction Rates](http://en.wikibooks.org/wiki/General_Chemistry/Reaction_Rates) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

![](../../../upload.wikimedia.org/wikipedia/commons/8/8c/Wohler_synthesis.gif)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A step-by-step breakdown of a reaction shows its _mechanism_, the actual process of reactions becoming products.

Chemists often write chemical equations for reactions as a single step, which only shows the net result of a reaction. However, most chemical reactions occur in a series of steps called [elementary reactions](http://en.wikipedia.org/wiki/Elementary_reaction). All of these elementary reactions must add up to equal the overall balanced equation. The complete sequence of these elementary steps is called a **reaction mechanism**. The reaction mechanism is the step-by-step process by which reactants actually become products. It is the "how" of the reaction, whereas the overall balanced equation only shows the "what" of the reaction.

## Rate-Determining Steps

Sometimes, **intermediate substances** are created in the process that disappear in the end. Take the following example of a homogeneous reaction (where products and reactants are all in the same phase):

![\\hbox{CO} + \\hbox{NO}_2 \\to \\hbox{CO}_2 + \\hbox{NO}](../../../upload.wikimedia.org/math/d/1/2/d127dbb3046b871876af9f45c5df0d7a.png)

There are actually two reactions occurring at different speeds.

  * ![2\\hbox{NO}_2 \\to \\hbox{NO}_3 + \\hbox{NO}](../../../upload.wikimedia.org/math/8/4/2/8423296adad9db6d41e7dfba8922d59a.png) (slow)
  * ![\\hbox{NO}_3 + \\hbox{CO} \\to \\hbox{NO}_2 + \\hbox{CO}_2](../../../upload.wikimedia.org/math/f/9/e/f9ec325fc2605ae3814c39a6915d875c.png) (fast)

Since the first step is the slowest, and the entire reaction must wait for it, it is known as the **rate-determining step**. The overall reaction rate depends almost entirely on the rate of the slowest step. The other steps are fast enough that their rate is insignificant, as they are always waiting for the slower step to complete.

Why is the first step slower? Collision theory explains whether or not particles react when they collide. The particles must collide with a minimum energy and a proper orientation if a reaction is to occur.

The minimum energy needed for a reaction to occur is its **activation energy**. The particles must be moving fast enough for their collision to satisfy the activation energy. Without the necessary energy, the particles will bounce off each other with no reaction. A good example of activation energy is a butane lighter, which needs a spark before the fluid burns. The spark provides enough energy to the particles to make their collisions effective.

Reactions with high activation energy will be slower than those with low activation energy. With a high activation energy, less particles are likely to generate the needed energy when they collide. Reactions that break bonds, especially double or triple covalent bonds, will have higher activation energy.

The particles must also collide with the proper orientation. For example, the reaction in the animation above shows an ammonium ion reacting with a NCO- ion. For the reaction to occur, the ammonium ion must collide with the nitrogen of the NCO-. If the ions don't collide in the right place while facing in the right direction, the reaction cannot occur.

Reactions that have very specific requirements for the orientation of the colliding particles will be much slower. Reactions that can occur without a specific orientation will happen faster.

## Determining the Validity of an Elementary Step Model

In order for a proposed elementary step equation to be valid it must fulfil these requirements.

1\. The rate equation of the slow step much match the rate equation of the overall reaction.

2\. The reactants and products of all the elementary steps added together must equal the one of the actual equation.

3\. The rate law for the elementary step must be able to be written without the concentration of the intermediates, because the intermediates are too small to be accurately measured.

For example, if given this equation and asked to prove the rate mechanism

Equation ![\\hbox{2O}_3 \\to \\hbox{3O}_2 + \\hbox{NO}](../../../upload.wikimedia.org/math/8/2/2/822bee76a65e812746e1ee11840dc56b.png)

Proposed Mechanism

![\\hbox{O}_3 \\to \\hbox{O}_2 + \\hbox{O}](../../../upload.wikimedia.org/math/e/1/0/e10a4c862f822075dcac88f82c20f0dd.png) (fast)

![\\hbox{O}_3 \\hbox{O} \\to \\hbox{2O}_2 ](../../../upload.wikimedia.org/math/4/0/0/400d0dab95e649b80b646cbee20496c7.png) (slow)

![ rate = k \[O_3\]^2/\[O_2\] ](../../../upload.wikimedia.org/math/0/8/6/086f9fb623f9e3a79587986ec0068fdc.png)

We know that when the reaction occurs backwards, the k changes from k to k^{-1}. So, we substitute in the backwards rate for O_3, and plug it into the slow step. Then, take the rate equation of the slow step. We find that it is the same as the rate law for the overall equation and meets the three criteria above, so this proposed mechanism is valid.

  
  


Thermodynamics

  


  


# Introduction

* * *

← [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) ·[Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) →

[← Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Enthalpy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Thermodynamics is the study of the changes in energy that occur in reactions.

## Systems

A **system** is the set of substances and energy that is being studied. If, for example, reactions are occurring in a jar, everything inside the jar is the system, and everything outside the jar is the **surroundings**. The surroundings are everything not in the system, which means the rest of the universe. The system and the surroundings together are called the "universe".

One important issue is what kind of interactions exist between the system and its surroundings. Some systems may exchange matter and heat with the surroundings (like a system of boiling liquid losing matter and heat with the vapor). This is called an **open system**. If there is just heat exchange occurring between the system and its surroundings it is called a **closed system**. No matter can enter or leave a closed system. And, finally, if there is no exchange of heat and no exchange of matter, the system is completely **isolated**.

## Temperature vs. Heat

If you put a hot iron pot under cold water, it cools down very quickly. This is because iron has a low **specific heat**, which is the amount of energy required to increase the temperature of one gram of a substance by one degree Celsius (or Kelvin). Solid iron only requires 0.45 J/(g*K), while liquid water holds about nine times as much energy (heat) per degree (temperature). So when water receives energy from the pot, it only warms up by a few degrees, while the pot cools down substantially.

![Nuvola apps important yellow.svg](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

**Temperature** is the measure of the kinetic energy of a particle. **Heat** is energy, measured in joules (J). There is a very big difference between the two.

## Thermochemical Equations

Equations don't just show chemicals; they also show how much energy is required or released. This energy is called **enthalpy**. There are two ways to write a thermochemical reaction, for example:

  * ![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} + 571.6\\ kJ](../../../upload.wikimedia.org/math/8/5/1/851adf4aa7b7bd7b1ee29f438c741d81.png)
  * ![2\\hbox{H}_2 + \\hbox{O}_2 \\to 2\\hbox{H}_2\\hbox{O} \\quad \(\\Delta H = -285.8~kJ\)](../../../upload.wikimedia.org/math/6/1/1/611713666b4a0cfe1a1fafa257590078.png)

Note that the number is negative in the second format. Also, notice how the first equation has double the energy because there are two moles of water. The second equation shows the amount of heat _per mole_, so the number of moles does not affect it.

From a thermochemical reaction, one can tell the **molar heat of formation** of a compound. Usually, this is measured at 25°C, and is written as ΔHf°. It is the amount of heat required to make one mole of the substance. The small ° symbol means "standard", as in Standard Temperature and Pressure.

**Molar heat of combustion** is the opposite of the molar heat of formation. It measures the amount of energy released when a mole of the compound is burned. It is written as ΔHc°.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In thermochemistry, if a reaction takes multiple steps, the heats from each reaction are simply added or subtracted. This is known as **Hess's Law**.

  


# Enthalpy

* * *

← [Thermodynamics/Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Introduction) ·[Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) →

[← Thermodynamics/Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Introduction) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Entropy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The absolute enthalpy of a system cannot be measured directly. However, it is possible to measure changes in enthalpy (ΔH) by measuring temperature changes, which represent heat being lost or gained.

The enthalpy of a chemical system is the "heat content" of the system—the energy it contains. Enthalpy is represented by the symbol ![H](../../../upload.wikimedia.org/math/c/1/d/c1d9f50f86825a1a2302ec2449c17196.png).

## Enthalpy of Reaction

All reactions have some amount of enthalpy. It is simply the amount of heat absorbed or released by the reaction. Combustion reactions obviously release large amounts of heat. They have negative enthalpy. A negative enthalpy represents an exothermic reaction, releasing heat. A reaction that absorbs heat is endothermic. Its enthalpy will be positive, and it will cool down its surroundings.

Consider these two reactions:

![3\\hbox{C} + 4 \\hbox{H}_2 \\to \\hbox{C}_3\\hbox{H}_8 \\quad\(\\Delta H = -104.67\\ kJ/mol\)](../../../upload.wikimedia.org/math/2/d/9/2d9dfd10bcd342968604daa0be0fd118.png)
This reaction is exothermic (negative enthalpy, release of heat). When the reaction occurs, the surroundings will increase in temperature due to the gain of heat the system releases. For every mole of propane (C3H8) formed, 104.67 kilojoules of energy are released.

![\\hbox{N}_2 + \\hbox{O}_2 \\to 2 \\hbox{NO} \\quad \(\\Delta H = +756.05\\ kJ/mol\)](../../../upload.wikimedia.org/math/d/9/7/d974980a3f9a9e3fc363e881a7f1de30.png)
This reaction is endothermic (positive enthalpy, absorption of heat). When the reaction occurs, the surroundings will decrease in temperature due to the loss of heat the system absorbed. For every mole of NO formed, 378.3 kilojoules of heat are absorbed. (Note that the reaction shows _two_ moles being formed, so the enthalpy is double that of _one_ mole being formed.)

Although every reaction has a change in enthalpy, the amount depends on the temperature. The same reaction could be endothermic at one temperature and exothermic at another. Enthalpies must be given at a specific temperature. The reactions above show the enthalpies at 25 °C.

## Temperature and Heat

There is a relationship between temperature and heat. If an object gains or loses heat _without_ any phase changes, this reaction relates temperature to heat:

![Q = mc\\Delta T](../../../upload.wikimedia.org/math/1/7/1/171079c0088a9cbc7823d190b207034d.png)

![Q](../../../upload.wikimedia.org/math/f/0/9/f09564c9ca56850d4cd6b3319e541aee.png) is the amount of heat (in joules or kilojoules) and ![\\Delta T](../../../upload.wikimedia.org/math/3/e/c/3ecdbbc9a64a9bfc57883ae306bf51cd.png) is the change in temperature (Celsius degrees). ![m](../../../upload.wikimedia.org/math/6/f/8/6f8f57715090da2632453988d9a1501b.png) is the mass of the object (in grams, usually) and ![c](../../../upload.wikimedia.org/math/4/a/8/4a8a08f09d37b73795649038408b5f33.png) is the object's **specific heat**.

Specific heat is a constant that depends on the particular material of the object. It is measured in joules per gram-degree. It is determined experimentally. You can look it up in a chart, or you can calculate it if you measure the amount of heat added and the change in temperature. The toe in here heat of water is 4.186 J/g-degree. For one gram of water, the temperature rises/falls by one degree Celsius for every 4.186 joules of heat added/removed.  


# Entropy

* * *

← [Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) ·[Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) →

[← Thermodynamics/Enthalpy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Enthalpy) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/The First Law of Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

Entropy is the measure of disorder in a system.

## An Example

First, let's examine a non-chemistry example. Say you have one card from a deck of playing cards. It can have one of 52 possible values. Now you pick up four more cards. If the deck were shuffled randomly, the odds of you holding, say, a "straight flush" are 0.00154%. The odds of having a "high card", which is essentially a "nothing" hand, is 50.12%. In the case of a straight flush, the cards you are holding are highly organized. They must be in a specific, exact pattern (like 10 9 8 7 6 of the same suit). To have a high card, no two cards must have the same rank and the cards cannot be in order.

There is a very low probability of having a straight flush because the cards are in a very orderly state. There is a large probability of having "nothing" because the cards are in a random, disorderly state. In our card-playing system, straight flushes have **low entropy** because they are so orderly. "Nothing" hands have **high entropy** because they are disorderly and random. Furthermore, it takes minimal effort to toss all the cards in the air and randomize their order. Increasing the entropy of the system comes naturally. On the other hand, sorting the cards in order takes time and effort. It does not happen randomly. Decreasing the entropy of the system is unnatural and takes effort, or energy.

### In Chemistry

The entropy of a chemical system is a measure of its disorder or chaos. More precisely, it is a measure of the _dispersion of energy_. A solid has low entropy (low chaos, orderly) because the molecules are locked into a rigid structure. Their energy is not dispersed freely. A gas has high entropy (high chaos, disorderly) because the molecules are free to move about randomly. The energy of the system is dispersed over a large area with unlimited possibilities of the location of each molecule.

Absolute zero can never be achieved.

As temperature decreases, so does entropy. Theoretically, at **absolute zero** (0 K, or -273 °C), the entropy of the system would be zero. This is because the solid would be perfectly crystallized so that its energy is not dispersed at all.

As you will soon learn, [the Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) tells us that the entropy of the universe always increases. Think about it. If you have built a house of cards, the entropy of the system is low. A house of cards is very orderly, with each card having a very specific location. The house of cards will undoubtedly collapse. The resulting pile of cards is very disorderly. The cards can be in any position and still be a random pile of cards. The entropy has increased spontaneously. Houses of cards will spontaneously collapse, but they never spontaneously build themselves up. This is because high entropy is natural and low entropy is unnatural.

## Entropy Changes

When analyzing the entropy change of a chemical reaction, you would need specific numbers. As a guideline, you can estimate the entropy change based on some basic rules:

  * Melting and boiling _increases_ entropy
  * Freezing and condensing _decreases_ entropy
  * Dissolving a solute _increases_ entropy
  * Forming precipitates _decreases_ entropy

If you do happen to know the absolute entropy of substances in a reaction (by looking it up in a chart), you can calculate the change in entropy. Entropy is symbolized with ![S](../../../upload.wikimedia.org/math/5/d/b/5dbc98dcc983a70728bd082d1a47546e.png). The change in entropy is ![\\Delta S](../../../upload.wikimedia.org/math/9/2/b/92bbde703193217f1110b0ab9c60810b.png). As with enthalpy, the degree symbol (![\\Delta S^o](../../../upload.wikimedia.org/math/5/9/a/59a0ca4712a3d54932b9883069b2b8a0.png)) represents STP. The change in entropy is the absolute entropy of the products minus the absolute entropy of the reactants.

## See also

  * [Entropy for beginners](http://en.wikibooks.org/wiki/Entropy_for_beginners)\- a Wikibook that provides a mathematical explanation.

  


# The First Law

* * *

← [Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) ·[Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) →

[← Thermodynamics/Entropy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Entropy) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/The Second Law of Thermodynamics →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

The _First Law of Thermodynamics_ is simply a restatement of the **Law of Conservation of Energy**. There are a few ways of stating it, but they all mean the same thing:

  * "Energy is neither created nor destroyed. It can only change form."
  * "The change in the system's thermal energy is equal to the heat added to the system minus the work done by the system."

The first definition is self-explanatory. As an example, a propane grill does not "create" energy when it cooks food. The energy stored within propane molecules and oxygen atoms is released in the form of heat and light when the propane molecules reassemble themselves into carbon dioxide and water (the combustion reaction). Energy has not been created or destroyed. It has simply changed from chemical potential energy into light and thermal energy.

The second explanation comes from a physics point of view. It means that adding heat to a system increases its internal energy, and a system that does work (like breaking bonds or assembling large molecules from small ones) decreases its internal energy. Overall, the total amount of heat, work, and energy remains constant. This should make sense because heat is energy and work is energy being applied, so based on the first definition, all forms of energy must be accounted for.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The First Law is much more useful in [Physics](http://en.wikibooks.org/wiki/Subject:Physics) than it is in General Chemistry.

  


# The Second Law

* * *

← [Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) ·[Thermodynamics/Free Energy](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Free_Energy) →

[← Thermodynamics/The First Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_First_Law_of_Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Thermodynamics/Free Energy →](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/Free_Energy)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction: A powerful law.

The second law of thermodynamics is based on our common human experience. It didn't begin with complicated apparatus or complex theories, but rather with thinking about how old-fashioned steam engines worked and the first important equation appeared to be very simple: just q/T.

Yet the second law is probably our most powerful aid in helping us understand why the world works as it does both in simple and in complex ways: why hot pans cool down, why ping pong balls don't bounce forever when they are dropped, why gasoline (plus the oxygen in air) makes engines run, why our "engines"—our bodies—run and we continue to live and our bodies stay warm even when it's cold, but also why we die when some chemical reactions within us fail. In fact, the second law helps to explain everything that happens in our physical world. In chemistry, it's especially important because it can tell us whether any chemical reaction that we write on paper will probably be spontaneous and go as we have written it.

## The Big Problem

Unfortunately, for almost a century and a half, the second law has been expressed by experts in ways that a beginner in chemistry could not possibly understand without a great deal of additional explanation. Here are just three of some 25 explanations that have been most prominent:

  * "The entropy of the universe increases toward a maximum" (Clausius)
  * "It is impossible in any way to diminish the entropy of a system of bodies without thereby leaving behind changes in other bodies" (Planck)
  * "In any irreversible process the total entropy of all bodies concerned is increased." (Lewis)

Entropy, entropy, entropy! But what is entropy? Even some textbooks still say something like "Don't ask about understanding it. Just work the problems that have entropy in them and you'll gradually understand it because you will be able to work with it"! That's the old way which fortunately has been discarded by most US general chemistry texts. (See list at <http://www.entropysite.com/#whatsnew>.) The good news of the twenty-first century is that now entropy can be described as a simple **idea** (no matter how complex to calculate and deal with in advanced courses and research.) Because of our new conceptual approach, a basic version of the second law can be understood easily.

## A Modern Version

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

"Energy of all types changes from being localized to becoming dispersed or spread out, if it is not hindered from doing so. Entropy change is the quantitative measure of that kind of a spontaneous process: how much energy has flowed or how widely it has become spread out at a specific temperature." (<http://www.entropysite.com/entropy_isnot_disorder.html>)

What does that "energy of all types" and "becoming dispersed" mean? Let's first think about light (which technically is electromagnetic radiation). Does the radiation from a light bulb stay inside that glass of the bulb? Of course not. It spreads out just as far as it can, hindered from dispersing to miles and even farther only by dust or air density differences. What about the sound from a stereo speaker—does it stay inside a dorm room or a car? It disperses farther than other people want to hear it, usually! And what happens to the kinetic energy of a fast moving car if the car should hit a brick wall? It spreads out in a crashing sound, in twisting metal and heating it and tearing apart the bricks of the wall so that they fly around, slightly warmer than they were. Those are just a few examples of different types of energy and some ways in which they become dispersed or spread out.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Energy of all types disperses...if it is not hindered from doing so.

## The Importance of the Second Law

In chemistry, the type of energy in which we are most often interested is the kinetic energy of molecules, molecular motion energy. We know from [Kinetic Molecular Theory](http://en.wikibooks.org/wiki/General_Chemistry/Gases) that molecules are in constant motion if their temperatures are above 0 K. In gases like nitrogen and oxygen, they are moving at an average speed of a thousand miles (1600 km) an hour at 298 K and go about 200 times their diameter before bumping into another molecule[_[citation needed](http://en.wikibooks.org/wiki/Wikibooks:OR)_]. The molecules in liquids may be moving approximately as fast even though they are constantly hitting one another as they move a little here and there. In solids the particles, molecules or atoms or ions, can only "dance in one place" (vibrating in coordination with the other particles in the solid). This is a kinetic energy of vibration that is equivalent to the motion energy of gases or liquids at the same temperature.

The motion energy of molecules consists of their translation, rotation, and vibration (Figure 1 of <http://www.2ndlaw.com/entropy.html>.) Note that this vibration is vibration _inside_ a molecule and by itself, as though the chemical bonds between atoms were like springs. The vibration in a crystal that we were just talking about is a vibration of a whole molecule or other particle in one place and coordinated with the other molecules in the crystal.

## Examples from Everyday Life

Let's see how the second law helps us to understand our common experience better, to see how so many totally different events really are just examples of energy dispersing or spreading out, i.e., of the second law. A rock will fall if you lift it up and then let go. Hot frying pans cool down when taken off the stove. Iron rusts (oxidizes) in the air. Air in a tire is at a high pressure and shoots out even from a small puncture to the lower pressure atmosphere. Ice cubes melt in a warm room.

### A Falling Rock

A rock has potential energy (PE) localized in it when you lift it up above the ground. The rock is the _system_; everything else it encounters is the _surroundings_. Drop the rock and its PE changes to kinetic energy (energy of movement, KE), pushing air aside as it falls (therefore spreading out the rock’s KE a bit) before it hits the ground, dispersing a tiny bit of sound energy (compressed air) and causing a little heating (molecular motion energy) of the ground it hits and in the rock itself. The rock is unchanged (after a minute when it disperses to the air the small amount of heat it got from hitting the ground). But the potential energy that your muscles localized in by lifting it up is now totally spread out and dispersed all over in a little air movement and a little heating of the air and ground.

### A Hot Frying Pan

A hot frying pan? The iron atoms in a hot frying pan (system) in a room (surroundings) are vibrating very rapidly, like fast "dancing in place". Therefore, considering both the pan and the room, the motion energy in the hot pan is localized. That motion energy will disperse—if it is not hindered, according to the second law. Whenever the less rapidly moving molecules in the cooler air of the room hit the hot pan, the fast-vibrating iron atoms transfer some of their energy to the air molecules. The pan’s localized energy thus becomes dispersed, spread out more widely to molecules in the room air.

### Some Rusting Iron

In a chemical reaction such as iron rusting, i.e., iron plus oxygen to form iron oxide (rust), the reactants of iron and oxygen don't have to be at a high temperature to have energy localized within them. Iron atoms (as -Fe-Fe-Fe-) plus oxygen molecules of the air (O-O) have more energy localized within their bonds than does the product of their reaction, iron rust (iron oxide).

That’s why iron reacts with oxygen—to release energy from their combined total of higher energy bonds and form the lower energy bonds in iron oxide. Then, all that difference in energy becomes dispersed to the surroundings as _heat_ i.e., the reaction is exothermic and makes molecules in the surroundings move faster. But remember how chemical reactions occur! Remember that it requires energy to break bonds and therefore to start any reaction there must be some extra energy, an activation energy supplied somehow to break a bond or many bonds in the reacting substances. (For information about activation energies, see <http://www.2ndlaw.com/obstructions.html>) Then, if the bonds that are being formed in the product are much stronger than those being broken in the reactants, that difference in energy (which usually causes greater motion energy of all the molecules) can feed back to break more bonds in the reactants.

However, in the case of iron reacting with oxygen at normal room temperature around 298 K, the process is very slow because only a few oxygen atoms are moving exceptionally fast and hit the iron just right so an Fe-Fe bond and an O-O bond are broken and an Fe-O bond can form. There isn't enough heat (motion energy) localized in nearby iron atoms, and there are no other unusually fast-moving oxygen molecules. It's a slow process depending on collision of the small amount of fast moving oxygen atoms in the surroundings to make it happen.

Therefore, even in moist air (that speeds up another process yielding iron oxide), iron doesn't react very rapidly with oxygen but it steadily does so and in time, both the iron atoms and the oxygen molecule spread out to the surroundings the portion of their bond energy that iron oxide doesn't need for its existence at that temperature.

### A Leaky Tire

Air in a tire is at a higher pressure than the atmosphere around it, so it shoots out even from a small hole. What could that have to do with a big deal like the Second Law of Thermodynamics? (Every spontaneous physical or chemical process involves the second law!) Those nitrogen and oxygen molecules in the tire each have motion energy but it is far more localized, compressed in the small volume of the tire, than it would be in the huge volume of the atmosphere. Thus, the second law explains why punctures or blowouts occur: the motion energy of those localized molecules will become dispersed and spread out to the lower-pressure, larger-volume atmosphere if it is no longer hindered by the tire walls from becoming so.

### A Melting Ice Cube

An ice cube melts in a big warm room. How can the melting of a little ice cube in a warm room maybe 200,000 times bigger than it is be an example of the second law? How could that possibly be a spreading out of energy? But the second law has to do with energy dispersal and there's a little spreading out in that 200,001st part of that total of system plus surroundings!

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Hotter goes to cooler spontaneously. Always.

Lots of things are happening when molecules of the warm air disperse some of their energy to the molecules that are vibrating (like dancing rapidly in one place) in the ice cube. Right at the surface many hydrogen bonds between the water molecules of the ice are broken by the motion energy of the air molecules being transferred to the those surface molecules. (This doesn't change the amount of motion energy of those molecules and therefore their temperature doesn't change. They increase in _potential energy_ due to the hydrogen-bond breaking.) Now, because the water molecules whose hydrogen bonds to other molecules in the rigid ice structure are broken, they are free to form hydrogen bonds to other water molecules that are liquid—they can exchange partners and move from one to another. The vibrational energy that allowed them to dance in place in the crystal is changed to translational energy in the liquid and the molecules can move just a bit.

Thus, although the true picture is just a bit more complex (i.e., it is the closer energy levels in translation than in solid vibration that make the energy far more dispersed in liquid than solid), we can sense that the movement of molecules in liquid water allows the energy to be more spread out than in crystalline ice, even at melting temperature. It is not a matter of order and "disorder"! (That's as misleading as magic and as obsolete as 1898 fashions. <http://www.entropysite.com/order_to_disorder.pdf>)

### Order to Disorder

The second law tells us about energy dispersal, and _entropy_ is the word for how that energy dispersal is measured—how spread out the energy becomes in a system, how much more dispersed it has become compared to how localized it was. Such energy changes and consequent entropy changes are the focus for understanding how and why spontaneous events occur in nature. Only sometimes do the structures or arrangements of molecules in an object help us to see greater or lesser localization of energy (that used to be called "order to disorder").

Now we can understand what scientists have been talking about the last century and a half when they spoke in apparently mysterious sentences like "The entropy of the universe increases toward a maximum." All they meant was simply that energy, everywhere, spreads out as much as it can (and that spreading out of energy is measured by entropy).

## Recap and Conclusion

Rocks falling down mountains, hot pans cooling in cool rooms, anything made of iron rusting, anything burning or reacting with oxygen, all these types of spontaneous events and chemical reactions that occur by themselves are due to energy dispersing or spreading out. Entropy is the quantitative measure of how much energy and how much dispersal occurs in a process or a reaction. Therefore, entropy is constantly increasing because spontaneous events continue to occur in our energy-rich universe. Thus, we can decipher the following statement of the second law:

"In any irreversible process the total entropy of all bodies concerned is increased."

That just means: "In any process in which energy becomes spread out, the measure of that spreading out or dispersing (i.e., the total entropy) increases when you include both what happens in the system AND its surroundings.”

Now we can translate "second law language"! It seems very confusing if you read it rapidly, but taking it a few words at a time and knowing what we have just reviewed, the ideas are not complicated.  


# Free Energy

* * *

← [Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) ·[Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) →

[← Thermodynamics/The Second Law of Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics/The_Second_Law_of_Thermodynamics) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Introduction

What's the point of entropy and enthalpy? So far, you have studied equilibrium to tell you how far a reaction occurs and kinetics to tell you how fast a reaction occurs. Thermodynamics can tell you _if_ a reaction will occur, and at what temperatures. It may seem too obvious, but why does an ice cube spontaneously melt when it is at 30 °C? Melting is endothermic, so it would seem that the reverse reaction (freezing) is favored. After all, reactions that release heat are usually more favorable than those that absorb heat.

The answer is **free energy** (also called _Gibbs Free Energy_). The change in free energy for a reaction ultimately determines if it can occur spontaneously or not. Free energy is a combination of entropy and enthalpy, and when a reaction decreases the free energy, it will occur spontaneously.

## The Equation

Free energy is defined by ![\\Delta G = \\Delta H - T \\Delta S](../../../upload.wikimedia.org/math/c/0/b/c0b1e02c37f0bbb8f6aede060ef2568e.png). By measuring or calculating the entropy change and enthalpy change of a reaction, you can determine the change in free energy. Notice that free energy depends on temperature as well. In this equation (as with all other thermo equations) ![T](../../../upload.wikimedia.org/math/b/9/e/b9ece18c950afbfa6b0fdbfa4ff731d3.png) must be an **absolute temperature**, measured in Kelvin. So the freezing point of water is not zero but rather 273 K. By using the Kelvin temperature scale, all temperatures will be greater than zero.

When you have solved for ![\\Delta G](../../../upload.wikimedia.org/math/3/7/f/37f593659cc996c4991266398ba13af6.png) for a particular reaction at a certain temperature, you will find one of three possible outcomes:

Reaction type Means...

![\\Delta G < 0](../../../upload.wikimedia.org/math/0/d/3/0d38865899e706ef5b1923a66a7dae30.png)
_exergonic_
the reaction occurs spontaneously.

![\\Delta G = 0](../../../upload.wikimedia.org/math/0/c/f/0cfe1898865bd90828546b52d83e2c58.png)
the reaction is at equilibrium.

![\\Delta G > 0](../../../upload.wikimedia.org/math/9/2/8/9287e4bae64db7339666a8f931a3c8b3.png)
_endergonic_
the reaction will not occur.

Equipped with this knowledge, you can determine the temperature at which a reaction will be at equilibrium (by setting G to 0 and solving for T). If a reaction is endergonic, it will not occur _spontaneously_. However, at a different temperature, the reaction might occur. Also, the reverse reaction will have an opposite value for G. For example, the combustion of propane will have a large negative value for its change in free energy. The reverse reaction would have the same large value, but positive. This makes sense, knowing that propane does not spontaneously precipitate from the smokey exhaust of a grill.

### Spontaneity

Let's return to the example of a melting ice cube. At T = 273 K (0 °C) the processes of freezing and melting are at equilibrium. ΔG must equal zero. At higher temperatures, the melting process occurs spontaneously, so we can deduce that ΔH is positive and ΔS is also positive. We already know that melting is endothermic and increases entropy, so it seems the free energy equation works.

Between entropy and enthalpy, there can be four possible outcomes:

![\\Delta H](../../../upload.wikimedia.org/math/1/9/e/19e2c87dfcd499d96746ef27b99584a5.png) ![\\Delta S](../../../upload.wikimedia.org/math/9/2/b/92bbde703193217f1110b0ab9c60810b.png) ![\\Delta G](../../../upload.wikimedia.org/math/3/7/f/37f593659cc996c4991266398ba13af6.png) Result

+
-
always +
never spontaneous

-
+
always -
always spontaneous

+
+
\+ for low T, and - for high T
depends on T

-
-
\- for low T, and + for high T
depends on T

We can see that the melting of an ice cube is spontaneous for high temperatures.

### Relating Free Energy

Free energy is related to equilibrium, as we have already seen. There is an equation that will allow you to convert between reaction free energy and the equilibrium constant for a particular reaction at a given temperature:

![\\Delta G = -RT \\times \\ln  K_{eq}](../../../upload.wikimedia.org/math/0/a/3/0a31ddb262d8ca2b859870c0de26fbd9.png)

![R](../../../upload.wikimedia.org/math/e/1/e/e1e1d3d40573127e9ee0480caf1283d6.png) is the Universal Gas constant, and ![\\ln](../../../upload.wikimedia.org/math/3/c/1/3c178b05d8a108e6346e61420651bedf.png) is the _natural logarithm_. A scientific calculator will have a `[LN]` to calculate logarithms and a `[e^]` button to calculate anti-logarithms.

  
  


The Elements

  


  


# Group 1

* * *

← [Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) ·[Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) →

[← Chemistries of Various Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 2 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Alkali Metals

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/27/Na_\(Sodium\).jpg/220px-Na_\(Sodium\).jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Sodium metal is soft enough to be cut with a knife.

The _alkali metals_ are the elements in **Group 1 (1A)**. They are [lithium](http://en.wikipedia.org/wiki/Lithium), [sodium](http://en.wikipedia.org/wiki/Sodium), [potassium](http://en.wikipedia.org/wiki/Potassium), [rubidium](http://en.wikipedia.org/wiki/Rubidium), [cesium](http://en.wikipedia.org/wiki/Cesium), and [francium](http://en.wikipedia.org/wiki/Francium).

These elements are best marked by their reactivity. Physically they are soft, shiny (when freshly prepared) solids with low melting points; they conduct electricity well. They all have one valence electron that they lose easily to almost any electronegative substance. Alkali metals are never found in their elemental form outside the lab because they are too reactive. Even the smallest amount of oxygen or water would react with the metal. For this reason, alkali metals have no structural use. They must be kept under inert liquids such as kerosene or in inert gases (nitrogen suffices for any of these elements other than lithium).

Alkali metals have many uses in both biological life and industry. Francium, however, is radioactive and decays rapidly to other elements, so it has no commercial use and its chemical properties are vaguely understood.

All oxidize easily to the +1 oxidation state.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The alkali metals have very similar chemical and physical properties. They can be studied as a whole, rather than element-by-element, due to this similarity.

## Safety

Leave experiments with alkali metals to the experienced chemists.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Alkali metals are dangerous. Their reactions release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Never cast any alkali metal into water or acids. These metals should never be allowed to touch flesh because they react with any water upon them and yield corrosive hydroxides that damage flesh.

## Reactions

Alkali metals react violently with water, halogens, and acids. The reactions release surprising amounts of heat and light. In a chemical equation, alkali metals are represented with an M. Here are some example equations:

![4 \\hbox{M}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2 \\hbox{M}_{2}\\hbox{O}_{\(s\)}](../../../upload.wikimedia.org/math/a/7/d/a7da51c514359161ad751b7aa768da1c.png)
Alkali metals react with oxygen to form **oxides**, which have a duller appearance and lower reactivity. The oxides are much less reactive than the pure metals.

![\\hbox{M}_2\\hbox{O}_{\(s\)} + \\hbox{H}_2\\hbox{O} \\to 2 \\hbox{MOH}_{\(aq\)}](../../../upload.wikimedia.org/math/4/0/d/40d9503a4b8f6826f0d121933d94ef8f.png)
However, the oxides do react vigorously with water to form a **hydroxide**. The resulting hydroxides of these elements dissociate completely in water to form some of the strongest [bases](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases) known. "Lye" is an industrial-strength base, which is sodium hydroxide (NaOH).

![\\hbox{NaOH}_{\(aq\)} + \\hbox{HCl}_{\(aq\)} \\to \\hbox{NaCl}_{\(aq\)} + \\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/d/d/2/dd22d1516fe89e4366dad9937017367e.png)
These hydroxides react readily with acids to form water and their corresponding alkali **salt** in a [neutralization](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Neutralization) reaction.

![2 \\hbox{M}_{\(s\)}+ 2 \\hbox{H}_2\\hbox{O} \\to 2 \\hbox{MOH}_{\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/1/3/7/137897c4b8bb8fe3a25663178f4dba7b.png)
The pure alkali metal can also react directly with water. In this case, the metal is a [basic **anhydride**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Anhydrides). Gaseous hydrogen is released, which is flammable.

![2 \\hbox{M}_{\(s\)} + \\hbox{Cl}_{2\(g\)} \\to 2 \\hbox{MCl}_{\(s\)}](../../../upload.wikimedia.org/math/6/b/6/6b68fdc38e31cbd6c3496f1f31551032.png)
Exposing an alkali metal to a [halogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) will cause an extremely exothermic reaction that results in an [ionic **salt**](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds).

Almost every salt of an alkali metal is highly soluble in water. They form conducting solutions, proving their ionic nature.

### Flame Tests

When burned in a flame, the alkali metals give off a unique color that can be used to identify them.

  * Flame Tests
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/da/FlammenfärbungLi.png/35px-FlammenfärbungLi.png)

Lithium (pinkish-red flame)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e5/Flametest--Na.swn.jpg/60px-Flametest--Na.swn.jpg)

Sodium (yellow flame)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b8/FlammenfärbungK.png/33px-FlammenfärbungK.png)

Potassium (pale violet flame)

  


# Group 2

* * *

← [Chemistries of Various Elements/Group 1](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) ·[Chemistries of Various Elements/Group 13](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13) →

[← Chemistries of Various Elements/Group 1](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 13 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_13)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Alkaline Earth Metals

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/3f/Magnesium_crystals.jpg/220px-Magnesium_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Pure magnesium crystals

The _alkaline earth metals_ are the elements in **Group 2 (2A)**. They are [beryllium](http://en.wikipedia.org/wiki/Beryllium), [magnesium](http://en.wikipedia.org/wiki/Magnesium), [calcium](http://en.wikipedia.org/wiki/Calcium), [strontium](http://en.wikipedia.org/wiki/Strontium), [barium](http://en.wikipedia.org/wiki/Barium), and [radium](http://en.wikipedia.org/wiki/Radium). They are similar to [alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1), but less reactive.

Alkaline earth metals all have two valence electrons, and they easily oxidize to the +2 state. With increasing mass, these elements become softer, have lower melting and boiling points, and become more reactive. None appear uncombined in nature, and all are separated from their compounds with difficulty. Alkaline earth metals react with halogens and (except for beryllium) with water and oxygen. Magnesium, being less reactive, reacts only at higher temperatures than the other alkaline earth metals. Radium is radioactive, so its chemical properties are difficult to study.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

The alkaline-earth metals have very similar chemical and physical properties. They can be studied as a whole, rather than element-by-element, due to this similarity.

The alkaline earth metals are chemically and physically similar to the [alkali metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1), but they are less reactive.

## Safety

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Alkaline earth metals are very flammable. Their reactions could release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Use caution when handling these metals. Calcium, strontium, and barium react with water and form corrosive hydroxides. Salts of beryllium are toxic, and water-soluble or acid-soluble salts of barium are toxic.

## Reactions

The alkaline earth metals undergo reactions similar to the alkali metals, but their +2 oxidation state causes their compounds to be different. The following reactions use magnesium as an example, but the other alkaline earth metals undergo the same reactions as well.

![2\\hbox{Mg}_{\(s\)} + \\hbox{O}_{2\(g\)} \\to 2\\hbox{MgO}_{\(s\)}](../../../upload.wikimedia.org/math/5/f/2/5f2800d22751eaf27c65366910b734d1.png)
Magnesium **oxide** forms slowly unless ignited. Powders or thin slices of magnesium can be ignited with a match, so magnesium is used in fire-starting devices.

![3\\hbox{Mg}_{\(s\)} + \\hbox{N}_{2\(g\)} \\to \\hbox{Mg}_3\\hbox{N}_{2\(s\)}](../../../upload.wikimedia.org/math/1/a/5/1a5411afc3fa4fc120ef78ebd66d92a3.png)
Magnesium burns readily in oxygen, and surprisingly nitrogen as well. Air is composed mostly of nitrogen, but most elements will not react with nitrogen because nitrogen is so stable.

![\\hbox{MgO}_{\(s\)} + \\hbox{H}_2\\hbox{O}_{\(l\)} \\to \\hbox{Mg}\(\\hbox{OH}\)_{2\(aq\)}](../../../upload.wikimedia.org/math/d/3/1/d31b0c998ac0e831bd3d1b5971ee7489.png)
Magnesium oxide is a [basic **anhydride**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Anhydrides). Magnesium hydroxide is a [strong base](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases), although its [solubility](http://en.wikibooks.org/wiki/General_Chemistry/Solubility) is too low for this property to be significant.

![\\hbox{Mg}_3\\hbox{N}_{2\(s\)} + 6\\hbox{H}_2\\hbox{O} \\to 3\\hbox{Mg}\(\\hbox{OH}\) + 2\\hbox{NH}_{3\(g\)}](../../../upload.wikimedia.org/math/a/1/9/a199342d340ff9f4132a989f14ac19fb.png)
Magnesium **nitride** will react with water or the moisture in air. This reaction is detected by the pungent smell of ammonia.

![\\hbox{Mg}_{\(s\)} + 2\\hbox{H}_2\\hbox{O} \\to \\hbox{Mg}\(\\hbox{OH}\)_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/3/8/9/389d4168586d3c08d3d4d5c6ef5c4976.png)
Magnesium metal reacts with water to form a **hydroxide**, but only at high temperatures or in the presence of acid. Calcium, being more reactive, will react with water as long as its hot. The other elements will react in warm water. Notice the flammable hydrogen gas that is released.

![\\hbox{Mg}_{\(s\)} + 2\\hbox{HCl}_{\(aq\)} \\to \\hbox{MgCl}_{2\(aq\)} + \\hbox{H}_{2\(g\)}](../../../upload.wikimedia.org/math/9/4/1/941788db231d3c1e54e470627fe50cce.png)
Magnesium will react exothermically with acids to form an [ionic **salt**](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) and hydrogen gas.

Remember that all of the alkaline earth metals can undergo these reactions; magnesium was just an example. Beryllium, however, is much _less_ reactive than the other metals, so it might not react.

## Uses

Beryllium is rare and its compounds are toxic, so it is in little use.

Magnesium metal has some use in applications needing a soft, light metal. Magnesium metal can be used an easily-burned substance with a bright light in photographic flash bulbs. Magnesium hydroxide is commonly used as a strong but generally safe antacid. Magnesium sulfate is commonly known as Epsom salts.

Even more significantly, magnesium appears in a compound known as [chlorophyll](http://en.wikibooks.org/w/index.php?title=Chlorophyll&action=edit&redlink=1), the greenish pigment in plants and algae that allows plants to perform [photosynthesis](http://en.wikibooks.org/w/index.php?title=Photosynthesis&action=edit&redlink=1). It is essential to animal life.

Calcium has no use as a structural metal, but its compound calcium carbonate is a major building material as limestone. Calcium carbonate is essential to bones and to plant life. Calcium and heavier elements in this group react with warm water to form highly-alkaline hydroxides.

Strontium, much rarer than calcium, has few uses. Barium, also rarer, has few uses other than its sulfate, a coating used for lining the digestive organs for X-rays.

Radium is rare and strongly radioactive; it is extremely dangerous due to its intense radioactivity.  


# Group 13

* * *

← [Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) ·[Chemistries of Various Elements/Group 14](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14) →

[← Chemistries of Various Elements/Group 2](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_2) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Group 14 →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

**Group 13 (IIIA)** consists of [boron](http://en.wikipedia.org/wiki/Boron), [aluminum](http://en.wikipedia.org/wiki/Aluminum), [gallium](http://en.wikipedia.org/wiki/Gallium), [indium](http://en.wikipedia.org/wiki/Indium), and [thallium](http://en.wikipedia.org/wiki/Thallium). Boron is a metalloid, but the other elements are metals. All elements in this group have three valence electrons.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Because these elements have varying properties, they will be studied element-by-element, rather than as a group.

## Boron

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Borax_crystals.jpg/220px-Borax_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

A borax crystal. Borax (a mineral containing boron) has many uses including laundry detergent.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/c/c7/Boroxin.png/100px-Boroxin.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

_Boroxin_. Notice boron's three bonds.

Boron is a **metalloid**, exhibiting characteristics of both metals and non-metals. It is never found in its pure form in Earth, but it is a component of some minerals. However, pure boron can form as a result of chemical reactions. It can be a brown amorphous solid, or a crystalline solid. In the crystalline form, it is black and very hard.

Boron is a poor conductor of electricity at normal temperatures, but at high temperatures it does conduct electricity. Its chemical properties are mostly, but not entirely, non-metallic. Boron is the least electronegative non-metal, so it readily loses electrons when reacting. Boron is almost entirely in the +3 oxidation state. Boron has an oxide B2O3, and it is acidic.

![\\hbox{BCl}_3 + 3 \\hbox{H}_2\\hbox{O} \\to \\hbox{B}\(\\hbox{OH}\)_3 + 3 \\hbox{HCl}](../../../upload.wikimedia.org/math/9/4/c/94cc837bb3a202968fd32f98181905c7.png)
Boric **halides** are volatile substances that attack water with the formation of boric acid B(OH)3 and hydrogen halides.

![\\hbox{B}\(\\hbox{OH}\)_3 + \\hbox{H}_2\\hbox{O} \\to \\hbox{B}\(\\hbox{OH}\)_4^- + \\hbox{H}^+](../../../upload.wikimedia.org/math/b/b/7/bb74ee858368d61a6a62fce9ed1f66b2.png)
Boric **acid** reacts with water to release a proton. It is a [weak acid](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases).

![2\\hbox{B}_2\\hbox{O}_3 + 7\\hbox{C} \\to \\hbox{B}_4\\hbox{C} + 6\\hbox{CO}](../../../upload.wikimedia.org/math/8/4/0/840f1c3141dfc497e692b5879379d0a1.png)
Boric oxide, at extremely high temperatures, can react with carbon to form boron **carbide**. Boron carbide is incredibly strong, finding use as tank armor.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

In a manner similar to [carbon](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14), boron can form stable [covalent network](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) solids. Each boron atom bonds to three other borons, forming a large crystal.

Boron has interesting properties when it bonds covalently. It has three electrons, so it usually forms three single covalent bonds, an [exception to the octet rule](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions). Substances like boron trichloride (BCl3), boric acid, and the borate ion (BO33-) are examples of boron's tendency to form three covalent bonds.

## Aluminum

Aluminum (British spelling aluminium) is a metal, although it is too reactive to exist in pure form. Instead, it is found in a wide variety of minerals including _bauxite_, the primary source for extracting aluminum. Aluminum is the third most abundant element in Earth's crust.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/19/Aluminum_Metal_coinless.jpg/220px-Aluminum_Metal_coinless.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Aluminum metal

Unlike boron, aluminum is an almost [stereotypical metal](http://en.wikibooks.org/wiki/General_Chemistry/Metallic_bonds) in its physical properties: it is malleable and ductile, and it conducts heat and electricity very well. Because of its lightness, resistance to corrosion, attractiveness (approaching that of silver), and inexpensiveness to process along with adequate strength for many commercial and domestic uses, it is the third-most used of all metals. Only iron and zinc exceed it in production.

Aluminum compounds typically exist in the +3 oxidation state. Because of its durability and light weight, aluminum is used in many **alloys**, mixtures of metals. Two metals, each with desirable characteristics, can be mixed together to produce an alloy that has the properties of both metals. Aluminum used to be used for household wiring, but it expands too much when heated. The expansion causes the wires to come loose, and house fires can start.

Aluminum seems unreactive because of a thin, hard surface of aluminum oxide Al2O3 which does not react with water or oxygen and preserves the aluminum metal underneath it from chemical attack. Pure aluminum will immediately form this layer when exposed to air. Although aluminum is very conductive, aluminum oxide does not conduct electricity.

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/4/42/Aluminium-trichloride-3D-structures.png/220px-Aluminium-trichloride-3D-structures.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Aluminum trichloride

![\\hbox{Al}_2\\hbox{O}_{3\(s\)} + 3\\hbox{H}_2\\hbox{O}_{\(l\)} + 2\\hbox{OH}^-_{\(aq\)} \\to 2\\hbox{Al}\(\\hbox{OH}\)^-_{4\(aq\)}](../../../upload.wikimedia.org/math/3/3/8/338039c6b04d8277bacb4fabf2fa4ddc.png)

  
![\\hbox{Al}_2\\hbox{O}_{3\(s\)} + 6\\hbox{H}^+_{\(aq\)} \\to 2\\hbox{Al}^{3+}_{\(aq\)} + 3\\hbox{H}_2\\hbox{O}_{\(l\)}](../../../upload.wikimedia.org/math/f/e/1/fe168583415c54075c1b94219d472e46.png)

Aluminum **oxide** is [amphoteric](http://en.wikibooks.org/wiki/General_Chemistry/Properties_and_Theories_of_Acids_and_Bases)—it reacts violently to neutralize strong bases or strong acids.

![2\\hbox{Al} + 3\\hbox{Cl}_2 \\to 2\\hbox{AlCl}_3](../../../upload.wikimedia.org/math/c/a/3/ca377557cb452b609119af1544fc7b81.png)
Reacting aluminum with a [halogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_18) results in an aluminum **halide**. Aluminum chloride can exist as an [ionic solid](http://en.wikibooks.org/wiki/General_Chemistry/Ionic_bonds) or a [covalent solid](http://en.wikibooks.org/wiki/General_Chemistry/Covalent_bonds), but either way it is a weak conductor.

![2\\hbox{AlCl}_{3\(aq\)} + 3\\hbox{NaOH}_{\(aq\)} \\to \\hbox{Al}\(\\hbox{OH}\)_{3\(aq\)} +  3\\hbox{NaCl}_{\(aq\)}](../../../upload.wikimedia.org/math/e/c/5/ec5ab98b7f1748115a0ce892e8ba56c1.png)
Aluminum chloride is a **[Lewis acid**](http://en.wikibooks.org/wiki/General_Chemistry/Reactions_of_Acids_and_Bases#Lewis_Acids.2FBases), able to neutralize bases.

![\\hbox{Fe}_2\\hbox{O}_3 + 2 \\hbox{Al} \\to 2 \\hbox{Fe} + \\hbox{Al}_2\\hbox{O}_3](../../../upload.wikimedia.org/math/e/f/0/ef05f3e0ad5449b751381566a7f14edc.png)
Molten aluminum reacts violently with some metal oxides in the **thermite reaction**, in which a substance like iron oxide is [reduced](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) to iron and aluminum is oxidized to its oxide. This is a highly exothermic reaction, releasing enough heat to weld metal.

Generally, aqueous aluminum is found as a hydroxide Al(OH)3.

## Others

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/9/92/Gallium_crystals.jpg/220px-Gallium_crystals.jpg)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Gallium

Gallium is a brittle metal that melts slightly above room temperature, so holding it in your hand would liquefy it. One magic trick, the 'melting spoon' involves stirring a hot liquid (usually hot water) with a spoon specially made of gallium. The spoon melts in the water and 'disappears'. (The gallium simply sinks to the bottom of the cup; after the magic trick is done the 'magician removes the water and the molten gallium and pours the gallium into a mold that makes a new spoon for doing the trick again). Gallium is used in many semiconductor devices and LEDs (light emitting diodes). Gallium(III) arsenide is an important semiconductor used in many electronics.

Indium's most common isotope is radioactive and decays slowly into tin. Indium typically has the +3 oxidation state.

Thallium tends to appear in the +1 (thallous) oxidation state as well as the +3 (thallic) oxidation state. Oddly, thallium acts much like an [alkali metal](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_1) in its physical and chemical properties. Thallous oxide (Tl2O) and the metal react violently with water to form a hydroxide TlOH that completely dissociates into Tl+ and OH- ions as if it were an alkali metal hydroxide. Its halides are quite salt-like, dissociating into ions into solutions that, like solutions of salts of the alkali metals, conduct electricity.

![warning](../../../upload.wikimedia.org/wikipedia/commons/thumb/d/dc/Nuvola_apps_important_yellow.svg/40px-Nuvola_apps_important_yellow.svg.png)

Thallium has a violent reaction with water that could release enough heat to cause flames, and may produce explosive byproducts like hydrogen gas. Thallium hydroxide that results from this reaction is as strongly alkaline as alkali-metal hydroxides and is similarly corrosive. In addition, thallium compounds are extremely toxic.

Neither thallium metal nor any thallium compound is readily available in the United States because it is so dangerous and has few legitimate uses.  


# Group 14

[General Chemistry/Chemistries of Various Elements/Group 14](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_14)   


# Group 15

[General Chemistry/Chemistries of Various Elements/Group 15](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_15)   


# Group 16

[General Chemistry/Chemistries of Various Elements/Group 16](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_16)   


# Group 17

[General Chemistry/Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17)   


# Group 18

* * *

← [Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17) ·[Chemistries of Various Elements/Hydrogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen) →

[← Chemistries of Various Elements/Group 17](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Group_17) ·
**[General Chemistry](http://en.wikibooks.org/wiki/General_Chemistry)**
· [Chemistries of Various Elements/Hydrogen →](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen)

[Book Cover](http://en.wikibooks.org/wiki/General_Chemistry/Book_Cover) · [Introduction](http://en.wikibooks.org/wiki/General_Chemistry/Introduction) ·  [v](http://en.wikibooks.org/wiki/Template:General_Chemistry/Navigation) • [d](http://en.wikibooks.org/wiki/Template_talk:General_Chemistry/Navigation) • [e](http://en.wikibooks.org/w/index.php?title=Template:General_Chemistry/Navigation&action=edit) 

**Units**: [Matter](http://en.wikibooks.org/wiki/General_Chemistry/Properties_of_Matter) · [Atomic Structure](http://en.wikibooks.org/wiki/General_Chemistry/Atomic_Structure) · [Bonding](http://en.wikibooks.org/wiki/General_Chemistry/Compounds_and_Bonding) · [Reactions](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Reactions) · [Solutions](http://en.wikibooks.org/wiki/General_Chemistry/Aqueous_Solutions) · [Phases of Matter](http://en.wikibooks.org/wiki/General_Chemistry/Phases_of_Matter) · [Equilibria](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Equilibria) · [Kinetics](http://en.wikibooks.org/wiki/General_Chemistry/Chemical_Kinetics) · [Thermodynamics](http://en.wikibooks.org/wiki/General_Chemistry/Thermodynamics) · [The Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements)

**Appendices**: [Periodic Table](http://en.wikibooks.org/wiki/General_Chemistry/Periodic_Table) · [Units](http://en.wikibooks.org/wiki/General_Chemistry/Units) · [Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants) · [Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations) · [Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials) · [Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

* * *

## Noble Gases

The _noble gases_ are in **Group 18 (8A)**. They are [helium](http://en.wikipedia.org/wiki/Helium), [neon](http://en.wikipedia.org/wiki/Neon), [argon](http://en.wikipedia.org/wiki/Argon), [krypton](http://en.wikipedia.org/wiki/Krypton), [xenon](http://en.wikipedia.org/wiki/Xenon), and [radon](http://en.wikipedia.org/wiki/Radon). They were once called _inert gases_ because they were thought to be completely **inert**—unable to form compounds. This is a reasonable belief because the noble gases have a complete [octet](http://en.wikibooks.org/wiki/General_Chemistry/Octet_Rule_and_Exceptions), making them very stable and unlikely to gain or lose any electrons. However, some compounds have been formed with the larger elements of this group, like xenon tetrafluoride (XeF4). No normal compounds of helium, neon, or argon are stable at any but the coldest of temperatures.

Radon is dangerously radioactive; it causes cancer. It is so unstable that its radioactivity makes any chemical experiments with it nearly impossible.

![Information](../../../upload.wikimedia.org/wikipedia/commons/thumb/3/35/Information_icon.svg/32px-Information_icon.svg.png)

Noble gases all have a complete octet (eight valence electrons), except for helium (which has only two electrons). Because this configuration is extremely stable as well as symmetrical, the noble gases are very unreactive.

## Ionization

If an electric current is passed through a gas, its electrons will become excited. The electron will jump to a higher energy level, but then it falls back down to a stable state and releases the energy that it had absorbed. The energy is released in the form of a _photon_, or particle of light. In other words, gases can be used to convert electricity into light—the concept of "neon signs". Neon signs are not necessarily filled with neon. They are filled with any mixture of gases to get the desired color. Each gas has a unique color that it emits.

  * Colors of different noble gases when used in "neon" signs
  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/1/1f/HeTube.jpg/120px-HeTube.jpg)

Helium (pink)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/8/88/NeTube.jpg/120px-NeTube.jpg)

Neon (red-orange)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/2/2f/ArTube.jpg/120px-ArTube.jpg)

Argon (blue)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/e/e7/KrTube.jpg/120px-KrTube.jpg)

Krypton (pale green)

  * ![](../../../upload.wikimedia.org/wikipedia/commons/thumb/5/59/XeTube.jpg/120px-XeTube.jpg)

Xenon (pale blue)

Of course, other gases can be used besides the noble gases.

## Helium

![](../../../upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Helium-II-creep.svg/120px-Helium-II-creep.svg.png)

![](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/magnify-clip.png)

Helium will not freeze. Instead, it becomes a superfluid.

Helium is a unique noble gas. It is the second most abundant element in the universe. Lighter than air, it is used in blimps because it will allow them to float without the risk of an explosion. Neon is the only element less reactive than helium.

Helium will not freeze under normal pressure. There cannot be enough [intermolecular force](http://en.wikibooks.org/wiki/General_Chemistry/Intermolecular_bonds) to lock the atoms into a solid. It remains a gas until 4 K, then becomes a liquid. With the right conditions, helium becomes a _superfluid_. It is a liquid that will creep along the edges of its container with zero viscosity.  


# Hydrogen

[General Chemistry/Chemistries of Various Elements/Hydrogen](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Hydrogen)   


# Transition Metals

[General Chemistry/Chemistries of Various Elements/Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Transition_Metals)   


# Inner Transition Metals

[General Chemistry/Chemistries of Various Elements/Inner Transition Metals](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Inner_Transition_Metals)   


# Synthetic Elements

[General Chemistry/Chemistries of Various Elements/Synthetic Elements](http://en.wikibooks.org/wiki/General_Chemistry/Chemistries_of_Various_Elements/Synthetic_Elements) [General Chemistry/Chemistries of Various Elements/Salsal Liquidity](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Chemistries_of_Various_Elements/Salsal_Liquidity&action=edit&redlink=1)

  
  


Appendices

  


  


# Periodic Your Face

[General Chemistry/The Stupid Table/Print](http://en.wikibooks.org/w/index.php?title=General_Chemistry/The_Stupid_Table/Print&action=edit&redlink=1)  


# Units of Measure

[General Chemistry/Units](http://en.wikibooks.org/wiki/General_Chemistry/Units)   


# Constants

[General Chemistry/Constants](http://en.wikibooks.org/wiki/General_Chemistry/Constants)   


# Ridiculous Equations

[General Chemistry/Useful Equations](http://en.wikibooks.org/wiki/General_Chemistry/Useful_Equations)   


# Standard Reduction Potentials

[General Chemistry/Standard Reduction Potentials](http://en.wikibooks.org/wiki/General_Chemistry/Standard_Reduction_Potentials)   


# Elements and their Properties

[General Chemistry/Table of the Chemical Elements and their Properties](http://en.wikibooks.org/wiki/General_Chemistry/Table_of_the_Chemical_Elements_and_their_Properties)

  


# GNU Free Documentation License

[GNU Free Documentation License](http://en.wikibooks.org/wiki/GNU_Free_Documentation_License)

![](http://en.wikibooks.org/wiki/Special:CentralAutoLogin/start?type=1x1)

Retrieved from "[http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&oldid=2598847](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&oldid=2598847)" 

[Category](http://en.wikibooks.org/wiki/Special:Categories): 

  * [General Chemistry](http://en.wikibooks.org/wiki/Category:General_Chemistry)

Hidden categories: 

  * [Pages where template include size is exceeded](http://en.wikibooks.org/wiki/Category:Pages_where_template_include_size_is_exceeded)
  * [Pages needing sources](http://en.wikibooks.org/wiki/Category:Pages_needing_sources)

## Navigation menu

### Personal tools

  * [Create account](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=General+Chemistry%2FPrint+version&type=signup)
  * [Log in](http://en.wikibooks.org/w/index.php?title=Special:UserLogin&returnto=General+Chemistry%2FPrint+version)

### Namespaces

  * [Book](Print_version.html)
  * [Discussion](http://en.wikibooks.org/wiki/Talk:General_Chemistry/Print_version)

### 

### Variants

### Views

  * [Read](Print_version.html)
  * [Edit](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&action=edit)
  * [View history](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&action=history)

### Actions

### Search

### Navigation

  * [Main Page](/wiki/Main_Page)
  * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
  * ### Navigation

    * [Main Page](http://en.wikibooks.org/wiki/Main_Page)
    * [Help](https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents)
    * [Browse](http://en.wikibooks.org/wiki/Wikibooks:Card_Catalog_Office)
    * [Cookbook](http://en.wikibooks.org/wiki/Cookbook:Table_of_Contents)
    * [Wikijunior](http://en.wikibooks.org/wiki/Wikijunior)
    * [Featured books](http://en.wikibooks.org/wiki/Wikibooks:Featured_books)
    * [Recent changes](http://en.wikibooks.org/wiki/Special:RecentChanges)
    * [Donations](http://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikibooks.org&uselang=en)
    * [Random book](http://en.wikibooks.org/wiki/Special:RandomRootpage)
    * [Using Wikibooks](http://en.wikibooks.org/wiki/Using_Wikibooks)

### Community

    * [Reading room](http://en.wikibooks.org/wiki/Wikibooks:Reading_room)
    * [Community portal](http://en.wikibooks.org/wiki/Wikibooks:Community_Portal)
    * [Bulletin Board](http://en.wikibooks.org/wiki/Wikibooks:Reading_room/Bulletin_Board)
    * [Help out!](http://en.wikibooks.org/wiki/Wikibooks:Maintenance)
    * [Policies and guidelines](http://en.wikibooks.org/wiki/Wikibooks:Policies_and_guidelines)
    * [Contact us](http://en.wikibooks.org/wiki/Wikibooks:Contact_us)

### Tools

    * [What links here](http://en.wikibooks.org/wiki/Special:WhatLinksHere/General_Chemistry/Print_version)
    * [Related changes](http://en.wikibooks.org/wiki/Special:RecentChangesLinked/General_Chemistry/Print_version)
    * [Upload file](http://commons.wikimedia.org/wiki/Special:UploadWizard)
    * [Special pages](http://en.wikibooks.org/wiki/Special:SpecialPages)
    * [Permanent link](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&oldid=2598847)
    * [Page information](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&action=info)
    * [Cite this page](http://en.wikibooks.org/w/index.php?title=Special:Cite&page=General_Chemistry%2FPrint_version&id=2598847)

### In other languages

    * [Português](http://pt.wikibooks.org/wiki/Introdu%C3%A7%C3%A3o_%C3%A0_Qu%C3%ADmica/Liga%C3%A7%C3%A3o_i%C3%B4nica)
    * [Italiano](http://it.wikibooks.org/wiki/Chimica_generale/Elettrochimica)
    * [Español](http://es.wikibooks.org/wiki/Qu%C3%ADmica/Propiedades_de_los_gases)
    * [Deutsch](http://de.wikibooks.org/wiki/%C3%9Cbersicht_%C3%BCber_die_chemischen_Elemente)
    * ### Sister projects

    * [Wikipedia](http://en.wikipedia.org/wiki/Main_Page)
    * [Wikiversity](http://en.wikiversity.org/wiki/Wikiversity:Main_Page)
    * [Wiktionary](http://en.wiktionary.org/wiki/Wiktionary:Main_Page)
    * [Wikiquote](http://en.wikiquote.org/wiki/Main_Page)
    * [Wikisource](http://en.wikisource.org/wiki/Main_Page)
    * [Wikinews](http://en.wikinews.org/wiki/Main_Page)
    * [Wikivoyage](http://en.wikivoyage.org/wiki/Main_Page)
    * [Commons](http://commons.wikimedia.org/wiki/Main_Page)
    * [Wikidata](http://www.wikidata.org/wiki/Wikidata:Main_Page)

### Print/export

    * [Create a collection](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=book_creator&referer=General+Chemistry%2FPrint+version)
    * [Download as PDF](http://en.wikibooks.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=General+Chemistry%2FPrint+version&oldid=2598847&writer=rl)
    * [Printable version](http://en.wikibooks.org/w/index.php?title=General_Chemistry/Print_version&printable=yes)

    * This page was last modified on 7 January 2014, at 07:15.
    * Text is available under the [Creative Commons Attribution-ShareAlike License.](http://creativecommons.org/licenses/by-sa/3.0/); additional terms may apply. By using this site, you agree to the [Terms of Use](http://wikimediafoundation.org/wiki/Terms_of_Use) and [Privacy Policy.](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [Privacy policy](http://wikimediafoundation.org/wiki/Privacy_policy)
    * [About Wikibooks](http://en.wikibooks.org/wiki/Wikibooks:Welcome)
    * [Disclaimers](http://en.wikibooks.org/wiki/Wikibooks:General_disclaimer)
    * [Developers](https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute)
    * [Mobile view](http://en.m.wikibooks.org/wiki/General_Chemistry/Print_version)
    * ![Wikimedia Foundation](http://bits.wikimedia.org/images/wikimedia-button.png)
    * ![Powered by MediaWiki](http://bits.wikimedia.org/static-1.24wmf1/skins/common/images/poweredby_mediawiki_88x31.png)
